-- Softaculous SQL Dump
-- http://www.softaculous.com
--
-- Host: localhost
-- Generation Time: April 16, 2023, 7:07 am
-- Server version: 10.3.38
-- PHP Version: 7.4.33

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `issero5_ictm2023`
--

-- --------------------------------------------------------

--
-- Table structure for table `batch`
--

CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'A string token generated against the current user''s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob DEFAULT NULL COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores details about batches (processes that run in…';

--
-- Dumping data for table `batch`
--

INSERT INTO `batch` VALUES
(71, 'ZTWfYE9YHIMCwZvR9hPoNhaPMpepT9C0WUOL9qAqE0U', 1467836157, 'a:12:{s:4:"sets";a:1:{i:0;a:14:{s:7:"sandbox";a:0:{}s:7:"results";a:0:{}s:7:"success";b:0;s:5:"start";i:0;s:7:"elapsed";i:0;s:8:"finished";s:26:"update_fetch_data_finished";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Checking available update data";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"progress_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Trying to check available update data ...";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Error checking available update data.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"init_message";s:24:"Initializing.<br/>&nbsp;";s:3:"css";a:0:{}s:5:"total";i:1;s:5:"count";i:1;s:5:"queue";a:2:{s:4:"name";s:17:"drupal_batch:71:0";s:5:"class";s:23:"Drupal\\Core\\Queue\\Batch";}}}s:16:"has_form_submits";b:0;s:11:"current_set";i:0;s:11:"progressive";b:1;s:3:"url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:22:"system.batch_page.html";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:10:"source_url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"update.manual_status";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:14:"batch_redirect";s:21:"admin/reports/updates";s:5:"theme";s:5:"seven";s:17:"redirect_callback";N;s:2:"id";s:2:"71";s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Please continue to <a href=":error_url">the error page</a>";s:12:"\0*\0arguments";a:1:{s:10:":error_url";s:58:"/html/mtt-startupgrowth-d8/site/d8/batch?id=71&op=finished";}s:10:"\0*\0options";a:0:{}}s:11:"destination";s:56:"/html/mtt-startupgrowth-d8/site/d8/admin/reports/updates";}'),
(182, 'HSINUtkS9Sp9zci2ZYLIIUVNw959p3CB1K5vZrLhFtk', 1484043717, 'a:12:{s:4:"sets";a:1:{i:0;a:14:{s:7:"sandbox";a:0:{}s:7:"results";a:0:{}s:7:"success";b:0;s:5:"start";i:0;s:7:"elapsed";i:0;s:8:"finished";a:2:{i:0;s:29:"Drupal\\config\\Form\\ConfigSync";i:1;s:11:"finishBatch";}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Importing configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"init_message";s:41:"Starting configuration import.<br/>&nbsp;";s:16:"progress_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Completed @current step of @total.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Configuration import has encountered an error.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:3:"css";a:0:{}s:5:"total";i:3;s:5:"count";i:3;s:5:"queue";a:2:{s:4:"name";s:18:"drupal_batch:182:0";s:5:"class";s:23:"Drupal\\Core\\Queue\\Batch";}}}s:16:"has_form_submits";b:0;s:10:"form_state";O:26:"Drupal\\Core\\Form\\FormState":33:{s:16:"\0*\0complete_form";a:32:{s:11:"#attributes";a:2:{s:5:"class";a:2:{i:0;s:25:"config-single-import-form";i:1;s:12:"confirmation";}s:20:"data-drupal-selector";s:25:"config-single-import-form";}s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Are you sure you want to create a new %name @type?";s:12:"\0*\0arguments";a:2:{s:5:"%name";s:25:"showcaseplus_genericblock";s:5:"@type";s:5:"block";}s:10:"\0*\0options";a:0:{}}s:11:"description";a:14:{s:7:"#markup";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"This action cannot be undone.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:11:"description";}s:14:"#array_parents";a:1:{i:0;s:11:"description";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:16:"edit-description";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:16:"edit-description";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"confirm";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";i:1;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"confirm";}s:14:"#array_parents";a:1:{i:0;s:7:"confirm";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:12:"edit-confirm";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-confirm";s:5:"#name";s:7:"confirm";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"actions";a:19:{s:5:"#type";s:7:"actions";s:6:"submit";a:27:{s:5:"#type";s:6:"submit";s:6:"#value";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Confirm";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"cancel";a:19:{s:5:"#type";s:4:"link";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Cancel";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:2:{s:5:"class";a:1:{i:0;s:6:"button";}s:20:"data-drupal-selector";s:11:"edit-cancel";}s:4:"#url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:26:"url.query_args:destination";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"cancel";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"cancel";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-cancel";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"actions";}s:14:"#array_parents";a:1:{i:0;s:7:"actions";}s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:2:{s:20:"data-drupal-selector";s:12:"edit-actions";s:5:"class";a:1:{i:0;s:12:"form-actions";}}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-actions";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#theme";s:12:"confirm_form";s:8:"#form_id";s:25:"config_single_import_form";s:9:"#build_id";s:48:"form-JRM41m2jHwCQ1xBVBJXLuOJzGv67BdvN-NRya8rQm94";s:5:"#type";s:4:"form";s:9:"#attached";a:2:{s:12:"placeholders";a:1:{s:20:"form_action_cc611e1d";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:40:"form_builder:renderPlaceholderFormAction";i:1;a:0:{}}}}s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:20:"form_action_cc611e1d";b:1;}}}s:7:"#action";s:20:"form_action_cc611e1d";s:13:"form_build_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:48:"form-JRM41m2jHwCQ1xBVBJXLuOJzGv67BdvN-NRya8rQm94";s:3:"#id";s:48:"form-JRM41m2jHwCQ1xBVBJXLuOJzGv67BdvN-NRya8rQm94";s:5:"#name";s:13:"form_build_id";s:8:"#parents";a:1:{i:0;s:13:"form_build_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:13:"form_build_id";}s:7:"#weight";d:0.003000000000000000062450045135165055398829281330108642578125;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:48:"form-jrm41m2jhwcq1xbvbjxluojzgv67bdvn-nrya8rqm94";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:24:"user.roles:authenticated";}}s:6:"#token";s:31:"form_token_placeholder_e2afe317";s:10:"form_token";a:25:{s:3:"#id";s:41:"edit-config-single-import-form-form-token";s:5:"#type";s:5:"token";s:14:"#default_value";s:31:"form_token_placeholder_e2afe317";s:8:"#parents";a:1:{i:0;s:10:"form_token";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:31:"form_token_placeholder_e2afe317";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:39:"form_builder:renderFormTokenPlaceholder";i:1;a:1:{i:0;s:31:"form_token_placeholder_e2afe317";}}}}}s:6:"#cache";a:1:{s:7:"max-age";i:0;}s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:10:"form_token";}s:7:"#weight";d:0.0040000000000000000832667268468867405317723751068115234375;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:41:"edit-config-single-import-form-form-token";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:10:"form_token";s:6:"#value";s:43:"faWxIA2GN5vrvX_4kqQLr_DPbpEqV5_PlQvGvlX6QVQ";s:17:"#needs_validation";b:1;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"form_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:25:"config_single_import_form";s:3:"#id";s:30:"edit-config-single-import-form";s:8:"#parents";a:1:{i:0;s:7:"form_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:7:"form_id";}s:7:"#weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:30:"edit-config-single-import-form";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:7:"form_id";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:3:"#id";s:25:"config-single-import-form";s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:0:{}s:9:"#validate";a:1:{i:0;s:14:"::validateForm";}s:7:"#submit";a:1:{i:0;s:12:"::submitForm";}s:12:"#cache_token";s:43:"nfCtdXs0L8ykYZa51KZcSS_fg6rvOSid5Lq1HFc8078";s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:14:"#array_parents";a:0:{}s:10:"#validated";b:1;}s:13:"\0*\0build_info";a:4:{s:4:"args";a:0:{}s:5:"files";a:0:{}s:15:"callback_object";O:41:"Drupal\\config\\Form\\ConfigSingleImportForm":9:{s:15:"\0*\0configExists";b:0;s:7:"\0*\0data";a:9:{s:11:"config_type";s:5:"block";s:11:"config_name";s:0:"";s:6:"import";a:12:{s:4:"uuid";s:36:"2cffe9fc-8bf5-4742-981d-3300ee268f04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:fae21d9e-1b0b-418f-b1a1-e4f297688838";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:12:"showcaseplus";}}s:2:"id";s:25:"showcaseplus_genericblock";s:5:"theme";s:12:"showcaseplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-19;s:8:"provider";N;s:6:"plugin";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:5:"label";s:13:"Generic Block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/node/5";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}s:16:"custom_entity_id";s:0:"";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Import";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-odgTUHGCf-o24txTlueonF_LjYywXdpszGAB_wH7PEc";s:10:"form_token";s:43:"faWxIA2GN5vrvX_4kqQLr_DPbpEqV5_PlQvGvlX6QVQ";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";r:415;}s:16:"\0*\0configFactory";N;s:13:"\0*\0routeMatch";N;s:14:"\0*\0_serviceIds";a:12:{s:13:"entityManager";s:14:"entity.manager";s:13:"configStorage";s:14:"config.storage";s:8:"renderer";s:8:"renderer";s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:12:"requestStack";s:13:"request_stack";s:17:"stringTranslation";s:18:"string_translation";}s:16:"\0*\0linkGenerator";N;s:16:"\0*\0loggerFactory";N;s:22:"\0*\0redirectDestination";N;s:15:"\0*\0urlGenerator";N;}s:7:"form_id";s:25:"config_single_import_form";}s:15:"\0*\0rebuild_info";a:0:{}s:10:"\0*\0rebuild";b:0;s:15:"\0*\0invalidToken";b:0;s:11:"\0*\0response";N;s:11:"\0*\0redirect";N;s:14:"\0*\0no_redirect";N;s:9:"\0*\0method";s:4:"POST";s:16:"\0*\0requestMethod";s:4:"POST";s:8:"\0*\0cache";b:1;s:11:"\0*\0no_cache";N;s:9:"\0*\0values";a:6:{s:7:"confirm";i:1;s:6:"submit";r:105;s:13:"form_build_id";s:48:"form-JRM41m2jHwCQ1xBVBJXLuOJzGv67BdvN-NRya8rQm94";s:10:"form_token";s:43:"faWxIA2GN5vrvX_4kqQLr_DPbpEqV5_PlQvGvlX6QVQ";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";r:105;}s:17:"\0*\0cleanValueKeys";a:4:{i:0;s:7:"form_id";i:1;s:10:"form_token";i:2;s:13:"form_build_id";i:3;s:2:"op";}s:8:"\0*\0input";a:5:{s:7:"confirm";s:1:"1";s:13:"form_build_id";s:48:"form-JRM41m2jHwCQ1xBVBJXLuOJzGv67BdvN-NRya8rQm94";s:10:"form_token";s:43:"faWxIA2GN5vrvX_4kqQLr_DPbpEqV5_PlQvGvlX6QVQ";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:7:"Confirm";}s:17:"\0*\0always_process";N;s:16:"\0*\0must_validate";N;s:13:"\0*\0programmed";b:0;s:33:"\0*\0programmed_bypass_access_check";b:1;s:16:"\0*\0process_input";b:1;s:12:"\0*\0submitted";b:1;s:11:"\0*\0executed";b:0;s:21:"\0*\0triggering_element";a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:105;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}s:19:"\0*\0has_file_element";N;s:9:"\0*\0groups";a:0:{}s:10:"\0*\0storage";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:37:"block.block.showcaseplus_genericblock";a:12:{s:4:"uuid";s:36:"2cffe9fc-8bf5-4742-981d-3300ee268f04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:fae21d9e-1b0b-418f-b1a1-e4f297688838";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:12:"showcaseplus";}}s:2:"id";s:25:"showcaseplus_genericblock";s:5:"theme";s:12:"showcaseplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-19;s:8:"provider";N;s:6:"plugin";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:5:"label";s:13:"Generic Block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/node/5";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";r:524;}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";r:568;}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:1:{i:0;s:37:"block.block.showcaseplus_genericblock";}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:1:{s:0:"";a:644:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:47:"block_content.type.mt_fancy_linked_images_block";i:6;s:38:"block_content.type.mt_fancy_tabs_block";i:7;s:32:"block_content.type.mt_fltt_block";i:8;s:33:"block_content.type.mt_google_maps";i:9;s:42:"block_content.type.mt_main_slideshow_block";i:10;s:38:"block_content.type.mt_media_tabs_block";i:11;s:43:"block_content.type.mt_nodes_slideshow_block";i:12;s:32:"block_content.type.mt_tabs_block";i:13;s:41:"block_content.type.mt_video_gallery_block";i:14;s:20:"comment.type.comment";i:15;s:24:"contact.form.alternative";i:16;s:21:"contact.form.feedback";i:17;s:21:"contact.form.personal";i:18;s:16:"contact.settings";i:19;s:25:"core.date_format.fallback";i:20;s:26:"core.date_format.html_date";i:21;s:30:"core.date_format.html_datetime";i:22;s:27:"core.date_format.html_month";i:23;s:26:"core.date_format.html_time";i:24;s:26:"core.date_format.html_week";i:25;s:26:"core.date_format.html_year";i:26;s:35:"core.date_format.html_yearless_date";i:27;s:21:"core.date_format.long";i:28;s:23:"core.date_format.medium";i:29;s:22:"core.date_format.short";i:30;s:60:"core.entity_form_display.contact_message.alternative.default";i:31;s:57:"core.entity_form_display.contact_message.feedback.default";i:32;s:57:"core.entity_form_display.contact_message.personal.default";i:33;s:60:"core.entity_view_display.contact_message.alternative.default";i:34;s:40:"core.entity_view_mode.block_content.full";i:35;s:34:"core.entity_view_mode.comment.full";i:36;s:14:"core.extension";i:37;s:36:"core.menu.static_menu_link_overrides";i:38;s:14:"field.settings";i:39;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:40;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:41;s:52:"field.storage.block_content.field_mt_block_reference";i:42;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:43;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:44;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:45;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:46;s:45:"field.storage.block_content.field_mt_latitude";i:47;s:58:"field.field.block_content.mt_google_maps.field_mt_latitude";i:48;s:46:"field.storage.block_content.field_mt_longitude";i:49;s:59:"field.field.block_content.mt_google_maps.field_mt_longitude";i:50;s:45:"field.storage.block_content.field_mt_map_zoom";i:51;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:52;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:53;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:54;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:55;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:56;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:57;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:58;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:59;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:60;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:61;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:62;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:63;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:64;s:13:"file.settings";i:65;s:33:"core.entity_view_mode.font.teaser";i:66;s:31:"core.entity_view_mode.font.full";i:67;s:37:"fontyourface.font_display.mt_headings";i:68;s:38:"fontyourface.font_display.mt_paragraph";i:69;s:38:"fontyourface.font_display.mt_site_name";i:70;s:40:"fontyourface.font_display.mt_site_slogan";i:71;s:21:"fontyourface.settings";i:72;s:23:"block.block.bartik_help";i:73;s:53:"field.storage.block_content.field_mt_background_image";i:74;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:75;s:14:"image.settings";i:76;s:17:"image.style.large";i:77;s:18:"image.style.medium";i:78;s:21:"image.style.mt_brands";i:79;s:24:"image.style.mt_fli_image";i:80;s:20:"image.style.mt_icons";i:81;s:30:"image.style.mt_landscape_image";i:82;s:30:"image.style.mt_media_tab_image";i:83;s:27:"image.style.mt_member_photo";i:84;s:29:"image.style.mt_portrait_image";i:85;s:28:"image.style.mt_product_image";i:86;s:30:"image.style.mt_slideshow_boxed";i:87;s:35:"image.style.mt_slideshow_fullscreen";i:88;s:32:"image.style.mt_testimonial_image";i:89;s:38:"image.style.mt_video_gallery_thumbnail";i:90;s:21:"image.style.thumbnail";i:91;s:16:"menu_ui.settings";i:92;s:43:"field.storage.node.field_mt_twitter_account";i:93;s:45:"field.storage.node.field_mt_testimonial_image";i:94;s:36:"field.storage.node.field_mt_subtitle";i:95;s:42:"field.storage.node.field_mt_slideshow_path";i:96;s:43:"field.storage.node.field_mt_slideshow_image";i:97;s:37:"field.storage.node.field_mt_slideshow";i:98;s:40:"field.storage.node.field_mt_product_code";i:99;s:46:"field.storage.node.field_mt_pricing_table_item";i:100;s:33:"field.storage.node.field_mt_price";i:101;s:40:"field.storage.node.field_mt_most_popular";i:102;s:40:"field.storage.node.field_mt_member_photo";i:103;s:44:"field.storage.node.field_mt_linkedin_account";i:104;s:43:"field.storage.node.field_mt_landscape_image";i:105;s:48:"field.storage.node.field_mt_font_awesome_classes";i:106;s:44:"field.storage.node.field_mt_facebook_account";i:107;s:36:"field.storage.node.field_mt_buy_link";i:108;s:44:"field.storage.node.field_mt_bg_video_youtube";i:109;s:43:"field.storage.node.field_mt_bg_video_volume";i:110;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:111;s:40:"field.storage.node.field_mt_banner_image";i:112;s:30:"field.storage.node.field_image";i:113;s:26:"field.storage.node.comment";i:114;s:45:"field.storage.block_content.field_mt_ns_slide";i:115;s:33:"core.entity_view_mode.node.teaser";i:116;s:40:"core.entity_view_mode.node.search_result";i:117;s:39:"core.entity_view_mode.node.search_index";i:118;s:30:"core.entity_view_mode.node.rss";i:119;s:40:"core.entity_view_mode.node.mt_slide_view";i:120;s:31:"core.entity_view_mode.node.full";i:121;s:13:"node.settings";i:122;s:17:"node.type.article";i:123;s:49:"field.field.node.article.field_mt_slideshow_image";i:124;s:43:"field.field.node.article.field_mt_slideshow";i:125;s:46:"field.field.node.article.field_mt_banner_image";i:126;s:36:"field.field.node.article.field_image";i:127;s:32:"field.field.node.article.comment";i:128;s:20:"node.type.mt_benefit";i:129;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:130;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:131;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:132;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:133;s:39:"field.field.node.mt_benefit.field_image";i:134;s:20:"node.type.mt_product";i:135;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:136;s:46:"field.field.node.mt_product.field_mt_slideshow";i:137;s:49:"field.field.node.mt_product.field_mt_product_code";i:138;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:139;s:42:"field.field.node.mt_product.field_mt_price";i:140;s:49:"field.field.node.mt_product.field_mt_most_popular";i:141;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:142;s:45:"field.field.node.mt_product.field_mt_buy_link";i:143;s:49:"field.field.node.mt_product.field_mt_banner_image";i:144;s:39:"field.field.node.mt_product.field_image";i:145;s:35:"field.field.node.mt_product.comment";i:146;s:20:"node.type.mt_service";i:147;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:148;s:46:"field.field.node.mt_service.field_mt_slideshow";i:149;s:42:"field.field.node.mt_service.field_mt_price";i:150;s:45:"field.field.node.mt_service.field_mt_buy_link";i:151;s:49:"field.field.node.mt_service.field_mt_banner_image";i:152;s:39:"field.field.node.mt_service.field_image";i:153;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:154;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:155;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:156;s:21:"node.type.mt_showcase";i:157;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:158;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:159;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:160;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:161;s:40:"field.field.node.mt_showcase.field_image";i:162;s:36:"field.field.node.mt_showcase.comment";i:163;s:28:"node.type.mt_slideshow_entry";i:164;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:165;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:166;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:167;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:168;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:169;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:170;s:24:"node.type.mt_team_member";i:171;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:172;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:173;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:174;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:175;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:176;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:177;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:178;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:179;s:52:"core.base_field_override.node.mt_team_member.promote";i:180;s:24:"node.type.mt_testimonial";i:181;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:182;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:183;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:184;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:185;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:186;s:14:"node.type.page";i:187;s:46:"field.field.node.page.field_mt_slideshow_image";i:188;s:40:"field.field.node.page.field_mt_slideshow";i:189;s:43:"field.field.node.page.field_mt_banner_image";i:190;s:42:"core.base_field_override.node.page.promote";i:191;s:48:"field.storage.node.field_mt_product_availability";i:192;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:193;s:46:"field.storage.block_content.field_mt_ms_effect";i:194;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:195;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:196;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:197;s:51:"field.storage.block_content.field_mt_bg_image_color";i:198;s:57:"field.field.node.mt_product.field_mt_product_availability";i:199;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:200;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:201;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:202;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:203;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:204;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:205;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:206;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:207;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:208;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:209;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:210;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:211;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:212;s:42:"field.storage.paragraph.field_mt_tab_title";i:213;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:214;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:215;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:216;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:217;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:218;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:219;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:220;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:221;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:222;s:44:"field.storage.paragraph.field_mt_media_title";i:223;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:224;s:44:"field.storage.paragraph.field_mt_media_image";i:225;s:45:"field.storage.paragraph.field_mt_media_button";i:226;s:43:"field.storage.paragraph.field_mt_fltt_title";i:227;s:42:"field.storage.paragraph.field_mt_fltt_link";i:228;s:42:"field.storage.paragraph.field_mt_fli_title";i:229;s:42:"field.storage.paragraph.field_mt_fli_shape";i:230;s:41:"field.storage.paragraph.field_mt_fli_link";i:231;s:42:"field.storage.paragraph.field_mt_fli_image";i:232;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:233;s:44:"field.storage.paragraph.field_mt_fancy_title";i:234;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:235;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:236;s:47:"field.storage.paragraph.field_mt_collapse_title";i:237;s:40:"field.storage.node.field_mt_content_tabs";i:238;s:45:"field.storage.node.field_mt_content_collapses";i:239;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:240;s:46:"field.storage.block_content.field_mt_media_tab";i:241;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:242;s:41:"field.storage.block_content.field_mt_fltt";i:243;s:46:"field.storage.block_content.field_mt_fancy_tab";i:244;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:245;s:39:"core.entity_view_mode.paragraph.preview";i:246;s:38:"paragraphs.paragraphs_type.mt_collapse";i:247;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:248;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:249;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:250;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:251;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:252;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:253;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:254;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:255;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:256;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:257;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:258;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:259;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:260;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:261;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:262;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:263;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:264;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:265;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:266;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:267;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:268;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:269;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:270;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:271;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:272;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:273;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:274;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:275;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:276;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:277;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:278;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:279;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:280;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:281;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:282;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:283;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:284;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:285;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:286;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:287;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:288;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:289;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:290;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:291;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:292;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:293;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:294;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:295;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:296;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:297;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:298;s:33:"paragraphs.paragraphs_type.mt_tab";i:299;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:300;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:301;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:302;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:303;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:304;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:305;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:306;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:307;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:308;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:309;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:310;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:311;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:312;s:27:"rdf.mapping.comment.comment";i:313;s:24:"rdf.mapping.node.article";i:314;s:21:"rdf.mapping.node.page";i:315;s:25:"block.block.bartik_search";i:316;s:23:"search.page.node_search";i:317;s:15:"search.settings";i:318;s:39:"block.block.seven_secondary_local_tasks";i:319;s:37:"block.block.seven_primary_local_tasks";i:320;s:28:"block.block.seven_page_title";i:321;s:31:"block.block.seven_local_actions";i:322;s:22:"block.block.seven_help";i:323;s:14:"seven.settings";i:324;s:35:"block.block.showcaseplus_page_title";i:325;s:36:"block.block.showcaseplus_local_tasks";i:326;s:38:"block.block.showcaseplus_local_actions";i:327;s:49:"block.block.showcaseplus_footercustomsitebranding";i:328;s:34:"block.block.showcaseplus_copyright";i:329;s:37:"block.block.howprofessionalisourstaff";i:330;s:19:"block.block.aboutus";i:331;s:21:"showcaseplus.settings";i:332;s:18:"superfish.settings";i:333;s:37:"block.block.showcaseplus_genericblock";i:334;s:33:"block.block.showcaseplus_messages";i:335;s:38:"block.block.showcaseplus_frontpagetabs";i:336;s:42:"block.block.showcaseplus_fancylinkedimages";i:337;s:35:"block.block.showcaseplus_fancyblock";i:338;s:36:"block.block.showcaseplus_creditcards";i:339;s:32:"block.block.showcaseplus_content";i:340;s:45:"block.block.showcaseplus_contactinfoheadertop";i:341;s:36:"block.block.showcaseplus_contactinfo";i:342;s:39:"block.block.showcaseplus_contactdetails";i:343;s:43:"block.block.showcaseplus_connectwithuslarge";i:344;s:36:"block.block.showcaseplus_breadcrumbs";i:345;s:33:"block.block.showcaseplus_branding";i:346;s:39:"block.block.showcaseplus_blockwithimage";i:347;s:45:"block.block.showcaseplus_backgroundimageblock";i:348;s:37:"block.block.showcaseplus_announcement";i:349;s:52:"block.block.showcaseplus_alternativecontactformtitle";i:350;s:26:"block.block.seven_messages";i:351;s:25:"block.block.seven_content";i:352;s:29:"block.block.seven_breadcrumbs";i:353;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:354;s:24:"block.block.searchform_3";i:355;s:24:"block.block.searchform_2";i:356;s:22:"block.block.searchform";i:357;s:27:"block.block.poweredbydrupal";i:358;s:25:"block.block.ournewsletter";i:359;s:20:"block.block.mediatab";i:360;s:39:"block.block.interestedininvestingwithus";i:361;s:22:"block.block.highlights";i:362;s:29:"block.block.googlemapbanner_3";i:363;s:29:"block.block.googlemapbanner_2";i:364;s:27:"block.block.googlemapbanner";i:365;s:30:"block.block.fullwidthslideshow";i:366;s:35:"block.block.featuredlinkedtexttiles";i:367;s:31:"block.block.contactinfoslideout";i:368;s:32:"block.block.contactinfoheadertop";i:369;s:29:"block.block.contactinfoheader";i:370;s:32:"block.block.contactinfofootertop";i:371;s:24:"block.block.calltoaction";i:372;s:26:"block.block.bartik_powered";i:373;s:27:"block.block.bartik_messages";i:374;s:26:"block.block.bartik_content";i:375;s:30:"block.block.bartik_breadcrumbs";i:376;s:27:"block.block.bartik_branding";i:377;s:29:"block.block.aboutuscontenttop";i:378;s:36:"system.action.comment_publish_action";i:379;s:33:"system.action.comment_save_action";i:380;s:38:"system.action.comment_unpublish_action";i:381;s:32:"system.action.node_delete_action";i:382;s:37:"system.action.node_make_sticky_action";i:383;s:39:"system.action.node_make_unsticky_action";i:384;s:33:"system.action.node_promote_action";i:385;s:33:"system.action.node_publish_action";i:386;s:30:"system.action.node_save_action";i:387;s:35:"system.action.node_unpromote_action";i:388;s:35:"system.action.node_unpublish_action";i:389;s:16:"system.authorize";i:390;s:11:"system.cron";i:391;s:11:"system.date";i:392;s:11:"system.diff";i:393;s:11:"system.file";i:394;s:12:"system.image";i:395;s:15:"system.image.gd";i:396;s:14:"system.logging";i:397;s:11:"system.mail";i:398;s:18:"system.maintenance";i:399;s:19:"system.menu.account";i:400;s:37:"block.block.showcaseplus_account_menu";i:401;s:31:"block.block.bartik_account_menu";i:402;s:17:"system.menu.admin";i:403;s:18:"system.menu.footer";i:404;s:31:"block.block.showcaseplus_footer";i:405;s:25:"block.block.bartik_footer";i:406;s:16:"system.menu.main";i:407;s:34:"block.block.showcaseplus_main_menu";i:408;s:28:"block.block.mainnavigation_4";i:409;s:28:"block.block.mainnavigation_3";i:410;s:28:"block.block.mainnavigation_2";i:411;s:26:"block.block.mainnavigation";i:412;s:28:"block.block.bartik_main_menu";i:413;s:32:"system.menu.mt-footer-menu-three";i:414;s:30:"system.menu.mt-footer-menu-two";i:415;s:29:"system.menu.mt-subfooter-menu";i:416;s:17:"system.menu.tools";i:417;s:30:"block.block.showcaseplus_tools";i:418;s:24:"block.block.bartik_tools";i:419;s:18:"system.performance";i:420;s:10:"system.rss";i:421;s:11:"system.site";i:422;s:12:"system.theme";i:423;s:19:"system.theme.global";i:424;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:425;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:426;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:427;s:29:"field.storage.node.field_tags";i:428;s:41:"field.storage.node.field_mt_showcase_tags";i:429;s:40:"field.storage.node.field_mt_service_tags";i:430;s:41:"field.storage.node.field_mt_products_tags";i:431;s:39:"field.storage.node.field_mt_collections";i:432;s:33:"field.storage.node.field_mt_brand";i:433;s:29:"field.storage.font.field_tags";i:434;s:44:"field.storage.font.field_supported_languages";i:435;s:39:"field.storage.font.field_classification";i:436;s:40:"core.entity_view_mode.taxonomy_term.full";i:437;s:17:"taxonomy.settings";i:438;s:39:"taxonomy.vocabulary.font_classification";i:439;s:42:"field.field.font.font.field_classification";i:440;s:33:"taxonomy.vocabulary.font_designer";i:441;s:32:"taxonomy.vocabulary.font_foundry";i:442;s:29:"taxonomy.vocabulary.font_tags";i:443;s:32:"field.field.font.font.field_tags";i:444;s:39:"taxonomy.vocabulary.languages_supported";i:445;s:47:"field.field.font.font.field_supported_languages";i:446;s:34:"taxonomy.vocabulary.mt_brands_tags";i:447;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:448;s:42:"field.field.node.mt_product.field_mt_brand";i:449;s:34:"taxonomy.vocabulary.mt_collections";i:450;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:451;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:452;s:48:"field.field.node.mt_product.field_mt_collections";i:453;s:35:"taxonomy.vocabulary.mt_product_tags";i:454;s:50:"field.field.node.mt_product.field_mt_products_tags";i:455;s:35:"taxonomy.vocabulary.mt_service_tags";i:456;s:49:"field.field.node.mt_service.field_mt_service_tags";i:457;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:458;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:459;s:24:"taxonomy.vocabulary.tags";i:460;s:30:"rdf.mapping.taxonomy_term.tags";i:461;s:38:"field.field.node.mt_benefit.field_tags";i:462;s:35:"field.field.node.article.field_tags";i:463;s:44:"field.storage.paragraph.field_mt_tab_content";i:464;s:43:"field.storage.paragraph.field_mt_media_body";i:465;s:42:"field.storage.paragraph.field_mt_fltt_body";i:466;s:46:"field.storage.paragraph.field_mt_collapse_body";i:467;s:42:"field.storage.node.field_mt_subheader_body";i:468;s:42:"field.storage.node.field_mt_slideshow_text";i:469;s:23:"field.storage.node.body";i:470;s:34:"field.storage.comment.comment_body";i:471;s:32:"field.storage.block_content.body";i:472;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:473;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:474;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:475;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:476;s:45:"field.field.node.page.field_mt_subheader_body";i:477;s:45:"field.field.node.page.field_mt_slideshow_text";i:478;s:26:"field.field.node.page.body";i:479;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:480;s:36:"field.field.node.mt_testimonial.body";i:481;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:482;s:36:"field.field.node.mt_team_member.body";i:483;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:484;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:485;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:486;s:33:"field.field.node.mt_showcase.body";i:487;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:488;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:489;s:32:"field.field.node.mt_service.body";i:490;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:491;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:492;s:32:"field.field.node.mt_product.body";i:493;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:494;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:495;s:32:"field.field.node.mt_benefit.body";i:496;s:48:"field.field.node.article.field_mt_slideshow_text";i:497;s:29:"field.field.node.article.body";i:498;s:40:"field.field.comment.comment.comment_body";i:499;s:36:"field.field.block_content.basic.body";i:500;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:501;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:502;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:503;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:504;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:505;s:48:"core.entity_view_display.comment.comment.default";i:506;s:52:"core.entity_view_display.block_content.basic.default";i:507;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:508;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:509;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:510;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:511;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:512;s:42:"core.entity_form_display.node.page.default";i:513;s:52:"core.entity_form_display.node.mt_testimonial.default";i:514;s:52:"core.entity_form_display.node.mt_team_member.default";i:515;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:516;s:45:"core.entity_form_display.node.article.default";i:517;s:48:"core.entity_form_display.comment.comment.default";i:518;s:52:"core.entity_form_display.block_content.basic.default";i:519;s:13:"text.settings";i:520;s:38:"system.action.user_unblock_user_action";i:521;s:37:"system.action.user_cancel_user_action";i:522;s:36:"system.action.user_block_user_action";i:523;s:23:"search.page.user_search";i:524;s:21:"rdf.mapping.user.user";i:525;s:31:"field.storage.user.user_picture";i:526;s:34:"field.field.user.user.user_picture";i:527;s:31:"core.entity_view_mode.user.full";i:528;s:34:"core.entity_view_mode.user.compact";i:529;s:42:"core.entity_view_display.user.user.default";i:530;s:42:"core.entity_view_display.user.user.compact";i:531;s:41:"core.entity_view_display.node.page.teaser";i:532;s:42:"core.entity_view_display.node.page.default";i:533;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:534;s:52:"core.entity_view_display.node.mt_testimonial.default";i:535;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:536;s:52:"core.entity_view_display.node.mt_team_member.default";i:537;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:538;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:539;s:44:"core.entity_view_display.node.article.teaser";i:540;s:41:"core.entity_view_display.node.article.rss";i:541;s:45:"core.entity_view_display.node.article.default";i:542;s:35:"core.entity_form_mode.user.register";i:543;s:42:"core.entity_form_display.user.user.default";i:544;s:23:"block.block.seven_login";i:545;s:10:"user.flood";i:546;s:9:"user.mail";i:547;s:23:"user.role.administrator";i:548;s:51:"system.action.user_remove_role_action.administrator";i:549;s:48:"system.action.user_add_role_action.administrator";i:550;s:19:"user.role.anonymous";i:551;s:23:"user.role.authenticated";i:552;s:13:"user.settings";i:553;s:44:"field.storage.paragraph.field_mt_media_video";i:554;s:33:"field.storage.node.field_mt_video";i:555;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:556;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:557;s:43:"field.field.node.mt_showcase.field_mt_video";i:558;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:559;s:42:"field.field.node.mt_service.field_mt_video";i:560;s:47:"core.entity_view_display.node.mt_service.teaser";i:561;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:562;s:42:"field.field.node.mt_product.field_mt_video";i:563;s:47:"core.entity_view_display.node.mt_product.teaser";i:564;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:565;s:42:"field.field.node.mt_benefit.field_mt_video";i:566;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:567;s:49:"core.entity_view_display.node.mt_showcase.default";i:568;s:48:"core.entity_view_display.node.mt_service.default";i:569;s:48:"core.entity_view_display.node.mt_product.default";i:570;s:48:"core.entity_view_display.node.mt_benefit.default";i:571;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:572;s:49:"core.entity_form_display.node.mt_showcase.default";i:573;s:48:"core.entity_form_display.node.mt_service.default";i:574;s:48:"core.entity_form_display.node.mt_product.default";i:575;s:48:"core.entity_form_display.node.mt_benefit.default";i:576;s:14:"views.settings";i:577;s:18:"views.view.archive";i:578;s:24:"views.view.block_content";i:579;s:26:"views.view.comments_recent";i:580;s:18:"views.view.content";i:581;s:25:"views.view.content_recent";i:582;s:16:"views.view.files";i:583;s:36:"views.view.fontyourface_font_manager";i:584;s:20:"views.view.frontpage";i:585;s:19:"views.view.glossary";i:586;s:22:"views.view.mt_articles";i:587;s:27:"views.view.mt_articles_grid";i:588;s:27:"views.view.mt_articles_list";i:589;s:22:"views.view.mt_benefits";i:590;s:29:"views.view.mt_brands_carousel";i:591;s:25:"views.view.mt_brands_grid";i:592;s:34:"views.view.mt_collections_carousel";i:593;s:30:"views.view.mt_collections_grid";i:594;s:33:"views.view.mt_collections_masonry";i:595;s:29:"views.view.mt_internal_banner";i:596;s:21:"views.view.mt_isotope";i:597;s:20:"views.view.mt_latest";i:598;s:27:"views.view.mt_photo_gallery";i:599;s:26:"views.view.mt_popular_tags";i:600;s:28:"views.view.mt_pricing_tables";i:601;s:26:"views.view.mt_product_tags";i:602;s:22:"views.view.mt_products";i:603;s:53:"block.block.showcaseplus_exposedformmt_productspage_2";i:604;s:53:"block.block.showcaseplus_exposedformmt_productspage_1";i:605;s:31:"views.view.mt_products_carousel";i:606;s:27:"views.view.mt_products_list";i:607;s:30:"views.view.mt_products_masonry";i:608;s:28:"views.view.mt_promoted_posts";i:609;s:36:"views.view.mt_related_nodes_carousel";i:610;s:22:"views.view.mt_services";i:611;s:27:"views.view.mt_services_list";i:612;s:23:"views.view.mt_showcases";i:613;s:36:"views.view.mt_showcases_grid_style_2";i:614;s:28:"views.view.mt_showcases_list";i:615;s:35:"views.view.mt_slideshow_boxed_width";i:616;s:35:"views.view.mt_slideshow_full_screen";i:617;s:34:"views.view.mt_slideshow_full_width";i:618;s:31:"views.view.mt_team_members_grid";i:619;s:33:"views.view.mt_team_members_grid_2";i:620;s:31:"views.view.mt_team_members_list";i:621;s:26:"views.view.mt_testimonials";i:622;s:24:"filter.format.basic_html";i:623;s:31:"views.view.mt_testimonials_grid";i:624;s:24:"editor.editor.basic_html";i:625;s:33:"views.view.mt_testimonials_grid_2";i:626;s:23:"filter.format.full_html";i:627;s:34:"views.view.mt_testimonials_masonry";i:628;s:23:"editor.editor.full_html";i:629;s:20:"views.view.mt_videos";i:630;s:24:"filter.format.plain_text";i:631;s:24:"views.view.taxonomy_term";i:632;s:22:"filter.format.raw_html";i:633;s:28:"views.view.user_admin_people";i:634;s:29:"filter.format.restricted_html";i:635;s:20:"views.view.who_s_new";i:636;s:23:"automated_cron.settings";i:637;s:14:"dblog.settings";i:638;s:17:"field_ui.settings";i:639;s:15:"filter.settings";i:640;s:20:"shortcut.set.default";i:641;s:18:"tour.tour.views-ui";i:642;s:15:"update.settings";i:643;s:23:"views.view.who_s_online";}}s:14:"\0*\0targetNames";a:1:{s:0:"";a:643:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:47:"block_content.type.mt_fancy_linked_images_block";i:6;s:38:"block_content.type.mt_fancy_tabs_block";i:7;s:32:"block_content.type.mt_fltt_block";i:8;s:33:"block_content.type.mt_google_maps";i:9;s:42:"block_content.type.mt_main_slideshow_block";i:10;s:38:"block_content.type.mt_media_tabs_block";i:11;s:43:"block_content.type.mt_nodes_slideshow_block";i:12;s:32:"block_content.type.mt_tabs_block";i:13;s:41:"block_content.type.mt_video_gallery_block";i:14;s:20:"comment.type.comment";i:15;s:24:"contact.form.alternative";i:16;s:21:"contact.form.feedback";i:17;s:21:"contact.form.personal";i:18;s:16:"contact.settings";i:19;s:25:"core.date_format.fallback";i:20;s:26:"core.date_format.html_date";i:21;s:30:"core.date_format.html_datetime";i:22;s:27:"core.date_format.html_month";i:23;s:26:"core.date_format.html_time";i:24;s:26:"core.date_format.html_week";i:25;s:26:"core.date_format.html_year";i:26;s:35:"core.date_format.html_yearless_date";i:27;s:21:"core.date_format.long";i:28;s:23:"core.date_format.medium";i:29;s:22:"core.date_format.short";i:30;s:60:"core.entity_form_display.contact_message.alternative.default";i:31;s:57:"core.entity_form_display.contact_message.feedback.default";i:32;s:57:"core.entity_form_display.contact_message.personal.default";i:33;s:60:"core.entity_view_display.contact_message.alternative.default";i:34;s:40:"core.entity_view_mode.block_content.full";i:35;s:34:"core.entity_view_mode.comment.full";i:36;s:14:"core.extension";i:37;s:36:"core.menu.static_menu_link_overrides";i:38;s:14:"field.settings";i:39;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:40;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:41;s:52:"field.storage.block_content.field_mt_block_reference";i:42;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:43;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:44;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:45;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:46;s:45:"field.storage.block_content.field_mt_latitude";i:47;s:58:"field.field.block_content.mt_google_maps.field_mt_latitude";i:48;s:46:"field.storage.block_content.field_mt_longitude";i:49;s:59:"field.field.block_content.mt_google_maps.field_mt_longitude";i:50;s:45:"field.storage.block_content.field_mt_map_zoom";i:51;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:52;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:53;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:54;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:55;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:56;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:57;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:58;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:59;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:60;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:61;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:62;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:63;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:64;s:13:"file.settings";i:65;s:33:"core.entity_view_mode.font.teaser";i:66;s:31:"core.entity_view_mode.font.full";i:67;s:37:"fontyourface.font_display.mt_headings";i:68;s:38:"fontyourface.font_display.mt_paragraph";i:69;s:38:"fontyourface.font_display.mt_site_name";i:70;s:40:"fontyourface.font_display.mt_site_slogan";i:71;s:21:"fontyourface.settings";i:72;s:23:"block.block.bartik_help";i:73;s:53:"field.storage.block_content.field_mt_background_image";i:74;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:75;s:14:"image.settings";i:76;s:17:"image.style.large";i:77;s:18:"image.style.medium";i:78;s:21:"image.style.mt_brands";i:79;s:24:"image.style.mt_fli_image";i:80;s:20:"image.style.mt_icons";i:81;s:30:"image.style.mt_landscape_image";i:82;s:30:"image.style.mt_media_tab_image";i:83;s:27:"image.style.mt_member_photo";i:84;s:29:"image.style.mt_portrait_image";i:85;s:28:"image.style.mt_product_image";i:86;s:30:"image.style.mt_slideshow_boxed";i:87;s:35:"image.style.mt_slideshow_fullscreen";i:88;s:32:"image.style.mt_testimonial_image";i:89;s:38:"image.style.mt_video_gallery_thumbnail";i:90;s:21:"image.style.thumbnail";i:91;s:16:"menu_ui.settings";i:92;s:43:"field.storage.node.field_mt_twitter_account";i:93;s:45:"field.storage.node.field_mt_testimonial_image";i:94;s:36:"field.storage.node.field_mt_subtitle";i:95;s:42:"field.storage.node.field_mt_slideshow_path";i:96;s:43:"field.storage.node.field_mt_slideshow_image";i:97;s:37:"field.storage.node.field_mt_slideshow";i:98;s:40:"field.storage.node.field_mt_product_code";i:99;s:46:"field.storage.node.field_mt_pricing_table_item";i:100;s:33:"field.storage.node.field_mt_price";i:101;s:40:"field.storage.node.field_mt_most_popular";i:102;s:40:"field.storage.node.field_mt_member_photo";i:103;s:44:"field.storage.node.field_mt_linkedin_account";i:104;s:43:"field.storage.node.field_mt_landscape_image";i:105;s:48:"field.storage.node.field_mt_font_awesome_classes";i:106;s:44:"field.storage.node.field_mt_facebook_account";i:107;s:36:"field.storage.node.field_mt_buy_link";i:108;s:44:"field.storage.node.field_mt_bg_video_youtube";i:109;s:43:"field.storage.node.field_mt_bg_video_volume";i:110;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:111;s:40:"field.storage.node.field_mt_banner_image";i:112;s:30:"field.storage.node.field_image";i:113;s:26:"field.storage.node.comment";i:114;s:45:"field.storage.block_content.field_mt_ns_slide";i:115;s:33:"core.entity_view_mode.node.teaser";i:116;s:40:"core.entity_view_mode.node.search_result";i:117;s:39:"core.entity_view_mode.node.search_index";i:118;s:30:"core.entity_view_mode.node.rss";i:119;s:40:"core.entity_view_mode.node.mt_slide_view";i:120;s:31:"core.entity_view_mode.node.full";i:121;s:13:"node.settings";i:122;s:17:"node.type.article";i:123;s:49:"field.field.node.article.field_mt_slideshow_image";i:124;s:43:"field.field.node.article.field_mt_slideshow";i:125;s:46:"field.field.node.article.field_mt_banner_image";i:126;s:36:"field.field.node.article.field_image";i:127;s:32:"field.field.node.article.comment";i:128;s:20:"node.type.mt_benefit";i:129;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:130;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:131;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:132;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:133;s:39:"field.field.node.mt_benefit.field_image";i:134;s:20:"node.type.mt_product";i:135;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:136;s:46:"field.field.node.mt_product.field_mt_slideshow";i:137;s:49:"field.field.node.mt_product.field_mt_product_code";i:138;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:139;s:42:"field.field.node.mt_product.field_mt_price";i:140;s:49:"field.field.node.mt_product.field_mt_most_popular";i:141;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:142;s:45:"field.field.node.mt_product.field_mt_buy_link";i:143;s:49:"field.field.node.mt_product.field_mt_banner_image";i:144;s:39:"field.field.node.mt_product.field_image";i:145;s:35:"field.field.node.mt_product.comment";i:146;s:20:"node.type.mt_service";i:147;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:148;s:46:"field.field.node.mt_service.field_mt_slideshow";i:149;s:42:"field.field.node.mt_service.field_mt_price";i:150;s:45:"field.field.node.mt_service.field_mt_buy_link";i:151;s:49:"field.field.node.mt_service.field_mt_banner_image";i:152;s:39:"field.field.node.mt_service.field_image";i:153;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:154;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:155;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:156;s:21:"node.type.mt_showcase";i:157;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:158;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:159;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:160;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:161;s:40:"field.field.node.mt_showcase.field_image";i:162;s:36:"field.field.node.mt_showcase.comment";i:163;s:28:"node.type.mt_slideshow_entry";i:164;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:165;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:166;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:167;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:168;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:169;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:170;s:24:"node.type.mt_team_member";i:171;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:172;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:173;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:174;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:175;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:176;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:177;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:178;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:179;s:52:"core.base_field_override.node.mt_team_member.promote";i:180;s:24:"node.type.mt_testimonial";i:181;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:182;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:183;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:184;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:185;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:186;s:14:"node.type.page";i:187;s:46:"field.field.node.page.field_mt_slideshow_image";i:188;s:40:"field.field.node.page.field_mt_slideshow";i:189;s:43:"field.field.node.page.field_mt_banner_image";i:190;s:42:"core.base_field_override.node.page.promote";i:191;s:48:"field.storage.node.field_mt_product_availability";i:192;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:193;s:46:"field.storage.block_content.field_mt_ms_effect";i:194;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:195;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:196;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:197;s:51:"field.storage.block_content.field_mt_bg_image_color";i:198;s:57:"field.field.node.mt_product.field_mt_product_availability";i:199;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:200;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:201;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:202;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:203;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:204;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:205;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:206;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:207;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:208;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:209;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:210;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:211;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:212;s:42:"field.storage.paragraph.field_mt_tab_title";i:213;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:214;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:215;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:216;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:217;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:218;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:219;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:220;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:221;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:222;s:44:"field.storage.paragraph.field_mt_media_title";i:223;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:224;s:44:"field.storage.paragraph.field_mt_media_image";i:225;s:45:"field.storage.paragraph.field_mt_media_button";i:226;s:43:"field.storage.paragraph.field_mt_fltt_title";i:227;s:42:"field.storage.paragraph.field_mt_fltt_link";i:228;s:42:"field.storage.paragraph.field_mt_fli_title";i:229;s:42:"field.storage.paragraph.field_mt_fli_shape";i:230;s:41:"field.storage.paragraph.field_mt_fli_link";i:231;s:42:"field.storage.paragraph.field_mt_fli_image";i:232;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:233;s:44:"field.storage.paragraph.field_mt_fancy_title";i:234;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:235;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:236;s:47:"field.storage.paragraph.field_mt_collapse_title";i:237;s:40:"field.storage.node.field_mt_content_tabs";i:238;s:45:"field.storage.node.field_mt_content_collapses";i:239;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:240;s:46:"field.storage.block_content.field_mt_media_tab";i:241;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:242;s:41:"field.storage.block_content.field_mt_fltt";i:243;s:46:"field.storage.block_content.field_mt_fancy_tab";i:244;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:245;s:39:"core.entity_view_mode.paragraph.preview";i:246;s:38:"paragraphs.paragraphs_type.mt_collapse";i:247;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:248;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:249;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:250;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:251;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:252;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:253;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:254;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:255;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:256;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:257;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:258;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:259;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:260;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:261;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:262;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:263;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:264;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:265;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:266;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:267;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:268;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:269;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:270;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:271;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:272;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:273;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:274;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:275;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:276;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:277;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:278;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:279;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:280;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:281;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:282;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:283;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:284;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:285;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:286;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:287;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:288;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:289;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:290;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:291;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:292;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:293;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:294;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:295;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:296;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:297;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:298;s:33:"paragraphs.paragraphs_type.mt_tab";i:299;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:300;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:301;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:302;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:303;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:304;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:305;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:306;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:307;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:308;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:309;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:310;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:311;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:312;s:27:"rdf.mapping.comment.comment";i:313;s:24:"rdf.mapping.node.article";i:314;s:21:"rdf.mapping.node.page";i:315;s:25:"block.block.bartik_search";i:316;s:23:"search.page.node_search";i:317;s:15:"search.settings";i:318;s:39:"block.block.seven_secondary_local_tasks";i:319;s:37:"block.block.seven_primary_local_tasks";i:320;s:28:"block.block.seven_page_title";i:321;s:31:"block.block.seven_local_actions";i:322;s:22:"block.block.seven_help";i:323;s:14:"seven.settings";i:324;s:35:"block.block.showcaseplus_page_title";i:325;s:36:"block.block.showcaseplus_local_tasks";i:326;s:38:"block.block.showcaseplus_local_actions";i:327;s:49:"block.block.showcaseplus_footercustomsitebranding";i:328;s:34:"block.block.showcaseplus_copyright";i:329;s:37:"block.block.howprofessionalisourstaff";i:330;s:19:"block.block.aboutus";i:331;s:21:"showcaseplus.settings";i:332;s:18:"superfish.settings";i:333;s:33:"block.block.showcaseplus_messages";i:334;s:38:"block.block.showcaseplus_frontpagetabs";i:335;s:42:"block.block.showcaseplus_fancylinkedimages";i:336;s:35:"block.block.showcaseplus_fancyblock";i:337;s:36:"block.block.showcaseplus_creditcards";i:338;s:32:"block.block.showcaseplus_content";i:339;s:45:"block.block.showcaseplus_contactinfoheadertop";i:340;s:36:"block.block.showcaseplus_contactinfo";i:341;s:39:"block.block.showcaseplus_contactdetails";i:342;s:43:"block.block.showcaseplus_connectwithuslarge";i:343;s:36:"block.block.showcaseplus_breadcrumbs";i:344;s:33:"block.block.showcaseplus_branding";i:345;s:39:"block.block.showcaseplus_blockwithimage";i:346;s:45:"block.block.showcaseplus_backgroundimageblock";i:347;s:37:"block.block.showcaseplus_announcement";i:348;s:52:"block.block.showcaseplus_alternativecontactformtitle";i:349;s:26:"block.block.seven_messages";i:350;s:25:"block.block.seven_content";i:351;s:29:"block.block.seven_breadcrumbs";i:352;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:353;s:24:"block.block.searchform_3";i:354;s:24:"block.block.searchform_2";i:355;s:22:"block.block.searchform";i:356;s:27:"block.block.poweredbydrupal";i:357;s:25:"block.block.ournewsletter";i:358;s:20:"block.block.mediatab";i:359;s:39:"block.block.interestedininvestingwithus";i:360;s:22:"block.block.highlights";i:361;s:29:"block.block.googlemapbanner_3";i:362;s:29:"block.block.googlemapbanner_2";i:363;s:27:"block.block.googlemapbanner";i:364;s:30:"block.block.fullwidthslideshow";i:365;s:35:"block.block.featuredlinkedtexttiles";i:366;s:31:"block.block.contactinfoslideout";i:367;s:32:"block.block.contactinfoheadertop";i:368;s:29:"block.block.contactinfoheader";i:369;s:32:"block.block.contactinfofootertop";i:370;s:24:"block.block.calltoaction";i:371;s:26:"block.block.bartik_powered";i:372;s:27:"block.block.bartik_messages";i:373;s:26:"block.block.bartik_content";i:374;s:30:"block.block.bartik_breadcrumbs";i:375;s:27:"block.block.bartik_branding";i:376;s:29:"block.block.aboutuscontenttop";i:377;s:36:"system.action.comment_publish_action";i:378;s:33:"system.action.comment_save_action";i:379;s:38:"system.action.comment_unpublish_action";i:380;s:32:"system.action.node_delete_action";i:381;s:37:"system.action.node_make_sticky_action";i:382;s:39:"system.action.node_make_unsticky_action";i:383;s:33:"system.action.node_promote_action";i:384;s:33:"system.action.node_publish_action";i:385;s:30:"system.action.node_save_action";i:386;s:35:"system.action.node_unpromote_action";i:387;s:35:"system.action.node_unpublish_action";i:388;s:16:"system.authorize";i:389;s:11:"system.cron";i:390;s:11:"system.date";i:391;s:11:"system.diff";i:392;s:11:"system.file";i:393;s:12:"system.image";i:394;s:15:"system.image.gd";i:395;s:14:"system.logging";i:396;s:11:"system.mail";i:397;s:18:"system.maintenance";i:398;s:19:"system.menu.account";i:399;s:37:"block.block.showcaseplus_account_menu";i:400;s:31:"block.block.bartik_account_menu";i:401;s:17:"system.menu.admin";i:402;s:18:"system.menu.footer";i:403;s:31:"block.block.showcaseplus_footer";i:404;s:25:"block.block.bartik_footer";i:405;s:16:"system.menu.main";i:406;s:34:"block.block.showcaseplus_main_menu";i:407;s:28:"block.block.mainnavigation_4";i:408;s:28:"block.block.mainnavigation_3";i:409;s:28:"block.block.mainnavigation_2";i:410;s:26:"block.block.mainnavigation";i:411;s:28:"block.block.bartik_main_menu";i:412;s:32:"system.menu.mt-footer-menu-three";i:413;s:30:"system.menu.mt-footer-menu-two";i:414;s:29:"system.menu.mt-subfooter-menu";i:415;s:17:"system.menu.tools";i:416;s:30:"block.block.showcaseplus_tools";i:417;s:24:"block.block.bartik_tools";i:418;s:18:"system.performance";i:419;s:10:"system.rss";i:420;s:11:"system.site";i:421;s:12:"system.theme";i:422;s:19:"system.theme.global";i:423;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:424;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:425;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:426;s:29:"field.storage.node.field_tags";i:427;s:41:"field.storage.node.field_mt_showcase_tags";i:428;s:40:"field.storage.node.field_mt_service_tags";i:429;s:41:"field.storage.node.field_mt_products_tags";i:430;s:39:"field.storage.node.field_mt_collections";i:431;s:33:"field.storage.node.field_mt_brand";i:432;s:29:"field.storage.font.field_tags";i:433;s:44:"field.storage.font.field_supported_languages";i:434;s:39:"field.storage.font.field_classification";i:435;s:40:"core.entity_view_mode.taxonomy_term.full";i:436;s:17:"taxonomy.settings";i:437;s:39:"taxonomy.vocabulary.font_classification";i:438;s:42:"field.field.font.font.field_classification";i:439;s:33:"taxonomy.vocabulary.font_designer";i:440;s:32:"taxonomy.vocabulary.font_foundry";i:441;s:29:"taxonomy.vocabulary.font_tags";i:442;s:32:"field.field.font.font.field_tags";i:443;s:39:"taxonomy.vocabulary.languages_supported";i:444;s:47:"field.field.font.font.field_supported_languages";i:445;s:34:"taxonomy.vocabulary.mt_brands_tags";i:446;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:447;s:42:"field.field.node.mt_product.field_mt_brand";i:448;s:34:"taxonomy.vocabulary.mt_collections";i:449;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:450;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:451;s:48:"field.field.node.mt_product.field_mt_collections";i:452;s:35:"taxonomy.vocabulary.mt_product_tags";i:453;s:50:"field.field.node.mt_product.field_mt_products_tags";i:454;s:35:"taxonomy.vocabulary.mt_service_tags";i:455;s:49:"field.field.node.mt_service.field_mt_service_tags";i:456;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:457;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:458;s:24:"taxonomy.vocabulary.tags";i:459;s:30:"rdf.mapping.taxonomy_term.tags";i:460;s:38:"field.field.node.mt_benefit.field_tags";i:461;s:35:"field.field.node.article.field_tags";i:462;s:44:"field.storage.paragraph.field_mt_tab_content";i:463;s:43:"field.storage.paragraph.field_mt_media_body";i:464;s:42:"field.storage.paragraph.field_mt_fltt_body";i:465;s:46:"field.storage.paragraph.field_mt_collapse_body";i:466;s:42:"field.storage.node.field_mt_subheader_body";i:467;s:42:"field.storage.node.field_mt_slideshow_text";i:468;s:23:"field.storage.node.body";i:469;s:34:"field.storage.comment.comment_body";i:470;s:32:"field.storage.block_content.body";i:471;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:472;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:473;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:474;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:475;s:45:"field.field.node.page.field_mt_subheader_body";i:476;s:45:"field.field.node.page.field_mt_slideshow_text";i:477;s:26:"field.field.node.page.body";i:478;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:479;s:36:"field.field.node.mt_testimonial.body";i:480;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:481;s:36:"field.field.node.mt_team_member.body";i:482;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:483;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:484;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:485;s:33:"field.field.node.mt_showcase.body";i:486;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:487;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:488;s:32:"field.field.node.mt_service.body";i:489;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:490;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:491;s:32:"field.field.node.mt_product.body";i:492;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:493;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:494;s:32:"field.field.node.mt_benefit.body";i:495;s:48:"field.field.node.article.field_mt_slideshow_text";i:496;s:29:"field.field.node.article.body";i:497;s:40:"field.field.comment.comment.comment_body";i:498;s:36:"field.field.block_content.basic.body";i:499;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:500;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:501;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:502;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:503;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:504;s:48:"core.entity_view_display.comment.comment.default";i:505;s:52:"core.entity_view_display.block_content.basic.default";i:506;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:507;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:508;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:509;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:510;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:511;s:42:"core.entity_form_display.node.page.default";i:512;s:52:"core.entity_form_display.node.mt_testimonial.default";i:513;s:52:"core.entity_form_display.node.mt_team_member.default";i:514;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:515;s:45:"core.entity_form_display.node.article.default";i:516;s:48:"core.entity_form_display.comment.comment.default";i:517;s:52:"core.entity_form_display.block_content.basic.default";i:518;s:13:"text.settings";i:519;s:38:"system.action.user_unblock_user_action";i:520;s:37:"system.action.user_cancel_user_action";i:521;s:36:"system.action.user_block_user_action";i:522;s:23:"search.page.user_search";i:523;s:21:"rdf.mapping.user.user";i:524;s:31:"field.storage.user.user_picture";i:525;s:34:"field.field.user.user.user_picture";i:526;s:31:"core.entity_view_mode.user.full";i:527;s:34:"core.entity_view_mode.user.compact";i:528;s:42:"core.entity_view_display.user.user.default";i:529;s:42:"core.entity_view_display.user.user.compact";i:530;s:41:"core.entity_view_display.node.page.teaser";i:531;s:42:"core.entity_view_display.node.page.default";i:532;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:533;s:52:"core.entity_view_display.node.mt_testimonial.default";i:534;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:535;s:52:"core.entity_view_display.node.mt_team_member.default";i:536;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:537;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:538;s:44:"core.entity_view_display.node.article.teaser";i:539;s:41:"core.entity_view_display.node.article.rss";i:540;s:45:"core.entity_view_display.node.article.default";i:541;s:35:"core.entity_form_mode.user.register";i:542;s:42:"core.entity_form_display.user.user.default";i:543;s:23:"block.block.seven_login";i:544;s:10:"user.flood";i:545;s:9:"user.mail";i:546;s:23:"user.role.administrator";i:547;s:51:"system.action.user_remove_role_action.administrator";i:548;s:48:"system.action.user_add_role_action.administrator";i:549;s:19:"user.role.anonymous";i:550;s:23:"user.role.authenticated";i:551;s:13:"user.settings";i:552;s:44:"field.storage.paragraph.field_mt_media_video";i:553;s:33:"field.storage.node.field_mt_video";i:554;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:555;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:556;s:43:"field.field.node.mt_showcase.field_mt_video";i:557;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:558;s:42:"field.field.node.mt_service.field_mt_video";i:559;s:47:"core.entity_view_display.node.mt_service.teaser";i:560;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:561;s:42:"field.field.node.mt_product.field_mt_video";i:562;s:47:"core.entity_view_display.node.mt_product.teaser";i:563;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:564;s:42:"field.field.node.mt_benefit.field_mt_video";i:565;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:566;s:49:"core.entity_view_display.node.mt_showcase.default";i:567;s:48:"core.entity_view_display.node.mt_service.default";i:568;s:48:"core.entity_view_display.node.mt_product.default";i:569;s:48:"core.entity_view_display.node.mt_benefit.default";i:570;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:571;s:49:"core.entity_form_display.node.mt_showcase.default";i:572;s:48:"core.entity_form_display.node.mt_service.default";i:573;s:48:"core.entity_form_display.node.mt_product.default";i:574;s:48:"core.entity_form_display.node.mt_benefit.default";i:575;s:14:"views.settings";i:576;s:18:"views.view.archive";i:577;s:24:"views.view.block_content";i:578;s:26:"views.view.comments_recent";i:579;s:18:"views.view.content";i:580;s:25:"views.view.content_recent";i:581;s:16:"views.view.files";i:582;s:36:"views.view.fontyourface_font_manager";i:583;s:20:"views.view.frontpage";i:584;s:19:"views.view.glossary";i:585;s:22:"views.view.mt_articles";i:586;s:27:"views.view.mt_articles_grid";i:587;s:27:"views.view.mt_articles_list";i:588;s:22:"views.view.mt_benefits";i:589;s:29:"views.view.mt_brands_carousel";i:590;s:25:"views.view.mt_brands_grid";i:591;s:34:"views.view.mt_collections_carousel";i:592;s:30:"views.view.mt_collections_grid";i:593;s:33:"views.view.mt_collections_masonry";i:594;s:29:"views.view.mt_internal_banner";i:595;s:21:"views.view.mt_isotope";i:596;s:20:"views.view.mt_latest";i:597;s:27:"views.view.mt_photo_gallery";i:598;s:26:"views.view.mt_popular_tags";i:599;s:28:"views.view.mt_pricing_tables";i:600;s:26:"views.view.mt_product_tags";i:601;s:22:"views.view.mt_products";i:602;s:53:"block.block.showcaseplus_exposedformmt_productspage_2";i:603;s:53:"block.block.showcaseplus_exposedformmt_productspage_1";i:604;s:31:"views.view.mt_products_carousel";i:605;s:27:"views.view.mt_products_list";i:606;s:30:"views.view.mt_products_masonry";i:607;s:28:"views.view.mt_promoted_posts";i:608;s:36:"views.view.mt_related_nodes_carousel";i:609;s:22:"views.view.mt_services";i:610;s:27:"views.view.mt_services_list";i:611;s:23:"views.view.mt_showcases";i:612;s:36:"views.view.mt_showcases_grid_style_2";i:613;s:28:"views.view.mt_showcases_list";i:614;s:35:"views.view.mt_slideshow_boxed_width";i:615;s:35:"views.view.mt_slideshow_full_screen";i:616;s:34:"views.view.mt_slideshow_full_width";i:617;s:31:"views.view.mt_team_members_grid";i:618;s:33:"views.view.mt_team_members_grid_2";i:619;s:31:"views.view.mt_team_members_list";i:620;s:26:"views.view.mt_testimonials";i:621;s:24:"filter.format.basic_html";i:622;s:31:"views.view.mt_testimonials_grid";i:623;s:24:"editor.editor.basic_html";i:624;s:33:"views.view.mt_testimonials_grid_2";i:625;s:23:"filter.format.full_html";i:626;s:34:"views.view.mt_testimonials_masonry";i:627;s:23:"editor.editor.full_html";i:628;s:20:"views.view.mt_videos";i:629;s:24:"filter.format.plain_text";i:630;s:24:"views.view.taxonomy_term";i:631;s:22:"filter.format.raw_html";i:632;s:28:"views.view.user_admin_people";i:633;s:29:"filter.format.restricted_html";i:634;s:20:"views.view.who_s_new";i:635;s:23:"automated_cron.settings";i:636;s:14:"dblog.settings";i:637;s:17:"field_ui.settings";i:638;s:15:"filter.settings";i:639;s:20:"shortcut.set.default";i:640;s:18:"tour.tour.views-ui";i:641;s:15:"update.settings";i:642;s:23:"views.view.who_s_online";}}s:21:"\0*\0sourceCacheStorage";r:563;s:21:"\0*\0targetCacheStorage";r:569;s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:10:"\0*\0buttons";a:1:{i:0;a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:105;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}}s:12:"\0*\0temporary";a:0:{}s:22:"\0*\0validation_complete";b:1;s:9:"\0*\0errors";a:0:{}s:26:"\0*\0limit_validation_errors";N;s:20:"\0*\0validate_handlers";a:0:{}s:18:"\0*\0submit_handlers";a:0:{}}s:11:"progressive";b:1;s:11:"current_set";i:0;s:3:"url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:22:"system.batch_page.html";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:10:"source_url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:14:"batch_redirect";N;s:5:"theme";s:5:"seven";s:17:"redirect_callback";N;s:2:"id";s:3:"182";s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Please continue to <a href=":error_url">the error page</a>";s:12:"\0*\0arguments";a:1:{s:10:":error_url";s:61:"/mtt_themes/skc-showcaseplus/site/d8/batch?id=182&op=finished";}s:10:"\0*\0options";a:0:{}}}');
INSERT INTO `batch` VALUES
(328, 'bgK_O4ozmjrEzym3Gs_YZbn7jmpBYf0k_87NPDVoOMA', 1496394108, 'a:12:{s:4:"sets";a:1:{i:0;a:13:{s:7:"sandbox";a:0:{}s:7:"results";a:0:{}s:7:"success";b:0;s:5:"start";i:0;s:7:"elapsed";i:0;s:8:"finished";a:2:{i:0;s:29:"Drupal\\config\\Form\\ConfigSync";i:1;s:11:"finishBatch";}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Importing configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"init_message";s:41:"Starting configuration import.<br/>&nbsp;";s:16:"progress_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Completed @current step of @total.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Configuration import has encountered an error.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"total";i:3;s:5:"count";i:3;s:5:"queue";a:2:{s:4:"name";s:18:"drupal_batch:328:0";s:5:"class";s:23:"Drupal\\Core\\Queue\\Batch";}}}s:16:"has_form_submits";b:0;s:10:"form_state";O:26:"Drupal\\Core\\Form\\FormState":33:{s:16:"\0*\0complete_form";a:32:{s:11:"#attributes";a:2:{s:5:"class";a:2:{i:0;s:25:"config-single-import-form";i:1;s:12:"confirmation";}s:20:"data-drupal-selector";s:25:"config-single-import-form";}s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Are you sure you want to create a new %name @type?";s:12:"\0*\0arguments";a:2:{s:5:"%name";s:25:"corporateplus_sidebartabs";s:5:"@type";s:5:"block";}s:10:"\0*\0options";a:0:{}}s:11:"description";a:14:{s:7:"#markup";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"This action cannot be undone.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:11:"description";}s:14:"#array_parents";a:1:{i:0;s:11:"description";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:16:"edit-description";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:16:"edit-description";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"confirm";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";i:1;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"confirm";}s:14:"#array_parents";a:1:{i:0;s:7:"confirm";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:12:"edit-confirm";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-confirm";s:5:"#name";s:7:"confirm";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"actions";a:19:{s:5:"#type";s:7:"actions";s:6:"submit";a:27:{s:5:"#type";s:6:"submit";s:6:"#value";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Confirm";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"cancel";a:19:{s:5:"#type";s:4:"link";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Cancel";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:2:{s:5:"class";a:1:{i:0;s:6:"button";}s:20:"data-drupal-selector";s:11:"edit-cancel";}s:4:"#url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:26:"url.query_args:destination";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"cancel";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"cancel";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-cancel";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"actions";}s:14:"#array_parents";a:1:{i:0;s:7:"actions";}s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:2:{s:20:"data-drupal-selector";s:12:"edit-actions";s:5:"class";a:1:{i:0;s:12:"form-actions";}}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-actions";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#theme";s:12:"confirm_form";s:8:"#form_id";s:25:"config_single_import_form";s:9:"#build_id";s:48:"form-HpJOrseXi2Mn_J2hvrlyCaiYP4ECjJEMiWzuVKcwxX4";s:5:"#type";s:4:"form";s:9:"#attached";a:2:{s:12:"placeholders";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:40:"form_builder:renderPlaceholderFormAction";i:1;a:0:{}}}}s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";b:1;}}}s:7:"#action";s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";s:13:"form_build_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:48:"form-HpJOrseXi2Mn_J2hvrlyCaiYP4ECjJEMiWzuVKcwxX4";s:3:"#id";s:48:"form-HpJOrseXi2Mn_J2hvrlyCaiYP4ECjJEMiWzuVKcwxX4";s:5:"#name";s:13:"form_build_id";s:8:"#parents";a:1:{i:0;s:13:"form_build_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:13:"form_build_id";}s:7:"#weight";d:0.003000000000000000062450045135165055398829281330108642578125;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:48:"form-hpjorsexi2mn-j2hvrlycaiyp4ecjjemiwzuvkcwxx4";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:24:"user.roles:authenticated";}}s:6:"#token";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:10:"form_token";a:25:{s:3:"#id";s:41:"edit-config-single-import-form-form-token";s:5:"#type";s:5:"token";s:14:"#default_value";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:8:"#parents";a:1:{i:0;s:10:"form_token";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:39:"form_builder:renderFormTokenPlaceholder";i:1;a:1:{i:0;s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";}}}}}s:6:"#cache";a:1:{s:7:"max-age";i:0;}s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:10:"form_token";}s:7:"#weight";d:0.0040000000000000000832667268468867405317723751068115234375;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:41:"edit-config-single-import-form-form-token";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:10:"form_token";s:6:"#value";s:43:"NUNa0sYBksDrlla7zO_m3utoxl5-NDxab95KBkW7YZ8";s:17:"#needs_validation";b:1;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"form_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:25:"config_single_import_form";s:3:"#id";s:30:"edit-config-single-import-form";s:8:"#parents";a:1:{i:0;s:7:"form_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:7:"form_id";}s:7:"#weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:30:"edit-config-single-import-form";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:7:"form_id";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:3:"#id";s:25:"config-single-import-form";s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:0:{}s:9:"#validate";a:1:{i:0;s:14:"::validateForm";}s:7:"#submit";a:1:{i:0;s:12:"::submitForm";}s:12:"#cache_token";s:43:"eEs-R8HsB8IyA1hykWPVdwJQkf5G1PswFFSjY8ho66U";s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:14:"#array_parents";a:0:{}s:10:"#validated";b:1;}s:13:"\0*\0build_info";a:4:{s:4:"args";a:0:{}s:5:"files";a:0:{}s:15:"callback_object";O:41:"Drupal\\config\\Form\\ConfigSingleImportForm":9:{s:15:"\0*\0configExists";b:0;s:7:"\0*\0data";a:9:{s:11:"config_type";s:5:"block";s:11:"config_name";s:0:"";s:6:"import";a:11:{s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:ef75ff4d-5049-4e15-91f2-89e64289799e";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:13:"corporateplus";}}s:2:"id";s:25:"corporateplus_sidebartabs";s:5:"theme";s:13:"corporateplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:5:"label";s:12:"Sidebar tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:693:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/services-4-col\r\n/services-3-col\r\n/services-2-col\r\n/services-isotope\r\n/products-4-col\r\n/products-3-col\r\n/products-3-col/*\r\n/products-2-col\r\n/products-isotope\r\n/products-masonry\r\n/showcases*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/product-groups\r\n/product-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}s:16:"custom_entity_id";s:0:"";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Import";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0PaOTgepJxNO4USFGGtzNTzDaHuvXc4nVMvZWsuEFPo";s:10:"form_token";s:43:"NUNa0sYBksDrlla7zO_m3utoxl5-NDxab95KBkW7YZ8";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";r:413;}s:16:"\0*\0configFactory";N;s:13:"\0*\0routeMatch";N;s:14:"\0*\0_serviceIds";a:12:{s:13:"entityManager";s:14:"entity.manager";s:13:"configStorage";s:14:"config.storage";s:8:"renderer";s:8:"renderer";s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:12:"requestStack";s:13:"request_stack";s:17:"stringTranslation";s:18:"string_translation";}s:16:"\0*\0linkGenerator";N;s:16:"\0*\0loggerFactory";N;s:22:"\0*\0redirectDestination";N;s:15:"\0*\0urlGenerator";N;}s:7:"form_id";s:25:"config_single_import_form";}s:15:"\0*\0rebuild_info";a:0:{}s:10:"\0*\0rebuild";b:0;s:15:"\0*\0invalidToken";b:0;s:11:"\0*\0response";N;s:11:"\0*\0redirect";N;s:14:"\0*\0no_redirect";N;s:9:"\0*\0method";s:4:"POST";s:16:"\0*\0requestMethod";s:4:"POST";s:8:"\0*\0cache";b:1;s:11:"\0*\0no_cache";N;s:9:"\0*\0values";a:6:{s:7:"confirm";i:1;s:6:"submit";r:104;s:13:"form_build_id";s:48:"form-HpJOrseXi2Mn_J2hvrlyCaiYP4ECjJEMiWzuVKcwxX4";s:10:"form_token";s:43:"NUNa0sYBksDrlla7zO_m3utoxl5-NDxab95KBkW7YZ8";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";r:104;}s:17:"\0*\0cleanValueKeys";a:4:{i:0;s:7:"form_id";i:1;s:10:"form_token";i:2;s:13:"form_build_id";i:3;s:2:"op";}s:8:"\0*\0input";a:5:{s:7:"confirm";s:1:"1";s:13:"form_build_id";s:48:"form-HpJOrseXi2Mn_J2hvrlyCaiYP4ECjJEMiWzuVKcwxX4";s:10:"form_token";s:43:"NUNa0sYBksDrlla7zO_m3utoxl5-NDxab95KBkW7YZ8";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:7:"Confirm";}s:17:"\0*\0always_process";N;s:16:"\0*\0must_validate";N;s:13:"\0*\0programmed";b:0;s:33:"\0*\0programmed_bypass_access_check";b:1;s:16:"\0*\0process_input";b:1;s:12:"\0*\0submitted";b:1;s:11:"\0*\0executed";b:0;s:21:"\0*\0triggering_element";a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:104;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}s:19:"\0*\0has_file_element";N;s:9:"\0*\0groups";a:0:{}s:10:"\0*\0storage";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:37:"block.block.corporateplus_sidebartabs";a:11:{s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:ef75ff4d-5049-4e15-91f2-89e64289799e";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:13:"corporateplus";}}s:2:"id";s:25:"corporateplus_sidebartabs";s:5:"theme";s:13:"corporateplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:5:"label";s:12:"Sidebar tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:693:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/services-4-col\r\n/services-3-col\r\n/services-2-col\r\n/services-isotope\r\n/products-4-col\r\n/products-3-col\r\n/products-3-col/*\r\n/products-2-col\r\n/products-isotope\r\n/products-masonry\r\n/showcases*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/product-groups\r\n/product-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";r:522;}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";r:565;}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:1:{i:0;s:37:"block.block.corporateplus_sidebartabs";}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:1:{s:0:"";a:785:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:37:"block_content.type.mt_dropdowns_block";i:6;s:47:"block_content.type.mt_fancy_linked_images_block";i:7;s:38:"block_content.type.mt_fancy_tabs_block";i:8;s:32:"block_content.type.mt_fltt_block";i:9;s:33:"block_content.type.mt_google_maps";i:10;s:42:"block_content.type.mt_main_slideshow_block";i:11;s:38:"block_content.type.mt_media_tabs_block";i:12;s:43:"block_content.type.mt_nodes_slideshow_block";i:13;s:32:"block_content.type.mt_tabs_block";i:14;s:41:"block_content.type.mt_video_gallery_block";i:15;s:20:"comment.type.comment";i:16;s:24:"contact.form.alternative";i:17;s:21:"contact.form.feedback";i:18;s:21:"contact.form.personal";i:19;s:16:"contact.settings";i:20;s:25:"core.date_format.fallback";i:21;s:26:"core.date_format.html_date";i:22;s:30:"core.date_format.html_datetime";i:23;s:27:"core.date_format.html_month";i:24;s:26:"core.date_format.html_time";i:25;s:26:"core.date_format.html_week";i:26;s:26:"core.date_format.html_year";i:27;s:35:"core.date_format.html_yearless_date";i:28;s:21:"core.date_format.long";i:29;s:23:"core.date_format.medium";i:30;s:22:"core.date_format.short";i:31;s:60:"core.entity_form_display.contact_message.alternative.default";i:32;s:57:"core.entity_form_display.contact_message.feedback.default";i:33;s:57:"core.entity_form_display.contact_message.personal.default";i:34;s:60:"core.entity_view_display.contact_message.alternative.default";i:35;s:40:"core.entity_view_mode.block_content.full";i:36;s:34:"core.entity_view_mode.comment.full";i:37;s:14:"core.extension";i:38;s:36:"core.menu.static_menu_link_overrides";i:39;s:26:"block.block.servicesbanner";i:40;s:26:"block.block.productsbanner";i:41;s:28:"block.block.languageswitcher";i:42;s:37:"block.block.howprofessionalisourstaff";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:36:"block.block.corporateplus_page_title";i:45;s:37:"block.block.corporateplus_local_tasks";i:46;s:39:"block.block.corporateplus_local_actions";i:47;s:40:"block.block.corporateplus_iconssubfooter";i:48;s:35:"block.block.corporateplus_copyright";i:49;s:27:"block.block.contactusbanner";i:50;s:24:"block.block.calltoaction";i:51;s:22:"block.block.blogbanner";i:52;s:25:"block.block.aboutusbanner";i:53;s:22:"corporateplus.settings";i:54;s:14:"field.settings";i:55;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:56;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:57;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:58;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:59;s:52:"field.storage.block_content.field_mt_block_reference";i:60;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:61;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:62;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:63;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:64;s:45:"field.storage.block_content.field_mt_latitude";i:65;s:58:"field.field.block_content.mt_google_maps.field_mt_latitude";i:66;s:46:"field.storage.block_content.field_mt_longitude";i:67;s:59:"field.field.block_content.mt_google_maps.field_mt_longitude";i:68;s:45:"field.storage.block_content.field_mt_map_zoom";i:69;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:70;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:71;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:72;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:73;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:74;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:75;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:76;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:77;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:78;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:79;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:80;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:81;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:82;s:13:"file.settings";i:83;s:33:"core.entity_view_mode.font.teaser";i:84;s:31:"core.entity_view_mode.font.full";i:85;s:37:"fontyourface.font_display.mt_headings";i:86;s:38:"fontyourface.font_display.mt_paragraph";i:87;s:38:"fontyourface.font_display.mt_site_name";i:88;s:40:"fontyourface.font_display.mt_site_slogan";i:89;s:21:"fontyourface.settings";i:90;s:23:"block.block.bartik_help";i:91;s:53:"field.storage.block_content.field_mt_background_image";i:92;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:93;s:14:"image.settings";i:94;s:17:"image.style.large";i:95;s:18:"image.style.medium";i:96;s:21:"image.style.mt_brands";i:97;s:24:"image.style.mt_fli_image";i:98;s:20:"image.style.mt_icons";i:99;s:30:"image.style.mt_landscape_image";i:100;s:30:"image.style.mt_media_tab_image";i:101;s:27:"image.style.mt_member_photo";i:102;s:29:"image.style.mt_portrait_image";i:103;s:28:"image.style.mt_product_image";i:104;s:30:"image.style.mt_slideshow_boxed";i:105;s:35:"image.style.mt_slideshow_fullscreen";i:106;s:32:"image.style.mt_testimonial_image";i:107;s:38:"image.style.mt_video_gallery_thumbnail";i:108;s:21:"image.style.thumbnail";i:109;s:16:"menu_ui.settings";i:110;s:43:"field.storage.node.field_mt_twitter_account";i:111;s:45:"field.storage.node.field_mt_testimonial_image";i:112;s:36:"field.storage.node.field_mt_subtitle";i:113;s:42:"field.storage.node.field_mt_slideshow_path";i:114;s:43:"field.storage.node.field_mt_slideshow_image";i:115;s:37:"field.storage.node.field_mt_slideshow";i:116;s:40:"field.storage.node.field_mt_product_code";i:117;s:46:"field.storage.node.field_mt_pricing_table_item";i:118;s:33:"field.storage.node.field_mt_price";i:119;s:40:"field.storage.node.field_mt_most_popular";i:120;s:40:"field.storage.node.field_mt_member_photo";i:121;s:44:"field.storage.node.field_mt_linkedin_account";i:122;s:43:"field.storage.node.field_mt_landscape_image";i:123;s:48:"field.storage.node.field_mt_font_awesome_classes";i:124;s:44:"field.storage.node.field_mt_facebook_account";i:125;s:36:"field.storage.node.field_mt_buy_link";i:126;s:44:"field.storage.node.field_mt_bg_video_youtube";i:127;s:43:"field.storage.node.field_mt_bg_video_volume";i:128;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:129;s:40:"field.storage.node.field_mt_banner_image";i:130;s:30:"field.storage.node.field_image";i:131;s:26:"field.storage.node.comment";i:132;s:45:"field.storage.block_content.field_mt_ns_slide";i:133;s:33:"core.entity_view_mode.node.teaser";i:134;s:40:"core.entity_view_mode.node.search_result";i:135;s:39:"core.entity_view_mode.node.search_index";i:136;s:30:"core.entity_view_mode.node.rss";i:137;s:40:"core.entity_view_mode.node.mt_slide_view";i:138;s:31:"core.entity_view_mode.node.full";i:139;s:13:"node.settings";i:140;s:17:"node.type.article";i:141;s:49:"field.field.node.article.field_mt_slideshow_image";i:142;s:43:"field.field.node.article.field_mt_slideshow";i:143;s:46:"field.field.node.article.field_mt_banner_image";i:144;s:36:"field.field.node.article.field_image";i:145;s:32:"field.field.node.article.comment";i:146;s:20:"node.type.mt_benefit";i:147;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:148;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:149;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:150;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:151;s:39:"field.field.node.mt_benefit.field_image";i:152;s:20:"node.type.mt_product";i:153;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:154;s:46:"field.field.node.mt_product.field_mt_slideshow";i:155;s:49:"field.field.node.mt_product.field_mt_product_code";i:156;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:157;s:42:"field.field.node.mt_product.field_mt_price";i:158;s:49:"field.field.node.mt_product.field_mt_most_popular";i:159;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:160;s:45:"field.field.node.mt_product.field_mt_buy_link";i:161;s:49:"field.field.node.mt_product.field_mt_banner_image";i:162;s:39:"field.field.node.mt_product.field_image";i:163;s:35:"field.field.node.mt_product.comment";i:164;s:20:"node.type.mt_service";i:165;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:166;s:46:"field.field.node.mt_service.field_mt_slideshow";i:167;s:42:"field.field.node.mt_service.field_mt_price";i:168;s:45:"field.field.node.mt_service.field_mt_buy_link";i:169;s:49:"field.field.node.mt_service.field_mt_banner_image";i:170;s:39:"field.field.node.mt_service.field_image";i:171;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:172;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:173;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:174;s:21:"node.type.mt_showcase";i:175;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:176;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:177;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:178;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:179;s:40:"field.field.node.mt_showcase.field_image";i:180;s:36:"field.field.node.mt_showcase.comment";i:181;s:28:"node.type.mt_slideshow_entry";i:182;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:183;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:184;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:185;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:186;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:187;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:188;s:24:"node.type.mt_team_member";i:189;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:190;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:191;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:192;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:193;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:194;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:195;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:196;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:197;s:52:"core.base_field_override.node.mt_team_member.promote";i:198;s:24:"node.type.mt_testimonial";i:199;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:200;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:201;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:202;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:203;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:204;s:14:"node.type.page";i:205;s:46:"field.field.node.page.field_mt_slideshow_image";i:206;s:40:"field.field.node.page.field_mt_slideshow";i:207;s:43:"field.field.node.page.field_mt_banner_image";i:208;s:42:"core.base_field_override.node.page.promote";i:209;s:48:"field.storage.node.field_mt_product_availability";i:210;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:211;s:46:"field.storage.block_content.field_mt_ms_effect";i:212;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:213;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:222;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:223;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:225;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:226;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:227;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:228;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:229;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:230;s:42:"field.storage.paragraph.field_mt_tab_title";i:231;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:232;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:233;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:234;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:235;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:236;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:237;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:238;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:239;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:240;s:44:"field.storage.paragraph.field_mt_media_title";i:241;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:242;s:44:"field.storage.paragraph.field_mt_media_image";i:243;s:45:"field.storage.paragraph.field_mt_media_button";i:244;s:43:"field.storage.paragraph.field_mt_fltt_title";i:245;s:42:"field.storage.paragraph.field_mt_fltt_link";i:246;s:42:"field.storage.paragraph.field_mt_fli_title";i:247;s:42:"field.storage.paragraph.field_mt_fli_shape";i:248;s:41:"field.storage.paragraph.field_mt_fli_link";i:249;s:42:"field.storage.paragraph.field_mt_fli_image";i:250;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:251;s:44:"field.storage.paragraph.field_mt_fancy_title";i:252;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:253;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:254;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:255;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:256;s:47:"field.storage.paragraph.field_mt_collapse_title";i:257;s:40:"field.storage.node.field_mt_content_tabs";i:258;s:45:"field.storage.node.field_mt_content_collapses";i:259;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:260;s:46:"field.storage.block_content.field_mt_media_tab";i:261;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:262;s:41:"field.storage.block_content.field_mt_fltt";i:263;s:46:"field.storage.block_content.field_mt_fancy_tab";i:264;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:265;s:45:"field.storage.block_content.field_mt_dropdown";i:266;s:39:"core.entity_view_mode.paragraph.preview";i:267;s:38:"paragraphs.paragraphs_type.mt_collapse";i:268;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:269;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:270;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:271;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:272;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:273;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:274;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:275;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:276;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:277;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:278;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:279;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:280;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:281;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:282;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:283;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:284;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:285;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:286;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:287;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:288;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:289;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:290;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:291;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:292;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:293;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:294;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:295;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:296;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:297;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:298;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:299;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:300;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:301;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:302;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:303;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:304;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:305;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:306;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:307;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:308;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:309;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:310;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:311;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:312;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:313;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:314;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:315;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:316;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:317;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:318;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:319;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:320;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:321;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:322;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:323;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:324;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:325;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:326;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:327;s:33:"paragraphs.paragraphs_type.mt_tab";i:328;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:329;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:330;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:331;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:332;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:333;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:334;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:335;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:336;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:337;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:338;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:339;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:340;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:341;s:27:"rdf.mapping.comment.comment";i:342;s:24:"rdf.mapping.node.article";i:343;s:21:"rdf.mapping.node.page";i:344;s:24:"block.block.searchform_4";i:345;s:25:"block.block.bartik_search";i:346;s:23:"search.page.node_search";i:347;s:15:"search.settings";i:348;s:39:"block.block.seven_secondary_local_tasks";i:349;s:37:"block.block.seven_primary_local_tasks";i:350;s:28:"block.block.seven_page_title";i:351;s:31:"block.block.seven_local_actions";i:352;s:22:"block.block.seven_help";i:353;s:14:"seven.settings";i:354;s:30:"block.block.stillhavequestions";i:355;s:27:"block.block.showcasesbanner";i:356;s:34:"block.block.showcaseplus_subscribe";i:357;s:40:"block.block.showcaseplus_socialbookmarks";i:358;s:44:"block.block.showcaseplus_signupfortextalerts";i:359;s:43:"block.block.showcaseplus_popularsalesstatic";i:360;s:36:"block.block.showcaseplus_local_tasks";i:361;s:38:"block.block.showcaseplus_local_actions";i:362;s:39:"block.block.showcaseplus_iconssubfooter";i:363;s:34:"block.block.showcaseplus_copyright";i:364;s:21:"showcaseplus.settings";i:365;s:18:"superfish.settings";i:366;s:37:"block.block.corporateplus_sidebartabs";i:367;s:17:"block.block.whyme";i:368;s:31:"block.block.videogalleryblock_2";i:369;s:29:"block.block.videogalleryblock";i:370;s:34:"block.block.testimonialscarousel_2";i:371;s:34:"block.block.tellusaboutyourproject";i:372;s:23:"block.block.socialmedia";i:373;s:23:"block.block.sociallinks";i:374;s:24:"block.block.sitebranding";i:375;s:35:"block.block.showcaseplus_textblocks";i:376;s:36:"block.block.showcaseplus_sidebartabs";i:377;s:31:"block.block.showcaseplus_search";i:378;s:56:"block.block.showcaseplus_productslayoutswithergridactive";i:379;s:57:"block.block.showcaseplus_productslayoutswitcherlistactive";i:380;s:35:"block.block.showcaseplus_page_title";i:381;s:33:"block.block.showcaseplus_messages";i:382;s:33:"block.block.showcaseplus_infotext";i:383;s:37:"block.block.showcaseplus_genericblock";i:384;s:38:"block.block.showcaseplus_frontpagetabs";i:385;s:49:"block.block.showcaseplus_footercustomsitebranding";i:386;s:42:"block.block.showcaseplus_fancylinkedimages";i:387;s:35:"block.block.showcaseplus_fancyblock";i:388;s:36:"block.block.showcaseplus_creditcards";i:389;s:32:"block.block.showcaseplus_content";i:390;s:45:"block.block.showcaseplus_contactinfoheadertop";i:391;s:36:"block.block.showcaseplus_contactinfo";i:392;s:39:"block.block.showcaseplus_contactdetails";i:393;s:43:"block.block.showcaseplus_connectwithuslarge";i:394;s:36:"block.block.showcaseplus_breadcrumbs";i:395;s:33:"block.block.showcaseplus_branding";i:396;s:39:"block.block.showcaseplus_blockwithimage";i:397;s:45:"block.block.showcaseplus_backgroundimageblock";i:398;s:37:"block.block.showcaseplus_announcement";i:399;s:26:"block.block.seven_messages";i:400;s:25:"block.block.seven_content";i:401;s:29:"block.block.seven_breadcrumbs";i:402;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:403;s:24:"block.block.searchform_3";i:404;s:24:"block.block.searchform_2";i:405;s:22:"block.block.searchform";i:406;s:27:"block.block.poweredbydrupal";i:407;s:25:"block.block.ournewsletter";i:408;s:19:"block.block.mystory";i:409;s:20:"block.block.mediatab";i:410;s:39:"block.block.interestedininvestingwithus";i:411;s:26:"block.block.iconssubfooter";i:412;s:22:"block.block.highlights";i:413;s:27:"block.block.headerdropdowns";i:414;s:29:"block.block.googlemapbanner_3";i:415;s:29:"block.block.googlemapbanner_2";i:416;s:27:"block.block.googlemapbanner";i:417;s:30:"block.block.fullwidthslideshow";i:418;s:42:"block.block.footerbottomcustomsitebranding";i:419;s:35:"block.block.featuredlinkedtexttiles";i:420;s:22:"block.block.fancyblock";i:421;s:32:"block.block.corporateplus_search";i:422;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:423;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:424;s:34:"block.block.corporateplus_messages";i:425;s:34:"block.block.corporateplus_infotext";i:426;s:38:"block.block.corporateplus_genericblock";i:427;s:39:"block.block.corporateplus_frontpagetabs";i:428;s:50:"block.block.corporateplus_footercustomsitebranding";i:429;s:43:"block.block.corporateplus_fancylinkedimages";i:430;s:36:"block.block.corporateplus_fancyblock";i:431;s:37:"block.block.corporateplus_creditcards";i:432;s:33:"block.block.corporateplus_content";i:433;s:46:"block.block.corporateplus_contactinfoheadertop";i:434;s:37:"block.block.corporateplus_contactinfo";i:435;s:40:"block.block.corporateplus_contactdetails";i:436;s:44:"block.block.corporateplus_connectwithuslarge";i:437;s:37:"block.block.corporateplus_breadcrumbs";i:438;s:34:"block.block.corporateplus_branding";i:439;s:40:"block.block.corporateplus_blockwithimage";i:440;s:46:"block.block.corporateplus_backgroundimageblock";i:441;s:38:"block.block.corporateplus_announcement";i:442;s:31:"block.block.contactinfoslideout";i:443;s:32:"block.block.contactinfoheadertop";i:444;s:29:"block.block.contactinfoheader";i:445;s:32:"block.block.contactinfofootertop";i:446;s:41:"block.block.contactinfocontactalternative";i:447;s:25:"block.block.calltoaction2";i:448;s:26:"block.block.bartik_powered";i:449;s:27:"block.block.bartik_messages";i:450;s:26:"block.block.bartik_content";i:451;s:30:"block.block.bartik_breadcrumbs";i:452;s:27:"block.block.bartik_branding";i:453;s:41:"block.block.backgroundimageblockshowcases";i:454;s:40:"block.block.backgroundimageblockservices";i:455;s:40:"block.block.backgroundimageblockproducts";i:456;s:37:"block.block.backgroundimageblockcta_2";i:457;s:35:"block.block.backgroundimageblockcta";i:458;s:41:"block.block.backgroundimageblockcontactus";i:459;s:39:"block.block.backgroundimageblockclients";i:460;s:36:"block.block.backgroundimageblockblog";i:461;s:39:"block.block.backgroundimageblockaboutus";i:462;s:41:"block.block.areyoulookingforagreatservice";i:463;s:29:"block.block.aboutuscontenttop";i:464;s:19:"block.block.aboutus";i:465;s:21:"block.block.aboutme_2";i:466;s:19:"block.block.aboutme";i:467;s:36:"system.action.comment_publish_action";i:468;s:33:"system.action.comment_save_action";i:469;s:38:"system.action.comment_unpublish_action";i:470;s:32:"system.action.node_delete_action";i:471;s:37:"system.action.node_make_sticky_action";i:472;s:39:"system.action.node_make_unsticky_action";i:473;s:33:"system.action.node_promote_action";i:474;s:33:"system.action.node_publish_action";i:475;s:30:"system.action.node_save_action";i:476;s:35:"system.action.node_unpromote_action";i:477;s:35:"system.action.node_unpublish_action";i:478;s:16:"system.authorize";i:479;s:11:"system.cron";i:480;s:11:"system.date";i:481;s:11:"system.diff";i:482;s:11:"system.file";i:483;s:12:"system.image";i:484;s:15:"system.image.gd";i:485;s:14:"system.logging";i:486;s:11:"system.mail";i:487;s:18:"system.maintenance";i:488;s:19:"system.menu.account";i:489;s:37:"block.block.showcaseplus_account_menu";i:490;s:38:"block.block.corporateplus_account_menu";i:491;s:31:"block.block.bartik_account_menu";i:492;s:17:"system.menu.admin";i:493;s:18:"system.menu.footer";i:494;s:31:"block.block.showcaseplus_footer";i:495;s:32:"block.block.corporateplus_footer";i:496;s:25:"block.block.bartik_footer";i:497;s:16:"system.menu.main";i:498;s:34:"block.block.showcaseplus_main_menu";i:499;s:41:"block.block.showcaseplus_mainnavigation_2";i:500;s:28:"block.block.mainnavigation_4";i:501;s:28:"block.block.mainnavigation_3";i:502;s:28:"block.block.mainnavigation_2";i:503;s:26:"block.block.mainnavigation";i:504;s:35:"block.block.corporateplus_main_menu";i:505;s:42:"block.block.corporateplus_mainnavigation_2";i:506;s:28:"block.block.bartik_main_menu";i:507;s:32:"system.menu.mt-footer-menu-three";i:508;s:36:"block.block.showcaseplus_usefullinks";i:509;s:30:"system.menu.mt-footer-menu-two";i:510;s:34:"block.block.showcaseplus_questions";i:511;s:35:"block.block.corporateplus_questions";i:512;s:24:"system.menu.mt-mega-menu";i:513;s:20:"block.block.megamenu";i:514;s:29:"system.menu.mt-subfooter-menu";i:515;s:34:"block.block.showcaseplus_subfooter";i:516;s:17:"system.menu.tools";i:517;s:30:"block.block.showcaseplus_tools";i:518;s:31:"block.block.corporateplus_tools";i:519;s:24:"block.block.bartik_tools";i:520;s:18:"system.performance";i:521;s:10:"system.rss";i:522;s:11:"system.site";i:523;s:12:"system.theme";i:524;s:19:"system.theme.global";i:525;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:526;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:527;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:528;s:29:"field.storage.node.field_tags";i:529;s:41:"field.storage.node.field_mt_showcase_tags";i:530;s:40:"field.storage.node.field_mt_service_tags";i:531;s:41:"field.storage.node.field_mt_products_tags";i:532;s:39:"field.storage.node.field_mt_collections";i:533;s:40:"field.storage.node.field_mt_clients_tags";i:534;s:29:"field.storage.font.field_tags";i:535;s:44:"field.storage.font.field_supported_languages";i:536;s:39:"field.storage.font.field_classification";i:537;s:40:"core.entity_view_mode.taxonomy_term.full";i:538;s:17:"taxonomy.settings";i:539;s:39:"taxonomy.vocabulary.font_classification";i:540;s:42:"field.field.font.font.field_classification";i:541;s:33:"taxonomy.vocabulary.font_designer";i:542;s:32:"taxonomy.vocabulary.font_foundry";i:543;s:29:"taxonomy.vocabulary.font_tags";i:544;s:32:"field.field.font.font.field_tags";i:545;s:39:"taxonomy.vocabulary.languages_supported";i:546;s:47:"field.field.font.font.field_supported_languages";i:547;s:34:"taxonomy.vocabulary.mt_brands_tags";i:548;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:549;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:550;s:34:"taxonomy.vocabulary.mt_collections";i:551;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:552;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:553;s:48:"field.field.node.mt_product.field_mt_collections";i:554;s:35:"taxonomy.vocabulary.mt_product_tags";i:555;s:50:"field.field.node.mt_product.field_mt_products_tags";i:556;s:35:"taxonomy.vocabulary.mt_service_tags";i:557;s:49:"field.field.node.mt_service.field_mt_service_tags";i:558;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:559;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:560;s:24:"taxonomy.vocabulary.tags";i:561;s:30:"rdf.mapping.taxonomy_term.tags";i:562;s:38:"field.field.node.mt_benefit.field_tags";i:563;s:35:"field.field.node.article.field_tags";i:564;s:44:"field.storage.paragraph.field_mt_tab_content";i:565;s:43:"field.storage.paragraph.field_mt_media_body";i:566;s:42:"field.storage.paragraph.field_mt_fltt_body";i:567;s:46:"field.storage.paragraph.field_mt_collapse_body";i:568;s:42:"field.storage.node.field_mt_subheader_body";i:569;s:42:"field.storage.node.field_mt_slideshow_text";i:570;s:43:"field.storage.node.field_mt_content_sidebar";i:571;s:23:"field.storage.node.body";i:572;s:34:"field.storage.comment.comment_body";i:573;s:32:"field.storage.block_content.body";i:574;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:575;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:576;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:577;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:578;s:45:"field.field.node.page.field_mt_subheader_body";i:579;s:45:"field.field.node.page.field_mt_slideshow_text";i:580;s:26:"field.field.node.page.body";i:581;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:582;s:36:"field.field.node.mt_testimonial.body";i:583;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:584;s:36:"field.field.node.mt_team_member.body";i:585;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:586;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:587;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:588;s:33:"field.field.node.mt_showcase.body";i:589;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:590;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:591;s:32:"field.field.node.mt_service.body";i:592;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:593;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:594;s:52:"field.field.node.mt_product.field_mt_content_sidebar";i:595;s:32:"field.field.node.mt_product.body";i:596;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:597;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:598;s:32:"field.field.node.mt_benefit.body";i:599;s:48:"field.field.node.article.field_mt_slideshow_text";i:600;s:29:"field.field.node.article.body";i:601;s:40:"field.field.comment.comment.comment_body";i:602;s:36:"field.field.block_content.basic.body";i:603;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:604;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:605;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:606;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:607;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:608;s:48:"core.entity_view_display.comment.comment.default";i:609;s:52:"core.entity_view_display.block_content.basic.default";i:610;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:611;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:612;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:613;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:614;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:615;s:42:"core.entity_form_display.node.page.default";i:616;s:52:"core.entity_form_display.node.mt_testimonial.default";i:617;s:52:"core.entity_form_display.node.mt_team_member.default";i:618;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:619;s:45:"core.entity_form_display.node.article.default";i:620;s:48:"core.entity_form_display.comment.comment.default";i:621;s:52:"core.entity_form_display.block_content.basic.default";i:622;s:13:"text.settings";i:623;s:38:"system.action.user_unblock_user_action";i:624;s:37:"system.action.user_cancel_user_action";i:625;s:36:"system.action.user_block_user_action";i:626;s:23:"search.page.user_search";i:627;s:21:"rdf.mapping.user.user";i:628;s:31:"field.storage.user.user_picture";i:629;s:34:"field.field.user.user.user_picture";i:630;s:31:"core.entity_view_mode.user.full";i:631;s:34:"core.entity_view_mode.user.compact";i:632;s:42:"core.entity_view_display.user.user.default";i:633;s:42:"core.entity_view_display.user.user.compact";i:634;s:41:"core.entity_view_display.node.page.teaser";i:635;s:42:"core.entity_view_display.node.page.default";i:636;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:637;s:52:"core.entity_view_display.node.mt_testimonial.default";i:638;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:639;s:52:"core.entity_view_display.node.mt_team_member.default";i:640;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:641;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:642;s:44:"core.entity_view_display.node.article.teaser";i:643;s:41:"core.entity_view_display.node.article.rss";i:644;s:45:"core.entity_view_display.node.article.default";i:645;s:35:"core.entity_form_mode.user.register";i:646;s:42:"core.entity_form_display.user.user.default";i:647;s:23:"block.block.seven_login";i:648;s:10:"user.flood";i:649;s:9:"user.mail";i:650;s:23:"user.role.administrator";i:651;s:51:"system.action.user_remove_role_action.administrator";i:652;s:48:"system.action.user_add_role_action.administrator";i:653;s:19:"user.role.anonymous";i:654;s:23:"user.role.authenticated";i:655;s:13:"user.settings";i:656;s:44:"field.storage.paragraph.field_mt_media_video";i:657;s:33:"field.storage.node.field_mt_video";i:658;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:659;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:660;s:43:"field.field.node.mt_showcase.field_mt_video";i:661;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:662;s:42:"field.field.node.mt_service.field_mt_video";i:663;s:47:"core.entity_view_display.node.mt_service.teaser";i:664;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:665;s:42:"field.field.node.mt_product.field_mt_video";i:666;s:47:"core.entity_view_display.node.mt_product.teaser";i:667;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:668;s:42:"field.field.node.mt_benefit.field_mt_video";i:669;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:670;s:49:"core.entity_view_display.node.mt_showcase.default";i:671;s:48:"core.entity_view_display.node.mt_service.default";i:672;s:48:"core.entity_view_display.node.mt_product.default";i:673;s:48:"core.entity_view_display.node.mt_benefit.default";i:674;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:675;s:49:"core.entity_form_display.node.mt_showcase.default";i:676;s:48:"core.entity_form_display.node.mt_service.default";i:677;s:48:"core.entity_form_display.node.mt_product.default";i:678;s:48:"core.entity_form_display.node.mt_benefit.default";i:679;s:14:"views.settings";i:680;s:18:"views.view.archive";i:681;s:24:"views.view.block_content";i:682;s:26:"views.view.comments_recent";i:683;s:18:"views.view.content";i:684;s:25:"views.view.content_recent";i:685;s:16:"views.view.files";i:686;s:36:"views.view.fontyourface_font_manager";i:687;s:20:"views.view.frontpage";i:688;s:19:"views.view.glossary";i:689;s:22:"views.view.mt_articles";i:690;s:31:"views.view.mt_articles_carousel";i:691;s:53:"block.block.views_block__mt_articles_carousel_block_1";i:692;s:27:"views.view.mt_articles_grid";i:693;s:49:"block.block.views_block__mt_articles_grid_block_1";i:694;s:27:"views.view.mt_articles_list";i:695;s:22:"views.view.mt_benefits";i:696;s:57:"block.block.showcaseplus_views_block__mt_benefits_block_1";i:697;s:29:"views.view.mt_brands_carousel";i:698;s:64:"block.block.showcaseplus_views_block__mt_brands_carousel_block_1";i:699;s:25:"views.view.mt_brands_grid";i:700;s:34:"views.view.mt_collections_carousel";i:701;s:69:"block.block.showcaseplus_views_block__mt_collections_carousel_block_1";i:702;s:30:"views.view.mt_collections_grid";i:703;s:33:"views.view.mt_collections_masonry";i:704;s:68:"block.block.showcaseplus_views_block__mt_collections_masonry_block_1";i:705;s:29:"views.view.mt_internal_banner";i:706;s:64:"block.block.showcaseplus_views_block__mt_internal_banner_block_1";i:707;s:21:"views.view.mt_isotope";i:708;s:20:"views.view.mt_latest";i:709;s:42:"block.block.views_block__mt_latest_block_4";i:710;s:42:"block.block.views_block__mt_latest_block_1";i:711;s:55:"block.block.showcaseplus_views_block__mt_latest_block_3";i:712;s:55:"block.block.showcaseplus_views_block__mt_latest_block_1";i:713;s:27:"views.view.mt_photo_gallery";i:714;s:49:"block.block.views_block__mt_photo_gallery_block_1";i:715;s:26:"views.view.mt_popular_tags";i:716;s:61:"block.block.showcaseplus_views_block__mt_popular_tags_block_1";i:717;s:28:"views.view.mt_pricing_tables";i:718;s:50:"block.block.views_block__mt_pricing_tables_block_1";i:719;s:63:"block.block.showcaseplus_views_block__mt_pricing_tables_block_1";i:720;s:26:"views.view.mt_product_tags";i:721;s:61:"block.block.showcaseplus_views_block__mt_product_tags_block_1";i:722;s:22:"views.view.mt_products";i:723;s:44:"block.block.views_block__mt_products_block_1";i:724;s:53:"block.block.showcaseplus_exposedformmt_productspage_3";i:725;s:53:"block.block.showcaseplus_exposedformmt_productspage_2";i:726;s:53:"block.block.showcaseplus_exposedformmt_productspage_1";i:727;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:728;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:729;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:730;s:31:"views.view.mt_products_carousel";i:731;s:66:"block.block.showcaseplus_views_block__mt_products_carousel_block_1";i:732;s:27:"views.view.mt_products_list";i:733;s:62:"block.block.showcaseplus_views_block__mt_products_list_block_1";i:734;s:30:"views.view.mt_products_masonry";i:735;s:65:"block.block.showcaseplus_views_block__mt_products_masonry_block_1";i:736;s:28:"views.view.mt_promoted_posts";i:737;s:50:"block.block.views_block__mt_promoted_posts_block_2";i:738;s:36:"views.view.mt_related_nodes_carousel";i:739;s:71:"block.block.showcaseplus_views_block__mt_related_nodes_carousel_block_1";i:740;s:22:"views.view.mt_services";i:741;s:27:"views.view.mt_services_list";i:742;s:23:"views.view.mt_showcases";i:743;s:36:"views.view.mt_showcases_grid_style_2";i:744;s:58:"block.block.views_block__mt_showcases_grid_style_2_block_1";i:745;s:28:"views.view.mt_showcases_list";i:746;s:50:"block.block.views_block__mt_showcases_list_block_1";i:747;s:35:"views.view.mt_slideshow_boxed_width";i:748;s:70:"block.block.showcaseplus_views_block__mt_slideshow_boxed_width_block_1";i:749;s:35:"views.view.mt_slideshow_full_screen";i:750;s:70:"block.block.showcaseplus_views_block__mt_slideshow_full_screen_block_1";i:751;s:34:"views.view.mt_slideshow_full_width";i:752;s:69:"block.block.showcaseplus_views_block__mt_slideshow_full_width_block_1";i:753;s:31:"views.view.mt_team_members_grid";i:754;s:33:"views.view.mt_team_members_grid_2";i:755;s:31:"views.view.mt_team_members_list";i:756;s:53:"block.block.views_block__mt_team_members_list_block_1";i:757;s:26:"views.view.mt_testimonials";i:758;s:61:"block.block.showcaseplus_views_block__mt_testimonials_block_2";i:759;s:61:"block.block.showcaseplus_views_block__mt_testimonials_block_1";i:760;s:35:"views.view.mt_testimonials_carousel";i:761;s:57:"block.block.views_block__mt_testimonials_carousel_block_1";i:762;s:31:"views.view.mt_testimonials_grid";i:763;s:53:"block.block.views_block__mt_testimonials_grid_block_1";i:764;s:24:"filter.format.basic_html";i:765;s:24:"editor.editor.basic_html";i:766;s:33:"views.view.mt_testimonials_grid_2";i:767;s:23:"filter.format.full_html";i:768;s:34:"views.view.mt_testimonials_masonry";i:769;s:23:"editor.editor.full_html";i:770;s:20:"views.view.mt_videos";i:771;s:24:"filter.format.plain_text";i:772;s:24:"views.view.taxonomy_term";i:773;s:22:"filter.format.raw_html";i:774;s:28:"views.view.user_admin_people";i:775;s:29:"filter.format.restricted_html";i:776;s:20:"views.view.who_s_new";i:777;s:23:"automated_cron.settings";i:778;s:14:"dblog.settings";i:779;s:17:"field_ui.settings";i:780;s:15:"filter.settings";i:781;s:20:"shortcut.set.default";i:782;s:18:"tour.tour.views-ui";i:783;s:15:"update.settings";i:784;s:23:"views.view.who_s_online";}}s:14:"\0*\0targetNames";a:1:{s:0:"";a:784:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:37:"block_content.type.mt_dropdowns_block";i:6;s:47:"block_content.type.mt_fancy_linked_images_block";i:7;s:38:"block_content.type.mt_fancy_tabs_block";i:8;s:32:"block_content.type.mt_fltt_block";i:9;s:33:"block_content.type.mt_google_maps";i:10;s:42:"block_content.type.mt_main_slideshow_block";i:11;s:38:"block_content.type.mt_media_tabs_block";i:12;s:43:"block_content.type.mt_nodes_slideshow_block";i:13;s:32:"block_content.type.mt_tabs_block";i:14;s:41:"block_content.type.mt_video_gallery_block";i:15;s:20:"comment.type.comment";i:16;s:24:"contact.form.alternative";i:17;s:21:"contact.form.feedback";i:18;s:21:"contact.form.personal";i:19;s:16:"contact.settings";i:20;s:25:"core.date_format.fallback";i:21;s:26:"core.date_format.html_date";i:22;s:30:"core.date_format.html_datetime";i:23;s:27:"core.date_format.html_month";i:24;s:26:"core.date_format.html_time";i:25;s:26:"core.date_format.html_week";i:26;s:26:"core.date_format.html_year";i:27;s:35:"core.date_format.html_yearless_date";i:28;s:21:"core.date_format.long";i:29;s:23:"core.date_format.medium";i:30;s:22:"core.date_format.short";i:31;s:60:"core.entity_form_display.contact_message.alternative.default";i:32;s:57:"core.entity_form_display.contact_message.feedback.default";i:33;s:57:"core.entity_form_display.contact_message.personal.default";i:34;s:60:"core.entity_view_display.contact_message.alternative.default";i:35;s:40:"core.entity_view_mode.block_content.full";i:36;s:34:"core.entity_view_mode.comment.full";i:37;s:14:"core.extension";i:38;s:36:"core.menu.static_menu_link_overrides";i:39;s:26:"block.block.servicesbanner";i:40;s:26:"block.block.productsbanner";i:41;s:28:"block.block.languageswitcher";i:42;s:37:"block.block.howprofessionalisourstaff";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:36:"block.block.corporateplus_page_title";i:45;s:37:"block.block.corporateplus_local_tasks";i:46;s:39:"block.block.corporateplus_local_actions";i:47;s:40:"block.block.corporateplus_iconssubfooter";i:48;s:35:"block.block.corporateplus_copyright";i:49;s:27:"block.block.contactusbanner";i:50;s:24:"block.block.calltoaction";i:51;s:22:"block.block.blogbanner";i:52;s:25:"block.block.aboutusbanner";i:53;s:22:"corporateplus.settings";i:54;s:14:"field.settings";i:55;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:56;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:57;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:58;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:59;s:52:"field.storage.block_content.field_mt_block_reference";i:60;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:61;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:62;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:63;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:64;s:45:"field.storage.block_content.field_mt_latitude";i:65;s:58:"field.field.block_content.mt_google_maps.field_mt_latitude";i:66;s:46:"field.storage.block_content.field_mt_longitude";i:67;s:59:"field.field.block_content.mt_google_maps.field_mt_longitude";i:68;s:45:"field.storage.block_content.field_mt_map_zoom";i:69;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:70;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:71;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:72;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:73;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:74;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:75;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:76;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:77;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:78;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:79;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:80;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:81;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:82;s:13:"file.settings";i:83;s:33:"core.entity_view_mode.font.teaser";i:84;s:31:"core.entity_view_mode.font.full";i:85;s:37:"fontyourface.font_display.mt_headings";i:86;s:38:"fontyourface.font_display.mt_paragraph";i:87;s:38:"fontyourface.font_display.mt_site_name";i:88;s:40:"fontyourface.font_display.mt_site_slogan";i:89;s:21:"fontyourface.settings";i:90;s:23:"block.block.bartik_help";i:91;s:53:"field.storage.block_content.field_mt_background_image";i:92;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:93;s:14:"image.settings";i:94;s:17:"image.style.large";i:95;s:18:"image.style.medium";i:96;s:21:"image.style.mt_brands";i:97;s:24:"image.style.mt_fli_image";i:98;s:20:"image.style.mt_icons";i:99;s:30:"image.style.mt_landscape_image";i:100;s:30:"image.style.mt_media_tab_image";i:101;s:27:"image.style.mt_member_photo";i:102;s:29:"image.style.mt_portrait_image";i:103;s:28:"image.style.mt_product_image";i:104;s:30:"image.style.mt_slideshow_boxed";i:105;s:35:"image.style.mt_slideshow_fullscreen";i:106;s:32:"image.style.mt_testimonial_image";i:107;s:38:"image.style.mt_video_gallery_thumbnail";i:108;s:21:"image.style.thumbnail";i:109;s:16:"menu_ui.settings";i:110;s:43:"field.storage.node.field_mt_twitter_account";i:111;s:45:"field.storage.node.field_mt_testimonial_image";i:112;s:36:"field.storage.node.field_mt_subtitle";i:113;s:42:"field.storage.node.field_mt_slideshow_path";i:114;s:43:"field.storage.node.field_mt_slideshow_image";i:115;s:37:"field.storage.node.field_mt_slideshow";i:116;s:40:"field.storage.node.field_mt_product_code";i:117;s:46:"field.storage.node.field_mt_pricing_table_item";i:118;s:33:"field.storage.node.field_mt_price";i:119;s:40:"field.storage.node.field_mt_most_popular";i:120;s:40:"field.storage.node.field_mt_member_photo";i:121;s:44:"field.storage.node.field_mt_linkedin_account";i:122;s:43:"field.storage.node.field_mt_landscape_image";i:123;s:48:"field.storage.node.field_mt_font_awesome_classes";i:124;s:44:"field.storage.node.field_mt_facebook_account";i:125;s:36:"field.storage.node.field_mt_buy_link";i:126;s:44:"field.storage.node.field_mt_bg_video_youtube";i:127;s:43:"field.storage.node.field_mt_bg_video_volume";i:128;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:129;s:40:"field.storage.node.field_mt_banner_image";i:130;s:30:"field.storage.node.field_image";i:131;s:26:"field.storage.node.comment";i:132;s:45:"field.storage.block_content.field_mt_ns_slide";i:133;s:33:"core.entity_view_mode.node.teaser";i:134;s:40:"core.entity_view_mode.node.search_result";i:135;s:39:"core.entity_view_mode.node.search_index";i:136;s:30:"core.entity_view_mode.node.rss";i:137;s:40:"core.entity_view_mode.node.mt_slide_view";i:138;s:31:"core.entity_view_mode.node.full";i:139;s:13:"node.settings";i:140;s:17:"node.type.article";i:141;s:49:"field.field.node.article.field_mt_slideshow_image";i:142;s:43:"field.field.node.article.field_mt_slideshow";i:143;s:46:"field.field.node.article.field_mt_banner_image";i:144;s:36:"field.field.node.article.field_image";i:145;s:32:"field.field.node.article.comment";i:146;s:20:"node.type.mt_benefit";i:147;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:148;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:149;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:150;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:151;s:39:"field.field.node.mt_benefit.field_image";i:152;s:20:"node.type.mt_product";i:153;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:154;s:46:"field.field.node.mt_product.field_mt_slideshow";i:155;s:49:"field.field.node.mt_product.field_mt_product_code";i:156;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:157;s:42:"field.field.node.mt_product.field_mt_price";i:158;s:49:"field.field.node.mt_product.field_mt_most_popular";i:159;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:160;s:45:"field.field.node.mt_product.field_mt_buy_link";i:161;s:49:"field.field.node.mt_product.field_mt_banner_image";i:162;s:39:"field.field.node.mt_product.field_image";i:163;s:35:"field.field.node.mt_product.comment";i:164;s:20:"node.type.mt_service";i:165;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:166;s:46:"field.field.node.mt_service.field_mt_slideshow";i:167;s:42:"field.field.node.mt_service.field_mt_price";i:168;s:45:"field.field.node.mt_service.field_mt_buy_link";i:169;s:49:"field.field.node.mt_service.field_mt_banner_image";i:170;s:39:"field.field.node.mt_service.field_image";i:171;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:172;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:173;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:174;s:21:"node.type.mt_showcase";i:175;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:176;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:177;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:178;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:179;s:40:"field.field.node.mt_showcase.field_image";i:180;s:36:"field.field.node.mt_showcase.comment";i:181;s:28:"node.type.mt_slideshow_entry";i:182;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:183;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:184;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:185;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:186;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:187;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:188;s:24:"node.type.mt_team_member";i:189;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:190;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:191;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:192;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:193;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:194;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:195;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:196;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:197;s:52:"core.base_field_override.node.mt_team_member.promote";i:198;s:24:"node.type.mt_testimonial";i:199;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:200;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:201;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:202;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:203;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:204;s:14:"node.type.page";i:205;s:46:"field.field.node.page.field_mt_slideshow_image";i:206;s:40:"field.field.node.page.field_mt_slideshow";i:207;s:43:"field.field.node.page.field_mt_banner_image";i:208;s:42:"core.base_field_override.node.page.promote";i:209;s:48:"field.storage.node.field_mt_product_availability";i:210;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:211;s:46:"field.storage.block_content.field_mt_ms_effect";i:212;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:213;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:222;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:223;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:225;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:226;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:227;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:228;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:229;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:230;s:42:"field.storage.paragraph.field_mt_tab_title";i:231;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:232;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:233;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:234;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:235;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:236;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:237;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:238;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:239;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:240;s:44:"field.storage.paragraph.field_mt_media_title";i:241;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:242;s:44:"field.storage.paragraph.field_mt_media_image";i:243;s:45:"field.storage.paragraph.field_mt_media_button";i:244;s:43:"field.storage.paragraph.field_mt_fltt_title";i:245;s:42:"field.storage.paragraph.field_mt_fltt_link";i:246;s:42:"field.storage.paragraph.field_mt_fli_title";i:247;s:42:"field.storage.paragraph.field_mt_fli_shape";i:248;s:41:"field.storage.paragraph.field_mt_fli_link";i:249;s:42:"field.storage.paragraph.field_mt_fli_image";i:250;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:251;s:44:"field.storage.paragraph.field_mt_fancy_title";i:252;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:253;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:254;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:255;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:256;s:47:"field.storage.paragraph.field_mt_collapse_title";i:257;s:40:"field.storage.node.field_mt_content_tabs";i:258;s:45:"field.storage.node.field_mt_content_collapses";i:259;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:260;s:46:"field.storage.block_content.field_mt_media_tab";i:261;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:262;s:41:"field.storage.block_content.field_mt_fltt";i:263;s:46:"field.storage.block_content.field_mt_fancy_tab";i:264;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:265;s:45:"field.storage.block_content.field_mt_dropdown";i:266;s:39:"core.entity_view_mode.paragraph.preview";i:267;s:38:"paragraphs.paragraphs_type.mt_collapse";i:268;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:269;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:270;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:271;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:272;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:273;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:274;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:275;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:276;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:277;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:278;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:279;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:280;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:281;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:282;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:283;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:284;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:285;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:286;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:287;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:288;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:289;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:290;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:291;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:292;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:293;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:294;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:295;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:296;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:297;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:298;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:299;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:300;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:301;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:302;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:303;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:304;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:305;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:306;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:307;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:308;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:309;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:310;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:311;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:312;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:313;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:314;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:315;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:316;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:317;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:318;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:319;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:320;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:321;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:322;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:323;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:324;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:325;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:326;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:327;s:33:"paragraphs.paragraphs_type.mt_tab";i:328;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:329;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:330;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:331;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:332;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:333;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:334;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:335;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:336;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:337;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:338;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:339;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:340;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:341;s:27:"rdf.mapping.comment.comment";i:342;s:24:"rdf.mapping.node.article";i:343;s:21:"rdf.mapping.node.page";i:344;s:24:"block.block.searchform_4";i:345;s:25:"block.block.bartik_search";i:346;s:23:"search.page.node_search";i:347;s:15:"search.settings";i:348;s:39:"block.block.seven_secondary_local_tasks";i:349;s:37:"block.block.seven_primary_local_tasks";i:350;s:28:"block.block.seven_page_title";i:351;s:31:"block.block.seven_local_actions";i:352;s:22:"block.block.seven_help";i:353;s:14:"seven.settings";i:354;s:30:"block.block.stillhavequestions";i:355;s:27:"block.block.showcasesbanner";i:356;s:34:"block.block.showcaseplus_subscribe";i:357;s:40:"block.block.showcaseplus_socialbookmarks";i:358;s:44:"block.block.showcaseplus_signupfortextalerts";i:359;s:43:"block.block.showcaseplus_popularsalesstatic";i:360;s:36:"block.block.showcaseplus_local_tasks";i:361;s:38:"block.block.showcaseplus_local_actions";i:362;s:39:"block.block.showcaseplus_iconssubfooter";i:363;s:34:"block.block.showcaseplus_copyright";i:364;s:21:"showcaseplus.settings";i:365;s:18:"superfish.settings";i:366;s:17:"block.block.whyme";i:367;s:31:"block.block.videogalleryblock_2";i:368;s:29:"block.block.videogalleryblock";i:369;s:34:"block.block.testimonialscarousel_2";i:370;s:34:"block.block.tellusaboutyourproject";i:371;s:23:"block.block.socialmedia";i:372;s:23:"block.block.sociallinks";i:373;s:24:"block.block.sitebranding";i:374;s:35:"block.block.showcaseplus_textblocks";i:375;s:36:"block.block.showcaseplus_sidebartabs";i:376;s:31:"block.block.showcaseplus_search";i:377;s:56:"block.block.showcaseplus_productslayoutswithergridactive";i:378;s:57:"block.block.showcaseplus_productslayoutswitcherlistactive";i:379;s:35:"block.block.showcaseplus_page_title";i:380;s:33:"block.block.showcaseplus_messages";i:381;s:33:"block.block.showcaseplus_infotext";i:382;s:37:"block.block.showcaseplus_genericblock";i:383;s:38:"block.block.showcaseplus_frontpagetabs";i:384;s:49:"block.block.showcaseplus_footercustomsitebranding";i:385;s:42:"block.block.showcaseplus_fancylinkedimages";i:386;s:35:"block.block.showcaseplus_fancyblock";i:387;s:36:"block.block.showcaseplus_creditcards";i:388;s:32:"block.block.showcaseplus_content";i:389;s:45:"block.block.showcaseplus_contactinfoheadertop";i:390;s:36:"block.block.showcaseplus_contactinfo";i:391;s:39:"block.block.showcaseplus_contactdetails";i:392;s:43:"block.block.showcaseplus_connectwithuslarge";i:393;s:36:"block.block.showcaseplus_breadcrumbs";i:394;s:33:"block.block.showcaseplus_branding";i:395;s:39:"block.block.showcaseplus_blockwithimage";i:396;s:45:"block.block.showcaseplus_backgroundimageblock";i:397;s:37:"block.block.showcaseplus_announcement";i:398;s:26:"block.block.seven_messages";i:399;s:25:"block.block.seven_content";i:400;s:29:"block.block.seven_breadcrumbs";i:401;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:402;s:24:"block.block.searchform_3";i:403;s:24:"block.block.searchform_2";i:404;s:22:"block.block.searchform";i:405;s:27:"block.block.poweredbydrupal";i:406;s:25:"block.block.ournewsletter";i:407;s:19:"block.block.mystory";i:408;s:20:"block.block.mediatab";i:409;s:39:"block.block.interestedininvestingwithus";i:410;s:26:"block.block.iconssubfooter";i:411;s:22:"block.block.highlights";i:412;s:27:"block.block.headerdropdowns";i:413;s:29:"block.block.googlemapbanner_3";i:414;s:29:"block.block.googlemapbanner_2";i:415;s:27:"block.block.googlemapbanner";i:416;s:30:"block.block.fullwidthslideshow";i:417;s:42:"block.block.footerbottomcustomsitebranding";i:418;s:35:"block.block.featuredlinkedtexttiles";i:419;s:22:"block.block.fancyblock";i:420;s:32:"block.block.corporateplus_search";i:421;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:422;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:423;s:34:"block.block.corporateplus_messages";i:424;s:34:"block.block.corporateplus_infotext";i:425;s:38:"block.block.corporateplus_genericblock";i:426;s:39:"block.block.corporateplus_frontpagetabs";i:427;s:50:"block.block.corporateplus_footercustomsitebranding";i:428;s:43:"block.block.corporateplus_fancylinkedimages";i:429;s:36:"block.block.corporateplus_fancyblock";i:430;s:37:"block.block.corporateplus_creditcards";i:431;s:33:"block.block.corporateplus_content";i:432;s:46:"block.block.corporateplus_contactinfoheadertop";i:433;s:37:"block.block.corporateplus_contactinfo";i:434;s:40:"block.block.corporateplus_contactdetails";i:435;s:44:"block.block.corporateplus_connectwithuslarge";i:436;s:37:"block.block.corporateplus_breadcrumbs";i:437;s:34:"block.block.corporateplus_branding";i:438;s:40:"block.block.corporateplus_blockwithimage";i:439;s:46:"block.block.corporateplus_backgroundimageblock";i:440;s:38:"block.block.corporateplus_announcement";i:441;s:31:"block.block.contactinfoslideout";i:442;s:32:"block.block.contactinfoheadertop";i:443;s:29:"block.block.contactinfoheader";i:444;s:32:"block.block.contactinfofootertop";i:445;s:41:"block.block.contactinfocontactalternative";i:446;s:25:"block.block.calltoaction2";i:447;s:26:"block.block.bartik_powered";i:448;s:27:"block.block.bartik_messages";i:449;s:26:"block.block.bartik_content";i:450;s:30:"block.block.bartik_breadcrumbs";i:451;s:27:"block.block.bartik_branding";i:452;s:41:"block.block.backgroundimageblockshowcases";i:453;s:40:"block.block.backgroundimageblockservices";i:454;s:40:"block.block.backgroundimageblockproducts";i:455;s:37:"block.block.backgroundimageblockcta_2";i:456;s:35:"block.block.backgroundimageblockcta";i:457;s:41:"block.block.backgroundimageblockcontactus";i:458;s:39:"block.block.backgroundimageblockclients";i:459;s:36:"block.block.backgroundimageblockblog";i:460;s:39:"block.block.backgroundimageblockaboutus";i:461;s:41:"block.block.areyoulookingforagreatservice";i:462;s:29:"block.block.aboutuscontenttop";i:463;s:19:"block.block.aboutus";i:464;s:21:"block.block.aboutme_2";i:465;s:19:"block.block.aboutme";i:466;s:36:"system.action.comment_publish_action";i:467;s:33:"system.action.comment_save_action";i:468;s:38:"system.action.comment_unpublish_action";i:469;s:32:"system.action.node_delete_action";i:470;s:37:"system.action.node_make_sticky_action";i:471;s:39:"system.action.node_make_unsticky_action";i:472;s:33:"system.action.node_promote_action";i:473;s:33:"system.action.node_publish_action";i:474;s:30:"system.action.node_save_action";i:475;s:35:"system.action.node_unpromote_action";i:476;s:35:"system.action.node_unpublish_action";i:477;s:16:"system.authorize";i:478;s:11:"system.cron";i:479;s:11:"system.date";i:480;s:11:"system.diff";i:481;s:11:"system.file";i:482;s:12:"system.image";i:483;s:15:"system.image.gd";i:484;s:14:"system.logging";i:485;s:11:"system.mail";i:486;s:18:"system.maintenance";i:487;s:19:"system.menu.account";i:488;s:37:"block.block.showcaseplus_account_menu";i:489;s:38:"block.block.corporateplus_account_menu";i:490;s:31:"block.block.bartik_account_menu";i:491;s:17:"system.menu.admin";i:492;s:18:"system.menu.footer";i:493;s:31:"block.block.showcaseplus_footer";i:494;s:32:"block.block.corporateplus_footer";i:495;s:25:"block.block.bartik_footer";i:496;s:16:"system.menu.main";i:497;s:34:"block.block.showcaseplus_main_menu";i:498;s:41:"block.block.showcaseplus_mainnavigation_2";i:499;s:28:"block.block.mainnavigation_4";i:500;s:28:"block.block.mainnavigation_3";i:501;s:28:"block.block.mainnavigation_2";i:502;s:26:"block.block.mainnavigation";i:503;s:35:"block.block.corporateplus_main_menu";i:504;s:42:"block.block.corporateplus_mainnavigation_2";i:505;s:28:"block.block.bartik_main_menu";i:506;s:32:"system.menu.mt-footer-menu-three";i:507;s:36:"block.block.showcaseplus_usefullinks";i:508;s:30:"system.menu.mt-footer-menu-two";i:509;s:34:"block.block.showcaseplus_questions";i:510;s:35:"block.block.corporateplus_questions";i:511;s:24:"system.menu.mt-mega-menu";i:512;s:20:"block.block.megamenu";i:513;s:29:"system.menu.mt-subfooter-menu";i:514;s:34:"block.block.showcaseplus_subfooter";i:515;s:17:"system.menu.tools";i:516;s:30:"block.block.showcaseplus_tools";i:517;s:31:"block.block.corporateplus_tools";i:518;s:24:"block.block.bartik_tools";i:519;s:18:"system.performance";i:520;s:10:"system.rss";i:521;s:11:"system.site";i:522;s:12:"system.theme";i:523;s:19:"system.theme.global";i:524;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:525;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:526;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:527;s:29:"field.storage.node.field_tags";i:528;s:41:"field.storage.node.field_mt_showcase_tags";i:529;s:40:"field.storage.node.field_mt_service_tags";i:530;s:41:"field.storage.node.field_mt_products_tags";i:531;s:39:"field.storage.node.field_mt_collections";i:532;s:40:"field.storage.node.field_mt_clients_tags";i:533;s:29:"field.storage.font.field_tags";i:534;s:44:"field.storage.font.field_supported_languages";i:535;s:39:"field.storage.font.field_classification";i:536;s:40:"core.entity_view_mode.taxonomy_term.full";i:537;s:17:"taxonomy.settings";i:538;s:39:"taxonomy.vocabulary.font_classification";i:539;s:42:"field.field.font.font.field_classification";i:540;s:33:"taxonomy.vocabulary.font_designer";i:541;s:32:"taxonomy.vocabulary.font_foundry";i:542;s:29:"taxonomy.vocabulary.font_tags";i:543;s:32:"field.field.font.font.field_tags";i:544;s:39:"taxonomy.vocabulary.languages_supported";i:545;s:47:"field.field.font.font.field_supported_languages";i:546;s:34:"taxonomy.vocabulary.mt_brands_tags";i:547;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:548;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:549;s:34:"taxonomy.vocabulary.mt_collections";i:550;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:551;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:552;s:48:"field.field.node.mt_product.field_mt_collections";i:553;s:35:"taxonomy.vocabulary.mt_product_tags";i:554;s:50:"field.field.node.mt_product.field_mt_products_tags";i:555;s:35:"taxonomy.vocabulary.mt_service_tags";i:556;s:49:"field.field.node.mt_service.field_mt_service_tags";i:557;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:558;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:559;s:24:"taxonomy.vocabulary.tags";i:560;s:30:"rdf.mapping.taxonomy_term.tags";i:561;s:38:"field.field.node.mt_benefit.field_tags";i:562;s:35:"field.field.node.article.field_tags";i:563;s:44:"field.storage.paragraph.field_mt_tab_content";i:564;s:43:"field.storage.paragraph.field_mt_media_body";i:565;s:42:"field.storage.paragraph.field_mt_fltt_body";i:566;s:46:"field.storage.paragraph.field_mt_collapse_body";i:567;s:42:"field.storage.node.field_mt_subheader_body";i:568;s:42:"field.storage.node.field_mt_slideshow_text";i:569;s:43:"field.storage.node.field_mt_content_sidebar";i:570;s:23:"field.storage.node.body";i:571;s:34:"field.storage.comment.comment_body";i:572;s:32:"field.storage.block_content.body";i:573;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:574;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:575;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:576;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:577;s:45:"field.field.node.page.field_mt_subheader_body";i:578;s:45:"field.field.node.page.field_mt_slideshow_text";i:579;s:26:"field.field.node.page.body";i:580;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:581;s:36:"field.field.node.mt_testimonial.body";i:582;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:583;s:36:"field.field.node.mt_team_member.body";i:584;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:585;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:586;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:587;s:33:"field.field.node.mt_showcase.body";i:588;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:589;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:590;s:32:"field.field.node.mt_service.body";i:591;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:592;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:593;s:52:"field.field.node.mt_product.field_mt_content_sidebar";i:594;s:32:"field.field.node.mt_product.body";i:595;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:596;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:597;s:32:"field.field.node.mt_benefit.body";i:598;s:48:"field.field.node.article.field_mt_slideshow_text";i:599;s:29:"field.field.node.article.body";i:600;s:40:"field.field.comment.comment.comment_body";i:601;s:36:"field.field.block_content.basic.body";i:602;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:603;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:604;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:605;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:606;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:607;s:48:"core.entity_view_display.comment.comment.default";i:608;s:52:"core.entity_view_display.block_content.basic.default";i:609;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:610;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:611;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:612;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:613;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:614;s:42:"core.entity_form_display.node.page.default";i:615;s:52:"core.entity_form_display.node.mt_testimonial.default";i:616;s:52:"core.entity_form_display.node.mt_team_member.default";i:617;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:618;s:45:"core.entity_form_display.node.article.default";i:619;s:48:"core.entity_form_display.comment.comment.default";i:620;s:52:"core.entity_form_display.block_content.basic.default";i:621;s:13:"text.settings";i:622;s:38:"system.action.user_unblock_user_action";i:623;s:37:"system.action.user_cancel_user_action";i:624;s:36:"system.action.user_block_user_action";i:625;s:23:"search.page.user_search";i:626;s:21:"rdf.mapping.user.user";i:627;s:31:"field.storage.user.user_picture";i:628;s:34:"field.field.user.user.user_picture";i:629;s:31:"core.entity_view_mode.user.full";i:630;s:34:"core.entity_view_mode.user.compact";i:631;s:42:"core.entity_view_display.user.user.default";i:632;s:42:"core.entity_view_display.user.user.compact";i:633;s:41:"core.entity_view_display.node.page.teaser";i:634;s:42:"core.entity_view_display.node.page.default";i:635;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:636;s:52:"core.entity_view_display.node.mt_testimonial.default";i:637;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:638;s:52:"core.entity_view_display.node.mt_team_member.default";i:639;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:640;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:641;s:44:"core.entity_view_display.node.article.teaser";i:642;s:41:"core.entity_view_display.node.article.rss";i:643;s:45:"core.entity_view_display.node.article.default";i:644;s:35:"core.entity_form_mode.user.register";i:645;s:42:"core.entity_form_display.user.user.default";i:646;s:23:"block.block.seven_login";i:647;s:10:"user.flood";i:648;s:9:"user.mail";i:649;s:23:"user.role.administrator";i:650;s:51:"system.action.user_remove_role_action.administrator";i:651;s:48:"system.action.user_add_role_action.administrator";i:652;s:19:"user.role.anonymous";i:653;s:23:"user.role.authenticated";i:654;s:13:"user.settings";i:655;s:44:"field.storage.paragraph.field_mt_media_video";i:656;s:33:"field.storage.node.field_mt_video";i:657;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:658;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:659;s:43:"field.field.node.mt_showcase.field_mt_video";i:660;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:661;s:42:"field.field.node.mt_service.field_mt_video";i:662;s:47:"core.entity_view_display.node.mt_service.teaser";i:663;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:664;s:42:"field.field.node.mt_product.field_mt_video";i:665;s:47:"core.entity_view_display.node.mt_product.teaser";i:666;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:667;s:42:"field.field.node.mt_benefit.field_mt_video";i:668;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:669;s:49:"core.entity_view_display.node.mt_showcase.default";i:670;s:48:"core.entity_view_display.node.mt_service.default";i:671;s:48:"core.entity_view_display.node.mt_product.default";i:672;s:48:"core.entity_view_display.node.mt_benefit.default";i:673;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:674;s:49:"core.entity_form_display.node.mt_showcase.default";i:675;s:48:"core.entity_form_display.node.mt_service.default";i:676;s:48:"core.entity_form_display.node.mt_product.default";i:677;s:48:"core.entity_form_display.node.mt_benefit.default";i:678;s:14:"views.settings";i:679;s:18:"views.view.archive";i:680;s:24:"views.view.block_content";i:681;s:26:"views.view.comments_recent";i:682;s:18:"views.view.content";i:683;s:25:"views.view.content_recent";i:684;s:16:"views.view.files";i:685;s:36:"views.view.fontyourface_font_manager";i:686;s:20:"views.view.frontpage";i:687;s:19:"views.view.glossary";i:688;s:22:"views.view.mt_articles";i:689;s:31:"views.view.mt_articles_carousel";i:690;s:53:"block.block.views_block__mt_articles_carousel_block_1";i:691;s:27:"views.view.mt_articles_grid";i:692;s:49:"block.block.views_block__mt_articles_grid_block_1";i:693;s:27:"views.view.mt_articles_list";i:694;s:22:"views.view.mt_benefits";i:695;s:57:"block.block.showcaseplus_views_block__mt_benefits_block_1";i:696;s:29:"views.view.mt_brands_carousel";i:697;s:64:"block.block.showcaseplus_views_block__mt_brands_carousel_block_1";i:698;s:25:"views.view.mt_brands_grid";i:699;s:34:"views.view.mt_collections_carousel";i:700;s:69:"block.block.showcaseplus_views_block__mt_collections_carousel_block_1";i:701;s:30:"views.view.mt_collections_grid";i:702;s:33:"views.view.mt_collections_masonry";i:703;s:68:"block.block.showcaseplus_views_block__mt_collections_masonry_block_1";i:704;s:29:"views.view.mt_internal_banner";i:705;s:64:"block.block.showcaseplus_views_block__mt_internal_banner_block_1";i:706;s:21:"views.view.mt_isotope";i:707;s:20:"views.view.mt_latest";i:708;s:42:"block.block.views_block__mt_latest_block_4";i:709;s:42:"block.block.views_block__mt_latest_block_1";i:710;s:55:"block.block.showcaseplus_views_block__mt_latest_block_3";i:711;s:55:"block.block.showcaseplus_views_block__mt_latest_block_1";i:712;s:27:"views.view.mt_photo_gallery";i:713;s:49:"block.block.views_block__mt_photo_gallery_block_1";i:714;s:26:"views.view.mt_popular_tags";i:715;s:61:"block.block.showcaseplus_views_block__mt_popular_tags_block_1";i:716;s:28:"views.view.mt_pricing_tables";i:717;s:50:"block.block.views_block__mt_pricing_tables_block_1";i:718;s:63:"block.block.showcaseplus_views_block__mt_pricing_tables_block_1";i:719;s:26:"views.view.mt_product_tags";i:720;s:61:"block.block.showcaseplus_views_block__mt_product_tags_block_1";i:721;s:22:"views.view.mt_products";i:722;s:44:"block.block.views_block__mt_products_block_1";i:723;s:53:"block.block.showcaseplus_exposedformmt_productspage_3";i:724;s:53:"block.block.showcaseplus_exposedformmt_productspage_2";i:725;s:53:"block.block.showcaseplus_exposedformmt_productspage_1";i:726;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:727;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:728;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:729;s:31:"views.view.mt_products_carousel";i:730;s:66:"block.block.showcaseplus_views_block__mt_products_carousel_block_1";i:731;s:27:"views.view.mt_products_list";i:732;s:62:"block.block.showcaseplus_views_block__mt_products_list_block_1";i:733;s:30:"views.view.mt_products_masonry";i:734;s:65:"block.block.showcaseplus_views_block__mt_products_masonry_block_1";i:735;s:28:"views.view.mt_promoted_posts";i:736;s:50:"block.block.views_block__mt_promoted_posts_block_2";i:737;s:36:"views.view.mt_related_nodes_carousel";i:738;s:71:"block.block.showcaseplus_views_block__mt_related_nodes_carousel_block_1";i:739;s:22:"views.view.mt_services";i:740;s:27:"views.view.mt_services_list";i:741;s:23:"views.view.mt_showcases";i:742;s:36:"views.view.mt_showcases_grid_style_2";i:743;s:58:"block.block.views_block__mt_showcases_grid_style_2_block_1";i:744;s:28:"views.view.mt_showcases_list";i:745;s:50:"block.block.views_block__mt_showcases_list_block_1";i:746;s:35:"views.view.mt_slideshow_boxed_width";i:747;s:70:"block.block.showcaseplus_views_block__mt_slideshow_boxed_width_block_1";i:748;s:35:"views.view.mt_slideshow_full_screen";i:749;s:70:"block.block.showcaseplus_views_block__mt_slideshow_full_screen_block_1";i:750;s:34:"views.view.mt_slideshow_full_width";i:751;s:69:"block.block.showcaseplus_views_block__mt_slideshow_full_width_block_1";i:752;s:31:"views.view.mt_team_members_grid";i:753;s:33:"views.view.mt_team_members_grid_2";i:754;s:31:"views.view.mt_team_members_list";i:755;s:53:"block.block.views_block__mt_team_members_list_block_1";i:756;s:26:"views.view.mt_testimonials";i:757;s:61:"block.block.showcaseplus_views_block__mt_testimonials_block_2";i:758;s:61:"block.block.showcaseplus_views_block__mt_testimonials_block_1";i:759;s:35:"views.view.mt_testimonials_carousel";i:760;s:57:"block.block.views_block__mt_testimonials_carousel_block_1";i:761;s:31:"views.view.mt_testimonials_grid";i:762;s:53:"block.block.views_block__mt_testimonials_grid_block_1";i:763;s:24:"filter.format.basic_html";i:764;s:24:"editor.editor.basic_html";i:765;s:33:"views.view.mt_testimonials_grid_2";i:766;s:23:"filter.format.full_html";i:767;s:34:"views.view.mt_testimonials_masonry";i:768;s:23:"editor.editor.full_html";i:769;s:20:"views.view.mt_videos";i:770;s:24:"filter.format.plain_text";i:771;s:24:"views.view.taxonomy_term";i:772;s:22:"filter.format.raw_html";i:773;s:28:"views.view.user_admin_people";i:774;s:29:"filter.format.restricted_html";i:775;s:20:"views.view.who_s_new";i:776;s:23:"automated_cron.settings";i:777;s:14:"dblog.settings";i:778;s:17:"field_ui.settings";i:779;s:15:"filter.settings";i:780;s:20:"shortcut.set.default";i:781;s:18:"tour.tour.views-ui";i:782;s:15:"update.settings";i:783;s:23:"views.view.who_s_online";}}s:21:"\0*\0sourceCacheStorage";r:560;s:21:"\0*\0targetCacheStorage";r:566;s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:10:"\0*\0buttons";a:1:{i:0;a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:104;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}}s:12:"\0*\0temporary";a:0:{}s:22:"\0*\0validation_complete";b:1;s:9:"\0*\0errors";a:0:{}s:26:"\0*\0limit_validation_errors";N;s:20:"\0*\0validate_handlers";a:0:{}s:18:"\0*\0submit_handlers";a:0:{}}s:11:"progressive";b:1;s:11:"current_set";i:0;s:3:"url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:22:"system.batch_page.html";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:10:"source_url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:5:"query";a:0:{}}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:14:"batch_redirect";N;s:5:"theme";s:5:"seven";s:17:"redirect_callback";N;s:2:"id";s:3:"328";s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Please continue to <a href=":error_url">the error page</a>";s:12:"\0*\0arguments";a:1:{s:10:":error_url";s:58:"/mtt_themes/corporateplus/site/d8/batch?id=328&op=finished";}s:10:"\0*\0options";a:0:{}}}');
INSERT INTO `batch` VALUES
(494, 'G76j1ujse6ni-f1BkR69zAQ2oEG7K9Ju8brV9f8eLEM', 1504693526, 'a:13:{s:4:"sets";a:1:{i:0;a:13:{s:7:"sandbox";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:42:"block.block.views_block__mt_latest_block_1";a:12:{s:4:"uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_1";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";r:7;}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";s:16:"default_langcode";}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:0:{}s:14:"\0*\0targetNames";a:0:{}s:21:"\0*\0sourceCacheStorage";s:2:"id";s:21:"\0*\0targetCacheStorage";s:4:"uuid";s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:7:"results";a:0:{}s:7:"success";b:0;s:5:"start";d:1504693527.619594097137451171875;s:7:"elapsed";i:0;s:8:"finished";a:2:{i:0;s:29:"Drupal\\config\\Form\\ConfigSync";i:1;s:11:"finishBatch";}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Importing configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"init_message";s:41:"Starting configuration import.<br/>&nbsp;";s:16:"progress_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Completed @current step of @total.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Configuration import has encountered an error.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"total";i:3;s:5:"count";i:3;s:5:"queue";a:2:{s:4:"name";s:18:"drupal_batch:494:0";s:5:"class";s:23:"Drupal\\Core\\Queue\\Batch";}}}s:16:"has_form_submits";b:0;s:10:"form_state";O:26:"Drupal\\Core\\Form\\FormState":33:{s:16:"\0*\0complete_form";a:32:{s:11:"#attributes";a:2:{s:5:"class";a:2:{i:0;s:25:"config-single-import-form";i:1;s:12:"confirmation";}s:20:"data-drupal-selector";s:25:"config-single-import-form";}s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Are you sure you want to update the %name @type?";s:12:"\0*\0arguments";a:2:{s:5:"%name";s:30:"views_block__mt_latest_block_1";s:5:"@type";s:5:"block";}s:10:"\0*\0options";a:0:{}}s:11:"description";a:14:{s:7:"#markup";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"This action cannot be undone.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:11:"description";}s:14:"#array_parents";a:1:{i:0;s:11:"description";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:16:"edit-description";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:16:"edit-description";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"confirm";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";i:1;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"confirm";}s:14:"#array_parents";a:1:{i:0;s:7:"confirm";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:12:"edit-confirm";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-confirm";s:5:"#name";s:7:"confirm";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"actions";a:19:{s:5:"#type";s:7:"actions";s:6:"submit";a:27:{s:5:"#type";s:6:"submit";s:6:"#value";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Confirm";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"cancel";a:19:{s:5:"#type";s:4:"link";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Cancel";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:2:{s:5:"class";a:1:{i:0;s:6:"button";}s:20:"data-drupal-selector";s:11:"edit-cancel";}s:4:"#url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:26:"url.query_args:destination";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"cancel";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"cancel";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-cancel";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"actions";}s:14:"#array_parents";a:1:{i:0;s:7:"actions";}s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:2:{s:20:"data-drupal-selector";s:12:"edit-actions";s:5:"class";a:1:{i:0;s:12:"form-actions";}}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-actions";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#theme";s:12:"confirm_form";s:8:"#form_id";s:25:"config_single_import_form";s:9:"#build_id";s:48:"form-ZLKyuh-syGh03gmo5P241ua8EEd5lZEVC3fHVl--mWY";s:5:"#type";s:4:"form";s:9:"#attached";a:2:{s:12:"placeholders";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:40:"form_builder:renderPlaceholderFormAction";i:1;a:0:{}}}}s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";b:1;}}}s:7:"#action";s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";s:13:"form_build_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:48:"form-ZLKyuh-syGh03gmo5P241ua8EEd5lZEVC3fHVl--mWY";s:3:"#id";s:48:"form-ZLKyuh-syGh03gmo5P241ua8EEd5lZEVC3fHVl--mWY";s:5:"#name";s:13:"form_build_id";s:8:"#parents";a:1:{i:0;s:13:"form_build_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:13:"form_build_id";}s:7:"#weight";d:0.003000000000000000062450045135165055398829281330108642578125;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:47:"form-zlkyuh-sygh03gmo5p241ua8eed5lzevc3fhvl-mwy";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:24:"user.roles:authenticated";}}s:6:"#token";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:10:"form_token";a:25:{s:3:"#id";s:41:"edit-config-single-import-form-form-token";s:5:"#type";s:5:"token";s:14:"#default_value";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:8:"#parents";a:1:{i:0;s:10:"form_token";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:39:"form_builder:renderFormTokenPlaceholder";i:1;a:1:{i:0;s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";}}}}}s:6:"#cache";a:1:{s:7:"max-age";i:0;}s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:10:"form_token";}s:7:"#weight";d:0.0040000000000000000832667268468867405317723751068115234375;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:41:"edit-config-single-import-form-form-token";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:10:"form_token";s:6:"#value";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:17:"#needs_validation";b:1;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"form_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:25:"config_single_import_form";s:3:"#id";s:30:"edit-config-single-import-form";s:8:"#parents";a:1:{i:0;s:7:"form_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:7:"form_id";}s:7:"#weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:30:"edit-config-single-import-form";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:7:"form_id";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:3:"#id";s:25:"config-single-import-form";s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:0:{}s:9:"#validate";a:1:{i:0;s:14:"::validateForm";}s:7:"#submit";a:1:{i:0;s:12:"::submitForm";}s:12:"#cache_token";s:43:"4K8lU3cTOvfXX3BxDKUKMxwdYH0F3_QMe95QCIGz3zU";s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:14:"#array_parents";a:0:{}s:10:"#validated";b:1;}s:13:"\0*\0build_info";a:4:{s:4:"args";a:0:{}s:5:"files";a:0:{}s:15:"callback_object";O:41:"Drupal\\config\\Form\\ConfigSingleImportForm":9:{s:15:"\0*\0configExists";O:25:"Drupal\\block\\Entity\\Block":24:{s:5:"\0*\0id";s:30:"views_block__mt_latest_block_1";s:11:"\0*\0settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:9:"\0*\0region";s:24:"hidden_blocks_collection";s:9:"\0*\0weight";i:0;s:9:"\0*\0plugin";s:29:"views_block:mt_latest-block_1";s:13:"\0*\0visibility";a:0:{}s:11:"\0*\0contexts";a:0:{}s:8:"\0*\0theme";s:13:"corporateplus";s:13:"\0*\0originalId";s:30:"views_block__mt_latest_block_1";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:5:"block";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:1:{s:22:"conditionPluginManager";s:24:"plugin.manager.condition";}s:15:"\0*\0dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:13:"corporateplus";}}s:8:"provider";N;}s:7:"\0*\0data";a:9:{s:11:"config_type";s:5:"block";s:11:"config_name";s:0:"";s:6:"import";a:12:{s:4:"uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_1";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}s:16:"custom_entity_id";s:0:"";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Import";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-VVEzu35uVkuoURnkRLJJqvqGJ1ITsCP0Ml2JwHkramA";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:44:"Drupal\\block_content\\BlockContentViewBuilder";}s:16:"\0*\0configFactory";N;s:13:"\0*\0routeMatch";N;s:14:"\0*\0_serviceIds";a:12:{s:13:"entityManager";s:14:"entity.manager";s:13:"configStorage";s:14:"config.storage";s:8:"renderer";s:8:"renderer";s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:12:"requestStack";s:13:"request_stack";s:17:"stringTranslation";s:18:"string_translation";}s:16:"\0*\0linkGenerator";N;s:16:"\0*\0loggerFactory";N;s:22:"\0*\0redirectDestination";N;s:15:"\0*\0urlGenerator";N;}s:7:"form_id";s:25:"config_single_import_form";}s:15:"\0*\0rebuild_info";a:0:{}s:10:"\0*\0rebuild";b:0;s:15:"\0*\0invalidToken";b:0;s:11:"\0*\0response";N;s:11:"\0*\0redirect";N;s:14:"\0*\0no_redirect";N;s:9:"\0*\0method";s:4:"POST";s:16:"\0*\0requestMethod";s:4:"POST";s:8:"\0*\0cache";b:1;s:11:"\0*\0no_cache";N;s:9:"\0*\0values";a:6:{s:7:"confirm";i:1;s:6:"submit";r:196;s:13:"form_build_id";s:48:"form-ZLKyuh-syGh03gmo5P241ua8EEd5lZEVC3fHVl--mWY";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";r:196;}s:17:"\0*\0cleanValueKeys";a:4:{i:0;s:7:"form_id";i:1;s:10:"form_token";i:2;s:13:"form_build_id";i:3;s:2:"op";}s:8:"\0*\0input";a:5:{s:7:"confirm";s:1:"1";s:13:"form_build_id";s:48:"form-ZLKyuh-syGh03gmo5P241ua8EEd5lZEVC3fHVl--mWY";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:7:"Confirm";}s:17:"\0*\0always_process";N;s:16:"\0*\0must_validate";N;s:13:"\0*\0programmed";b:0;s:33:"\0*\0programmed_bypass_access_check";b:1;s:16:"\0*\0process_input";b:1;s:12:"\0*\0submitted";b:1;s:11:"\0*\0executed";b:0;s:21:"\0*\0triggering_element";a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:196;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}s:19:"\0*\0has_file_element";N;s:9:"\0*\0groups";a:0:{}s:10:"\0*\0storage";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:42:"block.block.views_block__mt_latest_block_1";a:12:{s:4:"uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_1";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";a:0:{}}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";s:16:"default_langcode";}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:1:{i:0;s:42:"block.block.views_block__mt_latest_block_1";}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:1:{s:0:"";a:862:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:44:"block_content.type.mt_background_video_block";i:6;s:37:"block_content.type.mt_dropdowns_block";i:7;s:47:"block_content.type.mt_fancy_linked_images_block";i:8;s:38:"block_content.type.mt_fancy_tabs_block";i:9;s:32:"block_content.type.mt_fltt_block";i:10;s:33:"block_content.type.mt_google_maps";i:11;s:30:"block_content.type.mt_if_block";i:12;s:42:"block_content.type.mt_main_slideshow_block";i:13;s:38:"block_content.type.mt_media_tabs_block";i:14;s:43:"block_content.type.mt_nodes_slideshow_block";i:15;s:32:"block_content.type.mt_tabs_block";i:16;s:41:"block_content.type.mt_video_gallery_block";i:17;s:20:"comment.type.comment";i:18;s:24:"contact.form.alternative";i:19;s:21:"contact.form.feedback";i:20;s:21:"contact.form.personal";i:21;s:16:"contact.settings";i:22;s:25:"core.date_format.fallback";i:23;s:26:"core.date_format.html_date";i:24;s:30:"core.date_format.html_datetime";i:25;s:27:"core.date_format.html_month";i:26;s:26:"core.date_format.html_time";i:27;s:26:"core.date_format.html_week";i:28;s:26:"core.date_format.html_year";i:29;s:35:"core.date_format.html_yearless_date";i:30;s:21:"core.date_format.long";i:31;s:23:"core.date_format.medium";i:32;s:22:"core.date_format.short";i:33;s:60:"core.entity_form_display.contact_message.alternative.default";i:34;s:57:"core.entity_form_display.contact_message.feedback.default";i:35;s:57:"core.entity_form_display.contact_message.personal.default";i:36;s:60:"core.entity_view_display.contact_message.alternative.default";i:37;s:40:"core.entity_view_mode.block_content.full";i:38;s:34:"core.entity_view_mode.comment.full";i:39;s:14:"core.extension";i:40;s:36:"core.menu.static_menu_link_overrides";i:41;s:35:"block.block.corporateplus_subscribe";i:42;s:45:"block.block.corporateplus_signupfortextalerts";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:37:"block.block.corporateplus_local_tasks";i:45;s:39:"block.block.corporateplus_local_actions";i:46;s:40:"block.block.corporateplus_iconssubfooter";i:47;s:35:"block.block.corporateplus_copyright";i:48;s:22:"corporateplus.settings";i:49;s:14:"field.settings";i:50;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:51;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:52;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:53;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:54;s:52:"field.storage.block_content.field_mt_block_reference";i:55;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:56;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:57;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:58;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:59;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:60;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";i:61;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:62;s:45:"field.storage.block_content.field_mt_map_zoom";i:63;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:64;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:65;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:66;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:67;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:68;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:69;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:70;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:71;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:72;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:73;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:74;s:50:"field.storage.block_content.field_mt_bv_video_webm";i:75;s:49:"field.storage.block_content.field_mt_bv_video_mp4";i:76;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:77;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:78;s:13:"file.settings";i:79;s:33:"core.entity_view_mode.font.teaser";i:80;s:31:"core.entity_view_mode.font.full";i:81;s:37:"fontyourface.font_display.mt_headings";i:82;s:38:"fontyourface.font_display.mt_paragraph";i:83;s:38:"fontyourface.font_display.mt_site_name";i:84;s:40:"fontyourface.font_display.mt_site_slogan";i:85;s:21:"fontyourface.settings";i:86;s:23:"block.block.bartik_help";i:87;s:46:"field.storage.block_content.field_mt_bv_poster";i:88;s:53:"field.storage.block_content.field_mt_background_image";i:89;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:90;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:91;s:14:"image.settings";i:92;s:17:"image.style.large";i:93;s:18:"image.style.medium";i:94;s:21:"image.style.mt_brands";i:95;s:24:"image.style.mt_fli_image";i:96;s:20:"image.style.mt_icons";i:97;s:30:"image.style.mt_landscape_image";i:98;s:30:"image.style.mt_media_tab_image";i:99;s:27:"image.style.mt_member_photo";i:100;s:29:"image.style.mt_portrait_image";i:101;s:28:"image.style.mt_product_image";i:102;s:30:"image.style.mt_slideshow_boxed";i:103;s:35:"image.style.mt_slideshow_fullscreen";i:104;s:32:"image.style.mt_testimonial_image";i:105;s:38:"image.style.mt_video_gallery_thumbnail";i:106;s:21:"image.style.thumbnail";i:107;s:16:"menu_ui.settings";i:108;s:43:"field.storage.node.field_mt_twitter_account";i:109;s:45:"field.storage.node.field_mt_testimonial_image";i:110;s:36:"field.storage.node.field_mt_subtitle";i:111;s:42:"field.storage.node.field_mt_slideshow_path";i:112;s:43:"field.storage.node.field_mt_slideshow_image";i:113;s:37:"field.storage.node.field_mt_slideshow";i:114;s:40:"field.storage.node.field_mt_product_code";i:115;s:46:"field.storage.node.field_mt_pricing_table_item";i:116;s:33:"field.storage.node.field_mt_price";i:117;s:40:"field.storage.node.field_mt_most_popular";i:118;s:40:"field.storage.node.field_mt_member_photo";i:119;s:44:"field.storage.node.field_mt_linkedin_account";i:120;s:43:"field.storage.node.field_mt_landscape_image";i:121;s:48:"field.storage.node.field_mt_font_awesome_classes";i:122;s:44:"field.storage.node.field_mt_facebook_account";i:123;s:36:"field.storage.node.field_mt_buy_link";i:124;s:44:"field.storage.node.field_mt_bg_video_youtube";i:125;s:43:"field.storage.node.field_mt_bg_video_volume";i:126;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:127;s:40:"field.storage.node.field_mt_banner_image";i:128;s:30:"field.storage.node.field_image";i:129;s:26:"field.storage.node.comment";i:130;s:45:"field.storage.block_content.field_mt_ns_slide";i:131;s:33:"core.entity_view_mode.node.teaser";i:132;s:40:"core.entity_view_mode.node.search_result";i:133;s:39:"core.entity_view_mode.node.search_index";i:134;s:30:"core.entity_view_mode.node.rss";i:135;s:40:"core.entity_view_mode.node.mt_slide_view";i:136;s:31:"core.entity_view_mode.node.full";i:137;s:13:"node.settings";i:138;s:17:"node.type.article";i:139;s:49:"field.field.node.article.field_mt_slideshow_image";i:140;s:43:"field.field.node.article.field_mt_slideshow";i:141;s:46:"field.field.node.article.field_mt_banner_image";i:142;s:36:"field.field.node.article.field_image";i:143;s:32:"field.field.node.article.comment";i:144;s:20:"node.type.mt_benefit";i:145;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:146;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:147;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:148;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:149;s:39:"field.field.node.mt_benefit.field_image";i:150;s:20:"node.type.mt_product";i:151;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:152;s:46:"field.field.node.mt_product.field_mt_slideshow";i:153;s:49:"field.field.node.mt_product.field_mt_product_code";i:154;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:155;s:42:"field.field.node.mt_product.field_mt_price";i:156;s:49:"field.field.node.mt_product.field_mt_most_popular";i:157;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:158;s:45:"field.field.node.mt_product.field_mt_buy_link";i:159;s:49:"field.field.node.mt_product.field_mt_banner_image";i:160;s:39:"field.field.node.mt_product.field_image";i:161;s:35:"field.field.node.mt_product.comment";i:162;s:20:"node.type.mt_service";i:163;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:164;s:46:"field.field.node.mt_service.field_mt_slideshow";i:165;s:42:"field.field.node.mt_service.field_mt_price";i:166;s:45:"field.field.node.mt_service.field_mt_buy_link";i:167;s:49:"field.field.node.mt_service.field_mt_banner_image";i:168;s:39:"field.field.node.mt_service.field_image";i:169;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:170;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:171;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:172;s:21:"node.type.mt_showcase";i:173;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:174;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:175;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:176;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:177;s:40:"field.field.node.mt_showcase.field_image";i:178;s:36:"field.field.node.mt_showcase.comment";i:179;s:28:"node.type.mt_slideshow_entry";i:180;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:181;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:182;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:183;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:184;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:185;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:186;s:24:"node.type.mt_team_member";i:187;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:188;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:189;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:190;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:191;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:192;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:193;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:194;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:195;s:52:"core.base_field_override.node.mt_team_member.promote";i:196;s:24:"node.type.mt_testimonial";i:197;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:198;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:199;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:200;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:201;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:202;s:14:"node.type.page";i:203;s:46:"field.field.node.page.field_mt_slideshow_image";i:204;s:40:"field.field.node.page.field_mt_slideshow";i:205;s:43:"field.field.node.page.field_mt_banner_image";i:206;s:42:"core.base_field_override.node.page.promote";i:207;s:48:"field.storage.node.field_mt_product_availability";i:208;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:209;s:46:"field.storage.block_content.field_mt_ms_effect";i:210;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:211;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:212;s:53:"field.storage.block_content.field_mt_bv_overlay_color";i:213;s:51:"field.storage.block_content.field_mt_bv_layout_mode";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:222;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:223;s:72:"core.entity_view_display.block_content.mt_background_video_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_video_block.default";i:225;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:226;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:227;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:228;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:229;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:230;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:231;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:232;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:233;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:234;s:42:"field.storage.paragraph.field_mt_tab_title";i:235;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:236;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:237;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:238;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:239;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:240;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:241;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:242;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:243;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:244;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:245;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:246;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:247;s:44:"field.storage.paragraph.field_mt_media_title";i:248;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:249;s:44:"field.storage.paragraph.field_mt_media_image";i:250;s:45:"field.storage.paragraph.field_mt_media_button";i:251;s:41:"field.storage.paragraph.field_mt_if_title";i:252;s:40:"field.storage.paragraph.field_mt_if_link";i:253;s:41:"field.storage.paragraph.field_mt_if_image";i:254;s:40:"field.storage.paragraph.field_mt_if_icon";i:255;s:48:"field.storage.paragraph.field_mt_highlight_title";i:256;s:47:"field.storage.paragraph.field_mt_highlight_link";i:257;s:48:"field.storage.paragraph.field_mt_highlight_image";i:258;s:43:"field.storage.paragraph.field_mt_fltt_title";i:259;s:42:"field.storage.paragraph.field_mt_fltt_link";i:260;s:42:"field.storage.paragraph.field_mt_fli_title";i:261;s:42:"field.storage.paragraph.field_mt_fli_shape";i:262;s:41:"field.storage.paragraph.field_mt_fli_link";i:263;s:42:"field.storage.paragraph.field_mt_fli_image";i:264;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:265;s:44:"field.storage.paragraph.field_mt_fancy_title";i:266;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:267;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:268;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:269;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:270;s:47:"field.storage.paragraph.field_mt_collapse_title";i:271;s:37:"field.storage.node.field_mt_highlight";i:272;s:40:"field.storage.node.field_mt_content_tabs";i:273;s:45:"field.storage.node.field_mt_content_collapses";i:274;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:275;s:46:"field.storage.block_content.field_mt_media_tab";i:276;s:49:"field.storage.block_content.field_mt_map_location";i:277;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:278;s:39:"field.storage.block_content.field_mt_if";i:279;s:41:"field.storage.block_content.field_mt_fltt";i:280;s:46:"field.storage.block_content.field_mt_fancy_tab";i:281;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:282;s:45:"field.storage.block_content.field_mt_dropdown";i:283;s:39:"core.entity_view_mode.paragraph.preview";i:284;s:38:"paragraphs.paragraphs_type.mt_collapse";i:285;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:286;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:287;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:288;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:289;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:290;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:291;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:292;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:293;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:294;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:295;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:296;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:297;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:298;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:299;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:300;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:301;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:302;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:303;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:304;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:305;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:306;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:307;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:308;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:309;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:310;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:311;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:312;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:313;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:314;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:315;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:316;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:317;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:318;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:319;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:320;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:321;s:39:"paragraphs.paragraphs_type.mt_highlight";i:322;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:323;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:324;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:325;s:46:"field.field.node.mt_service.field_mt_highlight";i:326;s:46:"field.field.node.mt_product.field_mt_highlight";i:327;s:43:"paragraphs.paragraphs_type.mt_icon_features";i:328;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:329;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:330;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:331;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_icon";i:332;s:49:"field.field.block_content.mt_if_block.field_mt_if";i:333;s:58:"core.entity_view_display.block_content.mt_if_block.default";i:334;s:58:"core.entity_form_display.block_content.mt_if_block.default";i:335;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:336;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:337;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:338;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:339;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:340;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:341;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:342;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:343;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:344;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:345;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:346;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:347;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:348;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:349;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:350;s:42:"paragraphs.paragraphs_type.mt_map_location";i:351;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:352;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:353;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:354;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:355;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:356;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:357;s:58:"core.entity_view_display.paragraph.mt_map_location.default";i:358;s:58:"core.entity_form_display.paragraph.mt_map_location.default";i:359;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:360;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:361;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:362;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:363;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:364;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:365;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:366;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:367;s:33:"paragraphs.paragraphs_type.mt_tab";i:368;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:369;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:370;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:371;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:372;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:373;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:374;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:375;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:376;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:377;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:378;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:379;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:380;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:381;s:27:"rdf.mapping.comment.comment";i:382;s:24:"rdf.mapping.node.article";i:383;s:21:"rdf.mapping.node.page";i:384;s:25:"block.block.bartik_search";i:385;s:23:"search.page.node_search";i:386;s:15:"search.settings";i:387;s:39:"block.block.seven_secondary_local_tasks";i:388;s:37:"block.block.seven_primary_local_tasks";i:389;s:28:"block.block.seven_page_title";i:390;s:31:"block.block.seven_local_actions";i:391;s:22:"block.block.seven_help";i:392;s:14:"seven.settings";i:393;s:18:"superfish.settings";i:394;s:17:"block.block.whyme";i:395;s:26:"block.block.seven_messages";i:396;s:25:"block.block.seven_content";i:397;s:29:"block.block.seven_breadcrumbs";i:398;s:36:"block.block.corporateplus_textblocks";i:399;s:41:"block.block.corporateplus_socialbookmarks";i:400;s:37:"block.block.corporateplus_sidebartabs";i:401;s:32:"block.block.corporateplus_search";i:402;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:403;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:404;s:36:"block.block.corporateplus_page_title";i:405;s:34:"block.block.corporateplus_messages";i:406;s:34:"block.block.corporateplus_infotext";i:407;s:38:"block.block.corporateplus_genericblock";i:408;s:39:"block.block.corporateplus_frontpagetabs";i:409;s:43:"block.block.corporateplus_fancylinkedimages";i:410;s:36:"block.block.corporateplus_fancyblock";i:411;s:33:"block.block.corporateplus_content";i:412;s:46:"block.block.corporateplus_contactinfoheadertop";i:413;s:37:"block.block.corporateplus_contactinfo";i:414;s:40:"block.block.corporateplus_contactdetails";i:415;s:44:"block.block.corporateplus_connectwithuslarge";i:416;s:37:"block.block.corporateplus_breadcrumbs";i:417;s:34:"block.block.corporateplus_branding";i:418;s:40:"block.block.corporateplus_blockwithimage";i:419;s:46:"block.block.corporateplus_backgroundimageblock";i:420;s:38:"block.block.corporateplus_announcement";i:421;s:26:"block.block.bartik_powered";i:422;s:27:"block.block.bartik_messages";i:423;s:26:"block.block.bartik_content";i:424;s:30:"block.block.bartik_breadcrumbs";i:425;s:27:"block.block.bartik_branding";i:426;s:36:"system.action.comment_publish_action";i:427;s:33:"system.action.comment_save_action";i:428;s:38:"system.action.comment_unpublish_action";i:429;s:32:"system.action.node_delete_action";i:430;s:37:"system.action.node_make_sticky_action";i:431;s:39:"system.action.node_make_unsticky_action";i:432;s:33:"system.action.node_promote_action";i:433;s:33:"system.action.node_publish_action";i:434;s:30:"system.action.node_save_action";i:435;s:35:"system.action.node_unpromote_action";i:436;s:35:"system.action.node_unpublish_action";i:437;s:16:"system.authorize";i:438;s:11:"system.cron";i:439;s:11:"system.date";i:440;s:11:"system.diff";i:441;s:11:"system.file";i:442;s:12:"system.image";i:443;s:15:"system.image.gd";i:444;s:14:"system.logging";i:445;s:11:"system.mail";i:446;s:18:"system.maintenance";i:447;s:19:"system.menu.account";i:448;s:38:"block.block.corporateplus_account_menu";i:449;s:31:"block.block.bartik_account_menu";i:450;s:17:"system.menu.admin";i:451;s:18:"system.menu.footer";i:452;s:32:"block.block.corporateplus_footer";i:453;s:25:"block.block.bartik_footer";i:454;s:35:"system.menu.landing-page-navigation";i:455;s:16:"system.menu.main";i:456;s:35:"block.block.corporateplus_main_menu";i:457;s:42:"block.block.corporateplus_mainnavigation_2";i:458;s:28:"block.block.bartik_main_menu";i:459;s:32:"system.menu.mt-footer-menu-three";i:460;s:30:"system.menu.mt-footer-menu-two";i:461;s:35:"block.block.corporateplus_questions";i:462;s:24:"system.menu.mt-mega-menu";i:463;s:29:"system.menu.mt-subfooter-menu";i:464;s:35:"block.block.corporateplus_subfooter";i:465;s:17:"system.menu.tools";i:466;s:31:"block.block.corporateplus_tools";i:467;s:24:"block.block.bartik_tools";i:468;s:18:"system.performance";i:469;s:10:"system.rss";i:470;s:11:"system.site";i:471;s:12:"system.theme";i:472;s:19:"system.theme.global";i:473;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:474;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:475;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:476;s:29:"field.storage.node.field_tags";i:477;s:41:"field.storage.node.field_mt_showcase_tags";i:478;s:40:"field.storage.node.field_mt_service_tags";i:479;s:41:"field.storage.node.field_mt_products_tags";i:480;s:39:"field.storage.node.field_mt_collections";i:481;s:40:"field.storage.node.field_mt_clients_tags";i:482;s:29:"field.storage.font.field_tags";i:483;s:44:"field.storage.font.field_supported_languages";i:484;s:39:"field.storage.font.field_classification";i:485;s:40:"core.entity_view_mode.taxonomy_term.full";i:486;s:17:"taxonomy.settings";i:487;s:39:"taxonomy.vocabulary.font_classification";i:488;s:42:"field.field.font.font.field_classification";i:489;s:33:"taxonomy.vocabulary.font_designer";i:490;s:32:"taxonomy.vocabulary.font_foundry";i:491;s:29:"taxonomy.vocabulary.font_tags";i:492;s:32:"field.field.font.font.field_tags";i:493;s:39:"taxonomy.vocabulary.languages_supported";i:494;s:47:"field.field.font.font.field_supported_languages";i:495;s:34:"taxonomy.vocabulary.mt_brands_tags";i:496;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:497;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:498;s:34:"taxonomy.vocabulary.mt_collections";i:499;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:500;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:501;s:48:"field.field.node.mt_product.field_mt_collections";i:502;s:35:"taxonomy.vocabulary.mt_product_tags";i:503;s:50:"field.field.node.mt_product.field_mt_products_tags";i:504;s:35:"taxonomy.vocabulary.mt_service_tags";i:505;s:49:"field.field.node.mt_service.field_mt_service_tags";i:506;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:507;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:508;s:24:"taxonomy.vocabulary.tags";i:509;s:30:"rdf.mapping.taxonomy_term.tags";i:510;s:38:"field.field.node.mt_benefit.field_tags";i:511;s:35:"field.field.node.article.field_tags";i:512;s:44:"field.storage.paragraph.field_mt_tab_content";i:513;s:43:"field.storage.paragraph.field_mt_media_body";i:514;s:40:"field.storage.paragraph.field_mt_if_body";i:515;s:47:"field.storage.paragraph.field_mt_highlight_body";i:516;s:42:"field.storage.paragraph.field_mt_fltt_body";i:517;s:46:"field.storage.paragraph.field_mt_collapse_body";i:518;s:42:"field.storage.node.field_mt_subheader_body";i:519;s:42:"field.storage.node.field_mt_slideshow_text";i:520;s:23:"field.storage.node.body";i:521;s:34:"field.storage.comment.comment_body";i:522;s:32:"field.storage.block_content.body";i:523;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:524;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:525;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:526;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:527;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:528;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:529;s:45:"field.field.node.page.field_mt_subheader_body";i:530;s:45:"field.field.node.page.field_mt_slideshow_text";i:531;s:26:"field.field.node.page.body";i:532;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:533;s:36:"field.field.node.mt_testimonial.body";i:534;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:535;s:36:"field.field.node.mt_team_member.body";i:536;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:537;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:538;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:539;s:33:"field.field.node.mt_showcase.body";i:540;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:541;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:542;s:32:"field.field.node.mt_service.body";i:543;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:544;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:545;s:32:"field.field.node.mt_product.body";i:546;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:547;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:548;s:32:"field.field.node.mt_benefit.body";i:549;s:48:"field.field.node.article.field_mt_slideshow_text";i:550;s:29:"field.field.node.article.body";i:551;s:40:"field.field.comment.comment.comment_body";i:552;s:36:"field.field.block_content.basic.body";i:553;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:554;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:555;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:556;s:59:"core.entity_view_display.paragraph.mt_icon_features.default";i:557;s:55:"core.entity_view_display.paragraph.mt_highlight.default";i:558;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:559;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:560;s:48:"core.entity_view_display.comment.comment.default";i:561;s:52:"core.entity_view_display.block_content.basic.default";i:562;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:563;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:564;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:565;s:59:"core.entity_form_display.paragraph.mt_icon_features.default";i:566;s:55:"core.entity_form_display.paragraph.mt_highlight.default";i:567;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:568;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:569;s:42:"core.entity_form_display.node.page.default";i:570;s:52:"core.entity_form_display.node.mt_testimonial.default";i:571;s:52:"core.entity_form_display.node.mt_team_member.default";i:572;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:573;s:45:"core.entity_form_display.node.article.default";i:574;s:48:"core.entity_form_display.comment.comment.default";i:575;s:52:"core.entity_form_display.block_content.basic.default";i:576;s:13:"text.settings";i:577;s:31:"block.block.videogalleryblock_2";i:578;s:29:"block.block.videogalleryblock";i:579;s:32:"block.block.videobackgroundblock";i:580;s:26:"block.block.uniquefeatures";i:581;s:25:"block.block.topplus_tools";i:582;s:30:"block.block.topplus_textblocks";i:583;s:29:"block.block.topplus_subscribe";i:584;s:29:"block.block.topplus_subfooter";i:585;s:35:"block.block.topplus_socialbookmarks";i:586;s:39:"block.block.topplus_signupfortextalerts";i:587;s:31:"block.block.topplus_sidebartabs";i:588;s:26:"block.block.topplus_search";i:589;s:29:"block.block.topplus_questions";i:590;s:51:"block.block.topplus_productslayoutswithergridactive";i:591;s:52:"block.block.topplus_productslayoutswitcherlistactive";i:592;s:27:"block.block.topplus_powered";i:593;s:38:"block.block.topplus_popularsalesstatic";i:594;s:30:"block.block.topplus_page_title";i:595;s:28:"block.block.topplus_messages";i:596;s:29:"block.block.topplus_main_menu";i:597;s:36:"block.block.topplus_mainnavigation_2";i:598;s:31:"block.block.topplus_local_tasks";i:599;s:33:"block.block.topplus_local_actions";i:600;s:28:"block.block.topplus_infotext";i:601;s:34:"block.block.topplus_iconssubfooter";i:602;s:24:"block.block.topplus_help";i:603;s:32:"block.block.topplus_genericblock";i:604;s:33:"block.block.topplus_frontpagetabs";i:605;s:26:"block.block.topplus_footer";i:606;s:37:"block.block.topplus_fancylinkedimages";i:607;s:30:"block.block.topplus_fancyblock";i:608;s:29:"block.block.topplus_copyright";i:609;s:27:"block.block.topplus_content";i:610;s:40:"block.block.topplus_contactinfoheadertop";i:611;s:31:"block.block.topplus_contactinfo";i:612;s:34:"block.block.topplus_contactdetails";i:613;s:38:"block.block.topplus_connectwithuslarge";i:614;s:31:"block.block.topplus_breadcrumbs";i:615;s:28:"block.block.topplus_branding";i:616;s:34:"block.block.topplus_blockwithimage";i:617;s:40:"block.block.topplus_backgroundimageblock";i:618;s:32:"block.block.topplus_announcement";i:619;s:32:"block.block.topplus_account_menu";i:620;s:34:"block.block.testimonialscarousel_2";i:621;s:34:"block.block.tellusaboutyourproject";i:622;s:21:"block.block.subscribe";i:623;s:30:"block.block.stillhavequestions";i:624;s:23:"block.block.socialmedia";i:625;s:23:"block.block.sociallinks";i:626;s:36:"block.block.socialbookmarksfootertop";i:627;s:24:"block.block.sitebranding";i:628;s:27:"block.block.showcasesbanner";i:629;s:26:"block.block.servicesbanner";i:630;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:631;s:24:"block.block.searchform_4";i:632;s:24:"block.block.searchform_3";i:633;s:24:"block.block.searchform_2";i:634;s:22:"block.block.searchform";i:635;s:26:"block.block.productsbanner";i:636;s:27:"block.block.poweredbydrupal";i:637;s:25:"block.block.ournewsletter";i:638;s:19:"block.block.mystory";i:639;s:20:"block.block.megamenu";i:640;s:20:"block.block.mediatab";i:641;s:28:"block.block.mainnavigation_4";i:642;s:28:"block.block.mainnavigation_3";i:643;s:28:"block.block.mainnavigation_2";i:644;s:28:"block.block.languageswitcher";i:645;s:35:"block.block.landingpagenavigation_2";i:646;s:39:"block.block.interestedininvestingwithus";i:647;s:26:"block.block.iconssubfooter";i:648;s:37:"block.block.howprofessionalisourstaff";i:649;s:22:"block.block.highlights";i:650;s:27:"block.block.headerdropdowns";i:651;s:29:"block.block.googlemapbanner_3";i:652;s:29:"block.block.googlemapbanner_2";i:653;s:27:"block.block.googlemapbanner";i:654;s:30:"block.block.fullwidthslideshow";i:655;s:44:"block.block.footerbottomcustomsitebranding_2";i:656;s:42:"block.block.footerbottomcustomsitebranding";i:657;s:22:"block.block.fancyblock";i:658;s:23:"block.block.creditcards";i:659;s:27:"block.block.contactusbanner";i:660;s:31:"block.block.contactinfoslideout";i:661;s:29:"block.block.contactinfoheader";i:662;s:32:"block.block.contactinfofootertop";i:663;s:41:"block.block.contactinfocontactalternative";i:664;s:26:"block.block.calltoaction_2";i:665;s:25:"block.block.calltoaction2";i:666;s:24:"block.block.calltoaction";i:667;s:22:"block.block.blogbanner";i:668;s:41:"block.block.backgroundimageblockshowcases";i:669;s:40:"block.block.backgroundimageblockservices";i:670;s:40:"block.block.backgroundimageblockproducts";i:671;s:35:"block.block.backgroundimageblockcta";i:672;s:41:"block.block.backgroundimageblockcontactus";i:673;s:39:"block.block.backgroundimageblockclients";i:674;s:36:"block.block.backgroundimageblockblog";i:675;s:39:"block.block.backgroundimageblockaboutus";i:676;s:41:"block.block.areyoulookingforagreatservice";i:677;s:29:"block.block.aboutuscontenttop";i:678;s:25:"block.block.aboutusbanner";i:679;s:19:"block.block.aboutus";i:680;s:19:"block.block.aboutme";i:681;s:16:"topplus.settings";i:682;s:38:"system.action.user_unblock_user_action";i:683;s:37:"system.action.user_cancel_user_action";i:684;s:36:"system.action.user_block_user_action";i:685;s:23:"search.page.user_search";i:686;s:21:"rdf.mapping.user.user";i:687;s:31:"field.storage.user.user_picture";i:688;s:34:"field.field.user.user.user_picture";i:689;s:31:"core.entity_view_mode.user.full";i:690;s:34:"core.entity_view_mode.user.compact";i:691;s:42:"core.entity_view_display.user.user.default";i:692;s:42:"core.entity_view_display.user.user.compact";i:693;s:41:"core.entity_view_display.node.page.teaser";i:694;s:42:"core.entity_view_display.node.page.default";i:695;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:696;s:52:"core.entity_view_display.node.mt_testimonial.default";i:697;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:698;s:52:"core.entity_view_display.node.mt_team_member.default";i:699;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:700;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:701;s:44:"core.entity_view_display.node.article.teaser";i:702;s:41:"core.entity_view_display.node.article.rss";i:703;s:45:"core.entity_view_display.node.article.default";i:704;s:35:"core.entity_form_mode.user.register";i:705;s:42:"core.entity_form_display.user.user.default";i:706;s:23:"block.block.seven_login";i:707;s:10:"user.flood";i:708;s:9:"user.mail";i:709;s:23:"user.role.administrator";i:710;s:51:"system.action.user_remove_role_action.administrator";i:711;s:48:"system.action.user_add_role_action.administrator";i:712;s:19:"user.role.anonymous";i:713;s:23:"user.role.authenticated";i:714;s:13:"user.settings";i:715;s:44:"field.storage.paragraph.field_mt_media_video";i:716;s:33:"field.storage.node.field_mt_video";i:717;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:718;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:719;s:43:"field.field.node.mt_showcase.field_mt_video";i:720;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:721;s:42:"field.field.node.mt_service.field_mt_video";i:722;s:47:"core.entity_view_display.node.mt_service.teaser";i:723;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:724;s:42:"field.field.node.mt_product.field_mt_video";i:725;s:47:"core.entity_view_display.node.mt_product.teaser";i:726;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:727;s:42:"field.field.node.mt_benefit.field_mt_video";i:728;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:729;s:49:"core.entity_view_display.node.mt_showcase.default";i:730;s:48:"core.entity_view_display.node.mt_service.default";i:731;s:48:"core.entity_view_display.node.mt_product.default";i:732;s:48:"core.entity_view_display.node.mt_benefit.default";i:733;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:734;s:49:"core.entity_form_display.node.mt_showcase.default";i:735;s:48:"core.entity_form_display.node.mt_service.default";i:736;s:48:"core.entity_form_display.node.mt_product.default";i:737;s:48:"core.entity_form_display.node.mt_benefit.default";i:738;s:14:"views.settings";i:739;s:18:"views.view.archive";i:740;s:24:"views.view.block_content";i:741;s:26:"views.view.comments_recent";i:742;s:18:"views.view.content";i:743;s:25:"views.view.content_recent";i:744;s:16:"views.view.files";i:745;s:36:"views.view.fontyourface_font_manager";i:746;s:20:"views.view.frontpage";i:747;s:19:"views.view.glossary";i:748;s:22:"views.view.mt_articles";i:749;s:31:"views.view.mt_articles_carousel";i:750;s:55:"block.block.views_block__mt_articles_carousel_block_1_2";i:751;s:27:"views.view.mt_articles_grid";i:752;s:27:"views.view.mt_articles_list";i:753;s:29:"views.view.mt_articles_list_2";i:754;s:51:"block.block.views_block__mt_articles_list_2_block_1";i:755;s:22:"views.view.mt_benefits";i:756;s:44:"block.block.views_block__mt_benefits_block_1";i:757;s:52:"block.block.topplus_views_block__mt_benefits_block_1";i:758;s:58:"block.block.corporateplus_views_block__mt_benefits_block_1";i:759;s:29:"views.view.mt_brands_carousel";i:760;s:59:"block.block.topplus_views_block__mt_brands_carousel_block_1";i:761;s:65:"block.block.corporateplus_views_block__mt_brands_carousel_block_1";i:762;s:25:"views.view.mt_brands_grid";i:763;s:34:"views.view.mt_collections_carousel";i:764;s:64:"block.block.topplus_views_block__mt_collections_carousel_block_1";i:765;s:70:"block.block.corporateplus_views_block__mt_collections_carousel_block_1";i:766;s:30:"views.view.mt_collections_grid";i:767;s:33:"views.view.mt_collections_masonry";i:768;s:63:"block.block.topplus_views_block__mt_collections_masonry_block_1";i:769;s:69:"block.block.corporateplus_views_block__mt_collections_masonry_block_1";i:770;s:29:"views.view.mt_internal_banner";i:771;s:59:"block.block.topplus_views_block__mt_internal_banner_block_1";i:772;s:65:"block.block.corporateplus_views_block__mt_internal_banner_block_1";i:773;s:21:"views.view.mt_isotope";i:774;s:20:"views.view.mt_latest";i:775;s:42:"block.block.views_block__mt_latest_block_3";i:776;s:42:"block.block.views_block__mt_latest_block_1";i:777;s:50:"block.block.topplus_views_block__mt_latest_block_3";i:778;s:50:"block.block.topplus_views_block__mt_latest_block_1";i:779;s:56:"block.block.corporateplus_views_block__mt_latest_block_3";i:780;s:56:"block.block.corporateplus_views_block__mt_latest_block_1";i:781;s:27:"views.view.mt_photo_gallery";i:782;s:51:"block.block.views_block__mt_photo_gallery_block_1_2";i:783;s:26:"views.view.mt_popular_tags";i:784;s:56:"block.block.topplus_views_block__mt_popular_tags_block_1";i:785;s:62:"block.block.corporateplus_views_block__mt_popular_tags_block_1";i:786;s:28:"views.view.mt_pricing_tables";i:787;s:58:"block.block.topplus_views_block__mt_pricing_tables_block_1";i:788;s:64:"block.block.corporateplus_views_block__mt_pricing_tables_block_1";i:789;s:26:"views.view.mt_product_tags";i:790;s:56:"block.block.topplus_views_block__mt_product_tags_block_1";i:791;s:62:"block.block.corporateplus_views_block__mt_product_tags_block_1";i:792;s:22:"views.view.mt_products";i:793;s:48:"block.block.topplus_exposedformmt_productspage_3";i:794;s:48:"block.block.topplus_exposedformmt_productspage_2";i:795;s:48:"block.block.topplus_exposedformmt_productspage_1";i:796;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:797;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:798;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:799;s:31:"views.view.mt_products_carousel";i:800;s:27:"views.view.mt_products_list";i:801;s:57:"block.block.topplus_views_block__mt_products_list_block_1";i:802;s:63:"block.block.corporateplus_views_block__mt_products_list_block_1";i:803;s:30:"views.view.mt_products_masonry";i:804;s:60:"block.block.topplus_views_block__mt_products_masonry_block_1";i:805;s:66:"block.block.corporateplus_views_block__mt_products_masonry_block_1";i:806;s:28:"views.view.mt_promoted_posts";i:807;s:37:"views.view.mt_promoted_posts_carousel";i:808;s:59:"block.block.views_block__mt_promoted_posts_carousel_block_1";i:809;s:36:"views.view.mt_related_nodes_carousel";i:810;s:66:"block.block.topplus_views_block__mt_related_nodes_carousel_block_1";i:811;s:72:"block.block.corporateplus_views_block__mt_related_nodes_carousel_block_1";i:812;s:22:"views.view.mt_services";i:813;s:27:"views.view.mt_services_list";i:814;s:23:"views.view.mt_showcases";i:815;s:45:"block.block.views_block__mt_showcases_block_2";i:816;s:36:"views.view.mt_showcases_grid_style_2";i:817;s:28:"views.view.mt_showcases_list";i:818;s:52:"block.block.views_block__mt_showcases_list_block_1_2";i:819;s:35:"views.view.mt_slideshow_boxed_width";i:820;s:65:"block.block.topplus_views_block__mt_slideshow_boxed_width_block_1";i:821;s:71:"block.block.corporateplus_views_block__mt_slideshow_boxed_width_block_1";i:822;s:35:"views.view.mt_slideshow_full_screen";i:823;s:65:"block.block.topplus_views_block__mt_slideshow_full_screen_block_1";i:824;s:71:"block.block.corporateplus_views_block__mt_slideshow_full_screen_block_1";i:825;s:34:"views.view.mt_slideshow_full_width";i:826;s:64:"block.block.topplus_views_block__mt_slideshow_full_width_block_1";i:827;s:70:"block.block.corporateplus_views_block__mt_slideshow_full_width_block_1";i:828;s:35:"views.view.mt_team_members_carousel";i:829;s:57:"block.block.views_block__mt_team_members_carousel_block_1";i:830;s:31:"views.view.mt_team_members_grid";i:831;s:33:"views.view.mt_team_members_grid_2";i:832;s:31:"views.view.mt_team_members_list";i:833;s:26:"views.view.mt_testimonials";i:834;s:56:"block.block.topplus_views_block__mt_testimonials_block_2";i:835;s:56:"block.block.topplus_views_block__mt_testimonials_block_1";i:836;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_2";i:837;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_1";i:838;s:35:"views.view.mt_testimonials_carousel";i:839;s:59:"block.block.views_block__mt_testimonials_carousel_block_1_2";i:840;s:24:"filter.format.basic_html";i:841;s:31:"views.view.mt_testimonials_grid";i:842;s:24:"editor.editor.basic_html";i:843;s:33:"views.view.mt_testimonials_grid_2";i:844;s:23:"filter.format.full_html";i:845;s:34:"views.view.mt_testimonials_masonry";i:846;s:23:"editor.editor.full_html";i:847;s:20:"views.view.mt_videos";i:848;s:24:"filter.format.plain_text";i:849;s:24:"views.view.taxonomy_term";i:850;s:22:"filter.format.raw_html";i:851;s:28:"views.view.user_admin_people";i:852;s:29:"filter.format.restricted_html";i:853;s:20:"views.view.who_s_new";i:854;s:23:"automated_cron.settings";i:855;s:14:"dblog.settings";i:856;s:17:"field_ui.settings";i:857;s:15:"filter.settings";i:858;s:20:"shortcut.set.default";i:859;s:18:"tour.tour.views-ui";i:860;s:15:"update.settings";i:861;s:23:"views.view.who_s_online";}}s:14:"\0*\0targetNames";a:1:{s:0:"";a:862:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:44:"block_content.type.mt_background_video_block";i:6;s:37:"block_content.type.mt_dropdowns_block";i:7;s:47:"block_content.type.mt_fancy_linked_images_block";i:8;s:38:"block_content.type.mt_fancy_tabs_block";i:9;s:32:"block_content.type.mt_fltt_block";i:10;s:33:"block_content.type.mt_google_maps";i:11;s:30:"block_content.type.mt_if_block";i:12;s:42:"block_content.type.mt_main_slideshow_block";i:13;s:38:"block_content.type.mt_media_tabs_block";i:14;s:43:"block_content.type.mt_nodes_slideshow_block";i:15;s:32:"block_content.type.mt_tabs_block";i:16;s:41:"block_content.type.mt_video_gallery_block";i:17;s:20:"comment.type.comment";i:18;s:24:"contact.form.alternative";i:19;s:21:"contact.form.feedback";i:20;s:21:"contact.form.personal";i:21;s:16:"contact.settings";i:22;s:25:"core.date_format.fallback";i:23;s:26:"core.date_format.html_date";i:24;s:30:"core.date_format.html_datetime";i:25;s:27:"core.date_format.html_month";i:26;s:26:"core.date_format.html_time";i:27;s:26:"core.date_format.html_week";i:28;s:26:"core.date_format.html_year";i:29;s:35:"core.date_format.html_yearless_date";i:30;s:21:"core.date_format.long";i:31;s:23:"core.date_format.medium";i:32;s:22:"core.date_format.short";i:33;s:60:"core.entity_form_display.contact_message.alternative.default";i:34;s:57:"core.entity_form_display.contact_message.feedback.default";i:35;s:57:"core.entity_form_display.contact_message.personal.default";i:36;s:60:"core.entity_view_display.contact_message.alternative.default";i:37;s:40:"core.entity_view_mode.block_content.full";i:38;s:34:"core.entity_view_mode.comment.full";i:39;s:14:"core.extension";i:40;s:36:"core.menu.static_menu_link_overrides";i:41;s:35:"block.block.corporateplus_subscribe";i:42;s:45:"block.block.corporateplus_signupfortextalerts";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:37:"block.block.corporateplus_local_tasks";i:45;s:39:"block.block.corporateplus_local_actions";i:46;s:40:"block.block.corporateplus_iconssubfooter";i:47;s:35:"block.block.corporateplus_copyright";i:48;s:22:"corporateplus.settings";i:49;s:14:"field.settings";i:50;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:51;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:52;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:53;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:54;s:52:"field.storage.block_content.field_mt_block_reference";i:55;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:56;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:57;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:58;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:59;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:60;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";i:61;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:62;s:45:"field.storage.block_content.field_mt_map_zoom";i:63;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:64;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:65;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:66;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:67;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:68;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:69;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:70;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:71;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:72;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:73;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:74;s:50:"field.storage.block_content.field_mt_bv_video_webm";i:75;s:49:"field.storage.block_content.field_mt_bv_video_mp4";i:76;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:77;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:78;s:13:"file.settings";i:79;s:33:"core.entity_view_mode.font.teaser";i:80;s:31:"core.entity_view_mode.font.full";i:81;s:37:"fontyourface.font_display.mt_headings";i:82;s:38:"fontyourface.font_display.mt_paragraph";i:83;s:38:"fontyourface.font_display.mt_site_name";i:84;s:40:"fontyourface.font_display.mt_site_slogan";i:85;s:21:"fontyourface.settings";i:86;s:23:"block.block.bartik_help";i:87;s:46:"field.storage.block_content.field_mt_bv_poster";i:88;s:53:"field.storage.block_content.field_mt_background_image";i:89;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:90;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:91;s:14:"image.settings";i:92;s:17:"image.style.large";i:93;s:18:"image.style.medium";i:94;s:21:"image.style.mt_brands";i:95;s:24:"image.style.mt_fli_image";i:96;s:20:"image.style.mt_icons";i:97;s:30:"image.style.mt_landscape_image";i:98;s:30:"image.style.mt_media_tab_image";i:99;s:27:"image.style.mt_member_photo";i:100;s:29:"image.style.mt_portrait_image";i:101;s:28:"image.style.mt_product_image";i:102;s:30:"image.style.mt_slideshow_boxed";i:103;s:35:"image.style.mt_slideshow_fullscreen";i:104;s:32:"image.style.mt_testimonial_image";i:105;s:38:"image.style.mt_video_gallery_thumbnail";i:106;s:21:"image.style.thumbnail";i:107;s:16:"menu_ui.settings";i:108;s:43:"field.storage.node.field_mt_twitter_account";i:109;s:45:"field.storage.node.field_mt_testimonial_image";i:110;s:36:"field.storage.node.field_mt_subtitle";i:111;s:42:"field.storage.node.field_mt_slideshow_path";i:112;s:43:"field.storage.node.field_mt_slideshow_image";i:113;s:37:"field.storage.node.field_mt_slideshow";i:114;s:40:"field.storage.node.field_mt_product_code";i:115;s:46:"field.storage.node.field_mt_pricing_table_item";i:116;s:33:"field.storage.node.field_mt_price";i:117;s:40:"field.storage.node.field_mt_most_popular";i:118;s:40:"field.storage.node.field_mt_member_photo";i:119;s:44:"field.storage.node.field_mt_linkedin_account";i:120;s:43:"field.storage.node.field_mt_landscape_image";i:121;s:48:"field.storage.node.field_mt_font_awesome_classes";i:122;s:44:"field.storage.node.field_mt_facebook_account";i:123;s:36:"field.storage.node.field_mt_buy_link";i:124;s:44:"field.storage.node.field_mt_bg_video_youtube";i:125;s:43:"field.storage.node.field_mt_bg_video_volume";i:126;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:127;s:40:"field.storage.node.field_mt_banner_image";i:128;s:30:"field.storage.node.field_image";i:129;s:26:"field.storage.node.comment";i:130;s:45:"field.storage.block_content.field_mt_ns_slide";i:131;s:33:"core.entity_view_mode.node.teaser";i:132;s:40:"core.entity_view_mode.node.search_result";i:133;s:39:"core.entity_view_mode.node.search_index";i:134;s:30:"core.entity_view_mode.node.rss";i:135;s:40:"core.entity_view_mode.node.mt_slide_view";i:136;s:31:"core.entity_view_mode.node.full";i:137;s:13:"node.settings";i:138;s:17:"node.type.article";i:139;s:49:"field.field.node.article.field_mt_slideshow_image";i:140;s:43:"field.field.node.article.field_mt_slideshow";i:141;s:46:"field.field.node.article.field_mt_banner_image";i:142;s:36:"field.field.node.article.field_image";i:143;s:32:"field.field.node.article.comment";i:144;s:20:"node.type.mt_benefit";i:145;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:146;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:147;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:148;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:149;s:39:"field.field.node.mt_benefit.field_image";i:150;s:20:"node.type.mt_product";i:151;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:152;s:46:"field.field.node.mt_product.field_mt_slideshow";i:153;s:49:"field.field.node.mt_product.field_mt_product_code";i:154;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:155;s:42:"field.field.node.mt_product.field_mt_price";i:156;s:49:"field.field.node.mt_product.field_mt_most_popular";i:157;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:158;s:45:"field.field.node.mt_product.field_mt_buy_link";i:159;s:49:"field.field.node.mt_product.field_mt_banner_image";i:160;s:39:"field.field.node.mt_product.field_image";i:161;s:35:"field.field.node.mt_product.comment";i:162;s:20:"node.type.mt_service";i:163;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:164;s:46:"field.field.node.mt_service.field_mt_slideshow";i:165;s:42:"field.field.node.mt_service.field_mt_price";i:166;s:45:"field.field.node.mt_service.field_mt_buy_link";i:167;s:49:"field.field.node.mt_service.field_mt_banner_image";i:168;s:39:"field.field.node.mt_service.field_image";i:169;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:170;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:171;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:172;s:21:"node.type.mt_showcase";i:173;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:174;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:175;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:176;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:177;s:40:"field.field.node.mt_showcase.field_image";i:178;s:36:"field.field.node.mt_showcase.comment";i:179;s:28:"node.type.mt_slideshow_entry";i:180;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:181;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:182;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:183;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:184;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:185;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:186;s:24:"node.type.mt_team_member";i:187;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:188;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:189;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:190;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:191;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:192;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:193;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:194;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:195;s:52:"core.base_field_override.node.mt_team_member.promote";i:196;s:24:"node.type.mt_testimonial";i:197;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:198;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:199;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:200;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:201;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:202;s:14:"node.type.page";i:203;s:46:"field.field.node.page.field_mt_slideshow_image";i:204;s:40:"field.field.node.page.field_mt_slideshow";i:205;s:43:"field.field.node.page.field_mt_banner_image";i:206;s:42:"core.base_field_override.node.page.promote";i:207;s:48:"field.storage.node.field_mt_product_availability";i:208;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:209;s:46:"field.storage.block_content.field_mt_ms_effect";i:210;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:211;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:212;s:53:"field.storage.block_content.field_mt_bv_overlay_color";i:213;s:51:"field.storage.block_content.field_mt_bv_layout_mode";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:222;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:223;s:72:"core.entity_view_display.block_content.mt_background_video_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_video_block.default";i:225;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:226;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:227;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:228;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:229;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:230;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:231;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:232;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:233;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:234;s:42:"field.storage.paragraph.field_mt_tab_title";i:235;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:236;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:237;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:238;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:239;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:240;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:241;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:242;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:243;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:244;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:245;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:246;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:247;s:44:"field.storage.paragraph.field_mt_media_title";i:248;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:249;s:44:"field.storage.paragraph.field_mt_media_image";i:250;s:45:"field.storage.paragraph.field_mt_media_button";i:251;s:41:"field.storage.paragraph.field_mt_if_title";i:252;s:40:"field.storage.paragraph.field_mt_if_link";i:253;s:41:"field.storage.paragraph.field_mt_if_image";i:254;s:40:"field.storage.paragraph.field_mt_if_icon";i:255;s:48:"field.storage.paragraph.field_mt_highlight_title";i:256;s:47:"field.storage.paragraph.field_mt_highlight_link";i:257;s:48:"field.storage.paragraph.field_mt_highlight_image";i:258;s:43:"field.storage.paragraph.field_mt_fltt_title";i:259;s:42:"field.storage.paragraph.field_mt_fltt_link";i:260;s:42:"field.storage.paragraph.field_mt_fli_title";i:261;s:42:"field.storage.paragraph.field_mt_fli_shape";i:262;s:41:"field.storage.paragraph.field_mt_fli_link";i:263;s:42:"field.storage.paragraph.field_mt_fli_image";i:264;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:265;s:44:"field.storage.paragraph.field_mt_fancy_title";i:266;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:267;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:268;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:269;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:270;s:47:"field.storage.paragraph.field_mt_collapse_title";i:271;s:37:"field.storage.node.field_mt_highlight";i:272;s:40:"field.storage.node.field_mt_content_tabs";i:273;s:45:"field.storage.node.field_mt_content_collapses";i:274;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:275;s:46:"field.storage.block_content.field_mt_media_tab";i:276;s:49:"field.storage.block_content.field_mt_map_location";i:277;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:278;s:39:"field.storage.block_content.field_mt_if";i:279;s:41:"field.storage.block_content.field_mt_fltt";i:280;s:46:"field.storage.block_content.field_mt_fancy_tab";i:281;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:282;s:45:"field.storage.block_content.field_mt_dropdown";i:283;s:39:"core.entity_view_mode.paragraph.preview";i:284;s:38:"paragraphs.paragraphs_type.mt_collapse";i:285;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:286;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:287;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:288;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:289;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:290;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:291;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:292;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:293;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:294;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:295;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:296;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:297;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:298;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:299;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:300;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:301;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:302;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:303;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:304;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:305;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:306;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:307;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:308;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:309;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:310;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:311;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:312;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:313;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:314;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:315;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:316;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:317;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:318;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:319;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:320;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:321;s:39:"paragraphs.paragraphs_type.mt_highlight";i:322;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:323;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:324;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:325;s:46:"field.field.node.mt_service.field_mt_highlight";i:326;s:46:"field.field.node.mt_product.field_mt_highlight";i:327;s:43:"paragraphs.paragraphs_type.mt_icon_features";i:328;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:329;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:330;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:331;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_icon";i:332;s:49:"field.field.block_content.mt_if_block.field_mt_if";i:333;s:58:"core.entity_view_display.block_content.mt_if_block.default";i:334;s:58:"core.entity_form_display.block_content.mt_if_block.default";i:335;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:336;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:337;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:338;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:339;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:340;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:341;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:342;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:343;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:344;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:345;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:346;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:347;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:348;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:349;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:350;s:42:"paragraphs.paragraphs_type.mt_map_location";i:351;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:352;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:353;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:354;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:355;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:356;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:357;s:58:"core.entity_view_display.paragraph.mt_map_location.default";i:358;s:58:"core.entity_form_display.paragraph.mt_map_location.default";i:359;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:360;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:361;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:362;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:363;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:364;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:365;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:366;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:367;s:33:"paragraphs.paragraphs_type.mt_tab";i:368;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:369;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:370;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:371;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:372;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:373;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:374;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:375;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:376;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:377;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:378;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:379;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:380;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:381;s:27:"rdf.mapping.comment.comment";i:382;s:24:"rdf.mapping.node.article";i:383;s:21:"rdf.mapping.node.page";i:384;s:25:"block.block.bartik_search";i:385;s:23:"search.page.node_search";i:386;s:15:"search.settings";i:387;s:39:"block.block.seven_secondary_local_tasks";i:388;s:37:"block.block.seven_primary_local_tasks";i:389;s:28:"block.block.seven_page_title";i:390;s:31:"block.block.seven_local_actions";i:391;s:22:"block.block.seven_help";i:392;s:14:"seven.settings";i:393;s:18:"superfish.settings";i:394;s:17:"block.block.whyme";i:395;s:26:"block.block.seven_messages";i:396;s:25:"block.block.seven_content";i:397;s:29:"block.block.seven_breadcrumbs";i:398;s:36:"block.block.corporateplus_textblocks";i:399;s:41:"block.block.corporateplus_socialbookmarks";i:400;s:37:"block.block.corporateplus_sidebartabs";i:401;s:32:"block.block.corporateplus_search";i:402;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:403;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:404;s:36:"block.block.corporateplus_page_title";i:405;s:34:"block.block.corporateplus_messages";i:406;s:34:"block.block.corporateplus_infotext";i:407;s:38:"block.block.corporateplus_genericblock";i:408;s:39:"block.block.corporateplus_frontpagetabs";i:409;s:43:"block.block.corporateplus_fancylinkedimages";i:410;s:36:"block.block.corporateplus_fancyblock";i:411;s:33:"block.block.corporateplus_content";i:412;s:46:"block.block.corporateplus_contactinfoheadertop";i:413;s:37:"block.block.corporateplus_contactinfo";i:414;s:40:"block.block.corporateplus_contactdetails";i:415;s:44:"block.block.corporateplus_connectwithuslarge";i:416;s:37:"block.block.corporateplus_breadcrumbs";i:417;s:34:"block.block.corporateplus_branding";i:418;s:40:"block.block.corporateplus_blockwithimage";i:419;s:46:"block.block.corporateplus_backgroundimageblock";i:420;s:38:"block.block.corporateplus_announcement";i:421;s:26:"block.block.bartik_powered";i:422;s:27:"block.block.bartik_messages";i:423;s:26:"block.block.bartik_content";i:424;s:30:"block.block.bartik_breadcrumbs";i:425;s:27:"block.block.bartik_branding";i:426;s:36:"system.action.comment_publish_action";i:427;s:33:"system.action.comment_save_action";i:428;s:38:"system.action.comment_unpublish_action";i:429;s:32:"system.action.node_delete_action";i:430;s:37:"system.action.node_make_sticky_action";i:431;s:39:"system.action.node_make_unsticky_action";i:432;s:33:"system.action.node_promote_action";i:433;s:33:"system.action.node_publish_action";i:434;s:30:"system.action.node_save_action";i:435;s:35:"system.action.node_unpromote_action";i:436;s:35:"system.action.node_unpublish_action";i:437;s:16:"system.authorize";i:438;s:11:"system.cron";i:439;s:11:"system.date";i:440;s:11:"system.diff";i:441;s:11:"system.file";i:442;s:12:"system.image";i:443;s:15:"system.image.gd";i:444;s:14:"system.logging";i:445;s:11:"system.mail";i:446;s:18:"system.maintenance";i:447;s:19:"system.menu.account";i:448;s:38:"block.block.corporateplus_account_menu";i:449;s:31:"block.block.bartik_account_menu";i:450;s:17:"system.menu.admin";i:451;s:18:"system.menu.footer";i:452;s:32:"block.block.corporateplus_footer";i:453;s:25:"block.block.bartik_footer";i:454;s:35:"system.menu.landing-page-navigation";i:455;s:16:"system.menu.main";i:456;s:35:"block.block.corporateplus_main_menu";i:457;s:42:"block.block.corporateplus_mainnavigation_2";i:458;s:28:"block.block.bartik_main_menu";i:459;s:32:"system.menu.mt-footer-menu-three";i:460;s:30:"system.menu.mt-footer-menu-two";i:461;s:35:"block.block.corporateplus_questions";i:462;s:24:"system.menu.mt-mega-menu";i:463;s:29:"system.menu.mt-subfooter-menu";i:464;s:35:"block.block.corporateplus_subfooter";i:465;s:17:"system.menu.tools";i:466;s:31:"block.block.corporateplus_tools";i:467;s:24:"block.block.bartik_tools";i:468;s:18:"system.performance";i:469;s:10:"system.rss";i:470;s:11:"system.site";i:471;s:12:"system.theme";i:472;s:19:"system.theme.global";i:473;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:474;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:475;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:476;s:29:"field.storage.node.field_tags";i:477;s:41:"field.storage.node.field_mt_showcase_tags";i:478;s:40:"field.storage.node.field_mt_service_tags";i:479;s:41:"field.storage.node.field_mt_products_tags";i:480;s:39:"field.storage.node.field_mt_collections";i:481;s:40:"field.storage.node.field_mt_clients_tags";i:482;s:29:"field.storage.font.field_tags";i:483;s:44:"field.storage.font.field_supported_languages";i:484;s:39:"field.storage.font.field_classification";i:485;s:40:"core.entity_view_mode.taxonomy_term.full";i:486;s:17:"taxonomy.settings";i:487;s:39:"taxonomy.vocabulary.font_classification";i:488;s:42:"field.field.font.font.field_classification";i:489;s:33:"taxonomy.vocabulary.font_designer";i:490;s:32:"taxonomy.vocabulary.font_foundry";i:491;s:29:"taxonomy.vocabulary.font_tags";i:492;s:32:"field.field.font.font.field_tags";i:493;s:39:"taxonomy.vocabulary.languages_supported";i:494;s:47:"field.field.font.font.field_supported_languages";i:495;s:34:"taxonomy.vocabulary.mt_brands_tags";i:496;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:497;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:498;s:34:"taxonomy.vocabulary.mt_collections";i:499;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:500;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:501;s:48:"field.field.node.mt_product.field_mt_collections";i:502;s:35:"taxonomy.vocabulary.mt_product_tags";i:503;s:50:"field.field.node.mt_product.field_mt_products_tags";i:504;s:35:"taxonomy.vocabulary.mt_service_tags";i:505;s:49:"field.field.node.mt_service.field_mt_service_tags";i:506;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:507;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:508;s:24:"taxonomy.vocabulary.tags";i:509;s:30:"rdf.mapping.taxonomy_term.tags";i:510;s:38:"field.field.node.mt_benefit.field_tags";i:511;s:35:"field.field.node.article.field_tags";i:512;s:44:"field.storage.paragraph.field_mt_tab_content";i:513;s:43:"field.storage.paragraph.field_mt_media_body";i:514;s:40:"field.storage.paragraph.field_mt_if_body";i:515;s:47:"field.storage.paragraph.field_mt_highlight_body";i:516;s:42:"field.storage.paragraph.field_mt_fltt_body";i:517;s:46:"field.storage.paragraph.field_mt_collapse_body";i:518;s:42:"field.storage.node.field_mt_subheader_body";i:519;s:42:"field.storage.node.field_mt_slideshow_text";i:520;s:23:"field.storage.node.body";i:521;s:34:"field.storage.comment.comment_body";i:522;s:32:"field.storage.block_content.body";i:523;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:524;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:525;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:526;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:527;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:528;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:529;s:45:"field.field.node.page.field_mt_subheader_body";i:530;s:45:"field.field.node.page.field_mt_slideshow_text";i:531;s:26:"field.field.node.page.body";i:532;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:533;s:36:"field.field.node.mt_testimonial.body";i:534;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:535;s:36:"field.field.node.mt_team_member.body";i:536;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:537;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:538;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:539;s:33:"field.field.node.mt_showcase.body";i:540;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:541;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:542;s:32:"field.field.node.mt_service.body";i:543;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:544;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:545;s:32:"field.field.node.mt_product.body";i:546;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:547;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:548;s:32:"field.field.node.mt_benefit.body";i:549;s:48:"field.field.node.article.field_mt_slideshow_text";i:550;s:29:"field.field.node.article.body";i:551;s:40:"field.field.comment.comment.comment_body";i:552;s:36:"field.field.block_content.basic.body";i:553;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:554;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:555;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:556;s:59:"core.entity_view_display.paragraph.mt_icon_features.default";i:557;s:55:"core.entity_view_display.paragraph.mt_highlight.default";i:558;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:559;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:560;s:48:"core.entity_view_display.comment.comment.default";i:561;s:52:"core.entity_view_display.block_content.basic.default";i:562;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:563;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:564;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:565;s:59:"core.entity_form_display.paragraph.mt_icon_features.default";i:566;s:55:"core.entity_form_display.paragraph.mt_highlight.default";i:567;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:568;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:569;s:42:"core.entity_form_display.node.page.default";i:570;s:52:"core.entity_form_display.node.mt_testimonial.default";i:571;s:52:"core.entity_form_display.node.mt_team_member.default";i:572;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:573;s:45:"core.entity_form_display.node.article.default";i:574;s:48:"core.entity_form_display.comment.comment.default";i:575;s:52:"core.entity_form_display.block_content.basic.default";i:576;s:13:"text.settings";i:577;s:31:"block.block.videogalleryblock_2";i:578;s:29:"block.block.videogalleryblock";i:579;s:32:"block.block.videobackgroundblock";i:580;s:26:"block.block.uniquefeatures";i:581;s:25:"block.block.topplus_tools";i:582;s:30:"block.block.topplus_textblocks";i:583;s:29:"block.block.topplus_subscribe";i:584;s:29:"block.block.topplus_subfooter";i:585;s:35:"block.block.topplus_socialbookmarks";i:586;s:39:"block.block.topplus_signupfortextalerts";i:587;s:31:"block.block.topplus_sidebartabs";i:588;s:26:"block.block.topplus_search";i:589;s:29:"block.block.topplus_questions";i:590;s:51:"block.block.topplus_productslayoutswithergridactive";i:591;s:52:"block.block.topplus_productslayoutswitcherlistactive";i:592;s:27:"block.block.topplus_powered";i:593;s:38:"block.block.topplus_popularsalesstatic";i:594;s:30:"block.block.topplus_page_title";i:595;s:28:"block.block.topplus_messages";i:596;s:29:"block.block.topplus_main_menu";i:597;s:36:"block.block.topplus_mainnavigation_2";i:598;s:31:"block.block.topplus_local_tasks";i:599;s:33:"block.block.topplus_local_actions";i:600;s:28:"block.block.topplus_infotext";i:601;s:34:"block.block.topplus_iconssubfooter";i:602;s:24:"block.block.topplus_help";i:603;s:32:"block.block.topplus_genericblock";i:604;s:33:"block.block.topplus_frontpagetabs";i:605;s:26:"block.block.topplus_footer";i:606;s:37:"block.block.topplus_fancylinkedimages";i:607;s:30:"block.block.topplus_fancyblock";i:608;s:29:"block.block.topplus_copyright";i:609;s:27:"block.block.topplus_content";i:610;s:40:"block.block.topplus_contactinfoheadertop";i:611;s:31:"block.block.topplus_contactinfo";i:612;s:34:"block.block.topplus_contactdetails";i:613;s:38:"block.block.topplus_connectwithuslarge";i:614;s:31:"block.block.topplus_breadcrumbs";i:615;s:28:"block.block.topplus_branding";i:616;s:34:"block.block.topplus_blockwithimage";i:617;s:40:"block.block.topplus_backgroundimageblock";i:618;s:32:"block.block.topplus_announcement";i:619;s:32:"block.block.topplus_account_menu";i:620;s:34:"block.block.testimonialscarousel_2";i:621;s:34:"block.block.tellusaboutyourproject";i:622;s:21:"block.block.subscribe";i:623;s:30:"block.block.stillhavequestions";i:624;s:23:"block.block.socialmedia";i:625;s:23:"block.block.sociallinks";i:626;s:36:"block.block.socialbookmarksfootertop";i:627;s:24:"block.block.sitebranding";i:628;s:27:"block.block.showcasesbanner";i:629;s:26:"block.block.servicesbanner";i:630;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:631;s:24:"block.block.searchform_4";i:632;s:24:"block.block.searchform_3";i:633;s:24:"block.block.searchform_2";i:634;s:22:"block.block.searchform";i:635;s:26:"block.block.productsbanner";i:636;s:27:"block.block.poweredbydrupal";i:637;s:25:"block.block.ournewsletter";i:638;s:19:"block.block.mystory";i:639;s:20:"block.block.megamenu";i:640;s:20:"block.block.mediatab";i:641;s:28:"block.block.mainnavigation_4";i:642;s:28:"block.block.mainnavigation_3";i:643;s:28:"block.block.mainnavigation_2";i:644;s:28:"block.block.languageswitcher";i:645;s:35:"block.block.landingpagenavigation_2";i:646;s:39:"block.block.interestedininvestingwithus";i:647;s:26:"block.block.iconssubfooter";i:648;s:37:"block.block.howprofessionalisourstaff";i:649;s:22:"block.block.highlights";i:650;s:27:"block.block.headerdropdowns";i:651;s:29:"block.block.googlemapbanner_3";i:652;s:29:"block.block.googlemapbanner_2";i:653;s:27:"block.block.googlemapbanner";i:654;s:30:"block.block.fullwidthslideshow";i:655;s:44:"block.block.footerbottomcustomsitebranding_2";i:656;s:42:"block.block.footerbottomcustomsitebranding";i:657;s:22:"block.block.fancyblock";i:658;s:23:"block.block.creditcards";i:659;s:27:"block.block.contactusbanner";i:660;s:31:"block.block.contactinfoslideout";i:661;s:29:"block.block.contactinfoheader";i:662;s:32:"block.block.contactinfofootertop";i:663;s:41:"block.block.contactinfocontactalternative";i:664;s:26:"block.block.calltoaction_2";i:665;s:25:"block.block.calltoaction2";i:666;s:24:"block.block.calltoaction";i:667;s:22:"block.block.blogbanner";i:668;s:41:"block.block.backgroundimageblockshowcases";i:669;s:40:"block.block.backgroundimageblockservices";i:670;s:40:"block.block.backgroundimageblockproducts";i:671;s:35:"block.block.backgroundimageblockcta";i:672;s:41:"block.block.backgroundimageblockcontactus";i:673;s:39:"block.block.backgroundimageblockclients";i:674;s:36:"block.block.backgroundimageblockblog";i:675;s:39:"block.block.backgroundimageblockaboutus";i:676;s:41:"block.block.areyoulookingforagreatservice";i:677;s:29:"block.block.aboutuscontenttop";i:678;s:25:"block.block.aboutusbanner";i:679;s:19:"block.block.aboutus";i:680;s:19:"block.block.aboutme";i:681;s:16:"topplus.settings";i:682;s:38:"system.action.user_unblock_user_action";i:683;s:37:"system.action.user_cancel_user_action";i:684;s:36:"system.action.user_block_user_action";i:685;s:23:"search.page.user_search";i:686;s:21:"rdf.mapping.user.user";i:687;s:31:"field.storage.user.user_picture";i:688;s:34:"field.field.user.user.user_picture";i:689;s:31:"core.entity_view_mode.user.full";i:690;s:34:"core.entity_view_mode.user.compact";i:691;s:42:"core.entity_view_display.user.user.default";i:692;s:42:"core.entity_view_display.user.user.compact";i:693;s:41:"core.entity_view_display.node.page.teaser";i:694;s:42:"core.entity_view_display.node.page.default";i:695;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:696;s:52:"core.entity_view_display.node.mt_testimonial.default";i:697;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:698;s:52:"core.entity_view_display.node.mt_team_member.default";i:699;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:700;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:701;s:44:"core.entity_view_display.node.article.teaser";i:702;s:41:"core.entity_view_display.node.article.rss";i:703;s:45:"core.entity_view_display.node.article.default";i:704;s:35:"core.entity_form_mode.user.register";i:705;s:42:"core.entity_form_display.user.user.default";i:706;s:23:"block.block.seven_login";i:707;s:10:"user.flood";i:708;s:9:"user.mail";i:709;s:23:"user.role.administrator";i:710;s:51:"system.action.user_remove_role_action.administrator";i:711;s:48:"system.action.user_add_role_action.administrator";i:712;s:19:"user.role.anonymous";i:713;s:23:"user.role.authenticated";i:714;s:13:"user.settings";i:715;s:44:"field.storage.paragraph.field_mt_media_video";i:716;s:33:"field.storage.node.field_mt_video";i:717;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:718;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:719;s:43:"field.field.node.mt_showcase.field_mt_video";i:720;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:721;s:42:"field.field.node.mt_service.field_mt_video";i:722;s:47:"core.entity_view_display.node.mt_service.teaser";i:723;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:724;s:42:"field.field.node.mt_product.field_mt_video";i:725;s:47:"core.entity_view_display.node.mt_product.teaser";i:726;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:727;s:42:"field.field.node.mt_benefit.field_mt_video";i:728;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:729;s:49:"core.entity_view_display.node.mt_showcase.default";i:730;s:48:"core.entity_view_display.node.mt_service.default";i:731;s:48:"core.entity_view_display.node.mt_product.default";i:732;s:48:"core.entity_view_display.node.mt_benefit.default";i:733;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:734;s:49:"core.entity_form_display.node.mt_showcase.default";i:735;s:48:"core.entity_form_display.node.mt_service.default";i:736;s:48:"core.entity_form_display.node.mt_product.default";i:737;s:48:"core.entity_form_display.node.mt_benefit.default";i:738;s:14:"views.settings";i:739;s:18:"views.view.archive";i:740;s:24:"views.view.block_content";i:741;s:26:"views.view.comments_recent";i:742;s:18:"views.view.content";i:743;s:25:"views.view.content_recent";i:744;s:16:"views.view.files";i:745;s:36:"views.view.fontyourface_font_manager";i:746;s:20:"views.view.frontpage";i:747;s:19:"views.view.glossary";i:748;s:22:"views.view.mt_articles";i:749;s:31:"views.view.mt_articles_carousel";i:750;s:55:"block.block.views_block__mt_articles_carousel_block_1_2";i:751;s:27:"views.view.mt_articles_grid";i:752;s:27:"views.view.mt_articles_list";i:753;s:29:"views.view.mt_articles_list_2";i:754;s:51:"block.block.views_block__mt_articles_list_2_block_1";i:755;s:22:"views.view.mt_benefits";i:756;s:44:"block.block.views_block__mt_benefits_block_1";i:757;s:52:"block.block.topplus_views_block__mt_benefits_block_1";i:758;s:58:"block.block.corporateplus_views_block__mt_benefits_block_1";i:759;s:29:"views.view.mt_brands_carousel";i:760;s:59:"block.block.topplus_views_block__mt_brands_carousel_block_1";i:761;s:65:"block.block.corporateplus_views_block__mt_brands_carousel_block_1";i:762;s:25:"views.view.mt_brands_grid";i:763;s:34:"views.view.mt_collections_carousel";i:764;s:64:"block.block.topplus_views_block__mt_collections_carousel_block_1";i:765;s:70:"block.block.corporateplus_views_block__mt_collections_carousel_block_1";i:766;s:30:"views.view.mt_collections_grid";i:767;s:33:"views.view.mt_collections_masonry";i:768;s:63:"block.block.topplus_views_block__mt_collections_masonry_block_1";i:769;s:69:"block.block.corporateplus_views_block__mt_collections_masonry_block_1";i:770;s:29:"views.view.mt_internal_banner";i:771;s:59:"block.block.topplus_views_block__mt_internal_banner_block_1";i:772;s:65:"block.block.corporateplus_views_block__mt_internal_banner_block_1";i:773;s:21:"views.view.mt_isotope";i:774;s:20:"views.view.mt_latest";i:775;s:42:"block.block.views_block__mt_latest_block_3";i:776;s:42:"block.block.views_block__mt_latest_block_1";i:777;s:50:"block.block.topplus_views_block__mt_latest_block_3";i:778;s:50:"block.block.topplus_views_block__mt_latest_block_1";i:779;s:56:"block.block.corporateplus_views_block__mt_latest_block_3";i:780;s:56:"block.block.corporateplus_views_block__mt_latest_block_1";i:781;s:27:"views.view.mt_photo_gallery";i:782;s:51:"block.block.views_block__mt_photo_gallery_block_1_2";i:783;s:26:"views.view.mt_popular_tags";i:784;s:56:"block.block.topplus_views_block__mt_popular_tags_block_1";i:785;s:62:"block.block.corporateplus_views_block__mt_popular_tags_block_1";i:786;s:28:"views.view.mt_pricing_tables";i:787;s:58:"block.block.topplus_views_block__mt_pricing_tables_block_1";i:788;s:64:"block.block.corporateplus_views_block__mt_pricing_tables_block_1";i:789;s:26:"views.view.mt_product_tags";i:790;s:56:"block.block.topplus_views_block__mt_product_tags_block_1";i:791;s:62:"block.block.corporateplus_views_block__mt_product_tags_block_1";i:792;s:22:"views.view.mt_products";i:793;s:48:"block.block.topplus_exposedformmt_productspage_3";i:794;s:48:"block.block.topplus_exposedformmt_productspage_2";i:795;s:48:"block.block.topplus_exposedformmt_productspage_1";i:796;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:797;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:798;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:799;s:31:"views.view.mt_products_carousel";i:800;s:27:"views.view.mt_products_list";i:801;s:57:"block.block.topplus_views_block__mt_products_list_block_1";i:802;s:63:"block.block.corporateplus_views_block__mt_products_list_block_1";i:803;s:30:"views.view.mt_products_masonry";i:804;s:60:"block.block.topplus_views_block__mt_products_masonry_block_1";i:805;s:66:"block.block.corporateplus_views_block__mt_products_masonry_block_1";i:806;s:28:"views.view.mt_promoted_posts";i:807;s:37:"views.view.mt_promoted_posts_carousel";i:808;s:59:"block.block.views_block__mt_promoted_posts_carousel_block_1";i:809;s:36:"views.view.mt_related_nodes_carousel";i:810;s:66:"block.block.topplus_views_block__mt_related_nodes_carousel_block_1";i:811;s:72:"block.block.corporateplus_views_block__mt_related_nodes_carousel_block_1";i:812;s:22:"views.view.mt_services";i:813;s:27:"views.view.mt_services_list";i:814;s:23:"views.view.mt_showcases";i:815;s:45:"block.block.views_block__mt_showcases_block_2";i:816;s:36:"views.view.mt_showcases_grid_style_2";i:817;s:28:"views.view.mt_showcases_list";i:818;s:52:"block.block.views_block__mt_showcases_list_block_1_2";i:819;s:35:"views.view.mt_slideshow_boxed_width";i:820;s:65:"block.block.topplus_views_block__mt_slideshow_boxed_width_block_1";i:821;s:71:"block.block.corporateplus_views_block__mt_slideshow_boxed_width_block_1";i:822;s:35:"views.view.mt_slideshow_full_screen";i:823;s:65:"block.block.topplus_views_block__mt_slideshow_full_screen_block_1";i:824;s:71:"block.block.corporateplus_views_block__mt_slideshow_full_screen_block_1";i:825;s:34:"views.view.mt_slideshow_full_width";i:826;s:64:"block.block.topplus_views_block__mt_slideshow_full_width_block_1";i:827;s:70:"block.block.corporateplus_views_block__mt_slideshow_full_width_block_1";i:828;s:35:"views.view.mt_team_members_carousel";i:829;s:57:"block.block.views_block__mt_team_members_carousel_block_1";i:830;s:31:"views.view.mt_team_members_grid";i:831;s:33:"views.view.mt_team_members_grid_2";i:832;s:31:"views.view.mt_team_members_list";i:833;s:26:"views.view.mt_testimonials";i:834;s:56:"block.block.topplus_views_block__mt_testimonials_block_2";i:835;s:56:"block.block.topplus_views_block__mt_testimonials_block_1";i:836;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_2";i:837;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_1";i:838;s:35:"views.view.mt_testimonials_carousel";i:839;s:59:"block.block.views_block__mt_testimonials_carousel_block_1_2";i:840;s:24:"filter.format.basic_html";i:841;s:31:"views.view.mt_testimonials_grid";i:842;s:24:"editor.editor.basic_html";i:843;s:33:"views.view.mt_testimonials_grid_2";i:844;s:23:"filter.format.full_html";i:845;s:34:"views.view.mt_testimonials_masonry";i:846;s:23:"editor.editor.full_html";i:847;s:20:"views.view.mt_videos";i:848;s:24:"filter.format.plain_text";i:849;s:24:"views.view.taxonomy_term";i:850;s:22:"filter.format.raw_html";i:851;s:28:"views.view.user_admin_people";i:852;s:29:"filter.format.restricted_html";i:853;s:20:"views.view.who_s_new";i:854;s:23:"automated_cron.settings";i:855;s:14:"dblog.settings";i:856;s:17:"field_ui.settings";i:857;s:15:"filter.settings";i:858;s:20:"shortcut.set.default";i:859;s:18:"tour.tour.views-ui";i:860;s:15:"update.settings";i:861;s:23:"views.view.who_s_online";}}s:21:"\0*\0sourceCacheStorage";s:2:"id";s:21:"\0*\0targetCacheStorage";s:4:"uuid";s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:10:"\0*\0buttons";a:1:{i:0;a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:196;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}}s:12:"\0*\0temporary";a:0:{}s:22:"\0*\0validation_complete";b:1;s:9:"\0*\0errors";a:0:{}s:26:"\0*\0limit_validation_errors";N;s:20:"\0*\0validate_handlers";a:0:{}s:18:"\0*\0submit_handlers";a:0:{}}s:11:"progressive";b:1;s:11:"current_set";i:0;s:3:"url";O:15:"Drupal\\Core\\Url":10:{s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:22:"system.batch_page.html";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:5:"query";a:2:{s:2:"id";s:3:"494";s:2:"op";s:7:"do_nojs";}}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:1:{s:12:"urlGenerator";s:13:"url_generator";}}s:10:"source_url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:5:"query";a:0:{}}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:14:"batch_redirect";N;s:5:"theme";s:5:"seven";s:17:"redirect_callback";N;s:2:"id";s:3:"494";s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Please continue to <a href=":error_url">the error page</a>";s:12:"\0*\0arguments";a:1:{s:10:":error_url";s:56:"/mtt_themes/skc-topplus/site/d8/batch?id=494&op=finished";}s:10:"\0*\0options";a:0:{}}s:7:"running";b:1;}');
INSERT INTO `batch` VALUES
(495, 'IZaAA4MJ-LkCi1nTYv2oEWidbSdcDqSrXSvY37EsWPI', 1504693603, 'a:13:{s:4:"sets";a:1:{i:0;a:13:{s:7:"sandbox";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:42:"block.block.views_block__mt_latest_block_1";a:12:{s:4:"uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_1";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";r:7;}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";s:16:"default_langcode";}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:0:{}s:14:"\0*\0targetNames";a:0:{}s:21:"\0*\0sourceCacheStorage";s:2:"id";s:21:"\0*\0targetCacheStorage";s:4:"uuid";s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:7:"results";a:0:{}s:7:"success";b:0;s:5:"start";d:1504693605.3581390380859375;s:7:"elapsed";i:0;s:8:"finished";a:2:{i:0;s:29:"Drupal\\config\\Form\\ConfigSync";i:1;s:11:"finishBatch";}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Importing configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"init_message";s:41:"Starting configuration import.<br/>&nbsp;";s:16:"progress_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Completed @current step of @total.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Configuration import has encountered an error.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"total";i:3;s:5:"count";i:3;s:5:"queue";a:2:{s:4:"name";s:18:"drupal_batch:495:0";s:5:"class";s:23:"Drupal\\Core\\Queue\\Batch";}}}s:16:"has_form_submits";b:0;s:10:"form_state";O:26:"Drupal\\Core\\Form\\FormState":33:{s:16:"\0*\0complete_form";a:32:{s:11:"#attributes";a:2:{s:5:"class";a:2:{i:0;s:25:"config-single-import-form";i:1;s:12:"confirmation";}s:20:"data-drupal-selector";s:25:"config-single-import-form";}s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Are you sure you want to update the %name @type?";s:12:"\0*\0arguments";a:2:{s:5:"%name";s:30:"views_block__mt_latest_block_1";s:5:"@type";s:5:"block";}s:10:"\0*\0options";a:0:{}}s:11:"description";a:14:{s:7:"#markup";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"This action cannot be undone.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:11:"description";}s:14:"#array_parents";a:1:{i:0;s:11:"description";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:16:"edit-description";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:16:"edit-description";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"confirm";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";i:1;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"confirm";}s:14:"#array_parents";a:1:{i:0;s:7:"confirm";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:12:"edit-confirm";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-confirm";s:5:"#name";s:7:"confirm";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"actions";a:19:{s:5:"#type";s:7:"actions";s:6:"submit";a:27:{s:5:"#type";s:6:"submit";s:6:"#value";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Confirm";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"cancel";a:19:{s:5:"#type";s:4:"link";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Cancel";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:2:{s:5:"class";a:1:{i:0;s:6:"button";}s:20:"data-drupal-selector";s:11:"edit-cancel";}s:4:"#url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:26:"url.query_args:destination";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"cancel";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"cancel";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-cancel";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"actions";}s:14:"#array_parents";a:1:{i:0;s:7:"actions";}s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:2:{s:20:"data-drupal-selector";s:12:"edit-actions";s:5:"class";a:1:{i:0;s:12:"form-actions";}}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-actions";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#theme";s:12:"confirm_form";s:8:"#form_id";s:25:"config_single_import_form";s:9:"#build_id";s:48:"form-Wo6NH58roh2ZSe1Qv-XOue-7pE0n2mLSw88YL5jpivM";s:5:"#type";s:4:"form";s:9:"#attached";a:2:{s:12:"placeholders";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:40:"form_builder:renderPlaceholderFormAction";i:1;a:0:{}}}}s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";b:1;}}}s:7:"#action";s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";s:13:"form_build_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:48:"form-Wo6NH58roh2ZSe1Qv-XOue-7pE0n2mLSw88YL5jpivM";s:3:"#id";s:48:"form-Wo6NH58roh2ZSe1Qv-XOue-7pE0n2mLSw88YL5jpivM";s:5:"#name";s:13:"form_build_id";s:8:"#parents";a:1:{i:0;s:13:"form_build_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:13:"form_build_id";}s:7:"#weight";d:0.003000000000000000062450045135165055398829281330108642578125;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:48:"form-wo6nh58roh2zse1qv-xoue-7pe0n2mlsw88yl5jpivm";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:24:"user.roles:authenticated";}}s:6:"#token";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:10:"form_token";a:25:{s:3:"#id";s:41:"edit-config-single-import-form-form-token";s:5:"#type";s:5:"token";s:14:"#default_value";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:8:"#parents";a:1:{i:0;s:10:"form_token";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:39:"form_builder:renderFormTokenPlaceholder";i:1;a:1:{i:0;s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";}}}}}s:6:"#cache";a:1:{s:7:"max-age";i:0;}s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:10:"form_token";}s:7:"#weight";d:0.0040000000000000000832667268468867405317723751068115234375;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:41:"edit-config-single-import-form-form-token";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:10:"form_token";s:6:"#value";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:17:"#needs_validation";b:1;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"form_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:25:"config_single_import_form";s:3:"#id";s:30:"edit-config-single-import-form";s:8:"#parents";a:1:{i:0;s:7:"form_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:7:"form_id";}s:7:"#weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:30:"edit-config-single-import-form";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:7:"form_id";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:3:"#id";s:25:"config-single-import-form";s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:0:{}s:9:"#validate";a:1:{i:0;s:14:"::validateForm";}s:7:"#submit";a:1:{i:0;s:12:"::submitForm";}s:12:"#cache_token";s:43:"4K8lU3cTOvfXX3BxDKUKMxwdYH0F3_QMe95QCIGz3zU";s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:14:"#array_parents";a:0:{}s:10:"#validated";b:1;}s:13:"\0*\0build_info";a:4:{s:4:"args";a:0:{}s:5:"files";a:0:{}s:15:"callback_object";O:41:"Drupal\\config\\Form\\ConfigSingleImportForm":9:{s:15:"\0*\0configExists";O:25:"Drupal\\block\\Entity\\Block":24:{s:5:"\0*\0id";s:30:"views_block__mt_latest_block_1";s:11:"\0*\0settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:9:"\0*\0region";s:24:"hidden_blocks_collection";s:9:"\0*\0weight";i:0;s:9:"\0*\0plugin";s:29:"views_block:mt_latest-block_1";s:13:"\0*\0visibility";a:0:{}s:11:"\0*\0contexts";a:0:{}s:8:"\0*\0theme";s:13:"corporateplus";s:13:"\0*\0originalId";s:30:"views_block__mt_latest_block_1";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:5:"block";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:1:{s:22:"conditionPluginManager";s:24:"plugin.manager.condition";}s:15:"\0*\0dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:13:"corporateplus";}}s:8:"provider";N;}s:7:"\0*\0data";a:9:{s:11:"config_type";s:5:"block";s:11:"config_name";s:0:"";s:6:"import";a:12:{s:4:"uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_1";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}s:16:"custom_entity_id";s:0:"";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Import";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-hR0P7O_tL700zYj3WZjq_HdmRus8n8rey_4CDRu8caQ";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:44:"Drupal\\block_content\\BlockContentViewBuilder";}s:16:"\0*\0configFactory";N;s:13:"\0*\0routeMatch";N;s:14:"\0*\0_serviceIds";a:12:{s:13:"entityManager";s:14:"entity.manager";s:13:"configStorage";s:14:"config.storage";s:8:"renderer";s:8:"renderer";s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:12:"requestStack";s:13:"request_stack";s:17:"stringTranslation";s:18:"string_translation";}s:16:"\0*\0linkGenerator";N;s:16:"\0*\0loggerFactory";N;s:22:"\0*\0redirectDestination";N;s:15:"\0*\0urlGenerator";N;}s:7:"form_id";s:25:"config_single_import_form";}s:15:"\0*\0rebuild_info";a:0:{}s:10:"\0*\0rebuild";b:0;s:15:"\0*\0invalidToken";b:0;s:11:"\0*\0response";N;s:11:"\0*\0redirect";N;s:14:"\0*\0no_redirect";N;s:9:"\0*\0method";s:4:"POST";s:16:"\0*\0requestMethod";s:4:"POST";s:8:"\0*\0cache";b:1;s:11:"\0*\0no_cache";N;s:9:"\0*\0values";a:6:{s:7:"confirm";i:1;s:6:"submit";r:196;s:13:"form_build_id";s:48:"form-Wo6NH58roh2ZSe1Qv-XOue-7pE0n2mLSw88YL5jpivM";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";r:196;}s:17:"\0*\0cleanValueKeys";a:4:{i:0;s:7:"form_id";i:1;s:10:"form_token";i:2;s:13:"form_build_id";i:3;s:2:"op";}s:8:"\0*\0input";a:5:{s:7:"confirm";s:1:"1";s:13:"form_build_id";s:48:"form-Wo6NH58roh2ZSe1Qv-XOue-7pE0n2mLSw88YL5jpivM";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:7:"Confirm";}s:17:"\0*\0always_process";N;s:16:"\0*\0must_validate";N;s:13:"\0*\0programmed";b:0;s:33:"\0*\0programmed_bypass_access_check";b:1;s:16:"\0*\0process_input";b:1;s:12:"\0*\0submitted";b:1;s:11:"\0*\0executed";b:0;s:21:"\0*\0triggering_element";a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:196;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}s:19:"\0*\0has_file_element";N;s:9:"\0*\0groups";a:0:{}s:10:"\0*\0storage";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:42:"block.block.views_block__mt_latest_block_1";a:12:{s:4:"uuid";s:36:"8f6ca795-9af5-40f9-905e-082d2bb4a4be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_1";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";a:0:{}}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";s:16:"default_langcode";}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:1:{i:0;s:42:"block.block.views_block__mt_latest_block_1";}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:1:{s:0:"";a:862:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:44:"block_content.type.mt_background_video_block";i:6;s:37:"block_content.type.mt_dropdowns_block";i:7;s:47:"block_content.type.mt_fancy_linked_images_block";i:8;s:38:"block_content.type.mt_fancy_tabs_block";i:9;s:32:"block_content.type.mt_fltt_block";i:10;s:33:"block_content.type.mt_google_maps";i:11;s:30:"block_content.type.mt_if_block";i:12;s:42:"block_content.type.mt_main_slideshow_block";i:13;s:38:"block_content.type.mt_media_tabs_block";i:14;s:43:"block_content.type.mt_nodes_slideshow_block";i:15;s:32:"block_content.type.mt_tabs_block";i:16;s:41:"block_content.type.mt_video_gallery_block";i:17;s:20:"comment.type.comment";i:18;s:24:"contact.form.alternative";i:19;s:21:"contact.form.feedback";i:20;s:21:"contact.form.personal";i:21;s:16:"contact.settings";i:22;s:25:"core.date_format.fallback";i:23;s:26:"core.date_format.html_date";i:24;s:30:"core.date_format.html_datetime";i:25;s:27:"core.date_format.html_month";i:26;s:26:"core.date_format.html_time";i:27;s:26:"core.date_format.html_week";i:28;s:26:"core.date_format.html_year";i:29;s:35:"core.date_format.html_yearless_date";i:30;s:21:"core.date_format.long";i:31;s:23:"core.date_format.medium";i:32;s:22:"core.date_format.short";i:33;s:60:"core.entity_form_display.contact_message.alternative.default";i:34;s:57:"core.entity_form_display.contact_message.feedback.default";i:35;s:57:"core.entity_form_display.contact_message.personal.default";i:36;s:60:"core.entity_view_display.contact_message.alternative.default";i:37;s:40:"core.entity_view_mode.block_content.full";i:38;s:34:"core.entity_view_mode.comment.full";i:39;s:14:"core.extension";i:40;s:36:"core.menu.static_menu_link_overrides";i:41;s:35:"block.block.corporateplus_subscribe";i:42;s:45:"block.block.corporateplus_signupfortextalerts";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:37:"block.block.corporateplus_local_tasks";i:45;s:39:"block.block.corporateplus_local_actions";i:46;s:40:"block.block.corporateplus_iconssubfooter";i:47;s:35:"block.block.corporateplus_copyright";i:48;s:22:"corporateplus.settings";i:49;s:14:"field.settings";i:50;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:51;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:52;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:53;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:54;s:52:"field.storage.block_content.field_mt_block_reference";i:55;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:56;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:57;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:58;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:59;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:60;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";i:61;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:62;s:45:"field.storage.block_content.field_mt_map_zoom";i:63;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:64;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:65;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:66;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:67;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:68;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:69;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:70;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:71;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:72;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:73;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:74;s:50:"field.storage.block_content.field_mt_bv_video_webm";i:75;s:49:"field.storage.block_content.field_mt_bv_video_mp4";i:76;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:77;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:78;s:13:"file.settings";i:79;s:33:"core.entity_view_mode.font.teaser";i:80;s:31:"core.entity_view_mode.font.full";i:81;s:37:"fontyourface.font_display.mt_headings";i:82;s:38:"fontyourface.font_display.mt_paragraph";i:83;s:38:"fontyourface.font_display.mt_site_name";i:84;s:40:"fontyourface.font_display.mt_site_slogan";i:85;s:21:"fontyourface.settings";i:86;s:23:"block.block.bartik_help";i:87;s:46:"field.storage.block_content.field_mt_bv_poster";i:88;s:53:"field.storage.block_content.field_mt_background_image";i:89;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:90;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:91;s:14:"image.settings";i:92;s:17:"image.style.large";i:93;s:18:"image.style.medium";i:94;s:21:"image.style.mt_brands";i:95;s:24:"image.style.mt_fli_image";i:96;s:20:"image.style.mt_icons";i:97;s:30:"image.style.mt_landscape_image";i:98;s:30:"image.style.mt_media_tab_image";i:99;s:27:"image.style.mt_member_photo";i:100;s:29:"image.style.mt_portrait_image";i:101;s:28:"image.style.mt_product_image";i:102;s:30:"image.style.mt_slideshow_boxed";i:103;s:35:"image.style.mt_slideshow_fullscreen";i:104;s:32:"image.style.mt_testimonial_image";i:105;s:38:"image.style.mt_video_gallery_thumbnail";i:106;s:21:"image.style.thumbnail";i:107;s:16:"menu_ui.settings";i:108;s:43:"field.storage.node.field_mt_twitter_account";i:109;s:45:"field.storage.node.field_mt_testimonial_image";i:110;s:36:"field.storage.node.field_mt_subtitle";i:111;s:42:"field.storage.node.field_mt_slideshow_path";i:112;s:43:"field.storage.node.field_mt_slideshow_image";i:113;s:37:"field.storage.node.field_mt_slideshow";i:114;s:40:"field.storage.node.field_mt_product_code";i:115;s:46:"field.storage.node.field_mt_pricing_table_item";i:116;s:33:"field.storage.node.field_mt_price";i:117;s:40:"field.storage.node.field_mt_most_popular";i:118;s:40:"field.storage.node.field_mt_member_photo";i:119;s:44:"field.storage.node.field_mt_linkedin_account";i:120;s:43:"field.storage.node.field_mt_landscape_image";i:121;s:48:"field.storage.node.field_mt_font_awesome_classes";i:122;s:44:"field.storage.node.field_mt_facebook_account";i:123;s:36:"field.storage.node.field_mt_buy_link";i:124;s:44:"field.storage.node.field_mt_bg_video_youtube";i:125;s:43:"field.storage.node.field_mt_bg_video_volume";i:126;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:127;s:40:"field.storage.node.field_mt_banner_image";i:128;s:30:"field.storage.node.field_image";i:129;s:26:"field.storage.node.comment";i:130;s:45:"field.storage.block_content.field_mt_ns_slide";i:131;s:33:"core.entity_view_mode.node.teaser";i:132;s:40:"core.entity_view_mode.node.search_result";i:133;s:39:"core.entity_view_mode.node.search_index";i:134;s:30:"core.entity_view_mode.node.rss";i:135;s:40:"core.entity_view_mode.node.mt_slide_view";i:136;s:31:"core.entity_view_mode.node.full";i:137;s:13:"node.settings";i:138;s:17:"node.type.article";i:139;s:49:"field.field.node.article.field_mt_slideshow_image";i:140;s:43:"field.field.node.article.field_mt_slideshow";i:141;s:46:"field.field.node.article.field_mt_banner_image";i:142;s:36:"field.field.node.article.field_image";i:143;s:32:"field.field.node.article.comment";i:144;s:20:"node.type.mt_benefit";i:145;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:146;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:147;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:148;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:149;s:39:"field.field.node.mt_benefit.field_image";i:150;s:20:"node.type.mt_product";i:151;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:152;s:46:"field.field.node.mt_product.field_mt_slideshow";i:153;s:49:"field.field.node.mt_product.field_mt_product_code";i:154;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:155;s:42:"field.field.node.mt_product.field_mt_price";i:156;s:49:"field.field.node.mt_product.field_mt_most_popular";i:157;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:158;s:45:"field.field.node.mt_product.field_mt_buy_link";i:159;s:49:"field.field.node.mt_product.field_mt_banner_image";i:160;s:39:"field.field.node.mt_product.field_image";i:161;s:35:"field.field.node.mt_product.comment";i:162;s:20:"node.type.mt_service";i:163;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:164;s:46:"field.field.node.mt_service.field_mt_slideshow";i:165;s:42:"field.field.node.mt_service.field_mt_price";i:166;s:45:"field.field.node.mt_service.field_mt_buy_link";i:167;s:49:"field.field.node.mt_service.field_mt_banner_image";i:168;s:39:"field.field.node.mt_service.field_image";i:169;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:170;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:171;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:172;s:21:"node.type.mt_showcase";i:173;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:174;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:175;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:176;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:177;s:40:"field.field.node.mt_showcase.field_image";i:178;s:36:"field.field.node.mt_showcase.comment";i:179;s:28:"node.type.mt_slideshow_entry";i:180;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:181;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:182;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:183;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:184;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:185;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:186;s:24:"node.type.mt_team_member";i:187;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:188;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:189;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:190;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:191;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:192;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:193;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:194;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:195;s:52:"core.base_field_override.node.mt_team_member.promote";i:196;s:24:"node.type.mt_testimonial";i:197;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:198;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:199;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:200;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:201;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:202;s:14:"node.type.page";i:203;s:46:"field.field.node.page.field_mt_slideshow_image";i:204;s:40:"field.field.node.page.field_mt_slideshow";i:205;s:43:"field.field.node.page.field_mt_banner_image";i:206;s:42:"core.base_field_override.node.page.promote";i:207;s:48:"field.storage.node.field_mt_product_availability";i:208;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:209;s:46:"field.storage.block_content.field_mt_ms_effect";i:210;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:211;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:212;s:53:"field.storage.block_content.field_mt_bv_overlay_color";i:213;s:51:"field.storage.block_content.field_mt_bv_layout_mode";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:222;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:223;s:72:"core.entity_view_display.block_content.mt_background_video_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_video_block.default";i:225;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:226;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:227;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:228;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:229;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:230;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:231;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:232;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:233;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:234;s:42:"field.storage.paragraph.field_mt_tab_title";i:235;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:236;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:237;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:238;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:239;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:240;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:241;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:242;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:243;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:244;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:245;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:246;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:247;s:44:"field.storage.paragraph.field_mt_media_title";i:248;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:249;s:44:"field.storage.paragraph.field_mt_media_image";i:250;s:45:"field.storage.paragraph.field_mt_media_button";i:251;s:41:"field.storage.paragraph.field_mt_if_title";i:252;s:40:"field.storage.paragraph.field_mt_if_link";i:253;s:41:"field.storage.paragraph.field_mt_if_image";i:254;s:40:"field.storage.paragraph.field_mt_if_icon";i:255;s:48:"field.storage.paragraph.field_mt_highlight_title";i:256;s:47:"field.storage.paragraph.field_mt_highlight_link";i:257;s:48:"field.storage.paragraph.field_mt_highlight_image";i:258;s:43:"field.storage.paragraph.field_mt_fltt_title";i:259;s:42:"field.storage.paragraph.field_mt_fltt_link";i:260;s:42:"field.storage.paragraph.field_mt_fli_title";i:261;s:42:"field.storage.paragraph.field_mt_fli_shape";i:262;s:41:"field.storage.paragraph.field_mt_fli_link";i:263;s:42:"field.storage.paragraph.field_mt_fli_image";i:264;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:265;s:44:"field.storage.paragraph.field_mt_fancy_title";i:266;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:267;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:268;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:269;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:270;s:47:"field.storage.paragraph.field_mt_collapse_title";i:271;s:37:"field.storage.node.field_mt_highlight";i:272;s:40:"field.storage.node.field_mt_content_tabs";i:273;s:45:"field.storage.node.field_mt_content_collapses";i:274;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:275;s:46:"field.storage.block_content.field_mt_media_tab";i:276;s:49:"field.storage.block_content.field_mt_map_location";i:277;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:278;s:39:"field.storage.block_content.field_mt_if";i:279;s:41:"field.storage.block_content.field_mt_fltt";i:280;s:46:"field.storage.block_content.field_mt_fancy_tab";i:281;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:282;s:45:"field.storage.block_content.field_mt_dropdown";i:283;s:39:"core.entity_view_mode.paragraph.preview";i:284;s:38:"paragraphs.paragraphs_type.mt_collapse";i:285;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:286;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:287;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:288;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:289;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:290;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:291;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:292;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:293;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:294;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:295;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:296;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:297;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:298;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:299;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:300;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:301;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:302;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:303;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:304;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:305;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:306;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:307;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:308;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:309;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:310;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:311;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:312;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:313;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:314;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:315;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:316;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:317;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:318;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:319;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:320;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:321;s:39:"paragraphs.paragraphs_type.mt_highlight";i:322;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:323;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:324;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:325;s:46:"field.field.node.mt_service.field_mt_highlight";i:326;s:46:"field.field.node.mt_product.field_mt_highlight";i:327;s:43:"paragraphs.paragraphs_type.mt_icon_features";i:328;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:329;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:330;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:331;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_icon";i:332;s:49:"field.field.block_content.mt_if_block.field_mt_if";i:333;s:58:"core.entity_view_display.block_content.mt_if_block.default";i:334;s:58:"core.entity_form_display.block_content.mt_if_block.default";i:335;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:336;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:337;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:338;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:339;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:340;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:341;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:342;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:343;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:344;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:345;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:346;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:347;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:348;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:349;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:350;s:42:"paragraphs.paragraphs_type.mt_map_location";i:351;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:352;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:353;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:354;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:355;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:356;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:357;s:58:"core.entity_view_display.paragraph.mt_map_location.default";i:358;s:58:"core.entity_form_display.paragraph.mt_map_location.default";i:359;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:360;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:361;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:362;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:363;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:364;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:365;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:366;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:367;s:33:"paragraphs.paragraphs_type.mt_tab";i:368;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:369;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:370;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:371;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:372;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:373;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:374;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:375;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:376;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:377;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:378;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:379;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:380;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:381;s:27:"rdf.mapping.comment.comment";i:382;s:24:"rdf.mapping.node.article";i:383;s:21:"rdf.mapping.node.page";i:384;s:25:"block.block.bartik_search";i:385;s:23:"search.page.node_search";i:386;s:15:"search.settings";i:387;s:39:"block.block.seven_secondary_local_tasks";i:388;s:37:"block.block.seven_primary_local_tasks";i:389;s:28:"block.block.seven_page_title";i:390;s:31:"block.block.seven_local_actions";i:391;s:22:"block.block.seven_help";i:392;s:14:"seven.settings";i:393;s:18:"superfish.settings";i:394;s:17:"block.block.whyme";i:395;s:26:"block.block.seven_messages";i:396;s:25:"block.block.seven_content";i:397;s:29:"block.block.seven_breadcrumbs";i:398;s:36:"block.block.corporateplus_textblocks";i:399;s:41:"block.block.corporateplus_socialbookmarks";i:400;s:37:"block.block.corporateplus_sidebartabs";i:401;s:32:"block.block.corporateplus_search";i:402;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:403;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:404;s:36:"block.block.corporateplus_page_title";i:405;s:34:"block.block.corporateplus_messages";i:406;s:34:"block.block.corporateplus_infotext";i:407;s:38:"block.block.corporateplus_genericblock";i:408;s:39:"block.block.corporateplus_frontpagetabs";i:409;s:43:"block.block.corporateplus_fancylinkedimages";i:410;s:36:"block.block.corporateplus_fancyblock";i:411;s:33:"block.block.corporateplus_content";i:412;s:46:"block.block.corporateplus_contactinfoheadertop";i:413;s:37:"block.block.corporateplus_contactinfo";i:414;s:40:"block.block.corporateplus_contactdetails";i:415;s:44:"block.block.corporateplus_connectwithuslarge";i:416;s:37:"block.block.corporateplus_breadcrumbs";i:417;s:34:"block.block.corporateplus_branding";i:418;s:40:"block.block.corporateplus_blockwithimage";i:419;s:46:"block.block.corporateplus_backgroundimageblock";i:420;s:38:"block.block.corporateplus_announcement";i:421;s:26:"block.block.bartik_powered";i:422;s:27:"block.block.bartik_messages";i:423;s:26:"block.block.bartik_content";i:424;s:30:"block.block.bartik_breadcrumbs";i:425;s:27:"block.block.bartik_branding";i:426;s:36:"system.action.comment_publish_action";i:427;s:33:"system.action.comment_save_action";i:428;s:38:"system.action.comment_unpublish_action";i:429;s:32:"system.action.node_delete_action";i:430;s:37:"system.action.node_make_sticky_action";i:431;s:39:"system.action.node_make_unsticky_action";i:432;s:33:"system.action.node_promote_action";i:433;s:33:"system.action.node_publish_action";i:434;s:30:"system.action.node_save_action";i:435;s:35:"system.action.node_unpromote_action";i:436;s:35:"system.action.node_unpublish_action";i:437;s:16:"system.authorize";i:438;s:11:"system.cron";i:439;s:11:"system.date";i:440;s:11:"system.diff";i:441;s:11:"system.file";i:442;s:12:"system.image";i:443;s:15:"system.image.gd";i:444;s:14:"system.logging";i:445;s:11:"system.mail";i:446;s:18:"system.maintenance";i:447;s:19:"system.menu.account";i:448;s:38:"block.block.corporateplus_account_menu";i:449;s:31:"block.block.bartik_account_menu";i:450;s:17:"system.menu.admin";i:451;s:18:"system.menu.footer";i:452;s:32:"block.block.corporateplus_footer";i:453;s:25:"block.block.bartik_footer";i:454;s:35:"system.menu.landing-page-navigation";i:455;s:16:"system.menu.main";i:456;s:35:"block.block.corporateplus_main_menu";i:457;s:42:"block.block.corporateplus_mainnavigation_2";i:458;s:28:"block.block.bartik_main_menu";i:459;s:32:"system.menu.mt-footer-menu-three";i:460;s:30:"system.menu.mt-footer-menu-two";i:461;s:35:"block.block.corporateplus_questions";i:462;s:24:"system.menu.mt-mega-menu";i:463;s:29:"system.menu.mt-subfooter-menu";i:464;s:35:"block.block.corporateplus_subfooter";i:465;s:17:"system.menu.tools";i:466;s:31:"block.block.corporateplus_tools";i:467;s:24:"block.block.bartik_tools";i:468;s:18:"system.performance";i:469;s:10:"system.rss";i:470;s:11:"system.site";i:471;s:12:"system.theme";i:472;s:19:"system.theme.global";i:473;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:474;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:475;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:476;s:29:"field.storage.node.field_tags";i:477;s:41:"field.storage.node.field_mt_showcase_tags";i:478;s:40:"field.storage.node.field_mt_service_tags";i:479;s:41:"field.storage.node.field_mt_products_tags";i:480;s:39:"field.storage.node.field_mt_collections";i:481;s:40:"field.storage.node.field_mt_clients_tags";i:482;s:29:"field.storage.font.field_tags";i:483;s:44:"field.storage.font.field_supported_languages";i:484;s:39:"field.storage.font.field_classification";i:485;s:40:"core.entity_view_mode.taxonomy_term.full";i:486;s:17:"taxonomy.settings";i:487;s:39:"taxonomy.vocabulary.font_classification";i:488;s:42:"field.field.font.font.field_classification";i:489;s:33:"taxonomy.vocabulary.font_designer";i:490;s:32:"taxonomy.vocabulary.font_foundry";i:491;s:29:"taxonomy.vocabulary.font_tags";i:492;s:32:"field.field.font.font.field_tags";i:493;s:39:"taxonomy.vocabulary.languages_supported";i:494;s:47:"field.field.font.font.field_supported_languages";i:495;s:34:"taxonomy.vocabulary.mt_brands_tags";i:496;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:497;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:498;s:34:"taxonomy.vocabulary.mt_collections";i:499;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:500;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:501;s:48:"field.field.node.mt_product.field_mt_collections";i:502;s:35:"taxonomy.vocabulary.mt_product_tags";i:503;s:50:"field.field.node.mt_product.field_mt_products_tags";i:504;s:35:"taxonomy.vocabulary.mt_service_tags";i:505;s:49:"field.field.node.mt_service.field_mt_service_tags";i:506;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:507;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:508;s:24:"taxonomy.vocabulary.tags";i:509;s:30:"rdf.mapping.taxonomy_term.tags";i:510;s:38:"field.field.node.mt_benefit.field_tags";i:511;s:35:"field.field.node.article.field_tags";i:512;s:44:"field.storage.paragraph.field_mt_tab_content";i:513;s:43:"field.storage.paragraph.field_mt_media_body";i:514;s:40:"field.storage.paragraph.field_mt_if_body";i:515;s:47:"field.storage.paragraph.field_mt_highlight_body";i:516;s:42:"field.storage.paragraph.field_mt_fltt_body";i:517;s:46:"field.storage.paragraph.field_mt_collapse_body";i:518;s:42:"field.storage.node.field_mt_subheader_body";i:519;s:42:"field.storage.node.field_mt_slideshow_text";i:520;s:23:"field.storage.node.body";i:521;s:34:"field.storage.comment.comment_body";i:522;s:32:"field.storage.block_content.body";i:523;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:524;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:525;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:526;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:527;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:528;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:529;s:45:"field.field.node.page.field_mt_subheader_body";i:530;s:45:"field.field.node.page.field_mt_slideshow_text";i:531;s:26:"field.field.node.page.body";i:532;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:533;s:36:"field.field.node.mt_testimonial.body";i:534;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:535;s:36:"field.field.node.mt_team_member.body";i:536;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:537;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:538;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:539;s:33:"field.field.node.mt_showcase.body";i:540;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:541;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:542;s:32:"field.field.node.mt_service.body";i:543;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:544;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:545;s:32:"field.field.node.mt_product.body";i:546;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:547;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:548;s:32:"field.field.node.mt_benefit.body";i:549;s:48:"field.field.node.article.field_mt_slideshow_text";i:550;s:29:"field.field.node.article.body";i:551;s:40:"field.field.comment.comment.comment_body";i:552;s:36:"field.field.block_content.basic.body";i:553;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:554;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:555;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:556;s:59:"core.entity_view_display.paragraph.mt_icon_features.default";i:557;s:55:"core.entity_view_display.paragraph.mt_highlight.default";i:558;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:559;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:560;s:48:"core.entity_view_display.comment.comment.default";i:561;s:52:"core.entity_view_display.block_content.basic.default";i:562;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:563;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:564;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:565;s:59:"core.entity_form_display.paragraph.mt_icon_features.default";i:566;s:55:"core.entity_form_display.paragraph.mt_highlight.default";i:567;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:568;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:569;s:42:"core.entity_form_display.node.page.default";i:570;s:52:"core.entity_form_display.node.mt_testimonial.default";i:571;s:52:"core.entity_form_display.node.mt_team_member.default";i:572;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:573;s:45:"core.entity_form_display.node.article.default";i:574;s:48:"core.entity_form_display.comment.comment.default";i:575;s:52:"core.entity_form_display.block_content.basic.default";i:576;s:13:"text.settings";i:577;s:31:"block.block.videogalleryblock_2";i:578;s:29:"block.block.videogalleryblock";i:579;s:32:"block.block.videobackgroundblock";i:580;s:26:"block.block.uniquefeatures";i:581;s:25:"block.block.topplus_tools";i:582;s:30:"block.block.topplus_textblocks";i:583;s:29:"block.block.topplus_subscribe";i:584;s:29:"block.block.topplus_subfooter";i:585;s:35:"block.block.topplus_socialbookmarks";i:586;s:39:"block.block.topplus_signupfortextalerts";i:587;s:31:"block.block.topplus_sidebartabs";i:588;s:26:"block.block.topplus_search";i:589;s:29:"block.block.topplus_questions";i:590;s:51:"block.block.topplus_productslayoutswithergridactive";i:591;s:52:"block.block.topplus_productslayoutswitcherlistactive";i:592;s:27:"block.block.topplus_powered";i:593;s:38:"block.block.topplus_popularsalesstatic";i:594;s:30:"block.block.topplus_page_title";i:595;s:28:"block.block.topplus_messages";i:596;s:29:"block.block.topplus_main_menu";i:597;s:36:"block.block.topplus_mainnavigation_2";i:598;s:31:"block.block.topplus_local_tasks";i:599;s:33:"block.block.topplus_local_actions";i:600;s:28:"block.block.topplus_infotext";i:601;s:34:"block.block.topplus_iconssubfooter";i:602;s:24:"block.block.topplus_help";i:603;s:32:"block.block.topplus_genericblock";i:604;s:33:"block.block.topplus_frontpagetabs";i:605;s:26:"block.block.topplus_footer";i:606;s:37:"block.block.topplus_fancylinkedimages";i:607;s:30:"block.block.topplus_fancyblock";i:608;s:29:"block.block.topplus_copyright";i:609;s:27:"block.block.topplus_content";i:610;s:40:"block.block.topplus_contactinfoheadertop";i:611;s:31:"block.block.topplus_contactinfo";i:612;s:34:"block.block.topplus_contactdetails";i:613;s:38:"block.block.topplus_connectwithuslarge";i:614;s:31:"block.block.topplus_breadcrumbs";i:615;s:28:"block.block.topplus_branding";i:616;s:34:"block.block.topplus_blockwithimage";i:617;s:40:"block.block.topplus_backgroundimageblock";i:618;s:32:"block.block.topplus_announcement";i:619;s:32:"block.block.topplus_account_menu";i:620;s:34:"block.block.testimonialscarousel_2";i:621;s:34:"block.block.tellusaboutyourproject";i:622;s:21:"block.block.subscribe";i:623;s:30:"block.block.stillhavequestions";i:624;s:23:"block.block.socialmedia";i:625;s:23:"block.block.sociallinks";i:626;s:36:"block.block.socialbookmarksfootertop";i:627;s:24:"block.block.sitebranding";i:628;s:27:"block.block.showcasesbanner";i:629;s:26:"block.block.servicesbanner";i:630;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:631;s:24:"block.block.searchform_4";i:632;s:24:"block.block.searchform_3";i:633;s:24:"block.block.searchform_2";i:634;s:22:"block.block.searchform";i:635;s:26:"block.block.productsbanner";i:636;s:27:"block.block.poweredbydrupal";i:637;s:25:"block.block.ournewsletter";i:638;s:19:"block.block.mystory";i:639;s:20:"block.block.megamenu";i:640;s:20:"block.block.mediatab";i:641;s:28:"block.block.mainnavigation_4";i:642;s:28:"block.block.mainnavigation_3";i:643;s:28:"block.block.mainnavigation_2";i:644;s:28:"block.block.languageswitcher";i:645;s:35:"block.block.landingpagenavigation_2";i:646;s:39:"block.block.interestedininvestingwithus";i:647;s:26:"block.block.iconssubfooter";i:648;s:37:"block.block.howprofessionalisourstaff";i:649;s:22:"block.block.highlights";i:650;s:27:"block.block.headerdropdowns";i:651;s:29:"block.block.googlemapbanner_3";i:652;s:29:"block.block.googlemapbanner_2";i:653;s:27:"block.block.googlemapbanner";i:654;s:30:"block.block.fullwidthslideshow";i:655;s:44:"block.block.footerbottomcustomsitebranding_2";i:656;s:42:"block.block.footerbottomcustomsitebranding";i:657;s:22:"block.block.fancyblock";i:658;s:23:"block.block.creditcards";i:659;s:27:"block.block.contactusbanner";i:660;s:31:"block.block.contactinfoslideout";i:661;s:29:"block.block.contactinfoheader";i:662;s:32:"block.block.contactinfofootertop";i:663;s:41:"block.block.contactinfocontactalternative";i:664;s:26:"block.block.calltoaction_2";i:665;s:25:"block.block.calltoaction2";i:666;s:24:"block.block.calltoaction";i:667;s:22:"block.block.blogbanner";i:668;s:41:"block.block.backgroundimageblockshowcases";i:669;s:40:"block.block.backgroundimageblockservices";i:670;s:40:"block.block.backgroundimageblockproducts";i:671;s:35:"block.block.backgroundimageblockcta";i:672;s:41:"block.block.backgroundimageblockcontactus";i:673;s:39:"block.block.backgroundimageblockclients";i:674;s:36:"block.block.backgroundimageblockblog";i:675;s:39:"block.block.backgroundimageblockaboutus";i:676;s:41:"block.block.areyoulookingforagreatservice";i:677;s:29:"block.block.aboutuscontenttop";i:678;s:25:"block.block.aboutusbanner";i:679;s:19:"block.block.aboutus";i:680;s:19:"block.block.aboutme";i:681;s:16:"topplus.settings";i:682;s:38:"system.action.user_unblock_user_action";i:683;s:37:"system.action.user_cancel_user_action";i:684;s:36:"system.action.user_block_user_action";i:685;s:23:"search.page.user_search";i:686;s:21:"rdf.mapping.user.user";i:687;s:31:"field.storage.user.user_picture";i:688;s:34:"field.field.user.user.user_picture";i:689;s:31:"core.entity_view_mode.user.full";i:690;s:34:"core.entity_view_mode.user.compact";i:691;s:42:"core.entity_view_display.user.user.default";i:692;s:42:"core.entity_view_display.user.user.compact";i:693;s:41:"core.entity_view_display.node.page.teaser";i:694;s:42:"core.entity_view_display.node.page.default";i:695;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:696;s:52:"core.entity_view_display.node.mt_testimonial.default";i:697;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:698;s:52:"core.entity_view_display.node.mt_team_member.default";i:699;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:700;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:701;s:44:"core.entity_view_display.node.article.teaser";i:702;s:41:"core.entity_view_display.node.article.rss";i:703;s:45:"core.entity_view_display.node.article.default";i:704;s:35:"core.entity_form_mode.user.register";i:705;s:42:"core.entity_form_display.user.user.default";i:706;s:23:"block.block.seven_login";i:707;s:10:"user.flood";i:708;s:9:"user.mail";i:709;s:23:"user.role.administrator";i:710;s:51:"system.action.user_remove_role_action.administrator";i:711;s:48:"system.action.user_add_role_action.administrator";i:712;s:19:"user.role.anonymous";i:713;s:23:"user.role.authenticated";i:714;s:13:"user.settings";i:715;s:44:"field.storage.paragraph.field_mt_media_video";i:716;s:33:"field.storage.node.field_mt_video";i:717;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:718;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:719;s:43:"field.field.node.mt_showcase.field_mt_video";i:720;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:721;s:42:"field.field.node.mt_service.field_mt_video";i:722;s:47:"core.entity_view_display.node.mt_service.teaser";i:723;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:724;s:42:"field.field.node.mt_product.field_mt_video";i:725;s:47:"core.entity_view_display.node.mt_product.teaser";i:726;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:727;s:42:"field.field.node.mt_benefit.field_mt_video";i:728;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:729;s:49:"core.entity_view_display.node.mt_showcase.default";i:730;s:48:"core.entity_view_display.node.mt_service.default";i:731;s:48:"core.entity_view_display.node.mt_product.default";i:732;s:48:"core.entity_view_display.node.mt_benefit.default";i:733;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:734;s:49:"core.entity_form_display.node.mt_showcase.default";i:735;s:48:"core.entity_form_display.node.mt_service.default";i:736;s:48:"core.entity_form_display.node.mt_product.default";i:737;s:48:"core.entity_form_display.node.mt_benefit.default";i:738;s:14:"views.settings";i:739;s:18:"views.view.archive";i:740;s:24:"views.view.block_content";i:741;s:26:"views.view.comments_recent";i:742;s:18:"views.view.content";i:743;s:25:"views.view.content_recent";i:744;s:16:"views.view.files";i:745;s:36:"views.view.fontyourface_font_manager";i:746;s:20:"views.view.frontpage";i:747;s:19:"views.view.glossary";i:748;s:22:"views.view.mt_articles";i:749;s:31:"views.view.mt_articles_carousel";i:750;s:55:"block.block.views_block__mt_articles_carousel_block_1_2";i:751;s:27:"views.view.mt_articles_grid";i:752;s:27:"views.view.mt_articles_list";i:753;s:29:"views.view.mt_articles_list_2";i:754;s:51:"block.block.views_block__mt_articles_list_2_block_1";i:755;s:22:"views.view.mt_benefits";i:756;s:44:"block.block.views_block__mt_benefits_block_1";i:757;s:52:"block.block.topplus_views_block__mt_benefits_block_1";i:758;s:58:"block.block.corporateplus_views_block__mt_benefits_block_1";i:759;s:29:"views.view.mt_brands_carousel";i:760;s:59:"block.block.topplus_views_block__mt_brands_carousel_block_1";i:761;s:65:"block.block.corporateplus_views_block__mt_brands_carousel_block_1";i:762;s:25:"views.view.mt_brands_grid";i:763;s:34:"views.view.mt_collections_carousel";i:764;s:64:"block.block.topplus_views_block__mt_collections_carousel_block_1";i:765;s:70:"block.block.corporateplus_views_block__mt_collections_carousel_block_1";i:766;s:30:"views.view.mt_collections_grid";i:767;s:33:"views.view.mt_collections_masonry";i:768;s:63:"block.block.topplus_views_block__mt_collections_masonry_block_1";i:769;s:69:"block.block.corporateplus_views_block__mt_collections_masonry_block_1";i:770;s:29:"views.view.mt_internal_banner";i:771;s:59:"block.block.topplus_views_block__mt_internal_banner_block_1";i:772;s:65:"block.block.corporateplus_views_block__mt_internal_banner_block_1";i:773;s:21:"views.view.mt_isotope";i:774;s:20:"views.view.mt_latest";i:775;s:42:"block.block.views_block__mt_latest_block_3";i:776;s:42:"block.block.views_block__mt_latest_block_1";i:777;s:50:"block.block.topplus_views_block__mt_latest_block_3";i:778;s:50:"block.block.topplus_views_block__mt_latest_block_1";i:779;s:56:"block.block.corporateplus_views_block__mt_latest_block_3";i:780;s:56:"block.block.corporateplus_views_block__mt_latest_block_1";i:781;s:27:"views.view.mt_photo_gallery";i:782;s:51:"block.block.views_block__mt_photo_gallery_block_1_2";i:783;s:26:"views.view.mt_popular_tags";i:784;s:56:"block.block.topplus_views_block__mt_popular_tags_block_1";i:785;s:62:"block.block.corporateplus_views_block__mt_popular_tags_block_1";i:786;s:28:"views.view.mt_pricing_tables";i:787;s:58:"block.block.topplus_views_block__mt_pricing_tables_block_1";i:788;s:64:"block.block.corporateplus_views_block__mt_pricing_tables_block_1";i:789;s:26:"views.view.mt_product_tags";i:790;s:56:"block.block.topplus_views_block__mt_product_tags_block_1";i:791;s:62:"block.block.corporateplus_views_block__mt_product_tags_block_1";i:792;s:22:"views.view.mt_products";i:793;s:48:"block.block.topplus_exposedformmt_productspage_3";i:794;s:48:"block.block.topplus_exposedformmt_productspage_2";i:795;s:48:"block.block.topplus_exposedformmt_productspage_1";i:796;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:797;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:798;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:799;s:31:"views.view.mt_products_carousel";i:800;s:27:"views.view.mt_products_list";i:801;s:57:"block.block.topplus_views_block__mt_products_list_block_1";i:802;s:63:"block.block.corporateplus_views_block__mt_products_list_block_1";i:803;s:30:"views.view.mt_products_masonry";i:804;s:60:"block.block.topplus_views_block__mt_products_masonry_block_1";i:805;s:66:"block.block.corporateplus_views_block__mt_products_masonry_block_1";i:806;s:28:"views.view.mt_promoted_posts";i:807;s:37:"views.view.mt_promoted_posts_carousel";i:808;s:59:"block.block.views_block__mt_promoted_posts_carousel_block_1";i:809;s:36:"views.view.mt_related_nodes_carousel";i:810;s:66:"block.block.topplus_views_block__mt_related_nodes_carousel_block_1";i:811;s:72:"block.block.corporateplus_views_block__mt_related_nodes_carousel_block_1";i:812;s:22:"views.view.mt_services";i:813;s:27:"views.view.mt_services_list";i:814;s:23:"views.view.mt_showcases";i:815;s:45:"block.block.views_block__mt_showcases_block_2";i:816;s:36:"views.view.mt_showcases_grid_style_2";i:817;s:28:"views.view.mt_showcases_list";i:818;s:52:"block.block.views_block__mt_showcases_list_block_1_2";i:819;s:35:"views.view.mt_slideshow_boxed_width";i:820;s:65:"block.block.topplus_views_block__mt_slideshow_boxed_width_block_1";i:821;s:71:"block.block.corporateplus_views_block__mt_slideshow_boxed_width_block_1";i:822;s:35:"views.view.mt_slideshow_full_screen";i:823;s:65:"block.block.topplus_views_block__mt_slideshow_full_screen_block_1";i:824;s:71:"block.block.corporateplus_views_block__mt_slideshow_full_screen_block_1";i:825;s:34:"views.view.mt_slideshow_full_width";i:826;s:64:"block.block.topplus_views_block__mt_slideshow_full_width_block_1";i:827;s:70:"block.block.corporateplus_views_block__mt_slideshow_full_width_block_1";i:828;s:35:"views.view.mt_team_members_carousel";i:829;s:57:"block.block.views_block__mt_team_members_carousel_block_1";i:830;s:31:"views.view.mt_team_members_grid";i:831;s:33:"views.view.mt_team_members_grid_2";i:832;s:31:"views.view.mt_team_members_list";i:833;s:26:"views.view.mt_testimonials";i:834;s:56:"block.block.topplus_views_block__mt_testimonials_block_2";i:835;s:56:"block.block.topplus_views_block__mt_testimonials_block_1";i:836;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_2";i:837;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_1";i:838;s:35:"views.view.mt_testimonials_carousel";i:839;s:59:"block.block.views_block__mt_testimonials_carousel_block_1_2";i:840;s:24:"filter.format.basic_html";i:841;s:31:"views.view.mt_testimonials_grid";i:842;s:24:"editor.editor.basic_html";i:843;s:33:"views.view.mt_testimonials_grid_2";i:844;s:23:"filter.format.full_html";i:845;s:34:"views.view.mt_testimonials_masonry";i:846;s:23:"editor.editor.full_html";i:847;s:20:"views.view.mt_videos";i:848;s:24:"filter.format.plain_text";i:849;s:24:"views.view.taxonomy_term";i:850;s:22:"filter.format.raw_html";i:851;s:28:"views.view.user_admin_people";i:852;s:29:"filter.format.restricted_html";i:853;s:20:"views.view.who_s_new";i:854;s:23:"automated_cron.settings";i:855;s:14:"dblog.settings";i:856;s:17:"field_ui.settings";i:857;s:15:"filter.settings";i:858;s:20:"shortcut.set.default";i:859;s:18:"tour.tour.views-ui";i:860;s:15:"update.settings";i:861;s:23:"views.view.who_s_online";}}s:14:"\0*\0targetNames";a:1:{s:0:"";a:862:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:44:"block_content.type.mt_background_video_block";i:6;s:37:"block_content.type.mt_dropdowns_block";i:7;s:47:"block_content.type.mt_fancy_linked_images_block";i:8;s:38:"block_content.type.mt_fancy_tabs_block";i:9;s:32:"block_content.type.mt_fltt_block";i:10;s:33:"block_content.type.mt_google_maps";i:11;s:30:"block_content.type.mt_if_block";i:12;s:42:"block_content.type.mt_main_slideshow_block";i:13;s:38:"block_content.type.mt_media_tabs_block";i:14;s:43:"block_content.type.mt_nodes_slideshow_block";i:15;s:32:"block_content.type.mt_tabs_block";i:16;s:41:"block_content.type.mt_video_gallery_block";i:17;s:20:"comment.type.comment";i:18;s:24:"contact.form.alternative";i:19;s:21:"contact.form.feedback";i:20;s:21:"contact.form.personal";i:21;s:16:"contact.settings";i:22;s:25:"core.date_format.fallback";i:23;s:26:"core.date_format.html_date";i:24;s:30:"core.date_format.html_datetime";i:25;s:27:"core.date_format.html_month";i:26;s:26:"core.date_format.html_time";i:27;s:26:"core.date_format.html_week";i:28;s:26:"core.date_format.html_year";i:29;s:35:"core.date_format.html_yearless_date";i:30;s:21:"core.date_format.long";i:31;s:23:"core.date_format.medium";i:32;s:22:"core.date_format.short";i:33;s:60:"core.entity_form_display.contact_message.alternative.default";i:34;s:57:"core.entity_form_display.contact_message.feedback.default";i:35;s:57:"core.entity_form_display.contact_message.personal.default";i:36;s:60:"core.entity_view_display.contact_message.alternative.default";i:37;s:40:"core.entity_view_mode.block_content.full";i:38;s:34:"core.entity_view_mode.comment.full";i:39;s:14:"core.extension";i:40;s:36:"core.menu.static_menu_link_overrides";i:41;s:35:"block.block.corporateplus_subscribe";i:42;s:45:"block.block.corporateplus_signupfortextalerts";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:37:"block.block.corporateplus_local_tasks";i:45;s:39:"block.block.corporateplus_local_actions";i:46;s:40:"block.block.corporateplus_iconssubfooter";i:47;s:35:"block.block.corporateplus_copyright";i:48;s:22:"corporateplus.settings";i:49;s:14:"field.settings";i:50;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:51;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:52;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:53;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:54;s:52:"field.storage.block_content.field_mt_block_reference";i:55;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:56;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:57;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:58;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:59;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:60;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";i:61;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:62;s:45:"field.storage.block_content.field_mt_map_zoom";i:63;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:64;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:65;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:66;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:67;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:68;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:69;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:70;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:71;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:72;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:73;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:74;s:50:"field.storage.block_content.field_mt_bv_video_webm";i:75;s:49:"field.storage.block_content.field_mt_bv_video_mp4";i:76;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:77;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:78;s:13:"file.settings";i:79;s:33:"core.entity_view_mode.font.teaser";i:80;s:31:"core.entity_view_mode.font.full";i:81;s:37:"fontyourface.font_display.mt_headings";i:82;s:38:"fontyourface.font_display.mt_paragraph";i:83;s:38:"fontyourface.font_display.mt_site_name";i:84;s:40:"fontyourface.font_display.mt_site_slogan";i:85;s:21:"fontyourface.settings";i:86;s:23:"block.block.bartik_help";i:87;s:46:"field.storage.block_content.field_mt_bv_poster";i:88;s:53:"field.storage.block_content.field_mt_background_image";i:89;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:90;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:91;s:14:"image.settings";i:92;s:17:"image.style.large";i:93;s:18:"image.style.medium";i:94;s:21:"image.style.mt_brands";i:95;s:24:"image.style.mt_fli_image";i:96;s:20:"image.style.mt_icons";i:97;s:30:"image.style.mt_landscape_image";i:98;s:30:"image.style.mt_media_tab_image";i:99;s:27:"image.style.mt_member_photo";i:100;s:29:"image.style.mt_portrait_image";i:101;s:28:"image.style.mt_product_image";i:102;s:30:"image.style.mt_slideshow_boxed";i:103;s:35:"image.style.mt_slideshow_fullscreen";i:104;s:32:"image.style.mt_testimonial_image";i:105;s:38:"image.style.mt_video_gallery_thumbnail";i:106;s:21:"image.style.thumbnail";i:107;s:16:"menu_ui.settings";i:108;s:43:"field.storage.node.field_mt_twitter_account";i:109;s:45:"field.storage.node.field_mt_testimonial_image";i:110;s:36:"field.storage.node.field_mt_subtitle";i:111;s:42:"field.storage.node.field_mt_slideshow_path";i:112;s:43:"field.storage.node.field_mt_slideshow_image";i:113;s:37:"field.storage.node.field_mt_slideshow";i:114;s:40:"field.storage.node.field_mt_product_code";i:115;s:46:"field.storage.node.field_mt_pricing_table_item";i:116;s:33:"field.storage.node.field_mt_price";i:117;s:40:"field.storage.node.field_mt_most_popular";i:118;s:40:"field.storage.node.field_mt_member_photo";i:119;s:44:"field.storage.node.field_mt_linkedin_account";i:120;s:43:"field.storage.node.field_mt_landscape_image";i:121;s:48:"field.storage.node.field_mt_font_awesome_classes";i:122;s:44:"field.storage.node.field_mt_facebook_account";i:123;s:36:"field.storage.node.field_mt_buy_link";i:124;s:44:"field.storage.node.field_mt_bg_video_youtube";i:125;s:43:"field.storage.node.field_mt_bg_video_volume";i:126;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:127;s:40:"field.storage.node.field_mt_banner_image";i:128;s:30:"field.storage.node.field_image";i:129;s:26:"field.storage.node.comment";i:130;s:45:"field.storage.block_content.field_mt_ns_slide";i:131;s:33:"core.entity_view_mode.node.teaser";i:132;s:40:"core.entity_view_mode.node.search_result";i:133;s:39:"core.entity_view_mode.node.search_index";i:134;s:30:"core.entity_view_mode.node.rss";i:135;s:40:"core.entity_view_mode.node.mt_slide_view";i:136;s:31:"core.entity_view_mode.node.full";i:137;s:13:"node.settings";i:138;s:17:"node.type.article";i:139;s:49:"field.field.node.article.field_mt_slideshow_image";i:140;s:43:"field.field.node.article.field_mt_slideshow";i:141;s:46:"field.field.node.article.field_mt_banner_image";i:142;s:36:"field.field.node.article.field_image";i:143;s:32:"field.field.node.article.comment";i:144;s:20:"node.type.mt_benefit";i:145;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:146;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:147;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:148;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:149;s:39:"field.field.node.mt_benefit.field_image";i:150;s:20:"node.type.mt_product";i:151;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:152;s:46:"field.field.node.mt_product.field_mt_slideshow";i:153;s:49:"field.field.node.mt_product.field_mt_product_code";i:154;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:155;s:42:"field.field.node.mt_product.field_mt_price";i:156;s:49:"field.field.node.mt_product.field_mt_most_popular";i:157;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:158;s:45:"field.field.node.mt_product.field_mt_buy_link";i:159;s:49:"field.field.node.mt_product.field_mt_banner_image";i:160;s:39:"field.field.node.mt_product.field_image";i:161;s:35:"field.field.node.mt_product.comment";i:162;s:20:"node.type.mt_service";i:163;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:164;s:46:"field.field.node.mt_service.field_mt_slideshow";i:165;s:42:"field.field.node.mt_service.field_mt_price";i:166;s:45:"field.field.node.mt_service.field_mt_buy_link";i:167;s:49:"field.field.node.mt_service.field_mt_banner_image";i:168;s:39:"field.field.node.mt_service.field_image";i:169;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:170;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:171;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:172;s:21:"node.type.mt_showcase";i:173;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:174;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:175;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:176;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:177;s:40:"field.field.node.mt_showcase.field_image";i:178;s:36:"field.field.node.mt_showcase.comment";i:179;s:28:"node.type.mt_slideshow_entry";i:180;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:181;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:182;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:183;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:184;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:185;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:186;s:24:"node.type.mt_team_member";i:187;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:188;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:189;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:190;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:191;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:192;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:193;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:194;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:195;s:52:"core.base_field_override.node.mt_team_member.promote";i:196;s:24:"node.type.mt_testimonial";i:197;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:198;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:199;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:200;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:201;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:202;s:14:"node.type.page";i:203;s:46:"field.field.node.page.field_mt_slideshow_image";i:204;s:40:"field.field.node.page.field_mt_slideshow";i:205;s:43:"field.field.node.page.field_mt_banner_image";i:206;s:42:"core.base_field_override.node.page.promote";i:207;s:48:"field.storage.node.field_mt_product_availability";i:208;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:209;s:46:"field.storage.block_content.field_mt_ms_effect";i:210;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:211;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:212;s:53:"field.storage.block_content.field_mt_bv_overlay_color";i:213;s:51:"field.storage.block_content.field_mt_bv_layout_mode";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:222;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:223;s:72:"core.entity_view_display.block_content.mt_background_video_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_video_block.default";i:225;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:226;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:227;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:228;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:229;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:230;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:231;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:232;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:233;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:234;s:42:"field.storage.paragraph.field_mt_tab_title";i:235;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:236;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:237;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:238;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:239;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:240;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:241;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:242;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:243;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:244;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:245;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:246;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:247;s:44:"field.storage.paragraph.field_mt_media_title";i:248;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:249;s:44:"field.storage.paragraph.field_mt_media_image";i:250;s:45:"field.storage.paragraph.field_mt_media_button";i:251;s:41:"field.storage.paragraph.field_mt_if_title";i:252;s:40:"field.storage.paragraph.field_mt_if_link";i:253;s:41:"field.storage.paragraph.field_mt_if_image";i:254;s:40:"field.storage.paragraph.field_mt_if_icon";i:255;s:48:"field.storage.paragraph.field_mt_highlight_title";i:256;s:47:"field.storage.paragraph.field_mt_highlight_link";i:257;s:48:"field.storage.paragraph.field_mt_highlight_image";i:258;s:43:"field.storage.paragraph.field_mt_fltt_title";i:259;s:42:"field.storage.paragraph.field_mt_fltt_link";i:260;s:42:"field.storage.paragraph.field_mt_fli_title";i:261;s:42:"field.storage.paragraph.field_mt_fli_shape";i:262;s:41:"field.storage.paragraph.field_mt_fli_link";i:263;s:42:"field.storage.paragraph.field_mt_fli_image";i:264;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:265;s:44:"field.storage.paragraph.field_mt_fancy_title";i:266;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:267;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:268;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:269;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:270;s:47:"field.storage.paragraph.field_mt_collapse_title";i:271;s:37:"field.storage.node.field_mt_highlight";i:272;s:40:"field.storage.node.field_mt_content_tabs";i:273;s:45:"field.storage.node.field_mt_content_collapses";i:274;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:275;s:46:"field.storage.block_content.field_mt_media_tab";i:276;s:49:"field.storage.block_content.field_mt_map_location";i:277;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:278;s:39:"field.storage.block_content.field_mt_if";i:279;s:41:"field.storage.block_content.field_mt_fltt";i:280;s:46:"field.storage.block_content.field_mt_fancy_tab";i:281;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:282;s:45:"field.storage.block_content.field_mt_dropdown";i:283;s:39:"core.entity_view_mode.paragraph.preview";i:284;s:38:"paragraphs.paragraphs_type.mt_collapse";i:285;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:286;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:287;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:288;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:289;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:290;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:291;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:292;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:293;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:294;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:295;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:296;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:297;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:298;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:299;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:300;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:301;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:302;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:303;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:304;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:305;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:306;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:307;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:308;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:309;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:310;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:311;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:312;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:313;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:314;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:315;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:316;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:317;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:318;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:319;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:320;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:321;s:39:"paragraphs.paragraphs_type.mt_highlight";i:322;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:323;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:324;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:325;s:46:"field.field.node.mt_service.field_mt_highlight";i:326;s:46:"field.field.node.mt_product.field_mt_highlight";i:327;s:43:"paragraphs.paragraphs_type.mt_icon_features";i:328;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:329;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:330;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:331;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_icon";i:332;s:49:"field.field.block_content.mt_if_block.field_mt_if";i:333;s:58:"core.entity_view_display.block_content.mt_if_block.default";i:334;s:58:"core.entity_form_display.block_content.mt_if_block.default";i:335;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:336;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:337;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:338;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:339;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:340;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:341;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:342;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:343;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:344;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:345;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:346;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:347;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:348;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:349;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:350;s:42:"paragraphs.paragraphs_type.mt_map_location";i:351;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:352;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:353;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:354;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:355;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:356;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:357;s:58:"core.entity_view_display.paragraph.mt_map_location.default";i:358;s:58:"core.entity_form_display.paragraph.mt_map_location.default";i:359;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:360;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:361;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:362;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:363;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:364;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:365;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:366;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:367;s:33:"paragraphs.paragraphs_type.mt_tab";i:368;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:369;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:370;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:371;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:372;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:373;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:374;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:375;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:376;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:377;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:378;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:379;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:380;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:381;s:27:"rdf.mapping.comment.comment";i:382;s:24:"rdf.mapping.node.article";i:383;s:21:"rdf.mapping.node.page";i:384;s:25:"block.block.bartik_search";i:385;s:23:"search.page.node_search";i:386;s:15:"search.settings";i:387;s:39:"block.block.seven_secondary_local_tasks";i:388;s:37:"block.block.seven_primary_local_tasks";i:389;s:28:"block.block.seven_page_title";i:390;s:31:"block.block.seven_local_actions";i:391;s:22:"block.block.seven_help";i:392;s:14:"seven.settings";i:393;s:18:"superfish.settings";i:394;s:17:"block.block.whyme";i:395;s:26:"block.block.seven_messages";i:396;s:25:"block.block.seven_content";i:397;s:29:"block.block.seven_breadcrumbs";i:398;s:36:"block.block.corporateplus_textblocks";i:399;s:41:"block.block.corporateplus_socialbookmarks";i:400;s:37:"block.block.corporateplus_sidebartabs";i:401;s:32:"block.block.corporateplus_search";i:402;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:403;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:404;s:36:"block.block.corporateplus_page_title";i:405;s:34:"block.block.corporateplus_messages";i:406;s:34:"block.block.corporateplus_infotext";i:407;s:38:"block.block.corporateplus_genericblock";i:408;s:39:"block.block.corporateplus_frontpagetabs";i:409;s:43:"block.block.corporateplus_fancylinkedimages";i:410;s:36:"block.block.corporateplus_fancyblock";i:411;s:33:"block.block.corporateplus_content";i:412;s:46:"block.block.corporateplus_contactinfoheadertop";i:413;s:37:"block.block.corporateplus_contactinfo";i:414;s:40:"block.block.corporateplus_contactdetails";i:415;s:44:"block.block.corporateplus_connectwithuslarge";i:416;s:37:"block.block.corporateplus_breadcrumbs";i:417;s:34:"block.block.corporateplus_branding";i:418;s:40:"block.block.corporateplus_blockwithimage";i:419;s:46:"block.block.corporateplus_backgroundimageblock";i:420;s:38:"block.block.corporateplus_announcement";i:421;s:26:"block.block.bartik_powered";i:422;s:27:"block.block.bartik_messages";i:423;s:26:"block.block.bartik_content";i:424;s:30:"block.block.bartik_breadcrumbs";i:425;s:27:"block.block.bartik_branding";i:426;s:36:"system.action.comment_publish_action";i:427;s:33:"system.action.comment_save_action";i:428;s:38:"system.action.comment_unpublish_action";i:429;s:32:"system.action.node_delete_action";i:430;s:37:"system.action.node_make_sticky_action";i:431;s:39:"system.action.node_make_unsticky_action";i:432;s:33:"system.action.node_promote_action";i:433;s:33:"system.action.node_publish_action";i:434;s:30:"system.action.node_save_action";i:435;s:35:"system.action.node_unpromote_action";i:436;s:35:"system.action.node_unpublish_action";i:437;s:16:"system.authorize";i:438;s:11:"system.cron";i:439;s:11:"system.date";i:440;s:11:"system.diff";i:441;s:11:"system.file";i:442;s:12:"system.image";i:443;s:15:"system.image.gd";i:444;s:14:"system.logging";i:445;s:11:"system.mail";i:446;s:18:"system.maintenance";i:447;s:19:"system.menu.account";i:448;s:38:"block.block.corporateplus_account_menu";i:449;s:31:"block.block.bartik_account_menu";i:450;s:17:"system.menu.admin";i:451;s:18:"system.menu.footer";i:452;s:32:"block.block.corporateplus_footer";i:453;s:25:"block.block.bartik_footer";i:454;s:35:"system.menu.landing-page-navigation";i:455;s:16:"system.menu.main";i:456;s:35:"block.block.corporateplus_main_menu";i:457;s:42:"block.block.corporateplus_mainnavigation_2";i:458;s:28:"block.block.bartik_main_menu";i:459;s:32:"system.menu.mt-footer-menu-three";i:460;s:30:"system.menu.mt-footer-menu-two";i:461;s:35:"block.block.corporateplus_questions";i:462;s:24:"system.menu.mt-mega-menu";i:463;s:29:"system.menu.mt-subfooter-menu";i:464;s:35:"block.block.corporateplus_subfooter";i:465;s:17:"system.menu.tools";i:466;s:31:"block.block.corporateplus_tools";i:467;s:24:"block.block.bartik_tools";i:468;s:18:"system.performance";i:469;s:10:"system.rss";i:470;s:11:"system.site";i:471;s:12:"system.theme";i:472;s:19:"system.theme.global";i:473;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:474;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:475;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:476;s:29:"field.storage.node.field_tags";i:477;s:41:"field.storage.node.field_mt_showcase_tags";i:478;s:40:"field.storage.node.field_mt_service_tags";i:479;s:41:"field.storage.node.field_mt_products_tags";i:480;s:39:"field.storage.node.field_mt_collections";i:481;s:40:"field.storage.node.field_mt_clients_tags";i:482;s:29:"field.storage.font.field_tags";i:483;s:44:"field.storage.font.field_supported_languages";i:484;s:39:"field.storage.font.field_classification";i:485;s:40:"core.entity_view_mode.taxonomy_term.full";i:486;s:17:"taxonomy.settings";i:487;s:39:"taxonomy.vocabulary.font_classification";i:488;s:42:"field.field.font.font.field_classification";i:489;s:33:"taxonomy.vocabulary.font_designer";i:490;s:32:"taxonomy.vocabulary.font_foundry";i:491;s:29:"taxonomy.vocabulary.font_tags";i:492;s:32:"field.field.font.font.field_tags";i:493;s:39:"taxonomy.vocabulary.languages_supported";i:494;s:47:"field.field.font.font.field_supported_languages";i:495;s:34:"taxonomy.vocabulary.mt_brands_tags";i:496;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:497;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:498;s:34:"taxonomy.vocabulary.mt_collections";i:499;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:500;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:501;s:48:"field.field.node.mt_product.field_mt_collections";i:502;s:35:"taxonomy.vocabulary.mt_product_tags";i:503;s:50:"field.field.node.mt_product.field_mt_products_tags";i:504;s:35:"taxonomy.vocabulary.mt_service_tags";i:505;s:49:"field.field.node.mt_service.field_mt_service_tags";i:506;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:507;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:508;s:24:"taxonomy.vocabulary.tags";i:509;s:30:"rdf.mapping.taxonomy_term.tags";i:510;s:38:"field.field.node.mt_benefit.field_tags";i:511;s:35:"field.field.node.article.field_tags";i:512;s:44:"field.storage.paragraph.field_mt_tab_content";i:513;s:43:"field.storage.paragraph.field_mt_media_body";i:514;s:40:"field.storage.paragraph.field_mt_if_body";i:515;s:47:"field.storage.paragraph.field_mt_highlight_body";i:516;s:42:"field.storage.paragraph.field_mt_fltt_body";i:517;s:46:"field.storage.paragraph.field_mt_collapse_body";i:518;s:42:"field.storage.node.field_mt_subheader_body";i:519;s:42:"field.storage.node.field_mt_slideshow_text";i:520;s:23:"field.storage.node.body";i:521;s:34:"field.storage.comment.comment_body";i:522;s:32:"field.storage.block_content.body";i:523;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:524;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:525;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:526;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:527;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:528;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:529;s:45:"field.field.node.page.field_mt_subheader_body";i:530;s:45:"field.field.node.page.field_mt_slideshow_text";i:531;s:26:"field.field.node.page.body";i:532;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:533;s:36:"field.field.node.mt_testimonial.body";i:534;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:535;s:36:"field.field.node.mt_team_member.body";i:536;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:537;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:538;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:539;s:33:"field.field.node.mt_showcase.body";i:540;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:541;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:542;s:32:"field.field.node.mt_service.body";i:543;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:544;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:545;s:32:"field.field.node.mt_product.body";i:546;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:547;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:548;s:32:"field.field.node.mt_benefit.body";i:549;s:48:"field.field.node.article.field_mt_slideshow_text";i:550;s:29:"field.field.node.article.body";i:551;s:40:"field.field.comment.comment.comment_body";i:552;s:36:"field.field.block_content.basic.body";i:553;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:554;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:555;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:556;s:59:"core.entity_view_display.paragraph.mt_icon_features.default";i:557;s:55:"core.entity_view_display.paragraph.mt_highlight.default";i:558;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:559;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:560;s:48:"core.entity_view_display.comment.comment.default";i:561;s:52:"core.entity_view_display.block_content.basic.default";i:562;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:563;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:564;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:565;s:59:"core.entity_form_display.paragraph.mt_icon_features.default";i:566;s:55:"core.entity_form_display.paragraph.mt_highlight.default";i:567;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:568;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:569;s:42:"core.entity_form_display.node.page.default";i:570;s:52:"core.entity_form_display.node.mt_testimonial.default";i:571;s:52:"core.entity_form_display.node.mt_team_member.default";i:572;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:573;s:45:"core.entity_form_display.node.article.default";i:574;s:48:"core.entity_form_display.comment.comment.default";i:575;s:52:"core.entity_form_display.block_content.basic.default";i:576;s:13:"text.settings";i:577;s:31:"block.block.videogalleryblock_2";i:578;s:29:"block.block.videogalleryblock";i:579;s:32:"block.block.videobackgroundblock";i:580;s:26:"block.block.uniquefeatures";i:581;s:25:"block.block.topplus_tools";i:582;s:30:"block.block.topplus_textblocks";i:583;s:29:"block.block.topplus_subscribe";i:584;s:29:"block.block.topplus_subfooter";i:585;s:35:"block.block.topplus_socialbookmarks";i:586;s:39:"block.block.topplus_signupfortextalerts";i:587;s:31:"block.block.topplus_sidebartabs";i:588;s:26:"block.block.topplus_search";i:589;s:29:"block.block.topplus_questions";i:590;s:51:"block.block.topplus_productslayoutswithergridactive";i:591;s:52:"block.block.topplus_productslayoutswitcherlistactive";i:592;s:27:"block.block.topplus_powered";i:593;s:38:"block.block.topplus_popularsalesstatic";i:594;s:30:"block.block.topplus_page_title";i:595;s:28:"block.block.topplus_messages";i:596;s:29:"block.block.topplus_main_menu";i:597;s:36:"block.block.topplus_mainnavigation_2";i:598;s:31:"block.block.topplus_local_tasks";i:599;s:33:"block.block.topplus_local_actions";i:600;s:28:"block.block.topplus_infotext";i:601;s:34:"block.block.topplus_iconssubfooter";i:602;s:24:"block.block.topplus_help";i:603;s:32:"block.block.topplus_genericblock";i:604;s:33:"block.block.topplus_frontpagetabs";i:605;s:26:"block.block.topplus_footer";i:606;s:37:"block.block.topplus_fancylinkedimages";i:607;s:30:"block.block.topplus_fancyblock";i:608;s:29:"block.block.topplus_copyright";i:609;s:27:"block.block.topplus_content";i:610;s:40:"block.block.topplus_contactinfoheadertop";i:611;s:31:"block.block.topplus_contactinfo";i:612;s:34:"block.block.topplus_contactdetails";i:613;s:38:"block.block.topplus_connectwithuslarge";i:614;s:31:"block.block.topplus_breadcrumbs";i:615;s:28:"block.block.topplus_branding";i:616;s:34:"block.block.topplus_blockwithimage";i:617;s:40:"block.block.topplus_backgroundimageblock";i:618;s:32:"block.block.topplus_announcement";i:619;s:32:"block.block.topplus_account_menu";i:620;s:34:"block.block.testimonialscarousel_2";i:621;s:34:"block.block.tellusaboutyourproject";i:622;s:21:"block.block.subscribe";i:623;s:30:"block.block.stillhavequestions";i:624;s:23:"block.block.socialmedia";i:625;s:23:"block.block.sociallinks";i:626;s:36:"block.block.socialbookmarksfootertop";i:627;s:24:"block.block.sitebranding";i:628;s:27:"block.block.showcasesbanner";i:629;s:26:"block.block.servicesbanner";i:630;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:631;s:24:"block.block.searchform_4";i:632;s:24:"block.block.searchform_3";i:633;s:24:"block.block.searchform_2";i:634;s:22:"block.block.searchform";i:635;s:26:"block.block.productsbanner";i:636;s:27:"block.block.poweredbydrupal";i:637;s:25:"block.block.ournewsletter";i:638;s:19:"block.block.mystory";i:639;s:20:"block.block.megamenu";i:640;s:20:"block.block.mediatab";i:641;s:28:"block.block.mainnavigation_4";i:642;s:28:"block.block.mainnavigation_3";i:643;s:28:"block.block.mainnavigation_2";i:644;s:28:"block.block.languageswitcher";i:645;s:35:"block.block.landingpagenavigation_2";i:646;s:39:"block.block.interestedininvestingwithus";i:647;s:26:"block.block.iconssubfooter";i:648;s:37:"block.block.howprofessionalisourstaff";i:649;s:22:"block.block.highlights";i:650;s:27:"block.block.headerdropdowns";i:651;s:29:"block.block.googlemapbanner_3";i:652;s:29:"block.block.googlemapbanner_2";i:653;s:27:"block.block.googlemapbanner";i:654;s:30:"block.block.fullwidthslideshow";i:655;s:44:"block.block.footerbottomcustomsitebranding_2";i:656;s:42:"block.block.footerbottomcustomsitebranding";i:657;s:22:"block.block.fancyblock";i:658;s:23:"block.block.creditcards";i:659;s:27:"block.block.contactusbanner";i:660;s:31:"block.block.contactinfoslideout";i:661;s:29:"block.block.contactinfoheader";i:662;s:32:"block.block.contactinfofootertop";i:663;s:41:"block.block.contactinfocontactalternative";i:664;s:26:"block.block.calltoaction_2";i:665;s:25:"block.block.calltoaction2";i:666;s:24:"block.block.calltoaction";i:667;s:22:"block.block.blogbanner";i:668;s:41:"block.block.backgroundimageblockshowcases";i:669;s:40:"block.block.backgroundimageblockservices";i:670;s:40:"block.block.backgroundimageblockproducts";i:671;s:35:"block.block.backgroundimageblockcta";i:672;s:41:"block.block.backgroundimageblockcontactus";i:673;s:39:"block.block.backgroundimageblockclients";i:674;s:36:"block.block.backgroundimageblockblog";i:675;s:39:"block.block.backgroundimageblockaboutus";i:676;s:41:"block.block.areyoulookingforagreatservice";i:677;s:29:"block.block.aboutuscontenttop";i:678;s:25:"block.block.aboutusbanner";i:679;s:19:"block.block.aboutus";i:680;s:19:"block.block.aboutme";i:681;s:16:"topplus.settings";i:682;s:38:"system.action.user_unblock_user_action";i:683;s:37:"system.action.user_cancel_user_action";i:684;s:36:"system.action.user_block_user_action";i:685;s:23:"search.page.user_search";i:686;s:21:"rdf.mapping.user.user";i:687;s:31:"field.storage.user.user_picture";i:688;s:34:"field.field.user.user.user_picture";i:689;s:31:"core.entity_view_mode.user.full";i:690;s:34:"core.entity_view_mode.user.compact";i:691;s:42:"core.entity_view_display.user.user.default";i:692;s:42:"core.entity_view_display.user.user.compact";i:693;s:41:"core.entity_view_display.node.page.teaser";i:694;s:42:"core.entity_view_display.node.page.default";i:695;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:696;s:52:"core.entity_view_display.node.mt_testimonial.default";i:697;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:698;s:52:"core.entity_view_display.node.mt_team_member.default";i:699;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:700;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:701;s:44:"core.entity_view_display.node.article.teaser";i:702;s:41:"core.entity_view_display.node.article.rss";i:703;s:45:"core.entity_view_display.node.article.default";i:704;s:35:"core.entity_form_mode.user.register";i:705;s:42:"core.entity_form_display.user.user.default";i:706;s:23:"block.block.seven_login";i:707;s:10:"user.flood";i:708;s:9:"user.mail";i:709;s:23:"user.role.administrator";i:710;s:51:"system.action.user_remove_role_action.administrator";i:711;s:48:"system.action.user_add_role_action.administrator";i:712;s:19:"user.role.anonymous";i:713;s:23:"user.role.authenticated";i:714;s:13:"user.settings";i:715;s:44:"field.storage.paragraph.field_mt_media_video";i:716;s:33:"field.storage.node.field_mt_video";i:717;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:718;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:719;s:43:"field.field.node.mt_showcase.field_mt_video";i:720;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:721;s:42:"field.field.node.mt_service.field_mt_video";i:722;s:47:"core.entity_view_display.node.mt_service.teaser";i:723;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:724;s:42:"field.field.node.mt_product.field_mt_video";i:725;s:47:"core.entity_view_display.node.mt_product.teaser";i:726;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:727;s:42:"field.field.node.mt_benefit.field_mt_video";i:728;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:729;s:49:"core.entity_view_display.node.mt_showcase.default";i:730;s:48:"core.entity_view_display.node.mt_service.default";i:731;s:48:"core.entity_view_display.node.mt_product.default";i:732;s:48:"core.entity_view_display.node.mt_benefit.default";i:733;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:734;s:49:"core.entity_form_display.node.mt_showcase.default";i:735;s:48:"core.entity_form_display.node.mt_service.default";i:736;s:48:"core.entity_form_display.node.mt_product.default";i:737;s:48:"core.entity_form_display.node.mt_benefit.default";i:738;s:14:"views.settings";i:739;s:18:"views.view.archive";i:740;s:24:"views.view.block_content";i:741;s:26:"views.view.comments_recent";i:742;s:18:"views.view.content";i:743;s:25:"views.view.content_recent";i:744;s:16:"views.view.files";i:745;s:36:"views.view.fontyourface_font_manager";i:746;s:20:"views.view.frontpage";i:747;s:19:"views.view.glossary";i:748;s:22:"views.view.mt_articles";i:749;s:31:"views.view.mt_articles_carousel";i:750;s:55:"block.block.views_block__mt_articles_carousel_block_1_2";i:751;s:27:"views.view.mt_articles_grid";i:752;s:27:"views.view.mt_articles_list";i:753;s:29:"views.view.mt_articles_list_2";i:754;s:51:"block.block.views_block__mt_articles_list_2_block_1";i:755;s:22:"views.view.mt_benefits";i:756;s:44:"block.block.views_block__mt_benefits_block_1";i:757;s:52:"block.block.topplus_views_block__mt_benefits_block_1";i:758;s:58:"block.block.corporateplus_views_block__mt_benefits_block_1";i:759;s:29:"views.view.mt_brands_carousel";i:760;s:59:"block.block.topplus_views_block__mt_brands_carousel_block_1";i:761;s:65:"block.block.corporateplus_views_block__mt_brands_carousel_block_1";i:762;s:25:"views.view.mt_brands_grid";i:763;s:34:"views.view.mt_collections_carousel";i:764;s:64:"block.block.topplus_views_block__mt_collections_carousel_block_1";i:765;s:70:"block.block.corporateplus_views_block__mt_collections_carousel_block_1";i:766;s:30:"views.view.mt_collections_grid";i:767;s:33:"views.view.mt_collections_masonry";i:768;s:63:"block.block.topplus_views_block__mt_collections_masonry_block_1";i:769;s:69:"block.block.corporateplus_views_block__mt_collections_masonry_block_1";i:770;s:29:"views.view.mt_internal_banner";i:771;s:59:"block.block.topplus_views_block__mt_internal_banner_block_1";i:772;s:65:"block.block.corporateplus_views_block__mt_internal_banner_block_1";i:773;s:21:"views.view.mt_isotope";i:774;s:20:"views.view.mt_latest";i:775;s:42:"block.block.views_block__mt_latest_block_3";i:776;s:42:"block.block.views_block__mt_latest_block_1";i:777;s:50:"block.block.topplus_views_block__mt_latest_block_3";i:778;s:50:"block.block.topplus_views_block__mt_latest_block_1";i:779;s:56:"block.block.corporateplus_views_block__mt_latest_block_3";i:780;s:56:"block.block.corporateplus_views_block__mt_latest_block_1";i:781;s:27:"views.view.mt_photo_gallery";i:782;s:51:"block.block.views_block__mt_photo_gallery_block_1_2";i:783;s:26:"views.view.mt_popular_tags";i:784;s:56:"block.block.topplus_views_block__mt_popular_tags_block_1";i:785;s:62:"block.block.corporateplus_views_block__mt_popular_tags_block_1";i:786;s:28:"views.view.mt_pricing_tables";i:787;s:58:"block.block.topplus_views_block__mt_pricing_tables_block_1";i:788;s:64:"block.block.corporateplus_views_block__mt_pricing_tables_block_1";i:789;s:26:"views.view.mt_product_tags";i:790;s:56:"block.block.topplus_views_block__mt_product_tags_block_1";i:791;s:62:"block.block.corporateplus_views_block__mt_product_tags_block_1";i:792;s:22:"views.view.mt_products";i:793;s:48:"block.block.topplus_exposedformmt_productspage_3";i:794;s:48:"block.block.topplus_exposedformmt_productspage_2";i:795;s:48:"block.block.topplus_exposedformmt_productspage_1";i:796;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:797;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:798;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:799;s:31:"views.view.mt_products_carousel";i:800;s:27:"views.view.mt_products_list";i:801;s:57:"block.block.topplus_views_block__mt_products_list_block_1";i:802;s:63:"block.block.corporateplus_views_block__mt_products_list_block_1";i:803;s:30:"views.view.mt_products_masonry";i:804;s:60:"block.block.topplus_views_block__mt_products_masonry_block_1";i:805;s:66:"block.block.corporateplus_views_block__mt_products_masonry_block_1";i:806;s:28:"views.view.mt_promoted_posts";i:807;s:37:"views.view.mt_promoted_posts_carousel";i:808;s:59:"block.block.views_block__mt_promoted_posts_carousel_block_1";i:809;s:36:"views.view.mt_related_nodes_carousel";i:810;s:66:"block.block.topplus_views_block__mt_related_nodes_carousel_block_1";i:811;s:72:"block.block.corporateplus_views_block__mt_related_nodes_carousel_block_1";i:812;s:22:"views.view.mt_services";i:813;s:27:"views.view.mt_services_list";i:814;s:23:"views.view.mt_showcases";i:815;s:45:"block.block.views_block__mt_showcases_block_2";i:816;s:36:"views.view.mt_showcases_grid_style_2";i:817;s:28:"views.view.mt_showcases_list";i:818;s:52:"block.block.views_block__mt_showcases_list_block_1_2";i:819;s:35:"views.view.mt_slideshow_boxed_width";i:820;s:65:"block.block.topplus_views_block__mt_slideshow_boxed_width_block_1";i:821;s:71:"block.block.corporateplus_views_block__mt_slideshow_boxed_width_block_1";i:822;s:35:"views.view.mt_slideshow_full_screen";i:823;s:65:"block.block.topplus_views_block__mt_slideshow_full_screen_block_1";i:824;s:71:"block.block.corporateplus_views_block__mt_slideshow_full_screen_block_1";i:825;s:34:"views.view.mt_slideshow_full_width";i:826;s:64:"block.block.topplus_views_block__mt_slideshow_full_width_block_1";i:827;s:70:"block.block.corporateplus_views_block__mt_slideshow_full_width_block_1";i:828;s:35:"views.view.mt_team_members_carousel";i:829;s:57:"block.block.views_block__mt_team_members_carousel_block_1";i:830;s:31:"views.view.mt_team_members_grid";i:831;s:33:"views.view.mt_team_members_grid_2";i:832;s:31:"views.view.mt_team_members_list";i:833;s:26:"views.view.mt_testimonials";i:834;s:56:"block.block.topplus_views_block__mt_testimonials_block_2";i:835;s:56:"block.block.topplus_views_block__mt_testimonials_block_1";i:836;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_2";i:837;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_1";i:838;s:35:"views.view.mt_testimonials_carousel";i:839;s:59:"block.block.views_block__mt_testimonials_carousel_block_1_2";i:840;s:24:"filter.format.basic_html";i:841;s:31:"views.view.mt_testimonials_grid";i:842;s:24:"editor.editor.basic_html";i:843;s:33:"views.view.mt_testimonials_grid_2";i:844;s:23:"filter.format.full_html";i:845;s:34:"views.view.mt_testimonials_masonry";i:846;s:23:"editor.editor.full_html";i:847;s:20:"views.view.mt_videos";i:848;s:24:"filter.format.plain_text";i:849;s:24:"views.view.taxonomy_term";i:850;s:22:"filter.format.raw_html";i:851;s:28:"views.view.user_admin_people";i:852;s:29:"filter.format.restricted_html";i:853;s:20:"views.view.who_s_new";i:854;s:23:"automated_cron.settings";i:855;s:14:"dblog.settings";i:856;s:17:"field_ui.settings";i:857;s:15:"filter.settings";i:858;s:20:"shortcut.set.default";i:859;s:18:"tour.tour.views-ui";i:860;s:15:"update.settings";i:861;s:23:"views.view.who_s_online";}}s:21:"\0*\0sourceCacheStorage";s:2:"id";s:21:"\0*\0targetCacheStorage";s:4:"uuid";s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:10:"\0*\0buttons";a:1:{i:0;a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:196;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}}s:12:"\0*\0temporary";a:0:{}s:22:"\0*\0validation_complete";b:1;s:9:"\0*\0errors";a:0:{}s:26:"\0*\0limit_validation_errors";N;s:20:"\0*\0validate_handlers";a:0:{}s:18:"\0*\0submit_handlers";a:0:{}}s:11:"progressive";b:1;s:11:"current_set";i:0;s:3:"url";O:15:"Drupal\\Core\\Url":10:{s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:22:"system.batch_page.html";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:5:"query";a:2:{s:2:"id";s:3:"495";s:2:"op";s:7:"do_nojs";}}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:1:{s:12:"urlGenerator";s:13:"url_generator";}}s:10:"source_url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:5:"query";a:0:{}}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:14:"batch_redirect";N;s:5:"theme";s:5:"seven";s:17:"redirect_callback";N;s:2:"id";s:3:"495";s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Please continue to <a href=":error_url">the error page</a>";s:12:"\0*\0arguments";a:1:{s:10:":error_url";s:56:"/mtt_themes/skc-topplus/site/d8/batch?id=495&op=finished";}s:10:"\0*\0options";a:0:{}}s:7:"running";b:1;}');
INSERT INTO `batch` VALUES
(496, 'EyThnTD2BHlOHlGUeYSljesRrPv9gFkBA_m4ntXZG-E', 1504693657, 'a:13:{s:4:"sets";a:1:{i:0;a:13:{s:7:"sandbox";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:42:"block.block.views_block__mt_latest_block_3";a:12:{s:4:"uuid";s:36:"510c84d9-745e-44f8-a60b-911d61178573";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_3";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_3";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";r:7;}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";s:16:"default_langcode";}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:0:{}s:14:"\0*\0targetNames";a:0:{}s:21:"\0*\0sourceCacheStorage";s:2:"id";s:21:"\0*\0targetCacheStorage";s:4:"uuid";s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:7:"results";a:0:{}s:7:"success";b:0;s:5:"start";d:1504693659.496386051177978515625;s:7:"elapsed";i:0;s:8:"finished";a:2:{i:0;s:29:"Drupal\\config\\Form\\ConfigSync";i:1;s:11:"finishBatch";}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Importing configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"init_message";s:41:"Starting configuration import.<br/>&nbsp;";s:16:"progress_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Completed @current step of @total.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Configuration import has encountered an error.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"total";i:3;s:5:"count";i:3;s:5:"queue";a:2:{s:4:"name";s:18:"drupal_batch:496:0";s:5:"class";s:23:"Drupal\\Core\\Queue\\Batch";}}}s:16:"has_form_submits";b:0;s:10:"form_state";O:26:"Drupal\\Core\\Form\\FormState":33:{s:16:"\0*\0complete_form";a:32:{s:11:"#attributes";a:2:{s:5:"class";a:2:{i:0;s:25:"config-single-import-form";i:1;s:12:"confirmation";}s:20:"data-drupal-selector";s:25:"config-single-import-form";}s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Are you sure you want to update the %name @type?";s:12:"\0*\0arguments";a:2:{s:5:"%name";s:30:"views_block__mt_latest_block_3";s:5:"@type";s:5:"block";}s:10:"\0*\0options";a:0:{}}s:11:"description";a:14:{s:7:"#markup";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"This action cannot be undone.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:11:"description";}s:14:"#array_parents";a:1:{i:0;s:11:"description";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:16:"edit-description";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:16:"edit-description";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"confirm";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";i:1;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"confirm";}s:14:"#array_parents";a:1:{i:0;s:7:"confirm";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:12:"edit-confirm";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-confirm";s:5:"#name";s:7:"confirm";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"actions";a:19:{s:5:"#type";s:7:"actions";s:6:"submit";a:27:{s:5:"#type";s:6:"submit";s:6:"#value";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Confirm";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"cancel";a:19:{s:5:"#type";s:4:"link";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Cancel";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:2:{s:5:"class";a:1:{i:0;s:6:"button";}s:20:"data-drupal-selector";s:11:"edit-cancel";}s:4:"#url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:26:"url.query_args:destination";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"cancel";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"cancel";}s:7:"#weight";d:0.001000000000000000020816681711721685132943093776702880859375;s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-cancel";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:7:"actions";}s:14:"#array_parents";a:1:{i:0;s:7:"actions";}s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:2:{s:20:"data-drupal-selector";s:12:"edit-actions";s:5:"class";a:1:{i:0;s:12:"form-actions";}}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:12:"edit-actions";s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#theme";s:12:"confirm_form";s:8:"#form_id";s:25:"config_single_import_form";s:9:"#build_id";s:48:"form-ufGVMEwnKuQMzaBJvadttVaRy9avvr6jMtDs4fd-vMs";s:5:"#type";s:4:"form";s:9:"#attached";a:2:{s:12:"placeholders";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:40:"form_builder:renderPlaceholderFormAction";i:1;a:0:{}}}}s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";b:1;}}}s:7:"#action";s:55:"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM";s:13:"form_build_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:48:"form-ufGVMEwnKuQMzaBJvadttVaRy9avvr6jMtDs4fd-vMs";s:3:"#id";s:48:"form-ufGVMEwnKuQMzaBJvadttVaRy9avvr6jMtDs4fd-vMs";s:5:"#name";s:13:"form_build_id";s:8:"#parents";a:1:{i:0;s:13:"form_build_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:13:"form_build_id";}s:7:"#weight";d:0.003000000000000000062450045135165055398829281330108642578125;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:48:"form-ufgvmewnkuqmzabjvadttvary9avvr6jmtds4fd-vms";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:6:"#cache";a:1:{s:8:"contexts";a:1:{i:0;s:24:"user.roles:authenticated";}}s:6:"#token";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:10:"form_token";a:25:{s:3:"#id";s:41:"edit-config-single-import-form-form-token";s:5:"#type";s:5:"token";s:14:"#default_value";s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";s:8:"#parents";a:1:{i:0;s:10:"form_token";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:39:"form_builder:renderFormTokenPlaceholder";i:1;a:1:{i:0;s:66:"form_token_placeholder_9S-L0-scMrKHhxev-7oRthv6zsp9oVsoOtWC3Ez1z0k";}}}}}s:6:"#cache";a:1:{s:7:"max-age";i:0;}s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:10:"form_token";}s:7:"#weight";d:0.0040000000000000000832667268468867405317723751068115234375;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:41:"edit-config-single-import-form-form-token";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:10:"form_token";s:6:"#value";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:17:"#needs_validation";b:1;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:7:"form_id";a:23:{s:5:"#type";s:6:"hidden";s:6:"#value";s:25:"config_single_import_form";s:3:"#id";s:30:"edit-config-single-import-form";s:8:"#parents";a:1:{i:0;s:7:"form_id";}s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:14:"#array_parents";a:1:{i:0;s:7:"form_id";}s:7:"#weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:10:"#processed";b:1;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:30:"edit-config-single-import-form";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:5:"#name";s:7:"form_id";s:15:"#ajax_processed";b:0;s:7:"#sorted";b:1;s:10:"#validated";b:1;}s:3:"#id";s:25:"config-single-import-form";s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:0:{}s:9:"#validate";a:1:{i:0;s:14:"::validateForm";}s:7:"#submit";a:1:{i:0;s:12:"::submitForm";}s:12:"#cache_token";s:43:"4K8lU3cTOvfXX3BxDKUKMxwdYH0F3_QMe95QCIGz3zU";s:10:"#processed";b:0;s:9:"#required";b:0;s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:14:"#array_parents";a:0:{}s:10:"#validated";b:1;}s:13:"\0*\0build_info";a:4:{s:4:"args";a:0:{}s:5:"files";a:0:{}s:15:"callback_object";O:41:"Drupal\\config\\Form\\ConfigSingleImportForm":9:{s:15:"\0*\0configExists";O:25:"Drupal\\block\\Entity\\Block":24:{s:5:"\0*\0id";s:30:"views_block__mt_latest_block_3";s:11:"\0*\0settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:9:"\0*\0region";s:24:"hidden_blocks_collection";s:9:"\0*\0weight";i:0;s:9:"\0*\0plugin";s:29:"views_block:mt_latest-block_3";s:13:"\0*\0visibility";a:0:{}s:11:"\0*\0contexts";a:0:{}s:8:"\0*\0theme";s:13:"corporateplus";s:13:"\0*\0originalId";s:30:"views_block__mt_latest_block_3";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"510c84d9-745e-44f8-a60b-911d61178573";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:5:"block";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:1:{s:22:"conditionPluginManager";s:24:"plugin.manager.condition";}s:15:"\0*\0dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:13:"corporateplus";}}s:8:"provider";N;}s:7:"\0*\0data";a:9:{s:11:"config_type";s:5:"block";s:11:"config_name";s:0:"";s:6:"import";a:12:{s:4:"uuid";s:36:"510c84d9-745e-44f8-a60b-911d61178573";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_3";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_3";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}s:16:"custom_entity_id";s:0:"";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Import";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-cXWPBAgShhQ0GVnIOCvo8O5e0TbHyF7gAchJdeNQM9A";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:44:"Drupal\\block_content\\BlockContentViewBuilder";}s:16:"\0*\0configFactory";N;s:13:"\0*\0routeMatch";N;s:14:"\0*\0_serviceIds";a:12:{s:13:"entityManager";s:14:"entity.manager";s:13:"configStorage";s:14:"config.storage";s:8:"renderer";s:8:"renderer";s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:12:"requestStack";s:13:"request_stack";s:17:"stringTranslation";s:18:"string_translation";}s:16:"\0*\0linkGenerator";N;s:16:"\0*\0loggerFactory";N;s:22:"\0*\0redirectDestination";N;s:15:"\0*\0urlGenerator";N;}s:7:"form_id";s:25:"config_single_import_form";}s:15:"\0*\0rebuild_info";a:0:{}s:10:"\0*\0rebuild";b:0;s:15:"\0*\0invalidToken";b:0;s:11:"\0*\0response";N;s:11:"\0*\0redirect";N;s:14:"\0*\0no_redirect";N;s:9:"\0*\0method";s:4:"POST";s:16:"\0*\0requestMethod";s:4:"POST";s:8:"\0*\0cache";b:1;s:11:"\0*\0no_cache";N;s:9:"\0*\0values";a:6:{s:7:"confirm";i:1;s:6:"submit";r:196;s:13:"form_build_id";s:48:"form-ufGVMEwnKuQMzaBJvadttVaRy9avvr6jMtDs4fd-vMs";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";r:196;}s:17:"\0*\0cleanValueKeys";a:4:{i:0;s:7:"form_id";i:1;s:10:"form_token";i:2;s:13:"form_build_id";i:3;s:2:"op";}s:8:"\0*\0input";a:5:{s:7:"confirm";s:1:"1";s:13:"form_build_id";s:48:"form-ufGVMEwnKuQMzaBJvadttVaRy9avvr6jMtDs4fd-vMs";s:10:"form_token";s:43:"SxhqbCzap2cERF2zCBn3bMsQlWMkDdxrgdZIgRDRj9w";s:7:"form_id";s:25:"config_single_import_form";s:2:"op";s:7:"Confirm";}s:17:"\0*\0always_process";N;s:16:"\0*\0must_validate";N;s:13:"\0*\0programmed";b:0;s:33:"\0*\0programmed_bypass_access_check";b:1;s:16:"\0*\0process_input";b:1;s:12:"\0*\0submitted";b:1;s:11:"\0*\0executed";b:0;s:21:"\0*\0triggering_element";a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:196;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}s:19:"\0*\0has_file_element";N;s:9:"\0*\0groups";a:0:{}s:10:"\0*\0storage";a:1:{s:15:"config_importer";O:33:"Drupal\\Core\\Config\\ConfigImporter":10:{s:18:"\0*\0storageComparer";O:34:"Drupal\\Core\\Config\\StorageComparer":10:{s:16:"\0*\0sourceStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":4:{s:10:"\0*\0storage";O:39:"Drupal\\config\\StorageReplaceDataWrapper":3:{s:18:"\0*\0replacementData";a:1:{s:0:"";a:1:{s:42:"block.block.views_block__mt_latest_block_3";a:12:{s:4:"uuid";s:36:"510c84d9-745e-44f8-a60b-911d61178573";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:7:"topplus";}}s:2:"id";s:30:"views_block__mt_latest_block_3";s:5:"theme";s:7:"topplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_3";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}}}s:13:"\0*\0collection";s:0:"";s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}}s:17:"\0*\0sourceStorages";a:1:{s:0:"";a:0:{}}s:16:"\0*\0targetStorage";O:32:"Drupal\\Core\\Config\\CachedStorage":3:{s:8:"\0*\0cache";O:31:"Drupal\\Core\\Cache\\MemoryBackend":0:{}s:20:"\0*\0findByPrefixCache";a:0:{}s:14:"\0*\0_serviceIds";a:1:{s:7:"storage";s:14:"config.storage";}}s:17:"\0*\0targetStorages";a:1:{s:0:"";s:16:"default_langcode";}s:13:"\0*\0changelist";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:1:{i:0;s:42:"block.block.views_block__mt_latest_block_3";}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:14:"\0*\0sourceNames";a:1:{s:0:"";a:862:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:44:"block_content.type.mt_background_video_block";i:6;s:37:"block_content.type.mt_dropdowns_block";i:7;s:47:"block_content.type.mt_fancy_linked_images_block";i:8;s:38:"block_content.type.mt_fancy_tabs_block";i:9;s:32:"block_content.type.mt_fltt_block";i:10;s:33:"block_content.type.mt_google_maps";i:11;s:30:"block_content.type.mt_if_block";i:12;s:42:"block_content.type.mt_main_slideshow_block";i:13;s:38:"block_content.type.mt_media_tabs_block";i:14;s:43:"block_content.type.mt_nodes_slideshow_block";i:15;s:32:"block_content.type.mt_tabs_block";i:16;s:41:"block_content.type.mt_video_gallery_block";i:17;s:20:"comment.type.comment";i:18;s:24:"contact.form.alternative";i:19;s:21:"contact.form.feedback";i:20;s:21:"contact.form.personal";i:21;s:16:"contact.settings";i:22;s:25:"core.date_format.fallback";i:23;s:26:"core.date_format.html_date";i:24;s:30:"core.date_format.html_datetime";i:25;s:27:"core.date_format.html_month";i:26;s:26:"core.date_format.html_time";i:27;s:26:"core.date_format.html_week";i:28;s:26:"core.date_format.html_year";i:29;s:35:"core.date_format.html_yearless_date";i:30;s:21:"core.date_format.long";i:31;s:23:"core.date_format.medium";i:32;s:22:"core.date_format.short";i:33;s:60:"core.entity_form_display.contact_message.alternative.default";i:34;s:57:"core.entity_form_display.contact_message.feedback.default";i:35;s:57:"core.entity_form_display.contact_message.personal.default";i:36;s:60:"core.entity_view_display.contact_message.alternative.default";i:37;s:40:"core.entity_view_mode.block_content.full";i:38;s:34:"core.entity_view_mode.comment.full";i:39;s:14:"core.extension";i:40;s:36:"core.menu.static_menu_link_overrides";i:41;s:35:"block.block.corporateplus_subscribe";i:42;s:45:"block.block.corporateplus_signupfortextalerts";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:37:"block.block.corporateplus_local_tasks";i:45;s:39:"block.block.corporateplus_local_actions";i:46;s:40:"block.block.corporateplus_iconssubfooter";i:47;s:35:"block.block.corporateplus_copyright";i:48;s:22:"corporateplus.settings";i:49;s:14:"field.settings";i:50;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:51;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:52;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:53;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:54;s:52:"field.storage.block_content.field_mt_block_reference";i:55;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:56;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:57;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:58;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:59;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:60;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";i:61;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:62;s:45:"field.storage.block_content.field_mt_map_zoom";i:63;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:64;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:65;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:66;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:67;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:68;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:69;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:70;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:71;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:72;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:73;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:74;s:50:"field.storage.block_content.field_mt_bv_video_webm";i:75;s:49:"field.storage.block_content.field_mt_bv_video_mp4";i:76;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:77;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:78;s:13:"file.settings";i:79;s:33:"core.entity_view_mode.font.teaser";i:80;s:31:"core.entity_view_mode.font.full";i:81;s:37:"fontyourface.font_display.mt_headings";i:82;s:38:"fontyourface.font_display.mt_paragraph";i:83;s:38:"fontyourface.font_display.mt_site_name";i:84;s:40:"fontyourface.font_display.mt_site_slogan";i:85;s:21:"fontyourface.settings";i:86;s:23:"block.block.bartik_help";i:87;s:46:"field.storage.block_content.field_mt_bv_poster";i:88;s:53:"field.storage.block_content.field_mt_background_image";i:89;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:90;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:91;s:14:"image.settings";i:92;s:17:"image.style.large";i:93;s:18:"image.style.medium";i:94;s:21:"image.style.mt_brands";i:95;s:24:"image.style.mt_fli_image";i:96;s:20:"image.style.mt_icons";i:97;s:30:"image.style.mt_landscape_image";i:98;s:30:"image.style.mt_media_tab_image";i:99;s:27:"image.style.mt_member_photo";i:100;s:29:"image.style.mt_portrait_image";i:101;s:28:"image.style.mt_product_image";i:102;s:30:"image.style.mt_slideshow_boxed";i:103;s:35:"image.style.mt_slideshow_fullscreen";i:104;s:32:"image.style.mt_testimonial_image";i:105;s:38:"image.style.mt_video_gallery_thumbnail";i:106;s:21:"image.style.thumbnail";i:107;s:16:"menu_ui.settings";i:108;s:43:"field.storage.node.field_mt_twitter_account";i:109;s:45:"field.storage.node.field_mt_testimonial_image";i:110;s:36:"field.storage.node.field_mt_subtitle";i:111;s:42:"field.storage.node.field_mt_slideshow_path";i:112;s:43:"field.storage.node.field_mt_slideshow_image";i:113;s:37:"field.storage.node.field_mt_slideshow";i:114;s:40:"field.storage.node.field_mt_product_code";i:115;s:46:"field.storage.node.field_mt_pricing_table_item";i:116;s:33:"field.storage.node.field_mt_price";i:117;s:40:"field.storage.node.field_mt_most_popular";i:118;s:40:"field.storage.node.field_mt_member_photo";i:119;s:44:"field.storage.node.field_mt_linkedin_account";i:120;s:43:"field.storage.node.field_mt_landscape_image";i:121;s:48:"field.storage.node.field_mt_font_awesome_classes";i:122;s:44:"field.storage.node.field_mt_facebook_account";i:123;s:36:"field.storage.node.field_mt_buy_link";i:124;s:44:"field.storage.node.field_mt_bg_video_youtube";i:125;s:43:"field.storage.node.field_mt_bg_video_volume";i:126;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:127;s:40:"field.storage.node.field_mt_banner_image";i:128;s:30:"field.storage.node.field_image";i:129;s:26:"field.storage.node.comment";i:130;s:45:"field.storage.block_content.field_mt_ns_slide";i:131;s:33:"core.entity_view_mode.node.teaser";i:132;s:40:"core.entity_view_mode.node.search_result";i:133;s:39:"core.entity_view_mode.node.search_index";i:134;s:30:"core.entity_view_mode.node.rss";i:135;s:40:"core.entity_view_mode.node.mt_slide_view";i:136;s:31:"core.entity_view_mode.node.full";i:137;s:13:"node.settings";i:138;s:17:"node.type.article";i:139;s:49:"field.field.node.article.field_mt_slideshow_image";i:140;s:43:"field.field.node.article.field_mt_slideshow";i:141;s:46:"field.field.node.article.field_mt_banner_image";i:142;s:36:"field.field.node.article.field_image";i:143;s:32:"field.field.node.article.comment";i:144;s:20:"node.type.mt_benefit";i:145;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:146;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:147;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:148;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:149;s:39:"field.field.node.mt_benefit.field_image";i:150;s:20:"node.type.mt_product";i:151;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:152;s:46:"field.field.node.mt_product.field_mt_slideshow";i:153;s:49:"field.field.node.mt_product.field_mt_product_code";i:154;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:155;s:42:"field.field.node.mt_product.field_mt_price";i:156;s:49:"field.field.node.mt_product.field_mt_most_popular";i:157;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:158;s:45:"field.field.node.mt_product.field_mt_buy_link";i:159;s:49:"field.field.node.mt_product.field_mt_banner_image";i:160;s:39:"field.field.node.mt_product.field_image";i:161;s:35:"field.field.node.mt_product.comment";i:162;s:20:"node.type.mt_service";i:163;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:164;s:46:"field.field.node.mt_service.field_mt_slideshow";i:165;s:42:"field.field.node.mt_service.field_mt_price";i:166;s:45:"field.field.node.mt_service.field_mt_buy_link";i:167;s:49:"field.field.node.mt_service.field_mt_banner_image";i:168;s:39:"field.field.node.mt_service.field_image";i:169;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:170;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:171;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:172;s:21:"node.type.mt_showcase";i:173;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:174;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:175;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:176;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:177;s:40:"field.field.node.mt_showcase.field_image";i:178;s:36:"field.field.node.mt_showcase.comment";i:179;s:28:"node.type.mt_slideshow_entry";i:180;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:181;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:182;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:183;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:184;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:185;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:186;s:24:"node.type.mt_team_member";i:187;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:188;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:189;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:190;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:191;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:192;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:193;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:194;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:195;s:52:"core.base_field_override.node.mt_team_member.promote";i:196;s:24:"node.type.mt_testimonial";i:197;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:198;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:199;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:200;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:201;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:202;s:14:"node.type.page";i:203;s:46:"field.field.node.page.field_mt_slideshow_image";i:204;s:40:"field.field.node.page.field_mt_slideshow";i:205;s:43:"field.field.node.page.field_mt_banner_image";i:206;s:42:"core.base_field_override.node.page.promote";i:207;s:48:"field.storage.node.field_mt_product_availability";i:208;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:209;s:46:"field.storage.block_content.field_mt_ms_effect";i:210;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:211;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:212;s:53:"field.storage.block_content.field_mt_bv_overlay_color";i:213;s:51:"field.storage.block_content.field_mt_bv_layout_mode";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:222;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:223;s:72:"core.entity_view_display.block_content.mt_background_video_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_video_block.default";i:225;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:226;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:227;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:228;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:229;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:230;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:231;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:232;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:233;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:234;s:42:"field.storage.paragraph.field_mt_tab_title";i:235;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:236;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:237;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:238;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:239;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:240;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:241;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:242;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:243;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:244;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:245;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:246;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:247;s:44:"field.storage.paragraph.field_mt_media_title";i:248;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:249;s:44:"field.storage.paragraph.field_mt_media_image";i:250;s:45:"field.storage.paragraph.field_mt_media_button";i:251;s:41:"field.storage.paragraph.field_mt_if_title";i:252;s:40:"field.storage.paragraph.field_mt_if_link";i:253;s:41:"field.storage.paragraph.field_mt_if_image";i:254;s:40:"field.storage.paragraph.field_mt_if_icon";i:255;s:48:"field.storage.paragraph.field_mt_highlight_title";i:256;s:47:"field.storage.paragraph.field_mt_highlight_link";i:257;s:48:"field.storage.paragraph.field_mt_highlight_image";i:258;s:43:"field.storage.paragraph.field_mt_fltt_title";i:259;s:42:"field.storage.paragraph.field_mt_fltt_link";i:260;s:42:"field.storage.paragraph.field_mt_fli_title";i:261;s:42:"field.storage.paragraph.field_mt_fli_shape";i:262;s:41:"field.storage.paragraph.field_mt_fli_link";i:263;s:42:"field.storage.paragraph.field_mt_fli_image";i:264;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:265;s:44:"field.storage.paragraph.field_mt_fancy_title";i:266;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:267;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:268;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:269;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:270;s:47:"field.storage.paragraph.field_mt_collapse_title";i:271;s:37:"field.storage.node.field_mt_highlight";i:272;s:40:"field.storage.node.field_mt_content_tabs";i:273;s:45:"field.storage.node.field_mt_content_collapses";i:274;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:275;s:46:"field.storage.block_content.field_mt_media_tab";i:276;s:49:"field.storage.block_content.field_mt_map_location";i:277;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:278;s:39:"field.storage.block_content.field_mt_if";i:279;s:41:"field.storage.block_content.field_mt_fltt";i:280;s:46:"field.storage.block_content.field_mt_fancy_tab";i:281;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:282;s:45:"field.storage.block_content.field_mt_dropdown";i:283;s:39:"core.entity_view_mode.paragraph.preview";i:284;s:38:"paragraphs.paragraphs_type.mt_collapse";i:285;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:286;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:287;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:288;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:289;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:290;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:291;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:292;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:293;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:294;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:295;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:296;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:297;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:298;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:299;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:300;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:301;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:302;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:303;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:304;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:305;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:306;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:307;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:308;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:309;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:310;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:311;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:312;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:313;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:314;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:315;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:316;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:317;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:318;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:319;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:320;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:321;s:39:"paragraphs.paragraphs_type.mt_highlight";i:322;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:323;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:324;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:325;s:46:"field.field.node.mt_service.field_mt_highlight";i:326;s:46:"field.field.node.mt_product.field_mt_highlight";i:327;s:43:"paragraphs.paragraphs_type.mt_icon_features";i:328;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:329;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:330;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:331;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_icon";i:332;s:49:"field.field.block_content.mt_if_block.field_mt_if";i:333;s:58:"core.entity_view_display.block_content.mt_if_block.default";i:334;s:58:"core.entity_form_display.block_content.mt_if_block.default";i:335;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:336;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:337;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:338;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:339;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:340;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:341;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:342;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:343;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:344;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:345;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:346;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:347;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:348;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:349;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:350;s:42:"paragraphs.paragraphs_type.mt_map_location";i:351;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:352;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:353;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:354;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:355;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:356;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:357;s:58:"core.entity_view_display.paragraph.mt_map_location.default";i:358;s:58:"core.entity_form_display.paragraph.mt_map_location.default";i:359;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:360;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:361;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:362;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:363;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:364;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:365;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:366;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:367;s:33:"paragraphs.paragraphs_type.mt_tab";i:368;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:369;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:370;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:371;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:372;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:373;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:374;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:375;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:376;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:377;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:378;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:379;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:380;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:381;s:27:"rdf.mapping.comment.comment";i:382;s:24:"rdf.mapping.node.article";i:383;s:21:"rdf.mapping.node.page";i:384;s:25:"block.block.bartik_search";i:385;s:23:"search.page.node_search";i:386;s:15:"search.settings";i:387;s:39:"block.block.seven_secondary_local_tasks";i:388;s:37:"block.block.seven_primary_local_tasks";i:389;s:28:"block.block.seven_page_title";i:390;s:31:"block.block.seven_local_actions";i:391;s:22:"block.block.seven_help";i:392;s:14:"seven.settings";i:393;s:18:"superfish.settings";i:394;s:17:"block.block.whyme";i:395;s:26:"block.block.seven_messages";i:396;s:25:"block.block.seven_content";i:397;s:29:"block.block.seven_breadcrumbs";i:398;s:36:"block.block.corporateplus_textblocks";i:399;s:41:"block.block.corporateplus_socialbookmarks";i:400;s:37:"block.block.corporateplus_sidebartabs";i:401;s:32:"block.block.corporateplus_search";i:402;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:403;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:404;s:36:"block.block.corporateplus_page_title";i:405;s:34:"block.block.corporateplus_messages";i:406;s:34:"block.block.corporateplus_infotext";i:407;s:38:"block.block.corporateplus_genericblock";i:408;s:39:"block.block.corporateplus_frontpagetabs";i:409;s:43:"block.block.corporateplus_fancylinkedimages";i:410;s:36:"block.block.corporateplus_fancyblock";i:411;s:33:"block.block.corporateplus_content";i:412;s:46:"block.block.corporateplus_contactinfoheadertop";i:413;s:37:"block.block.corporateplus_contactinfo";i:414;s:40:"block.block.corporateplus_contactdetails";i:415;s:44:"block.block.corporateplus_connectwithuslarge";i:416;s:37:"block.block.corporateplus_breadcrumbs";i:417;s:34:"block.block.corporateplus_branding";i:418;s:40:"block.block.corporateplus_blockwithimage";i:419;s:46:"block.block.corporateplus_backgroundimageblock";i:420;s:38:"block.block.corporateplus_announcement";i:421;s:26:"block.block.bartik_powered";i:422;s:27:"block.block.bartik_messages";i:423;s:26:"block.block.bartik_content";i:424;s:30:"block.block.bartik_breadcrumbs";i:425;s:27:"block.block.bartik_branding";i:426;s:36:"system.action.comment_publish_action";i:427;s:33:"system.action.comment_save_action";i:428;s:38:"system.action.comment_unpublish_action";i:429;s:32:"system.action.node_delete_action";i:430;s:37:"system.action.node_make_sticky_action";i:431;s:39:"system.action.node_make_unsticky_action";i:432;s:33:"system.action.node_promote_action";i:433;s:33:"system.action.node_publish_action";i:434;s:30:"system.action.node_save_action";i:435;s:35:"system.action.node_unpromote_action";i:436;s:35:"system.action.node_unpublish_action";i:437;s:16:"system.authorize";i:438;s:11:"system.cron";i:439;s:11:"system.date";i:440;s:11:"system.diff";i:441;s:11:"system.file";i:442;s:12:"system.image";i:443;s:15:"system.image.gd";i:444;s:14:"system.logging";i:445;s:11:"system.mail";i:446;s:18:"system.maintenance";i:447;s:19:"system.menu.account";i:448;s:38:"block.block.corporateplus_account_menu";i:449;s:31:"block.block.bartik_account_menu";i:450;s:17:"system.menu.admin";i:451;s:18:"system.menu.footer";i:452;s:32:"block.block.corporateplus_footer";i:453;s:25:"block.block.bartik_footer";i:454;s:35:"system.menu.landing-page-navigation";i:455;s:16:"system.menu.main";i:456;s:35:"block.block.corporateplus_main_menu";i:457;s:42:"block.block.corporateplus_mainnavigation_2";i:458;s:28:"block.block.bartik_main_menu";i:459;s:32:"system.menu.mt-footer-menu-three";i:460;s:30:"system.menu.mt-footer-menu-two";i:461;s:35:"block.block.corporateplus_questions";i:462;s:24:"system.menu.mt-mega-menu";i:463;s:29:"system.menu.mt-subfooter-menu";i:464;s:35:"block.block.corporateplus_subfooter";i:465;s:17:"system.menu.tools";i:466;s:31:"block.block.corporateplus_tools";i:467;s:24:"block.block.bartik_tools";i:468;s:18:"system.performance";i:469;s:10:"system.rss";i:470;s:11:"system.site";i:471;s:12:"system.theme";i:472;s:19:"system.theme.global";i:473;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:474;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:475;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:476;s:29:"field.storage.node.field_tags";i:477;s:41:"field.storage.node.field_mt_showcase_tags";i:478;s:40:"field.storage.node.field_mt_service_tags";i:479;s:41:"field.storage.node.field_mt_products_tags";i:480;s:39:"field.storage.node.field_mt_collections";i:481;s:40:"field.storage.node.field_mt_clients_tags";i:482;s:29:"field.storage.font.field_tags";i:483;s:44:"field.storage.font.field_supported_languages";i:484;s:39:"field.storage.font.field_classification";i:485;s:40:"core.entity_view_mode.taxonomy_term.full";i:486;s:17:"taxonomy.settings";i:487;s:39:"taxonomy.vocabulary.font_classification";i:488;s:42:"field.field.font.font.field_classification";i:489;s:33:"taxonomy.vocabulary.font_designer";i:490;s:32:"taxonomy.vocabulary.font_foundry";i:491;s:29:"taxonomy.vocabulary.font_tags";i:492;s:32:"field.field.font.font.field_tags";i:493;s:39:"taxonomy.vocabulary.languages_supported";i:494;s:47:"field.field.font.font.field_supported_languages";i:495;s:34:"taxonomy.vocabulary.mt_brands_tags";i:496;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:497;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:498;s:34:"taxonomy.vocabulary.mt_collections";i:499;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:500;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:501;s:48:"field.field.node.mt_product.field_mt_collections";i:502;s:35:"taxonomy.vocabulary.mt_product_tags";i:503;s:50:"field.field.node.mt_product.field_mt_products_tags";i:504;s:35:"taxonomy.vocabulary.mt_service_tags";i:505;s:49:"field.field.node.mt_service.field_mt_service_tags";i:506;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:507;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:508;s:24:"taxonomy.vocabulary.tags";i:509;s:30:"rdf.mapping.taxonomy_term.tags";i:510;s:38:"field.field.node.mt_benefit.field_tags";i:511;s:35:"field.field.node.article.field_tags";i:512;s:44:"field.storage.paragraph.field_mt_tab_content";i:513;s:43:"field.storage.paragraph.field_mt_media_body";i:514;s:40:"field.storage.paragraph.field_mt_if_body";i:515;s:47:"field.storage.paragraph.field_mt_highlight_body";i:516;s:42:"field.storage.paragraph.field_mt_fltt_body";i:517;s:46:"field.storage.paragraph.field_mt_collapse_body";i:518;s:42:"field.storage.node.field_mt_subheader_body";i:519;s:42:"field.storage.node.field_mt_slideshow_text";i:520;s:23:"field.storage.node.body";i:521;s:34:"field.storage.comment.comment_body";i:522;s:32:"field.storage.block_content.body";i:523;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:524;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:525;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:526;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:527;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:528;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:529;s:45:"field.field.node.page.field_mt_subheader_body";i:530;s:45:"field.field.node.page.field_mt_slideshow_text";i:531;s:26:"field.field.node.page.body";i:532;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:533;s:36:"field.field.node.mt_testimonial.body";i:534;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:535;s:36:"field.field.node.mt_team_member.body";i:536;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:537;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:538;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:539;s:33:"field.field.node.mt_showcase.body";i:540;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:541;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:542;s:32:"field.field.node.mt_service.body";i:543;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:544;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:545;s:32:"field.field.node.mt_product.body";i:546;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:547;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:548;s:32:"field.field.node.mt_benefit.body";i:549;s:48:"field.field.node.article.field_mt_slideshow_text";i:550;s:29:"field.field.node.article.body";i:551;s:40:"field.field.comment.comment.comment_body";i:552;s:36:"field.field.block_content.basic.body";i:553;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:554;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:555;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:556;s:59:"core.entity_view_display.paragraph.mt_icon_features.default";i:557;s:55:"core.entity_view_display.paragraph.mt_highlight.default";i:558;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:559;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:560;s:48:"core.entity_view_display.comment.comment.default";i:561;s:52:"core.entity_view_display.block_content.basic.default";i:562;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:563;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:564;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:565;s:59:"core.entity_form_display.paragraph.mt_icon_features.default";i:566;s:55:"core.entity_form_display.paragraph.mt_highlight.default";i:567;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:568;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:569;s:42:"core.entity_form_display.node.page.default";i:570;s:52:"core.entity_form_display.node.mt_testimonial.default";i:571;s:52:"core.entity_form_display.node.mt_team_member.default";i:572;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:573;s:45:"core.entity_form_display.node.article.default";i:574;s:48:"core.entity_form_display.comment.comment.default";i:575;s:52:"core.entity_form_display.block_content.basic.default";i:576;s:13:"text.settings";i:577;s:31:"block.block.videogalleryblock_2";i:578;s:29:"block.block.videogalleryblock";i:579;s:32:"block.block.videobackgroundblock";i:580;s:26:"block.block.uniquefeatures";i:581;s:25:"block.block.topplus_tools";i:582;s:30:"block.block.topplus_textblocks";i:583;s:29:"block.block.topplus_subscribe";i:584;s:29:"block.block.topplus_subfooter";i:585;s:35:"block.block.topplus_socialbookmarks";i:586;s:39:"block.block.topplus_signupfortextalerts";i:587;s:31:"block.block.topplus_sidebartabs";i:588;s:26:"block.block.topplus_search";i:589;s:29:"block.block.topplus_questions";i:590;s:51:"block.block.topplus_productslayoutswithergridactive";i:591;s:52:"block.block.topplus_productslayoutswitcherlistactive";i:592;s:27:"block.block.topplus_powered";i:593;s:38:"block.block.topplus_popularsalesstatic";i:594;s:30:"block.block.topplus_page_title";i:595;s:28:"block.block.topplus_messages";i:596;s:29:"block.block.topplus_main_menu";i:597;s:36:"block.block.topplus_mainnavigation_2";i:598;s:31:"block.block.topplus_local_tasks";i:599;s:33:"block.block.topplus_local_actions";i:600;s:28:"block.block.topplus_infotext";i:601;s:34:"block.block.topplus_iconssubfooter";i:602;s:24:"block.block.topplus_help";i:603;s:32:"block.block.topplus_genericblock";i:604;s:33:"block.block.topplus_frontpagetabs";i:605;s:26:"block.block.topplus_footer";i:606;s:37:"block.block.topplus_fancylinkedimages";i:607;s:30:"block.block.topplus_fancyblock";i:608;s:29:"block.block.topplus_copyright";i:609;s:27:"block.block.topplus_content";i:610;s:40:"block.block.topplus_contactinfoheadertop";i:611;s:31:"block.block.topplus_contactinfo";i:612;s:34:"block.block.topplus_contactdetails";i:613;s:38:"block.block.topplus_connectwithuslarge";i:614;s:31:"block.block.topplus_breadcrumbs";i:615;s:28:"block.block.topplus_branding";i:616;s:34:"block.block.topplus_blockwithimage";i:617;s:40:"block.block.topplus_backgroundimageblock";i:618;s:32:"block.block.topplus_announcement";i:619;s:32:"block.block.topplus_account_menu";i:620;s:34:"block.block.testimonialscarousel_2";i:621;s:34:"block.block.tellusaboutyourproject";i:622;s:21:"block.block.subscribe";i:623;s:30:"block.block.stillhavequestions";i:624;s:23:"block.block.socialmedia";i:625;s:23:"block.block.sociallinks";i:626;s:36:"block.block.socialbookmarksfootertop";i:627;s:24:"block.block.sitebranding";i:628;s:27:"block.block.showcasesbanner";i:629;s:26:"block.block.servicesbanner";i:630;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:631;s:24:"block.block.searchform_4";i:632;s:24:"block.block.searchform_3";i:633;s:24:"block.block.searchform_2";i:634;s:22:"block.block.searchform";i:635;s:26:"block.block.productsbanner";i:636;s:27:"block.block.poweredbydrupal";i:637;s:25:"block.block.ournewsletter";i:638;s:19:"block.block.mystory";i:639;s:20:"block.block.megamenu";i:640;s:20:"block.block.mediatab";i:641;s:28:"block.block.mainnavigation_4";i:642;s:28:"block.block.mainnavigation_3";i:643;s:28:"block.block.mainnavigation_2";i:644;s:28:"block.block.languageswitcher";i:645;s:35:"block.block.landingpagenavigation_2";i:646;s:39:"block.block.interestedininvestingwithus";i:647;s:26:"block.block.iconssubfooter";i:648;s:37:"block.block.howprofessionalisourstaff";i:649;s:22:"block.block.highlights";i:650;s:27:"block.block.headerdropdowns";i:651;s:29:"block.block.googlemapbanner_3";i:652;s:29:"block.block.googlemapbanner_2";i:653;s:27:"block.block.googlemapbanner";i:654;s:30:"block.block.fullwidthslideshow";i:655;s:44:"block.block.footerbottomcustomsitebranding_2";i:656;s:42:"block.block.footerbottomcustomsitebranding";i:657;s:22:"block.block.fancyblock";i:658;s:23:"block.block.creditcards";i:659;s:27:"block.block.contactusbanner";i:660;s:31:"block.block.contactinfoslideout";i:661;s:29:"block.block.contactinfoheader";i:662;s:32:"block.block.contactinfofootertop";i:663;s:41:"block.block.contactinfocontactalternative";i:664;s:26:"block.block.calltoaction_2";i:665;s:25:"block.block.calltoaction2";i:666;s:24:"block.block.calltoaction";i:667;s:22:"block.block.blogbanner";i:668;s:41:"block.block.backgroundimageblockshowcases";i:669;s:40:"block.block.backgroundimageblockservices";i:670;s:40:"block.block.backgroundimageblockproducts";i:671;s:35:"block.block.backgroundimageblockcta";i:672;s:41:"block.block.backgroundimageblockcontactus";i:673;s:39:"block.block.backgroundimageblockclients";i:674;s:36:"block.block.backgroundimageblockblog";i:675;s:39:"block.block.backgroundimageblockaboutus";i:676;s:41:"block.block.areyoulookingforagreatservice";i:677;s:29:"block.block.aboutuscontenttop";i:678;s:25:"block.block.aboutusbanner";i:679;s:19:"block.block.aboutus";i:680;s:19:"block.block.aboutme";i:681;s:16:"topplus.settings";i:682;s:38:"system.action.user_unblock_user_action";i:683;s:37:"system.action.user_cancel_user_action";i:684;s:36:"system.action.user_block_user_action";i:685;s:23:"search.page.user_search";i:686;s:21:"rdf.mapping.user.user";i:687;s:31:"field.storage.user.user_picture";i:688;s:34:"field.field.user.user.user_picture";i:689;s:31:"core.entity_view_mode.user.full";i:690;s:34:"core.entity_view_mode.user.compact";i:691;s:42:"core.entity_view_display.user.user.default";i:692;s:42:"core.entity_view_display.user.user.compact";i:693;s:41:"core.entity_view_display.node.page.teaser";i:694;s:42:"core.entity_view_display.node.page.default";i:695;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:696;s:52:"core.entity_view_display.node.mt_testimonial.default";i:697;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:698;s:52:"core.entity_view_display.node.mt_team_member.default";i:699;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:700;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:701;s:44:"core.entity_view_display.node.article.teaser";i:702;s:41:"core.entity_view_display.node.article.rss";i:703;s:45:"core.entity_view_display.node.article.default";i:704;s:35:"core.entity_form_mode.user.register";i:705;s:42:"core.entity_form_display.user.user.default";i:706;s:23:"block.block.seven_login";i:707;s:10:"user.flood";i:708;s:9:"user.mail";i:709;s:23:"user.role.administrator";i:710;s:51:"system.action.user_remove_role_action.administrator";i:711;s:48:"system.action.user_add_role_action.administrator";i:712;s:19:"user.role.anonymous";i:713;s:23:"user.role.authenticated";i:714;s:13:"user.settings";i:715;s:44:"field.storage.paragraph.field_mt_media_video";i:716;s:33:"field.storage.node.field_mt_video";i:717;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:718;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:719;s:43:"field.field.node.mt_showcase.field_mt_video";i:720;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:721;s:42:"field.field.node.mt_service.field_mt_video";i:722;s:47:"core.entity_view_display.node.mt_service.teaser";i:723;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:724;s:42:"field.field.node.mt_product.field_mt_video";i:725;s:47:"core.entity_view_display.node.mt_product.teaser";i:726;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:727;s:42:"field.field.node.mt_benefit.field_mt_video";i:728;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:729;s:49:"core.entity_view_display.node.mt_showcase.default";i:730;s:48:"core.entity_view_display.node.mt_service.default";i:731;s:48:"core.entity_view_display.node.mt_product.default";i:732;s:48:"core.entity_view_display.node.mt_benefit.default";i:733;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:734;s:49:"core.entity_form_display.node.mt_showcase.default";i:735;s:48:"core.entity_form_display.node.mt_service.default";i:736;s:48:"core.entity_form_display.node.mt_product.default";i:737;s:48:"core.entity_form_display.node.mt_benefit.default";i:738;s:14:"views.settings";i:739;s:18:"views.view.archive";i:740;s:24:"views.view.block_content";i:741;s:26:"views.view.comments_recent";i:742;s:18:"views.view.content";i:743;s:25:"views.view.content_recent";i:744;s:16:"views.view.files";i:745;s:36:"views.view.fontyourface_font_manager";i:746;s:20:"views.view.frontpage";i:747;s:19:"views.view.glossary";i:748;s:22:"views.view.mt_articles";i:749;s:31:"views.view.mt_articles_carousel";i:750;s:55:"block.block.views_block__mt_articles_carousel_block_1_2";i:751;s:27:"views.view.mt_articles_grid";i:752;s:27:"views.view.mt_articles_list";i:753;s:29:"views.view.mt_articles_list_2";i:754;s:51:"block.block.views_block__mt_articles_list_2_block_1";i:755;s:22:"views.view.mt_benefits";i:756;s:44:"block.block.views_block__mt_benefits_block_1";i:757;s:52:"block.block.topplus_views_block__mt_benefits_block_1";i:758;s:58:"block.block.corporateplus_views_block__mt_benefits_block_1";i:759;s:29:"views.view.mt_brands_carousel";i:760;s:59:"block.block.topplus_views_block__mt_brands_carousel_block_1";i:761;s:65:"block.block.corporateplus_views_block__mt_brands_carousel_block_1";i:762;s:25:"views.view.mt_brands_grid";i:763;s:34:"views.view.mt_collections_carousel";i:764;s:64:"block.block.topplus_views_block__mt_collections_carousel_block_1";i:765;s:70:"block.block.corporateplus_views_block__mt_collections_carousel_block_1";i:766;s:30:"views.view.mt_collections_grid";i:767;s:33:"views.view.mt_collections_masonry";i:768;s:63:"block.block.topplus_views_block__mt_collections_masonry_block_1";i:769;s:69:"block.block.corporateplus_views_block__mt_collections_masonry_block_1";i:770;s:29:"views.view.mt_internal_banner";i:771;s:59:"block.block.topplus_views_block__mt_internal_banner_block_1";i:772;s:65:"block.block.corporateplus_views_block__mt_internal_banner_block_1";i:773;s:21:"views.view.mt_isotope";i:774;s:20:"views.view.mt_latest";i:775;s:42:"block.block.views_block__mt_latest_block_3";i:776;s:42:"block.block.views_block__mt_latest_block_1";i:777;s:50:"block.block.topplus_views_block__mt_latest_block_3";i:778;s:50:"block.block.topplus_views_block__mt_latest_block_1";i:779;s:56:"block.block.corporateplus_views_block__mt_latest_block_3";i:780;s:56:"block.block.corporateplus_views_block__mt_latest_block_1";i:781;s:27:"views.view.mt_photo_gallery";i:782;s:51:"block.block.views_block__mt_photo_gallery_block_1_2";i:783;s:26:"views.view.mt_popular_tags";i:784;s:56:"block.block.topplus_views_block__mt_popular_tags_block_1";i:785;s:62:"block.block.corporateplus_views_block__mt_popular_tags_block_1";i:786;s:28:"views.view.mt_pricing_tables";i:787;s:58:"block.block.topplus_views_block__mt_pricing_tables_block_1";i:788;s:64:"block.block.corporateplus_views_block__mt_pricing_tables_block_1";i:789;s:26:"views.view.mt_product_tags";i:790;s:56:"block.block.topplus_views_block__mt_product_tags_block_1";i:791;s:62:"block.block.corporateplus_views_block__mt_product_tags_block_1";i:792;s:22:"views.view.mt_products";i:793;s:48:"block.block.topplus_exposedformmt_productspage_3";i:794;s:48:"block.block.topplus_exposedformmt_productspage_2";i:795;s:48:"block.block.topplus_exposedformmt_productspage_1";i:796;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:797;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:798;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:799;s:31:"views.view.mt_products_carousel";i:800;s:27:"views.view.mt_products_list";i:801;s:57:"block.block.topplus_views_block__mt_products_list_block_1";i:802;s:63:"block.block.corporateplus_views_block__mt_products_list_block_1";i:803;s:30:"views.view.mt_products_masonry";i:804;s:60:"block.block.topplus_views_block__mt_products_masonry_block_1";i:805;s:66:"block.block.corporateplus_views_block__mt_products_masonry_block_1";i:806;s:28:"views.view.mt_promoted_posts";i:807;s:37:"views.view.mt_promoted_posts_carousel";i:808;s:59:"block.block.views_block__mt_promoted_posts_carousel_block_1";i:809;s:36:"views.view.mt_related_nodes_carousel";i:810;s:66:"block.block.topplus_views_block__mt_related_nodes_carousel_block_1";i:811;s:72:"block.block.corporateplus_views_block__mt_related_nodes_carousel_block_1";i:812;s:22:"views.view.mt_services";i:813;s:27:"views.view.mt_services_list";i:814;s:23:"views.view.mt_showcases";i:815;s:45:"block.block.views_block__mt_showcases_block_2";i:816;s:36:"views.view.mt_showcases_grid_style_2";i:817;s:28:"views.view.mt_showcases_list";i:818;s:52:"block.block.views_block__mt_showcases_list_block_1_2";i:819;s:35:"views.view.mt_slideshow_boxed_width";i:820;s:65:"block.block.topplus_views_block__mt_slideshow_boxed_width_block_1";i:821;s:71:"block.block.corporateplus_views_block__mt_slideshow_boxed_width_block_1";i:822;s:35:"views.view.mt_slideshow_full_screen";i:823;s:65:"block.block.topplus_views_block__mt_slideshow_full_screen_block_1";i:824;s:71:"block.block.corporateplus_views_block__mt_slideshow_full_screen_block_1";i:825;s:34:"views.view.mt_slideshow_full_width";i:826;s:64:"block.block.topplus_views_block__mt_slideshow_full_width_block_1";i:827;s:70:"block.block.corporateplus_views_block__mt_slideshow_full_width_block_1";i:828;s:35:"views.view.mt_team_members_carousel";i:829;s:57:"block.block.views_block__mt_team_members_carousel_block_1";i:830;s:31:"views.view.mt_team_members_grid";i:831;s:33:"views.view.mt_team_members_grid_2";i:832;s:31:"views.view.mt_team_members_list";i:833;s:26:"views.view.mt_testimonials";i:834;s:56:"block.block.topplus_views_block__mt_testimonials_block_2";i:835;s:56:"block.block.topplus_views_block__mt_testimonials_block_1";i:836;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_2";i:837;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_1";i:838;s:35:"views.view.mt_testimonials_carousel";i:839;s:59:"block.block.views_block__mt_testimonials_carousel_block_1_2";i:840;s:24:"filter.format.basic_html";i:841;s:31:"views.view.mt_testimonials_grid";i:842;s:24:"editor.editor.basic_html";i:843;s:33:"views.view.mt_testimonials_grid_2";i:844;s:23:"filter.format.full_html";i:845;s:34:"views.view.mt_testimonials_masonry";i:846;s:23:"editor.editor.full_html";i:847;s:20:"views.view.mt_videos";i:848;s:24:"filter.format.plain_text";i:849;s:24:"views.view.taxonomy_term";i:850;s:22:"filter.format.raw_html";i:851;s:28:"views.view.user_admin_people";i:852;s:29:"filter.format.restricted_html";i:853;s:20:"views.view.who_s_new";i:854;s:23:"automated_cron.settings";i:855;s:14:"dblog.settings";i:856;s:17:"field_ui.settings";i:857;s:15:"filter.settings";i:858;s:20:"shortcut.set.default";i:859;s:18:"tour.tour.views-ui";i:860;s:15:"update.settings";i:861;s:23:"views.view.who_s_online";}}s:14:"\0*\0targetNames";a:1:{s:0:"";a:862:{i:0;s:32:"block.block.bartik_local_actions";i:1;s:30:"block.block.bartik_local_tasks";i:2;s:29:"block.block.bartik_page_title";i:3;s:24:"block_content.type.basic";i:4;s:44:"block_content.type.mt_background_image_block";i:5;s:44:"block_content.type.mt_background_video_block";i:6;s:37:"block_content.type.mt_dropdowns_block";i:7;s:47:"block_content.type.mt_fancy_linked_images_block";i:8;s:38:"block_content.type.mt_fancy_tabs_block";i:9;s:32:"block_content.type.mt_fltt_block";i:10;s:33:"block_content.type.mt_google_maps";i:11;s:30:"block_content.type.mt_if_block";i:12;s:42:"block_content.type.mt_main_slideshow_block";i:13;s:38:"block_content.type.mt_media_tabs_block";i:14;s:43:"block_content.type.mt_nodes_slideshow_block";i:15;s:32:"block_content.type.mt_tabs_block";i:16;s:41:"block_content.type.mt_video_gallery_block";i:17;s:20:"comment.type.comment";i:18;s:24:"contact.form.alternative";i:19;s:21:"contact.form.feedback";i:20;s:21:"contact.form.personal";i:21;s:16:"contact.settings";i:22;s:25:"core.date_format.fallback";i:23;s:26:"core.date_format.html_date";i:24;s:30:"core.date_format.html_datetime";i:25;s:27:"core.date_format.html_month";i:26;s:26:"core.date_format.html_time";i:27;s:26:"core.date_format.html_week";i:28;s:26:"core.date_format.html_year";i:29;s:35:"core.date_format.html_yearless_date";i:30;s:21:"core.date_format.long";i:31;s:23:"core.date_format.medium";i:32;s:22:"core.date_format.short";i:33;s:60:"core.entity_form_display.contact_message.alternative.default";i:34;s:57:"core.entity_form_display.contact_message.feedback.default";i:35;s:57:"core.entity_form_display.contact_message.personal.default";i:36;s:60:"core.entity_view_display.contact_message.alternative.default";i:37;s:40:"core.entity_view_mode.block_content.full";i:38;s:34:"core.entity_view_mode.comment.full";i:39;s:14:"core.extension";i:40;s:36:"core.menu.static_menu_link_overrides";i:41;s:35:"block.block.corporateplus_subscribe";i:42;s:45:"block.block.corporateplus_signupfortextalerts";i:43;s:44:"block.block.corporateplus_popularsalesstatic";i:44;s:37:"block.block.corporateplus_local_tasks";i:45;s:39:"block.block.corporateplus_local_actions";i:46;s:40:"block.block.corporateplus_iconssubfooter";i:47;s:35:"block.block.corporateplus_copyright";i:48;s:22:"corporateplus.settings";i:49;s:14:"field.settings";i:50;s:53:"field.storage.block_content.field_mt_bg_image_opacity";i:51;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:52;s:57:"field.storage.block_content.field_mt_bg_image_positioning";i:53;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:54;s:52:"field.storage.block_content.field_mt_block_reference";i:55;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";i:56;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";i:57;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";i:58;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:59;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:60;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";i:61;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:62;s:45:"field.storage.block_content.field_mt_map_zoom";i:63;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";i:64;s:58:"field.storage.block_content.field_mt_ms_background_opacity";i:65;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:66;s:55:"field.storage.block_content.field_mt_ms_effect_duration";i:67;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:68;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";i:69;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:70;s:54:"field.storage.block_content.field_mt_ms_initial_height";i:71;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:72;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";i:73;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";i:74;s:50:"field.storage.block_content.field_mt_bv_video_webm";i:75;s:49:"field.storage.block_content.field_mt_bv_video_mp4";i:76;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:77;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:78;s:13:"file.settings";i:79;s:33:"core.entity_view_mode.font.teaser";i:80;s:31:"core.entity_view_mode.font.full";i:81;s:37:"fontyourface.font_display.mt_headings";i:82;s:38:"fontyourface.font_display.mt_paragraph";i:83;s:38:"fontyourface.font_display.mt_site_name";i:84;s:40:"fontyourface.font_display.mt_site_slogan";i:85;s:21:"fontyourface.settings";i:86;s:23:"block.block.bartik_help";i:87;s:46:"field.storage.block_content.field_mt_bv_poster";i:88;s:53:"field.storage.block_content.field_mt_background_image";i:89;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:90;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:91;s:14:"image.settings";i:92;s:17:"image.style.large";i:93;s:18:"image.style.medium";i:94;s:21:"image.style.mt_brands";i:95;s:24:"image.style.mt_fli_image";i:96;s:20:"image.style.mt_icons";i:97;s:30:"image.style.mt_landscape_image";i:98;s:30:"image.style.mt_media_tab_image";i:99;s:27:"image.style.mt_member_photo";i:100;s:29:"image.style.mt_portrait_image";i:101;s:28:"image.style.mt_product_image";i:102;s:30:"image.style.mt_slideshow_boxed";i:103;s:35:"image.style.mt_slideshow_fullscreen";i:104;s:32:"image.style.mt_testimonial_image";i:105;s:38:"image.style.mt_video_gallery_thumbnail";i:106;s:21:"image.style.thumbnail";i:107;s:16:"menu_ui.settings";i:108;s:43:"field.storage.node.field_mt_twitter_account";i:109;s:45:"field.storage.node.field_mt_testimonial_image";i:110;s:36:"field.storage.node.field_mt_subtitle";i:111;s:42:"field.storage.node.field_mt_slideshow_path";i:112;s:43:"field.storage.node.field_mt_slideshow_image";i:113;s:37:"field.storage.node.field_mt_slideshow";i:114;s:40:"field.storage.node.field_mt_product_code";i:115;s:46:"field.storage.node.field_mt_pricing_table_item";i:116;s:33:"field.storage.node.field_mt_price";i:117;s:40:"field.storage.node.field_mt_most_popular";i:118;s:40:"field.storage.node.field_mt_member_photo";i:119;s:44:"field.storage.node.field_mt_linkedin_account";i:120;s:43:"field.storage.node.field_mt_landscape_image";i:121;s:48:"field.storage.node.field_mt_font_awesome_classes";i:122;s:44:"field.storage.node.field_mt_facebook_account";i:123;s:36:"field.storage.node.field_mt_buy_link";i:124;s:44:"field.storage.node.field_mt_bg_video_youtube";i:125;s:43:"field.storage.node.field_mt_bg_video_volume";i:126;s:42:"field.storage.node.field_mt_bg_video_vimeo";i:127;s:40:"field.storage.node.field_mt_banner_image";i:128;s:30:"field.storage.node.field_image";i:129;s:26:"field.storage.node.comment";i:130;s:45:"field.storage.block_content.field_mt_ns_slide";i:131;s:33:"core.entity_view_mode.node.teaser";i:132;s:40:"core.entity_view_mode.node.search_result";i:133;s:39:"core.entity_view_mode.node.search_index";i:134;s:30:"core.entity_view_mode.node.rss";i:135;s:40:"core.entity_view_mode.node.mt_slide_view";i:136;s:31:"core.entity_view_mode.node.full";i:137;s:13:"node.settings";i:138;s:17:"node.type.article";i:139;s:49:"field.field.node.article.field_mt_slideshow_image";i:140;s:43:"field.field.node.article.field_mt_slideshow";i:141;s:46:"field.field.node.article.field_mt_banner_image";i:142;s:36:"field.field.node.article.field_image";i:143;s:32:"field.field.node.article.comment";i:144;s:20:"node.type.mt_benefit";i:145;s:52:"field.field.node.mt_benefit.field_mt_slideshow_image";i:146;s:46:"field.field.node.mt_benefit.field_mt_slideshow";i:147;s:57:"field.field.node.mt_benefit.field_mt_font_awesome_classes";i:148;s:49:"field.field.node.mt_benefit.field_mt_banner_image";i:149;s:39:"field.field.node.mt_benefit.field_image";i:150;s:20:"node.type.mt_product";i:151;s:52:"field.field.node.mt_product.field_mt_slideshow_image";i:152;s:46:"field.field.node.mt_product.field_mt_slideshow";i:153;s:49:"field.field.node.mt_product.field_mt_product_code";i:154;s:55:"field.field.node.mt_product.field_mt_pricing_table_item";i:155;s:42:"field.field.node.mt_product.field_mt_price";i:156;s:49:"field.field.node.mt_product.field_mt_most_popular";i:157;s:52:"field.field.node.mt_product.field_mt_landscape_image";i:158;s:45:"field.field.node.mt_product.field_mt_buy_link";i:159;s:49:"field.field.node.mt_product.field_mt_banner_image";i:160;s:39:"field.field.node.mt_product.field_image";i:161;s:35:"field.field.node.mt_product.comment";i:162;s:20:"node.type.mt_service";i:163;s:52:"field.field.node.mt_service.field_mt_slideshow_image";i:164;s:46:"field.field.node.mt_service.field_mt_slideshow";i:165;s:42:"field.field.node.mt_service.field_mt_price";i:166;s:45:"field.field.node.mt_service.field_mt_buy_link";i:167;s:49:"field.field.node.mt_service.field_mt_banner_image";i:168;s:39:"field.field.node.mt_service.field_image";i:169;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";i:170;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";i:171;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";i:172;s:21:"node.type.mt_showcase";i:173;s:46:"field.field.node.mt_showcase.field_mt_subtitle";i:174;s:53:"field.field.node.mt_showcase.field_mt_slideshow_image";i:175;s:47:"field.field.node.mt_showcase.field_mt_slideshow";i:176;s:50:"field.field.node.mt_showcase.field_mt_banner_image";i:177;s:40:"field.field.node.mt_showcase.field_image";i:178;s:36:"field.field.node.mt_showcase.comment";i:179;s:28:"node.type.mt_slideshow_entry";i:180;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_path";i:181;s:60:"field.field.node.mt_slideshow_entry.field_mt_slideshow_image";i:182;s:54:"field.field.node.mt_slideshow_entry.field_mt_slideshow";i:183;s:61:"field.field.node.mt_slideshow_entry.field_mt_bg_video_youtube";i:184;s:60:"field.field.node.mt_slideshow_entry.field_mt_bg_video_volume";i:185;s:59:"field.field.node.mt_slideshow_entry.field_mt_bg_video_vimeo";i:186;s:24:"node.type.mt_team_member";i:187;s:56:"field.field.node.mt_team_member.field_mt_twitter_account";i:188;s:49:"field.field.node.mt_team_member.field_mt_subtitle";i:189;s:56:"field.field.node.mt_team_member.field_mt_slideshow_image";i:190;s:50:"field.field.node.mt_team_member.field_mt_slideshow";i:191;s:53:"field.field.node.mt_team_member.field_mt_member_photo";i:192;s:57:"field.field.node.mt_team_member.field_mt_linkedin_account";i:193;s:57:"field.field.node.mt_team_member.field_mt_facebook_account";i:194;s:53:"field.field.node.mt_team_member.field_mt_banner_image";i:195;s:52:"core.base_field_override.node.mt_team_member.promote";i:196;s:24:"node.type.mt_testimonial";i:197;s:58:"field.field.node.mt_testimonial.field_mt_testimonial_image";i:198;s:49:"field.field.node.mt_testimonial.field_mt_subtitle";i:199;s:56:"field.field.node.mt_testimonial.field_mt_slideshow_image";i:200;s:50:"field.field.node.mt_testimonial.field_mt_slideshow";i:201;s:53:"field.field.node.mt_testimonial.field_mt_banner_image";i:202;s:14:"node.type.page";i:203;s:46:"field.field.node.page.field_mt_slideshow_image";i:204;s:40:"field.field.node.page.field_mt_slideshow";i:205;s:43:"field.field.node.page.field_mt_banner_image";i:206;s:42:"core.base_field_override.node.page.promote";i:207;s:48:"field.storage.node.field_mt_product_availability";i:208;s:56:"field.storage.block_content.field_mt_ms_navigation_style";i:209;s:46:"field.storage.block_content.field_mt_ms_effect";i:210;s:56:"field.storage.block_content.field_mt_ms_bullets_position";i:211;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";i:212;s:53:"field.storage.block_content.field_mt_bv_overlay_color";i:213;s:51:"field.storage.block_content.field_mt_bv_layout_mode";i:214;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";i:215;s:51:"field.storage.block_content.field_mt_bg_image_color";i:216;s:57:"field.field.node.mt_product.field_mt_product_availability";i:217;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:218;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:219;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:220;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:221;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:222;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:223;s:72:"core.entity_view_display.block_content.mt_background_video_block.default";i:224;s:72:"core.entity_form_display.block_content.mt_background_video_block.default";i:225;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:226;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:227;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";i:228;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";i:229;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:230;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:231;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:232;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:233;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:234;s:42:"field.storage.paragraph.field_mt_tab_title";i:235;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:236;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:237;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:238;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:239;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:240;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:241;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:242;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:243;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:244;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:245;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:246;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:247;s:44:"field.storage.paragraph.field_mt_media_title";i:248;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:249;s:44:"field.storage.paragraph.field_mt_media_image";i:250;s:45:"field.storage.paragraph.field_mt_media_button";i:251;s:41:"field.storage.paragraph.field_mt_if_title";i:252;s:40:"field.storage.paragraph.field_mt_if_link";i:253;s:41:"field.storage.paragraph.field_mt_if_image";i:254;s:40:"field.storage.paragraph.field_mt_if_icon";i:255;s:48:"field.storage.paragraph.field_mt_highlight_title";i:256;s:47:"field.storage.paragraph.field_mt_highlight_link";i:257;s:48:"field.storage.paragraph.field_mt_highlight_image";i:258;s:43:"field.storage.paragraph.field_mt_fltt_title";i:259;s:42:"field.storage.paragraph.field_mt_fltt_link";i:260;s:42:"field.storage.paragraph.field_mt_fli_title";i:261;s:42:"field.storage.paragraph.field_mt_fli_shape";i:262;s:41:"field.storage.paragraph.field_mt_fli_link";i:263;s:42:"field.storage.paragraph.field_mt_fli_image";i:264;s:48:"field.storage.paragraph.field_mt_fli_button_icon";i:265;s:44:"field.storage.paragraph.field_mt_fancy_title";i:266;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:267;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:268;s:54:"field.storage.paragraph.field_mt_dropdown_trigger_icon";i:269;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:270;s:47:"field.storage.paragraph.field_mt_collapse_title";i:271;s:37:"field.storage.node.field_mt_highlight";i:272;s:40:"field.storage.node.field_mt_content_tabs";i:273;s:45:"field.storage.node.field_mt_content_collapses";i:274;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:275;s:46:"field.storage.block_content.field_mt_media_tab";i:276;s:49:"field.storage.block_content.field_mt_map_location";i:277;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:278;s:39:"field.storage.block_content.field_mt_if";i:279;s:41:"field.storage.block_content.field_mt_fltt";i:280;s:46:"field.storage.block_content.field_mt_fancy_tab";i:281;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:282;s:45:"field.storage.block_content.field_mt_dropdown";i:283;s:39:"core.entity_view_mode.paragraph.preview";i:284;s:38:"paragraphs.paragraphs_type.mt_collapse";i:285;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:286;s:55:"field.field.node.mt_showcase.field_mt_content_collapses";i:287;s:38:"paragraphs.paragraphs_type.mt_dropdown";i:288;s:64:"field.field.paragraph.mt_dropdown.field_mt_dropdown_trigger_icon";i:289;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:290;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";i:291;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";i:292;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";i:293;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";i:294;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";i:295;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";i:296;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:297;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:298;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:299;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:300;s:68:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_icon";i:301;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";i:302;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";i:303;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";i:304;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";i:305;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";i:306;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";i:307;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:308;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:309;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:310;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";i:311;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";i:312;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";i:313;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";i:314;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";i:315;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";i:316;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:317;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:318;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";i:319;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";i:320;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";i:321;s:39:"paragraphs.paragraphs_type.mt_highlight";i:322;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:323;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:324;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:325;s:46:"field.field.node.mt_service.field_mt_highlight";i:326;s:46:"field.field.node.mt_product.field_mt_highlight";i:327;s:43:"paragraphs.paragraphs_type.mt_icon_features";i:328;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:329;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:330;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:331;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_icon";i:332;s:49:"field.field.block_content.mt_if_block.field_mt_if";i:333;s:58:"core.entity_view_display.block_content.mt_if_block.default";i:334;s:58:"core.entity_form_display.block_content.mt_if_block.default";i:335;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";i:336;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:337;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:338;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:339;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:340;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:341;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:342;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:343;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:344;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:345;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:346;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";i:347;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";i:348;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";i:349;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";i:350;s:42:"paragraphs.paragraphs_type.mt_map_location";i:351;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:352;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:353;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:354;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:355;s:61:"core.entity_view_display.block_content.mt_google_maps.default";i:356;s:61:"core.entity_form_display.block_content.mt_google_maps.default";i:357;s:58:"core.entity_view_display.paragraph.mt_map_location.default";i:358;s:58:"core.entity_form_display.paragraph.mt_map_location.default";i:359;s:39:"paragraphs.paragraphs_type.mt_media_tab";i:360;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:361;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:362;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:363;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:364;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";i:365;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";i:366;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";i:367;s:33:"paragraphs.paragraphs_type.mt_tab";i:368;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:369;s:49:"field.field.node.mt_product.field_mt_content_tabs";i:370;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";i:371;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:372;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:373;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:374;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:375;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:376;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";i:377;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";i:378;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";i:379;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";i:380;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";i:381;s:27:"rdf.mapping.comment.comment";i:382;s:24:"rdf.mapping.node.article";i:383;s:21:"rdf.mapping.node.page";i:384;s:25:"block.block.bartik_search";i:385;s:23:"search.page.node_search";i:386;s:15:"search.settings";i:387;s:39:"block.block.seven_secondary_local_tasks";i:388;s:37:"block.block.seven_primary_local_tasks";i:389;s:28:"block.block.seven_page_title";i:390;s:31:"block.block.seven_local_actions";i:391;s:22:"block.block.seven_help";i:392;s:14:"seven.settings";i:393;s:18:"superfish.settings";i:394;s:17:"block.block.whyme";i:395;s:26:"block.block.seven_messages";i:396;s:25:"block.block.seven_content";i:397;s:29:"block.block.seven_breadcrumbs";i:398;s:36:"block.block.corporateplus_textblocks";i:399;s:41:"block.block.corporateplus_socialbookmarks";i:400;s:37:"block.block.corporateplus_sidebartabs";i:401;s:32:"block.block.corporateplus_search";i:402;s:57:"block.block.corporateplus_productslayoutswithergridactive";i:403;s:58:"block.block.corporateplus_productslayoutswitcherlistactive";i:404;s:36:"block.block.corporateplus_page_title";i:405;s:34:"block.block.corporateplus_messages";i:406;s:34:"block.block.corporateplus_infotext";i:407;s:38:"block.block.corporateplus_genericblock";i:408;s:39:"block.block.corporateplus_frontpagetabs";i:409;s:43:"block.block.corporateplus_fancylinkedimages";i:410;s:36:"block.block.corporateplus_fancyblock";i:411;s:33:"block.block.corporateplus_content";i:412;s:46:"block.block.corporateplus_contactinfoheadertop";i:413;s:37:"block.block.corporateplus_contactinfo";i:414;s:40:"block.block.corporateplus_contactdetails";i:415;s:44:"block.block.corporateplus_connectwithuslarge";i:416;s:37:"block.block.corporateplus_breadcrumbs";i:417;s:34:"block.block.corporateplus_branding";i:418;s:40:"block.block.corporateplus_blockwithimage";i:419;s:46:"block.block.corporateplus_backgroundimageblock";i:420;s:38:"block.block.corporateplus_announcement";i:421;s:26:"block.block.bartik_powered";i:422;s:27:"block.block.bartik_messages";i:423;s:26:"block.block.bartik_content";i:424;s:30:"block.block.bartik_breadcrumbs";i:425;s:27:"block.block.bartik_branding";i:426;s:36:"system.action.comment_publish_action";i:427;s:33:"system.action.comment_save_action";i:428;s:38:"system.action.comment_unpublish_action";i:429;s:32:"system.action.node_delete_action";i:430;s:37:"system.action.node_make_sticky_action";i:431;s:39:"system.action.node_make_unsticky_action";i:432;s:33:"system.action.node_promote_action";i:433;s:33:"system.action.node_publish_action";i:434;s:30:"system.action.node_save_action";i:435;s:35:"system.action.node_unpromote_action";i:436;s:35:"system.action.node_unpublish_action";i:437;s:16:"system.authorize";i:438;s:11:"system.cron";i:439;s:11:"system.date";i:440;s:11:"system.diff";i:441;s:11:"system.file";i:442;s:12:"system.image";i:443;s:15:"system.image.gd";i:444;s:14:"system.logging";i:445;s:11:"system.mail";i:446;s:18:"system.maintenance";i:447;s:19:"system.menu.account";i:448;s:38:"block.block.corporateplus_account_menu";i:449;s:31:"block.block.bartik_account_menu";i:450;s:17:"system.menu.admin";i:451;s:18:"system.menu.footer";i:452;s:32:"block.block.corporateplus_footer";i:453;s:25:"block.block.bartik_footer";i:454;s:35:"system.menu.landing-page-navigation";i:455;s:16:"system.menu.main";i:456;s:35:"block.block.corporateplus_main_menu";i:457;s:42:"block.block.corporateplus_mainnavigation_2";i:458;s:28:"block.block.bartik_main_menu";i:459;s:32:"system.menu.mt-footer-menu-three";i:460;s:30:"system.menu.mt-footer-menu-two";i:461;s:35:"block.block.corporateplus_questions";i:462;s:24:"system.menu.mt-mega-menu";i:463;s:29:"system.menu.mt-subfooter-menu";i:464;s:35:"block.block.corporateplus_subfooter";i:465;s:17:"system.menu.tools";i:466;s:31:"block.block.corporateplus_tools";i:467;s:24:"block.block.bartik_tools";i:468;s:18:"system.performance";i:469;s:10:"system.rss";i:470;s:11:"system.site";i:471;s:12:"system.theme";i:472;s:19:"system.theme.global";i:473;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:474;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:475;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:476;s:29:"field.storage.node.field_tags";i:477;s:41:"field.storage.node.field_mt_showcase_tags";i:478;s:40:"field.storage.node.field_mt_service_tags";i:479;s:41:"field.storage.node.field_mt_products_tags";i:480;s:39:"field.storage.node.field_mt_collections";i:481;s:40:"field.storage.node.field_mt_clients_tags";i:482;s:29:"field.storage.font.field_tags";i:483;s:44:"field.storage.font.field_supported_languages";i:484;s:39:"field.storage.font.field_classification";i:485;s:40:"core.entity_view_mode.taxonomy_term.full";i:486;s:17:"taxonomy.settings";i:487;s:39:"taxonomy.vocabulary.font_classification";i:488;s:42:"field.field.font.font.field_classification";i:489;s:33:"taxonomy.vocabulary.font_designer";i:490;s:32:"taxonomy.vocabulary.font_foundry";i:491;s:29:"taxonomy.vocabulary.font_tags";i:492;s:32:"field.field.font.font.field_tags";i:493;s:39:"taxonomy.vocabulary.languages_supported";i:494;s:47:"field.field.font.font.field_supported_languages";i:495;s:34:"taxonomy.vocabulary.mt_brands_tags";i:496;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:497;s:50:"field.field.node.mt_showcase.field_mt_clients_tags";i:498;s:34:"taxonomy.vocabulary.mt_collections";i:499;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:500;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:501;s:48:"field.field.node.mt_product.field_mt_collections";i:502;s:35:"taxonomy.vocabulary.mt_product_tags";i:503;s:50:"field.field.node.mt_product.field_mt_products_tags";i:504;s:35:"taxonomy.vocabulary.mt_service_tags";i:505;s:49:"field.field.node.mt_service.field_mt_service_tags";i:506;s:36:"taxonomy.vocabulary.mt_showcase_tags";i:507;s:51:"field.field.node.mt_showcase.field_mt_showcase_tags";i:508;s:24:"taxonomy.vocabulary.tags";i:509;s:30:"rdf.mapping.taxonomy_term.tags";i:510;s:38:"field.field.node.mt_benefit.field_tags";i:511;s:35:"field.field.node.article.field_tags";i:512;s:44:"field.storage.paragraph.field_mt_tab_content";i:513;s:43:"field.storage.paragraph.field_mt_media_body";i:514;s:40:"field.storage.paragraph.field_mt_if_body";i:515;s:47:"field.storage.paragraph.field_mt_highlight_body";i:516;s:42:"field.storage.paragraph.field_mt_fltt_body";i:517;s:46:"field.storage.paragraph.field_mt_collapse_body";i:518;s:42:"field.storage.node.field_mt_subheader_body";i:519;s:42:"field.storage.node.field_mt_slideshow_text";i:520;s:23:"field.storage.node.body";i:521;s:34:"field.storage.comment.comment_body";i:522;s:32:"field.storage.block_content.body";i:523;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:524;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:525;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:526;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:527;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:528;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:529;s:45:"field.field.node.page.field_mt_subheader_body";i:530;s:45:"field.field.node.page.field_mt_slideshow_text";i:531;s:26:"field.field.node.page.body";i:532;s:55:"field.field.node.mt_testimonial.field_mt_slideshow_text";i:533;s:36:"field.field.node.mt_testimonial.body";i:534;s:55:"field.field.node.mt_team_member.field_mt_slideshow_text";i:535;s:36:"field.field.node.mt_team_member.body";i:536;s:59:"field.field.node.mt_slideshow_entry.field_mt_slideshow_text";i:537;s:52:"field.field.node.mt_showcase.field_mt_subheader_body";i:538;s:52:"field.field.node.mt_showcase.field_mt_slideshow_text";i:539;s:33:"field.field.node.mt_showcase.body";i:540;s:51:"field.field.node.mt_service.field_mt_subheader_body";i:541;s:51:"field.field.node.mt_service.field_mt_slideshow_text";i:542;s:32:"field.field.node.mt_service.body";i:543;s:51:"field.field.node.mt_product.field_mt_subheader_body";i:544;s:51:"field.field.node.mt_product.field_mt_slideshow_text";i:545;s:32:"field.field.node.mt_product.body";i:546;s:51:"field.field.node.mt_benefit.field_mt_subheader_body";i:547;s:51:"field.field.node.mt_benefit.field_mt_slideshow_text";i:548;s:32:"field.field.node.mt_benefit.body";i:549;s:48:"field.field.node.article.field_mt_slideshow_text";i:550;s:29:"field.field.node.article.body";i:551;s:40:"field.field.comment.comment.comment_body";i:552;s:36:"field.field.block_content.basic.body";i:553;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";i:554;s:61:"core.entity_view_display.taxonomy_term.mt_brands_tags.default";i:555;s:49:"core.entity_view_display.paragraph.mt_tab.default";i:556;s:59:"core.entity_view_display.paragraph.mt_icon_features.default";i:557;s:55:"core.entity_view_display.paragraph.mt_highlight.default";i:558;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";i:559;s:54:"core.entity_view_display.paragraph.mt_collapse.default";i:560;s:48:"core.entity_view_display.comment.comment.default";i:561;s:52:"core.entity_view_display.block_content.basic.default";i:562;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";i:563;s:61:"core.entity_form_display.taxonomy_term.mt_brands_tags.default";i:564;s:49:"core.entity_form_display.paragraph.mt_tab.default";i:565;s:59:"core.entity_form_display.paragraph.mt_icon_features.default";i:566;s:55:"core.entity_form_display.paragraph.mt_highlight.default";i:567;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";i:568;s:54:"core.entity_form_display.paragraph.mt_collapse.default";i:569;s:42:"core.entity_form_display.node.page.default";i:570;s:52:"core.entity_form_display.node.mt_testimonial.default";i:571;s:52:"core.entity_form_display.node.mt_team_member.default";i:572;s:56:"core.entity_form_display.node.mt_slideshow_entry.default";i:573;s:45:"core.entity_form_display.node.article.default";i:574;s:48:"core.entity_form_display.comment.comment.default";i:575;s:52:"core.entity_form_display.block_content.basic.default";i:576;s:13:"text.settings";i:577;s:31:"block.block.videogalleryblock_2";i:578;s:29:"block.block.videogalleryblock";i:579;s:32:"block.block.videobackgroundblock";i:580;s:26:"block.block.uniquefeatures";i:581;s:25:"block.block.topplus_tools";i:582;s:30:"block.block.topplus_textblocks";i:583;s:29:"block.block.topplus_subscribe";i:584;s:29:"block.block.topplus_subfooter";i:585;s:35:"block.block.topplus_socialbookmarks";i:586;s:39:"block.block.topplus_signupfortextalerts";i:587;s:31:"block.block.topplus_sidebartabs";i:588;s:26:"block.block.topplus_search";i:589;s:29:"block.block.topplus_questions";i:590;s:51:"block.block.topplus_productslayoutswithergridactive";i:591;s:52:"block.block.topplus_productslayoutswitcherlistactive";i:592;s:27:"block.block.topplus_powered";i:593;s:38:"block.block.topplus_popularsalesstatic";i:594;s:30:"block.block.topplus_page_title";i:595;s:28:"block.block.topplus_messages";i:596;s:29:"block.block.topplus_main_menu";i:597;s:36:"block.block.topplus_mainnavigation_2";i:598;s:31:"block.block.topplus_local_tasks";i:599;s:33:"block.block.topplus_local_actions";i:600;s:28:"block.block.topplus_infotext";i:601;s:34:"block.block.topplus_iconssubfooter";i:602;s:24:"block.block.topplus_help";i:603;s:32:"block.block.topplus_genericblock";i:604;s:33:"block.block.topplus_frontpagetabs";i:605;s:26:"block.block.topplus_footer";i:606;s:37:"block.block.topplus_fancylinkedimages";i:607;s:30:"block.block.topplus_fancyblock";i:608;s:29:"block.block.topplus_copyright";i:609;s:27:"block.block.topplus_content";i:610;s:40:"block.block.topplus_contactinfoheadertop";i:611;s:31:"block.block.topplus_contactinfo";i:612;s:34:"block.block.topplus_contactdetails";i:613;s:38:"block.block.topplus_connectwithuslarge";i:614;s:31:"block.block.topplus_breadcrumbs";i:615;s:28:"block.block.topplus_branding";i:616;s:34:"block.block.topplus_blockwithimage";i:617;s:40:"block.block.topplus_backgroundimageblock";i:618;s:32:"block.block.topplus_announcement";i:619;s:32:"block.block.topplus_account_menu";i:620;s:34:"block.block.testimonialscarousel_2";i:621;s:34:"block.block.tellusaboutyourproject";i:622;s:21:"block.block.subscribe";i:623;s:30:"block.block.stillhavequestions";i:624;s:23:"block.block.socialmedia";i:625;s:23:"block.block.sociallinks";i:626;s:36:"block.block.socialbookmarksfootertop";i:627;s:24:"block.block.sitebranding";i:628;s:27:"block.block.showcasesbanner";i:629;s:26:"block.block.servicesbanner";i:630;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:631;s:24:"block.block.searchform_4";i:632;s:24:"block.block.searchform_3";i:633;s:24:"block.block.searchform_2";i:634;s:22:"block.block.searchform";i:635;s:26:"block.block.productsbanner";i:636;s:27:"block.block.poweredbydrupal";i:637;s:25:"block.block.ournewsletter";i:638;s:19:"block.block.mystory";i:639;s:20:"block.block.megamenu";i:640;s:20:"block.block.mediatab";i:641;s:28:"block.block.mainnavigation_4";i:642;s:28:"block.block.mainnavigation_3";i:643;s:28:"block.block.mainnavigation_2";i:644;s:28:"block.block.languageswitcher";i:645;s:35:"block.block.landingpagenavigation_2";i:646;s:39:"block.block.interestedininvestingwithus";i:647;s:26:"block.block.iconssubfooter";i:648;s:37:"block.block.howprofessionalisourstaff";i:649;s:22:"block.block.highlights";i:650;s:27:"block.block.headerdropdowns";i:651;s:29:"block.block.googlemapbanner_3";i:652;s:29:"block.block.googlemapbanner_2";i:653;s:27:"block.block.googlemapbanner";i:654;s:30:"block.block.fullwidthslideshow";i:655;s:44:"block.block.footerbottomcustomsitebranding_2";i:656;s:42:"block.block.footerbottomcustomsitebranding";i:657;s:22:"block.block.fancyblock";i:658;s:23:"block.block.creditcards";i:659;s:27:"block.block.contactusbanner";i:660;s:31:"block.block.contactinfoslideout";i:661;s:29:"block.block.contactinfoheader";i:662;s:32:"block.block.contactinfofootertop";i:663;s:41:"block.block.contactinfocontactalternative";i:664;s:26:"block.block.calltoaction_2";i:665;s:25:"block.block.calltoaction2";i:666;s:24:"block.block.calltoaction";i:667;s:22:"block.block.blogbanner";i:668;s:41:"block.block.backgroundimageblockshowcases";i:669;s:40:"block.block.backgroundimageblockservices";i:670;s:40:"block.block.backgroundimageblockproducts";i:671;s:35:"block.block.backgroundimageblockcta";i:672;s:41:"block.block.backgroundimageblockcontactus";i:673;s:39:"block.block.backgroundimageblockclients";i:674;s:36:"block.block.backgroundimageblockblog";i:675;s:39:"block.block.backgroundimageblockaboutus";i:676;s:41:"block.block.areyoulookingforagreatservice";i:677;s:29:"block.block.aboutuscontenttop";i:678;s:25:"block.block.aboutusbanner";i:679;s:19:"block.block.aboutus";i:680;s:19:"block.block.aboutme";i:681;s:16:"topplus.settings";i:682;s:38:"system.action.user_unblock_user_action";i:683;s:37:"system.action.user_cancel_user_action";i:684;s:36:"system.action.user_block_user_action";i:685;s:23:"search.page.user_search";i:686;s:21:"rdf.mapping.user.user";i:687;s:31:"field.storage.user.user_picture";i:688;s:34:"field.field.user.user.user_picture";i:689;s:31:"core.entity_view_mode.user.full";i:690;s:34:"core.entity_view_mode.user.compact";i:691;s:42:"core.entity_view_display.user.user.default";i:692;s:42:"core.entity_view_display.user.user.compact";i:693;s:41:"core.entity_view_display.node.page.teaser";i:694;s:42:"core.entity_view_display.node.page.default";i:695;s:51:"core.entity_view_display.node.mt_testimonial.teaser";i:696;s:52:"core.entity_view_display.node.mt_testimonial.default";i:697;s:51:"core.entity_view_display.node.mt_team_member.teaser";i:698;s:52:"core.entity_view_display.node.mt_team_member.default";i:699;s:55:"core.entity_view_display.node.mt_slideshow_entry.teaser";i:700;s:56:"core.entity_view_display.node.mt_slideshow_entry.default";i:701;s:44:"core.entity_view_display.node.article.teaser";i:702;s:41:"core.entity_view_display.node.article.rss";i:703;s:45:"core.entity_view_display.node.article.default";i:704;s:35:"core.entity_form_mode.user.register";i:705;s:42:"core.entity_form_display.user.user.default";i:706;s:23:"block.block.seven_login";i:707;s:10:"user.flood";i:708;s:9:"user.mail";i:709;s:23:"user.role.administrator";i:710;s:51:"system.action.user_remove_role_action.administrator";i:711;s:48:"system.action.user_add_role_action.administrator";i:712;s:19:"user.role.anonymous";i:713;s:23:"user.role.authenticated";i:714;s:13:"user.settings";i:715;s:44:"field.storage.paragraph.field_mt_media_video";i:716;s:33:"field.storage.node.field_mt_video";i:717;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:718;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";i:719;s:43:"field.field.node.mt_showcase.field_mt_video";i:720;s:48:"core.entity_view_display.node.mt_showcase.teaser";i:721;s:42:"field.field.node.mt_service.field_mt_video";i:722;s:47:"core.entity_view_display.node.mt_service.teaser";i:723;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";i:724;s:42:"field.field.node.mt_product.field_mt_video";i:725;s:47:"core.entity_view_display.node.mt_product.teaser";i:726;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";i:727;s:42:"field.field.node.mt_benefit.field_mt_video";i:728;s:47:"core.entity_view_display.node.mt_benefit.teaser";i:729;s:49:"core.entity_view_display.node.mt_showcase.default";i:730;s:48:"core.entity_view_display.node.mt_service.default";i:731;s:48:"core.entity_view_display.node.mt_product.default";i:732;s:48:"core.entity_view_display.node.mt_benefit.default";i:733;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";i:734;s:49:"core.entity_form_display.node.mt_showcase.default";i:735;s:48:"core.entity_form_display.node.mt_service.default";i:736;s:48:"core.entity_form_display.node.mt_product.default";i:737;s:48:"core.entity_form_display.node.mt_benefit.default";i:738;s:14:"views.settings";i:739;s:18:"views.view.archive";i:740;s:24:"views.view.block_content";i:741;s:26:"views.view.comments_recent";i:742;s:18:"views.view.content";i:743;s:25:"views.view.content_recent";i:744;s:16:"views.view.files";i:745;s:36:"views.view.fontyourface_font_manager";i:746;s:20:"views.view.frontpage";i:747;s:19:"views.view.glossary";i:748;s:22:"views.view.mt_articles";i:749;s:31:"views.view.mt_articles_carousel";i:750;s:55:"block.block.views_block__mt_articles_carousel_block_1_2";i:751;s:27:"views.view.mt_articles_grid";i:752;s:27:"views.view.mt_articles_list";i:753;s:29:"views.view.mt_articles_list_2";i:754;s:51:"block.block.views_block__mt_articles_list_2_block_1";i:755;s:22:"views.view.mt_benefits";i:756;s:44:"block.block.views_block__mt_benefits_block_1";i:757;s:52:"block.block.topplus_views_block__mt_benefits_block_1";i:758;s:58:"block.block.corporateplus_views_block__mt_benefits_block_1";i:759;s:29:"views.view.mt_brands_carousel";i:760;s:59:"block.block.topplus_views_block__mt_brands_carousel_block_1";i:761;s:65:"block.block.corporateplus_views_block__mt_brands_carousel_block_1";i:762;s:25:"views.view.mt_brands_grid";i:763;s:34:"views.view.mt_collections_carousel";i:764;s:64:"block.block.topplus_views_block__mt_collections_carousel_block_1";i:765;s:70:"block.block.corporateplus_views_block__mt_collections_carousel_block_1";i:766;s:30:"views.view.mt_collections_grid";i:767;s:33:"views.view.mt_collections_masonry";i:768;s:63:"block.block.topplus_views_block__mt_collections_masonry_block_1";i:769;s:69:"block.block.corporateplus_views_block__mt_collections_masonry_block_1";i:770;s:29:"views.view.mt_internal_banner";i:771;s:59:"block.block.topplus_views_block__mt_internal_banner_block_1";i:772;s:65:"block.block.corporateplus_views_block__mt_internal_banner_block_1";i:773;s:21:"views.view.mt_isotope";i:774;s:20:"views.view.mt_latest";i:775;s:42:"block.block.views_block__mt_latest_block_3";i:776;s:42:"block.block.views_block__mt_latest_block_1";i:777;s:50:"block.block.topplus_views_block__mt_latest_block_3";i:778;s:50:"block.block.topplus_views_block__mt_latest_block_1";i:779;s:56:"block.block.corporateplus_views_block__mt_latest_block_3";i:780;s:56:"block.block.corporateplus_views_block__mt_latest_block_1";i:781;s:27:"views.view.mt_photo_gallery";i:782;s:51:"block.block.views_block__mt_photo_gallery_block_1_2";i:783;s:26:"views.view.mt_popular_tags";i:784;s:56:"block.block.topplus_views_block__mt_popular_tags_block_1";i:785;s:62:"block.block.corporateplus_views_block__mt_popular_tags_block_1";i:786;s:28:"views.view.mt_pricing_tables";i:787;s:58:"block.block.topplus_views_block__mt_pricing_tables_block_1";i:788;s:64:"block.block.corporateplus_views_block__mt_pricing_tables_block_1";i:789;s:26:"views.view.mt_product_tags";i:790;s:56:"block.block.topplus_views_block__mt_product_tags_block_1";i:791;s:62:"block.block.corporateplus_views_block__mt_product_tags_block_1";i:792;s:22:"views.view.mt_products";i:793;s:48:"block.block.topplus_exposedformmt_productspage_3";i:794;s:48:"block.block.topplus_exposedformmt_productspage_2";i:795;s:48:"block.block.topplus_exposedformmt_productspage_1";i:796;s:54:"block.block.corporateplus_exposedformmt_productspage_3";i:797;s:54:"block.block.corporateplus_exposedformmt_productspage_2";i:798;s:54:"block.block.corporateplus_exposedformmt_productspage_1";i:799;s:31:"views.view.mt_products_carousel";i:800;s:27:"views.view.mt_products_list";i:801;s:57:"block.block.topplus_views_block__mt_products_list_block_1";i:802;s:63:"block.block.corporateplus_views_block__mt_products_list_block_1";i:803;s:30:"views.view.mt_products_masonry";i:804;s:60:"block.block.topplus_views_block__mt_products_masonry_block_1";i:805;s:66:"block.block.corporateplus_views_block__mt_products_masonry_block_1";i:806;s:28:"views.view.mt_promoted_posts";i:807;s:37:"views.view.mt_promoted_posts_carousel";i:808;s:59:"block.block.views_block__mt_promoted_posts_carousel_block_1";i:809;s:36:"views.view.mt_related_nodes_carousel";i:810;s:66:"block.block.topplus_views_block__mt_related_nodes_carousel_block_1";i:811;s:72:"block.block.corporateplus_views_block__mt_related_nodes_carousel_block_1";i:812;s:22:"views.view.mt_services";i:813;s:27:"views.view.mt_services_list";i:814;s:23:"views.view.mt_showcases";i:815;s:45:"block.block.views_block__mt_showcases_block_2";i:816;s:36:"views.view.mt_showcases_grid_style_2";i:817;s:28:"views.view.mt_showcases_list";i:818;s:52:"block.block.views_block__mt_showcases_list_block_1_2";i:819;s:35:"views.view.mt_slideshow_boxed_width";i:820;s:65:"block.block.topplus_views_block__mt_slideshow_boxed_width_block_1";i:821;s:71:"block.block.corporateplus_views_block__mt_slideshow_boxed_width_block_1";i:822;s:35:"views.view.mt_slideshow_full_screen";i:823;s:65:"block.block.topplus_views_block__mt_slideshow_full_screen_block_1";i:824;s:71:"block.block.corporateplus_views_block__mt_slideshow_full_screen_block_1";i:825;s:34:"views.view.mt_slideshow_full_width";i:826;s:64:"block.block.topplus_views_block__mt_slideshow_full_width_block_1";i:827;s:70:"block.block.corporateplus_views_block__mt_slideshow_full_width_block_1";i:828;s:35:"views.view.mt_team_members_carousel";i:829;s:57:"block.block.views_block__mt_team_members_carousel_block_1";i:830;s:31:"views.view.mt_team_members_grid";i:831;s:33:"views.view.mt_team_members_grid_2";i:832;s:31:"views.view.mt_team_members_list";i:833;s:26:"views.view.mt_testimonials";i:834;s:56:"block.block.topplus_views_block__mt_testimonials_block_2";i:835;s:56:"block.block.topplus_views_block__mt_testimonials_block_1";i:836;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_2";i:837;s:62:"block.block.corporateplus_views_block__mt_testimonials_block_1";i:838;s:35:"views.view.mt_testimonials_carousel";i:839;s:59:"block.block.views_block__mt_testimonials_carousel_block_1_2";i:840;s:24:"filter.format.basic_html";i:841;s:31:"views.view.mt_testimonials_grid";i:842;s:24:"editor.editor.basic_html";i:843;s:33:"views.view.mt_testimonials_grid_2";i:844;s:23:"filter.format.full_html";i:845;s:34:"views.view.mt_testimonials_masonry";i:846;s:23:"editor.editor.full_html";i:847;s:20:"views.view.mt_videos";i:848;s:24:"filter.format.plain_text";i:849;s:24:"views.view.taxonomy_term";i:850;s:22:"filter.format.raw_html";i:851;s:28:"views.view.user_admin_people";i:852;s:29:"filter.format.restricted_html";i:853;s:20:"views.view.who_s_new";i:854;s:23:"automated_cron.settings";i:855;s:14:"dblog.settings";i:856;s:17:"field_ui.settings";i:857;s:15:"filter.settings";i:858;s:20:"shortcut.set.default";i:859;s:18:"tour.tour.views-ui";i:860;s:15:"update.settings";i:861;s:23:"views.view.who_s_online";}}s:21:"\0*\0sourceCacheStorage";s:2:"id";s:21:"\0*\0targetCacheStorage";s:4:"uuid";s:14:"\0*\0_serviceIds";a:1:{s:13:"configManager";s:14:"config.manager";}}s:25:"\0*\0processedConfiguration";a:1:{s:0:"";a:4:{s:6:"create";a:0:{}s:6:"update";a:0:{}s:6:"delete";a:0:{}s:6:"rename";a:0:{}}}s:22:"\0*\0processedExtensions";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:22:"\0*\0extensionChangelist";a:2:{s:6:"module";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}s:5:"theme";a:2:{s:7:"install";a:0:{}s:9:"uninstall";a:0:{}}}s:12:"\0*\0validated";b:1;s:23:"\0*\0processedSystemTheme";b:0;s:9:"\0*\0errors";a:0:{}s:27:"\0*\0totalExtensionsToProcess";i:0;s:30:"\0*\0totalConfigurationToProcess";i:0;s:14:"\0*\0_serviceIds";a:8:{s:15:"eventDispatcher";s:16:"event_dispatcher";s:13:"configManager";s:14:"config.manager";s:4:"lock";s:15:"lock.persistent";s:18:"typedConfigManager";s:12:"config.typed";s:13:"moduleHandler";s:14:"module_handler";s:12:"themeHandler";s:13:"theme_handler";s:15:"moduleInstaller";s:16:"module_installer";s:17:"stringTranslation";s:18:"string_translation";}}}s:10:"\0*\0buttons";a:1:{i:0;a:24:{s:5:"#type";s:6:"submit";s:6:"#value";r:196;s:12:"#button_type";s:7:"primary";s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:16:"#defaults_loaded";b:1;s:5:"#tree";b:0;s:8:"#parents";a:1:{i:0;s:6:"submit";}s:14:"#array_parents";a:2:{i:0;s:7:"actions";i:1;s:6:"submit";}s:7:"#weight";i:0;s:10:"#processed";b:0;s:9:"#required";b:0;s:11:"#attributes";a:1:{s:20:"data-drupal-selector";s:11:"edit-submit";}s:14:"#title_display";s:6:"before";s:20:"#description_display";s:5:"after";s:7:"#errors";N;s:3:"#id";s:11:"edit-submit";}}s:12:"\0*\0temporary";a:0:{}s:22:"\0*\0validation_complete";b:1;s:9:"\0*\0errors";a:0:{}s:26:"\0*\0limit_validation_errors";N;s:20:"\0*\0validate_handlers";a:0:{}s:18:"\0*\0submit_handlers";a:0:{}}s:11:"progressive";b:1;s:11:"current_set";i:0;s:3:"url";O:15:"Drupal\\Core\\Url":10:{s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:22:"system.batch_page.html";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:5:"query";a:2:{s:2:"id";s:3:"496";s:2:"op";s:7:"do_nojs";}}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:1:{s:12:"urlGenerator";s:13:"url_generator";}}s:10:"source_url";O:15:"Drupal\\Core\\Url":11:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:20:"config.import_single";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:5:"query";a:0:{}}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}}s:14:"batch_redirect";N;s:5:"theme";s:5:"seven";s:17:"redirect_callback";N;s:2:"id";s:3:"496";s:13:"error_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Please continue to <a href=":error_url">the error page</a>";s:12:"\0*\0arguments";a:1:{s:10:":error_url";s:56:"/mtt_themes/skc-topplus/site/d8/batch?id=496&op=finished";}s:10:"\0*\0options";a:0:{}}s:7:"running";b:1;}');
;

-- --------------------------------------------------------

--
-- Table structure for table `block_content`
--

CREATE TABLE `block_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `block_content_field__uuid__value` (`uuid`),
  UNIQUE KEY `block_content__revision_id` (`revision_id`),
  KEY `block_content_field__type__target_id` (`type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for block_content entities.';

--
-- Dumping data for table `block_content`
--

INSERT INTO `block_content` VALUES
(1, 1, 'mt_tabs_block', 'ef75ff4d-5049-4e15-91f2-89e64289799e', 'en'),
(3, 3, 'basic', '77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644', 'en'),
(4, 4, 'basic', '2054bf17-957d-43d6-a736-6b7ac3ba0f2f', 'en'),
(5, 5, 'basic', '5e872ebe-f221-48b5-8dbf-041d40eecc43', 'en'),
(8, 8, 'basic', '5c386222-a853-46e7-b120-1d96242be928', 'en'),
(9, 9, 'basic', 'fae21d9e-1b0b-418f-b1a1-e4f297688838', 'en'),
(10, 10, 'basic', '0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a', 'en'),
(12, 12, 'basic', 'bf813f9f-c73e-4d44-a9ff-c771b0c704f3', 'en'),
(13, 13, 'basic', '8446f152-667e-4f86-8722-565b31753297', 'en'),
(14, 14, 'basic', '0839439a-2bae-48e4-872e-6ff169998482', 'en'),
(15, 15, 'mt_fancy_tabs_block', 'b6daebc0-8794-4969-94ad-88857e3749e6', 'en'),
(16, 16, 'basic', '1ff2a34d-0b1e-4d66-963b-78c08bf57aaa', 'en'),
(17, 17, 'basic', '14d16969-6207-4173-82a4-bbc2e6eef6a2', 'en'),
(18, 18, 'basic', 'd4a7f7e5-a159-4436-91e3-09d3aabdfff8', 'en'),
(19, 19, 'basic', '01709e04-065c-478c-9e73-863194306720', 'en'),
(20, 20, 'basic', '47385a7c-dff7-4f4a-8225-37b53a37da3d', 'en'),
(21, 21, 'basic', '1f5fa21d-094d-4e89-abf6-07aa1e532066', 'en'),
(24, 24, 'mt_fancy_linked_images_block', '2c242b3c-5f08-49b5-9943-898d1f992ced', 'en'),
(25, 25, 'basic', '8ab31d99-575f-4229-8ec8-989daa3f2dfb', 'en'),
(28, 28, 'basic', 'b467900a-1ff8-40ea-a8b0-2de331243735', 'en'),
(29, 29, 'basic', 'd483c5ac-2ead-403b-ab10-4ede5f991371', 'en'),
(30, 30, 'basic', 'a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97', 'en'),
(31, 31, 'basic', '9acb6453-8126-426b-88ec-d750288e958c', 'en'),
(34, 34, 'basic', '78f50698-8922-4e4c-ade4-531c59340958', 'en'),
(35, 35, 'mt_google_maps', '3a7d6304-c55c-48d0-a559-ee212ac34069', 'en'),
(38, 38, 'basic', '2f082cb7-167a-4837-b03e-7c523b059c9c', 'en'),
(39, 39, 'basic', '484e39d9-79e3-484e-9855-6b935d61bd03', 'en'),
(40, 40, 'mt_nodes_slideshow_block', '2ee07bbe-2afe-47d2-b802-21a37c39ea92', 'en'),
(41, 41, 'basic', '0524307c-2048-42b8-833e-fe424b730597', 'en'),
(42, 42, 'basic', 'a007890a-a321-4ab4-84f1-049b7b98801c', 'en'),
(43, 43, 'basic', '4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3', 'en'),
(44, 44, 'mt_media_tabs_block', '735a20a1-935e-461e-8ddf-5a4fdc521f23', 'en'),
(45, 45, 'mt_fltt_block', 'e063c791-93fb-43c0-a379-811a3a29ccc8', 'en'),
(46, 46, 'basic', '47ac0b15-76b8-42ad-b349-f76c80485472', 'en'),
(47, 47, 'basic', '289e95e0-6f1d-40f8-961a-fe8a21410288', 'en'),
(48, 48, 'mt_main_slideshow_block', 'b2f629fe-21d9-4f21-b60a-3f820c8be0a9', 'en'),
(49, 49, 'mt_video_gallery_block', '06367e41-b90b-4fdc-8dac-d2f2de5da572', 'en'),
(50, 50, 'basic', 'ac329bb8-6f7c-4394-90aa-c4dbcdff8764', 'en'),
(51, 51, 'basic', 'd3c5868b-e0ca-43fd-9e80-828ad308eea5', 'en'),
(52, 52, 'mt_background_image_block', 'f80a84a8-6e49-4b3c-a2a8-2dec831316dc', 'en'),
(53, 53, 'basic', '21239a24-9067-424a-a412-2bc4c38d3b07', 'en'),
(54, 54, 'mt_background_image_block', '304c9d2f-87b7-4220-aa9a-cc1522ea0dd7', 'en'),
(55, 55, 'basic', 'c14bd468-befe-4f30-a142-81ace2726783', 'en'),
(57, 57, 'basic', 'b881398c-7d2f-4579-9930-9300538bd2aa', 'en'),
(58, 58, 'mt_background_image_block', 'e0a56362-68eb-45ec-8e2f-feefbf1e35d8', 'en'),
(59, 59, 'mt_dropdowns_block', '18dc1432-7c77-4b0b-b804-5bd46ab9769a', 'en'),
(73, 73, 'basic', 'eb34fbf2-b05a-462a-bb6d-0d71197be193', 'en'),
(74, 74, 'basic', 'af6f94ee-1e69-4b04-b8e0-aa57e603e25c', 'en'),
(75, 75, 'basic', '30cd384d-66e1-462a-b606-9af85d356ef1', 'en'),
(76, 76, 'basic', 'e2f49ac6-d59a-4baa-aa3e-2f7fd2077b52', 'en'),
(77, 77, 'mt_if_block', '86c8a961-7cb4-48cb-958f-950bcb782f32', 'en'),
(78, 78, 'mt_background_video_block', '1095b191-b590-4db3-8021-af3b7bc02bb9', 'en'),
(79, 79, 'basic', '75233cc9-f9ab-4278-b3a5-3ac326245760', 'en'),
(80, 80, 'basic', '72c169d2-45c6-40c2-82e4-4f0f6f243331', 'en'),
(82, 82, 'basic', '31d21c04-eb31-438b-8730-00c9e7511dd7', 'en'),
(83, 83, 'basic', 'a5cb88c7-1d51-405a-b911-2ea49042a47f', 'en'),
(84, 84, 'basic', '56181db7-a452-44b8-bca5-8cf9de50ed1c', 'en'),
(85, 85, 'basic', '4afd36a9-3c0d-4d0e-b120-cd814ff11504', 'en'),
(86, 86, 'mt_collapsible_block', '2d618db5-2ef3-4607-b59e-6c41f4dae031', 'en'),
(87, 87, 'basic', '33c8086b-30a4-4b72-b741-df3e1ce3594d', 'en'),
(88, 88, 'basic', '165f7847-15c7-4a04-9acf-8765861ca9a1', 'en'),
(89, 89, 'basic', '4f4b24e9-dc8d-4886-80d4-f88a6951c2e1', 'en'),
(90, 90, 'mt_background_image_block', '2097ae93-a297-410b-acc6-d59748d40e90', 'en'),
(91, 91, 'basic', 'a6c786ea-831a-4420-bbdc-4257c37aacd4', 'en'),
(92, 92, 'mt_typing_animation_block', '24e5856d-18c2-4676-bdd8-d4864a4bef39', 'en'),
(93, 93, 'mt_timeline_block', 'd9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a', 'en'),
(94, 94, 'mt_tabs_block', '66f70a0f-8643-4142-9e65-18b27e2e59d4', 'en'),
(95, 95, 'basic', '777da137-efb6-4b98-a65c-1efdb5ebd6ec', 'en'),
(96, 96, 'mt_if_block', '64c7c159-c508-4191-b661-05ea9107cdd5', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_field_data`
--

CREATE TABLE `block_content_field_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `info` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `reusable` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `block_content_field__type__target_id` (`type`),
  KEY `block_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `block_content__revision_id` (`revision_id`),
  KEY `block_content__status_type` (`status`,`type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for block_content entities.';

--
-- Dumping data for table `block_content_field_data`
--

INSERT INTO `block_content_field_data` VALUES
(1, 1, 'mt_tabs_block', 'en', 'Sidebar tabs', 1507899001, 1, 1, 1, 1),
(3, 3, 'basic', 'en', 'Copyright', 1515063628, 1, 1, 1, 1),
(4, 4, 'basic', 'en', 'Social Bookmarks', 1521726119, 1, 1, 1, 1),
(5, 5, 'basic', 'en', 'Block with image', 1513857350, 1, 1, 1, 1),
(8, 8, 'basic', 'en', 'Contact Info', 1517317155, 1, 1, 1, 1),
(9, 9, 'basic', 'en', 'Generic Block', 1517316067, 1, 1, 1, 1),
(10, 10, 'basic', 'en', 'Info text', 1468598234, 1, 1, 1, 1),
(12, 12, 'basic', 'en', 'Credit Cards', 1516970686, 1, 1, 1, 1),
(13, 13, 'basic', 'en', 'Sign Up For Text Alerts', 1471889296, 1, 1, 1, 1),
(14, 14, 'basic', 'en', 'Subscribe', 1521546385, 1, 1, 1, 1),
(15, 15, 'mt_fancy_tabs_block', 'en', 'Front Page tabs', 1507898731, 1, 1, 1, 1),
(16, 16, 'basic', 'en', 'Popular Sales (Static)', 1517312803, 1, 1, 1, 1),
(17, 17, 'basic', 'en', 'Icons (subfooter)', 1513857459, 1, 1, 1, 1),
(18, 18, 'basic', 'en', 'Social Media', 1513857485, 1, 1, 1, 1),
(19, 19, 'basic', 'en', 'Connect with us via social media', 1516970395, 1, 1, 1, 1),
(20, 20, 'basic', 'en', 'Contact Info (header top)', 1507900159, 1, 1, 1, 1),
(21, 21, 'basic', 'en', 'Fancy block', 1513857520, 1, 1, 1, 1),
(24, 24, 'mt_fancy_linked_images_block', 'en', 'Fancy linked images', 1519147352, 1, 1, 1, 1),
(25, 25, 'basic', 'en', 'Contact Details', 1517326979, 1, 1, 1, 1),
(28, 28, 'basic', 'en', 'Announcement', 1480512027, 1, 1, 1, 1),
(29, 29, 'basic', 'en', 'Footer custom site branding', 1517327104, 1, 1, 1, 1),
(30, 30, 'basic', 'en', 'Products Layout Switcher (Grid active)', 1520532718, 1, 1, 1, 1),
(31, 31, 'basic', 'en', 'Products Layout Switcher (List Active)', 1522342405, 1, 1, 1, 1),
(34, 34, 'basic', 'en', 'Text blocks', 1516873815, 1, 1, 1, 1),
(35, 35, 'mt_google_maps', 'en', 'Google map - Banner', 1496415685, 1, 1, 1, 1),
(38, 38, 'basic', 'en', 'Buy a ticket', 1515089034, 1, 1, 1, 1),
(39, 39, 'basic', 'en', 'Call to action', 1516965867, 1, 1, 1, 1),
(40, 40, 'mt_nodes_slideshow_block', 'en', 'See a full list of the services we can provide', 1478279261, 1, 1, 1, 1),
(41, 41, 'basic', 'en', 'Highlights', 1506086173, 1, 1, 1, 1),
(42, 42, 'basic', 'en', 'Our Newsletter', 1517327179, 1, 1, 1, 1),
(43, 43, 'basic', 'en', 'Contact Info (footer top)', 1517327215, 1, 1, 1, 1),
(44, 44, 'mt_media_tabs_block', 'en', 'Media Tab', 1506082869, 1, 1, 1, 1),
(45, 45, 'mt_fltt_block', 'en', 'Why Me?', 1512750083, 1, 1, 1, 1),
(46, 46, 'basic', 'en', 'Contact Info (Header)', 1516988856, 1, 1, 1, 1),
(47, 47, 'basic', 'en', 'Contact Info (Slideout)', 1516988997, 1, 1, 1, 1),
(48, 48, 'mt_main_slideshow_block', 'en', 'Slideshow Fullwidth', 1518434763, 1, 1, 1, 1),
(49, 49, 'mt_video_gallery_block', 'en', 'Video Gallery block', 1480423979, 1, 1, 1, 1),
(50, 50, 'basic', 'en', 'Interested in investing with us?', 1520857908, 1, 1, 1, 1),
(51, 51, 'basic', 'en', 'About me', 1517312356, 1, 1, 1, 1),
(52, 52, 'mt_background_image_block', 'en', 'Background image block - CtA', 1515080435, 1, 1, 1, 1),
(53, 53, 'basic', 'en', 'Still have questions?', 1520358592, 1, 1, 1, 1),
(54, 54, 'mt_background_image_block', 'en', 'Call to action 2', 1506069390, 1, 1, 1, 1),
(55, 55, 'basic', 'en', 'Are you looking for a great service?', 1517327370, 1, 1, 1, 1),
(57, 57, 'basic', 'en', 'My Story', 1506010905, 1, 1, 1, 1),
(58, 58, 'mt_background_image_block', 'en', 'Background image block - Clients', 1507900765, 1, 1, 1, 1),
(59, 59, 'mt_dropdowns_block', 'en', 'Header Dropdowns', 1519233059, 1, 1, 1, 1),
(73, 73, 'basic', 'en', 'Language Switcher', 1486117885, 1, 1, 1, 1),
(74, 74, 'basic', 'en', 'Social Links', 1486483362, 1, 1, 1, 1),
(75, 75, 'basic', 'en', 'Footer bottom custom site branding', 1516362384, 1, 1, 1, 1),
(76, 76, 'basic', 'en', 'Social Bookmarks (Footer top)', 1517327458, 1, 1, 1, 1),
(77, 77, 'mt_if_block', 'en', 'Unique Features', 1520414449, 1, 1, 1, 1),
(78, 78, 'mt_background_video_block', 'en', 'Video background block', 1498729912, 1, 1, 1, 1),
(79, 79, 'basic', 'en', 'Features (front page)', 1517312523, 1, 1, 1, 1),
(80, 80, 'basic', 'en', 'Highlights (front page)', 1517327540, 1, 1, 1, 1),
(82, 82, 'basic', 'en', 'Custom site branding', 1513858309, 1, 1, 1, 1),
(83, 83, 'basic', 'en', 'Contact info (footer)', 1516969020, 1, 1, 1, 1),
(84, 84, 'basic', 'en', 'About (footer)', 1518523239, 1, 1, 1, 1),
(85, 85, 'basic', 'en', 'Header Top CtA buttons', 1520419294, 1, 1, 1, 1),
(86, 86, 'mt_collapsible_block', 'en', 'Collapsible block', 1520266463, 1, 1, 1, 1),
(87, 87, 'basic', 'en', 'Contact the conference secretariat', 1517327585, 1, 1, 1, 1),
(88, 88, 'basic', 'en', 'Venue Address', 1517309068, 1, 1, 1, 1),
(89, 89, 'basic', 'en', 'Registration Hours', 1517309122, 1, 1, 1, 1),
(90, 90, 'mt_background_image_block', 'en', 'Background image block - Albums (carousel)', 1522340217, 1, 1, 1, 1),
(91, 91, 'basic', 'en', 'Registration location in the venue', 1517309089, 1, 1, 1, 1),
(92, 92, 'mt_typing_animation_block', 'en', 'Typing Animation', 1520265663, 1, 1, 1, 1),
(93, 93, 'mt_timeline_block', 'en', 'Timeline', 1518683991, 1, 1, 1, 1),
(94, 94, 'mt_tabs_block', 'en', 'Presentation Tabs', 1519988533, 1, 1, 1, 1),
(95, 95, 'basic', 'en', 'Payment methods', 1521563833, 1, 1, 1, 1),
(96, 96, 'mt_if_block', 'en', 'Benefits', 1521738080, 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_field_revision`
--

CREATE TABLE `block_content_field_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `info` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `block_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision data table for block_content entities.';

--
-- Dumping data for table `block_content_field_revision`
--

INSERT INTO `block_content_field_revision` VALUES
(1, 1, 'en', 'Sidebar tabs', 1507899001, 1, 1, 1),
(3, 3, 'en', 'Copyright', 1515063628, 1, 1, 1),
(4, 4, 'en', 'Social Bookmarks', 1521726119, 1, 1, 1),
(5, 5, 'en', 'Block with image', 1513857350, 1, 1, 1),
(8, 8, 'en', 'Contact Info', 1517317155, 1, 1, 1),
(9, 9, 'en', 'Generic Block', 1517316067, 1, 1, 1),
(10, 10, 'en', 'Info text', 1468598234, 1, 1, 1),
(12, 12, 'en', 'Credit Cards', 1516970686, 1, 1, 1),
(13, 13, 'en', 'Sign Up For Text Alerts', 1471889296, 1, 1, 1),
(14, 14, 'en', 'Subscribe', 1521546385, 1, 1, 1),
(15, 15, 'en', 'Front Page tabs', 1507898731, 1, 1, 1),
(16, 16, 'en', 'Popular Sales (Static)', 1517312803, 1, 1, 1),
(17, 17, 'en', 'Icons (subfooter)', 1513857459, 1, 1, 1),
(18, 18, 'en', 'Social Media', 1513857485, 1, 1, 1),
(19, 19, 'en', 'Connect with us via social media', 1516970395, 1, 1, 1),
(20, 20, 'en', 'Contact Info (header top)', 1507900159, 1, 1, 1),
(21, 21, 'en', 'Fancy block', 1513857520, 1, 1, 1),
(24, 24, 'en', 'Fancy linked images', 1519147352, 1, 1, 1),
(25, 25, 'en', 'Contact Details', 1517326979, 1, 1, 1),
(28, 28, 'en', 'Announcement', 1480512027, 1, 1, 1),
(29, 29, 'en', 'Footer custom site branding', 1517327104, 1, 1, 1),
(30, 30, 'en', 'Products Layout Switcher (Grid active)', 1520532718, 1, 1, 1),
(31, 31, 'en', 'Products Layout Switcher (List Active)', 1522342405, 1, 1, 1),
(34, 34, 'en', 'Text blocks', 1516873815, 1, 1, 1),
(35, 35, 'en', 'Google map - Banner', 1496415685, 1, 1, 1),
(38, 38, 'en', 'Buy a ticket', 1515089034, 1, 1, 1),
(39, 39, 'en', 'Call to action', 1516965867, 1, 1, 1),
(40, 40, 'en', 'See a full list of the services we can provide', 1478279261, 1, 1, 1),
(41, 41, 'en', 'Highlights', 1506086173, 1, 1, 1),
(42, 42, 'en', 'Our Newsletter', 1517327179, 1, 1, 1),
(43, 43, 'en', 'Contact Info (footer top)', 1517327215, 1, 1, 1),
(44, 44, 'en', 'Media Tab', 1506082869, 1, 1, 1),
(45, 45, 'en', 'Why Me?', 1512750083, 1, 1, 1),
(46, 46, 'en', 'Contact Info (Header)', 1516988856, 1, 1, 1),
(47, 47, 'en', 'Contact Info (Slideout)', 1516988997, 1, 1, 1),
(48, 48, 'en', 'Slideshow Fullwidth', 1518434763, 1, 1, 1),
(49, 49, 'en', 'Video Gallery block', 1480423979, 1, 1, 1),
(50, 50, 'en', 'Interested in investing with us?', 1520857908, 1, 1, 1),
(51, 51, 'en', 'About me', 1517312356, 1, 1, 1),
(52, 52, 'en', 'Background image block - CtA', 1515080435, 1, 1, 1),
(53, 53, 'en', 'Still have questions?', 1520358592, 1, 1, 1),
(54, 54, 'en', 'Call to action 2', 1506069390, 1, 1, 1),
(55, 55, 'en', 'Are you looking for a great service?', 1517327370, 1, 1, 1),
(57, 57, 'en', 'My Story', 1506010905, 1, 1, 1),
(58, 58, 'en', 'Background image block - Clients', 1507900765, 1, 1, 1),
(59, 59, 'en', 'Header Dropdowns', 1519233059, 1, 1, 1),
(73, 73, 'en', 'Language Switcher', 1486117885, 1, 1, 1),
(74, 74, 'en', 'Social Links', 1486483362, 1, 1, 1),
(75, 75, 'en', 'Footer bottom custom site branding', 1516362384, 1, 1, 1),
(76, 76, 'en', 'Social Bookmarks (Footer top)', 1517327458, 1, 1, 1),
(77, 77, 'en', 'Unique Features', 1520414449, 1, 1, 1),
(78, 78, 'en', 'Video background block', 1498729912, 1, 1, 1),
(79, 79, 'en', 'Features (front page)', 1517312523, 1, 1, 1),
(80, 80, 'en', 'Highlights (front page)', 1517327540, 1, 1, 1),
(82, 82, 'en', 'Custom site branding', 1513858309, 1, 1, 1),
(83, 83, 'en', 'Contact info (footer)', 1516969020, 1, 1, 1),
(84, 84, 'en', 'About (footer)', 1518523239, 1, 1, 1),
(85, 85, 'en', 'Header Top CtA buttons', 1520419294, 1, 1, 1),
(86, 86, 'en', 'Collapsible block', 1520266463, 1, 1, 1),
(87, 87, 'en', 'Contact the conference secretariat', 1517327585, 1, 1, 1),
(88, 88, 'en', 'Venue Address', 1517309068, 1, 1, 1),
(89, 89, 'en', 'Registration Hours', 1517309122, 1, 1, 1),
(90, 90, 'en', 'Background image block - Albums (carousel)', 1522340217, 1, 1, 1),
(91, 91, 'en', 'Registration location in the venue', 1517309089, 1, 1, 1),
(92, 92, 'en', 'Typing Animation', 1520265663, 1, 1, 1),
(93, 93, 'en', 'Timeline', 1518683991, 1, 1, 1),
(94, 94, 'en', 'Presentation Tabs', 1519988533, 1, 1, 1),
(95, 95, 'en', 'Payment methods', 1521563833, 1, 1, 1),
(96, 96, 'en', 'Benefits', 1521738080, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision`
--

CREATE TABLE `block_content_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `revision_log` longtext DEFAULT NULL,
  `revision_created` int(11) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `block_content_field__revision_user__target_id` (`revision_user`),
  KEY `block_content__id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision table for block_content entities.';

--
-- Dumping data for table `block_content_revision`
--

INSERT INTO `block_content_revision` VALUES
(1, 1, 'en', NULL, NULL, NULL, 1),
(3, 3, 'en', NULL, NULL, NULL, 1),
(4, 4, 'en', NULL, NULL, NULL, 1),
(5, 5, 'en', NULL, NULL, NULL, 1),
(8, 8, 'en', NULL, NULL, NULL, 1),
(9, 9, 'en', NULL, NULL, NULL, 1),
(10, 10, 'en', NULL, NULL, NULL, 1),
(12, 12, 'en', NULL, NULL, NULL, 1),
(13, 13, 'en', NULL, NULL, NULL, 1),
(14, 14, 'en', NULL, NULL, NULL, 1),
(15, 15, 'en', NULL, NULL, NULL, 1),
(16, 16, 'en', NULL, NULL, NULL, 1),
(17, 17, 'en', NULL, NULL, NULL, 1),
(18, 18, 'en', NULL, NULL, NULL, 1),
(19, 19, 'en', NULL, NULL, NULL, 1),
(20, 20, 'en', NULL, NULL, NULL, 1),
(21, 21, 'en', NULL, NULL, NULL, 1),
(24, 24, 'en', NULL, NULL, NULL, 1),
(25, 25, 'en', NULL, NULL, NULL, 1),
(28, 28, 'en', NULL, NULL, NULL, 1),
(29, 29, 'en', NULL, NULL, NULL, 1),
(30, 30, 'en', NULL, NULL, NULL, 1),
(31, 31, 'en', NULL, NULL, NULL, 1),
(34, 34, 'en', NULL, 1475695702, 1, 1),
(35, 35, 'en', NULL, 1476896345, 1, 1),
(38, 38, 'en', NULL, 1478174564, 1, 1),
(39, 39, 'en', NULL, 1478179650, 1, 1),
(40, 40, 'en', NULL, 1478204410, 1, 1),
(41, 41, 'en', NULL, 1478244577, 1, 1),
(42, 42, 'en', NULL, 1478265982, 1, 1),
(43, 43, 'en', NULL, 1478272604, 1, 1),
(44, 44, 'en', NULL, 1478622671, 1, 1),
(45, 45, 'en', NULL, 1479316482, 1, 1),
(46, 46, 'en', NULL, 1479732353, 1, 1),
(47, 47, 'en', NULL, 1479749981, 1, 1),
(48, 48, 'en', NULL, 1479923268, 1, 1),
(49, 49, 'en', NULL, 1480420339, 1, 1),
(50, 50, 'en', NULL, 1480592538, 1, 1),
(51, 51, 'en', NULL, 1484653861, 1, 1),
(52, 52, 'en', NULL, 1484733033, 1, 1),
(53, 53, 'en', NULL, 1484900773, 1, 1),
(54, 54, 'en', NULL, 1484901066, 1, 1),
(55, 55, 'en', NULL, 1485360717, 1, 1),
(57, 57, 'en', NULL, 1485448921, 1, 1),
(58, 58, 'en', NULL, 1485544173, 1, 1),
(59, 59, 'en', NULL, 1485777533, 1, 1),
(73, 73, 'en', NULL, 1486116779, 1, 1),
(74, 74, 'en', NULL, 1486470868, 1, 1),
(75, 75, 'en', NULL, 1486475715, 1, 1),
(76, 76, 'en', NULL, 1497350232, NULL, 1),
(77, 77, 'en', NULL, 1498040780, NULL, 1),
(78, 78, 'en', NULL, 1498660588, NULL, 1),
(79, 79, 'en', NULL, 1506524211, NULL, 1),
(80, 80, 'en', NULL, 1506531400, NULL, 1),
(82, 82, 'en', NULL, 1507622832, NULL, 1),
(83, 83, 'en', NULL, 1508930223, NULL, 1),
(84, 84, 'en', NULL, 1509453602, NULL, 1),
(85, 85, 'en', NULL, 1509540324, NULL, 1),
(86, 86, 'en', NULL, 1509647852, NULL, 1),
(87, 87, 'en', NULL, 1512742658, NULL, 1),
(88, 88, 'en', NULL, 1512742799, NULL, 1),
(89, 89, 'en', NULL, 1512743093, NULL, 1),
(90, 90, 'en', NULL, 1515084401, NULL, 1),
(91, 91, 'en', NULL, 1516192294, NULL, 1),
(92, 92, 'en', NULL, 1518191285, NULL, 1),
(93, 93, 'en', NULL, 1518447646, NULL, 1),
(94, 94, 'en', NULL, 1519988516, NULL, 1),
(95, 95, 'en', NULL, 1521563640, NULL, 1),
(96, 96, 'en', NULL, 1521738021, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__body`
--

CREATE TABLE `block_content_revision__body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field body.';

--
-- Dumping data for table `block_content_revision__body`
--

INSERT INTO `block_content_revision__body` VALUES
('basic', 0, 3, 3, 'en', 0, '<div class="text-center text-lg-left">Copyright © 2018 Conference+. All rights reserved.</div>', '', 'raw_html'),
('basic', 0, 4, 4, 'en', 0, '<ul class="icons-list icons-list--bordered icons-list--no-margin p-0 text-center text-md-right d-md-block d-none">\r\n  <li><a class="background-color-inverted-facebook" href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a></li>\r\n  <li><a class="background-color-inverted-twitter" href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a></li>\r\n  <li><a class="background-color-inverted-linkedin" href="#"><i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i></a></li>\r\n  <li><a class="background-color-inverted-youtube" href="#"><i class="fab fa-youtube"><span class="sr-only">youtube</span></i></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 5, 5, 'en', 0, '<div class="overlay-container"><img alt="sidebar image" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/block-img.jpg" /></div>\r\n\r\n<h3><a href="#">Sidebar block with image</a></h3>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do <a href="#">eiusmod tempor</a> incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<p><a class="link--bordered" href="#">Read more</a></p>\r\n', '', 'full_html'),
('basic', 0, 8, 8, 'en', 0, '<div class="contact-info"><span class="icon"><i class="fa fa-globe"><span class="sr-only">globe</span></i></span>\r\n<h3>Contact info</h3>\r\n\r\n<p class="bottom-spacing-medium">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<ul>\r\n	<li><i class="fas fa-map-marker-alt"><span class="sr-only">map-marker-alt</span></i> 1600 Amphitheatre Parkway,<br />\r\n	Mountain View, CA 94043</li>\r\n	<li><i class="fas fa-phone"><span class="sr-only">phone</span></i> +321 123 456 7<br />\r\n	+012 123 123 12</li>\r\n	<li><i class="fas fa-print"><span class="sr-only">fax</span></i> +321 123 456 8<br />\r\n	+21 123 456 87</li>\r\n	<li><i class="far fa-envelope"><span class="sr-only">envelope</span></i>For general enquiries:<br />\r\n	<a href="mailto:info@conferenceplus.com">info@conferenceplus.com</a><br />\r\n	For sales enquiries:<br />\r\n	<a href="mailto:sales@conferenceplus.com">sales@conferenceplus.com</a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 9, 9, 'en', 0, '<p>Aliquam ullamcorper velit ligula, in aliquet sapien molestie semper. Praesent tellus nisi, porttitor eget ligula vitae, commodo vulputate dui. Donec varius arcu eget risus tincidunt, sed ultrices mi porta. Nulla faucibus sed nisi ac consequat. Cras at lectus arcu.</p>\r\n\r\n<p><a class="link--bordered" href="#">Read more</a></p>\r\n', '', 'full_html'),
('basic', 0, 10, 10, 'en', 0, '<p>Free Shipping Over $50 &amp; Free In-Store Returns</p>\r\n', '', 'basic_html'),
('basic', 0, 12, 12, 'en', 0, '<p>We accept all major credit cards, as well as a number of other ways to pay.</p>\r\n\r\n<ul class="credit-cards">\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-visa fa-w-18" data-fa-processed="" data-icon="cc-visa" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M470.1 231.3s7.6 37.2 9.3 45H446c3.3-8.9 16-43.5 16-43.5-.2.3 3.3-9.1 5.3-14.9l2.8 13.4zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM152.5 331.2L215.7 176h-42.5l-39.3 106-4.3-21.5-14-71.4c-2.3-9.9-9.4-12.7-18.2-13.1H32.7l-.7 3.1c15.8 4 29.9 9.8 42.2 17.1l35.8 135h42.5zm94.4.2L272.1 176h-40.2l-25.1 155.4h40.1zm139.9-50.8c.2-17.7-10.6-31.2-33.7-42.3-14.1-7.1-22.7-11.9-22.7-19.2.2-6.6 7.3-13.4 23.1-13.4 13.1-.3 22.7 2.8 29.9 5.9l3.6 1.7 5.5-33.6c-7.9-3.1-20.5-6.6-36-6.6-39.7 0-67.6 21.2-67.8 51.4-.3 22.3 20 34.7 35.2 42.2 15.5 7.6 20.8 12.6 20.8 19.3-.2 10.4-12.6 15.2-24.1 15.2-16 0-24.6-2.5-37.7-8.3l-5.3-2.5-5.6 34.9c9.4 4.3 26.8 8.1 44.8 8.3 42.2.1 69.7-20.8 70-53zM528 331.4L495.6 176h-31.1c-9.6 0-16.9 2.8-21 12.9l-59.7 142.5H426s6.9-19.2 8.4-23.3H486c1.2 5.5 4.8 23.3 4.8 23.3H528z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-visa"><span class="sr-only">cc-visa</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-mastercard fa-w-18" data-fa-processed="" data-icon="cc-mastercard" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M482.9 410.3c0 6.8-4.6 11.7-11.2 11.7-6.8 0-11.2-5.2-11.2-11.7 0-6.5 4.4-11.7 11.2-11.7 6.6 0 11.2 5.2 11.2 11.7zm-310.8-11.7c-7.1 0-11.2 5.2-11.2 11.7 0 6.5 4.1 11.7 11.2 11.7 6.5 0 10.9-4.9 10.9-11.7-.1-6.5-4.4-11.7-10.9-11.7zm117.5-.3c-5.4 0-8.7 3.5-9.5 8.7h19.1c-.9-5.7-4.4-8.7-9.6-8.7zm107.8.3c-6.8 0-10.9 5.2-10.9 11.7 0 6.5 4.1 11.7 10.9 11.7 6.8 0 11.2-4.9 11.2-11.7 0-6.5-4.4-11.7-11.2-11.7zm105.9 26.1c0 .3.3.5.3 1.1 0 .3-.3.5-.3 1.1-.3.3-.3.5-.5.8-.3.3-.5.5-1.1.5-.3.3-.5.3-1.1.3-.3 0-.5 0-1.1-.3-.3 0-.5-.3-.8-.5-.3-.3-.5-.5-.5-.8-.3-.5-.3-.8-.3-1.1 0-.5 0-.8.3-1.1 0-.5.3-.8.5-1.1.3-.3.5-.3.8-.5.5-.3.8-.3 1.1-.3.5 0 .8 0 1.1.3.5.3.8.3 1.1.5s.2.6.5 1.1zm-2.2 1.4c.5 0 .5-.3.8-.3.3-.3.3-.5.3-.8 0-.3 0-.5-.3-.8-.3 0-.5-.3-1.1-.3h-1.6v3.5h.8V426h.3l1.1 1.4h.8l-1.1-1.3zM576 81v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V81c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM64 220.6c0 76.5 62.1 138.5 138.5 138.5 27.2 0 53.9-8.2 76.5-23.1-72.9-59.3-72.4-171.2 0-230.5-22.6-15-49.3-23.1-76.5-23.1-76.4-.1-138.5 62-138.5 138.2zm224 108.8c70.5-55 70.2-162.2 0-217.5-70.2 55.3-70.5 162.6 0 217.5zm-142.3 76.3c0-8.7-5.7-14.4-14.7-14.7-4.6 0-9.5 1.4-12.8 6.5-2.4-4.1-6.5-6.5-12.2-6.5-3.8 0-7.6 1.4-10.6 5.4V392h-8.2v36.7h8.2c0-18.9-2.5-30.2 9-30.2 10.2 0 8.2 10.2 8.2 30.2h7.9c0-18.3-2.5-30.2 9-30.2 10.2 0 8.2 10 8.2 30.2h8.2v-23zm44.9-13.7h-7.9v4.4c-2.7-3.3-6.5-5.4-11.7-5.4-10.3 0-18.2 8.2-18.2 19.3 0 11.2 7.9 19.3 18.2 19.3 5.2 0 9-1.9 11.7-5.4v4.6h7.9V392zm40.5 25.6c0-15-22.9-8.2-22.9-15.2 0-5.7 11.9-4.8 18.5-1.1l3.3-6.5c-9.4-6.1-30.2-6-30.2 8.2 0 14.3 22.9 8.3 22.9 15 0 6.3-13.5 5.8-20.7.8l-3.5 6.3c11.2 7.6 32.6 6 32.6-7.5zm35.4 9.3l-2.2-6.8c-3.8 2.1-12.2 4.4-12.2-4.1v-16.6h13.1V392h-13.1v-11.2h-8.2V392h-7.6v7.3h7.6V416c0 17.6 17.3 14.4 22.6 10.9zm13.3-13.4h27.5c0-16.2-7.4-22.6-17.4-22.6-10.6 0-18.2 7.9-18.2 19.3 0 20.5 22.6 23.9 33.8 14.2l-3.8-6c-7.8 6.4-19.6 5.8-21.9-4.9zm59.1-21.5c-4.6-2-11.6-1.8-15.2 4.4V392h-8.2v36.7h8.2V408c0-11.6 9.5-10.1 12.8-8.4l2.4-7.6zm10.6 18.3c0-11.4 11.6-15.1 20.7-8.4l3.8-6.5c-11.6-9.1-32.7-4.1-32.7 15 0 19.8 22.4 23.8 32.7 15l-3.8-6.5c-9.2 6.5-20.7 2.6-20.7-8.6zm66.7-18.3H408v4.4c-8.3-11-29.9-4.8-29.9 13.9 0 19.2 22.4 24.7 29.9 13.9v4.6h8.2V392zm33.7 0c-2.4-1.2-11-2.9-15.2 4.4V392h-7.9v36.7h7.9V408c0-11 9-10.3 12.8-8.4l2.4-7.6zm40.3-14.9h-7.9v19.3c-8.2-10.9-29.9-5.1-29.9 13.9 0 19.4 22.5 24.6 29.9 13.9v4.6h7.9v-51.7zm7.6-75.1v4.6h.8V302h1.9v-.8h-4.6v.8h1.9zm6.6 123.8c0-.5 0-1.1-.3-1.6-.3-.3-.5-.8-.8-1.1-.3-.3-.8-.5-1.1-.8-.5 0-1.1-.3-1.6-.3-.3 0-.8.3-1.4.3-.5.3-.8.5-1.1.8-.5.3-.8.8-.8 1.1-.3.5-.3 1.1-.3 1.6 0 .3 0 .8.3 1.4 0 .3.3.8.8 1.1.3.3.5.5 1.1.8.5.3 1.1.3 1.4.3.5 0 1.1 0 1.6-.3.3-.3.8-.5 1.1-.8.3-.3.5-.8.8-1.1.3-.6.3-1.1.3-1.4zm3.2-124.7h-1.4l-1.6 3.5-1.6-3.5h-1.4v5.4h.8v-4.1l1.6 3.5h1.1l1.4-3.5v4.1h1.1v-5.4zm4.4-80.5c0-76.2-62.1-138.3-138.5-138.3-27.2 0-53.9 8.2-76.5 23.1 72.1 59.3 73.2 171.5 0 230.5 22.6 15 49.5 23.1 76.5 23.1 76.4.1 138.5-61.9 138.5-138.4z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-mastercard"><span class="sr-only">cc-mastercard</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-amex fa-w-18" data-fa-processed="" data-icon="cc-amex" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M576 255.4c-37.9-.2-44.2-.9-54.5 5v-5c-45.3 0-53.5-1.7-64.9 5.2v-5.2h-78.2v5.1c-11.4-6.5-21.4-5.1-75.7-5.1v5.6c-6.3-3.7-14.5-5.6-24.3-5.6h-58c-3.5 3.8-12.5 13.7-15.7 17.2-12.7-14.1-10.5-11.6-15.5-17.2h-83.1v92.3h82c3.3-3.5 12.9-13.9 16.1-17.4 12.7 14.3 10.3 11.7 15.4 17.4h48.9c0-14.7.1-8.3.1-23 11.5.2 24.3-.2 34.3-6.2 0 13.9-.1 17.1-.1 29.2h39.6c0-18.5.1-7.4.1-25.3 6.2 0 7.7 0 9.4.1.1 1.3 0 0 0 25.2 152.8 0 145.9 1.1 156.7-4.5v4.5c34.8 0 54.8 2.2 67.5-6.1V432c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V228.3h26.6c4.2-10.1 2.2-5.3 6.4-15.3h19.2c4.2 10 2.2 5.2 6.4 15.3h52.9v-11.4c2.2 5 1.1 2.5 5.1 11.4h29.5c2.4-5.5 2.6-5.8 5.1-11.4v11.4h135.5v-25.1c6.4 0 8-.1 9.8.2 0 0-.2 10.9.1 24.8h66.5v-8.9c7.4 5.9 17.4 8.9 29.7 8.9h26.8c4.2-10.1 2.2-5.3 6.4-15.3h19c6.5 15 .2.5 6.6 15.3h52.8v-21.9c11.8 19.7 7.8 12.9 13.2 21.9h41.6v-92h-39.9v18.4c-12.2-20.2-6.3-10.4-11.2-18.4h-43.3v20.6c-6.2-14.6-4.6-10.8-8.8-20.6h-32.4c-.4 0-2.3.2-2.3-.3h-27.6c-12.8 0-23.1 3.2-30.7 9.3v-9.3h-39.9v5.3c-10.8-6.1-20.7-5.1-64.4-5.3-.1 0-11.6-.1-11.6 0h-103c-2.5 6.1-6.8 16.4-12.6 30-2.8-6-11-23.8-13.9-30h-46V157c-7.4-17.4-4.7-11-9-21.1H22.9c-3.4 7.9-13.7 32-23.1 53.9V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48v175.4zm-186.6-80.6c-.3.2-1.4 2.2-1.4 7.6 0 6 .9 7.7 1.1 7.9.2.1 1.1.5 3.4.5l7.3-16.9c-1.1 0-2.1-.1-3.1-.1-5.6 0-7 .7-7.3 1zm-19.9 130.9c9.2 3.3 11 9.5 11 18.4l-.1 13.8h-16.6l.1-11.5c0-11.8-3.8-13.8-14.8-13.8h-17.6l-.1 25.3h-16.6l.1-69.3h39.4c13 0 27.1 2.3 27.1 18.7-.1 7.6-4.2 15.3-11.9 18.4zm-6.3-15.4c0-6.4-5.6-7.4-10.7-7.4h-21v15.6h20.7c5.6 0 11-1.3 11-8.2zm181.7-7.1H575v-14.6h-32.9c-12.8 0-23.8 6.6-23.8 20.7 0 33 42.7 12.8 42.7 27.4 0 5.1-4.3 6.4-8.4 6.4h-32l-.1 14.8h32c8.4 0 17.6-1.8 22.5-8.9v-25.8c-10.5-13.8-39.3-1.3-39.3-13.5 0-5.8 4.6-6.5 9.2-6.5zm-99.2-.3v-14.3h-55.2l-.1 69.3h55.2l.1-14.3-38.6-.3v-13.8H445v-14.1h-37.8v-12.5h38.5zm42.2 40.1h-32.2l-.1 14.8h32.2c14.8 0 26.2-5.6 26.2-22 0-33.2-42.9-11.2-42.9-26.3 0-5.6 4.9-6.4 9.2-6.4h30.4v-14.6h-33.2c-12.8 0-23.5 6.6-23.5 20.7 0 33 42.7 12.5 42.7 27.4-.1 5.4-4.7 6.4-8.8 6.4zm-78.1-158.7c-17.4-.3-33.2-4.1-33.2 19.7 0 11.8 2.8 19.9 16.1 19.9h7.4l23.5-54.5h24.8l27.9 65.4v-65.4h25.3l29.1 48.1v-48.1h16.9v69H524l-31.2-51.9v51.9h-33.7l-6.6-15.3h-34.3l-6.4 15.3h-19.2c-22.8 0-33-11.8-33-34 0-23.3 10.5-35.3 34-35.3h16.1v15.2zm14.3 24.5h22.8l-11.2-27.6-11.6 27.6zm-72.6-39.6h-16.9v69.3h16.9v-69.3zm-38.1 37.3c9.5 3.3 11 9.2 11 18.4v13.5h-16.6c-.3-14.8 3.6-25.1-14.8-25.1h-18v25.1h-16.4v-69.3l39.1.3c13.3 0 27.4 2 27.4 18.4.1 8-4.3 15.7-11.7 18.7zm-6.7-15.3c0-6.4-5.6-7.4-10.7-7.4h-21v15.3h20.7c5.7 0 11-1.3 11-7.9zm-59.5-7.4v-14.6h-55.5v69.3h55.5v-14.3h-38.9v-13.8h37.8v-14.1h-37.8v-12.5h38.9zm-84.6 54.7v-54.2l-24 54.2H124l-24-54.2v54.2H66.2l-6.4-15.3H25.3l-6.4 15.3H1l29.7-69.3h24.5l28.1 65.7v-65.7h27.1l21.7 47 19.7-47h27.6v69.3h-16.8zM53.9 188.8l-11.5-27.6-11.2 27.6h22.7zm253 102.5c0 27.9-30.4 23.3-49.3 23.3l-.1 23.3h-32.2l-20.4-23-21.3 23h-65.4l.1-69.3h66.5l20.5 22.8 21-22.8H279c15.6 0 27.9 5.4 27.9 22.7zm-112.7 11.8l-17.9-20.2h-41.7v12.5h36.3v14.1h-36.3v13.8h40.6l19-20.2zM241 276l-25.3 27.4 25.3 28.1V276zm48.3 15.3c0-6.1-4.6-8.4-10.2-8.4h-21.5v17.6h21.2c5.9 0 10.5-2.8 10.5-9.2z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-amex"><span class="sr-only">cc-amex</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-paypal fa-w-18" data-fa-processed="" data-icon="cc-paypal" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M186.3 258.2c0 12.2-9.7 21.5-22 21.5-9.2 0-16-5.2-16-15 0-12.2 9.5-22 21.7-22 9.3 0 16.3 5.7 16.3 15.5zM80.5 209.7h-4.7c-1.5 0-3 1-3.2 2.7l-4.3 26.7 8.2-.3c11 0 19.5-1.5 21.5-14.2 2.3-13.4-6.2-14.9-17.5-14.9zm284 0H360c-1.8 0-3 1-3.2 2.7l-4.2 26.7 8-.3c13 0 22-3 22-18-.1-10.6-9.6-11.1-18.1-11.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM128.3 215.4c0-21-16.2-28-34.7-28h-40c-2.5 0-5 2-5.2 4.7L32 294.2c-.3 2 1.2 4 3.2 4h19c2.7 0 5.2-2.9 5.5-5.7l4.5-26.6c1-7.2 13.2-4.7 18-4.7 28.6 0 46.1-17 46.1-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.2 8.2-5.8-8.5-14.2-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9 0 20.2-4.9 26.5-11.9-.5 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H200c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm40.5 97.9l63.7-92.6c.5-.5.5-1 .5-1.7 0-1.7-1.5-3.5-3.2-3.5h-19.2c-1.7 0-3.5 1-4.5 2.5l-26.5 39-11-37.5c-.8-2.2-3-4-5.5-4h-18.7c-1.7 0-3.2 1.8-3.2 3.5 0 1.2 19.5 56.8 21.2 62.1-2.7 3.8-20.5 28.6-20.5 31.6 0 1.8 1.5 3.2 3.2 3.2h19.2c1.8-.1 3.5-1.1 4.5-2.6zm159.3-106.7c0-21-16.2-28-34.7-28h-39.7c-2.7 0-5.2 2-5.5 4.7l-16.2 102c-.2 2 1.3 4 3.2 4h20.5c2 0 3.5-1.5 4-3.2l4.5-29c1-7.2 13.2-4.7 18-4.7 28.4 0 45.9-17 45.9-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.3 8.2-5.5-8.5-14-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9.3 0 20.5-4.9 26.5-11.9-.3 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H484c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm47.5-33.3c0-2-1.5-3.5-3.2-3.5h-18.5c-1.5 0-3 1.2-3.2 2.7l-16.2 104-.3.5c0 1.8 1.5 3.5 3.5 3.5h16.5c2.5 0 5-2.9 5.2-5.7L544 191.2v-.3zm-90 51.8c-12.2 0-21.7 9.7-21.7 22 0 9.7 7 15 16.2 15 12 0 21.7-9.2 21.7-21.5.1-9.8-6.9-15.5-16.2-15.5z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-paypal"><span class="sr-only">cc-paypal</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-stripe fa-w-18" data-fa-processed="" data-icon="cc-stripe" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M396.9 256.5c0 19.1-8.8 33.4-21.9 33.4-8.3 0-13.3-3-16.8-6.7l-.2-52.8c3.7-4.1 8.8-7 17-7 12.9-.1 21.9 14.5 21.9 33.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM122.2 281.1c0-42.3-54.3-34.7-54.3-50.7 0-5.5 4.6-7.7 12.1-7.7 10.8 0 24.5 3.3 35.3 9.1v-33.4c-11.8-4.7-23.5-6.5-35.3-6.5-28.8 0-48 15-48 40.2 0 39.3 54 32.9 54 49.9 0 6.6-5.7 8.7-13.6 8.7-11.8 0-26.9-4.9-38.9-11.3v33.9c13.2 5.7 26.6 8.1 38.8 8.1 29.6-.2 49.9-14.7 49.9-40.3zm68.9-86.9h-27v-30.8l-34.7 7.4-.2 113.9c0 21 15.8 36.5 36.9 36.5 11.6 0 20.2-2.1 24.9-4.7v-28.9c-4.5 1.8-27 8.3-27-12.6v-50.5h27v-30.3zm73.8 0c-4.7-1.7-21.3-4.8-29.6 10.5l-2.2-10.5h-30.7v124.5h35.5v-84.4c8.4-11 22.6-8.9 27.1-7.4v-32.7zm44.2 0h-35.7v124.5h35.7V194.2zm0-47.3l-35.7 7.6v28.9l35.7-7.6v-28.9zm122.7 108.8c0-41.3-23.5-63.8-48.4-63.8-13.9 0-22.9 6.6-27.8 11.1l-1.8-8.8h-31.3V360l35.5-7.5.1-40.2c5.1 3.7 12.7 9 25.1 9 25.4-.1 48.6-20.5 48.6-65.6zm112.2 1.2c0-36.4-17.6-65.1-51.3-65.1-33.8 0-54.3 28.7-54.3 64.9 0 42.8 24.2 64.5 58.8 64.5 17 0 29.7-3.9 39.4-9.2v-28.6c-9.7 4.9-20.8 7.9-34.9 7.9-13.8 0-26-4.9-27.6-21.5h69.5c.1-2 .4-9.4.4-12.9zm-51.6-36.1c-8.9 0-18.7 6.7-18.7 22.7h36.7c0-16-9.3-22.7-18-22.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-stripe"><span class="sr-only">cc-stripe</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-discover fa-w-18" data-fa-processed="" data-icon="cc-discover" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M83 212.1c0 7.9-3.2 15.5-8.9 20.7-4.9 4.4-11.6 6.4-21.9 6.4H48V185h4.2c10.3 0 16.7 1.7 21.9 6.6 5.7 5 8.9 12.6 8.9 20.5zM504.8 184h-4.9v24.9h4.7c10.3 0 15.8-4.4 15.8-12.8 0-7.9-5.5-12.1-15.6-12.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM428 253h45.3v-13.8H444V217h28.3v-13.8H444V185h29.3v-14H428v82zm-86.2-82l35 84.2h8.6l35.5-84.2h-17.5l-22.2 55.2-21.9-55.2h-17.5zm-83 41.6c0 24.6 19.9 44.6 44.6 44.6 24.6 0 44.6-19.9 44.6-44.6 0-24.6-19.9-44.6-44.6-44.6-24.6 0-44.6 19.9-44.6 44.6zm-68-.5c0 32.5 33.6 52.5 63.3 38.2v-19c-19.3 19.3-46.8 5.8-46.8-19.2 0-23.7 26.7-39.1 46.8-19v-19c-30.2-15-63.3 6.8-63.3 38zm-33.9 28.3c-7.6 0-13.8-3.7-17.5-10.8l-10.3 9.9c17.8 26.1 56.6 18.2 56.6-11.3 0-13.1-5.4-19-23.6-25.6-9.6-3.4-12.3-5.9-12.3-10.3 0-8.7 14.5-14.1 24.9-2.5l8.4-10.8c-19.1-17.1-49.7-8.9-49.7 14.3 0 11.3 5.2 17.2 20.2 22.7 25.7 9.1 14.7 24.4 3.3 24.4zm-57.4-28.3c0-24.1-18-41.1-44.1-41.1H32v82h23.4c30.9 0 44.1-22.4 44.1-40.9zm23.4-41.1h-16v82h16v-82zM544 288c-33.3 20.8-226.4 124.4-416 160h401c8.2 0 15-6.8 15-15V288zm0-35l-25.9-34.5c12.1-2.5 18.7-10.6 18.7-23.2 0-28.5-30.3-24.4-52.9-24.4v82h16v-32.8h2.2l22.2 32.8H544z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-discover"><span class="sr-only">cc-discover</span></i> --></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 13, 13, 'en', 0, '<p class="more-link"><a href="#">Get text alerts</a></p>\r\n', '', 'full_html'),
('basic', 0, 14, 14, 'en', 0, '<div class="row align-items-center">\r\n<div class="col-12 col-xl-3 mb-3 mb-xl-0 text-xl-left text-center">\r\n<p class="subscribe-form-text">Join our mailing list to keep up to date on future events.</p>\r\n</div>\r\n\r\n<div class="col-12 col-xl-9">\r\n<form action="#" class="subscribe-form" data-drupal-form-fields="subscribe-submit">\r\n<div class="form-row">\r\n<div class="form-group col-12 col-sm-8 col-lg-9 mb-3 mb-sm-0">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="email" placeholder="Email" type="email" /></div>\r\n</div>\r\n\r\n<div class="form-actions col-12 col-sm-4 col-lg-3"><input class="form-submit w-100" id="subscribe-submit" name="subscribe-submit" type="submit" value="Subscribe" /></div>\r\n</div>\r\n</form>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 16, 16, 'en', 0, '<div class="static-promoted-images-grid">\r\n  <div class="row">\r\n    <div class="col-md-3">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/23"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/23"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-1.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/22"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/22"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-2.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-5">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/21"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/21"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-3.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="clearfix"></div>\r\n    <div class="col-md-9">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/20"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/20"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-4.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-3">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/19"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/19"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-5.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 17, 17, 'en', 0, '<ul class="icons-list icons-list--extra-large text-center">\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-left-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-middle-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-right-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n</ul>', '', 'raw_html'),
('basic', 0, 18, 18, 'en', 0, '<div class="social-media">\r\n  <div class="row grid-gutter-0">\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">OUR BLOG</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-1.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">INSTAGRAM</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-2.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">YOUTUBE</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-3.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">FACEBOOK</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-4.jpg" alt="">\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 19, 19, 'en', 0, '<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\r\n	<li><a class="background-color-facebook" href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a class="background-color-twitter" href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a class="background-color-youtube" href="http://www.youtube.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-youtube fa-w-18" data-fa-processed="" data-icon="youtube" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z" fill="currentColor"></path></svg><!-- <i class="fab fa-youtube"><span class="sr-only">youtube</span></i> --></a></li>\r\n	<li><a class="background-color-linkedin" href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 20, 20, 'en', 0, '<div class="company-info"><p><small>Have any questions? Contact us at +1-800-corporate or <a href="mailto:info@conferenceplus.com">info@conferenceplus.com</a></small></p></div>', '', 'raw_html'),
('basic', 0, 21, 21, 'en', 0, '<div class="fancy-block-container">\r\n<div class="fancy-block fancy-block-text fancy-top-left col-md-7 col-lg-6 fade" data-animate-effect="fadeInLeft">\r\n<h3>FAST DELIVERY</h3>\r\n<div class="separator"></div>\r\n<p>We provide you with fast &amp; delivery <br>regardless of the product size and value.</p>\r\n<p>Your order will be delivered surely!</p>\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-top-right col-md-3 fade" data-animate-effect="fadeInRight">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-2.jpg" alt="">\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-bottom-left col-xl-5 col-md-6 fade" data-animate-effect="fadeInLeft">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-3.jpg" alt="">\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-top-middle col-md-5 fade" data-animate-effect="fadeInDown">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-1.jpg" alt="">\r\n</div>\r\n<div class="clearfix d-block d-md-none"></div>\r\n<div class="fancy-block fancy-block-text fancy-bottom-right col-md-7 col-lg-5 fade" data-animate-effect="fadeInRight">\r\n<h3>100% MONEY BACK GUARANTEED</h3>\r\n<div class="separator"></div>\r\n<p>Within 60 days of payment we offer 100% money back guaranteed.</p>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 25, 25, 'en', 0, '<h2 class="block-title">Contact Details</h2>\r\n\r\n<p>Email us with any <strong>questions or inquiries</strong> or use our contact data. We would be happy to answer your questions.</p>\r\n\r\n<ul class="contact-info">\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-map-marker fa-w-12" data-fa-processed="" data-icon="map-marker" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker"><span class="sr-only">map-marker</span></i> -->1673 Nutters Barn Lane Des Moines, IA 503043</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone"><span class="sr-only">phone</span></i> --> Ph: (012) 345 - 6789<br />\r\n	Fa: 555 - 674 5534</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope"><span class="sr-only">envelope</span></i> --> conferenceplus@contact.com<br />\r\n	conferenceplus@sales.com</li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 28, 28, 'en', 0, '<div class="alert alert-dismissible" role="alert">\r\n  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>\r\n  This site uses cookies. By continuing to browse the site, you are agreeing to our use of cookies. <a href="#" class="link--bordered">Find out more</a>.\r\n</div>\r\n\r\n\r\n', '', 'raw_html'),
('basic', 0, 29, 29, 'en', 0, '<div class="logo-and-site-name-wrapper clearfix">\r\n  <div class="logo">\r\n    <a href="#" title="Home" rel="home" class="site-branding__logo">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-bright.svg" alt="Home">\r\n    </a>\r\n  </div>\r\n  <div class="site-name site-branding__name">\r\n    <a href="#" title="Home" rel="home">Conference+</a>\r\n  </div>\r\n  <div class="site-slogan site-branding__slogan">A DRUPAL 8 THEME FOR CORPORATE SITES</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 30, 30, 'en', 0, '<div class="layout-switcher">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item active"><a href="merchandise-3-col" title="Grid Layout"><i class="fas fa-th fa-sm"><span class="sr-only">th</span></i></a></li>\r\n	<li class="inline-list__item"><a href="merchandise-list" title="List Layout"><i class="fas fa-list fa-sm"><span class="sr-only">list</span></i></a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 31, 31, 'en', 0, '<div class="layout-switcher">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item"><a href="merchandise-2-col" title="Grid Layout"><i class="fas fa-th"><span class="sr-only">th</span></i></a></li>\r\n	<li class="inline-list__item active"><a href="merchandise-list" title="List Layout"><i class="fas fa-list"><span class="sr-only">list</span></i></a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 34, 34, 'en', 0, '<div class="mt-text-blocks">\r\n<div class="row">\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>FAST DELIVERY</h4>\r\n<div class="separator"></div>\r\n<p>We provide you with fast &amp; delivery regardless of the product size and value.</p>\r\n</div>\r\n</div>\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>PRICE COMPARISON</h4>\r\n<div class="separator"></div>\r\n<p>The advanced innovation of search engine allows you to easily check prices and compare with just a few clicks.</p>\r\n</div>\r\n</div>\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>100% MONEY BACK</h4>\r\n<div class="separator"></div>\r\n<p>Within 60 days of payment we offer 100% money back guaranteed.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 38, 38, 'en', 0, '<h4 class="text-center mt-5 mb-4">Aren’t you convinced yet? You should come.</h4>\r\n<p class="text-center"><a class="button button--hover-style-2" href="#">Buy a Ticket</a></p>\r\n', '', 'raw_html'),
('basic', 0, 39, 39, 'en', 0, '<div class="call-to-action">\r\n<div class="row">\r\n<div class="col-md-6">\r\n<h2 class="title">Enjoy a Gorgeous Look and Feel.</h2>\r\n\r\n<h5>Get to know all about our meeting</h5>\r\n\r\n<p>International Conference on Applied Physics and Mathematics is a prestigious event organized with a motivation to provide an excellent international platform for the academicians, researchers, engineers, industrial participants.</p>\r\n<a class="button" href="#">Buy a ticket</a></div>\r\n\r\n<div class="col-md-6">\r\n<div class="highlights-grid">\r\n<div class="row no-gutters">\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-right border-bottom"><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt"></i> -->\r\n\r\n<h5>Location</h5>\r\n\r\n<p>New York</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-bottom"><svg aria-hidden="true" class="svg-inline--fa fa-calendar fa-w-14" data-fa-processed="" data-icon="calendar" data-prefix="fas" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm436-44v-36c0-26.5-21.5-48-48-48h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v36c0 6.6 5.4 12 12 12h424c6.6 0 12-5.4 12-12z" fill="currentColor"></path></svg><!-- <i class="fas fa-calendar"></i> -->\r\n\r\n<h5>Date</h5>\r\n\r\n<p>17 - 20 September, 2017</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-right"><svg aria-hidden="true" class="svg-inline--fa fa-microphone fa-w-12" data-fa-processed="" data-icon="microphone" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M96 256V96c0-53.019 42.981-96 96-96s96 42.981 96 96v160c0 53.019-42.981 96-96 96s-96-42.981-96-96zm252-56h-24c-6.627 0-12 5.373-12 12v42.68c0 66.217-53.082 120.938-119.298 121.318C126.213 376.38 72 322.402 72 256v-44c0-6.627-5.373-12-12-12H36c-6.627 0-12 5.373-12 12v44c0 84.488 62.693 154.597 144 166.278V468h-68c-6.627 0-12 5.373-12 12v20c0 6.627 5.373 12 12 12h184c6.627 0 12-5.373 12-12v-20c0-6.627-5.373-12-12-12h-68v-45.722c81.307-11.681 144-81.79 144-166.278v-44c0-6.627-5.373-12-12-12z" fill="currentColor"></path></svg><!-- <i class="fas fa-microphone"></i> -->\r\n\r\n<h5>Speakers</h5>\r\n\r\n<p>32</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item"><svg aria-hidden="true" class="svg-inline--fa fa-user fa-w-16" data-fa-processed="" data-icon="user" data-prefix="far" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M399.326 288.908C422.188 258.886 436 221.085 436 180 436 80.591 355.414 0 256 0 156.591 0 76 80.586 76 180c0 41.073 13.806 78.878 36.674 108.908C50.028 296.336 0 349.651 0 416v28.5C0 481.72 30.28 512 67.5 512h377c37.22 0 67.5-30.28 67.5-67.5V416c0-66.374-50.052-119.667-112.674-127.092zM256 48c72.902 0 132 59.098 132 132s-59.098 132-132 132-132-59.098-132-132S183.098 48 256 48zm208 396.5c0 10.77-8.73 19.5-19.5 19.5h-377c-10.77 0-19.5-8.73-19.5-19.5V416c0-44.183 35.817-80 80-80h38.14c55.486 31.968 124.026 32.087 179.72 0H384c44.183 0 80 35.817 80 80v28.5z" fill="currentColor"></path></svg><!-- <i class="far fa-user"></i> -->\r\n\r\n<h5>Seats</h5>\r\n\r\n<p>1,200 Available</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 41, 41, 'en', 0, '<div class="highlights">\r\n  <p class="text-center bottom-spacing-medium">Some times numbers do tell the truth. Perhaps, then, there’s no better <br> way to figure out more about us, than checking out these highlights.</p>\r\n  <div class="row">\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="1000000" data-speed="2000">1000000</div>\r\n        <div class="highlight-body">unique <br> visitors</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="112000" data-speed="2000">112000</div>\r\n        <div class="highlight-body">subscribers to <br> our newsletter</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="55000" data-speed="2000">55000</div>\r\n        <div class="highlight-body">first time <br> customers</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="43000" data-speed="2000">43000</div>\r\n        <div class="highlight-body">returning <br> customers</div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 42, 42, 'en', 0, '<div class="subscribe-full-width">\r\n<div class="row">\r\n<div class="col-lg-4 col-xl-3">\r\n<h4 class="mt-0"><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope"></i> --> Newsletter</h4>\r\n</div>\r\n\r\n<div class="col-lg-8 col-xl-9">\r\n<form action="#">\r\n<div class="form-group">\r\n<div class="row">\r\n<div class="col-xl-9 col-lg-8 col-md-7">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Your email address'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Your email address" /></div>\r\n</div>\r\n\r\n<div class="col-xl-3 col-lg-4 col-md-5">\r\n<div class="form-actions"><input class="form-submit btn-block" type="submit" value="Subscribe" /></div>\r\n</div>\r\n</div>\r\n</div>\r\n</form>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 43, 43, 'en', 0, '<div class="contact-info-items-grid">\r\n  <div class="row">\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item contact-info-item--bordered text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-phone"></i></div>\r\n        <div class="contact-info-item__text">(012) 345 - 6789</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item contact-info-item--bordered text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-location-arrow"></i></div>\r\n        <div class="contact-info-item__text">1949 Lochmere Lane <br> Jewett City, CT 06351</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-envelope-square"></i></div>\r\n        <div class="contact-info-item__text">info@conferenceplus.com</div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'full_html'),
('basic', 0, 46, 46, 'en', 0, '<div class="row text-lg-right">\r\n<div class="col-md-7 col-xl-8 xs-text-center">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item"><i class="inline-list__icon fas fa-map-marker"><span class="sr-only">map-marker</span></i> 3246 Sussex Court, Jonesboro, TX 76538</li>\r\n	<li class="inline-list__item"><i class="inline-list__icon fas fa-phone"><span class="sr-only">phone</span></i> (012) 555-123-4567</li>\r\n</ul>\r\n</div>\r\n\r\n<div class="col-md-5 col-xl-4 text-center text-md-right"><a class="button button--colored button--no-margins button--hover-style-2" href="#"><i class="fas fa-envelope mr-2"></i> Contact Us</a></div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 47, 47, 'en', 0, '<ul class="icons-list icons-list--large icons-list--bordered text-center">\r\n	<li><a href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 50, 50, 'en', 0, '<h3 class="block-title text-center">Interested in<br />\r\n<span>investing with us?</span></h3>\r\n\r\n<div class="separator separator--gray">&nbsp;</div>\r\n\r\n<p class="text-center">We are an international private company found and led by the team of investors,<br />\r\nmanagers and entrepreneurs.</p>\r\n\r\n<p class="text-center"><a class="button button--hover-style-2" href="#"><i class="fas fa-envelope"></i> contact us</a></p>\r\n', '', 'full_html'),
('basic', 0, 51, 51, 'en', 0, '<h2 class="text-center bottom-spacing-small">“ENTHUSIASM IS EXCITEMENT WITH INSPIRATION &amp; <br> A PINCH OF CREATIVITY.” <span class="text--colored">-BO BENNET</span></h2>\r\n<div class="row">\r\n<div class="col-lg-6 order-lg-2">\r\n<p>\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-about-me-1.jpg" alt="">\r\n</p>\r\n</div>\r\n<div class="col-lg-6 order-lg-1">\r\n<p>I spent a lot of years trying to outrun or outsmart vulnerability by making things certain and definite, black and white, good and bad.</p>\r\n<p>My inability to lean into the discomfort of vulnerability limited the fullness of those important experiences that are wrought with uncertainty.</p>\r\n<div class="progress-title">Photoshop</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%">\r\n    <span class="sr-only">78% Photoshop</span>\r\n  </div>\r\n</div>\r\n<div class="progress-title">UI / UX DESIGN</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width: 50%">\r\n    <span class="sr-only">50% UI / UX DESIGN</span>\r\n  </div>\r\n</div>\r\n<div class="progress-title">WEB DEVELOPMENT</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">\r\n    <span class="sr-only">80% WEB DEVELOPMENT</span>\r\n  </div>\r\n</div>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 53, 53, 'en', 0, '<div class="contact-info__text-secondary text-center mb-0">Questions? Contact the Association Management office at</div>\r\n\r\n<div class="contact-info__text-primary text-center">(012) 345 - 6789 or <a class="link--bordered" href="#">info@conferenceplus.edu</a></div>\r\n', '', 'full_html'),
('basic', 0, 55, 55, 'en', 0, '<div class="row">\r\n<div class="col-lg-6 col-12 order-lg-2">\r\n<div class="fancy-block-2-container bottom-spacing-small"><img alt="service image" class="fancy-image-top-left fade" data-animate-effect="fadeInDown" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-service-1.jpg" /> <img alt="service image" class="fancy-image-bottom-right fancy-image--box-shadow fancy-image--position-absolute fade" data-animate-effect="fadeInRight" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-service-2.jpg" /></div>\r\n</div>\r\n\r\n<div class="col-lg-6 col-12 order-lg-1">\r\n<div class="fade" data-animate-effect="fadeInLeft">\r\n<h2 class="bottom-spacing-small">ARE YOU LOOKING FOR A GREAT SERVICE?</h2>\r\n\r\n<p>The most obvious benefit of remaining independent is that we have no boundaries except those we put on ourselves.</p>\r\n\r\n<ul class="list--fa-check-circle">\r\n	<li>Surviving 21 years in any industry</li>\r\n	<li>Focused on delivering outcomes</li>\r\n	<li>I have no boundaries</li>\r\n</ul>\r\n\r\n<p><a class="button button--hover-style-2" href="#">Let''s talk</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 57, 57, 'en', 0, '<div class="row text-center">\r\n<div class="col-lg-10 ml-lg-auto mr-lg-auto">\r\n<h2 class="bottom-spacing-small">MY STORY</h2>\r\n<p class="highlighted">Controversy is part of the nature of art &amp; creativity.</p>\r\n<div class="bottom-spacing-medium">\r\n<p>One very important aspect of motivation is the willingness to stop and to look at things that no one else has bothered to look at. This simple process of focusing on things that are normally taken for granted.</p>\r\n</div>\r\n<div class="bottom-spacing-small">\r\n<p>\r\n<a href="#" class="button button--hover-style-2">About Me</a>\r\n</p>\r\n</div>\r\n</div>\r\n</div>\r\n<hr>\r\n<div class="highlights-2">\r\n<div class="row">\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">1</div>\r\n<div class="highlight-2-body">Web Design</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">2</div>\r\n<div class="highlight-2-body">UI/UX Design</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">3</div>\r\n<div class="highlight-2-body">Web Development</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">4</div>\r\n<div class="highlight-2-body">Branding</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 73, 73, 'en', 0, '<div class="language-switcher-language-url block-language">\r\n<ul class="links">\r\n	<li><a class="language-link" href="#">English</a></li>\r\n	<li><a class="language-link" href="#">Deutsche</a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 74, 74, 'en', 0, '<ul class="social-links social-links--inline text-center">\r\n<li>\r\n<a href="#" class="hover-color-facebook">Facebook</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-twitter">Twitter</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-behance">Behance</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-dribbble">Dribbble</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-instagram">Instagram</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-vimeo">Vimeo</a>\r\n</li>\r\n</ul>', '', 'raw_html');
INSERT INTO `block_content_revision__body` VALUES
('basic', 0, 75, 75, 'en', 0, '<div class="row">\r\n\r\n  <div class="col-md-3">\r\n    <div class="logo-centered">\r\n      <a href="#" title="Home" rel="home" class="site-branding__logo">\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-white.svg" alt="Home">\r\n      </a>\r\n    </div>\r\n    <div class="text-center clearfix">\r\n      <div class="site-name site-branding__name">\r\n        <a href="#" title="Home" rel="home">Association</a>\r\n      </div>\r\n      <div class="site-slogan site-branding__slogan">A top quality Drupal 8 theme</div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-md-9">\r\n    <h2 class="title mb-0">Sint optio aut deserunt saepe ex rerum</h2>\r\n    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dolore commodi, rerum saepe aliquam, iste iure nihil. Quasi assumenda magni, ex saepe? Saepe ut delectus soluta dignissimos dolorum voluptates.</p>\r\n    <p>Mollitia repellendus eos in doloribus hic eligendi rem facere laboriosam, provident nemo iste qui id deleniti.</p>\r\n  </div>\r\n\r\n</div>', '', 'raw_html'),
('basic', 0, 76, 76, 'en', 0, '<ul class="icons-list icons-list--bordered">\r\n	<li><a href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a href="https://plus.google.com/118354321025436191714/posts"><svg aria-hidden="true" class="svg-inline--fa fa-google-plus fa-w-16" data-fa-processed="" data-icon="google-plus" data-prefix="fab" role="img" viewbox="0 0 496 512" xmlns="http://www.w3.org/2000/svg"><path d="M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm-70.7 372c-68.8 0-124-55.5-124-124s55.2-124 124-124c31.3 0 60.1 11 83 32.3l-33.6 32.6c-13.2-12.9-31.3-19.1-49.4-19.1-42.9 0-77.2 35.5-77.2 78.1s34.2 78.1 77.2 78.1c32.6 0 64.9-19.1 70.1-53.3h-70.1v-42.6h116.9c1.3 6.8 1.9 13.6 1.9 20.7 0 70.8-47.5 121.2-118.8 121.2zm230.2-106.2v35.5H372v-35.5h-35.5v-35.5H372v-35.5h35.5v35.5h35.2v35.5h-35.2z" fill="currentColor"></path></svg><!-- <i class="fab fa-google-plus"><span class="sr-only">google-plus</span></i> --></a></li>\r\n	<li><a href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n	<li><a href="http://www.youtube.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-youtube fa-w-18" data-fa-processed="" data-icon="youtube" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z" fill="currentColor"></path></svg><!-- <i class="fab fa-youtube-play"><span class="sr-only">youtube</span></i> --></a></li>\r\n	<li><a href="http://instagram.com/"><svg aria-hidden="true" class="svg-inline--fa fa-instagram fa-w-14" data-fa-processed="" data-icon="instagram" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z" fill="currentColor"></path></svg><!-- <i class="fab fa-instagram"><span class="sr-only">instagram</span></i> --></a></li>\r\n	<li><a href="http://www.flickr.com/photos/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-flickr fa-w-14" data-fa-processed="" data-icon="flickr" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z" fill="currentColor"></path></svg><!-- <i class="fab fa-flickr"><span class="sr-only">flickr</span></i> --></a></li>\r\n	<li><a href="http://vimeo.com/morethanthemes"><svg aria-hidden="true" class="svg-inline--fa fa-vimeo-square fa-w-14" data-fa-processed="" data-icon="vimeo-square" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-16.2 149.6c-1.4 31.1-23.2 73.8-65.3 127.9-43.5 56.5-80.3 84.8-110.4 84.8-18.7 0-34.4-17.2-47.3-51.6-25.2-92.3-35.9-146.4-56.7-146.4-2.4 0-10.8 5-25.1 15.1L64 192c36.9-32.4 72.1-68.4 94.1-70.4 24.9-2.4 40.2 14.6 46 51.1 20.5 129.6 29.6 149.2 66.8 90.5 13.4-21.2 20.6-37.2 21.5-48.3 3.4-32.8-25.6-30.6-45.2-22.2 15.7-51.5 45.8-76.5 90.1-75.1 32.9 1 48.4 22.4 46.5 64z" fill="currentColor"></path></svg><!-- <i class="fab fa-vimeo-square"><span class="sr-only">vimeo-square</span></i> --></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 79, 79, 'en', 0, '<div class="row">\r\n  <div class="col-12 col-lg-10 ml-lg-auto mr-lg-auto">\r\n    <h2 class="block-title--extra-large text-center">Beautiful solutions for intelligent companies</h2>\r\n    <p class="extra-large text-center mt-5 mb-5">Skyrocket your business <br> with the best-in-market solution around.</p>\r\n  </div>\r\n</div>\r\n<div class="row mt-5 pb-5">\r\n  <div class="col-xl-4 col-lg-6 col-12 ml-xl-auto mr-xl-auto order-lg-2">\r\n    <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-feature-1.jpg" alt="feature">\r\n  </div>\r\n  <div class="col-xl-5 col-lg-6 col-12 ml-xl-auto mr-xl-auto order-lg-1">\r\n    <h2 class="block-title--medium-large mt-lg-0">Multi-platform Support</h2>\r\n    <p class="large">If you own an iPhone, you’ve probably already worked out how much fun it is to use it to watch movies-it has that nice big screen, and the sound quality is surprisingly good too.</p>\r\n  </div>\r\n</div>\r\n<div class="row mt-5 mb-5">\r\n  <div class="col-xl-4 col-lg-6 col-12 ml-xl-auto mr-xl-auto">\r\n    <ul class="icons-list icons-list--extra-large icons-list--bordered-square d-xl-flex justify-content-around mb-5 text-center">\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-internet-explorer"><span class="sr-only">internet-explorer</span></i>\r\n        </span>\r\n      </li>\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-firefox"><span class="sr-only">firefox</span></i>\r\n        </span>\r\n      </li>\r\n    </ul>\r\n    <ul class="icons-list icons-list--extra-large icons-list--bordered-square d-xl-flex justify-content-around text-center">\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-chrome"><span class="sr-only">chrome</span></i>\r\n        </span>\r\n      </li>\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-safari"><span class="sr-only">safari</span></i>\r\n        </span>\r\n      </li>\r\n    </ul>\r\n  </div>\r\n  <div class="col-xl-5 col-lg-6 col-12 ml-xl-auto">\r\n    <h2 class="block-title--medium-large mt-lg-0">Multi-browser Support</h2>\r\n    <p class="large">If you own an iPhone, you’ve probably already worked out how much fun it is to use it to watch movies-it has that nice big screen, and the sound quality is surprisingly good too.</p>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 80, 80, 'en', 0, '<div class="row">\r\n<div class="col-12 col-xl-6"><img alt="highlight" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-highlight-1.jpg" /></div>\r\n\r\n<div class="col-12 col-xl-6">\r\n<h2 class="block-title--medium text--colored mb-4 font-weight-normal">Ideal for all your business needs</h2>\r\n\r\n<ul class="list-unstyled mb-4">\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Lorem ipsum dolor sit amet, consectetur adipisicing elit</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Aut sit, labore eos odio fugiat ducimus alias</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Explicabo dolores harum soluta asperiores et ipsum rem</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Debitis deleniti. Incidunt molestias iusto saepe</li>\r\n</ul>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 82, 82, 'en', 0, '<div class="logo-centered"><a class="site-branding__logo" href="#" rel="home" title="Home"><img alt="Home" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-white.svg" /> </a></div>\r\n\r\n<div class="text-center clearfix">\r\n<div class="site-name site-branding__name"><a href="#" rel="home" title="Home">Conference+</a></div>\r\n\r\n<div class="site-slogan site-branding__slogan">A top quality Drupal 8 theme</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 83, 83, 'en', 0, '<div class="contact-info d-md-block d-inline-block text-left">\r\n<ul>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt"><span class="sr-only">map-marker-alt</span></i> --> 787 Virginia Street New York,<br />\r\n	NY 213421</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone"><span class="sr-only">phone</span></i> --> +321 123 456 7</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="far" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M464 64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm0 48v40.805c-22.422 18.259-58.168 46.651-134.587 106.49-16.841 13.247-50.201 45.072-73.413 44.701-23.208.375-56.579-31.459-73.413-44.701C106.18 199.465 70.425 171.067 48 152.805V112h416zM48 400V214.398c22.914 18.251 55.409 43.862 104.938 82.646 21.857 17.205 60.134 55.186 103.062 54.955 42.717.231 80.509-37.199 103.053-54.947 49.528-38.783 82.032-64.401 104.947-82.653V400H48z" fill="currentColor"></path></svg><!-- <i class="far fa-envelope"><span class="sr-only">envelope</span></i> --> <a class="link--bordered" href="mailto:info@conferenceplus.com">info@conferenceplus.com</a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 84, 84, 'en', 0, '<h2 class="title"><i class="fas fa-gem mr-3"></i>About The Association</h2>\r\n\r\n<p class="mb-3">The International Association of Analytics and the Society of Analytics are imaginary organizations used for demo purposes in this Drupal theme distribution.</p>\r\n\r\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\r\n	<li><a class="background-color-facebook" href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a></li>\r\n	<li><a class="background-color-twitter" href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a></li>\r\n	<li><a class="background-color-linkedin" href="#"><i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i></a></li>\r\n	<li><a class="background-color-youtube" href="#"><i class="fab fa-youtube"><span class="sr-only">youtube</span></i></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 85, 85, 'en', 0, '<div class="d-md-block d-none py-2">\r\n<div class="row">\r\n<div class="col-12 col-lg-6 text-center text-lg-left">\r\n<p class="py-2"><i class="fas fa-gem mr-3 fa-lg"></i>International Association of Analytics</p>\r\n</div>\r\n\r\n<div class="col-12 col-lg-6 text-center text-lg-right"><a class="mr-3" href="user"><i class="fas fa-lock fa-sm mr-2"></i> Sign In</a> <a class="button button--small my-1 my-md-0" href="#">Sign Up</a></div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 87, 87, 'en', 0, '<p><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16 mr-2 ml-1" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone mr-2 ml-1"></i> --> (012) 345 - 6789<br />\r\n<svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16 mr-2 ml-1" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope mr-2 ml-1"></i> --> info@conferenceplus.edu</p>\r\n', '', 'full_html'),
('basic', 0, 88, 88, 'en', 0, '<p><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12 mr-2 ml-1" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt mr-2 ml-1"></i> --> 787 Virginia Street New York, NY 213421</p>\r\n', '', 'full_html'),
('basic', 0, 89, 89, 'en', 0, '<i class="far fa-clock mr-2 ml-1 mt-1 d-inline-block align-top"></i> <div class="d-inline-block align-top">Fri:  8:00am - 5:00pm <br>\r\nSat: 9:00am - 5:30pm <br>\r\nSun: 9:00am - 11:00am </div>', '', 'raw_html'),
('basic', 0, 91, 91, 'en', 0, '<p><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12 mr-2 ml-1" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fa" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fa fa-map-marker-alt mr-2 ml-1"></i> --> Big venue, South Entrance on 787 Virginia Street New York, NY 213421</p>\r\n', '', 'full_html'),
('mt_typing_animation_block', 0, 92, 92, 'en', 0, '<div class="mt-1 pt-1 text-center">\r\n<h2>The event that unlocks success to <br> your business goals.</h2>\r\n\r\n<div class="d-flex justify-content-center align-items-center mt-1">\r\n<div class="typed-strings">\r\n<p>Meet leading experts, engage in high impact discussions.</p>\r\n<p>Learn about state-of-the-art advancements in your field.</p>\r\n<p>Network with leading figures in the market.</p>\r\n<p>Join today, be part of tomorrow.</p>\r\n</div>\r\n<div class="typed text-center"></div>\r\n</div>\r\n\r\n</div>', '', 'raw_html'),
('basic', 0, 95, 95, 'en', 0, '<p>We accept all major credit cards, as well as a number of other ways to pay.</p>\r\n\r\n<ul class="credit-cards">\r\n	<li><i class="fab fa-cc-visa"></i></li>\r\n	<li><i class="fab fa-cc-mastercard"></i></li>\r\n	<li><i class="fab fa-cc-amex"></li>\r\n	<li><i class="fab fa-cc-paypal"></i></li>\r\n	<li><i class="fab fa-cc-stripe"></i></li>\r\n	<li><i class="fab fa-cc-discover"></i></li>\r\n</ul>\r\n', '', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_bg_image_color`
--

CREATE TABLE `block_content_revision__field_mt_bg_image_color` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bg_image_color_value` (`field_mt_bg_image_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_bg_image_color`
--

INSERT INTO `block_content_revision__field_mt_bg_image_color` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 'region--dark-typography region--white-background'),
('mt_background_image_block', 0, 54, 54, 'en', 0, 'region--light-typography region--black-background'),
('mt_background_image_block', 0, 58, 58, 'en', 0, 'region--light-typography region--black-background'),
('mt_background_image_block', 0, 90, 90, 'en', 0, 'region--light-typography region--dark-background');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_block_reference`
--

CREATE TABLE `block_content_revision__field_mt_block_reference` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_block_reference_target_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_block_reference_target_id` (`field_mt_block_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_block_reference`
--

INSERT INTO `block_content_revision__field_mt_block_reference` VALUES
('mt_tabs_block', 0, 1, 1, 'en', 0, 'conferenceplus_views_block__mt_latest_block_1'),
('mt_tabs_block', 0, 1, 1, 'en', 1, 'conferenceplus_views_block__mt_latest_block_3'),
('mt_background_image_block', 0, 52, 52, 'en', 0, 'calltoaction'),
('mt_background_image_block', 0, 54, 54, 'en', 0, 'stillhavequestions'),
('mt_background_image_block', 0, 58, 58, 'en', 0, 'conferenceplus_views_block__mt_brands_carousel_block_1'),
('mt_background_video_block', 0, 78, 78, 'en', 0, 'highlights'),
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'googlemapbanner_3'),
('mt_background_image_block', 0, 90, 90, 'en', 0, 'views_block__mt_albums_carousel_block_1'),
('mt_background_image_block', 0, 90, 90, 'en', 1, 'tellusaboutyourproject'),
('mt_tabs_block', 0, 94, 94, 'en', 0, 'views_block__mt_related_presentations_block_1'),
('mt_tabs_block', 0, 94, 94, 'en', 1, 'views_block__mt_related_presentations_2_block_1');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_bv_layout_mode`
--

CREATE TABLE `block_content_revision__field_mt_bv_layout_mode` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_layout_mode_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_layout_mode_value` (`field_mt_bv_layout_mode_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_bv_layout_mode`
--

INSERT INTO `block_content_revision__field_mt_bv_layout_mode` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 'container');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_bv_poster`
--

CREATE TABLE `block_content_revision__field_mt_bv_poster` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_poster_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_bv_poster_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_bv_poster_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_bv_poster_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_bv_poster_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_poster_target_id` (`field_mt_bv_poster_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_bv_poster`
--

INSERT INTO `block_content_revision__field_mt_bv_poster` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 132, 'video poster', '', 1920, 1080);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_bv_video_mp4`
--

CREATE TABLE `block_content_revision__field_mt_bv_video_mp4` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_video_mp4_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_bv_video_mp4_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_bv_video_mp4_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_video_mp4_target_id` (`field_mt_bv_video_mp4_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_bv_video_mp4`
--

INSERT INTO `block_content_revision__field_mt_bv_video_mp4` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 130, 1, '');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_bv_video_webm`
--

CREATE TABLE `block_content_revision__field_mt_bv_video_webm` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_video_webm_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_bv_video_webm_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_bv_video_webm_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_video_webm_target_id` (`field_mt_bv_video_webm_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_bv_video_webm`
--

INSERT INTO `block_content_revision__field_mt_bv_video_webm` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 131, 1, '');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_cb_expand_icon`
--

CREATE TABLE `block_content_revision__field_mt_cb_expand_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_expand_icon_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_cb_expand_icon`
--

INSERT INTO `block_content_revision__field_mt_cb_expand_icon` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'fa-angle-down');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_cb_state`
--

CREATE TABLE `block_content_revision__field_mt_cb_state` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_state_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_cb_state_value` (`field_mt_cb_state_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_cb_state`
--

INSERT INTO `block_content_revision__field_mt_cb_state` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'expanded');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_cb_title`
--

CREATE TABLE `block_content_revision__field_mt_cb_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_cb_title`
--

INSERT INTO `block_content_revision__field_mt_cb_title` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'Show / Hide Map');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_dropdown`
--

CREATE TABLE `block_content_revision__field_mt_dropdown` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_dropdown_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_dropdown_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_dropdown_target_id` (`field_mt_dropdown_target_id`),
  KEY `field_mt_dropdown_target_revision_id` (`field_mt_dropdown_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_dropdown`
--

INSERT INTO `block_content_revision__field_mt_dropdown` VALUES
('mt_dropdowns_block', 0, 59, 59, 'en', 0, 41, 41);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_fancy_tab`
--

CREATE TABLE `block_content_revision__field_mt_fancy_tab` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_tab_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_fancy_tab_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fancy_tab_target_id` (`field_mt_fancy_tab_target_id`),
  KEY `field_mt_fancy_tab_target_revision_id` (`field_mt_fancy_tab_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_fancy_tab`
--

INSERT INTO `block_content_revision__field_mt_fancy_tab` VALUES
('mt_fancy_tabs_block', 0, 15, 15, 'en', 0, 1, 1),
('mt_fancy_tabs_block', 0, 15, 15, 'en', 1, 2, 2),
('mt_fancy_tabs_block', 0, 15, 15, 'en', 2, 19, 19);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_fltt`
--

CREATE TABLE `block_content_revision__field_mt_fltt` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_fltt_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fltt_target_id` (`field_mt_fltt_target_id`),
  KEY `field_mt_fltt_target_revision_id` (`field_mt_fltt_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_fltt`
--

INSERT INTO `block_content_revision__field_mt_fltt` VALUES
('mt_fltt_block', 0, 45, 45, 'en', 0, 26, 26),
('mt_fltt_block', 0, 45, 45, 'en', 1, 27, 27),
('mt_fltt_block', 0, 45, 45, 'en', 2, 28, 28),
('mt_fltt_block', 0, 45, 45, 'en', 3, 29, 29),
('mt_fltt_block', 0, 45, 45, 'en', 4, 30, 30),
('mt_fltt_block', 0, 45, 45, 'en', 5, 31, 31);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_if`
--

CREATE TABLE `block_content_revision__field_mt_if` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_if_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_target_id` (`field_mt_if_target_id`),
  KEY `field_mt_if_target_revision_id` (`field_mt_if_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_if`
--

INSERT INTO `block_content_revision__field_mt_if` VALUES
('mt_if_block', 0, 77, 77, 'en', 0, 53, 53),
('mt_if_block', 0, 77, 77, 'en', 1, 54, 54),
('mt_if_block', 0, 77, 77, 'en', 2, 55, 55),
('mt_if_block', 0, 77, 77, 'en', 3, 56, 56),
('mt_if_block', 0, 77, 77, 'en', 4, 60, 60),
('mt_if_block', 0, 77, 77, 'en', 5, 61, 61),
('mt_if_block', 0, 96, 96, 'en', 0, 84, 96),
('mt_if_block', 0, 96, 96, 'en', 1, 85, 97),
('mt_if_block', 0, 96, 96, 'en', 2, 86, 98);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_map_location`
--

CREATE TABLE `block_content_revision__field_mt_map_location` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_map_location_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_map_location_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_map_location_target_id` (`field_mt_map_location_target_id`),
  KEY `field_mt_map_location_target_revision_id` (`field_mt_map_location_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_map_location`
--

INSERT INTO `block_content_revision__field_mt_map_location` VALUES
('mt_google_maps', 0, 35, 35, 'en', 0, 44, 44),
('mt_google_maps', 0, 35, 35, 'en', 1, 45, 45),
('mt_google_maps', 0, 35, 35, 'en', 2, 46, 46),
('mt_google_maps', 0, 35, 35, 'en', 3, 47, 47);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_map_zoom`
--

CREATE TABLE `block_content_revision__field_mt_map_zoom` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_map_zoom_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_map_zoom`
--

INSERT INTO `block_content_revision__field_mt_map_zoom` VALUES
('mt_google_maps', 0, 35, 35, 'en', 0, '0');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_media_tab`
--

CREATE TABLE `block_content_revision__field_mt_media_tab` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_tab_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_media_tab_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_tab_target_id` (`field_mt_media_tab_target_id`),
  KEY `field_mt_media_tab_target_revision_id` (`field_mt_media_tab_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_media_tab`
--

INSERT INTO `block_content_revision__field_mt_media_tab` VALUES
('mt_media_tabs_block', 0, 44, 44, 'en', 0, 20, 20),
('mt_media_tabs_block', 0, 44, 44, 'en', 1, 21, 21),
('mt_media_tabs_block', 0, 44, 44, 'en', 2, 22, 22);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_ms_effect`
--

CREATE TABLE `block_content_revision__field_mt_ms_effect` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_effect_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_effect_value` (`field_mt_ms_effect_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_ms_effect`
--

INSERT INTO `block_content_revision__field_mt_ms_effect` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'slideright');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_revision__field_mt_ns_slide`
--

CREATE TABLE `block_content_revision__field_mt_ns_slide` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ns_slide_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ns_slide_target_id` (`field_mt_ns_slide_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_revision__field_mt_ns_slide`
--

INSERT INTO `block_content_revision__field_mt_ns_slide` VALUES
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 0, 9),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 1, 8),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 2, 7),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 3, 6),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 4, 5),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 5, 4);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__4c59a7dd4d`
--

CREATE TABLE `block_content_r__4c59a7dd4d` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_linked_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_fancy_linked_image_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fancy_linked_image_target_id` (`field_mt_fancy_linked_image_target_id`),
  KEY `field_mt_fancy_linked_image_target_revision_id` (`field_mt_fancy_linked_image_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__4c59a7dd4d`
--

INSERT INTO `block_content_r__4c59a7dd4d` VALUES
('mt_fancy_linked_images_block', 0, 24, 24, 'en', 0, 16, 16),
('mt_fancy_linked_images_block', 0, 24, 24, 'en', 1, 17, 17),
('mt_fancy_linked_images_block', 0, 24, 24, 'en', 2, 18, 18);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__5b9b19743c`
--

CREATE TABLE `block_content_r__5b9b19743c` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_layout_mode_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bg_image_layout_mode_value` (`field_mt_bg_image_layout_mode_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__5b9b19743c`
--

INSERT INTO `block_content_r__5b9b19743c` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 'container'),
('mt_background_image_block', 0, 54, 54, 'en', 0, 'container'),
('mt_background_image_block', 0, 58, 58, 'en', 0, 'container'),
('mt_background_image_block', 0, 90, 90, 'en', 0, 'container');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__6e405e2d16`
--

CREATE TABLE `block_content_r__6e405e2d16` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_overlay_opacity_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__6e405e2d16`
--

INSERT INTO `block_content_r__6e405e2d16` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 65);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__7b18559961`
--

CREATE TABLE `block_content_r__7b18559961` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_background_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_background_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_background_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_background_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_background_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_background_image_target_id` (`field_mt_background_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__7b18559961`
--

INSERT INTO `block_content_r__7b18559961` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 111, 'Background Image CtA', '', 1920, 1080),
('mt_background_image_block', 0, 54, 54, 'en', 0, 112, 'Background Image', '', 1920, 1080),
('mt_background_image_block', 0, 58, 58, 'en', 0, 114, 'Background Image - Clients', '', 1920, 1080),
('mt_background_image_block', 0, 90, 90, 'en', 0, 144, 'albums', '', 1920, 1080);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__72fc733ed0`
--

CREATE TABLE `block_content_r__72fc733ed0` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_positioning_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__72fc733ed0`
--

INSERT INTO `block_content_r__72fc733ed0` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 0),
('mt_background_image_block', 0, 54, 54, 'en', 0, 0),
('mt_background_image_block', 0, 58, 58, 'en', 0, 0),
('mt_background_image_block', 0, 90, 90, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__79da35558f`
--

CREATE TABLE `block_content_r__79da35558f` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_video_gallery_slides_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_video_gallery_slides_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_video_gallery_slides_target_id` (`field_mt_video_gallery_slides_target_id`),
  KEY `field_mt_video_gallery_slides_target_revision_id` (`field_mt_video_gallery_slides_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__79da35558f`
--

INSERT INTO `block_content_r__79da35558f` VALUES
('mt_video_gallery_block', 0, 49, 49, 'en', 0, 35, 35),
('mt_video_gallery_block', 0, 49, 49, 'en', 1, 36, 36),
('mt_video_gallery_block', 0, 49, 49, 'en', 2, 37, 37),
('mt_video_gallery_block', 0, 49, 49, 'en', 3, 38, 38),
('mt_video_gallery_block', 0, 49, 49, 'en', 4, 39, 39),
('mt_video_gallery_block', 0, 49, 49, 'en', 5, 40, 40);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__97edb858ae`
--

CREATE TABLE `block_content_r__97edb858ae` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_collapse_icon_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__97edb858ae`
--

INSERT INTO `block_content_r__97edb858ae` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'fa-angle-up');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__261b197ca8`
--

CREATE TABLE `block_content_r__261b197ca8` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_ignore_header_height_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__261b197ca8`
--

INSERT INTO `block_content_r__261b197ca8` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__518dec608d`
--

CREATE TABLE `block_content_r__518dec608d` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_effect_duration_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__518dec608d`
--

INSERT INTO `block_content_r__518dec608d` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 9);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__4631ce0d7c`
--

CREATE TABLE `block_content_r__4631ce0d7c` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_overlay_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_overlay_color_value` (`field_mt_bv_overlay_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__4631ce0d7c`
--

INSERT INTO `block_content_r__4631ce0d7c` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 'region--light-typography region--black-background');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__18093c0f61`
--

CREATE TABLE `block_content_r__18093c0f61` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_item_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_tml_timeline_item_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_item_target_id` (`field_mt_tml_timeline_item_target_id`),
  KEY `field_mt_tml_timeline_item_target_revision_id` (`field_mt_tml_timeline_item_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__18093c0f61`
--

INSERT INTO `block_content_r__18093c0f61` VALUES
('mt_timeline_block', 0, 93, 93, 'en', 0, 74, 74),
('mt_timeline_block', 0, 93, 93, 'en', 1, 75, 75),
('mt_timeline_block', 0, 93, 93, 'en', 2, 76, 76),
('mt_timeline_block', 0, 93, 93, 'en', 3, 77, 77);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__23529b2712`
--

CREATE TABLE `block_content_r__23529b2712` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_viewmore_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_tml_timeline_viewmore_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_tml_timeline_viewmore_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_viewmore_uri` (`field_mt_tml_timeline_viewmore_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__23529b2712`
--

INSERT INTO `block_content_r__23529b2712` VALUES
('mt_timeline_block', 0, 93, 93, 'en', 0, 'internal:/', 'View More', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__27683698d1`
--

CREATE TABLE `block_content_r__27683698d1` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_bullets_position_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_bullets_position_value` (`field_mt_ms_bullets_position_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__27683698d1`
--

INSERT INTO `block_content_r__27683698d1` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'right');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__66091821cc`
--

CREATE TABLE `block_content_r__66091821cc` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_trigger_position_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_cb_trigger_position_value` (`field_mt_cb_trigger_position_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__66091821cc`
--

INSERT INTO `block_content_r__66091821cc` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'top');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__a3a390ca74`
--

CREATE TABLE `block_content_r__a3a390ca74` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_touch_swipe_nav_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__a3a390ca74`
--

INSERT INTO `block_content_r__a3a390ca74` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__b159949da4`
--

CREATE TABLE `block_content_r__b159949da4` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_initial_height_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__b159949da4`
--

INSERT INTO `block_content_r__b159949da4` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 650);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__c13740b5bd`
--

CREATE TABLE `block_content_r__c13740b5bd` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_main_slideshow_slide_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_main_slideshow_slide_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_main_slideshow_slide_target_id` (`field_mt_main_slideshow_slide_target_id`),
  KEY `field_mt_main_slideshow_slide_target_revision_id` (`field_mt_main_slideshow_slide_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__c13740b5bd`
--

INSERT INTO `block_content_r__c13740b5bd` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 32, 32),
('mt_main_slideshow_block', 0, 48, 48, 'en', 1, 33, 33);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__e2adef1542`
--

CREATE TABLE `block_content_r__e2adef1542` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_navigation_style_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_navigation_style_value` (`field_mt_ms_navigation_style_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__e2adef1542`
--

INSERT INTO `block_content_r__e2adef1542` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'bullets');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__e46051d2e8`
--

CREATE TABLE `block_content_r__e46051d2e8` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_opacity_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__e46051d2e8`
--

INSERT INTO `block_content_r__e46051d2e8` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 95),
('mt_background_image_block', 0, 54, 54, 'en', 0, 70),
('mt_background_image_block', 0, 58, 58, 'en', 0, 70),
('mt_background_image_block', 0, 90, 90, 'en', 0, 80);

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__f74aaa688c`
--

CREATE TABLE `block_content_r__f74aaa688c` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_main_slideshow_layout_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_main_slideshow_layout_value` (`field_mt_main_slideshow_layout_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__f74aaa688c`
--

INSERT INTO `block_content_r__f74aaa688c` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'fullwidth');

-- --------------------------------------------------------

--
-- Table structure for table `block_content_r__fd238027f5`
--

CREATE TABLE `block_content_r__fd238027f5` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_background_opacity_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for block_content field field_mt…';

--
-- Dumping data for table `block_content_r__fd238027f5`
--

INSERT INTO `block_content_r__fd238027f5` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 60);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__body`
--

CREATE TABLE `block_content__body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field body.';

--
-- Dumping data for table `block_content__body`
--

INSERT INTO `block_content__body` VALUES
('basic', 0, 3, 3, 'en', 0, '<div class="text-center text-lg-left">Copyright © 2018 Conference+. All rights reserved.</div>', '', 'raw_html'),
('basic', 0, 4, 4, 'en', 0, '<ul class="icons-list icons-list--bordered icons-list--no-margin p-0 text-center text-md-right d-md-block d-none">\r\n  <li><a class="background-color-inverted-facebook" href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a></li>\r\n  <li><a class="background-color-inverted-twitter" href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a></li>\r\n  <li><a class="background-color-inverted-linkedin" href="#"><i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i></a></li>\r\n  <li><a class="background-color-inverted-youtube" href="#"><i class="fab fa-youtube"><span class="sr-only">youtube</span></i></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 5, 5, 'en', 0, '<div class="overlay-container"><img alt="sidebar image" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/block-img.jpg" /></div>\r\n\r\n<h3><a href="#">Sidebar block with image</a></h3>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do <a href="#">eiusmod tempor</a> incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<p><a class="link--bordered" href="#">Read more</a></p>\r\n', '', 'full_html'),
('basic', 0, 8, 8, 'en', 0, '<div class="contact-info"><span class="icon"><i class="fa fa-globe"><span class="sr-only">globe</span></i></span>\r\n<h3>Contact info</h3>\r\n\r\n<p class="bottom-spacing-medium">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<ul>\r\n	<li><i class="fas fa-map-marker-alt"><span class="sr-only">map-marker-alt</span></i> 1600 Amphitheatre Parkway,<br />\r\n	Mountain View, CA 94043</li>\r\n	<li><i class="fas fa-phone"><span class="sr-only">phone</span></i> +321 123 456 7<br />\r\n	+012 123 123 12</li>\r\n	<li><i class="fas fa-print"><span class="sr-only">fax</span></i> +321 123 456 8<br />\r\n	+21 123 456 87</li>\r\n	<li><i class="far fa-envelope"><span class="sr-only">envelope</span></i>For general enquiries:<br />\r\n	<a href="mailto:info@conferenceplus.com">info@conferenceplus.com</a><br />\r\n	For sales enquiries:<br />\r\n	<a href="mailto:sales@conferenceplus.com">sales@conferenceplus.com</a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 9, 9, 'en', 0, '<p>Aliquam ullamcorper velit ligula, in aliquet sapien molestie semper. Praesent tellus nisi, porttitor eget ligula vitae, commodo vulputate dui. Donec varius arcu eget risus tincidunt, sed ultrices mi porta. Nulla faucibus sed nisi ac consequat. Cras at lectus arcu.</p>\r\n\r\n<p><a class="link--bordered" href="#">Read more</a></p>\r\n', '', 'full_html'),
('basic', 0, 10, 10, 'en', 0, '<p>Free Shipping Over $50 &amp; Free In-Store Returns</p>\r\n', '', 'basic_html'),
('basic', 0, 12, 12, 'en', 0, '<p>We accept all major credit cards, as well as a number of other ways to pay.</p>\r\n\r\n<ul class="credit-cards">\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-visa fa-w-18" data-fa-processed="" data-icon="cc-visa" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M470.1 231.3s7.6 37.2 9.3 45H446c3.3-8.9 16-43.5 16-43.5-.2.3 3.3-9.1 5.3-14.9l2.8 13.4zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM152.5 331.2L215.7 176h-42.5l-39.3 106-4.3-21.5-14-71.4c-2.3-9.9-9.4-12.7-18.2-13.1H32.7l-.7 3.1c15.8 4 29.9 9.8 42.2 17.1l35.8 135h42.5zm94.4.2L272.1 176h-40.2l-25.1 155.4h40.1zm139.9-50.8c.2-17.7-10.6-31.2-33.7-42.3-14.1-7.1-22.7-11.9-22.7-19.2.2-6.6 7.3-13.4 23.1-13.4 13.1-.3 22.7 2.8 29.9 5.9l3.6 1.7 5.5-33.6c-7.9-3.1-20.5-6.6-36-6.6-39.7 0-67.6 21.2-67.8 51.4-.3 22.3 20 34.7 35.2 42.2 15.5 7.6 20.8 12.6 20.8 19.3-.2 10.4-12.6 15.2-24.1 15.2-16 0-24.6-2.5-37.7-8.3l-5.3-2.5-5.6 34.9c9.4 4.3 26.8 8.1 44.8 8.3 42.2.1 69.7-20.8 70-53zM528 331.4L495.6 176h-31.1c-9.6 0-16.9 2.8-21 12.9l-59.7 142.5H426s6.9-19.2 8.4-23.3H486c1.2 5.5 4.8 23.3 4.8 23.3H528z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-visa"><span class="sr-only">cc-visa</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-mastercard fa-w-18" data-fa-processed="" data-icon="cc-mastercard" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M482.9 410.3c0 6.8-4.6 11.7-11.2 11.7-6.8 0-11.2-5.2-11.2-11.7 0-6.5 4.4-11.7 11.2-11.7 6.6 0 11.2 5.2 11.2 11.7zm-310.8-11.7c-7.1 0-11.2 5.2-11.2 11.7 0 6.5 4.1 11.7 11.2 11.7 6.5 0 10.9-4.9 10.9-11.7-.1-6.5-4.4-11.7-10.9-11.7zm117.5-.3c-5.4 0-8.7 3.5-9.5 8.7h19.1c-.9-5.7-4.4-8.7-9.6-8.7zm107.8.3c-6.8 0-10.9 5.2-10.9 11.7 0 6.5 4.1 11.7 10.9 11.7 6.8 0 11.2-4.9 11.2-11.7 0-6.5-4.4-11.7-11.2-11.7zm105.9 26.1c0 .3.3.5.3 1.1 0 .3-.3.5-.3 1.1-.3.3-.3.5-.5.8-.3.3-.5.5-1.1.5-.3.3-.5.3-1.1.3-.3 0-.5 0-1.1-.3-.3 0-.5-.3-.8-.5-.3-.3-.5-.5-.5-.8-.3-.5-.3-.8-.3-1.1 0-.5 0-.8.3-1.1 0-.5.3-.8.5-1.1.3-.3.5-.3.8-.5.5-.3.8-.3 1.1-.3.5 0 .8 0 1.1.3.5.3.8.3 1.1.5s.2.6.5 1.1zm-2.2 1.4c.5 0 .5-.3.8-.3.3-.3.3-.5.3-.8 0-.3 0-.5-.3-.8-.3 0-.5-.3-1.1-.3h-1.6v3.5h.8V426h.3l1.1 1.4h.8l-1.1-1.3zM576 81v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V81c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM64 220.6c0 76.5 62.1 138.5 138.5 138.5 27.2 0 53.9-8.2 76.5-23.1-72.9-59.3-72.4-171.2 0-230.5-22.6-15-49.3-23.1-76.5-23.1-76.4-.1-138.5 62-138.5 138.2zm224 108.8c70.5-55 70.2-162.2 0-217.5-70.2 55.3-70.5 162.6 0 217.5zm-142.3 76.3c0-8.7-5.7-14.4-14.7-14.7-4.6 0-9.5 1.4-12.8 6.5-2.4-4.1-6.5-6.5-12.2-6.5-3.8 0-7.6 1.4-10.6 5.4V392h-8.2v36.7h8.2c0-18.9-2.5-30.2 9-30.2 10.2 0 8.2 10.2 8.2 30.2h7.9c0-18.3-2.5-30.2 9-30.2 10.2 0 8.2 10 8.2 30.2h8.2v-23zm44.9-13.7h-7.9v4.4c-2.7-3.3-6.5-5.4-11.7-5.4-10.3 0-18.2 8.2-18.2 19.3 0 11.2 7.9 19.3 18.2 19.3 5.2 0 9-1.9 11.7-5.4v4.6h7.9V392zm40.5 25.6c0-15-22.9-8.2-22.9-15.2 0-5.7 11.9-4.8 18.5-1.1l3.3-6.5c-9.4-6.1-30.2-6-30.2 8.2 0 14.3 22.9 8.3 22.9 15 0 6.3-13.5 5.8-20.7.8l-3.5 6.3c11.2 7.6 32.6 6 32.6-7.5zm35.4 9.3l-2.2-6.8c-3.8 2.1-12.2 4.4-12.2-4.1v-16.6h13.1V392h-13.1v-11.2h-8.2V392h-7.6v7.3h7.6V416c0 17.6 17.3 14.4 22.6 10.9zm13.3-13.4h27.5c0-16.2-7.4-22.6-17.4-22.6-10.6 0-18.2 7.9-18.2 19.3 0 20.5 22.6 23.9 33.8 14.2l-3.8-6c-7.8 6.4-19.6 5.8-21.9-4.9zm59.1-21.5c-4.6-2-11.6-1.8-15.2 4.4V392h-8.2v36.7h8.2V408c0-11.6 9.5-10.1 12.8-8.4l2.4-7.6zm10.6 18.3c0-11.4 11.6-15.1 20.7-8.4l3.8-6.5c-11.6-9.1-32.7-4.1-32.7 15 0 19.8 22.4 23.8 32.7 15l-3.8-6.5c-9.2 6.5-20.7 2.6-20.7-8.6zm66.7-18.3H408v4.4c-8.3-11-29.9-4.8-29.9 13.9 0 19.2 22.4 24.7 29.9 13.9v4.6h8.2V392zm33.7 0c-2.4-1.2-11-2.9-15.2 4.4V392h-7.9v36.7h7.9V408c0-11 9-10.3 12.8-8.4l2.4-7.6zm40.3-14.9h-7.9v19.3c-8.2-10.9-29.9-5.1-29.9 13.9 0 19.4 22.5 24.6 29.9 13.9v4.6h7.9v-51.7zm7.6-75.1v4.6h.8V302h1.9v-.8h-4.6v.8h1.9zm6.6 123.8c0-.5 0-1.1-.3-1.6-.3-.3-.5-.8-.8-1.1-.3-.3-.8-.5-1.1-.8-.5 0-1.1-.3-1.6-.3-.3 0-.8.3-1.4.3-.5.3-.8.5-1.1.8-.5.3-.8.8-.8 1.1-.3.5-.3 1.1-.3 1.6 0 .3 0 .8.3 1.4 0 .3.3.8.8 1.1.3.3.5.5 1.1.8.5.3 1.1.3 1.4.3.5 0 1.1 0 1.6-.3.3-.3.8-.5 1.1-.8.3-.3.5-.8.8-1.1.3-.6.3-1.1.3-1.4zm3.2-124.7h-1.4l-1.6 3.5-1.6-3.5h-1.4v5.4h.8v-4.1l1.6 3.5h1.1l1.4-3.5v4.1h1.1v-5.4zm4.4-80.5c0-76.2-62.1-138.3-138.5-138.3-27.2 0-53.9 8.2-76.5 23.1 72.1 59.3 73.2 171.5 0 230.5 22.6 15 49.5 23.1 76.5 23.1 76.4.1 138.5-61.9 138.5-138.4z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-mastercard"><span class="sr-only">cc-mastercard</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-amex fa-w-18" data-fa-processed="" data-icon="cc-amex" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M576 255.4c-37.9-.2-44.2-.9-54.5 5v-5c-45.3 0-53.5-1.7-64.9 5.2v-5.2h-78.2v5.1c-11.4-6.5-21.4-5.1-75.7-5.1v5.6c-6.3-3.7-14.5-5.6-24.3-5.6h-58c-3.5 3.8-12.5 13.7-15.7 17.2-12.7-14.1-10.5-11.6-15.5-17.2h-83.1v92.3h82c3.3-3.5 12.9-13.9 16.1-17.4 12.7 14.3 10.3 11.7 15.4 17.4h48.9c0-14.7.1-8.3.1-23 11.5.2 24.3-.2 34.3-6.2 0 13.9-.1 17.1-.1 29.2h39.6c0-18.5.1-7.4.1-25.3 6.2 0 7.7 0 9.4.1.1 1.3 0 0 0 25.2 152.8 0 145.9 1.1 156.7-4.5v4.5c34.8 0 54.8 2.2 67.5-6.1V432c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V228.3h26.6c4.2-10.1 2.2-5.3 6.4-15.3h19.2c4.2 10 2.2 5.2 6.4 15.3h52.9v-11.4c2.2 5 1.1 2.5 5.1 11.4h29.5c2.4-5.5 2.6-5.8 5.1-11.4v11.4h135.5v-25.1c6.4 0 8-.1 9.8.2 0 0-.2 10.9.1 24.8h66.5v-8.9c7.4 5.9 17.4 8.9 29.7 8.9h26.8c4.2-10.1 2.2-5.3 6.4-15.3h19c6.5 15 .2.5 6.6 15.3h52.8v-21.9c11.8 19.7 7.8 12.9 13.2 21.9h41.6v-92h-39.9v18.4c-12.2-20.2-6.3-10.4-11.2-18.4h-43.3v20.6c-6.2-14.6-4.6-10.8-8.8-20.6h-32.4c-.4 0-2.3.2-2.3-.3h-27.6c-12.8 0-23.1 3.2-30.7 9.3v-9.3h-39.9v5.3c-10.8-6.1-20.7-5.1-64.4-5.3-.1 0-11.6-.1-11.6 0h-103c-2.5 6.1-6.8 16.4-12.6 30-2.8-6-11-23.8-13.9-30h-46V157c-7.4-17.4-4.7-11-9-21.1H22.9c-3.4 7.9-13.7 32-23.1 53.9V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48v175.4zm-186.6-80.6c-.3.2-1.4 2.2-1.4 7.6 0 6 .9 7.7 1.1 7.9.2.1 1.1.5 3.4.5l7.3-16.9c-1.1 0-2.1-.1-3.1-.1-5.6 0-7 .7-7.3 1zm-19.9 130.9c9.2 3.3 11 9.5 11 18.4l-.1 13.8h-16.6l.1-11.5c0-11.8-3.8-13.8-14.8-13.8h-17.6l-.1 25.3h-16.6l.1-69.3h39.4c13 0 27.1 2.3 27.1 18.7-.1 7.6-4.2 15.3-11.9 18.4zm-6.3-15.4c0-6.4-5.6-7.4-10.7-7.4h-21v15.6h20.7c5.6 0 11-1.3 11-8.2zm181.7-7.1H575v-14.6h-32.9c-12.8 0-23.8 6.6-23.8 20.7 0 33 42.7 12.8 42.7 27.4 0 5.1-4.3 6.4-8.4 6.4h-32l-.1 14.8h32c8.4 0 17.6-1.8 22.5-8.9v-25.8c-10.5-13.8-39.3-1.3-39.3-13.5 0-5.8 4.6-6.5 9.2-6.5zm-99.2-.3v-14.3h-55.2l-.1 69.3h55.2l.1-14.3-38.6-.3v-13.8H445v-14.1h-37.8v-12.5h38.5zm42.2 40.1h-32.2l-.1 14.8h32.2c14.8 0 26.2-5.6 26.2-22 0-33.2-42.9-11.2-42.9-26.3 0-5.6 4.9-6.4 9.2-6.4h30.4v-14.6h-33.2c-12.8 0-23.5 6.6-23.5 20.7 0 33 42.7 12.5 42.7 27.4-.1 5.4-4.7 6.4-8.8 6.4zm-78.1-158.7c-17.4-.3-33.2-4.1-33.2 19.7 0 11.8 2.8 19.9 16.1 19.9h7.4l23.5-54.5h24.8l27.9 65.4v-65.4h25.3l29.1 48.1v-48.1h16.9v69H524l-31.2-51.9v51.9h-33.7l-6.6-15.3h-34.3l-6.4 15.3h-19.2c-22.8 0-33-11.8-33-34 0-23.3 10.5-35.3 34-35.3h16.1v15.2zm14.3 24.5h22.8l-11.2-27.6-11.6 27.6zm-72.6-39.6h-16.9v69.3h16.9v-69.3zm-38.1 37.3c9.5 3.3 11 9.2 11 18.4v13.5h-16.6c-.3-14.8 3.6-25.1-14.8-25.1h-18v25.1h-16.4v-69.3l39.1.3c13.3 0 27.4 2 27.4 18.4.1 8-4.3 15.7-11.7 18.7zm-6.7-15.3c0-6.4-5.6-7.4-10.7-7.4h-21v15.3h20.7c5.7 0 11-1.3 11-7.9zm-59.5-7.4v-14.6h-55.5v69.3h55.5v-14.3h-38.9v-13.8h37.8v-14.1h-37.8v-12.5h38.9zm-84.6 54.7v-54.2l-24 54.2H124l-24-54.2v54.2H66.2l-6.4-15.3H25.3l-6.4 15.3H1l29.7-69.3h24.5l28.1 65.7v-65.7h27.1l21.7 47 19.7-47h27.6v69.3h-16.8zM53.9 188.8l-11.5-27.6-11.2 27.6h22.7zm253 102.5c0 27.9-30.4 23.3-49.3 23.3l-.1 23.3h-32.2l-20.4-23-21.3 23h-65.4l.1-69.3h66.5l20.5 22.8 21-22.8H279c15.6 0 27.9 5.4 27.9 22.7zm-112.7 11.8l-17.9-20.2h-41.7v12.5h36.3v14.1h-36.3v13.8h40.6l19-20.2zM241 276l-25.3 27.4 25.3 28.1V276zm48.3 15.3c0-6.1-4.6-8.4-10.2-8.4h-21.5v17.6h21.2c5.9 0 10.5-2.8 10.5-9.2z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-amex"><span class="sr-only">cc-amex</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-paypal fa-w-18" data-fa-processed="" data-icon="cc-paypal" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M186.3 258.2c0 12.2-9.7 21.5-22 21.5-9.2 0-16-5.2-16-15 0-12.2 9.5-22 21.7-22 9.3 0 16.3 5.7 16.3 15.5zM80.5 209.7h-4.7c-1.5 0-3 1-3.2 2.7l-4.3 26.7 8.2-.3c11 0 19.5-1.5 21.5-14.2 2.3-13.4-6.2-14.9-17.5-14.9zm284 0H360c-1.8 0-3 1-3.2 2.7l-4.2 26.7 8-.3c13 0 22-3 22-18-.1-10.6-9.6-11.1-18.1-11.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM128.3 215.4c0-21-16.2-28-34.7-28h-40c-2.5 0-5 2-5.2 4.7L32 294.2c-.3 2 1.2 4 3.2 4h19c2.7 0 5.2-2.9 5.5-5.7l4.5-26.6c1-7.2 13.2-4.7 18-4.7 28.6 0 46.1-17 46.1-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.2 8.2-5.8-8.5-14.2-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9 0 20.2-4.9 26.5-11.9-.5 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H200c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm40.5 97.9l63.7-92.6c.5-.5.5-1 .5-1.7 0-1.7-1.5-3.5-3.2-3.5h-19.2c-1.7 0-3.5 1-4.5 2.5l-26.5 39-11-37.5c-.8-2.2-3-4-5.5-4h-18.7c-1.7 0-3.2 1.8-3.2 3.5 0 1.2 19.5 56.8 21.2 62.1-2.7 3.8-20.5 28.6-20.5 31.6 0 1.8 1.5 3.2 3.2 3.2h19.2c1.8-.1 3.5-1.1 4.5-2.6zm159.3-106.7c0-21-16.2-28-34.7-28h-39.7c-2.7 0-5.2 2-5.5 4.7l-16.2 102c-.2 2 1.3 4 3.2 4h20.5c2 0 3.5-1.5 4-3.2l4.5-29c1-7.2 13.2-4.7 18-4.7 28.4 0 45.9-17 45.9-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.3 8.2-5.5-8.5-14-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9.3 0 20.5-4.9 26.5-11.9-.3 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H484c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm47.5-33.3c0-2-1.5-3.5-3.2-3.5h-18.5c-1.5 0-3 1.2-3.2 2.7l-16.2 104-.3.5c0 1.8 1.5 3.5 3.5 3.5h16.5c2.5 0 5-2.9 5.2-5.7L544 191.2v-.3zm-90 51.8c-12.2 0-21.7 9.7-21.7 22 0 9.7 7 15 16.2 15 12 0 21.7-9.2 21.7-21.5.1-9.8-6.9-15.5-16.2-15.5z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-paypal"><span class="sr-only">cc-paypal</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-stripe fa-w-18" data-fa-processed="" data-icon="cc-stripe" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M396.9 256.5c0 19.1-8.8 33.4-21.9 33.4-8.3 0-13.3-3-16.8-6.7l-.2-52.8c3.7-4.1 8.8-7 17-7 12.9-.1 21.9 14.5 21.9 33.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM122.2 281.1c0-42.3-54.3-34.7-54.3-50.7 0-5.5 4.6-7.7 12.1-7.7 10.8 0 24.5 3.3 35.3 9.1v-33.4c-11.8-4.7-23.5-6.5-35.3-6.5-28.8 0-48 15-48 40.2 0 39.3 54 32.9 54 49.9 0 6.6-5.7 8.7-13.6 8.7-11.8 0-26.9-4.9-38.9-11.3v33.9c13.2 5.7 26.6 8.1 38.8 8.1 29.6-.2 49.9-14.7 49.9-40.3zm68.9-86.9h-27v-30.8l-34.7 7.4-.2 113.9c0 21 15.8 36.5 36.9 36.5 11.6 0 20.2-2.1 24.9-4.7v-28.9c-4.5 1.8-27 8.3-27-12.6v-50.5h27v-30.3zm73.8 0c-4.7-1.7-21.3-4.8-29.6 10.5l-2.2-10.5h-30.7v124.5h35.5v-84.4c8.4-11 22.6-8.9 27.1-7.4v-32.7zm44.2 0h-35.7v124.5h35.7V194.2zm0-47.3l-35.7 7.6v28.9l35.7-7.6v-28.9zm122.7 108.8c0-41.3-23.5-63.8-48.4-63.8-13.9 0-22.9 6.6-27.8 11.1l-1.8-8.8h-31.3V360l35.5-7.5.1-40.2c5.1 3.7 12.7 9 25.1 9 25.4-.1 48.6-20.5 48.6-65.6zm112.2 1.2c0-36.4-17.6-65.1-51.3-65.1-33.8 0-54.3 28.7-54.3 64.9 0 42.8 24.2 64.5 58.8 64.5 17 0 29.7-3.9 39.4-9.2v-28.6c-9.7 4.9-20.8 7.9-34.9 7.9-13.8 0-26-4.9-27.6-21.5h69.5c.1-2 .4-9.4.4-12.9zm-51.6-36.1c-8.9 0-18.7 6.7-18.7 22.7h36.7c0-16-9.3-22.7-18-22.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-stripe"><span class="sr-only">cc-stripe</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-discover fa-w-18" data-fa-processed="" data-icon="cc-discover" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M83 212.1c0 7.9-3.2 15.5-8.9 20.7-4.9 4.4-11.6 6.4-21.9 6.4H48V185h4.2c10.3 0 16.7 1.7 21.9 6.6 5.7 5 8.9 12.6 8.9 20.5zM504.8 184h-4.9v24.9h4.7c10.3 0 15.8-4.4 15.8-12.8 0-7.9-5.5-12.1-15.6-12.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM428 253h45.3v-13.8H444V217h28.3v-13.8H444V185h29.3v-14H428v82zm-86.2-82l35 84.2h8.6l35.5-84.2h-17.5l-22.2 55.2-21.9-55.2h-17.5zm-83 41.6c0 24.6 19.9 44.6 44.6 44.6 24.6 0 44.6-19.9 44.6-44.6 0-24.6-19.9-44.6-44.6-44.6-24.6 0-44.6 19.9-44.6 44.6zm-68-.5c0 32.5 33.6 52.5 63.3 38.2v-19c-19.3 19.3-46.8 5.8-46.8-19.2 0-23.7 26.7-39.1 46.8-19v-19c-30.2-15-63.3 6.8-63.3 38zm-33.9 28.3c-7.6 0-13.8-3.7-17.5-10.8l-10.3 9.9c17.8 26.1 56.6 18.2 56.6-11.3 0-13.1-5.4-19-23.6-25.6-9.6-3.4-12.3-5.9-12.3-10.3 0-8.7 14.5-14.1 24.9-2.5l8.4-10.8c-19.1-17.1-49.7-8.9-49.7 14.3 0 11.3 5.2 17.2 20.2 22.7 25.7 9.1 14.7 24.4 3.3 24.4zm-57.4-28.3c0-24.1-18-41.1-44.1-41.1H32v82h23.4c30.9 0 44.1-22.4 44.1-40.9zm23.4-41.1h-16v82h16v-82zM544 288c-33.3 20.8-226.4 124.4-416 160h401c8.2 0 15-6.8 15-15V288zm0-35l-25.9-34.5c12.1-2.5 18.7-10.6 18.7-23.2 0-28.5-30.3-24.4-52.9-24.4v82h16v-32.8h2.2l22.2 32.8H544z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-discover"><span class="sr-only">cc-discover</span></i> --></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 13, 13, 'en', 0, '<p class="more-link"><a href="#">Get text alerts</a></p>\r\n', '', 'full_html'),
('basic', 0, 14, 14, 'en', 0, '<div class="row align-items-center">\r\n<div class="col-12 col-xl-3 mb-3 mb-xl-0 text-xl-left text-center">\r\n<p class="subscribe-form-text">Join our mailing list to keep up to date on future events.</p>\r\n</div>\r\n\r\n<div class="col-12 col-xl-9">\r\n<form action="#" class="subscribe-form" data-drupal-form-fields="subscribe-submit">\r\n<div class="form-row">\r\n<div class="form-group col-12 col-sm-8 col-lg-9 mb-3 mb-sm-0">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="email" placeholder="Email" type="email" /></div>\r\n</div>\r\n\r\n<div class="form-actions col-12 col-sm-4 col-lg-3"><input class="form-submit w-100" id="subscribe-submit" name="subscribe-submit" type="submit" value="Subscribe" /></div>\r\n</div>\r\n</form>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 16, 16, 'en', 0, '<div class="static-promoted-images-grid">\r\n  <div class="row">\r\n    <div class="col-md-3">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/23"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/23"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-1.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/22"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/22"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-2.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-5">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/21"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/21"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-3.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="clearfix"></div>\r\n    <div class="col-md-9">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/20"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/20"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-4.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-3">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/19"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/19"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-5.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 17, 17, 'en', 0, '<ul class="icons-list icons-list--extra-large text-center">\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-left-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-middle-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-right-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n</ul>', '', 'raw_html'),
('basic', 0, 18, 18, 'en', 0, '<div class="social-media">\r\n  <div class="row grid-gutter-0">\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">OUR BLOG</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-1.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">INSTAGRAM</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-2.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">YOUTUBE</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-3.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">FACEBOOK</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-4.jpg" alt="">\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 19, 19, 'en', 0, '<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\r\n	<li><a class="background-color-facebook" href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a class="background-color-twitter" href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a class="background-color-youtube" href="http://www.youtube.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-youtube fa-w-18" data-fa-processed="" data-icon="youtube" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z" fill="currentColor"></path></svg><!-- <i class="fab fa-youtube"><span class="sr-only">youtube</span></i> --></a></li>\r\n	<li><a class="background-color-linkedin" href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 20, 20, 'en', 0, '<div class="company-info"><p><small>Have any questions? Contact us at +1-800-corporate or <a href="mailto:info@conferenceplus.com">info@conferenceplus.com</a></small></p></div>', '', 'raw_html'),
('basic', 0, 21, 21, 'en', 0, '<div class="fancy-block-container">\r\n<div class="fancy-block fancy-block-text fancy-top-left col-md-7 col-lg-6 fade" data-animate-effect="fadeInLeft">\r\n<h3>FAST DELIVERY</h3>\r\n<div class="separator"></div>\r\n<p>We provide you with fast &amp; delivery <br>regardless of the product size and value.</p>\r\n<p>Your order will be delivered surely!</p>\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-top-right col-md-3 fade" data-animate-effect="fadeInRight">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-2.jpg" alt="">\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-bottom-left col-xl-5 col-md-6 fade" data-animate-effect="fadeInLeft">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-3.jpg" alt="">\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-top-middle col-md-5 fade" data-animate-effect="fadeInDown">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-1.jpg" alt="">\r\n</div>\r\n<div class="clearfix d-block d-md-none"></div>\r\n<div class="fancy-block fancy-block-text fancy-bottom-right col-md-7 col-lg-5 fade" data-animate-effect="fadeInRight">\r\n<h3>100% MONEY BACK GUARANTEED</h3>\r\n<div class="separator"></div>\r\n<p>Within 60 days of payment we offer 100% money back guaranteed.</p>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 25, 25, 'en', 0, '<h2 class="block-title">Contact Details</h2>\r\n\r\n<p>Email us with any <strong>questions or inquiries</strong> or use our contact data. We would be happy to answer your questions.</p>\r\n\r\n<ul class="contact-info">\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-map-marker fa-w-12" data-fa-processed="" data-icon="map-marker" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker"><span class="sr-only">map-marker</span></i> -->1673 Nutters Barn Lane Des Moines, IA 503043</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone"><span class="sr-only">phone</span></i> --> Ph: (012) 345 - 6789<br />\r\n	Fa: 555 - 674 5534</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope"><span class="sr-only">envelope</span></i> --> conferenceplus@contact.com<br />\r\n	conferenceplus@sales.com</li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 28, 28, 'en', 0, '<div class="alert alert-dismissible" role="alert">\r\n  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>\r\n  This site uses cookies. By continuing to browse the site, you are agreeing to our use of cookies. <a href="#" class="link--bordered">Find out more</a>.\r\n</div>\r\n\r\n\r\n', '', 'raw_html'),
('basic', 0, 29, 29, 'en', 0, '<div class="logo-and-site-name-wrapper clearfix">\r\n  <div class="logo">\r\n    <a href="#" title="Home" rel="home" class="site-branding__logo">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-bright.svg" alt="Home">\r\n    </a>\r\n  </div>\r\n  <div class="site-name site-branding__name">\r\n    <a href="#" title="Home" rel="home">Conference+</a>\r\n  </div>\r\n  <div class="site-slogan site-branding__slogan">A DRUPAL 8 THEME FOR CORPORATE SITES</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 30, 30, 'en', 0, '<div class="layout-switcher">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item active"><a href="merchandise-3-col" title="Grid Layout"><i class="fas fa-th fa-sm"><span class="sr-only">th</span></i></a></li>\r\n	<li class="inline-list__item"><a href="merchandise-list" title="List Layout"><i class="fas fa-list fa-sm"><span class="sr-only">list</span></i></a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 31, 31, 'en', 0, '<div class="layout-switcher">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item"><a href="merchandise-2-col" title="Grid Layout"><i class="fas fa-th"><span class="sr-only">th</span></i></a></li>\r\n	<li class="inline-list__item active"><a href="merchandise-list" title="List Layout"><i class="fas fa-list"><span class="sr-only">list</span></i></a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 34, 34, 'en', 0, '<div class="mt-text-blocks">\r\n<div class="row">\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>FAST DELIVERY</h4>\r\n<div class="separator"></div>\r\n<p>We provide you with fast &amp; delivery regardless of the product size and value.</p>\r\n</div>\r\n</div>\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>PRICE COMPARISON</h4>\r\n<div class="separator"></div>\r\n<p>The advanced innovation of search engine allows you to easily check prices and compare with just a few clicks.</p>\r\n</div>\r\n</div>\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>100% MONEY BACK</h4>\r\n<div class="separator"></div>\r\n<p>Within 60 days of payment we offer 100% money back guaranteed.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 38, 38, 'en', 0, '<h4 class="text-center mt-5 mb-4">Aren’t you convinced yet? You should come.</h4>\r\n<p class="text-center"><a class="button button--hover-style-2" href="#">Buy a Ticket</a></p>\r\n', '', 'raw_html'),
('basic', 0, 39, 39, 'en', 0, '<div class="call-to-action">\r\n<div class="row">\r\n<div class="col-md-6">\r\n<h2 class="title">Enjoy a Gorgeous Look and Feel.</h2>\r\n\r\n<h5>Get to know all about our meeting</h5>\r\n\r\n<p>International Conference on Applied Physics and Mathematics is a prestigious event organized with a motivation to provide an excellent international platform for the academicians, researchers, engineers, industrial participants.</p>\r\n<a class="button" href="#">Buy a ticket</a></div>\r\n\r\n<div class="col-md-6">\r\n<div class="highlights-grid">\r\n<div class="row no-gutters">\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-right border-bottom"><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt"></i> -->\r\n\r\n<h5>Location</h5>\r\n\r\n<p>New York</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-bottom"><svg aria-hidden="true" class="svg-inline--fa fa-calendar fa-w-14" data-fa-processed="" data-icon="calendar" data-prefix="fas" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm436-44v-36c0-26.5-21.5-48-48-48h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v36c0 6.6 5.4 12 12 12h424c6.6 0 12-5.4 12-12z" fill="currentColor"></path></svg><!-- <i class="fas fa-calendar"></i> -->\r\n\r\n<h5>Date</h5>\r\n\r\n<p>17 - 20 September, 2017</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-right"><svg aria-hidden="true" class="svg-inline--fa fa-microphone fa-w-12" data-fa-processed="" data-icon="microphone" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M96 256V96c0-53.019 42.981-96 96-96s96 42.981 96 96v160c0 53.019-42.981 96-96 96s-96-42.981-96-96zm252-56h-24c-6.627 0-12 5.373-12 12v42.68c0 66.217-53.082 120.938-119.298 121.318C126.213 376.38 72 322.402 72 256v-44c0-6.627-5.373-12-12-12H36c-6.627 0-12 5.373-12 12v44c0 84.488 62.693 154.597 144 166.278V468h-68c-6.627 0-12 5.373-12 12v20c0 6.627 5.373 12 12 12h184c6.627 0 12-5.373 12-12v-20c0-6.627-5.373-12-12-12h-68v-45.722c81.307-11.681 144-81.79 144-166.278v-44c0-6.627-5.373-12-12-12z" fill="currentColor"></path></svg><!-- <i class="fas fa-microphone"></i> -->\r\n\r\n<h5>Speakers</h5>\r\n\r\n<p>32</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item"><svg aria-hidden="true" class="svg-inline--fa fa-user fa-w-16" data-fa-processed="" data-icon="user" data-prefix="far" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M399.326 288.908C422.188 258.886 436 221.085 436 180 436 80.591 355.414 0 256 0 156.591 0 76 80.586 76 180c0 41.073 13.806 78.878 36.674 108.908C50.028 296.336 0 349.651 0 416v28.5C0 481.72 30.28 512 67.5 512h377c37.22 0 67.5-30.28 67.5-67.5V416c0-66.374-50.052-119.667-112.674-127.092zM256 48c72.902 0 132 59.098 132 132s-59.098 132-132 132-132-59.098-132-132S183.098 48 256 48zm208 396.5c0 10.77-8.73 19.5-19.5 19.5h-377c-10.77 0-19.5-8.73-19.5-19.5V416c0-44.183 35.817-80 80-80h38.14c55.486 31.968 124.026 32.087 179.72 0H384c44.183 0 80 35.817 80 80v28.5z" fill="currentColor"></path></svg><!-- <i class="far fa-user"></i> -->\r\n\r\n<h5>Seats</h5>\r\n\r\n<p>1,200 Available</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 41, 41, 'en', 0, '<div class="highlights">\r\n  <p class="text-center bottom-spacing-medium">Some times numbers do tell the truth. Perhaps, then, there’s no better <br> way to figure out more about us, than checking out these highlights.</p>\r\n  <div class="row">\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="1000000" data-speed="2000">1000000</div>\r\n        <div class="highlight-body">unique <br> visitors</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="112000" data-speed="2000">112000</div>\r\n        <div class="highlight-body">subscribers to <br> our newsletter</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="55000" data-speed="2000">55000</div>\r\n        <div class="highlight-body">first time <br> customers</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="43000" data-speed="2000">43000</div>\r\n        <div class="highlight-body">returning <br> customers</div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 42, 42, 'en', 0, '<div class="subscribe-full-width">\r\n<div class="row">\r\n<div class="col-lg-4 col-xl-3">\r\n<h4 class="mt-0"><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope"></i> --> Newsletter</h4>\r\n</div>\r\n\r\n<div class="col-lg-8 col-xl-9">\r\n<form action="#">\r\n<div class="form-group">\r\n<div class="row">\r\n<div class="col-xl-9 col-lg-8 col-md-7">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Your email address'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Your email address" /></div>\r\n</div>\r\n\r\n<div class="col-xl-3 col-lg-4 col-md-5">\r\n<div class="form-actions"><input class="form-submit btn-block" type="submit" value="Subscribe" /></div>\r\n</div>\r\n</div>\r\n</div>\r\n</form>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 43, 43, 'en', 0, '<div class="contact-info-items-grid">\r\n  <div class="row">\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item contact-info-item--bordered text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-phone"></i></div>\r\n        <div class="contact-info-item__text">(012) 345 - 6789</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item contact-info-item--bordered text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-location-arrow"></i></div>\r\n        <div class="contact-info-item__text">1949 Lochmere Lane <br> Jewett City, CT 06351</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-envelope-square"></i></div>\r\n        <div class="contact-info-item__text">info@conferenceplus.com</div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'full_html'),
('basic', 0, 46, 46, 'en', 0, '<div class="row text-lg-right">\r\n<div class="col-md-7 col-xl-8 xs-text-center">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item"><i class="inline-list__icon fas fa-map-marker"><span class="sr-only">map-marker</span></i> 3246 Sussex Court, Jonesboro, TX 76538</li>\r\n	<li class="inline-list__item"><i class="inline-list__icon fas fa-phone"><span class="sr-only">phone</span></i> (012) 555-123-4567</li>\r\n</ul>\r\n</div>\r\n\r\n<div class="col-md-5 col-xl-4 text-center text-md-right"><a class="button button--colored button--no-margins button--hover-style-2" href="#"><i class="fas fa-envelope mr-2"></i> Contact Us</a></div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 47, 47, 'en', 0, '<ul class="icons-list icons-list--large icons-list--bordered text-center">\r\n	<li><a href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 50, 50, 'en', 0, '<h3 class="block-title text-center">Interested in<br />\r\n<span>investing with us?</span></h3>\r\n\r\n<div class="separator separator--gray">&nbsp;</div>\r\n\r\n<p class="text-center">We are an international private company found and led by the team of investors,<br />\r\nmanagers and entrepreneurs.</p>\r\n\r\n<p class="text-center"><a class="button button--hover-style-2" href="#"><i class="fas fa-envelope"></i> contact us</a></p>\r\n', '', 'full_html'),
('basic', 0, 51, 51, 'en', 0, '<h2 class="text-center bottom-spacing-small">“ENTHUSIASM IS EXCITEMENT WITH INSPIRATION &amp; <br> A PINCH OF CREATIVITY.” <span class="text--colored">-BO BENNET</span></h2>\r\n<div class="row">\r\n<div class="col-lg-6 order-lg-2">\r\n<p>\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-about-me-1.jpg" alt="">\r\n</p>\r\n</div>\r\n<div class="col-lg-6 order-lg-1">\r\n<p>I spent a lot of years trying to outrun or outsmart vulnerability by making things certain and definite, black and white, good and bad.</p>\r\n<p>My inability to lean into the discomfort of vulnerability limited the fullness of those important experiences that are wrought with uncertainty.</p>\r\n<div class="progress-title">Photoshop</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%">\r\n    <span class="sr-only">78% Photoshop</span>\r\n  </div>\r\n</div>\r\n<div class="progress-title">UI / UX DESIGN</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width: 50%">\r\n    <span class="sr-only">50% UI / UX DESIGN</span>\r\n  </div>\r\n</div>\r\n<div class="progress-title">WEB DEVELOPMENT</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">\r\n    <span class="sr-only">80% WEB DEVELOPMENT</span>\r\n  </div>\r\n</div>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 53, 53, 'en', 0, '<div class="contact-info__text-secondary text-center mb-0">Questions? Contact the Association Management office at</div>\r\n\r\n<div class="contact-info__text-primary text-center">(012) 345 - 6789 or <a class="link--bordered" href="#">info@conferenceplus.edu</a></div>\r\n', '', 'full_html'),
('basic', 0, 55, 55, 'en', 0, '<div class="row">\r\n<div class="col-lg-6 col-12 order-lg-2">\r\n<div class="fancy-block-2-container bottom-spacing-small"><img alt="service image" class="fancy-image-top-left fade" data-animate-effect="fadeInDown" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-service-1.jpg" /> <img alt="service image" class="fancy-image-bottom-right fancy-image--box-shadow fancy-image--position-absolute fade" data-animate-effect="fadeInRight" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-service-2.jpg" /></div>\r\n</div>\r\n\r\n<div class="col-lg-6 col-12 order-lg-1">\r\n<div class="fade" data-animate-effect="fadeInLeft">\r\n<h2 class="bottom-spacing-small">ARE YOU LOOKING FOR A GREAT SERVICE?</h2>\r\n\r\n<p>The most obvious benefit of remaining independent is that we have no boundaries except those we put on ourselves.</p>\r\n\r\n<ul class="list--fa-check-circle">\r\n	<li>Surviving 21 years in any industry</li>\r\n	<li>Focused on delivering outcomes</li>\r\n	<li>I have no boundaries</li>\r\n</ul>\r\n\r\n<p><a class="button button--hover-style-2" href="#">Let''s talk</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 57, 57, 'en', 0, '<div class="row text-center">\r\n<div class="col-lg-10 ml-lg-auto mr-lg-auto">\r\n<h2 class="bottom-spacing-small">MY STORY</h2>\r\n<p class="highlighted">Controversy is part of the nature of art &amp; creativity.</p>\r\n<div class="bottom-spacing-medium">\r\n<p>One very important aspect of motivation is the willingness to stop and to look at things that no one else has bothered to look at. This simple process of focusing on things that are normally taken for granted.</p>\r\n</div>\r\n<div class="bottom-spacing-small">\r\n<p>\r\n<a href="#" class="button button--hover-style-2">About Me</a>\r\n</p>\r\n</div>\r\n</div>\r\n</div>\r\n<hr>\r\n<div class="highlights-2">\r\n<div class="row">\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">1</div>\r\n<div class="highlight-2-body">Web Design</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">2</div>\r\n<div class="highlight-2-body">UI/UX Design</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">3</div>\r\n<div class="highlight-2-body">Web Development</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">4</div>\r\n<div class="highlight-2-body">Branding</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', 'raw_html'),
('basic', 0, 73, 73, 'en', 0, '<div class="language-switcher-language-url block-language">\r\n<ul class="links">\r\n	<li><a class="language-link" href="#">English</a></li>\r\n	<li><a class="language-link" href="#">Deutsche</a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 74, 74, 'en', 0, '<ul class="social-links social-links--inline text-center">\r\n<li>\r\n<a href="#" class="hover-color-facebook">Facebook</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-twitter">Twitter</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-behance">Behance</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-dribbble">Dribbble</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-instagram">Instagram</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-vimeo">Vimeo</a>\r\n</li>\r\n</ul>', '', 'raw_html');
INSERT INTO `block_content__body` VALUES
('basic', 0, 75, 75, 'en', 0, '<div class="row">\r\n\r\n  <div class="col-md-3">\r\n    <div class="logo-centered">\r\n      <a href="#" title="Home" rel="home" class="site-branding__logo">\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-white.svg" alt="Home">\r\n      </a>\r\n    </div>\r\n    <div class="text-center clearfix">\r\n      <div class="site-name site-branding__name">\r\n        <a href="#" title="Home" rel="home">Association</a>\r\n      </div>\r\n      <div class="site-slogan site-branding__slogan">A top quality Drupal 8 theme</div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-md-9">\r\n    <h2 class="title mb-0">Sint optio aut deserunt saepe ex rerum</h2>\r\n    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dolore commodi, rerum saepe aliquam, iste iure nihil. Quasi assumenda magni, ex saepe? Saepe ut delectus soluta dignissimos dolorum voluptates.</p>\r\n    <p>Mollitia repellendus eos in doloribus hic eligendi rem facere laboriosam, provident nemo iste qui id deleniti.</p>\r\n  </div>\r\n\r\n</div>', '', 'raw_html'),
('basic', 0, 76, 76, 'en', 0, '<ul class="icons-list icons-list--bordered">\r\n	<li><a href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a href="https://plus.google.com/118354321025436191714/posts"><svg aria-hidden="true" class="svg-inline--fa fa-google-plus fa-w-16" data-fa-processed="" data-icon="google-plus" data-prefix="fab" role="img" viewbox="0 0 496 512" xmlns="http://www.w3.org/2000/svg"><path d="M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm-70.7 372c-68.8 0-124-55.5-124-124s55.2-124 124-124c31.3 0 60.1 11 83 32.3l-33.6 32.6c-13.2-12.9-31.3-19.1-49.4-19.1-42.9 0-77.2 35.5-77.2 78.1s34.2 78.1 77.2 78.1c32.6 0 64.9-19.1 70.1-53.3h-70.1v-42.6h116.9c1.3 6.8 1.9 13.6 1.9 20.7 0 70.8-47.5 121.2-118.8 121.2zm230.2-106.2v35.5H372v-35.5h-35.5v-35.5H372v-35.5h35.5v35.5h35.2v35.5h-35.2z" fill="currentColor"></path></svg><!-- <i class="fab fa-google-plus"><span class="sr-only">google-plus</span></i> --></a></li>\r\n	<li><a href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n	<li><a href="http://www.youtube.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-youtube fa-w-18" data-fa-processed="" data-icon="youtube" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z" fill="currentColor"></path></svg><!-- <i class="fab fa-youtube-play"><span class="sr-only">youtube</span></i> --></a></li>\r\n	<li><a href="http://instagram.com/"><svg aria-hidden="true" class="svg-inline--fa fa-instagram fa-w-14" data-fa-processed="" data-icon="instagram" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z" fill="currentColor"></path></svg><!-- <i class="fab fa-instagram"><span class="sr-only">instagram</span></i> --></a></li>\r\n	<li><a href="http://www.flickr.com/photos/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-flickr fa-w-14" data-fa-processed="" data-icon="flickr" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z" fill="currentColor"></path></svg><!-- <i class="fab fa-flickr"><span class="sr-only">flickr</span></i> --></a></li>\r\n	<li><a href="http://vimeo.com/morethanthemes"><svg aria-hidden="true" class="svg-inline--fa fa-vimeo-square fa-w-14" data-fa-processed="" data-icon="vimeo-square" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-16.2 149.6c-1.4 31.1-23.2 73.8-65.3 127.9-43.5 56.5-80.3 84.8-110.4 84.8-18.7 0-34.4-17.2-47.3-51.6-25.2-92.3-35.9-146.4-56.7-146.4-2.4 0-10.8 5-25.1 15.1L64 192c36.9-32.4 72.1-68.4 94.1-70.4 24.9-2.4 40.2 14.6 46 51.1 20.5 129.6 29.6 149.2 66.8 90.5 13.4-21.2 20.6-37.2 21.5-48.3 3.4-32.8-25.6-30.6-45.2-22.2 15.7-51.5 45.8-76.5 90.1-75.1 32.9 1 48.4 22.4 46.5 64z" fill="currentColor"></path></svg><!-- <i class="fab fa-vimeo-square"><span class="sr-only">vimeo-square</span></i> --></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 79, 79, 'en', 0, '<div class="row">\r\n  <div class="col-12 col-lg-10 ml-lg-auto mr-lg-auto">\r\n    <h2 class="block-title--extra-large text-center">Beautiful solutions for intelligent companies</h2>\r\n    <p class="extra-large text-center mt-5 mb-5">Skyrocket your business <br> with the best-in-market solution around.</p>\r\n  </div>\r\n</div>\r\n<div class="row mt-5 pb-5">\r\n  <div class="col-xl-4 col-lg-6 col-12 ml-xl-auto mr-xl-auto order-lg-2">\r\n    <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-feature-1.jpg" alt="feature">\r\n  </div>\r\n  <div class="col-xl-5 col-lg-6 col-12 ml-xl-auto mr-xl-auto order-lg-1">\r\n    <h2 class="block-title--medium-large mt-lg-0">Multi-platform Support</h2>\r\n    <p class="large">If you own an iPhone, you’ve probably already worked out how much fun it is to use it to watch movies-it has that nice big screen, and the sound quality is surprisingly good too.</p>\r\n  </div>\r\n</div>\r\n<div class="row mt-5 mb-5">\r\n  <div class="col-xl-4 col-lg-6 col-12 ml-xl-auto mr-xl-auto">\r\n    <ul class="icons-list icons-list--extra-large icons-list--bordered-square d-xl-flex justify-content-around mb-5 text-center">\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-internet-explorer"><span class="sr-only">internet-explorer</span></i>\r\n        </span>\r\n      </li>\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-firefox"><span class="sr-only">firefox</span></i>\r\n        </span>\r\n      </li>\r\n    </ul>\r\n    <ul class="icons-list icons-list--extra-large icons-list--bordered-square d-xl-flex justify-content-around text-center">\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-chrome"><span class="sr-only">chrome</span></i>\r\n        </span>\r\n      </li>\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-safari"><span class="sr-only">safari</span></i>\r\n        </span>\r\n      </li>\r\n    </ul>\r\n  </div>\r\n  <div class="col-xl-5 col-lg-6 col-12 ml-xl-auto">\r\n    <h2 class="block-title--medium-large mt-lg-0">Multi-browser Support</h2>\r\n    <p class="large">If you own an iPhone, you’ve probably already worked out how much fun it is to use it to watch movies-it has that nice big screen, and the sound quality is surprisingly good too.</p>\r\n  </div>\r\n</div>', '', 'raw_html'),
('basic', 0, 80, 80, 'en', 0, '<div class="row">\r\n<div class="col-12 col-xl-6"><img alt="highlight" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-highlight-1.jpg" /></div>\r\n\r\n<div class="col-12 col-xl-6">\r\n<h2 class="block-title--medium text--colored mb-4 font-weight-normal">Ideal for all your business needs</h2>\r\n\r\n<ul class="list-unstyled mb-4">\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Lorem ipsum dolor sit amet, consectetur adipisicing elit</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Aut sit, labore eos odio fugiat ducimus alias</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Explicabo dolores harum soluta asperiores et ipsum rem</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Debitis deleniti. Incidunt molestias iusto saepe</li>\r\n</ul>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 82, 82, 'en', 0, '<div class="logo-centered"><a class="site-branding__logo" href="#" rel="home" title="Home"><img alt="Home" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-white.svg" /> </a></div>\r\n\r\n<div class="text-center clearfix">\r\n<div class="site-name site-branding__name"><a href="#" rel="home" title="Home">Conference+</a></div>\r\n\r\n<div class="site-slogan site-branding__slogan">A top quality Drupal 8 theme</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 83, 83, 'en', 0, '<div class="contact-info d-md-block d-inline-block text-left">\r\n<ul>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt"><span class="sr-only">map-marker-alt</span></i> --> 787 Virginia Street New York,<br />\r\n	NY 213421</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone"><span class="sr-only">phone</span></i> --> +321 123 456 7</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="far" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M464 64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm0 48v40.805c-22.422 18.259-58.168 46.651-134.587 106.49-16.841 13.247-50.201 45.072-73.413 44.701-23.208.375-56.579-31.459-73.413-44.701C106.18 199.465 70.425 171.067 48 152.805V112h416zM48 400V214.398c22.914 18.251 55.409 43.862 104.938 82.646 21.857 17.205 60.134 55.186 103.062 54.955 42.717.231 80.509-37.199 103.053-54.947 49.528-38.783 82.032-64.401 104.947-82.653V400H48z" fill="currentColor"></path></svg><!-- <i class="far fa-envelope"><span class="sr-only">envelope</span></i> --> <a class="link--bordered" href="mailto:info@conferenceplus.com">info@conferenceplus.com</a></li>\r\n</ul>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 84, 84, 'en', 0, '<h2 class="title"><i class="fas fa-gem mr-3"></i>About The Association</h2>\r\n\r\n<p class="mb-3">The International Association of Analytics and the Society of Analytics are imaginary organizations used for demo purposes in this Drupal theme distribution.</p>\r\n\r\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\r\n	<li><a class="background-color-facebook" href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a></li>\r\n	<li><a class="background-color-twitter" href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a></li>\r\n	<li><a class="background-color-linkedin" href="#"><i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i></a></li>\r\n	<li><a class="background-color-youtube" href="#"><i class="fab fa-youtube"><span class="sr-only">youtube</span></i></a></li>\r\n</ul>\r\n', '', 'full_html'),
('basic', 0, 85, 85, 'en', 0, '<div class="d-md-block d-none py-2">\r\n<div class="row">\r\n<div class="col-12 col-lg-6 text-center text-lg-left">\r\n<p class="py-2"><i class="fas fa-gem mr-3 fa-lg"></i>International Association of Analytics</p>\r\n</div>\r\n\r\n<div class="col-12 col-lg-6 text-center text-lg-right"><a class="mr-3" href="user"><i class="fas fa-lock fa-sm mr-2"></i> Sign In</a> <a class="button button--small my-1 my-md-0" href="#">Sign Up</a></div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('basic', 0, 87, 87, 'en', 0, '<p><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16 mr-2 ml-1" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone mr-2 ml-1"></i> --> (012) 345 - 6789<br />\r\n<svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16 mr-2 ml-1" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope mr-2 ml-1"></i> --> info@conferenceplus.edu</p>\r\n', '', 'full_html'),
('basic', 0, 88, 88, 'en', 0, '<p><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12 mr-2 ml-1" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt mr-2 ml-1"></i> --> 787 Virginia Street New York, NY 213421</p>\r\n', '', 'full_html'),
('basic', 0, 89, 89, 'en', 0, '<i class="far fa-clock mr-2 ml-1 mt-1 d-inline-block align-top"></i> <div class="d-inline-block align-top">Fri:  8:00am - 5:00pm <br>\r\nSat: 9:00am - 5:30pm <br>\r\nSun: 9:00am - 11:00am </div>', '', 'raw_html'),
('basic', 0, 91, 91, 'en', 0, '<p><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12 mr-2 ml-1" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fa" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fa fa-map-marker-alt mr-2 ml-1"></i> --> Big venue, South Entrance on 787 Virginia Street New York, NY 213421</p>\r\n', '', 'full_html'),
('mt_typing_animation_block', 0, 92, 92, 'en', 0, '<div class="mt-1 pt-1 text-center">\r\n<h2>The event that unlocks success to <br> your business goals.</h2>\r\n\r\n<div class="d-flex justify-content-center align-items-center mt-1">\r\n<div class="typed-strings">\r\n<p>Meet leading experts, engage in high impact discussions.</p>\r\n<p>Learn about state-of-the-art advancements in your field.</p>\r\n<p>Network with leading figures in the market.</p>\r\n<p>Join today, be part of tomorrow.</p>\r\n</div>\r\n<div class="typed text-center"></div>\r\n</div>\r\n\r\n</div>', '', 'raw_html'),
('basic', 0, 95, 95, 'en', 0, '<p>We accept all major credit cards, as well as a number of other ways to pay.</p>\r\n\r\n<ul class="credit-cards">\r\n	<li><i class="fab fa-cc-visa"></i></li>\r\n	<li><i class="fab fa-cc-mastercard"></i></li>\r\n	<li><i class="fab fa-cc-amex"></li>\r\n	<li><i class="fab fa-cc-paypal"></i></li>\r\n	<li><i class="fab fa-cc-stripe"></i></li>\r\n	<li><i class="fab fa-cc-discover"></i></li>\r\n</ul>\r\n', '', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_background_image`
--

CREATE TABLE `block_content__field_mt_background_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_background_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_background_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_background_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_background_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_background_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_background_image_target_id` (`field_mt_background_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_background…';

--
-- Dumping data for table `block_content__field_mt_background_image`
--

INSERT INTO `block_content__field_mt_background_image` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 111, 'Background Image CtA', '', 1920, 1080),
('mt_background_image_block', 0, 54, 54, 'en', 0, 112, 'Background Image', '', 1920, 1080),
('mt_background_image_block', 0, 58, 58, 'en', 0, 114, 'Background Image - Clients', '', 1920, 1080),
('mt_background_image_block', 0, 90, 90, 'en', 0, 144, 'albums', '', 1920, 1080);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bg_image_color`
--

CREATE TABLE `block_content__field_mt_bg_image_color` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bg_image_color_value` (`field_mt_bg_image_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bg_image…';

--
-- Dumping data for table `block_content__field_mt_bg_image_color`
--

INSERT INTO `block_content__field_mt_bg_image_color` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 'region--dark-typography region--white-background'),
('mt_background_image_block', 0, 54, 54, 'en', 0, 'region--light-typography region--black-background'),
('mt_background_image_block', 0, 58, 58, 'en', 0, 'region--light-typography region--black-background'),
('mt_background_image_block', 0, 90, 90, 'en', 0, 'region--light-typography region--dark-background');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bg_image_layout_mode`
--

CREATE TABLE `block_content__field_mt_bg_image_layout_mode` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_layout_mode_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bg_image_layout_mode_value` (`field_mt_bg_image_layout_mode_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bg_image…';

--
-- Dumping data for table `block_content__field_mt_bg_image_layout_mode`
--

INSERT INTO `block_content__field_mt_bg_image_layout_mode` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 'container'),
('mt_background_image_block', 0, 54, 54, 'en', 0, 'container'),
('mt_background_image_block', 0, 58, 58, 'en', 0, 'container'),
('mt_background_image_block', 0, 90, 90, 'en', 0, 'container');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bg_image_opacity`
--

CREATE TABLE `block_content__field_mt_bg_image_opacity` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_opacity_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bg_image…';

--
-- Dumping data for table `block_content__field_mt_bg_image_opacity`
--

INSERT INTO `block_content__field_mt_bg_image_opacity` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 95),
('mt_background_image_block', 0, 54, 54, 'en', 0, 70),
('mt_background_image_block', 0, 58, 58, 'en', 0, 70),
('mt_background_image_block', 0, 90, 90, 'en', 0, 80);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bg_image_positioning`
--

CREATE TABLE `block_content__field_mt_bg_image_positioning` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bg_image_positioning_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bg_image…';

--
-- Dumping data for table `block_content__field_mt_bg_image_positioning`
--

INSERT INTO `block_content__field_mt_bg_image_positioning` VALUES
('mt_background_image_block', 0, 52, 52, 'en', 0, 0),
('mt_background_image_block', 0, 54, 54, 'en', 0, 0),
('mt_background_image_block', 0, 58, 58, 'en', 0, 0),
('mt_background_image_block', 0, 90, 90, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_block_reference`
--

CREATE TABLE `block_content__field_mt_block_reference` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_block_reference_target_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_block_reference_target_id` (`field_mt_block_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_block…';

--
-- Dumping data for table `block_content__field_mt_block_reference`
--

INSERT INTO `block_content__field_mt_block_reference` VALUES
('mt_tabs_block', 0, 1, 1, 'en', 0, 'conferenceplus_views_block__mt_latest_block_1'),
('mt_tabs_block', 0, 1, 1, 'en', 1, 'conferenceplus_views_block__mt_latest_block_3'),
('mt_background_image_block', 0, 52, 52, 'en', 0, 'calltoaction'),
('mt_background_image_block', 0, 54, 54, 'en', 0, 'stillhavequestions'),
('mt_background_image_block', 0, 58, 58, 'en', 0, 'conferenceplus_views_block__mt_brands_carousel_block_1'),
('mt_background_video_block', 0, 78, 78, 'en', 0, 'highlights'),
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'googlemapbanner_3'),
('mt_background_image_block', 0, 90, 90, 'en', 0, 'views_block__mt_albums_carousel_block_1'),
('mt_background_image_block', 0, 90, 90, 'en', 1, 'tellusaboutyourproject'),
('mt_tabs_block', 0, 94, 94, 'en', 0, 'views_block__mt_related_presentations_block_1'),
('mt_tabs_block', 0, 94, 94, 'en', 1, 'views_block__mt_related_presentations_2_block_1');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bv_layout_mode`
--

CREATE TABLE `block_content__field_mt_bv_layout_mode` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_layout_mode_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_layout_mode_value` (`field_mt_bv_layout_mode_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bv_layout…';

--
-- Dumping data for table `block_content__field_mt_bv_layout_mode`
--

INSERT INTO `block_content__field_mt_bv_layout_mode` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 'container');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bv_overlay_color`
--

CREATE TABLE `block_content__field_mt_bv_overlay_color` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_overlay_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_overlay_color_value` (`field_mt_bv_overlay_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bv_overlay…';

--
-- Dumping data for table `block_content__field_mt_bv_overlay_color`
--

INSERT INTO `block_content__field_mt_bv_overlay_color` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 'region--light-typography region--black-background');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bv_overlay_opacity`
--

CREATE TABLE `block_content__field_mt_bv_overlay_opacity` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_overlay_opacity_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bv_overlay…';

--
-- Dumping data for table `block_content__field_mt_bv_overlay_opacity`
--

INSERT INTO `block_content__field_mt_bv_overlay_opacity` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 65);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bv_poster`
--

CREATE TABLE `block_content__field_mt_bv_poster` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_poster_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_bv_poster_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_bv_poster_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_bv_poster_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_bv_poster_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_poster_target_id` (`field_mt_bv_poster_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bv_poster.';

--
-- Dumping data for table `block_content__field_mt_bv_poster`
--

INSERT INTO `block_content__field_mt_bv_poster` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 132, 'video poster', '', 1920, 1080);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bv_video_mp4`
--

CREATE TABLE `block_content__field_mt_bv_video_mp4` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_video_mp4_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_bv_video_mp4_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_bv_video_mp4_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_video_mp4_target_id` (`field_mt_bv_video_mp4_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bv_video_mp4.';

--
-- Dumping data for table `block_content__field_mt_bv_video_mp4`
--

INSERT INTO `block_content__field_mt_bv_video_mp4` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 130, 1, '');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_bv_video_webm`
--

CREATE TABLE `block_content__field_mt_bv_video_webm` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_bv_video_webm_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_bv_video_webm_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_bv_video_webm_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_bv_video_webm_target_id` (`field_mt_bv_video_webm_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_bv_video_webm.';

--
-- Dumping data for table `block_content__field_mt_bv_video_webm`
--

INSERT INTO `block_content__field_mt_bv_video_webm` VALUES
('mt_background_video_block', 0, 78, 78, 'en', 0, 131, 1, '');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_cb_collapse_icon`
--

CREATE TABLE `block_content__field_mt_cb_collapse_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_collapse_icon_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_cb_collapse…';

--
-- Dumping data for table `block_content__field_mt_cb_collapse_icon`
--

INSERT INTO `block_content__field_mt_cb_collapse_icon` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'fa-angle-up');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_cb_expand_icon`
--

CREATE TABLE `block_content__field_mt_cb_expand_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_expand_icon_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_cb_expand…';

--
-- Dumping data for table `block_content__field_mt_cb_expand_icon`
--

INSERT INTO `block_content__field_mt_cb_expand_icon` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'fa-angle-down');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_cb_state`
--

CREATE TABLE `block_content__field_mt_cb_state` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_state_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_cb_state_value` (`field_mt_cb_state_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_cb_state.';

--
-- Dumping data for table `block_content__field_mt_cb_state`
--

INSERT INTO `block_content__field_mt_cb_state` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'expanded');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_cb_title`
--

CREATE TABLE `block_content__field_mt_cb_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_cb_title.';

--
-- Dumping data for table `block_content__field_mt_cb_title`
--

INSERT INTO `block_content__field_mt_cb_title` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'Show / Hide Map');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_cb_trigger_position`
--

CREATE TABLE `block_content__field_mt_cb_trigger_position` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cb_trigger_position_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_cb_trigger_position_value` (`field_mt_cb_trigger_position_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_cb_trigger…';

--
-- Dumping data for table `block_content__field_mt_cb_trigger_position`
--

INSERT INTO `block_content__field_mt_cb_trigger_position` VALUES
('mt_collapsible_block', 0, 86, 86, 'en', 0, 'top');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_dropdown`
--

CREATE TABLE `block_content__field_mt_dropdown` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_dropdown_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_dropdown_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_dropdown_target_id` (`field_mt_dropdown_target_id`),
  KEY `field_mt_dropdown_target_revision_id` (`field_mt_dropdown_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_dropdown.';

--
-- Dumping data for table `block_content__field_mt_dropdown`
--

INSERT INTO `block_content__field_mt_dropdown` VALUES
('mt_dropdowns_block', 0, 59, 59, 'en', 0, 41, 41);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_fancy_linked_image`
--

CREATE TABLE `block_content__field_mt_fancy_linked_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_linked_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_fancy_linked_image_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fancy_linked_image_target_id` (`field_mt_fancy_linked_image_target_id`),
  KEY `field_mt_fancy_linked_image_target_revision_id` (`field_mt_fancy_linked_image_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_fancy_linked…';

--
-- Dumping data for table `block_content__field_mt_fancy_linked_image`
--

INSERT INTO `block_content__field_mt_fancy_linked_image` VALUES
('mt_fancy_linked_images_block', 0, 24, 24, 'en', 0, 16, 16),
('mt_fancy_linked_images_block', 0, 24, 24, 'en', 1, 17, 17),
('mt_fancy_linked_images_block', 0, 24, 24, 'en', 2, 18, 18);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_fancy_tab`
--

CREATE TABLE `block_content__field_mt_fancy_tab` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_tab_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_fancy_tab_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fancy_tab_target_id` (`field_mt_fancy_tab_target_id`),
  KEY `field_mt_fancy_tab_target_revision_id` (`field_mt_fancy_tab_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_fancy_tab.';

--
-- Dumping data for table `block_content__field_mt_fancy_tab`
--

INSERT INTO `block_content__field_mt_fancy_tab` VALUES
('mt_fancy_tabs_block', 0, 15, 15, 'en', 0, 1, 1),
('mt_fancy_tabs_block', 0, 15, 15, 'en', 1, 2, 2),
('mt_fancy_tabs_block', 0, 15, 15, 'en', 2, 19, 19);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_fltt`
--

CREATE TABLE `block_content__field_mt_fltt` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_fltt_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fltt_target_id` (`field_mt_fltt_target_id`),
  KEY `field_mt_fltt_target_revision_id` (`field_mt_fltt_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_fltt.';

--
-- Dumping data for table `block_content__field_mt_fltt`
--

INSERT INTO `block_content__field_mt_fltt` VALUES
('mt_fltt_block', 0, 45, 45, 'en', 0, 26, 26),
('mt_fltt_block', 0, 45, 45, 'en', 1, 27, 27),
('mt_fltt_block', 0, 45, 45, 'en', 2, 28, 28),
('mt_fltt_block', 0, 45, 45, 'en', 3, 29, 29),
('mt_fltt_block', 0, 45, 45, 'en', 4, 30, 30),
('mt_fltt_block', 0, 45, 45, 'en', 5, 31, 31);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_if`
--

CREATE TABLE `block_content__field_mt_if` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_if_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_target_id` (`field_mt_if_target_id`),
  KEY `field_mt_if_target_revision_id` (`field_mt_if_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_if.';

--
-- Dumping data for table `block_content__field_mt_if`
--

INSERT INTO `block_content__field_mt_if` VALUES
('mt_if_block', 0, 77, 77, 'en', 0, 53, 53),
('mt_if_block', 0, 77, 77, 'en', 1, 54, 54),
('mt_if_block', 0, 77, 77, 'en', 2, 55, 55),
('mt_if_block', 0, 77, 77, 'en', 3, 56, 56),
('mt_if_block', 0, 77, 77, 'en', 4, 60, 60),
('mt_if_block', 0, 77, 77, 'en', 5, 61, 61),
('mt_if_block', 0, 96, 96, 'en', 0, 84, 96),
('mt_if_block', 0, 96, 96, 'en', 1, 85, 97),
('mt_if_block', 0, 96, 96, 'en', 2, 86, 98);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_main_slideshow_layout`
--

CREATE TABLE `block_content__field_mt_main_slideshow_layout` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_main_slideshow_layout_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_main_slideshow_layout_value` (`field_mt_main_slideshow_layout_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_main…';

--
-- Dumping data for table `block_content__field_mt_main_slideshow_layout`
--

INSERT INTO `block_content__field_mt_main_slideshow_layout` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'fullwidth');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_main_slideshow_slide`
--

CREATE TABLE `block_content__field_mt_main_slideshow_slide` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_main_slideshow_slide_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_main_slideshow_slide_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_main_slideshow_slide_target_id` (`field_mt_main_slideshow_slide_target_id`),
  KEY `field_mt_main_slideshow_slide_target_revision_id` (`field_mt_main_slideshow_slide_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_main…';

--
-- Dumping data for table `block_content__field_mt_main_slideshow_slide`
--

INSERT INTO `block_content__field_mt_main_slideshow_slide` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 32, 32),
('mt_main_slideshow_block', 0, 48, 48, 'en', 1, 33, 33);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_map_location`
--

CREATE TABLE `block_content__field_mt_map_location` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_map_location_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_map_location_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_map_location_target_id` (`field_mt_map_location_target_id`),
  KEY `field_mt_map_location_target_revision_id` (`field_mt_map_location_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_map_location.';

--
-- Dumping data for table `block_content__field_mt_map_location`
--

INSERT INTO `block_content__field_mt_map_location` VALUES
('mt_google_maps', 0, 35, 35, 'en', 0, 44, 44),
('mt_google_maps', 0, 35, 35, 'en', 1, 45, 45),
('mt_google_maps', 0, 35, 35, 'en', 2, 46, 46),
('mt_google_maps', 0, 35, 35, 'en', 3, 47, 47);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_map_zoom`
--

CREATE TABLE `block_content__field_mt_map_zoom` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_map_zoom_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_map_zoom.';

--
-- Dumping data for table `block_content__field_mt_map_zoom`
--

INSERT INTO `block_content__field_mt_map_zoom` VALUES
('mt_google_maps', 0, 35, 35, 'en', 0, '0');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_media_tab`
--

CREATE TABLE `block_content__field_mt_media_tab` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_tab_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_media_tab_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_tab_target_id` (`field_mt_media_tab_target_id`),
  KEY `field_mt_media_tab_target_revision_id` (`field_mt_media_tab_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_media_tab.';

--
-- Dumping data for table `block_content__field_mt_media_tab`
--

INSERT INTO `block_content__field_mt_media_tab` VALUES
('mt_media_tabs_block', 0, 44, 44, 'en', 0, 20, 20),
('mt_media_tabs_block', 0, 44, 44, 'en', 1, 21, 21),
('mt_media_tabs_block', 0, 44, 44, 'en', 2, 22, 22);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_background_opacity`
--

CREATE TABLE `block_content__field_mt_ms_background_opacity` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_background_opacity_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_background…';

--
-- Dumping data for table `block_content__field_mt_ms_background_opacity`
--

INSERT INTO `block_content__field_mt_ms_background_opacity` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 60);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_bullets_position`
--

CREATE TABLE `block_content__field_mt_ms_bullets_position` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_bullets_position_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_bullets_position_value` (`field_mt_ms_bullets_position_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_bullets…';

--
-- Dumping data for table `block_content__field_mt_ms_bullets_position`
--

INSERT INTO `block_content__field_mt_ms_bullets_position` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'right');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_effect`
--

CREATE TABLE `block_content__field_mt_ms_effect` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_effect_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_effect_value` (`field_mt_ms_effect_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_effect.';

--
-- Dumping data for table `block_content__field_mt_ms_effect`
--

INSERT INTO `block_content__field_mt_ms_effect` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'slideright');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_effect_duration`
--

CREATE TABLE `block_content__field_mt_ms_effect_duration` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_effect_duration_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_effect…';

--
-- Dumping data for table `block_content__field_mt_ms_effect_duration`
--

INSERT INTO `block_content__field_mt_ms_effect_duration` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 9);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_ignore_header_height`
--

CREATE TABLE `block_content__field_mt_ms_ignore_header_height` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_ignore_header_height_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_ignore…';

--
-- Dumping data for table `block_content__field_mt_ms_ignore_header_height`
--

INSERT INTO `block_content__field_mt_ms_ignore_header_height` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_initial_height`
--

CREATE TABLE `block_content__field_mt_ms_initial_height` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_initial_height_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_initial…';

--
-- Dumping data for table `block_content__field_mt_ms_initial_height`
--

INSERT INTO `block_content__field_mt_ms_initial_height` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 650);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_navigation_style`
--

CREATE TABLE `block_content__field_mt_ms_navigation_style` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_navigation_style_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_navigation_style_value` (`field_mt_ms_navigation_style_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_navigation…';

--
-- Dumping data for table `block_content__field_mt_ms_navigation_style`
--

INSERT INTO `block_content__field_mt_ms_navigation_style` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 'bullets');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ms_touch_swipe_nav`
--

CREATE TABLE `block_content__field_mt_ms_touch_swipe_nav` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_touch_swipe_nav_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ms_touch…';

--
-- Dumping data for table `block_content__field_mt_ms_touch_swipe_nav`
--

INSERT INTO `block_content__field_mt_ms_touch_swipe_nav` VALUES
('mt_main_slideshow_block', 0, 48, 48, 'en', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_ns_slide`
--

CREATE TABLE `block_content__field_mt_ns_slide` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ns_slide_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ns_slide_target_id` (`field_mt_ns_slide_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_ns_slide.';

--
-- Dumping data for table `block_content__field_mt_ns_slide`
--

INSERT INTO `block_content__field_mt_ns_slide` VALUES
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 0, 9),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 1, 8),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 2, 7),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 3, 6),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 4, 5),
('mt_nodes_slideshow_block', 0, 40, 40, 'en', 5, 4);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_tml_timeline_item`
--

CREATE TABLE `block_content__field_mt_tml_timeline_item` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_item_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_tml_timeline_item_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_item_target_id` (`field_mt_tml_timeline_item_target_id`),
  KEY `field_mt_tml_timeline_item_target_revision_id` (`field_mt_tml_timeline_item_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_tml_timeline…';

--
-- Dumping data for table `block_content__field_mt_tml_timeline_item`
--

INSERT INTO `block_content__field_mt_tml_timeline_item` VALUES
('mt_timeline_block', 0, 93, 93, 'en', 0, 74, 74),
('mt_timeline_block', 0, 93, 93, 'en', 1, 75, 75),
('mt_timeline_block', 0, 93, 93, 'en', 2, 76, 76),
('mt_timeline_block', 0, 93, 93, 'en', 3, 77, 77);

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_tml_timeline_viewmore`
--

CREATE TABLE `block_content__field_mt_tml_timeline_viewmore` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_viewmore_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_tml_timeline_viewmore_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_tml_timeline_viewmore_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_viewmore_uri` (`field_mt_tml_timeline_viewmore_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_tml_timeline…';

--
-- Dumping data for table `block_content__field_mt_tml_timeline_viewmore`
--

INSERT INTO `block_content__field_mt_tml_timeline_viewmore` VALUES
('mt_timeline_block', 0, 93, 93, 'en', 0, 'internal:/', 'View More', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `block_content__field_mt_video_gallery_slides`
--

CREATE TABLE `block_content__field_mt_video_gallery_slides` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_video_gallery_slides_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_video_gallery_slides_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_video_gallery_slides_target_id` (`field_mt_video_gallery_slides_target_id`),
  KEY `field_mt_video_gallery_slides_target_revision_id` (`field_mt_video_gallery_slides_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for block_content field field_mt_video_gallery…';

--
-- Dumping data for table `block_content__field_mt_video_gallery_slides`
--

INSERT INTO `block_content__field_mt_video_gallery_slides` VALUES
('mt_video_gallery_block', 0, 49, 49, 'en', 0, 35, 35),
('mt_video_gallery_block', 0, 49, 49, 'en', 1, 36, 36),
('mt_video_gallery_block', 0, 49, 49, 'en', 2, 37, 37),
('mt_video_gallery_block', 0, 49, 49, 'en', 3, 38, 38),
('mt_video_gallery_block', 0, 49, 49, 'en', 4, 39, 39),
('mt_video_gallery_block', 0, 49, 49, 'en', 5, 40, 40);

-- --------------------------------------------------------

--
-- Table structure for table `cachetags`
--

CREATE TABLE `cachetags` (
  `tag` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Namespace-prefixed tag string.',
  `invalidations` int(11) NOT NULL DEFAULT 0 COMMENT 'Number incremented when the tag is invalidated.',
  PRIMARY KEY (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Cache table for tracking cache tag invalidations.';

--
-- Dumping data for table `cachetags`
--

INSERT INTO `cachetags` VALUES
('4xx-response', 8),
('breakpoints', 5),
('config:block.block.bartik_account_menu', 1),
('config:block.block.bartik_branding', 1),
('config:block.block.bartik_breadcrumbs', 1),
('config:block.block.bartik_content', 1),
('config:block.block.bartik_footer', 1),
('config:block.block.bartik_help', 1),
('config:block.block.bartik_local_actions', 1),
('config:block.block.bartik_local_tasks', 1),
('config:block.block.bartik_main_menu', 1),
('config:block.block.bartik_messages', 1),
('config:block.block.bartik_page_title', 1),
('config:block.block.bartik_powered', 1),
('config:block.block.bartik_search', 1),
('config:block.block.bartik_tools', 1),
('config:block.block.olivero_account_menu', 1),
('config:block.block.olivero_breadcrumbs', 1),
('config:block.block.olivero_content', 1),
('config:block.block.olivero_help', 1),
('config:block.block.olivero_main_menu', 1),
('config:block.block.olivero_messages', 1),
('config:block.block.olivero_page_title', 1),
('config:block.block.olivero_powered', 1),
('config:block.block.olivero_primary_admin_actions', 1),
('config:block.block.olivero_primary_local_tasks', 1),
('config:block.block.olivero_search_form_narrow', 1),
('config:block.block.olivero_search_form_wide', 1),
('config:block.block.olivero_secondary_local_tasks', 1),
('config:block.block.olivero_site_branding', 1),
('config:block.block.olivero_syndicate', 1),
('config:block_list', 2),
('config:core.extension', 3),
('config:mt_cookieconsent.settings', 1),
('config:system.maintenance', 2),
('config:system.menu.account', 8),
('config:system.menu.admin', 8),
('config:system.menu.footer', 8),
('config:system.menu.landing-page-navigation', 8),
('config:system.menu.main', 8),
('config:system.menu.mt-footer-menu-three', 8),
('config:system.menu.mt-footer-menu-two', 8),
('config:system.menu.mt-mega-menu', 8),
('config:system.menu.mt-subfooter-menu', 8),
('config:system.menu.tools', 8),
('config:system.theme', 2),
('config:views.view.glossary', 1),
('config:view_list', 1),
('contextual_links_plugins', 3),
('element_info_build', 3),
('entity_types', 3),
('http_response', 8),
('link_relation_type', 3),
('local_action', 3),
('local_task', 8),
('rendered', 2),
('routes', 8),
('route_match', 8),
('search_index:node_search', 1),
('theme_registry', 2);

-- --------------------------------------------------------

--
-- Table structure for table `cache_bootstrap`
--

CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_bootstrap`
--

INSERT INTO `cache_bootstrap` VALUES
('block_content_uuid', 'a:22:{s:36:"56181db7-a452-44b8-bca5-8cf9de50ed1c";s:2:"84";s:36:"2097ae93-a297-410b-acc6-d59748d40e90";s:2:"90";s:36:"64c7c159-c508-4191-b661-05ea9107cdd5";s:2:"96";s:36:"484e39d9-79e3-484e-9855-6b935d61bd03";s:2:"39";s:36:"2d618db5-2ef3-4607-b59e-6c41f4dae031";s:2:"86";s:36:"77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";s:1:"3";s:36:"1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";s:2:"16";s:36:"2054bf17-957d-43d6-a736-6b7ac3ba0f2f";s:1:"4";s:36:"a5cb88c7-1d51-405a-b911-2ea49042a47f";s:2:"83";s:36:"3a7d6304-c55c-48d0-a559-ee212ac34069";s:2:"35";s:36:"4afd36a9-3c0d-4d0e-b120-cd814ff11504";s:2:"85";s:36:"0524307c-2048-42b8-833e-fe424b730597";s:2:"41";s:36:"eb34fbf2-b05a-462a-bb6d-0d71197be193";s:2:"73";s:36:"21239a24-9067-424a-a412-2bc4c38d3b07";s:2:"53";s:36:"0839439a-2bae-48e4-872e-6ff169998482";s:2:"14";s:36:"2f082cb7-167a-4837-b03e-7c523b059c9c";s:2:"38";s:36:"d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";s:2:"93";s:36:"24e5856d-18c2-4676-bdd8-d4864a4bef39";s:2:"92";s:36:"86c8a961-7cb4-48cb-958f-950bcb782f32";s:2:"77";s:36:"5e872ebe-f221-48b5-8dbf-041d40eecc43";s:1:"5";s:36:"01709e04-065c-478c-9e73-863194306720";s:2:"19";s:36:"ef75ff4d-5049-4e15-91f2-89e64289799e";s:1:"1";}', -1, '1681649852.634', 1, '', '0'),
('hook_info', 'a:39:{s:10:"token_info";a:1:{s:5:"group";s:6:"tokens";}s:16:"token_info_alter";a:1:{s:5:"group";s:6:"tokens";}s:6:"tokens";a:1:{s:5:"group";s:6:"tokens";}s:12:"tokens_alter";a:1:{s:5:"group";s:6:"tokens";}s:10:"views_data";a:1:{s:5:"group";s:5:"views";}s:16:"views_data_alter";a:1:{s:5:"group";s:5:"views";}s:13:"views_analyze";a:1:{s:5:"group";s:5:"views";}s:22:"views_invalidate_cache";a:1:{s:5:"group";s:5:"views";}s:26:"views_plugins_access_alter";a:1:{s:5:"group";s:5:"views";}s:24:"views_plugins_area_alter";a:1:{s:5:"group";s:5:"views";}s:28:"views_plugins_argument_alter";a:1:{s:5:"group";s:5:"views";}s:36:"views_plugins_argument_default_alter";a:1:{s:5:"group";s:5:"views";}s:38:"views_plugins_argument_validator_alter";a:1:{s:5:"group";s:5:"views";}s:25:"views_plugins_cache_alter";a:1:{s:5:"group";s:5:"views";}s:36:"views_plugins_display_extender_alter";a:1:{s:5:"group";s:5:"views";}s:27:"views_plugins_display_alter";a:1:{s:5:"group";s:5:"views";}s:32:"views_plugins_exposed_form_alter";a:1:{s:5:"group";s:5:"views";}s:25:"views_plugins_field_alter";a:1:{s:5:"group";s:5:"views";}s:26:"views_plugins_filter_alter";a:1:{s:5:"group";s:5:"views";}s:24:"views_plugins_join_alter";a:1:{s:5:"group";s:5:"views";}s:25:"views_plugins_pager_alter";a:1:{s:5:"group";s:5:"views";}s:25:"views_plugins_query_alter";a:1:{s:5:"group";s:5:"views";}s:32:"views_plugins_relationship_alter";a:1:{s:5:"group";s:5:"views";}s:23:"views_plugins_row_alter";a:1:{s:5:"group";s:5:"views";}s:24:"views_plugins_sort_alter";a:1:{s:5:"group";s:5:"views";}s:25:"views_plugins_style_alter";a:1:{s:5:"group";s:5:"views";}s:26:"views_plugins_wizard_alter";a:1:{s:5:"group";s:5:"views";}s:25:"views_query_substitutions";a:1:{s:5:"group";s:15:"views_execution";}s:24:"views_form_substitutions";a:1:{s:5:"group";s:15:"views_execution";}s:14:"views_pre_view";a:1:{s:5:"group";s:15:"views_execution";}s:15:"views_pre_build";a:1:{s:5:"group";s:15:"views_execution";}s:16:"views_post_build";a:1:{s:5:"group";s:15:"views_execution";}s:17:"views_pre_execute";a:1:{s:5:"group";s:15:"views_execution";}s:18:"views_post_execute";a:1:{s:5:"group";s:15:"views_execution";}s:16:"views_pre_render";a:1:{s:5:"group";s:15:"views_execution";}s:17:"views_post_render";a:1:{s:5:"group";s:15:"views_execution";}s:17:"views_query_alter";a:1:{s:5:"group";s:15:"views_execution";}s:16:"field_views_data";a:1:{s:5:"group";s:5:"views";}s:22:"field_views_data_alter";a:1:{s:5:"group";s:5:"views";}}', -1, '1681653366.323', 1, '', '0'),
('module_implements', 'a:151:{s:23:"module_implements_alter";a:4:{s:11:"field_group";b:0;s:7:"webform";b:0;s:12:"fontyourface";b:0;s:10:"paragraphs";b:0;}s:14:"entity_preload";a:0:{}s:11:"query_alter";a:0:{}s:30:"query_user_load_multiple_alter";a:0:{}s:19:"entity_storage_load";a:1:{s:7:"comment";b:0;}s:17:"user_storage_load";a:0:{}s:11:"entity_load";a:0:{}s:9:"user_load";a:0:{}s:9:"node_load";a:0:{}s:22:"entity_view_mode_alter";a:0:{}s:25:"node_build_defaults_alter";a:1:{s:3:"rdf";b:0;}s:27:"entity_build_defaults_alter";a:0:{}s:14:"rdf_namespaces";a:1:{s:3:"rdf";b:0;}s:10:"block_load";a:0:{}s:13:"entity_access";a:0:{}s:12:"block_access";a:0:{}s:17:"block_build_alter";a:0:{}s:39:"block_build_system_branding_block_alter";a:0:{}s:35:"block_build_search_form_block_alter";a:0:{}s:35:"block_build_system_menu_block_alter";a:0:{}s:37:"block_build_local_actions_block_alter";a:0:{}s:39:"block_build_system_messages_block_alter";a:0:{}s:35:"block_build_local_tasks_block_alter";a:0:{}s:41:"block_build_system_breadcrumb_block_alter";a:0:{}s:38:"block_build_node_syndicate_block_alter";a:0:{}s:34:"block_build_page_title_block_alter";a:0:{}s:16:"block_view_alter";a:0:{}s:33:"block_view_page_title_block_alter";a:0:{}s:28:"block_build_help_block_alter";a:0:{}s:35:"block_build_system_main_block_alter";a:0:{}s:34:"block_view_system_main_block_alter";a:1:{s:6:"system";b:0;}s:41:"block_build_system_powered_by_block_alter";a:0:{}s:16:"fontyourface_api";a:1:{s:16:"google_fonts_api";b:0;}s:16:"page_attachments";a:9:{s:10:"contextual";b:0;s:11:"fontawesome";b:0;s:16:"mt_cookieconsent";b:0;s:12:"mt_countdown";b:0;s:9:"quickedit";b:0;s:6:"system";b:0;s:7:"webform";b:0;s:12:"fontyourface";b:0;s:16:"google_fonts_api";b:0;}s:14:"file_url_alter";a:0:{}s:22:"page_attachments_alter";a:0:{}s:8:"page_top";a:6:{s:5:"block";b:0;s:12:"mt_countdown";b:0;s:4:"node";b:0;s:6:"system";b:0;s:7:"toolbar";b:0;s:6:"update";b:0;}s:11:"page_bottom";a:1:{s:4:"tour";b:0;}s:22:"theme_suggestions_html";a:1:{s:6:"system";b:0;}s:23:"theme_suggestions_alter";a:2:{s:22:"better_exposed_filters";b:0;s:11:"field_group";b:0;}s:28:"theme_suggestions_html_alter";a:0:{}s:43:"template_preprocess_default_variables_alter";a:1:{s:4:"user";b:0;}s:22:"theme_suggestions_page";a:1:{s:6:"system";b:0;}s:28:"theme_suggestions_page_alter";a:0:{}s:24:"theme_suggestions_region";a:1:{s:6:"system";b:0;}s:30:"theme_suggestions_region_alter";a:0:{}s:23:"theme_suggestions_block";a:1:{s:5:"block";b:0;}s:29:"theme_suggestions_block_alter";a:0:{}s:28:"theme_suggestions_page_title";a:0:{}s:34:"theme_suggestions_page_title_alter";a:0:{}s:20:"shortcut_default_set";a:0:{}s:17:"shortcut_set_load";a:0:{}s:24:"query_entity_query_alter";a:0:{}s:33:"query_entity_query_shortcut_alter";a:0:{}s:13:"shortcut_load";a:0:{}s:41:"theme_suggestions_off_canvas_page_wrapper";a:0:{}s:47:"theme_suggestions_off_canvas_page_wrapper_alter";a:0:{}s:23:"theme_suggestions_links";a:0:{}s:29:"theme_suggestions_links_alter";a:0:{}s:10:"link_alter";a:0:{}s:22:"user_format_name_alter";a:0:{}s:33:"theme_suggestions_status_messages";a:0:{}s:39:"theme_suggestions_status_messages_alter";a:0:{}s:17:"js_settings_alter";a:2:{s:6:"system";b:0;s:4:"user";b:0;}s:17:"ajax_render_alter";a:0:{}s:17:"system_info_alter";a:1:{s:6:"system";b:0;}s:12:"requirements";a:11:{s:5:"color";b:0;s:11:"field_group";b:0;s:4:"file";b:0;s:11:"fontawesome";b:0;s:5:"image";b:0;s:4:"node";b:0;s:6:"search";b:0;s:9:"superfish";b:0;s:6:"system";b:0;s:6:"update";b:0;s:7:"webform";b:0;}s:11:"node_grants";a:0:{}s:16:"search_page_load";a:0:{}s:17:"entity_type_build";a:4:{s:8:"field_ui";b:0;s:7:"menu_ui";b:0;s:6:"system";b:0;s:8:"views_ui";b:0;}s:17:"entity_type_alter";a:7:{s:13:"block_content";b:0;s:7:"contact";b:0;s:4:"path";b:0;s:9:"quickedit";b:0;s:10:"webform_ui";b:0;s:17:"menu_link_content";b:0;s:10:"paragraphs";b:0;}s:22:"entity_base_field_info";a:1:{s:4:"path";b:0;}s:28:"entity_base_field_info_alter";a:2:{s:4:"path";b:0;s:10:"paragraphs";b:0;}s:25:"entity_field_storage_info";a:1:{s:5:"field";b:0;}s:25:"field_storage_config_load";a:0:{}s:31:"entity_field_storage_info_alter";a:0:{}s:27:"theme_suggestions_item_list";a:0:{}s:33:"theme_suggestions_item_list_alter";a:0:{}s:22:"webform_libraries_info";a:0:{}s:28:"webform_libraries_info_alter";a:0:{}s:18:"requirements_alter";a:0:{}s:28:"theme_suggestions_admin_page";a:0:{}s:34:"theme_suggestions_admin_page_alter";a:0:{}s:27:"theme_suggestions_container";a:0:{}s:33:"theme_suggestions_container_alter";a:1:{s:5:"views";b:0;}s:29:"theme_suggestions_admin_block";a:0:{}s:35:"theme_suggestions_admin_block_alter";a:0:{}s:37:"theme_suggestions_admin_block_content";a:0:{}s:43:"theme_suggestions_admin_block_content_alter";a:0:{}s:21:"update_projects_alter";a:0:{}s:19:"update_status_alter";a:0:{}s:36:"theme_suggestions_status_report_page";a:0:{}s:42:"theme_suggestions_status_report_page_alter";a:0:{}s:39:"theme_suggestions_status_report_counter";a:0:{}s:45:"theme_suggestions_status_report_counter_alter";a:0:{}s:44:"theme_suggestions_status_report_general_info";a:0:{}s:50:"theme_suggestions_status_report_general_info_alter";a:0:{}s:39:"theme_suggestions_status_report_grouped";a:0:{}s:45:"theme_suggestions_status_report_grouped_alter";a:0:{}s:23:"entity_extra_field_info";a:4:{s:7:"comment";b:0;s:7:"contact";b:0;s:4:"node";b:0;s:4:"user";b:0;}s:17:"comment_type_load";a:0:{}s:14:"node_type_load";a:0:{}s:29:"entity_extra_field_info_alter";a:0:{}s:24:"entity_view_display_load";a:0:{}s:25:"entity_view_display_alter";a:1:{s:4:"node";b:0;}s:19:"entity_prepare_view";a:1:{s:3:"rdf";b:0;}s:18:"rdf_mapping_create";a:0:{}s:13:"entity_create";a:0:{}s:19:"entity_field_access";a:0:{}s:25:"entity_field_access_alter";a:0:{}s:11:"user_access";a:0:{}s:16:"date_format_load";a:0:{}s:26:"entity_display_build_alter";a:0:{}s:9:"node_view";a:1:{s:10:"statistics";b:0;}s:11:"entity_view";a:1:{s:7:"comment";b:0;}s:15:"node_view_alter";a:2:{s:7:"comment";b:0;s:7:"history";b:0;}s:17:"entity_view_alter";a:2:{s:11:"field_group";b:0;s:9:"quickedit";b:0;}s:29:"query_entity_query_node_alter";a:0:{}s:23:"theme_suggestions_field";a:1:{s:6:"system";b:0;}s:29:"theme_suggestions_field_alter";a:0:{}s:22:"theme_suggestions_node";a:1:{s:4:"node";b:0;}s:28:"theme_suggestions_node_alter";a:1:{s:5:"views";b:0;}s:26:"theme_suggestions_username";a:0:{}s:32:"theme_suggestions_username_alter";a:0:{}s:16:"rdf_mapping_load";a:0:{}s:18:"filter_format_load";a:0:{}s:16:"node_links_alter";a:2:{s:7:"comment";b:0;s:10:"statistics";b:0;}s:34:"block_view_system_menu_block_alter";a:1:{s:7:"menu_ui";b:0;}s:22:"theme_suggestions_menu";a:0:{}s:28:"theme_suggestions_menu_alter";a:0:{}s:36:"block_view_local_actions_block_alter";a:0:{}s:34:"block_view_local_tasks_block_alter";a:0:{}s:11:"node_access";a:1:{s:4:"node";b:0;}s:22:"menu_local_tasks_alter";a:2:{s:7:"contact";b:0;s:7:"webform";b:0;}s:34:"theme_suggestions_menu_local_tasks";a:0:{}s:40:"theme_suggestions_menu_local_tasks_alter";a:0:{}s:33:"theme_suggestions_menu_local_task";a:0:{}s:39:"theme_suggestions_menu_local_task_alter";a:0:{}s:27:"block_view_help_block_alter";a:1:{s:4:"help";b:0;}s:4:"help";a:53:{s:14:"automated_cron";b:0;s:22:"better_exposed_filters";b:0;s:5:"block";b:0;s:13:"block_content";b:0;s:10:"breakpoint";b:0;s:8:"ckeditor";b:0;s:5:"color";b:0;s:7:"comment";b:0;s:6:"config";b:0;s:7:"contact";b:0;s:10:"contextual";b:0;s:8:"datetime";b:0;s:5:"dblog";b:0;s:18:"dynamic_page_cache";b:0;s:6:"editor";b:0;s:26:"entity_reference_revisions";b:0;s:5:"field";b:0;s:11:"field_group";b:0;s:8:"field_ui";b:0;s:4:"file";b:0;s:6:"filter";b:0;s:11:"fontawesome";b:0;s:4:"help";b:0;s:7:"history";b:0;s:5:"image";b:0;s:8:"juicerio";b:0;s:4:"link";b:0;s:7:"menu_ui";b:0;s:12:"mt_countdown";b:0;s:4:"node";b:0;s:7:"options";b:0;s:10:"page_cache";b:0;s:4:"path";b:0;s:9:"quickedit";b:0;s:3:"rdf";b:0;s:6:"search";b:0;s:8:"shortcut";b:0;s:10:"statistics";b:0;s:9:"superfish";b:0;s:6:"system";b:0;s:8:"taxonomy";b:0;s:4:"text";b:0;s:7:"toolbar";b:0;s:4:"tour";b:0;s:6:"update";b:0;s:4:"user";b:0;s:17:"video_embed_field";b:0;s:8:"views_ui";b:0;s:7:"webform";b:0;s:12:"fontyourface";b:0;s:17:"menu_link_content";b:0;s:5:"views";b:0;s:10:"paragraphs";b:0;}s:9:"css_alter";a:1:{s:7:"webform";b:0;}s:8:"js_alter";a:1:{s:7:"webform";b:0;}s:17:"js_settings_build";a:1:{s:6:"system";b:0;}s:17:"editor_info_alter";a:0:{}s:11:"editor_load";a:0:{}s:20:"filter_format_access";a:0:{}s:26:"ckeditor_plugin_info_alter";a:0:{}s:18:"ckeditor_css_alter";a:2:{s:8:"ckeditor";b:0;s:11:"fontawesome";b:0;}s:24:"editor_js_settings_alter";a:1:{s:11:"fontawesome";b:0;}s:18:"library_info_build";a:3:{s:9:"superfish";b:0;s:7:"webform";b:0;s:12:"fontyourface";b:0;}s:18:"library_info_alter";a:8:{s:8:"ckeditor";b:0;s:5:"color";b:0;s:11:"field_group";b:0;s:11:"fontawesome";b:0;s:17:"fullcalendar_view";b:0;s:9:"quickedit";b:0;s:6:"system";b:0;s:7:"webform";b:0;}}', -1, '1681653975.745', 1, '', '0'),
('path_alias_whitelist', 'a:74:{s:5:"admin";b:0;s:14:"block-category";N;s:5:"block";N;s:7:"comment";N;s:8:"comments";N;s:7:"contact";b:0;s:4:"user";b:0;s:10:"contextual";N;s:6:"editor";N;s:4:"file";N;s:6:"filter";N;s:11:"fontawesome";N;s:24:"fontawesome-autocomplete";N;s:30:"fullcalendar-view-event-update";N;s:27:"fullcalendar-view-event-add";N;s:7:"history";N;s:5:"sites";N;s:6:"system";N;s:4:"node";b:1;s:9:"quickedit";N;s:6:"search";b:0;s:4:"cron";N;s:12:"machine_name";N;s:0:"";N;s:9:"<current>";N;s:5:"batch";b:0;s:10:"update.php";N;s:29:"entity_reference_autocomplete";N;s:7:"session";N;s:8:"taxonomy";b:0;s:7:"toolbar";N;s:11:".well-known";N;s:7:"webform";N;s:7:"rss.xml";b:0;s:20:"albums-3-col-style-2";N;s:6:"albums";b:0;s:12:"albums-2-col";N;s:8:"articles";b:0;s:14:"articles-4-col";N;s:14:"articles-3-col";N;s:14:"articles-2-col";N;s:13:"articles-list";N;s:18:"merchandise-groups";b:0;s:26:"merchandise-groups-masonry";N;s:12:"events-3-col";b:0;s:12:"events-2-col";b:0;s:6:"events";b:0;s:14:"albums-isotope";N;s:22:"accommodations-isotope";N;s:19:"merchandise-isotope";N;s:19:"presentations-3-col";b:0;s:13:"presentations";b:0;s:14:"pricing-tables";N;s:17:"merchandise-4-col";N;s:11:"merchandise";b:0;s:17:"merchandise-2-col";N;s:16:"merchandise-list";N;s:19:"merchandise-masonry";N;s:7:"program";b:0;s:20:"accommodations-4-col";N;s:14:"accommodations";b:0;s:20:"accommodations-2-col";N;s:19:"accommodations-list";N;s:8:"speakers";b:0;s:8:"sponsors";b:0;s:12:"team-members";b:0;s:14:"team-members-2";N;s:17:"team-members-list";N;s:12:"testimonials";b:0;s:18:"testimonials-3-col";N;s:20:"testimonials-3-col-2";N;s:20:"testimonials-masonry";N;s:6:"videos";b:0;s:5:"views";N;}', -1, '1681652754.392', 1, '', '0'),
('routing.non_admin_routes', 'a:151:{i:0;s:27:"block.category_autocomplete";i:1;s:22:"block_content.add_page";i:2;s:22:"block_content.add_form";i:3;s:30:"entity.block_content.canonical";i:4;s:30:"entity.block_content.edit_form";i:5;s:32:"entity.block_content.delete_form";i:6;s:24:"entity.comment.edit_form";i:7;s:15:"comment.approve";i:8;s:24:"entity.comment.canonical";i:9;s:26:"entity.comment.delete_form";i:10;s:13:"comment.reply";i:11;s:31:"comment.new_comments_node_links";i:12;s:21:"comment.node_redirect";i:13;s:17:"contact.site_page";i:14;s:29:"entity.contact_form.canonical";i:15;s:24:"entity.user.contact_form";i:16;s:17:"contextual.render";i:17;s:17:"editor.filter_xss";i:18;s:19:"editor.image_dialog";i:19;s:18:"editor.link_dialog";i:20;s:18:"file.ajax_progress";i:21;s:15:"filter.tips_all";i:22;s:11:"filter.tips";i:23;s:23:"fontawesome.icon_dialog";i:24;s:24:"fontawesome.autocomplete";i:25;s:30:"fullcalendar_view.update_event";i:26;s:27:"fullcalendar_view.add_event";i:27;s:26:"history.get_last_node_view";i:28;s:17:"history.read_node";i:29;s:18:"image.style_public";i:30;s:19:"image.style_private";i:31;s:13:"node.add_page";i:32;s:8:"node.add";i:33;s:19:"entity.node.preview";i:34;s:27:"entity.node.version_history";i:35;s:20:"entity.node.revision";i:36;s:28:"node.revision_revert_confirm";i:37;s:40:"node.revision_revert_translation_confirm";i:38;s:28:"node.revision_delete_confirm";i:39;s:18:"quickedit.metadata";i:40;s:21:"quickedit.attachments";i:41;s:20:"quickedit.field_form";i:42;s:21:"quickedit.entity_save";i:43;s:22:"quickedit.image_upload";i:44;s:20:"quickedit.image_info";i:45;s:34:"quickedit.field_untransformed_text";i:46;s:11:"search.view";i:47;s:23:"search.view_node_search";i:48;s:23:"search.help_node_search";i:49;s:23:"search.view_user_search";i:50;s:23:"search.help_user_search";i:51;s:19:"shortcut.set_switch";i:52;s:10:"system.401";i:53;s:10:"system.403";i:54;s:10:"system.404";i:55;s:10:"system.4xx";i:56;s:11:"system.cron";i:57;s:33:"system.machine_name_transliterate";i:58;s:12:"system.files";i:59;s:28:"system.private_file_download";i:60;s:16:"system.temporary";i:61;s:7:"<front>";i:62;s:6:"<none>";i:63;s:8:"<nolink>";i:64;s:8:"<button>";i:65;s:9:"<current>";i:66;s:15:"system.timezone";i:67;s:22:"system.batch_page.html";i:68;s:16:"system.db_update";i:69;s:26:"system.entity_autocomplete";i:70;s:16:"system.csrftoken";i:71;s:30:"entity.taxonomy_term.edit_form";i:72;s:32:"entity.taxonomy_term.delete_form";i:73;s:16:"toolbar.subtrees";i:74;s:13:"user.register";i:75;s:11:"user.logout";i:76;s:9:"user.pass";i:77;s:9:"user.page";i:78;s:9:"user.edit";i:79;s:10:"user.login";i:80;s:19:"user.cancel_confirm";i:81;s:16:"user.reset.login";i:82;s:10:"user.reset";i:83;s:15:"user.reset.form";i:84;s:31:"user.well-known.change_password";i:85;s:24:"entity.webform.canonical";i:86;s:28:"entity.webform.access_denied";i:87;s:32:"entity.webform.assets.javascript";i:88;s:25:"entity.webform.assets.css";i:89;s:27:"entity.webform.confirmation";i:90;s:31:"entity.webform.user.submissions";i:91;s:26:"entity.webform.user.drafts";i:92;s:30:"entity.webform.user.submission";i:93;s:35:"entity.webform.user.submission.edit";i:94;s:37:"entity.webform.user.submission.delete";i:95;s:40:"entity.webform.user.submission.duplicate";i:96;s:24:"entity.webform.test_form";i:97;s:30:"entity.webform_submission.user";i:98;s:28:"webform.element.autocomplete";i:99;s:29:"webform.element.message.close";i:100;s:21:"view.frontpage.feed_1";i:101;s:21:"view.frontpage.page_1";i:102;s:21:"view.mt_albums.page_2";i:103;s:34:"view.mt_albums_grid_style_2.page_2";i:104;s:34:"view.mt_albums_grid_style_2.page_3";i:105;s:23:"view.mt_articles.page_1";i:106;s:28:"view.mt_articles_grid.page_1";i:107;s:28:"view.mt_articles_grid.page_2";i:108;s:28:"view.mt_articles_grid.page_4";i:109;s:28:"view.mt_articles_list.page_1";i:110;s:31:"view.mt_collections_grid.page_1";i:111;s:34:"view.mt_collections_masonry.page_1";i:112;s:26:"view.mt_events_grid.page_2";i:113;s:26:"view.mt_events_grid.page_3";i:114;s:26:"view.mt_events_list.page_1";i:115;s:22:"view.mt_isotope.page_1";i:116;s:22:"view.mt_isotope.page_2";i:117;s:22:"view.mt_isotope.page_3";i:118;s:33:"view.mt_presentations_grid.page_2";i:119;s:33:"view.mt_presentations_grid.page_3";i:120;s:29:"view.mt_pricing_tables.page_1";i:121;s:23:"view.mt_products.page_1";i:122;s:23:"view.mt_products.page_2";i:123;s:23:"view.mt_products.page_3";i:124;s:28:"view.mt_products_list.page_1";i:125;s:31:"view.mt_products_masonry.page_1";i:126;s:22:"view.mt_program.page_1";i:127;s:23:"view.mt_services.page_1";i:128;s:23:"view.mt_services.page_2";i:129;s:23:"view.mt_services.page_3";i:130;s:28:"view.mt_services_list.page_1";i:131;s:23:"view.mt_speakers.page_1";i:132;s:28:"view.mt_sponsors_grid.page_2";i:133;s:32:"view.mt_team_members_grid.page_2";i:134;s:34:"view.mt_team_members_grid_2.page_2";i:135;s:32:"view.mt_team_members_list.page_1";i:136;s:27:"view.mt_testimonials.page_1";i:137;s:32:"view.mt_testimonials_grid.page_1";i:138;s:34:"view.mt_testimonials_grid_2.page_1";i:139;s:35:"view.mt_testimonials_masonry.page_1";i:140;s:21:"view.mt_videos.page_1";i:141;s:25:"view.taxonomy_term.feed_1";i:142;s:25:"view.taxonomy_term.page_1";i:143;s:10:"views.ajax";i:144;s:21:"entity.node.canonical";i:145;s:23:"entity.node.delete_form";i:146;s:21:"entity.node.edit_form";i:147;s:21:"entity.user.canonical";i:148;s:21:"entity.user.edit_form";i:149;s:23:"entity.user.cancel_form";i:150;s:30:"entity.taxonomy_term.canonical";}', -1, '1681652752.547', 1, 'routes', '8'),
('theme.active_theme.bartik', 'O:29:"Drupal\\Core\\Theme\\ActiveTheme":12:{s:7:"\0*\0name";s:6:"bartik";s:7:"\0*\0logo";s:27:"core/themes/bartik/logo.svg";s:7:"\0*\0path";s:18:"core/themes/bartik";s:9:"\0*\0engine";s:4:"twig";s:8:"\0*\0owner";s:36:"core/themes/engines/twig/twig.engine";s:22:"\0*\0baseThemeExtensions";a:0:{}s:12:"\0*\0extension";O:31:"Drupal\\Core\\Extension\\Extension":20:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:34:"core/themes/bartik/bartik.info.yml";s:11:"\0*\0filename";s:12:"bartik.theme";s:7:"subpath";s:13:"themes/bartik";s:6:"origin";s:4:"core";s:4:"info";a:22:{s:4:"name";s:6:"Bartik";s:4:"type";s:5:"theme";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:44:"https://www.drupal.org/node/3223395#s-bartik";s:11:"description";s:86:"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:4:{i:0;s:18:"bartik/classy.base";i:1;s:22:"bartik/classy.messages";i:2;s:14:"core/normalize";i:3;s:21:"bartik/global-styling";}s:16:"libraries-extend";a:11:{s:18:"core/drupal.dialog";a:1:{i:0;s:20:"bartik/classy.dialog";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:24:"bartik/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:22:"bartik/classy.progress";}s:16:"file/drupal.file";a:1:{i:0;s:18:"bartik/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:13:"bartik/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:13:"bartik/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:40:"bartik/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:27:"bartik/classy.media_library";}s:20:"media_library/widget";a:1:{i:0;s:27:"bartik/classy.media_library";}s:9:"tour/tour";a:1:{i:0;s:11:"bartik/tour";}s:16:"user/drupal.user";a:1:{i:0;s:11:"bartik/user";}}s:20:"ckeditor_stylesheets";a:5:{i:0;s:21:"css/base/elements.css";i:1;s:27:"css/components/captions.css";i:2;s:24:"css/components/table.css";i:3;s:33:"css/components/text-formatted.css";i:4;s:43:"css/classy/components/media-embed-error.css";}s:7:"regions";a:19:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:12:"featured_top";s:12:"Featured top";s:10:"breadcrumb";s:10:"Breadcrumb";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:21:"featured_bottom_first";s:21:"Featured bottom first";s:22:"featured_bottom_second";s:22:"Featured bottom second";s:21:"featured_bottom_third";s:21:"Featured bottom third";s:12:"footer_first";s:12:"Footer first";s:13:"footer_second";s:13:"Footer second";s:12:"footer_third";s:12:"Footer third";s:13:"footer_fourth";s:13:"Footer fourth";s:12:"footer_fifth";s:12:"Footer fifth";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/bartik/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}s:10:"is_default";b:1;s:8:"is_admin";b:0;s:10:"screenshot";a:4:{s:3:"uri";s:33:"core/themes/bartik/screenshot.png";s:3:"alt";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Screenshot for @theme theme";s:12:"\0*\0arguments";a:1:{s:6:"@theme";s:6:"Bartik";}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Screenshot for @theme theme";s:12:"\0*\0arguments";a:1:{s:6:"@theme";s:6:"Bartik";}s:10:"\0*\0options";a:0:{}}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:10:"screenshot";}}}s:10:"operations";a:1:{i:0;a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:3:"url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:27:"system.theme_settings_theme";s:18:"\0*\0routeParameters";a:1:{s:5:"theme";s:6:"bartik";}s:10:"\0*\0options";a:2:{s:10:"attributes";a:1:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Settings for @theme theme";s:12:"\0*\0arguments";a:1:{s:6:"@theme";s:6:"Bartik";}s:10:"\0*\0options";a:0:{}}}s:4:"ajax";N;}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}s:10:"attributes";a:1:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Settings for @theme theme";s:12:"\0*\0arguments";a:1:{s:6:"@theme";s:6:"Bartik";}s:10:"\0*\0options";a:0:{}}}}}s:9:"libraries";a:4:{i:0;s:18:"bartik/classy.base";i:1;s:22:"bartik/classy.messages";i:2;s:14:"core/normalize";i:3;s:21:"bartik/global-styling";}s:6:"engine";s:4:"twig";s:5:"notes";a:2:{i:0;O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"default theme";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}i:1;O:25:"Drupal\\Core\\GeneratedLink":5:{s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0attachments";a:0:{}s:16:"\0*\0generatedLink";s:175:"<a href="https://www.drupal.org/node/3223395#s-bartik" class="theme-link--non-stable" aria-label="View information on the Deprecated status of the theme Bartik">Deprecated</a>";}}}s:20:"\0*\0styleSheetsRemove";a:0:{}s:12:"\0*\0libraries";a:4:{i:0;s:18:"bartik/classy.base";i:1;s:22:"bartik/classy.messages";i:2;s:14:"core/normalize";i:3;s:21:"bartik/global-styling";}s:10:"\0*\0regions";a:19:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:12:"featured_top";s:12:"Featured top";s:10:"breadcrumb";s:10:"Breadcrumb";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:21:"featured_bottom_first";s:21:"Featured bottom first";s:22:"featured_bottom_second";s:22:"Featured bottom second";s:21:"featured_bottom_third";s:21:"Featured bottom third";s:12:"footer_first";s:12:"Footer first";s:13:"footer_second";s:13:"Footer second";s:12:"footer_third";s:12:"Footer third";s:13:"footer_fourth";s:13:"Footer fourth";s:12:"footer_fifth";s:12:"Footer fifth";}s:20:"\0*\0librariesOverride";a:0:{}s:18:"\0*\0librariesExtend";a:11:{s:18:"core/drupal.dialog";a:1:{i:0;s:20:"bartik/classy.dialog";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:24:"bartik/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:22:"bartik/classy.progress";}s:16:"file/drupal.file";a:1:{i:0;s:18:"bartik/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:13:"bartik/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:13:"bartik/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:40:"bartik/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:27:"bartik/classy.media_library";}s:20:"media_library/widget";a:1:{i:0;s:27:"bartik/classy.media_library";}s:9:"tour/tour";a:1:{i:0;s:11:"bartik/tour";}s:16:"user/drupal.user";a:1:{i:0;s:11:"bartik/user";}}}', -1, '1681650074.822', 1, '', '0'),
('theme.active_theme.claro', 'O:29:"Drupal\\Core\\Theme\\ActiveTheme":12:{s:7:"\0*\0name";s:5:"claro";s:7:"\0*\0logo";s:26:"core/themes/claro/logo.svg";s:7:"\0*\0path";s:17:"core/themes/claro";s:9:"\0*\0engine";s:4:"twig";s:8:"\0*\0owner";s:36:"core/themes/engines/twig/twig.engine";s:22:"\0*\0baseThemeExtensions";a:0:{}s:12:"\0*\0extension";O:31:"Drupal\\Core\\Extension\\Extension":15:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:32:"core/themes/claro/claro.info.yml";s:11:"\0*\0filename";s:11:"claro.theme";s:7:"subpath";s:12:"themes/claro";s:6:"origin";s:4:"core";s:4:"info";a:25:{s:4:"name";s:5:"Claro";s:4:"type";s:5:"theme";s:11:"description";s:62:"A clean, accessible, and powerful Drupal administration theme.";s:8:"alt text";s:49:"Screenshot of Claro, Drupal administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:19:"core/drupal.message";i:1;s:14:"core/normalize";i:2;s:20:"claro/global-styling";}s:18:"libraries-override";a:15:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:6:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:28:"css/components/tabledrag.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:1:{s:4:"base";a:1:{s:32:"misc/dialog/off-canvas.theme.css";s:29:"css/base/off-canvas.theme.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";b:0;}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:28:"css/theme/field-ui.admin.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:33:"css/components/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:27:"css/theme/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:33:"css/theme/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:26:"css/state/toolbar.menu.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:33:"css/components/views_ui.admin.css";}s:5:"theme";a:1:{s:28:"css/views_ui.admin.theme.css";s:34:"css/theme/views_ui.admin.theme.css";}}}}s:16:"libraries-extend";a:26:{s:24:"ckeditor/drupal.ckeditor";a:1:{i:0;s:21:"claro/ckeditor-editor";}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{i:0;s:20:"claro/ckeditor-admin";}s:13:"core/ckeditor";a:1:{i:0;s:21:"claro/ckeditor-dialog";}s:20:"core/drupal.collapse";a:1:{i:0;s:19:"claro/details-focus";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"claro/claro.drupal.dialog";i:1;s:21:"claro/claro.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:16:"claro/dropbutton";}s:20:"core/drupal.checkbox";a:1:{i:0;s:14:"claro/checkbox";}s:19:"core/drupal.message";a:1:{i:0;s:14:"claro/messages";}s:20:"core/drupal.progress";a:1:{i:0;s:14:"claro/progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"claro/claro.jquery.ui";}s:21:"core/drupal.tabledrag";a:1:{i:0;s:21:"claro/claro.tabledrag";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"claro/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:10:"claro/file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"claro/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"claro/filter";}s:12:"system/admin";a:1:{i:0;s:18:"claro/system.admin";}s:24:"core/drupal.autocomplete";a:2:{i:0;s:18:"claro/autocomplete";i:1;s:21:"claro/claro.jquery.ui";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"claro/tour-styling";}s:24:"shortcut/drupal.shortcut";a:1:{i:0;s:21:"claro/drupal.shortcut";}s:16:"core/drupal.ajax";a:1:{i:0;s:10:"claro/ajax";}s:16:"user/drupal.user";a:1:{i:0;s:27:"claro/form.password-confirm";}s:18:"views/views.module";a:1:{i:0;s:11:"claro/views";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"claro/classy.media_embed_ckeditor_theme";}s:16:"media_library/ui";a:1:{i:0;s:22:"claro/media_library.ui";}s:18:"media_library/view";a:1:{i:0;s:25:"claro/media_library.theme";}s:20:"media_library/widget";a:1:{i:0;s:25:"claro/media_library.theme";}}s:21:"quickedit_stylesheets";a:1:{i:0;s:28:"css/components/quickedit.css";}s:20:"ckeditor_stylesheets";a:4:{i:0;s:21:"css/base/elements.css";i:1;s:23:"css/base/typography.css";i:2;s:28:"css/theme/ckeditor-frame.css";i:3;s:43:"css/classy/components/media-embed-error.css";}s:21:"ckeditor5-stylesheets";b:0;s:7:"regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/claro/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:0;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}s:9:"libraries";a:3:{i:0;s:19:"core/drupal.message";i:1;s:14:"core/normalize";i:2;s:20:"claro/global-styling";}s:6:"engine";s:4:"twig";}s:20:"\0*\0styleSheetsRemove";a:0:{}s:12:"\0*\0libraries";a:3:{i:0;s:19:"core/drupal.message";i:1;s:14:"core/normalize";i:2;s:20:"claro/global-styling";}s:10:"\0*\0regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:20:"\0*\0librariesOverride";a:1:{s:17:"core/themes/claro";a:15:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:6:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:28:"css/components/tabledrag.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:1:{s:4:"base";a:1:{s:32:"misc/dialog/off-canvas.theme.css";s:29:"css/base/off-canvas.theme.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";b:0;}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:28:"css/theme/field-ui.admin.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:33:"css/components/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:27:"css/theme/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:33:"css/theme/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:26:"css/state/toolbar.menu.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:33:"css/components/views_ui.admin.css";}s:5:"theme";a:1:{s:28:"css/views_ui.admin.theme.css";s:34:"css/theme/views_ui.admin.theme.css";}}}}}s:18:"\0*\0librariesExtend";a:26:{s:24:"ckeditor/drupal.ckeditor";a:1:{i:0;s:21:"claro/ckeditor-editor";}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{i:0;s:20:"claro/ckeditor-admin";}s:13:"core/ckeditor";a:1:{i:0;s:21:"claro/ckeditor-dialog";}s:20:"core/drupal.collapse";a:1:{i:0;s:19:"claro/details-focus";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"claro/claro.drupal.dialog";i:1;s:21:"claro/claro.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:16:"claro/dropbutton";}s:20:"core/drupal.checkbox";a:1:{i:0;s:14:"claro/checkbox";}s:19:"core/drupal.message";a:1:{i:0;s:14:"claro/messages";}s:20:"core/drupal.progress";a:1:{i:0;s:14:"claro/progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"claro/claro.jquery.ui";}s:21:"core/drupal.tabledrag";a:1:{i:0;s:21:"claro/claro.tabledrag";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"claro/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:10:"claro/file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"claro/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"claro/filter";}s:12:"system/admin";a:1:{i:0;s:18:"claro/system.admin";}s:24:"core/drupal.autocomplete";a:2:{i:0;s:18:"claro/autocomplete";i:1;s:21:"claro/claro.jquery.ui";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"claro/tour-styling";}s:24:"shortcut/drupal.shortcut";a:1:{i:0;s:21:"claro/drupal.shortcut";}s:16:"core/drupal.ajax";a:1:{i:0;s:10:"claro/ajax";}s:16:"user/drupal.user";a:1:{i:0;s:27:"claro/form.password-confirm";}s:18:"views/views.module";a:1:{i:0;s:11:"claro/views";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"claro/classy.media_embed_ckeditor_theme";}s:16:"media_library/ui";a:1:{i:0;s:22:"claro/media_library.ui";}s:18:"media_library/view";a:1:{i:0;s:25:"claro/media_library.theme";}s:20:"media_library/widget";a:1:{i:0;s:25:"claro/media_library.theme";}}}', -1, '1681652115.019', 1, '', '0'),
('theme.active_theme.conferenceplus', 'O:29:"Drupal\\Core\\Theme\\ActiveTheme":12:{s:7:"\0*\0name";s:14:"conferenceplus";s:7:"\0*\0logo";s:37:"themes/custom/conferenceplus/logo.svg";s:7:"\0*\0path";s:28:"themes/custom/conferenceplus";s:9:"\0*\0engine";s:4:"twig";s:8:"\0*\0owner";s:36:"core/themes/engines/twig/twig.engine";s:22:"\0*\0baseThemeExtensions";a:2:{s:6:"classy";O:31:"Drupal\\Core\\Extension\\Extension":18:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:34:"core/themes/classy/classy.info.yml";s:11:"\0*\0filename";s:12:"classy.theme";s:7:"subpath";s:13:"themes/classy";s:6:"origin";s:4:"core";s:4:"info";a:24:{s:4:"name";s:6:"Classy";s:4:"type";s:5:"theme";s:10:"base theme";s:6:"stable";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:40:"https://drupal.org/node/3223395#s-classy";s:11:"description";s:176:"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href="https://www.drupal.org/docs/8/theming">Drupal 8 Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:9:"libraries";a:3:{i:0;s:11:"classy/base";i:1;s:15:"classy/messages";i:2;s:14:"core/normalize";}s:16:"libraries-extend";a:8:{s:16:"user/drupal.user";a:1:{i:0;s:11:"classy/user";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:17:"classy/dropbutton";}s:18:"core/drupal.dialog";a:1:{i:0;s:13:"classy/dialog";}s:16:"file/drupal.file";a:1:{i:0;s:11:"classy/file";}s:20:"core/drupal.progress";a:1:{i:0;s:15:"classy/progress";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:33:"classy/media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:20:"classy/media_library";}s:20:"media_library/widget";a:1:{i:0;s:20:"classy/media_library";}}s:20:"ckeditor_stylesheets";a:1:{i:0;s:36:"css/components/media-embed-error.css";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/classy/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:6:"stable";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:1:{s:14:"conferenceplus";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"classy";s:10:"\0*\0project";s:0:"";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:6:"stable";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"stable";s:10:"\0*\0project";s:0:"";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-1;s:11:"base_themes";a:1:{s:6:"stable";s:6:"Stable";}s:10:"sub_themes";a:1:{s:14:"conferenceplus";s:11:"Conference+";}s:19:"module_dependencies";a:0:{}s:9:"libraries";a:3:{i:0;s:11:"classy/base";i:1;s:15:"classy/messages";i:2;s:14:"core/normalize";}s:6:"engine";s:4:"twig";s:10:"base_theme";s:6:"stable";}s:6:"stable";O:31:"Drupal\\Core\\Extension\\Extension":15:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:34:"core/themes/stable/stable.info.yml";s:11:"\0*\0filename";s:12:"stable.theme";s:7:"subpath";s:13:"themes/stable";s:6:"origin";s:4:"core";s:4:"info";a:23:{s:4:"name";s:6:"Stable";s:4:"type";s:5:"theme";s:11:"description";s:62:"A default base theme using Drupal 8.0.0''s core markup and CSS.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:52:"https://www.drupal.org/project/drupal/issues/3308890";s:18:"libraries-override";a:54:{s:24:"block/drupal.block.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/block.admin.css";s:25:"css/block/block.admin.css";}}}s:24:"ckeditor/drupal.ckeditor";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:16:"css/ckeditor.css";s:25:"css/ckeditor/ckeditor.css";}}}s:51:"ckeditor/drupal.ckeditor.plugins.drupalimagecaption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:62:"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";s:71:"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";}}}s:41:"ckeditor/drupal.ckeditor.plugins.language";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:42:"css/plugins/language/ckeditor.language.css";s:51:"css/ckeditor/plugins/language/ckeditor.language.css";}}}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/ckeditor.admin.css";s:31:"css/ckeditor/ckeditor.admin.css";}}}s:11:"color/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/color.admin.css";s:25:"css/color/color.admin.css";}}}s:50:"config_translation/drupal.config_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:32:"css/config_translation.admin.css";s:51:"css/config_translation/config_translation.admin.css";}}}s:52:"content_translation/drupal.content_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:33:"css/content_translation.admin.css";s:53:"css/content_translation/content_translation.admin.css";}}}s:37:"content_moderation/content_moderation";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:33:"css/content_moderation.module.css";s:52:"css/content_moderation/content_moderation.module.css";}s:5:"theme";a:1:{s:32:"css/content_moderation.theme.css";s:51:"css/content_moderation/content_moderation.theme.css";}}}s:34:"contextual/drupal.contextual-links";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:25:"css/contextual.module.css";s:36:"css/contextual/contextual.module.css";}s:5:"theme";a:2:{s:24:"css/contextual.theme.css";s:35:"css/contextual/contextual.theme.css";s:30:"css/contextual.icons.theme.css";s:41:"css/contextual/contextual.icons.theme.css";}}}s:36:"contextual/drupal.contextual-toolbar";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:26:"css/contextual.toolbar.css";s:37:"css/contextual/contextual.toolbar.css";}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:2:{s:4:"base";a:4:{s:32:"misc/dialog/off-canvas.reset.css";s:36:"css/core/dialog/off-canvas.reset.css";s:31:"misc/dialog/off-canvas.base.css";s:35:"css/core/dialog/off-canvas.base.css";s:26:"misc/dialog/off-canvas.css";s:30:"css/core/dialog/off-canvas.css";s:32:"misc/dialog/off-canvas.theme.css";s:36:"css/core/dialog/off-canvas.theme.css";}s:9:"component";a:8:{s:33:"misc/dialog/off-canvas.motion.css";s:37:"css/core/dialog/off-canvas.motion.css";s:33:"misc/dialog/off-canvas.button.css";s:37:"css/core/dialog/off-canvas.button.css";s:31:"misc/dialog/off-canvas.form.css";s:35:"css/core/dialog/off-canvas.form.css";s:32:"misc/dialog/off-canvas.table.css";s:36:"css/core/dialog/off-canvas.table.css";s:34:"misc/dialog/off-canvas.details.css";s:38:"css/core/dialog/off-canvas.details.css";s:36:"misc/dialog/off-canvas.tabledrag.css";s:40:"css/core/dialog/off-canvas.tabledrag.css";s:37:"misc/dialog/off-canvas.dropbutton.css";s:41:"css/core/dialog/off-canvas.dropbutton.css";s:33:"misc/dialog/off-canvas.layout.css";s:37:"css/core/dialog/off-canvas.layout.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:34:"css/core/dropbutton/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:26:"css/core/vertical-tabs.css";}}}s:14:"core/normalize";s:16:"stable/normalize";s:18:"dblog/drupal.dblog";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/dblog.module.css";s:26:"css/dblog/dblog.module.css";}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:31:"css/field_ui/field_ui.admin.css";}}}s:16:"file/drupal.file";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/file.admin.css";s:23:"css/file/file.admin.css";}}}s:26:"filter/drupal.filter.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:20:"filter/drupal.filter";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:14:"filter/caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:29:"css/filter/filter.caption.css";}}}s:11:"image/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/image.admin.css";s:25:"css/image/image.admin.css";}}}s:30:"language/drupal.language.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/language.admin.css";s:31:"css/language/language.admin.css";}}}s:36:"layout_builder/drupal.layout_builder";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/layout-builder.css";s:37:"css/layout_builder/layout-builder.css";}}}s:26:"locale/drupal.locale.admin";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/locale.admin.css";s:27:"css/locale/locale.admin.css";}}}s:20:"media/filter.caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:28:"css/media/filter.caption.css";}}}s:22:"media/oembed.formatter";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:24:"css/oembed.formatter.css";s:30:"css/media/oembed.formatter.css";}}}s:18:"media/oembed.frame";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/oembed.frame.css";s:26:"css/media/oembed.frame.css";}}}s:33:"menu_ui/drupal.menu_ui.adminforms";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:21:"css/menu_ui.admin.css";s:29:"css/menu_ui/menu_ui.admin.css";}}}s:22:"migrate_drupal_ui/base";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:49:"css/components/upgrade-analysis-report-tables.css";s:67:"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:24:"node/drupal.node.preview";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/node.preview.css";s:25:"css/node/node.preview.css";}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:22:"node/drupal.node.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/node.admin.css";s:23:"css/node/node.admin.css";}}}s:19:"quickedit/quickedit";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:24:"css/quickedit.module.css";s:34:"css/quickedit/quickedit.module.css";}s:5:"theme";a:2:{s:23:"css/quickedit.theme.css";s:33:"css/quickedit/quickedit.theme.css";s:29:"css/quickedit.icons.theme.css";s:39:"css/quickedit/quickedit.icons.theme.css";}}}s:47:"quickedit/quickedit.inPlaceEditor.formattedText";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:38:"css/editors/formattedText.ckeditor.css";s:48:"css/quickedit/editors/formattedText.ckeditor.css";s:39:"css/editors/formattedText.ckeditor5.css";s:49:"css/quickedit/editors/formattedText.ckeditor5.css";}}}s:39:"quickedit/quickedit.inPlaceEditor.image";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:21:"css/editors/image.css";s:31:"css/quickedit/editors/image.css";}s:5:"theme";a:1:{s:27:"css/editors/image.theme.css";s:37:"css/quickedit/editors/image.theme.css";}}}s:51:"quickedit/quickedit.ckeditor5-temporary-work-around";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:50:"css/editors/formattedText/ckeditor5.workaround.css";s:60:"css/quickedit/editors/formattedText/ckeditor5.workaround.css";}}}s:34:"settings_tray/drupal.settings_tray";a:1:{s:3:"css";a:2:{s:9:"component";a:3:{s:28:"css/settings_tray.module.css";s:42:"css/settings_tray/settings_tray.module.css";s:28:"css/settings_tray.motion.css";s:42:"css/settings_tray/settings_tray.motion.css";s:29:"css/settings_tray.toolbar.css";s:43:"css/settings_tray/settings_tray.toolbar.css";}s:5:"theme";a:1:{s:27:"css/settings_tray.theme.css";s:41:"css/settings_tray/settings_tray.theme.css";}}}s:24:"shortcut/drupal.shortcut";a:1:{s:3:"css";a:1:{s:5:"theme";a:2:{s:22:"css/shortcut.theme.css";s:31:"css/shortcut/shortcut.theme.css";s:28:"css/shortcut.icons.theme.css";s:37:"css/shortcut/shortcut.icons.theme.css";}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:22:{s:39:"css/components/ajax-progress.module.css";s:46:"css/system/components/ajax-progress.module.css";s:31:"css/components/align.module.css";s:38:"css/system/components/align.module.css";s:46:"css/components/autocomplete-loading.module.css";s:53:"css/system/components/autocomplete-loading.module.css";s:36:"css/components/fieldgroup.module.css";s:43:"css/system/components/fieldgroup.module.css";s:42:"css/components/container-inline.module.css";s:49:"css/system/components/container-inline.module.css";s:34:"css/components/clearfix.module.css";s:41:"css/system/components/clearfix.module.css";s:33:"css/components/details.module.css";s:40:"css/system/components/details.module.css";s:32:"css/components/hidden.module.css";s:39:"css/system/components/hidden.module.css";s:35:"css/components/item-list.module.css";s:42:"css/system/components/item-list.module.css";s:28:"css/components/js.module.css";s:35:"css/system/components/js.module.css";s:32:"css/components/nowrap.module.css";s:39:"css/system/components/nowrap.module.css";s:44:"css/components/position-container.module.css";s:51:"css/system/components/position-container.module.css";s:34:"css/components/progress.module.css";s:41:"css/system/components/progress.module.css";s:42:"css/components/reset-appearance.module.css";s:49:"css/system/components/reset-appearance.module.css";s:32:"css/components/resize.module.css";s:39:"css/system/components/resize.module.css";s:39:"css/components/sticky-header.module.css";s:46:"css/system/components/sticky-header.module.css";s:40:"css/components/system-status-counter.css";s:47:"css/system/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:55:"css/system/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:59:"css/system/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:42:"css/system/components/tabledrag.module.css";s:35:"css/components/tablesort.module.css";s:42:"css/system/components/tablesort.module.css";s:36:"css/components/tree-child.module.css";s:43:"css/system/components/tree-child.module.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";s:27:"css/system/system.admin.css";}}}s:18:"system/maintenance";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/system.maintenance.css";s:33:"css/system/system.maintenance.css";}}}s:11:"system/diff";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/system.diff.css";s:26:"css/system/system.diff.css";}}}s:24:"taxonomy/drupal.taxonomy";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/taxonomy.theme.css";s:31:"css/taxonomy/taxonomy.theme.css";}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:30:"css/toolbar/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:29:"css/toolbar/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:35:"css/toolbar/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:28:"css/toolbar/toolbar.menu.css";}}}s:17:"tour/tour-styling";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/tour.module.css";s:24:"css/tour/tour.module.css";}}}s:26:"update/drupal.update.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/update.admin.theme.css";s:33:"css/update/update.admin.theme.css";}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";s:24:"css/user/user.module.css";}}}s:22:"user/drupal.user.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/user.admin.css";s:23:"css/user/user.admin.css";}}}s:22:"user/drupal.user.icons";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:24:"css/user.icons.admin.css";s:29:"css/user/user.icons.admin.css";}}}s:18:"views/views.module";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/views.module.css";s:26:"css/views/views.module.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:31:"css/views_ui/views_ui.admin.css";}s:5:"theme";a:2:{s:28:"css/views_ui.admin.theme.css";s:37:"css/views_ui/views_ui.admin.theme.css";s:27:"css/views_ui.contextual.css";s:36:"css/views_ui/views_ui.contextual.css";}}}}s:16:"libraries-extend";a:3:{s:16:"core/drupal.ajax";a:1:{i:0;s:18:"stable/drupal.ajax";}s:16:"user/drupal.user";a:1:{i:0;s:18:"stable/drupal.user";}s:9:"tour/tour";a:1:{i:0;s:11:"stable/tour";}}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/stable/screenshot.png";s:3:"php";s:5:"7.3.0";s:9:"libraries";a:0:{}s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:2:{s:6:"classy";r:88;s:14:"conferenceplus";r:88;}s:8:"requires";a:0:{}s:4:"sort";i:0;s:10:"sub_themes";a:2:{s:6:"classy";s:6:"Classy";s:14:"conferenceplus";s:11:"Conference+";}s:19:"module_dependencies";a:0:{}s:6:"engine";s:4:"twig";}}s:12:"\0*\0extension";O:31:"Drupal\\Core\\Extension\\Extension":17:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:52:"themes/custom/conferenceplus/conferenceplus.info.yml";s:11:"\0*\0filename";s:20:"conferenceplus.theme";s:7:"subpath";s:28:"themes/custom/conferenceplus";s:6:"origin";s:0:"";s:4:"info";a:21:{s:4:"name";s:11:"Conference+";s:4:"type";s:5:"theme";s:10:"base theme";s:6:"classy";s:11:"description";s:86:"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.";s:7:"version";s:5:"5.5.0";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:9:"libraries";a:8:{i:0;s:29:"conferenceplus/global-styling";i:1;s:23:"conferenceplus/messages";i:2;s:22:"conferenceplus/tooltip";i:3;s:28:"conferenceplus/count-to-init";i:4;s:32:"conferenceplus/local-stylesheets";i:5;s:33:"conferenceplus/in-page-navigation";i:6;s:28:"conferenceplus/mt-count-down";i:7;s:30:"conferenceplus/fontawesome-css";}s:18:"libraries-override";a:1:{s:11:"classy/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:29:"css/components/breadcrumb.css";b:0;s:24:"css/components/pager.css";b:0;}}}}s:7:"regions";a:34:{s:8:"slideout";s:8:"Slideout";s:28:"header_top_highlighted_first";s:28:"Header Top Highlighted First";s:29:"header_top_highlighted_second";s:29:"Header Top Highlighted Second";s:16:"header_top_first";s:16:"Header Top First";s:17:"header_top_second";s:17:"Header Top Second";s:12:"header_first";s:12:"Header First";s:6:"header";s:13:"Header Second";s:12:"header_third";s:12:"Header Third";s:6:"banner";s:6:"Banner";s:15:"system_messages";s:15:"System Messages";s:11:"content_top";s:11:"Content Top";s:23:"content_top_highlighted";s:23:"Content Top Highlighted";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar First";s:14:"sidebar_second";s:14:"Sidebar Second";s:20:"content_bottom_first";s:20:"Content Bottom First";s:21:"content_bottom_second";s:21:"Content Bottom Second";s:12:"featured_top";s:12:"Featured Top";s:8:"featured";s:8:"Featured";s:15:"featured_bottom";s:15:"Featured Bottom";s:12:"sub_featured";s:12:"Sub Featured";s:15:"highlighted_top";s:15:"Highlighted Top";s:11:"highlighted";s:11:"Highlighted";s:16:"footer_top_first";s:16:"Footer Top First";s:17:"footer_top_second";s:17:"Footer Top Second";s:12:"footer_first";s:12:"Footer First";s:13:"footer_second";s:13:"Footer Second";s:12:"footer_third";s:12:"Footer Third";s:13:"footer_fourth";s:13:"Footer Fourth";s:12:"footer_fifth";s:12:"Footer Fifth";s:13:"footer_bottom";s:13:"Footer Bottom";s:16:"sub_footer_first";s:15:"Subfooter First";s:6:"footer";s:16:"Subfooter Second";s:24:"hidden_blocks_collection";s:24:"Hidden blocks collection";}s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681464804;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:43:"themes/custom/conferenceplus/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:6:"classy";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:6:"classy";r:83;s:6:"stable";r:88;}s:4:"sort";i:-2;s:11:"base_themes";a:2:{s:6:"stable";s:6:"Stable";s:6:"classy";s:6:"Classy";}s:19:"module_dependencies";a:0:{}s:9:"libraries";a:8:{i:0;s:29:"conferenceplus/global-styling";i:1;s:23:"conferenceplus/messages";i:2;s:22:"conferenceplus/tooltip";i:3;s:28:"conferenceplus/count-to-init";i:4;s:32:"conferenceplus/local-stylesheets";i:5;s:33:"conferenceplus/in-page-navigation";i:6;s:28:"conferenceplus/mt-count-down";i:7;s:30:"conferenceplus/fontawesome-css";}s:6:"engine";s:4:"twig";s:10:"base_theme";s:6:"classy";}s:20:"\0*\0styleSheetsRemove";a:0:{}s:12:"\0*\0libraries";a:11:{i:0;s:11:"classy/base";i:1;s:15:"classy/messages";i:2;s:14:"core/normalize";i:3;s:29:"conferenceplus/global-styling";i:4;s:23:"conferenceplus/messages";i:5;s:22:"conferenceplus/tooltip";i:6;s:28:"conferenceplus/count-to-init";i:7;s:32:"conferenceplus/local-stylesheets";i:8;s:33:"conferenceplus/in-page-navigation";i:9;s:28:"conferenceplus/mt-count-down";i:10;s:30:"conferenceplus/fontawesome-css";}s:10:"\0*\0regions";a:34:{s:8:"slideout";s:8:"Slideout";s:28:"header_top_highlighted_first";s:28:"Header Top Highlighted First";s:29:"header_top_highlighted_second";s:29:"Header Top Highlighted Second";s:16:"header_top_first";s:16:"Header Top First";s:17:"header_top_second";s:17:"Header Top Second";s:12:"header_first";s:12:"Header First";s:6:"header";s:13:"Header Second";s:12:"header_third";s:12:"Header Third";s:6:"banner";s:6:"Banner";s:15:"system_messages";s:15:"System Messages";s:11:"content_top";s:11:"Content Top";s:23:"content_top_highlighted";s:23:"Content Top Highlighted";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar First";s:14:"sidebar_second";s:14:"Sidebar Second";s:20:"content_bottom_first";s:20:"Content Bottom First";s:21:"content_bottom_second";s:21:"Content Bottom Second";s:12:"featured_top";s:12:"Featured Top";s:8:"featured";s:8:"Featured";s:15:"featured_bottom";s:15:"Featured Bottom";s:12:"sub_featured";s:12:"Sub Featured";s:15:"highlighted_top";s:15:"Highlighted Top";s:11:"highlighted";s:11:"Highlighted";s:16:"footer_top_first";s:16:"Footer Top First";s:17:"footer_top_second";s:17:"Footer Top Second";s:12:"footer_first";s:12:"Footer First";s:13:"footer_second";s:13:"Footer Second";s:12:"footer_third";s:12:"Footer Third";s:13:"footer_fourth";s:13:"Footer Fourth";s:12:"footer_fifth";s:12:"Footer Fifth";s:13:"footer_bottom";s:13:"Footer Bottom";s:16:"sub_footer_first";s:15:"Subfooter First";s:6:"footer";s:16:"Subfooter Second";s:24:"hidden_blocks_collection";s:24:"Hidden blocks collection";}s:20:"\0*\0librariesOverride";a:2:{s:18:"core/themes/stable";a:54:{s:24:"block/drupal.block.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/block.admin.css";s:25:"css/block/block.admin.css";}}}s:24:"ckeditor/drupal.ckeditor";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:16:"css/ckeditor.css";s:25:"css/ckeditor/ckeditor.css";}}}s:51:"ckeditor/drupal.ckeditor.plugins.drupalimagecaption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:62:"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";s:71:"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";}}}s:41:"ckeditor/drupal.ckeditor.plugins.language";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:42:"css/plugins/language/ckeditor.language.css";s:51:"css/ckeditor/plugins/language/ckeditor.language.css";}}}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/ckeditor.admin.css";s:31:"css/ckeditor/ckeditor.admin.css";}}}s:11:"color/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/color.admin.css";s:25:"css/color/color.admin.css";}}}s:50:"config_translation/drupal.config_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:32:"css/config_translation.admin.css";s:51:"css/config_translation/config_translation.admin.css";}}}s:52:"content_translation/drupal.content_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:33:"css/content_translation.admin.css";s:53:"css/content_translation/content_translation.admin.css";}}}s:37:"content_moderation/content_moderation";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:33:"css/content_moderation.module.css";s:52:"css/content_moderation/content_moderation.module.css";}s:5:"theme";a:1:{s:32:"css/content_moderation.theme.css";s:51:"css/content_moderation/content_moderation.theme.css";}}}s:34:"contextual/drupal.contextual-links";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:25:"css/contextual.module.css";s:36:"css/contextual/contextual.module.css";}s:5:"theme";a:2:{s:24:"css/contextual.theme.css";s:35:"css/contextual/contextual.theme.css";s:30:"css/contextual.icons.theme.css";s:41:"css/contextual/contextual.icons.theme.css";}}}s:36:"contextual/drupal.contextual-toolbar";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:26:"css/contextual.toolbar.css";s:37:"css/contextual/contextual.toolbar.css";}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:2:{s:4:"base";a:4:{s:32:"misc/dialog/off-canvas.reset.css";s:36:"css/core/dialog/off-canvas.reset.css";s:31:"misc/dialog/off-canvas.base.css";s:35:"css/core/dialog/off-canvas.base.css";s:26:"misc/dialog/off-canvas.css";s:30:"css/core/dialog/off-canvas.css";s:32:"misc/dialog/off-canvas.theme.css";s:36:"css/core/dialog/off-canvas.theme.css";}s:9:"component";a:8:{s:33:"misc/dialog/off-canvas.motion.css";s:37:"css/core/dialog/off-canvas.motion.css";s:33:"misc/dialog/off-canvas.button.css";s:37:"css/core/dialog/off-canvas.button.css";s:31:"misc/dialog/off-canvas.form.css";s:35:"css/core/dialog/off-canvas.form.css";s:32:"misc/dialog/off-canvas.table.css";s:36:"css/core/dialog/off-canvas.table.css";s:34:"misc/dialog/off-canvas.details.css";s:38:"css/core/dialog/off-canvas.details.css";s:36:"misc/dialog/off-canvas.tabledrag.css";s:40:"css/core/dialog/off-canvas.tabledrag.css";s:37:"misc/dialog/off-canvas.dropbutton.css";s:41:"css/core/dialog/off-canvas.dropbutton.css";s:33:"misc/dialog/off-canvas.layout.css";s:37:"css/core/dialog/off-canvas.layout.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:34:"css/core/dropbutton/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:26:"css/core/vertical-tabs.css";}}}s:14:"core/normalize";s:16:"stable/normalize";s:18:"dblog/drupal.dblog";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/dblog.module.css";s:26:"css/dblog/dblog.module.css";}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:31:"css/field_ui/field_ui.admin.css";}}}s:16:"file/drupal.file";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/file.admin.css";s:23:"css/file/file.admin.css";}}}s:26:"filter/drupal.filter.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:20:"filter/drupal.filter";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:14:"filter/caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:29:"css/filter/filter.caption.css";}}}s:11:"image/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/image.admin.css";s:25:"css/image/image.admin.css";}}}s:30:"language/drupal.language.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/language.admin.css";s:31:"css/language/language.admin.css";}}}s:36:"layout_builder/drupal.layout_builder";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/layout-builder.css";s:37:"css/layout_builder/layout-builder.css";}}}s:26:"locale/drupal.locale.admin";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/locale.admin.css";s:27:"css/locale/locale.admin.css";}}}s:20:"media/filter.caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:28:"css/media/filter.caption.css";}}}s:22:"media/oembed.formatter";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:24:"css/oembed.formatter.css";s:30:"css/media/oembed.formatter.css";}}}s:18:"media/oembed.frame";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/oembed.frame.css";s:26:"css/media/oembed.frame.css";}}}s:33:"menu_ui/drupal.menu_ui.adminforms";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:21:"css/menu_ui.admin.css";s:29:"css/menu_ui/menu_ui.admin.css";}}}s:22:"migrate_drupal_ui/base";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:49:"css/components/upgrade-analysis-report-tables.css";s:67:"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:24:"node/drupal.node.preview";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/node.preview.css";s:25:"css/node/node.preview.css";}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:22:"node/drupal.node.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/node.admin.css";s:23:"css/node/node.admin.css";}}}s:19:"quickedit/quickedit";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:24:"css/quickedit.module.css";s:34:"css/quickedit/quickedit.module.css";}s:5:"theme";a:2:{s:23:"css/quickedit.theme.css";s:33:"css/quickedit/quickedit.theme.css";s:29:"css/quickedit.icons.theme.css";s:39:"css/quickedit/quickedit.icons.theme.css";}}}s:47:"quickedit/quickedit.inPlaceEditor.formattedText";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:38:"css/editors/formattedText.ckeditor.css";s:48:"css/quickedit/editors/formattedText.ckeditor.css";s:39:"css/editors/formattedText.ckeditor5.css";s:49:"css/quickedit/editors/formattedText.ckeditor5.css";}}}s:39:"quickedit/quickedit.inPlaceEditor.image";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:21:"css/editors/image.css";s:31:"css/quickedit/editors/image.css";}s:5:"theme";a:1:{s:27:"css/editors/image.theme.css";s:37:"css/quickedit/editors/image.theme.css";}}}s:51:"quickedit/quickedit.ckeditor5-temporary-work-around";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:50:"css/editors/formattedText/ckeditor5.workaround.css";s:60:"css/quickedit/editors/formattedText/ckeditor5.workaround.css";}}}s:34:"settings_tray/drupal.settings_tray";a:1:{s:3:"css";a:2:{s:9:"component";a:3:{s:28:"css/settings_tray.module.css";s:42:"css/settings_tray/settings_tray.module.css";s:28:"css/settings_tray.motion.css";s:42:"css/settings_tray/settings_tray.motion.css";s:29:"css/settings_tray.toolbar.css";s:43:"css/settings_tray/settings_tray.toolbar.css";}s:5:"theme";a:1:{s:27:"css/settings_tray.theme.css";s:41:"css/settings_tray/settings_tray.theme.css";}}}s:24:"shortcut/drupal.shortcut";a:1:{s:3:"css";a:1:{s:5:"theme";a:2:{s:22:"css/shortcut.theme.css";s:31:"css/shortcut/shortcut.theme.css";s:28:"css/shortcut.icons.theme.css";s:37:"css/shortcut/shortcut.icons.theme.css";}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:22:{s:39:"css/components/ajax-progress.module.css";s:46:"css/system/components/ajax-progress.module.css";s:31:"css/components/align.module.css";s:38:"css/system/components/align.module.css";s:46:"css/components/autocomplete-loading.module.css";s:53:"css/system/components/autocomplete-loading.module.css";s:36:"css/components/fieldgroup.module.css";s:43:"css/system/components/fieldgroup.module.css";s:42:"css/components/container-inline.module.css";s:49:"css/system/components/container-inline.module.css";s:34:"css/components/clearfix.module.css";s:41:"css/system/components/clearfix.module.css";s:33:"css/components/details.module.css";s:40:"css/system/components/details.module.css";s:32:"css/components/hidden.module.css";s:39:"css/system/components/hidden.module.css";s:35:"css/components/item-list.module.css";s:42:"css/system/components/item-list.module.css";s:28:"css/components/js.module.css";s:35:"css/system/components/js.module.css";s:32:"css/components/nowrap.module.css";s:39:"css/system/components/nowrap.module.css";s:44:"css/components/position-container.module.css";s:51:"css/system/components/position-container.module.css";s:34:"css/components/progress.module.css";s:41:"css/system/components/progress.module.css";s:42:"css/components/reset-appearance.module.css";s:49:"css/system/components/reset-appearance.module.css";s:32:"css/components/resize.module.css";s:39:"css/system/components/resize.module.css";s:39:"css/components/sticky-header.module.css";s:46:"css/system/components/sticky-header.module.css";s:40:"css/components/system-status-counter.css";s:47:"css/system/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:55:"css/system/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:59:"css/system/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:42:"css/system/components/tabledrag.module.css";s:35:"css/components/tablesort.module.css";s:42:"css/system/components/tablesort.module.css";s:36:"css/components/tree-child.module.css";s:43:"css/system/components/tree-child.module.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";s:27:"css/system/system.admin.css";}}}s:18:"system/maintenance";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/system.maintenance.css";s:33:"css/system/system.maintenance.css";}}}s:11:"system/diff";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/system.diff.css";s:26:"css/system/system.diff.css";}}}s:24:"taxonomy/drupal.taxonomy";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/taxonomy.theme.css";s:31:"css/taxonomy/taxonomy.theme.css";}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:30:"css/toolbar/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:29:"css/toolbar/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:35:"css/toolbar/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:28:"css/toolbar/toolbar.menu.css";}}}s:17:"tour/tour-styling";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/tour.module.css";s:24:"css/tour/tour.module.css";}}}s:26:"update/drupal.update.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/update.admin.theme.css";s:33:"css/update/update.admin.theme.css";}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";s:24:"css/user/user.module.css";}}}s:22:"user/drupal.user.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/user.admin.css";s:23:"css/user/user.admin.css";}}}s:22:"user/drupal.user.icons";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:24:"css/user.icons.admin.css";s:29:"css/user/user.icons.admin.css";}}}s:18:"views/views.module";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/views.module.css";s:26:"css/views/views.module.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:31:"css/views_ui/views_ui.admin.css";}s:5:"theme";a:2:{s:28:"css/views_ui.admin.theme.css";s:37:"css/views_ui/views_ui.admin.theme.css";s:27:"css/views_ui.contextual.css";s:36:"css/views_ui/views_ui.contextual.css";}}}}s:28:"themes/custom/conferenceplus";a:1:{s:11:"classy/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:29:"css/components/breadcrumb.css";b:0;s:24:"css/components/pager.css";b:0;}}}}}s:18:"\0*\0librariesExtend";a:10:{s:16:"user/drupal.user";a:2:{i:0;s:11:"classy/user";i:1;s:18:"stable/drupal.user";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:17:"classy/dropbutton";}s:18:"core/drupal.dialog";a:1:{i:0;s:13:"classy/dialog";}s:16:"file/drupal.file";a:1:{i:0;s:11:"classy/file";}s:20:"core/drupal.progress";a:1:{i:0;s:15:"classy/progress";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:33:"classy/media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:20:"classy/media_library";}s:20:"media_library/widget";a:1:{i:0;s:20:"classy/media_library";}s:16:"core/drupal.ajax";a:1:{i:0;s:18:"stable/drupal.ajax";}s:9:"tour/tour";a:1:{i:0;s:11:"stable/tour";}}}', -1, '1681649766.876', 1, '', '0');
INSERT INTO `cache_bootstrap` VALUES
('theme.active_theme.olivero', 'O:29:"Drupal\\Core\\Theme\\ActiveTheme":12:{s:7:"\0*\0name";s:7:"olivero";s:7:"\0*\0logo";s:28:"core/themes/olivero/logo.svg";s:7:"\0*\0path";s:19:"core/themes/olivero";s:9:"\0*\0engine";s:4:"twig";s:8:"\0*\0owner";s:36:"core/themes/engines/twig/twig.engine";s:22:"\0*\0baseThemeExtensions";a:0:{}s:12:"\0*\0extension";O:31:"Drupal\\Core\\Extension\\Extension":20:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:36:"core/themes/olivero/olivero.info.yml";s:11:"\0*\0filename";s:13:"olivero.theme";s:7:"subpath";s:14:"themes/olivero";s:6:"origin";s:4:"core";s:4:"info";a:24:{s:4:"name";s:7:"Olivero";s:4:"type";s:5:"theme";s:11:"description";s:57:"A clean, accessible, and flexible Drupal front-end theme.";s:8:"alt text";s:46:"Screenshot of Olivero, Drupal front-end theme.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:1:{i:0;s:22:"olivero/global-styling";}s:7:"regions";a:13:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:4:"hero";s:17:"Hero (full width)";s:11:"highlighted";s:11:"Highlighted";s:10:"breadcrumb";s:10:"Breadcrumb";s:6:"social";s:10:"Social Bar";s:13:"content_above";s:13:"Content Above";s:7:"content";s:7:"Content";s:7:"sidebar";s:7:"Sidebar";s:13:"content_below";s:13:"Content Below";s:10:"footer_top";s:10:"Footer Top";s:13:"footer_bottom";s:13:"Footer Bottom";}s:18:"libraries-override";a:9:{s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";}}}s:20:"core/drupal.checkbox";b:0;s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:32:"css/components/vertical-tabs.css";}}}s:22:"media/oembed.formatter";b:0;s:29:"layout_builder/twocol_section";s:37:"olivero/layout_builder_twocol_section";s:31:"layout_builder/threecol_section";s:39:"olivero/layout_builder_threecol_section";s:30:"layout_builder/fourcol_section";s:38:"olivero/layout_builder_fourcol_section";}s:16:"libraries-extend";a:13:{s:19:"core/drupal.message";a:1:{i:0;s:22:"olivero/drupal.message";}s:20:"core/drupal.collapse";a:1:{i:0;s:15:"olivero/details";}s:18:"core/drupal.dialog";a:1:{i:0;s:21:"olivero/drupal.dialog";}s:29:"core/drupal.dialog.off_canvas";a:1:{i:0;s:25:"olivero/dialog.off_canvas";}s:20:"core/drupal.progress";a:1:{i:0;s:16:"olivero/progress";}s:23:"layout_discovery/onecol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:30:"layout_discovery/twocol_bricks";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:23:"layout_discovery/twocol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_25_50_25";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_33_34_33";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:24:"node/drupal.node.preview";a:1:{i:0;s:27:"olivero/drupal.node.preview";}s:13:"core/ckeditor";a:1:{i:0;s:18:"olivero/cke-dialog";}s:37:"content_moderation/content_moderation";a:1:{i:0;s:26:"olivero/content_moderation";}}s:20:"ckeditor_stylesheets";a:6:{i:0;s:18:"css/base/fonts.css";i:1;s:17:"css/base/base.css";i:2;s:33:"css/components/embedded-media.css";i:3;s:24:"css/components/table.css";i:4;s:31:"css/components/text-content.css";i:5;s:28:"css/theme/ckeditor-frame.css";}s:21:"ckeditor5-stylesheets";b:0;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:34:"core/themes/olivero/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}s:9:"libraries";a:1:{i:0;s:22:"olivero/global-styling";}s:6:"engine";s:4:"twig";s:10:"is_default";b:1;s:8:"is_admin";b:0;s:10:"screenshot";a:4:{s:3:"uri";s:34:"core/themes/olivero/screenshot.png";s:3:"alt";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Screenshot for @theme theme";s:12:"\0*\0arguments";a:1:{s:6:"@theme";s:7:"Olivero";}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Screenshot for @theme theme";s:12:"\0*\0arguments";a:1:{s:6:"@theme";s:7:"Olivero";}s:10:"\0*\0options";a:0:{}}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:10:"screenshot";}}}s:10:"operations";a:1:{i:0;a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:3:"url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:27:"system.theme_settings_theme";s:18:"\0*\0routeParameters";a:1:{s:5:"theme";s:7:"olivero";}s:10:"\0*\0options";a:2:{s:10:"attributes";a:1:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Settings for @theme theme";s:12:"\0*\0arguments";a:1:{s:6:"@theme";s:7:"Olivero";}s:10:"\0*\0options";a:0:{}}}s:4:"ajax";N;}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}s:10:"attributes";a:1:{s:5:"title";r:156;}}}s:5:"notes";a:1:{i:0;O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"default theme";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:20:"\0*\0styleSheetsRemove";a:0:{}s:12:"\0*\0libraries";a:1:{i:0;s:22:"olivero/global-styling";}s:10:"\0*\0regions";a:13:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:4:"hero";s:17:"Hero (full width)";s:11:"highlighted";s:11:"Highlighted";s:10:"breadcrumb";s:10:"Breadcrumb";s:6:"social";s:10:"Social Bar";s:13:"content_above";s:13:"Content Above";s:7:"content";s:7:"Content";s:7:"sidebar";s:7:"Sidebar";s:13:"content_below";s:13:"Content Below";s:10:"footer_top";s:10:"Footer Top";s:13:"footer_bottom";s:13:"Footer Bottom";}s:20:"\0*\0librariesOverride";a:1:{s:19:"core/themes/olivero";a:9:{s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";}}}s:20:"core/drupal.checkbox";b:0;s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:32:"css/components/vertical-tabs.css";}}}s:22:"media/oembed.formatter";b:0;s:29:"layout_builder/twocol_section";s:37:"olivero/layout_builder_twocol_section";s:31:"layout_builder/threecol_section";s:39:"olivero/layout_builder_threecol_section";s:30:"layout_builder/fourcol_section";s:38:"olivero/layout_builder_fourcol_section";}}s:18:"\0*\0librariesExtend";a:13:{s:19:"core/drupal.message";a:1:{i:0;s:22:"olivero/drupal.message";}s:20:"core/drupal.collapse";a:1:{i:0;s:15:"olivero/details";}s:18:"core/drupal.dialog";a:1:{i:0;s:21:"olivero/drupal.dialog";}s:29:"core/drupal.dialog.off_canvas";a:1:{i:0;s:25:"olivero/dialog.off_canvas";}s:20:"core/drupal.progress";a:1:{i:0;s:16:"olivero/progress";}s:23:"layout_discovery/onecol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:30:"layout_discovery/twocol_bricks";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:23:"layout_discovery/twocol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_25_50_25";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_33_34_33";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:24:"node/drupal.node.preview";a:1:{i:0;s:27:"olivero/drupal.node.preview";}s:13:"core/ckeditor";a:1:{i:0;s:18:"olivero/cke-dialog";}s:37:"content_moderation/content_moderation";a:1:{i:0;s:26:"olivero/content_moderation";}}}', -1, '1681652752.565', 1, '', '0'),
('theme.active_theme.seven', 'O:29:"Drupal\\Core\\Theme\\ActiveTheme":12:{s:7:"\0*\0name";s:5:"seven";s:7:"\0*\0logo";s:26:"core/themes/seven/logo.svg";s:7:"\0*\0path";s:17:"core/themes/seven";s:9:"\0*\0engine";s:4:"twig";s:8:"\0*\0owner";s:36:"core/themes/engines/twig/twig.engine";s:22:"\0*\0baseThemeExtensions";a:0:{}s:12:"\0*\0extension";O:31:"Drupal\\Core\\Extension\\Extension":15:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:32:"core/themes/seven/seven.info.yml";s:11:"\0*\0filename";s:11:"seven.theme";s:7:"subpath";s:12:"themes/seven";s:6:"origin";s:4:"core";s:4:"info";a:25:{s:4:"name";s:5:"Seven";s:4:"type";s:5:"theme";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:43:"https://www.drupal.org/node/3223395#s-seven";s:11:"description";s:153:"The default administration theme for Drupal 8 was designed with clean lines, simple blocks, and sans-serif font to emphasize the tools and tasks at hand.";s:8:"alt text";s:77:"Default administration theme for Drupal 8 with simple blocks and clean lines.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:21:"seven/classy.messages";i:1;s:14:"core/normalize";i:2;s:20:"seven/global-styling";}s:18:"libraries-override";a:5:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:3:{s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}}s:16:"libraries-extend";a:15:{s:13:"core/ckeditor";a:2:{i:0;s:21:"seven/ckeditor-dialog";i:1;s:20:"seven/ckeditor-admin";}s:24:"core/drupal.autocomplete";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"seven/seven.drupal.dialog";i:1;s:21:"seven/seven.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:23:"seven/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:21:"seven/classy.progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"seven/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:17:"seven/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"seven/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"seven/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"seven/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:19:"seven/media_library";}s:20:"media_library/widget";a:1:{i:0;s:19:"seven/media_library";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"seven/tour-styling";}s:16:"user/drupal.user";a:1:{i:0;s:10:"seven/user";}}s:21:"quickedit_stylesheets";a:1:{i:0;s:28:"css/components/quickedit.css";}s:7:"regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:20:"ckeditor_stylesheets";a:1:{i:0;s:43:"css/classy/components/media-embed-error.css";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/seven/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}s:9:"libraries";a:3:{i:0;s:21:"seven/classy.messages";i:1;s:14:"core/normalize";i:2;s:20:"seven/global-styling";}s:6:"engine";s:4:"twig";}s:20:"\0*\0styleSheetsRemove";a:0:{}s:12:"\0*\0libraries";a:3:{i:0;s:21:"seven/classy.messages";i:1;s:14:"core/normalize";i:2;s:20:"seven/global-styling";}s:10:"\0*\0regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:20:"\0*\0librariesOverride";a:1:{s:17:"core/themes/seven";a:5:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:3:{s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}}}s:18:"\0*\0librariesExtend";a:15:{s:13:"core/ckeditor";a:2:{i:0;s:21:"seven/ckeditor-dialog";i:1;s:20:"seven/ckeditor-admin";}s:24:"core/drupal.autocomplete";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"seven/seven.drupal.dialog";i:1;s:21:"seven/seven.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:23:"seven/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:21:"seven/classy.progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"seven/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:17:"seven/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"seven/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"seven/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"seven/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:19:"seven/media_library";}s:20:"media_library/widget";a:1:{i:0;s:19:"seven/media_library";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"seven/tour-styling";}s:16:"user/drupal.user";a:1:{i:0;s:10:"seven/user";}}}', -1, '1681649761.321', 1, '', '0'),
('theme_registry:runtime:bartik', 'a:234:{s:14:"bef_checkboxes";N;s:10:"bef_radios";N;s:9:"bef_links";N;s:10:"bef_hidden";N;s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"block";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:24;s:23:"bartik_preprocess_block";}}s:22:"block_content_add_list";N;s:25:"ckeditor_settings_toolbar";N;s:17:"color_scheme_form";N;s:7:"comment";N;s:14:"field__comment";N;s:15:"horizontal_tabs";N;s:26:"field_group_accordion_item";N;s:21:"field_group_accordion";N;s:24:"field_group_html_element";N;s:14:"field_ui_table";N;s:9:"file_link";N;s:17:"file_managed_file";N;s:10:"file_audio";N;s:10:"file_video";N;s:20:"file_widget_multiple";N;s:16:"file_upload_help";N;s:11:"filter_tips";N;s:19:"text_format_wrapper";N;s:17:"filter_guidelines";N;s:14:"filter_caption";N;s:16:"fontawesomeicons";N;s:15:"fontawesomeicon";N;s:12:"fullcalendar";N;s:12:"help_section";N;s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:11:"image-style";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";N;s:12:"image_anchor";N;s:20:"image_resize_summary";N;s:19:"image_scale_summary";N;s:18:"image_crop_summary";N;s:28:"image_scale_and_crop_summary";N;s:20:"image_rotate_summary";N;s:12:"image_widget";N;s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";N;s:28:"link_formatter_link_separate";N;s:16:"mt_cookieconsent";N;s:12:"mt_countdown";N;s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"node";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:10;s:22:"bartik_preprocess_node";i:11;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";N;s:14:"node_edit_form";N;s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:18:"field--node--title";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:16:"field--node--uid";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";i:11;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:20:"field--node--created";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";N;s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:40:"core/themes/bartik/templates/classy/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";N;s:9:"superfish";N;s:20:"superfish_menu_items";N;s:14:"superfish_help";N;s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"html";s:4:"path";s:42:"core/themes/bartik/templates/classy/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:14;s:22:"bartik_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"page";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:10:"page-title";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";i:8;s:28:"bartik_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:6:"region";s:4:"path";s:42:"core/themes/bartik/templates/classy/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";N;s:13:"datetime_form";N;s:16:"datetime_wrapper";N;s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:15:"status-messages";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"bartik_preprocess_links";}}s:18:"dropbutton_wrapper";N;s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"image";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:10:"breadcrumb";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";N;s:19:"tablesort_indicator";N;s:4:"mark";N;s:9:"item_list";N;s:9:"feed_icon";N;s:12:"progress_bar";N;s:11:"indentation";N;s:16:"maintenance_page";N;s:12:"install_page";N;s:21:"maintenance_task_list";N;s:16:"authorize_report";N;s:5:"pager";N;s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"menu";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:22:"bartik_preprocess_menu";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:15:"menu-local-task";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";}}s:17:"menu_local_action";N;s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"input";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";}}s:6:"select";N;s:8:"fieldset";N;s:7:"details";N;s:6:"radios";N;s:10:"checkboxes";N;s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";N;s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:12:"form-element";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:18:"form-element-label";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";N;s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"field";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:25:"field_multiple_value_form";N;s:28:"block__system_branding_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}s:14:"render element";s:8:"elements";}s:24:"block__system_menu_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:18:"system_themes_page";N;s:18:"system_config_form";N;s:12:"confirm_form";N;s:22:"system_modules_details";N;s:24:"system_modules_uninstall";N;s:18:"status_report_page";N;s:13:"status_report";N;s:21:"status_report_grouped";N;s:21:"status_report_counter";N;s:26:"status_report_general_info";N;s:10:"admin_page";N;s:11:"admin_block";N;s:19:"admin_block_content";N;s:18:"system_admin_index";N;s:15:"entity_add_list";N;s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";N;s:17:"entity_page_title";N;s:13:"taxonomy_term";N;s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:7:"toolbar";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:22:"bartik_preprocess_menu";}}s:17:"update_last_check";N;s:13:"update_report";N;s:21:"update_project_status";N;s:14:"update_version";N;s:26:"update_fetch_error_message";N;s:4:"user";N;s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:8:"username";s:4:"path";s:40:"core/themes/bartik/templates/classy/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";N;s:34:"video_embed_field_missing_provider";N;s:28:"views_ui_display_tab_setting";N;s:27:"views_ui_display_tab_bucket";N;s:30:"views_ui_rearrange_filter_form";N;s:27:"views_ui_expose_filter_form";N;s:18:"views_ui_view_info";N;s:28:"views_ui_views_listing_table";N;s:27:"views_ui_view_displays_list";N;s:32:"views_ui_build_group_filter_form";N;s:27:"views_ui_style_plugin_table";N;s:29:"views_ui_view_preview_section";N;s:18:"views_ui_container";N;s:12:"webform_help";N;s:26:"webform_help_video_youtube";N;s:20:"webform_help_support";N;s:7:"webform";N;s:15:"webform_actions";N;s:21:"webform_access_denied";N;s:30:"webform_handler_action_summary";N;s:29:"webform_handler_debug_summary";N;s:29:"webform_handler_email_summary";N;s:35:"webform_handler_remote_post_summary";N;s:32:"webform_handler_settings_summary";N;s:32:"webform_variant_override_summary";N;s:20:"webform_confirmation";N;s:16:"webform_required";N;s:18:"webform_submission";N;s:23:"webform_submission_form";N;s:29:"webform_submission_navigation";N;s:30:"webform_submission_information";N;s:23:"webform_submission_data";N;s:25:"webform_element_base_html";N;s:25:"webform_element_base_text";N;s:27:"webform_container_base_html";N;s:27:"webform_container_base_text";N;s:20:"webform_element_help";N;s:20:"webform_element_more";N;s:28:"webform_element_managed_file";N;s:26:"webform_element_audio_file";N;s:29:"webform_element_document_file";N;s:26:"webform_element_image_file";N;s:26:"webform_element_video_file";N;s:18:"webform_email_html";N;s:26:"webform_email_message_html";N;s:26:"webform_email_message_text";N;s:26:"webform_html_editor_markup";N;s:23:"webform_horizontal_rule";N;s:15:"webform_message";N;s:15:"webform_section";N;s:25:"webform_composite_address";N;s:25:"webform_composite_contact";N;s:26:"webform_composite_location";N;s:22:"webform_composite_link";N;s:22:"webform_composite_name";N;s:27:"webform_composite_telephone";N;s:18:"webform_codemirror";N;s:16:"webform_progress";N;s:20:"webform_progress_bar";N;s:24:"webform_progress_tracker";N;s:4:"font";N;s:10:"font__full";N;s:12:"font__teaser";N;s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";N;s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";N;s:18:"views_view_row_rss";N;s:17:"views_view_fields";N;s:23:"views_view_fullcalendar";N;s:15:"views_view_grid";N;s:18:"views_view_summary";N;s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";N;s:14:"views_view_rss";N;s:16:"views_view_table";N;s:15:"views_view_list";N;s:30:"views_view_summary_unformatted";N;s:21:"views_form_views_form";N;s:18:"views_exposed_form";N;s:9:"paragraph";N;s:29:"paragraphs_dropbutton_wrapper";N;s:20:"paragraphs_info_icon";N;s:21:"paragraphs_add_dialog";N;s:18:"paragraphs_actions";N;s:18:"paragraphs_summary";N;s:26:"block__local_actions_block";N;s:24:"block__local_tasks_block";a:7:{s:8:"template";s:24:"block--local-tasks-block";s:4:"path";s:41:"core/themes/bartik/templates/classy/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:24:"block__search_form_block";a:7:{s:8:"template";s:24:"block--search-form-block";s:4:"path";s:28:"core/themes/bartik/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:14:"region__header";a:7:{s:8:"template";s:14:"region--header";s:4:"path";s:28:"core/themes/bartik/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:25:"links__media_library_menu";N;s:11:"links__node";a:7:{s:8:"template";s:11:"links--node";s:4:"path";s:43:"core/themes/bartik/templates/classy/content";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"bartik_preprocess_links";}}s:25:"item_list__search_results";N;s:23:"form__search_block_form";a:7:{s:8:"template";s:23:"form--search-block-form";s:4:"path";s:28:"core/themes/bartik/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:32:"container__media_library_content";N;s:41:"container__media_library_widget_selection";N;s:34:"container__text_format_filter_help";N;s:37:"container__text_format_filter_wrapper";N;s:40:"container__text_format_filter_guidelines";N;s:24:"field__text_with_summary";a:7:{s:8:"template";s:24:"field--text-with-summary";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:11:"field__text";a:7:{s:8:"template";s:11:"field--text";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:16:"field__text_long";N;s:23:"field__node__field_tags";N;s:37:"views_view_unformatted__media_library";N;s:11:"field__node";N;}', -1, '1681652203.257', 1, 'theme_registry', '0'),
('theme_registry:runtime:claro', 'a:244:{s:14:"bef_checkboxes";N;s:10:"bef_radios";N;s:9:"bef_links";N;s:10:"bef_hidden";N;s:5:"block";N;s:22:"block_content_add_list";N;s:25:"ckeditor_settings_toolbar";N;s:17:"color_scheme_form";N;s:7:"comment";N;s:14:"field__comment";N;s:15:"horizontal_tabs";N;s:26:"field_group_accordion_item";N;s:21:"field_group_accordion";N;s:24:"field_group_html_element";N;s:14:"field_ui_table";N;s:9:"file_link";N;s:17:"file_managed_file";N;s:10:"file_audio";N;s:10:"file_video";N;s:20:"file_widget_multiple";N;s:16:"file_upload_help";N;s:11:"filter_tips";N;s:19:"text_format_wrapper";N;s:17:"filter_guidelines";N;s:14:"filter_caption";N;s:16:"fontawesomeicons";N;s:15:"fontawesomeicon";N;s:12:"fullcalendar";N;s:12:"help_section";N;s:11:"image_style";N;s:19:"image_style_preview";N;s:12:"image_anchor";N;s:20:"image_resize_summary";N;s:19:"image_scale_summary";N;s:18:"image_crop_summary";N;s:28:"image_scale_and_crop_summary";N;s:20:"image_rotate_summary";N;s:12:"image_widget";N;s:15:"image_formatter";N;s:13:"juicerio_feed";N;s:28:"link_formatter_link_separate";N;s:16:"mt_cookieconsent";N;s:12:"mt_countdown";N;s:4:"node";N;s:13:"node_add_list";N;s:14:"node_edit_form";N;s:18:"field__node__title";N;s:16:"field__node__uid";N;s:20:"field__node__created";N;s:11:"rdf_wrapper";N;s:12:"rdf_metadata";N;s:13:"search_result";N;s:9:"superfish";N;s:20:"superfish_menu_items";N;s:14:"superfish_help";N;s:4:"html";N;s:4:"page";N;s:10:"page_title";N;s:6:"region";N;s:4:"time";N;s:13:"datetime_form";N;s:16:"datetime_wrapper";N;s:15:"status_messages";N;s:5:"links";N;s:18:"dropbutton_wrapper";N;s:5:"image";N;s:10:"breadcrumb";N;s:5:"table";N;s:19:"tablesort_indicator";N;s:4:"mark";N;s:9:"item_list";N;s:9:"feed_icon";N;s:12:"progress_bar";N;s:11:"indentation";N;s:16:"maintenance_page";N;s:12:"install_page";N;s:21:"maintenance_task_list";N;s:16:"authorize_report";N;s:5:"pager";N;s:4:"menu";N;s:15:"menu_local_task";N;s:17:"menu_local_action";N;s:16:"menu_local_tasks";N;s:5:"input";N;s:6:"select";N;s:8:"fieldset";N;s:7:"details";N;s:6:"radios";N;s:10:"checkboxes";N;s:4:"form";N;s:8:"textarea";N;s:12:"form_element";N;s:18:"form_element_label";N;s:13:"vertical_tabs";N;s:9:"container";N;s:5:"field";N;s:25:"field_multiple_value_form";N;s:28:"block__system_branding_block";N;s:28:"block__system_messages_block";N;s:24:"block__system_menu_block";N;s:18:"system_themes_page";N;s:18:"system_config_form";N;s:12:"confirm_form";N;s:22:"system_modules_details";N;s:24:"system_modules_uninstall";N;s:18:"status_report_page";N;s:13:"status_report";N;s:21:"status_report_grouped";N;s:21:"status_report_counter";N;s:26:"status_report_general_info";N;s:10:"admin_page";N;s:11:"admin_block";N;s:19:"admin_block_content";N;s:18:"system_admin_index";N;s:15:"entity_add_list";N;s:23:"off_canvas_page_wrapper";N;s:46:"system_security_advisories_fetch_error_message";N;s:17:"entity_page_title";N;s:13:"taxonomy_term";N;s:7:"toolbar";N;s:13:"menu__toolbar";N;s:17:"update_last_check";N;s:13:"update_report";N;s:21:"update_project_status";N;s:14:"update_version";N;s:26:"update_fetch_error_message";N;s:4:"user";N;s:8:"username";N;s:18:"video_embed_iframe";N;s:34:"video_embed_field_missing_provider";N;s:28:"views_ui_display_tab_setting";N;s:27:"views_ui_display_tab_bucket";N;s:30:"views_ui_rearrange_filter_form";N;s:27:"views_ui_expose_filter_form";N;s:18:"views_ui_view_info";N;s:28:"views_ui_views_listing_table";N;s:27:"views_ui_view_displays_list";N;s:32:"views_ui_build_group_filter_form";N;s:27:"views_ui_style_plugin_table";N;s:29:"views_ui_view_preview_section";N;s:18:"views_ui_container";N;s:12:"webform_help";N;s:26:"webform_help_video_youtube";N;s:20:"webform_help_support";N;s:7:"webform";N;s:15:"webform_actions";N;s:21:"webform_access_denied";N;s:30:"webform_handler_action_summary";N;s:29:"webform_handler_debug_summary";N;s:29:"webform_handler_email_summary";N;s:35:"webform_handler_remote_post_summary";N;s:32:"webform_handler_settings_summary";N;s:32:"webform_variant_override_summary";N;s:20:"webform_confirmation";N;s:16:"webform_required";N;s:18:"webform_submission";N;s:23:"webform_submission_form";N;s:29:"webform_submission_navigation";N;s:30:"webform_submission_information";N;s:23:"webform_submission_data";N;s:25:"webform_element_base_html";N;s:25:"webform_element_base_text";N;s:27:"webform_container_base_html";N;s:27:"webform_container_base_text";N;s:20:"webform_element_help";N;s:20:"webform_element_more";N;s:28:"webform_element_managed_file";N;s:26:"webform_element_audio_file";N;s:29:"webform_element_document_file";N;s:26:"webform_element_image_file";N;s:26:"webform_element_video_file";N;s:18:"webform_email_html";N;s:26:"webform_email_message_html";N;s:26:"webform_email_message_text";N;s:26:"webform_html_editor_markup";N;s:23:"webform_horizontal_rule";N;s:15:"webform_message";N;s:15:"webform_section";N;s:25:"webform_composite_address";N;s:25:"webform_composite_contact";N;s:26:"webform_composite_location";N;s:22:"webform_composite_link";N;s:22:"webform_composite_name";N;s:27:"webform_composite_telephone";N;s:18:"webform_codemirror";N;s:16:"webform_progress";N;s:20:"webform_progress_bar";N;s:24:"webform_progress_tracker";N;s:4:"font";N;s:10:"font__full";N;s:12:"font__teaser";N;s:16:"views_mini_pager";N;s:16:"views_view_field";N;s:19:"views_view_grouping";N;s:10:"views_view";N;s:19:"views_view_row_opml";N;s:18:"views_view_row_rss";N;s:17:"views_view_fields";N;s:23:"views_view_fullcalendar";N;s:15:"views_view_grid";N;s:18:"views_view_summary";N;s:22:"views_view_unformatted";N;s:15:"views_view_opml";N;s:14:"views_view_rss";N;s:16:"views_view_table";N;s:15:"views_view_list";N;s:30:"views_view_summary_unformatted";N;s:21:"views_form_views_form";N;s:18:"views_exposed_form";N;s:9:"paragraph";N;s:29:"paragraphs_dropbutton_wrapper";N;s:20:"paragraphs_info_icon";N;s:21:"paragraphs_add_dialog";N;s:18:"paragraphs_actions";N;s:18:"paragraphs_summary";N;s:24:"block__local_tasks_block";N;s:24:"block__search_form_block";N;s:26:"block__local_actions_block";N;s:18:"region__breadcrumb";N;s:25:"links__media_library_menu";N;s:11:"links__node";N;s:25:"item_list__search_results";N;s:44:"item_list__media_library_add_form_media_list";N;s:25:"menu_local_task__views_ui";N;s:30:"fieldset__media_library_widget";N;s:22:"details__vertical_tabs";N;s:46:"details__media_library_add_form_selected_media";N;s:32:"container__media_library_content";N;s:41:"container__media_library_widget_selection";N;s:34:"container__text_format_filter_help";N;s:37:"container__text_format_filter_wrapper";N;s:40:"container__text_format_filter_guidelines";N;s:24:"field__text_with_summary";N;s:11:"field__text";N;s:16:"field__text_long";N;s:38:"views_ui_view_preview_section__exposed";N;s:25:"views_view__media_library";N;s:37:"views_view_unformatted__media_library";N;s:11:"field__node";N;s:30:"form_element__password_confirm";N;s:22:"form_element__password";N;s:17:"links__dropbutton";N;s:19:"links__action_links";N;s:32:"views_view_fields__media_library";N;}', -1, '1681652115.188', 1, 'theme_registry', '0'),
('theme_registry:runtime:conferenceplus', 'a:361:{s:14:"bef_checkboxes";N;s:10:"bef_radios";N;s:9:"bef_links";N;s:10:"bef_hidden";N;s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:5:"block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:96;s:31:"conferenceplus_preprocess_block";}}s:22:"block_content_add_list";N;s:25:"ckeditor_settings_toolbar";N;s:17:"color_scheme_form";N;s:7:"comment";N;s:14:"field__comment";N;s:15:"horizontal_tabs";N;s:26:"field_group_accordion_item";N;s:21:"field_group_accordion";N;s:24:"field_group_html_element";N;s:14:"field_ui_table";N;s:9:"file_link";N;s:17:"file_managed_file";N;s:10:"file_audio";N;s:10:"file_video";N;s:20:"file_widget_multiple";N;s:16:"file_upload_help";N;s:11:"filter_tips";N;s:19:"text_format_wrapper";N;s:17:"filter_guidelines";N;s:14:"filter_caption";N;s:16:"fontawesomeicons";N;s:15:"fontawesomeicon";N;s:12:"fullcalendar";N;s:12:"help_section";N;s:11:"image_style";N;s:19:"image_style_preview";N;s:12:"image_anchor";N;s:20:"image_resize_summary";N;s:19:"image_scale_summary";N;s:18:"image_crop_summary";N;s:28:"image_scale_and_crop_summary";N;s:20:"image_rotate_summary";N;s:12:"image_widget";N;s:15:"image_formatter";N;s:13:"juicerio_feed";N;s:28:"link_formatter_link_separate";N;s:16:"mt_cookieconsent";N;s:12:"mt_countdown";N;s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"node";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:40;s:30:"conferenceplus_preprocess_node";i:41;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";N;s:14:"node_edit_form";N;s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:18:"field--node--title";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:16:"field--node--uid";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:27:"node_preprocess_field__node";i:22;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:20:"field--node--created";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";N;s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:33:"core/themes/classy/templates/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";N;s:9:"superfish";N;s:20:"superfish_menu_items";N;s:14:"superfish_help";N;s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"html";s:4:"path";s:35:"core/themes/classy/templates/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:28;s:30:"conferenceplus_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"page";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";i:24;s:30:"conferenceplus_preprocess_page";}}s:10:"page_title";N;s:6:"region";N;s:4:"time";N;s:13:"datetime_form";N;s:16:"datetime_wrapper";N;s:15:"status_messages";N;s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:4:{i:0;s:5:"links";i:1;s:5:"links";i:2;s:5:"links";i:3;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:5:"links";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:6;s:23:"stable_preprocess_links";}}s:18:"dropbutton_wrapper";N;s:5:"image";N;s:10:"breadcrumb";N;s:5:"table";N;s:19:"tablesort_indicator";N;s:4:"mark";N;s:9:"item_list";N;s:9:"feed_icon";N;s:12:"progress_bar";N;s:11:"indentation";N;s:16:"maintenance_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:16:"maintenance-page";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_maintenance_page";i:2;s:21:"contextual_preprocess";}}s:12:"install_page";N;s:21:"maintenance_task_list";N;s:16:"authorize_report";N;s:5:"pager";N;s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"menu";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:8;s:30:"conferenceplus_preprocess_menu";}}s:15:"menu_local_task";N;s:17:"menu_local_action";N;s:16:"menu_local_tasks";N;s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:5:"input";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";}}s:6:"select";N;s:8:"fieldset";N;s:7:"details";N;s:6:"radios";N;s:10:"checkboxes";N;s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:4:"form";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";N;s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:12:"form-element";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:18:"form-element-label";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";N;s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:9:"container";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:5:"field";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";}}s:25:"field_multiple_value_form";N;s:28:"block__system_branding_block";N;s:28:"block__system_messages_block";N;s:24:"block__system_menu_block";N;s:18:"system_themes_page";N;s:18:"system_config_form";N;s:12:"confirm_form";N;s:22:"system_modules_details";N;s:24:"system_modules_uninstall";N;s:18:"status_report_page";N;s:13:"status_report";N;s:21:"status_report_grouped";N;s:21:"status_report_counter";N;s:26:"status_report_general_info";N;s:10:"admin_page";N;s:11:"admin_block";N;s:19:"admin_block_content";N;s:18:"system_admin_index";N;s:15:"entity_add_list";N;s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:36:"core/themes/stable/templates/content";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";N;s:17:"entity_page_title";N;s:13:"taxonomy_term";N;s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:7:"toolbar";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:39:"core/themes/stable/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:30:"conferenceplus_preprocess_menu";}}s:17:"update_last_check";N;s:13:"update_report";N;s:21:"update_project_status";N;s:14:"update_version";N;s:26:"update_fetch_error_message";N;s:4:"user";N;s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:8:"username";s:4:"path";s:33:"core/themes/classy/templates/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";N;s:34:"video_embed_field_missing_provider";N;s:28:"views_ui_display_tab_setting";N;s:27:"views_ui_display_tab_bucket";N;s:30:"views_ui_rearrange_filter_form";N;s:27:"views_ui_expose_filter_form";N;s:18:"views_ui_view_info";N;s:28:"views_ui_views_listing_table";N;s:27:"views_ui_view_displays_list";N;s:32:"views_ui_build_group_filter_form";N;s:27:"views_ui_style_plugin_table";N;s:29:"views_ui_view_preview_section";N;s:18:"views_ui_container";N;s:12:"webform_help";N;s:26:"webform_help_video_youtube";N;s:20:"webform_help_support";N;s:7:"webform";N;s:15:"webform_actions";N;s:21:"webform_access_denied";N;s:30:"webform_handler_action_summary";N;s:29:"webform_handler_debug_summary";N;s:29:"webform_handler_email_summary";N;s:35:"webform_handler_remote_post_summary";N;s:32:"webform_handler_settings_summary";N;s:32:"webform_variant_override_summary";N;s:20:"webform_confirmation";N;s:16:"webform_required";N;s:18:"webform_submission";N;s:23:"webform_submission_form";N;s:29:"webform_submission_navigation";N;s:30:"webform_submission_information";N;s:23:"webform_submission_data";N;s:25:"webform_element_base_html";N;s:25:"webform_element_base_text";N;s:27:"webform_container_base_html";N;s:27:"webform_container_base_text";N;s:20:"webform_element_help";N;s:20:"webform_element_more";N;s:28:"webform_element_managed_file";N;s:26:"webform_element_audio_file";N;s:29:"webform_element_document_file";N;s:26:"webform_element_image_file";N;s:26:"webform_element_video_file";N;s:18:"webform_email_html";N;s:26:"webform_email_message_html";N;s:26:"webform_email_message_text";N;s:26:"webform_html_editor_markup";N;s:23:"webform_horizontal_rule";N;s:15:"webform_message";N;s:15:"webform_section";N;s:25:"webform_composite_address";N;s:25:"webform_composite_contact";N;s:26:"webform_composite_location";N;s:22:"webform_composite_link";N;s:22:"webform_composite_name";N;s:27:"webform_composite_telephone";N;s:18:"webform_codemirror";N;s:16:"webform_progress";N;s:20:"webform_progress_bar";N;s:24:"webform_progress_tracker";N;s:4:"font";N;s:10:"font__full";N;s:12:"font__teaser";N;s:16:"views_mini_pager";N;s:16:"views_view_field";N;s:19:"views_view_grouping";N;s:10:"views_view";N;s:19:"views_view_row_opml";N;s:18:"views_view_row_rss";N;s:17:"views_view_fields";N;s:23:"views_view_fullcalendar";N;s:15:"views_view_grid";N;s:18:"views_view_summary";N;s:22:"views_view_unformatted";N;s:15:"views_view_opml";N;s:14:"views_view_rss";N;s:16:"views_view_table";N;s:15:"views_view_list";N;s:30:"views_view_summary_unformatted";N;s:21:"views_form_views_form";N;s:18:"views_exposed_form";N;s:9:"paragraph";N;s:29:"paragraphs_dropbutton_wrapper";N;s:20:"paragraphs_info_icon";N;s:21:"paragraphs_add_dialog";N;s:18:"paragraphs_actions";N;s:18:"paragraphs_summary";N;s:26:"block__local_actions_block";N;s:24:"block__local_tasks_block";N;s:24:"block__search_form_block";N;s:25:"links__media_library_menu";N;s:11:"links__node";a:7:{s:8:"template";s:11:"links--node";s:4:"path";s:36:"core/themes/classy/templates/content";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:2:{i:0;s:5:"links";i:1;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"stable_preprocess_links";}}s:25:"item_list__search_results";N;s:32:"container__media_library_content";N;s:41:"container__media_library_widget_selection";N;s:24:"field__text_with_summary";N;s:11:"field__text";N;s:16:"field__text_long";N;s:37:"views_view_unformatted__media_library";N;s:19:"block__mt_countdown";N;s:41:"image_formatter__node__field_mt_prs_image";N;s:48:"image_formatter__node__field_mt_tmm_member_photo";N;s:41:"image_formatter__node__field_mt_srv_image";N;s:41:"image_formatter__node__field_mt_alb_image";N;s:41:"image_formatter__node__field_mt_prd_image";N;s:41:"image_formatter__node__field_mt_shw_image";N;s:46:"image_formatter__paragraph__field_mt_adf_image";N;s:34:"image_formatter__node__field_image";N;s:40:"image_formatter__node__field_mt_spn_logo";N;s:41:"image_formatter__node__field_mt_evn_image";N;s:52:"image_formatter__paragraph__field_mt_highlight_image";N;s:41:"image_formatter__node__field_mt_bnf_image";N;s:53:"image_formatter__node__field_mt_tst_testimonial_image";N;s:49:"image_formatter__node__field_mt_spk_speaker_photo";N;s:16:"node__mt_service";N;s:22:"node__mt_event__teaser";N;s:33:"node__mt_speaker__mt_listing_item";N;s:21:"node__mt_presentation";N;s:16:"node__mt_speaker";N;s:13:"node__article";N;s:16:"node__mt_sponsor";N;s:22:"node__mt_program_entry";N;s:31:"node__mt_service__mt_slide_view";N;s:31:"node__mt_product__mt_slide_view";N;s:14:"node__mt_event";N;s:20:"node__mt_team_member";N;s:33:"node__mt_sponsor__mt_listing_item";N;s:33:"node__article__mt_video_grid_item";N;s:21:"node__article__teaser";N;s:16:"node__mt_product";N;s:9:"page__404";N;s:22:"page__node__mt_product";N;s:22:"page__node__mt_service";N;s:11:"page__front";a:7:{s:8:"template";s:11:"page--front";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:4:"page";s:9:"base hook";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";i:3;s:30:"conferenceplus_preprocess_page";}}s:31:"field__node__field_mt_shw_image";N;s:41:"field__block_content__mt_fancy_tabs_block";N;s:38:"field__node__field_mt_prs_affiliations";N;s:36:"field__block_content__mt_google_maps";N;s:38:"field__node__field_mt_srv_banner_image";N;s:52:"field__block_content__field_mt_tml_timeline_viewmore";N;s:40:"field__block_content__mt_dropdowns_block";N;s:31:"field__node__field_mt_prd_video";N;s:31:"field__node__field_mt_prs_image";N;s:33:"field__node__field_mt_prs_speaker";N;s:31:"field__node__field_mt_prd_image";N;s:33:"field__node__field_image__article";N;s:31:"field__node__field_mt_srv_image";N;s:23:"field__entity_reference";N;s:47:"field__block_content__mt_background_image_block";N;s:31:"field__node__field_mt_srv_video";N;s:42:"field__block_content__mt_collapsible_block";N;s:45:"field__block_content__mt_main_slideshow_block";N;s:36:"field__field_mt_video_gallery_slides";N;s:35:"field__block_content__mt_tabs_block";N;s:50:"field__block_content__mt_fancy_linked_images_block";N;s:31:"field__node__field_mt_bnf_image";N;s:47:"field__block_content__mt_background_video_block";N;s:27:"field__node__field_mt_video";N;s:31:"field__node__field_mt_shw_video";N;s:28:"field__field_mt_evn_location";N;s:37:"field__field_mt_shw_content_collapses";N;s:33:"field__node__field_mt_prs_sponsor";N;s:32:"field__field_mt_prd_content_tabs";N;s:18:"field__field_mt_if";N;s:33:"field__node__field_mt_prs_authors";N;s:24:"field__node__field_image";N;s:46:"field__block_content__mt_nodes_slideshow_block";N;s:31:"field__node__field_mt_evn_video";N;s:31:"field__node__field_mt_bnf_video";N;s:41:"field__node__field_mt_prd_banner_carousel";N;s:41:"field__node__field_mt_alb_image__mt_album";N;s:41:"field__block_content__mt_media_tabs_block";N;s:41:"field__node__field_mt_alb_video__mt_album";N;s:35:"field__block_content__mt_fltt_block";N;s:31:"field__node__field_mt_prs_video";N;s:31:"field__node__field_mt_evn_image";N;s:50:"views_view_field__mt_slideshow_full_width__nothing";N;s:51:"views_view_field__mt_slideshow_boxed_width__nothing";N;s:51:"views_view_field__mt_slideshow_full_screen__nothing";N;s:23:"views_view__mt_products";N;s:28:"views_view__mt_products_list";N;s:47:"views_view_list__mt_slideshow_full_width__block";N;s:48:"views_view_list__mt_slideshow_boxed_width__block";N;s:48:"views_view_list__mt_slideshow_full_screen__block";N;s:36:"paragraph__mt_icon_features__default";N;s:27:"paragraph__mt_timeline_item";N;s:11:"field__node";N;s:23:"paragraph__mt_highlight";N;s:42:"views_view_unformatted__mt_recent_comments";N;s:28:"views_view_list__mt_products";N;s:40:"views_view_unformatted__mt_products_list";N;s:36:"views_view_list__mt_products_masonry";N;s:37:"views_view_list__mt_products_carousel";N;s:39:"views_view_unformatted__mt_product_tags";N;s:37:"views_view_list__mt_team_members_grid";N;s:39:"views_view_list__mt_team_members_grid_2";N;s:44:"views_view_unformatted__mt_team_members_list";N;s:41:"views_view_list__mt_team_members_carousel";N;s:37:"views_view_list__mt_speakers_carousel";N;s:35:"views_view_unformatted__mt_speakers";N;s:43:"views_view_list__mt_other_speakers_carousel";N;s:42:"views_view_list__mt_related_nodes_carousel";N;s:40:"views_view_list__mt_collections_carousel";N;s:36:"views_view_list__mt_collections_grid";N;s:39:"views_view_list__mt_collections_masonry";N;s:37:"views_view_list__mt_sponsors_carousel";N;s:31:"views_view_list__mt_events_grid";N;s:34:"views_view_list__mt_related_events";N;s:33:"views_view_list__mt_sponsors_grid";N;s:43:"views_view_list__mt_related_presentations_3";N;s:38:"views_view_list__mt_presentations_grid";N;s:28:"views_view_list__mt_services";N;s:40:"views_view_unformatted__mt_services_list";N;s:26:"views_view_list__mt_albums";N;s:39:"views_view_list__mt_albums_grid_style_2";N;s:35:"views_view_list__mt_albums_carousel";N;s:26:"views_view_list__mt_videos";N;s:39:"views_view_unformatted__mt_popular_tags";N;s:33:"views_view_list__mt_articles_grid";N;s:40:"views_view_unformatted__mt_articles_list";N;s:42:"views_view_unformatted__mt_articles_list_2";N;s:37:"views_view_list__mt_articles_carousel";N;s:26:"views_view_list__mt_latest";N;s:48:"views_view_unformatted__mt_related_presentations";N;s:50:"views_view_unformatted__mt_related_presentations_2";N;s:27:"views_view_list__mt_isotope";N;s:39:"views_view_unformatted__mt_testimonials";N;s:37:"views_view_list__mt_testimonials_grid";N;s:39:"views_view_list__mt_testimonials_grid_2";N;s:40:"views_view_list__mt_testimonials_masonry";N;s:41:"views_view_list__mt_testimonials_carousel";N;s:34:"views_view_list__mt_pricing_tables";N;s:47:"field__block_content__mt_typing_animation_block";N;}', -1, '1681649852.632', 1, 'theme_registry', '0');
INSERT INTO `cache_bootstrap` VALUES
('theme_registry:runtime:olivero', 'a:249:{s:14:"bef_checkboxes";N;s:10:"bef_radios";N;s:9:"bef_links";N;s:10:"bef_hidden";N;s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:24;s:24:"olivero_preprocess_block";}}s:22:"block_content_add_list";N;s:25:"ckeditor_settings_toolbar";N;s:17:"color_scheme_form";N;s:7:"comment";N;s:14:"field__comment";N;s:15:"horizontal_tabs";N;s:26:"field_group_accordion_item";N;s:21:"field_group_accordion";N;s:24:"field_group_html_element";N;s:14:"field_ui_table";N;s:9:"file_link";N;s:17:"file_managed_file";N;s:10:"file_audio";N;s:10:"file_video";N;s:20:"file_widget_multiple";N;s:16:"file_upload_help";N;s:11:"filter_tips";N;s:19:"text_format_wrapper";N;s:17:"filter_guidelines";N;s:14:"filter_caption";N;s:16:"fontawesomeicons";N;s:15:"fontawesomeicon";N;s:12:"fullcalendar";N;s:12:"help_section";N;s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:11:"image-style";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";N;s:12:"image_anchor";N;s:20:"image_resize_summary";N;s:19:"image_scale_summary";N;s:18:"image_crop_summary";N;s:28:"image_scale_and_crop_summary";N;s:20:"image_rotate_summary";N;s:12:"image_widget";N;s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";N;s:28:"link_formatter_link_separate";N;s:16:"mt_cookieconsent";N;s:12:"mt_countdown";N;s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"node";s:4:"path";s:37:"core/themes/olivero/templates/content";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:10;s:23:"olivero_preprocess_node";i:11;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";N;s:14:"node_edit_form";N;s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:18:"field--node--title";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:16:"field--node--uid";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:27:"node_preprocess_field__node";i:13;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:20:"field--node--created";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:27:"node_preprocess_field__node";i:13;s:39:"olivero_preprocess_field__node__created";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";N;s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";N;s:9:"superfish";N;s:20:"superfish_menu_items";N;s:14:"superfish_help";N;s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"html";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:14;s:23:"olivero_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"page";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:10:"page-title";s:4:"path";s:37:"core/themes/olivero/templates/content";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";i:8;s:29:"olivero_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:6:"region";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";N;s:13:"datetime_form";N;s:16:"datetime_wrapper";N;s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:15:"status-messages";s:4:"path";s:34:"core/themes/olivero/templates/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:2:{i:0;s:5:"links";i:1;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"links";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";}}s:18:"dropbutton_wrapper";N;s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"image";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:10:"breadcrumb";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";N;s:19:"tablesort_indicator";N;s:4:"mark";N;s:9:"item_list";N;s:9:"feed_icon";a:6:{s:9:"variables";a:2:{s:3:"url";N;s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:9:"feed-icon";s:4:"path";s:34:"core/themes/olivero/templates/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"progress_bar";N;s:11:"indentation";N;s:16:"maintenance_page";N;s:12:"install_page";N;s:21:"maintenance_task_list";N;s:16:"authorize_report";N;s:5:"pager";N;s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"menu";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:23:"olivero_preprocess_menu";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:15:"menu-local-task";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";i:6;s:34:"olivero_preprocess_menu_local_task";}}s:17:"menu_local_action";N;s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:35:"olivero_preprocess_menu_local_tasks";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"input";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";i:3;s:24:"olivero_preprocess_input";}}s:6:"select";N;s:8:"fieldset";N;s:7:"details";N;s:6:"radios";N;s:10:"checkboxes";N;s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";N;s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:12:"form-element";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";i:4;s:31:"olivero_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:18:"form-element-label";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";i:4;s:37:"olivero_preprocess_form_element_label";}}s:13:"vertical_tabs";N;s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"field";s:4:"path";s:35:"core/themes/olivero/templates/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";}}s:25:"field_multiple_value_form";N;s:28:"block__system_branding_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}s:14:"render element";s:8:"elements";}s:24:"block__system_menu_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:18:"system_themes_page";N;s:18:"system_config_form";N;s:12:"confirm_form";N;s:22:"system_modules_details";N;s:24:"system_modules_uninstall";N;s:18:"status_report_page";N;s:13:"status_report";N;s:21:"status_report_grouped";N;s:21:"status_report_counter";N;s:26:"status_report_general_info";N;s:10:"admin_page";N;s:11:"admin_block";N;s:19:"admin_block_content";N;s:18:"system_admin_index";N;s:15:"entity_add_list";N;s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";N;s:17:"entity_page_title";N;s:13:"taxonomy_term";N;s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:7:"toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:23:"olivero_preprocess_menu";}}s:17:"update_last_check";N;s:13:"update_report";N;s:21:"update_project_status";N;s:14:"update_version";N;s:26:"update_fetch_error_message";N;s:4:"user";N;s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:8:"username";s:4:"path";s:34:"core/themes/olivero/templates/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";N;s:34:"video_embed_field_missing_provider";N;s:28:"views_ui_display_tab_setting";N;s:27:"views_ui_display_tab_bucket";N;s:30:"views_ui_rearrange_filter_form";N;s:27:"views_ui_expose_filter_form";N;s:18:"views_ui_view_info";N;s:28:"views_ui_views_listing_table";N;s:27:"views_ui_view_displays_list";N;s:32:"views_ui_build_group_filter_form";N;s:27:"views_ui_style_plugin_table";N;s:29:"views_ui_view_preview_section";N;s:18:"views_ui_container";N;s:12:"webform_help";N;s:26:"webform_help_video_youtube";N;s:20:"webform_help_support";N;s:7:"webform";N;s:15:"webform_actions";N;s:21:"webform_access_denied";N;s:30:"webform_handler_action_summary";N;s:29:"webform_handler_debug_summary";N;s:29:"webform_handler_email_summary";N;s:35:"webform_handler_remote_post_summary";N;s:32:"webform_handler_settings_summary";N;s:32:"webform_variant_override_summary";N;s:20:"webform_confirmation";N;s:16:"webform_required";N;s:18:"webform_submission";N;s:23:"webform_submission_form";N;s:29:"webform_submission_navigation";N;s:30:"webform_submission_information";N;s:23:"webform_submission_data";N;s:25:"webform_element_base_html";N;s:25:"webform_element_base_text";N;s:27:"webform_container_base_html";N;s:27:"webform_container_base_text";N;s:20:"webform_element_help";N;s:20:"webform_element_more";N;s:28:"webform_element_managed_file";N;s:26:"webform_element_audio_file";N;s:29:"webform_element_document_file";N;s:26:"webform_element_image_file";N;s:26:"webform_element_video_file";N;s:18:"webform_email_html";N;s:26:"webform_email_message_html";N;s:26:"webform_email_message_text";N;s:26:"webform_html_editor_markup";N;s:23:"webform_horizontal_rule";N;s:15:"webform_message";N;s:15:"webform_section";N;s:25:"webform_composite_address";N;s:25:"webform_composite_contact";N;s:26:"webform_composite_location";N;s:22:"webform_composite_link";N;s:22:"webform_composite_name";N;s:27:"webform_composite_telephone";N;s:18:"webform_codemirror";N;s:16:"webform_progress";N;s:20:"webform_progress_bar";N;s:24:"webform_progress_tracker";N;s:4:"font";N;s:10:"font__full";N;s:12:"font__teaser";N;s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:35:"core/themes/olivero/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";N;s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:35:"core/themes/olivero/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";N;s:18:"views_view_row_rss";N;s:17:"views_view_fields";N;s:23:"views_view_fullcalendar";N;s:15:"views_view_grid";N;s:18:"views_view_summary";N;s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";N;s:14:"views_view_rss";N;s:16:"views_view_table";N;s:15:"views_view_list";N;s:30:"views_view_summary_unformatted";N;s:21:"views_form_views_form";N;s:18:"views_exposed_form";N;s:9:"paragraph";N;s:29:"paragraphs_dropbutton_wrapper";N;s:20:"paragraphs_info_icon";N;s:21:"paragraphs_add_dialog";N;s:18:"paragraphs_actions";N;s:18:"paragraphs_summary";N;s:21:"block__secondary_menu";a:7:{s:8:"template";s:21:"block--secondary-menu";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:30:"block__system_powered_by_block";a:7:{s:8:"template";s:30:"block--system-powered-by-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:49:"block__primary_menu__plugin_id__search_form_block";a:7:{s:8:"template";s:49:"block--primary-menu--plugin-id--search-form-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:51:"block__secondary_menu__plugin_id__search_form_block";a:7:{s:8:"template";s:51:"block--secondary-menu--plugin-id--search-form-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:23:"block__page_title_block";a:7:{s:8:"template";s:23:"block--page-title-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:24:"block__search_form_block";N;s:12:"node__teaser";N;s:22:"region__secondary_menu";a:7:{s:8:"template";s:22:"region--secondary-menu";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:15:"region__sidebar";N;s:14:"region__social";a:7:{s:8:"template";s:14:"region--social";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:21:"region__content_above";a:7:{s:8:"template";s:21:"region--content-above";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:18:"region__breadcrumb";a:7:{s:8:"template";s:18:"region--breadcrumb";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:19:"region__highlighted";a:7:{s:8:"template";s:19:"region--highlighted";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:21:"region__footer_bottom";a:7:{s:8:"template";s:21:"region--footer-bottom";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:14:"region__header";a:7:{s:8:"template";s:14:"region--header";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:20:"region__primary_menu";a:7:{s:8:"template";s:20:"region--primary-menu";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:21:"region__content_below";N;s:15:"region__content";a:7:{s:8:"template";s:15:"region--content";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:18:"region__footer_top";N;s:14:"links__comment";N;s:25:"item_list__search_results";N;s:18:"menu__primary_menu";a:7:{s:8:"template";s:18:"menu--primary-menu";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:9:"base hook";s:4:"menu";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:23:"olivero_preprocess_menu";}}s:20:"menu__secondary_menu";a:7:{s:8:"template";s:20:"menu--secondary-menu";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:9:"base hook";s:4:"menu";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:23:"olivero_preprocess_menu";}}s:28:"input__submit__header_search";a:7:{s:8:"template";s:28:"input--submit--header-search";s:4:"path";s:34:"core/themes/olivero/templates/form";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"input";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";i:3;s:24:"olivero_preprocess_input";}}s:23:"form__search_block_form";a:7:{s:8:"template";s:23:"form--search-block-form";s:4:"path";s:29:"core/themes/olivero/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:24:"field__text_with_summary";a:7:{s:8:"template";s:24:"field--text-with-summary";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";}}s:19:"field__comment_body";N;s:11:"field__text";a:7:{s:8:"template";s:11:"field--text";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";}}s:16:"field__text_long";N;s:24:"field__node__field_image";N;s:23:"field__node__field_tags";N;s:13:"user__compact";N;s:21:"views_view__frontpage";N;s:11:"field__node";N;}', -1, '1681652765.565', 1, 'theme_registry', '2'),
('theme_registry:runtime:seven', 'a:236:{s:14:"bef_checkboxes";N;s:10:"bef_radios";N;s:9:"bef_links";N;s:10:"bef_hidden";N;s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"block";s:4:"path";s:40:"core/themes/seven/templates/classy/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:24;s:22:"seven_preprocess_block";}}s:22:"block_content_add_list";N;s:25:"ckeditor_settings_toolbar";N;s:17:"color_scheme_form";N;s:7:"comment";N;s:14:"field__comment";N;s:15:"horizontal_tabs";N;s:26:"field_group_accordion_item";N;s:21:"field_group_accordion";N;s:24:"field_group_html_element";N;s:14:"field_ui_table";N;s:9:"file_link";N;s:17:"file_managed_file";N;s:10:"file_audio";N;s:10:"file_video";N;s:20:"file_widget_multiple";N;s:16:"file_upload_help";N;s:11:"filter_tips";N;s:19:"text_format_wrapper";N;s:17:"filter_guidelines";N;s:14:"filter_caption";N;s:16:"fontawesomeicons";N;s:15:"fontawesomeicon";N;s:12:"fullcalendar";N;s:12:"help_section";N;s:11:"image_style";N;s:19:"image_style_preview";N;s:12:"image_anchor";N;s:20:"image_resize_summary";N;s:19:"image_scale_summary";N;s:18:"image_crop_summary";N;s:28:"image_scale_and_crop_summary";N;s:20:"image_rotate_summary";N;s:12:"image_widget";N;s:15:"image_formatter";N;s:13:"juicerio_feed";N;s:28:"link_formatter_link_separate";N;s:16:"mt_cookieconsent";N;s:12:"mt_countdown";N;s:4:"node";N;s:13:"node_add_list";N;s:14:"node_edit_form";N;s:18:"field__node__title";N;s:16:"field__node__uid";N;s:20:"field__node__created";N;s:11:"rdf_wrapper";N;s:12:"rdf_metadata";N;s:13:"search_result";N;s:9:"superfish";N;s:20:"superfish_menu_items";N;s:14:"superfish_help";N;s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"html";s:4:"path";s:41:"core/themes/seven/templates/classy/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:14;s:21:"seven_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"page";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:10:"page-title";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:6:"region";s:4:"path";s:41:"core/themes/seven/templates/classy/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";N;s:13:"datetime_form";N;s:16:"datetime_wrapper";N;s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:15:"status-messages";s:4:"path";s:39:"core/themes/seven/templates/classy/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"seven_preprocess_links";}}s:18:"dropbutton_wrapper";N;s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"image";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:10:"breadcrumb";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";N;s:19:"tablesort_indicator";N;s:4:"mark";N;s:9:"item_list";a:6:{s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:9:"item-list";s:4:"path";s:42:"core/themes/seven/templates/classy/dataset";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:9:"feed_icon";N;s:12:"progress_bar";N;s:11:"indentation";N;s:16:"maintenance_page";N;s:12:"install_page";N;s:21:"maintenance_task_list";N;s:16:"authorize_report";N;s:5:"pager";N;s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"menu";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:15:"menu-local-task";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";i:6;s:32:"seven_preprocess_menu_local_task";}}s:17:"menu_local_action";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:17:"menu-local-action";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_menu_local_action";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_menu_local_action";i:4;s:39:"webform_ui_preprocess_menu_local_action";i:5;s:34:"seven_preprocess_menu_local_action";}}s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:33:"seven_preprocess_menu_local_tasks";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"input";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";}}s:6:"select";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:6:"select";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_select";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_select";}}s:8:"fieldset";N;s:7:"details";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:7:"details";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";}}s:6:"radios";N;s:10:"checkboxes";N;s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";N;s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:12:"form-element";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:18:"form-element-label";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";N;s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";N;s:25:"field_multiple_value_form";N;s:28:"block__system_branding_block";N;s:28:"block__system_messages_block";N;s:24:"block__system_menu_block";N;s:18:"system_themes_page";a:8:{s:9:"variables";a:2:{s:12:"theme_groups";a:0:{}s:18:"theme_group_titles";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-themes-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_themes_page";i:2;s:21:"contextual_preprocess";}}s:18:"system_config_form";N;s:12:"confirm_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"confirm-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:22:"system_modules_details";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:22:"system-modules-details";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_system_modules_details";i:2;s:21:"contextual_preprocess";}}s:24:"system_modules_uninstall";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:24:"system-modules-uninstall";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_system_modules_uninstall";i:2;s:21:"contextual_preprocess";}}s:18:"status_report_page";a:6:{s:9:"variables";a:3:{s:8:"counters";a:0:{}s:12:"general_info";a:0:{}s:12:"requirements";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:18:"status-report-page";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:13:"status_report";N;s:21:"status_report_grouped";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:21:"status-report-grouped";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_counter";a:6:{s:9:"variables";a:3:{s:6:"amount";N;s:4:"text";N;s:8:"severity";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:21:"status-report-counter";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"status_report_general_info";a:6:{s:9:"variables";a:7:{s:6:"drupal";a:0:{}s:4:"cron";a:0:{}s:15:"database_system";a:0:{}s:23:"database_system_version";a:0:{}s:3:"php";a:0:{}s:16:"php_memory_limit";a:0:{}s:9:"webserver";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:26:"status-report-general-info";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"admin_page";a:8:{s:9:"variables";a:1:{s:6:"blocks";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:10:"admin-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_admin_page";i:2;s:21:"contextual_preprocess";}}s:11:"admin_block";a:8:{s:9:"variables";a:2:{s:5:"block";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:11:"admin-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"admin_block_content";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:19:"admin-block-content";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_admin_block_content";i:2;s:21:"contextual_preprocess";i:6;s:36:"seven_preprocess_admin_block_content";}}s:18:"system_admin_index";N;s:15:"entity_add_list";N;s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";N;s:17:"entity_page_title";N;s:13:"taxonomy_term";N;s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:7:"toolbar";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:17:"update_last_check";a:6:{s:9:"variables";a:1:{s:4:"last";i:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"template";s:17:"update-last-check";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_update_last_check";i:2;s:21:"contextual_preprocess";}}s:13:"update_report";N;s:21:"update_project_status";N;s:14:"update_version";N;s:26:"update_fetch_error_message";N;s:4:"user";N;s:8:"username";N;s:18:"video_embed_iframe";N;s:34:"video_embed_field_missing_provider";N;s:28:"views_ui_display_tab_setting";N;s:27:"views_ui_display_tab_bucket";N;s:30:"views_ui_rearrange_filter_form";N;s:27:"views_ui_expose_filter_form";N;s:18:"views_ui_view_info";N;s:28:"views_ui_views_listing_table";N;s:27:"views_ui_view_displays_list";N;s:32:"views_ui_build_group_filter_form";N;s:27:"views_ui_style_plugin_table";N;s:29:"views_ui_view_preview_section";N;s:18:"views_ui_container";N;s:12:"webform_help";N;s:26:"webform_help_video_youtube";N;s:20:"webform_help_support";N;s:7:"webform";N;s:15:"webform_actions";N;s:21:"webform_access_denied";N;s:30:"webform_handler_action_summary";N;s:29:"webform_handler_debug_summary";N;s:29:"webform_handler_email_summary";N;s:35:"webform_handler_remote_post_summary";N;s:32:"webform_handler_settings_summary";N;s:32:"webform_variant_override_summary";N;s:20:"webform_confirmation";N;s:16:"webform_required";N;s:18:"webform_submission";N;s:23:"webform_submission_form";N;s:29:"webform_submission_navigation";N;s:30:"webform_submission_information";N;s:23:"webform_submission_data";N;s:25:"webform_element_base_html";N;s:25:"webform_element_base_text";N;s:27:"webform_container_base_html";N;s:27:"webform_container_base_text";N;s:20:"webform_element_help";N;s:20:"webform_element_more";N;s:28:"webform_element_managed_file";N;s:26:"webform_element_audio_file";N;s:29:"webform_element_document_file";N;s:26:"webform_element_image_file";N;s:26:"webform_element_video_file";N;s:18:"webform_email_html";N;s:26:"webform_email_message_html";N;s:26:"webform_email_message_text";N;s:26:"webform_html_editor_markup";N;s:23:"webform_horizontal_rule";N;s:15:"webform_message";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-message";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_message";i:2;s:21:"contextual_preprocess";}}s:15:"webform_section";N;s:25:"webform_composite_address";N;s:25:"webform_composite_contact";N;s:26:"webform_composite_location";N;s:22:"webform_composite_link";N;s:22:"webform_composite_name";N;s:27:"webform_composite_telephone";N;s:18:"webform_codemirror";N;s:16:"webform_progress";N;s:20:"webform_progress_bar";N;s:24:"webform_progress_tracker";N;s:4:"font";N;s:10:"font__full";N;s:12:"font__teaser";N;s:16:"views_mini_pager";N;s:16:"views_view_field";N;s:19:"views_view_grouping";N;s:10:"views_view";N;s:19:"views_view_row_opml";N;s:18:"views_view_row_rss";N;s:17:"views_view_fields";N;s:23:"views_view_fullcalendar";N;s:15:"views_view_grid";N;s:18:"views_view_summary";N;s:22:"views_view_unformatted";N;s:15:"views_view_opml";N;s:14:"views_view_rss";N;s:16:"views_view_table";N;s:15:"views_view_list";N;s:30:"views_view_summary_unformatted";N;s:21:"views_form_views_form";N;s:18:"views_exposed_form";N;s:9:"paragraph";N;s:29:"paragraphs_dropbutton_wrapper";N;s:20:"paragraphs_info_icon";N;s:21:"paragraphs_add_dialog";N;s:18:"paragraphs_actions";N;s:18:"paragraphs_summary";N;s:24:"block__local_tasks_block";a:7:{s:8:"template";s:24:"block--local-tasks-block";s:4:"path";s:40:"core/themes/seven/templates/classy/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}}s:24:"block__search_form_block";N;s:26:"block__local_actions_block";a:7:{s:8:"template";s:26:"block--local-actions-block";s:4:"path";s:27:"core/themes/seven/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}}s:25:"links__media_library_menu";N;s:11:"links__node";N;s:25:"item_list__search_results";N;s:44:"item_list__media_library_add_form_media_list";N;s:30:"fieldset__media_library_widget";N;s:46:"details__media_library_add_form_selected_media";N;s:32:"container__media_library_content";N;s:41:"container__media_library_widget_selection";N;s:34:"container__text_format_filter_help";N;s:37:"container__text_format_filter_wrapper";N;s:40:"container__text_format_filter_guidelines";N;s:24:"field__text_with_summary";N;s:11:"field__text";N;s:16:"field__text_long";N;s:25:"views_view__media_library";N;s:37:"views_view_unformatted__media_library";N;s:11:"field__node";N;s:32:"views_view_fields__media_library";N;}', -1, '1681653350.012', 1, 'theme_registry', '2');
INSERT INTO `cache_bootstrap` VALUES
('user_permissions_hash:anonymous', 'da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', -1, '1681649817.695', 0, 'config:user.role.anonymous', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cache_config`
--

CREATE TABLE `cache_config` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_config`
--

INSERT INTO `cache_config` VALUES
('automated_cron.settings', 'a:2:{s:8:"interval";i:10800;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fUksROt4FfkAU9BV4hV2XvhTBSS2nTNrZS4U7S-tKrs";}}', -1, '1681649760.639', 1, '', '0'),
('bartik.settings', 'b:0;', -1, '1681650075.012', 1, '', '0'),
('block.block.aboutfooter', 'a:12:{s:4:"uuid";s:36:"e6fbdcd2-4e1a-4a59-ae05-dc851d0776c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:56181db7-a452-44b8-bca5-8cf9de50ed1c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"aboutfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:56181db7-a452-44b8-bca5-8cf9de50ed1c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:56181db7-a452-44b8-bca5-8cf9de50ed1c";s:5:"label";s:14:"About (footer)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.aboutme', 'a:12:{s:4:"uuid";s:36:"59c5de11-9b4c-4dd4-aeb1-aa1320cba44f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d3c5868b-e0ca-43fd-9e80-828ad308eea5";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"aboutme";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d3c5868b-e0ca-43fd-9e80-828ad308eea5";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d3c5868b-e0ca-43fd-9e80-828ad308eea5";s:5:"label";s:8:"About me";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.address', 'a:12:{s:4:"uuid";s:36:"d3f88b9c-42d5-4e86-9f4e-364ff7c2e313";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:165f7847-15c7-4a04-9acf-8765861ca9a1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"address";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:50:"block_content:165f7847-15c7-4a04-9acf-8765861ca9a1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:165f7847-15c7-4a04-9acf-8765861ca9a1";s:5:"label";s:13:"Venue Address";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.areyoulookingforagreatservice', 'a:12:{s:4:"uuid";s:36:"dd417b8b-815a-4deb-90b3-7fe1bcaf0a04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:c14bd468-befe-4f30-a142-81ace2726783";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:29:"areyoulookingforagreatservice";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:50:"block_content:c14bd468-befe-4f30-a142-81ace2726783";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:c14bd468-befe-4f30-a142-81ace2726783";s:5:"label";s:36:"Are you looking for a great service?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.backgroundimageblockclients', 'a:12:{s:4:"uuid";s:36:"2ba18c03-f53f-45cc-a558-48112d6faf19";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"backgroundimageblockclients";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";s:5:"label";s:32:"Background image block - Clients";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.backgroundimageblockcta', 'a:12:{s:4:"uuid";s:36:"c2fe3bfd-3728-4cc7-9c81-718ba5a5f84f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:23:"backgroundimageblockcta";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:50:"block_content:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";s:5:"label";s:28:"Background image block - CtA";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.backgroundimageblockshowcasescarousel', 'a:12:{s:4:"uuid";s:36:"34f50f77-7219-4f36-a963-1adb0b3c2f12";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:2097ae93-a297-410b-acc6-d59748d40e90";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:37:"backgroundimageblockshowcasescarousel";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:20:"content_bottom_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2097ae93-a297-410b-acc6-d59748d40e90";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2097ae93-a297-410b-acc6-d59748d40e90";s:5:"label";s:42:"Background image block - Albums (carousel)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.benefits', 'a:12:{s:4:"uuid";s:36:"d1f99bfd-23ce-4195-9e73-73a7141be77a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:62:"block_content:mt_if_block:64c7c159-c508-4191-b661-05ea9107cdd5";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"benefits";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:64c7c159-c508-4191-b661-05ea9107cdd5";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:64c7c159-c508-4191-b661-05ea9107cdd5";s:5:"label";s:8:"Benefits";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.calltoaction', 'a:12:{s:4:"uuid";s:36:"2b69e964-be88-49ac-a4d8-05e1e2b2c847";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:484e39d9-79e3-484e-9855-6b935d61bd03";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"calltoaction";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:5:"label";s:14:"Call to action";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.calltoaction2', 'a:12:{s:4:"uuid";s:36:"c0036d15-91a7-4700-bc8a-053eae359499";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"calltoaction2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";s:5:"label";s:16:"Call to action 2";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.calltoaction_2', 'a:12:{s:4:"uuid";s:36:"63759610-6f81-43c5-bd6c-64ee7d363a15";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:484e39d9-79e3-484e-9855-6b935d61bd03";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"calltoaction_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:5:"label";s:14:"Call to action";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.collapsibleblock', 'a:12:{s:4:"uuid";s:36:"b894d68d-a55f-411f-8988-82ab71fd6ac9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:71:"block_content:mt_collapsible_block:2d618db5-2ef3-4607-b59e-6c41f4dae031";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"collapsibleblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2d618db5-2ef3-4607-b59e-6c41f4dae031";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2d618db5-2ef3-4607-b59e-6c41f4dae031";s:5:"label";s:17:"Collapsible block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_announcement', 'a:12:{s:4:"uuid";s:36:"3a24a11c-4802-4158-9511-e3ea5ba4bf33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b467900a-1ff8-40ea-a8b0-2de331243735";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"conferenceplus_announcement";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:28:"header_top_highlighted_first";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b467900a-1ff8-40ea-a8b0-2de331243735";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b467900a-1ff8-40ea-a8b0-2de331243735";s:5:"label";s:12:"Announcement";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/40";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_blockwithimage', 'a:12:{s:4:"uuid";s:36:"7fdf28cc-3d55-4944-af9c-f6430c954771";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5e872ebe-f221-48b5-8dbf-041d40eecc43";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:29:"conferenceplus_blockwithimage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-52;s:8:"provider";N;s:6:"plugin";s:50:"block_content:5e872ebe-f221-48b5-8dbf-041d40eecc43";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:5e872ebe-f221-48b5-8dbf-041d40eecc43";s:5:"label";s:16:"Block with image";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:963:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/events*\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_branding', 'a:13:{s:4:"uuid";s:36:"b527b37d-492a-490b-8891-00034ef5854f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HWfLOQ4PlgxyPPLuQJCudZyyo5NDMNMOOajK3WsVgTA";}s:2:"id";s:23:"conferenceplus_branding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"header_first";s:6:"weight";i:-6;s:8:"provider";N;s:6:"plugin";s:21:"system_branding_block";s:8:"settings";a:7:{s:2:"id";s:21:"system_branding_block";s:5:"label";s:13:"Site branding";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:13:"use_site_logo";b:1;s:13:"use_site_name";b:1;s:15:"use_site_slogan";b:1;}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"235d4489-7492-45bf-800f-4f4ba08aba1d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eWFfzfS_ToFrvA7wiGjzzwxhUEfe_-HyKewJBlOd4v8";}s:2:"id";s:26:"conferenceplus_breadcrumbs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"system_messages";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:17:"<front>\r\n/node/82";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_connectwithuslarge', 'a:12:{s:4:"uuid";s:36:"2cbc947a-99cc-4f99-ba0e-19a3ca84c67f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:01709e04-065c-478c-9e73-863194306720";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:33:"conferenceplus_connectwithuslarge";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-53;s:8:"provider";N;s:6:"plugin";s:50:"block_content:01709e04-065c-478c-9e73-863194306720";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:01709e04-065c-478c-9e73-863194306720";s:5:"label";s:32:"Connect with us via social media";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:959:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/contact/alternative\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_contactinfo', 'a:12:{s:4:"uuid";s:36:"8c4cac00-3310-4e42-8bf0-4f4d753ada6e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5c386222-a853-46e7-b120-1d96242be928";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:26:"conferenceplus_contactinfo";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:5c386222-a853-46e7-b120-1d96242be928";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:5c386222-a853-46e7-b120-1d96242be928";s:5:"label";s:12:"Contact Info";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:20:"/contact/alternative";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_contactinfoheadertop', 'a:12:{s:4:"uuid";s:36:"7ba9f362-014d-478e-a169-25be92964cd6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47385a7c-dff7-4f4a-8225-37b53a37da3d";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:35:"conferenceplus_contactinfoheadertop";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"header_top_first";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:47385a7c-dff7-4f4a-8225-37b53a37da3d";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:47385a7c-dff7-4f4a-8225-37b53a37da3d";s:5:"label";s:25:"Contact Info (header top)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_content', 'a:13:{s:4:"uuid";s:36:"e900a9d5-c9d8-4e6d-91dc-9f44aaf85525";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8p7XNVKfUx-9eWJNpNOovI4Xtic06HLRtrlzw123OBU";}s:2:"id";s:22:"conferenceplus_content";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_copyright', 'a:12:{s:4:"uuid";s:36:"11641027-cc8b-4b33-9229-d63288aceaee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:24:"conferenceplus_copyright";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"sub_footer_first";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";s:5:"label";s:9:"Copyright";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_exposedformmt_productspage_1', 'a:12:{s:4:"uuid";s:36:"59c4ba3a-e73b-46f0-8f39-8c1eaa27da42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-54;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_1";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:0:"";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_exposedformmt_productspage_2', 'a:12:{s:4:"uuid";s:36:"ccf0d776-467c-4abf-abc7-7ff23e0f608d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-53;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_2";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_2";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/merchandise-3-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_exposedformmt_productspage_3', 'a:12:{s:4:"uuid";s:36:"f12f4bf7-1fb4-4d57-bd03-b8fbab02b55a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-52;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_3";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/merchandise-2-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_fancylinkedimages', 'a:12:{s:4:"uuid";s:36:"2bec5add-0843-4a4b-a1e5-309c432f9ad2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:79:"block_content:mt_fancy_linked_images_block:2c242b3c-5f08-49b5-9943-898d1f992ced";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:32:"conferenceplus_fancylinkedimages";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2c242b3c-5f08-49b5-9943-898d1f992ced";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2c242b3c-5f08-49b5-9943-898d1f992ced";s:5:"label";s:19:"Fancy linked images";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_footer', 'a:13:{s:4:"uuid";s:36:"d92aa69a-58d1-4e6e-8443-eb17c7e4df42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:18:"system.menu.footer";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tOKRee5a0v12MNZ4qugrUf_tN2BpYaQqyvisHARARLg";}s:2:"id";s:21:"conferenceplus_footer";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"footer";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:24:"system_menu_block:footer";s:8:"settings";a:7:{s:2:"id";s:24:"system_menu_block:footer";s:5:"label";s:11:"Footer menu";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_frontpagetabs', 'a:12:{s:4:"uuid";s:36:"ed699ab4-610a-4b74-b839-c35ac836e998";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_fancy_tabs_block:b6daebc0-8794-4969-94ad-88857e3749e6";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:28:"conferenceplus_frontpagetabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b6daebc0-8794-4969-94ad-88857e3749e6";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b6daebc0-8794-4969-94ad-88857e3749e6";s:5:"label";s:15:"Front Page tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_genericblock', 'a:12:{s:4:"uuid";s:36:"245666af-c45e-4c0e-9f1e-f3f351a05410";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:fae21d9e-1b0b-418f-b1a1-e4f297688838";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"conferenceplus_genericblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:5:"label";s:13:"Generic Block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/node/5";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_help', 'a:13:{s:4:"uuid";s:36:"fd5d8f8d-69f9-4584-a429-962b1fbf6cc9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HWyVkM_vrMjl9s6bvE0rcsiojM6FCs7TD2mpjqLEezQ";}s:2:"id";s:19:"conferenceplus_help";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:8:"provider";s:4:"help";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_local_actions', 'a:13:{s:4:"uuid";s:36:"5b0f1b48-ca64-4949-95e5-9becf8ef094d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mrve08uLfK1QjlfgulH1PFiicHywfZBbv4S-drXIHRE";}s:2:"id";s:28:"conferenceplus_local_actions";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_local_tasks', 'a:13:{s:4:"uuid";s:36:"a0b85f8f-fe1d-46fd-8257-6fd40cc4fdb2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gvQQbPnUIQvkX7OhhiBGW8MGSoIDmPdyTZ63EySAfqQ";}s:2:"id";s:26:"conferenceplus_local_tasks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:4:"Tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:1;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_main_menu', 'a:13:{s:4:"uuid";s:36:"c95e4ec6-ad8b-45dd-8526-ebfe6d7630bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"dC5dZ_1mZRGvj35u_oYK64ZOB1aJEAZqFvl8FmbPUSc";}s:2:"id";s:24:"conferenceplus_main_menu";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:22:"system_menu_block:main";s:8:"settings";a:7:{s:2:"id";s:22:"system_menu_block:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:981:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/events*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_mainnavigation_2', 'a:12:{s:4:"uuid";s:36:"8ae72d31-e6eb-4441-88cf-d31b20db68c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:31:"conferenceplus_mainnavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:1;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"15";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:28:"cta-active cta-active--email";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:50:"/node/54\r\n/node/53\r\n/node/17\r\n/node/63\r\n/mega-menu";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_messages', 'a:13:{s:4:"uuid";s:36:"19b8eee9-a89d-4ded-84bc-bd0a2a593d54";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cD-1Zml8FeQT53O7roSR-kYl5Wm5SBzpwmw_zwLGjkE";}s:2:"id";s:23:"conferenceplus_messages";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"system_messages";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_page_title', 'a:13:{s:4:"uuid";s:36:"f7a6be46-2344-4820-8fdf-b49578e6a2c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6JlyFDpCLptKyEp6Q5AIUuhX9loH6iTrv_QCxEM7bxA";}s:2:"id";s:25:"conferenceplus_page_title";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:439:"/node/35\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/58\r\n/node/59\r\n/node/63\r\n/node/82\r\n/showcases-3-col\r\n/showcases-2-col\r\n/about-us\r\n/investors\r\n/services-3-col\r\n/services-2-col\r\n/services-list\r\n/services-isotope\r\n/products-2-col\r\n/products-3-col\r\n/products-isotope\r\n/products-list\r\n/products-masonry\r\n/showcases-2-col\r\n/showcases-3-col\r\n/showcases-3-col-style-2\r\n/showcases-isotope\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_popularsalesstatic', 'a:12:{s:4:"uuid";s:36:"91d5cd18-b645-4931-a189-da31fa3fc74e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:33:"conferenceplus_popularsalesstatic";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";s:5:"label";s:22:"Popular Sales (Static)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_productslayoutswitcherlistactive', 'a:12:{s:4:"uuid";s:36:"612fa5b3-9c73-4a4d-823f-2d4e4c953f4e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:9acb6453-8126-426b-88ec-d750288e958c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"conferenceplus_productslayoutswitcherlistactive";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:9acb6453-8126-426b-88ec-d750288e958c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:9acb6453-8126-426b-88ec-d750288e958c";s:5:"label";s:41:"Merchandise Layout Switcher (List Active)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:17:"/merchandise-list";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_productslayoutswithergridactive', 'a:12:{s:4:"uuid";s:36:"7fbfc9b3-e614-4cf4-b9d3-7097078d7a55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:46:"conferenceplus_productslayoutswithergridactive";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";s:5:"label";s:40:"Merchandise Layout Swither (Grid active)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:58:"/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-2-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_search', 'a:13:{s:4:"uuid";s:36:"8050817f-48b9-4b28-8abc-8d485939aafb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:6:"search";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mz4tcVV9g3nGzo00bXK28wbUDa1j2rrH9p4Jbhinxps";}s:2:"id";s:21:"conferenceplus_search";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:6:"Search";s:8:"provider";s:6:"search";s:13:"label_display";s:7:"visible";s:7:"page_id";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:971:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_sidebartabs', 'a:12:{s:4:"uuid";s:36:"120b6030-cd0e-45b1-aa88-ccfcac607122";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:ef75ff4d-5049-4e15-91f2-89e64289799e";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:26:"conferenceplus_sidebartabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:5:"label";s:12:"Sidebar tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:980:"<front>\r\n/node/3\r\n/node/5\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/presentations*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_socialbookmarks', 'a:12:{s:4:"uuid";s:36:"386bcb7e-59a6-45ed-881a-e7d32c1ba23c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"conferenceplus_socialbookmarks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:17:"header_top_second";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";s:5:"label";s:16:"Social Bookmarks";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/node/40\r\n/node/63";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_textblocks', 'a:12:{s:4:"uuid";s:36:"edf9f999-1021-4b99-9b16-790a40493b4c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:78f50698-8922-4e4c-ade4-531c59340958";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:25:"conferenceplus_textblocks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:78f50698-8922-4e4c-ade4-531c59340958";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:78f50698-8922-4e4c-ade4-531c59340958";s:5:"label";s:11:"Text blocks";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_collections_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"0efc1f50-254a-46c5-aa3c-836705892d93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_collections_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:59:"conferenceplus_views_block__mt_collections_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:43:"views_block:mt_collections_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:43:"views_block:mt_collections_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_collections_masonry_block_1', 'a:12:{s:4:"uuid";s:36:"9e00754d-db97-4126-8933-86d757bf4a57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:33:"views.view.mt_collections_masonry";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:58:"conferenceplus_views_block__mt_collections_masonry_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:42:"views_block:mt_collections_masonry-block_1";s:8:"settings";a:6:{s:2:"id";s:42:"views_block:mt_collections_masonry-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_latest_block_1', 'a:12:{s:4:"uuid";s:36:"8592efcd-ab10-4322-a84d-a5c31d90529b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"conferenceplus_views_block__mt_latest_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_latest_block_3', 'a:12:{s:4:"uuid";s:36:"691edf14-7bd9-4a23-9525-d53ade64cd55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"conferenceplus_views_block__mt_latest_block_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_3";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_popular_tags_block_1', 'a:12:{s:4:"uuid";s:36:"d24c3972-6788-4628-b837-51186597afcd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_popular_tags";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_popular_tags_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-51;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_popular_tags-block_1";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_popular_tags-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:969:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0');
INSERT INTO `cache_config` VALUES
('block.block.conferenceplus_views_block__mt_pricing_tables_block_1', 'a:12:{s:4:"uuid";s:36:"184c47f2-6b01-45d6-b835-b2910a04ebee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_pricing_tables";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:53:"conferenceplus_views_block__mt_pricing_tables_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:37:"views_block:mt_pricing_tables-block_1";s:8:"settings";a:6:{s:2:"id";s:37:"views_block:mt_pricing_tables-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_products_list_block_1', 'a:12:{s:4:"uuid";s:36:"261f9a48-9380-4025-b725-8b67f250af9c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_products_list";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:52:"conferenceplus_views_block__mt_products_list_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:36:"views_block:mt_products_list-block_1";s:8:"settings";a:6:{s:2:"id";s:36:"views_block:mt_products_list-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_products_masonry_block_1', 'a:12:{s:4:"uuid";s:36:"b3527c50-3d2f-45e5-836e-7b018d155a2f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:30:"views.view.mt_products_masonry";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:55:"conferenceplus_views_block__mt_products_masonry_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:39:"views_block:mt_products_masonry-block_1";s:8:"settings";a:6:{s:2:"id";s:39:"views_block:mt_products_masonry-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_slideshow_boxed_width_block_1', 'a:12:{s:4:"uuid";s:36:"33f02150-fa55-4d26-89cd-765c9f74d85d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_boxed_width";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:60:"conferenceplus_views_block__mt_slideshow_boxed_width_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_slideshow_boxed_width-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_slideshow_boxed_width-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/16";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_slideshow_full_screen_block_1', 'a:12:{s:4:"uuid";s:36:"42edd28e-3462-4ed5-8ec6-57177ff08f59";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_full_screen";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:60:"conferenceplus_views_block__mt_slideshow_full_screen_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_slideshow_full_screen-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_slideshow_full_screen-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_slideshow_full_width_block_1', 'a:12:{s:4:"uuid";s:36:"67d0e0cc-1727-4b15-b9dd-3c2b528b57b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_slideshow_full_width";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:59:"conferenceplus_views_block__mt_slideshow_full_width_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:43:"views_block:mt_slideshow_full_width-block_1";s:8:"settings";a:6:{s:2:"id";s:43:"views_block:mt_slideshow_full_width-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_testimonials_block_1', 'a:12:{s:4:"uuid";s:36:"4c25018e-f5da-41d8-8b07-df33e1b73b14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_testimonials_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_testimonials-block_1";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_testimonials-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.conferenceplus_views_block__mt_testimonials_block_2', 'a:12:{s:4:"uuid";s:36:"0dd6732e-0540-4619-94f1-24ebd8f579be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_testimonials_block_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_testimonials-block_2";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_testimonials-block_2";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:965:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/presentations*\r\n/events*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.contactinfofooter', 'a:12:{s:4:"uuid";s:36:"8e14267d-4c47-47fd-900a-7ac2186d236b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a5cb88c7-1d51-405a-b911-2ea49042a47f";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"contactinfofooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_second";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a5cb88c7-1d51-405a-b911-2ea49042a47f";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a5cb88c7-1d51-405a-b911-2ea49042a47f";s:5:"label";s:23:"Contact the Association";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.contactinfofootertop', 'a:12:{s:4:"uuid";s:36:"dcb5d477-b33f-46c7-849d-20dfbfbded53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:20:"contactinfofootertop";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";s:5:"label";s:12:"Contact Info";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.contactinfoheader', 'a:12:{s:4:"uuid";s:36:"582d083b-d922-409f-9a43-e0d21e647825";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47ac0b15-76b8-42ad-b349-f76c80485472";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"contactinfoheader";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:47ac0b15-76b8-42ad-b349-f76c80485472";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:47ac0b15-76b8-42ad-b349-f76c80485472";s:5:"label";s:21:"Contact Info (Header)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.contactinfoslideout', 'a:12:{s:4:"uuid";s:36:"19fbd9e1-d81e-4714-a1e2-fb520093f7d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:289e95e0-6f1d-40f8-961a-fe8a21410288";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"contactinfoslideout";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:289e95e0-6f1d-40f8-961a-fe8a21410288";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:289e95e0-6f1d-40f8-961a-fe8a21410288";s:5:"label";s:23:"Contact Info (Slideout)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.countdown', 'a:12:{s:4:"uuid";s:36:"37ca0b46-35f4-4dd4-b763-6bcdf96e974a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:12:"mt_countdown";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:9:"countdown";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:12:"mt_countdown";s:8:"settings";a:5:{s:2:"id";s:12:"mt_countdown";s:5:"label";s:10:"Count Down";s:8:"provider";s:12:"mt_countdown";s:13:"label_display";s:1:"0";s:27:"mt_countdown_block_settings";N;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:80:"<front>\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/63\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.customsitebranding', 'a:12:{s:4:"uuid";s:36:"b1913af5-1acb-4c6f-a1b7-7fabda0567bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:31d21c04-eb31-438b-8730-00c9e7511dd7";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"customsitebranding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:31d21c04-eb31-438b-8730-00c9e7511dd7";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:31d21c04-eb31-438b-8730-00c9e7511dd7";s:5:"label";s:20:"Custom site branding";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.fancyblock', 'a:12:{s:4:"uuid";s:36:"b76de573-35bc-4a48-9394-c7f2643c835f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1f5fa21d-094d-4e89-abf6-07aa1e532066";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:10:"fancyblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:5:"label";s:11:"Fancy block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.featuresfrontpage', 'a:12:{s:4:"uuid";s:36:"4789b551-d544-4938-9997-9874595380fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:75233cc9-f9ab-4278-b3a5-3ac326245760";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"featuresfrontpage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:75233cc9-f9ab-4278-b3a5-3ac326245760";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:75233cc9-f9ab-4278-b3a5-3ac326245760";s:5:"label";s:21:"Features (front page)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.footerbottomcustomsitebranding', 'a:12:{s:4:"uuid";s:36:"4e216a01-764f-4790-8c2a-bcc96f1bad5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:30cd384d-66e1-462a-b606-9af85d356ef1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"footerbottomcustomsitebranding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:30cd384d-66e1-462a-b606-9af85d356ef1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:30cd384d-66e1-462a-b606-9af85d356ef1";s:5:"label";s:34:"Footer bottom custom site branding";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.fullwidthslideshow', 'a:12:{s:4:"uuid";s:36:"a7228b23-8adb-481b-a519-4b8f3feb63b6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:74:"block_content:mt_main_slideshow_block:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"fullwidthslideshow";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";s:5:"label";s:19:"Fullwidth Slideshow";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/59";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.googlemapbanner', 'a:12:{s:4:"uuid";s:36:"6a02ab02-7255-412a-8132-d9fe56612676";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"googlemapbanner";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.googlemapbanner_2', 'a:12:{s:4:"uuid";s:36:"3b1c87e1-518e-4d8d-8283-50c1c41ff2fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"googlemapbanner_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:20:"/contact/alternative";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.googlemapbanner_3', 'a:12:{s:4:"uuid";s:36:"fc8a649e-aaeb-4335-b614-ae99f196df32";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"googlemapbanner_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.headerdropdowns', 'a:12:{s:4:"uuid";s:36:"5b108211-d855-47e5-ab36-4b43b07beb96";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:69:"block_content:mt_dropdowns_block:18dc1432-7c77-4b0b-b804-5bd46ab9769a";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"headerdropdowns";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"header_third";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:18dc1432-7c77-4b0b-b804-5bd46ab9769a";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:18dc1432-7c77-4b0b-b804-5bd46ab9769a";s:5:"label";s:16:"Header Dropdowns";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.headertopctabuttons', 'a:12:{s:4:"uuid";s:36:"a7a028b7-625b-4f84-99ee-037bce14ee9f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4afd36a9-3c0d-4d0e-b120-cd814ff11504";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"headertopctabuttons";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:28:"header_top_highlighted_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4afd36a9-3c0d-4d0e-b120-cd814ff11504";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4afd36a9-3c0d-4d0e-b120-cd814ff11504";s:5:"label";s:22:"Header Top CtA buttons";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:38:"/node/63\r\n/node/53\r\n/node/40\r\n/node/17";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.highlights', 'a:12:{s:4:"uuid";s:36:"584f76a5-06a8-49f8-802a-49362220ab53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0524307c-2048-42b8-833e-fe424b730597";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:10:"highlights";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0524307c-2048-42b8-833e-fe424b730597";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0524307c-2048-42b8-833e-fe424b730597";s:5:"label";s:25:"Our highlights, in short.";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.highlightsfrontpage', 'a:12:{s:4:"uuid";s:36:"7a02f097-db7f-4b5d-bc0f-65ff642d46c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:72c169d2-45c6-40c2-82e4-4f0f6f243331";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"highlightsfrontpage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:72c169d2-45c6-40c2-82e4-4f0f6f243331";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:72c169d2-45c6-40c2-82e4-4f0f6f243331";s:5:"label";s:23:"Highlights (front page)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.iconssubfooter', 'a:12:{s:4:"uuid";s:36:"69c542e9-888c-4797-bdbe-7a04ed5adc2e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:14d16969-6207-4173-82a4-bbc2e6eef6a2";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"iconssubfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:5:"label";s:17:"Icons (subfooter)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.interestedininvestingwithus', 'a:12:{s:4:"uuid";s:36:"925dad75-2bb5-4c8d-ae40-377b64669731";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"interestedininvestingwithus";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";s:5:"label";s:32:"Interested in investing with us?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:10:"/investors";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.juicerembedfeed1', 'a:12:{s:4:"uuid";s:36:"8bef6587-3720-427b-ad76-ed7d5037416d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:8:"juicerio";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"juicerembedfeed1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"highlighted";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:19:"juicerio:juicerio_1";s:8:"settings";a:9:{s:2:"id";s:19:"juicerio:juicerio_1";s:5:"label";s:11:"Social Feed";s:8:"provider";s:8:"juicerio";s:13:"label_display";s:7:"visible";s:22:"juicerio_1_post_number";s:2:"20";s:25:"juicerio_1_infinite_pages";s:1:"1";s:21:"juicerio_1_gutter_amt";s:2:"30";s:24:"juicerio_1_column_number";s:1:"4";s:17:"juicerio_1_filter";s:0:"";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.landingpagenavigation_2', 'a:12:{s:4:"uuid";s:36:"4c40df7d-982b-43a3-96e8-9b4c86ded561";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"system.menu.landing-page-navigation";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:23:"landingpagenavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:33:"superfish:landing-page-navigation";s:8:"settings";a:52:{s:2:"id";s:33:"superfish:landing-page-navigation";s:5:"label";s:23:"Landing page navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:0;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"12";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:30:"in-page-navigation nav d-block";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:28:"link--smooth-scroll nav-link";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/63";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.languageswitcher', 'a:12:{s:4:"uuid";s:36:"6b1c8b70-5c53-427b-8091-3fa772e60fe5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:eb34fbf2-b05a-462a-bb6d-0d71197be193";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"languageswitcher";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:eb34fbf2-b05a-462a-bb6d-0d71197be193";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:eb34fbf2-b05a-462a-bb6d-0d71197be193";s:5:"label";s:17:"Language Switcher";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.mainnavigation_2', 'a:12:{s:4:"uuid";s:36:"b4d91453-f46d-454d-98cb-e3605ace2f7a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"mainnavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:1;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"15";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:0:"";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/node/54\r\n/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.mainnavigation_4', 'a:12:{s:4:"uuid";s:36:"301bb505-1dfd-4723-b70a-523b3d993aeb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"mainnavigation_4";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:0;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:5:"10000";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"12";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:28:"cta-active cta-active--email";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.mediatab', 'a:12:{s:4:"uuid";s:36:"e9dcb22d-2737-4612-90f0-7cc2e4707b30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_media_tabs_block:735a20a1-935e-461e-8ddf-5a4fdc521f23";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"mediatab";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:735a20a1-935e-461e-8ddf-5a4fdc521f23";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:735a20a1-935e-461e-8ddf-5a4fdc521f23";s:5:"label";s:9:"Media Tab";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.megamenu', 'a:12:{s:4:"uuid";s:36:"6f4b6dd8-e877-49af-a99a-87fd21304918";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:24:"system.menu.mt-mega-menu";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"megamenu";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:22:"superfish:mt-mega-menu";s:8:"settings";a:52:{s:2:"id";s:22:"superfish:mt-mega-menu";s:5:"label";s:9:"Mega Menu";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"17";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:1;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:0:"";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:10:"/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.mystory', 'a:12:{s:4:"uuid";s:36:"4a2b38dd-f09b-4d8e-a086-c3bde3f1549c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b881398c-7d2f-4579-9930-9300538bd2aa";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"mystory";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b881398c-7d2f-4579-9930-9300538bd2aa";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b881398c-7d2f-4579-9930-9300538bd2aa";s:5:"label";s:8:"My Story";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.olivero_account_menu', 'a:13:{s:4:"uuid";s:36:"7da21122-1a94-42eb-ab06-6f48902948ef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:19:"system.menu.account";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gmxYWWHmgbe0Pnv8y48ZLSLH5mEHejOjAP6RLxUfdzU";}s:2:"id";s:20:"olivero_account_menu";s:5:"theme";s:7:"olivero";s:6:"region";s:14:"secondary_menu";s:6:"weight";i:-4;s:8:"provider";N;s:6:"plugin";s:25:"system_menu_block:account";s:8:"settings";a:7:{s:2:"id";s:25:"system_menu_block:account";s:5:"label";s:17:"User account menu";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";s:5:"level";i:1;s:5:"depth";i:1;s:16:"expand_all_items";b:0;}s:10:"visibility";a:0:{}}', -1, '1681652741.316', 1, '', '0'),
('block.block.olivero_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"7207fb8b-2abc-4328-ad2f-fc056e51d670";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"VhBzWb7lMRtIOg9G7VSw_0uopi-7zXeHq4vXqqV1HFE";}s:2:"id";s:19:"olivero_breadcrumbs";s:5:"theme";s:7:"olivero";s:6:"region";s:10:"breadcrumb";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}', -1, '1681652741.297', 1, '', '0'),
('block.block.olivero_content', 'a:13:{s:4:"uuid";s:36:"d4d3c2f4-dd15-46fd-95f0-84330a09d16e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"erQSEZF2XUjNmgTl0uNRBzmg18ZGXwUcw2FhApoeuHk";}s:2:"id";s:15:"olivero_content";s:5:"theme";s:7:"olivero";s:6:"region";s:7:"content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}', -1, '1681652741.301', 1, '', '0'),
('block.block.olivero_help', 'a:13:{s:4:"uuid";s:36:"df55a70e-aadc-444d-beca-a00ffd650fc2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"VfPFqqxfkomud5CO8DUijw85QIl9GIxh_nIxLOYESxg";}s:2:"id";s:12:"olivero_help";s:5:"theme";s:7:"olivero";s:6:"region";s:13:"content_above";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"help";}s:10:"visibility";a:0:{}}', -1, '1681652741.260', 1, '', '0'),
('block.block.olivero_main_menu', 'a:13:{s:4:"uuid";s:36:"8f91f2e5-61a9-4c7f-b2a9-1320dfa6253b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KWAiziL39uEzmOJEql_wbUP2RtqGceL3WM2CfxhMelE";}s:2:"id";s:17:"olivero_main_menu";s:5:"theme";s:7:"olivero";s:6:"region";s:12:"primary_menu";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:22:"system_menu_block:main";s:8:"settings";a:7:{s:2:"id";s:22:"system_menu_block:main";s:5:"label";s:15:"Main navigation";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";s:5:"level";i:1;s:5:"depth";i:2;s:16:"expand_all_items";b:1;}s:10:"visibility";a:0:{}}', -1, '1681652741.320', 1, '', '0'),
('block.block.olivero_messages', 'a:13:{s:4:"uuid";s:36:"b8e993e5-2532-4f3c-9d2c-710d282727ca";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"BZ5tpW7H8X4PVGRm3MImTIHd2tN0eF7zOtp4SpRYUA0";}s:2:"id";s:16:"olivero_messages";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}', -1, '1681652741.304', 1, '', '0'),
('block.block.olivero_page_title', 'a:13:{s:4:"uuid";s:36:"bfc74345-e26b-4c67-a81d-78f3561d6627";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6aOgWsNTXjqrDm98TXSAjP6qd2nCijD1xw45MrnbK-Y";}s:2:"id";s:18:"olivero_page_title";s:5:"theme";s:7:"olivero";s:6:"region";s:13:"content_above";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";}s:10:"visibility";a:0:{}}', -1, '1681652741.264', 1, '', '0'),
('block.block.olivero_powered', 'a:13:{s:4:"uuid";s:36:"6317a94d-3486-43d3-86f7-280cfe6e35b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eYL19CLDyinGTWYQfBD1DswWzglEotE_kHnHx3AxTXM";}s:2:"id";s:15:"olivero_powered";s:5:"theme";s:7:"olivero";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_powered_by_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_powered_by_block";s:5:"label";s:17:"Powered by Drupal";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}', -1, '1681652741.308', 1, '', '0'),
('block.block.olivero_primary_admin_actions', 'a:13:{s:4:"uuid";s:36:"efe3ca24-6c86-4612-b252-fae200ac3356";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q9_2whdOj1YIomfvsIfopROW4FT_X5pY0DjdOiOaQ5U";}s:2:"id";s:29:"olivero_primary_admin_actions";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";}s:10:"visibility";a:0:{}}', -1, '1681652741.268', 1, '', '0'),
('block.block.olivero_primary_local_tasks', 'a:13:{s:4:"uuid";s:36:"288afbea-8976-44ef-9390-670452d7c669";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nGE3EoPQQaQCuqTUtZgw0-KIzmrqdKDzdNQf2JyPUt4";}s:2:"id";s:27:"olivero_primary_local_tasks";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-4;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:12:"Primary tabs";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";s:7:"primary";b:1;s:9:"secondary";b:0;}s:10:"visibility";a:0:{}}', -1, '1681652741.272', 1, '', '0'),
('block.block.olivero_search_form_narrow', 'a:13:{s:4:"uuid";s:36:"ce4cfd14-3e23-4e8e-a6ba-7b24c39b8dd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"yEBET0cqDbk8dkWzaJw-8CKft0961VBflsISoSR6Lj8";}s:2:"id";s:26:"olivero_search_form_narrow";s:5:"theme";s:7:"olivero";s:6:"region";s:12:"primary_menu";s:6:"weight";i:-4;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:20:"Search form (narrow)";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"search";s:7:"page_id";s:0:"";}s:10:"visibility";a:0:{}}', -1, '1681652741.286', 1, '', '0'),
('block.block.olivero_search_form_wide', 'a:13:{s:4:"uuid";s:36:"4faf678b-2df9-46c0-b87f-8109723a1692";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"imMyHD6LYci0gtXq56qr9ZKGHzbEG9uFydrN5EhKtSU";}s:2:"id";s:24:"olivero_search_form_wide";s:5:"theme";s:7:"olivero";s:6:"region";s:14:"secondary_menu";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:18:"Search form (wide)";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"search";s:7:"page_id";s:0:"";}s:10:"visibility";a:0:{}}', -1, '1681652741.290', 1, '', '0'),
('block.block.olivero_secondary_local_tasks', 'a:13:{s:4:"uuid";s:36:"9cc9ef5e-7e89-49ab-b070-772a4dbf2887";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ydSxdq7R66I8UMC460rOzlfzvlUL4VRbdwc6z9DWaUI";}s:2:"id";s:29:"olivero_secondary_local_tasks";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-2;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:14:"Secondary tabs";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";s:7:"primary";b:0;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}', -1, '1681652741.276', 1, '', '0'),
('block.block.olivero_site_branding', 'a:13:{s:4:"uuid";s:36:"12a47add-bd79-4175-b219-1be1dd263221";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"n_nlgjggHVfQt2H__zvLOKB2YtjPDbQ5tHijF9LE1aM";}s:2:"id";s:21:"olivero_site_branding";s:5:"theme";s:7:"olivero";s:6:"region";s:6:"header";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:21:"system_branding_block";s:8:"settings";a:7:{s:2:"id";s:21:"system_branding_block";s:5:"label";s:13:"Site branding";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";s:13:"use_site_logo";b:1;s:13:"use_site_name";b:1;s:15:"use_site_slogan";b:0;}s:10:"visibility";a:0:{}}', -1, '1681652741.312', 1, '', '0'),
('block.block.olivero_syndicate', 'a:13:{s:4:"uuid";s:36:"f50a670e-3eae-4584-a00f-4c53506eef60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"node";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"0gq3VPg-_UM69FCCWurLFIrrnIjC2HLKhwo9iQNtcUo";}s:2:"id";s:17:"olivero_syndicate";s:5:"theme";s:7:"olivero";s:6:"region";s:6:"social";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:20:"node_syndicate_block";s:8:"settings";a:5:{s:2:"id";s:20:"node_syndicate_block";s:5:"label";s:8:"RSS feed";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"node";s:11:"block_count";i:10;}s:10:"visibility";a:0:{}}', -1, '1681652741.279', 1, '', '0'),
('block.block.ournewsletter', 'a:12:{s:4:"uuid";s:36:"7ab65d6a-a18a-4dd2-9e82-9baaa225289c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a007890a-a321-4ab4-84f1-049b7b98801c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"ournewsletter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a007890a-a321-4ab4-84f1-049b7b98801c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a007890a-a321-4ab4-84f1-049b7b98801c";s:5:"label";s:14:"Our Newsletter";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.paymentmethods', 'a:12:{s:4:"uuid";s:36:"95853e93-2d3a-4042-86f2-491b12d5f8e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:777da137-efb6-4b98-a65c-1efdb5ebd6ec";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"paymentmethods";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-50;s:8:"provider";N;s:6:"plugin";s:50:"block_content:777da137-efb6-4b98-a65c-1efdb5ebd6ec";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:777da137-efb6-4b98-a65c-1efdb5ebd6ec";s:5:"label";s:15:"Payment methods";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:14:"/form/register";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0');
INSERT INTO `cache_config` VALUES
('block.block.phone', 'a:12:{s:4:"uuid";s:36:"b602253b-5f9f-4b88-8b81-047a8e95b56f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:33c8086b-30a4-4b72-b741-df3e1ce3594d";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:5:"phone";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:50:"block_content:33c8086b-30a4-4b72-b741-df3e1ce3594d";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:33c8086b-30a4-4b72-b741-df3e1ce3594d";s:5:"label";s:34:"Contact the conference secretariat";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.presentationtabs', 'a:12:{s:4:"uuid";s:36:"e92bd59f-0f63-4072-9913-e9bc91bb21af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:66f70a0f-8643-4142-9e65-18b27e2e59d4";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"presentationtabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:66f70a0f-8643-4142-9e65-18b27e2e59d4";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:66f70a0f-8643-4142-9e65-18b27e2e59d4";s:5:"label";s:17:"Presentation Tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.registrationlocationinthevenue', 'a:12:{s:4:"uuid";s:36:"886dcb82-e300-45ee-ace2-9eb4f6c977bb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a6c786ea-831a-4420-bbdc-4257c37aacd4";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"registrationlocationinthevenue";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a6c786ea-831a-4420-bbdc-4257c37aacd4";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a6c786ea-831a-4420-bbdc-4257c37aacd4";s:5:"label";s:34:"Registration location in the venue";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.searchform_3', 'a:12:{s:4:"uuid";s:36:"275c0f18-d478-4a9c-afc5-b3c2acc4b188";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:6:"search";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"searchform_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"header_top_first";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:11:"Search form";s:8:"provider";s:6:"search";s:13:"label_display";s:1:"0";s:7:"page_id";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:28:"/node/40\r\n/node/53\r\n/node/63";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.searchform_4', 'a:12:{s:4:"uuid";s:36:"af56190b-ddd8-4886-b51d-2fb00478fcc4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"searchform_4";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-48;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:11:"Search form";s:8:"provider";s:6:"search";s:13:"label_display";s:1:"0";s:7:"page_id";s:0:"";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.seeafulllistoftheserviceswecanprovide', 'a:12:{s:4:"uuid";s:36:"b1b7de06-62c9-4e40-86e1-9e254ad980be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:75:"block_content:mt_nodes_slideshow_block:2ee07bbe-2afe-47d2-b802-21a37c39ea92";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:37:"seeafulllistoftheserviceswecanprovide";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2ee07bbe-2afe-47d2-b802-21a37c39ea92";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2ee07bbe-2afe-47d2-b802-21a37c39ea92";s:5:"label";s:46:"See a full list of the services we can provide";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.seven_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"c1244a35-1ab3-4aff-aadd-ec21512ba4d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"WWu2OQswgCztl9OeXjD1stexIEMZsSgPMYIdC-JHx9c";}s:2:"id";s:17:"seven_breadcrumbs";s:5:"theme";s:5:"seven";s:6:"region";s:10:"breadcrumb";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_content', 'a:13:{s:4:"uuid";s:36:"d111352d-97ce-4f9b-879a-5d71883f4bb4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YRY68JWkaUiGeZlWMv1nzeIgDm0ZZwXYgpqUpLFzwAY";}s:2:"id";s:13:"seven_content";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_help', 'a:13:{s:4:"uuid";s:36:"08cb2d52-2717-4af3-a32e-6caf294b74b0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NU5A_49mwLHfs5xFzMFrZ850w9pgUolxMS9NNF3vv4c";}s:2:"id";s:10:"seven_help";s:5:"theme";s:5:"seven";s:6:"region";s:4:"help";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:8:"provider";s:4:"help";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_local_actions', 'a:13:{s:4:"uuid";s:36:"f1896df8-0898-4ed3-a33a-98726d4e5117";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HHryZVJbeKi9WnuBGC8FOhBZmBnk2G1H6KxFuy-rC9A";}s:2:"id";s:19:"seven_local_actions";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:-10;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_login', 'a:13:{s:4:"uuid";s:36:"3b4dac48-e513-4c4c-b1fc-a965eb97202f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"user";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"IItlF4SKHgxduIysVQdvirDJ_v3HGuAviOkidAOJYRE";}s:2:"id";s:11:"seven_login";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:10;s:8:"provider";N;s:6:"plugin";s:16:"user_login_block";s:8:"settings";a:4:{s:2:"id";s:16:"user_login_block";s:5:"label";s:10:"User login";s:8:"provider";s:4:"user";s:13:"label_display";s:7:"visible";}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_messages', 'a:13:{s:4:"uuid";s:36:"23867c08-8ba0-4650-8114-60806f07b8f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"XJqWwLt1LDCnazcEN6QkJmCLjk4R0__-8s0OO9xeNjg";}s:2:"id";s:14:"seven_messages";s:5:"theme";s:5:"seven";s:6:"region";s:11:"highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_page_title', 'a:13:{s:4:"uuid";s:36:"d517aa40-ba8a-4f5c-ac7a-08464050b66a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ZSpc3IoSaLd0PkB02nxjVPBMztIdsTdHek9SiGaqZ_c";}s:2:"id";s:16:"seven_page_title";s:5:"theme";s:5:"seven";s:6:"region";s:6:"header";s:6:"weight";i:-30;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_primary_local_tasks', 'a:13:{s:4:"uuid";s:36:"032040f6-1518-4134-8f6e-cc2e3530b0a7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ddy1OsBbWxjwEI8VL1viD4I69qcLHOkul4BxbTqLBTs";}s:2:"id";s:25:"seven_primary_local_tasks";s:5:"theme";s:5:"seven";s:6:"region";s:6:"header";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:12:"Primary tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:1;s:9:"secondary";b:0;}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.seven_secondary_local_tasks', 'a:13:{s:4:"uuid";s:36:"1de34cc7-105e-4cdc-bba2-d5e9ccc619c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"QeZBeCilQfeET3GeW6ZtJkEiwROADTZktFgKWwPieD4";}s:2:"id";s:27:"seven_secondary_local_tasks";s:5:"theme";s:5:"seven";s:6:"region";s:11:"pre_content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:14:"Secondary tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:0;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}', -1, '1681649759.593', 1, '', '0'),
('block.block.sociallinks', 'a:12:{s:4:"uuid";s:36:"df4fe143-d4e1-457f-ae15-b2bcc6d0fba1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"sociallinks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";s:5:"label";s:12:"Social Links";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.socialmedia', 'a:12:{s:4:"uuid";s:36:"8f25e8a6-4214-481a-8a09-5dce40e3dd91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"socialmedia";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";s:5:"label";s:12:"Social Media";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.stillhavequestions', 'a:12:{s:4:"uuid";s:36:"017937c5-2c7f-4119-a4a4-ae80e1022e0c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:21239a24-9067-424a-a412-2bc4c38d3b07";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"stillhavequestions";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:21239a24-9067-424a-a412-2bc4c38d3b07";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:21239a24-9067-424a-a412-2bc4c38d3b07";s:5:"label";s:21:"Still have questions?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.subscribe_2', 'a:12:{s:4:"uuid";s:36:"5149169e-91a8-4f9f-88d0-916ded6b7d78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0839439a-2bae-48e4-872e-6ff169998482";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"subscribe_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:5:"label";s:9:"Subscribe";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:27:"<front>\r\n/node/63\r\n/node/82";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.tellusaboutyourproject', 'a:12:{s:4:"uuid";s:36:"5739756b-4957-4eee-a4e4-2828c96f9345";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2f082cb7-167a-4837-b03e-7c523b059c9c";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:22:"tellusaboutyourproject";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2f082cb7-167a-4837-b03e-7c523b059c9c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2f082cb7-167a-4837-b03e-7c523b059c9c";s:5:"label";s:12:"Buy a Ticket";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.timeline', 'a:12:{s:4:"uuid";s:36:"5cb79725-1721-47cc-92a2-5e24596b9ab8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:68:"block_content:mt_timeline_block:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"timeline";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";s:5:"label";s:26:"Important Dates and Events";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.typinganimation', 'a:12:{s:4:"uuid";s:36:"23978d02-fa16-4e5f-9e67-5fc844dc4fe6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_typing_animation_block:24e5856d-18c2-4676-bdd8-d4864a4bef39";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"typinganimation";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:24e5856d-18c2-4676-bdd8-d4864a4bef39";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:24e5856d-18c2-4676-bdd8-d4864a4bef39";s:5:"label";s:16:"Typing Animation";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:80:"<front>\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/63\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.uniquefeatures', 'a:12:{s:4:"uuid";s:36:"ce597708-c746-4729-a8dc-03b02d8b8020";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:62:"block_content:mt_if_block:86c8a961-7cb4-48cb-958f-950bcb782f32";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"uniquefeatures";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:86c8a961-7cb4-48cb-958f-950bcb782f32";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:86c8a961-7cb4-48cb-958f-950bcb782f32";s:5:"label";s:15:"Topics & Fields";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.usefullinks', 'a:12:{s:4:"uuid";s:36:"9ef0fbc8-8b03-4724-8324-4ffeb63aad42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"usefullinks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_third";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:38:"system_menu_block:mt-footer-menu-three";s:8:"settings";a:7:{s:2:"id";s:38:"system_menu_block:mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.usefullinks_2', 'a:12:{s:4:"uuid";s:36:"1adba593-91fc-4156-875a-84e26a8bcba9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"usefullinks_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_second";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:38:"system_menu_block:mt-footer-menu-three";s:8:"settings";a:7:{s:2:"id";s:38:"system_menu_block:mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.videobackgroundblock', 'a:12:{s:4:"uuid";s:36:"4295e030-0c05-4306-ac57-f12f0f9a7aee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_video_block:1095b191-b590-4db3-8021-af3b7bc02bb9";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:20:"videobackgroundblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1095b191-b590-4db3-8021-af3b7bc02bb9";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1095b191-b590-4db3-8021-af3b7bc02bb9";s:5:"label";s:22:"Video background block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.videogalleryblock', 'a:12:{s:4:"uuid";s:36:"32a48f5b-2bb7-4e4d-85f8-71cdb7f0d6d9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:73:"block_content:mt_video_gallery_block:06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"videogalleryblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:5:"label";s:19:"Video Gallery block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/55";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.videogalleryblock_2', 'a:12:{s:4:"uuid";s:36:"d4f78299-2284-414b-b3af-295755977262";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:73:"block_content:mt_video_gallery_block:06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"videogalleryblock_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:5:"label";s:19:"Video Gallery block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_albums_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"47cbec45-aff5-4825-a53e-6095acd2c301";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_albums_carousel";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_albums_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_albums_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_albums_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_articles_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"42957dee-4e6b-4866-ad35-39fe6cbc332e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_articles_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_articles_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"highlighted_top";s:6:"weight";i:-45;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_articles_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_articles_carousel-block_1";s:5:"label";s:11:"Latest News";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:11:"Latest News";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_articles_list_2_block_1', 'a:12:{s:4:"uuid";s:36:"92e6d6a7-baca-4fdd-9750-be49a080d11f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_articles_list_2";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_articles_list_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_articles_list_2-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_articles_list_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:969:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_other_speakers_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"7e808777-e818-46c8-8b5a-6dfd8777aee6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_other_speakers_carousel";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_other_speakers_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"featured";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_other_speakers_carousel-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_other_speakers_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_products_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"7e0feb68-df9c-40f6-a79f-ec0635b951be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_products_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_products_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_products_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_products_carousel-block_1";s:5:"label";s:20:"Merchandise Carousel";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:20:"Merchandise Carousel";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_recent_comments_block_1', 'a:12:{s:4:"uuid";s:36:"afdb7db5-0679-497e-99fd-272991ca6324";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_recent_comments";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_recent_comments_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_fourth";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_recent_comments-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_recent_comments-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_related_events_block_1', 'a:12:{s:4:"uuid";s:36:"551f49ae-6e25-46ba-94fd-97857339fa33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_related_events";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:38:"views_block__mt_related_events_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:37:"views_block:mt_related_events-block_1";s:8:"settings";a:7:{s:2:"id";s:37:"views_block:mt_related_events-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_related_presentations_2_block_1', 'a:12:{s:4:"uuid";s:36:"f919370f-158b-4d67-a9a3-1d5c07958590";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_related_presentations_2";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_related_presentations_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_related_presentations_2-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_related_presentations_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_related_presentations_3_block_1', 'a:12:{s:4:"uuid";s:36:"7c95fd8c-69ff-4020-89c5-7dd93915cf34";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_related_presentations_3";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_related_presentations_3_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_related_presentations_3-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_related_presentations_3-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_related_presentations_block_1', 'a:12:{s:4:"uuid";s:36:"3ca3546b-5d3f-4b9a-8b53-e043679faa9f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_related_presentations";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_related_presentations_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_related_presentations-block_1";s:8:"settings";a:7:{s:2:"id";s:44:"views_block:mt_related_presentations-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:0:{}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_speakers_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"39f0a9a7-a677-45cb-9d15-47c576b4048f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_speakers_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_speakers_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"featured";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_speakers_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_speakers_carousel-block_1";s:5:"label";s:14:"Event Speakers";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:14:"Event Speakers";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_sponsors_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"fcbcf865-bdde-499c-a704-51026a70e919";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_sponsors_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_sponsors_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"highlighted";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_sponsors_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_sponsors_carousel-block_1";s:5:"label";s:12:"Our Sponsors";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:12:"Our Sponsors";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:149:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/node/94\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_sponsors_grid_2_block_1', 'a:12:{s:4:"uuid";s:36:"6d4d095e-d879-4aa7-ac57-332535d3bfac";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_sponsors_grid_2";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_sponsors_grid_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_sponsors_grid_2-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_sponsors_grid_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:980:"<front>\r\n/node/3\r\n/node/5\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/presentations*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_team_members_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"bdff3748-a1ef-4554-bc18-08d201a5c543";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_team_members_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_team_members_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_team_members_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_team_members_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/94";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.views_block__mt_testimonials_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"8ad54f83-876a-4b9a-9d39-e1ba2b41491b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_testimonials_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_testimonials_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"highlighted_top";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_testimonials_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_testimonials_carousel-block_1";s:5:"label";s:15:"What People Say";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:15:"What People Say";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/blocks\r\n/about-us";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.whyme', 'a:12:{s:4:"uuid";s:36:"45978682-cf35-4968-9c9c-44d2c11d0e70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_fltt_block:e063c791-93fb-43c0-a379-811a3a29ccc8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:5:"whyme";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:50:"block_content:e063c791-93fb-43c0-a379-811a3a29ccc8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:e063c791-93fb-43c0-a379-811a3a29ccc8";s:5:"label";s:7:"Why Us?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block.block.workinghours', 'a:12:{s:4:"uuid";s:36:"1e822d9d-d1fb-4d4e-9c41-667ec450ffa3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"workinghours";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-54;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";s:5:"label";s:18:"Registration Hours";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}', -1, '1681649759.597', 1, '', '0'),
('block_content.type.basic', 'a:9:{s:4:"uuid";s:36:"3e60a524-ec02-4b6c-9e39-097d5c30ef0b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zglzjmYxi0G0ag9MZ02y0LSJOdpWRwJxyP_OvFojFyo";}s:2:"id";s:5:"basic";s:5:"label";s:11:"Basic block";s:8:"revision";i:0;s:11:"description";s:42:"A basic block contains a title and a body.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_background_image_block', 'a:8:{s:4:"uuid";s:36:"cacd24d9-115f-420b-b539-1d3835fc0ba9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_background_image_block";s:5:"label";s:22:"Background Image Block";s:8:"revision";i:0;s:11:"description";s:67:"Use this custom block type to create blocks with background images.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_background_video_block', 'a:8:{s:4:"uuid";s:36:"88712612-0078-4fc6-b562-a1e14fb2f043";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_background_video_block";s:5:"label";s:22:"Background Video Block";s:8:"revision";i:0;s:11:"description";s:67:"Use this custom block type to create blocks with background videos.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_collapsible_block', 'a:8:{s:4:"uuid";s:36:"c8bb8728-cde4-4615-b450-56b25a16a077";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:20:"mt_collapsible_block";s:5:"label";s:17:"Collapsible Block";s:8:"revision";i:0;s:11:"description";s:108:"Use this custom block type to display other blocks in a collapse, using the corresponding Bootstrap feature.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_dropdowns_block', 'a:8:{s:4:"uuid";s:36:"63ece5a9-51fb-44bd-a560-87e58f555b60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:18:"mt_dropdowns_block";s:5:"label";s:15:"Dropdowns Block";s:8:"revision";i:0;s:11:"description";s:115:"Use this custom block type to display other blocks as dropdown elements, using the corresponding Bootstrap feature.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_fancy_linked_images_block', 'a:8:{s:4:"uuid";s:36:"a056708b-5a10-4f7c-b26d-96512fe8e8b9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:28:"mt_fancy_linked_images_block";s:5:"label";s:25:"Fancy Linked Images block";s:8:"revision";i:0;s:11:"description";s:71:"Use this custom block type to create blocks that display linked images.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_fancy_tabs_block', 'a:8:{s:4:"uuid";s:36:"8ef02d16-8d1e-429d-9abe-9955bdc07683";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:19:"mt_fancy_tabs_block";s:5:"label";s:16:"Fancy Tabs block";s:8:"revision";i:0;s:11:"description";s:113:"Use this custom block type to display other blocks in a tabbed design, using the corresponding Bootstrap feature.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_fltt_block', 'a:8:{s:4:"uuid";s:36:"dd8d418d-f141-45ee-85f9-3fdc434c0edd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:13:"mt_fltt_block";s:5:"label";s:32:"Featured Linked Text Tiles block";s:8:"revision";i:0;s:11:"description";s:84:"Use this custom block type to create blocks that display featured linked text tiles.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_google_maps', 'a:8:{s:4:"uuid";s:36:"54860869-169a-4b75-8143-39e8fdce0b3b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:14:"mt_google_maps";s:5:"label";s:10:"Google Map";s:8:"revision";i:0;s:11:"description";s:91:"Use this custom block type to create blocks that display a Google Map with a simple marker.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_if_block', 'a:8:{s:4:"uuid";s:36:"727d7d81-0a6d-4acf-ac08-8857c7c722b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_if_block";s:5:"label";s:19:"Icon Features block";s:8:"revision";i:0;s:11:"description";s:71:"Use this custom block type to create blocks that display icon features.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_main_slideshow_block', 'a:8:{s:4:"uuid";s:36:"e67b5a79-74be-4a62-b1b5-c44cb8918296";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Main Slideshow Block";s:8:"revision";i:0;s:11:"description";s:59:"Use this custom block type to create main slideshow blocks.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_media_tabs_block', 'a:8:{s:4:"uuid";s:36:"e6ac96b7-5e1a-40de-99a6-b4795ddce610";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:19:"mt_media_tabs_block";s:5:"label";s:16:"Media Tabs Block";s:8:"revision";i:0;s:11:"description";s:105:"Use this custom block type to create blocks in a tabbed design, using the corresponding Bootstrap feature";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_nodes_slideshow_block', 'a:8:{s:4:"uuid";s:36:"eaa98d97-7b17-4adf-91c4-67ae129c6989";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:24:"mt_nodes_slideshow_block";s:5:"label";s:21:"Nodes Slideshow block";s:8:"revision";i:0;s:11:"description";s:59:"Use this custom block type to display nodes in a slideshow.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_tabs_block', 'a:8:{s:4:"uuid";s:36:"a6cd2a36-e4ad-43ad-85ff-b6d44a316a60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:13:"mt_tabs_block";s:5:"label";s:10:"Tabs block";s:8:"revision";i:0;s:11:"description";s:113:"Use this custom block type to display other blocks in a tabbed design, using the corresponding Bootstrap feature.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_timeline_block', 'a:8:{s:4:"uuid";s:36:"355bea42-ffd1-4e33-b819-0f410a396e1c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:17:"mt_timeline_block";s:5:"label";s:14:"Timeline Block";s:8:"revision";i:0;s:11:"description";s:0:"";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_typing_animation_block', 'a:8:{s:4:"uuid";s:36:"e3e6a291-88ce-4f12-8aaa-216db3a29ff0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_typing_animation_block";s:5:"label";s:22:"Typing Animation Block";s:8:"revision";i:0;s:11:"description";s:66:"Use this custom block type to create blocks with typing animation.";}', -1, '1681649759.896', 1, '', '0'),
('block_content.type.mt_video_gallery_block', 'a:8:{s:4:"uuid";s:36:"d2edbc11-0f7b-42e4-a260-0587b8ca3e66";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:22:"mt_video_gallery_block";s:5:"label";s:19:"Video Gallery block";s:8:"revision";i:0;s:11:"description";s:61:"Display Youtube and Vimeo videos in a gallery slideshow block";}', -1, '1681649759.896', 1, '', '0'),
('claro.settings', 'b:0;', -1, '1681652115.018', 1, '', '0'),
('color.theme.bartik', 'b:0;', -1, '1681650075.063', 1, '', '0'),
('color.theme.claro', 'b:0;', -1, '1681652115.250', 1, '', '0'),
('color.theme.classy', 'b:0;', -1, '1681649817.195', 1, '', '0'),
('color.theme.conferenceplus', 'b:0;', -1, '1681649817.231', 1, '', '0'),
('color.theme.olivero', 'b:0;', -1, '1681652752.942', 1, '', '0'),
('color.theme.seven', 'b:0;', -1, '1681649762.642', 1, '', '0'),
('color.theme.stable', 'b:0;', -1, '1681649817.212', 1, '', '0'),
('comment.settings', 'a:1:{s:16:"log_ip_addresses";b:1;}', -1, '1681652741.492', 1, '', '0'),
('comment.type.comment', 'a:9:{s:4:"uuid";s:36:"49514a7c-35d6-4c53-b0c2-e2e92cffcaf8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"bqZsN31T2n0UjcbyCpOPi9D2iO0sAOHR7FnEs9qMvaA";}s:2:"id";s:7:"comment";s:5:"label";s:16:"Default comments";s:21:"target_entity_type_id";s:4:"node";s:11:"description";s:28:"Allows commenting on content";}', -1, '1681649759.898', 1, '', '0');
INSERT INTO `cache_config` VALUES
('conferenceplus.settings', 'a:217:{s:20:"breadcrumb_separator";s:14:"fa-angle-right";s:21:"scroll_to_top_display";i:1;s:18:"scroll_to_top_icon";s:18:"fa-angle-double-up";s:21:"bootstrap_remote_type";s:5:"local";s:12:"color_scheme";s:4:"blue";s:21:"page_container_border";i:0;s:16:"animations_state";i:1;s:25:"slideout_background_color";s:47:"region--dark-typography region--gray-background";s:13:"slideout_side";s:5:"right";s:20:"slideout_touch_swipe";i:0;s:24:"slideout_blocks_paddings";i:0;s:24:"slideout_region_paddings";i:0;s:39:"header_top_highlighted_layout_container";s:9:"container";s:39:"header_top_highlighted_background_color";s:48:"region--dark-typography region--white-background";s:39:"header_top_highlighted_animation_effect";s:6:"fadeIn";s:38:"header_top_highlighted_blocks_paddings";i:0;s:38:"header_top_highlighted_region_paddings";i:1;s:27:"header_top_layout_container";s:9:"container";s:27:"header_top_background_color";s:48:"region--dark-typography region--white-background";s:27:"header_top_animation_effect";s:6:"fadeIn";s:26:"header_top_blocks_paddings";i:0;s:26:"header_top_region_paddings";i:1;s:23:"header_layout_container";s:9:"container";s:23:"header_background_color";s:51:"region--light-typography region--colored-background";s:12:"fixed_header";i:1;s:22:"header_blocks_paddings";i:0;s:22:"header_region_paddings";i:0;s:23:"banner_layout_container";s:15:"container-fluid";s:23:"banner_background_color";s:48:"region--dark-typography region--white-background";s:22:"banner_blocks_paddings";i:1;s:22:"banner_region_paddings";i:1;s:28:"content_top_layout_container";s:9:"container";s:28:"content_top_background_color";s:48:"region--dark-typography region--white-background";s:28:"content_top_animation_effect";s:6:"fadeIn";s:27:"content_top_blocks_paddings";i:0;s:27:"content_top_region_paddings";i:0;s:40:"content_top_highlighted_layout_container";s:15:"container-fluid";s:33:"content_top_highlighted_separator";s:20:"region--no-separator";s:40:"content_top_highlighted_background_color";s:48:"region--dark-typography region--white-background";s:40:"content_top_highlighted_animation_effect";s:6:"fadeIn";s:39:"content_top_highlighted_blocks_paddings";i:1;s:39:"content_top_highlighted_region_paddings";i:1;s:22:"main_content_separator";s:20:"region--no-separator";s:29:"main_content_animation_effect";s:6:"fadeIn";s:28:"main_content_blocks_paddings";i:0;s:28:"main_content_region_paddings";i:0;s:30:"sidebar_first_animation_effect";s:6:"fadeIn";s:29:"sidebar_first_blocks_paddings";i:0;s:29:"sidebar_first_region_paddings";i:0;s:31:"sidebar_second_animation_effect";s:6:"fadeIn";s:30:"sidebar_second_blocks_paddings";i:0;s:30:"sidebar_second_region_paddings";i:0;s:31:"content_bottom_layout_container";s:15:"container-fluid";s:24:"content_bottom_separator";s:20:"region--no-separator";s:31:"content_bottom_background_color";s:49:"region--light-typography region--black-background";s:31:"content_bottom_animation_effect";s:6:"fadeIn";s:30:"content_bottom_blocks_paddings";i:0;s:30:"content_bottom_region_paddings";i:1;s:29:"featured_top_layout_container";s:9:"container";s:22:"featured_top_separator";s:20:"region--no-separator";s:29:"featured_top_background_color";s:48:"region--dark-typography region--white-background";s:29:"featured_top_animation_effect";s:6:"fadeIn";s:28:"featured_top_blocks_paddings";i:0;s:28:"featured_top_region_paddings";i:0;s:25:"featured_layout_container";s:9:"container";s:18:"featured_separator";s:20:"region--no-separator";s:25:"featured_background_color";s:47:"region--dark-typography region--gray-background";s:25:"featured_animation_effect";s:6:"fadeIn";s:24:"featured_blocks_paddings";i:0;s:24:"featured_region_paddings";i:0;s:32:"featured_bottom_layout_container";s:9:"container";s:25:"featured_bottom_separator";s:20:"region--no-separator";s:32:"featured_bottom_background_color";s:48:"region--dark-typography region--white-background";s:32:"featured_bottom_animation_effect";s:10:"fadeInLeft";s:31:"featured_bottom_blocks_paddings";i:0;s:31:"featured_bottom_region_paddings";i:0;s:29:"sub_featured_layout_container";s:9:"container";s:22:"sub_featured_separator";s:20:"region--no-separator";s:29:"sub_featured_background_color";s:51:"region--light-typography region--colored-background";s:29:"sub_featured_animation_effect";s:6:"fadeIn";s:28:"sub_featured_blocks_paddings";i:0;s:28:"sub_featured_region_paddings";i:0;s:32:"highlighted_top_layout_container";s:9:"container";s:25:"highlighted_top_separator";s:20:"region--no-separator";s:32:"highlighted_top_background_color";s:47:"region--dark-typography region--gray-background";s:32:"highlighted_top_animation_effect";s:6:"fadeIn";s:31:"highlighted_top_blocks_paddings";i:0;s:31:"highlighted_top_region_paddings";i:0;s:28:"highlighted_layout_container";s:9:"container";s:21:"highlighted_separator";s:20:"region--no-separator";s:28:"highlighted_background_color";s:48:"region--dark-typography region--white-background";s:28:"highlighted_animation_effect";s:6:"fadeIn";s:27:"highlighted_blocks_paddings";i:0;s:27:"highlighted_region_paddings";i:0;s:27:"footer_top_layout_container";s:9:"container";s:20:"footer_top_separator";s:20:"region--no-separator";s:27:"footer_top_background_color";s:48:"region--light-typography region--dark-background";s:27:"footer_top_animation_effect";s:6:"fadeIn";s:26:"footer_top_blocks_paddings";i:0;s:26:"footer_top_region_paddings";i:0;s:23:"footer_layout_container";s:9:"container";s:16:"footer_separator";s:20:"region--no-separator";s:23:"footer_background_color";s:51:"region--light-typography region--colored-background";s:23:"footer_animation_effect";s:12:"no-animation";s:22:"footer_blocks_paddings";i:0;s:22:"footer_region_paddings";i:0;s:30:"footer_bottom_layout_container";s:9:"container";s:23:"footer_bottom_separator";s:20:"region--no-separator";s:30:"footer_bottom_background_color";s:48:"region--dark-typography region--white-background";s:29:"footer_bottom_blocks_paddings";i:0;s:29:"footer_bottom_region_paddings";i:0;s:26:"subfooter_layout_container";s:9:"container";s:19:"subfooter_separator";s:28:"region--separator-border-top";s:26:"subfooter_background_color";s:48:"region--dark-typography region--white-background";s:32:"subfooter_bottom_blocks_paddings";b:0;s:32:"subfooter_bottom_region_paddings";b:0;s:12:"reading_time";i:1;s:11:"share_links";i:1;s:26:"share_links_print_position";s:6:"bottom";s:12:"print_button";i:1;s:11:"font_resize";i:1;s:13:"post_progress";i:1;s:10:"affix_side";i:1;s:11:"layout_mode";s:4:"wide";s:20:"headings_font_family";s:6:"hff-02";s:21:"headings_wide_spacing";i:0;s:21:"paragraph_font_family";s:6:"pff-02";s:20:"sitename_font_family";s:6:"sff-02";s:18:"slogan_font_family";s:7:"slff-02";s:30:"rs_slideshow_fullscreen_effect";s:6:"random";s:35:"rs_slideshow_fullscreen_effect_time";s:2:"10";s:40:"rs_slideshow_fullscreen_navigation_style";s:7:"bullets";s:40:"rs_slideshow_fullscreen_bullets_position";s:5:"right";s:35:"rs_slideshow_fullscreen_touch_swipe";i:1;s:24:"transparent_header_state";i:1;s:26:"transparent_header_opacity";s:2:"85";s:21:"inverted_header_state";i:0;s:29:"rs_slideshow_fullwidth_effect";s:6:"random";s:34:"rs_slideshow_fullwidth_effect_time";s:2:"10";s:37:"rs_slideshow_fullwidth_initial_height";s:3:"650";s:39:"rs_slideshow_fullwidth_navigation_style";s:7:"bullets";s:39:"rs_slideshow_fullwidth_bullets_position";s:5:"right";s:34:"rs_slideshow_fullwidth_touch_swipe";i:1;s:30:"rs_slideshow_boxedwidth_effect";s:6:"random";s:35:"rs_slideshow_boxedwidth_effect_time";s:2:"10";s:38:"rs_slideshow_boxedwidth_initial_height";s:3:"650";s:40:"rs_slideshow_boxedwidth_navigation_style";s:15:"titles_carousel";s:40:"rs_slideshow_boxedwidth_bullets_position";s:5:"right";s:35:"rs_slideshow_boxedwidth_touch_swipe";i:1;s:28:"rs_slideshow_internal_effect";s:4:"fade";s:33:"rs_slideshow_internal_effect_time";s:2:"10";s:36:"rs_slideshow_internal_initial_height";s:3:"540";s:38:"rs_slideshow_internal_navigation_style";s:7:"bullets";s:45:"rs_slideshow_internal_banner_bullets_position";s:4:"left";s:33:"rs_slideshow_internal_touch_swipe";i:1;s:37:"rs_slideshow_internal_carousel_effect";s:4:"fade";s:45:"rs_slideshow_internal_carousel_initial_height";s:3:"540";s:47:"rs_slideshow_internal_carousel_bullets_position";s:6:"center";s:42:"rs_slideshow_internal_carousel_touch_swipe";i:1;s:28:"rs_slideshow_caption_opacity";s:1:"0";s:31:"rs_slideshow_background_opacity";s:2:"50";s:21:"in_page_slider_effect";s:5:"slide";s:21:"owl_products_autoplay";i:1;s:24:"owl_products_effect_time";s:1:"5";s:25:"owl_team_members_autoplay";i:0;s:28:"owl_team_members_effect_time";s:1:"5";s:27:"owl_promoted_posts_autoplay";i:0;s:30:"owl_promoted_posts_effect_time";s:1:"5";s:21:"owl_articles_autoplay";i:1;s:24:"owl_articles_effect_time";s:1:"5";s:25:"owl_testimonials_autoplay";i:1;s:28:"owl_testimonials_effect_time";s:1:"5";s:26:"owl_related_nodes_autoplay";i:0;s:29:"owl_related_nodes_effect_time";s:1:"5";s:19:"owl_brands_autoplay";i:1;s:22:"owl_brands_effect_time";s:1:"5";s:24:"owl_collections_autoplay";i:0;s:27:"owl_collections_effect_time";s:1:"5";s:25:"in_page_navigation_offset";s:2:"74";s:9:"banner_id";s:6:"banner";s:14:"content_top_id";s:11:"content-top";s:26:"content_top_highlighted_id";s:23:"content-top-highlighted";s:15:"main_content_id";s:12:"main-content";s:17:"content_bottom_id";s:14:"content-bottom";s:15:"featured_top_id";s:12:"featured-top";s:11:"featured_id";s:8:"featured";s:18:"featured_bottom_id";s:15:"featured-bottom";s:15:"sub_featured_id";s:12:"sub-featured";s:18:"highlighted_top_id";s:15:"highlighted-top";s:14:"highlighted_id";s:11:"highlighted";s:13:"footer_top_id";s:10:"footer-top";s:9:"footer_id";s:6:"footer";s:16:"footer_bottom_id";s:13:"footer-bottom";s:12:"subfooter_id";s:9:"subfooter";s:19:"isotope_layout_mode";s:7:"masonry";s:20:"isotope_filters_text";s:3:"All";s:15:"google_maps_key";s:39:"AIzaSyDyL-4KyWw_3hp-0jmZLGcJ3zMWkkJ44VI";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"VK8la7FVN8ETcaek5VyMjic_Z957OnP0jwGf4WIKQ2g";}s:8:"features";a:4:{s:17:"node_user_picture";b:1;s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;}s:4:"logo";a:1:{s:11:"use_default";b:1;}s:7:"favicon";a:1:{s:11:"use_default";b:1;}s:25:"subfooter_blocks_paddings";i:0;s:25:"subfooter_region_paddings";i:0;s:10:"font_title";s:0:"";s:38:"rs_slideshow_internal_bullets_position";s:4:"left";s:21:"owl_speakers_autoplay";i:0;s:24:"owl_speakers_effect_time";s:0:"";s:22:"owl_showcases_autoplay";i:0;s:25:"owl_showcases_effect_time";s:0:"";s:21:"owl_sponsors_autoplay";i:1;s:24:"owl_sponsors_effect_time";s:1:"5";s:27:"front_page_background_state";i:1;s:29:"front_page_background_opacity";s:2:"85";s:29:"header_background_image_state";i:0;s:31:"paragraph_responsive_typography";i:1;s:19:"owl_albums_autoplay";i:0;s:22:"owl_albums_effect_time";s:0:"";}', -1, '1681649767.449', 1, '', '0'),
('contact.form.alternative', 'a:11:{s:4:"uuid";s:36:"c04f9bc4-1a2c-4170-855d-4f9a0073373d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"alternative";s:5:"label";s:19:"Alternative Contact";s:10:"recipients";a:1:{i:0;s:18:"noreply@domain.com";}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}', -1, '1681649759.899', 1, '', '0'),
('contact.form.feedback', 'a:12:{s:4:"uuid";s:36:"d5496ce4-af1c-42d0-898a-99058d1b898d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"c4zaT5cyPxuTXI6JOWt3qRtMvICT9tHB6d9a5VG-CmQ";}s:2:"id";s:8:"feedback";s:5:"label";s:12:"Get In Touch";s:10:"recipients";a:1:{i:0;s:18:"noreply@domain.com";}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}', -1, '1681649759.899', 1, '', '0'),
('contact.form.personal', 'a:12:{s:4:"uuid";s:36:"aca09177-c586-4c02-975c-b22f9a106494";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4w1vDIuPlVqNIiynysHZHU-9sBCpx5uiEIPlo4SW1tw";}s:2:"id";s:8:"personal";s:5:"label";s:21:"Personal contact form";s:10:"recipients";a:0:{}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}', -1, '1681649759.899', 1, '', '0'),
('contact.settings', 'a:4:{s:12:"default_form";s:8:"feedback";s:5:"flood";a:2:{s:5:"limit";i:5;s:8:"interval";i:3600;}s:20:"user_default_enabled";b:1;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U69DBeuvXuNVOC15rVNaBjDPK2fWFbo9v4takdYSSO8";}}', -1, '1681652741.492', 1, '', '0'),
('core.base_field_override.block_content.basic.changed', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.default_langcode', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.id', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.info', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.langcode', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.reusable', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.revision_created', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.revision_default', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.revision_id', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.revision_log', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.revision_translation_affected', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.revision_user', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.status', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.type', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.basic.uuid', 'b:0;', -1, '1681649761.569', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.changed', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.default_langcode', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.id', 'b:0;', -1, '1681649761.572', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.info', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.langcode', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.reusable', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.revision_created', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.revision_default', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.revision_id', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.revision_log', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.revision_translation_affected', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.revision_user', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.status', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.type', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_image_block.uuid', 'b:0;', -1, '1681649761.573', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.changed', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.default_langcode', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.id', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.info', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.langcode', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.reusable', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.revision_created', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.revision_default', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.revision_id', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.revision_log', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.revision_translation_affected', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.revision_user', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.status', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.type', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_background_video_block.uuid', 'b:0;', -1, '1681649761.577', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.changed', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.default_langcode', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.id', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.info', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.langcode', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.reusable', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.revision_created', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.revision_default', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.revision_id', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.revision_log', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.revision_translation_affected', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.revision_user', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.status', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.type', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_collapsible_block.uuid', 'b:0;', -1, '1681649761.581', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.changed', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.default_langcode', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.id', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.info', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.langcode', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.reusable', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.revision_created', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.revision_default', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.revision_id', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.revision_log', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.revision_translation_affected', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.revision_user', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.status', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.type', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_dropdowns_block.uuid', 'b:0;', -1, '1681649761.585', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.changed', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.default_langcode', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.id', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.info', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.langcode', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.reusable', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.revision_created', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.revision_default', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.revision_id', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.revision_log', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.revision_translation_affected', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.revision_user', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.status', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.type', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_linked_images_block.uuid', 'b:0;', -1, '1681649761.589', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.changed', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.default_langcode', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.id', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.info', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.langcode', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.reusable', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.revision_created', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.revision_default', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.revision_id', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.revision_log', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.revision_translation_affected', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.revision_user', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.status', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.type', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fancy_tabs_block.uuid', 'b:0;', -1, '1681649761.592', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.changed', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.default_langcode', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.id', 'b:0;', -1, '1681649761.594', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.info', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.langcode', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.reusable', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.revision_created', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.revision_default', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.revision_id', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.revision_log', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.revision_translation_affected', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.revision_user', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.status', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.type', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_fltt_block.uuid', 'b:0;', -1, '1681649761.595', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.changed', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.default_langcode', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.id', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.info', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.langcode', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.reusable', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.revision_created', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.revision_default', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.revision_id', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.revision_log', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.revision_translation_affected', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.revision_user', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.status', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.type', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_google_maps.uuid', 'b:0;', -1, '1681649761.598', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.changed', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.default_langcode', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.id', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.info', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.langcode', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.reusable', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.revision_created', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.revision_default', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.revision_id', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.revision_log', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.revision_translation_affected', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.revision_user', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.status', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.type', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_if_block.uuid', 'b:0;', -1, '1681649761.601', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.changed', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.default_langcode', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.id', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.info', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.langcode', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.reusable', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.revision_created', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.revision_default', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.revision_id', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.revision_log', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.revision_translation_affected', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.revision_user', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.status', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.type', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_main_slideshow_block.uuid', 'b:0;', -1, '1681649761.604', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.changed', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.default_langcode', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.id', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.info', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.langcode', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.reusable', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.revision_created', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.revision_default', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.revision_id', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.revision_log', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.revision_translation_affected', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.revision_user', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.status', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.type', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_media_tabs_block.uuid', 'b:0;', -1, '1681649761.609', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.changed', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.default_langcode', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.id', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.info', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.langcode', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.reusable', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.revision_created', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.revision_default', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.revision_id', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.revision_log', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.revision_translation_affected', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.revision_user', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.status', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.type', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_nodes_slideshow_block.uuid', 'b:0;', -1, '1681649761.612', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.changed', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.default_langcode', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.id', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.info', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.langcode', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.reusable', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.revision_created', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.revision_default', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.revision_id', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.revision_log', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.revision_translation_affected', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.revision_user', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.status', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.type', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_tabs_block.uuid', 'b:0;', -1, '1681649761.615', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.changed', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.default_langcode', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.id', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.info', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.langcode', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.reusable', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.revision_created', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.revision_default', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.revision_id', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.revision_log', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.revision_translation_affected', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.revision_user', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.status', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.type', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_timeline_block.uuid', 'b:0;', -1, '1681649761.618', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.changed', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.default_langcode', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.id', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.info', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.langcode', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.reusable', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.revision_created', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.revision_default', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.revision_id', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.revision_log', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.revision_translation_affected', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.revision_user', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.status', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.type', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_typing_animation_block.uuid', 'b:0;', -1, '1681649761.621', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.changed', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.default_langcode', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.id', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.info', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.langcode', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.reusable', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.revision_created', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.revision_default', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.revision_id', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.revision_log', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.revision_translation_affected', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.revision_user', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.status', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.type', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.block_content.mt_video_gallery_block.uuid', 'b:0;', -1, '1681649761.624', 1, '', '0'),
('core.base_field_override.comment.comment.changed', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.cid', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.comment_type', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.created', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.default_langcode', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.entity_id', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.entity_type', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.field_name', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.homepage', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.hostname', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.langcode', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.mail', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.name', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.pid', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.status', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.subject', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.thread', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.uid', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.comment.comment.uuid', 'b:0;', -1, '1681649761.640', 1, '', '0'),
('core.base_field_override.file.file.changed', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.created', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.fid', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.filemime', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.filename', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.filesize', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.langcode', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.status', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.uid', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.uri', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.file.file.uuid', 'b:0;', -1, '1681650107.754', 1, '', '0'),
('core.base_field_override.font.font.changed', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.created', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.css_family', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.css_style', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.css_weight', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.designer', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.designer_url', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.fid', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.foundry', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.foundry_url', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.license', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.license_url', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.metadata', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.name', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.pid', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.status', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.url', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.font.font.uuid', 'b:0;', -1, '1681649761.731', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.bundle', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.changed', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.default_langcode', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.description', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.enabled', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.expanded', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.external', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.id', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.langcode', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.link', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.menu_name', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.parent', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.rediscover', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.revision_created', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.revision_default', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.revision_id', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.revision_log_message', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.revision_translation_affected', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.revision_user', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.title', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.uuid', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.menu_link_content.menu_link_content.weight', 'b:0;', -1, '1681649760.187', 1, '', '0'),
('core.base_field_override.node.article.changed', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.created', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.default_langcode', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.langcode', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.nid', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.path', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.promote', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.revision_default', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.revision_log', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.revision_timestamp', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.revision_translation_affected', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.revision_uid', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.status', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.sticky', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.title', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.type', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.uid', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.uuid', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.article.vid', 'b:0;', -1, '1681649760.403', 1, '', '0'),
('core.base_field_override.node.mt_album.changed', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.created', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.default_langcode', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.langcode', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.nid', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.path', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.promote', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.revision_default', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.revision_log', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.revision_timestamp', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.revision_translation_affected', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.revision_uid', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.status', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.sticky', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.title', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.type', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.uid', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.uuid', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_album.vid', 'b:0;', -1, '1681649760.369', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.changed', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.created', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.default_langcode', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.langcode', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.nid', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.path', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.promote', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.revision_default', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.revision_log', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.revision_timestamp', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.revision_translation_affected', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.revision_uid', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.status', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.sticky', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.title', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.type', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.uid', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.uuid', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_canvas_page.vid', 'b:0;', -1, '1681649760.288', 1, '', '0'),
('core.base_field_override.node.mt_event.changed', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.created', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.default_langcode', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.langcode', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.nid', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.path', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.promote', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.revision_default', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.revision_log', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.revision_timestamp', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.revision_translation_affected', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.revision_uid', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.status', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.sticky', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.title', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.type', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.uid', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.uuid', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_event.vid', 'b:0;', -1, '1681649761.735', 1, '', '0'),
('core.base_field_override.node.mt_presentation.changed', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.created', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.default_langcode', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.langcode', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.nid', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.path', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.promote', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.revision_default', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.revision_log', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.revision_timestamp', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.revision_translation_affected', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.revision_uid', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.status', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.sticky', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.title', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.type', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.uid', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.uuid', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_presentation.vid', 'b:0;', -1, '1681649761.739', 1, '', '0'),
('core.base_field_override.node.mt_product.changed', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.created', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.default_langcode', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.langcode', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.nid', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.path', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.promote', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.revision_default', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.revision_log', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.revision_timestamp', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.revision_translation_affected', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.revision_uid', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.status', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.sticky', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.title', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.type', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.uid', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.uuid', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_product.vid', 'b:0;', -1, '1681649760.336', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.changed', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.created', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.default_langcode', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.langcode', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.nid', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.path', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.promote', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.revision_default', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.revision_log', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.revision_timestamp', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.revision_translation_affected', 'b:0;', -1, '1681649761.744', 1, '', '0');
INSERT INTO `cache_config` VALUES
('core.base_field_override.node.mt_program_entry.revision_uid', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.status', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.sticky', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.title', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.type', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.uid', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.uuid', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_program_entry.vid', 'b:0;', -1, '1681649761.744', 1, '', '0'),
('core.base_field_override.node.mt_service.changed', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.created', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.default_langcode', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.langcode', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.nid', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.path', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.promote', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.revision_default', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.revision_log', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.revision_timestamp', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.revision_translation_affected', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.revision_uid', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.status', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.sticky', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.title', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.type', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.uid', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.uuid', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_service.vid', 'b:0;', -1, '1681649760.311', 1, '', '0'),
('core.base_field_override.node.mt_speaker.changed', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.created', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.default_langcode', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.langcode', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.nid', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.path', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.promote', 'a:16:{s:4:"uuid";s:36:"752d654a-6fff-4e3e-a554-938216d43b3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"node.type.mt_speaker";}}s:2:"id";s:23:"node.mt_speaker.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.revision_default', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.revision_log', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.revision_timestamp', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.revision_translation_affected', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.revision_uid', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.status', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.sticky', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.title', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.type', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.uid', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.uuid', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_speaker.vid', 'b:0;', -1, '1681649761.748', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.changed', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.created', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.default_langcode', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.langcode', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.nid', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.path', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.promote', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.revision_default', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.revision_log', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.revision_timestamp', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.revision_translation_affected', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.revision_uid', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.status', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.sticky', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.title', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.type', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.uid', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.uuid', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_sponsor.vid', 'b:0;', -1, '1681649761.752', 1, '', '0'),
('core.base_field_override.node.mt_team_member.changed', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.created', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.default_langcode', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.langcode', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.nid', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.path', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.promote', 'a:16:{s:4:"uuid";s:36:"e0894692-fd19-4dfe-b036-cb10d9f082b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"node.type.mt_team_member";}}s:2:"id";s:27:"node.mt_team_member.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.revision_default', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.revision_log', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.revision_timestamp', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.revision_translation_affected', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.revision_uid', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.status', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.sticky', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.title', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.type', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.uid', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.uuid', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_team_member.vid', 'b:0;', -1, '1681649760.434', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.changed', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.created', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.default_langcode', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.langcode', 'b:0;', -1, '1681649761.754', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.nid', 'b:0;', -1, '1681649761.754', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.path', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.promote', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.revision_default', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.revision_log', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.revision_timestamp', 'b:0;', -1, '1681649761.754', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.revision_translation_affected', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.revision_uid', 'b:0;', -1, '1681649761.754', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.status', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.sticky', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.title', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.type', 'b:0;', -1, '1681649761.754', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.uid', 'b:0;', -1, '1681649761.755', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.uuid', 'b:0;', -1, '1681649761.754', 1, '', '0'),
('core.base_field_override.node.mt_testimonial.vid', 'b:0;', -1, '1681649761.754', 1, '', '0'),
('core.base_field_override.node.page.changed', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.created', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.default_langcode', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.langcode', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.nid', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.path', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.promote', 'a:17:{s:4:"uuid";s:36:"ef42ff06-6621-4821-8ffb-9a5b22a6283b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:14:"node.type.page";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fPUEnm4T5zfZRr3ttDUqq7yCDd2uW3clWD-pvos4tlQ";}s:2:"id";s:17:"node.page.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.revision_default', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.revision_log', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.revision_timestamp', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.revision_translation_affected', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.revision_uid', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.status', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.sticky', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.title', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.type', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.uid', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.uuid', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.node.page.vid', 'b:0;', -1, '1681649760.265', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.behavior_settings', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.created', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.default_langcode', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.id', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.langcode', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.parent_field_name', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.parent_id', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.parent_type', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.revision_default', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.revision_id', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.revision_translation_affected', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.status', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.type', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_additional_feature.uuid', 'b:0;', -1, '1681649761.643', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.behavior_settings', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.created', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.default_langcode', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.id', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.langcode', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.parent_field_name', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.parent_id', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.parent_type', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.revision_default', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.revision_id', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.revision_translation_affected', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.status', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.type', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_collapse.uuid', 'b:0;', -1, '1681649761.647', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.behavior_settings', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.created', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.default_langcode', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.id', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.langcode', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.parent_field_name', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.parent_id', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.parent_type', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.revision_default', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.revision_id', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.revision_translation_affected', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.status', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.type', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_dropdown.uuid', 'b:0;', -1, '1681649761.650', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.behavior_settings', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.created', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.default_langcode', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.id', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.langcode', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.parent_field_name', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.parent_id', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.parent_type', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.revision_default', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.revision_id', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.revision_translation_affected', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.status', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.type', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_linked_image.uuid', 'b:0;', -1, '1681649761.653', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.behavior_settings', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.created', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.default_langcode', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.id', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.langcode', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.parent_field_name', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.parent_id', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.parent_type', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.revision_default', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.revision_id', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.revision_translation_affected', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.status', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.type', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_fancy_tab.uuid', 'b:0;', -1, '1681649761.656', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.behavior_settings', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.created', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.default_langcode', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.id', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.langcode', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.parent_field_name', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.parent_id', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.parent_type', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.revision_default', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.revision_id', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.revision_translation_affected', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.status', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.type', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_featured_linked_text_tile.uuid', 'b:0;', -1, '1681649761.659', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.behavior_settings', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.created', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.default_langcode', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.id', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.langcode', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.parent_field_name', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.parent_id', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.parent_type', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.revision_default', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.revision_id', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.revision_translation_affected', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.status', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.type', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_highlight.uuid', 'b:0;', -1, '1681649761.663', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.behavior_settings', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.created', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.default_langcode', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.id', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.langcode', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.parent_field_name', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.parent_id', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.parent_type', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.revision_default', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.revision_id', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.revision_translation_affected', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.status', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.type', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_icon_features.uuid', 'b:0;', -1, '1681649761.666', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.behavior_settings', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.created', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.default_langcode', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.id', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.langcode', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.parent_field_name', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.parent_id', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.parent_type', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.revision_default', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.revision_id', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.revision_translation_affected', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.status', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.type', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_main_slideshow_slide.uuid', 'b:0;', -1, '1681649761.670', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.behavior_settings', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.created', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.default_langcode', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.id', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.langcode', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.parent_field_name', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.parent_id', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.parent_type', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.revision_default', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.revision_id', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.revision_translation_affected', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.status', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.type', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_map_location.uuid', 'b:0;', -1, '1681649761.675', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.behavior_settings', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.created', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.default_langcode', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.id', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.langcode', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.parent_field_name', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.parent_id', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.parent_type', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.revision_default', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.revision_id', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.revision_translation_affected', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.status', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.type', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_media_tab.uuid', 'b:0;', -1, '1681649761.678', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.behavior_settings', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.created', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.default_langcode', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.id', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.langcode', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.parent_field_name', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.parent_id', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.parent_type', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.revision_default', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.revision_id', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.revision_translation_affected', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.status', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.type', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_tab.uuid', 'b:0;', -1, '1681649761.681', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.behavior_settings', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.created', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.default_langcode', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.id', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.langcode', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.parent_field_name', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.parent_id', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.parent_type', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.revision_default', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.revision_id', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.revision_translation_affected', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.status', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.type', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_timeline_item.uuid', 'b:0;', -1, '1681649761.683', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.behavior_settings', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.created', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.default_langcode', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.id', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.langcode', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.parent_field_name', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.parent_id', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.parent_type', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.revision_default', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.revision_id', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.revision_translation_affected', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.status', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.type', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.paragraph.mt_video_gallery_slide.uuid', 'b:0;', -1, '1681649761.686', 1, '', '0'),
('core.base_field_override.shortcut.default.default_langcode', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.shortcut.default.id', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.shortcut.default.langcode', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.shortcut.default.link', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.shortcut.default.shortcut_set', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.shortcut.default.title', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.shortcut.default.uuid', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.shortcut.default.weight', 'b:0;', -1, '1681649762.458', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.changed', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.default_langcode', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.description', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.langcode', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.name', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.parent', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.path', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.revision_created', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.revision_default', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.revision_id', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.revision_log_message', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.revision_translation_affected', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.revision_user', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.status', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.tid', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.uuid', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.vid', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_classification.weight', 'b:0;', -1, '1681649761.700', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.changed', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.default_langcode', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.description', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.langcode', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.name', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.parent', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.path', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.revision_created', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.revision_default', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.revision_id', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.revision_log_message', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.revision_translation_affected', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.revision_user', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.status', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.tid', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.uuid', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.vid', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_designer.weight', 'b:0;', -1, '1681649761.702', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.changed', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.default_langcode', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.description', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.langcode', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.name', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.parent', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.path', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.revision_created', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.revision_default', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.revision_id', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.revision_log_message', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.revision_translation_affected', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.revision_user', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.status', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.tid', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.uuid', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.vid', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_foundry.weight', 'b:0;', -1, '1681649761.704', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.changed', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.default_langcode', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.description', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.langcode', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.name', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.parent', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.path', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.revision_created', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.revision_default', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.revision_id', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.revision_log_message', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.revision_translation_affected', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.revision_user', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.status', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.tid', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.uuid', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.vid', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.font_tags.weight', 'b:0;', -1, '1681649761.706', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.changed', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.default_langcode', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.description', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.langcode', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.name', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.parent', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.path', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.revision_created', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.revision_default', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.revision_id', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.revision_log_message', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.revision_translation_affected', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.revision_user', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.status', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.tid', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.uuid', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.vid', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.languages_supported.weight', 'b:0;', -1, '1681649761.708', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.changed', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.default_langcode', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.description', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.langcode', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.name', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.parent', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.path', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.revision_created', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.revision_default', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.revision_id', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.revision_log_message', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.revision_translation_affected', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.revision_user', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.status', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.tid', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.uuid', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.vid', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_affiliations.weight', 'b:0;', -1, '1681649761.710', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.changed', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.default_langcode', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.description', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.langcode', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.name', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.parent', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.path', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.revision_created', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.revision_default', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.revision_id', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.revision_log_message', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.revision_translation_affected', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.revision_user', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.status', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.tid', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.uuid', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.vid', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_album_categories.weight', 'b:0;', -1, '1681649761.712', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.changed', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.default_langcode', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.description', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.langcode', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.name', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.parent', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.path', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.revision_created', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.revision_default', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.revision_id', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.revision_log_message', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.revision_translation_affected', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.revision_user', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.status', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.tid', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.uuid', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.vid', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_collections.weight', 'b:0;', -1, '1681649761.713', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.changed', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.default_langcode', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.description', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.langcode', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.name', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.parent', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.path', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.revision_created', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.revision_default', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.revision_id', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.revision_log_message', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.revision_translation_affected', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.revision_user', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.status', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.tid', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.uuid', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.vid', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_event_categories.weight', 'b:0;', -1, '1681649761.716', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.changed', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.default_langcode', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.description', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.langcode', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.name', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.parent', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.path', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.revision_created', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.revision_default', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.revision_id', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.revision_log_message', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.revision_translation_affected', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.revision_user', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.status', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.tid', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.uuid', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.vid', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_presentation_categories.weight', 'b:0;', -1, '1681649761.718', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.changed', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.default_langcode', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.description', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.langcode', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.name', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.parent', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.path', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.revision_created', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.revision_default', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.revision_id', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.revision_log_message', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.revision_translation_affected', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.revision_user', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.status', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.tid', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.uuid', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.vid', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_program_entry_categories.weight', 'b:0;', -1, '1681649761.720', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.changed', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.default_langcode', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.description', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.langcode', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.name', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.parent', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.path', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.revision_created', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.revision_default', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.revision_id', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.revision_log_message', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.revision_translation_affected', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.revision_user', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.status', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.tid', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.uuid', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.vid', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_service_tags.weight', 'b:0;', -1, '1681649761.722', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.changed', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.default_langcode', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.description', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.langcode', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.name', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.parent', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.path', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.revision_created', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.revision_default', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.revision_id', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.revision_log_message', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.revision_translation_affected', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.revision_user', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.status', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.tid', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.uuid', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.vid', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_session.weight', 'b:0;', -1, '1681649761.724', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.changed', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.default_langcode', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.description', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.langcode', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.name', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.parent', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.path', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.revision_created', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.revision_default', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.revision_id', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.revision_log_message', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.revision_translation_affected', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.revision_user', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.status', 'b:0;', -1, '1681649761.726', 1, '', '0');
INSERT INTO `cache_config` VALUES
('core.base_field_override.taxonomy_term.mt_topics.tid', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.uuid', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.vid', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.mt_topics.weight', 'b:0;', -1, '1681649761.726', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.changed', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.default_langcode', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.description', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.langcode', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.name', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.parent', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.path', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.revision_created', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.revision_default', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.revision_id', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.revision_log_message', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.revision_translation_affected', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.revision_user', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.status', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.tid', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.uuid', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.vid', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.taxonomy_term.tags.weight', 'b:0;', -1, '1681649761.728', 1, '', '0'),
('core.base_field_override.user.user.access', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.changed', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.created', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.default_langcode', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.init', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.langcode', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.login', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.mail', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.name', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.pass', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.preferred_admin_langcode', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.preferred_langcode', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.roles', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.status', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.timezone', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.uid', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.base_field_override.user.user.uuid', 'b:0;', -1, '1681649760.248', 1, '', '0'),
('core.date_format.fallback', 'a:9:{s:4:"uuid";s:36:"5560b95d-cd3b-4acf-9196-df895f083350";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7klS5IWXrwzVaPpYZFAs6wcx8U2FF1X73OfrtTsvuvE";}s:2:"id";s:8:"fallback";s:5:"label";s:20:"Fallback date format";s:6:"locked";b:1;s:7:"pattern";s:14:"D, m/d/Y - H:i";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.html_date', 'a:9:{s:4:"uuid";s:36:"16774ce5-6184-402b-80ef-85f1e3b4fd64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"EOQltUQPmgc6UQ2rcJ4Xi_leCEJj5ui0TR-12duS-Tk";}s:2:"id";s:9:"html_date";s:5:"label";s:9:"HTML Date";s:6:"locked";b:1;s:7:"pattern";s:5:"Y-m-d";}', -1, '1681649761.397', 1, '', '0'),
('core.date_format.html_datetime', 'a:9:{s:4:"uuid";s:36:"61577c3c-0cc9-4311-b83e-07b2972ff37e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jxfClwZIRXIdcvMrE--WkcZxDGUVoOIE3Sm2NRZlFuE";}s:2:"id";s:13:"html_datetime";s:5:"label";s:13:"HTML Datetime";s:6:"locked";b:1;s:7:"pattern";s:13:"Y-m-d\\TH:i:sO";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.html_month', 'a:9:{s:4:"uuid";s:36:"bea23acd-be17-4c08-a92f-199ce61bfd3b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Z7KuCUwM_WdTNvLcoltuX3_8d-s-8FZkTN6KgNwF0eM";}s:2:"id";s:10:"html_month";s:5:"label";s:10:"HTML Month";s:6:"locked";b:1;s:7:"pattern";s:3:"Y-m";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.html_time', 'a:9:{s:4:"uuid";s:36:"4676d758-bbfb-4221-a689-80c15a8378bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"M7yqicYkU36hRy5p9drAaGBBihhUD1OyujFrAaQ93ZE";}s:2:"id";s:9:"html_time";s:5:"label";s:9:"HTML Time";s:6:"locked";b:1;s:7:"pattern";s:5:"H:i:s";}', -1, '1681649761.397', 1, '', '0'),
('core.date_format.html_week', 'a:9:{s:4:"uuid";s:36:"a171df48-885a-4562-a882-ce09a15c647c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"wKD4WsoV_wFgv2vgI4mcAAFSIzrye17ykzdwrnApkfY";}s:2:"id";s:9:"html_week";s:5:"label";s:9:"HTML Week";s:6:"locked";b:1;s:7:"pattern";s:5:"Y-\\WW";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.html_year', 'a:9:{s:4:"uuid";s:36:"6718b0cb-5556-4df6-8dfd-2bbda5ad1cb6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"OjekiQuX9RbVQ2_8jOHBL94RgYLePqX7wpfNGgcQzrk";}s:2:"id";s:9:"html_year";s:5:"label";s:9:"HTML Year";s:6:"locked";b:1;s:7:"pattern";s:1:"Y";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.html_yearless_date', 'a:9:{s:4:"uuid";s:36:"ef5e3569-3f0f-4039-bd2f-853f96ded465";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"5VpawMrKPEPCkoO4YpPa0TDFO2dgiIHfTziJtwlmUxc";}s:2:"id";s:18:"html_yearless_date";s:5:"label";s:18:"HTML Yearless date";s:6:"locked";b:1;s:7:"pattern";s:3:"m-d";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.long', 'a:9:{s:4:"uuid";s:36:"a08d9435-0103-4a77-8fb8-9c458d26c9ab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"og8sWXhBuHbLMw3CoiBEZjgqSyhFBFmcbUW_wLcfNbo";}s:2:"id";s:4:"long";s:5:"label";s:17:"Default long date";s:6:"locked";b:0;s:7:"pattern";s:15:"l, F j, Y - H:i";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.medium', 'a:9:{s:4:"uuid";s:36:"4faad2dd-5cc8-4f5f-bc6d-493732bdb8e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nzL5d024NjXIX_8TlT6uFAu973lmfkmHklJC-2i9rAE";}s:2:"id";s:6:"medium";s:5:"label";s:19:"Default medium date";s:6:"locked";b:0;s:7:"pattern";s:14:"D, m/d/Y - H:i";}', -1, '1681649767.071', 1, '', '0'),
('core.date_format.mt_time', 'a:8:{s:4:"uuid";s:36:"0c5c8810-50b9-43a1-8350-1546e0a47eef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:7:"mt_time";s:5:"label";s:11:"Custom time";s:6:"locked";b:0;s:7:"pattern";s:5:"h:i a";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.mt_yearless_date', 'a:8:{s:4:"uuid";s:36:"8bd0c3fa-d550-4c87-a2f9-ef4a2020bd5e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_yearless_date";s:5:"label";s:13:"Yearless date";s:6:"locked";b:0;s:7:"pattern";s:3:"M d";}', -1, '1681652741.492', 1, '', '0'),
('core.date_format.olivero_medium', 'a:9:{s:4:"uuid";s:36:"a9825677-3e63-4a61-9c64-cb6ebb02f6a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mt6cmxUbDZ9XxD6p25WQ8tj3_JcX8ylfcddwZc8gcAE";}s:2:"id";s:14:"olivero_medium";s:5:"label";s:14:"Olivero Medium";s:6:"locked";b:0;s:7:"pattern";s:8:"j  F,  Y";}', -1, '1681652741.185', 1, '', '0'),
('core.date_format.short', 'a:9:{s:4:"uuid";s:36:"460367c2-78f3-42db-ae80-31a6b3741475";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AlzeyytA8InBgxIG9H2UDJYs3CG98Zj6yRsDKmlbZwA";}s:2:"id";s:5:"short";s:5:"label";s:18:"Default short date";s:6:"locked";b:0;s:7:"pattern";s:11:"m/d/Y - H:i";}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.basic.default', 'a:11:{s:4:"uuid";s:36:"a61d0399-56d3-4451-bf56-20d8b46f5a91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:36:"field.field.block_content.basic.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kv6gwb6PJ8DcMSj5kgsd52qCIHl1xkxBDL5_AMm-g8k";}s:2:"id";s:27:"block_content.basic.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:5:"basic";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:-4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_background_image_block.default', 'a:10:{s:4:"uuid";s:36:"d8fdcf29-f7e0-4ff1-87c2-6626554d08cc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:2;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:3;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:4;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:5;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:6;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:7;s:21:"image.style.thumbnail";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:47:"block_content.mt_background_image_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:25:"field_mt_background_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_bg_image_color";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:29:"field_mt_bg_image_layout_mode";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:25:"field_mt_bg_image_opacity";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:29:"field_mt_bg_image_positioning";a:5:{s:6:"weight";i:2;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_background_video_block.default', 'a:10:{s:4:"uuid";s:36:"1fbd22d1-4b25-4399-8276-4f38d567980d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:2;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:3;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:4;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:5;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:6;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:7;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:8;s:21:"image.style.thumbnail";}s:6:"module";a:2:{i:0;s:4:"file";i:1;s:5:"image";}}s:2:"id";s:47:"block_content.mt_background_video_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:7;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_bv_layout_mode";a:5:{s:6:"weight";i:6;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:25:"field_mt_bv_overlay_color";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_bv_overlay_opacity";a:5:{s:6:"weight";i:5;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:18:"field_mt_bv_poster";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_bv_video_mp4";a:5:{s:6:"weight";i:1;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:22:"field_mt_bv_video_webm";a:5:{s:6:"weight";i:2;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_collapsible_block.default', 'a:10:{s:4:"uuid";s:36:"8196430b-f257-4769-9d66-d636dd23222a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:71:"field.field.block_content.mt_collapsible_block.field_mt_block_reference";i:2;s:72:"field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon";i:3;s:70:"field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon";i:4;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_state";i:5;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_title";i:6;s:75:"field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position";}}s:2:"id";s:42:"block_content.mt_collapsible_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:25:"field_mt_cb_collapse_icon";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:23:"field_mt_cb_expand_icon";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:17:"field_mt_cb_state";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:17:"field_mt_cb_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_cb_trigger_position";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_dropdowns_block.default', 'a:10:{s:4:"uuid";s:36:"4da315a2-89b9-48ce-a469-5f1ccc114c9d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:40:"block_content.mt_dropdowns_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_dropdown";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_fancy_linked_images_block.default', 'a:10:{s:4:"uuid";s:36:"8fcde634-491c-44f8-b37c-f65f9db24187";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:50:"block_content.mt_fancy_linked_images_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:27:"field_mt_fancy_linked_image";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_fancy_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"9e486985-b11b-4a11-a202-71cca9344902";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.mt_fancy_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:18:"field_mt_fancy_tab";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_fltt_block.default', 'a:10:{s:4:"uuid";s:36:"c9c775d4-52d7-4947-8832-d928c4a49bb2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"block_content.mt_fltt_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:13:"field_mt_fltt";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_google_maps.default', 'a:10:{s:4:"uuid";s:36:"1e40ff88-865a-4cb0-a6df-2a5e312f4e57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:2;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:36:"block_content.mt_google_maps.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:21:"field_mt_map_location";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:1;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_map_zoom";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_if_block.default', 'a:10:{s:4:"uuid";s:36:"7713358b-d7bb-4f61-b16f-38d653cc9af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:49:"field.field.block_content.mt_if_block.field_mt_if";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"block_content.mt_if_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:11:"field_mt_if";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:27;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_main_slideshow_block.default', 'a:11:{s:4:"uuid";s:36:"8f489796-f547-45ff-8672-f73f68415ff1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:2;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:3;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:4;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:5;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:6;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:7;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:8;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:9;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:10;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";}s:6:"module";a:2:{i:0;s:11:"field_group";i:1;s:10:"paragraphs";}}s:20:"third_party_settings";a:1:{s:11:"field_group";a:1:{s:20:"group_mt_ms_settings";a:7:{s:8:"children";a:9:{i:0;s:18:"field_mt_ms_effect";i:1;s:27:"field_mt_ms_effect_duration";i:2;s:30:"field_mt_main_slideshow_layout";i:3;s:32:"field_mt_ms_ignore_header_height";i:4;s:26:"field_mt_ms_initial_height";i:5;s:28:"field_mt_ms_navigation_style";i:6;s:28:"field_mt_ms_bullets_position";i:7;s:27:"field_mt_ms_touch_swipe_nav";i:8;s:30:"field_mt_ms_background_opacity";}s:11:"parent_name";s:0:"";s:6:"weight";i:8;s:11:"format_type";s:7:"details";s:15:"format_settings";a:5:{s:5:"label";s:23:"Main Slideshow Settings";s:4:"open";b:1;s:15:"required_fields";b:1;s:2:"id";s:0:"";s:7:"classes";s:0:"";}s:5:"label";s:23:"Main Slideshow Settings";s:6:"region";s:7:"content";}}}s:2:"id";s:45:"block_content.mt_main_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:30:"field_mt_main_slideshow_layout";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:29:"field_mt_main_slideshow_slide";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:1;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_ms_background_opacity";a:5:{s:6:"weight";i:12;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_bullets_position";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_ms_effect";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_ms_effect_duration";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:32:"field_mt_ms_ignore_header_height";a:5:{s:6:"weight";i:6;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:26:"field_mt_ms_initial_height";a:5:{s:6:"weight";i:7;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_navigation_style";a:5:{s:6:"weight";i:9;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_ms_touch_swipe_nav";a:5:{s:6:"weight";i:11;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_media_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"eee40aac-d896-4135-834d-abb714fbace3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.mt_media_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:18:"field_mt_media_tab";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_nodes_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"142a8db9-15bc-4622-a6bb-a44f90231838";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";}}s:2:"id";s:46:"block_content.mt_nodes_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_ns_slide";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"f72667f3-48e6-4e09-9ca8-84e210a81e20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";}}s:2:"id";s:35:"block_content.mt_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_timeline_block.default', 'a:10:{s:4:"uuid";s:36:"ea94e29c-8e2b-42ef-9a8c-59934fcb1f86";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:70:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item";i:2;s:74:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";}s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:39:"block_content.mt_timeline_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_item";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:27;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_tml_timeline_viewmore";a:5:{s:6:"weight";i:28;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_typing_animation_block.default', 'a:10:{s:4:"uuid";s:36:"d9fe5a47-3f17-4466-bf54-cb5e635860c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:56:"field.field.block_content.mt_typing_animation_block.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:47:"block_content.mt_typing_animation_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:26;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.block_content.mt_video_gallery_block.default', 'a:10:{s:4:"uuid";s:36:"8efc2e26-37ec-4457-8e21-0d53c55466bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:44:"block_content.mt_video_gallery_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:29:"field_mt_video_gallery_slides";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.comment.comment.default', 'a:11:{s:4:"uuid";s:36:"00cefa62-75f7-4282-af89-ce34005cbe87";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:40:"field.field.comment.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ooVjelXSXbiQtp-hYb7LS44vR5UO-Kqu4vf484ggR8w";}s:2:"id";s:23:"comment.comment.default";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:6:"author";a:4:{s:6:"weight";i:-2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"comment_body";a:5:{s:4:"type";s:13:"text_textarea";s:6:"weight";i:11;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.contact_message.alternative.default', 'a:10:{s:4:"uuid";s:36:"5f5aae53-9318-4c34-bdb9-789d5631101f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"contact.form.alternative";}}s:2:"id";s:35:"contact_message.alternative.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:11:"alternative";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"copy";a:4:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:4:{s:6:"weight";i:40;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.contact_message.feedback.default', 'a:10:{s:4:"uuid";s:36:"f3863b3c-9dd7-40be-a844-b0812855716b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:21:"contact.form.feedback";}}s:2:"id";s:32:"contact_message.feedback.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:8:"feedback";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"copy";a:4:{s:6:"weight";i:50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:-40;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:-50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:4:{s:6:"weight";i:40;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.contact_message.personal.default', 'a:10:{s:4:"uuid";s:36:"bb22db0d-bc11-4582-9ecf-de76dd8185f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:21:"contact.form.personal";}}s:2:"id";s:32:"contact_message.personal.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:8:"personal";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:4:"copy";a:4:{s:6:"weight";i:50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:-40;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:-50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:4:{s:6:"weight";i:40;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:9:"recipient";a:4:{s:6:"weight";i:-30;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.node.article.default', 'a:11:{s:4:"uuid";s:36:"eea34379-0502-4f6d-b1f7-2a3acbdd3d70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:29:"field.field.node.article.body";i:1;s:32:"field.field.node.article.comment";i:2;s:36:"field.field.node.article.field_image";i:3;s:43:"field.field.node.article.field_mt_slideshow";i:4;s:49:"field.field.node.article.field_mt_slideshow_image";i:5;s:48:"field.field.node.article.field_mt_slideshow_text";i:6;s:39:"field.field.node.article.field_mt_video";i:7;s:35:"field.field.node.article.field_tags";i:8;s:21:"image.style.thumbnail";i:9;s:17:"node.type.article";}s:6:"module";a:5:{i:0;s:7:"comment";i:1;s:5:"image";i:2;s:4:"path";i:3;s:4:"text";i:4;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7CvVDwPYotAZFBa36mcpMKZOfVRRp_iGuPHpHaavI6E";}s:2:"id";s:20:"node.article.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:7:"default";s:7:"content";a:15:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"comment";a:5:{s:4:"type";s:15:"comment_default";s:6:"weight";i:13;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:11:"field_image";a:5:{s:4:"type";s:11:"image_image";s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_slideshow";a:5:{s:6:"weight";i:8;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:24:"field_mt_slideshow_image";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_slideshow_text";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:14:"field_mt_video";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:10:"field_tags";a:5:{s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"weight";i:5;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:14;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:12;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:9;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.node.mt_album.default', 'a:10:{s:4:"uuid";s:36:"ef0d5a12-7bbb-4103-9936-579a0244f61d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_body";i:1;s:44:"field.field.node.mt_album.field_mt_alb_image";i:2;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:3;s:44:"field.field.node.mt_album.field_mt_alb_video";i:4;s:21:"image.style.thumbnail";i:5;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";i:3;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_album.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:7;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_alb_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:18:"field_mt_alb_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_alb_tags";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:9;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.node.mt_canvas_page.default', 'a:10:{s:4:"uuid";s:36:"609a1c77-67d4-4adf-b951-65da61c9f352";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.field.node.mt_canvas_page.field_mt_cnv_body";i:1;s:24:"node.type.mt_canvas_page";}s:6:"module";a:2:{i:0;s:4:"path";i:1;s:4:"text";}}s:2:"id";s:27:"node.mt_canvas_page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_cnv_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:4;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:7;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:5;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:2;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0'),
('core.entity_form_display.node.mt_event.default', 'a:10:{s:4:"uuid";s:36:"b8964e63-5165-479e-a3ea-d87f1a987f07";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:13:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_body";i:1;s:43:"field.field.node.mt_event.field_mt_evn_date";i:2;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:3;s:44:"field.field.node.mt_event.field_mt_evn_files";i:4;s:44:"field.field.node.mt_event.field_mt_evn_image";i:5;s:47:"field.field.node.mt_event.field_mt_evn_location";i:6;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:7;s:44:"field.field.node.mt_event.field_mt_evn_place";i:8;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:9;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:10;s:44:"field.field.node.mt_event.field_mt_evn_video";i:11;s:21:"image.style.thumbnail";i:12;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:10:"paragraphs";i:4;s:4:"path";i:5;s:4:"text";i:6;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_event.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:7:"default";s:7:"content";a:18:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_evn_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:5:{s:6:"weight";i:11;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:8;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:21:"field_mt_evn_map_zoom";a:5:{s:6:"weight";i:9;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:5:{s:6:"weight";i:7;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:16;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:17;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:12;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.492', 1, '', '0');
INSERT INTO `cache_config` VALUES
('core.entity_form_display.node.mt_presentation.default', 'a:10:{s:4:"uuid";s:36:"d1b119c6-52c0-43a6-8aaf-a1446a64f846";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:15:{i:0;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:1;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:2;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:3;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:4;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:5;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:7;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:8;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:11;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:12;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:13;s:21:"image.style.thumbnail";i:14;s:25:"node.type.mt_presentation";}s:6:"module";a:6:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:28:"node.mt_presentation.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:7:"default";s:7:"content";a:20:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:15;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_prs_affiliations";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_prs_authors";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:17:"field_mt_prs_body";a:5:{s:6:"weight";i:7;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_prs_category";a:5:{s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:17:"field_mt_prs_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_files";a:5:{s:6:"weight";i:9;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:18:"field_mt_prs_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_prs_location";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_prs_session";a:5:{s:6:"weight";i:11;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:20:"field_mt_prs_speaker";a:5:{s:6:"weight";i:4;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:20:"field_mt_prs_sponsor";a:5:{s:6:"weight";i:13;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:19:"field_mt_prs_topics";a:5:{s:6:"weight";i:10;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_prs_video";a:5:{s:6:"weight";i:8;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:18;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:19;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:17;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:14;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.mt_product.default', 'a:10:{s:4:"uuid";s:36:"813a86f2-e86b-4f2b-8f04-24cdbbfc8cbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:19:{i:0;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:1;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:2;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:3;s:45:"field.field.node.mt_product.field_mt_prd_body";i:4;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:5;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:6;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:7;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:8;s:46:"field.field.node.mt_product.field_mt_prd_image";i:9;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:10;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:11;s:46:"field.field.node.mt_product.field_mt_prd_price";i:12;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:13;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:14;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:15;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:16;s:46:"field.field.node.mt_product.field_mt_prd_video";i:17;s:21:"image.style.thumbnail";i:18;s:20:"node.type.mt_product";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:10:"paragraphs";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_product.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:7:"default";s:7:"content";a:24:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:20;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:32:"field_mt_prd_additional_features";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:7;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_prd_availability";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:28:"field_mt_prd_banner_carousel";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_prd_body";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_prd_buy_link";a:5:{s:6:"weight";i:14;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:23:"field_mt_prd_categories";a:5:{s:6:"weight";i:11;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:25:"field_mt_prd_content_tabs";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:15;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:22:"field_mt_prd_highlight";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:5;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_prd_image";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:28:"field_mt_prd_landscape_image";a:5:{s:6:"weight";i:18;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:25:"field_mt_prd_most_popular";a:5:{s:6:"weight";i:17;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:18:"field_mt_prd_price";a:5:{s:6:"weight";i:13;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:31:"field_mt_prd_pricing_table_item";a:5:{s:6:"weight";i:16;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_prd_product_code";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:27:"field_mt_prd_subheader_body";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_prd_tags";a:5:{s:6:"weight";i:12;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_prd_video";a:5:{s:6:"weight";i:8;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:23;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:21;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:22;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:19;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.mt_program_entry.default', 'a:10:{s:4:"uuid";s:36:"b9e4801e-9842-4570-bd8a-8628532b688d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:55:"field.field.node.mt_program_entry.field_mt_prg_category";i:1;s:55:"field.field.node.mt_program_entry.field_mt_prg_end_date";i:2;s:52:"field.field.node.mt_program_entry.field_mt_prg_event";i:3;s:57:"field.field.node.mt_program_entry.field_mt_prg_start_date";i:4;s:26:"node.type.mt_program_entry";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"path";}}s:2:"id";s:29:"node.mt_program_entry.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:7;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:21:"field_mt_prg_category";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:21:"field_mt_prg_end_date";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prg_event";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_prg_start_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:9;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.mt_service.default', 'a:10:{s:4:"uuid";s:36:"7f86e331-8cca-4643-9f80-f5dbcc3124e6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:1;s:45:"field.field.node.mt_service.field_mt_srv_body";i:2;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:3;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:4;s:46:"field.field.node.mt_service.field_mt_srv_image";i:5;s:46:"field.field.node.mt_service.field_mt_srv_price";i:6;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:7;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:8;s:46:"field.field.node.mt_service.field_mt_srv_video";i:9;s:21:"image.style.thumbnail";i:10;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:10:"paragraphs";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_service.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:7:"default";s:7:"content";a:16:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_srv_banner_image";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_srv_body";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_srv_buy_link";a:5:{s:6:"weight";i:10;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:22:"field_mt_srv_highlight";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:5;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_srv_image";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:18:"field_mt_srv_price";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_srv_service_tags";a:5:{s:6:"weight";i:8;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:27:"field_mt_srv_subheader_body";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:5:{s:6:"weight";i:7;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:15;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:13;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:11;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.mt_speaker.default', 'a:10:{s:4:"uuid";s:36:"72450637-0088-42cd-8c14-28a5fe22d47b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:1;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:2;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:4;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:5;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:6;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:8;s:21:"image.style.thumbnail";i:9;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:23:"node.mt_speaker.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:7:"default";s:7:"content";a:15:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_spk_affiliations";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:5:{s:6:"weight";i:8;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:12;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:9;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.mt_sponsor.default', 'a:10:{s:4:"uuid";s:36:"e0c2d206-b3b9-4557-a7b4-ca33ce3a5757";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:2;s:21:"image.style.thumbnail";i:3;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:23:"node.mt_sponsor.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_spn_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_spn_logo";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:9;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:7;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:10;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:5;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.mt_team_member.default', 'a:10:{s:4:"uuid";s:36:"11c06597-e0d0-441a-ac58-558b4036a669";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:1;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:3;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:4;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:5;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:7;s:21:"image.style.thumbnail";i:8;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:27:"node.mt_team_member.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:20;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_tmm_body";a:5:{s:6:"weight";i:15;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_facebook_account";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_linkedin_account";a:5:{s:6:"weight";i:11;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_tmm_member_photo";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_tmm_subtitle";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_twitter_account";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_youtube_account";a:5:{s:6:"weight";i:13;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:23;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:21;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:22;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:19;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.mt_testimonial.default', 'a:10:{s:4:"uuid";s:36:"75a5b5eb-cde2-40b0-a343-eeb416b4682e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:1;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:2;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:3;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"path";i:3;s:4:"text";}}s:2:"id";s:27:"node.mt_testimonial.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:14;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_tst_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_tst_subtitle";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:30:"field_mt_tst_testimonial_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:29:"field_mt_tst_testimonial_link";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:17;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:18;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:13;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.node.page.default', 'a:11:{s:4:"uuid";s:36:"42c86e3c-5f41-4f65-97c6-5bdd0dd1dc0f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:26:"field.field.node.page.body";i:1;s:45:"field.field.node.page.field_mt_subheader_body";i:2;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"path";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KSvzyFhdLuxniTsunUnUfpfMmod2l57GibtVjL8ymHM";}s:2:"id";s:17:"node.page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:9;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:23:"field_mt_subheader_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:10;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:121;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:8;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_additional_feature.default', 'a:10:{s:4:"uuid";s:36:"d26fa8bc-555a-4c12-b614-2ee51df1e025";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:61:"field.field.paragraph.mt_additional_feature.field_mt_adf_body";i:1;s:64:"field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon";i:2;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_image";i:3;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_title";i:4;s:21:"image.style.thumbnail";i:5;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"text";}}s:2:"id";s:39:"paragraph.mt_additional_feature.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:17:"field_mt_adf_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:20:"field_mt_adf_fa_icon";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:18:"field_mt_adf_image";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:18:"field_mt_adf_title";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_collapse.default', 'a:10:{s:4:"uuid";s:36:"74f0f725-170b-481c-b405-e4e7735ad171";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:1;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:2;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:29:"paragraph.mt_collapse.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:22:"field_mt_collapse_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:23:"field_mt_collapse_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_dropdown.default', 'a:10:{s:4:"uuid";s:36:"898680fd-963a-42a7-a292-ca4d30525d61";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:1;s:59:"field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:29:"paragraph.mt_dropdown.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:23:"field_mt_dropdown_block";a:5:{s:6:"weight";i:2;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:25:"field_mt_dropdown_fa_icon";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_fancy_linked_image.default', 'a:10:{s:4:"uuid";s:36:"c21a131b-0c05-44e5-863e-925cad05f171";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:71:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";i:1;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:2;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:3;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:4;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:5;s:21:"image.style.thumbnail";i:6;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";}}s:2:"id";s:39:"paragraph.mt_fancy_linked_image.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:27:"field_mt_fli_button_fa_icon";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:18:"field_mt_fli_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_fli_link";a:5:{s:4:"type";s:12:"link_default";s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_fli_shape";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_fli_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_fancy_tab.default', 'a:10:{s:4:"uuid";s:36:"907285b5-06ed-4d87-b482-1d56b154ebdf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:1;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:2;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:3;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:30:"paragraph.mt_fancy_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:30:"field_mt_fancy_block_reference";a:5:{s:6:"weight";i:2;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_fancy_subtitle";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_fancy_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_featured_linked_text_tile.default', 'a:10:{s:4:"uuid";s:36:"ef9e5f11-e359-4b1f-abbf-353761059e14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:1;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:2;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:3;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_featured_linked_text_tile.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:18:"field_mt_fltt_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:18:"field_mt_fltt_link";a:5:{s:4:"type";s:12:"link_default";s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:19:"field_mt_fltt_title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_highlight.default', 'a:10:{s:4:"uuid";s:36:"b78c9233-ee52-4ce7-939c-6d3b9189c67f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:1;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:2;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:3;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:4;s:21:"image.style.thumbnail";i:5;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_highlight.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:23:"field_mt_highlight_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_image";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_highlight_link";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_icon_features.default', 'a:10:{s:4:"uuid";s:36:"02bba738-478b-4c3b-9b77-6e4e36355a82";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:1;s:58:"field.field.paragraph.mt_icon_features.field_mt_if_fa_icon";i:2;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:3;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:4;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:5;s:21:"image.style.thumbnail";i:6;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:4:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";}}s:2:"id";s:34:"paragraph.mt_icon_features.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:16:"field_mt_if_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:19:"field_mt_if_fa_icon";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:17:"field_mt_if_image";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:16:"field_mt_if_link";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:17:"field_mt_if_title";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_main_slideshow_slide.default', 'a:10:{s:4:"uuid";s:36:"2f4c3b21-c151-4111-978c-b2d4edfdce2e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:1;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:2;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:3;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:4;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:5;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:6;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:7;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:8;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:9;s:21:"image.style.thumbnail";i:10;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"link";}}s:2:"id";s:41:"paragraph.mt_main_slideshow_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:25:"field_mt_ms_slide_caption";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:15:"string_textarea";s:6:"region";s:7:"content";}s:31:"field_mt_ms_slide_caption_color";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:30:"field_mt_ms_slide_caption_opac";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_image";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:22:"field_mt_ms_slide_link";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:26:"field_mt_ms_slide_vimeo_id";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:24:"field_mt_ms_slide_volume";a:5:{s:6:"weight";i:8;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_slide_youtube_id";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0');
INSERT INTO `cache_config` VALUES
('core.entity_form_display.paragraph.mt_map_location.default', 'a:10:{s:4:"uuid";s:36:"fb3e5e5d-bad3-4d2b-af1c-c80d125c3a10";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:1;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:2;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:3;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:33:"paragraph.mt_map_location.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:20:"field_mt_ml_latitude";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_ml_location_name";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:21:"field_mt_ml_longitude";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_media_tab.default', 'a:10:{s:4:"uuid";s:36:"f8df525a-0299-4fe8-95d9-6ae418dabfd3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:1;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:2;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:3;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:4;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:5;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:6;s:21:"image.style.thumbnail";i:7;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";i:3;s:17:"video_embed_field";}}s:2:"id";s:30:"paragraph.mt_media_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:19:"field_mt_media_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:21:"field_mt_media_button";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:20:"field_mt_media_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:24:"field_mt_media_tab_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_media_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_media_video";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_tab.default', 'a:10:{s:4:"uuid";s:36:"c60c5aa4-1928-4818-90fe-54aa3e8f6fa6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:1;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:24:"paragraph.mt_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:20:"field_mt_tab_content";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:18:"field_mt_tab_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_timeline_item.default', 'a:10:{s:4:"uuid";s:36:"8e4ae787-0a8a-48de-a52a-6b2b8ff35ea3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date";i:1;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link";i:2;s:66:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title";i:3;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"link";}}s:2:"id";s:34:"paragraph.mt_timeline_item.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:26:"field_mt_tml_timeline_link";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:27:"field_mt_tml_timeline_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.paragraph.mt_video_gallery_slide.default', 'a:10:{s:4:"uuid";s:36:"f9c092ec-32a2-4fd6-8db4-cf73105ce8f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:1;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:2;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:3;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:4;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:5;s:21:"image.style.thumbnail";i:6;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:40:"paragraph.mt_video_gallery_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:24:"field_mt_vgs_slide_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:22:"field_mt_vgs_thumbnail";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_vgs_vimeo_id";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:19:"field_mt_vgs_volume";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:23:"field_mt_vgs_youtube_id";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.taxonomy_term.mt_affiliations.default', 'a:10:{s:4:"uuid";s:36:"0c8f9c68-92e4-46ab-960c-0590e1517862";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:68:"field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image";i:1;s:21:"image.style.thumbnail";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:37:"taxonomy_term.mt_affiliations.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:11:"description";a:5:{s:4:"type";s:13:"text_textarea";s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:11:"placeholder";s:0:"";s:4:"rows";i:5;}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_affiliation_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"name";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.taxonomy_term.mt_collections.default', 'a:10:{s:4:"uuid";s:36:"a5d7a563-7318-45ad-9f36-900a2fc638ca";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:1;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:2;s:21:"image.style.thumbnail";i:3;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_collections.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:11:"description";a:5:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_collection_image";a:5:{s:6:"weight";i:31;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:30:"field_mt_wide_collection_image";a:5:{s:6:"weight";i:32;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"name";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:30;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_display.user.user.default', 'a:11:{s:4:"uuid";s:36:"4c08e0a8-5971-46fc-879f-ad962dc81471";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.field.user.user.field_mt_full_name";i:1;s:40:"field.field.user.user.field_mt_signature";i:2;s:34:"field.field.user.user.user_picture";i:3;s:21:"image.style.thumbnail";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"LLAieeozVsoZDb-2PbFxRJpQqnKmpR7-4OoRJnduz-U";}s:2:"id";s:17:"user.user.default";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:7:"account";a:4:{s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"contact";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_full_name";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:18:"field_mt_signature";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:8:"language";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:8:"timezone";a:4:{s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"user_picture";a:5:{s:4:"type";s:11:"image_image";s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:6:"weight";i:1;s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_form_mode.user.register', 'a:9:{s:4:"uuid";s:36:"85abc5c1-223a-434a-bc58-df86662fa3d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"flXhTcp55yLcyy7ZLOhPGKGZobZQJdkAFVWV3LseiuI";}s:2:"id";s:13:"user.register";s:5:"label";s:8:"Register";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}', -1, '1681649762.482', 1, '', '0'),
('core.entity_view_display.block_content.basic.default', 'a:11:{s:4:"uuid";s:36:"3021ae9c-fbd0-439d-aaaf-069fa3c90536";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:36:"field.field.block_content.basic.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zCrrHAjrsQgWjBXBsshAZjND21czBy8sH_L5v_xDKSA";}s:2:"id";s:27:"block_content.basic.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:5:"basic";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681649767.659', 1, '', '0'),
('core.entity_view_display.block_content.basic.full', 'b:0;', -1, '1681649767.659', 1, '', '0'),
('core.entity_view_display.block_content.mt_background_image_block.default', 'a:10:{s:4:"uuid";s:36:"ddcc87b0-50a3-4e35-a0a5-4fb5968c0aea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:2;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:3;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:4;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:5;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:6;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";}}s:2:"id";s:47:"block_content.mt_background_image_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:5:{s:25:"field_mt_background_image";b:1;s:23:"field_mt_bg_image_color";b:1;s:29:"field_mt_bg_image_layout_mode";b:1;s:25:"field_mt_bg_image_opacity";b:1;s:29:"field_mt_bg_image_positioning";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_background_video_block.default', 'a:10:{s:4:"uuid";s:36:"d8e6a67d-156e-458b-a248-969111195826";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:8:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:2;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:3;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:4;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:5;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:6;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:7;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";}}s:2:"id";s:47:"block_content.mt_background_video_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:6:{s:23:"field_mt_bv_layout_mode";b:1;s:25:"field_mt_bv_overlay_color";b:1;s:27:"field_mt_bv_overlay_opacity";b:1;s:18:"field_mt_bv_poster";b:1;s:21:"field_mt_bv_video_mp4";b:1;s:22:"field_mt_bv_video_webm";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_collapsible_block.default', 'a:10:{s:4:"uuid";s:36:"671d497d-6d6a-4b22-8555-8122bf67ac0b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:71:"field.field.block_content.mt_collapsible_block.field_mt_block_reference";i:2;s:72:"field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon";i:3;s:70:"field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon";i:4;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_state";i:5;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_title";i:6;s:75:"field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position";}}s:2:"id";s:42:"block_content.mt_collapsible_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:5:{s:25:"field_mt_cb_collapse_icon";b:1;s:23:"field_mt_cb_expand_icon";b:1;s:17:"field_mt_cb_state";b:1;s:17:"field_mt_cb_title";b:1;s:28:"field_mt_cb_trigger_position";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_dropdowns_block.default', 'a:10:{s:4:"uuid";s:36:"1a8abdd8-32e9-43ca-a55f-c231e05a240b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:40:"block_content.mt_dropdowns_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:17:"field_mt_dropdown";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_fancy_linked_images_block.default', 'a:10:{s:4:"uuid";s:36:"187fcbab-b85d-44fb-9af3-f1bf6a34865b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_fancy_linked_images_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:27:"field_mt_fancy_linked_image";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_fancy_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"02aa789c-e09a-4921-ba95-db9a210f9af5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_fancy_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fancy_tab";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_fltt_block.default', 'a:10:{s:4:"uuid";s:36:"fe5314e6-33a1-4beb-82e5-2cfa537b957d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:35:"block_content.mt_fltt_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:13:"field_mt_fltt";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_google_maps.default', 'a:10:{s:4:"uuid";s:36:"27bffcb5-39e6-42bc-a34d-2ffed0abeb1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:2;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:36:"block_content.mt_google_maps.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:21:"field_mt_map_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:1:{s:17:"field_mt_map_zoom";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_if_block.default', 'a:10:{s:4:"uuid";s:36:"acb2e8f2-f1d9-44a9-905f-ff4bc0df9af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:49:"field.field.block_content.mt_if_block.field_mt_if";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:33:"block_content.mt_if_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:11:"field_mt_if";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_main_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"b912651f-d6b5-430c-8d9d-2ab6cce4d153";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:2;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:3;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:4;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:5;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:6;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:7;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:8;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:9;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:10;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:45:"block_content.mt_main_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:29:"field_mt_main_slideshow_slide";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:9:{s:30:"field_mt_main_slideshow_layout";b:1;s:30:"field_mt_ms_background_opacity";b:1;s:28:"field_mt_ms_bullets_position";b:1;s:18:"field_mt_ms_effect";b:1;s:27:"field_mt_ms_effect_duration";b:1;s:32:"field_mt_ms_ignore_header_height";b:1;s:26:"field_mt_ms_initial_height";b:1;s:28:"field_mt_ms_navigation_style";b:1;s:27:"field_mt_ms_touch_swipe_nav";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_media_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"67b362fb-d8bb-481a-a917-2306096dcdc7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_media_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_media_tab";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_nodes_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"b2c71c2c-8bdb-41c9-add1-c2814f182a73";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";}}s:2:"id";s:46:"block_content.mt_nodes_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:17:"field_mt_ns_slide";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:13:"mt_slide_view";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"98949051-6c07-442c-84ac-38b0eefae150";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";}}s:2:"id";s:35:"block_content.mt_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_timeline_block.default', 'a:10:{s:4:"uuid";s:36:"1a1bcc99-a2f9-439c-9a2c-2a1958e13065";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:70:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item";i:2;s:74:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";}s:6:"module";a:2:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"link";}}s:2:"id";s:39:"block_content.mt_timeline_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:26:"field_mt_tml_timeline_item";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_tml_timeline_viewmore";a:6:{s:6:"weight";i:2;s:5:"label";s:15:"visually_hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_typing_animation_block.default', 'a:10:{s:4:"uuid";s:36:"343daf9f-99e2-4f6a-acd6-1f80b766679d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:56:"field.field.block_content.mt_typing_animation_block.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:47:"block_content.mt_typing_animation_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.block_content.mt_video_gallery_block.default', 'a:10:{s:4:"uuid";s:36:"d2d59f86-d41d-4c05-91f0-3c612f6a9323";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:44:"block_content.mt_video_gallery_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:29:"field_mt_video_gallery_slides";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.comment.comment.default', 'a:11:{s:4:"uuid";s:36:"29569baf-13c0-4450-8e19-6737bfeeac7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:40:"field.field.comment.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"1yBeJcGufCbnbSolmaYgTIXZWYUaO7kw6xszGA8TYs8";}s:2:"id";s:23:"comment.comment.default";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:12:"comment_body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:100;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.contact_message.alternative.default', 'a:10:{s:4:"uuid";s:36:"6c017005-bc62-4b27-8796-ddb249b3256a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"contact.form.alternative";}}s:2:"id";s:35:"contact_message.alternative.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:11:"alternative";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:7:"message";a:6:{s:4:"type";s:12:"basic_string";s:6:"weight";i:1;s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.article.default', 'a:11:{s:4:"uuid";s:36:"16771de1-8af0-4cb1-b872-288631e830fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:48:"core.entity_view_display.comment.comment.default";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:5:{i:0;s:7:"comment";i:1;s:5:"image";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JtAg_-waIt1quMtdDtHIaXJMxvTuSmxW7bWyO6Zd68E";}s:2:"id";s:20:"node.article.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:7:"comment";a:6:{s:5:"label";s:5:"above";s:4:"type";s:15:"comment_default";s:6:"weight";i:4;s:8:"settings";a:2:{s:8:"pager_id";i:0;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:11:"field_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:14:"field_mt_video";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:10:"field_tags";a:6:{s:4:"type";s:22:"entity_reference_label";s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:3:{s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.article.mt_video_grid_item', 'a:11:{s:4:"uuid";s:36:"549c3a30-b97a-40b8-b0db-115a77a79e1b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:2:{i:0;s:4:"user";i:1;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JtAg_-waIt1quMtdDtHIaXJMxvTuSmxW7bWyO6Zd68E";}s:2:"id";s:31:"node.article.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:1:{s:14:"field_mt_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:4:"body";b:1;s:7:"comment";b:1;s:11:"field_image";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:10:"field_tags";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.article.rss', 'a:11:{s:4:"uuid";s:36:"57f7772a-3cfe-4e19-9055-a9c3f56ba339";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:30:"core.entity_view_mode.node.rss";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q90X1FmFdOkTx8udckWPoAgleOstOerbgDnNpoP6PO4";}s:2:"id";s:16:"node.article.rss";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:3:"rss";s:7:"content";a:1:{s:5:"links";a:4:{s:6:"weight";i:100;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:8:{s:4:"body";b:1;s:7:"comment";b:1;s:11:"field_image";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:14:"field_mt_video";b:1;s:10:"field_tags";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.article.teaser', 'a:11:{s:4:"uuid";s:36:"f58e136a-3bf6-455e-b04d-85bb5a366486";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U8ghxJXn8JE2p6Q2wLpPWAxpz4r_8crL1LxtapSrHAE";}s:2:"id";s:19:"node.article.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:4:"body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:11:"field_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:7:"comment";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:14:"field_mt_video";b:1;s:10:"field_tags";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_album.default', 'a:10:{s:4:"uuid";s:36:"a227dbcf-75d1-4235-87c0-68db32110152";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_body";i:1;s:44:"field.field.node.mt_album.field_mt_alb_image";i:2;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:3;s:44:"field.field.node.mt_album.field_mt_alb_video";i:4;s:17:"image.style.large";i:5;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_album.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:17:"field_mt_alb_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:18:"field_mt_alb_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_alb_tags";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_album.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"76fcebaf-409c-4dfe-9f9c-3e5a0de1f7cc";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:43:"field.field.node.mt_album.field_mt_alb_body";i:2;s:44:"field.field.node.mt_album.field_mt_alb_image";i:3;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:4;s:44:"field.field.node.mt_album.field_mt_alb_video";i:5;s:17:"image.style.large";i:6;s:18:"node.type.mt_album";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_album.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_alb_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:18:"field_mt_alb_image";b:1;s:17:"field_mt_alb_tags";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_album.teaser', 'a:10:{s:4:"uuid";s:36:"4e754196-0fa0-40d3-83ea-fc7f597ea1c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:43:"field.field.node.mt_album.field_mt_alb_body";i:2;s:44:"field.field.node.mt_album.field_mt_alb_image";i:3;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:4;s:44:"field.field.node.mt_album.field_mt_alb_video";i:5;s:17:"image.style.large";i:6;s:18:"node.type.mt_album";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:20:"node.mt_album.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_alb_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:2;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_alb_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:2:{s:17:"field_mt_alb_tags";b:1;s:18:"field_mt_alb_video";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_canvas_page.default', 'a:10:{s:4:"uuid";s:36:"88bf21a9-6a65-4d9b-8512-f6d9d511966e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.field.node.mt_canvas_page.field_mt_cnv_body";i:1;s:24:"node.type.mt_canvas_page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:27:"node.mt_canvas_page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_cnv_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:1;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_canvas_page.full', 'b:0;', -1, '1681653973.089', 1, '', '0'),
('core.entity_view_display.node.mt_canvas_page.teaser', 'a:10:{s:4:"uuid";s:36:"6d5ee254-fdeb-4033-8687-244722a305c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_canvas_page.field_mt_cnv_body";i:2;s:24:"node.type.mt_canvas_page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:26:"node.mt_canvas_page.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:17:"field_mt_cnv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:1;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_event.default', 'a:10:{s:4:"uuid";s:36:"caac6962-9909-4237-b0ba-6ea80dc671e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:13:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_body";i:1;s:43:"field.field.node.mt_event.field_mt_evn_date";i:2;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:3;s:44:"field.field.node.mt_event.field_mt_evn_files";i:4;s:44:"field.field.node.mt_event.field_mt_evn_image";i:5;s:47:"field.field.node.mt_event.field_mt_evn_location";i:6;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:7;s:44:"field.field.node.mt_event.field_mt_evn_place";i:8;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:9;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:10;s:44:"field.field.node.mt_event.field_mt_evn_video";i:11;s:17:"image.style.large";i:12;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:26:"entity_reference_revisions";i:2;s:4:"file";i:3;s:5:"image";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_event.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:17:"field_mt_evn_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:28:"use_description_as_link_text";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:24:"mt_get_directions_button";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:21:"field_mt_evn_map_zoom";b:1;}}', -1, '1681652741.493', 1, '', '0');
INSERT INTO `cache_config` VALUES
('core.entity_view_display.node.mt_event.mt_listing_item', 'a:10:{s:4:"uuid";s:36:"e77041ec-7e62-4132-ba57-10a3b832b971";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:14:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:43:"field.field.node.mt_event.field_mt_evn_body";i:2;s:43:"field.field.node.mt_event.field_mt_evn_date";i:3;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:4;s:44:"field.field.node.mt_event.field_mt_evn_files";i:5;s:44:"field.field.node.mt_event.field_mt_evn_image";i:6;s:47:"field.field.node.mt_event.field_mt_evn_location";i:7;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:8;s:44:"field.field.node.mt_event.field_mt_evn_place";i:9;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:10;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:11;s:44:"field.field.node.mt_event.field_mt_evn_video";i:12;s:17:"image.style.large";i:13;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:26:"entity_reference_revisions";i:2;s:4:"file";i:3;s:5:"image";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:29:"node.mt_event.mt_listing_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:15:"mt_listing_item";s:7:"content";a:11:{s:17:"field_mt_evn_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:24:"mt_get_directions_button";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:21:"field_mt_evn_map_zoom";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_event.teaser', 'a:10:{s:4:"uuid";s:36:"f4280b6a-3f28-4d72-a30c-e7a053c1ec39";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:14:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:43:"field.field.node.mt_event.field_mt_evn_body";i:2;s:43:"field.field.node.mt_event.field_mt_evn_date";i:3;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:4;s:44:"field.field.node.mt_event.field_mt_evn_files";i:5;s:44:"field.field.node.mt_event.field_mt_evn_image";i:6;s:47:"field.field.node.mt_event.field_mt_evn_location";i:7;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:8;s:44:"field.field.node.mt_event.field_mt_evn_place";i:9;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:10;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:11;s:44:"field.field.node.mt_event.field_mt_evn_video";i:12;s:17:"image.style.large";i:13;s:18:"node.type.mt_event";}s:6:"module";a:4:{i:0;s:8:"datetime";i:1;s:5:"image";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:20:"node.mt_event.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:6:"teaser";s:7:"content";a:4:{s:17:"field_mt_evn_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_evn_date";a:6:{s:4:"type";s:16:"datetime_default";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"format_type";s:6:"medium";s:17:"timezone_override";s:0:"";}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_evn_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:2;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_evn_place";a:6:{s:4:"type";s:6:"string";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:8:{s:27:"field_mt_evn_event_category";b:1;s:18:"field_mt_evn_files";b:1;s:21:"field_mt_evn_location";b:1;s:21:"field_mt_evn_map_zoom";b:1;s:20:"field_mt_evn_speaker";b:1;s:20:"field_mt_evn_sponsor";b:1;s:18:"field_mt_evn_video";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_presentation.default', 'a:10:{s:4:"uuid";s:36:"7e69d613-711d-4659-a521-75104d35342c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:15:{i:0;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:1;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:2;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:3;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:4;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:5;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:7;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:8;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:11;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:12;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:13;s:17:"image.style.large";i:14;s:25:"node.type.mt_presentation";}s:6:"module";a:6:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:28:"node.mt_presentation.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:25:"field_mt_prs_affiliations";a:6:{s:6:"weight";i:5;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_prs_authors";a:6:{s:6:"weight";i:4;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:17:"field_mt_prs_body";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_prs_category";a:6:{s:6:"weight";i:10;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_prs_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"format_type";s:6:"medium";s:17:"timezone_override";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_files";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:28:"use_description_as_link_text";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_prs_location";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_prs_session";a:6:{s:6:"weight";i:12;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:20:"field_mt_prs_speaker";a:6:{s:6:"weight";i:3;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:20:"field_mt_prs_sponsor";a:6:{s:6:"weight";i:9;s:5:"label";s:5:"above";s:8:"settings";a:2:{s:9:"view_mode";s:15:"mt_listing_item";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:19:"field_mt_prs_topics";a:6:{s:6:"weight";i:11;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_prs_video";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_presentation.teaser', 'a:10:{s:4:"uuid";s:36:"8da06888-c4cd-4bae-b68b-e727c8097702";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:16:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:2;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:3;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:4;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:5;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:7;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:8;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:11;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:12;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:13;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:14;s:17:"image.style.large";i:15;s:25:"node.type.mt_presentation";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:27:"node.mt_presentation.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_prs_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prs_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:11:{s:25:"field_mt_prs_affiliations";b:1;s:20:"field_mt_prs_authors";b:1;s:21:"field_mt_prs_category";b:1;s:17:"field_mt_prs_date";b:1;s:18:"field_mt_prs_files";b:1;s:21:"field_mt_prs_location";b:1;s:20:"field_mt_prs_session";b:1;s:20:"field_mt_prs_speaker";b:1;s:20:"field_mt_prs_sponsor";b:1;s:19:"field_mt_prs_topics";b:1;s:18:"field_mt_prs_video";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_product.default', 'a:10:{s:4:"uuid";s:36:"117dc762-2666-45b3-ab31-dc6c238e5182";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:19:{i:0;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:1;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:2;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:3;s:45:"field.field.node.mt_product.field_mt_prd_body";i:4;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:5;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:6;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:7;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:8;s:46:"field.field.node.mt_product.field_mt_prd_image";i:9;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:10;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:11;s:46:"field.field.node.mt_product.field_mt_prd_price";i:12;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:13;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:14;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:15;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:16;s:46:"field.field.node.mt_product.field_mt_prd_video";i:17;s:17:"image.style.large";i:18;s:20:"node.type.mt_product";}s:6:"module";a:7:{i:0;s:26:"entity_reference_revisions";i:1;s:5:"image";i:2;s:4:"link";i:3;s:7:"options";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_product.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:32:"field_mt_prd_additional_features";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:8;s:5:"label";s:5:"above";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_prd_availability";a:6:{s:6:"weight";i:15;s:5:"label";s:6:"inline";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"list_default";s:6:"region";s:7:"content";}s:28:"field_mt_prd_banner_carousel";a:6:{s:6:"weight";i:23;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_prd_body";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_prd_buy_link";a:6:{s:6:"weight";i:19;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:25:"field_mt_prd_content_tabs";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:21;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:22:"field_mt_prd_highlight";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_prd_image";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_prd_price";a:6:{s:6:"weight";i:17;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_prd_product_code";a:6:{s:6:"weight";i:14;s:5:"label";s:6:"inline";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:27:"field_mt_prd_subheader_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_prd_tags";a:6:{s:6:"weight";i:12;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_prd_video";a:6:{s:6:"weight";i:10;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:22;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:4:{s:23:"field_mt_prd_categories";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_product.mt_slide_view', 'a:10:{s:4:"uuid";s:36:"d2686508-614d-420d-ba28-afafc7079fb3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:40:"core.entity_view_mode.node.mt_slide_view";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:29:"node.mt_product.mt_slide_view";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:13:"mt_slide_view";s:7:"content";a:2:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:300;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:16:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:18:"field_mt_prd_video";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_product.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"173ae27c-4a33-4d13-9083-4dfbb94b92e8";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_product.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:16:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:18:"field_mt_prd_image";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_product.teaser', 'a:10:{s:4:"uuid";s:36:"7e23721c-bb88-421f-abe9-7a2575d0b241";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_product.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:15:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:18:"field_mt_prd_video";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_program_entry.default', 'a:10:{s:4:"uuid";s:36:"571a2255-4b9d-47fd-b63e-bf8fe9a8a691";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:55:"field.field.node.mt_program_entry.field_mt_prg_category";i:1;s:55:"field.field.node.mt_program_entry.field_mt_prg_end_date";i:2;s:52:"field.field.node.mt_program_entry.field_mt_prg_event";i:3;s:57:"field.field.node.mt_program_entry.field_mt_prg_start_date";i:4;s:26:"node.type.mt_program_entry";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"user";}}s:2:"id";s:29:"node.mt_program_entry.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:21:"field_mt_prg_end_date";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prg_event";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:23:"field_mt_prg_start_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:21:"field_mt_prg_category";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_program_entry.teaser', 'a:10:{s:4:"uuid";s:36:"5d2481c4-938d-4605-95b5-0075e89e97e7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:55:"field.field.node.mt_program_entry.field_mt_prg_category";i:2;s:55:"field.field.node.mt_program_entry.field_mt_prg_end_date";i:3;s:52:"field.field.node.mt_program_entry.field_mt_prg_event";i:4;s:57:"field.field.node.mt_program_entry.field_mt_prg_start_date";i:5;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:28:"node.mt_program_entry.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:4:"mode";s:6:"teaser";s:7:"content";a:1:{s:5:"links";a:4:{s:6:"weight";i:100;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:4:{s:21:"field_mt_prg_category";b:1;s:21:"field_mt_prg_end_date";b:1;s:18:"field_mt_prg_event";b:1;s:23:"field_mt_prg_start_date";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_service.default', 'a:10:{s:4:"uuid";s:36:"09e4d23f-08bf-419e-8686-91267d5a2601";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:1;s:45:"field.field.node.mt_service.field_mt_srv_body";i:2;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:3;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:4;s:46:"field.field.node.mt_service.field_mt_srv_image";i:5;s:46:"field.field.node.mt_service.field_mt_srv_price";i:6;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:7;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:8;s:46:"field.field.node.mt_service.field_mt_srv_video";i:9;s:17:"image.style.large";i:10;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:26:"entity_reference_revisions";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_service.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:7:"default";s:7:"content";a:10:{s:25:"field_mt_srv_banner_image";a:6:{s:6:"weight";i:10;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_srv_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_srv_buy_link";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:22:"field_mt_srv_highlight";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_srv_image";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_srv_price";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_srv_service_tags";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:27:"field_mt_srv_subheader_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:8;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_service.mt_slide_view', 'a:10:{s:4:"uuid";s:36:"d4408096-6c43-48db-8f36-301e98f6dd67";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:40:"core.entity_view_mode.node.mt_slide_view";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:29:"node.mt_service.mt_slide_view";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:13:"mt_slide_view";s:7:"content";a:2:{s:17:"field_mt_srv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:300;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_srv_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:8:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:18:"field_mt_srv_video";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_service.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"9f9acc6e-12f7-4fe7-aaaf-e38cea563693";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_service.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_srv_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_image";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_service.teaser', 'a:10:{s:4:"uuid";s:36:"d4ba0d95-afe7-4974-bdf3-36608970e257";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_service.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_srv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_srv_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:7:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:18:"field_mt_srv_video";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_speaker._custom', 'b:0;', -1, '1681650107.672', 1, '', '0'),
('core.entity_view_display.node.mt_speaker.default', 'a:10:{s:4:"uuid";s:36:"bbd780a7-569d-447e-b724-0f0937970483";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:1;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:2;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:4;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:5;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:6;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:8;s:27:"image.style.mt_member_photo";i:9;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:23:"node.mt_speaker.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:25:"field_mt_spk_affiliations";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681650107.732', 1, '', '0'),
('core.entity_view_display.node.mt_speaker.mt_listing_item', 'a:10:{s:4:"uuid";s:36:"bdc44654-1674-4e55-a59b-232179ed3e60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:2;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:4;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:5;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:6;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:8;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:9;s:27:"image.style.mt_member_photo";i:10;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:31:"node.mt_speaker.mt_listing_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:15:"mt_listing_item";s:7:"content";a:8:{s:25:"field_mt_spk_affiliations";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:1:{s:5:"links";b:1;}}', -1, '1681650107.732', 1, '', '0'),
('core.entity_view_display.node.mt_speaker.teaser', 'a:10:{s:4:"uuid";s:36:"f391486b-464c-4a66-8129-735ceb4742f0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:2;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:4;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:5;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:6;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:8;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:9;s:27:"image.style.mt_member_photo";i:10;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_speaker.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_spk_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_spk_speaker_photo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:6:{s:25:"field_mt_spk_affiliations";b:1;s:29:"field_mt_spk_facebook_account";b:1;s:29:"field_mt_spk_linkedin_account";b:1;s:21:"field_mt_spk_subtitle";b:1;s:28:"field_mt_spk_twitter_account";b:1;s:28:"field_mt_spk_youtube_account";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_sponsor.default', 'a:10:{s:4:"uuid";s:36:"661201be-0e59-4ab0-b0bb-e5bc673ec683";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:2;s:20:"image.style.mt_logos";i:3;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:23:"node.mt_sponsor.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:17:"field_mt_spn_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_spn_logo";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_sponsor.mt_listing_item', 'a:10:{s:4:"uuid";s:36:"d08d6598-4f43-40fc-9bb0-1cff37f2aef2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:2;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:3;s:20:"image.style.mt_logos";i:4;s:20:"node.type.mt_sponsor";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:2:"id";s:31:"node.mt_sponsor.mt_listing_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:15:"mt_listing_item";s:7:"content";a:1:{s:17:"field_mt_spn_logo";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:17:"field_mt_spn_body";b:1;s:5:"links";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_sponsor.teaser', 'a:10:{s:4:"uuid";s:36:"c0cf4165-406d-47a9-97ea-117eb5215fce";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:2;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:3;s:21:"image.style.mt_brands";i:4;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_sponsor.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_spn_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_spn_logo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_team_member.default', 'a:10:{s:4:"uuid";s:36:"ee529fc4-ebc5-4f06-8deb-359001ebc3fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:1;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:3;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:4;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:5;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:7;s:27:"image.style.mt_member_photo";i:8;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:27:"node.mt_team_member.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:17:"field_mt_tmm_body";a:6:{s:6:"weight";i:13;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_facebook_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_linkedin_account";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_tmm_member_photo";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_tmm_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_twitter_account";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_youtube_account";a:6:{s:6:"weight";i:11;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:14;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0');
INSERT INTO `cache_config` VALUES
('core.entity_view_display.node.mt_team_member.teaser', 'a:10:{s:4:"uuid";s:36:"ab11fbef-c5ef-427c-ae70-838c206a3523";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:3;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:4;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:5;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:7;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:8;s:27:"image.style.mt_member_photo";i:9;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:26:"node.mt_team_member.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_tmm_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_tmm_member_photo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:5:{s:29:"field_mt_tmm_facebook_account";b:1;s:29:"field_mt_tmm_linkedin_account";b:1;s:21:"field_mt_tmm_subtitle";b:1;s:28:"field_mt_tmm_twitter_account";b:1;s:28:"field_mt_tmm_youtube_account";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_testimonial.default', 'a:10:{s:4:"uuid";s:36:"30711c7b-450f-40e2-a034-36111d0222e6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:1;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:2;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:3;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:4;s:32:"image.style.mt_testimonial_image";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:27:"node.mt_testimonial.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:17:"field_mt_tst_body";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_tst_subtitle";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:30:"field_mt_tst_testimonial_image";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:29:"field_mt_tst_testimonial_link";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:8;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.mt_testimonial.teaser', 'a:10:{s:4:"uuid";s:36:"76e93c0c-e8dd-4e00-9bb5-85240cb6e5d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:2;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:3;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:4;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:5;s:32:"image.style.mt_testimonial_image";i:6;s:24:"node.type.mt_testimonial";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:26:"node.mt_testimonial.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:6:"teaser";s:7:"content";a:4:{s:17:"field_mt_tst_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:5;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:21:"field_mt_tst_subtitle";a:6:{s:4:"type";s:6:"string";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}}s:30:"field_mt_tst_testimonial_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:29:"field_mt_tst_testimonial_link";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.node.page.default', 'a:11:{s:4:"uuid";s:36:"3c83f4f8-4f03-41d4-b090-506c51f23482";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:26:"field.field.node.page.body";i:1;s:45:"field.field.node.page.field_mt_subheader_body";i:2;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"oZ-7vpIJxjxL2up9B5KrJGD0lazQ9aN0P-fIPo6OrSU";}s:2:"id";s:17:"node.page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:23:"field_mt_subheader_body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}', -1, '1681649766.988', 1, '', '0'),
('core.entity_view_display.node.page.full', 'b:0;', -1, '1681649766.988', 1, '', '0'),
('core.entity_view_display.node.page.teaser', 'a:11:{s:4:"uuid";s:36:"6914ed2a-3603-4769-8474-677c5a7a6ec7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:26:"field.field.node.page.body";i:2;s:45:"field.field.node.page.field_mt_subheader_body";i:3;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rN2zrScZAJ9xB16hm_Deb9QJKy6JXnn0PdI2n5Z3KRs";}s:2:"id";s:16:"node.page.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:100;s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:101;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:23:"field_mt_subheader_body";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_additional_feature.default', 'a:10:{s:4:"uuid";s:36:"cb83fc12-0efe-4958-9b6d-68cd870db8f7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:61:"field.field.paragraph.mt_additional_feature.field_mt_adf_body";i:1;s:64:"field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon";i:2;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_image";i:3;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_title";i:4;s:17:"image.style.large";i:5;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"text";}}s:2:"id";s:39:"paragraph.mt_additional_feature.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:17:"field_mt_adf_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:20:"field_mt_adf_fa_icon";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:6:"layers";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"fontawesome_icon_formatter";s:6:"region";s:7:"content";}s:18:"field_mt_adf_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_adf_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_collapse.default', 'a:10:{s:4:"uuid";s:36:"7f6245de-56cf-4a75-86b1-bbd5d3c8527e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:1;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:2;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:29:"paragraph.mt_collapse.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:22:"field_mt_collapse_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:23:"field_mt_collapse_title";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_dropdown.default', 'a:10:{s:4:"uuid";s:36:"25297fff-e7d3-4d89-931b-5ca13af018d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:1;s:59:"field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}}s:2:"id";s:29:"paragraph.mt_dropdown.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:23:"field_mt_dropdown_block";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:25:"field_mt_dropdown_fa_icon";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_fancy_linked_image.default', 'a:10:{s:4:"uuid";s:36:"1dbc52e8-b36c-46fe-b4a5-51a61c2477cc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:6:{i:0;s:71:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";i:1;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:2;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:3;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:4;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:5;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}}s:2:"id";s:39:"paragraph.mt_fancy_linked_image.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fli_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:6:{s:7:"created";b:1;s:27:"field_mt_fli_button_fa_icon";b:1;s:18:"field_mt_fli_image";b:1;s:17:"field_mt_fli_link";b:1;s:18:"field_mt_fli_shape";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_fancy_tab.default', 'a:10:{s:4:"uuid";s:36:"fbbcd41d-b9bf-4412-a8ae-e96139aa1ba3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:1;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:2;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:3;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:30:"paragraph.mt_fancy_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:30:"field_mt_fancy_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:4:{s:7:"created";b:1;s:23:"field_mt_fancy_subtitle";b:1;s:20:"field_mt_fancy_title";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_featured_linked_text_tile.default', 'a:10:{s:4:"uuid";s:36:"f36f0bac-92b1-4cd3-bfd8-0a70d56c54e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:1;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:2;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:3;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_featured_linked_text_tile.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fltt_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:4:{s:7:"created";b:1;s:18:"field_mt_fltt_link";b:1;s:19:"field_mt_fltt_title";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_highlight.default', 'a:10:{s:4:"uuid";s:36:"102a6da8-f4c8-4c1e-94cf-9da0115aa486";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:1;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:2;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:3;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:4;s:17:"image.style.large";i:5;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_highlight.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:23:"field_mt_highlight_body";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:23:"field_mt_highlight_link";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_title";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_icon_features.default', 'a:10:{s:4:"uuid";s:36:"e6be2356-6bc3-43a1-a898-8b2c69dfe559";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:1;s:58:"field.field.paragraph.mt_icon_features.field_mt_if_fa_icon";i:2;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:3;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:4;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:5;s:17:"image.style.large";i:6;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:4:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";}}s:2:"id";s:34:"paragraph.mt_icon_features.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:16:"field_mt_if_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:19:"field_mt_if_fa_icon";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:6:"layers";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"fontawesome_icon_formatter";s:6:"region";s:7:"content";}s:17:"field_mt_if_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:16:"field_mt_if_link";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:17:"field_mt_if_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_main_slideshow_slide.default', 'a:10:{s:4:"uuid";s:36:"dcf6cde2-0ae6-4fc0-b6e2-b0ced9df5862";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:1;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:2;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:3;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:4;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:5;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:6;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:7;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:8;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:9;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:41:"paragraph.mt_main_slideshow_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:25:"field_mt_ms_slide_caption";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"basic_string";s:6:"region";s:7:"content";}s:22:"field_mt_ms_slide_link";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:7:"created";b:1;s:31:"field_mt_ms_slide_caption_color";b:1;s:30:"field_mt_ms_slide_caption_opac";b:1;s:23:"field_mt_ms_slide_image";b:1;s:26:"field_mt_ms_slide_vimeo_id";b:1;s:24:"field_mt_ms_slide_volume";b:1;s:28:"field_mt_ms_slide_youtube_id";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_map_location.default', 'a:10:{s:4:"uuid";s:36:"e861ee8a-8df1-4f71-b991-57b12863f206";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:1;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:2;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:3;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:33:"paragraph.mt_map_location.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:4:"mode";s:7:"default";s:7:"content";a:0:{}s:6:"hidden";a:3:{s:20:"field_mt_ml_latitude";b:1;s:25:"field_mt_ml_location_name";b:1;s:21:"field_mt_ml_longitude";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_media_tab.default', 'a:10:{s:4:"uuid";s:36:"970c2840-8051-4de8-b2a7-9024e38e17ee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:1;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:2;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:3;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:4;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:5;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:6;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_media_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:19:"field_mt_media_body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:7:"created";b:1;s:21:"field_mt_media_button";b:1;s:20:"field_mt_media_image";b:1;s:24:"field_mt_media_tab_title";b:1;s:20:"field_mt_media_title";b:1;s:20:"field_mt_media_video";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_tab.default', 'a:10:{s:4:"uuid";s:36:"d1b7a49b-a868-44a7-99cb-54fc1a2c8516";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:1;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:24:"paragraph.mt_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:20:"field_mt_tab_content";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:18:"field_mt_tab_title";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_timeline_item.default', 'a:10:{s:4:"uuid";s:36:"d14980e3-1881-48e6-8db3-cf0f21155a83";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date";i:1;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link";i:2;s:66:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title";i:3;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"link";}}s:2:"id";s:34:"paragraph.mt_timeline_item.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_date";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:16:"mt_yearless_date";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:26:"field_mt_tml_timeline_link";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:27:"field_mt_tml_timeline_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.paragraph.mt_video_gallery_slide.default', 'a:10:{s:4:"uuid";s:36:"61d1d94e-c76c-4b7e-aa3f-472b5666e40a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:1;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:2;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:3;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:4;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:5;s:38:"image.style.mt_video_gallery_thumbnail";i:6;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:40:"paragraph.mt_video_gallery_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:24:"field_mt_vgs_slide_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:22:"field_mt_vgs_thumbnail";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:26:"mt_video_gallery_thumbnail";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_vgs_vimeo_id";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:19:"field_mt_vgs_volume";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:18:"number_unformatted";s:6:"region";s:7:"content";}s:23:"field_mt_vgs_youtube_id";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:7:"created";b:1;s:3:"uid";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.taxonomy_term.mt_affiliations.default', 'a:10:{s:4:"uuid";s:36:"b094942e-ecc7-44d3-a48e-6b645cfbcee0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:68:"field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image";i:1;s:18:"image.style.medium";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"text";}}s:2:"id";s:37:"taxonomy_term.mt_affiliations.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:11:"description";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:1;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_affiliation_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.taxonomy_term.mt_collections.default', 'a:10:{s:4:"uuid";s:36:"fc3ceec8-f563-49b0-aef8-be55538c51a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:1;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_collections.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:11:"description";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:25:"field_mt_collection_image";b:1;s:30:"field_mt_wide_collection_image";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.user.user.compact', 'a:11:{s:4:"uuid";s:36:"958708a5-d665-4834-852d-168279fc0843";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:34:"core.entity_view_mode.user.compact";i:1;s:40:"field.field.user.user.field_mt_full_name";i:2;s:40:"field.field.user.user.field_mt_signature";i:3;s:34:"field.field.user.user.user_picture";i:4;s:21:"image.style.thumbnail";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"C3k_McOy8bL8rTnIjspy5OfFdgqV1z6OdGZaI-tO5eM";}s:2:"id";s:17:"user.user.compact";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"compact";s:7:"content";a:1:{s:12:"user_picture";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:18:"field_mt_full_name";b:1;s:18:"field_mt_signature";b:1;s:10:"member_for";b:1;}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_display.user.user.default', 'a:11:{s:4:"uuid";s:36:"e3d9a969-1e63-4df4-a254-03460204eee4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.field.user.user.field_mt_full_name";i:1;s:40:"field.field.user.user.field_mt_signature";i:2;s:34:"field.field.user.user.user_picture";i:3;s:21:"image.style.thumbnail";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"L2mtwGWH_7wDRCMIR4r_Iu_jmvQ10DV1L8ht8iNZ5qY";}s:2:"id";s:17:"user.user.default";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:18:"field_mt_full_name";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:18:"field_mt_signature";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:10:"member_for";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"user_picture";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('core.entity_view_mode.block_content.full', 'a:9:{s:4:"uuid";s:36:"d31285d9-0f94-454a-9ca7-41eddec3cd99";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg";}s:2:"id";s:18:"block_content.full";s:5:"label";s:4:"Full";s:16:"targetEntityType";s:13:"block_content";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.comment.full', 'a:9:{s:4:"uuid";s:36:"30f36b6e-7d0d-4254-97f3-c5600cb7480e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"K7eNlfU7NEUajz01wItywZklr2oaPgL6s1_97fmDXLA";}s:2:"id";s:12:"comment.full";s:5:"label";s:12:"Full comment";s:16:"targetEntityType";s:7:"comment";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.font.full', 'a:9:{s:4:"uuid";s:36:"494343ff-2220-4c36-8495-cdf3cc0e70da";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"5sNC12vR6kVFfRc3APtk2vM7XPbzJopPm2tgDWYwaaE";}s:2:"id";s:9:"font.full";s:5:"label";s:14:"Full View Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.font.teaser', 'a:9:{s:4:"uuid";s:36:"75303881-05f4-4b3d-8fdb-fd2a36127668";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rftvifM6gdARc-tJa62RoSKjTyAnHLlkK-7F-2sO0H8";}s:2:"id";s:11:"font.teaser";s:5:"label";s:11:"Teaser Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.full', 'a:9:{s:4:"uuid";s:36:"f8fe4612-74a5-4b56-9058-e6e50ee9d0fb";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ElrtInxGjZd7GaapJ5O9n-ugi2hG2IxFivtgn0tHOsk";}s:2:"id";s:9:"node.full";s:5:"label";s:12:"Full content";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.mt_listing_item', 'a:8:{s:4:"uuid";s:36:"891e050b-6c78-4ae8-bbe5-b6a3429eac8d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:20:"node.mt_listing_item";s:5:"label";s:12:"Listing Item";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.mt_slide_view', 'a:8:{s:4:"uuid";s:36:"e37271ae-777c-4c26-9a0c-13044d7c9d46";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:18:"node.mt_slide_view";s:5:"label";s:10:"Slide View";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.mt_video_grid_item', 'a:8:{s:4:"uuid";s:36:"ec8cc51e-8173-41db-a117-05131af2f5f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.mt_video_grid_item";s:5:"label";s:15:"Video Grid Item";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.rss', 'a:9:{s:4:"uuid";s:36:"8546524f-b24c-4bfe-923e-79c2b408e26a";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vlYzr-rp2f9NMp-Qlr4sFjlqRq-90mco5-afLNGwCrU";}s:2:"id";s:8:"node.rss";s:5:"label";s:3:"RSS";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.search_index', 'a:9:{s:4:"uuid";s:36:"c7bb6b4f-5590-48c0-a151-6f5c5f292689";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fVFfJv_GzBRE-wpRHbfD5a3VjnhbEOXG6lvRd3uaccY";}s:2:"id";s:17:"node.search_index";s:5:"label";s:12:"Search index";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.search_result', 'a:9:{s:4:"uuid";s:36:"9584664a-2b8a-4480-b4d8-cda66b96f312";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6GCOQ-jP2RbdbHA5YWQ6bT8CfGbqrBYKOSC_XY4E3ZM";}s:2:"id";s:18:"node.search_result";s:5:"label";s:32:"Search result highlighting input";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.node.teaser', 'a:9:{s:4:"uuid";s:36:"da926b75-afbd-41bd-bcb7-874911a84e84";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mz9qWr1kUYK0mjRAGDsr5XS6PvtZ24en_7ndt-pyWe4";}s:2:"id";s:11:"node.teaser";s:5:"label";s:6:"Teaser";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.paragraph.preview', 'a:9:{s:4:"uuid";s:36:"7d2f6fa1-2287-4b88-8555-48299c7e903d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2LM5HYaL3qdCzMYZVLKx6NxTHPZJXyk4S5kfC8aPYOg";}s:2:"id";s:17:"paragraph.preview";s:5:"label";s:7:"Preview";s:16:"targetEntityType";s:9:"paragraph";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.taxonomy_term.full', 'a:9:{s:4:"uuid";s:36:"089eca0f-5c1d-4f3e-9811-0463ad7bb7e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-PPKjsNQPvoIDjOuUAvlLocYD976MNjb9Zpgyz5_BWE";}s:2:"id";s:18:"taxonomy_term.full";s:5:"label";s:18:"Taxonomy term page";s:16:"targetEntityType";s:13:"taxonomy_term";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.user.compact', 'a:9:{s:4:"uuid";s:36:"d3c8590d-54ba-440c-a302-54c15fddc36b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"71CSAr_LNPcgu6D6jI4INl1KATkahmeyUFBETAWya8g";}s:2:"id";s:12:"user.compact";s:5:"label";s:7:"Compact";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.entity_view_mode.user.full', 'a:9:{s:4:"uuid";s:36:"542fcebc-8bc4-4bef-8210-2b235d80f09e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mQIF_foYjmnVSr9MpcD4CTaJE_FpO1AyDd_DskztGhM";}s:2:"id";s:9:"user.full";s:5:"label";s:12:"User account";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}', -1, '1681649762.483', 1, '', '0'),
('core.extension', 'a:4:{s:6:"module";a:58:{s:14:"automated_cron";i:0;s:22:"better_exposed_filters";i:0;s:5:"block";i:0;s:13:"block_content";i:0;s:10:"breakpoint";i:0;s:8:"ckeditor";i:0;s:5:"color";i:0;s:7:"comment";i:0;s:6:"config";i:0;s:7:"contact";i:0;s:10:"contextual";i:0;s:8:"datetime";i:0;s:5:"dblog";i:0;s:18:"dynamic_page_cache";i:0;s:6:"editor";i:0;s:26:"entity_reference_revisions";i:0;s:5:"field";i:0;s:11:"field_group";i:0;s:8:"field_ui";i:0;s:4:"file";i:0;s:6:"filter";i:0;s:11:"fontawesome";i:0;s:17:"fullcalendar_view";i:0;s:4:"help";i:0;s:7:"history";i:0;s:5:"image";i:0;s:8:"juicerio";i:0;s:4:"link";i:0;s:7:"menu_ui";i:0;s:12:"mt_countdown";i:0;s:4:"node";i:0;s:7:"options";i:0;s:10:"page_cache";i:0;s:4:"path";i:0;s:10:"path_alias";i:0;s:9:"quickedit";i:0;s:3:"rdf";i:0;s:6:"search";i:0;s:8:"shortcut";i:0;s:10:"statistics";i:0;s:9:"superfish";i:0;s:6:"system";i:0;s:8:"taxonomy";i:0;s:4:"text";i:0;s:7:"toolbar";i:0;s:4:"tour";i:0;s:6:"update";i:0;s:4:"user";i:0;s:17:"video_embed_field";i:0;s:8:"views_ui";i:0;s:7:"webform";i:0;s:10:"webform_ui";i:0;s:12:"fontyourface";i:1;s:17:"menu_link_content";i:1;s:16:"google_fonts_api";i:10;s:5:"views";i:10;s:10:"paragraphs";i:11;s:8:"standard";i:1000;}s:5:"theme";a:5:{s:6:"stable";i:0;s:6:"classy";i:0;s:5:"seven";i:0;s:14:"conferenceplus";i:0;s:7:"olivero";i:0;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"m2GVq11UAOVuNgj8x0t5fMOPujpvQQ_zxLoaly1BMEU";}s:7:"profile";s:8:"standard";}', -1, '1681653355.274', 1, '', '0'),
('core.menu.static_menu_link_overrides', 'a:2:{s:11:"definitions";a:2:{s:18:"contact__site_page";a:5:{s:7:"enabled";b:1;s:9:"menu_name";s:6:"footer";s:6:"parent";s:0:"";s:6:"weight";i:0;s:8:"expanded";b:0;}s:20:"standard__front_page";a:5:{s:6:"weight";i:-99;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"enabled";b:0;s:8:"expanded";b:0;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jdY7AU0tU-QsjmiOw3W8vwpYMb-By--_MSFgbqKUTYM";}}', -1, '1681649760.517', 1, '', '0'),
('dblog.settings', 'a:2:{s:9:"row_limit";i:1000;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"e883aGsrt1wFrsydlYU584PZONCSfRy0DtkZ9KzHb58";}}', -1, '1681652741.493', 1, '', '0'),
('editor.editor.basic_html', 'a:9:{s:4:"uuid";s:36:"d877a2d5-bd90-40a3-8c44-29e01424b548";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"filter.format.basic_html";}s:6:"module";a:1:{i:0;s:8:"ckeditor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AqlPmO16LvJI4D0Ih6u4GFQIzqr5OnLgAUSjcUGWk2g";}s:6:"format";s:10:"basic_html";s:6:"editor";s:8:"ckeditor";s:8:"settings";a:2:{s:7:"toolbar";a:1:{s:4:"rows";a:1:{i:0;a:6:{i:0;a:2:{s:4:"name";s:10:"Formatting";s:5:"items";a:2:{i:0;s:4:"Bold";i:1;s:6:"Italic";}}i:1;a:2:{s:4:"name";s:7:"Linking";s:5:"items";a:2:{i:0;s:10:"DrupalLink";i:1;s:12:"DrupalUnlink";}}i:2;a:2:{s:4:"name";s:5:"Lists";s:5:"items";a:2:{i:0;s:12:"BulletedList";i:1;s:12:"NumberedList";}}i:3;a:2:{s:4:"name";s:5:"Media";s:5:"items";a:2:{i:0;s:10:"Blockquote";i:1;s:11:"DrupalImage";}}i:4;a:2:{s:4:"name";s:16:"Block Formatting";s:5:"items";a:1:{i:0;s:6:"Format";}}i:5;a:2:{s:4:"name";s:5:"Tools";s:5:"items";a:1:{i:0;s:6:"Source";}}}}}s:7:"plugins";a:1:{s:11:"stylescombo";a:1:{s:6:"styles";s:0:"";}}}s:12:"image_upload";a:5:{s:6:"status";b:1;s:6:"scheme";s:6:"public";s:9:"directory";s:13:"inline-images";s:8:"max_size";s:0:"";s:14:"max_dimensions";a:2:{s:5:"width";i:0;s:6:"height";i:0;}}}', -1, '1681652741.493', 1, '', '0'),
('editor.editor.full_html', 'a:9:{s:4:"uuid";s:36:"ef256e59-f7c5-4793-9d96-00edd5e592c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"filter.format.full_html";}s:6:"module";a:1:{i:0;s:8:"ckeditor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"967ijj7p6i7rwrYl7r08WQFeCY_c23YAh0h8u-w_CXM";}s:6:"format";s:9:"full_html";s:6:"editor";s:8:"ckeditor";s:8:"settings";a:2:{s:7:"toolbar";a:1:{s:4:"rows";a:1:{i:0;a:7:{i:0;a:2:{s:4:"name";s:10:"Formatting";s:5:"items";a:7:{i:0;s:4:"Bold";i:1;s:6:"Italic";i:2;s:6:"Strike";i:3;s:11:"Superscript";i:4;s:9:"Subscript";i:5;s:1:"-";i:6;s:12:"RemoveFormat";}}i:1;a:2:{s:4:"name";s:7:"Linking";s:5:"items";a:2:{i:0;s:10:"DrupalLink";i:1;s:12:"DrupalUnlink";}}i:2;a:2:{s:4:"name";s:5:"Lists";s:5:"items";a:2:{i:0;s:12:"BulletedList";i:1;s:12:"NumberedList";}}i:3;a:2:{s:4:"name";s:5:"Media";s:5:"items";a:4:{i:0;s:10:"Blockquote";i:1;s:11:"DrupalImage";i:2;s:5:"Table";i:3;s:14:"HorizontalRule";}}i:4;a:2:{s:4:"name";s:16:"Block Formatting";s:5:"items";a:1:{i:0;s:6:"Format";}}i:5;a:2:{s:4:"name";s:5:"Tools";s:5:"items";a:2:{i:0;s:10:"ShowBlocks";i:1;s:6:"Source";}}i:6;a:2:{s:4:"name";s:11:"Fontawesome";s:5:"items";a:1:{i:0;s:17:"DrupalFontAwesome";}}}}}s:7:"plugins";a:2:{s:11:"stylescombo";a:1:{s:6:"styles";s:0:"";}s:8:"language";a:1:{s:13:"language_list";s:2:"un";}}}s:12:"image_upload";a:5:{s:6:"status";b:1;s:6:"scheme";s:6:"public";s:9:"directory";s:13:"inline-images";s:8:"max_size";s:0:"";s:14:"max_dimensions";a:2:{s:5:"width";N;s:6:"height";N;}}}', -1, '1681652741.493', 1, '', '0'),
('field.field.block_content.basic.body', 'a:17:{s:4:"uuid";s:36:"f846560e-28fe-4c24-a2e5-edde073bddae";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"R__6wc-rMfFMO8d7jcgqnqiA92j8spKhcc5MiqecrMc";}s:2:"id";s:24:"block_content.basic.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:5:"basic";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649761.566', 1, '', '0'),
('field.field.block_content.mt_background_image_block.field_mt_background_image', 'a:16:{s:4:"uuid";s:36:"510183e4-3805-4ba2-97f3-6d71b7e173ba";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_background_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:65:"block_content.mt_background_image_block.field_mt_background_image";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:16:"Background Image";s:11:"description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.574', 1, '', '0'),
('field.field.block_content.mt_background_image_block.field_mt_bg_image_color', 'a:16:{s:4:"uuid";s:36:"bc3df0d5-dd6b-4c97-b05b-6f6476b39928";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:51:"field.storage.block_content.field_mt_bg_image_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_background_image_block.field_mt_bg_image_color";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:30:"Background Image Overlay Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.574', 1, '', '0'),
('field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode', 'a:16:{s:4:"uuid";s:36:"4614f686-f6dd-4bee-afc1-9d9bbf063c7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_layout_mode";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:19:"Inner Blocks Layout";s:11:"description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.574', 1, '', '0'),
('field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity', 'a:16:{s:4:"uuid";s:36:"c3f9e7d8-3a8b-40db-8882-a32ffa575b0f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_bg_image_opacity";}}s:2:"id";s:65:"block_content.mt_background_image_block.field_mt_bg_image_opacity";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:32:"Background Image Overlay Opacity";s:11:"description";s:58:"Set the % opacity for the overlay of the background image.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.574', 1, '', '0'),
('field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning', 'a:16:{s:4:"uuid";s:36:"7b4fb691-fd2d-4460-83c8-084c7df8497a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_positioning";}}s:2:"id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_positioning";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:48:"Enable fixed positioning of the background image";s:11:"description";s:99:"Use the checkbox to fix the position of the background image or allow it to scroll with the content";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649761.574', 1, '', '0'),
('field.field.block_content.mt_background_image_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"8fe7e957-51c6-4af3-96ed-31b1701463b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:64:"block_content.mt_background_image_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.574', 1, '', '0');
INSERT INTO `cache_config` VALUES
('field.field.block_content.mt_background_video_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"9f5aeaec-f577-4b34-b516-bac71c883e2c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:64:"block_content.mt_background_video_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.578', 1, '', '0'),
('field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode', 'a:16:{s:4:"uuid";s:36:"6fa600ac-335d-4682-96fd-a998bd127b75";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:51:"field.storage.block_content.field_mt_bv_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_background_video_block.field_mt_bv_layout_mode";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:19:"Inner Blocks Layout";s:11:"description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.579', 1, '', '0'),
('field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color', 'a:16:{s:4:"uuid";s:36:"9fa17553-5cda-430c-8cde-06f12263c3d9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:53:"field.storage.block_content.field_mt_bv_overlay_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:65:"block_content.mt_background_video_block.field_mt_bv_overlay_color";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:30:"Background Video Overlay Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.579', 1, '', '0'),
('field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity', 'a:16:{s:4:"uuid";s:36:"4e738158-1217-45ee-ac9c-06708611d158";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";}}s:2:"id";s:67:"block_content.mt_background_video_block.field_mt_bv_overlay_opacity";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:32:"Background Video Overlay Opacity";s:11:"description";s:58:"Set the % opacity for the overlay of the background video.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.579', 1, '', '0'),
('field.field.block_content.mt_background_video_block.field_mt_bv_poster', 'a:16:{s:4:"uuid";s:36:"7cb6cdf9-a5a9-4383-9e57-e818a72a3cc9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:46:"field.storage.block_content.field_mt_bv_poster";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:58:"block_content.mt_background_video_block.field_mt_bv_poster";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:6:"Poster";s:11:"description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.579', 1, '', '0'),
('field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4', 'a:16:{s:4:"uuid";s:36:"3dc8330f-5039-4bab-a393-460593651aaf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:49:"field.storage.block_content.field_mt_bv_video_mp4";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:61:"block_content.mt_background_video_block.field_mt_bv_video_mp4";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:22:"Background Video (mp4)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:3:"mp4";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}', -1, '1681649761.579', 1, '', '0'),
('field.field.block_content.mt_background_video_block.field_mt_bv_video_webm', 'a:16:{s:4:"uuid";s:36:"bbd57de8-d236-4c75-88f0-56002523dced";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:50:"field.storage.block_content.field_mt_bv_video_webm";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:62:"block_content.mt_background_video_block.field_mt_bv_video_webm";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:23:"Background Video (webm)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:4:"webm";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}', -1, '1681649761.579', 1, '', '0'),
('field.field.block_content.mt_collapsible_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"7ee18867-5cad-424f-bd24-9e972434dac0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:59:"block_content.mt_collapsible_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.583', 1, '', '0'),
('field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon', 'a:16:{s:4:"uuid";s:36:"4840933e-2edf-4262-b29e-a092b1b5e3d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:53:"field.storage.block_content.field_mt_cb_collapse_icon";}}s:2:"id";s:60:"block_content.mt_collapsible_block.field_mt_cb_collapse_icon";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:13:"Collapse icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.583', 1, '', '0'),
('field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon', 'a:16:{s:4:"uuid";s:36:"465c50c2-9f00-4996-9c2f-c1d76faccf34";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:51:"field.storage.block_content.field_mt_cb_expand_icon";}}s:2:"id";s:58:"block_content.mt_collapsible_block.field_mt_cb_expand_icon";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:11:"Expand icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.583', 1, '', '0'),
('field.field.block_content.mt_collapsible_block.field_mt_cb_state', 'a:16:{s:4:"uuid";s:36:"3e82a681-b916-42a5-a0f3-7fc7d45591f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_state";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:52:"block_content.mt_collapsible_block.field_mt_cb_state";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:22:"Collapse initial state";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:8:"expanded";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.583', 1, '', '0'),
('field.field.block_content.mt_collapsible_block.field_mt_cb_title', 'a:16:{s:4:"uuid";s:36:"707fd58a-e82f-4ed2-8594-af23a4c14e55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_title";}}s:2:"id";s:52:"block_content.mt_collapsible_block.field_mt_cb_title";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:14:"Collapse title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.583', 1, '', '0'),
('field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position', 'a:16:{s:4:"uuid";s:36:"cf099eb0-f4cf-4db8-8689-32e4543691b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:56:"field.storage.block_content.field_mt_cb_trigger_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_collapsible_block.field_mt_cb_trigger_position";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:16:"Trigger Position";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"bottom";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.583', 1, '', '0'),
('field.field.block_content.mt_dropdowns_block.field_mt_dropdown', 'a:16:{s:4:"uuid";s:36:"dceba06e-f3c2-4fab-bd63-311dbea437c9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:45:"field.storage.block_content.field_mt_dropdown";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_dropdowns_block.field_mt_dropdown";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:5:"label";s:8:"Dropdown";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}s:24:"target_bundles_drag_drop";a:9:{s:11:"mt_collapse";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:7:"enabled";b:1;s:6:"weight";i:11;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.587', 1, '', '0'),
('field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image', 'a:16:{s:4:"uuid";s:36:"c96b6770-6250-4c07-9d12-1dd05990d5fe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:2;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:70:"block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:5:"label";s:18:"Fancy Linked Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:7:"enabled";b:1;s:6:"weight";i:5;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:11:"mt_ns_slide";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.590', 1, '', '0'),
('field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab', 'a:16:{s:4:"uuid";s:36:"cc3406c0-6618-4249-8835-9fff2ebef6a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_fancy_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:52:"block_content.mt_fancy_tabs_block.field_mt_fancy_tab";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:5:"label";s:9:"Fancy Tab";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}s:24:"target_bundles_drag_drop";a:1:{s:12:"mt_fancy_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:2;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.593', 1, '', '0'),
('field.field.block_content.mt_fltt_block.field_mt_fltt', 'a:16:{s:4:"uuid";s:36:"b3f2234e-46f4-4172-9ee8-392185faa425";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:41:"field.storage.block_content.field_mt_fltt";i:2;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_fltt_block.field_mt_fltt";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:5:"label";s:25:"Featured Linked Text Tile";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}s:24:"target_bundles_drag_drop";a:6:{s:11:"mt_collapse";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:7:"enabled";b:1;s:6:"weight";i:10;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.596', 1, '', '0'),
('field.field.block_content.mt_google_maps.field_mt_map_location', 'a:16:{s:4:"uuid";s:36:"6530800d-8d39-4cd5-a484-738140500835";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:49:"field.storage.block_content.field_mt_map_location";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_google_maps.field_mt_map_location";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:5:"label";s:12:"Map Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:10:{s:11:"mt_collapse";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:17;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.599', 1, '', '0'),
('field.field.block_content.mt_google_maps.field_mt_map_zoom', 'a:16:{s:4:"uuid";s:36:"e31a8f7b-fc55-4076-bb8c-e82d95b18ca5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:45:"field.storage.block_content.field_mt_map_zoom";}}s:2:"id";s:46:"block_content.mt_google_maps.field_mt_map_zoom";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:5:"label";s:8:"Map zoom";s:11:"description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.599', 1, '', '0'),
('field.field.block_content.mt_if_block.field_mt_if', 'a:16:{s:4:"uuid";s:36:"95953737-44ab-4383-a154-9283325ad37a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:39:"field.storage.block_content.field_mt_if";i:2;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:37:"block_content.mt_if_block.field_mt_if";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:5:"label";s:12:"Icon Feature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}s:24:"target_bundles_drag_drop";a:12:{s:11:"mt_collapse";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:7:"enabled";b:1;s:6:"weight";i:19;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.602', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout', 'a:16:{s:4:"uuid";s:36:"91084980-ce10-4f4a-b965-812eddf014f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:68:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:16:"Slideshow Layout";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"fullwidth";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide', 'a:16:{s:4:"uuid";s:36:"c6550e11-7ea0-434c-b297-c2cbdf99d954";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:2;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:67:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Main Slideshow Slide";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}s:24:"target_bundles_drag_drop";a:7:{s:11:"mt_collapse";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:12;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity', 'a:16:{s:4:"uuid";s:36:"e1db7556-cf02-487d-869c-c5948a138216";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_ms_background_opacity";}}s:2:"id";s:68:"block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:28:"Slideshow Background Opacity";s:11:"description";s:52:"Set the % opacity for the background of the caption.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position', 'a:16:{s:4:"uuid";s:36:"046d32d1-ebf9-4d60-81bc-57076b72d6b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_bullets_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:37:"Slideshow Navigation Bullets Position";s:11:"description";s:56:"From the drop-down menu, select the position you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"center";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect', 'a:16:{s:4:"uuid";s:36:"974767ed-4e6c-4913-abe3-646727e95c35";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:46:"field.storage.block_content.field_mt_ms_effect";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:56:"block_content.mt_main_slideshow_block.field_mt_ms_effect";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:16:"Slideshow Effect";s:11:"description";s:64:"From the drop-down menu, select the slideshow effect you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:4:"fade";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration', 'a:16:{s:4:"uuid";s:36:"d1c071cc-0984-40da-84a4-43532908db72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_effect_duration";}}s:2:"id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:31:"Slideshow Effect duration (sec)";s:11:"description";s:40:"Set the speed of animations, in seconds.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:9;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height', 'a:16:{s:4:"uuid";s:36:"342f745a-3ef3-42eb-b2f6-43eecc424666";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";}}s:2:"id";s:70:"block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Ignore Header Height";s:11:"description";s:65:"Ignore the Header Height when using the Full Screen Layout option";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"on";s:9:"off_label";s:3:"off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height', 'a:16:{s:4:"uuid";s:36:"a329c6d3-3e9a-4ec7-bbd8-37173eff9ac1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:54:"field.storage.block_content.field_mt_ms_initial_height";}}s:2:"id";s:64:"block_content.mt_main_slideshow_block.field_mt_ms_initial_height";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:24:"Slideshow Initial Height";s:11:"description";s:33:"Set the initial height, in pixels";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:650;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style', 'a:16:{s:4:"uuid";s:36:"dd7b7186-fc99-4e24-ac6d-481d29194524";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_navigation_style";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:26:"Slideshow Navigation Style";s:11:"description";s:53:"From the drop-down menu, select the style you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:7:"bullets";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav', 'a:16:{s:4:"uuid";s:36:"91c6da3d-07c1-4748-8794-4b3e2a1275a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";}}s:2:"id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:29:"Enable touch swipe navigation";s:11:"description";s:79:"Use the checkbox to enable or disable touch swipe navigation in mobile devices.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:1;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649761.606', 1, '', '0'),
('field.field.block_content.mt_media_tabs_block.field_mt_media_tab', 'a:16:{s:4:"uuid";s:36:"7b21f57f-0ca1-4b0a-865e-60b58eaab5c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_media_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:52:"block_content.mt_media_tabs_block.field_mt_media_tab";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:5:"label";s:9:"Media Tab";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:5;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:7;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.610', 1, '', '0'),
('field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide', 'a:16:{s:4:"uuid";s:36:"5e48e528-c122-4020-984a-e98c7ffe27d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:45:"field.storage.block_content.field_mt_ns_slide";i:2;s:20:"node.type.mt_product";i:3;s:20:"node.type.mt_service";}}s:2:"id";s:56:"block_content.mt_nodes_slideshow_block.field_mt_ns_slide";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:5:"label";s:10:"Node Slide";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:2:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.613', 1, '', '0'),
('field.field.block_content.mt_tabs_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"8500a028-bd4f-4b01-bbcf-c96c4ae70a95";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:52:"block_content.mt_tabs_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.616', 1, '', '0'),
('field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item', 'a:16:{s:4:"uuid";s:36:"2e04f648-833e-4e53-9c7c-5f0916829e8a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:54:"field.storage.block_content.field_mt_tml_timeline_item";i:2;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:58:"block_content.mt_timeline_block.field_mt_tml_timeline_item";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:5:"label";s:8:"Timeline";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:7:"enabled";b:1;s:6:"weight";i:27;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.619', 1, '', '0'),
('field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore', 'a:16:{s:4:"uuid";s:36:"d6e9e355-572d-42fe-8d08-7db6c40dc2aa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:58:"field.storage.block_content.field_mt_tml_timeline_viewmore";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:62:"block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649761.619', 1, '', '0'),
('field.field.block_content.mt_typing_animation_block.body', 'a:16:{s:4:"uuid";s:36:"401f70f1-7f83-46d3-a195-3c85f8c072b3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:44:"block_content.mt_typing_animation_block.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649761.567', 1, '', '0'),
('field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides', 'a:16:{s:4:"uuid";s:36:"d637e6d3-d559-42e2-9a86-7347a494ac49";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:2;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:66:"block_content.mt_video_gallery_block.field_mt_video_gallery_slides";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:5:"label";s:20:"Video Gallery slides";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}s:24:"target_bundles_drag_drop";a:8:{s:11:"mt_collapse";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:16;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.625', 1, '', '0'),
('field.field.comment.comment.comment_body', 'a:17:{s:4:"uuid";s:36:"c848d333-8a45-47c9-92ed-046945e890e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:34:"field.storage.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs";}s:2:"id";s:28:"comment.comment.comment_body";s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:6:"bundle";s:7:"comment";s:5:"label";s:7:"Comment";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.638', 1, '', '0'),
('field.field.font.font.field_classification', 'a:17:{s:4:"uuid";s:36:"660f4e1e-355e-4466-9d35-c85e750dd60f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"field.storage.font.field_classification";i:1;s:39:"taxonomy.vocabulary.font_classification";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r-AW_FTgnDVgz4PK8K26pkoqzJwJdDJt8OrDaNooDGg";}s:2:"id";s:30:"font.font.field_classification";s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:14:"Classification";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"font_classification";s:19:"font_classification";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.730', 1, '', '0'),
('field.field.font.font.field_supported_languages', 'a:17:{s:4:"uuid";s:36:"be56227e-0f0a-4ff0-a9cf-cd2e517a9338";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.font.field_supported_languages";i:1;s:39:"taxonomy.vocabulary.languages_supported";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"J4-E4ka4YSO-U8k25RPslraI-MBBGx8u_lZ5MMmA6VI";}s:2:"id";s:35:"font.font.field_supported_languages";s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:19:"Supported Languages";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"languages_supported";s:19:"languages_supported";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.732', 1, '', '0'),
('field.field.font.font.field_tags', 'a:17:{s:4:"uuid";s:36:"d919dfa9-d051-4d12-8fa7-c91ed6cc3c63";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:29:"field.storage.font.field_tags";i:1;s:33:"taxonomy.vocabulary.font_designer";i:2;s:32:"taxonomy.vocabulary.font_foundry";i:3;s:29:"taxonomy.vocabulary.font_tags";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vFrDIkrN9IwL_67iczIOTkbiWs_AtxkloxiRoFwHLC4";}s:2:"id";s:20:"font.font.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:3:{s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:12:"font_foundry";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.732', 1, '', '0'),
('field.field.node.article.body', 'a:17:{s:4:"uuid";s:36:"22774150-a9d0-4c26-aead-900d5e77ef52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ay3b2hq42cpQTFB_lNu8S2ZxuVIY6-dlBsc7vLeJ-YY";}s:2:"id";s:17:"node.article.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.404', 1, '', '0'),
('field.field.node.article.comment', 'a:17:{s:4:"uuid";s:36:"052adc29-f2e6-4b8e-a837-8b0db5ac613f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:26:"field.storage.node.comment";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"szSOp-8eNsMcuh8usDre1x76RhDKaPhNUuwzRX5cgv4";}s:2:"id";s:20:"node.article.comment";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:8:"Comments";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:6:{s:6:"status";i:2;s:3:"cid";i:0;s:17:"last_comment_name";N;s:22:"last_comment_timestamp";i:0;s:16:"last_comment_uid";i:0;s:13:"comment_count";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:5:{s:12:"default_mode";i:1;s:8:"per_page";i:50;s:13:"form_location";b:1;s:9:"anonymous";i:0;s:7:"preview";i:1;}s:10:"field_type";s:7:"comment";}', -1, '1681649760.404', 1, '', '0'),
('field.field.node.article.field_image', 'a:17:{s:4:"uuid";s:36:"a712a34e-6e42-4df3-8340-4891b7f206e7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"field.storage.node.field_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tgJzhA7Swh4M_gWU5FwFe5lPxPj5rebpMbvhpdNrERs";}s:2:"id";s:24:"node.article.field_image";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.404', 1, '', '0'),
('field.field.node.article.field_mt_slideshow', 'a:16:{s:4:"uuid";s:36:"569f4368-bc9e-41f6-937d-9c11e0426174";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_slideshow";i:1;s:17:"node.type.article";}}s:2:"id";s:31:"node.article.field_mt_slideshow";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:31:"Promote to front page slideshow";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649760.404', 1, '', '0'),
('field.field.node.article.field_mt_slideshow_image', 'a:16:{s:4:"uuid";s:36:"03505e3d-d874-42e5-94c7-14258e003539";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:37:"node.article.field_mt_slideshow_image";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:15:"Slideshow image";s:11:"description";s:251:"Recommended pixel dimensions for Fullscreen Slideshow - W: 1920 px / H: 1080 px.\r\n<br>Recommended pixel dimensions for Full-Width Slideshow - W: 1920 px / H: 500 px.\r\n<br>Recommended pixel dimensions for Boxed-Width Slideshow - W: 1140 px / H: 500 px.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.404', 1, '', '0');
INSERT INTO `cache_config` VALUES
('field.field.node.article.field_mt_slideshow_text', 'a:16:{s:4:"uuid";s:36:"af206751-4195-49c8-b4cb-b5d4cb04c5d4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_slideshow_text";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:36:"node.article.field_mt_slideshow_text";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:14:"Slideshow text";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649760.404', 1, '', '0'),
('field.field.node.article.field_mt_video', 'a:16:{s:4:"uuid";s:36:"92ac7626-1e4e-4f27-9583-5f957279d016";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"field.storage.node.field_mt_video";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:27:"node.article.field_mt_video";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}', -1, '1681649760.404', 1, '', '0'),
('field.field.node.article.field_tags', 'a:17:{s:4:"uuid";s:36:"518cf7f8-069b-4e72-a3d5-e463eadb4ce9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:29:"field.storage.node.field_tags";i:1;s:17:"node.type.article";i:2;s:24:"taxonomy.vocabulary.tags";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"QdUgf_beeoaPiyKorFv0q1fcJpWH_uZTqe_xoVJacrw";}s:2:"id";s:23:"node.article.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:4:"Tags";s:11:"description";s:84:"Enter a comma-separated list. For example: Amsterdam, Mexico City, "Cleveland, Ohio"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649760.404', 1, '', '0'),
('field.field.node.mt_album.field_mt_alb_body', 'a:16:{s:4:"uuid";s:36:"f434c6af-4f07-4aa0-b31f-bda05139fb53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:31:"node.mt_album.field_mt_alb_body";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.370', 1, '', '0'),
('field.field.node.mt_album.field_mt_alb_image', 'a:16:{s:4:"uuid";s:36:"51e65240-f907-49e5-86e4-4c49cda0a8d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:32:"node.mt_album.field_mt_alb_image";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.370', 1, '', '0'),
('field.field.node.mt_album.field_mt_alb_tags', 'a:16:{s:4:"uuid";s:36:"235ffff1-7343-47f9-9694-465345f7467d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_alb_tags";i:1;s:18:"node.type.mt_album";i:2;s:39:"taxonomy.vocabulary.mt_album_categories";}}s:2:"id";s:31:"node.mt_album.field_mt_alb_tags";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"mt_album_categories";s:19:"mt_album_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649760.370', 1, '', '0'),
('field.field.node.mt_album.field_mt_alb_video', 'a:16:{s:4:"uuid";s:36:"1661d076-db9b-4e1c-96d0-b7fb01c2b87b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_video";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_album.field_mt_alb_video";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}', -1, '1681649760.370', 1, '', '0'),
('field.field.node.mt_canvas_page.field_mt_cnv_body', 'a:16:{s:4:"uuid";s:36:"a542e6e4-5522-4272-af12-78e39d4a7d40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_cnv_body";i:1;s:24:"node.type.mt_canvas_page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_canvas_page.field_mt_cnv_body";s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.289', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_body', 'a:16:{s:4:"uuid";s:36:"54f9ec84-30f0-4e01-9913-c195cf1483fe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:31:"node.mt_event.field_mt_evn_body";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_date', 'a:16:{s:4:"uuid";s:36:"c9c5cfe8-58f4-4fb3-bb40-9ade76dec52d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_date";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:31:"node.mt_event.field_mt_evn_date";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_event_category', 'a:16:{s:4:"uuid";s:36:"97a21dea-e00a-4f83-b086-67cf94a24b38";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:46:"field.storage.node.field_mt_evn_event_category";i:1;s:18:"node.type.mt_event";i:2;s:39:"taxonomy.vocabulary.mt_event_categories";}}s:2:"id";s:41:"node.mt_event.field_mt_evn_event_category";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:14:"Event Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"mt_event_categories";s:19:"mt_event_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_files', 'a:16:{s:4:"uuid";s:36:"5d26169d-e72b-4ad8-9090-2d3f3c570a46";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_files";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_files";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:5:"Files";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_image', 'a:16:{s:4:"uuid";s:36:"b8597cd5-9374-4804-b9eb-d78374518481";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_image";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_image";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_location', 'a:16:{s:4:"uuid";s:36:"cb4aa9af-87d2-439e-a4b6-09779d3495d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_evn_location";i:1;s:18:"node.type.mt_event";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:35:"node.mt_event.field_mt_evn_location";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:8:"Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:24;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:6:"weight";i:27;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_map_zoom', 'a:16:{s:4:"uuid";s:36:"dc0f7a98-8e90-4a61-b4f7-5676550f21a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_evn_map_zoom";i:1;s:18:"node.type.mt_event";}}s:2:"id";s:35:"node.mt_event.field_mt_evn_map_zoom";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:8:"Map Zoom";s:11:"description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_place', 'a:16:{s:4:"uuid";s:36:"bfd78a87-aa63-4939-be4c-52eb6d6295d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_place";i:1;s:18:"node.type.mt_event";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_place";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:5:"Place";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_speaker', 'a:16:{s:4:"uuid";s:36:"1aff6d1f-eb44-47c2-b4e1-487eda51f86a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_speaker";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_speaker";}}s:2:"id";s:34:"node.mt_event.field_mt_evn_speaker";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:7:"Speaker";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_sponsor', 'a:16:{s:4:"uuid";s:36:"f239972d-00fa-495e-b0c9-64f155e995ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_sponsor";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_sponsor";}}s:2:"id";s:34:"node.mt_event.field_mt_evn_sponsor";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:7:"Sponsor";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_event.field_mt_evn_video', 'a:16:{s:4:"uuid";s:36:"b403a9da-837e-4877-867a-0fba333c8e0c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_video";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_video";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}', -1, '1681649761.737', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_affiliations', 'a:16:{s:4:"uuid";s:36:"441d8f87-fc79-406c-9188-1d07c7ae9044";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prs_affiliations";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:46:"node.mt_presentation.field_mt_prs_affiliations";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:12:"Affiliations";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_authors', 'a:16:{s:4:"uuid";s:36:"56e92ae2-8a91-455f-a172-08a2dd950634";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"field.storage.node.field_mt_prs_authors";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_authors";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:7:"Authors";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_body', 'a:16:{s:4:"uuid";s:36:"a14ac2c2-0aa6-40f0-bfee-2ca1a8494dff";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:38:"node.mt_presentation.field_mt_prs_body";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_category', 'a:16:{s:4:"uuid";s:36:"eb7aca32-d198-4871-9851-58ede3afc312";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_prs_category";i:1;s:25:"node.type.mt_presentation";i:2;s:46:"taxonomy.vocabulary.mt_presentation_categories";}}s:2:"id";s:42:"node.mt_presentation.field_mt_prs_category";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_date', 'a:16:{s:4:"uuid";s:36:"f95663f8-eae5-4d7e-bfcb-c8be713fd952";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_date";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:38:"node.mt_presentation.field_mt_prs_date";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_files', 'a:16:{s:4:"uuid";s:36:"de785d49-7af0-4169-8879-85219002d834";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_files";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_files";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:5:"Files";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:1;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_image', 'a:16:{s:4:"uuid";s:36:"92d78097-ffa0-4a75-b096-72b118c765a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_image";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_image";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_location', 'a:16:{s:4:"uuid";s:36:"d784c561-19f7-4dc0-9898-38fc2d37629d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prs_location";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:42:"node.mt_presentation.field_mt_prs_location";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_session', 'a:16:{s:4:"uuid";s:36:"5fd4e67c-ca7f-4372-95c9-791b73fc79ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_session";i:1;s:25:"node.type.mt_presentation";i:2;s:30:"taxonomy.vocabulary.mt_session";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_session";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:7:"Session";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_session";s:10:"mt_session";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_speaker', 'a:16:{s:4:"uuid";s:36:"6854265c-fd55-4245-8de0-a87b5a880e7e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_speaker";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_speaker";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_speaker";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Speakers";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_sponsor', 'a:16:{s:4:"uuid";s:36:"b63f2f87-90f9-4e22-ac09-a79d44f208be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_sponsor";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_sponsor";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_sponsor";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Sponsors";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_topics', 'a:16:{s:4:"uuid";s:36:"f0fd1baf-e571-4c96-b102-2b48dd347650";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:38:"field.storage.node.field_mt_prs_topics";i:1;s:25:"node.type.mt_presentation";i:2;s:29:"taxonomy.vocabulary.mt_topics";}}s:2:"id";s:40:"node.mt_presentation.field_mt_prs_topics";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:6:"Topics";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_presentation.field_mt_prs_video', 'a:16:{s:4:"uuid";s:36:"c73050a5-213e-4bd8-9eec-4e6f8421dab1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_video";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_video";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}', -1, '1681649761.741', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_additional_features', 'a:16:{s:4:"uuid";s:36:"0d0ca2de-0b85-4c71-b689-725e4d9f9900";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:51:"field.storage.node.field_mt_prd_additional_features";i:1;s:20:"node.type.mt_product";i:2;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:48:"node.mt_product.field_mt_prd_additional_features";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:19:"Additional Features";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:7:"enabled";b:1;s:6:"weight";i:14;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649760.337', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_availability', 'a:16:{s:4:"uuid";s:36:"dda452e3-f319-4a83-be91-ccf7673fa96a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_availability";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_availability";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:12:"Availability";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_banner_carousel', 'a:16:{s:4:"uuid";s:36:"9dd19524-de06-4b9e-bbe1-70c871b65323";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_banner_carousel";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"node.mt_product.field_mt_prd_banner_carousel";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:33:"Internal Banner Carousel Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_body', 'a:16:{s:4:"uuid";s:36:"d6575ee4-8157-4c81-a2d2-06af8e101d36";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_product.field_mt_prd_body";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_buy_link', 'a:16:{s:4:"uuid";s:36:"c3f40f9b-7ed7-43c3-ae36-0808913a59c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:37:"node.mt_product.field_mt_prd_buy_link";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:8:"Buy Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_categories', 'a:16:{s:4:"uuid";s:36:"36ac5121-0d74-42d0-838c-6db43f49526e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:42:"field.storage.node.field_mt_prd_categories";i:1;s:20:"node.type.mt_product";i:2;s:34:"taxonomy.vocabulary.mt_collections";}}s:2:"id";s:39:"node.mt_product.field_mt_prd_categories";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:10:"Categories";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_content_tabs', 'a:16:{s:4:"uuid";s:36:"a76cb6fa-1b6b-479b-bbd3-25c722ac8b2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_prd_content_tabs";i:1;s:20:"node.type.mt_product";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_content_tabs";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Tabs";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:25;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_highlight', 'a:16:{s:4:"uuid";s:36:"b5846f43-cde4-4029-b58d-c3cd02304edb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_prd_highlight";i:1;s:20:"node.type.mt_product";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:38:"node.mt_product.field_mt_prd_highlight";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:9:"Highlight";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_image', 'a:16:{s:4:"uuid";s:36:"8d699d38-a735-4fb3-85e4-0ac1dc6331ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_image";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_landscape_image', 'a:16:{s:4:"uuid";s:36:"2d18fcde-fe25-4fb3-9ae3-62af7706af1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_landscape_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"node.mt_product.field_mt_prd_landscape_image";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:15:"Landscape Image";s:11:"description";s:89:"Optional image, used only on selected Views-driven pages with items listed using Masonry.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_most_popular', 'a:16:{s:4:"uuid";s:36:"728d24fe-81aa-4461-a52c-d83eee6d97db";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_most_popular";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:12:"Most Popular";s:11:"description";s:83:"Check the box to highlight this Product as “most popular” in the pricing table.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:12:"most popular";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_price', 'a:16:{s:4:"uuid";s:36:"723f0719-8d77-42da-b1e9-7466933da6a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_price";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_price";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:5:"Price";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_pricing_table_item', 'a:16:{s:4:"uuid";s:36:"fa4a9ab6-0302-45a1-903f-ac097047bfe6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.node.field_mt_prd_pricing_table_item";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:47:"node.mt_product.field_mt_prd_pricing_table_item";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:21:"Pricing Table Feature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_product_code', 'a:16:{s:4:"uuid";s:36:"77823686-2655-47b6-b873-a892d9e2b2d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_product_code";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_product_code";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:3:"SKU";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_subheader_body', 'a:16:{s:4:"uuid";s:36:"5141e284-dd7e-44a5-be00-364fe51781f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_prd_subheader_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"node.mt_product.field_mt_prd_subheader_body";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_tags', 'a:16:{s:4:"uuid";s:36:"58ea92f5-47cb-4e3c-a43c-ee50a95e27bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_prd_tags";i:1;s:20:"node.type.mt_product";i:2;s:24:"taxonomy.vocabulary.tags";}}s:2:"id";s:33:"node.mt_product.field_mt_prd_tags";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_product.field_mt_prd_video', 'a:16:{s:4:"uuid";s:36:"0abffa15-cd17-4135-bf22-1d34fb82a983";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_video";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_video";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}', -1, '1681649760.338', 1, '', '0'),
('field.field.node.mt_program_entry.field_mt_prg_category', 'a:16:{s:4:"uuid";s:36:"86e1ea52-9089-4a78-b695-43327a7aaf34";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_prg_category";i:1;s:26:"node.type.mt_program_entry";i:2;s:47:"taxonomy.vocabulary.mt_program_entry_categories";}}s:2:"id";s:43:"node.mt_program_entry.field_mt_prg_category";s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:8:"Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.745', 1, '', '0'),
('field.field.node.mt_program_entry.field_mt_prg_end_date', 'a:16:{s:4:"uuid";s:36:"7b424705-b0e2-4b30-a35a-5a6e695c339e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prg_end_date";i:1;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:43:"node.mt_program_entry.field_mt_prg_end_date";s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:8:"End Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}', -1, '1681649761.745', 1, '', '0'),
('field.field.node.mt_program_entry.field_mt_prg_event', 'a:16:{s:4:"uuid";s:36:"298acee4-fcf1-42af-9112-da13e40b8afd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_prg_event";i:1;s:18:"node.type.mt_event";i:2;s:25:"node.type.mt_presentation";i:3;s:26:"node.type.mt_program_entry";}}s:2:"id";s:40:"node.mt_program_entry.field_mt_prg_event";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:18:"Event/Presentation";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:2:{s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:8:"mt_event";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.745', 1, '', '0');
INSERT INTO `cache_config` VALUES
('field.field.node.mt_program_entry.field_mt_prg_start_date', 'a:16:{s:4:"uuid";s:36:"d0cc1c8a-9126-48f4-b816-29b0bb812b69";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_prg_start_date";i:1;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:45:"node.mt_program_entry.field_mt_prg_start_date";s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:10:"Start Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}', -1, '1681649761.745', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_banner_image', 'a:16:{s:4:"uuid";s:36:"22ecabbe-c5ad-46d8-ad32-d7364028a0f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_srv_banner_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:41:"node.mt_service.field_mt_srv_banner_image";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:24:"Internal banner image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.312', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_body', 'a:16:{s:4:"uuid";s:36:"6906f236-70f9-4bb9-b147-46810d13eb33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_service.field_mt_srv_body";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.312', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_buy_link', 'a:16:{s:4:"uuid";s:36:"ccd0f471-d8a5-4f4d-a24a-9e3b18bd4fbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_srv_buy_link";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:37:"node.mt_service.field_mt_srv_buy_link";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:8:"Buy Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649760.313', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_highlight', 'a:16:{s:4:"uuid";s:36:"99b60365-42f4-47c2-baf4-a3e44bab5407";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_srv_highlight";i:1;s:20:"node.type.mt_service";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:38:"node.mt_service.field_mt_srv_highlight";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:9:"Highlight";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}', -1, '1681649760.313', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_image', 'a:16:{s:4:"uuid";s:36:"c9b98218-f13c-469a-9427-2b3bc5d600ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_image";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.313', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_price', 'a:16:{s:4:"uuid";s:36:"06dd9a5c-813b-4d07-9861-bb83b20f2855";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_price";i:1;s:20:"node.type.mt_service";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_price";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:5:"Price";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.313', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_service_tags', 'a:16:{s:4:"uuid";s:36:"d7fa6b65-cbde-4142-b701-0f23680ca4f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_srv_service_tags";i:1;s:20:"node.type.mt_service";i:2;s:35:"taxonomy.vocabulary.mt_service_tags";}}s:2:"id";s:41:"node.mt_service.field_mt_srv_service_tags";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:12:"Service Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649760.313', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_subheader_body', 'a:16:{s:4:"uuid";s:36:"ea6328af-0cea-4c6c-ad18-c4dfd101e518";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_srv_subheader_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"node.mt_service.field_mt_srv_subheader_body";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.313', 1, '', '0'),
('field.field.node.mt_service.field_mt_srv_video', 'a:16:{s:4:"uuid";s:36:"34b90fa6-b72a-42e3-9b99-9791af8db9de";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_video";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_video";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}', -1, '1681649760.313', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_affiliations', 'a:16:{s:4:"uuid";s:36:"a4d573d8-b1ab-4b93-90b5-232d471a3cbf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_spk_affiliations";i:1;s:20:"node.type.mt_speaker";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}}s:2:"id";s:41:"node.mt_speaker.field_mt_spk_affiliations";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:12:"Affiliations";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_body', 'a:16:{s:4:"uuid";s:36:"6573184d-fb8a-4b27-8794-df2823e33318";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spk_body";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_speaker.field_mt_spk_body";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_facebook_account', 'a:16:{s:4:"uuid";s:36:"c304a903-454a-48c8-9ba8-836679a6b551";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:45:"node.mt_speaker.field_mt_spk_facebook_account";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Facebook";s:11:"description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_linkedin_account', 'a:16:{s:4:"uuid";s:36:"737bcadb-82d9-4a27-b0e7-bb1d23ed980d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:45:"node.mt_speaker.field_mt_spk_linkedin_account";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Linkedin";s:11:"description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_speaker_photo', 'a:16:{s:4:"uuid";s:36:"d52be9d6-c574-4b3e-8af9-6787187bfec8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:42:"node.mt_speaker.field_mt_spk_speaker_photo";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:13:"Speaker Photo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_subtitle', 'a:16:{s:4:"uuid";s:36:"0b43c71d-e59d-4f58-8fed-fd3a92a1eb5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_spk_subtitle";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:37:"node.mt_speaker.field_mt_spk_subtitle";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_twitter_account', 'a:16:{s:4:"uuid";s:36:"a66b3b85-b093-4f8c-83aa-4b16176ceaa1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_twitter_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:44:"node.mt_speaker.field_mt_spk_twitter_account";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:7:"Twitter";s:11:"description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_speaker.field_mt_spk_youtube_account', 'a:16:{s:4:"uuid";s:36:"0330cd7f-bc68-4f05-8b31-f4ace910553e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_youtube_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:44:"node.mt_speaker.field_mt_spk_youtube_account";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:7:"YouTube";s:11:"description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.749', 1, '', '0'),
('field.field.node.mt_sponsor.field_mt_spn_body', 'a:16:{s:4:"uuid";s:36:"c93449a4-013c-494d-9fe4-14299f602bc2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_body";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_sponsor.field_mt_spn_body";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649761.753', 1, '', '0'),
('field.field.node.mt_sponsor.field_mt_spn_logo', 'a:16:{s:4:"uuid";s:36:"21604998-f196-4c1d-a923-37b10a4bb54b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:33:"node.mt_sponsor.field_mt_spn_logo";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:5:"label";s:4:"Logo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.753', 1, '', '0'),
('field.field.node.mt_team_member.field_mt_tmm_body', 'a:16:{s:4:"uuid";s:36:"9ae356df-db03-4d39-a138-a2f0b569b950";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tmm_body";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_team_member.field_mt_tmm_body";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.435', 1, '', '0'),
('field.field.node.mt_team_member.field_mt_tmm_facebook_account', 'a:16:{s:4:"uuid";s:36:"e52d7ab8-3aaa-40af-b8fd-36f52663b9ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:49:"node.mt_team_member.field_mt_tmm_facebook_account";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Facebook";s:11:"description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.435', 1, '', '0'),
('field.field.node.mt_team_member.field_mt_tmm_linkedin_account', 'a:16:{s:4:"uuid";s:36:"6040ca86-6b34-439f-ae76-57d78f1414f8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:49:"node.mt_team_member.field_mt_tmm_linkedin_account";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Linkedin";s:11:"description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.435', 1, '', '0'),
('field.field.node.mt_team_member.field_mt_tmm_member_photo', 'a:16:{s:4:"uuid";s:36:"b3798000-e15f-4123-b4b6-99d507302ec0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:45:"node.mt_team_member.field_mt_tmm_member_photo";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:12:"Member Photo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.435', 1, '', '0'),
('field.field.node.mt_team_member.field_mt_tmm_subtitle', 'a:16:{s:4:"uuid";s:36:"4f3296df-f4b4-4ece-af56-1d24de77f3e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tmm_subtitle";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:41:"node.mt_team_member.field_mt_tmm_subtitle";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.435', 1, '', '0'),
('field.field.node.mt_team_member.field_mt_tmm_twitter_account', 'a:16:{s:4:"uuid";s:36:"4edd66b7-718b-428f-bc26-43936c6ff5d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:48:"node.mt_team_member.field_mt_tmm_twitter_account";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:7:"Twitter";s:11:"description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.435', 1, '', '0'),
('field.field.node.mt_team_member.field_mt_tmm_youtube_account', 'a:16:{s:4:"uuid";s:36:"82b9a147-6edb-4f09-a9d8-81e265c1149a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_youtube_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:48:"node.mt_team_member.field_mt_tmm_youtube_account";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:7:"YouTube";s:11:"description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.435', 1, '', '0'),
('field.field.node.mt_testimonial.field_mt_tst_body', 'a:16:{s:4:"uuid";s:36:"6ad7fa09-01a9-4b33-ad70-980512ba8fa9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_testimonial.field_mt_tst_body";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649761.756', 1, '', '0'),
('field.field.node.mt_testimonial.field_mt_tst_subtitle', 'a:16:{s:4:"uuid";s:36:"703119d5-eebc-41b9-80a6-b40096093135";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tst_subtitle";i:1;s:24:"node.type.mt_testimonial";}}s:2:"id";s:41:"node.mt_testimonial.field_mt_tst_subtitle";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.756', 1, '', '0'),
('field.field.node.mt_testimonial.field_mt_tst_testimonial_image', 'a:16:{s:4:"uuid";s:36:"92c94f79-5370-4102-95a6-ab40813f1992";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"node.mt_testimonial.field_mt_tst_testimonial_image";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:17:"Testimonial Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:0:"";s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.756', 1, '', '0'),
('field.field.node.mt_testimonial.field_mt_tst_testimonial_link', 'a:16:{s:4:"uuid";s:36:"0ef202ef-8e68-4891-9ca0-36f63cd365bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:49:"node.mt_testimonial.field_mt_tst_testimonial_link";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:16:"Testimonial Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649761.756', 1, '', '0'),
('field.field.node.page.body', 'a:17:{s:4:"uuid";s:36:"b05f7c01-155a-4bb4-b62a-b77b75e91fcf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rUop-8b6hvxxDYbv-KobTfNIBNbPY9qOPl8f6kBNSpw";}s:2:"id";s:14:"node.page.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.267', 1, '', '0'),
('field.field.node.page.field_mt_subheader_body', 'a:16:{s:4:"uuid";s:36:"64def67f-327a-4207-8497-c4f740c842b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_subheader_body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.page.field_mt_subheader_body";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.267', 1, '', '0'),
('field.field.paragraph.mt_additional_feature.field_mt_adf_body', 'a:16:{s:4:"uuid";s:36:"5f9c7c3e-c383-4146-88b1-5a15ee83a7dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_adf_body";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:49:"paragraph.mt_additional_feature.field_mt_adf_body";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.642', 1, '', '0'),
('field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon', 'a:16:{s:4:"uuid";s:36:"bd90e19e-db77-48f5-b8fc-834bd9b60502";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_adf_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:52:"paragraph.mt_additional_feature.field_mt_adf_fa_icon";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:17:"Font Awesome Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}', -1, '1681649761.645', 1, '', '0'),
('field.field.paragraph.mt_additional_feature.field_mt_adf_image', 'a:16:{s:4:"uuid";s:36:"cc8318ea-85b5-4216-86d3-d3e5b419d96f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_image";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"paragraph.mt_additional_feature.field_mt_adf_image";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.645', 1, '', '0'),
('field.field.paragraph.mt_additional_feature.field_mt_adf_title', 'a:16:{s:4:"uuid";s:36:"b22fcff9-12c4-4129-938f-35edb13ef6b5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_title";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}}s:2:"id";s:50:"paragraph.mt_additional_feature.field_mt_adf_title";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.645', 1, '', '0'),
('field.field.paragraph.mt_collapse.field_mt_collapse_body', 'a:16:{s:4:"uuid";s:36:"2345eac5-938c-40ce-ba2a-6f8e48cf32c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_collapse_body";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:44:"paragraph.mt_collapse.field_mt_collapse_body";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:5:"label";s:13:"Collapse Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.648', 1, '', '0'),
('field.field.paragraph.mt_collapse.field_mt_collapse_title', 'a:16:{s:4:"uuid";s:36:"d549a8d3-fdc7-4cec-a855-59b5e0034682";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_collapse_title";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}}s:2:"id";s:45:"paragraph.mt_collapse.field_mt_collapse_title";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:5:"label";s:14:"Collapse Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.648', 1, '', '0'),
('field.field.paragraph.mt_dropdown.field_mt_dropdown_block', 'a:16:{s:4:"uuid";s:36:"f5d8cd86-08aa-4168-af5e-bb864823688a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}}s:2:"id";s:45:"paragraph.mt_dropdown.field_mt_dropdown_block";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:5:"label";s:14:"Dropdown Block";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.651', 1, '', '0'),
('field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon', 'a:16:{s:4:"uuid";s:36:"b8cdf293-25a7-43ab-b965-29ddd0933646";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_dropdown_fa_icon";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:47:"paragraph.mt_dropdown.field_mt_dropdown_fa_icon";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:5:"label";s:21:"Dropdown Trigger Icon";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}', -1, '1681649761.651', 1, '', '0'),
('field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon', 'a:16:{s:4:"uuid";s:36:"db823943-d35e-41fe-bcc0-f8fb65b77104";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_fli_button_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:59:"paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:11:"Button Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}', -1, '1681649761.654', 1, '', '0'),
('field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image', 'a:16:{s:4:"uuid";s:36:"557d23a8-a38e-46ef-b8bf-4523658ceb11";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_image";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_image";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Image";s:11:"description";s:53:"Recommended pixel dimensions - W: 750 px / H: 750 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.654', 1, '', '0'),
('field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link', 'a:16:{s:4:"uuid";s:36:"da83d41f-08a4-43b0-a841-bdabb04e92a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_fli_link";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:49:"paragraph.mt_fancy_linked_image.field_mt_fli_link";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649761.654', 1, '', '0'),
('field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape', 'a:16:{s:4:"uuid";s:36:"2727f19a-5f06-4bdc-84de-a03588fa9653";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_shape";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_shape";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Shape";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.654', 1, '', '0'),
('field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title', 'a:16:{s:4:"uuid";s:36:"5f243c35-c3e6-4c88-9213-eff2e2efe812";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_title";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_title";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.654', 1, '', '0'),
('field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference', 'a:16:{s:4:"uuid";s:36:"eeeef153-2eba-46fa-90d5-2eb8ee48663a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:53:"paragraph.mt_fancy_tab.field_mt_fancy_block_reference";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}', -1, '1681649761.657', 1, '', '0'),
('field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle', 'a:16:{s:4:"uuid";s:36:"c8bb5a18-33c7-4b9f-999e-c0122f2cb105";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:46:"paragraph.mt_fancy_tab.field_mt_fancy_subtitle";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:12:"Tab Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.657', 1, '', '0'),
('field.field.paragraph.mt_fancy_tab.field_mt_fancy_title', 'a:16:{s:4:"uuid";s:36:"e078d316-f77a-4846-b985-c06a7ac7d414";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_fancy_title";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:43:"paragraph.mt_fancy_tab.field_mt_fancy_title";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:9:"Tab title";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.657', 1, '', '0'),
('field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body', 'a:16:{s:4:"uuid";s:36:"877ba83b-1973-4631-8e59-1159e0a236f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_body";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.661', 1, '', '0'),
('field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link', 'a:16:{s:4:"uuid";s:36:"796c42d4-74fa-41cf-972e-90e85f022d9d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_link";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649761.661', 1, '', '0'),
('field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title', 'a:16:{s:4:"uuid";s:36:"b186b011-3386-453b-b481-b2be1c3bd678";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_fltt_title";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}}s:2:"id";s:58:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.661', 1, '', '0'),
('field.field.paragraph.mt_highlight.field_mt_highlight_body', 'a:16:{s:4:"uuid";s:36:"489416d5-4c46-412f-a540-488ea5520eb8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_body";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_highlight.field_mt_highlight_body";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.664', 1, '', '0'),
('field.field.paragraph.mt_highlight.field_mt_highlight_image', 'a:16:{s:4:"uuid";s:36:"ac418b6b-61e3-4957-9d18-f521a83a5507";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_image";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:47:"paragraph.mt_highlight.field_mt_highlight_image";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.664', 1, '', '0'),
('field.field.paragraph.mt_highlight.field_mt_highlight_link', 'a:16:{s:4:"uuid";s:36:"39c1f90c-b22f-4d3e-98fd-2e6beff28835";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_link";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:46:"paragraph.mt_highlight.field_mt_highlight_link";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649761.664', 1, '', '0'),
('field.field.paragraph.mt_highlight.field_mt_highlight_title', 'a:16:{s:4:"uuid";s:36:"647a139e-5fa5-47f2-80ea-98be384fd40d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_title";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}}s:2:"id";s:47:"paragraph.mt_highlight.field_mt_highlight_title";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.664', 1, '', '0'),
('field.field.paragraph.mt_icon_features.field_mt_if_body', 'a:16:{s:4:"uuid";s:36:"bf24cdb9-5b0e-43fc-bf96-a9309e27ccbd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_body";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"paragraph.mt_icon_features.field_mt_if_body";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.668', 1, '', '0'),
('field.field.paragraph.mt_icon_features.field_mt_if_fa_icon', 'a:16:{s:4:"uuid";s:36:"da5f21f9-32f5-4d84-a650-b5b9071ad0ab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_if_fa_icon";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:46:"paragraph.mt_icon_features.field_mt_if_fa_icon";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}', -1, '1681649761.668', 1, '', '0');
INSERT INTO `cache_config` VALUES
('field.field.paragraph.mt_icon_features.field_mt_if_image', 'a:16:{s:4:"uuid";s:36:"940aacc1-364a-4ac8-9c89-959cb2d6f701";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_image";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"paragraph.mt_icon_features.field_mt_if_image";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.668', 1, '', '0'),
('field.field.paragraph.mt_icon_features.field_mt_if_link', 'a:16:{s:4:"uuid";s:36:"c390feb5-cae9-4743-a89f-82757cfe5b20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_link";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:43:"paragraph.mt_icon_features.field_mt_if_link";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:1;}s:10:"field_type";s:4:"link";}', -1, '1681649761.668', 1, '', '0'),
('field.field.paragraph.mt_icon_features.field_mt_if_title', 'a:16:{s:4:"uuid";s:36:"2411ac4b-7cca-492a-9de8-3bcd634ea6c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_title";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}}s:2:"id";s:44:"paragraph.mt_icon_features.field_mt_if_title";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.668', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption', 'a:16:{s:4:"uuid";s:36:"12785108-0046-4edb-bf28-e3435510607b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:59:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:13:"Slide Caption";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"string_long";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color', 'a:16:{s:4:"uuid";s:36:"033e1106-e2fd-4fec-861a-5634185014c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:65:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:30:"Slide Caption Background Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:48:"region--light-typography region--dark-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac', 'a:16:{s:4:"uuid";s:36:"4f459cf5-c75a-47d2-bc62-5a8f4fe4f626";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:64:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:32:"Slide Caption Background Opacity";s:11:"description";s:52:"Set the % opacity for the background of the caption.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:90;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image', 'a:16:{s:4:"uuid";s:36:"7703a1b1-a719-4c64-af82-69995891c91d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:11:"Slide Image";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link', 'a:16:{s:4:"uuid";s:36:"7a2c2551-6edb-4854-a578-89c3e7f2f7ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:56:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:10:"Slide Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title', 'a:16:{s:4:"uuid";s:36:"2a4620e7-c99e-4894-8184-e2db12120c20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:11:"Slide Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id', 'a:16:{s:4:"uuid";s:36:"ec07141b-78cf-436e-b19e-24b806149761";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:60:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:14:"Slide Vimeo id";s:11:"description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume', 'a:16:{s:4:"uuid";s:36:"b0a743ac-6b06-49a4-bdf2-725ef69dd5f2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:58:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:12:"Slide Volume";s:11:"description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id', 'a:16:{s:4:"uuid";s:36:"e313ac40-23cf-479c-a0d6-3c24779afd3f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:62:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:16:"Slide Youtube id";s:11:"description";s:141:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.672', 1, '', '0'),
('field.field.paragraph.mt_map_location.field_mt_ml_latitude', 'a:16:{s:4:"uuid";s:36:"f061a972-8b30-4868-987f-925de9d42e55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:46:"paragraph.mt_map_location.field_mt_ml_latitude";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:8:"Latitude";s:11:"description";s:48:"Enter the Latitude of the marker. e.g. 40.726576";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.676', 1, '', '0'),
('field.field.paragraph.mt_map_location.field_mt_ml_location_name', 'a:16:{s:4:"uuid";s:36:"7bf9a499-85be-4053-bf1b-43a19216631c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:51:"paragraph.mt_map_location.field_mt_ml_location_name";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:13:"Location Name";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.676', 1, '', '0'),
('field.field.paragraph.mt_map_location.field_mt_ml_longitude', 'a:16:{s:4:"uuid";s:36:"a43bd031-153a-40f7-acb2-f716f55adeb4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:47:"paragraph.mt_map_location.field_mt_ml_longitude";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:9:"Longitude";s:11:"description";s:50:"Enter the Longitude of the marker. e.g. -74.046822";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.676', 1, '', '0'),
('field.field.paragraph.mt_media_tab.field_mt_media_body', 'a:16:{s:4:"uuid";s:36:"38140e70-b567-4556-bb3e-abee9a438310";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_media_body";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:42:"paragraph.mt_media_tab.field_mt_media_body";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:10:"Media Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.679', 1, '', '0'),
('field.field.paragraph.mt_media_tab.field_mt_media_button', 'a:16:{s:4:"uuid";s:36:"d2e7c07d-a77f-4ae6-885a-14cde6dee8bf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_media_button";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:44:"paragraph.mt_media_tab.field_mt_media_button";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:12:"Media Button";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}', -1, '1681649761.679', 1, '', '0'),
('field.field.paragraph.mt_media_tab.field_mt_media_image', 'a:16:{s:4:"uuid";s:36:"dc28e249-bce8-4b19-aea0-1217b857896e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_image";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_image";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.679', 1, '', '0'),
('field.field.paragraph.mt_media_tab.field_mt_media_tab_title', 'a:16:{s:4:"uuid";s:36:"9aa9532c-d771-45d7-b444-02cd499867ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:2:"id";s:47:"paragraph.mt_media_tab.field_mt_media_tab_title";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:15:"Media Tab Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.679', 1, '', '0'),
('field.field.paragraph.mt_media_tab.field_mt_media_title', 'a:16:{s:4:"uuid";s:36:"0e84b8d5-880e-43c2-9923-b4d4e18e58e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_title";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.679', 1, '', '0'),
('field.field.paragraph.mt_media_tab.field_mt_media_video', 'a:16:{s:4:"uuid";s:36:"df52ca38-e2c4-4642-bfdf-7913b7beb37a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_video";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_video";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Video";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}', -1, '1681649761.679', 1, '', '0'),
('field.field.paragraph.mt_tab.field_mt_tab_content', 'a:16:{s:4:"uuid";s:36:"73e5c94d-e744-4da9-a15c-92742479687a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_tab_content";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"paragraph.mt_tab.field_mt_tab_content";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:5:"label";s:11:"Tab content";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}', -1, '1681649761.682', 1, '', '0'),
('field.field.paragraph.mt_tab.field_mt_tab_title', 'a:16:{s:4:"uuid";s:36:"8f81fe8d-6554-4ac7-9be0-19c93ef40272";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_tab_title";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}}s:2:"id";s:35:"paragraph.mt_tab.field_mt_tab_title";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:5:"label";s:9:"Tab title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.682', 1, '', '0'),
('field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date', 'a:16:{s:4:"uuid";s:36:"f1515804-8001-4a07-977f-6e0632e0473f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_date";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_date";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}', -1, '1681649761.684', 1, '', '0'),
('field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link', 'a:16:{s:4:"uuid";s:36:"01604ab2-6b80-4d72-a7fd-d1b91b54d6fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_link";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_link";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:0;}s:10:"field_type";s:4:"link";}', -1, '1681649761.684', 1, '', '0'),
('field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title', 'a:16:{s:4:"uuid";s:36:"6e19c0a9-4d4f-4cf7-92f7-49615df0e6a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_tml_timeline_title";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}}s:2:"id";s:54:"paragraph.mt_timeline_item.field_mt_tml_timeline_title";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.684', 1, '', '0'),
('field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title', 'a:16:{s:4:"uuid";s:36:"accbab0b-6151-461f-8b78-6629b3e991c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:57:"paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:11:"Slide Title";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.687', 1, '', '0'),
('field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail', 'a:16:{s:4:"uuid";s:36:"f79ac09c-a4af-4582-a742-8aba532ee391";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:55:"paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:9:"Thumbnail";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.687', 1, '', '0'),
('field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id', 'a:16:{s:4:"uuid";s:36:"3f95e2d6-db73-4eb4-9992-093b8571db66";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:54:"paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:8:"Vimeo ID";s:11:"description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.687', 1, '', '0'),
('field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume', 'a:16:{s:4:"uuid";s:36:"d9c25109-2c57-4c0c-9296-67d27f8e3c6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:52:"paragraph.mt_video_gallery_slide.field_mt_vgs_volume";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:6:"Volume";s:11:"description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}', -1, '1681649761.687', 1, '', '0'),
('field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id', 'a:16:{s:4:"uuid";s:36:"6f545a9b-d554-4421-9d1d-e40b0ab1f8e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:56:"paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:10:"Youtube ID";s:11:"description";s:142:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated. ";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649761.687', 1, '', '0'),
('field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image', 'a:16:{s:4:"uuid";s:36:"cc47cfd7-3a6d-4f98-9655-66aeab6c03e1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:54:"field.storage.taxonomy_term.field_mt_affiliation_image";i:1;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:56:"taxonomy_term.mt_affiliations.field_mt_affiliation_image";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:5:"label";s:17:"Affiliation Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.699', 1, '', '0'),
('field.field.taxonomy_term.mt_collections.field_mt_collection_image', 'a:16:{s:4:"uuid";s:36:"dd02e27a-e3ec-4f93-8fea-69882281b848";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:54:"taxonomy_term.mt_collections.field_mt_collection_image";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:5:"label";s:19:"Product Group Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.715', 1, '', '0'),
('field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image', 'a:16:{s:4:"uuid";s:36:"5c99299b-1d23-4c61-8e5c-b89b1251ff5b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:59:"taxonomy_term.mt_collections.field_mt_wide_collection_image";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:5:"label";s:29:"Landscape Product Group Image";s:11:"description";s:99:"Optional image, used only on selected Views-driven pages or blocks with items listed using Masonry.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649761.715', 1, '', '0'),
('field.field.user.user.field_mt_full_name', 'a:16:{s:4:"uuid";s:36:"9813a7b9-e5ea-48f4-8305-7a3d6d85432f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_full_name";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:28:"user.user.field_mt_full_name";s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:9:"Full Name";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}', -1, '1681649760.249', 1, '', '0'),
('field.field.user.user.field_mt_signature', 'a:16:{s:4:"uuid";s:36:"269be0cc-b9e2-469d-91bc-42e9d051e0fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_signature";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:28:"user.user.field_mt_signature";s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:9:"Signature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}', -1, '1681649760.249', 1, '', '0'),
('field.field.user.user.user_picture', 'a:17:{s:4:"uuid";s:36:"57b659d4-dcfe-4ef7-8d1b-1220c55574e3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:31:"field.storage.user.user_picture";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cL7i1kgJvlJa6H00f0E_fZ2KdD1ag0ASpLts0K-KNII";}s:2:"id";s:22:"user.user.user_picture";s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:7:"Picture";s:11:"description";s:29:"Your virtual face or picture.";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:14:"file_directory";s:40:"pictures/[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:5:"30 KB";s:9:"alt_field";b:0;s:11:"title_field";b:0;s:14:"max_resolution";s:5:"85x85";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:18:"alt_field_required";b:0;s:20:"title_field_required";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}', -1, '1681649760.249', 1, '', '0'),
('field.settings', 'a:2:{s:16:"purge_batch_size";i:50;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nJk0TAQBzlNo52ehiHI7bIEPLGi0BYqZvPdEn7Chfu0";}}', -1, '1681652741.493', 1, '', '0'),
('field.storage.block_content.body', 'a:17:{s:4:"uuid";s:36:"22a2d0a9-bfcd-4089-8826-e8cec286023f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc";}s:2:"id";s:18:"block_content.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_background_image', 'a:16:{s:4:"uuid";s:36:"16d5fc08-5a2e-4feb-9bdc-0e4a7448244d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:2:"id";s:39:"block_content.field_mt_background_image";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bg_image_color', 'a:16:{s:4:"uuid";s:36:"3db39b50-af1a-4d58-a620-831ff4fc05b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:37:"block_content.field_mt_bg_image_color";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:4:"Dark";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bg_image_layout_mode', 'a:16:{s:4:"uuid";s:36:"5f4e8e01-4077-4234-bac5-3a75658e1822";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:43:"block_content.field_mt_bg_image_layout_mode";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"container";s:5:"label";s:11:"Fixed Width";}i:1;a:2:{s:5:"value";s:15:"container-fluid";s:5:"label";s:10:"Full Width";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bg_image_opacity', 'a:16:{s:4:"uuid";s:36:"31a9f97d-a721-41b9-a379-dc006c5ae921";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:39:"block_content.field_mt_bg_image_opacity";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bg_image_positioning', 'a:16:{s:4:"uuid";s:36:"d7cc154f-9ddf-4087-94e9-410c2cc50c72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:43:"block_content.field_mt_bg_image_positioning";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"f20586f9-91c0-4de8-9414-ddf69e44d81f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:13:"block_content";}}s:2:"id";s:38:"block_content.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bv_layout_mode', 'a:16:{s:4:"uuid";s:36:"3ff57e43-e23f-4d7a-bc37-a00cabf21daa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:37:"block_content.field_mt_bv_layout_mode";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"container";s:5:"label";s:11:"Fixed Width";}i:1;a:2:{s:5:"value";s:15:"container-fluid";s:5:"label";s:10:"Full Width";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bv_overlay_color', 'a:16:{s:4:"uuid";s:36:"193b151e-6364-4b67-a16b-7319d84e28d0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:39:"block_content.field_mt_bv_overlay_color";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:4:"Dark";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bv_overlay_opacity', 'a:16:{s:4:"uuid";s:36:"b23fcdef-1ff7-435f-afaa-f0ace9a39c74";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_bv_overlay_opacity";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bv_poster', 'a:16:{s:4:"uuid";s:36:"75f4013a-0861-49c9-ba7e-895c7c970ae2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:2:"id";s:32:"block_content.field_mt_bv_poster";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bv_video_mp4', 'a:16:{s:4:"uuid";s:36:"a560034a-6389-438f-8948-dec1013e9d52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:2:"id";s:35:"block_content.field_mt_bv_video_mp4";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_bv_video_webm', 'a:16:{s:4:"uuid";s:36:"11d2ef71-9700-4313-b6c9-67b13a5f3a81";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:2:"id";s:36:"block_content.field_mt_bv_video_webm";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_cb_collapse_icon', 'a:16:{s:4:"uuid";s:36:"67ae6567-0556-4ab5-8b6f-58e662ed1ad6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:39:"block_content.field_mt_cb_collapse_icon";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_cb_expand_icon', 'a:16:{s:4:"uuid";s:36:"5e018863-8933-4e50-95e9-be57ab7af654";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:37:"block_content.field_mt_cb_expand_icon";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_cb_state', 'a:16:{s:4:"uuid";s:36:"f3d6fea2-4b1a-4220-b617-1f1996125741";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:31:"block_content.field_mt_cb_state";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:8:"expanded";s:5:"label";s:8:"Expanded";}i:1;a:2:{s:5:"value";s:9:"collapsed";s:5:"label";s:9:"Collapsed";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_cb_title', 'a:16:{s:4:"uuid";s:36:"1c106149-1590-48b3-bcf3-90bd79900b79";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:31:"block_content.field_mt_cb_title";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_cb_trigger_position', 'a:16:{s:4:"uuid";s:36:"d020301c-6aed-4357-b8bc-5bd0a08e8943";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_cb_trigger_position";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:3:"top";s:5:"label";s:3:"Top";}i:1;a:2:{s:5:"value";s:6:"bottom";s:5:"label";s:6:"Bottom";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_dropdown', 'a:16:{s:4:"uuid";s:36:"33b69423-ea44-41ec-aee9-ce7d25f09cdb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:31:"block_content.field_mt_dropdown";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_fancy_linked_image', 'a:16:{s:4:"uuid";s:36:"f3ec65f5-0c55-4198-abb7-bbe64c6b5785";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.field_mt_fancy_linked_image";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_fancy_tab', 'a:16:{s:4:"uuid";s:36:"3bda504a-27b2-4fec-9799-cea3cba0b66f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"block_content.field_mt_fancy_tab";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0');
INSERT INTO `cache_config` VALUES
('field.storage.block_content.field_mt_fltt', 'a:16:{s:4:"uuid";s:36:"e7f6e71a-e39f-499e-a2e3-938f006edd87";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"block_content.field_mt_fltt";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_if', 'a:16:{s:4:"uuid";s:36:"22b11c07-c927-43e7-8b82-cfc83e4214d0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:25:"block_content.field_mt_if";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_main_slideshow_layout', 'a:16:{s:4:"uuid";s:36:"84f9688c-9f92-4c02-97cc-1b9a9cb1555c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:44:"block_content.field_mt_main_slideshow_layout";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"fullwidth";s:5:"label";s:10:"Full Width";}i:1;a:2:{s:5:"value";s:10:"fullscreen";s:5:"label";s:11:"Full Screen";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_main_slideshow_slide', 'a:16:{s:4:"uuid";s:36:"86510cb9-19ac-4f48-9da1-4945c3d81ca6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:43:"block_content.field_mt_main_slideshow_slide";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_map_location', 'a:16:{s:4:"uuid";s:36:"7b867270-8272-4f7f-9590-a46a16167e32";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:35:"block_content.field_mt_map_location";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_map_zoom', 'a:16:{s:4:"uuid";s:36:"ba947929-7f8c-463b-a0d0-0d37ddadb91a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:31:"block_content.field_mt_map_zoom";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_media_tab', 'a:16:{s:4:"uuid";s:36:"2a46f5aa-0a9f-4cf3-8d61-15741b636da6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"block_content.field_mt_media_tab";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_ms_background_opacity', 'a:16:{s:4:"uuid";s:36:"a9c91566-b021-4c07-9675-1c59fbe11bb3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:44:"block_content.field_mt_ms_background_opacity";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_ms_bullets_position', 'a:16:{s:4:"uuid";s:36:"df9b82a6-6ce9-4aff-9594-af09ac953a40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_ms_bullets_position";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:3:{i:0;a:2:{s:5:"value";s:4:"left";s:5:"label";s:4:"Left";}i:1;a:2:{s:5:"value";s:5:"right";s:5:"label";s:5:"Right";}i:2;a:2:{s:5:"value";s:6:"center";s:5:"label";s:6:"Center";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_ms_effect', 'a:16:{s:4:"uuid";s:36:"0c16129a-2c39-4904-bb98-a28c620ed30a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:32:"block_content.field_mt_ms_effect";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:49:{i:0;a:2:{s:5:"value";s:4:"fade";s:5:"label";s:4:"Fade";}i:1;a:2:{s:5:"value";s:7:"slideup";s:5:"label";s:12:"Slide To Top";}i:2;a:2:{s:5:"value";s:9:"slidedown";s:5:"label";s:15:"Slide To Bottom";}i:3;a:2:{s:5:"value";s:10:"slideright";s:5:"label";s:14:"Slide To Right";}i:4;a:2:{s:5:"value";s:9:"slideleft";s:5:"label";s:13:"Slide To Left";}i:5;a:2:{s:5:"value";s:15:"slidehorizontal";s:5:"label";s:16:"Slide Horizontal";}i:6;a:2:{s:5:"value";s:13:"slidevertical";s:5:"label";s:14:"Slide Vertical";}i:7;a:2:{s:5:"value";s:8:"boxslide";s:5:"label";s:11:"Slide Boxes";}i:8;a:2:{s:5:"value";s:20:"slotslide-horizontal";s:5:"label";s:22:"Slide Slots Horizontal";}i:9;a:2:{s:5:"value";s:18:"slotslide-vertical";s:5:"label";s:20:"Slide Slots Vertical";}i:10;a:2:{s:5:"value";s:7:"boxfade";s:5:"label";s:10:"Fade Boxes";}i:11;a:2:{s:5:"value";s:19:"slotfade-horizontal";s:5:"label";s:21:"Fade Slots Horizontal";}i:12;a:2:{s:5:"value";s:17:"slotfade-vertical";s:5:"label";s:19:"Fade Slots Vertical";}i:13;a:2:{s:5:"value";s:13:"fadefromright";s:5:"label";s:25:"Fade and Slide from Right";}i:14;a:2:{s:5:"value";s:12:"fadefromleft";s:5:"label";s:24:"Fade and Slide from Left";}i:15;a:2:{s:5:"value";s:11:"fadefromtop";s:5:"label";s:23:"Fade and Slide from Top";}i:16;a:2:{s:5:"value";s:14:"fadefrombottom";s:5:"label";s:26:"Fade and Slide from Bottom";}i:17;a:2:{s:5:"value";s:23:"fadetoleftfadefromright";s:5:"label";s:32:"Fade To Left and Fade From Right";}i:18;a:2:{s:5:"value";s:23:"fadetorightfadefromleft";s:5:"label";s:32:"Fade To Right and Fade From Left";}i:19;a:2:{s:5:"value";s:23:"fadetotopfadefrombottom";s:5:"label";s:32:"Fade To Top and Fade From Bottom";}i:20;a:2:{s:5:"value";s:23:"fadetobottomfadefromtop";s:5:"label";s:32:"Fade To Bottom and Fade From Top";}i:21;a:2:{s:5:"value";s:15:"parallaxtoright";s:5:"label";s:17:"Parallax to Right";}i:22;a:2:{s:5:"value";s:14:"parallaxtoleft";s:5:"label";s:16:"Parallax to Left";}i:23;a:2:{s:5:"value";s:13:"parallaxtotop";s:5:"label";s:15:"Parallax to Top";}i:24;a:2:{s:5:"value";s:16:"parallaxtobottom";s:5:"label";s:18:"Parallax to Bottom";}i:25;a:2:{s:5:"value";s:18:"scaledownfromright";s:5:"label";s:28:"Zoom Out and Fade From Right";}i:26;a:2:{s:5:"value";s:17:"scaledownfromleft";s:5:"label";s:27:"Zoom Out and Fade From Left";}i:27;a:2:{s:5:"value";s:16:"scaledownfromtop";s:5:"label";s:26:"Zoom Out and Fade From Top";}i:28;a:2:{s:5:"value";s:19:"scaledownfrombottom";s:5:"label";s:29:"Zoom Out and Fade From Bottom";}i:29;a:2:{s:5:"value";s:7:"zoomout";s:5:"label";s:7:"ZoomOut";}i:30;a:2:{s:5:"value";s:6:"zoomin";s:5:"label";s:6:"ZoomIn";}i:31;a:2:{s:5:"value";s:19:"slotzoom-horizontal";s:5:"label";s:21:"Zoom Slots Horizontal";}i:32;a:2:{s:5:"value";s:17:"slotzoom-vertical";s:5:"label";s:19:"Zoom Slots Vertical";}i:33;a:2:{s:5:"value";s:9:"curtain-1";s:5:"label";s:17:"Curtain from Left";}i:34;a:2:{s:5:"value";s:9:"curtain-2";s:5:"label";s:18:"Curtain from Right";}i:35;a:2:{s:5:"value";s:9:"curtain-3";s:5:"label";s:19:"Curtain from Middle";}i:36;a:2:{s:5:"value";s:20:"3dcurtain-horizontal";s:5:"label";s:21:"3D Curtain Horizontal";}i:37;a:2:{s:5:"value";s:18:"3dcurtain-vertical";s:5:"label";s:19:"3D Curtain Vertical";}i:38;a:2:{s:5:"value";s:4:"cube";s:5:"label";s:13:"Cube Vertical";}i:39;a:2:{s:5:"value";s:15:"cube-horizontal";s:5:"label";s:15:"Cube Horizontal";}i:40;a:2:{s:5:"value";s:6:"incube";s:5:"label";s:16:"In Cube Vertical";}i:41;a:2:{s:5:"value";s:17:"incube-horizontal";s:5:"label";s:18:"In Cube Horizontal";}i:42;a:2:{s:5:"value";s:7:"turnoff";s:5:"label";s:18:"TurnOff Horizontal";}i:43;a:2:{s:5:"value";s:16:"turnoff-vertical";s:5:"label";s:16:"TurnOff Vertical";}i:44;a:2:{s:5:"value";s:8:"papercut";s:5:"label";s:9:"Paper Cut";}i:45;a:2:{s:5:"value";s:5:"flyin";s:5:"label";s:6:"Fly In";}i:46;a:2:{s:5:"value";s:13:"random-static";s:5:"label";s:11:"Random Flat";}i:47;a:2:{s:5:"value";s:14:"random-premium";s:5:"label";s:14:"Random Premium";}i:48;a:2:{s:5:"value";s:6:"random";s:5:"label";s:31:"Random Flat and Premium/Default";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.468', 1, '', '0'),
('field.storage.block_content.field_mt_ms_effect_duration', 'a:16:{s:4:"uuid";s:36:"c240e0ca-88f5-4702-b173-fd19bbd61c52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_ms_effect_duration";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_ms_ignore_header_height', 'a:16:{s:4:"uuid";s:36:"da5267cd-4ffb-4da8-84f3-7eeae26e3132";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:46:"block_content.field_mt_ms_ignore_header_height";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_ms_initial_height', 'a:16:{s:4:"uuid";s:36:"3812ab0b-108c-44c0-92c3-d62ed70aed61";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:40:"block_content.field_mt_ms_initial_height";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_ms_navigation_style', 'a:16:{s:4:"uuid";s:36:"fe621dec-b9dc-4f5b-b407-9c808562435a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_ms_navigation_style";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:7:"bullets";s:5:"label";s:7:"Bullets";}i:1;a:2:{s:5:"value";s:15:"titles_carousel";s:5:"label";s:15:"Titles Carousel";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_ms_touch_swipe_nav', 'a:16:{s:4:"uuid";s:36:"c282c20a-3e12-4ee6-92d1-311ee1d72972";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_ns_slide', 'a:16:{s:4:"uuid";s:36:"f6ed5339-162f-440b-a909-001f88790ad1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}}s:2:"id";s:31:"block_content.field_mt_ns_slide";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_tml_timeline_item', 'a:16:{s:4:"uuid";s:36:"3b3198c2-2fe4-429c-9294-aee9112f21f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:40:"block_content.field_mt_tml_timeline_item";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_tml_timeline_viewmore', 'a:16:{s:4:"uuid";s:36:"181f66bf-6c58-4c80-8f07-f1c650410514";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"link";}}s:2:"id";s:44:"block_content.field_mt_tml_timeline_viewmore";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.block_content.field_mt_video_gallery_slides', 'a:16:{s:4:"uuid";s:36:"6b8ce1be-94b6-409f-a777-a1db3df94795";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:43:"block_content.field_mt_video_gallery_slides";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.469', 1, '', '0'),
('field.storage.comment.comment_body', 'a:17:{s:4:"uuid";s:36:"a7a54853-d273-4f1d-bd1e-6d318ec2a3ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw";}s:2:"id";s:20:"comment.comment_body";s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}', -1, '1681649761.489', 1, '', '0'),
('field.storage.font.field_classification', 'a:17:{s:4:"uuid";s:36:"07f3e102-c381-474f-827d-40061f9bc979";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ow0pX66YjSmmNFHkjtHc_kfAjCaXJ94Msu27zaUb_hk";}s:2:"id";s:25:"font.field_classification";s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649759.941', 1, '', '0'),
('field.storage.font.field_supported_languages', 'a:17:{s:4:"uuid";s:36:"a8f36d15-3e3b-4b73-8bca-a6d7b13a415d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"svUf3mifm4Fij8pp1e3TX1v-5cA6fr4_YmcCFNn3_I4";}s:2:"id";s:30:"font.field_supported_languages";s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649759.941', 1, '', '0'),
('field.storage.font.field_tags', 'a:17:{s:4:"uuid";s:36:"452635bf-db2a-47c7-8fbc-23ec09b7b654";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kEXAWX8HgcTM3RtpMvfkU8QeDoOGCOSh4EXqHe_u-LQ";}s:2:"id";s:15:"font.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649759.941', 1, '', '0'),
('field.storage.node.body', 'a:17:{s:4:"uuid";s:36:"55c47ffa-ec98-4e52-bd4e-eb9c26e35cea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY";}s:2:"id";s:9:"node.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.comment', 'a:17:{s:4:"uuid";s:36:"b6518fb2-9112-4145-83c1-f353b3ad684a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc";}s:2:"id";s:12:"node.comment";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"comment";s:8:"settings";a:1:{s:12:"comment_type";s:7:"comment";}s:6:"module";s:7:"comment";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_image', 'a:17:{s:4:"uuid";s:36:"ba1446e3-dd7e-4cf8-9703-de7e6390abbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME";}s:2:"id";s:16:"node.field_image";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_alb_body', 'a:16:{s:4:"uuid";s:36:"5a08c1bb-1357-4416-a8bb-a0098072ce7d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_alb_body";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_alb_image', 'a:16:{s:4:"uuid";s:36:"71918686-62dc-4f99-8da8-73b219b5b1f9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_alb_image";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_alb_tags', 'a:16:{s:4:"uuid";s:36:"405653ec-41d6-401b-814f-c93e960a25dd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:22:"node.field_mt_alb_tags";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_alb_video', 'a:16:{s:4:"uuid";s:36:"4455a9ab-950b-4210-b101-bf64e792a0d4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_alb_video";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_cnv_body', 'a:16:{s:4:"uuid";s:36:"ff311524-02b7-460f-83ff-058adf081455";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_cnv_body";s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_body', 'a:16:{s:4:"uuid";s:36:"16663e87-ce79-463a-9d25-a6d396e2f10c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_evn_body";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_date', 'a:16:{s:4:"uuid";s:36:"77b5d167-f7c5-42cb-92fc-8118aafec1c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:22:"node.field_mt_evn_date";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_event_category', 'a:16:{s:4:"uuid";s:36:"cef61c7a-5240-47bd-a045-1c532b47c298";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:32:"node.field_mt_evn_event_category";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_files', 'a:16:{s:4:"uuid";s:36:"520bb678-1cf3-4cc0-9daf-bfd3c6339bcd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_files";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_image', 'a:16:{s:4:"uuid";s:36:"b12ebed0-ffaf-4b79-9a17-3a48fac1327e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_image";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_location', 'a:16:{s:4:"uuid";s:36:"c6bf2893-0fbe-444e-964d-512ee14ef798";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:26:"node.field_mt_evn_location";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_map_zoom', 'a:16:{s:4:"uuid";s:36:"a63b3db3-3f9e-41e2-a8f7-485115e762ad";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_evn_map_zoom";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_place', 'a:16:{s:4:"uuid";s:36:"a0fc8145-a35c-46a1-a14f-13ab1c60a39c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_place";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_speaker', 'a:16:{s:4:"uuid";s:36:"6ee6777f-e2a3-4047-b58b-05a26c08eb15";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_evn_speaker";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_sponsor', 'a:16:{s:4:"uuid";s:36:"38d56e66-8c3a-4efb-bb91-07af0e6d8021";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_evn_sponsor";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_evn_video', 'a:16:{s:4:"uuid";s:36:"54fa2967-39c1-494d-babe-0adc81a814d8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_evn_video";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_additional_features', 'a:16:{s:4:"uuid";s:36:"0938f442-b0f1-4ede-92e4-0272810be1c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:37:"node.field_mt_prd_additional_features";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_availability', 'a:16:{s:4:"uuid";s:36:"d546f2a5-5609-42ee-8d9a-c126f9f57177";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:7:"options";}}s:2:"id";s:30:"node.field_mt_prd_availability";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:8:"in_stock";s:5:"label";s:8:"In Stock";}i:1;a:2:{s:5:"value";s:12:"out_of_stock";s:5:"label";s:12:"Out of Stock";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_banner_carousel', 'a:16:{s:4:"uuid";s:36:"c9858a15-e3cb-4bf7-955e-5ab137e86d5e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:33:"node.field_mt_prd_banner_carousel";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_body', 'a:16:{s:4:"uuid";s:36:"b73c5625-e2f4-4884-943f-b23a3e1569b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_prd_body";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_buy_link', 'a:16:{s:4:"uuid";s:36:"87d33644-d499-49e8-a893-c338caf12d9a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prd_buy_link";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_categories', 'a:16:{s:4:"uuid";s:36:"b513fc7f-4e98-449c-b940-5a30ece271fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:28:"node.field_mt_prd_categories";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_content_tabs', 'a:16:{s:4:"uuid";s:36:"311ce268-9f91-4185-9950-cacffc7bb8c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:30:"node.field_mt_prd_content_tabs";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_highlight', 'a:16:{s:4:"uuid";s:36:"7239379b-4bd7-4655-a9b3-e31d45d02308";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"node.field_mt_prd_highlight";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_image', 'a:16:{s:4:"uuid";s:36:"fe2d3505-de9d-4091-8947-c5b1f7fc764e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prd_image";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_landscape_image', 'a:16:{s:4:"uuid";s:36:"a8eb5ef7-7656-4155-98dd-a641bd0f5302";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:33:"node.field_mt_prd_landscape_image";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_most_popular', 'a:16:{s:4:"uuid";s:36:"6d5f86fa-218c-47ff-af97-70cc7ecf06db";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prd_most_popular";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_price', 'a:16:{s:4:"uuid";s:36:"4153f528-5737-4aee-a825-9050ba3e7166";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prd_price";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_pricing_table_item', 'a:16:{s:4:"uuid";s:36:"ba4ebccf-deee-443e-a92c-156111fe424a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:36:"node.field_mt_prd_pricing_table_item";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_product_code', 'a:16:{s:4:"uuid";s:36:"f8796200-9830-414a-8ecd-41d7080f1dbc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prd_product_code";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_subheader_body', 'a:16:{s:4:"uuid";s:36:"6e016bba-8606-4d8a-82f7-1cdf7d1d0283";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_prd_subheader_body";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_tags', 'a:16:{s:4:"uuid";s:36:"543acd0b-d450-42a8-9906-6c1f2a1b8a85";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:22:"node.field_mt_prd_tags";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prd_video', 'a:16:{s:4:"uuid";s:36:"bddf548c-c44b-4a0f-9ea0-742e2a68e9e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_prd_video";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prg_category', 'a:16:{s:4:"uuid";s:36:"4810fde7-063f-4484-9736-af1f95c6f030";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:26:"node.field_mt_prg_category";s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prg_end_date', 'a:16:{s:4:"uuid";s:36:"ca5ed19f-0907-4e4b-bd05-c4b68b09b67a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prg_end_date";s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prg_event', 'a:16:{s:4:"uuid";s:36:"f62d9501-6a67-4167-bdff-8f02bd5a4838";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prg_event";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prg_start_date', 'a:16:{s:4:"uuid";s:36:"01fca423-5a83-44b6-9e5d-4360e1e3d63e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:28:"node.field_mt_prg_start_date";s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_affiliations', 'a:16:{s:4:"uuid";s:36:"34af3af4-3c4f-4a03-962c-743021baae5a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prs_affiliations";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_authors', 'a:16:{s:4:"uuid";s:36:"6111a56a-09d6-4bd2-8ff0-5f96c1fc0a85";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_authors";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_body', 'a:16:{s:4:"uuid";s:36:"e6192d57-be1d-41f3-88fc-08e118f09ec3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_prs_body";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_category', 'a:16:{s:4:"uuid";s:36:"66d47275-e96c-443a-a558-a20c72c27032";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:26:"node.field_mt_prs_category";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_date', 'a:16:{s:4:"uuid";s:36:"9fc6832e-c6e1-4e94-9d43-88cd1c5decf6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:22:"node.field_mt_prs_date";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_files', 'a:16:{s:4:"uuid";s:36:"3713d413-2c19-4893-8376-e19b8ac769a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prs_files";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0');
INSERT INTO `cache_config` VALUES
('field.storage.node.field_mt_prs_image', 'a:16:{s:4:"uuid";s:36:"75d626f2-053b-4058-9367-e9959a4c193e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prs_image";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_location', 'a:16:{s:4:"uuid";s:36:"8a1d6191-b91f-4d1e-9700-c32c8f3d42f7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prs_location";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_session', 'a:16:{s:4:"uuid";s:36:"7fd82e69-15e5-4a4f-9146-40bfa18abf8d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:25:"node.field_mt_prs_session";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_speaker', 'a:16:{s:4:"uuid";s:36:"25257e3c-f8a1-45fd-9f5b-2a15f05476a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_speaker";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_sponsor', 'a:16:{s:4:"uuid";s:36:"0310b659-5dc8-4b13-98ae-cc7810d380c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_sponsor";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_topics', 'a:16:{s:4:"uuid";s:36:"32eace59-1b58-4c3e-a3ee-4c5354109b58";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:24:"node.field_mt_prs_topics";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_prs_video', 'a:16:{s:4:"uuid";s:36:"24d48946-187a-427f-a31d-4ca87ded9852";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_prs_video";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_slideshow', 'a:16:{s:4:"uuid";s:36:"1471fc88-8de5-48f0-8729-064f91a2df45";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_slideshow";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_slideshow_image', 'a:16:{s:4:"uuid";s:36:"ec7763f0-9dbe-4c60-9153-5c790791aeef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:29:"node.field_mt_slideshow_image";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_slideshow_text', 'a:16:{s:4:"uuid";s:36:"38f70c30-2626-487f-8c2e-bb90b6cdd3de";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:28:"node.field_mt_slideshow_text";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_affiliations', 'a:16:{s:4:"uuid";s:36:"d1a11029-d4db-459a-9b2b-e5a2206df914";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:30:"node.field_mt_spk_affiliations";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_body', 'a:16:{s:4:"uuid";s:36:"18848f68-89ce-48ce-bf32-185c155df1a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_spk_body";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_facebook_account', 'a:16:{s:4:"uuid";s:36:"fd035759-3cc2-43ee-9ef7-e9d7dac4b49e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_spk_facebook_account";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_linkedin_account', 'a:16:{s:4:"uuid";s:36:"1a80dccc-f7da-4eca-a1ed-aa3fe2b3a480";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_spk_linkedin_account";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_speaker_photo', 'a:16:{s:4:"uuid";s:36:"9191fcd7-831a-45b3-b932-bd495ee745b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:31:"node.field_mt_spk_speaker_photo";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_subtitle', 'a:16:{s:4:"uuid";s:36:"56213120-ac5c-443e-9c10-4b110cfbbe30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_spk_subtitle";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_twitter_account', 'a:16:{s:4:"uuid";s:36:"02bb7fd0-ff84-419b-b27b-3630f012c544";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_spk_twitter_account";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spk_youtube_account', 'a:16:{s:4:"uuid";s:36:"23216993-e812-4af4-b76f-19b6a6b97743";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_spk_youtube_account";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spn_body', 'a:16:{s:4:"uuid";s:36:"e9cb60b7-569e-488d-910c-b7735cabd029";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_spn_body";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_spn_logo', 'a:16:{s:4:"uuid";s:36:"6a9f6825-4765-4702-8bcd-9a97cfa4afd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:22:"node.field_mt_spn_logo";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_banner_image', 'a:16:{s:4:"uuid";s:36:"5f2dfd1a-3163-43a1-99f6-bca61cc01dde";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:30:"node.field_mt_srv_banner_image";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_body', 'a:16:{s:4:"uuid";s:36:"0dae3eda-c427-426f-9588-8c94a053c3f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_srv_body";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_buy_link', 'a:16:{s:4:"uuid";s:36:"a9b306ad-e77e-47d2-9ed7-d81b1b1ba4d8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_srv_buy_link";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_highlight', 'a:16:{s:4:"uuid";s:36:"5c37b63e-a20f-4a54-89a0-80cd1b025ce4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"node.field_mt_srv_highlight";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_image', 'a:16:{s:4:"uuid";s:36:"d0efee66-e49f-4f2d-a236-dc3d665983a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_srv_image";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_price', 'a:16:{s:4:"uuid";s:36:"78850486-6f49-458e-a357-18c3a457235d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_srv_price";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_service_tags', 'a:16:{s:4:"uuid";s:36:"3cf62ee8-4c5a-4afc-84b8-de928e1a5bc4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:30:"node.field_mt_srv_service_tags";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_subheader_body', 'a:16:{s:4:"uuid";s:36:"40dea6df-38f3-483c-bdbb-0798b74dd2c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_srv_subheader_body";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_srv_video', 'a:16:{s:4:"uuid";s:36:"9d50c033-0baf-468c-810b-5051355ace40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_srv_video";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_subheader_body', 'a:16:{s:4:"uuid";s:36:"add4ab49-0933-4384-84bb-fc3f63632656";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:28:"node.field_mt_subheader_body";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tmm_body', 'a:16:{s:4:"uuid";s:36:"1398bb02-fdcc-4a5f-9a91-586130931cd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_tmm_body";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tmm_facebook_account', 'a:16:{s:4:"uuid";s:36:"7e53f77f-0469-434d-81d4-6108c2943b5a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tmm_facebook_account";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tmm_linkedin_account', 'a:16:{s:4:"uuid";s:36:"62702c8d-027a-4937-a662-67c21e9563d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tmm_linkedin_account";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tmm_member_photo', 'a:16:{s:4:"uuid";s:36:"e36ac1a7-eee5-4947-9b6b-e2a6736c0d01";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:30:"node.field_mt_tmm_member_photo";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tmm_subtitle', 'a:16:{s:4:"uuid";s:36:"45c55712-bed0-49c3-b77b-849509bd6bf7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_tmm_subtitle";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tmm_twitter_account', 'a:16:{s:4:"uuid";s:36:"f6eebd65-bc0e-4021-ab06-5d4ef4dd7059";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_tmm_twitter_account";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tmm_youtube_account', 'a:16:{s:4:"uuid";s:36:"eb990010-4176-496f-be00-e17240f696cd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_tmm_youtube_account";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tst_body', 'a:16:{s:4:"uuid";s:36:"9ab6972a-46db-4eda-84d6-6971ce553cf1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_tst_body";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tst_subtitle', 'a:16:{s:4:"uuid";s:36:"7499d773-1e75-4110-9d0a-2e2d93829a0d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_tst_subtitle";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tst_testimonial_image', 'a:16:{s:4:"uuid";s:36:"12dd58db-4c2f-4307-b9cd-d5b7cde44d84";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:35:"node.field_mt_tst_testimonial_image";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_tst_testimonial_link', 'a:16:{s:4:"uuid";s:36:"cffa24e8-0fa8-42b3-9776-dc4c9295af1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tst_testimonial_link";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_mt_video', 'a:16:{s:4:"uuid";s:36:"e28da9b4-4e23-41dd-bde4-cccc2e658110";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:19:"node.field_mt_video";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.node.field_tags', 'a:17:{s:4:"uuid";s:36:"e5aa9ce5-66bd-404d-be2d-813277baa058";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs";}s:2:"id";s:15:"node.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.270', 1, '', '0'),
('field.storage.paragraph.field_mt_adf_body', 'a:16:{s:4:"uuid";s:36:"2c8d6014-742a-4ed1-ae81-80597bc94f28";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:27:"paragraph.field_mt_adf_body";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_adf_fa_icon', 'a:16:{s:4:"uuid";s:36:"bd5ad38a-f8fb-403e-ba93-1b3f66564f2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_adf_fa_icon";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_adf_image', 'a:16:{s:4:"uuid";s:36:"f80919da-8c64-4b7c-bc55-2fa1226038ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_adf_image";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_adf_title', 'a:16:{s:4:"uuid";s:36:"f867e3b0-b47c-46ad-b4eb-280a76d01dd1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_adf_title";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_collapse_body', 'a:16:{s:4:"uuid";s:36:"c440dcd1-bd3d-4448-97df-351c36123b2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:32:"paragraph.field_mt_collapse_body";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_collapse_title', 'a:16:{s:4:"uuid";s:36:"f089042b-2b79-44ee-9e7d-29f69733f15b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_collapse_title";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_dropdown_block', 'a:16:{s:4:"uuid";s:36:"e7bdf794-5c56-42f2-a5ec-723912f16715";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_dropdown_block";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_dropdown_fa_icon', 'a:16:{s:4:"uuid";s:36:"88614c60-d30f-4248-bf30-e24dc8468f67";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_dropdown_fa_icon";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fancy_block_reference', 'a:16:{s:4:"uuid";s:36:"8caef820-31c8-4ad1-b8e0-73c603d19615";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:2:"id";s:40:"paragraph.field_mt_fancy_block_reference";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fancy_subtitle', 'a:16:{s:4:"uuid";s:36:"a089ccbd-adfc-4ded-94f6-c5958bc83399";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_fancy_subtitle";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fancy_title', 'a:16:{s:4:"uuid";s:36:"e5a8c98d-bb21-4ded-ba9b-9fb2b2bfada3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_fancy_title";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fli_button_fa_icon', 'a:16:{s:4:"uuid";s:36:"7a7f1471-7a26-4517-94cb-2b34ed5873e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:37:"paragraph.field_mt_fli_button_fa_icon";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fli_image', 'a:16:{s:4:"uuid";s:36:"a9f667ff-ac20-415a-b9f3-148a958ad5a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_image";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fli_link', 'a:16:{s:4:"uuid";s:36:"acaccd17-017c-4752-950c-1887e9027c77";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_fli_link";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fli_shape', 'a:16:{s:4:"uuid";s:36:"d15e5d4e-7e8d-4662-88d7-c4a43d3aa058";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_shape";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:4:{i:0;a:2:{s:5:"value";s:4:"none";s:5:"label";s:4:"None";}i:1;a:2:{s:5:"value";s:9:"rectangle";s:5:"label";s:9:"Rectangle";}i:2;a:2:{s:5:"value";s:6:"circle";s:5:"label";s:6:"Circle";}i:3;a:2:{s:5:"value";s:8:"pentagon";s:5:"label";s:8:"Pentagon";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fli_title', 'a:16:{s:4:"uuid";s:36:"15b0899e-dcf0-45c3-a334-bc716152898c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_title";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fltt_body', 'a:16:{s:4:"uuid";s:36:"aad212db-5687-4c24-aaa1-5c88457f6ab3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:28:"paragraph.field_mt_fltt_body";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fltt_link', 'a:16:{s:4:"uuid";s:36:"6838af8e-c37f-4777-87f3-eeff2b1ae726";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fltt_link";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_fltt_title', 'a:16:{s:4:"uuid";s:36:"e73c6db6-24dd-4622-becd-5ae935bd4743";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_fltt_title";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_highlight_body', 'a:16:{s:4:"uuid";s:36:"179fd45e-975a-4f23-8b3e-38012b2f9c6b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:33:"paragraph.field_mt_highlight_body";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_highlight_image', 'a:16:{s:4:"uuid";s:36:"8686529f-724b-4f7d-8574-1ea4f8e604dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_highlight_image";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_highlight_link', 'a:16:{s:4:"uuid";s:36:"fe94388f-8916-414f-8c24-363021492f00";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_highlight_link";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_highlight_title', 'a:16:{s:4:"uuid";s:36:"b873d67c-7b08-4c38-9f72-89d4424c50c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_highlight_title";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_if_body', 'a:16:{s:4:"uuid";s:36:"09731928-6b4a-4bf0-abfb-f31b3ff87d31";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:26:"paragraph.field_mt_if_body";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_if_fa_icon', 'a:16:{s:4:"uuid";s:36:"fd87b624-24fb-48b9-b4c3-60fa49f5bde1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_if_fa_icon";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_if_image', 'a:16:{s:4:"uuid";s:36:"7bcaa053-3d3c-4434-b441-359b8d79f0f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_if_image";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_if_link', 'a:16:{s:4:"uuid";s:36:"26a44d40-32c5-4fd7-99f0-1f88c4bba220";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:26:"paragraph.field_mt_if_link";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_if_title', 'a:16:{s:4:"uuid";s:36:"3b0044db-78aa-4c23-b632-ad8f4e5206f9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_if_title";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_media_body', 'a:16:{s:4:"uuid";s:36:"4ff8dd6c-b9f2-40a9-8035-9333480b5f3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:29:"paragraph.field_mt_media_body";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_media_button', 'a:16:{s:4:"uuid";s:36:"c202ff20-5128-428f-91d2-3e892b9141e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_media_button";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_media_image', 'a:16:{s:4:"uuid";s:36:"f7832ba2-748e-4d86-8761-3210e399511f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_media_image";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_media_tab_title', 'a:16:{s:4:"uuid";s:36:"89fa6163-5fe3-4952-ab68-e93a9a623646";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_media_tab_title";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_media_title', 'a:16:{s:4:"uuid";s:36:"f9156901-f743-4337-a41c-33c7ccf3f226";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_media_title";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_media_video', 'a:16:{s:4:"uuid";s:36:"ab1ac840-29d1-4b47-8a7a-c49a7c67d5d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:17:"video_embed_field";}}s:2:"id";s:30:"paragraph.field_mt_media_video";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0');
INSERT INTO `cache_config` VALUES
('field.storage.paragraph.field_mt_ml_latitude', 'a:16:{s:4:"uuid";s:36:"e146d8c2-d58b-48ff-8fb4-4bb19b51e88a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_ml_latitude";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ml_location_name', 'a:16:{s:4:"uuid";s:36:"c42cd2df-6f2d-486e-94aa-ab3c74b73414";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_ml_location_name";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ml_longitude', 'a:16:{s:4:"uuid";s:36:"31840a61-d96b-462b-8f51-baf1e38d0bb8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_ml_longitude";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_caption', 'a:16:{s:4:"uuid";s:36:"be80686f-f1db-478d-ad52-c6032507a7d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_ms_slide_caption";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_caption_color', 'a:16:{s:4:"uuid";s:36:"75348b10-8fc5-4961-85ac-27734415b947";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:2:"id";s:41:"paragraph.field_mt_ms_slide_caption_color";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:12:"Dark Colored";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_caption_opac', 'a:16:{s:4:"uuid";s:36:"dc0b97a7-c172-4930-89af-5cf5489c16fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_image', 'a:16:{s:4:"uuid";s:36:"b21a2a87-c0c4-45be-815e-3dd8dfcafc81";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_ms_slide_image";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_link', 'a:16:{s:4:"uuid";s:36:"08a6120b-4162-4793-b771-4b4d3f2b00c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:32:"paragraph.field_mt_ms_slide_link";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_title', 'a:16:{s:4:"uuid";s:36:"ded79a92-0d9f-45ca-8218-0de7b6a02173";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_ms_slide_title";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_vimeo_id', 'a:16:{s:4:"uuid";s:36:"ab48c77f-7b0f-4932-8554-0c77b61778d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_volume', 'a:16:{s:4:"uuid";s:36:"a6eadfdb-8d35-40b1-b64a-e0ed97d4cf01";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_ms_slide_volume";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_ms_slide_youtube_id', 'a:16:{s:4:"uuid";s:36:"d7031199-ca07-441c-ac16-32e4ebd4fadb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_tab_content', 'a:16:{s:4:"uuid";s:36:"6b8a187d-cd95-47f7-af2a-37149570aa19";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:30:"paragraph.field_mt_tab_content";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_tab_title', 'a:16:{s:4:"uuid";s:36:"4d050aec-a3d7-428b-9c9a-071fb2f70861";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_tab_title";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_tml_timeline_date', 'a:16:{s:4:"uuid";s:36:"c518e1da-b52d-4753-8a28-bbb0fb5c7fb6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_tml_timeline_date";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:4:"date";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_tml_timeline_link', 'a:16:{s:4:"uuid";s:36:"e3aac836-a3d9-43da-b1c4-1889f6e2c807";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_tml_timeline_link";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_tml_timeline_title', 'a:16:{s:4:"uuid";s:36:"0a9fb0d4-50a6-452a-9e43-93728f2049f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:37:"paragraph.field_mt_tml_timeline_title";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_vgs_slide_title', 'a:16:{s:4:"uuid";s:36:"41fee351-a71a-4d0b-af51-5266604def6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_vgs_slide_title";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_vgs_thumbnail', 'a:16:{s:4:"uuid";s:36:"e135eeab-e5b4-4289-98ff-4ea88745ebb5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"paragraph.field_mt_vgs_thumbnail";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_vgs_vimeo_id', 'a:16:{s:4:"uuid";s:36:"fb7f2538-8f3c-4e44-bd67-a6af291bf090";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_vgs_vimeo_id";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_vgs_volume', 'a:16:{s:4:"uuid";s:36:"53d36706-a3e1-4d19-b24d-f5ce99518aa5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_vgs_volume";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.paragraph.field_mt_vgs_youtube_id', 'a:16:{s:4:"uuid";s:36:"febe0f55-0cb9-4218-aa61-92fb7aa664a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_vgs_youtube_id";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.552', 1, '', '0'),
('field.storage.taxonomy_term.field_mt_affiliation_image', 'a:16:{s:4:"uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:40:"taxonomy_term.field_mt_affiliation_image";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.529', 1, '', '0'),
('field.storage.taxonomy_term.field_mt_collection_image', 'a:16:{s:4:"uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:39:"taxonomy_term.field_mt_collection_image";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.529', 1, '', '0'),
('field.storage.taxonomy_term.field_mt_wide_collection_image', 'a:16:{s:4:"uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649761.529', 1, '', '0'),
('field.storage.user.field_mt_full_name', 'a:16:{s:4:"uuid";s:36:"e41c0ee4-3c09-4a16-8404-7c2d5b326ca0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:23:"user.field_mt_full_name";s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.252', 1, '', '0'),
('field.storage.user.field_mt_signature', 'a:16:{s:4:"uuid";s:36:"77dbe3d4-bf6e-4615-beed-10a1d41d9fb1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:23:"user.field_mt_signature";s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.252', 1, '', '0'),
('field.storage.user.user_picture', 'a:17:{s:4:"uuid";s:36:"f0a7a429-9964-450b-9517-9f8312b42f58";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU";}s:2:"id";s:17:"user.user_picture";s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}', -1, '1681649760.252', 1, '', '0'),
('field_ui.settings', 'a:2:{s:12:"field_prefix";s:6:"field_";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q1nMi90W6YQxKzZAgJQw7Ag9U4JrsEUwkomF0lhvbIM";}}', -1, '1681652741.493', 1, '', '0'),
('file.settings', 'a:4:{s:11:"description";a:2:{s:4:"type";s:9:"textfield";s:6:"length";i:128;}s:4:"icon";a:1:{s:9:"directory";s:23:"core/modules/file/icons";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8LI-1XgwLt9hYRns_7c81S632d6JhdqXKs4vDheaG6E";}s:35:"make_unused_managed_files_temporary";b:0;}', -1, '1681652741.493', 1, '', '0'),
('filter.format.basic_html', 'a:9:{s:4:"uuid";s:36:"06d3ce9b-1031-4159-89ae-e1425fcfa68a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"P8ddpAIKtawJDi5SzOwCzVnnNYqONewSTJ6Xn0dW_aQ";}s:4:"name";s:10:"Basic HTML";s:6:"format";s:10:"basic_html";s:6:"weight";i:0;s:7:"filters";a:5:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:250:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>";s:16:"filter_html_help";b:0;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:7;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:24:"filter_html_image_secure";a:5:{s:2:"id";s:24:"filter_html_image_secure";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}}}', -1, '1681649787.364', 1, '', '0'),
('filter.format.full_html', 'a:9:{s:4:"uuid";s:36:"45916f93-0151-4ad1-bbe9-9271b1d33790";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"hewPmBgni9jlDK_IjLxUx1HsTbinK-hdl0lOwjbteIY";}s:4:"name";s:9:"Full HTML";s:6:"format";s:9:"full_html";s:6:"weight";i:1;s:7:"filters";a:5:{s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:20:"filter_htmlcorrector";a:5:{s:2:"id";s:20:"filter_htmlcorrector";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:10;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:0;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:324:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <s> <sup> <sub> <img src alt data-entity-type data-entity-uuid data-align data-caption> <table> <caption> <tbody> <thead> <tfoot> <th> <td> <tr> <hr> <p> <h1> <pre> <i class>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}}}', -1, '1681649787.364', 1, '', '0'),
('filter.format.plain_text', 'a:9:{s:4:"uuid";s:36:"cf4d1199-6883-4249-a8e5-f11d18bab72a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NIKBt6kw_uPhNI0qtR2DnRf7mSOgAQdx7Q94SKMjXbQ";}s:4:"name";s:10:"Plain text";s:6:"format";s:10:"plain_text";s:6:"weight";i:10;s:7:"filters";a:3:{s:18:"filter_html_escape";a:5:{s:2:"id";s:18:"filter_html_escape";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}}}', -1, '1681649787.364', 1, '', '0'),
('filter.format.raw_html', 'a:8:{s:4:"uuid";s:36:"cf80cad5-4edb-46a3-9062-a97d7593445f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"Raw HTML";s:6:"format";s:8:"raw_html";s:6:"weight";i:0;s:7:"filters";a:0:{}}', -1, '1681649787.364', 1, '', '0'),
('filter.format.restricted_html', 'a:9:{s:4:"uuid";s:36:"40d93674-0b33-45e3-846f-c5cf3a5d4005";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KUjJ8Ti_ZJSlhGM88E_mhJP-8mmQRNUB6RFof615Kt0";}s:4:"name";s:15:"Restricted HTML";s:6:"format";s:15:"restricted_html";s:6:"weight";i:0;s:7:"filters";a:3:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:149:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}}}', -1, '1681649787.364', 1, '', '0'),
('filter.settings', 'a:3:{s:15:"fallback_format";s:10:"plain_text";s:27:"always_show_fallback_choice";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"FiPjM3WdB__ruFA7B6TLwni_UcZbmek5G4b2dxQItxA";}}', -1, '1681649787.366', 1, '', '0'),
('fontawesome.settings', 'a:8:{s:6:"method";s:3:"svg";s:7:"use_cdn";b:1;s:21:"external_svg_location";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:8:"use_shim";b:0;s:22:"external_shim_location";s:58:"https://use.fontawesome.com/releases/v5.0.1/js/v4-shims.js";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lPTwA4c8LXp6x-2izOTUHUDWSiJlAKFLM0TvcEcksoU";}s:3:"tag";s:1:"i";s:21:"allow_pseudo_elements";b:0;}', -1, '1681649762.367', 1, '', '0'),
('fontyourface.font_display.mt_headings', 'a:10:{s:4:"uuid";s:36:"613e21fb-42c6-4714-a5b9-aee9a09b245a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_headings";s:5:"label";s:8:"Headings";s:8:"font_url";s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:259:".hff-fyf h1,\r\n.hff-fyf h2,\r\n.hff-fyf h3,\r\n.hff-fyf h4,\r\n.hff-fyf h5,\r\n.hff-fyf h6,\r\n.hff-fyf .tp-caption__title,\r\n.hff-fyf .tp-caption__subtitle,\r\n.hff-fyf .field--name-field-mt-highlight-title,\r\n.hff-fyf .nav-tab__title,\r\n.hff-fyf .views-field-field-mt-price";s:5:"theme";s:7:"topplus";}', -1, '1681649762.371', 1, '', '0'),
('fontyourface.font_display.mt_paragraph', 'a:10:{s:4:"uuid";s:36:"2477394c-d822-40c7-a92a-5ed635bfff9b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_paragraph";s:5:"label";s:9:"Paragraph";s:8:"font_url";s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:12:"body.pff-fyf";s:5:"theme";s:7:"topplus";}', -1, '1681649762.371', 1, '', '0'),
('fontyourface.font_display.mt_site_name', 'a:10:{s:4:"uuid";s:36:"e3ad3996-daab-420e-9ea1-1d7c17927d6d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_site_name";s:5:"label";s:9:"Site name";s:8:"font_url";s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:19:".sff-fyf .site-name";s:5:"theme";s:7:"topplus";}', -1, '1681649762.371', 1, '', '0'),
('fontyourface.font_display.mt_site_slogan', 'a:10:{s:4:"uuid";s:36:"ea6b03e6-5b95-4ebe-8d0d-75ad266f79c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:14:"mt_site_slogan";s:5:"label";s:11:"Site slogan";s:8:"font_url";s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:22:".slff-fyf .site-slogan";s:5:"theme";s:7:"topplus";}', -1, '1681649762.371', 1, '', '0'),
('fontyourface.settings', 'a:3:{s:13:"enabled_fonts";a:4:{i:9;s:75:"http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#700";i:10;s:79:"http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#regular";i:11;s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";i:12;s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";}s:22:"load_all_enabled_fonts";i:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r8uAx4mTBwCkgDFbdKCmhjgbb91BQ4HbWSYRKrlowMY";}}', -1, '1681649762.370', 1, '', '0'),
('image.settings', 'a:4:{s:13:"preview_image";s:29:"core/modules/image/sample.png";s:26:"allow_insecure_derivatives";b:0;s:20:"suppress_itok_output";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"k-yDFHbqNfpe-Srg4sdCSqaosCl2D8uwyEY5esF8gEw";}}', -1, '1681650107.794', 1, '', '0'),
('image.style.large', 'a:8:{s:4:"uuid";s:36:"83f5ecf4-f5b6-418e-94b2-f15be3e50354";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"J2n0RpFzS0-bgSyxjs6rSdgxB1rb-bTAgqywNx_964M";}s:4:"name";s:5:"large";s:5:"label";s:17:"Large (1110×600)";s:7:"effects";a:1:{s:36:"04b1082a-f66a-4b08-b5a4-9e685ca225f1";a:4:{s:4:"uuid";s:36:"04b1082a-f66a-4b08-b5a4-9e685ca225f1";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:1110;s:6:"height";i:600;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.medium', 'a:8:{s:4:"uuid";s:36:"11cb48d4-9b3b-45ba-8bf7-2a44df59eb3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Y9NmnZHQq20ASSyTNA6JnwtWrJJiSajOehGDtmUFdM0";}s:4:"name";s:6:"medium";s:5:"label";s:17:"Medium (220×220)";s:7:"effects";a:1:{s:36:"02cbd0df-42b9-4c05-91a7-17c1cb75205a";a:4:{s:4:"uuid";s:36:"02cbd0df-42b9-4c05-91a7-17c1cb75205a";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:2;s:4:"data";a:3:{s:5:"width";i:220;s:6:"height";i:220;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_albums_carousel', 'a:7:{s:4:"uuid";s:36:"c7f63738-8e70-4b2d-87e0-449906ddde64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_albums_carousel";s:5:"label";s:23:"Event Gallery (750x750)";s:7:"effects";a:1:{s:36:"72cb7759-15f2-46dc-bce2-f72a12e53952";a:4:{s:4:"uuid";s:36:"72cb7759-15f2-46dc-bce2-f72a12e53952";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_brands', 'a:7:{s:4:"uuid";s:36:"e99a84eb-4c9f-4c9e-8f7c-a0550a1e2892";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:9:"mt_brands";s:5:"label";s:27:"Brands (scale width to 230)";s:7:"effects";a:1:{s:36:"96461fe8-e625-44ce-8620-f817dbb34609";a:4:{s:4:"uuid";s:36:"96461fe8-e625-44ce-8620-f817dbb34609";s:2:"id";s:11:"image_scale";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:230;s:6:"height";N;s:7:"upscale";b:0;}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_fli_image', 'a:7:{s:4:"uuid";s:36:"7636825c-f524-4a44-90cc-cc6bbe878619";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:12:"mt_fli_image";s:5:"label";s:28:"Fancy Linked Image (750x750)";s:7:"effects";a:1:{s:36:"500de457-2e1c-4372-a979-a4c6c219ebb8";a:4:{s:4:"uuid";s:36:"500de457-2e1c-4372-a979-a4c6c219ebb8";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_icons', 'a:7:{s:4:"uuid";s:36:"f0f9c2c4-8ce5-44a3-a0c2-8ffb45146cbb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"mt_icons";s:5:"label";s:13:"Icons (90x90)";s:7:"effects";a:1:{s:36:"1d6b2ee3-93c6-4e3a-bde8-3e67c85e847f";a:4:{s:4:"uuid";s:36:"1d6b2ee3-93c6-4e3a-bde8-3e67c85e847f";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:90;s:6:"height";i:90;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_landscape_image', 'a:7:{s:4:"uuid";s:36:"499e568c-36b0-45c1-abdd-b531d5cf47c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_landscape_image";s:5:"label";s:26:"Landscape Image (1110x600)";s:7:"effects";a:1:{s:36:"ab62830d-202b-44bd-aef0-9e905300c06c";a:4:{s:4:"uuid";s:36:"ab62830d-202b-44bd-aef0-9e905300c06c";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:1110;s:6:"height";i:600;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_logos', 'a:7:{s:4:"uuid";s:36:"80cba29a-9c51-4aec-bdd0-04f3ff568ed4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"mt_logos";s:5:"label";s:26:"Logos (scale width to 230)";s:7:"effects";a:1:{s:36:"8af07862-9b1c-4759-b122-673b58bcc855";a:4:{s:4:"uuid";s:36:"8af07862-9b1c-4759-b122-673b58bcc855";s:2:"id";s:11:"image_scale";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:230;s:6:"height";N;s:7:"upscale";b:0;}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_media_tab_image', 'a:7:{s:4:"uuid";s:36:"6cb51469-fcc0-4cd6-95d2-8938347043c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_media_tab_image";s:5:"label";s:25:"Media Tab Image (850x460)";s:7:"effects";a:1:{s:36:"23957af8-f051-456c-a1f1-60efb144859c";a:4:{s:4:"uuid";s:36:"23957af8-f051-456c-a1f1-60efb144859c";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:850;s:6:"height";i:460;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_member_photo', 'a:7:{s:4:"uuid";s:36:"d5600cfe-3961-44db-be44-ed3f244d4ce4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:15:"mt_member_photo";s:5:"label";s:22:"Member Photo (750x750)";s:7:"effects";a:1:{s:36:"a0df2d92-7ea6-4fe2-a1d4-284a75a09a91";a:4:{s:4:"uuid";s:36:"a0df2d92-7ea6-4fe2-a1d4-284a75a09a91";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681650107.759', 1, '', '0'),
('image.style.mt_portrait_image', 'a:7:{s:4:"uuid";s:36:"65eaec9a-abee-4e56-91f7-a03a5b9407b6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:17:"mt_portrait_image";s:5:"label";s:24:"Portrait Image (750x846)";s:7:"effects";a:1:{s:36:"bdfa9779-ef7b-408f-af36-9c452cd5d928";a:4:{s:4:"uuid";s:36:"bdfa9779-ef7b-408f-af36-9c452cd5d928";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:846;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_product_image', 'a:7:{s:4:"uuid";s:36:"257341b9-e611-4ee3-babc-e4b760e2e73d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"mt_product_image";s:5:"label";s:23:"Product Image (750x750)";s:7:"effects";a:1:{s:36:"0226ade6-69e2-4274-8e93-889d1dcf4401";a:4:{s:4:"uuid";s:36:"0226ade6-69e2-4274-8e93-889d1dcf4401";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_slideshow_boxed', 'a:7:{s:4:"uuid";s:36:"802866b5-fdbc-4851-85e8-9d8a225530c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_slideshow_boxed";s:5:"label";s:32:"Slideshow Boxed Width (1140x650)";s:7:"effects";a:1:{s:36:"86d54018-c393-4d94-b8a4-0d61380fbcf0";a:4:{s:4:"uuid";s:36:"86d54018-c393-4d94-b8a4-0d61380fbcf0";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:1140;s:6:"height";i:650;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_slideshow_fullscreen', 'a:7:{s:4:"uuid";s:36:"24ad0c0b-6cc6-4e8b-bc1c-289da941938a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:23:"mt_slideshow_fullscreen";s:5:"label";s:21:"Slideshow Full Screen";s:7:"effects";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_testimonial_image', 'a:7:{s:4:"uuid";s:36:"f39dd703-ec67-4192-ad10-88bd795ea4b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:20:"mt_testimonial_image";s:5:"label";s:27:"Testimonial Image (750x750)";s:7:"effects";a:1:{s:36:"6a4821a9-0fb6-4029-b466-3076721d8316";a:4:{s:4:"uuid";s:36:"6a4821a9-0fb6-4029-b466-3076721d8316";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.mt_video_gallery_thumbnail', 'a:7:{s:4:"uuid";s:36:"54917034-6898-44a1-9a10-4969810f0780";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:26:"mt_video_gallery_thumbnail";s:5:"label";s:35:"Video Gallery thumbnail (400×226 )";s:7:"effects";a:1:{s:36:"726c5b5b-deaf-4e73-ab17-cfb1986a71b1";a:4:{s:4:"uuid";s:36:"726c5b5b-deaf-4e73-ab17-cfb1986a71b1";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:400;s:6:"height";i:226;s:6:"anchor";s:13:"center-center";}}}}', -1, '1681652741.493', 1, '', '0'),
('image.style.thumbnail', 'a:8:{s:4:"uuid";s:36:"8f64a3c1-49af-47cc-9d2d-5f2f78d73a42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cCiWdBHgLwj5omG35lsKc4LkW4MBdmcctkVop4ol5x0";}s:4:"name";s:9:"thumbnail";s:5:"label";s:20:"Thumbnail (100×100)";s:7:"effects";a:1:{s:36:"1cfec298-8620-4749-b100-ccb6c4500779";a:4:{s:4:"uuid";s:36:"1cfec298-8620-4749-b100-ccb6c4500779";s:2:"id";s:11:"image_scale";s:6:"weight";i:0;s:4:"data";a:3:{s:5:"width";i:100;s:6:"height";i:100;s:7:"upscale";b:0;}}}}', -1, '1681652741.493', 1, '', '0'),
('juicerio.settings', 'a:3:{s:13:"juicer_blocks";s:1:"1";s:14:"juicer_feed_id";s:7:"mttfeed";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TCZB3pQ-EEaWnZ8G9OWnErDUc5hYbJTf4JfgjGyOGuk";}}', -1, '1681649762.078', 1, '', '0'),
('menu_ui.settings', 'a:2:{s:24:"override_parent_selector";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SqMarzIjxC3F8dZo9FEOxfqDKD_sdW1tbcFTV1BA2zU";}}', -1, '1681652741.493', 1, '', '0'),
('mt_cookieconsent.settings', 'b:0;', -1, '1681653366.403', 1, '', '0'),
('mt_countdown.settings', 'a:18:{s:12:"theme_select";s:5:"block";s:5:"title";s:0:"";s:14:"prompt_message";s:0:"";s:10:"target_url";s:30:"https://www.morethanthemes.com";s:12:"dismiss_text";s:8:"Register";s:7:"days_to";s:20:"Conference starts in";s:19:"predefined_palettes";s:1:"0";s:10:"background";s:7:"#3b5998";s:11:"title_color";s:7:"#ffffff";s:13:"message_color";s:7:"#ffffff";s:11:"notes_color";s:7:"#ffffff";s:17:"button_background";s:7:"#ffffff";s:13:"button_colour";s:7:"#000000";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eZaCGDpST7tJvWSvbD2-zazfqUfGC_E-GMhqc12O1bk";}s:15:"expiration_date";s:19:"2018-12-15 17:17:00";s:12:"button_color";s:7:"#000000";s:18:"inject_in_the_body";i:0;s:9:"hint_text";s:59:"Early Bird Registration now on. Save 30% till end of March.";}', -1, '1681649762.368', 1, '', '0'),
('node.settings', 'a:2:{s:15:"use_admin_theme";b:1;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2OMXCScXUOLSYID9-phjO4q36nnnaMWNUlDxEqZzG1U";}}', -1, '1681649759.952', 1, '', '0'),
('node.type.article', 'a:13:{s:4:"uuid";s:36:"1ec5bb17-b507-4dac-a96c-851b1c06ad6e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"i4OVV5qrD7abstl4SKS8v5Ee7PuxrL548iZVSty1HRg";}s:4:"name";s:7:"Article";s:4:"type";s:7:"article";s:11:"description";s:89:"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:1;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_album', 'a:12:{s:4:"uuid";s:36:"49bdf411-7145-4dd0-aa11-88acfe8351c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:5:"Album";s:4:"type";s:8:"mt_album";s:11:"description";s:307:"Ideal for posts that present photos of your conference or event. Examples of this could be photo albums of a Welcome/Reception event, or a Closing session. Albums support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:1;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_canvas_page', 'a:12:{s:4:"uuid";s:36:"bc1fcc49-6c25-44a1-87c7-c1a852ca949c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:16:"Layouting Canvas";s:4:"type";s:14:"mt_canvas_page";s:11:"description";s:176:"Ideal for laying out custom pages using HTML and the short codes provided with the product. It is based on the Basic Page content type and features a full-width 12-column grid.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_event', 'a:12:{s:4:"uuid";s:36:"a1cad46e-58a4-43b9-ad41-9b932e0d507c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:5:"Event";s:4:"type";s:8:"mt_event";s:11:"description";s:293:"Ideal for posts presenting events within your conference or event. Examples of this could be a Welcome/Reception event, or a Closing session. Events support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_presentation', 'a:12:{s:4:"uuid";s:36:"7c2974b4-3327-433b-9236-18e8f96f44c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:12:"Presentation";s:4:"type";s:15:"mt_presentation";s:11:"description";s:602:"Ideal for posts representing the work(s) – scientific, technical or other – that are presented in your conference or event. It may include Oral, Poster or e-Poster Presentations, Workshops and Symposia, and anything in line with that. Each post using this content type may include the names of the presentation Authors and the Institutions these authors come from, as well as the Topic and Session it was part of in the conference program. Presentations support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_product', 'a:12:{s:4:"uuid";s:36:"9721f71b-0da2-40c5-812b-9975e3d06a97";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Merchandise";s:4:"type";s:10:"mt_product";s:11:"description";s:352:"Ideal for posts presenting Merchandise that may be up for sale or giveaway in your conference or event. Examples of this could be clothing (e.g. T-shirts, jockeys) or souvenirs (e.g. mugs). Merchandise posts support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_program_entry', 'a:12:{s:4:"uuid";s:36:"9fdd1ae2-f882-4153-a8b8-2f46a0e56795";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:13:"Program Entry";s:4:"type";s:16:"mt_program_entry";s:11:"description";s:347:"Ideal for helping you to present your event program in a single dynamic view. It can be connected with nodes of the Presentation and Event content types and is ideal for entries that constitute important parts of your event program. For every entry, a Start and End time, a category as well as a reference to an Event or Presentation is supported.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_service', 'a:12:{s:4:"uuid";s:36:"afe38aed-9c93-4a06-b601-903c7f88f06b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:13:"Accommodation";s:4:"type";s:10:"mt_service";s:11:"description";s:392:"Ideal for posts presenting services associated with your conference or event. Examples of this could be accommodation (e.g.: in selected hotels near the Venue) or transfer (e.g. from Airport or accommodation to Venue and back). Accommodation posts support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_speaker', 'a:12:{s:4:"uuid";s:36:"04ea06b2-ca37-4e0c-b3ef-0c0cd5cbbc17";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:7:"Speaker";s:4:"type";s:10:"mt_speaker";s:11:"description";s:442:"Ideal for posts representing the Speakers (usually also the Presenters) of the work(s) – scientific, technical or other – that are presented in your conference or event. It may include Speakers of Oral, Poster or e-Poster Presentations, Workshops and Symposia, and anything in line with that. Speakers support images, which, along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_sponsor', 'a:12:{s:4:"uuid";s:36:"a09dcd9d-6112-4d55-a0e7-8b1d642cf458";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:7:"Sponsor";s:4:"type";s:10:"mt_sponsor";s:11:"description";s:133:"Ideal for posts presenting the sponsors of your conference or event with support for both text and an image (e.g.: the sponsor logo).";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_team_member', 'a:12:{s:4:"uuid";s:36:"a9a3dbab-9378-428e-afe8-277a5ba749b2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Team Member";s:4:"type";s:14:"mt_team_member";s:11:"description";s:394:"The Team member post is ideal for creating a page for each of your team members. Along with a description of your team member’s position, responsibilities and qualifications, it provides the ability to attach an image, which is automatically adjusted to fit into the website’s layout. And what’s great about Team member posts, is that they are all collected under the “About us” page.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.mt_testimonial', 'a:12:{s:4:"uuid";s:36:"01c23e36-7b09-4950-8ece-04b9df3049b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Testimonial";s:4:"type";s:14:"mt_testimonial";s:11:"description";s:233:"The Testimonial entry is perfect to showcase the words of love from your users and customers. Use it to easily publish testimonials on your site. A special View Block and a View Page are already configured to show them off perfectly.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('node.type.page', 'a:12:{s:4:"uuid";s:36:"57b64f48-ce71-46a0-8b34-e3a3d6426839";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zhtPXoRcC6REiepM0k16zw__FDW5YOXDR6U2WlldTrs";}s:4:"name";s:10:"Basic page";s:4:"type";s:4:"page";s:11:"description";s:77:"Use <em>basic pages</em> for your static content, such as an ''About us'' page.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}', -1, '1681649759.900', 1, '', '0'),
('olivero.settings', 'a:7:{s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ylohp6sdrL1dU4v-KcXzXTP-U8BAMgh4NWJA9eGHtO4";}s:7:"favicon";a:1:{s:11:"use_default";b:1;}s:8:"features";a:4:{s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;s:17:"node_user_picture";b:0;}s:4:"logo";a:1:{s:11:"use_default";b:0;}s:20:"third_party_settings";a:1:{s:8:"shortcut";a:1:{s:11:"module_link";b:1;}}s:22:"mobile_menu_all_widths";i:0;s:22:"site_branding_bg_color";s:7:"default";}', -1, '1681652741.190', 1, '', '0');
INSERT INTO `cache_config` VALUES
('paragraphs.paragraphs_type.mt_additional_feature', 'a:7:{s:4:"uuid";s:36:"49cce4cd-0e2b-4833-9e62-6ba3f7739337";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:21:"mt_additional_feature";s:5:"label";s:18:"Additional Feature";s:16:"behavior_plugins";a:0:{}}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_collapse', 'a:6:{s:4:"uuid";s:36:"ab5747eb-d1d2-4437-bb7c-e4ea7db801c9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_collapse";s:5:"label";s:8:"Collapse";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_dropdown', 'a:6:{s:4:"uuid";s:36:"b9558bd1-c6fd-4e8a-b383-4266b3508f02";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_dropdown";s:5:"label";s:8:"Dropdown";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_fancy_linked_image', 'a:6:{s:4:"uuid";s:36:"5bb01ad3-a9b1-47c5-b9b4-401a016f1d14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:21:"mt_fancy_linked_image";s:5:"label";s:18:"Fancy Linked Image";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_fancy_tab', 'a:6:{s:4:"uuid";s:36:"d96140d6-6079-42e0-a79e-44e7a4e67686";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_fancy_tab";s:5:"label";s:9:"Fancy Tab";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_featured_linked_text_tile', 'a:6:{s:4:"uuid";s:36:"6c880f0e-6d3d-481f-a922-ed0a9245190d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:28:"mt_featured_linked_text_tile";s:5:"label";s:25:"Featured Linked Text Tile";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_highlight', 'a:7:{s:4:"uuid";s:36:"29a4d57f-71b3-43e3-999c-a1e4277fc03a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_highlight";s:5:"label";s:9:"Highlight";s:16:"behavior_plugins";a:0:{}}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_icon_features', 'a:7:{s:4:"uuid";s:36:"cf04796c-73c7-4765-b7ab-ee377826b2f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_icon_features";s:5:"label";s:13:"Icon Features";s:16:"behavior_plugins";a:0:{}}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_main_slideshow_slide', 'a:6:{s:4:"uuid";s:36:"a596081e-94fb-4e3f-9d79-f2c2205a48fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"mt_main_slideshow_slide";s:5:"label";s:20:"Main Slideshow Slide";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_map_location', 'a:7:{s:4:"uuid";s:36:"3696ea7b-210d-42c4-8826-cc1915ca907b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:15:"mt_map_location";s:5:"label";s:12:"Map Location";s:16:"behavior_plugins";a:0:{}}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_media_tab', 'a:6:{s:4:"uuid";s:36:"ffc819cc-5337-4afa-a786-aa9d8a4b74f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_media_tab";s:5:"label";s:9:"Media Tab";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_tab', 'a:6:{s:4:"uuid";s:36:"7299434e-30a5-4a17-9d82-d5679e584176";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:6:"mt_tab";s:5:"label";s:3:"Tab";}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_timeline_item', 'a:9:{s:4:"uuid";s:36:"edabb2a6-00c5-4529-bb31-cfbe62532f2b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_timeline_item";s:5:"label";s:13:"Timeline Item";s:9:"icon_uuid";N;s:11:"description";s:0:"";s:16:"behavior_plugins";a:0:{}}', -1, '1681649759.906', 1, '', '0'),
('paragraphs.paragraphs_type.mt_video_gallery_slide', 'a:6:{s:4:"uuid";s:36:"bf084c62-a6f6-4940-ac5d-4e393ca31228";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:22:"mt_video_gallery_slide";s:5:"label";s:19:"Video Gallery slide";}', -1, '1681649759.906', 1, '', '0'),
('rdf.mapping.block_content.basic', 'b:0;', -1, '1681649767.663', 1, '', '0'),
('rdf.mapping.comment.comment', 'a:10:{s:4:"uuid";s:36:"0e814a7f-8a1e-4065-ac6d-2ea69f011304";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:20:"comment.type.comment";}s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"uETe6XupRGKDForx2MpY0pMOEu6CzGgdCAZZOKkbgmk";}s:2:"id";s:15:"comment.comment";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:5:"types";a:1:{i:0;s:14:"schema:Comment";}s:13:"fieldMappings";a:5:{s:7:"subject";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:12:"comment_body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:2:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}s:12:"mapping_type";s:3:"rel";}}}', -1, '1681652741.493', 1, '', '0'),
('rdf.mapping.node.article', 'a:10:{s:4:"uuid";s:36:"867e193e-69ba-4d58-b486-6f5c024f731f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"IdobJe379eDudt7-bXFfJjF7pDqFl-kYxVFtpWrgkro";}s:2:"id";s:12:"node.article";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:5:"types";a:1:{i:0;s:14:"schema:Article";}s:13:"fieldMappings";a:9:{s:5:"title";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:4:"body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:1:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}}s:7:"comment";a:2:{s:10:"properties";a:1:{i:0;s:14:"schema:comment";}s:12:"mapping_type";s:3:"rel";}s:13:"comment_count";a:2:{s:10:"properties";a:1:{i:0;s:23:"schema:interactionCount";}s:17:"datatype_callback";a:2:{s:8:"callable";s:51:"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount";s:9:"arguments";a:1:{s:16:"interaction_type";s:12:"UserComments";}}}s:11:"field_image";a:1:{s:10:"properties";a:1:{i:0;s:12:"schema:image";}}s:10:"field_tags";a:1:{s:10:"properties";a:1:{i:0;s:12:"schema:about";}}}}', -1, '1681652741.493', 1, '', '0'),
('rdf.mapping.node.mt_canvas_page', 'b:0;', -1, '1681653973.104', 1, '', '0'),
('rdf.mapping.node.mt_speaker', 'b:0;', -1, '1681650107.743', 1, '', '0'),
('rdf.mapping.node.page', 'a:10:{s:4:"uuid";s:36:"eb565cb5-4dba-4f72-a362-9f00ea6c1ecb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"32LxRnl4Wesvzqyfp7HnD0-U9-wxrLBn76pqY5XGNAE";}s:2:"id";s:9:"node.page";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:5:"types";a:1:{i:0;s:14:"schema:WebPage";}s:13:"fieldMappings";a:6:{s:5:"title";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:4:"body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:2:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}s:12:"mapping_type";s:3:"rel";}s:13:"comment_count";a:2:{s:10:"properties";a:1:{i:0;s:23:"schema:interactionCount";}s:17:"datatype_callback";a:2:{s:8:"callable";s:51:"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount";s:9:"arguments";a:1:{s:16:"interaction_type";s:12:"UserComments";}}}}}', -1, '1681649767.067', 1, '', '0'),
('rdf.mapping.taxonomy_term.tags', 'a:10:{s:4:"uuid";s:36:"c6cd68b2-2660-474f-8177-7ca432e309c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"taxonomy.vocabulary.tags";}s:6:"module";a:1:{i:0;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"o5duwyS1CTHx3tYOZhuu91kspe8VQjQsnwZjAJv9njk";}s:2:"id";s:18:"taxonomy_term.tags";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:4:"tags";s:5:"types";a:1:{i:0;s:12:"schema:Thing";}s:13:"fieldMappings";a:2:{s:4:"name";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:11:"description";a:1:{s:10:"properties";a:1:{i:0;s:18:"schema:description";}}}}', -1, '1681652741.493', 1, '', '0'),
('rdf.mapping.user.user', 'a:10:{s:4:"uuid";s:36:"6438bce3-2094-40e4-9681-677c866f265f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TGTlmpYAtXxjtYMFA_A0vosE2c4R5MCQwLviIA5HUM0";}s:2:"id";s:9:"user.user";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:5:"types";a:1:{i:0;s:13:"schema:Person";}s:13:"fieldMappings";a:1:{s:4:"name";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}}}', -1, '1681649767.252', 1, '', '0'),
('search.page.node_search', 'a:11:{s:4:"uuid";s:36:"c628b64b-57a7-4b8c-96ac-4eecd4cceebc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"97tvtzGOa8_flb22CzSjgtm_YkiGMHvEBO-6q2K9V_U";}s:2:"id";s:11:"node_search";s:5:"label";s:7:"Content";s:4:"path";s:4:"node";s:6:"weight";i:-10;s:6:"plugin";s:11:"node_search";s:13:"configuration";a:1:{s:8:"rankings";a:0:{}}}', -1, '1681649759.676', 1, '', '0'),
('search.page.user_search', 'a:11:{s:4:"uuid";s:36:"dd09885b-5c41-44a9-82b8-26ce0a53be7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"k3aUaZXGDuhkek2TZIee0PApOPTvYZLadziekdyHA5A";}s:2:"id";s:11:"user_search";s:5:"label";s:5:"Users";s:4:"path";s:4:"user";s:6:"weight";i:0;s:6:"plugin";s:11:"user_search";s:13:"configuration";a:0:{}}', -1, '1681649759.676', 1, '', '0'),
('search.settings', 'a:5:{s:12:"and_or_limit";i:7;s:12:"default_page";s:11:"node_search";s:5:"index";a:4:{s:10:"cron_limit";i:100;s:11:"overlap_cjk";b:1;s:17:"minimum_word_size";i:3;s:11:"tag_weights";a:12:{s:2:"h1";i:25;s:2:"h2";i:18;s:2:"h3";i:15;s:2:"h4";i:14;s:2:"h5";i:9;s:2:"h6";i:6;s:1:"u";i:3;s:1:"b";i:3;s:1:"i";i:3;s:6:"strong";i:3;s:2:"em";i:3;s:1:"a";i:10;}}s:7:"logging";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"hvVxL1G-ZCxaq32IZws0YsfuhvaDiQE_np-0g35KjUk";}}', -1, '1681649759.677', 1, '', '0'),
('seven.settings', 'a:1:{s:20:"third_party_settings";a:1:{s:8:"shortcut";a:1:{s:11:"module_link";b:1;}}}', -1, '1681649762.369', 1, '', '0'),
('shortcut.set.default', 'a:7:{s:4:"uuid";s:36:"f57c239c-05ba-4e95-97f7-9e82a36c3b93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U5VlGjd_SfV0Qm_EfnaynOfc549cNscFAx48JfYoMRI";}s:2:"id";s:7:"default";s:5:"label";s:7:"Default";}', -1, '1681649759.902', 1, '', '0'),
('statistics.settings', 'a:3:{s:19:"count_content_views";i:1;s:15:"display_max_age";i:3600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"83DFdl59OsypYUif32K2NCB8eiszXAKCcay04oZCRpA";}}', -1, '1681649762.355', 1, '', '0'),
('superfish.settings', 'a:2:{s:17:"superfish_library";s:290:"sites/all/libraries/superfish/jquery.hoverIntent.minified.js\r\nsites/all/libraries/superfish/superfish.js\r\nsites/all/libraries/superfish/supersubs.js\r\nsites/all/libraries/superfish/supposition.js\r\nsites/all/libraries/superfish/sfsmallscreen.js\r\nsites/all/libraries/superfish/sftouchscreen.js";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Bjqe5nqmfnnjecmHHxF6rltZFcKRKgSVsC_shaV8prs";}}', -1, '1681652741.493', 1, '', '0'),
('system.action.comment_delete_action', 'a:9:{s:4:"uuid";s:36:"10435f0c-17a0-4d3e-b6d3-36f6bc940a80";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:2:"id";s:21:"comment_delete_action";s:5:"label";s:14:"Delete comment";s:4:"type";s:7:"comment";s:6:"plugin";s:28:"entity:delete_action:comment";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.comment_publish_action', 'a:10:{s:4:"uuid";s:36:"05a7ea99-e7b2-4356-ae40-bc9ab358a7fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"f6w_Pd30AyyDIoMkD4QpPMM2-I8FTEHICchFVOpjiCI";}s:2:"id";s:22:"comment_publish_action";s:5:"label";s:15:"Publish comment";s:4:"type";s:7:"comment";s:6:"plugin";s:29:"entity:publish_action:comment";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.comment_save_action', 'a:10:{s:4:"uuid";s:36:"980bfc2f-e26d-45eb-9312-28f6b5a332d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TSkg_gUZvk-39yXFrIFnKjsxuEzO0qBH82TdDxOMMr4";}s:2:"id";s:19:"comment_save_action";s:5:"label";s:12:"Save comment";s:4:"type";s:7:"comment";s:6:"plugin";s:26:"entity:save_action:comment";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.comment_unpublish_action', 'a:10:{s:4:"uuid";s:36:"b8d45f31-1ae4-4e38-8bda-60c1c24fdc70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"MLin6S_PsJ7Oo480DxS46D46IM8tqFkkWOLyH7TGByI";}s:2:"id";s:24:"comment_unpublish_action";s:5:"label";s:17:"Unpublish comment";s:4:"type";s:7:"comment";s:6:"plugin";s:31:"entity:unpublish_action:comment";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_delete_action', 'a:10:{s:4:"uuid";s:36:"5cbc002c-5edc-429f-a8f7-92d5218f1951";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Zx0jD1Klh5tZaGJy8uOeR_2MCu9FDM4xg7TaUJUEbkI";}s:2:"id";s:18:"node_delete_action";s:5:"label";s:14:"Delete content";s:4:"type";s:4:"node";s:6:"plugin";s:25:"entity:delete_action:node";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_make_sticky_action', 'a:10:{s:4:"uuid";s:36:"2c4c0d36-8317-40a5-9d85-93640328328d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"sOb26JSy3fGpWkvR0WYN6_hMqj_6d1rvbvrkzp1yya0";}s:2:"id";s:23:"node_make_sticky_action";s:5:"label";s:19:"Make content sticky";s:4:"type";s:4:"node";s:6:"plugin";s:23:"node_make_sticky_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_make_unsticky_action', 'a:10:{s:4:"uuid";s:36:"c3abba57-d2cd-4984-9348-4304ae98281b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lDM9mvIGAu8Sw8rt-uCO4Sr7yX5VPrDPxYcawkbKd6k";}s:2:"id";s:25:"node_make_unsticky_action";s:5:"label";s:21:"Make content unsticky";s:4:"type";s:4:"node";s:6:"plugin";s:25:"node_make_unsticky_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_promote_action', 'a:10:{s:4:"uuid";s:36:"1fab0859-1fe9-4383-bebb-f2fb607500e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"N0RDBTqiK4dKoN4p4oW2j0SGWycdHyALUe9M-Ofp89U";}s:2:"id";s:19:"node_promote_action";s:5:"label";s:29:"Promote content to front page";s:4:"type";s:4:"node";s:6:"plugin";s:19:"node_promote_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_publish_action', 'a:10:{s:4:"uuid";s:36:"84157d44-8353-46f5-bc56-8617350d2847";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lsQkbo4njZ-Q_oGKCPGXGWFjWF1I7QpgA6m-t9rcRoA";}s:2:"id";s:19:"node_publish_action";s:5:"label";s:15:"Publish content";s:4:"type";s:4:"node";s:6:"plugin";s:26:"entity:publish_action:node";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_save_action', 'a:10:{s:4:"uuid";s:36:"bcb78cdd-6d7b-4feb-ab1e-87cfa602e037";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U9HspszLxcw6pZmRacFa6yDbbheyMN-We4fPbrWWHGg";}s:2:"id";s:16:"node_save_action";s:5:"label";s:12:"Save content";s:4:"type";s:4:"node";s:6:"plugin";s:23:"entity:save_action:node";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_unpromote_action', 'a:10:{s:4:"uuid";s:36:"1f815e82-4343-47e2-92fb-87707756f7a1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JBptjnfuOMtsdKygklXxoOgeOCTMtQxlkymjnnj-cC0";}s:2:"id";s:21:"node_unpromote_action";s:5:"label";s:30:"Remove content from front page";s:4:"type";s:4:"node";s:6:"plugin";s:21:"node_unpromote_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.node_unpublish_action', 'a:10:{s:4:"uuid";s:36:"2c53863b-8faf-4203-8e8a-3f007168758b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gGQXiSspwGl0lyOS6w_HCPpvGAPDciqDNLFwWOydVtI";}s:2:"id";s:21:"node_unpublish_action";s:5:"label";s:17:"Unpublish content";s:4:"type";s:4:"node";s:6:"plugin";s:28:"entity:unpublish_action:node";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.user_add_role_action.administrator', 'a:9:{s:4:"uuid";s:36:"ea0a2265-63ff-43b9-bcf2-cb7f2985f3e1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"user.role.administrator";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:34:"user_add_role_action.administrator";s:5:"label";s:48:"Add the Administrator role to the selected users";s:4:"type";s:4:"user";s:6:"plugin";s:20:"user_add_role_action";s:13:"configuration";a:1:{s:3:"rid";s:13:"administrator";}}', -1, '1681649761.434', 1, '', '0'),
('system.action.user_block_user_action', 'a:10:{s:4:"uuid";s:36:"a52855ce-fa3d-4eeb-b531-4f7d7b74f1e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"DyypzTfThX10FFQw-399qPfEbLLyrhXgQrKPVsmAoJ4";}s:2:"id";s:22:"user_block_user_action";s:5:"label";s:26:"Block the selected user(s)";s:4:"type";s:4:"user";s:6:"plugin";s:22:"user_block_user_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.user_cancel_user_action', 'a:10:{s:4:"uuid";s:36:"6a24a960-11b5-48ea-8725-0de7caee1a0e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nvrL9bFilzBvm2bjO9rQnFDpBA7dBBUjShSSt6NS-DU";}s:2:"id";s:23:"user_cancel_user_action";s:5:"label";s:35:"Cancel the selected user account(s)";s:4:"type";s:4:"user";s:6:"plugin";s:23:"user_cancel_user_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.user_remove_role_action.administrator', 'a:9:{s:4:"uuid";s:36:"bec19807-3067-49e9-9508-82114f0c8351";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"user.role.administrator";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:37:"user_remove_role_action.administrator";s:5:"label";s:53:"Remove the Administrator role from the selected users";s:4:"type";s:4:"user";s:6:"plugin";s:23:"user_remove_role_action";s:13:"configuration";a:1:{s:3:"rid";s:13:"administrator";}}', -1, '1681649761.434', 1, '', '0'),
('system.action.user_unblock_user_action', 'a:10:{s:4:"uuid";s:36:"95f590f5-91e9-41a0-aec1-b5ecd70cba18";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SPsUXsR3Rc8d1y3gewzaAKWa1ncea_ywXX3f7LTn7k0";}s:2:"id";s:24:"user_unblock_user_action";s:5:"label";s:28:"Unblock the selected user(s)";s:4:"type";s:4:"user";s:6:"plugin";s:24:"user_unblock_user_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.webform_submission_delete_action', 'a:10:{s:4:"uuid";s:36:"a28f6a0e-d856-40f4-9c51-7986e0b0c58b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TBnl4vapW7sy5bRi7TcF-ueJnvz7aZNLif95ifvhfTQ";}s:2:"id";s:32:"webform_submission_delete_action";s:5:"label";s:17:"Delete submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:32:"webform_submission_delete_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.webform_submission_make_lock_action', 'a:10:{s:4:"uuid";s:36:"6640eb68-e48b-49c1-91b5-e56d68549585";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"MKmZlPRk3OJKNcYdYxSeZGQUh7LMah6MRShfkzch4bk";}s:2:"id";s:35:"webform_submission_make_lock_action";s:5:"label";s:15:"Lock submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:35:"webform_submission_make_lock_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.webform_submission_make_sticky_action', 'a:10:{s:4:"uuid";s:36:"c5b24ca7-20a2-4ce3-86e0-2ec8085d6b48";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8GSfG176mjTvczykLSKKzdI6HfM7nGnZGo54f0hRe5E";}s:2:"id";s:37:"webform_submission_make_sticky_action";s:5:"label";s:20:"Star/Flag submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:37:"webform_submission_make_sticky_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.webform_submission_make_unlock_action', 'a:10:{s:4:"uuid";s:36:"91f98b8d-64de-484a-8aa1-3be73b98da97";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"begZ0-RmTzO_zDAwEKA2lKvtGYw1vbFOzbQOJzUbZX0";}s:2:"id";s:37:"webform_submission_make_unlock_action";s:5:"label";s:17:"Unlock submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:37:"webform_submission_make_unlock_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.action.webform_submission_make_unsticky_action', 'a:10:{s:4:"uuid";s:36:"bac492ac-9baa-45fa-b537-5dfea5142d72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"n4gTFiUsdp7gw6yWUlDbKFEasZLCgXWWCmm7eJejay0";}s:2:"id";s:39:"webform_submission_make_unsticky_action";s:5:"label";s:24:"Unstar/unflag submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:39:"webform_submission_make_unsticky_action";s:13:"configuration";a:0:{}}', -1, '1681649761.434', 1, '', '0'),
('system.advisories', 'b:0;', -1, '1681649762.372', 1, '', '0'),
('system.authorize', 'a:2:{s:20:"filetransfer_default";N;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"z63ds8M4zPrylEgFRkRcOlfcsXWwfITzjD4cj1kRdfg";}}', -1, '1681652741.493', 1, '', '0'),
('system.cron', 'a:3:{s:9:"threshold";a:2:{s:20:"requirements_warning";i:172800;s:18:"requirements_error";i:1209600;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"05U0n1_8zHYzxEFSWjyHCWuJyhdez2a6Z_aTIXin04E";}s:7:"logging";i:1;}', -1, '1681649884.710', 1, '', '0'),
('system.date', 'a:4:{s:7:"country";a:1:{s:7:"default";s:2:"GR";}s:9:"first_day";i:0;s:8:"timezone";a:2:{s:7:"default";s:13:"Europe/Athens";s:4:"user";a:3:{s:12:"configurable";b:1;s:4:"warn";b:0;s:7:"default";i:0;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"V9UurX2GPT05NWKG9f2GWQqFG2TRG8vczidwjpy7Woo";}}', -1, '1681649760.638', 1, '', '0'),
('system.diff', 'a:2:{s:7:"context";a:2:{s:13:"lines_leading";i:2;s:14:"lines_trailing";i:2;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"1WanmaEhxW_vM8_5Ktsdntj8MaO9UBHXg0lN603PsWM";}}', -1, '1681652741.493', 1, '', '0'),
('system.file', 'a:5:{s:22:"allow_insecure_uploads";b:0;s:14:"default_scheme";s:6:"public";s:4:"path";a:1:{s:9:"temporary";s:23:"sites/default/files/tmp";}s:21:"temporary_maximum_age";i:21600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"t48gCU9DzYfjb3bAOIqHLzhL0ChBlXh6_5B5Pyo9t8g";}}', -1, '1681649884.712', 1, '', '0'),
('system.image', 'a:2:{s:7:"toolkit";s:2:"gd";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"durWHaKeBaq4d9Wpi4RqwADj1OufDepcnJuhVLmKN24";}}', -1, '1681649884.532', 1, '', '0'),
('system.image.gd', 'a:2:{s:12:"jpeg_quality";i:75;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eNXaHfkJJUThHeF0nvkoXyPLRrKYGxgHRjORvT4F5rQ";}}', -1, '1681652741.493', 1, '', '0'),
('system.logging', 'a:2:{s:11:"error_level";s:4:"hide";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"u3-njszl92FaxjrCMiq0yDcjAfcdx72w1zT1O9dx6aA";}}', -1, '1681649762.645', 1, '', '0'),
('system.mail', 'a:2:{s:9:"interface";a:2:{s:7:"default";s:8:"php_mail";s:7:"webform";s:16:"webform_php_mail";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rYgt7uhPafP2ngaN_ZUPFuyI4KdE0zU868zLNSlzKoE";}}', -1, '1681649759.608', 1, '', '0'),
('system.maintenance', 'a:3:{s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Z5MXifrF77GEAgx0GQ6iWT8wStjFuY8BD9OruofWTJ8";}s:8:"langcode";s:2:"en";s:7:"message";s:93:"@site is currently under maintenance. We should be back shortly. Thank you for your patience.";}', -1, '1681649901.214', 1, '', '0'),
('system.menu.account', 'a:9:{s:4:"uuid";s:36:"4e38bdf0-504c-413d-af4c-004d0914b5bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"M_Bh81osDyUQ4wV0GgU_NdBNqkzM87sLxjaCdFj9mnw";}s:2:"id";s:7:"account";s:5:"label";s:17:"User account menu";s:11:"description";s:40:"Links related to the active user account";s:6:"locked";b:1;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.admin', 'a:9:{s:4:"uuid";s:36:"7fa47f53-df1a-475e-b654-d93a5b54fd93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"sapEi2YDGoI9yQIT_WgIV2vUdQ6DScH0V3fAyTadAL0";}s:2:"id";s:5:"admin";s:5:"label";s:14:"Administration";s:11:"description";s:25:"Administrative task links";s:6:"locked";b:1;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.footer', 'a:9:{s:4:"uuid";s:36:"3cfab3d5-93e5-4ce3-ae65-16606aad1062";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7yrlW5z9zdg2eBucB2GPqXKSMQfH9lSRSO4DbWF7AFc";}s:2:"id";s:6:"footer";s:5:"label";s:6:"Footer";s:11:"description";s:22:"Site information links";s:6:"locked";b:1;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.landing-page-navigation', 'a:8:{s:4:"uuid";s:36:"0be8b4e3-ea91-49ff-9c8b-cdf9e24c6f64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"landing-page-navigation";s:5:"label";s:23:"Landing page navigation";s:11:"description";s:0:"";s:6:"locked";b:0;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.main', 'a:9:{s:4:"uuid";s:36:"8b0558ea-e5d9-40ca-bc8d-1877b4f7c9bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q2Ra3jfoIVk0f3SjxJX61byRQFVBAbpzYDQOiY-kno8";}s:2:"id";s:4:"main";s:5:"label";s:15:"Main navigation";s:11:"description";s:18:"Site section links";s:6:"locked";b:1;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.mt-footer-menu-three', 'a:8:{s:4:"uuid";s:36:"d1d4f39f-4e00-4907-85f7-66e516e6c836";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:20:"mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:11:"description";s:0:"";s:6:"locked";b:0;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.mt-footer-menu-two', 'a:8:{s:4:"uuid";s:36:"000f093e-22f4-4cbb-b7e8-313fcc229382";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:18:"mt-footer-menu-two";s:5:"label";s:10:"Questions?";s:11:"description";s:0:"";s:6:"locked";b:0;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.mt-mega-menu', 'a:8:{s:4:"uuid";s:36:"35da80ef-1dd0-491b-8157-376a510fbb90";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt-mega-menu";s:5:"label";s:9:"Mega Menu";s:11:"description";s:0:"";s:6:"locked";b:0;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.mt-subfooter-menu', 'a:8:{s:4:"uuid";s:36:"d25f7cb9-f8e4-4695-b8f5-11746f2be18c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:17:"mt-subfooter-menu";s:5:"label";s:9:"Subfooter";s:11:"description";s:0:"";s:6:"locked";b:0;}', -1, '1681649762.080', 1, '', '0'),
('system.menu.tools', 'a:9:{s:4:"uuid";s:36:"5511deda-3f20-4ad6-a97b-05d5cc83b3c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"BCM-vV1zzRaLHN18dqAR_CuGOj8AFJvTx7BKl_8Gcxc";}s:2:"id";s:5:"tools";s:5:"label";s:5:"Tools";s:11:"description";s:39:"User tool links, often added by modules";s:6:"locked";b:1;}', -1, '1681649762.080', 1, '', '0'),
('system.performance', 'a:6:{s:5:"cache";a:1:{s:4:"page";a:1:{s:7:"max_age";i:0;}}s:3:"css";a:2:{s:10:"preprocess";b:1;s:4:"gzip";b:1;}s:8:"fast_404";a:4:{s:7:"enabled";b:1;s:5:"paths";s:69:"/\\.(?:txt|png|gif|jpe?g|css|js|ico|swf|flv|cgi|bat|pl|dll|exe|asp)$/i";s:13:"exclude_paths";s:27:"/\\/(?:styles|imagecache)\\//";s:4:"html";s:162:"<!DOCTYPE html><html><head><title>404 Not Found</title></head><body><h1>Not Found</h1><p>The requested URL "@path" was not found on this server.</p></body></html>";}s:2:"js";a:2:{s:10:"preprocess";b:1;s:4:"gzip";b:1;}s:20:"stale_file_threshold";i:2592000;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"b2cssrj-lOmATIbdehfCqfCFgVR0qCdxxWhwqa2KBVQ";}}', -1, '1681649761.259', 1, '', '0'),
('system.rss', 'a:4:{s:7:"channel";a:1:{s:11:"description";s:0:"";}s:5:"items";a:2:{s:5:"limit";i:10;s:9:"view_mode";s:3:"rss";}s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TlH7NNk46phfxu1mSUfwg1C0YqaGsUCeD4l9JQnQlDU";}}', -1, '1681652741.493', 1, '', '0'),
('system.site', 'a:10:{s:4:"uuid";s:36:"d8c1e82f-f50f-455e-8103-d3c2c59f8c36";s:4:"name";s:11:"Conference+";s:4:"mail";s:18:"noreply@domain.com";s:6:"slogan";s:28:"A top quality Drupal 8 theme";s:4:"page";a:3:{i:403;s:0:"";i:404;s:0:"";s:5:"front";s:8:"/node/35";}s:18:"admin_compact_mode";b:0;s:17:"weight_select_max";i:100;s:8:"langcode";s:2:"en";s:16:"default_langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"yXadRE77Va-G6dxhd2kPYapAvbnSvTF6hO4oXiOEynI";}}', -1, '1681649762.362', 1, '', '0'),
('system.theme', 'a:3:{s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fOjer9hADYYnbCJVZMFZIIM1azTFWyg84ZkFDHfAbUg";}s:5:"admin";s:5:"seven";s:7:"default";s:7:"olivero";}', -1, '1681652741.794', 1, '', '0'),
('system.theme.global', 'a:4:{s:7:"favicon";a:4:{s:8:"mimetype";s:24:"image/vnd.microsoft.icon";s:4:"path";s:0:"";s:3:"url";s:0:"";s:11:"use_default";b:1;}s:8:"features";a:4:{s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;s:17:"node_user_picture";b:1;}s:4:"logo";a:3:{s:4:"path";s:0:"";s:3:"url";s:0:"";s:11:"use_default";b:1;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"9rAU4Pku7eMBQxauQqAgjzlcicFZ2As6zEa6zvTlCB8";}}', -1, '1681649762.369', 1, '', '0'),
('taxonomy.settings', 'a:4:{s:20:"maintain_index_table";b:1;s:17:"override_selector";b:0;s:20:"terms_per_page_admin";i:100;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zKpaWT6cJc1tVQQaTqatGELaCqU_oyRym6zTl27Yias";}}', -1, '1681652741.493', 1, '', '0'),
('taxonomy.vocabulary.font_classification', 'a:9:{s:4:"uuid";s:36:"0541a736-3493-4822-879d-e9d1d2f383be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vabvm5Pvko9TYXjS1o85Wmppa2AOTfUZ6HQUz1xf-Cg";}s:4:"name";s:14:"Classification";s:3:"vid";s:19:"font_classification";s:11:"description";s:30:"This is the general font type.";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.font_designer', 'a:9:{s:4:"uuid";s:36:"00fae69a-8ea9-4dd4-bd65-90c6465fcc25";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"pI1pC9aHpWXj-s55yPTXAPuLNFuQd1lXsgqzeQR5H88";}s:4:"name";s:13:"Font Designer";s:3:"vid";s:13:"font_designer";s:11:"description";s:13:"Font Designer";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.font_foundry', 'a:9:{s:4:"uuid";s:36:"033054b9-bcd7-4b69-b49f-290cd558ab30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"XWhEB0wh2uZrN5btKVxQzH46OCEyEzgpGkFzL6AbLK4";}s:4:"name";s:12:"Font Foundry";s:3:"vid";s:12:"font_foundry";s:11:"description";s:12:"Font Foundry";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.font_tags', 'a:9:{s:4:"uuid";s:36:"eef8c2ba-dc13-4ac7-9d89-a4e61fd4de92";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lRLlMHtAftGXOKGJyMblVU24LDFCeBIuSU_mOWdKQcM";}s:4:"name";s:9:"Font Tags";s:3:"vid";s:9:"font_tags";s:11:"description";s:33:"The tags that came with the font.";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.languages_supported', 'a:9:{s:4:"uuid";s:36:"78dfe75a-5c5c-4b6d-97f7-cd3188368ad0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ru_sLk23k0y0qP3eHlcWUNAgbWpIHOwXE3ocJgygqnM";}s:4:"name";s:19:"Languages Supported";s:3:"vid";s:19:"languages_supported";s:11:"description";s:36:"The languages supported by the font.";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_affiliations', 'a:8:{s:4:"uuid";s:36:"80aecd93-36bb-4584-b5cf-2af4530735df";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:12:"Affiliations";s:3:"vid";s:15:"mt_affiliations";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_album_categories', 'a:8:{s:4:"uuid";s:36:"0d119282-d68b-4987-81d7-f94469bd08d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"Album Categories";s:3:"vid";s:19:"mt_album_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_collections', 'a:8:{s:4:"uuid";s:36:"430a0a69-faf8-4d49-91bb-847224e28e54";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:22:"Merchandise Categories";s:3:"vid";s:14:"mt_collections";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_event_categories', 'a:8:{s:4:"uuid";s:36:"7e12e657-fc36-45f9-b838-8371643734d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"Event Categories";s:3:"vid";s:19:"mt_event_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_presentation_categories', 'a:8:{s:4:"uuid";s:36:"98aa458b-00e7-4122-833e-a0671b30c301";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:23:"Presentation Categories";s:3:"vid";s:26:"mt_presentation_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_program_entry_categories', 'a:8:{s:4:"uuid";s:36:"4f4ee99c-091e-4820-b189-2ff7079540a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:24:"Program Entry Categories";s:3:"vid";s:27:"mt_program_entry_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_service_tags', 'a:8:{s:4:"uuid";s:36:"a8a22330-d52a-4272-ab33-388270e8f814";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"Accommodation Tags";s:3:"vid";s:15:"mt_service_tags";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_session', 'a:8:{s:4:"uuid";s:36:"720a3950-eb59-4271-b66a-cf61999273a4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:7:"Session";s:3:"vid";s:10:"mt_session";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.mt_topics', 'a:8:{s:4:"uuid";s:36:"a1c0de83-61e3-420c-a189-3cc61091a01d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:6:"Topics";s:3:"vid";s:9:"mt_topics";s:11:"description";s:0:"";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('taxonomy.vocabulary.tags', 'a:9:{s:4:"uuid";s:36:"99b9524c-7a99-453a-9ea1-a6f2d8186661";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lO5ziR5dVI1PpEeHZsSOfQ-Y7NWihSDKW8-MMf6uoms";}s:4:"name";s:4:"Tags";s:3:"vid";s:4:"tags";s:11:"description";s:61:"Use tags to group articles on similar topics into categories.";s:6:"weight";i:0;}', -1, '1681649759.903', 1, '', '0'),
('text.settings', 'a:2:{s:22:"default_summary_length";i:600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Bkewb77RBOK3_aXMPsp8p87gbc03NvmC5gBLzPl7hVA";}}', -1, '1681652741.493', 1, '', '0'),
('tour.tour.views-ui', 'a:10:{s:4:"uuid";s:36:"66c94185-731f-4543-842d-01116b2f101a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:8:"views_ui";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"c-HMyZwgeP8H6AITDcq4hznePkd7azpe8xl_WTnx2O0";}s:2:"id";s:8:"views-ui";s:5:"label";s:14:"View edit page";s:6:"module";s:8:"views_ui";s:6:"routes";a:2:{i:0;a:1:{s:10:"route_name";s:21:"entity.view.edit_form";}i:1;a:1:{s:10:"route_name";s:29:"entity.view.edit_display_form";}}s:4:"tips";a:10:{s:10:"views-main";a:5:{s:2:"id";s:10:"views-main";s:6:"plugin";s:4:"text";s:5:"label";s:20:"Manage view settings";s:4:"body";s:31:"View or edit the configuration.";s:6:"weight";i:1;}s:17:"views-ui-displays";a:6:{s:2:"id";s:17:"views-ui-displays";s:6:"plugin";s:4:"text";s:5:"label";s:21:"Displays in this view";s:4:"body";s:169:"A display is a way of outputting the results, e.g., as a page or a block. A view can contain multiple displays, which are listed here. The active display is highlighted.";s:6:"weight";i:2;s:10:"attributes";a:1:{s:7:"data-id";s:17:"views-display-top";}}s:19:"views-ui-view-admin";a:7:{s:2:"id";s:19:"views-ui-view-admin";s:6:"plugin";s:4:"text";s:5:"label";s:19:"View administration";s:4:"body";s:140:"Perform administrative tasks, including adding a description and creating a clone. Click the drop-down button to view the available options.";s:6:"weight";i:3;s:8:"location";s:4:"left";s:10:"attributes";a:1:{s:7:"data-id";s:27:"views-display-extra-actions";}}s:15:"views-ui-format";a:6:{s:2:"id";s:15:"views-ui-format";s:6:"plugin";s:4:"text";s:5:"label";s:13:"Output format";s:4:"body";s:325:"Choose how to output results. E.g., choose <em>Content</em> to output each item completely, using your configured display settings. Or choose <em>Fields</em>, which allows you to output only specific fields for each result. Additional formats can be added by installing modules to <em>extend</em> Drupal''s base functionality.";s:6:"weight";i:4;s:10:"attributes";a:1:{s:10:"data-class";s:34:"views-ui-display-tab-bucket.format";}}s:15:"views-ui-fields";a:6:{s:2:"id";s:15:"views-ui-fields";s:6:"plugin";s:4:"text";s:5:"label";s:6:"Fields";s:4:"body";s:89:"If this view uses fields, they are listed here. You can click on a field to configure it.";s:6:"weight";i:5;s:10:"attributes";a:1:{s:10:"data-class";s:33:"views-ui-display-tab-bucket.field";}}s:15:"views-ui-filter";a:6:{s:2:"id";s:15:"views-ui-filter";s:6:"plugin";s:4:"text";s:5:"label";s:16:"Filter your view";s:4:"body";s:173:"Add filters to limit the results in the output. E.g., to only show content that is <em>published</em>, you would add a filter for <em>Published</em> and select <em>Yes</em>.";s:6:"weight";i:6;s:10:"attributes";a:1:{s:10:"data-class";s:34:"views-ui-display-tab-bucket.filter";}}s:26:"views-ui-filter-operations";a:6:{s:2:"id";s:26:"views-ui-filter-operations";s:6:"plugin";s:4:"text";s:5:"label";s:14:"Filter actions";s:4:"body";s:33:"Add, rearrange or remove filters.";s:6:"weight";i:7;s:10:"attributes";a:1:{s:10:"data-class";s:53:"views-ui-display-tab-bucket.filter .dropbutton-widget";}}s:14:"views-ui-sorts";a:6:{s:2:"id";s:14:"views-ui-sorts";s:6:"plugin";s:4:"text";s:5:"label";s:13:"Sort Criteria";s:4:"body";s:96:"Control the order in which the results are output. Click on an active sort rule to configure it.";s:6:"weight";i:8;s:10:"attributes";a:1:{s:10:"data-class";s:32:"views-ui-display-tab-bucket.sort";}}s:25:"views-ui-sorts-operations";a:6:{s:2:"id";s:25:"views-ui-sorts-operations";s:6:"plugin";s:4:"text";s:5:"label";s:12:"Sort actions";s:4:"body";s:39:"Add, rearrange or remove sorting rules.";s:6:"weight";i:9;s:10:"attributes";a:1:{s:10:"data-class";s:51:"views-ui-display-tab-bucket.sort .dropbutton-widget";}}s:16:"views-ui-preview";a:7:{s:2:"id";s:16:"views-ui-preview";s:6:"plugin";s:4:"text";s:5:"label";s:7:"Preview";s:4:"body";s:34:"Show a preview of the view output.";s:6:"weight";i:10;s:8:"location";s:4:"left";s:10:"attributes";a:1:{s:7:"data-id";s:14:"preview-submit";}}}}', -1, '1681652741.493', 1, '', '0'),
('update.settings', 'a:4:{s:5:"check";a:2:{s:19:"disabled_extensions";b:0;s:13:"interval_days";i:1;}s:5:"fetch";a:3:{s:3:"url";s:0:"";s:12:"max_attempts";i:2;s:7:"timeout";i:30;}s:12:"notification";a:2:{s:6:"emails";a:1:{i:0;s:18:"noreply@domain.com";}s:9:"threshold";s:3:"all";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2QzULf0zovJQx3J06Y9rufzzfi-CY2CTTlEfJJh2Qyw";}}', -1, '1681649762.383', 1, '', '0'),
('user.flood', 'a:6:{s:8:"uid_only";b:0;s:8:"ip_limit";i:50;s:9:"ip_window";i:3600;s:10:"user_limit";i:5;s:11:"user_window";i:21600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"UYfMzeP1S8jKm9PSvxf7nQNe8DsNS-3bc2WSNNXBQWs";}}', -1, '1681652741.493', 1, '', '0'),
('user.mail', 'a:11:{s:14:"cancel_confirm";a:2:{s:4:"body";s:377:"[user:display-name],\n\nA request to cancel your account has been made at [site:name].\n\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\n\n[user:cancel-url]\n\nNOTE: The cancellation of your account is not reversible.\n\nThis link expires in one day and nothing will happen if it is not used.\n\n--  [site:name] team";s:7:"subject";s:67:"Account cancellation request for [user:display-name] at [site:name]";}s:14:"password_reset";a:2:{s:4:"body";s:407:"[user:display-name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it''s not used.\n\n--  [site:name] team";s:7:"subject";s:68:"Replacement login information for [user:display-name] at [site:name]";}s:22:"register_admin_created";a:2:{s:4:"body";s:473:"[user:display-name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:58:"An administrator created an account for you at [site:name]";}s:29:"register_no_approval_required";a:2:{s:4:"body";s:447:"[user:display-name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:54:"Account details for [user:display-name] at [site:name]";}s:25:"register_pending_approval";a:2:{s:4:"body";s:289:"[user:display-name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team";s:7:"subject";s:79:"Account details for [user:display-name] at [site:name] (pending admin approval)";}s:31:"register_pending_approval_admin";a:2:{s:4:"body";s:64:"[user:display-name] has applied for an account.\n\n[user:edit-url]";s:7:"subject";s:79:"Account details for [user:display-name] at [site:name] (pending admin approval)";}s:16:"status_activated";a:2:{s:4:"body";s:462:"[user:display-name],\n\nYour account at [site:name] has been activated.\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:account-name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:65:"Account details for [user:display-name] at [site:name] (approved)";}s:14:"status_blocked";a:2:{s:4:"body";s:89:"[user:display-name],\n\nYour account on [site:name] has been blocked.\n\n--  [site:name] team";s:7:"subject";s:64:"Account details for [user:display-name] at [site:name] (blocked)";}s:15:"status_canceled";a:2:{s:4:"body";s:90:"[user:display-name],\n\nYour account on [site:name] has been canceled.\n\n--  [site:name] team";s:7:"subject";s:65:"Account details for [user:display-name] at [site:name] (canceled)";}s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"m4J3ROov32OEquRYGLbx3SpdDGuqx9l_zJtNvihqdCg";}}', -1, '1681652741.493', 1, '', '0'),
('user.role.administrator', 'a:10:{s:4:"uuid";s:36:"bfc23256-f9a0-4aea-bb69-b8f7290643dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Om6FEO7vZZMkPIbVvfxtdkWerQ2PvQM4sWUd6Q3ZnfI";}s:2:"id";s:13:"administrator";s:5:"label";s:13:"Administrator";s:6:"weight";i:2;s:8:"is_admin";b:1;s:11:"permissions";a:0:{}}', -1, '1681652741.493', 1, '', '0'),
('user.role.anonymous', 'a:10:{s:4:"uuid";s:36:"f4aa5a02-a0f2-42e3-8fef-e2483ed22d1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"j5zLMOdJBqC0bMvSdth5UebkprJB8g_2FXHqhfpJzow";}s:2:"id";s:9:"anonymous";s:5:"label";s:14:"Anonymous user";s:6:"weight";i:0;s:8:"is_admin";b:0;s:11:"permissions";a:6:{i:0;s:15:"access comments";i:1;s:14:"access content";i:2;s:29:"access site-wide contact form";i:3;s:14:"search content";i:4;s:31:"use text format restricted_html";i:5;s:24:"view post access counter";}}', -1, '1681649817.134', 1, '', '0'),
('user.role.authenticated', 'a:10:{s:4:"uuid";s:36:"4b3b6df3-3505-4613-82c8-afd95fc5887f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"dJ0L2DNSj5q6XVZAGsuVDpJTh5UeYkIPwKrUOOpr8YI";}s:2:"id";s:13:"authenticated";s:5:"label";s:18:"Authenticated user";s:6:"weight";i:1;s:8:"is_admin";b:0;s:11:"permissions";a:9:{i:0;s:15:"access comments";i:1;s:14:"access content";i:2;s:16:"access shortcuts";i:3;s:29:"access site-wide contact form";i:4;s:13:"post comments";i:5;s:14:"search content";i:6;s:21:"skip comment approval";i:7;s:26:"use text format basic_html";i:8;s:24:"view post access counter";}}', -1, '1681652741.493', 1, '', '0'),
('user.settings', 'a:9:{s:9:"anonymous";s:9:"Anonymous";s:11:"verify_mail";b:1;s:6:"notify";a:8:{s:14:"cancel_confirm";b:1;s:14:"password_reset";b:1;s:16:"status_activated";b:1;s:14:"status_blocked";b:0;s:15:"status_canceled";b:0;s:22:"register_admin_created";b:1;s:29:"register_no_approval_required";b:1;s:25:"register_pending_approval";b:1;}s:8:"register";s:23:"visitors_admin_approval";s:13:"cancel_method";s:17:"user_cancel_block";s:22:"password_reset_timeout";i:86400;s:17:"password_strength";b:1;s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r4kwhOM0IWXVMUZDz744Yc16EOh37ZhYbA8kGOhSmLk";}}', -1, '1681649760.192', 1, '', '0'),
('views.settings', 'a:6:{s:17:"display_extenders";a:0:{}s:10:"skip_cache";b:0;s:13:"sql_signature";b:0;s:2:"ui";a:3:{s:4:"show";a:7:{s:18:"additional_queries";b:0;s:15:"advanced_column";b:0;s:14:"master_display";b:0;s:22:"performance_statistics";b:0;s:19:"preview_information";b:1;s:9:"sql_query";a:2:{s:7:"enabled";b:0;s:5:"where";s:5:"above";}s:13:"display_embed";b:0;}s:19:"always_live_preview";b:1;s:24:"exposed_filter_any_label";s:7:"old_any";}s:22:"field_rewrite_elements";a:29:{s:3:"div";s:3:"DIV";s:4:"span";s:4:"SPAN";s:2:"h1";s:2:"H1";s:2:"h2";s:2:"H2";s:2:"h3";s:2:"H3";s:2:"h4";s:2:"H4";s:2:"h5";s:2:"H5";s:2:"h6";s:2:"H6";s:1:"p";s:1:"P";s:6:"header";s:6:"HEADER";s:6:"footer";s:6:"FOOTER";s:7:"article";s:7:"ARTICLE";s:7:"section";s:7:"SECTION";s:5:"aside";s:5:"ASIDE";s:7:"details";s:7:"DETAILS";s:10:"blockquote";s:10:"BLOCKQUOTE";s:6:"figure";s:6:"FIGURE";s:7:"address";s:7:"ADDRESS";s:4:"code";s:4:"CODE";s:3:"pre";s:3:"PRE";s:3:"var";s:3:"VAR";s:4:"samp";s:4:"SAMP";s:3:"kbd";s:3:"KBD";s:6:"strong";s:6:"STRONG";s:2:"em";s:2:"EM";s:3:"del";s:3:"DEL";s:3:"ins";s:3:"INS";s:1:"q";s:1:"Q";s:1:"s";s:1:"S";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"RaRd9EIcwA4u3qCSRLL8EnCicbda1kV__ASmVbyehvQ";}}', -1, '1681649759.610', 1, '', '0'),
('views.view.archive', 'a:13:{s:4:"uuid";s:36:"a5e53f22-b2dc-47b0-aa2a-dc01d0e4eae7";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ea3cxQo9FjYVScZDVackg-6ID_GgTkdKORm_APgV-5I";}s:2:"id";s:7:"archive";s:5:"label";s:7:"Archive";s:6:"module";s:4:"node";s:11:"description";s:22:"All content, by month.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:17:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:5:"title";s:15:"Monthly archive";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";}}s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:15:"node_field_data";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:12:"title_enable";b:1;s:5:"title";s:34:"{{ arguments.created_year_month }}";s:21:"default_argument_type";s:5:"fixed";s:7:"summary";a:2:{s:10:"sort_order";s:4:"desc";s:6:"format";s:15:"default_summary";}s:15:"summary_options";a:2:{s:8:"override";b:1;s:14:"items_per_page";i:30;}s:18:"specify_validation";b:1;s:9:"plugin_id";s:15:"date_year_month";s:11:"entity_type";s:4:"node";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:5:"value";s:1:"1";s:5:"group";i:0;s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:14:"display_plugin";s:5:"block";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:15:"node_field_data";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:12:"title_enable";b:1;s:5:"title";s:34:"{{ arguments.created_year_month }}";s:21:"default_argument_type";s:5:"fixed";s:7:"summary";a:1:{s:6:"format";s:15:"default_summary";}s:15:"summary_options";a:1:{s:14:"items_per_page";i:30;}s:18:"specify_validation";b:1;s:9:"plugin_id";s:15:"date_year_month";s:11:"entity_type";s:4:"node";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:2;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:7:"archive";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.block_content', 'a:13:{s:4:"uuid";s:36:"0046cb67-454b-411d-abe7-b3f09d439a89";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tp4wP6wVrEPZfApiCfkpoCxUzN-B1ceGcGv5sEzQ2Sg";}s:2:"id";s:13:"block_content";s:5:"label";s:20:"Custom block library";s:6:"module";s:5:"views";s:11:"description";s:30:"Find and manage custom blocks.";s:3:"tag";s:7:"default";s:10:"base_table";s:24:"block_content_field_data";s:10:"base_field";s:2:"id";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:17:"administer blocks";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:4:"info";s:4:"info";s:4:"type";s:4:"type";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:4:{s:4:"info";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"info";a:37:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:17:"Block description";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Block type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:7:"changed";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:13:"block_content";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:13:"block_content";s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:3:{s:4:"info";a:16:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"info_op";s:5:"label";s:17:"Block description";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"info_op";s:10:"identifier";s:4:"info";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:6:"string";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:13:"block_content";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:10:"Block type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"reusable";a:16:{s:2:"id";s:8:"reusable";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:8:"reusable";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:8:"reusable";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:0:{}s:5:"title";s:20:"Custom block library";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:2:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:38:"There are no custom blocks available. ";s:9:"plugin_id";s:11:"text_custom";}s:27:"block_content_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:27:"block_content_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:27:"block_content_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:13:"block_content";s:9:"plugin_id";s:27:"block_content_listing_empty";s:11:"entity_type";s:13:"block_content";}}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:35:"admin/structure/block/block-content";s:4:"menu";a:9:{s:4:"type";s:3:"tab";s:5:"title";s:20:"Custom block library";s:11:"description";s:0:"";s:6:"parent";s:19:"block.admin_display";s:6:"weight";i:0;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0'),
('views.view.comment', 'a:12:{s:4:"uuid";s:36:"40ed4ad9-53a8-4e89-a1f4-68905ed4d6b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"user";}}s:2:"id";s:7:"comment";s:5:"label";s:8:"Comments";s:6:"module";s:7:"comment";s:11:"description";s:25:"Find and manage comments.";s:3:"tag";s:7:"default";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:26:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"administer comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ previous";s:4:"next";s:8:"next ›";s:5:"first";s:8:"« first";s:4:"last";s:7:"last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:6:{s:17:"comment_bulk_form";s:17:"comment_bulk_form";s:7:"subject";s:7:"subject";s:3:"uid";s:3:"uid";s:9:"entity_id";s:9:"entity_id";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:6:{s:17:"comment_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"subject";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"uid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"entity_id";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:24:"comment_unpublish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:5:"title";s:8:"Comments";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:22:"No comments available.";s:9:"plugin_id";s:11:"text_custom";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"group_by";b:0;s:9:"css_class";s:0:"";s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:14:"page_published";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:14:"page_published";s:13:"display_title";s:18:"Published comments";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:21:"admin/content/comment";s:4:"menu";a:7:{s:4:"type";s:3:"tab";s:5:"title";s:8:"Comments";s:11:"description";s:18:"Comments published";s:6:"parent";s:0:"";s:6:"weight";i:0;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";}s:19:"display_description";s:30:"The approved comments listing.";s:17:"display_extenders";a:0:{}s:13:"exposed_block";b:0;s:15:"display_comment";s:0:"";}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:15:"page_unapproved";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:15:"page_unapproved";s:13:"display_title";s:19:"Unapproved comments";s:8:"position";i:2;s:15:"display_options";a:8:{s:4:"path";s:30:"admin/content/comment/approval";s:4:"menu";a:7:{s:4:"type";s:3:"tab";s:5:"title";s:19:"Unapproved comments";s:11:"description";s:19:"Comments unapproved";s:6:"parent";s:0:"";s:6:"weight";i:1;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";}s:19:"display_description";s:32:"The unapproved comments listing.";s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:8:"defaults";a:3:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;}s:17:"display_extenders";a:0:{}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:22:"comment_publish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.comments_recent', 'a:13:{s:4:"uuid";s:36:"13605e43-2427-4dc6-8c0b-d21d33003ed8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:7:"comment";i:1;s:4:"node";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jmfZ73IDUpneecqVXUK3whGzTcvwLBBll9U3ZTCzndo";}s:2:"id";s:15:"comments_recent";s:5:"label";s:15:"Recent comments";s:6:"module";s:5:"views";s:11:"description";s:16:"Recent comments.";s:3:"tag";s:7:"default";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:14:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:22:"default_field_elements";b:1;s:6:"inline";a:2:{s:7:"subject";s:7:"subject";s:7:"changed";s:7:"changed";}s:9:"separator";s:1:" ";s:10:"hide_empty";b:0;}}s:13:"relationships";a:1:{s:4:"node";a:5:{s:5:"field";s:4:"node";s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:7:"subject";a:26:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"node";s:2:"id";s:11:"status_node";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}}s:5:"sorts";a:2:{s:7:"created";a:12:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";}s:3:"cid";a:11:{s:2:"id";s:3:"cid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"cid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"cid";}}s:5:"title";s:15:"Recent comments";s:5:"empty";a:1:{s:16:"area_text_custom";a:11:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:7:"content";s:22:"No comments available.";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"block_description";s:15:"Recent comments";s:14:"block_category";s:13:"Lists (Views)";s:5:"allow";a:1:{s:14:"items_per_page";b:1;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0'),
('views.view.content', 'a:13:{s:4:"uuid";s:36:"46df9fc7-0b8d-4c6c-b63a-1a46737eac5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YIwhIF9MSP1E_HMam6MrYeti_UqMXQiLDMjDsPFKK8s";}s:2:"id";s:7:"content";s:5:"label";s:7:"Content";s:6:"module";s:4:"node";s:11:"description";s:24:"Find and manage content.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:23:"access content overview";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:2:{s:14:"items_per_page";i:50;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:14:"node_bulk_form";s:14:"node_bulk_form";s:5:"title";s:5:"title";s:4:"type";s:4:"type";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:7:"changed";s:7:"changed";s:9:"edit_node";s:9:"edit_node";s:11:"delete_node";s:11:"delete_node";s:10:"dropbutton";s:10:"dropbutton";s:9:"timestamp";s:5:"title";}s:4:"info";a:10:{s:14:"node_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"title";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"delete_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"timestamp";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:14:"node_bulk_form";a:14:{s:2:"id";s:14:"node_bulk_form";s:5:"table";s:4:"node";s:5:"field";s:14:"node_bulk_form";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"node_bulk_form";s:11:"entity_type";s:4:"node";}s:5:"title";a:17:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:5:"label";s:5:"Title";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Content type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:4:"name";a:17:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:17:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:9:"Published";s:19:"format_custom_false";s:11:"Unpublished";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:7:"changed";a:17:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";}s:10:"operations";a:23:{s:2:"id";s:10:"operations";s:5:"table";s:4:"node";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:5:{s:12:"status_extra";a:9:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:8:"operator";s:1:"=";s:5:"value";b:0;s:9:"plugin_id";s:11:"node_status";s:5:"group";i:1;s:11:"entity_type";s:4:"node";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:16:"Published status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:9:"Published";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:11:"Unpublished";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"bundle";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";}s:5:"title";a:16:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:8:"title_op";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:8:"title_op";s:10:"identifier";s:5:"title";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"sorts";a:0:{}s:5:"title";s:7:"Content";s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:9:"arguments";a:0:{}s:13:"relationships";a:1:{s:3:"uid";a:6:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:16:"show_admin_links";b:0;s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:7:"default";s:13:"display_title";s:6:"Master";s:2:"id";s:7:"default";s:8:"position";i:0;s:14:"cache_metadata";a:3:{s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:15:"display_options";a:4:{s:4:"path";s:18:"admin/content/node";s:4:"menu";a:8:{s:4:"type";s:11:"default tab";s:5:"title";s:7:"Content";s:11:"description";s:0:"";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:7:"Content";s:11:"description";s:23:"Find and manage content";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:4:"page";s:13:"display_title";s:4:"Page";s:2:"id";s:6:"page_1";s:8:"position";i:1;s:14:"cache_metadata";a:3:{s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0'),
('views.view.content_recent', 'a:13:{s:4:"uuid";s:36:"e0fbdad5-cb3a-4aff-b69c-c045bd4c825f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tDcmzGfShE0XJbfwJzyA6lJTUYC6X4iVu887dgoFfDg";}s:2:"id";s:14:"content_recent";s:5:"label";s:14:"Recent content";s:6:"module";s:4:"node";s:11:"description";s:15:"Recent content.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:22:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:5:"title";a:26:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:5:"title";s:14:"Recent content";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"More";s:8:"link_url";s:0:"";s:12:"link_display";s:1:"0";}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0'),
('views.view.files', 'a:13:{s:4:"uuid";s:36:"bb004630-0ce7-448a-b08a-b2e8f6295a42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rRWxAX-IQkJ5viACQRovRkC784EyCl9493GU_G23n2Q";}s:2:"id";s:5:"files";s:5:"label";s:5:"Files";s:6:"module";s:4:"file";s:11:"description";s:22:"Find and manage files.";s:3:"tag";s:7:"default";s:10:"base_table";s:12:"file_managed";s:10:"base_field";s:3:"fid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:21:"access files overview";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:3:"fid";s:3:"fid";s:8:"filename";s:8:"filename";s:8:"filemime";s:8:"filemime";s:8:"filesize";s:8:"filesize";s:6:"status";s:6:"status";s:7:"created";s:7:"created";s:7:"changed";s:7:"changed";s:5:"count";s:5:"count";}s:4:"info";a:8:{s:3:"fid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filename";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filemime";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:8:"filesize";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:3:"fid";a:24:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"Fid";s:7:"exclude";b:1;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}s:8:"filename";a:36:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Name";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"file_link";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:25:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"MIME type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"file_filemime";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:8:"filesize";a:25:{s:2:"id";s:8:"filesize";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filesize";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Size";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"file_size";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filesize";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:19:"format_custom_false";s:9:"Temporary";s:18:"format_custom_true";s:9:"Permanent";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Upload date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"created";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Changed date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"changed";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:3:"fid";s:10:"group_type";s:3:"sum";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Used in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/content/files/usage/{{ fid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:21:"1 place@count places";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:7:"filters";a:3:{s:8:"filename";a:16:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:8:"Filename";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filename_op";s:10:"identifier";s:8:"filename";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:16:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:9:"MIME type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filemime_op";s:10:"identifier";s:8:"filemime";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:9:"status_op";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"file_status";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}}s:5:"sorts";a:0:{}s:5:"title";s:5:"Files";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:19:"No files available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:9:"arguments";a:0:{}s:8:"group_by";b:1;s:16:"show_admin_links";b:1;s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:14:"Files overview";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:19:"admin/content/files";s:4:"menu";a:8:{s:4:"type";s:3:"tab";s:5:"title";s:5:"Files";s:11:"description";s:0:"";s:9:"menu_name";s:5:"admin";s:6:"weight";i:0;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:19:"display_description";s:0:"";s:8:"defaults";a:2:{s:5:"pager";b:1;s:13:"relationships";b:0;}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:0;}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:10:"File usage";s:8:"position";i:2;s:15:"display_options";a:16:{s:19:"display_description";s:0:"";s:4:"path";s:27:"admin/content/files/usage/%";s:5:"empty";a:0:{}s:8:"defaults";a:11:{s:5:"empty";b:0;s:5:"pager";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:8:"group_by";b:0;s:5:"title";b:0;s:9:"arguments";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:7:"filters";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:0:{}}s:6:"fields";a:4:{s:12:"entity_label";a:23:{s:2:"id";s:12:"entity_label";s:5:"table";s:10:"file_usage";s:5:"field";s:12:"entity_label";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Entity";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:14:"link_to_entity";b:1;s:9:"plugin_id";s:12:"entity_label";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Entity type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:6:"module";a:22:{s:2:"id";s:6:"module";s:5:"table";s:10:"file_usage";s:5:"field";s:6:"module";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:18:"Registering module";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Use count";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:8:"group_by";b:0;s:5:"title";s:10:"File usage";s:9:"arguments";a:1:{s:3:"fid";a:23:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:46:"File usage information for {{ arguments.fid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:8:"file_fid";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:12:"entity_label";s:12:"entity_label";s:4:"type";s:4:"type";s:6:"module";s:6:"module";s:5:"count";s:5:"count";}s:4:"info";a:4:{s:12:"entity_label";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:6:"module";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:12:"entity_label";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.fontyourface_font_manager', 'a:13:{s:4:"uuid";s:36:"cfb4e2c0-49e6-4fbc-a731-22eb461bab63";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:33:"core.entity_view_mode.font.teaser";i:1;s:39:"taxonomy.vocabulary.font_classification";i:2;s:32:"taxonomy.vocabulary.font_foundry";i:3;s:39:"taxonomy.vocabulary.languages_supported";}s:6:"module";a:3:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"A_LJN6fQMhxinZWzAPOoVCLFvGftlN9suE2TPTVAxfs";}s:2:"id";s:25:"fontyourface_font_manager";s:5:"label";s:25:"FontYourFace Font Manager";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:17:"fontyourface_font";s:10:"base_field";s:3:"fid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:24:"administer font entities";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:9:"row_class";s:30:"fontyourface-font-manager-item";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:font";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:4:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:3:"pid";a:37:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Provider ID";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:5:"field";}s:9:"css_style";a:37:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"CSS Style";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"font";s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:7:{s:4:"name";a:16:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"name_op";s:5:"label";s:4:"Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"name_op";s:10:"identifier";s:4:"name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:6:"string";}s:3:"pid";a:16:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:6:"pid_op";s:5:"label";s:13:"Font Provider";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:6:"pid_op";s:10:"identifier";s:3:"pid";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:21:"fontyourface_font_pid";}s:9:"css_style";a:16:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:12:"css_style_op";s:5:"label";s:9:"CSS Style";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:12:"css_style_op";s:10:"identifier";s:9:"css_style";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:23:"fontyourface_font_style";}s:10:"css_weight";a:16:{s:2:"id";s:10:"css_weight";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"css_weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:13:"css_weight_op";s:5:"label";s:10:"CSS Weight";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"css_weight_op";s:10:"identifier";s:10:"css_weight";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:10:"css_weight";s:9:"plugin_id";s:24:"fontyourface_font_weight";}s:30:"field_classification_target_id";a:20:{s:2:"id";s:30:"field_classification_target_id";s:5:"table";s:26:"font__field_classification";s:5:"field";s:30:"field_classification_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:33:"field_classification_target_id_op";s:5:"label";s:14:"Classification";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:33:"field_classification_target_id_op";s:10:"identifier";s:30:"field_classification_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"font_classification";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:35:"field_supported_languages_target_id";a:20:{s:2:"id";s:35:"field_supported_languages_target_id";s:5:"table";s:31:"font__field_supported_languages";s:5:"field";s:35:"field_supported_languages_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:38:"field_supported_languages_target_id_op";s:5:"label";s:15:"Language/subset";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:38:"field_supported_languages_target_id_op";s:10:"identifier";s:35:"field_supported_languages_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"languages_supported";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:20:"field_tags_target_id";a:20:{s:2:"id";s:20:"field_tags_target_id";s:5:"table";s:16:"font__field_tags";s:5:"field";s:20:"field_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:23:"field_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:23:"field_tags_target_id_op";s:10:"identifier";s:20:"field_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:12:"font_foundry";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"status";a:12:{s:2:"id";s:6:"status";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:13:"Font Selector";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:21:"admin/appearance/font";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0'),
('views.view.frontpage', 'a:13:{s:4:"uuid";s:36:"31df822d-0b0a-440f-a3c7-ed18b2060c62";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"core.entity_view_mode.node.rss";i:1;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rwRoOr3DiobxwoWSmtUcna1LQz5_HxHvS7H5dl7_-Uo";}s:2:"id";s:9:"frontpage";s:5:"label";s:9:"Frontpage";s:6:"module";s:4:"node";s:11:"description";s:39:"All content promoted to the front page.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"empty";a:3:{s:16:"area_text_custom";a:11:{s:11:"admin_label";s:0:"";s:7:"content";s:43:"No front page content has been created yet.";s:5:"empty";b:1;s:5:"field";s:16:"area_text_custom";s:10:"group_type";s:5:"group";s:2:"id";s:16:"area_text_custom";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:5:"views";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}s:18:"node_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:18:"node_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:18:"node_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:4:"node";s:9:"plugin_id";s:18:"node_listing_empty";s:11:"entity_type";s:4:"node";}s:5:"title";a:10:{s:2:"id";s:5:"title";s:5:"table";s:5:"views";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:5:"title";s:22:"Welcome to [site:name]";s:9:"plugin_id";s:5:"title";}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:7:"filters";a:3:{s:7:"promote";a:16:{s:11:"admin_label";s:0:"";s:6:"expose";a:12:{s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"operator";s:0:"";s:11:"operator_id";s:0:"";s:8:"remember";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:8:"required";b:0;s:12:"use_operator";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:7:"exposed";b:0;s:5:"field";s:7:"promote";s:5:"group";i:1;s:10:"group_info";a:10:{s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"description";s:0:"";s:11:"group_items";a:0:{}s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"optional";b:1;s:8:"remember";b:0;s:6:"widget";s:6:"select";}s:10:"group_type";s:5:"group";s:2:"id";s:7:"promote";s:10:"is_grouped";b:0;s:8:"operator";s:1:"=";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";}s:6:"status";a:9:{s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"field";s:6:"status";s:5:"group";i:1;s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:11:"admin_label";s:0:"";s:6:"expose";a:1:{s:5:"label";s:0:"";}s:7:"exposed";b:0;s:5:"field";s:6:"sticky";s:10:"group_type";s:5:"group";s:2:"id";s:6:"sticky";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";}s:7:"created";a:13:{s:5:"field";s:7:"created";s:2:"id";s:7:"created";s:5:"order";s:4:"DESC";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:7:"default";s:13:"display_title";s:6:"Master";s:2:"id";s:7:"default";s:8:"position";i:0;s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:14:"url.query_args";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"feed_1";a:6:{s:14:"display_plugin";s:4:"feed";s:2:"id";s:6:"feed_1";s:13:"display_title";s:4:"Feed";s:8:"position";i:2;s:15:"display_options";a:7:{s:14:"sitename_title";b:1;s:4:"path";s:7:"rss.xml";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:0:"";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:3:"rss";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:21:"user.node_grants:view";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:15:"display_options";a:3:{s:4:"path";s:4:"node";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"display_plugin";s:4:"page";s:13:"display_title";s:4:"Page";s:2:"id";s:6:"page_1";s:8:"position";i:1;s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:14:"url.query_args";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0'),
('views.view.glossary', 'a:13:{s:4:"uuid";s:36:"270d3f72-cdac-43fa-a81c-017fbc689d17";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-pCFOVfbt__jaohFffTLnVavh4OBC6CjREAnchiRomQ";}s:2:"id";s:8:"glossary";s:5:"label";s:8:"Glossary";s:6:"module";s:4:"node";s:11:"description";s:23:"All content, by letter.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:17:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:8:"use_ajax";b:1;s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:6:"fields";a:3:{s:5:"title";a:24:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Title";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:6:"Author";s:12:"relationship";s:3:"uid";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:5:"label";s:11:"Last update";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:4:"long";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";}}s:9:"arguments";a:1:{s:5:"title";a:27:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:14:"default_action";s:7:"default";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:1;s:8:"glossary";b:1;s:5:"limit";i:1;s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";b:0;s:9:"plugin_id";s:6:"string";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:0:"";s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:0:{}s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}}s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:7:"columns";a:3:{s:5:"title";s:5:"title";s:4:"name";s:4:"name";s:7:"changed";s:7:"changed";}s:7:"default";s:5:"title";s:4:"info";a:3:{s:5:"title";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}s:4:"name";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}s:7:"changed";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}}s:8:"override";b:1;s:6:"sticky";b:0;s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;s:5:"order";s:3:"asc";s:7:"summary";s:0:"";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:2:{s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}s:6:"status";a:9:{s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"field";s:6:"status";s:5:"group";i:1;s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:12:"attachment_1";a:6:{s:2:"id";s:12:"attachment_1";s:13:"display_title";s:10:"Attachment";s:14:"display_plugin";s:10:"attachment";s:8:"position";i:2;s:15:"display_options";a:7:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:6:"offset";i:0;s:14:"items_per_page";i:0;}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:9:"arguments";a:1:{s:5:"title";a:27:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:19:"unformatted_summary";}s:15:"summary_options";a:3:{s:14:"items_per_page";i:25;s:6:"inline";b:1;s:9:"separator";s:3:" | ";}s:18:"specify_validation";b:1;s:8:"glossary";b:1;s:5:"limit";i:1;s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";b:0;s:9:"plugin_id";s:6:"string";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:0:"";s:25:"default_argument_skip_url";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}}s:8:"displays";a:2:{s:7:"default";s:7:"default";s:6:"page_1";s:6:"page_1";}s:17:"inherit_arguments";b:0;s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:8:"glossary";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Glossary";s:6:"weight";i:0;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.703', 1, '', '0'),
('views.view.mt_albums', 'a:12:{s:4:"uuid";s:36:"cf2885bd-d542-4d5b-b942-ff848a7437c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:37:"field.storage.node.field_mt_alb_image";i:2;s:37:"field.storage.node.field_mt_alb_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_album";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:9:"mt_albums";s:5:"label";s:19:"Album - Alternative";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Album in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read more";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-albums-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:4;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"title";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:17:"block_description";s:18:"Albums - 4 columns";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Albums";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:5:"title";s:27:"Latest Albums - Alternative";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:2;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"albums-3-col-style-2";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}', -1, '1681649759.704', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_albums_carousel', 'a:12:{s:4:"uuid";s:36:"d37d19dc-f68c-4241-be24-11a29bb2feaa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:37:"field.storage.node.field_mt_alb_video";i:2;s:30:"image.style.mt_albums_carousel";i:3;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:18:"mt_albums_carousel";s:5:"label";s:15:"Albums Carousel";s:6:"module";s:5:"views";s:11:"description";s:58:"Displays nodes using the content type Album in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:53:"owl-carousel mt-carousel-container mt-carousel-albums";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:344:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:45:"<h3><a href="{{ path }}">{{ title }}</a></h3>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:343:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"Albums Carousel";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:171:"<div class="text-center">\n<h3 class="bottom-spacing-small mb-0">Our Event Gallery</h3>\n<p class="extra-large mb-5">Picture gallery from previous event meetings.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:33:"view-mt-carousel view-albums-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Albums (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_albums_grid_style_2', 'a:12:{s:4:"uuid";s:36:"d3dfca20-e5e4-4ff5-b11b-1e943e44ba2a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:37:"field.storage.node.field_mt_alb_video";i:2;s:17:"image.style.large";i:3;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:22:"mt_albums_grid_style_2";s:5:"label";s:6:"Albums";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Album in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-lg-4 col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:31:"row list-unstyled grid-gutter-5";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:19:"link--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:116:"<div class="text-center">\n<div class="views-field-title" ><h5><a href="{{ path }}">{{ title }}</a></h5></div>\n</div>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:205:"<h2 class="text-center bottom-spacing-small">MY PORTFOLIO</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-albums-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:4;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:8;s:6:"offset";i:0;}}s:8:"defaults";a:7:{s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"title";b:0;}s:17:"block_description";s:33:"Albums - 4 columns (grid style 2)";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"ALL WORKS";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:5:"title";s:13:"Latest Albums";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:6:"albums";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:2:{s:5:"pager";b:0;s:6:"header";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"albums-2-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:4:{s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:31:"row list-unstyled grid-gutter-5";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_articles', 'a:12:{s:4:"uuid";s:36:"9cf85ab3-64ae-41c6-9022-862e8288b4c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:17:"node.type.article";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:11:"mt_articles";s:5:"label";s:8:"Articles";s:6:"module";s:5:"views";s:11:"description";s:68:"Displays nodes using the content type Article in a list style layout";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:4;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:9:"row_class";s:4:"mb-5";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"articles";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_articles_carousel', 'a:12:{s:4:"uuid";s:36:"ced7aef0-bf97-449c-9b28-7397fa84fe96";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:17:"image.style.large";i:3;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:20:"mt_articles_carousel";s:5:"label";s:17:"Articles Carousel";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays nodes using the content type Article in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Articles Carousel";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:47:"row d-block view-mt-carousel view-articles-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-articles";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:6:"header";a:0:{}s:17:"block_description";s:28:"Featured Articles (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}', -1, '1681649759.704', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_articles_grid', 'a:12:{s:4:"uuid";s:36:"f7196d94-40dc-483d-b47e-fd917516e483";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:23:"field.storage.node.body";i:2;s:30:"field.storage.node.field_image";i:3;s:17:"image.style.large";i:4;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:16:"mt_articles_grid";s:5:"label";s:13:"Articles Grid";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Article in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-articles-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 3 Col";s:8:"position";i:4;s:15:"display_options";a:16:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:12:{s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:9:"css_class";b:0;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:17:"block_description";s:25:"Articles - Grid 3 Columns";s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:9:"css_class";s:18:"view-articles-grid";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View More";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:3;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:3:{s:5:"pager";b:0;s:6:"header";b:0;s:6:"fields";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:4:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"fields";b:0;}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_4";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_4";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}', -1, '1681649759.704', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_articles_list', 'a:12:{s:4:"uuid";s:36:"7719875b-c5db-4ef8-b4a1-8158682d76ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:17:"image.style.large";i:3;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:16:"mt_articles_list";s:5:"label";s:13:"Articles list";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Article in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:246:"<div class="col-md-6">\n<div class="views-field-field-image mb-4 mb-md-0">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-md-6";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"field_image_1";a:35:{s:2:"id";s:13:"field_image_1";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:6:"col-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:48:"<div class="views-field-body">\n{{ body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:54:"<div class="views-field-created">\n{{ created }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:307:"<div class="row view-items-list__item">\n{{ field_image }}\n<div class="{{ field_image_1 }}">\n<div class="view-items-list__body">\n{{ created }}\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ body }}\n<div class="views-field-view-node link--bordered">\n{{ view_node }}\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Articles list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:15:"view-items-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:13:"articles-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_articles_list_2', 'a:12:{s:4:"uuid";s:36:"3333ba41-494c-4c2d-a967-4b9e89ba665d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:17:"node.type.article";}s:6:"module";a:3:{i:0;s:4:"node";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:18:"mt_articles_list_2";s:5:"label";s:17:"Latest Blog Posts";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays the latest entries using the content types Article.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:25:"1 comment@count comments";s:6:"prefix";s:2:"- ";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:132:"<div class="post-meta">\n<div class="post-meta-item">{{ created }}</div>\n<div class="post-meta-item">{{ comment_count }}</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"M j, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Latest Blog Posts";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Events";s:8:"link_url";s:9:"/articles";s:12:"link_display";s:10:"custom_url";s:9:"css_class";s:29:"view-articles-list-2 clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:30:"config:field.storage.node.body";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Latest blog posts";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:30:"config:field.storage.node.body";}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_collections_carousel', 'a:12:{s:4:"uuid";s:36:"383531f5-9915-47d2-99de-57e442f36b18";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:29:"image.style.mt_portrait_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:23:"mt_collections_carousel";s:5:"label";s:27:"Merchandise Groups Carousel";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:28:"mt-carousel-item text-center";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:71:"owl-carousel owl-carousel mt-carousel-container mt-carousel-collections";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:18:"Merchandise Groups";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:63:"view-mt-carousel view-collection-grid view-collections-carousel";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"Explore now";s:8:"link_url";s:14:"product-groups";s:12:"link_display";s:10:"custom_url";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:27:"Merchandise Groups Carousel";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_collections_grid', 'a:12:{s:4:"uuid";s:36:"c0743566-3686-4b50-bd71-f193372fcf38";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:29:"image.style.mt_portrait_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:19:"mt_collections_grid";s:5:"label";s:18:"Merchandise Groups";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-md-6 col-lg-3 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:3:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:9:"term_name";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:18:"Merchandise Groups";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:41:"view-promoted-items view-collections-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:4:"path";s:18:"merchandise-groups";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}}}', -1, '1681649759.704', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_collections_masonry', 'a:12:{s:4:"uuid";s:36:"a6d1e9b6-da29-4024-9de3-d90d98107c91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:2;s:30:"image.style.mt_landscape_image";i:3;s:29:"image.style.mt_portrait_image";i:4;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:22:"mt_collections_masonry";s:5:"label";s:26:"Merchandise Groups Masonry";s:6:"module";s:5:"views";s:11:"description";s:83:"Displays taxonomy terms in Merchandise Groups vocabulary in a masonry style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"masonry-item {{ field_mt_wide_collection_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_wide_collection_image";a:35:{s:2:"id";s:30:"field_mt_wide_collection_image";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_wide_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:31:"{{ field_mt_collection_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:32:"field_mt_wide_collection_image_1";a:35:{s:2:"id";s:32:"field_mt_wide_collection_image_1";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:26:"Merchandise Groups Masonry";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-promoted-items-masonry view-collection-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:26:"Merchandise Groups Masonry";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:4:"path";s:26:"merchandise-groups-masonry";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_events_grid', 'a:12:{s:4:"uuid";s:36:"ff8e957e-2021-4947-b0d2-5fce1c9a2ef3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:37:"field.storage.node.field_mt_evn_image";i:2;s:37:"field.storage.node.field_mt_evn_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_event";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:14:"mt_events_grid";s:5:"label";s:6:"Events";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Event in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_evn_video";a:35:{s:2:"id";s:18:"field_mt_evn_video";s:5:"table";s:24:"node__field_mt_evn_video";s:5:"field";s:18:"field_mt_evn_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_evn_image";a:35:{s:2:"id";s:18:"field_mt_evn_image";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:18:"field_mt_evn_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_evn_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_evn_body";a:35:{s:2:"id";s:17:"field_mt_evn_body";s:5:"table";s:23:"node__field_mt_evn_body";s:5:"field";s:17:"field_mt_evn_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Events";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-events-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_events_list', 'a:12:{s:4:"uuid";s:36:"e066a8e3-2f89-4443-8ef4-2d06df8085a7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:18:"node.type.mt_event";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:14:"mt_events_list";s:5:"label";s:6:"Events";s:6:"module";s:5:"views";s:11:"description";s:66:"Displays nodes using the content type Event in a list style layout";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:4;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:9:"row_class";s:4:"mb-5";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Events";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:6:"events";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.704', 1, '', '0'),
('views.view.mt_isotope', 'a:12:{s:4:"uuid";s:36:"1863d2bf-fdde-43c8-b9a2-1a9f95099b83";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:37:"field.storage.node.field_mt_alb_image";i:2;s:36:"field.storage.node.field_mt_alb_tags";i:3;s:37:"field.storage.node.field_mt_alb_video";i:4;s:36:"field.storage.node.field_mt_prd_body";i:5;s:40:"field.storage.node.field_mt_prd_buy_link";i:6;s:37:"field.storage.node.field_mt_prd_image";i:7;s:37:"field.storage.node.field_mt_prd_price";i:8;s:36:"field.storage.node.field_mt_prd_tags";i:9;s:37:"field.storage.node.field_mt_prd_video";i:10;s:36:"field.storage.node.field_mt_srv_body";i:11;s:37:"field.storage.node.field_mt_srv_image";i:12;s:37:"field.storage.node.field_mt_srv_price";i:13;s:44:"field.storage.node.field_mt_srv_service_tags";i:14;s:37:"field.storage.node.field_mt_srv_video";i:15;s:48:"field.storage.paragraph.field_mt_highlight_image";i:16;s:17:"image.style.large";i:17;s:18:"node.type.mt_album";i:18;s:20:"node.type.mt_product";i:19;s:20:"node.type.mt_service";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:10:"mt_isotope";s:5:"label";s:7:"Isotope";s:6:"module";s:5:"views";s:11:"description";s:113:"Displays nodes using the content types Merchandise, Accommodation or Album in a grid layout with Isotope filters.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:7:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item {{ field_mt_alb_tags }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:3:"M j";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:387:"<div class="views-field-field-image">\n<div class="overlayed-wrapper">\n<a class="overlayed-inner" href="{{ path }}">\n<span class="overlay"><i class="fa fa-link"></i></span>\n{{ field_mt_alb_image }}\n</a>\n<span class="info">\n<span class="date">{{ created }}</span>\n<a href="{{ path }}" class="comments">{{ comment_count }}</a>\n<span class="author">By {{ name }}</span>\n</span>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h2";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:9:"more-link";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-albums-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:43:"config:field.storage.node.field_mt_alb_tags";}}}s:12:"attachment_1";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_1";s:13:"display_title";s:24:"Albums Isotope (Filters)";s:8:"position";i:2;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_1";s:6:"page_1";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:6:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;}s:6:"fields";a:2:{s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_alb_tags__target_id }}">{{ field_mt_alb_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:37:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_alb_tags";}}}s:12:"attachment_2";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_2";s:13:"display_title";s:32:"Accommodations Isotope (Filters)";s:8:"position";i:4;s:15:"display_options";a:15:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_2";s:6:"page_2";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:10:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:13:"relationships";b:0;}s:6:"fields";a:2:{s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:126:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_srv_service_tags__target_id }}">{{ field_mt_srv_service_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"title";s:14:"Accommodations";s:13:"relationships";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:51:"config:field.storage.node.field_mt_srv_service_tags";}}}s:12:"attachment_3";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_3";s:13:"display_title";s:29:"Merchandise Isotope (Filters)";s:8:"position";i:6;s:15:"display_options";a:15:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_3";s:6:"page_3";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:10:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:13:"relationships";b:0;}s:6:"fields";a:2:{s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_prd_tags__target_id }}">{{ field_mt_prd_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"title";s:11:"Merchandise";s:13:"relationships";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_prd_tags";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:14:"Albums Isotope";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"albums-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:3:{s:5:"pager";b:0;s:6:"fields";b:0;s:9:"css_class";b:0;}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read more";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:9:"css_class";s:19:"view-promoted-items";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:43:"config:field.storage.node.field_mt_alb_tags";i:3;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:22:"Accommodations Isotope";s:8:"position";i:3;s:15:"display_options";a:14:{s:17:"display_extenders";a:0:{}s:4:"path";s:22:"accommodations-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;s:9:"css_class";b:0;}s:5:"title";s:14:"Accommodations";s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:46:"tid-{{ field_mt_srv_service_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:72:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_srv_service_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"css_class";s:19:"view-promoted-items";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:51:"config:field.storage.node.field_mt_srv_service_tags";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:19:"Merchandise Isotope";s:8:"position";i:5;s:15:"display_options";a:14:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;s:9:"css_class";b:0;}s:5:"title";s:11:"Merchandise";s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:6:"fields";a:10:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_prd_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_prd_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"css_class";s:19:"view-promoted-items";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:7:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:43:"config:field.storage.node.field_mt_prd_tags";i:5;s:44:"config:field.storage.node.field_mt_prd_video";i:6;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}', -1, '1681649759.704', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_latest', 'a:12:{s:4:"uuid";s:36:"98d5b933-bff8-408e-b14b-052e47b51121";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:36:"field.storage.node.field_mt_prd_body";i:3;s:37:"field.storage.node.field_mt_prd_image";i:4;s:36:"field.storage.node.field_mt_srv_body";i:5;s:37:"field.storage.node.field_mt_srv_image";i:6;s:18:"image.style.medium";i:7;s:17:"node.type.article";i:8;s:20:"node.type.mt_product";i:9;s:20:"node.type.mt_service";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:9:"mt_latest";s:5:"label";s:12:"Latest Posts";s:6:"module";s:5:"views";s:11:"description";s:90:"Displays the latest entries using the content types Article, Merchandise or Accommodation.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:35:"col-12 col-md-6 col-lg-12 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:8:"Articles";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:8:"Articles";s:19:"display_description";s:0:"";s:8:"use_more";b:1;s:8:"defaults";a:7:{s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"pager";b:0;s:6:"fields";b:0;}s:15:"use_more_always";b:0;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:8:"articles";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:5:"d M Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:37:"config:field.storage.node.field_image";}}}s:7:"block_3";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_3";s:13:"display_title";s:14:"Accommodations";s:8:"position";i:1;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:14:"Accommodations";s:19:"display_description";s:0:"";s:5:"title";s:14:"Accommodations";s:8:"defaults";a:9:{s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"services-3-col";s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";}}}s:7:"block_4";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_4";s:13:"display_title";s:11:"Merchandise";s:8:"position";i:1;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:11:"Merchandise";s:19:"display_description";s:0:"";s:5:"title";s:11:"Merchandise";s:8:"defaults";a:9:{s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"products-3-col";s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:214:"<div class="views-field-field-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_other_speakers_carousel', 'a:12:{s:4:"uuid";s:36:"3ed24100-48e6-4fa3-a088-32c8e136d364";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:2;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:3;s:40:"field.storage.node.field_mt_spk_subtitle";i:4;s:47:"field.storage.node.field_mt_spk_twitter_account";i:5;s:47:"field.storage.node.field_mt_spk_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:26:"mt_other_speakers_carousel";s:5:"label";s:23:"Other Speakers Carousel";s:6:"module";s:5:"views";s:11:"description";s:37:"Displays speaker nodes in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"random";a:10:{s:2:"id";s:6:"random";s:5:"table";s:5:"views";s:5:"field";s:6:"random";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:6:"random";}}s:5:"title";s:14:"Other Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:25:"Other Speakers - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}}}', -1, '1681649759.705', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_popular_tags', 'a:12:{s:4:"uuid";s:36:"515bdceb-9bf5-4ab2-818d-0325823fff04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"taxonomy";i:1;s:4:"user";}}s:2:"id";s:15:"mt_popular_tags";s:5:"label";s:12:"Popular Tags";s:6:"module";s:5:"views";s:11:"description";s:41:"Displays the most popular taxonomy terms.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:9:"term_name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;}s:3:"tid";a:37:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:10:"langcode_1";a:16:{s:2:"id";s:10:"langcode_1";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:8:"status_1";a:16:{s:2:"id";s:8:"status_1";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:3:"tid";a:12:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:12:"Popular Tags";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"group_by";b:1;s:9:"css_class";s:21:"view-popular-taxonomy";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:12:"Popular tags";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_presentations_grid', 'a:12:{s:4:"uuid";s:36:"95cff3e3-a514-441a-b409-619a7a0c1af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:37:"field.storage.node.field_mt_prs_video";i:3;s:17:"image.style.large";i:4;s:25:"node.type.mt_presentation";i:5;s:46:"taxonomy.vocabulary.mt_presentation_categories";i:6;s:30:"taxonomy.vocabulary.mt_session";i:7;s:29:"taxonomy.vocabulary.mt_topics";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:21:"mt_presentations_grid";s:5:"label";s:13:"Presentations";s:6:"module";s:5:"views";s:11:"description";s:74:"Displays nodes using the content type Presentation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_video";a:35:{s:2:"id";s:18:"field_mt_prs_video";s:5:"table";s:24:"node__field_mt_prs_video";s:5:"field";s:18:"field_mt_prs_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prs_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:7:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:29:"field_mt_prs_topics_target_id";a:20:{s:2:"id";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:25:"node__field_mt_prs_topics";s:5:"field";s:29:"field_mt_prs_topics_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:32:"field_mt_prs_topics_target_id_op";s:5:"label";s:6:"Topics";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:32:"field_mt_prs_topics_target_id_op";s:10:"identifier";s:29:"field_mt_prs_topics_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:9:"mt_topics";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:30:"field_mt_prs_session_target_id";a:20:{s:2:"id";s:30:"field_mt_prs_session_target_id";s:5:"table";s:26:"node__field_mt_prs_session";s:5:"field";s:30:"field_mt_prs_session_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:33:"field_mt_prs_session_target_id_op";s:5:"label";s:7:"Session";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:33:"field_mt_prs_session_target_id_op";s:10:"identifier";s:30:"field_mt_prs_session_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:10:"mt_session";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:31:"field_mt_prs_category_target_id";a:20:{s:2:"id";s:31:"field_mt_prs_category_target_id";s:5:"table";s:27:"node__field_mt_prs_category";s:5:"field";s:31:"field_mt_prs_category_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:34:"field_mt_prs_category_target_id_op";s:5:"label";s:8:"Category";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:34:"field_mt_prs_category_target_id_op";s:10:"identifier";s:31:"field_mt_prs_category_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:26:"mt_presentation_categories";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Presentations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:23:"view-presentations-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"presentations-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:13:"presentations";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_pricing_tables', 'a:12:{s:4:"uuid";s:36:"2e765768-4002-4387-9642-46b292adb731";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";i:1;s:37:"field.storage.node.field_mt_prd_price";i:2;s:50:"field.storage.node.field_mt_prd_pricing_table_item";i:3;s:20:"node.type.mt_product";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:17:"mt_pricing_tables";s:5:"label";s:14:"Pricing Tables";s:6:"module";s:5:"views";s:11:"description";s:82:"Displays nodes using the content type Merchandise in a Pricing table style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-4 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_prd_most_popular";a:35:{s:2:"id";s:25:"field_mt_prd_most_popular";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:90:"<div class="views-field-field-mt-prd-most-popular">\n{{ field_mt_prd_most_popular }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"default";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:27:"field_mt_prd_most_popular_1";a:35:{s:2:"id";s:27:"field_mt_prd_most_popular_1";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:12:"most-popular";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"boolean";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:31:"field_mt_prd_pricing_table_item";a:35:{s:2:"id";s:31:"field_mt_prd_pricing_table_item";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:31:"field_mt_prd_pricing_table_item";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:73:"<div class="views-field-item">{{ field_mt_prd_pricing_table_item }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:2:"ul";s:9:"separator";s:0:"";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:400:"<div class="pricing-table">\n<div class="pricing-table-header">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_most_popular }}\n{{ field_mt_prd_price }}\n</div>\n<div class="pricing-table-body">\n{{ field_mt_prd_pricing_table_item }}\n</div>\n<div class="pricing-table-footer">\n<a href="{{ path }}" class="button">{{"Buy Now"|t}} <i class="ml-2 fas fa-angle-right"></i></a>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:5:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:37:"field_mt_prd_pricing_table_item_value";a:14:{s:2:"id";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"1";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:16:"Choose an option";s:6:"header";a:0:{}s:6:"footer";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:181:"<p>Questions? Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut <a href="#" class="link--bordered">labore et dolore magna aliqua</a>.</p>";s:6:"format";s:8:"raw_html";}s:9:"plugin_id";s:4:"text";}}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:19:"view-pricing-tables";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:17:"Block - 3 columns";s:8:"position";i:3;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:1:{s:5:"title";b:1;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 3 Columns";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:17:"Block - 2 columns";s:8:"position";i:4;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:5:"title";s:16:"Choose an option";s:8:"defaults";a:4:{s:5:"title";b:0;s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 2 Columns";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_3";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_3";s:13:"display_title";s:17:"Block - 4 columns";s:8:"position";i:2;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:5:"title";s:16:"Choose an option";s:8:"defaults";a:4:{s:5:"title";b:0;s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 4 Columns";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"col-lg-3 col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"pricing-tables";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:8:"defaults";a:1:{s:6:"header";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}}}', -1, '1681649759.705', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_products', 'a:12:{s:4:"uuid";s:36:"1a694062-9fb4-48e0-aaab-fe191fa5fa92";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:48:"field.storage.paragraph.field_mt_highlight_image";i:5;s:17:"image.style.large";i:6;s:20:"node.type.mt_product";i:7;s:34:"taxonomy.vocabulary.mt_collections";i:8;s:24:"taxonomy.vocabulary.tags";}s:6:"module";a:8:{i:0;s:22:"better_exposed_filters";i:1;s:5:"image";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:8:"taxonomy";i:5;s:4:"text";i:6;s:4:"user";i:7;s:17:"video_embed_field";}}s:2:"id";s:11:"mt_products";s:5:"label";s:11:"Merchandise";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Merchandise in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:1;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:3:"bef";s:7:"options";a:11:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";s:14:"input_required";b:0;s:19:"text_input_required";s:51:"Select any filter and click on Apply to see results";s:3:"bef";a:5:{s:7:"general";a:4:{s:15:"allow_secondary";b:0;s:15:"secondary_label";s:16:"Advanced options";s:10:"autosubmit";b:0;s:15:"autosubmit_hide";b:0;}s:30:"field_mt_collections_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:33:"field_mt_prd_categories_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:20:"field_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:27:"field_mt_prd_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}}s:26:"text_input_required_format";s:10:"basic_html";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:9:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:33:"field_mt_prd_categories_target_id";a:20:{s:2:"id";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:29:"node__field_mt_prd_categories";s:5:"field";s:33:"field_mt_prd_categories_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:36:"field_mt_prd_categories_target_id_op";s:5:"label";s:13:"Product Group";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:36:"field_mt_prd_categories_target_id_op";s:10:"identifier";s:33:"field_mt_prd_categories_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:14:"mt_collections";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:27:"field_mt_prd_tags_target_id";a:20:{s:2:"id";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:27:"field_mt_prd_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:30:"field_mt_prd_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:30:"field_mt_prd_tags_target_id_op";s:10:"identifier";s:27:"field_mt_prd_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:4:"tags";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:11:"Merchandise";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-products-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:12:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:21:"col-lg-4 col-md-6 row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:7:{s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:12:"exposed_form";b:0;s:6:"header";b:0;s:5:"pager";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:1;s:7:"filters";a:8:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:17:"block_description";s:22:"Merchandise Grid 3 Col";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:200:"<h2 class="text-center bottom-spacing-small">MY SHOP</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"4, 8, 16, 40";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:11:"merchandise";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:5:"pager";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_products_carousel', 'a:12:{s:4:"uuid";s:36:"da726044-b2b9-47d9-b150-9cc817dea024";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:28:"image.style.mt_product_image";i:5;s:20:"node.type.mt_product";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:20:"mt_products_carousel";s:5:"label";s:20:"Merchandise Carousel";s:6:"module";s:5:"views";s:11:"description";s:64:"Displays nodes using the content type Merchandise in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-products";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:20:"Merchandise Carousel";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:35:"view-mt-carousel view-products-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:31:"Featured Merchandise (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}', -1, '1681649759.705', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_products_list', 'a:12:{s:4:"uuid";s:36:"6a9fc952-231b-474d-bb39-9534be670686";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:40:"field.storage.node.field_mt_prd_buy_link";i:2;s:37:"field.storage.node.field_mt_prd_image";i:3;s:37:"field.storage.node.field_mt_prd_price";i:4;s:37:"field.storage.node.field_mt_prd_video";i:5;s:48:"field.storage.paragraph.field_mt_highlight_image";i:6;s:17:"image.style.large";i:7;s:20:"node.type.mt_product";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:16:"mt_products_list";s:5:"label";s:16:"Merchandise list";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Merchandise in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_video_1";a:35:{s:2:"id";s:20:"field_mt_prd_video_1";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-md-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:26:"{{ field_mt_prd_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_image_1";a:35:{s:2:"id";s:20:"field_mt_prd_image_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-prd-body">\n{{ field_mt_prd_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:250;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:457:"<div class="row view-items-list__item">\n{{ field_mt_prd_image }}\n<div class="{{ field_mt_prd_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_price }}\n{{ field_mt_prd_body }}\n<div class="views-field views-field-link">\n<a class="button button--hover-style-2" target="_blank" href="{{ field_mt_prd_buy_link }}"><i class="fas fa-shopping-cart"></i> {{"Cart"|t}}</a>\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:16:"Merchandise list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-products-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:16:"Merchandise list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:16:"merchandise-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_products_masonry', 'a:12:{s:4:"uuid";s:36:"8b8e5386-9cad-44e4-a76b-94ccf3700451";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:47:"field.storage.node.field_mt_prd_landscape_image";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:30:"image.style.mt_landscape_image";i:5;s:29:"image.style.mt_portrait_image";i:6;s:20:"node.type.mt_product";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:19:"mt_products_masonry";s:5:"label";s:19:"Merchandise Masonry";s:6:"module";s:5:"views";s:11:"description";s:76:"Displays nodes using the content type Merchandise in a masonry style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:59:"masonry-item {{ field_mt_prd_landscape_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_prd_landscape_image";a:35:{s:2:"id";s:28:"field_mt_prd_landscape_image";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:227:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_landscape_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_prd_landscape_image_1";a:35:{s:2:"id";s:30:"field_mt_prd_landscape_image_1";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:26:"link--bordered text-center";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:11:"Merchandise";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:27:"view-promoted-items-masonry";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:2:{i:1;s:3:"AND";i:2;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:19:"Merchandise Masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}', -1, '1681649759.705', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_program', 'a:12:{s:4:"uuid";s:36:"bdd40e2f-abaa-4849-9250-37b446dd193a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.storage.node.field_mt_prg_category";i:1;s:40:"field.storage.node.field_mt_prg_end_date";i:2;s:42:"field.storage.node.field_mt_prg_start_date";i:3;s:26:"node.type.mt_program_entry";}s:6:"module";a:4:{i:0;s:8:"datetime";i:1;s:17:"fullcalendar_view";i:2;s:4:"node";i:3;s:4:"user";}}s:2:"id";s:10:"mt_program";s:5:"label";s:7:"Program";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:25:"fullcalendar_view_display";s:7:"options";a:13:{s:11:"defaultDate";s:10:"2018-04-11";s:5:"start";s:23:"field_mt_prg_start_date";s:3:"end";s:21:"field_mt_prg_end_date";s:13:"right_buttons";a:3:{s:10:"agendaWeek";s:10:"agendaWeek";s:9:"agendaDay";s:9:"agendaDay";s:8:"listYear";s:8:"listYear";}s:15:"defaultLanguage";s:2:"en";s:16:"languageSelector";i:0;s:15:"createEventLink";i:0;s:9:"tax_field";s:21:"field_mt_prg_category";s:12:"vocabularies";s:27:"mt_program_entry_categories";s:14:"color_contents";a:13:{s:7:"article";s:7:"#3a87ad";s:8:"mt_album";s:7:"#3a87ad";s:14:"mt_canvas_page";s:7:"#3a87ad";s:8:"mt_event";s:7:"#3a87ad";s:15:"mt_presentation";s:7:"#3a87ad";s:10:"mt_product";s:7:"#3a87ad";s:16:"mt_program_entry";s:7:"#3a87ad";s:10:"mt_service";s:7:"#3a87ad";s:10:"mt_speaker";s:7:"#3a87ad";s:10:"mt_sponsor";s:7:"#3a87ad";s:14:"mt_team_member";s:7:"#3a87ad";s:14:"mt_testimonial";s:7:"#3a87ad";s:4:"page";s:7:"#3a87ad";}s:12:"content_type";s:16:"mt_program_entry";s:7:"classes";s:0:"";s:16:"color_taxonomies";a:2:{i:77;s:7:"#4b842e";i:78;s:7:"#3b5897";}}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:21:"field_mt_prg_category";a:35:{s:2:"id";s:21:"field_mt_prg_category";s:5:"table";s:27:"node__field_mt_prg_category";s:5:"field";s:21:"field_mt_prg_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_prg_end_date";a:35:{s:2:"id";s:21:"field_mt_prg_end_date";s:5:"table";s:27:"node__field_mt_prg_end_date";s:5:"field";s:21:"field_mt_prg_end_date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"datetime_default";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:6:"medium";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:23:"field_mt_prg_start_date";a:35:{s:2:"id";s:23:"field_mt_prg_start_date";s:5:"table";s:29:"node__field_mt_prg_start_date";s:5:"field";s:23:"field_mt_prg_start_date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"datetime_default";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:6:"medium";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:7:"Program";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:13:"view-calendar";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:47:"config:field.storage.node.field_mt_prg_category";i:1;s:47:"config:field.storage.node.field_mt_prg_end_date";i:2;s:49:"config:field.storage.node.field_mt_prg_start_date";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:7:"program";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:47:"config:field.storage.node.field_mt_prg_category";i:1;s:47:"config:field.storage.node.field_mt_prg_end_date";i:2;s:49:"config:field.storage.node.field_mt_prg_start_date";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_recent_comments', 'a:12:{s:4:"uuid";s:36:"791c109f-83d0-43d6-a6da-f7c06d877cde";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:7:"comment";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:18:"mt_recent_comments";s:5:"label";s:15:"Recent Comments";s:6:"module";s:5:"views";s:11:"description";s:16:"Recent comments.";s:3:"tag";s:0:"";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:13:"relationships";a:2:{s:4:"node";a:9:{s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"node";s:11:"entity_type";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:7:"Content";}s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:21:"{{ name }} {{"on"|t}}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:9:"plugin_id";s:5:"field";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:12:"relationship";s:4:"node";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:11:"status_node";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"Recent Comments";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"mt-recent-comments";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"Recent Comments";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_related_events', 'a:12:{s:4:"uuid";s:36:"e2222b36-c445-4169-b4e8-2014e4658574";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:37:"field.storage.node.field_mt_evn_image";i:2;s:37:"field.storage.node.field_mt_evn_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_event";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:17:"mt_related_events";s:5:"label";s:14:"Related Events";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Event in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_evn_video";a:35:{s:2:"id";s:18:"field_mt_evn_video";s:5:"table";s:24:"node__field_mt_evn_video";s:5:"field";s:18:"field_mt_evn_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_evn_image";a:35:{s:2:"id";s:18:"field_mt_evn_image";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:18:"field_mt_evn_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_evn_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_evn_body";a:35:{s:2:"id";s:17:"field_mt_evn_body";s:5:"table";s:23:"node__field_mt_evn_body";s:5:"field";s:17:"field_mt_evn_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Events";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:30:"field_mt_evn_speaker_target_id";a:21:{s:2:"id";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-events-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:40:"row list-unstyled justify-content-center";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:16:"block_hide_empty";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_related_nodes_carousel', 'a:12:{s:4:"uuid";s:36:"e43e23d7-6386-4559-bd00-e8da8b68d1a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:28:"image.style.mt_product_image";i:5;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:8:"taxonomy";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:25:"mt_related_nodes_carousel";s:5:"label";s:13:"Related Nodes";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:60:"owl-carousel mt-carousel-container mt-carousel-related-nodes";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Products Carousel";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:35:"view-mt-carousel view-products-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:24:"Related Nodes (Carousel)";s:16:"block_hide_empty";b:0;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}', -1, '1681649759.705', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_related_presentations', 'a:12:{s:4:"uuid";s:36:"873ed9cd-f989-41fd-8467-e2529f0d8384";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:18:"image.style.medium";i:3;s:29:"taxonomy.vocabulary.mt_topics";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:24:"mt_related_presentations";s:5:"label";s:29:"Related Presentations (Topic)";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"In this topic";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:13:"In this topic";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_related_presentations_2', 'a:12:{s:4:"uuid";s:36:"8a0b25cb-351d-4d58-8a4b-959fa7fa4bf7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:18:"image.style.medium";i:3;s:30:"taxonomy.vocabulary.mt_session";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:26:"mt_related_presentations_2";s:5:"label";s:31:"Related Presentations (Session)";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"In this session";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:10:"mt_session";s:10:"mt_session";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"In this session";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_related_presentations_3', 'a:12:{s:4:"uuid";s:36:"e3560280-8fd8-423a-b075-aa83d79710dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:37:"field.storage.node.field_mt_prs_video";i:3;s:17:"image.style.large";i:4;s:25:"node.type.mt_presentation";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:26:"mt_related_presentations_3";s:5:"label";s:31:"Related Presentations (Speaker)";s:6:"module";s:5:"views";s:11:"description";s:74:"Displays nodes using the content type Presentation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_video";a:35:{s:2:"id";s:18:"field_mt_prs_video";s:5:"table";s:24:"node__field_mt_prs_video";s:5:"field";s:18:"field_mt_prs_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prs_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Presentations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:30:"field_mt_prs_speaker_target_id";a:21:{s:2:"id";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:23:"view-presentations-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:40:"row list-unstyled justify-content-center";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:16:"block_hide_empty";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}}}', -1, '1681649759.705', 1, '', '0'),
('views.view.mt_services', 'a:12:{s:4:"uuid";s:36:"a70c2300-cbdd-4a31-a743-d251a1f01b8f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:37:"field.storage.node.field_mt_srv_image";i:2;s:37:"field.storage.node.field_mt_srv_price";i:3;s:37:"field.storage.node.field_mt_srv_video";i:4;s:48:"field.storage.paragraph.field_mt_highlight_image";i:5;s:17:"image.style.large";i:6;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:10:"paragraphs";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:11:"mt_services";s:5:"label";s:14:"Accommodations";s:6:"module";s:5:"views";s:11:"description";s:75:"Displays nodes using the content type Accommodation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:223:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:7:{s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:14:"Accommodations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-services-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:1;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"accommodations";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}', -1, '1681649759.705', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_services_list', 'a:12:{s:4:"uuid";s:36:"69f594c3-c866-4760-a316-6f4ebd53c2c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:40:"field.storage.node.field_mt_srv_buy_link";i:2;s:37:"field.storage.node.field_mt_srv_image";i:3;s:37:"field.storage.node.field_mt_srv_price";i:4;s:37:"field.storage.node.field_mt_srv_video";i:5;s:48:"field.storage.paragraph.field_mt_highlight_image";i:6;s:17:"image.style.large";i:7;s:20:"node.type.mt_service";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:16:"mt_services_list";s:5:"label";s:19:"Accommodations list";s:6:"module";s:5:"views";s:11:"description";s:75:"Displays nodes using the content type Accommodation in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:34:"view-promoted-items-list--bordered";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_srv_buy_link";a:35:{s:2:"id";s:21:"field_mt_srv_buy_link";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:5:"field";s:21:"field_mt_srv_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_video_1";a:35:{s:2:"id";s:20:"field_mt_srv_video_1";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-sm-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:26:"{{ field_mt_srv_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_image_1";a:35:{s:2:"id";s:20:"field_mt_srv_image_1";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-srv-price">\n{{ field_mt_srv_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-srv-body">\n{{ field_mt_srv_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:271:"<div class="row view-items-list__item">\n{{ field_mt_srv_image }}\n<div class="{{ field_mt_srv_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ field_mt_srv_body }}\n{{ field_mt_srv_price }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:19:"Accommodations list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:15:"view-items-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"accommodations-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_slideshow_boxed_width', 'a:12:{s:4:"uuid";s:36:"5ca27d09-d628-4c0c-9600-def9bd221576";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";i:2;s:30:"image.style.mt_slideshow_boxed";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:24:"mt_slideshow_boxed_width";s:5:"label";s:21:"Slideshow Boxed Width";s:6:"module";s:5:"views";s:11:"description";s:47:"Drives the Boxed Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_slideshow_boxed";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}', -1, '1681649759.706', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_slideshow_full_screen', 'a:12:{s:4:"uuid";s:36:"2f805a0e-eead-455b-bf58-8852025453af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";i:2;s:35:"image.style.mt_slideshow_fullscreen";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:24:"mt_slideshow_full_screen";s:5:"label";s:21:"Slideshow Full Screen";s:6:"module";s:5:"views";s:11:"description";s:53:"Drives the Full Screen Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:23:"mt_slideshow_fullscreen";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:17:"view-mt-slideshow";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_slideshow_full_width', 'a:12:{s:4:"uuid";s:36:"959234a5-a6e8-4d3e-b740-64f30e95bfab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:23:"mt_slideshow_full_width";s:5:"label";s:20:"Slideshow Full Width";s:6:"module";s:5:"views";s:11:"description";s:52:"Drives the Full Width Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:17:"view-mt-slideshow";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_speakers', 'a:12:{s:4:"uuid";s:36:"abe909ab-d1fe-4f96-9ff7-36d11fafa3dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:11:"mt_speakers";s:5:"label";s:8:"Speakers";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:1:{i:0;a:3:{s:5:"field";s:5:"title";s:8:"rendered";b:1;s:14:"rendered_strip";b:0;}}s:9:"row_class";s:21:"clearfix listing-item";s:17:"default_row_class";b:1;s:11:"uses_fields";b:1;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:15:"mt_listing_item";}}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:1;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:6:"d-none";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}}s:5:"sorts";a:1:{s:5:"title";a:12:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:8:"Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:13:"view-speakers";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"speakers";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_speakers_carousel', 'a:12:{s:4:"uuid";s:36:"ffbd0fee-8045-43f4-9bd1-37e36d4942b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:2;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:3;s:40:"field.storage.node.field_mt_spk_subtitle";i:4;s:47:"field.storage.node.field_mt_spk_twitter_account";i:5;s:47:"field.storage.node.field_mt_spk_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_speakers_carousel";s:5:"label";s:17:"Speakers Carousel";s:6:"module";s:5:"views";s:11:"description";s:37:"Displays speaker nodes in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:356:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-field-mt-spk-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:19:"Speakers - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}}}', -1, '1681649759.706', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_sponsors_carousel', 'a:12:{s:4:"uuid";s:36:"a9b14826-5731-4f6c-adb5-dba760a5e114";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"image.style.mt_logos";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_sponsors_carousel";s:5:"label";s:17:"Sponsors Carousel";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays nodes using the content type Sponsor in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-sponsors";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-logo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:5:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:27:"field_mt_spn_logo_target_id";a:14:{s:2:"id";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:27:"field_mt_spn_logo_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:43:"view-mt-carousel view-mt-carousel--sponsors";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:19:"Sponsors (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_sponsors_grid', 'a:12:{s:4:"uuid";s:36:"99ca7dbc-19a1-4774-8d20-5b6c294521a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:21:"image.style.mt_brands";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:16:"mt_sponsors_grid";s:5:"label";s:8:"Sponsors";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Sponsor in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:3:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-sponsors-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"sponsors";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_sponsors_grid_2', 'a:12:{s:4:"uuid";s:36:"b092ae51-6a12-4b71-85fb-aae7364dfe30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"image.style.mt_logos";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:18:"mt_sponsors_grid_2";s:5:"label";s:8:"Sponsors";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:37:"col-6 col-sm-4 col-md-3 col-lg-6 my-3";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:7:"content";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:8:"Sponsors";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_team_members_carousel', 'a:12:{s:4:"uuid";s:36:"d34b597b-853d-4711-a3fc-96f4009e3886";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:2;s:44:"field.storage.node.field_mt_tmm_member_photo";i:3;s:40:"field.storage.node.field_mt_tmm_subtitle";i:4;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:5;s:47:"field.storage.node.field_mt_tmm_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:24:"mt_team_members_carousel";s:5:"label";s:21:"Team Members Carousel";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays team member nodes in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-team-members";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_youtube_account";a:35:{s:2:"id";s:28:"field_mt_tmm_youtube_account";s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:5:"field";s:28:"field_mt_tmm_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_tmm_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:497:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n{{ field_mt_tmm_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_tmm_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:55:"view-mt-carousel view-team-members-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_tmm_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:23:"Team Members - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_tmm_youtube_account";}}}}}', -1, '1681649759.706', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_team_members_grid', 'a:12:{s:4:"uuid";s:36:"d9a7eefa-bb7e-4c18-8856-bd5af8f96d23";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:2;s:44:"field.storage.node.field_mt_tmm_member_photo";i:3;s:40:"field.storage.node.field_mt_tmm_subtitle";i:4;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:5;s:27:"image.style.mt_member_photo";i:6;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_team_members_grid";s:5:"label";s:17:"Team Members Grid";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:151:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:157:"<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:42:"view-promoted-items view-team-members-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"team-members";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_team_members_grid_2', 'a:12:{s:4:"uuid";s:36:"f872f70f-a667-4a00-8cd8-4b795eea5896";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";i:1;s:40:"field.storage.node.field_mt_tmm_subtitle";i:2;s:27:"image.style.mt_member_photo";i:3;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:22:"mt_team_members_grid_2";s:5:"label";s:19:"Team Members Grid 2";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:44:"view-promoted-items view-team-members-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:1;s:47:"config:field.storage.node.field_mt_tmm_subtitle";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 6 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"team-members-2";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:33:"col-xl-2 col-lg-3 col-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:1;s:47:"config:field.storage.node.field_mt_tmm_subtitle";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_team_members_list', 'a:12:{s:4:"uuid";s:36:"1b20386a-38e5-4d3c-85b1-7f6265bb866f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"node.type.mt_team_member";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:20:"mt_team_members_list";s:5:"label";s:17:"Team Members List";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:24;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-titles-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"team-members-list";s:9:"arguments";a:0:{}s:8:"defaults";a:1:{s:9:"arguments";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_testimonials', 'a:12:{s:4:"uuid";s:36:"219ef55b-3419-4544-8349-7a27dc8fe341";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:15:"mt_testimonials";s:5:"label";s:12:"Testimonials";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:22:"view-testimonials-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:1;s:6:"offset";i:0;}}s:8:"defaults";a:2:{s:5:"pager";b:0;s:9:"css_class";b:1;}s:17:"block_description";s:27:"Testimonials Block - Latest";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:8:"defaults";a:7:{s:5:"pager";b:0;s:9:"css_class";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:17:"block_description";s:18:"Testimonials Block";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View more";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"testimonials";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}', -1, '1681649759.706', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_testimonials_carousel', 'a:12:{s:4:"uuid";s:36:"ce97a407-c0f9-41e5-8a3b-0d4bbf9b5929";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:24:"mt_testimonials_carousel";s:5:"label";s:21:"Testimonials Carousel";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-testimonials";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:39:"view-mt-carousel view-testimonials-grid";s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:0:"";s:8:"link_url";s:12:"testimonials";s:12:"link_display";s:10:"custom_url";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:2:{s:5:"pager";b:1;s:9:"css_class";b:1;}s:17:"block_description";s:21:"Testimonials Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_testimonials_grid', 'a:12:{s:4:"uuid";s:36:"d5bf94f8-0219-4c92-a2ef-10fb647f68f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:20:"mt_testimonials_grid";s:5:"label";s:17:"Testimonials Grid";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:17:"views-field-title";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:22:"view-testimonials-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:25:"Testimonials Block - Grid";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:18:"testimonials-3-col";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_testimonials_grid_2', 'a:12:{s:4:"uuid";s:36:"130aebd0-229f-4232-b66d-fd59d2934418";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:32:"image.style.mt_testimonial_image";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:22:"mt_testimonials_grid_2";s:5:"label";s:19:"Testimonials Grid 2";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:91:"<a href="{{ field_mt_tst_testimonial_link }}" class="link--bordered">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:24:"view-testimonials-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:27:"Testimonials Block - Grid 2";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-3-col-2";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}', -1, '1681649759.706', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.mt_testimonials_masonry', 'a:12:{s:4:"uuid";s:36:"10fd6a83-7178-49d9-b950-ebc2cb49c84c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:23:"mt_testimonials_masonry";s:5:"label";s:20:"Testimonials Masonry";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:40:"col-lg-4 col-md-6 masonry-item views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:30:"testimonials-masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:48:"view-testimonials-grid view-testimonials-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:28:"Testimonials Block - Masonry";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-masonry";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.mt_videos', 'a:12:{s:4:"uuid";s:36:"8c0f28b0-ae0d-450c-89e2-f7230c1efb43";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:23:"field.storage.node.body";i:2;s:33:"field.storage.node.field_mt_video";i:3;s:17:"image.style.large";}s:6:"module";a:4:{i:0;s:4:"node";i:1;s:4:"text";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:9:"mt_videos";s:5:"label";s:6:"Videos";s:6:"module";s:5:"views";s:11:"description";s:71:"Displays the latest entries with videos using the content type Article.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:14:"â€¹â€¹";s:4:"next";s:14:"â€ºâ€º";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:18:"mt_video_grid_item";}}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:14:"field_mt_video";a:35:{s:2:"id";s:14:"field_mt_video";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:14:"field_mt_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:206:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:4:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Videos";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:19:"view-promoted-items";s:13:"filter_groups";a:2:{s:8:"operator";s:2:"OR";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:6;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:6:"Videos";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:6:"videos";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.taxonomy_term', 'a:13:{s:4:"uuid";s:36:"18e21340-f0c4-47f3-a12b-c35acd0d8e6f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:3:{i:0;s:4:"node";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YY-QIsPmXCITvYjAnlCzaqASCB1Telev3U0IKOztZkc";}s:2:"id";s:13:"taxonomy_term";s:5:"label";s:13:"Taxonomy term";s:6:"module";s:8:"taxonomy";s:11:"description";s:45:"Content belonging to a certain taxonomy term.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:18:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"sorts";a:2:{s:6:"sticky";a:10:{s:2:"id";s:6:"sticky";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"sticky";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}s:7:"created";a:11:{s:2:"id";s:7:"created";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:1:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:19:"{{ arguments.tid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:1;s:8:"validate";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:4:{s:6:"access";b:1;s:9:"operation";s:4:"view";s:8:"multiple";i:0;s:7:"bundles";a:0:{}}s:12:"break_phrase";b:0;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:7:"filters";a:2:{s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"header";a:1:{s:20:"entity_taxonomy_term";a:12:{s:2:"id";s:20:"entity_taxonomy_term";s:5:"table";s:5:"views";s:5:"field";s:20:"entity_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:1;s:6:"target";s:23:"{{ raw_arguments.tid }}";s:9:"view_mode";s:4:"full";s:13:"bypass_access";b:0;s:9:"plugin_id";s:6:"entity";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:17:"display_extenders";a:0:{}s:8:"link_url";s:0:"";s:12:"link_display";s:6:"page_1";}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"feed_1";a:6:{s:2:"id";s:6:"feed_1";s:13:"display_title";s:4:"Feed";s:14:"display_plugin";s:4:"feed";s:8:"position";i:2;s:15:"display_options";a:7:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:4:"path";s:20:"taxonomy/term/%/feed";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:1:"0";}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:7:"default";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:15:"taxonomy/term/%";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.706', 1, '', '0'),
('views.view.user_admin_people', 'a:13:{s:4:"uuid";s:36:"aa64836e-9c2f-45e1-bbcd-c83ef0bfc266";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"queuLjhKGUQ_b-lNh_TkhCvOPrVunfJopvVGOf3cjAo";}s:2:"id";s:17:"user_admin_people";s:5:"label";s:6:"People";s:6:"module";s:4:"user";s:11:"description";s:50:"Find and manage people interacting with your site.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:25:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:16:"administer users";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:10:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"summary";s:0:"";s:7:"columns";a:8:{s:14:"user_bulk_form";s:14:"user_bulk_form";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:3:"rid";s:3:"rid";s:7:"created";s:7:"created";s:6:"access";s:6:"access";s:9:"edit_node";s:9:"edit_node";s:10:"dropbutton";s:10:"dropbutton";}s:4:"info";a:8:{s:14:"user_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:3:"rid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"access";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:14:"user_bulk_form";a:23:{s:2:"id";s:14:"user_bulk_form";s:5:"table";s:5:"users";s:5:"field";s:14:"user_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Bulk update";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"user_bulk_form";s:11:"entity_type";s:4:"user";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Username";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:6:"Active";s:19:"format_custom_false";s:7:"Blocked";}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:15:"roles_target_id";a:24:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Roles";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:2:"ul";s:9:"separator";s:2:", ";s:9:"plugin_id";s:10:"user_roles";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Member for";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:9:"@interval";s:11:"past_format";s:9:"@interval";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}s:6:"access";a:26:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Last access";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:5:"users";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"user";s:9:"plugin_id";s:17:"entity_operations";}s:4:"mail";a:37:{s:2:"id";s:4:"mail";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"mail";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"basic_string";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"mail";}}s:7:"filters";a:6:{s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:22:"Name or email contains";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:4:"user";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:4:"mail";s:4:"mail";}s:9:"plugin_id";s:7:"combine";}s:15:"roles_target_id";a:15:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:18:"roles_target_id_op";s:5:"label";s:4:"Role";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:18:"roles_target_id_op";s:10:"identifier";s:4:"role";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:10:"user_roles";}s:10:"permission";a:15:{s:2:"id";s:10:"permission";s:5:"table";s:11:"user__roles";s:5:"field";s:10:"permission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:13:"permission_op";s:5:"label";s:10:"Permission";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"permission_op";s:10:"identifier";s:10:"permission";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:16:"user_permissions";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:6:"Active";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:7:"Blocked";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:16:"default_langcode";a:16:{s:2:"id";s:16:"default_langcode";s:5:"table";s:16:"users_field_data";s:5:"field";s:16:"default_langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:16:"default_langcode";s:9:"plugin_id";s:7:"boolean";}s:7:"uid_raw";a:15:{s:2:"id";s:7:"uid_raw";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"uid_raw";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"!=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";s:11:"entity_type";s:4:"user";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:5:"title";s:6:"People";s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:20:"No people available.";s:9:"plugin_id";s:11:"text_custom";}}s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"more";s:15:"display_comment";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"group_by";b:0;s:8:"link_url";s:0:"";s:12:"link_display";s:6:"page_1";s:9:"css_class";s:0:"";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:17:"admin/people/list";s:16:"show_admin_links";b:0;s:4:"menu";a:8:{s:4:"type";s:11:"default tab";s:5:"title";s:4:"List";s:11:"description";s:50:"Find and manage people interacting with your site.";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:6:"People";s:11:"description";s:45:"Manage user accounts, roles, and permissions.";s:9:"menu_name";s:5:"admin";s:6:"weight";i:0;}s:8:"defaults";a:1:{s:16:"show_admin_links";b:0;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}', -1, '1681649759.707', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.watchdog', 'a:12:{s:4:"uuid";s:36:"2b78d66b-75e2-4a2b-8cdc-a0b45db97f98";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"dblog";i:1;s:4:"user";}}s:2:"id";s:8:"watchdog";s:5:"label";s:8:"Watchdog";s:6:"module";s:5:"views";s:11:"description";s:19:"Recent log messages";s:3:"tag";s:0:"";s:10:"base_table";s:8:"watchdog";s:10:"base_field";s:3:"wid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"access site reports";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:0;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"{{ type }} {{ severity }}";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:7:"nothing";s:7:"nothing";s:3:"wid";s:3:"wid";s:8:"severity";s:8:"severity";s:4:"type";s:4:"type";s:9:"timestamp";s:9:"timestamp";s:7:"message";s:7:"message";s:4:"name";s:4:"name";s:4:"link";s:4:"link";}s:4:"info";a:8:{s:7:"nothing";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:3:"wid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:8:"severity";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:9:"timestamp";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"message";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:4:"link";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}}s:7:"default";s:3:"wid";s:11:"empty_table";b:0;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"Icon";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:4:"icon";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}s:3:"wid";a:22:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"WID";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:8:"severity";a:23:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Severity";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"machine_name";b:0;s:9:"plugin_id";s:12:"machine_name";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:9:"timestamp";a:25:{s:2:"id";s:9:"timestamp";s:5:"table";s:8:"watchdog";s:5:"field";s:9:"timestamp";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";s:9:"plugin_id";s:4:"date";}s:7:"message";a:23:{s:2:"id";s:7:"message";s:5:"table";s:8:"watchdog";s:5:"field";s:7:"message";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Message";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/reports/dblog/event/{{ wid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:13:"{{ message }}";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:56;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:1;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"replace_variables";b:1;s:9:"plugin_id";s:13:"dblog_message";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"User";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:4:"link";a:22:{s:2:"id";s:4:"link";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:16:"dblog_operations";}}s:7:"filters";a:2:{s:4:"type";a:14:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:4:"Type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"dblog_types";}s:8:"severity";a:14:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"severity_op";s:5:"label";s:8:"Severity";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"severity_op";s:10:"identifier";s:8:"severity";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"in_operator";}}s:5:"sorts";a:1:{s:3:"wid";a:10:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:19:"Recent log messages";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:4:"area";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:26:"No log messages available.";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:26:"No log messages available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"User";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:9:"css_class";s:11:"admin-dblog";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:4:"page";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:4:"page";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"admin/reports/dblog";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.707', 1, '', '0'),
('views.view.webform_submissions', 'a:12:{s:4:"uuid";s:36:"1d229422-9eab-4655-93a2-3d0c2de13522";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:6:"module";a:2:{i:0;s:4:"user";i:1;s:7:"webform";}}s:2:"id";s:19:"webform_submissions";s:5:"label";s:19:"Webform submissions";s:6:"module";s:5:"views";s:11:"description";s:34:"Default webform submissions views.";s:3:"tag";s:0:"";s:10:"base_table";s:18:"webform_submission";s:10:"base_field";s:3:"sid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:25;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:23:"5, 10, 25, 50, 100, 200";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"fields";a:5:{s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:0:{}s:5:"sorts";a:0:{}s:6:"header";a:1:{s:6:"result";a:9:{s:2:"id";s:6:"result";s:5:"table";s:5:"views";s:5:"field";s:6:"result";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:7:"content";s:34:"Displaying @start - @end of @total";s:9:"plugin_id";s:6:"result";}}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:25:"No submissions available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:9:"arguments";a:5:{s:10:"webform_id";a:6:{s:2:"id";s:10:"webform_id";s:5:"table";s:18:"webform_submission";s:5:"field";s:10:"webform_id";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:10:"webform_id";s:9:"plugin_id";s:6:"string";}s:11:"entity_type";a:6:{s:2:"id";s:11:"entity_type";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"entity_type";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"entity_type";s:9:"plugin_id";s:6:"string";}s:9:"entity_id";a:6:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"entity_id";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:6:"string";}s:3:"uid";a:6:{s:2:"id";s:3:"uid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"uid";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:7:"numeric";}s:8:"in_draft";a:23:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:6:"ignore";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:0:{}}s:5:"title";s:19:"Webform submissions";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";}s:4:"tags";a:0:{}}}s:16:"embed_administer";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:16:"embed_administer";s:13:"display_title";s:17:"Embed: Administer";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:23:"Administer submissions.";s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:8:"defaults";a:6:{s:5:"style";b:0;s:3:"row";b:0;s:6:"access";b:0;s:6:"fields";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:29:"administer webform submission";}}s:6:"fields";a:9:{s:28:"webform_submission_bulk_form";a:26:{s:2:"id";s:28:"webform_submission_bulk_form";s:5:"table";s:18:"webform_submission";s:5:"field";s:28:"webform_submission_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:39:"Webform submission operations bulk form";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"exclude";s:16:"selected_actions";a:0:{}s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:28:"webform_submission_bulk_form";}s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:25:{s:2:"id";s:10:"operations";s:5:"table";s:18:"webform_submission";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";N;s:12:"entity_field";N;s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:13:"embed_default";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:13:"embed_default";s:13:"display_title";s:14:"Embed: Default";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:20:"Display submissions.";s:8:"defaults";a:5:{s:6:"fields";b:1;s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:5:{s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:7:"created";s:7:"created";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:5:{s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";}s:4:"tags";a:0:{}}}s:12:"embed_manage";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:12:"embed_manage";s:13:"display_title";s:13:"Embed: Manage";s:8:"position";i:3;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:19:"Manage submissions.";s:6:"fields";a:10:{s:28:"webform_submission_bulk_form";a:26:{s:2:"id";s:28:"webform_submission_bulk_form";s:5:"table";s:18:"webform_submission";s:5:"field";s:28:"webform_submission_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:39:"Webform submission operations bulk form";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:4:{i:0;s:35:"webform_submission_make_lock_action";i:1;s:37:"webform_submission_make_sticky_action";i:2;s:37:"webform_submission_make_unlock_action";i:3;s:39:"webform_submission_make_unsticky_action";}s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:28:"webform_submission_bulk_form";}s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}s:23:"edit_webform_submission";a:26:{s:2:"id";s:23:"edit_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"edit_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"edit";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:16:"entity_link_edit";}}s:8:"defaults";a:6:{s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"access";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:27:"edit any webform submission";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:12:"embed_review";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:12:"embed_review";s:13:"display_title";s:13:"Embed: Review";s:8:"position";i:4;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:19:"Review submissions.";s:6:"fields";a:8:{s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}}s:8:"defaults";a:6:{s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"access";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:27:"view any webform submission";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}', -1, '1681649759.707', 1, '', '0');
INSERT INTO `cache_config` VALUES
('views.view.who_s_new', 'a:13:{s:4:"uuid";s:36:"df7c8f0b-d1d0-4db0-a14f-189e28752f8c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"B2M6BoNVm-hHVnH2ILCpbhCZV71T6zLNs8Ag5QH-oNE";}s:2:"id";s:9:"who_s_new";s:5:"label";s:9:"Who''s new";s:6:"module";s:4:"user";s:11:"description";s:53:"Shows a list of the newest user accounts on the site.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:9:"html_list";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:">";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:10:"1970-01-01";s:4:"type";s:4:"date";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:5:"title";s:9:"Who''s new";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:9:"Who''s new";s:8:"position";i:1;s:15:"display_options";a:4:{s:19:"display_description";s:19:"A list of new users";s:17:"block_description";s:9:"Who''s new";s:14:"block_category";s:4:"User";s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.707', 1, '', '0'),
('views.view.who_s_online', 'a:13:{s:4:"uuid";s:36:"cd9bfe98-189a-4272-b52b-478d83cb45b0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"DWLCIpl8ku4NbiI9t3GgDeuW13KSOy2l1zho7ReP_Bg";}s:2:"id";s:12:"who_s_online";s:5:"label";s:18:"Who''s online block";s:6:"module";s:4:"user";s:11:"description";s:93:"Shows the user names of the most recently active users, and the total number of active users.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:20:"access user profiles";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:">=";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:11:"-15 minutes";s:4:"type";s:6:"offset";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:9:"access_op";s:5:"label";s:11:"Last access";s:11:"description";s:77:"A user is considered online for this long after they have last viewed a page.";s:12:"use_operator";b:0;s:8:"operator";s:9:"access_op";s:10:"identifier";s:6:"access";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"sorts";a:1:{s:6:"access";a:13:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"title";s:12:"Who''s online";s:6:"header";a:1:{s:6:"result";a:9:{s:2:"id";s:6:"result";s:5:"table";s:5:"views";s:5:"field";s:6:"result";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:7:"content";s:40:"There are currently @total users online.";s:9:"plugin_id";s:6:"result";}}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:35:"There are currently 0 users online.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:18:"who_s_online_block";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:18:"who_s_online_block";s:13:"display_title";s:12:"Who''s online";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"block_description";s:12:"Who''s online";s:19:"display_description";s:45:"A list of users that are currently logged in.";s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}', -1, '1681649759.707', 1, '', '0'),
('webform.settings', 'a:20:{s:8:"settings";a:60:{s:14:"default_status";s:4:"open";s:22:"default_page_base_path";s:4:"form";s:12:"default_ajax";b:0;s:19:"default_ajax_effect";s:4:"fade";s:18:"default_ajax_speed";i:500;s:26:"default_ajax_progress_type";s:8:"throbber";s:25:"default_form_open_message";s:49:"This form has not yet been opened to submissions.";s:26:"default_form_close_message";s:47:"Sorry...This form is closed to new submissions.";s:30:"default_form_exception_message";s:70:"Unable to display this webform. Please contact the site administrator.";s:27:"default_submit_button_label";s:6:"Submit";s:26:"default_reset_button_label";s:5:"Reset";s:24:"default_form_submit_once";b:0;s:33:"default_form_confidential_message";s:135:"This form is confidential. You must <a href="[site:login-url]/logout?destination=[current-page:url:relative]">Log out</a> to submit it.";s:34:"default_form_access_denied_message";s:33:"Please login to access this form.";s:25:"default_form_disable_back";b:0;s:24:"default_form_submit_back";b:0;s:20:"default_form_unsaved";b:0;s:23:"default_form_novalidate";b:0;s:34:"default_form_disable_inline_errors";b:0;s:21:"default_form_required";b:0;s:27:"default_form_required_label";s:24:"Indicates required field";s:27:"default_form_details_toggle";b:1;s:23:"default_form_file_limit";s:0:"";s:12:"form_classes";s:126:"container-inline clearfix\nform--inline clearfix\nmessages messages--error\nmessages messages--warning\nmessages messages--status\n";s:14:"button_classes";s:0:"";s:32:"default_wizard_prev_button_label";s:15:"< Previous Page";s:32:"default_wizard_next_button_label";s:11:"Next Page >";s:26:"default_wizard_start_label";s:5:"Start";s:33:"default_wizard_confirmation_label";s:8:"Complete";s:33:"default_preview_next_button_label";s:7:"Preview";s:33:"default_preview_prev_button_label";s:10:"< Previous";s:21:"default_preview_label";s:7:"Preview";s:21:"default_preview_title";s:24:"[webform:title]: Preview";s:23:"default_preview_message";s:99:"Please review your submission. Your submission is not complete until you press the "Submit" button!";s:26:"default_draft_button_label";s:10:"Save Draft";s:27:"default_draft_saved_message";s:91:"Submission saved. You may return to this form later and it will restore the current values.";s:28:"default_draft_loaded_message";s:77:"A partially-completed form was found. Please complete the remaining portions.";s:36:"default_draft_pending_single_message";s:83:"You have a pending draft for this webform. <a href="#">Load your pending draft</a>.";s:38:"default_draft_pending_multiple_message";s:83:"You have pending drafts for this webform. <a href="#">View your pending drafts</a>.";s:28:"default_confirmation_message";s:40:"New submission added to [webform:title].";s:31:"default_confirmation_back_label";s:12:"Back to form";s:24:"default_submission_label";s:74:"[webform_submission:submitted-to]: Submission #[webform_submission:serial]";s:40:"default_submission_access_denied_message";s:39:"Please login to access this submission.";s:36:"default_submission_exception_message";s:73:"Unable to process this submission. Please contact the site administrator.";s:33:"default_submission_locked_message";s:32:"This submission has been locked.";s:22:"default_submission_log";b:0;s:24:"default_submission_views";a:0:{}s:32:"default_submission_views_replace";a:3:{s:13:"global_routes";a:2:{i:0;s:36:"entity.webform_submission.collection";i:1;s:30:"entity.webform_submission.user";}s:14:"webform_routes";a:3:{i:0;s:34:"entity.webform.results_submissions";i:1;s:26:"entity.webform.user.drafts";i:2;s:31:"entity.webform.user.submissions";}s:11:"node_routes";a:3:{i:0;s:39:"entity.node.webform.results_submissions";i:1;s:31:"entity.node.webform.user.drafts";i:2;s:36:"entity.node.webform.user.submissions";}}s:25:"default_results_customize";b:0;s:35:"default_previous_submission_message";s:87:"You have already submitted this webform. <a href="#">View your previous submission</a>.";s:36:"default_previous_submissions_message";s:88:"You have already submitted this webform. <a href="#">View your previous submissions</a>.";s:24:"default_autofill_message";s:66:"This submission has been autofilled with your previous submission.";s:15:"preview_classes";s:78:"messages messages--error\nmessages messages--warning\nmessages messages--status\n";s:20:"confirmation_classes";s:78:"messages messages--error\nmessages messages--warning\nmessages messages--status\n";s:25:"confirmation_back_classes";s:7:"button\n";s:27:"default_limit_total_message";s:34:"No more submissions are permitted.";s:26:"default_limit_user_message";s:34:"No more submissions are permitted.";s:6:"dialog";b:0;s:14:"dialog_options";a:3:{s:6:"narrow";a:2:{s:5:"title";s:6:"Narrow";s:5:"width";i:600;}s:6:"normal";a:2:{s:5:"title";s:6:"Normal";s:5:"width";i:800;}s:4:"wide";a:2:{s:5:"title";s:4:"Wide";s:5:"width";i:1000;}}s:32:"default_submission_login_message";s:39:"Please login to access this submission.";}s:6:"assets";a:2:{s:3:"css";s:0:"";s:10:"javascript";s:0:"";}s:7:"handler";a:1:{s:17:"excluded_handlers";a:0:{}}s:7:"variant";a:1:{s:17:"excluded_variants";a:0:{}}s:6:"export";a:18:{s:14:"temp_directory";s:0:"";s:8:"exporter";s:9:"delimited";s:18:"multiple_delimiter";s:1:";";s:13:"header_format";s:5:"label";s:13:"header_prefix";b:1;s:29:"header_prefix_label_delimiter";s:2:": ";s:27:"header_prefix_key_delimiter";s:2:"__";s:29:"composite_element_item_format";s:5:"label";s:21:"options_single_format";s:7:"compact";s:23:"options_multiple_format";s:7:"compact";s:19:"options_item_format";s:5:"label";s:22:"entity_reference_items";a:3:{i:0;s:2:"id";i:1;s:5:"title";i:2;s:3:"url";}s:21:"likert_answers_format";s:5:"label";s:16:"signature_format";s:6:"status";s:9:"delimiter";s:1:",";s:5:"excel";b:0;s:12:"archive_type";s:3:"tar";s:18:"excluded_exporters";a:0:{}}s:5:"batch";a:5:{s:25:"default_batch_export_size";i:500;s:25:"default_batch_import_size";i:100;s:25:"default_batch_update_size";i:500;s:25:"default_batch_delete_size";i:500;s:24:"default_batch_email_size";i:500;}s:5:"purge";a:1:{s:9:"cron_size";i:100;}s:4:"form";a:2:{s:15:"filter_category";s:0:"";s:12:"filter_state";s:0:"";}s:7:"element";a:17:{s:20:"machine_name_pattern";s:7:"a-z0-9_";s:13:"empty_message";s:7:"{Empty}";s:12:"allowed_tags";s:5:"admin";s:15:"wrapper_classes";s:126:"container-inline clearfix\nform--inline clearfix\nmessages messages--error\nmessages messages--warning\nmessages messages--status\n";s:7:"classes";s:126:"container-inline clearfix\nform--inline clearfix\nmessages messages--error\nmessages messages--warning\nmessages messages--status\n";s:23:"horizontal_rule_classes";s:286:"webform-horizontal-rule--solid\nwebform-horizontal-rule--dashed\nwebform-horizontal-rule--dotted\nwebform-horizontal-rule--gradient\nwebform-horizontal-rule--thin\nwebform-horizontal-rule--medium\nwebform-horizontal-rule--thick\nwebform-horizontal-rule--flaired\nwebform-horizontal-rule--glyph\n";s:27:"default_description_display";s:0:"";s:18:"default_more_title";s:4:"More";s:25:"default_section_title_tag";s:2:"h2";s:20:"default_empty_option";b:1;s:29:"default_empty_option_required";s:0:"";s:29:"default_empty_option_optional";s:0:"";s:29:"default_algolia_places_app_id";s:0:"";s:30:"default_algolia_places_api_key";s:0:"";s:17:"excluded_elements";a:2:{s:8:"password";s:8:"password";s:16:"password_confirm";s:16:"password_confirm";}s:14:"default_icheck";s:0:"";s:27:"default_google_maps_api_key";s:0:"";}s:11:"html_editor";a:5:{s:8:"disabled";b:0;s:14:"element_format";s:0:"";s:11:"mail_format";s:0:"";s:4:"tidy";b:1;s:35:"make_unused_managed_files_temporary";b:1;}s:4:"file";a:11:{s:11:"file_public";b:0;s:21:"file_private_redirect";b:1;s:29:"file_private_redirect_message";s:41:"Please login to access the uploaded file.";s:20:"default_max_filesize";s:0:"";s:31:"default_managed_file_extensions";s:139:"gif jpg png bmp eps tif pict psd txt rtf html odf pdf doc docx ppt pptx xls xlsx xml avi mov mp3 ogg wav bz2 dmg gz jar rar sit svg tar zip";s:29:"default_audio_file_extensions";s:11:"mp3 ogg wav";s:32:"default_document_file_extensions";s:50:"txt rtf pdf doc docx odt ppt pptx odp xls xlsx ods";s:29:"default_image_file_extensions";s:15:"gif jpg png svg";s:29:"default_video_file_extensions";s:24:"avi mov mp4 ogg wav webm";s:35:"make_unused_managed_files_temporary";b:1;s:30:"delete_temporary_managed_files";b:1;}s:6:"format";a:0:{}s:4:"mail";a:11:{s:15:"default_to_mail";s:11:"[site:mail]";s:17:"default_from_mail";s:11:"[site:mail]";s:17:"default_from_name";s:11:"[site:name]";s:16:"default_reply_to";s:0:"";s:19:"default_return_path";s:0:"";s:19:"default_sender_mail";s:0:"";s:19:"default_sender_name";s:0:"";s:15:"default_subject";s:59:"Webform submission from: [webform_submission:source-entity]";s:17:"default_body_text";s:133:"Submitted on [webform_submission:created]\nSubmitted by: [webform_submission:user]\n\nSubmitted values are:\n[webform_submission:values]\n";s:17:"default_body_html";s:153:"<p>Submitted on [webform_submission:created]</p>\n<p>Submitted by: [webform_submission:user]</p>\n<p>Submitted values are:</p>\n[webform_submission:values]\n";s:5:"roles";a:0:{}}s:4:"test";a:2:{s:5:"types";s:3527:"checkbox:\n  - true\ncolor:\n  - ''#ffffcc''\n  - ''#ffffcc''\n  - ''#ccffff''\nemail:\n  - ''example@example.com''\n  - ''test@test.com''\n  - ''random@random.com''\nlanguage_select:\n  - en\nmachine_name:\n  - ''loremipsum''\n  - ''oratione''\n  - ''dixisset''\ntel:\n  - ''123-456-7890''\n  - ''098-765-4321''\ntextarea:\n  - ''Lorem ipsum dolor sit amet, consectetur adipiscing elit. Negat esse eam, inquit, propter se expetendam. Primum Theophrasti, Strato, physicum se voluit; Id mihi magnum videtur. Itaque mihi non satis videmini considerare quod iter sit naturae quaeque progressio. Quare hoc videndum est, possitne nobis hoc ratio philosophorum dare. Est enim tanti philosophi tamque nobilis audacter sua decreta defendere.''\n  - ''Huius, Lyco, oratione locuples, rebus ipsis ielunior. Duo Reges: constructio interrete. Sed haec in pueris; Sed utrum hortandus es nobis, Luci, inquit, an etiam tua sponte propensus es? Sapiens autem semper beatus est et est aliquando in dolore; Immo videri fortasse. Paulum, cum regem Persem captum adduceret, eodem flumine invectio? Et ille ridens: Video, inquit, quid agas;''\n  - ''Quae cum dixisset, finem ille. Quamquam non negatis nos intellegere quid sit voluptas, sed quid ille dicat. Progredientibus autem aetatibus sensim tardeve potius quasi nosmet ipsos cognoscimus. Gloriosa ostentatio in constituendo summo bono. Qui-vere falsone, quaerere mittimus-dicitur oculis se privasse; Duarum enim vitarum nobis erunt instituta capienda. Comprehensum, quod cognitum non habet? Qui enim existimabit posse se miserum esse beatus non erit. Causa autem fuit huc veniendi ut quosdam hinc libros promerem. Nunc omni virtuti vitium contrario nomine opponitur.''\ntext_format:\n  - value: ''<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Negat esse eam, inquit, propter se expetendam. Primum Theophrasti, Strato, physicum se voluit; Id mihi magnum videtur. Itaque mihi non satis videmini considerare quod iter sit naturae quaeque progressio. Quare hoc videndum est, possitne nobis hoc ratio philosophorum dare. Est enim tanti philosophi tamque nobilis audacter sua decreta defendere.</p>''\n  - value: ''<p>Huius, Lyco, oratione locuples, rebus ipsis ielunior. Duo Reges: constructio interrete. Sed haec in pueris; Sed utrum hortandus es nobis, Luci, inquit, an etiam tua sponte propensus es? Sapiens autem semper beatus est et est aliquando in dolore; Immo videri fortasse. Paulum, cum regem Persem captum adduceret, eodem flumine invectio? Et ille ridens: Video, inquit, quid agas;</p>''\n  - value: ''<p>Quae cum dixisset, finem ille. Quamquam non negatis nos intellegere quid sit voluptas, sed quid ille dicat. Progredientibus autem aetatibus sensim tardeve potius quasi nosmet ipsos cognoscimus. Gloriosa ostentatio in constituendo summo bono. Qui-vere falsone, quaerere mittimus-dicitur oculis se privasse; Duarum enim vitarum nobis erunt instituta capienda. Comprehensum, quod cognitum non habet? Qui enim existimabit posse se miserum esse beatus non erit. Causa autem fuit huc veniendi ut quosdam hinc libros promerem. Nunc omni virtuti vitium contrario nomine opponitur.</p>''\nurl:\n  - ''http://example.com''\n  - ''http://test.com''\nwebform_email_confirm:\n  - ''example@example.com''\n  - ''test@test.com''\n  - ''random@random.com''\nwebform_email_multiple:\n  - ''example@example.com, test@test.com, random@random.com''\nwebform_location:\n  - value: ''The White House, 1600 Pennsylvania Ave NW, Washington, DC 20500, USA''\n  - value: ''London SW1A 1AA, United Kingdom''\n  - value: ''Moscow, Russia, 10307''\nwebform_time:\n  - ''09:00''\n  - ''17:00''\n";s:5:"names";s:508:"first_name:\n  - John\n  - Paul\n  - Ringo\n  - George\nlast_name:\n  - Lennon\n  - McCartney\n  - Starr\n  - Harrison\naddress:\n  - ''10 Main Street''\n  - ''11 Brook Alley Road. APT 1''\nzip:\n  - ''11111''\n  - ''12345''\n  - 12345-6789\nphone:\n  - 123-456-7890\n  - 098-765-4321\nfax:\n  - 123-456-7890\n  - 098-765-4321\ncity:\n  - Springfield\n  - Pleasantville\n  - ''Hill Valley''\nurl:\n  - ''http://example.com''\n  - ''http://test.com''\ndefault:\n  - Loremipsum\n  - Oratione\n  - Dixisset\npostal_code:\n  - ''11111''\n  - ''12345''\n  - 12345-6789";}s:2:"ui";a:7:{s:13:"video_display";s:6:"dialog";s:12:"details_save";b:1;s:13:"help_disabled";b:0;s:15:"dialog_disabled";b:0;s:18:"offcanvas_disabled";b:0;s:19:"promotions_disabled";b:0;s:16:"description_help";b:1;}s:9:"libraries";a:1:{s:18:"excluded_libraries";a:9:{i:0;s:19:"ckeditor.codemirror";i:1;s:10:"codemirror";i:2;s:13:"jquery.chosen";i:3;s:13:"jquery.icheck";i:4;s:16:"jquery.inputmask";i:5;s:21:"jquery.intl-tel-input";i:6;s:14:"jquery.select2";i:7;s:33:"jquery.word-and-character-counter";i:8;s:14:"jquery.toggles";}}s:12:"requirements";a:3:{s:3:"cdn";b:1;s:9:"bootstrap";b:1;s:4:"spam";b:1;}s:8:"langcode";s:2:"en";s:20:"third_party_settings";a:1:{s:7:"captcha";a:1:{s:27:"replace_administration_mode";b:1;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vOKLFTmGRgdHhdn-RSASc7ZdFXgJknVyJ1L0pZJNUfI";}}', -1, '1681649759.953', 1, '', '0'),
('webform.webform.register', 'a:21:{s:8:"langcode";s:2:"en";s:6:"status";s:4:"open";s:12:"dependencies";a:0:{}s:4:"open";N;s:5:"close";N;s:6:"weight";i:0;s:3:"uid";i:1;s:8:"template";b:0;s:7:"archive";b:0;s:2:"id";s:8:"register";s:5:"title";s:8:"Register";s:11:"description";s:0:"";s:8:"category";s:0:"";s:8:"elements";s:1313:"mt_first_name:\n  ''#type'': textfield\n  ''#title'': ''First name''\n  ''#placeholder'': ''First name''\n  ''#required'': true\nmt_last_name:\n  ''#type'': textfield\n  ''#title'': ''Last name''\n  ''#placeholder'': ''Last name''\n  ''#required'': true\nmt_email:\n  ''#type'': email\n  ''#title'': Email\n  ''#placeholder'': your-email@domain.com\n  ''#required'': true\nmt_organization:\n  ''#type'': textfield\n  ''#title'': Organization\n  ''#title_display'': before\n  ''#placeholder'': Organization\n  ''#required'': true\nmt_address:\n  ''#type'': webform_address\n  ''#title'': Address\n  ''#address__placeholder'': Address\n  ''#address_2__access'': false\n  ''#city__placeholder'': City/Town\n  ''#state_province__placeholder'': State/Province\n  ''#postal_code__placeholder'': ''Zip/Postal Code''\n  ''#country__placeholder'': Country\nmt_industry:\n  ''#type'': radios\n  ''#title'': ''Which best describes the area you work in?''\n  ''#title_display'': before\n  ''#options'':\n    themeshop: ''Theme Shop''\n    pluginsales: ''Plugin sales''\n    saas: SaaS\n    education: Education\n    hosting: Hosting\n  ''#required'': true\nmt_profession:\n  ''#type'': checkboxes\n  ''#title'': ''How would you describe yourself? (Check all that apply)''\n  ''#title_display'': before\n  ''#options'':\n    developer: Developer\n    designer: Designer\n    blogger: Blogger\n    consultant: Consultant\n    support: Support\n  ''#required'': true\n";s:3:"css";s:0:"";s:10:"javascript";s:0:"";s:8:"settings";a:113:{s:4:"ajax";b:0;s:15:"ajax_scroll_top";s:4:"form";s:18:"ajax_progress_type";s:0:"";s:11:"ajax_effect";s:0:"";s:10:"ajax_speed";N;s:4:"page";b:1;s:16:"page_submit_path";s:0:"";s:17:"page_confirm_path";s:0:"";s:16:"page_admin_theme";b:0;s:10:"form_title";s:4:"both";s:16:"form_submit_once";b:0;s:22:"form_exception_message";s:0:"";s:17:"form_open_message";s:0:"";s:18:"form_close_message";s:0:"";s:25:"form_previous_submissions";b:1;s:17:"form_confidential";b:0;s:25:"form_confidential_message";s:0:"";s:16:"form_remote_addr";b:1;s:22:"form_convert_anonymous";b:0;s:16:"form_prepopulate";b:0;s:30:"form_prepopulate_source_entity";b:0;s:39:"form_prepopulate_source_entity_required";b:0;s:35:"form_prepopulate_source_entity_type";s:0:"";s:10:"form_reset";b:0;s:25:"form_disable_autocomplete";b:0;s:15:"form_novalidate";b:0;s:26:"form_disable_inline_errors";b:0;s:13:"form_required";b:0;s:12:"form_unsaved";b:0;s:17:"form_disable_back";b:0;s:16:"form_submit_back";b:0;s:14:"form_autofocus";b:0;s:19:"form_details_toggle";b:0;s:18:"form_access_denied";s:7:"default";s:24:"form_access_denied_title";s:0:"";s:26:"form_access_denied_message";s:0:"";s:29:"form_access_denied_attributes";a:0:{}s:15:"form_file_limit";s:0:"";s:16:"submission_label";s:0:"";s:14:"submission_log";b:0;s:16:"submission_views";a:0:{}s:24:"submission_views_replace";a:0:{}s:23:"submission_user_columns";a:0:{}s:25:"submission_user_duplicate";b:0;s:24:"submission_access_denied";s:7:"default";s:30:"submission_access_denied_title";s:0:"";s:32:"submission_access_denied_message";s:0:"";s:35:"submission_access_denied_attributes";a:0:{}s:28:"submission_exception_message";s:0:"";s:25:"submission_locked_message";s:0:"";s:28:"submission_excluded_elements";a:0:{}s:24:"submission_exclude_empty";b:0;s:33:"submission_exclude_empty_checkbox";b:0;s:27:"previous_submission_message";s:0:"";s:28:"previous_submissions_message";s:0:"";s:8:"autofill";b:0;s:16:"autofill_message";s:0:"";s:26:"autofill_excluded_elements";a:0:{}s:19:"wizard_progress_bar";b:1;s:21:"wizard_progress_pages";b:0;s:26:"wizard_progress_percentage";b:0;s:20:"wizard_progress_link";b:0;s:22:"wizard_progress_states";b:0;s:18:"wizard_start_label";s:0:"";s:19:"wizard_preview_link";b:0;s:19:"wizard_confirmation";b:1;s:25:"wizard_confirmation_label";s:0:"";s:12:"wizard_track";s:0:"";s:7:"preview";i:0;s:13:"preview_label";s:0:"";s:13:"preview_title";s:0:"";s:15:"preview_message";s:0:"";s:18:"preview_attributes";a:0:{}s:25:"preview_excluded_elements";a:0:{}s:21:"preview_exclude_empty";b:1;s:30:"preview_exclude_empty_checkbox";b:0;s:5:"draft";s:4:"none";s:14:"draft_multiple";b:0;s:15:"draft_auto_save";b:0;s:19:"draft_saved_message";s:0:"";s:20:"draft_loaded_message";s:0:"";s:28:"draft_pending_single_message";s:0:"";s:30:"draft_pending_multiple_message";s:0:"";s:17:"confirmation_type";s:4:"page";s:18:"confirmation_title";s:0:"";s:20:"confirmation_message";s:0:"";s:16:"confirmation_url";s:0:"";s:23:"confirmation_attributes";a:0:{}s:17:"confirmation_back";b:1;s:23:"confirmation_back_label";s:0:"";s:28:"confirmation_back_attributes";a:0:{}s:26:"confirmation_exclude_query";b:0;s:26:"confirmation_exclude_token";b:0;s:19:"confirmation_update";b:0;s:11:"limit_total";N;s:20:"limit_total_interval";N;s:19:"limit_total_message";s:0:"";s:18:"limit_total_unique";b:0;s:10:"limit_user";N;s:19:"limit_user_interval";N;s:18:"limit_user_message";s:0:"";s:17:"limit_user_unique";b:0;s:18:"entity_limit_total";N;s:27:"entity_limit_total_interval";N;s:17:"entity_limit_user";N;s:26:"entity_limit_user_interval";N;s:5:"purge";s:4:"none";s:10:"purge_days";N;s:16:"results_disabled";b:0;s:23:"results_disabled_ignore";b:0;s:17:"results_customize";b:0;s:10:"token_view";b:0;s:12:"token_update";b:0;}s:6:"access";a:11:{s:6:"create";a:3:{s:5:"roles";a:2:{i:0;s:9:"anonymous";i:1;s:13:"authenticated";}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:8:"view_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"update_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"delete_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:9:"purge_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:8:"view_own";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"update_own";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"delete_own";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"administer";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:4:"test";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:13:"configuration";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}}s:8:"handlers";a:1:{s:5:"email";a:7:{s:2:"id";s:5:"email";s:5:"label";s:5:"Email";s:10:"handler_id";s:5:"email";s:6:"status";b:1;s:10:"conditions";a:0:{}s:6:"weight";i:0;s:8:"settings";a:27:{s:6:"states";a:1:{i:0;s:9:"completed";}s:7:"to_mail";s:8:"_default";s:10:"to_options";a:0:{}s:7:"cc_mail";s:0:"";s:10:"cc_options";a:0:{}s:8:"bcc_mail";s:0:"";s:11:"bcc_options";a:0:{}s:9:"from_mail";s:40:"[webform_submission:values:mt_email:raw]";s:12:"from_options";a:0:{}s:9:"from_name";s:44:"[webform_submission:values:mt_last_name:raw]";s:7:"subject";s:8:"_default";s:4:"body";s:8:"_default";s:17:"excluded_elements";a:0:{}s:13:"ignore_access";b:0;s:13:"exclude_empty";b:1;s:22:"exclude_empty_checkbox";b:0;s:19:"exclude_attachments";b:0;s:4:"html";b:1;s:11:"attachments";b:0;s:4:"twig";b:0;s:5:"debug";b:0;s:8:"reply_to";s:0:"";s:11:"return_path";s:0:"";s:11:"sender_mail";s:0:"";s:11:"sender_name";s:0:"";s:10:"theme_name";s:0:"";s:10:"parameters";a:0:{}}}}s:8:"variants";a:0:{}s:4:"uuid";s:36:"6b981562-5f20-4cb2-9431-f2c2d9eeae4e";}', -1, '1681649759.904', 1, '', '0'),
('webform.webform_options.country_codes', 'a:10:{s:4:"uuid";s:36:"f4ace93a-87f7-4e74-97da-b88713f85082";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"adQ16YGDPk7QfUKrfrC35o2sKdHEozdNtdpiH7CftQQ";}s:2:"id";s:13:"country_codes";s:5:"label";s:13:"Country codes";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:0:"";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.country_names', 'a:10:{s:4:"uuid";s:36:"b49b70bf-b854-4168-a9f3-0d907e72b4cf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zsfFP124dAM-sJkuEfnwaA7DN6o3-IsaXLgdNmObbYg";}s:2:"id";s:13:"country_names";s:5:"label";s:13:"Country names";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:0:"";}', -1, '1681649932.836', 1, '', '0'),
('webform.webform_options.days', 'a:10:{s:4:"uuid";s:36:"0387c2e6-2fa7-4d97-8120-f577eff15247";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YNrKbYrWWjeubUUM8AsQ19KnX7cU1elACR14CZJHmdg";}s:2:"id";s:4:"days";s:5:"label";s:4:"Days";s:8:"category";s:13:"Date and time";s:6:"likert";b:0;s:7:"options";s:121:"Sunday: Sunday\nMonday: Monday\nTuesday: Tuesday\nWednesday: Wednesday\nThursday: Thursday\nFriday: Friday\nSaturday: Saturday\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.education', 'a:10:{s:4:"uuid";s:36:"df7274d1-ebb9-4385-9a57-47f1950b14ff";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mII4acOv33s-j8PINywrCag4OITbeJGxdPO373dnHHw";}s:2:"id";s:9:"education";s:5:"label";s:9:"Education";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:152:"High School: High School\nAssociate Degree: Associate Degree\nGraduate or Professional Degree: Graduate or Professional Degree\nSome College: Some College\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.employment_status', 'a:10:{s:4:"uuid";s:36:"4ed58eaa-6290-4e12-a30f-c4ccd9929808";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8MCmsz_csdJkVItxI8g_s4zp2PM285YqCy_gWTzOLPw";}s:2:"id";s:17:"employment_status";s:5:"label";s:17:"Employment status";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:113:"''Full Time'': ''Full Time''\n''Part Time'': ''Part Time''\n''Military'': ''Military''\nUnemployed: Unemployed\nRetired: Retired\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.ethnicity', 'a:10:{s:4:"uuid";s:36:"5433e7db-f872-4889-9766-768f249bd5ae";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"pIPgrAC82wE2GAk1mOv2UvMYv71YQe4VT8667QIYdvI";}s:2:"id";s:9:"ethnicity";s:5:"label";s:9:"Ethnicity";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:200:"Caucasian: Caucasian\n''Latino/Hispanic'': ''Latino/Hispanic''\n''Middle Eastern'': ''Middle Eastern''\nAfrican: African\nCaribbean: Caribbean\n''South Asian'': ''South Asian''\n''East Asian'': ''East Asian''\nMixed: Mixed\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.gender', 'a:10:{s:4:"uuid";s:36:"eda1522e-0c7e-4875-a331-93fa362607e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kiRN9cAGr7wLHbcnjCQ_9d8ArEoUUHytjjwMG_9mlTM";}s:2:"id";s:6:"gender";s:5:"label";s:6:"Gender";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:51:"Male: Male\nFemale: Female\nTransgender: Transgender\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.industry', 'a:10:{s:4:"uuid";s:36:"00427b8c-bfc0-48bc-8324-fa7988c02878";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"s_SXZn2HbRGvTex-TLOCxz2oOnMYqtEZh8HD4_318QI";}s:2:"id";s:8:"industry";s:5:"label";s:8:"Industry";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:1425:"Accounting/Finance: Accounting/Finance\nAdvertising/Public Relations: Advertising/Public Relations\nAerospace/Aviation: Aerospace/Aviation\nArts/Entertainment/Publishing: Arts/Entertainment/Publishing\nAutomotive: Automotive\nBanking/Mortgage: Banking/Mortgage\nBusiness Development: Business Development\nBusiness Opportunity: Business Opportunity\nClerical/Administrative: Clerical/Administrative\nConstruction/Facilities: Construction/Facilities\nConsumer Goods: Consumer Goods\nCustomer Service: Customer Service\nEducation/Training: Education/Training\nEnergy/Utilities: Energy/Utilities\nEngineering: Engineering\nGovernment/Military: Government/Military\nHealthcare: Healthcare\nHospitality/Travel: Hospitality/Travel\nHuman Resources: Human Resources\nInstallation/Maintenance: Installation/Maintenance\nInsurance: Insurance\nInternet: Internet\nLaw Enforcement/Security: Law Enforcement/Security\nLegal: Legal\nManagement/Executive: Management/Executive\nManufacturing/Operations: Manufacturing/Operations\nMarketing: Marketing\nNon-Profit/Volunteer: Non-Profit/Volunteer\nPharmaceutical/Biotech: Pharmaceutical/Biotech\nProfessional Services: Professional Services\nReal Estate: Real Estate\nRestaurant/Food Service: Restaurant/Food Service\nRetail: Retail\nSales: Sales\nScience/Research: Science/Research\nSkilled Labor: Skilled Labor\nTechnology: Technology\nTelecommunications: Telecommunications\nTransportation/Logistics: Transportation/Logistics\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.languages', 'a:10:{s:4:"uuid";s:36:"73e9911a-aa59-4e58-af19-7ba0564ba9af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mYH14Vi65Ixj10c_GFa7CipxU3D0Bt9wgo8zE8zjOfE";}s:2:"id";s:9:"languages";s:5:"label";s:9:"Languages";s:8:"category";s:8:"Language";s:6:"likert";b:0;s:7:"options";s:0:"";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.likert_agreement', 'a:10:{s:4:"uuid";s:36:"06b028c0-77cb-484e-a387-f067fb89b561";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-NQROvgYPm-rqn_e6mytSaxmdhSViUinffVfQhp7APs";}s:2:"id";s:16:"likert_agreement";s:5:"label";s:17:"Likert: Agreement";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:94:"1: ''Much Worse''\n2: ''Somewhat Worse''\n3: ''About the Same''\n4: ''Somewhat Better''\n5: ''Much Better''\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.likert_comparison', 'a:10:{s:4:"uuid";s:36:"80dee6a8-02ee-4d31-a290-aa735a33122e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gZCLESMdXmEZxHqnQFx7a0rUefrkVuFzHSMnWe0qioM";}s:2:"id";s:17:"likert_comparison";s:5:"label";s:18:"Likert: Comparison";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:71:"1: Strongly Disagree\n2: Disagree\n3: Neutral\n4: Agree\n5: Strongly Agree\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.likert_importance', 'a:10:{s:4:"uuid";s:36:"b9b962fc-aa85-4a33-b958-5fd04c2d294d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Hbc8n5HtVZVs5fSBSpSbuY07CVvqkKP76csvRHN9pK8";}s:2:"id";s:17:"likert_importance";s:5:"label";s:18:"Likert: Importance";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:88:"1: Not at all Important\n2: Somewhat Important\n3: Neutral\n4: Important\n5: Very Important\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.likert_quality', 'a:10:{s:4:"uuid";s:36:"cc472489-3ceb-4b87-99f7-e6220e1f72f2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"swmYtBVUbwq7aHJWWDN7ODByuvur9vMkexDC9h64NZ8";}s:2:"id";s:14:"likert_quality";s:5:"label";s:15:"Likert: Quality";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:50:"1: Poor\n2: Fair\n3: Good\n4: Very good\n5: Excellent\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.likert_satisfaction', 'a:10:{s:4:"uuid";s:36:"f078288f-ea56-4a02-9cc8-cbe437105d6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AKE2SNwCpl6Mu_cmbq9ZM2_cXxCikCVj1vcPE9oHWTs";}s:2:"id";s:19:"likert_satisfaction";s:5:"label";s:20:"Likert: Satisfaction";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:77:"1: Very Unsatisfied\n2: Unsatisfied\n3: Neutral\n4: Satisfied\n5: Very Satisfied\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.likert_ten_scale', 'a:10:{s:4:"uuid";s:36:"f08ec2e6-781c-41a4-8180-79de983fab8f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zEZX8JSVqznnFtqFfpuC593h3t1JDAZhF0Q3pvA229o";}s:2:"id";s:16:"likert_ten_scale";s:5:"label";s:17:"Likert: Ten Scale";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:52:"1: 1\n2: 2\n3: 3\n4: 4\n5: 5\n6: 6\n7: 7\n8: 8\n9: 9\n10: 10\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.likert_would_you', 'a:10:{s:4:"uuid";s:36:"2ad65419-ec25-49a1-9aae-a384d8c20c4b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"qBS2TmfAJB37Qn3TnrNM8x4AWimmDapcizzRllgo0fo";}s:2:"id";s:16:"likert_would_you";s:5:"label";s:17:"Likert: Would You";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:72:"1: Definitely Not\n2: Probably Not\n3: Not Sure\n4: Probably\n5: Definitely\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.marital_status', 'a:10:{s:4:"uuid";s:36:"45dfea24-8d7e-4abb-b500-5ba5d3243876";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cjVDbAE5BlopGrY-tfxsxMoyEibwBBNgdQwDdxOSkow";}s:2:"id";s:14:"marital_status";s:5:"label";s:14:"Marital status";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:68:"Single: Single\nMarried: Married\nDivorced: Divorced\nWidowed: Widowed\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.months', 'a:10:{s:4:"uuid";s:36:"01c11346-91b5-4a14-99de-f372ef483989";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"pZJnuQkh9afNML5IcMuKTUC__vmHMFn66Qr5IWtedZ4";}s:2:"id";s:6:"months";s:5:"label";s:6:"Months";s:8:"category";s:13:"Date and time";s:6:"likert";b:0;s:7:"options";s:184:"January: January\nFebruary: February\nMarch: March\nApril: April\nMay: May\nJune: June\nJuly: July\nAugust: August\nSeptember: September\nOctober: October\nNovember: November\nDecember: December\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.phone_types', 'a:10:{s:4:"uuid";s:36:"7de8bd34-7bf2-4787-a3bb-1ac3950906ad";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"LkO63Zl2cP_l9YdjzWI8dWoD9uD0pytkPiUiUM2bo9A";}s:2:"id";s:11:"phone_types";s:5:"label";s:10:"Phone type";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:37:"Home: Home\nOffice: Office\nCell: Cell\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.relationship', 'a:10:{s:4:"uuid";s:36:"d82f67d3-81d5-4502-a039-89c318d7db88";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4J2RPG4JmsD4Fm1NlIQY0JHkrJ08UUl0qTF0_EjUxvw";}s:2:"id";s:12:"relationship";s:5:"label";s:12:"Relationship";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:101:"Parent: Parent\n''Significant Other'': ''Significant Other''\nSibling: Sibling\nChild: Child\nFriend: Friend\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.size', 'a:10:{s:4:"uuid";s:36:"d880f508-4b42-4603-887f-a75b1e3765b3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"RKkc6tf1VudvYiOtwPCf3Tp_EoA6fov6BFC34D7gMoQ";}s:2:"id";s:4:"size";s:5:"label";s:4:"Size";s:8:"category";s:7:"General";s:6:"likert";b:0;s:7:"options";s:91:"Extra Small: Extra Small\nSmall: Small\nMedium: Medium\nLarge: Large\nExtra Large: Extra Large\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.state_codes', 'a:10:{s:4:"uuid";s:36:"9660a3e7-a55c-4ff8-a91a-b059c4f6534b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8mYO8ewsZX3LVfNga69jXa0RNO0LNN8-EGkXLhSAMBU";}s:2:"id";s:11:"state_codes";s:5:"label";s:11:"State codes";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:728:"AL: Alabama\nAK: Alaska\nAZ: Arizona\nAR: Arkansas\nCA: California\nCO: Colorado\nCT: Connecticut\nDE: Delaware\nDC: ''District of Columbia''\nFL: Florida\nGA: Georgia\nGU: Guam\nHI: Hawaii\nID: Idaho\nIL: Illinois\nIN: Indiana\nIA: Iowa\nKS: Kansas\nKY: Kentucky\nLA: Louisiana\nME: Maine\nMD: Maryland\nMA: Massachusetts\nMI: Michigan\nMN: Minnesota\nMS: Mississippi\nMO: Missouri\nMT: Montana\nNE: Nebraska\nNV: Nevada\nNH: ''New Hampshire''\nNJ: ''New Jersey''\nNM: ''New Mexico''\nNY: ''New York''\nNC: ''North Carolina''\nND: ''North Dakota''\nOH: Ohio\nOK: Oklahoma\nOR: Oregon\nPA: Pennsylvania\nRI: ''Rhode Island''\nSC: ''South Carolina''\nSD: ''South Dakota''\nTN: Tennessee\nTX: Texas\nUT: Utah\nVT: Vermont\nVA: Virginia\nWA: Washington\nWV: ''West Virginia''\nWI: Wisconsin\nWY: Wyoming\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.state_names', 'a:10:{s:4:"uuid";s:36:"12a6316b-7973-4f58-83b1-b1b24c22b748";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KfYqMSrFJ5iGtDzvy_rGUeRUJ4KyM7Xt-tWtYx9WjiM";}s:2:"id";s:11:"state_names";s:5:"label";s:11:"State names";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:1081:"Alabama: Alabama\nAlaska: Alaska\nArizona: Arizona\nArkansas: Arkansas\nCalifornia: California\nColorado: Colorado\nConnecticut: Connecticut\nDelaware: Delaware\n''District of Columbia'': ''District of Columbia''\nFlorida: Florida\nGeorgia: Georgia\nHawaii: Hawaii\nIdaho: Idaho\nIllinois: Illinois\nIndiana: Indiana\nIowa: Iowa\nKansas: Kansas\nKentucky: Kentucky\nLouisiana: Louisiana\nMaine: Maine\nMaryland: Maryland\nMassachusetts: Massachusetts\nMichigan: Michigan\nMinnesota: Minnesota\nMississippi: Mississippi\nMissouri: Missouri\nMontana: Montana\nNebraska: Nebraska\nNevada: Nevada\n''New Hampshire'': ''New Hampshire''\n''New Jersey'': ''New Jersey''\n''New Mexico'': ''New Mexico''\n''New York'': ''New York''\n''North Carolina'': ''North Carolina''\n''North Dakota'': ''North Dakota''\nOhio: Ohio\nOklahoma: Oklahoma\nOregon: Oregon\nPennsylvania: Pennsylvania\n''Rhode Island'': ''Rhode Island''\n''South Carolina'': ''South Carolina''\n''South Dakota'': ''South Dakota''\nTennessee: Tennessee\nTexas: Texas\nUtah: Utah\nVermont: Vermont\nVirginia: Virginia\nWashington: Washington\n''West Virginia'': ''West Virginia''\nWisconsin: Wisconsin\nWyoming: Wyoming\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.state_province_codes', 'a:10:{s:4:"uuid";s:36:"4cdea8fc-a159-4014-bf04-bd111dd901ef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"F06dZHOswbBUTcn_wy0oMUXNLkgKT9YZOJ5CdkkZgb0";}s:2:"id";s:20:"state_province_codes";s:5:"label";s:20:"State/Province codes";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:1003:"AL: Alabama\nAK: Alaska\nAS: ''American Samoa''\nAZ: Arizona\nAR: Arkansas\nAE: ''Armed Forces (Canada, Europe, Africa, or Middle East)''\nAA: ''Armed Forces Americas''\nAP: ''Armed Forces Pacific''\nCA: California\nCO: Colorado\nCT: Connecticut\nDE: Delaware\nDC: ''District of Columbia''\nFM: ''Federate States of Micronesia''\nFL: Florida\nGA: Georgia\nGU: Guam\nHI: Hawaii\nID: Idaho\nIL: Illinois\nIN: Indiana\nIA: Iowa\nKS: Kansas\nKY: Kentucky\nLA: Louisiana\nME: Maine\nMH: ''Marshall Islands''\nMD: Maryland\nMA: Massachusetts\nMI: Michigan\nMN: Minnesota\nMS: Mississippi\nMO: Missouri\nMT: Montana\nNE: Nebraska\nNV: Nevada\nNH: ''New Hampshire''\nNJ: ''New Jersey''\nNM: ''New Mexico''\nNY: ''New York''\nNC: ''North Carolina''\nND: ''North Dakota''\nMP: ''Northern Mariana Islands''\nOH: Ohio\nOK: Oklahoma\nOR: Oregon\nPW: Palau\nPA: Pennsylvania\nPR: ''Puerto Rico''\nRI: ''Rhode Island''\nSC: ''South Carolina''\nSD: ''South Dakota''\nTN: Tennessee\nTX: Texas\nUT: Utah\nVT: Vermont\nVI: ''Virgin Islands''\nVA: Virginia\nWA: Washington\nWV: ''West Virginia''\nWI: Wisconsin\nWY: Wyoming\n";}', -1, '1681652741.493', 1, '', '0');
INSERT INTO `cache_config` VALUES
('webform.webform_options.state_province_names', 'a:10:{s:4:"uuid";s:36:"fd89b317-c689-46e0-9aff-36e79f79b7a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HMNjF74ikY246ZF9F0MHbf6wOCS78jkfEw4uoUn9uj8";}s:2:"id";s:20:"state_province_names";s:5:"label";s:20:"State/Province names";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:1572:"Alabama: Alabama\nAlaska: Alaska\n''American Samoa'': ''American Samoa''\nArizona: Arizona\nArkansas: Arkansas\n''Armed Forces (Canada, Europe, Africa, or Middle East)'': ''Armed Forces (Canada, Europe, Africa, or Middle East)''\n''Armed Forces Americas'': ''Armed Forces Americas''\n''Armed Forces Pacific'': ''Armed Forces Pacific''\nCalifornia: California\nColorado: Colorado\nConnecticut: Connecticut\nDelaware: Delaware\n''District of Columbia'': ''District of Columbia''\n''Federate States of Micronesia'': ''Federate States of Micronesia''\nFlorida: Florida\nGeorgia: Georgia\nGuam: Guam\nHawaii: Hawaii\nIdaho: Idaho\nIllinois: Illinois\nIndiana: Indiana\nIowa: Iowa\nKansas: Kansas\nKentucky: Kentucky\nLouisiana: Louisiana\nMaine: Maine\n''Marshall Islands'': ''Marshall Islands''\nMaryland: Maryland\nMassachusetts: Massachusetts\nMichigan: Michigan\nMinnesota: Minnesota\nMississippi: Mississippi\nMissouri: Missouri\nMontana: Montana\nNebraska: Nebraska\nNevada: Nevada\n''New Hampshire'': ''New Hampshire''\n''New Jersey'': ''New Jersey''\n''New Mexico'': ''New Mexico''\n''New York'': ''New York''\n''North Carolina'': ''North Carolina''\n''North Dakota'': ''North Dakota''\n''Northern Mariana Islands'': ''Northern Mariana Islands''\nOhio: Ohio\nOklahoma: Oklahoma\nOregon: Oregon\nPalau: Palau\nPennsylvania: Pennsylvania\n''Puerto Rico'': ''Puerto Rico''\n''Rhode Island'': ''Rhode Island''\n''South Carolina'': ''South Carolina''\n''South Dakota'': ''South Dakota''\nTennessee: Tennessee\nTexas: Texas\nUtah: Utah\nVermont: Vermont\n''Virgin Islands'': ''Virgin Islands''\nVirginia: Virginia\nWashington: Washington\n''West Virginia'': ''West Virginia''\nWisconsin: Wisconsin\nWyoming: Wyoming\n";}', -1, '1681649932.834', 1, '', '0'),
('webform.webform_options.time_zones', 'a:10:{s:4:"uuid";s:36:"6f4f41b8-ef61-48b5-bb99-829d43e2d41c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8rVcRXLnTAEoWs7zl8du-7RIUnayqUcGYnvb3JT21-o";}s:2:"id";s:10:"time_zones";s:5:"label";s:10:"Time zones";s:8:"category";s:13:"Date and time";s:6:"likert";b:0;s:7:"options";s:0:"";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.titles', 'a:10:{s:4:"uuid";s:36:"14d99d07-725d-43c2-9b4d-97b25d013b78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"PEUoedWrfYEX7oZ8CcOukfBTVxar1cPSROX8534esuU";}s:2:"id";s:6:"titles";s:5:"label";s:6:"Titles";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:41:"Miss: Miss\nMs: Ms\nMr: Mr\nMrs: Mrs\nDr: Dr\n";}', -1, '1681652741.493', 1, '', '0'),
('webform.webform_options.yes_no', 'a:10:{s:4:"uuid";s:36:"6ce3f898-1aa1-4731-86af-ce5b3f21b6b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"W88NYg31DbaVNQx1Uir_dwwXHVtF09QOq4VBGsH1Snk";}s:2:"id";s:6:"yes_no";s:5:"label";s:6:"Yes/No";s:8:"category";s:7:"General";s:6:"likert";b:0;s:7:"options";s:16:"Yes: Yes\nNo: No\n";}', -1, '1681652741.493', 1, '', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cache_container`
--

CREATE TABLE `cache_container` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_container`
--

INSERT INTO `cache_container` VALUES
('service_container:prod:9.5.7::Linux:a:1:{i:0;s:62:"/home/issero5/ICTM2023.isser.edu.gh/sites/default/services.yml";}', 'a:5:{s:7:"aliases";a:6:{s:32:"Psr\\Container\\ContainerInterface";s:17:"service_container";s:56:"Symfony\\Component\\DependencyInjection\\ContainerInterface";s:17:"service_container";s:22:"config.storage.staging";s:19:"config.storage.sync";s:15:"session_handler";s:26:"session_handler.write_safe";s:12:"element_info";s:27:"plugin.manager.element_info";s:23:"field_ui.route_enhancer";s:28:"route_enhancer.entity_bundle";}s:10:"parameters";a:25:{s:18:"kernel.environment";s:4:"prod";s:17:"container.modules";a:59:{s:14:"automated_cron";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:51:"core/modules/automated_cron/automated_cron.info.yml";s:8:"filename";s:21:"automated_cron.module";}s:22:"better_exposed_filters";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:62:"modules/better_exposed_filters/better_exposed_filters.info.yml";s:8:"filename";s:29:"better_exposed_filters.module";}s:5:"block";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:33:"core/modules/block/block.info.yml";s:8:"filename";s:12:"block.module";}s:13:"block_content";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:49:"core/modules/block_content/block_content.info.yml";s:8:"filename";s:20:"block_content.module";}s:10:"breakpoint";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:43:"core/modules/breakpoint/breakpoint.info.yml";s:8:"filename";s:17:"breakpoint.module";}s:8:"ckeditor";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:39:"core/modules/ckeditor/ckeditor.info.yml";s:8:"filename";s:15:"ckeditor.module";}s:5:"color";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:33:"core/modules/color/color.info.yml";s:8:"filename";s:12:"color.module";}s:7:"comment";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:37:"core/modules/comment/comment.info.yml";s:8:"filename";s:14:"comment.module";}s:6:"config";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:35:"core/modules/config/config.info.yml";s:8:"filename";s:13:"config.module";}s:7:"contact";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:37:"core/modules/contact/contact.info.yml";s:8:"filename";s:14:"contact.module";}s:10:"contextual";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:43:"core/modules/contextual/contextual.info.yml";s:8:"filename";s:17:"contextual.module";}s:8:"datetime";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:39:"core/modules/datetime/datetime.info.yml";s:8:"filename";s:15:"datetime.module";}s:5:"dblog";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:33:"core/modules/dblog/dblog.info.yml";s:8:"filename";s:12:"dblog.module";}s:18:"dynamic_page_cache";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:59:"core/modules/dynamic_page_cache/dynamic_page_cache.info.yml";s:8:"filename";s:25:"dynamic_page_cache.module";}s:6:"editor";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:35:"core/modules/editor/editor.info.yml";s:8:"filename";s:13:"editor.module";}s:26:"entity_reference_revisions";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:70:"modules/entity_reference_revisions/entity_reference_revisions.info.yml";s:8:"filename";s:33:"entity_reference_revisions.module";}s:5:"field";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:33:"core/modules/field/field.info.yml";s:8:"filename";s:12:"field.module";}s:11:"field_group";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:40:"modules/field_group/field_group.info.yml";s:8:"filename";s:18:"field_group.module";}s:8:"field_ui";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:39:"core/modules/field_ui/field_ui.info.yml";s:8:"filename";s:15:"field_ui.module";}s:4:"file";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/file/file.info.yml";s:8:"filename";s:11:"file.module";}s:6:"filter";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:35:"core/modules/filter/filter.info.yml";s:8:"filename";s:13:"filter.module";}s:11:"fontawesome";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:40:"modules/fontawesome/fontawesome.info.yml";s:8:"filename";s:18:"fontawesome.module";}s:17:"fullcalendar_view";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:52:"modules/fullcalendar_view/fullcalendar_view.info.yml";s:8:"filename";s:24:"fullcalendar_view.module";}s:4:"help";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/help/help.info.yml";s:8:"filename";s:11:"help.module";}s:7:"history";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:37:"core/modules/history/history.info.yml";s:8:"filename";s:14:"history.module";}s:5:"image";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:33:"core/modules/image/image.info.yml";s:8:"filename";s:12:"image.module";}s:8:"juicerio";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:34:"modules/juicerio/juicerio.info.yml";s:8:"filename";s:15:"juicerio.module";}s:4:"link";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/link/link.info.yml";s:8:"filename";s:11:"link.module";}s:7:"menu_ui";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:37:"core/modules/menu_ui/menu_ui.info.yml";s:8:"filename";s:14:"menu_ui.module";}s:16:"mt_cookieconsent";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:57:"modules/custom/mt_cookieconsent/mt_cookieconsent.info.yml";s:8:"filename";s:23:"mt_cookieconsent.module";}s:12:"mt_countdown";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:49:"modules/custom/mt_countdown/mt_countdown.info.yml";s:8:"filename";s:19:"mt_countdown.module";}s:4:"node";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/node/node.info.yml";s:8:"filename";s:11:"node.module";}s:7:"options";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:37:"core/modules/options/options.info.yml";s:8:"filename";s:14:"options.module";}s:10:"page_cache";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:43:"core/modules/page_cache/page_cache.info.yml";s:8:"filename";s:17:"page_cache.module";}s:4:"path";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/path/path.info.yml";s:8:"filename";s:11:"path.module";}s:10:"path_alias";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:43:"core/modules/path_alias/path_alias.info.yml";s:8:"filename";N;}s:9:"quickedit";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:41:"core/modules/quickedit/quickedit.info.yml";s:8:"filename";s:16:"quickedit.module";}s:3:"rdf";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:29:"core/modules/rdf/rdf.info.yml";s:8:"filename";s:10:"rdf.module";}s:6:"search";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:35:"core/modules/search/search.info.yml";s:8:"filename";s:13:"search.module";}s:8:"shortcut";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:39:"core/modules/shortcut/shortcut.info.yml";s:8:"filename";s:15:"shortcut.module";}s:10:"statistics";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:43:"core/modules/statistics/statistics.info.yml";s:8:"filename";s:17:"statistics.module";}s:9:"superfish";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:36:"modules/superfish/superfish.info.yml";s:8:"filename";s:16:"superfish.module";}s:6:"system";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:35:"core/modules/system/system.info.yml";s:8:"filename";s:13:"system.module";}s:8:"taxonomy";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:39:"core/modules/taxonomy/taxonomy.info.yml";s:8:"filename";s:15:"taxonomy.module";}s:4:"text";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/text/text.info.yml";s:8:"filename";s:11:"text.module";}s:7:"toolbar";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:37:"core/modules/toolbar/toolbar.info.yml";s:8:"filename";s:14:"toolbar.module";}s:4:"tour";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/tour/tour.info.yml";s:8:"filename";s:11:"tour.module";}s:6:"update";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:35:"core/modules/update/update.info.yml";s:8:"filename";s:13:"update.module";}s:4:"user";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:31:"core/modules/user/user.info.yml";s:8:"filename";s:11:"user.module";}s:17:"video_embed_field";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:52:"modules/video_embed_field/video_embed_field.info.yml";s:8:"filename";s:24:"video_embed_field.module";}s:8:"views_ui";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:39:"core/modules/views_ui/views_ui.info.yml";s:8:"filename";s:15:"views_ui.module";}s:7:"webform";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:32:"modules/webform/webform.info.yml";s:8:"filename";s:14:"webform.module";}s:10:"webform_ui";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:54:"modules/webform/modules/webform_ui/webform_ui.info.yml";s:8:"filename";s:17:"webform_ui.module";}s:12:"fontyourface";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:42:"modules/fontyourface/fontyourface.info.yml";s:8:"filename";s:19:"fontyourface.module";}s:17:"menu_link_content";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:57:"core/modules/menu_link_content/menu_link_content.info.yml";s:8:"filename";s:24:"menu_link_content.module";}s:16:"google_fonts_api";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:71:"modules/fontyourface/modules/google_fonts_api/google_fonts_api.info.yml";s:8:"filename";s:23:"google_fonts_api.module";}s:5:"views";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:33:"core/modules/views/views.info.yml";s:8:"filename";s:12:"views.module";}s:10:"paragraphs";a:3:{s:4:"type";s:6:"module";s:8:"pathname";s:38:"modules/paragraphs/paragraphs.info.yml";s:8:"filename";s:17:"paragraphs.module";}s:8:"standard";a:3:{s:4:"type";s:7:"profile";s:8:"pathname";s:40:"core/profiles/standard/standard.info.yml";s:8:"filename";s:16:"standard.profile";}}s:15:"install_profile";s:8:"standard";s:20:"container.namespaces";a:74:{s:21:"Drupal\\automated_cron";s:31:"core/modules/automated_cron/src";s:29:"Drupal\\better_exposed_filters";s:34:"modules/better_exposed_filters/src";s:12:"Drupal\\block";s:22:"core/modules/block/src";s:20:"Drupal\\block_content";s:30:"core/modules/block_content/src";s:17:"Drupal\\breakpoint";s:27:"core/modules/breakpoint/src";s:15:"Drupal\\ckeditor";s:25:"core/modules/ckeditor/src";s:12:"Drupal\\color";s:22:"core/modules/color/src";s:14:"Drupal\\comment";s:24:"core/modules/comment/src";s:13:"Drupal\\config";s:23:"core/modules/config/src";s:14:"Drupal\\contact";s:24:"core/modules/contact/src";s:17:"Drupal\\contextual";s:27:"core/modules/contextual/src";s:15:"Drupal\\datetime";s:25:"core/modules/datetime/src";s:12:"Drupal\\dblog";s:22:"core/modules/dblog/src";s:25:"Drupal\\dynamic_page_cache";s:35:"core/modules/dynamic_page_cache/src";s:13:"Drupal\\editor";s:23:"core/modules/editor/src";s:33:"Drupal\\entity_reference_revisions";s:38:"modules/entity_reference_revisions/src";s:12:"Drupal\\field";s:22:"core/modules/field/src";s:18:"Drupal\\field_group";s:23:"modules/field_group/src";s:15:"Drupal\\field_ui";s:25:"core/modules/field_ui/src";s:11:"Drupal\\file";s:21:"core/modules/file/src";s:13:"Drupal\\filter";s:23:"core/modules/filter/src";s:18:"Drupal\\fontawesome";s:23:"modules/fontawesome/src";s:24:"Drupal\\fullcalendar_view";s:29:"modules/fullcalendar_view/src";s:11:"Drupal\\help";s:21:"core/modules/help/src";s:14:"Drupal\\history";s:24:"core/modules/history/src";s:12:"Drupal\\image";s:22:"core/modules/image/src";s:15:"Drupal\\juicerio";s:20:"modules/juicerio/src";s:11:"Drupal\\link";s:21:"core/modules/link/src";s:14:"Drupal\\menu_ui";s:24:"core/modules/menu_ui/src";s:23:"Drupal\\mt_cookieconsent";s:35:"modules/custom/mt_cookieconsent/src";s:19:"Drupal\\mt_countdown";s:31:"modules/custom/mt_countdown/src";s:11:"Drupal\\node";s:21:"core/modules/node/src";s:14:"Drupal\\options";s:24:"core/modules/options/src";s:17:"Drupal\\page_cache";s:27:"core/modules/page_cache/src";s:11:"Drupal\\path";s:21:"core/modules/path/src";s:17:"Drupal\\path_alias";s:27:"core/modules/path_alias/src";s:16:"Drupal\\quickedit";s:26:"core/modules/quickedit/src";s:10:"Drupal\\rdf";s:20:"core/modules/rdf/src";s:13:"Drupal\\search";s:23:"core/modules/search/src";s:15:"Drupal\\shortcut";s:25:"core/modules/shortcut/src";s:17:"Drupal\\statistics";s:27:"core/modules/statistics/src";s:16:"Drupal\\superfish";s:21:"modules/superfish/src";s:13:"Drupal\\system";s:23:"core/modules/system/src";s:15:"Drupal\\taxonomy";s:25:"core/modules/taxonomy/src";s:11:"Drupal\\text";s:21:"core/modules/text/src";s:14:"Drupal\\toolbar";s:24:"core/modules/toolbar/src";s:11:"Drupal\\tour";s:21:"core/modules/tour/src";s:13:"Drupal\\update";s:23:"core/modules/update/src";s:11:"Drupal\\user";s:21:"core/modules/user/src";s:24:"Drupal\\video_embed_field";s:29:"modules/video_embed_field/src";s:15:"Drupal\\views_ui";s:25:"core/modules/views_ui/src";s:14:"Drupal\\webform";s:19:"modules/webform/src";s:17:"Drupal\\webform_ui";s:38:"modules/webform/modules/webform_ui/src";s:19:"Drupal\\fontyourface";s:24:"modules/fontyourface/src";s:24:"Drupal\\menu_link_content";s:34:"core/modules/menu_link_content/src";s:23:"Drupal\\google_fonts_api";s:49:"modules/fontyourface/modules/google_fonts_api/src";s:12:"Drupal\\views";s:22:"core/modules/views/src";s:17:"Drupal\\paragraphs";s:22:"modules/paragraphs/src";s:15:"Drupal\\standard";s:26:"core/profiles/standard/src";s:18:"Drupal\\Core\\Action";s:27:"core/lib/Drupal/Core/Action";s:18:"Drupal\\Core\\Config";s:27:"core/lib/Drupal/Core/Config";s:22:"Drupal\\Core\\ProxyClass";s:31:"core/lib/Drupal/Core/ProxyClass";s:18:"Drupal\\Core\\Entity";s:27:"core/lib/Drupal/Core/Entity";s:22:"Drupal\\Core\\Validation";s:31:"core/lib/Drupal/Core/Validation";s:17:"Drupal\\Core\\Field";s:26:"core/lib/Drupal/Core/Field";s:21:"Drupal\\Core\\TempStore";s:30:"core/lib/Drupal/Core/TempStore";s:18:"Drupal\\Core\\Render";s:27:"core/lib/Drupal/Core/Render";s:21:"Drupal\\Core\\TypedData";s:30:"core/lib/Drupal/Core/TypedData";s:20:"Drupal\\Core\\Datetime";s:29:"core/lib/Drupal/Core/Datetime";s:16:"Drupal\\Core\\Path";s:25:"core/lib/Drupal/Core/Path";s:17:"Drupal\\Core\\Block";s:26:"core/lib/Drupal/Core/Block";s:16:"Drupal\\Core\\Mail";s:25:"core/lib/Drupal/Core/Mail";s:16:"Drupal\\Core\\Menu";s:25:"core/lib/Drupal/Core/Menu";s:27:"Drupal\\Component\\Annotation";s:36:"core/lib/Drupal/Component/Annotation";}s:23:"language.default_values";a:5:{s:2:"id";s:2:"en";s:4:"name";s:7:"English";s:9:"direction";s:3:"ltr";s:6:"weight";i:0;s:6:"locked";b:0;}s:8:"app.root";s:35:"/home/issero5/ICTM2023.isser.edu.gh";s:9:"site.path";s:13:"sites/default";s:23:"session.storage.options";a:6:{s:14:"gc_probability";i:1;s:10:"gc_divisor";i:100;s:14:"gc_maxlifetime";i:200000;s:15:"cookie_lifetime";i:2000000;s:10:"sid_length";i:48;s:22:"sid_bits_per_character";i:6;}s:11:"twig.config";a:4:{s:5:"debug";b:0;s:11:"auto_reload";N;s:5:"cache";b:1;s:23:"allowed_file_extensions";a:5:{i:0;s:3:"css";i:1;s:4:"html";i:2;s:2:"js";i:3;s:3:"svg";i:4;s:4:"twig";}}s:15:"renderer.config";a:3:{s:23:"required_cache_contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:27:"auto_placeholder_conditions";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:2:{i:0;s:7:"session";i:1;s:4:"user";}s:4:"tags";a:0:{}}s:5:"debug";b:0;}s:16:"factory.keyvalue";a:1:{s:7:"default";s:17:"keyvalue.database";}s:40:"http.response.debug_cacheability_headers";b:0;s:26:"factory.keyvalue.expirable";a:1:{s:7:"default";s:27:"keyvalue.expirable.database";}s:16:"filter_protocols";a:13:{i:0;s:4:"http";i:1;s:5:"https";i:2;s:3:"ftp";i:3;s:4:"news";i:4;s:4:"nntp";i:5;s:3:"tel";i:6;s:6:"telnet";i:7;s:6:"mailto";i:8;s:3:"irc";i:9;s:3:"ssh";i:10;s:4:"sftp";i:11;s:6:"webcal";i:12;s:4:"rtsp";}s:11:"cors.config";a:7:{s:7:"enabled";b:0;s:14:"allowedHeaders";a:0:{}s:14:"allowedMethods";a:0:{}s:14:"allowedOrigins";a:1:{i:0;s:1:"*";}s:14:"exposedHeaders";b:0;s:6:"maxAge";b:0;s:19:"supportsCredentials";b:0;}s:16:"tempstore.expire";i:604800;s:11:"persist_ids";a:4:{i:0;s:12:"class_loader";i:1;s:6:"kernel";i:2;s:13:"request_stack";i:3;s:22:"router.request_context";}s:22:"main_content_renderers";a:7:{s:4:"html";s:26:"main_content_renderer.html";s:11:"drupal_ajax";s:26:"main_content_renderer.ajax";s:12:"iframeupload";s:26:"main_content_renderer.ajax";s:13:"drupal_dialog";s:28:"main_content_renderer.dialog";s:24:"drupal_dialog.off_canvas";s:32:"main_content_renderer.off_canvas";s:28:"drupal_dialog.off_canvas_top";s:36:"main_content_renderer.off_canvas_top";s:12:"drupal_modal";s:27:"main_content_renderer.modal";}s:19:"twig_extension_hash";s:43:"SRCbKmgqqgpsPRAqN02xrcmOgFlMGU89Cu_dJ9uwz7I";s:29:"dynamic_access_check_services";a:1:{i:0;s:24:"access_check.header.csrf";}s:10:"cache_bins";a:12:{s:12:"cache.static";s:6:"static";s:15:"cache.bootstrap";s:9:"bootstrap";s:12:"cache.config";s:6:"config";s:13:"cache.default";s:7:"default";s:12:"cache.entity";s:6:"entity";s:10:"cache.menu";s:4:"menu";s:12:"cache.render";s:6:"render";s:10:"cache.data";s:4:"data";s:15:"cache.discovery";s:9:"discovery";s:24:"cache.dynamic_page_cache";s:18:"dynamic_page_cache";s:10:"cache.page";s:4:"page";s:13:"cache.toolbar";s:7:"toolbar";}s:26:"cache_default_bin_backends";a:4:{s:6:"static";s:20:"cache.backend.memory";s:9:"bootstrap";s:25:"cache.backend.chainedfast";s:6:"config";s:25:"cache.backend.chainedfast";s:9:"discovery";s:25:"cache.backend.chainedfast";}s:14:"cache_contexts";a:25:{i:0;s:7:"cookies";i:1;s:7:"headers";i:2;s:2:"ip";i:3;s:9:"languages";i:4;s:16:"protocol_version";i:5;s:14:"request_format";i:6;s:5:"route";i:7;s:24:"route.menu_active_trails";i:8;s:10:"route.name";i:9;s:7:"session";i:10;s:14:"session.exists";i:11;s:5:"theme";i:12;s:8:"timezone";i:13;s:3:"url";i:14;s:8:"url.path";i:15;s:17:"url.path.is_front";i:16;s:15:"url.path.parent";i:17;s:14:"url.query_args";i:18;s:21:"url.query_args.pagers";i:19;s:8:"url.site";i:20;s:4:"user";i:21;s:18:"user.is_super_user";i:22;s:16:"user.node_grants";i:23;s:16:"user.permissions";i:24;s:10:"user.roles";}s:24:"authentication_providers";a:1:{s:6:"cookie";s:4:"user";}s:24:"_deprecated_service_list";a:31:{s:8:"app.root";s:163:"The "app.root" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the app.root parameter instead. See https://www.drupal.org/node/3080612";s:16:"app.root.factory";s:171:"The "app.root.factory" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the app.root parameter instead. See https://www.drupal.org/node/3080612";s:9:"site.path";s:165:"The "site.path" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the site.path parameter instead. See https://www.drupal.org/node/3080612";s:17:"site.path.factory";s:173:"The "site.path.factory" service is deprecated in drupal:9.0.0 and is removed from drupal:10.0.0. Use the site.path parameter instead. See https://www.drupal.org/node/3080612";s:18:"feed.bridge.reader";s:217:"The "feed.bridge.reader" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. Use \\Laminas\\Feed\\Reader\\StandaloneExtensionManager or create your own service. See https://www.drupal.org/node/3258656";s:18:"feed.bridge.writer";s:217:"The "feed.bridge.writer" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. Use \\Laminas\\Feed\\Writer\\StandaloneExtensionManager or create your own service. See https://www.drupal.org/node/3258440";s:27:"feed.reader.dublincoreentry";s:234:"The "feed.reader.dublincoreentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''DublinCore\\Entry'') instead. See https://www.drupal.org/node/2979042";s:26:"feed.reader.dublincorefeed";s:232:"The "feed.reader.dublincorefeed" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''DublinCore\\Feed'') instead. See https://www.drupal.org/node/2979042";s:24:"feed.reader.contententry";s:228:"The "feed.reader.contententry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''Content\\Entry'') instead. See https://www.drupal.org/node/2979042";s:21:"feed.reader.atomentry";s:222:"The "feed.reader.atomentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''Atom\\Entry'') instead. See https://www.drupal.org/node/2979042";s:20:"feed.reader.atomfeed";s:220:"The "feed.reader.atomfeed" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''Atom\\Feed'') instead. See https://www.drupal.org/node/2979042";s:22:"feed.reader.slashentry";s:224:"The "feed.reader.slashentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''Slash\\Entry'') instead. See https://www.drupal.org/node/2979042";s:30:"feed.reader.wellformedwebentry";s:240:"The "feed.reader.wellformedwebentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''WellFormedWeb\\Entry'') instead. See https://www.drupal.org/node/2979042";s:23:"feed.reader.threadentry";s:226:"The "feed.reader.threadentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''Thread\\Entry'') instead. See https://www.drupal.org/node/2979042";s:24:"feed.reader.podcastentry";s:228:"The "feed.reader.podcastentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''Podcast\\Entry'') instead. See https://www.drupal.org/node/2979042";s:23:"feed.reader.podcastfeed";s:226:"The "feed.reader.podcastfeed" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.reader'')->get(''Podcast\\Feed'') instead. See https://www.drupal.org/node/2979042";s:28:"feed.writer.atomrendererfeed";s:237:"The "feed.writer.atomrendererfeed" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''Atom\\Renderer\\Feed'') instead. See https://www.drupal.org/node/2979042";s:32:"feed.writer.contentrendererentry";s:245:"The "feed.writer.contentrendererentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''Content\\Renderer\\Entry'') instead. See https://www.drupal.org/node/2979042";s:35:"feed.writer.dublincorerendererentry";s:251:"The "feed.writer.dublincorerendererentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''DublinCore\\Renderer\\Entry'') instead. See https://www.drupal.org/node/2979042";s:34:"feed.writer.dublincorerendererfeed";s:249:"The "feed.writer.dublincorerendererfeed" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''DublinCore\\Renderer\\Feed'') instead. See https://www.drupal.org/node/2979042";s:23:"feed.writer.itunesentry";s:226:"The "feed.writer.itunesentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''ITunes\\Entry'') instead. See https://www.drupal.org/node/2979042";s:22:"feed.writer.itunesfeed";s:224:"The "feed.writer.itunesfeed" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''ITunes\\Feed'') instead. See https://www.drupal.org/node/2979042";s:31:"feed.writer.itunesrendererentry";s:243:"The "feed.writer.itunesrendererentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''ITunes\\Renderer\\Entry'') instead. See https://www.drupal.org/node/2979042";s:30:"feed.writer.itunesrendererfeed";s:241:"The "feed.writer.itunesrendererfeed" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''ITunes\\Renderer\\Feed'') instead. See https://www.drupal.org/node/2979042";s:30:"feed.writer.slashrendererentry";s:241:"The "feed.writer.slashrendererentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''Slash\\Renderer\\Entry'') instead. See https://www.drupal.org/node/2979042";s:34:"feed.writer.threadingrendererentry";s:249:"The "feed.writer.threadingrendererentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''Threading\\Renderer\\Entry'') instead. See https://www.drupal.org/node/2979042";s:38:"feed.writer.wellformedwebrendererentry";s:257:"The "feed.writer.wellformedwebrendererentry" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. You should use \\Drupal::service(''feed.bridge.writer'')->get(''WellFormedWeb\\Renderer\\Entry'') instead. See https://www.drupal.org/node/2979042";s:26:"access_check.node.revision";s:153:"The "access_check.node.revision" service is deprecated. You should use the ''access_check.entity'' service instead. See https://www.drupal.org/node/3161210";s:21:"access_check.node.add";s:218:"The "access_check.node.add" service is deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use _entity_create_access or _entity_create_any_access access checks instead. See https://www.drupal.org/node/2836069";s:22:"config.storage.staging";s:188:"The "config.storage.staging" service is deprecated in drupal:8.0.0 and is removed from drupal:10.0.0. Use the "config.storage.sync" service instead. See https://www.drupal.org/node/2574957";s:23:"field_ui.route_enhancer";s:198:"The "field_ui.route_enhancer" service is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. Use the "route_enhancer.entity_bundle" service instead. See https://www.drupal.org/node/3245017";}}s:8:"services";a:593:{s:17:"service_container";s:129:"a:3:{s:5:"class";s:56:"Symfony\\Component\\DependencyInjection\\ContainerInterface";s:9:"synthetic";b:1;s:15:"arguments_count";i:0;}";s:12:"class_loader";s:53:"a:2:{s:9:"synthetic";b:1;s:15:"arguments_count";i:0;}";s:6:"kernel";s:117:"a:3:{s:5:"class";s:44:"Symfony\\Component\\HttpKernel\\KernelInterface";s:9:"synthetic";b:1;s:15:"arguments_count";i:0;}";s:16:"cache_context.ip";s:298:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Cache\\Context\\IpCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:30:"cache_context.protocol_version";s:311:"a:3:{s:5:"class";s:53:"Drupal\\Core\\Cache\\Context\\ProtocolVersionCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"cache_context.headers";s:303:"a:3:{s:5:"class";s:45:"Drupal\\Core\\Cache\\Context\\HeadersCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"cache_context.cookies";s:303:"a:3:{s:5:"class";s:45:"Drupal\\Core\\Cache\\Context\\CookiesCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"cache_context.session";s:303:"a:3:{s:5:"class";s:45:"Drupal\\Core\\Cache\\Context\\SessionCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:28:"cache_context.session.exists";s:422:"a:3:{s:5:"class";s:51:"Drupal\\Core\\Cache\\Context\\SessionExistsCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"session_configuration";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:28:"cache_context.request_format";s:309:"a:3:{s:5:"class";s:51:"Drupal\\Core\\Cache\\Context\\RequestFormatCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:17:"cache_context.url";s:299:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Cache\\Context\\UrlCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:22:"cache_context.url.site";s:300:"a:3:{s:5:"class";s:42:"Drupal\\Core\\Cache\\Context\\SiteCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:22:"cache_context.url.path";s:300:"a:3:{s:5:"class";s:42:"Drupal\\Core\\Cache\\Context\\PathCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:29:"cache_context.url.path.parent";s:306:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Cache\\Context\\PathParentCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:31:"cache_context.url.path.is_front";s:306:"a:3:{s:5:"class";s:49:"Drupal\\Core\\Cache\\Context\\IsFrontPathCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.matcher";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:28:"cache_context.url.query_args";s:305:"a:3:{s:5:"class";s:47:"Drupal\\Core\\Cache\\Context\\QueryArgsCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:35:"cache_context.url.query_args.pagers";s:305:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Cache\\Context\\PagersCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"pager.parameters";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"cache_context.route";s:307:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Cache\\Context\\RouteCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:24:"cache_context.route.name";s:311:"a:3:{s:5:"class";s:47:"Drupal\\Core\\Cache\\Context\\RouteNameCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:38:"cache_context.route.menu_active_trails";s:356:"a:3:{s:5:"class";s:54:"Drupal\\Core\\Cache\\Context\\MenuActiveTrailsCacheContext";s:15:"arguments_count";i:0;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:18:"cache_context.user";s:299:"a:3:{s:5:"class";s:42:"Drupal\\Core\\Cache\\Context\\UserCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:30:"cache_context.user.permissions";s:436:"a:3:{s:5:"class";s:56:"Drupal\\Core\\Cache\\Context\\AccountPermissionsCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"user_permissions_hash_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:24:"cache_context.user.roles";s:304:"a:3:{s:5:"class";s:47:"Drupal\\Core\\Cache\\Context\\UserRolesCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:32:"cache_context.user.is_super_user";s:306:"a:3:{s:5:"class";s:49:"Drupal\\Core\\Cache\\Context\\IsSuperUserCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"cache_context.languages";s:308:"a:3:{s:5:"class";s:47:"Drupal\\Core\\Cache\\Context\\LanguagesCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"cache_context.theme";s:301:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Cache\\Context\\ThemeCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:22:"cache_context.timezone";s:99:"a:2:{s:5:"class";s:46:"Drupal\\Core\\Cache\\Context\\TimeZoneCacheContext";s:15:"arguments_count";i:0;}";s:13:"cache_factory";s:626:"a:4:{s:5:"class";s:30:"Drupal\\Core\\Cache\\CacheFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:26:"cache_default_bin_backends";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:22:"cache_contexts_manager";s:391:"a:3:{s:5:"class";s:46:"Drupal\\Core\\Cache\\Context\\CacheContextsManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:14:"cache_contexts";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:22:"cache_tags.invalidator";s:818:"a:3:{s:5:"class";s:38:"Drupal\\Core\\Cache\\CacheTagsInvalidator";s:15:"arguments_count";i:0;s:5:"calls";a:3:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:14:"addInvalidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"cache_tags.invalidator.checksum";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:31:"cache_tags.invalidator.checksum";s:295:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Cache\\DatabaseCacheTagsChecksum";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:25:"cache.backend.chainedfast";s:544:"a:4:{s:5:"class";s:43:"Drupal\\Core\\Cache\\ChainedFastBackendFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:22:"cache.backend.database";s:514:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Cache\\DatabaseBackendFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"cache_tags.invalidator.checksum";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:18:"cache.backend.apcu";s:384:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Cache\\ApcuBackendFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;s:13:"sites/default";i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"cache_tags.invalidator.checksum";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:17:"cache.backend.php";s:311:"a:3:{s:5:"class";s:35:"Drupal\\Core\\Cache\\PhpBackendFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"cache_tags.invalidator.checksum";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:20:"cache.backend.memory";s:91:"a:2:{s:5:"class";s:38:"Drupal\\Core\\Cache\\MemoryBackendFactory";s:15:"arguments_count";i:0;}";s:12:"cache.static";s:270:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:6:"static";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:15:"cache.bootstrap";s:273:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:9:"bootstrap";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:12:"cache.config";s:270:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:6:"config";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:13:"cache.default";s:271:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:7:"default";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:12:"cache.entity";s:270:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:6:"entity";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:10:"cache.menu";s:268:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:4:"menu";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:12:"cache.render";s:270:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:6:"render";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:10:"cache.data";s:268:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:4:"data";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:15:"cache.discovery";s:273:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:9:"discovery";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:31:"cache_router_rebuild_subscriber";s:109:"a:2:{s:5:"class";s:56:"Drupal\\Core\\EventSubscriber\\CacheRouterRebuildSubscriber";s:15:"arguments_count";i:0;}";s:25:"page_cache_request_policy";s:588:"a:4:{s:5:"class";s:42:"Drupal\\Core\\PageCache\\DefaultRequestPolicy";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"session_configuration";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;s:5:"calls";a:1:{i:0;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:52:"toolbar.page_cache_request_policy.allow_toolbar_path";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:26:"page_cache_response_policy";s:382:"a:3:{s:5:"class";s:52:"Drupal\\Core\\ProxyClass\\PageCache\\ChainResponsePolicy";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:56:"drupal.proxy_original_service.page_cache_response_policy";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:22:"page_cache_kill_switch";s:100:"a:2:{s:5:"class";s:47:"Drupal\\Core\\PageCache\\ResponsePolicy\\KillSwitch";s:15:"arguments_count";i:0;}";s:14:"config.manager";s:1054:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Config\\ConfigManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"config.typed";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"entity.repository";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"extension.path.resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:14:"config.factory";s:503:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Config\\ConfigFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"config.typed";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:26:"config.importer_subscriber";s:110:"a:2:{s:5:"class";s:57:"Drupal\\Core\\Config\\Importer\\FinalMissingContentSubscriber";s:15:"arguments_count";i:0;}";s:16:"config.installer";s:365:"a:3:{s:5:"class";s:45:"Drupal\\Core\\ProxyClass\\Config\\ConfigInstaller";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:46:"drupal.proxy_original_service.config.installer";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:14:"config.storage";s:764:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Config\\CachedStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__iippmE3zvNM7poZWNLe9KCo1TBvrcSIYWA79dl3VOK4";s:5:"value";a:4:{s:5:"class";s:34:"Drupal\\Core\\Config\\DatabaseStorage";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;s:6:"config";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}s:6:"shared";b:0;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"cache.config";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:25:"config.import_transformer";s:605:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Config\\ImportStorageTransformer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"lock.persistent";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:21:"config.storage.export";s:958:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Config\\ManagedStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__5EBCzeeBo8IOl_3fl-LbLaVxGnKihlnDb1Olt-VZsNY";s:5:"value";a:4:{s:5:"class";s:39:"Drupal\\Core\\Config\\ExportStorageManager";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}s:6:"shared";b:0;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"config.storage.sync";s:170:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Config\\FileStorage";s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;s:37:"Drupal\\Core\\Config\\FileStorageFactory";i:1;s:7:"getSync";}}";s:23:"config.storage.snapshot";s:313:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Config\\DatabaseStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;s:15:"config_snapshot";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:21:"config.storage.schema";s:364:"a:3:{s:5:"class";s:42:"Drupal\\Core\\Config\\ExtensionInstallStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:1;s:13:"config/schema";i:2;s:0:"";i:3;b:1;i:4;s:8:"standard";}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:12:"config.typed";s:999:"a:4:{s:5:"class";s:37:"Drupal\\Core\\Config\\TypedConfigManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"config.storage.schema";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;s:5:"calls";a:1:{i:0;a:2:{i:0;s:30:"setValidationConstraintManager";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"validation.constraint";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:15:"context.handler";s:94:"a:2:{s:5:"class";s:41:"Drupal\\Core\\Plugin\\Context\\ContextHandler";s:15:"arguments_count";i:0;}";s:18:"context.repository";s:583:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Plugin\\Context\\LazyContextRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;a:6:{i:0;s:33:"language.current_language_context";i:1;s:23:"node.node_route_context";i:2;s:41:"taxonomy_term.taxonomy_term_route_context";i:3;s:25:"user.current_user_context";i:4;s:29:"webform.webform_route_context";i:5;s:40:"webform.webform_submission_route_context";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:53:"Drupal\\Component\\DependencyInjection\\ReverseContainer";s:315:"a:3:{s:5:"class";s:53:"Drupal\\Component\\DependencyInjection\\ReverseContainer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:4:"cron";s:335:"a:3:{s:5:"class";s:27:"Drupal\\Core\\ProxyClass\\Cron";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:34:"drupal.proxy_original_service.cron";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:14:"diff.formatter";s:289:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Diff\\DiffFormatter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:8:"database";s:210:"a:4:{s:5:"class";s:31:"Drupal\\Core\\Database\\Connection";s:9:"arguments";a:1:{i:0;s:7:"default";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;s:29:"Drupal\\Core\\Database\\Database";i:1;s:13:"getConnection";}}";s:16:"database.replica";s:210:"a:4:{s:5:"class";s:31:"Drupal\\Core\\Database\\Connection";s:9:"arguments";a:1:{i:0;s:7:"replica";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;s:29:"Drupal\\Core\\Database\\Database";i:1;s:13:"getConnection";}}";s:28:"database.replica_kill_switch";s:493:"a:3:{s:5:"class";s:38:"Drupal\\Core\\Database\\ReplicaKillSwitch";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"datetime.time";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:7:"session";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:13:"datetime.time";s:288:"a:3:{s:5:"class";s:30:"Drupal\\Component\\Datetime\\Time";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:11:"file_system";s:504:"a:3:{s:5:"class";s:27:"Drupal\\Core\\File\\FileSystem";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"logger.channel.file";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:18:"file_url_generator";s:511:"a:3:{s:5:"class";s:33:"Drupal\\Core\\File\\FileUrlGenerator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:12:"form_builder";s:2299:"a:3:{s:5:"class";s:28:"Drupal\\Core\\Form\\FormBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:10:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"form_validator";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"form_submitter";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__kO6EOv6tQG7G25Kdjw2weXDveTAFvr7whKcRozL97Ck";s:5:"value";a:4:{s:5:"class";s:26:"Drupal\\Core\\Form\\FormCache";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"keyvalue.expirable";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"logger.channel.form";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"page_cache_request_policy";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}s:6:"shared";b:0;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.element_info";s:15:"invalidBehavior";i:1;}i:8;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}i:9;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:3;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:10;}";s:14:"form_validator";s:721:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Form\\FormValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"logger.channel.form";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"form_error_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:14:"form_submitter";s:393:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Form\\FormSubmitter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"url_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:18:"form_error_handler";s:86:"a:2:{s:5:"class";s:33:"Drupal\\Core\\Form\\FormErrorHandler";s:15:"arguments_count";i:0;}";s:8:"keyvalue";s:388:"a:3:{s:5:"class";s:41:"Drupal\\Core\\KeyValueStore\\KeyValueFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:16:"factory.keyvalue";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:17:"keyvalue.database";s:419:"a:3:{s:5:"class";s:49:"Drupal\\Core\\KeyValueStore\\KeyValueDatabaseFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"serialization.phpserialize";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:18:"keyvalue.expirable";s:407:"a:3:{s:5:"class";s:50:"Drupal\\Core\\KeyValueStore\\KeyValueExpirableFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:26:"factory.keyvalue.expirable";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:27:"keyvalue.expirable.database";s:428:"a:3:{s:5:"class";s:58:"Drupal\\Core\\KeyValueStore\\KeyValueDatabaseExpirableFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"serialization.phpserialize";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:14:"logger.factory";s:571:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Logger\\LoggerChannelFactory";s:15:"arguments_count";i:0;s:5:"calls";a:2:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:9:"addLogger";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"logger.dblog";s:15:"invalidBehavior";i:1;}i:1;i:0;}s:7:"resolve";b:1;}}}}";s:22:"logger.channel.default";s:264:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:6:"system";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:18:"logger.channel.php";s:261:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:3:"php";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:20:"logger.channel.image";s:263:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:5:"image";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:19:"logger.channel.cron";s:262:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:4:"cron";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:19:"logger.channel.file";s:262:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:4:"file";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:19:"logger.channel.form";s:262:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:4:"form";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:23:"logger.channel.security";s:266:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:8:"security";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:25:"logger.log_message_parser";s:88:"a:2:{s:5:"class";s:35:"Drupal\\Core\\Logger\\LogMessageParser";s:15:"arguments_count";i:0;}";s:18:"serialization.json";s:88:"a:2:{s:5:"class";s:35:"Drupal\\Component\\Serialization\\Json";s:15:"arguments_count";i:0;}";s:26:"serialization.phpserialize";s:96:"a:2:{s:5:"class";s:43:"Drupal\\Component\\Serialization\\PhpSerialize";s:15:"arguments_count";i:0;}";s:18:"serialization.yaml";s:88:"a:2:{s:5:"class";s:35:"Drupal\\Component\\Serialization\\Yaml";s:15:"arguments_count";i:0;}";s:8:"settings";s:158:"a:3:{s:5:"class";s:25:"Drupal\\Core\\Site\\Settings";s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;s:25:"Drupal\\Core\\Site\\Settings";i:1;s:11:"getInstance";}}";s:5:"state";s:275:"a:3:{s:5:"class";s:23:"Drupal\\Core\\State\\State";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"keyvalue";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:5:"queue";s:531:"a:4:{s:5:"class";s:30:"Drupal\\Core\\Queue\\QueueFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:14:"queue.database";s:290:"a:3:{s:5:"class";s:38:"Drupal\\Core\\Queue\\QueueDatabaseFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:12:"path.current";s:291:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Path\\CurrentPathStack";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:11:"http_client";s:224:"a:3:{s:5:"class";s:17:"GuzzleHttp\\Client";s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"http_client_factory";s:15:"invalidBehavior";i:1;}i:1;s:11:"fromOptions";}}";s:19:"http_client_factory";s:1034:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Http\\ClientFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__2i5FjkeRC6Vc7PWR5LdG3PRuCttDvRDyMUY6XsHzapc";s:5:"value";a:5:{s:5:"class";s:23:"GuzzleHttp\\HandlerStack";s:6:"public";b:0;s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;s:23:"GuzzleHttp\\HandlerStack";i:1;s:6:"create";}s:12:"configurator";a:2:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__WjN_c7oQM_lsfryd4mPfbEhm7nV93eUSgEmLNALMX84";s:5:"value";a:4:{s:5:"class";s:41:"Drupal\\Core\\Http\\HandlerStackConfigurator";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;a:0:{}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}s:6:"shared";b:0;}i:1;s:9:"configure";}}s:6:"shared";b:0;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:33:"plugin.manager.link_relation_type";s:454:"a:3:{s:5:"class";s:41:"\\Drupal\\Core\\Http\\LinkRelationTypeManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:16:"theme.negotiator";s:698:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Theme\\ThemeNegotiator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"access_check.theme";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}i:2;a:7:{i:0;s:31:"theme.negotiator.ajax_base_page";i:1;s:33:"theme.negotiator.block.admin_demo";i:2;s:29:"theme.negotiator.system.batch";i:3;s:33:"theme.negotiator.system.db_update";i:4;s:28:"theme.negotiator.admin_theme";i:5;s:24:"webform.theme_negotiator";i:6;s:24:"theme.negotiator.default";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:24:"theme.negotiator.default";s:294:"a:3:{s:5:"class";s:35:"Drupal\\Core\\Theme\\DefaultNegotiator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:31:"theme.negotiator.ajax_base_page";s:506:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Theme\\AjaxBasePageNegotiator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:20:"container.namespaces";s:253:"a:3:{s:5:"class";s:11:"ArrayObject";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:20:"container.namespaces";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:14:"module_handler";s:428:"a:3:{s:5:"class";s:35:"Drupal\\Core\\Extension\\ModuleHandler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:17:"container.modules";}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:16:"module_installer";s:368:"a:3:{s:5:"class";s:48:"Drupal\\Core\\ProxyClass\\Extension\\ModuleInstaller";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:46:"drupal.proxy_original_service.module_installer";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:21:"extension.list.module";s:995:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Extension\\ModuleExtensionList";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:10:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;s:6:"module";i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"info_parser";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"extension.list.profile";s:15:"invalidBehavior";i:1;}i:8;s:8:"standard";i:9;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:17:"container.modules";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:10;}";s:22:"extension.list.profile";s:689:"a:3:{s:5:"class";s:42:"Drupal\\Core\\Extension\\ProfileExtensionList";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;s:7:"profile";i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"info_parser";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:6;s:8:"standard";}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:20:"extension.list.theme";s:910:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Extension\\ThemeExtensionList";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:9:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;s:5:"theme";i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"info_parser";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"extension.list.theme_engine";s:15:"invalidBehavior";i:1;}i:8;s:8:"standard";}s:7:"resolve";b:1;}s:15:"arguments_count";i:9;}";s:27:"extension.list.theme_engine";s:699:"a:3:{s:5:"class";s:46:"Drupal\\Core\\Extension\\ThemeEngineExtensionList";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;s:12:"theme_engine";i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"info_parser";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:6;s:8:"standard";}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:23:"extension.path.resolver";s:654:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Extension\\ExtensionPathResolver";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"extension.list.profile";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"extension.list.theme";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"extension.list.theme_engine";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:27:"content_uninstall_validator";s:386:"a:3:{s:5:"class";s:55:"Drupal\\Core\\ProxyClass\\Entity\\ContentUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:57:"drupal.proxy_original_service.content_uninstall_validator";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:35:"required_module_uninstall_validator";s:404:"a:3:{s:5:"class";s:65:"Drupal\\Core\\ProxyClass\\Extension\\RequiredModuleUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:65:"drupal.proxy_original_service.required_module_uninstall_validator";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:45:"module_required_by_themes_uninstall_validator";s:422:"a:3:{s:5:"class";s:73:"Drupal\\Core\\ProxyClass\\Extension\\ModuleRequiredByThemesUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:75:"drupal.proxy_original_service.module_required_by_themes_uninstall_validator";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:35:"database_driver_uninstall_validator";s:404:"a:3:{s:5:"class";s:65:"Drupal\\Core\\ProxyClass\\Extension\\DatabaseDriverUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:65:"drupal.proxy_original_service.database_driver_uninstall_validator";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:13:"theme_handler";s:452:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Extension\\ThemeHandler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"extension.list.theme";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:15:"theme_installer";s:1273:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Extension\\ThemeInstaller";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:10:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"config.installer";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.manager";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"asset.css.collection_optimizer";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"router.builder";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"logger.channel.default";s:15:"invalidBehavior";i:1;}i:8;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:9;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:10;}";s:19:"entity.memory_cache";s:94:"a:2:{s:5:"class";s:41:"Drupal\\Core\\Cache\\MemoryCache\\MemoryCache";s:15:"arguments_count";i:0;}";s:19:"entity_type.manager";s:1110:"a:4:{s:5:"class";s:36:"Drupal\\Core\\Entity\\EntityTypeManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:39:"entity.last_installed_schema.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:22:"entity_type.repository";s:303:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Entity\\EntityTypeRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"entity_type.bundle.info";s:734:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Entity\\EntityTypeBundleInfo";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"typed_data_manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:17:"entity.repository";s:517:"a:3:{s:5:"class";s:35:"Drupal\\Core\\Entity\\EntityRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"context.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:25:"entity_display.repository";s:627:"a:3:{s:5:"class";s:42:"Drupal\\Core\\Entity\\EntityDisplayRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:20:"entity_field.manager";s:1194:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Entity\\EntityFieldManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:9:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"entity_type.bundle.info";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"entity_display.repository";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"typed_data_manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"keyvalue";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:8;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:39:"entity.last_installed_schema.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:9;}";s:20:"entity_type.listener";s:652:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Entity\\EntityTypeListener";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"entity_field.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:39:"entity.last_installed_schema.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:22:"entity_bundle.listener";s:636:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Entity\\EntityBundleListener";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"entity_type.bundle.info";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"entity_field.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:23:"entity_route_subscriber";s:321:"a:3:{s:5:"class";s:57:"Drupal\\Core\\EventSubscriber\\EntityRouteProviderSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:32:"entity.definition_update_manager";s:792:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Entity\\EntityDefinitionUpdateManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:39:"entity.last_installed_schema.repository";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"entity_field.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"entity_type.listener";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"field_storage_definition.listener";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:39:"entity.last_installed_schema.repository";s:413:"a:3:{s:5:"class";s:54:"Drupal\\Core\\Entity\\EntityLastInstalledSchemaRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"keyvalue";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:38:"entity_field.deleted_fields_repository";s:290:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Field\\DeletedFieldsRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:33:"field_storage_definition.listener";s:793:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Field\\FieldStorageDefinitionListener";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:39:"entity.last_installed_schema.repository";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"entity_field.manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:38:"entity_field.deleted_fields_repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:25:"field_definition.listener";s:623:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Field\\FieldDefinitionListener";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"entity_field.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"keyvalue";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:19:"entity.form_builder";s:404:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Entity\\EntityFormBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"form_builder";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:37:"entity.bundle_config_import_validator";s:421:"a:3:{s:5:"class";s:51:"Drupal\\Core\\Entity\\Event\\BundleConfigImportValidate";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:27:"entity.autocomplete_matcher";s:330:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Entity\\EntityAutocompleteMatcher";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:41:"plugin.manager.entity_reference_selection";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"plugin_form.factory";s:295:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Plugin\\PluginFormFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:41:"plugin.manager.entity_reference_selection";s:544:"a:3:{s:5:"class";s:66:"Drupal\\Core\\Entity\\EntityReferenceSelection\\SelectionPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:20:"plugin.manager.block";s:622:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Block\\BlockManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"logger.channel.default";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:31:"plugin.manager.field.field_type";s:628:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Field\\FieldTypePluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"typed_data_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:27:"plugin.manager.field.widget";s:638:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Field\\WidgetPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.field.field_type";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:30:"plugin.manager.field.formatter";s:641:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Field\\FormatterPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.field.field_type";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:23:"plugin.manager.archiver";s:617:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Archiver\\ArchiverManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:21:"plugin.manager.action";s:510:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Action\\ActionManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:24:"plugin.manager.menu.link";s:1066:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:17:"menu.tree_storage";s:5:"value";a:4:{s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuTreeStorage";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.menu";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}i:3;s:9:"menu_tree";}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}s:6:"shared";b:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"menu_link.static.overrides";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:14:"menu.link_tree";s:1288:"a:3:{s:5:"class";s:29:"Drupal\\Core\\Menu\\MenuLinkTree";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:17:"menu.tree_storage";s:5:"value";a:4:{s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuTreeStorage";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.menu";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}i:3;s:9:"menu_tree";}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}s:6:"shared";b:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"plugin.manager.menu.link";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"menu.active_trail";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:30:"menu.default_tree_manipulators";s:522:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Menu\\DefaultMenuLinkTreeManipulators";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"access_manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:17:"menu.active_trail";s:609:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuActiveTrail";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"plugin.manager.menu.link";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.menu";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:25:"menu.parent_form_selector";s:519:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Menu\\MenuParentFormSelector";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"menu.link_tree";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:32:"plugin.manager.menu.local_action";s:1180:"a:3:{s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:9:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:40:"http_kernel.controller.argument_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"access_manager";s:15:"invalidBehavior";i:1;}i:8;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:9;}";s:30:"plugin.manager.menu.local_task";s:1178:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:9:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:40:"http_kernel.controller.argument_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"access_manager";s:15:"invalidBehavior";i:1;}i:8;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:9;}";s:35:"plugin.manager.menu.contextual_link";s:938:"a:3:{s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"access_manager";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:30:"plugin.manager.display_variant";s:512:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Display\\VariantManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:27:"plugin.manager.queue_worker";s:514:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Queue\\QueueWorkerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:20:"plugin.cache_clearer";s:15360:"a:4:{s:5:"class";s:52:"Drupal\\Core\\ProxyClass\\Plugin\\CachedDiscoveryClearer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:50:"drupal.proxy_original_service.plugin.cache_clearer";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;s:5:"calls";a:60:{i:0;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"config.typed";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"plugin.manager.link_relation_type";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:41:"plugin.manager.entity_reference_selection";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"plugin.manager.block";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:5;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.field.field_type";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:6;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.field.widget";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:7;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.field.formatter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:8;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"plugin.manager.archiver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:9;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"plugin.manager.action";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:10;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:32:"plugin.manager.menu.local_action";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:11;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.menu.local_task";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:12;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:35:"plugin.manager.menu.contextual_link";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:13;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.display_variant";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:14;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.queue_worker";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:15;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"typed_data_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:16;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"validation.constraint";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:17;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"plugin.manager.mail";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:18;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"plugin.manager.condition";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:19;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.element_info";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:20;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"image.toolkit.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:21;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"image.toolkit.operation.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:22;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:51:"plugin.manager.better_exposed_filters_filter_widget";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:23;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:50:"plugin.manager.better_exposed_filters_pager_widget";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:24;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:49:"plugin.manager.better_exposed_filters_sort_widget";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:25;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"breakpoint.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:26;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.ckeditor.plugin";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:27;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"plugin.manager.editor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:28;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:37:"plugin.manager.field_group.formatters";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:29;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"plugin.manager.filter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:30;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.help_section";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:31;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.image.effect";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:32;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.quickedit.editor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:33;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"plugin.manager.search";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:34;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"plugin.manager.tour.tip";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:35;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:36;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:37;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.variant";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:38;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.webform.exporter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:39;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:36:"plugin.manager.webform.source_entity";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:40;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.views.access";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:41;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"plugin.manager.views.area";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:42;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:29:"plugin.manager.views.argument";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:43;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:37:"plugin.manager.views.argument_default";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:44;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:39:"plugin.manager.views.argument_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:45;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"plugin.manager.views.cache";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:46;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:37:"plugin.manager.views.display_extender";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:47;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"plugin.manager.views.display";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:48;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"plugin.manager.views.exposed_form";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:49;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"plugin.manager.views.field";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:50;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.views.filter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:51;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"plugin.manager.views.join";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:52;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"plugin.manager.views.pager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:53;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"plugin.manager.views.query";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:54;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"plugin.manager.views.relationship";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:55;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"plugin.manager.views.row";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:56;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"plugin.manager.views.sort";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:57;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"plugin.manager.views.style";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:58;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.views.wizard";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:59;a:2:{i:0;s:18:"addCachedDiscovery";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:34:"plugin.manager.paragraphs.behavior";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:24:"paramconverter.menu_link";s:389:"a:3:{s:5:"class";s:61:"Drupal\\Core\\ProxyClass\\ParamConverter\\MenuLinkPluginConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:54:"drupal.proxy_original_service.paramconverter.menu_link";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:26:"menu_link.static.overrides";s:299:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Menu\\StaticMenuLinkOverrides";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:13:"request_stack";s:82:"a:2:{s:5:"class";s:29:"Drupal\\Core\\Http\\RequestStack";s:15:"arguments_count";i:0;}";s:19:"current_route_match";s:295:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Routing\\CurrentRouteMatch";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:16:"event_dispatcher";s:12574:"a:3:{s:5:"class";s:62:"Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;a:26:{s:22:"routing.route_finished";a:4:{i:200;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:31:"cache_router_rebuild_subscriber";i:1;s:16:"onRouterFinished";}}}i:100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:23:"menu.rebuild_subscriber";i:1;s:15:"onRouterRebuild";}}}i:0;a:4:{i:0;a:1:{s:7:"service";a:2:{i:0;s:21:"router.route_provider";i:1;s:5:"reset";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:22:"router.route_preloader";i:1;s:16:"onFinishedRoutes";}}i:2;a:1:{s:7:"service";a:2:{i:0;s:28:"router.path_roots_subscriber";i:1;s:15:"onRouteFinished";}}i:3;a:1:{s:7:"service";a:2:{i:0;s:22:"views.route_subscriber";i:1;s:20:"routeRebuildFinished";}}}i:-3000;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:34:"router.route_provider.lazy_builder";i:1;s:21:"routerRebuildFinished";}}}}s:11:"config.save";a:3:{i:255;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:14:"config.factory";i:1;s:12:"onConfigSave";}}}i:128;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:19:"entity.query.config";i:1;s:12:"onConfigSave";}}}i:0;a:8:{i:0;a:1:{s:7:"service";a:2:{i:0;s:23:"exception.fast_404_html";i:1;s:12:"onConfigSave";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:27:"update.post_update_registry";i:1;s:12:"onConfigSave";}}i:2;a:1:{s:7:"service";a:2:{i:0;s:30:"color.config_cache_invalidator";i:1;s:8:"onChange";}}i:3;a:1:{s:7:"service";a:2:{i:0;s:32:"node.admin_path.route_subscriber";i:1;s:12:"onConfigSave";}}i:4;a:1:{s:7:"service";a:2:{i:0;s:24:"system.config_subscriber";i:1;s:12:"onConfigSave";}}i:5;a:1:{s:7:"service";a:2:{i:0;s:23:"system.config_cache_tag";i:1;s:6:"onSave";}}i:6;a:1:{s:7:"service";a:2:{i:0;s:24:"system.timezone_resolver";i:1;s:12:"onConfigSave";}}i:7;a:1:{s:7:"service";a:2:{i:0;s:35:"system.advisories_config_subscriber";i:1;s:12:"onConfigSave";}}}}s:13:"config.delete";a:3:{i:255;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:14:"config.factory";i:1;s:14:"onConfigDelete";}}}i:128;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:19:"entity.query.config";i:1;s:14:"onConfigDelete";}}}i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:30:"color.config_cache_invalidator";i:1;s:8:"onChange";}}}}s:31:"config.importer.missing_content";a:1:{i:-1024;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:26:"config.importer_subscriber";i:1;s:16:"onMissingContent";}}}}s:14:"kernel.request";a:9:{i:1000;a:2:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"options_request_listener";i:1;s:9:"onRequest";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:35:"redirect_leading_slashes_subscriber";i:1;s:8:"redirect";}}}i:300;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:25:"authentication_subscriber";i:1;s:27:"onKernelRequestAuthenticate";}}}i:299;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"system.timezone_resolver";i:1;s:18:"setDefaultTimeZone";}}}i:50;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"ajax_response.subscriber";i:1;s:9:"onRequest";}}}i:32;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:15:"router_listener";i:1;s:15:"onKernelRequest";}}}i:31;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:25:"authentication_subscriber";i:1;s:29:"onKernelRequestFilterProvider";}}}i:30;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:27:"maintenance_mode_subscriber";i:1;s:26:"onKernelRequestMaintenance";}}}i:27;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:29:"dynamic_page_cache_subscriber";i:1;s:9:"onRequest";}}}i:0;a:2:{i:0;a:1:{s:7:"service";a:2:{i:0;s:28:"database.replica_kill_switch";i:1;s:18:"checkReplicaServer";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:22:"router.route_preloader";i:1;s:9:"onRequest";}}}}s:21:"routing.route_dynamic";a:2:{i:3000;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:34:"router.route_provider.lazy_builder";i:1;s:16:"routerRebuilding";}}}i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:23:"entity_route_subscriber";i:1;s:19:"onDynamicRouteEvent";}}}}s:24:"config.importer.validate";a:3:{i:512;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"system.config_subscriber";i:1;s:32:"onConfigImporterValidateNotEmpty";}}}i:256;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"system.config_subscriber";i:1;s:32:"onConfigImporterValidateSiteUUID";}}}i:20;a:3:{i:0;a:1:{s:7:"service";a:2:{i:0;s:37:"entity.bundle_config_import_validator";i:1;s:24:"onConfigImporterValidate";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:24:"config_import_subscriber";i:1;s:24:"onConfigImporterValidate";}}i:2;a:1:{s:7:"service";a:2:{i:0;s:24:"config.config_subscriber";i:1;s:24:"onConfigImporterValidate";}}}}s:19:"routing.route_alter";a:9:{i:5000;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:28:"route_http_method_subscriber";i:1;s:15:"onRouteBuilding";}}}i:0;a:5:{i:0;a:1:{s:7:"service";a:2:{i:0;s:23:"route_subscriber.module";i:1;s:13:"onAlterRoutes";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:35:"route_special_attributes_subscriber";i:1;s:13:"onAlterRoutes";}}i:2;a:1:{s:7:"service";a:2:{i:0;s:21:"node.route_subscriber";i:1;s:13:"onAlterRoutes";}}i:3;a:1:{s:7:"service";a:2:{i:0;s:32:"node.admin_path.route_subscriber";i:1;s:13:"onAlterRoutes";}}i:4;a:1:{s:7:"service";a:2:{i:0;s:24:"webform.route_subscriber";i:1;s:13:"onAlterRoutes";}}}i:-100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:19:"field_ui.subscriber";i:1;s:13:"onAlterRoutes";}}}i:-150;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:23:"route_subscriber.entity";i:1;s:26:"onRoutingRouteAlterSetType";}}}i:-175;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:22:"views.route_subscriber";i:1;s:13:"onAlterRoutes";}}}i:-200;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:34:"system.admin_path.route_subscriber";i:1;s:13:"onAlterRoutes";}}}i:-210;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:22:"field_group.subscriber";i:1;s:13:"onAlterRoutes";}}}i:-220;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:25:"paramconverter_subscriber";i:1;s:41:"onRoutingRouteAlterSetParameterConverters";}}}i:-1024;a:2:{i:0;a:1:{s:7:"service";a:2:{i:0;s:22:"router.route_preloader";i:1;s:13:"onAlterRoutes";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:28:"router.path_roots_subscriber";i:1;s:12:"onRouteAlter";}}}}s:15:"kernel.response";a:9:{i:128;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:32:"exception.enforced_form_response";i:1;s:16:"onKernelResponse";}}}i:100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:29:"dynamic_page_cache_subscriber";i:1;s:10:"onResponse";}}}i:16;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:26:"finish_response_subscriber";i:1;s:13:"onAllResponds";}}}i:10;a:2:{i:0;a:1:{s:7:"service";a:2:{i:0;s:32:"route_access_response_subscriber";i:1;s:9:"onRespond";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:32:"client_error_response_subscriber";i:1;s:9:"onRespond";}}}i:5;a:2:{i:0;a:1:{s:7:"service";a:2:{i:0;s:34:"anonymous_user_response_subscriber";i:1;s:9:"onRespond";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:45:"html_response.placeholder_strategy_subscriber";i:1;s:9:"onRespond";}}}i:0;a:4:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"html_response.subscriber";i:1;s:9:"onRespond";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:26:"finish_response_subscriber";i:1;s:9:"onRespond";}}i:2;a:1:{s:7:"service";a:2:{i:0;s:29:"response_generator_subscriber";i:1;s:9:"onRespond";}}i:3;a:1:{s:7:"service";a:2:{i:0;s:28:"redirect_response_subscriber";i:1;s:16:"checkRedirectUrl";}}}i:-100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"ajax_response.subscriber";i:1;s:10:"onResponse";}}}i:-512;a:2:{i:0;a:1:{s:7:"service";a:2:{i:0;s:27:"response_filter.active_link";i:1;s:10:"onResponse";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:32:"response_filter.rss.relative_url";i:1;s:10:"onResponse";}}}i:-1000;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:26:"user.authentication.cookie";i:1;s:13:"addCheckToUrl";}}}}s:16:"kernel.exception";a:14:{i:200;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:23:"exception.fast_404_html";i:1;s:11:"onException";}}}i:128;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:32:"exception.enforced_form_response";i:1;s:17:"onKernelException";}}}i:100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:25:"exception.needs_installer";i:1;s:11:"onException";}}}i:80;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:25:"authentication_subscriber";i:1;s:23:"onExceptionAccessDenied";}}}i:75;a:3:{i:0;a:1:{s:7:"service";a:2:{i:0;s:31:"route_enhancer.param_conversion";i:1;s:11:"onException";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:25:"authentication_subscriber";i:1;s:24:"onExceptionSendChallenge";}}i:2;a:1:{s:7:"service";a:2:{i:0;s:29:"user_access_denied_subscriber";i:1;s:11:"onException";}}}i:51;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:20:"form_ajax_subscriber";i:1;s:11:"onException";}}}i:50;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:16:"exception.logger";i:1;s:11:"onException";}}}i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:27:"maintenance_mode_subscriber";i:1;s:26:"onKernelRequestMaintenance";}}}i:-49;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:33:"webform.exception_html_subscriber";i:1;s:11:"onException";}}}i:-50;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:26:"exception.custom_page_html";i:1;s:11:"onException";}}}i:-64;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:15:"router_listener";i:1;s:17:"onKernelException";}}}i:-75;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:22:"exception.default_json";i:1;s:11:"onException";}}}i:-128;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:22:"exception.default_html";i:1;s:11:"onException";}}}i:-256;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:15:"exception.final";i:1;s:11:"onException";}}}}s:11:"kernel.view";a:3:{i:1;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:20:"form_ajax_subscriber";i:1;s:6:"onView";}}}i:0;a:2:{i:0;a:1:{s:7:"service";a:2:{i:0;s:28:"psr_response_view_subscriber";i:1;s:12:"onKernelView";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:28:"main_content_view_subscriber";i:1;s:17:"onViewRenderArray";}}}i:-10;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:17:"renderer_non_html";i:1;s:9:"onRespond";}}}}s:21:"kernel.finish_request";a:1:{i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:15:"router_listener";i:1;s:21:"onKernelFinishRequest";}}}}s:29:"site.maintenance_mode_request";a:2:{i:-900;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:32:"user_maintenance_mode_subscriber";i:1;s:24:"onMaintenanceModeRequest";}}}i:-1000;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:27:"maintenance_mode_subscriber";i:1;s:24:"onMaintenanceModeRequest";}}}}s:16:"kernel.terminate";a:3:{i:300;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:27:"user_last_access_subscriber";i:1;s:17:"onKernelTerminate";}}}i:200;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:21:"path_alias.subscriber";i:1;s:17:"onKernelTerminate";}}}i:100;a:3:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"request_close_subscriber";i:1;s:11:"onTerminate";}}i:1;a:1:{s:7:"service";a:2:{i:0;s:26:"kernel_destruct_subscriber";i:1;s:17:"onKernelTerminate";}}i:2;a:1:{s:7:"service";a:2:{i:0;s:25:"automated_cron.subscriber";i:1;s:11:"onTerminate";}}}}s:22:"config.importer.import";a:1:{i:40;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:26:"config_snapshot_subscriber";i:1;s:22:"onConfigImporterImport";}}}}s:23:"config.transform.import";a:1:{i:-500;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:33:"config_exclude_modules_subscriber";i:1;s:23:"onConfigTransformImport";}}}}s:23:"config.transform.export";a:1:{i:500;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:33:"config_exclude_modules_subscriber";i:1;s:23:"onConfigTransformExport";}}}}s:17:"kernel.controller";a:2:{i:200;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:21:"path_alias.subscriber";i:1;s:18:"onKernelController";}}}i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:45:"early_rendering_controller_wrapper_subscriber";i:1;s:12:"onController";}}}}s:34:"render.page_display_variant.select";a:1:{i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:37:"block.page_display_variant_subscriber";i:1;s:26:"onSelectPageDisplayVariant";}}}}s:11:"account.set";a:1:{i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:24:"system.timezone_resolver";i:1;s:18:"setDefaultTimeZone";}}}}s:50:"Drupal\\Core\\File\\Event\\FileUploadSanitizeNameEvent";a:1:{i:-9223372036854775808;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:28:"system.file_event.subscriber";i:1;s:12:"sanitizeName";}}}}s:23:"user.flood_blocked_user";a:1:{i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:21:"user.flood_subscriber";i:1;s:11:"blockedUser";}}}}s:21:"user.flood_blocked_ip";a:1:{i:0;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:21:"user.flood_subscriber";i:1;s:9:"blockedIp";}}}}s:29:"entity_type.definition.create";a:1:{i:100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:30:"views.entity_schema_subscriber";i:1;s:17:"onEntityTypeEvent";}}}}s:29:"entity_type.definition.update";a:1:{i:100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:30:"views.entity_schema_subscriber";i:1;s:17:"onEntityTypeEvent";}}}}s:29:"entity_type.definition.delete";a:1:{i:100;a:1:{i:0;a:1:{s:7:"service";a:2:{i:0;s:30:"views.entity_schema_subscriber";i:1;s:17:"onEntityTypeEvent";}}}}}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:8:"app.root";s:509:"a:3:{s:5:"class";s:10:"\\SplString";s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:16:"app.root.factory";s:5:"value";a:4:{s:5:"class";s:26:"Drupal\\Core\\AppRootFactory";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"kernel";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:1;}i:1;s:3:"get";}}";s:9:"site.path";s:511:"a:3:{s:5:"class";s:10:"\\SplString";s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:17:"site.path.factory";s:5:"value";a:4:{s:5:"class";s:27:"Drupal\\Core\\SitePathFactory";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"kernel";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:1;}i:1;s:3:"get";}}";s:19:"controller_resolver";s:417:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Controller\\ControllerResolver";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"psr7.http_message_factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:14:"class_resolver";s:347:"a:3:{s:5:"class";s:45:"Drupal\\Core\\DependencyInjection\\ClassResolver";s:15:"arguments_count";i:0;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:14:"title_resolver";s:542:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Controller\\TitleResolver";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:40:"http_kernel.controller.argument_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:11:"http_kernel";s:1090:"a:3:{s:5:"class";s:23:"Stack\\StackedHttpKernel";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"http_middleware.negotiation";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"http_middleware.negotiation";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:29:"http_middleware.reverse_proxy";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"http_middleware.page_cache";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"http_middleware.kernel_pre_handle";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"http_middleware.session";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"http_kernel.basic";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:17:"http_kernel.basic";s:663:"a:4:{s:5:"class";s:39:"Symfony\\Component\\HttpKernel\\HttpKernel";s:4:"lazy";b:1;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:40:"http_kernel.controller.argument_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:40:"http_kernel.controller.argument_resolver";s:2302:"a:3:{s:5:"class";s:56:"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__aVVgmTsbLy2mehkCW1XkPCxoNfAe-gToi9ed1epV65A";s:5:"value";a:3:{s:5:"class";s:71:"Symfony\\Component\\HttpKernel\\ControllerMetadata\\ArgumentMetadataFactory";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__4paxHwrBqZgLMOLaRrJsmOfZ3q3b8GmysfCJVR59dww";s:5:"value";a:3:{s:5:"class";s:86:"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\RequestAttributeValueResolver";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:1;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__s9WvKxAAioSxnrbszotBL4p3vALnLB-MHJQxkpMqIAU";s:5:"value";a:3:{s:5:"class";s:77:"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\RequestValueResolver";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:2;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__eDpbPL4wwnQyhPmwwLlalHD-HQzju54CeEhnePoq77M";s:5:"value";a:4:{s:5:"class";s:64:"Drupal\\Core\\Controller\\ArgumentResolver\\Psr7RequestValueResolver";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"psr7.http_message_factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:0;}i:3;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__jmHlQ8DenPOz2Y1rQPf6wcbGV3XZvwuMnC6wCu8cgXM";s:5:"value";a:3:{s:5:"class";s:63:"Drupal\\Core\\Controller\\ArgumentResolver\\RouteMatchValueResolver";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:4;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__E5RB7EPjMp2Q_miXb0vh6M0K5wUh779hDQkqBCZjB2g";s:5:"value";a:3:{s:5:"class";s:77:"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\DefaultValueResolver";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}}s:7:"resolve";b:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:27:"http_middleware.negotiation";s:447:"a:4:{s:5:"class";s:49:"Drupal\\Core\\StackMiddleware\\NegotiationMiddleware";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:29:"http_middleware.reverse_proxy";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;s:5:"calls";a:1:{i:0;a:2:{i:0;s:14:"registerFormat";i:1;a:2:{i:0;s:3:"bin";i:1;a:1:{i:0;s:24:"application/octet-stream";}}}}}";s:29:"http_middleware.reverse_proxy";s:420:"a:3:{s:5:"class";s:50:"Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"http_middleware.page_cache";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:33:"http_middleware.kernel_pre_handle";s:423:"a:4:{s:5:"class";s:43:"Drupal\\Core\\StackMiddleware\\KernelPreHandle";s:4:"lazy";b:1;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"http_middleware.session";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"kernel";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:23:"http_middleware.session";s:561:"a:5:{s:5:"class";s:35:"Drupal\\Core\\StackMiddleware\\Session";s:4:"lazy";b:1;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"http_kernel.basic";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:28:"psr7.http_foundation_factory";s:112:"a:2:{s:5:"class";s:59:"Symfony\\Bridge\\PsrHttpMessage\\Factory\\HttpFoundationFactory";s:15:"arguments_count";i:0;}";s:25:"psr7.http_message_factory";s:1244:"a:3:{s:5:"class";s:52:"Symfony\\Bridge\\PsrHttpMessage\\Factory\\PsrHttpFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__Q1ZW9d-4zQaM9-PvPak8VjhEaAkCzGy--a8QZDTNMAc";s:5:"value";a:3:{s:5:"class";s:38:"Laminas\\Diactoros\\ServerRequestFactory";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:1;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__9xxEGJ93CDA8wf36RuX6ihhjHblQ_4bDB3Q-Sjf6U3o";s:5:"value";a:3:{s:5:"class";s:31:"Laminas\\Diactoros\\StreamFactory";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:2;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__87VZ3oIhxtLVlhqHy5ZlsKTNmzPqgMLYq2UReCUWpZU";s:5:"value";a:3:{s:5:"class";s:37:"Laminas\\Diactoros\\UploadedFileFactory";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:3;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__NS93cXnV98CBJVbkFdgjTG2p4MYnD4vdFtrnDSJfnuo";s:5:"value";a:3:{s:5:"class";s:33:"Laminas\\Diactoros\\ResponseFactory";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:16:"language_manager";s:297:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Language\\LanguageManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language.default";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:33:"language.current_language_context";s:320:"a:3:{s:5:"class";s:59:"Drupal\\Core\\Language\\ContextProvider\\CurrentLanguageContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:16:"language.default";s:281:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Language\\LanguageDefault";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:23:"language.default_values";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:32:"string_translator.custom_strings";s:306:"a:3:{s:5:"class";s:54:"Drupal\\Core\\StringTranslation\\Translator\\CustomStrings";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:18:"string_translation";s:583:"a:4:{s:5:"class";s:48:"Drupal\\Core\\StringTranslation\\TranslationManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language.default";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;s:5:"calls";a:1:{i:0;a:2:{i:0;s:13:"addTranslator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:32:"string_translator.custom_strings";s:15:"invalidBehavior";i:1;}i:1;i:30;}s:7:"resolve";b:1;}}}}";s:18:"typed_data_manager";s:893:"a:4:{s:5:"class";s:38:"Drupal\\Core\\TypedData\\TypedDataManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;s:5:"calls";a:1:{i:0;a:2:{i:0;s:30:"setValidationConstraintManager";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"validation.constraint";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:21:"validation.constraint";s:518:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Validation\\ConstraintManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:4:"lock";s:355:"a:3:{s:5:"class";s:47:"Drupal\\Core\\ProxyClass\\Lock\\DatabaseLockBackend";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:34:"drupal.proxy_original_service.lock";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:15:"lock.persistent";s:376:"a:3:{s:5:"class";s:57:"Drupal\\Core\\ProxyClass\\Lock\\PersistentDatabaseLockBackend";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:45:"drupal.proxy_original_service.lock.persistent";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:22:"router.request_context";s:336:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Routing\\RequestContext";s:15:"arguments_count";i:0;s:5:"calls";a:1:{i:0;a:2:{i:0;s:16:"fromRequestStack";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:20:"router.admin_context";s:296:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Routing\\AdminContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"router.route_provider";s:940:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Routing\\RouteProvider";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.current";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.data";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"path_processor_manager";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}i:6;s:6:"router";i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:34:"router.route_provider.lazy_builder";s:416:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Routing\\RouteProviderLazyBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"router.builder";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:22:"router.route_preloader";s:503:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Routing\\RoutePreloader";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:13:"url_generator";s:1692:"a:4:{s:5:"class";s:47:"Drupal\\Core\\Render\\MetadataBubblingUrlGenerator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__zpo0hTnDUvjD5VJF99cYFfEg3efThaha5qz1wHgNfRA";s:5:"value";a:5:{s:5:"class";s:32:"Drupal\\Core\\Routing\\UrlGenerator";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"path_processor_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"route_processor_manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:16:"filter_protocols";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;s:5:"calls";a:1:{i:0;a:2:{i:0;s:10:"setContext";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"router.request_context";s:15:"invalidBehavior";i:3;}}s:7:"resolve";b:1;}}}}s:6:"shared";b:0;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;s:5:"calls";a:1:{i:0;a:2:{i:0;s:10:"setContext";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"router.request_context";s:15:"invalidBehavior";i:3;}}s:7:"resolve";b:1;}}}}";s:20:"redirect.destination";s:402:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Routing\\RedirectDestination";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"url_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:22:"unrouted_url_assembler";s:497:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Utility\\UnroutedUrlAssembler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"path_processor_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:16:"filter_protocols";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:14:"link_generator";s:496:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Utility\\LinkGenerator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"url_generator";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:6:"router";s:515:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Routing\\AccessAwareRouter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"router.no_access_checks";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"access_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:23:"router.no_access_checks";s:2688:"a:4:{s:5:"class";s:27:"\\Drupal\\Core\\Routing\\Router";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.current";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"url_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;s:5:"calls";a:9:{i:0;a:2:{i:0;s:10:"setContext";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"router.request_context";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:16:"addRouteEnhancer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"route_enhancer.param_conversion";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:16:"addRouteEnhancer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"route_enhancer.entity";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:16:"addRouteEnhancer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"route_enhancer.form";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:16:"addRouteEnhancer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"route_enhancer.entity_bundle";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:5;a:2:{i:0;s:16:"addRouteEnhancer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"route_enhancer.entity_revision";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:6;a:2:{i:0;s:14:"addRouteFilter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"method_filter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:7;a:2:{i:0;s:14:"addRouteFilter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"content_type_header_matcher";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:8;a:2:{i:0;s:14:"addRouteFilter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"request_format_route_filter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:28:"router.path_roots_subscriber";s:296:"a:3:{s:5:"class";s:47:"Drupal\\Core\\EventSubscriber\\PathRootsSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"entity.query.config";s:508:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Config\\Entity\\Query\\QueryFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"keyvalue";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:16:"entity.query.sql";s:293:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Entity\\Query\\Sql\\QueryFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:22:"pgsql.entity.query.sql";s:299:"a:3:{s:5:"class";s:47:"Drupal\\Core\\Entity\\Query\\Sql\\pgsql\\QueryFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:17:"entity.query.null";s:95:"a:2:{s:5:"class";s:42:"Drupal\\Core\\Entity\\Query\\Null\\QueryFactory";s:15:"arguments_count";i:0;}";s:21:"entity.query.keyvalue";s:303:"a:3:{s:5:"class";s:51:"Drupal\\Core\\Entity\\KeyValueStore\\Query\\QueryFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"keyvalue";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:13:"router.dumper";s:361:"a:3:{s:5:"class";s:44:"Drupal\\Core\\ProxyClass\\Routing\\MatcherDumper";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:43:"drupal.proxy_original_service.router.dumper";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:14:"router.builder";s:361:"a:3:{s:5:"class";s:43:"Drupal\\Core\\ProxyClass\\Routing\\RouteBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:44:"drupal.proxy_original_service.router.builder";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:23:"menu.rebuild_subscriber";s:638:"a:3:{s:5:"class";s:55:"Drupal\\Core\\EventSubscriber\\MenuRouterRebuildSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"plugin.manager.menu.link";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"database.replica_kill_switch";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:12:"path.matcher";s:398:"a:3:{s:5:"class";s:28:"Drupal\\Core\\Path\\PathMatcher";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:14:"path.validator";s:613:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Path\\PathValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"router";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"router.no_access_checks";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"path_processor_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:8:"password";s:125:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Password\\PhpassHashedPassword";s:9:"arguments";a:1:{i:0;i:16;}s:15:"arguments_count";i:1;}";s:18:"password_generator";s:98:"a:2:{s:5:"class";s:45:"Drupal\\Core\\Password\\DefaultPasswordGenerator";s:15:"arguments_count";i:0;}";s:27:"request_format_route_filter";s:97:"a:2:{s:5:"class";s:44:"Drupal\\Core\\Routing\\RequestFormatRouteFilter";s:15:"arguments_count";i:0;}";s:13:"method_filter";s:85:"a:2:{s:5:"class";s:32:"Drupal\\Core\\Routing\\MethodFilter";s:15:"arguments_count";i:0;}";s:27:"content_type_header_matcher";s:97:"a:2:{s:5:"class";s:44:"Drupal\\Core\\Routing\\ContentTypeHeaderMatcher";s:15:"arguments_count";i:0;}";s:22:"paramconverter_manager";s:2281:"a:3:{s:5:"class";s:48:"Drupal\\Core\\ParamConverter\\ParamConverterManager";s:15:"arguments_count";i:0;s:5:"calls";a:7:{i:0;a:2:{i:0;s:12:"addConverter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:53:"drupal.proxy_original_service.paramconverter.views_ui";s:15:"invalidBehavior";i:1;}i:1;s:53:"drupal.proxy_original_service.paramconverter.views_ui";}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:12:"addConverter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";s:15:"invalidBehavior";i:1;}i:1;s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:12:"addConverter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"paramconverter.entity";s:15:"invalidBehavior";i:1;}i:1;s:21:"paramconverter.entity";}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:12:"addConverter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"paramconverter.entity_revision";s:15:"invalidBehavior";i:1;}i:1;s:30:"paramconverter.entity_revision";}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:12:"addConverter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"field_group.param_converter";s:15:"invalidBehavior";i:1;}i:1;s:27:"field_group.param_converter";}s:7:"resolve";b:1;}}i:5;a:2:{i:0;s:12:"addConverter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:54:"drupal.proxy_original_service.paramconverter.menu_link";s:15:"invalidBehavior";i:1;}i:1;s:54:"drupal.proxy_original_service.paramconverter.menu_link";}s:7:"resolve";b:1;}}i:6;a:2:{i:0;s:12:"addConverter";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:42:"drupal.proxy_original_service.node_preview";s:15:"invalidBehavior";i:1;}i:1;s:42:"drupal.proxy_original_service.node_preview";}s:7:"resolve";b:1;}}}}";s:25:"paramconverter_subscriber";s:319:"a:3:{s:5:"class";s:52:"Drupal\\Core\\EventSubscriber\\ParamConverterSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"paramconverter_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"paramconverter.entity";s:415:"a:3:{s:5:"class";s:42:"Drupal\\Core\\ParamConverter\\EntityConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"entity.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:30:"paramconverter.entity_revision";s:428:"a:3:{s:5:"class";s:55:"Drupal\\Core\\ParamConverter\\EntityRevisionParamConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"entity.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:33:"paramconverter.configentity_admin";s:405:"a:3:{s:5:"class";s:68:"Drupal\\Core\\ProxyClass\\ParamConverter\\AdminPathConfigEntityConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:23:"route_subscriber.module";s:308:"a:3:{s:5:"class";s:49:"Drupal\\Core\\EventSubscriber\\ModuleRouteSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"resolver_manager.entity";s:410:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Entity\\EntityResolverManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:23:"route_subscriber.entity";s:322:"a:3:{s:5:"class";s:54:"Drupal\\Core\\EventSubscriber\\EntityRouteAlterSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"resolver_manager.entity";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:24:"ajax_response.subscriber";s:330:"a:3:{s:5:"class";s:50:"Drupal\\Core\\EventSubscriber\\AjaxResponseSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:35:"ajax_response.attachments_processor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:20:"form_ajax_subscriber";s:532:"a:3:{s:5:"class";s:51:"Drupal\\Core\\Form\\EventSubscriber\\FormAjaxSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"form_ajax_response_builder";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"messenger";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:31:"route_enhancer.param_conversion";s:319:"a:3:{s:5:"class";s:52:"Drupal\\Core\\Routing\\Enhancer\\ParamConversionEnhancer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"paramconverter_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"route_enhancer.form";s:99:"a:2:{s:5:"class";s:46:"Drupal\\Core\\Routing\\Enhancer\\FormRouteEnhancer";s:15:"arguments_count";i:0;}";s:21:"route_enhancer.entity";s:100:"a:2:{s:5:"class";s:47:"Drupal\\Core\\Entity\\Enhancer\\EntityRouteEnhancer";s:15:"arguments_count";i:0;}";s:28:"route_enhancer.entity_bundle";s:317:"a:3:{s:5:"class";s:53:"Drupal\\Core\\Entity\\Enhancer\\EntityBundleRouteEnhancer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:30:"route_enhancer.entity_revision";s:109:"a:2:{s:5:"class";s:56:"Drupal\\Core\\Routing\\Enhancer\\EntityRevisionRouteEnhancer";s:15:"arguments_count";i:0;}";s:35:"route_special_attributes_subscriber";s:113:"a:2:{s:5:"class";s:60:"Drupal\\Core\\EventSubscriber\\SpecialAttributesRouteSubscriber";s:15:"arguments_count";i:0;}";s:28:"route_http_method_subscriber";s:102:"a:2:{s:5:"class";s:49:"Drupal\\Core\\EventSubscriber\\RouteMethodSubscriber";s:15:"arguments_count";i:0;}";s:28:"psr_response_view_subscriber";s:322:"a:3:{s:5:"class";s:49:"Drupal\\Core\\EventSubscriber\\PsrResponseSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"psr7.http_foundation_factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:28:"main_content_view_subscriber";s:514:"a:3:{s:5:"class";s:53:"Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:22:"main_content_renderers";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:17:"renderer_non_html";s:109:"a:2:{s:5:"class";s:56:"Drupal\\Core\\EventSubscriber\\RenderArrayNonHtmlSubscriber";s:15:"arguments_count";i:0;}";s:26:"main_content_renderer.html";s:1030:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Render\\MainContent\\HtmlRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"title_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.display_variant";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"render_cache";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:15:"renderer.config";}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:26:"main_content_renderer.ajax";s:414:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Render\\MainContent\\AjaxRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.element_info";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:28:"main_content_renderer.dialog";s:403:"a:3:{s:5:"class";s:45:"Drupal\\Core\\Render\\MainContent\\DialogRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"title_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:32:"main_content_renderer.off_canvas";s:406:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Render\\MainContent\\OffCanvasRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"title_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:36:"main_content_renderer.off_canvas_top";s:420:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Render\\MainContent\\OffCanvasRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"title_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:2;s:3:"top";}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:27:"main_content_renderer.modal";s:402:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Render\\MainContent\\ModalRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"title_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:15:"controller.form";s:536:"a:3:{s:5:"class";s:41:"Drupal\\Core\\Controller\\HtmlFormController";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:40:"http_kernel.controller.argument_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"form_builder";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"class_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:22:"controller.entity_form";s:543:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Entity\\HtmlEntityFormController";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:40:"http_kernel.controller.argument_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"form_builder";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:26:"form_ajax_response_builder";s:422:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Form\\FormAjaxResponseBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"main_content_renderer.ajax";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:15:"router_listener";s:532:"a:3:{s:5:"class";s:57:"Symfony\\Component\\HttpKernel\\EventListener\\RouterListener";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"router";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"router.request_context";s:15:"invalidBehavior";i:1;}i:3;N;}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:24:"options_request_listener";s:318:"a:3:{s:5:"class";s:52:"Drupal\\Core\\EventSubscriber\\OptionsRequestSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"bare_html_page_renderer";s:377:"a:3:{s:5:"class";s:50:"Drupal\\Core\\ProxyClass\\Render\\BareHtmlPageRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:53:"drupal.proxy_original_service.bare_html_page_renderer";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:11:"private_key";s:271:"a:3:{s:5:"class";s:22:"Drupal\\Core\\PrivateKey";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:10:"csrf_token";s:413:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Access\\CsrfTokenGenerator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"private_key";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"session_manager.metadata_bag";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:33:"access_arguments_resolver_factory";s:102:"a:2:{s:5:"class";s:49:"Drupal\\Core\\Access\\AccessArgumentsResolverFactory";s:15:"arguments_count";i:0;}";s:14:"access_manager";s:4711:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Access\\AccessManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"paramconverter_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"access_arguments_resolver_factory";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:29:"access_manager.check_provider";s:5:"value";a:4:{s:5:"class";s:32:"Drupal\\Core\\Access\\CheckProvider";s:6:"public";b:0;s:15:"arguments_count";i:0;s:5:"calls";a:25:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:20:"access_check.default";i:1;s:6:"access";i:2;a:1:{i:0;s:7:"_access";}i:3;b:0;}}i:2;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:19:"access_check.entity";i:1;s:6:"access";i:2;a:1:{i:0;s:14:"_entity_access";}i:3;b:0;}}i:3;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:27:"access_check.entity_bundles";i:1;s:6:"access";i:2;a:1:{i:0;s:15:"_entity_bundles";}i:3;b:0;}}i:4;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:26:"access_check.entity_create";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_entity_create_access";}i:3;b:0;}}i:5;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:30:"access_check.entity_create_any";i:1;s:6:"access";i:2;a:1:{i:0;s:25:"_entity_create_any_access";}i:3;b:0;}}i:6;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:35:"access_check.entity_delete_multiple";i:1;s:6:"access";i:2;a:1:{i:0;s:30:"_entity_delete_multiple_access";}i:3;b:0;}}i:7;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:18:"access_check.theme";i:1;s:6:"access";i:2;a:1:{i:0;s:13:"_access_theme";}i:3;b:0;}}i:8;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:19:"access_check.custom";i:1;s:6:"access";i:2;a:1:{i:0;s:14:"_custom_access";}i:3;b:0;}}i:9;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:17:"access_check.csrf";i:1;s:6:"access";i:2;a:1:{i:0;s:11:"_csrf_token";}i:3;b:1;}}i:10;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:24:"access_check.header.csrf";i:1;s:6:"access";i:2;a:0:{}i:3;b:1;}}i:11;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:29:"access_check.contact_personal";i:1;s:6:"access";i:2;a:1:{i:0;s:28:"_access_contact_personal_tab";}i:3;b:0;}}i:12;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:31:"access_check.field_ui.view_mode";i:1;s:6:"access";i:2;a:1:{i:0;s:26:"_field_ui_view_mode_access";}i:3;b:0;}}i:13;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:31:"access_check.field_ui.form_mode";i:1;s:6:"access";i:2;a:1:{i:0;s:26:"_field_ui_form_mode_access";}i:3;b:0;}}i:14;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:26:"access_check.node.revision";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_access_node_revision";}i:3;b:0;}}i:15;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:21:"access_check.node.add";i:1;s:6:"access";i:2;a:1:{i:0;s:16:"_node_add_access";}i:3;b:0;}}i:16;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:25:"access_check.node.preview";i:1;s:6:"access";i:2;a:1:{i:0;s:20:"_node_preview_access";}i:3;b:0;}}i:17;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:35:"access_check.quickedit.entity_field";i:1;s:6:"access";i:2;a:1:{i:0;s:30:"_access_quickedit_entity_field";}i:3;b:0;}}i:18;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:17:"access_check.cron";i:1;s:6:"access";i:2;a:1:{i:0;s:19:"_access_system_cron";}i:3;b:0;}}i:19;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:22:"access_check.db_update";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_access_system_update";}i:3;b:0;}}i:20;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:34:"access_check.update.manager_access";i:1;s:6:"access";i:2;a:1:{i:0;s:22:"_access_update_manager";}i:3;b:0;}}i:21;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:23:"access_check.permission";i:1;s:6:"access";i:2;a:1:{i:0;s:11:"_permission";}i:3;b:0;}}i:22;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:26:"access_check.user.register";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_access_user_register";}i:3;b:0;}}i:23;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:22:"access_check.user.role";i:1;s:6:"access";i:2;a:1:{i:0;s:5:"_role";}i:3;b:0;}}i:24;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:30:"access_check.user.login_status";i:1;s:6:"access";i:2;a:1:{i:0;s:18:"_user_is_logged_in";}i:3;b:0;}}}}s:6:"shared";b:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:20:"access_check.default";s:90:"a:2:{s:5:"class";s:37:"Drupal\\Core\\Access\\DefaultAccessCheck";s:15:"arguments_count";i:0;}";s:19:"access_check.entity";s:89:"a:2:{s:5:"class";s:36:"Drupal\\Core\\Entity\\EntityAccessCheck";s:15:"arguments_count";i:0;}";s:27:"access_check.entity_bundles";s:95:"a:2:{s:5:"class";s:42:"Drupal\\Core\\Entity\\EntityBundleAccessCheck";s:15:"arguments_count";i:0;}";s:26:"access_check.entity_create";s:306:"a:3:{s:5:"class";s:42:"Drupal\\Core\\Entity\\EntityCreateAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:30:"access_check.entity_create_any";s:424:"a:3:{s:5:"class";s:45:"Drupal\\Core\\Entity\\EntityCreateAnyAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"entity_type.bundle.info";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:35:"access_check.entity_delete_multiple";s:528:"a:3:{s:5:"class";s:50:"Drupal\\Core\\Entity\\EntityDeleteMultipleAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"tempstore.private";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:18:"access_check.theme";s:292:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Theme\\ThemeAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"access_check.custom";s:425:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Access\\CustomAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"access_arguments_resolver_factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:17:"access_check.csrf";s:289:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Access\\CsrfAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:24:"access_check.header.csrf";s:415:"a:3:{s:5:"class";s:47:"Drupal\\Core\\Access\\CsrfRequestHeaderAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"session_configuration";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:16:"maintenance_mode";s:387:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Site\\MaintenanceMode";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:27:"maintenance_mode_subscriber";s:1062:"a:3:{s:5:"class";s:53:"Drupal\\Core\\EventSubscriber\\MaintenanceModeSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"maintenance_mode";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"url_generator";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"bare_html_page_renderer";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"messenger";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:32:"route_access_response_subscriber";s:110:"a:2:{s:5:"class";s:57:"Drupal\\Core\\EventSubscriber\\RouteAccessResponseSubscriber";s:15:"arguments_count";i:0;}";s:32:"client_error_response_subscriber";s:110:"a:2:{s:5:"class";s:57:"Drupal\\Core\\EventSubscriber\\ClientErrorResponseSubscriber";s:15:"arguments_count";i:0;}";s:34:"anonymous_user_response_subscriber";s:316:"a:3:{s:5:"class";s:59:"Drupal\\Core\\EventSubscriber\\AnonymousUserResponseSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:35:"ajax_response.attachments_processor";s:965:"a:3:{s:5:"class";s:49:"Drupal\\Core\\Ajax\\AjaxResponseAttachmentsProcessor";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"asset.resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:29:"asset.css.collection_renderer";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"asset.js.collection_renderer";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:35:"html_response.attachments_processor";s:967:"a:3:{s:5:"class";s:51:"Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"asset.resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:29:"asset.css.collection_renderer";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"asset.js.collection_renderer";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:24:"html_response.subscriber";s:330:"a:3:{s:5:"class";s:50:"Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:35:"html_response.attachments_processor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:26:"finish_response_subscriber";s:776:"a:3:{s:5:"class";s:52:"Drupal\\Core\\EventSubscriber\\FinishResponseSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"page_cache_request_policy";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"page_cache_response_policy";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_contexts_manager";s:15:"invalidBehavior";i:1;}i:5;b:0;}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:29:"response_generator_subscriber";s:108:"a:2:{s:5:"class";s:55:"Drupal\\Core\\EventSubscriber\\ResponseGeneratorSubscriber";s:15:"arguments_count";i:0;}";s:28:"redirect_response_subscriber";s:435:"a:3:{s:5:"class";s:54:"Drupal\\Core\\EventSubscriber\\RedirectResponseSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"unrouted_url_assembler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"router.request_context";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:35:"redirect_leading_slashes_subscriber";s:113:"a:2:{s:5:"class";s:60:"Drupal\\Core\\EventSubscriber\\RedirectLeadingSlashesSubscriber";s:15:"arguments_count";i:0;}";s:24:"request_close_subscriber";s:309:"a:3:{s:5:"class";s:50:"Drupal\\Core\\EventSubscriber\\RequestCloseSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:24:"config_import_subscriber";s:2150:"a:4:{s:5:"class";s:50:"Drupal\\Core\\EventSubscriber\\ConfigImportSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;s:5:"calls";a:6:{i:0;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:57:"drupal.proxy_original_service.content_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:65:"drupal.proxy_original_service.required_module_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:75:"drupal.proxy_original_service.module_required_by_themes_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:65:"drupal.proxy_original_service.database_driver_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:55:"drupal.proxy_original_service.field.uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:5;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:56:"drupal.proxy_original_service.filter.uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:26:"config_snapshot_subscriber";s:532:"a:3:{s:5:"class";s:52:"Drupal\\Core\\EventSubscriber\\ConfigSnapshotSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"config.storage.snapshot";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:33:"config_exclude_modules_subscriber";s:522:"a:3:{s:5:"class";s:58:"Drupal\\Core\\EventSubscriber\\ExcludedModulesEventSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:25:"exception.needs_installer";s:317:"a:3:{s:5:"class";s:65:"Drupal\\Core\\EventSubscriber\\ExceptionDetectNeedsInstallSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:22:"exception.default_json";s:104:"a:2:{s:5:"class";s:51:"Drupal\\Core\\EventSubscriber\\ExceptionJsonSubscriber";s:15:"arguments_count";i:0;}";s:22:"exception.default_html";s:651:"a:3:{s:5:"class";s:58:"Drupal\\Core\\EventSubscriber\\DefaultExceptionHtmlSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"http_kernel";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"logger.channel.php";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"redirect.destination";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"router.no_access_checks";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:15:"exception.final";s:311:"a:3:{s:5:"class";s:52:"Drupal\\Core\\EventSubscriber\\FinalExceptionSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:16:"exception.logger";s:313:"a:3:{s:5:"class";s:54:"Drupal\\Core\\EventSubscriber\\ExceptionLoggingSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:26:"exception.custom_page_html";s:866:"a:3:{s:5:"class";s:61:"Drupal\\Core\\EventSubscriber\\CustomPageExceptionHtmlSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"http_kernel";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"logger.channel.php";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"redirect.destination";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"router.no_access_checks";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"access_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:23:"exception.fast_404_html";s:431:"a:3:{s:5:"class";s:58:"Drupal\\Core\\EventSubscriber\\Fast404ExceptionHtmlSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:32:"exception.enforced_form_response";s:111:"a:2:{s:5:"class";s:58:"Drupal\\Core\\EventSubscriber\\EnforcedFormResponseSubscriber";s:15:"arguments_count";i:0;}";s:23:"route_processor_manager";s:606:"a:3:{s:5:"class";s:48:"Drupal\\Core\\RouteProcessor\\RouteProcessorManager";s:15:"arguments_count";i:0;s:5:"calls";a:2:{i:0;a:2:{i:0;s:11:"addOutbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"route_processor_current";s:15:"invalidBehavior";i:1;}i:1;i:200;}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:11:"addOutbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"route_processor_csrf";s:15:"invalidBehavior";i:1;}i:1;i:0;}s:7:"resolve";b:1;}}}}";s:22:"path_processor_manager";s:1835:"a:3:{s:5:"class";s:46:"Drupal\\Core\\PathProcessor\\PathProcessorManager";s:15:"arguments_count";i:0;s:5:"calls";a:7:{i:0;a:2:{i:0;s:10:"addInbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"path_processor_decode";s:15:"invalidBehavior";i:1;}i:1;i:1000;}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:10:"addInbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"path_processor.image_styles";s:15:"invalidBehavior";i:1;}i:1;i:300;}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:10:"addInbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"path_processor_front";s:15:"invalidBehavior";i:1;}i:1;i:200;}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:10:"addInbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"path_processor.files";s:15:"invalidBehavior";i:1;}i:1;i:200;}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:10:"addInbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"path_alias.path_processor";s:15:"invalidBehavior";i:1;}i:1;i:100;}s:7:"resolve";b:1;}}i:5;a:2:{i:0;s:11:"addOutbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"path_alias.path_processor";s:15:"invalidBehavior";i:1;}i:1;i:300;}s:7:"resolve";b:1;}}i:6;a:2:{i:0;s:11:"addOutbound";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"webform_ui.path_processor";s:15:"invalidBehavior";i:1;}i:1;i:0;}s:7:"resolve";b:1;}}}}";s:21:"path_processor_decode";s:98:"a:2:{s:5:"class";s:45:"Drupal\\Core\\PathProcessor\\PathProcessorDecode";s:15:"arguments_count";i:0;}";s:20:"path_processor_front";s:303:"a:3:{s:5:"class";s:44:"Drupal\\Core\\PathProcessor\\PathProcessorFront";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"route_processor_current";s:312:"a:3:{s:5:"class";s:48:"Drupal\\Core\\RouteProcessor\\RouteProcessorCurrent";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:20:"route_processor_csrf";s:292:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Access\\RouteProcessorCsrf";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:15:"transliteration";s:311:"a:3:{s:5:"class";s:46:"Drupal\\Core\\Transliteration\\PhpTransliteration";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;N;i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:5:"flood";s:390:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Flood\\DatabaseBackend";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:19:"plugin.manager.mail";s:927:"a:3:{s:5:"class";s:28:"Drupal\\Core\\Mail\\MailManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:24:"plugin.manager.condition";s:516:"a:3:{s:5:"class";s:38:"Drupal\\Core\\Condition\\ConditionManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:27:"plugin.manager.element_info";s:734:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Render\\ElementInfoManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:22:"stream_wrapper_manager";s:653:"a:3:{s:5:"class";s:46:"Drupal\\Core\\StreamWrapper\\StreamWrapperManager";s:15:"arguments_count";i:0;s:5:"calls";a:3:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:16:"addStreamWrapper";i:1;a:3:{i:0;s:21:"stream_wrapper.public";i:1;s:38:"Drupal\\Core\\StreamWrapper\\PublicStream";i:2;s:6:"public";}}i:2;a:2:{i:0;s:16:"addStreamWrapper";i:1;a:3:{i:0;s:24:"stream_wrapper.temporary";i:1;s:41:"Drupal\\Core\\StreamWrapper\\TemporaryStream";i:2;s:9:"temporary";}}}}";s:21:"stream_wrapper.public";s:91:"a:2:{s:5:"class";s:38:"Drupal\\Core\\StreamWrapper\\PublicStream";s:15:"arguments_count";i:0;}";s:24:"stream_wrapper.temporary";s:94:"a:2:{s:5:"class";s:41:"Drupal\\Core\\StreamWrapper\\TemporaryStream";s:15:"arguments_count";i:0;}";s:26:"kernel_destruct_subscriber";s:944:"a:3:{s:5:"class";s:55:"Drupal\\Core\\EventSubscriber\\KernelDestructionSubscriber";s:15:"arguments_count";i:0;s:5:"calls";a:8:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:15:"registerService";i:1;a:1:{i:0;s:17:"menu.active_trail";}}i:2;a:2:{i:0;s:15:"registerService";i:1;a:1:{i:0;s:14:"theme.registry";}}i:3;a:2:{i:0;s:15:"registerService";i:1;a:1:{i:0;s:27:"library.discovery.collector";}}i:4;a:2:{i:0;s:15:"registerService";i:1;a:1:{i:0;s:25:"block_content.uuid_lookup";}}i:5;a:2:{i:0;s:15:"registerService";i:1;a:1:{i:0;s:20:"path_alias.whitelist";}}i:6;a:2:{i:0;s:15:"registerService";i:1;a:1:{i:0;s:27:"paragraphs_type.uuid_lookup";}}i:7;a:2:{i:0;s:15:"registerService";i:1;a:1:{i:0;s:44:"drupal.proxy_original_service.router.builder";}}}}";s:21:"image.toolkit.manager";s:628:"a:3:{s:5:"class";s:44:"Drupal\\Core\\ImageToolkit\\ImageToolkitManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:31:"image.toolkit.operation.manager";s:756:"a:3:{s:5:"class";s:53:"Drupal\\Core\\ImageToolkit\\ImageToolkitOperationManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"logger.channel.image";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"image.toolkit.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:13:"image.factory";s:296:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Image\\ImageFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"image.toolkit.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:10:"breadcrumb";s:1290:"a:4:{s:5:"class";s:40:"Drupal\\Core\\Breadcrumb\\BreadcrumbManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;s:5:"calls";a:4:{i:0;a:2:{i:0;s:10:"addBuilder";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"taxonomy_term.breadcrumb";s:15:"invalidBehavior";i:1;}i:1;i:1002;}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:10:"addBuilder";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"webform.breadcrumb";s:15:"invalidBehavior";i:1;}i:1;i:1002;}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:10:"addBuilder";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"comment.breadcrumb";s:15:"invalidBehavior";i:1;}i:1;i:100;}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:10:"addBuilder";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"system.breadcrumb.default";s:15:"invalidBehavior";i:1;}i:1;i:0;}s:7:"resolve";b:1;}}}}";s:5:"token";s:710:"a:3:{s:5:"class";s:25:"Drupal\\Core\\Utility\\Token";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:13:"batch.storage";s:358:"a:3:{s:5:"class";s:41:"Drupal\\Core\\ProxyClass\\Batch\\BatchStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:43:"drupal.proxy_original_service.batch.storage";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:15:"country_manager";s:292:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Locale\\CountryManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:14:"date.formatter";s:727:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Datetime\\DateFormatter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:18:"feed.bridge.reader";s:505:"a:4:{s:5:"class";s:53:"Drupal\\Component\\Bridge\\ZfExtensionManagerSfContainer";s:9:"arguments";a:1:{i:0;s:12:"feed.reader.";}s:15:"arguments_count";i:1;s:5:"calls";a:2:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:13:"setStandalone";i:1;a:1:{i:0;s:47:"\\Laminas\\Feed\\Reader\\StandaloneExtensionManager";}}}}";s:18:"feed.bridge.writer";s:505:"a:4:{s:5:"class";s:53:"Drupal\\Component\\Bridge\\ZfExtensionManagerSfContainer";s:9:"arguments";a:1:{i:0;s:12:"feed.writer.";}s:15:"arguments_count";i:1;s:5:"calls";a:2:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:13:"setStandalone";i:1;a:1:{i:0;s:47:"\\Laminas\\Feed\\Writer\\StandaloneExtensionManager";}}}}";s:27:"feed.reader.dublincoreentry";s:116:"a:3:{s:5:"class";s:46:"Laminas\\Feed\\Reader\\Extension\\DublinCore\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:26:"feed.reader.dublincorefeed";s:115:"a:3:{s:5:"class";s:45:"Laminas\\Feed\\Reader\\Extension\\DublinCore\\Feed";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:24:"feed.reader.contententry";s:113:"a:3:{s:5:"class";s:43:"Laminas\\Feed\\Reader\\Extension\\Content\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:21:"feed.reader.atomentry";s:110:"a:3:{s:5:"class";s:40:"Laminas\\Feed\\Reader\\Extension\\Atom\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:20:"feed.reader.atomfeed";s:109:"a:3:{s:5:"class";s:39:"Laminas\\Feed\\Reader\\Extension\\Atom\\Feed";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:22:"feed.reader.slashentry";s:111:"a:3:{s:5:"class";s:41:"Laminas\\Feed\\Reader\\Extension\\Slash\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:30:"feed.reader.wellformedwebentry";s:119:"a:3:{s:5:"class";s:49:"Laminas\\Feed\\Reader\\Extension\\WellFormedWeb\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:23:"feed.reader.threadentry";s:112:"a:3:{s:5:"class";s:42:"Laminas\\Feed\\Reader\\Extension\\Thread\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:24:"feed.reader.podcastentry";s:113:"a:3:{s:5:"class";s:43:"Laminas\\Feed\\Reader\\Extension\\Podcast\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:23:"feed.reader.podcastfeed";s:112:"a:3:{s:5:"class";s:42:"Laminas\\Feed\\Reader\\Extension\\Podcast\\Feed";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:28:"feed.writer.atomrendererfeed";s:118:"a:3:{s:5:"class";s:48:"Laminas\\Feed\\Writer\\Extension\\Atom\\Renderer\\Feed";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:32:"feed.writer.contentrendererentry";s:122:"a:3:{s:5:"class";s:52:"Laminas\\Feed\\Writer\\Extension\\Content\\Renderer\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:35:"feed.writer.dublincorerendererentry";s:125:"a:3:{s:5:"class";s:55:"Laminas\\Feed\\Writer\\Extension\\DublinCore\\Renderer\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:34:"feed.writer.dublincorerendererfeed";s:124:"a:3:{s:5:"class";s:54:"Laminas\\Feed\\Writer\\Extension\\DublinCore\\Renderer\\Feed";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:23:"feed.writer.itunesentry";s:112:"a:3:{s:5:"class";s:42:"Laminas\\Feed\\Writer\\Extension\\ITunes\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:22:"feed.writer.itunesfeed";s:111:"a:3:{s:5:"class";s:41:"Laminas\\Feed\\Writer\\Extension\\ITunes\\Feed";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:31:"feed.writer.itunesrendererentry";s:121:"a:3:{s:5:"class";s:51:"Laminas\\Feed\\Writer\\Extension\\ITunes\\Renderer\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:30:"feed.writer.itunesrendererfeed";s:120:"a:3:{s:5:"class";s:50:"Laminas\\Feed\\Writer\\Extension\\ITunes\\Renderer\\Feed";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:30:"feed.writer.slashrendererentry";s:120:"a:3:{s:5:"class";s:50:"Laminas\\Feed\\Writer\\Extension\\Slash\\Renderer\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:34:"feed.writer.threadingrendererentry";s:124:"a:3:{s:5:"class";s:54:"Laminas\\Feed\\Writer\\Extension\\Threading\\Renderer\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:38:"feed.writer.wellformedwebrendererentry";s:128:"a:3:{s:5:"class";s:58:"Laminas\\Feed\\Writer\\Extension\\WellFormedWeb\\Renderer\\Entry";s:15:"arguments_count";i:0;s:6:"shared";b:0;}";s:13:"theme.manager";s:806:"a:4:{s:5:"class";s:30:"Drupal\\Core\\Theme\\ThemeManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"theme.negotiator";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"theme.initialization";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;s:5:"calls";a:1:{i:0;a:2:{i:0;s:16:"setThemeRegistry";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"theme.registry";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:20:"theme.initialization";s:555:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Theme\\ThemeInitialization";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:14:"theme.registry";s:1217:"a:4:{s:5:"class";s:26:"Drupal\\Core\\Theme\\Registry";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"theme.initialization";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;s:5:"calls";a:1:{i:0;a:2:{i:0;s:15:"setThemeManager";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:14:"authentication";s:317:"a:3:{s:5:"class";s:48:"Drupal\\Core\\Authentication\\AuthenticationManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"authentication_collector";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:24:"authentication_collector";s:393:"a:3:{s:5:"class";s:50:"Drupal\\Core\\Authentication\\AuthenticationCollector";s:15:"arguments_count";i:0;s:5:"calls";a:1:{i:0;a:2:{i:0;s:11:"addProvider";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"user.authentication.cookie";s:15:"invalidBehavior";i:1;}i:1;s:6:"cookie";i:2;i:0;i:3;b:1;}s:7:"resolve";b:1;}}}}";s:25:"authentication_subscriber";s:415:"a:3:{s:5:"class";s:52:"Drupal\\Core\\EventSubscriber\\AuthenticationSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"authentication";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:16:"account_switcher";s:410:"a:3:{s:5:"class";s:35:"Drupal\\Core\\Session\\AccountSwitcher";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"session_handler.write_safe";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:31:"user_permissions_hash_generator";s:511:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Session\\PermissionsHashGenerator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"private_key";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"cache.static";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:12:"current_user";s:293:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Session\\AccountProxy";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"session_configuration";s:285:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Session\\SessionConfiguration";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:23:"session.storage.options";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:7:"session";s:841:"a:3:{s:5:"class";s:48:"Symfony\\Component\\HttpFoundation\\Session\\Session";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"session_manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__g9uAg6Wct6g4hzpSWnSSQC4s0UIIVnnc9tWJB9kq-_A";s:5:"value";a:3:{s:5:"class";s:63:"Symfony\\Component\\HttpFoundation\\Session\\Attribute\\AttributeBag";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:0;}i:2;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:17:"session.flash_bag";s:5:"value";a:3:{s:5:"class";s:55:"Symfony\\Component\\HttpFoundation\\Session\\Flash\\FlashBag";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:23:"session_handler.storage";s:391:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Session\\SessionHandler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:26:"session_handler.write_safe";s:311:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Session\\WriteSafeSessionHandler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"session_handler.storage";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:15:"session_manager";s:1007:"a:4:{s:5:"class";s:34:"Drupal\\Core\\Session\\SessionManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"session_manager.metadata_bag";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"session_configuration";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"session_handler.write_safe";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;s:5:"calls";a:1:{i:0;a:2:{i:0;s:19:"setWriteSafeHandler";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"session_handler.write_safe";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:28:"session_manager.metadata_bag";s:283:"a:3:{s:5:"class";s:31:"Drupal\\Core\\Session\\MetadataBag";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:29:"asset.css.collection_renderer";s:398:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Asset\\CssCollectionRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"file_url_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:30:"asset.css.collection_optimizer";s:731:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Asset\\CssCollectionOptimizer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"asset.css.collection_grouper";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"asset.css.optimizer";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"asset.css.dumper";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:19:"asset.css.optimizer";s:293:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Asset\\CssOptimizer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"file_url_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:28:"asset.css.collection_grouper";s:91:"a:2:{s:5:"class";s:38:"Drupal\\Core\\Asset\\CssCollectionGrouper";s:15:"arguments_count";i:0;}";s:16:"asset.css.dumper";s:285:"a:3:{s:5:"class";s:29:"Drupal\\Core\\Asset\\AssetDumper";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:28:"asset.js.collection_renderer";s:397:"a:3:{s:5:"class";s:38:"Drupal\\Core\\Asset\\JsCollectionRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"file_url_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:29:"asset.js.collection_optimizer";s:727:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Asset\\JsCollectionOptimizer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"asset.js.collection_grouper";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"asset.js.optimizer";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"asset.js.dumper";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:18:"asset.js.optimizer";s:82:"a:2:{s:5:"class";s:29:"Drupal\\Core\\Asset\\JsOptimizer";s:15:"arguments_count";i:0;}";s:27:"asset.js.collection_grouper";s:90:"a:2:{s:5:"class";s:37:"Drupal\\Core\\Asset\\JsCollectionGrouper";s:15:"arguments_count";i:0;}";s:15:"asset.js.dumper";s:285:"a:3:{s:5:"class";s:29:"Drupal\\Core\\Asset\\AssetDumper";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:17:"library.discovery";s:306:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Asset\\LibraryDiscovery";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"library.discovery.collector";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:27:"library.discovery.collector";s:619:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Asset\\LibraryDiscoveryCollector";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"library.discovery.parser";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:24:"library.discovery.parser";s:811:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Asset\\LibraryDiscoveryParser";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:39:"library.libraries_directory_file_finder";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"extension.path.resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:39:"library.libraries_directory_file_finder";s:404:"a:3:{s:5:"class";s:46:"Drupal\\Core\\Asset\\LibrariesDirectoryFileFinder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;s:13:"sites/default";i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"extension.list.profile";s:15:"invalidBehavior";i:1;}i:3;s:8:"standard";}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:27:"library.dependency_resolver";s:305:"a:3:{s:5:"class";s:43:"Drupal\\Core\\Asset\\LibraryDependencyResolver";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"library.discovery";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:14:"asset.resolver";s:833:"a:3:{s:5:"class";s:31:"Drupal\\Core\\Asset\\AssetResolver";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"library.discovery";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"library.dependency_resolver";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.data";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:11:"info_parser";s:154:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Extension\\InfoParser";s:9:"arguments";a:1:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";}s:15:"arguments_count";i:1;}";s:4:"twig";s:2488:"a:4:{s:5:"class";s:36:"Drupal\\Core\\Template\\TwigEnvironment";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:2;s:43:"SRCbKmgqqgpsPRAqN02xrcmOgFlMGU89Cu_dJ9uwz7I";i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__htkP5TZKkKnAHTtZ3W5dYCXSb37oII-iaBzRJnCt0IY";s:5:"value";a:4:{s:5:"class";s:23:"Twig\\Loader\\ChainLoader";s:6:"public";b:0;s:15:"arguments_count";i:0;s:5:"calls";a:3:{i:0;a:2:{i:0;s:9:"addLoader";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"twig.loader.filesystem";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:9:"addLoader";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"twig.loader.theme_registry";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:9:"addLoader";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"twig.loader.string";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}s:6:"shared";b:0;}i:5;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:11:"twig.config";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;s:5:"calls";a:4:{i:0;a:2:{i:0;s:12:"addExtension";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"twig.extension";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:12:"addExtension";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"twig.extension.debug";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:12:"addExtension";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"twig.extension.varDumper";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:12:"addExtension";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"webform.twig_extension";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:14:"twig.extension";s:712:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Template\\TwigExtension";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"url_generator";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"date.formatter";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"file_url_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:20:"twig.extension.debug";s:82:"a:2:{s:5:"class";s:29:"Twig\\Extension\\DebugExtension";s:15:"arguments_count";i:0;}";s:24:"twig.extension.varDumper";s:88:"a:2:{s:5:"class";s:35:"Drupal\\Core\\Template\\DebugExtension";s:15:"arguments_count";i:0;}";s:22:"twig.loader.filesystem";s:500:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Template\\Loader\\FilesystemLoader";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:1:".";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:11:"twig.config";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:26:"twig.loader.theme_registry";s:306:"a:3:{s:5:"class";s:47:"Drupal\\Core\\Template\\Loader\\ThemeRegistryLoader";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"theme.registry";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:18:"twig.loader.string";s:93:"a:2:{s:5:"class";s:40:"Drupal\\Core\\Template\\Loader\\StringLoader";s:15:"arguments_count";i:0;}";s:20:"file.htaccess_writer";s:413:"a:3:{s:5:"class";s:31:"Drupal\\Core\\File\\HtaccessWriter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"logger.channel.security";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:22:"file.mime_type.guesser";s:686:"a:4:{s:5:"class";s:52:"Drupal\\Core\\ProxyClass\\File\\MimeType\\MimeTypeGuesser";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:52:"drupal.proxy_original_service.file.mime_type.guesser";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;s:5:"calls";a:1:{i:0;a:2:{i:0;s:18:"addMimeTypeGuesser";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:62:"drupal.proxy_original_service.file.mime_type.guesser.extension";s:15:"invalidBehavior";i:1;}i:1;i:0;}s:7:"resolve";b:1;}}}}";s:32:"file.mime_type.guesser.extension";s:397:"a:3:{s:5:"class";s:61:"Drupal\\Core\\ProxyClass\\File\\MimeType\\ExtensionMimeTypeGuesser";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:62:"drupal.proxy_original_service.file.mime_type.guesser.extension";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:28:"render_placeholder_generator";s:276:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Render\\PlaceholderGenerator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:15:"renderer.config";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:12:"render_cache";s:641:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Render\\PlaceholderingRenderCache";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_contexts_manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"render_placeholder_generator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:8:"renderer";s:928:"a:3:{s:5:"class";s:27:"Drupal\\Core\\Render\\Renderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.element_info";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:28:"render_placeholder_generator";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"render_cache";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:15:"renderer.config";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:45:"early_rendering_controller_wrapper_subscriber";s:453:"a:3:{s:5:"class";s:69:"Drupal\\Core\\EventSubscriber\\EarlyRenderingControllerWrapperSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:40:"http_kernel.controller.argument_resolver";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:45:"html_response.placeholder_strategy_subscriber";s:334:"a:3:{s:5:"class";s:69:"Drupal\\Core\\EventSubscriber\\HtmlResponsePlaceholderStrategySubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"placeholder_strategy";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:20:"placeholder_strategy";s:385:"a:3:{s:5:"class";s:57:"Drupal\\Core\\Render\\Placeholder\\ChainedPlaceholderStrategy";s:15:"arguments_count";i:0;s:5:"calls";a:1:{i:0;a:2:{i:0;s:22:"addPlaceholderStrategy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"placeholder_strategy.single_flush";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:33:"placeholder_strategy.single_flush";s:103:"a:2:{s:5:"class";s:50:"Drupal\\Core\\Render\\Placeholder\\SingleFlushStrategy";s:15:"arguments_count";i:0;}";s:15:"email.validator";s:92:"a:2:{s:5:"class";s:39:"Drupal\\Component\\Utility\\EmailValidator";s:15:"arguments_count";i:0;}";s:27:"update.update_hook_registry";s:254:"a:3:{s:5:"class";s:37:"Drupal\\Core\\Update\\UpdateHookRegistry";s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:35:"update.update_hook_registry_factory";s:15:"invalidBehavior";i:1;}i:1;s:6:"create";}}";s:35:"update.update_hook_registry_factory";s:346:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Update\\UpdateHookRegistryFactory";s:15:"arguments_count";i:0;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:27:"update.post_update_registry";s:250:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Update\\UpdateRegistry";s:15:"arguments_count";i:0;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:35:"update.post_update_registry_factory";s:15:"invalidBehavior";i:1;}i:1;s:6:"create";}}";s:35:"update.post_update_registry_factory";s:342:"a:3:{s:5:"class";s:40:"Drupal\\Core\\Update\\UpdateRegistryFactory";s:15:"arguments_count";i:0;s:5:"calls";a:1:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:4:"uuid";s:78:"a:2:{s:5:"class";s:25:"Drupal\\Component\\Uuid\\Php";s:15:"arguments_count";i:0;}";s:27:"response_filter.active_link";s:625:"a:3:{s:5:"class";s:52:"Drupal\\Core\\EventSubscriber\\ActiveLinkResponseFilter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.current";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.matcher";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:32:"response_filter.rss.relative_url";s:109:"a:2:{s:5:"class";s:56:"Drupal\\Core\\EventSubscriber\\RssResponseRelativeUrlFilter";s:15:"arguments_count";i:0;}";s:9:"messenger";s:543:"a:3:{s:5:"class";s:31:"Drupal\\Core\\Messenger\\Messenger";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:17:"session.flash_bag";s:5:"value";a:3:{s:5:"class";s:55:"Symfony\\Component\\HttpFoundation\\Session\\Flash\\FlashBag";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"page_cache_kill_switch";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:17:"tempstore.private";s:625:"a:3:{s:5:"class";s:45:"Drupal\\Core\\TempStore\\PrivateTempStoreFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"keyvalue.expirable";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:4;i:604800;}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:16:"tempstore.shared";s:624:"a:3:{s:5:"class";s:44:"Drupal\\Core\\TempStore\\SharedTempStoreFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"keyvalue.expirable";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:4;i:604800;}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:13:"pager.manager";s:291:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Pager\\PagerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"pager.parameters";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:16:"pager.parameters";s:291:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Pager\\PagerParameters";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:25:"automated_cron.subscriber";s:501:"a:3:{s:5:"class";s:51:"Drupal\\automated_cron\\EventSubscriber\\AutomatedCron";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"cron";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:33:"better_exposed_filters.bef_helper";s:109:"a:2:{s:5:"class";s:56:"Drupal\\better_exposed_filters\\BetterExposedFiltersHelper";s:15:"arguments_count";i:0;}";s:51:"plugin.manager.better_exposed_filters_filter_widget";s:565:"a:3:{s:5:"class";s:70:"Drupal\\better_exposed_filters\\Plugin\\BetterExposedFiltersWidgetManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:6:"filter";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:50:"plugin.manager.better_exposed_filters_pager_widget";s:564:"a:3:{s:5:"class";s:70:"Drupal\\better_exposed_filters\\Plugin\\BetterExposedFiltersWidgetManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:5:"pager";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:49:"plugin.manager.better_exposed_filters_sort_widget";s:563:"a:3:{s:5:"class";s:70:"Drupal\\better_exposed_filters\\Plugin\\BetterExposedFiltersWidgetManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:4:"sort";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:33:"theme.negotiator.block.admin_demo";s:91:"a:2:{s:5:"class";s:38:"Drupal\\block\\Theme\\AdminDemoNegotiator";s:15:"arguments_count";i:0;}";s:37:"block.page_display_variant_subscriber";s:115:"a:2:{s:5:"class";s:62:"Drupal\\block\\EventSubscriber\\BlockPageDisplayVariantSubscriber";s:15:"arguments_count";i:0;}";s:16:"block.repository";s:504:"a:3:{s:5:"class";s:28:"Drupal\\block\\BlockRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"context.handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:25:"block_content.uuid_lookup";s:510:"a:3:{s:5:"class";s:44:"\\Drupal\\block_content\\BlockContentUuidLookup";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:18:"breakpoint.manager";s:616:"a:3:{s:5:"class";s:35:"Drupal\\breakpoint\\BreakpointManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:30:"plugin.manager.ckeditor.plugin";s:515:"a:3:{s:5:"class";s:37:"Drupal\\ckeditor\\CKEditorPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:30:"color.config_cache_invalidator";s:323:"a:3:{s:5:"class";s:56:"Drupal\\color\\EventSubscriber\\ColorConfigCacheInvalidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:18:"comment.breadcrumb";s:303:"a:3:{s:5:"class";s:39:"Drupal\\comment\\CommentBreadcrumbBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:15:"comment.manager";s:948:"a:3:{s:5:"class";s:29:"Drupal\\comment\\CommentManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"entity_field.manager";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"entity_display.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:18:"comment.statistics";s:703:"a:3:{s:5:"class";s:32:"Drupal\\comment\\CommentStatistics";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"database.replica";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:21:"comment.lazy_builders";s:825:"a:3:{s:5:"class";s:34:"Drupal\\comment\\CommentLazyBuilders";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity.form_builder";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"comment.manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:20:"comment.link_builder";s:724:"a:3:{s:5:"class";s:33:"Drupal\\comment\\CommentLinkBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"comment.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:24:"config.config_subscriber";s:83:"a:2:{s:5:"class";s:30:"Drupal\\config\\ConfigSubscriber";s:15:"arguments_count";i:0;}";s:29:"access_check.contact_personal";s:398:"a:3:{s:5:"class";s:39:"Drupal\\contact\\Access\\ContactPageAccess";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"user.data";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:20:"contact.mail_handler";s:733:"a:3:{s:5:"class";s:26:"Drupal\\contact\\MailHandler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"plugin.manager.mail";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"logger.channel.contact";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:22:"logger.channel.contact";s:265:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:7:"contact";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:12:"logger.dblog";s:394:"a:3:{s:5:"class";s:25:"Drupal\\dblog\\Logger\\DbLog";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"logger.log_message_parser";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:24:"cache.dynamic_page_cache";s:283:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:18:"dynamic_page_cache";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:29:"dynamic_page_cache_subscriber";s:660:"a:3:{s:5:"class";s:68:"Drupal\\dynamic_page_cache\\EventSubscriber\\DynamicPageCacheSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"dynamic_page_cache_request_policy";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:34:"dynamic_page_cache_response_policy";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"render_cache";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":2:{s:4:"type";s:9:"parameter";s:4:"name";s:15:"renderer.config";}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:33:"dynamic_page_cache_request_policy";s:123:"a:2:{s:5:"class";s:70:"Drupal\\dynamic_page_cache\\PageCache\\RequestPolicy\\DefaultRequestPolicy";s:15:"arguments_count";i:0;}";s:34:"dynamic_page_cache_response_policy";s:390:"a:3:{s:5:"class";s:52:"Drupal\\Core\\ProxyClass\\PageCache\\ChainResponsePolicy";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:64:"drupal.proxy_original_service.dynamic_page_cache_response_policy";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:21:"plugin.manager.editor";s:512:"a:3:{s:5:"class";s:34:"Drupal\\editor\\Plugin\\EditorManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:14:"element.editor";s:287:"a:3:{s:5:"class";s:21:"Drupal\\editor\\Element";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"plugin.manager.editor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:43:"editor.config_translation_mapper_subscriber";s:322:"a:3:{s:5:"class";s:63:"Drupal\\editor\\EventSubscriber\\EditorConfigTranslationSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:40:"entity_reference_revisions.orphan_purger";s:744:"a:3:{s:5:"class";s:70:"Drupal\\entity_reference_revisions\\EntityReferenceRevisionsOrphanPurger";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"date.formatter";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"datetime.time";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"messenger";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:25:"field.uninstall_validator";s:376:"a:3:{s:5:"class";s:47:"Drupal\\field\\ProxyClass\\FieldUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:55:"drupal.proxy_original_service.field.uninstall_validator";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:37:"plugin.manager.field_group.formatters";s:529:"a:3:{s:5:"class";s:51:"Drupal\\field_group\\FieldGroupFormatterPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:22:"field_group.subscriber";s:306:"a:3:{s:5:"class";s:42:"Drupal\\field_group\\Routing\\RouteSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:27:"field_group.param_converter";s:99:"a:2:{s:5:"class";s:46:"Drupal\\field_group\\Routing\\FieldGroupConverter";s:15:"arguments_count";i:0;}";s:19:"field_ui.subscriber";s:303:"a:3:{s:5:"class";s:39:"Drupal\\field_ui\\Routing\\RouteSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:31:"access_check.field_ui.view_mode";s:306:"a:3:{s:5:"class";s:42:"Drupal\\field_ui\\Access\\ViewModeAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:31:"access_check.field_ui.form_mode";s:306:"a:3:{s:5:"class";s:42:"Drupal\\field_ui\\Access\\FormModeAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:10:"file.usage";s:426:"a:3:{s:5:"class";s:46:"Drupal\\file\\FileUsage\\DatabaseFileUsageBackend";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:2;s:10:"file_usage";}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:19:"file.upload_handler";s:948:"a:3:{s:5:"class";s:36:"Drupal\\file\\Upload\\FileUploadHandler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"file.mime_type.guesser";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:15:"file.repository";s:819:"a:3:{s:5:"class";s:26:"Drupal\\file\\FileRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"file.usage";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:21:"plugin.manager.filter";s:511:"a:3:{s:5:"class";s:33:"Drupal\\filter\\FilterPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:26:"filter.uninstall_validator";s:379:"a:3:{s:5:"class";s:49:"Drupal\\filter\\ProxyClass\\FilterUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:56:"drupal.proxy_original_service.filter.uninstall_validator";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:45:"fullcalendar_view.timezone_conversion_service";s:93:"a:2:{s:5:"class";s:40:"Drupal\\fullcalendar_view\\TimezoneService";s:15:"arguments_count";i:0;}";s:32:"fullcalendar_view.taxonomy_color";s:302:"a:3:{s:5:"class";s:38:"Drupal\\fullcalendar_view\\TaxonomyColor";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:27:"plugin.manager.help_section";s:508:"a:3:{s:5:"class";s:30:"Drupal\\help\\HelpSectionManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:27:"path_processor.image_styles";s:318:"a:3:{s:5:"class";s:51:"Drupal\\image\\PathProcessor\\PathProcessorImageStyles";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:27:"plugin.manager.image.effect";s:509:"a:3:{s:5:"class";s:31:"Drupal\\image\\ImageEffectManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:21:"node.route_subscriber";s:88:"a:2:{s:5:"class";s:35:"Drupal\\node\\Routing\\RouteSubscriber";s:15:"arguments_count";i:0;}";s:18:"node.grant_storage";s:502:"a:3:{s:5:"class";s:36:"Drupal\\node\\NodeGrantDatabaseStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:26:"access_check.node.revision";s:306:"a:3:{s:5:"class";s:42:"Drupal\\node\\Access\\NodeRevisionAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"access_check.node.add";s:301:"a:3:{s:5:"class";s:37:"Drupal\\node\\Access\\NodeAddAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:25:"access_check.node.preview";s:305:"a:3:{s:5:"class";s:41:"Drupal\\node\\Access\\NodePreviewAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:32:"node.admin_path.route_subscriber";s:417:"a:3:{s:5:"class";s:52:"Drupal\\node\\EventSubscriber\\NodeAdminRouteSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"router.builder";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:12:"node_preview";s:374:"a:3:{s:5:"class";s:58:"Drupal\\node\\ProxyClass\\ParamConverter\\NodePreviewConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:42:"drupal.proxy_original_service.node_preview";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:30:"cache_context.user.node_grants";s:303:"a:3:{s:5:"class";s:46:"Drupal\\node\\Cache\\NodeAccessGrantsCacheContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"node.node_route_context";s:308:"a:3:{s:5:"class";s:44:"Drupal\\node\\ContextProvider\\NodeRouteContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:26:"http_middleware.page_cache";s:658:"a:3:{s:5:"class";s:43:"Drupal\\page_cache\\StackMiddleware\\PageCache";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:33:"http_middleware.kernel_pre_handle";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.page";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"page_cache_request_policy";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:26:"page_cache_response_policy";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:10:"cache.page";s:268:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:4:"page";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:21:"path_alias.subscriber";s:420:"a:3:{s:5:"class";s:53:"Drupal\\path_alias\\EventSubscriber\\PathAliasSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"path_alias.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.current";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:25:"path_alias.path_processor";s:313:"a:3:{s:5:"class";s:50:"Drupal\\path_alias\\PathProcessor\\AliasPathProcessor";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"path_alias.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:18:"path_alias.manager";s:618:"a:3:{s:5:"class";s:30:"Drupal\\path_alias\\AliasManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"path_alias.repository";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"path_alias.whitelist";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.data";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:21:"path_alias.repository";s:285:"a:3:{s:5:"class";s:33:"Drupal\\path_alias\\AliasRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:20:"path_alias.whitelist";s:628:"a:3:{s:5:"class";s:32:"Drupal\\path_alias\\AliasWhitelist";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:20:"path_alias_whitelist";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"path_alias.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:31:"plugin.manager.quickedit.editor";s:522:"a:3:{s:5:"class";s:44:"Drupal\\quickedit\\Plugin\\InPlaceEditorManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:35:"access_check.quickedit.entity_field";s:108:"a:2:{s:5:"class";s:55:"Drupal\\quickedit\\Access\\QuickEditEntityFieldAccessCheck";s:15:"arguments_count";i:0;}";s:25:"quickedit.editor.selector";s:429:"a:3:{s:5:"class";s:31:"Drupal\\quickedit\\EditorSelector";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.quickedit.editor";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.field.formatter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:28:"quickedit.metadata.generator";s:554:"a:3:{s:5:"class";s:34:"Drupal\\quickedit\\MetadataGenerator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:35:"access_check.quickedit.entity_field";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"quickedit.editor.selector";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.quickedit.editor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:21:"plugin.manager.search";s:511:"a:3:{s:5:"class";s:33:"Drupal\\search\\SearchPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:29:"search.search_page_repository";s:404:"a:3:{s:5:"class";s:34:"Drupal\\search\\SearchPageRepository";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:12:"search.index";s:718:"a:3:{s:5:"class";s:25:"Drupal\\search\\SearchIndex";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"database.replica";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"search.text_processor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:21:"search.text_processor";s:505:"a:3:{s:5:"class";s:33:"Drupal\\search\\SearchTextProcessor";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"transliteration";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:22:"shortcut.lazy_builders";s:288:"a:3:{s:5:"class";s:36:"Drupal\\shortcut\\ShortcutLazyBuilders";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"statistics.storage.node";s:500:"a:3:{s:5:"class";s:47:"Drupal\\statistics\\NodeStatisticsDatabaseStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:17:"access_check.cron";s:89:"a:2:{s:5:"class";s:36:"Drupal\\system\\Access\\CronAccessCheck";s:15:"arguments_count";i:0;}";s:22:"access_check.db_update";s:93:"a:2:{s:5:"class";s:40:"Drupal\\system\\Access\\DbUpdateAccessCheck";s:15:"arguments_count";i:0;}";s:14:"system.manager";s:606:"a:3:{s:5:"class";s:27:"Drupal\\system\\SystemManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"menu.link_tree";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"menu.active_trail";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:25:"system.breadcrumb.default";s:1148:"a:3:{s:5:"class";s:40:"Drupal\\system\\PathBasedBreadcrumbBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:9:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"router.request_context";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"access_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"router";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"path_processor_manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"title_resolver";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.current";s:15:"invalidBehavior";i:1;}i:8;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.matcher";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:9;}";s:20:"path_processor.files";s:99:"a:2:{s:5:"class";s:46:"Drupal\\system\\PathProcessor\\PathProcessorFiles";s:15:"arguments_count";i:0;}";s:34:"system.admin_path.route_subscriber";s:103:"a:2:{s:5:"class";s:50:"Drupal\\system\\EventSubscriber\\AdminRouteSubscriber";s:15:"arguments_count";i:0;}";s:29:"theme.negotiator.system.batch";s:398:"a:3:{s:5:"class";s:35:"Drupal\\system\\Theme\\BatchNegotiator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"batch.storage";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:33:"theme.negotiator.system.db_update";s:402:"a:3:{s:5:"class";s:38:"Drupal\\system\\Theme\\DbUpdateNegotiator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:24:"system.config_subscriber";s:295:"a:3:{s:5:"class";s:36:"Drupal\\system\\SystemConfigSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"router.builder";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:23:"system.config_cache_tag";s:416:"a:3:{s:5:"class";s:44:"Drupal\\system\\EventSubscriber\\ConfigCacheTag";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:24:"system.timezone_resolver";s:393:"a:3:{s:5:"class";s:30:"Drupal\\system\\TimeZoneResolver";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:28:"system.file_event.subscriber";s:322:"a:3:{s:5:"class";s:63:"Drupal\\system\\EventSubscriber\\SecurityFileUploadEventSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:21:"logger.channel.system";s:264:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:6:"system";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:17:"system.sa_fetcher";s:1081:"a:3:{s:5:"class";s:58:"Drupal\\system\\SecurityAdvisories\\SecurityAdvisoriesFetcher";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"keyvalue.expirable";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"http_client";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"extension.list.theme";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"extension.list.profile";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"logger.channel.system";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:35:"system.advisories_config_subscriber";s:318:"a:3:{s:5:"class";s:56:"Drupal\\system\\EventSubscriber\\AdvisoriesConfigSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"system.sa_fetcher";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:24:"taxonomy_term.breadcrumb";s:410:"a:3:{s:5:"class";s:37:"Drupal\\taxonomy\\TermBreadcrumbBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"entity.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:41:"taxonomy_term.taxonomy_term_route_context";s:312:"a:3:{s:5:"class";s:48:"Drupal\\taxonomy\\ContextProvider\\TermRouteContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:13:"cache.toolbar";s:271:"a:4:{s:5:"class";s:39:"Drupal\\Core\\Cache\\CacheBackendInterface";s:9:"arguments";a:1:{i:0;s:7:"toolbar";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache_factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:52:"toolbar.page_cache_request_policy.allow_toolbar_path";s:94:"a:2:{s:5:"class";s:41:"Drupal\\toolbar\\PageCache\\AllowToolbarPath";s:15:"arguments_count";i:0;}";s:17:"toolbar.menu_tree";s:1298:"a:3:{s:5:"class";s:39:"Drupal\\toolbar\\Menu\\ToolbarMenuLinkTree";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:17:"menu.tree_storage";s:5:"value";a:4:{s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuTreeStorage";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"cache.menu";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"cache_tags.invalidator";s:15:"invalidBehavior";i:1;}i:3;s:9:"menu_tree";}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}s:6:"shared";b:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"plugin.manager.menu.link";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"menu.active_trail";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:23:"plugin.manager.tour.tip";s:506:"a:3:{s:5:"class";s:28:"Drupal\\tour\\TipPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:34:"access_check.update.manager_access";s:297:"a:3:{s:5:"class";s:45:"Drupal\\update\\Access\\UpdateManagerAccessCheck";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:14:"update.manager";s:938:"a:3:{s:5:"class";s:27:"Drupal\\update\\UpdateManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"update.processor";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"keyvalue.expirable";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:16:"update.processor";s:898:"a:3:{s:5:"class";s:29:"Drupal\\update\\UpdateProcessor";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"queue";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"update.fetcher";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"private_key";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"keyvalue";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"keyvalue.expirable";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:14:"update.fetcher";s:488:"a:3:{s:5:"class";s:27:"Drupal\\update\\UpdateFetcher";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"http_client";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"settings";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:11:"update.root";s:379:"a:3:{s:5:"class";s:24:"Drupal\\update\\UpdateRoot";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"kernel";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:23:"access_check.permission";s:93:"a:2:{s:5:"class";s:40:"Drupal\\user\\Access\\PermissionAccessCheck";s:15:"arguments_count";i:0;}";s:26:"access_check.user.register";s:91:"a:2:{s:5:"class";s:38:"Drupal\\user\\Access\\RegisterAccessCheck";s:15:"arguments_count";i:0;}";s:22:"access_check.user.role";s:87:"a:2:{s:5:"class";s:34:"Drupal\\user\\Access\\RoleAccessCheck";s:15:"arguments_count";i:0;}";s:30:"access_check.user.login_status";s:88:"a:2:{s:5:"class";s:35:"Drupal\\user\\Access\\LoginStatusCheck";s:15:"arguments_count";i:0;}";s:26:"user.authentication.cookie";s:507:"a:3:{s:5:"class";s:42:"Drupal\\user\\Authentication\\Provider\\Cookie";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"session_configuration";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"messenger";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:9:"user.data";s:272:"a:3:{s:5:"class";s:20:"Drupal\\user\\UserData";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:32:"user_maintenance_mode_subscriber";s:418:"a:3:{s:5:"class";s:53:"Drupal\\user\\EventSubscriber\\MaintenanceModeSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"maintenance_mode";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:29:"user_access_denied_subscriber";s:307:"a:3:{s:5:"class";s:50:"Drupal\\user\\EventSubscriber\\AccessDeniedSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:27:"user_last_access_subscriber";s:417:"a:3:{s:5:"class";s:49:"Drupal\\user\\EventSubscriber\\UserRequestSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:28:"theme.negotiator.admin_theme";s:619:"a:3:{s:5:"class";s:33:"Drupal\\user\\Theme\\AdminNegotiator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"router.admin_context";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:9:"user.auth";s:383:"a:3:{s:5:"class";s:20:"Drupal\\user\\UserAuth";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"password";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:16:"user.permissions";s:509:"a:3:{s:5:"class";s:29:"Drupal\\user\\PermissionHandler";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:25:"user.current_user_context";s:414:"a:3:{s:5:"class";s:46:"Drupal\\user\\ContextProvider\\CurrentUserContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:25:"user.toolbar_link_builder";s:287:"a:3:{s:5:"class";s:30:"Drupal\\user\\ToolbarLinkBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:18:"user.flood_control";s:490:"a:3:{s:5:"class";s:28:"Drupal\\user\\UserFloodControl";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"flood";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:21:"user.flood_subscriber";s:311:"a:3:{s:5:"class";s:47:"Drupal\\user\\EventSubscriber\\UserFloodSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"logger.channel.user";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:19:"logger.channel.user";s:262:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:4:"user";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:34:"video_embed_field.provider_manager";s:518:"a:3:{s:5:"class";s:40:"Drupal\\video_embed_field\\ProviderManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:23:"paramconverter.views_ui";s:384:"a:3:{s:5:"class";s:57:"Drupal\\views_ui\\ProxyClass\\ParamConverter\\ViewUIConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}i:1;s:53:"drupal.proxy_original_service.paramconverter.views_ui";}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:30:"plugin.manager.webform.element";s:851:"a:3:{s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformElementManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.element_info";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:30:"plugin.manager.webform.handler";s:627:"a:3:{s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:30:"plugin.manager.webform.variant";s:627:"a:3:{s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformVariantManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:31:"plugin.manager.webform.exporter";s:628:"a:3:{s:5:"class";s:44:"Drupal\\webform\\Plugin\\WebformExporterManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:36:"plugin.manager.webform.source_entity";s:632:"a:3:{s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformSourceEntityManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:22:"logger.channel.webform";s:265:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:7:"webform";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:33:"logger.channel.webform_submission";s:277:"a:4:{s:5:"class";s:32:"Drupal\\Core\\Logger\\LoggerChannel";s:9:"arguments";a:1:{i:0;s:18:"webform_submission";}s:15:"arguments_count";i:1;s:7:"factory";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"logger.factory";s:15:"invalidBehavior";i:1;}i:1;s:3:"get";}}";s:22:"webform.addons_manager";s:88:"a:2:{s:5:"class";s:35:"Drupal\\webform\\WebformAddonsManager";s:15:"arguments_count";i:0;}";s:19:"webform.cli_service";s:94:"a:2:{s:5:"class";s:41:"Drupal\\webform\\Commands\\WebformCliService";s:15:"arguments_count";i:0;}";s:26:"webform.conditions_manager";s:320:"a:3:{s:5:"class";s:45:"Drupal\\webform\\WebformEntityConditionsManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:26:"webform.elements_validator";s:740:"a:3:{s:5:"class";s:45:"Drupal\\webform\\WebformEntityElementsValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"form_builder";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:22:"webform.email_provider";s:511:"a:3:{s:5:"class";s:35:"Drupal\\webform\\WebformEmailProvider";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"plugin.manager.mail";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:32:"webform.entity_reference_manager";s:729:"a:3:{s:5:"class";s:44:"Drupal\\webform\\WebformEntityReferenceManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"user.data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:20:"webform.help_manager";s:1055:"a:3:{s:5:"class";s:33:"Drupal\\webform\\WebformHelpManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"path.matcher";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"webform.addons_manager";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:25:"webform.libraries_manager";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:25:"webform.libraries_manager";s:611:"a:3:{s:5:"class";s:38:"Drupal\\webform\\WebformLibrariesManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"library.discovery";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:23:"webform.message_manager";s:1043:"a:3:{s:5:"class";s:36:"Drupal\\webform\\WebformMessageManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"logger.channel.webform";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"messenger";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"webform.request";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"webform.token_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:27:"webform.translation_manager";s:740:"a:3:{s:5:"class";s:40:"Drupal\\webform\\WebformTranslationManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"messenger";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:34:"webform.translation_config_manager";s:754:"a:3:{s:5:"class";s:46:"Drupal\\webform\\WebformTranslationConfigManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"form_builder";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"webform.translation_manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"config.typed";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:36:"webform.translation_lingotek_manager";s:320:"a:3:{s:5:"class";s:48:"Drupal\\webform\\WebformTranslationLingotekManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"webform.translation_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:15:"webform.request";s:1100:"a:3:{s:5:"class";s:29:"Drupal\\webform\\WebformRequest";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"router.admin_context";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"entity_type.repository";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:32:"webform.entity_reference_manager";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:36:"plugin.manager.webform.source_entity";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:27:"webform_submission.generate";s:534:"a:3:{s:5:"class";s:40:"Drupal\\webform\\WebformSubmissionGenerate";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"webform.token_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:27:"webform_submission.exporter";s:987:"a:3:{s:5:"class";s:40:"Drupal\\webform\\WebformSubmissionExporter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"file_system";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"plugin.manager.archiver";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.webform.exporter";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:36:"webform.third_party_settings_manager";s:632:"a:3:{s:5:"class";s:47:"Drupal\\webform\\WebformThirdPartySettingsManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"path.validator";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"webform.addons_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:21:"webform.token_manager";s:707:"a:3:{s:5:"class";s:34:"Drupal\\webform\\WebformTokenManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"token";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:21:"webform.theme_manager";s:825:"a:3:{s:5:"class";s:34:"Drupal\\webform\\WebformThemeManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme.manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"theme_handler";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"theme.initialization";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:28:"webform.access_rules_manager";s:299:"a:3:{s:5:"class";s:40:"Drupal\\webform\\WebformAccessRulesManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:39:"webform_submission.conditions_validator";s:326:"a:3:{s:5:"class";s:51:"Drupal\\webform\\WebformSubmissionConditionsValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:30:"plugin.manager.webform.element";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:18:"webform.breadcrumb";s:632:"a:3:{s:5:"class";s:50:"Drupal\\webform\\Breadcrumb\\WebformBreadcrumbBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"webform.request";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:33:"webform.exception_html_subscriber";s:1183:"a:3:{s:5:"class";s:68:"Drupal\\webform\\EventSubscriber\\WebformDefaultExceptionHtmlSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:9:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:11:"http_kernel";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"logger.channel.php";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"redirect.destination";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"router.no_access_checks";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:9:"messenger";s:15:"invalidBehavior";i:1;}i:8;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"webform.token_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:9;}";s:24:"webform.route_subscriber";s:410:"a:3:{s:5:"class";s:45:"Drupal\\webform\\Routing\\WebformRouteSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:29:"webform.webform_route_context";s:314:"a:3:{s:5:"class";s:50:"Drupal\\webform\\ContextProvider\\WebformRouteContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:40:"webform.webform_submission_route_context";s:324:"a:3:{s:5:"class";s:60:"Drupal\\webform\\ContextProvider\\WebformSubmissionRouteContext";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:24:"webform.theme_negotiator";s:513:"a:3:{s:5:"class";s:43:"Drupal\\webform\\Theme\\WebformThemeNegotiator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"webform.request";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:22:"webform.twig_extension";s:93:"a:2:{s:5:"class";s:40:"Drupal\\webform\\Twig\\WebformTwigExtension";s:15:"arguments_count";i:0;}";s:25:"webform_ui.path_processor";s:107:"a:2:{s:5:"class";s:54:"Drupal\\webform_ui\\PathProcessor\\WebformUiPathProcessor";s:15:"arguments_count";i:0;}";s:39:"asset.css.MISSPELLEDcollection_renderer";s:314:"a:3:{s:5:"class";s:65:"Drupal\\fontyourface\\Asset\\FontYourFaceInlineCssCollectionRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:27:"plugin.manager.views.access";s:533:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:6:"access";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:25:"plugin.manager.views.area";s:640:"a:3:{s:5:"class";s:39:"Drupal\\views\\Plugin\\ViewsHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:4:"area";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:29:"plugin.manager.views.argument";s:644:"a:3:{s:5:"class";s:39:"Drupal\\views\\Plugin\\ViewsHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:8:"argument";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:37:"plugin.manager.views.argument_default";s:544:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:16:"argument_default";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:39:"plugin.manager.views.argument_validator";s:546:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:18:"argument_validator";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:26:"plugin.manager.views.cache";s:532:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:5:"cache";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:37:"plugin.manager.views.display_extender";s:544:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:16:"display_extender";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:28:"plugin.manager.views.display";s:534:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:7:"display";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:33:"plugin.manager.views.exposed_form";s:540:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:12:"exposed_form";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:26:"plugin.manager.views.field";s:641:"a:3:{s:5:"class";s:39:"Drupal\\views\\Plugin\\ViewsHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:5:"field";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:27:"plugin.manager.views.filter";s:642:"a:3:{s:5:"class";s:39:"Drupal\\views\\Plugin\\ViewsHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:6:"filter";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:25:"plugin.manager.views.join";s:640:"a:3:{s:5:"class";s:39:"Drupal\\views\\Plugin\\ViewsHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:4:"join";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:26:"plugin.manager.views.pager";s:532:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:5:"pager";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:26:"plugin.manager.views.query";s:532:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:5:"query";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:33:"plugin.manager.views.relationship";s:649:"a:3:{s:5:"class";s:39:"Drupal\\views\\Plugin\\ViewsHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:12:"relationship";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:24:"plugin.manager.views.row";s:530:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:3:"row";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:25:"plugin.manager.views.sort";s:640:"a:3:{s:5:"class";s:39:"Drupal\\views\\Plugin\\ViewsHandlerManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:4:"sort";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:26:"plugin.manager.views.style";s:532:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:5:"style";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:27:"plugin.manager.views.wizard";s:533:"a:3:{s:5:"class";s:38:"Drupal\\views\\Plugin\\ViewsPluginManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;s:6:"wizard";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:16:"views.views_data";s:600:"a:3:{s:5:"class";s:22:"Drupal\\views\\ViewsData";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"cache.default";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"language_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:23:"views.views_data_helper";s:289:"a:3:{s:5:"class";s:28:"Drupal\\views\\ViewsDataHelper";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:16:"views.executable";s:617:"a:3:{s:5:"class";s:34:"Drupal\\views\\ViewExecutableFactory";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"current_user";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"request_stack";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"views.views_data";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"router.route_provider";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:14:"views.analyzer";s:280:"a:3:{s:5:"class";s:21:"Drupal\\views\\Analyzer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:22:"views.route_subscriber";s:404:"a:3:{s:5:"class";s:44:"Drupal\\views\\EventSubscriber\\RouteSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:24:"views.exposed_form_cache";s:82:"a:2:{s:5:"class";s:29:"Drupal\\views\\ExposedFormCache";s:15:"arguments_count";i:0;}";s:30:"views.entity_schema_subscriber";s:434:"a:3:{s:5:"class";s:56:"Drupal\\views\\EventSubscriber\\ViewsEntitySchemaSubscriber";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"logger.channel.default";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:14:"views.date_sql";s:296:"a:3:{s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\query\\MysqlDateSql";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:34:"plugin.manager.paragraphs.behavior";s:738:"a:3:{s:5:"class";s:43:"Drupal\\paragraphs\\ParagraphsBehaviorManager";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"container.namespaces";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.discovery";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";s:27:"paragraphs_type.uuid_lookup";s:513:"a:3:{s:5:"class";s:47:"\\Drupal\\paragraphs\\ParagraphsTypeIconUuidLookup";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:15:"cache.bootstrap";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:56:"drupal.proxy_original_service.page_cache_response_policy";s:2487:"a:3:{s:5:"class";s:41:"Drupal\\Core\\PageCache\\ChainResponsePolicy";s:15:"arguments_count";i:0;s:5:"calls";a:5:{i:0;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"page_cache_kill_switch";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:26:"page_cache_no_cache_routes";s:5:"value";a:4:{s:5:"class";s:54:"Drupal\\Core\\PageCache\\ResponsePolicy\\DenyNoCacheRoutes";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:26:"page_cache_no_server_error";s:5:"value";a:3:{s:5:"class";s:50:"Drupal\\Core\\PageCache\\ResponsePolicy\\NoServerError";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:1;}}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__F1OS6M_fMxC2jDEfVZbGJ1Es-a5S2P1N1kq2aotUsfs";s:5:"value";a:4:{s:5:"class";s:52:"Drupal\\image\\PageCache\\DenyPrivateImageStyleDownload";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:0;}}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:49:"node.page_cache_response_policy.deny_node_preview";s:5:"value";a:4:{s:5:"class";s:37:"Drupal\\node\\PageCache\\DenyNodePreview";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:1;}}s:7:"resolve";b:1;}}}}";s:46:"drupal.proxy_original_service.config.installer";s:851:"a:3:{s:5:"class";s:34:"Drupal\\Core\\Config\\ConfigInstaller";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:7:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.storage";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:12:"config.typed";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.manager";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:5;s:8:"standard";i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:23:"extension.path.resolver";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:7;}";s:34:"drupal.proxy_original_service.cron";s:1005:"a:3:{s:5:"class";s:16:"Drupal\\Core\\Cron";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:8:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"queue";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"account_switcher";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"logger.channel.cron";s:15:"invalidBehavior";i:1;}i:6;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"plugin.manager.queue_worker";s:15:"invalidBehavior";i:1;}i:7;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"datetime.time";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:8;}";s:46:"drupal.proxy_original_service.module_installer";s:2387:"a:4:{s:5:"class";s:37:"Drupal\\Core\\Extension\\ModuleInstaller";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;s:35:"/home/issero5/ICTM2023.isser.edu.gh";i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:6:"kernel";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:27:"update.update_hook_registry";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;s:5:"calls";a:6:{i:0;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:57:"drupal.proxy_original_service.content_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:65:"drupal.proxy_original_service.required_module_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:75:"drupal.proxy_original_service.module_required_by_themes_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:65:"drupal.proxy_original_service.database_driver_uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:55:"drupal.proxy_original_service.field.uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:5;a:2:{i:0;s:21:"addUninstallValidator";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:56:"drupal.proxy_original_service.filter.uninstall_validator";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}}}";s:57:"drupal.proxy_original_service.content_uninstall_validator";s:418:"a:3:{s:5:"class";s:44:"Drupal\\Core\\Entity\\ContentUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:65:"drupal.proxy_original_service.required_module_uninstall_validator";s:430:"a:3:{s:5:"class";s:54:"Drupal\\Core\\Extension\\RequiredModuleUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:75:"drupal.proxy_original_service.module_required_by_themes_uninstall_validator";s:550:"a:3:{s:5:"class";s:62:"Drupal\\Core\\Extension\\ModuleRequiredByThemesUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"extension.list.theme";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:65:"drupal.proxy_original_service.database_driver_uninstall_validator";s:529:"a:3:{s:5:"class";s:54:"Drupal\\Core\\Extension\\DatabaseDriverUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"extension.list.module";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:50:"drupal.proxy_original_service.plugin.cache_clearer";s:94:"a:2:{s:5:"class";s:41:"Drupal\\Core\\Plugin\\CachedDiscoveryClearer";s:15:"arguments_count";i:0;}";s:54:"drupal.proxy_original_service.paramconverter.menu_link";s:319:"a:3:{s:5:"class";s:50:"Drupal\\Core\\ParamConverter\\MenuLinkPluginConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:24:"plugin.manager.menu.link";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:34:"drupal.proxy_original_service.lock";s:288:"a:3:{s:5:"class";s:36:"Drupal\\Core\\Lock\\DatabaseLockBackend";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:45:"drupal.proxy_original_service.lock.persistent";s:298:"a:3:{s:5:"class";s:46:"Drupal\\Core\\Lock\\PersistentDatabaseLockBackend";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:43:"drupal.proxy_original_service.router.dumper";s:381:"a:3:{s:5:"class";s:33:"Drupal\\Core\\Routing\\MatcherDumper";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:5:"state";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:44:"drupal.proxy_original_service.router.builder";s:4780:"a:3:{s:5:"class";s:32:"Drupal\\Core\\Routing\\RouteBuilder";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:6:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:13:"router.dumper";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:4:"lock";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"event_dispatcher";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"controller_resolver";s:15:"invalidBehavior";i:1;}i:5;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:29:"access_manager.check_provider";s:5:"value";a:4:{s:5:"class";s:32:"Drupal\\Core\\Access\\CheckProvider";s:6:"public";b:0;s:15:"arguments_count";i:0;s:5:"calls";a:25:{i:0;a:2:{i:0;s:12:"setContainer";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"service_container";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:20:"access_check.default";i:1;s:6:"access";i:2;a:1:{i:0;s:7:"_access";}i:3;b:0;}}i:2;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:19:"access_check.entity";i:1;s:6:"access";i:2;a:1:{i:0;s:14:"_entity_access";}i:3;b:0;}}i:3;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:27:"access_check.entity_bundles";i:1;s:6:"access";i:2;a:1:{i:0;s:15:"_entity_bundles";}i:3;b:0;}}i:4;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:26:"access_check.entity_create";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_entity_create_access";}i:3;b:0;}}i:5;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:30:"access_check.entity_create_any";i:1;s:6:"access";i:2;a:1:{i:0;s:25:"_entity_create_any_access";}i:3;b:0;}}i:6;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:35:"access_check.entity_delete_multiple";i:1;s:6:"access";i:2;a:1:{i:0;s:30:"_entity_delete_multiple_access";}i:3;b:0;}}i:7;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:18:"access_check.theme";i:1;s:6:"access";i:2;a:1:{i:0;s:13:"_access_theme";}i:3;b:0;}}i:8;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:19:"access_check.custom";i:1;s:6:"access";i:2;a:1:{i:0;s:14:"_custom_access";}i:3;b:0;}}i:9;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:17:"access_check.csrf";i:1;s:6:"access";i:2;a:1:{i:0;s:11:"_csrf_token";}i:3;b:1;}}i:10;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:24:"access_check.header.csrf";i:1;s:6:"access";i:2;a:0:{}i:3;b:1;}}i:11;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:29:"access_check.contact_personal";i:1;s:6:"access";i:2;a:1:{i:0;s:28:"_access_contact_personal_tab";}i:3;b:0;}}i:12;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:31:"access_check.field_ui.view_mode";i:1;s:6:"access";i:2;a:1:{i:0;s:26:"_field_ui_view_mode_access";}i:3;b:0;}}i:13;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:31:"access_check.field_ui.form_mode";i:1;s:6:"access";i:2;a:1:{i:0;s:26:"_field_ui_form_mode_access";}i:3;b:0;}}i:14;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:26:"access_check.node.revision";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_access_node_revision";}i:3;b:0;}}i:15;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:21:"access_check.node.add";i:1;s:6:"access";i:2;a:1:{i:0;s:16:"_node_add_access";}i:3;b:0;}}i:16;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:25:"access_check.node.preview";i:1;s:6:"access";i:2;a:1:{i:0;s:20:"_node_preview_access";}i:3;b:0;}}i:17;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:35:"access_check.quickedit.entity_field";i:1;s:6:"access";i:2;a:1:{i:0;s:30:"_access_quickedit_entity_field";}i:3;b:0;}}i:18;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:17:"access_check.cron";i:1;s:6:"access";i:2;a:1:{i:0;s:19:"_access_system_cron";}i:3;b:0;}}i:19;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:22:"access_check.db_update";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_access_system_update";}i:3;b:0;}}i:20;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:34:"access_check.update.manager_access";i:1;s:6:"access";i:2;a:1:{i:0;s:22:"_access_update_manager";}i:3;b:0;}}i:21;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:23:"access_check.permission";i:1;s:6:"access";i:2;a:1:{i:0;s:11:"_permission";}i:3;b:0;}}i:22;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:26:"access_check.user.register";i:1;s:6:"access";i:2;a:1:{i:0;s:21:"_access_user_register";}i:3;b:0;}}i:23;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:22:"access_check.user.role";i:1;s:6:"access";i:2;a:1:{i:0;s:5:"_role";}i:3;b:0;}}i:24;a:2:{i:0;s:15:"addCheckService";i:1;a:4:{i:0;s:30:"access_check.user.login_status";i:1;s:6:"access";i:2;a:1:{i:0;s:18:"_user_is_logged_in";}i:3;b:0;}}}}s:6:"shared";b:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:6;}";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";s:648:"a:3:{s:5:"class";s:57:"Drupal\\Core\\ParamConverter\\AdminPathConfigEntityConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:4:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"router.admin_context";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"entity.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:4;}";s:53:"drupal.proxy_original_service.bare_html_page_renderer";s:418:"a:3:{s:5:"class";s:39:"Drupal\\Core\\Render\\BareHtmlPageRenderer";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:2:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"renderer";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:35:"html_response.attachments_processor";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:2;}";s:43:"drupal.proxy_original_service.batch.storage";s:482:"a:3:{s:5:"class";s:30:"Drupal\\Core\\Batch\\BatchStorage";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:8:"database";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:7:"session";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:10:"csrf_token";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:52:"drupal.proxy_original_service.file.mime_type.guesser";s:308:"a:3:{s:5:"class";s:41:"Drupal\\Core\\File\\MimeType\\MimeTypeGuesser";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"stream_wrapper_manager";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:62:"drupal.proxy_original_service.file.mime_type.guesser.extension";s:309:"a:3:{s:5:"class";s:50:"Drupal\\Core\\File\\MimeType\\ExtensionMimeTypeGuesser";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"module_handler";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:64:"drupal.proxy_original_service.dynamic_page_cache_response_policy";s:2501:"a:3:{s:5:"class";s:41:"Drupal\\Core\\PageCache\\ChainResponsePolicy";s:15:"arguments_count";i:0;s:5:"calls";a:5:{i:0;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:22:"page_cache_kill_switch";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}}i:1;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:26:"page_cache_no_cache_routes";s:5:"value";a:4:{s:5:"class";s:54:"Drupal\\Core\\PageCache\\ResponsePolicy\\DenyNoCacheRoutes";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:1;}}s:7:"resolve";b:1;}}i:2;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:26:"page_cache_no_server_error";s:5:"value";a:3:{s:5:"class";s:50:"Drupal\\Core\\PageCache\\ResponsePolicy\\NoServerError";s:6:"public";b:0;s:15:"arguments_count";i:0;}s:6:"shared";b:1;}}s:7:"resolve";b:1;}}i:3;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:52:"private__HX5I7sfEFqcrtchl5GWkd90OTCfJaL7qil0Yyt1WSDA";s:5:"value";a:4:{s:5:"class";s:66:"Drupal\\dynamic_page_cache\\PageCache\\ResponsePolicy\\DenyAdminRoutes";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:0;}}s:7:"resolve";b:1;}}i:4;a:2:{i:0;s:9:"addPolicy";i:1;O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":4:{s:4:"type";s:15:"private_service";s:2:"id";s:49:"node.page_cache_response_policy.deny_node_preview";s:5:"value";a:4:{s:5:"class";s:37:"Drupal\\node\\PageCache\\DenyNodePreview";s:6:"public";b:0;s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"current_route_match";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}s:6:"shared";b:1;}}s:7:"resolve";b:1;}}}}";s:55:"drupal.proxy_original_service.field.uninstall_validator";s:533:"a:3:{s:5:"class";s:36:"Drupal\\field\\FieldUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:31:"plugin.manager.field.field_type";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:56:"drupal.proxy_original_service.filter.uninstall_validator";s:525:"a:3:{s:5:"class";s:38:"Drupal\\filter\\FilterUninstallValidator";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:3:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:21:"plugin.manager.filter";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:18:"string_translation";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:3;}";s:42:"drupal.proxy_original_service.node_preview";s:309:"a:3:{s:5:"class";s:47:"Drupal\\node\\ParamConverter\\NodePreviewConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:1:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"tempstore.private";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:1;}";s:53:"drupal.proxy_original_service.paramconverter.views_ui";s:745:"a:3:{s:5:"class";s:46:"Drupal\\views_ui\\ParamConverter\\ViewUIConverter";s:9:"arguments";O:8:"stdClass":3:{s:4:"type";s:10:"collection";s:5:"value";a:5:{i:0;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:19:"entity_type.manager";s:15:"invalidBehavior";i:1;}i:1;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:16:"tempstore.shared";s:15:"invalidBehavior";i:1;}i:2;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:14:"config.factory";s:15:"invalidBehavior";i:1;}i:3;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:20:"router.admin_context";s:15:"invalidBehavior";i:1;}i:4;O:8:"stdClass":3:{s:4:"type";s:7:"service";s:2:"id";s:17:"entity.repository";s:15:"invalidBehavior";i:1;}}s:7:"resolve";b:1;}s:15:"arguments_count";i:5;}";}s:6:"frozen";b:1;s:14:"machine_format";b:1;}', -1, '1681649759.452', 1, '', '0');
;

-- --------------------------------------------------------

--
-- Table structure for table `cache_data`
--

CREATE TABLE `cache_data` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_data`
--

INSERT INTO `cache_data` VALUES
('css:bartik:4A24fHVUTtbtUMVB5nb3PQ1qxdqySxhLfx9nr30GW8w1', 'a:5:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_cMx5LBIbzJ_oG8zVwXpppulTI4h2UleDDQtBhsZSyRo.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_WiCgzwCR3v0zdNwEMuJeznkPW_tW4TnGeAZNUxh_bQM.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_zb7Sq_IdABuAqEIkmYNol_ZVzM6_PGnK0lDPkVLHJaw.css";s:12:"preprocessed";b:1;}i:4;a:8:{s:5:"media";s:5:"print";s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_Z5jMg7P_bjcW9iUzujI7oaechMyxQTUqZhHJ_aYSq04.css";s:12:"preprocessed";b:1;}}', -1, '1681650075.229', 1, 'library_info', '0'),
('css:bartik:lY8ejwqc98aNxMM4ZMGv9sIKKklk0NcLPzbtI2nlij01', 'a:0:{}', -1, '1681652208.525', 1, 'library_info', '0'),
('css:bartik:nzm3fdVHxTT42taEwS32IqDPHlcBvqFYP_RPioFanYk1', 'a:5:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_f_MGmZ1Ex8S2_E6r8X9jmSm57nsPGLrfaSvHaMRPJ9E.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_WiCgzwCR3v0zdNwEMuJeznkPW_tW4TnGeAZNUxh_bQM.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_zb7Sq_IdABuAqEIkmYNol_ZVzM6_PGnK0lDPkVLHJaw.css";s:12:"preprocessed";b:1;}i:4;a:8:{s:5:"media";s:5:"print";s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_Z5jMg7P_bjcW9iUzujI7oaechMyxQTUqZhHJ_aYSq04.css";s:12:"preprocessed";b:1;}}', -1, '1681650107.979', 1, 'library_info', '0'),
('css:bartik:to7bxr3zvSIMiAKRiUK0chSf83696J7mImq0KM1IdMk1', 'a:9:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_s0NeX30O3r4bJ9H3VDQZpC7eI7T6RvmWrCpI66HU7tU.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_C_3NL2a4VAKew2mTjwdWki7NXIrJOnw8yAthuxs_6vA.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_Fo0WsLQ4SPBxV6CB36E-sRXiCcqgB-GODfLmHzDGpgE.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_Vku79WB_IcoyqnTfA2WTb5DF220jiXeMePT4A8aoAcc.css";s:12:"preprocessed";b:1;}i:6;a:7:{s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:46:"core/themes/bartik/css/components/messages.css";}i:7;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_brvdVsioMq2ed0_DK04K7xm1GhBywUaFlx1BNlyTasc.css";s:12:"preprocessed";b:1;}i:8;a:8:{s:5:"media";s:5:"print";s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_Z5jMg7P_bjcW9iUzujI7oaechMyxQTUqZhHJ_aYSq04.css";s:12:"preprocessed";b:1;}}', -1, '1681652203.246', 1, 'library_info', '0'),
('css:claro:5ueB7iGNYaxhkoGxgBJ2PeM_zrjTImr66QfHxlkNIqM0', 'a:89:{s:46:"core/assets/vendor/normalize-css/normalize.css";a:8:{s:6:"weight";d:-219.97800000000000864019966684281826019287109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/normalize-css/normalize.css";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:29:"core/misc/normalize-fixes.css";a:8:{s:6:"weight";d:-218.977000000000003865352482534945011138916015625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/normalize-fixes.css";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:51:"core/modules/system/css/components/align.module.css";a:8:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/system/css/components/align.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/modules/system/css/components/fieldgroup.module.css";a:8:{s:6:"weight";d:-9.9990000000000005542233338928781449794769287109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/fieldgroup.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:62:"core/modules/system/css/components/container-inline.module.css";a:8:{s:6:"weight";d:-9.9979999999999993320898283855058252811431884765625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:54:"core/modules/system/css/components/clearfix.module.css";a:8:{s:6:"weight";d:-9.9969999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/clearfix.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/modules/system/css/components/details.module.css";a:8:{s:6:"weight";d:-9.9960000000000004405364961712621152400970458984375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/system/css/components/details.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/modules/system/css/components/hidden.module.css";a:8:{s:6:"weight";d:-9.9949999999999992184029906638897955417633056640625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/hidden.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/modules/system/css/components/item-list.module.css";a:8:{s:6:"weight";d:-9.993999999999999772626324556767940521240234375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/item-list.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/modules/system/css/components/js.module.css";a:8:{s:6:"weight";d:-9.9930000000000003268496584496460855007171630859375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/system/css/components/js.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/modules/system/css/components/nowrap.module.css";a:8:{s:6:"weight";d:-9.992000000000000881072992342524230480194091796875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/nowrap.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/modules/system/css/components/position-container.module.css";a:8:{s:6:"weight";d:-9.9909999999999996589394868351519107818603515625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/modules/system/css/components/position-container.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:54:"core/modules/system/css/components/progress.module.css";a:8:{s:6:"weight";d:-9.9900000000000002131628207280300557613372802734375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/progress.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:62:"core/modules/system/css/components/reset-appearance.module.css";a:8:{s:6:"weight";d:-9.989000000000000767386154620908200740814208984375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/reset-appearance.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/modules/system/css/components/resize.module.css";a:8:{s:6:"weight";d:-9.98799999999999954525264911353588104248046875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/resize.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:59:"core/modules/system/css/components/sticky-header.module.css";a:8:{s:6:"weight";d:-9.9870000000000000994759830064140260219573974609375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/modules/system/css/components/sticky-header.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/modules/system/css/components/tablesort.module.css";a:8:{s:6:"weight";d:-9.986000000000000653699316899292171001434326171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tablesort.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/modules/system/css/components/tree-child.module.css";a:8:{s:6:"weight";d:-9.9849999999999994315658113919198513031005859375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/tree-child.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/ajax-progress.module.css";a:8:{s:6:"weight";d:-9.9839999999999999857891452847979962825775146484375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/ajax-progress.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/themes/claro/css/components/autocomplete-loading.module.css";a:8:{s:6:"weight";d:-9.983000000000000540012479177676141262054443359375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/themes/claro/css/components/autocomplete-loading.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/components/tabledrag.css";a:8:{s:6:"weight";d:-9.9789999999999992041921359486877918243408203125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/components/tabledrag.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/modules/system/css/system.maintenance.css";a:8:{s:6:"weight";d:190.08699999999998908606357872486114501953125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/system/css/system.maintenance.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:39:"core/themes/claro/css/base/elements.css";a:8:{s:6:"weight";d:-199.967999999999989313437254168093204498291015625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/claro/css/base/elements.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/base/typography.css";a:8:{s:6:"weight";d:-199.967000000000012960299500264227390289306640625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/base/typography.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:36:"core/themes/claro/css/base/print.css";a:8:{s:6:"weight";d:-199.9660000000000081854523159563541412353515625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/claro/css/base/print.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/layout/system-admin--layout.css";a:8:{s:6:"weight";d:-109.96899999999999408828443847596645355224609375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/layout/system-admin--layout.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:43:"core/themes/claro/css/layout/breadcrumb.css";a:8:{s:6:"weight";d:-99.91599999999999681676854379475116729736328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/claro/css/layout/breadcrumb.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/layout/local-actions.css";a:8:{s:6:"weight";d:-99.9150000000000062527760746888816356658935546875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/layout/local-actions.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:39:"core/themes/claro/css/layout/layout.css";a:8:{s:6:"weight";d:-99.9140000000000014779288903810083866119384765625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/claro/css/layout/layout.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:61:"core/themes/claro/css/components/system-admin--admin-list.css";a:8:{s:6:"weight";d:-9.974000000000000198951966012828052043914794921875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/claro/css/components/system-admin--admin-list.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/themes/claro/css/components/system-admin--links.css";a:8:{s:6:"weight";d:-9.9730000000000007531752999057061970233917236328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/claro/css/components/system-admin--links.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:58:"core/themes/claro/css/components/system-admin--modules.css";a:8:{s:6:"weight";d:-9.9719999999999995310417943983338773250579833984375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/claro/css/components/system-admin--modules.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/themes/claro/css/components/system-admin--panel.css";a:8:{s:6:"weight";d:-9.971000000000000085265128291212022304534912109375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/claro/css/components/system-admin--panel.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/themes/claro/css/components/system-admin--status-report.css";a:8:{s:6:"weight";d:-9.9700000000000006394884621840901672840118408203125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"core/themes/claro/css/components/system-admin--status-report.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:42:"core/themes/claro/css/layout/card-list.css";a:8:{s:6:"weight";d:0.024000000000000000499600361081320443190634250640869140625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/claro/css/layout/card-list.css";s:7:"version";i:-1;s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/card.css";a:8:{s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/card.css";s:7:"version";i:-1;s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:60:"core/themes/claro/css/classy/components/container-inline.css";a:8:{s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/claro/css/classy/components/container-inline.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:59:"core/themes/claro/css/classy/components/exposed-filters.css";a:8:{s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/claro/css/classy/components/exposed-filters.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/classy/components/field.css";a:8:{s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/classy/components/field.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/classy/components/icons.css";a:8:{s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/classy/components/icons.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/themes/claro/css/classy/components/inline-form.css";a:8:{s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/claro/css/classy/components/inline-form.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/item-list.css";a:8:{s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/item-list.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/classy/components/link.css";a:8:{s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/classy/components/link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/classy/components/links.css";a:8:{s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/classy/components/links.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/classy/components/menu.css";a:8:{s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/classy/components/menu.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/more-link.css";a:8:{s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/more-link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/tablesort.css";a:8:{s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/tablesort.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/themes/claro/css/classy/components/textarea.css";a:8:{s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/claro/css/classy/components/textarea.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/ui-dialog.css";a:8:{s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/components/accordion.css";a:8:{s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/components/accordion.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/components/action-link.css";a:8:{s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/components/action-link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:51:"core/themes/claro/css/components/content-header.css";a:8:{s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/claro/css/components/content-header.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/components/container-inline.css";a:8:{s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/components/container-inline.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:60:"core/themes/claro/css/components/container-inline.module.css";a:8:{s:6:"weight";d:0.051999999999999997613020497055913438089191913604736328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/claro/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:47:"core/themes/claro/css/components/breadcrumb.css";a:8:{s:6:"weight";d:0.052999999999999998501198916756038670428097248077392578125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/claro/css/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:43:"core/themes/claro/css/components/button.css";a:8:{s:6:"weight";d:0.053999999999999999389377336456163902767002582550048828125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/claro/css/components/button.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:44:"core/themes/claro/css/components/details.css";a:8:{s:6:"weight";d:0.055000000000000000277555756156289135105907917022705078125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/claro/css/components/details.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:44:"core/themes/claro/css/components/divider.css";a:8:{s:6:"weight";d:0.056000000000000001165734175856414367444813251495361328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/claro/css/components/divider.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:45:"core/themes/claro/css/components/messages.css";a:8:{s:6:"weight";d:0.057000000000000002053912595556539599783718585968017578125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/claro/css/components/messages.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/components/entity-meta.css";a:8:{s:6:"weight";d:0.058000000000000002942091015256664832122623920440673828125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/components/entity-meta.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:45:"core/themes/claro/css/components/fieldset.css";a:8:{s:6:"weight";d:0.058999999999999996891375531049561686813831329345703125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/claro/css/components/fieldset.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/form.css";a:8:{s:6:"weight";d:0.059999999999999997779553950749686919152736663818359375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/form.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/form--checkbox-radio.css";a:8:{s:6:"weight";d:0.060999999999999998667732370449812151491641998291015625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/form--checkbox-radio.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:61:"core/themes/claro/css/components/form--checkbox-radio--ie.css";a:8:{s:6:"weight";d:0.061999999999999999555910790149937383830547332763671875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/claro/css/components/form--checkbox-radio--ie.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/form--field-multiple.css";a:8:{s:6:"weight";d:0.063000000000000000444089209850062616169452667236328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/form--field-multiple.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/themes/claro/css/components/form--managed-file.css";a:8:{s:6:"weight";d:0.064000000000000001332267629550187848508358001708984375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/claro/css/components/form--managed-file.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:47:"core/themes/claro/css/components/form--text.css";a:8:{s:6:"weight";d:0.065000000000000002220446049250313080847263336181640625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/claro/css/components/form--text.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/components/form--select.css";a:8:{s:6:"weight";d:0.066000000000000003108624468950438313186168670654296875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/components/form--select.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/help.css";a:8:{s:6:"weight";d:0.067000000000000003996802888650563545525074005126953125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/help.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:50:"core/themes/claro/css/components/image-preview.css";a:8:{s:6:"weight";d:0.068000000000000004884981308350688777863979339599609375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/claro/css/components/image-preview.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/themes/claro/css/components/menus-and-lists.css";a:8:{s:6:"weight";d:0.069000000000000005773159728050814010202884674072265625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/claro/css/components/menus-and-lists.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/components/modules-page.css";a:8:{s:6:"weight";d:0.070000000000000006661338147750939242541790008544921875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/components/modules-page.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/node.css";a:8:{s:6:"weight";d:0.07099999999999999367172875963660771958529949188232421875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/node.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:47:"core/themes/claro/css/components/page-title.css";a:8:{s:6:"weight";d:0.07199999999999999455990717933673295192420482635498046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/claro/css/components/page-title.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:42:"core/themes/claro/css/components/pager.css";a:8:{s:6:"weight";d:0.07299999999999999544808559903685818426311016082763671875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/claro/css/components/pager.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/components/skip-link.css";a:8:{s:6:"weight";d:0.07399999999999999633626401873698341660201549530029296875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/components/skip-link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:43:"core/themes/claro/css/components/tables.css";a:8:{s:6:"weight";d:0.07499999999999999722444243843710864894092082977294921875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/claro/css/components/tables.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/themes/claro/css/components/table--file-multiple-widget.css";a:8:{s:6:"weight";d:0.07599999999999999811262085813723388127982616424560546875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"core/themes/claro/css/components/table--file-multiple-widget.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:58:"core/themes/claro/css/components/search-admin-settings.css";a:8:{s:6:"weight";d:0.07699999999999999900079927783735911361873149871826171875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/claro/css/components/search-admin-settings.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/themes/claro/css/components/tablesort-indicator.css";a:8:{s:6:"weight";d:0.07799999999999999988897769753748434595763683319091796875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/claro/css/components/tablesort-indicator.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:70:"core/themes/claro/css/components/system-status-report-general-info.css";a:8:{s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"core/themes/claro/css/components/system-status-report-general-info.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/system-status-report.css";a:8:{s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/system-status-report.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:58:"core/themes/claro/css/components/system-status-counter.css";a:8:{s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/claro/css/components/system-status-counter.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:66:"core/themes/claro/css/components/system-status-report-counters.css";a:8:{s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/claro/css/components/system-status-report-counters.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/components/tableselect.css";a:8:{s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/components/tableselect.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/tabs.css";a:8:{s:6:"weight";d:0.08100000000000000255351295663786004297435283660888671875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/tabs.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:45:"core/themes/claro/css/components/views-ui.css";a:8:{s:6:"weight";d:0.08200000000000000344169137633798527531325817108154296875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/claro/css/components/views-ui.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:38:"core/themes/claro/css/theme/colors.css";a:8:{s:6:"weight";d:200.082999999999998408384271897375583648681640625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/claro/css/theme/colors.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/theme/maintenance-page.css";a:8:{s:6:"weight";d:200.087999999999993860910763032734394073486328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/theme/maintenance-page.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}}', -1, '1681652130.165', 1, 'library_info', '0'),
('css:claro:BzxaG4tmn30gFN2qx93VMao3H-mhQIRUMPShTtV8rUE0', 'a:90:{s:46:"core/assets/vendor/normalize-css/normalize.css";a:8:{s:6:"weight";d:-219.97800000000000864019966684281826019287109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/normalize-css/normalize.css";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:29:"core/misc/normalize-fixes.css";a:8:{s:6:"weight";d:-218.977000000000003865352482534945011138916015625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/normalize-fixes.css";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:51:"core/modules/system/css/components/align.module.css";a:8:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/system/css/components/align.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/modules/system/css/components/fieldgroup.module.css";a:8:{s:6:"weight";d:-9.9990000000000005542233338928781449794769287109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/fieldgroup.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:62:"core/modules/system/css/components/container-inline.module.css";a:8:{s:6:"weight";d:-9.9979999999999993320898283855058252811431884765625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:54:"core/modules/system/css/components/clearfix.module.css";a:8:{s:6:"weight";d:-9.9969999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/clearfix.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/modules/system/css/components/details.module.css";a:8:{s:6:"weight";d:-9.9960000000000004405364961712621152400970458984375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/system/css/components/details.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/modules/system/css/components/hidden.module.css";a:8:{s:6:"weight";d:-9.9949999999999992184029906638897955417633056640625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/hidden.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/modules/system/css/components/item-list.module.css";a:8:{s:6:"weight";d:-9.993999999999999772626324556767940521240234375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/item-list.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/modules/system/css/components/js.module.css";a:8:{s:6:"weight";d:-9.9930000000000003268496584496460855007171630859375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/system/css/components/js.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/modules/system/css/components/nowrap.module.css";a:8:{s:6:"weight";d:-9.992000000000000881072992342524230480194091796875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/nowrap.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/modules/system/css/components/position-container.module.css";a:8:{s:6:"weight";d:-9.9909999999999996589394868351519107818603515625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/modules/system/css/components/position-container.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:54:"core/modules/system/css/components/progress.module.css";a:8:{s:6:"weight";d:-9.9900000000000002131628207280300557613372802734375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/progress.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:62:"core/modules/system/css/components/reset-appearance.module.css";a:8:{s:6:"weight";d:-9.989000000000000767386154620908200740814208984375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/reset-appearance.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/modules/system/css/components/resize.module.css";a:8:{s:6:"weight";d:-9.98799999999999954525264911353588104248046875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/resize.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:59:"core/modules/system/css/components/sticky-header.module.css";a:8:{s:6:"weight";d:-9.9870000000000000994759830064140260219573974609375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/modules/system/css/components/sticky-header.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/modules/system/css/components/tablesort.module.css";a:8:{s:6:"weight";d:-9.986000000000000653699316899292171001434326171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tablesort.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/modules/system/css/components/tree-child.module.css";a:8:{s:6:"weight";d:-9.9849999999999994315658113919198513031005859375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/tree-child.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/ajax-progress.module.css";a:8:{s:6:"weight";d:-9.9839999999999999857891452847979962825775146484375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/ajax-progress.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/themes/claro/css/components/autocomplete-loading.module.css";a:8:{s:6:"weight";d:-9.983000000000000540012479177676141262054443359375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/themes/claro/css/components/autocomplete-loading.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/components/tabledrag.css";a:8:{s:6:"weight";d:-9.9789999999999992041921359486877918243408203125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/components/tabledrag.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/modules/system/css/system.maintenance.css";a:8:{s:6:"weight";d:190.087999999999993860910763032734394073486328125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/system/css/system.maintenance.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:39:"core/themes/claro/css/base/elements.css";a:8:{s:6:"weight";d:-199.967999999999989313437254168093204498291015625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/claro/css/base/elements.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/base/typography.css";a:8:{s:6:"weight";d:-199.967000000000012960299500264227390289306640625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/base/typography.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:36:"core/themes/claro/css/base/print.css";a:8:{s:6:"weight";d:-199.9660000000000081854523159563541412353515625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/claro/css/base/print.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/layout/system-admin--layout.css";a:8:{s:6:"weight";d:-109.96899999999999408828443847596645355224609375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/layout/system-admin--layout.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:43:"core/themes/claro/css/layout/breadcrumb.css";a:8:{s:6:"weight";d:-99.91599999999999681676854379475116729736328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/claro/css/layout/breadcrumb.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/layout/local-actions.css";a:8:{s:6:"weight";d:-99.9150000000000062527760746888816356658935546875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/layout/local-actions.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:39:"core/themes/claro/css/layout/layout.css";a:8:{s:6:"weight";d:-99.9140000000000014779288903810083866119384765625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/claro/css/layout/layout.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:61:"core/themes/claro/css/components/system-admin--admin-list.css";a:8:{s:6:"weight";d:-9.974000000000000198951966012828052043914794921875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/claro/css/components/system-admin--admin-list.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/themes/claro/css/components/system-admin--links.css";a:8:{s:6:"weight";d:-9.9730000000000007531752999057061970233917236328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/claro/css/components/system-admin--links.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:58:"core/themes/claro/css/components/system-admin--modules.css";a:8:{s:6:"weight";d:-9.9719999999999995310417943983338773250579833984375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/claro/css/components/system-admin--modules.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/themes/claro/css/components/system-admin--panel.css";a:8:{s:6:"weight";d:-9.971000000000000085265128291212022304534912109375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/claro/css/components/system-admin--panel.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/themes/claro/css/components/system-admin--status-report.css";a:8:{s:6:"weight";d:-9.9700000000000006394884621840901672840118408203125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"core/themes/claro/css/components/system-admin--status-report.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:42:"core/themes/claro/css/layout/card-list.css";a:8:{s:6:"weight";d:0.024000000000000000499600361081320443190634250640869140625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/claro/css/layout/card-list.css";s:7:"version";i:-1;s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/card.css";a:8:{s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/card.css";s:7:"version";i:-1;s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:60:"core/themes/claro/css/classy/components/container-inline.css";a:8:{s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/claro/css/classy/components/container-inline.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:59:"core/themes/claro/css/classy/components/exposed-filters.css";a:8:{s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/claro/css/classy/components/exposed-filters.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/classy/components/field.css";a:8:{s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/classy/components/field.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/classy/components/icons.css";a:8:{s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/classy/components/icons.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/themes/claro/css/classy/components/inline-form.css";a:8:{s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/claro/css/classy/components/inline-form.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/item-list.css";a:8:{s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/item-list.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/classy/components/link.css";a:8:{s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/classy/components/link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/classy/components/links.css";a:8:{s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/classy/components/links.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/classy/components/menu.css";a:8:{s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/classy/components/menu.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/more-link.css";a:8:{s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/more-link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/tablesort.css";a:8:{s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/tablesort.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/themes/claro/css/classy/components/textarea.css";a:8:{s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/claro/css/classy/components/textarea.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/classy/components/ui-dialog.css";a:8:{s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/classy/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/components/accordion.css";a:8:{s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/components/accordion.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/components/action-link.css";a:8:{s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/components/action-link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:51:"core/themes/claro/css/components/content-header.css";a:8:{s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/claro/css/components/content-header.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:53:"core/themes/claro/css/components/container-inline.css";a:8:{s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/claro/css/components/container-inline.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:60:"core/themes/claro/css/components/container-inline.module.css";a:8:{s:6:"weight";d:0.051999999999999997613020497055913438089191913604736328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/claro/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:47:"core/themes/claro/css/components/breadcrumb.css";a:8:{s:6:"weight";d:0.052999999999999998501198916756038670428097248077392578125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/claro/css/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:43:"core/themes/claro/css/components/button.css";a:8:{s:6:"weight";d:0.053999999999999999389377336456163902767002582550048828125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/claro/css/components/button.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:44:"core/themes/claro/css/components/details.css";a:8:{s:6:"weight";d:0.055000000000000000277555756156289135105907917022705078125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/claro/css/components/details.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:44:"core/themes/claro/css/components/divider.css";a:8:{s:6:"weight";d:0.056000000000000001165734175856414367444813251495361328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/claro/css/components/divider.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:45:"core/themes/claro/css/components/messages.css";a:8:{s:6:"weight";d:0.057000000000000002053912595556539599783718585968017578125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/claro/css/components/messages.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/components/entity-meta.css";a:8:{s:6:"weight";d:0.058000000000000002942091015256664832122623920440673828125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/components/entity-meta.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:45:"core/themes/claro/css/components/fieldset.css";a:8:{s:6:"weight";d:0.058999999999999996891375531049561686813831329345703125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/claro/css/components/fieldset.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/form.css";a:8:{s:6:"weight";d:0.059999999999999997779553950749686919152736663818359375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/form.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/form--checkbox-radio.css";a:8:{s:6:"weight";d:0.060999999999999998667732370449812151491641998291015625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/form--checkbox-radio.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:61:"core/themes/claro/css/components/form--checkbox-radio--ie.css";a:8:{s:6:"weight";d:0.061999999999999999555910790149937383830547332763671875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/claro/css/components/form--checkbox-radio--ie.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/form--field-multiple.css";a:8:{s:6:"weight";d:0.063000000000000000444089209850062616169452667236328125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/form--field-multiple.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:55:"core/themes/claro/css/components/form--managed-file.css";a:8:{s:6:"weight";d:0.064000000000000001332267629550187848508358001708984375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/claro/css/components/form--managed-file.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:47:"core/themes/claro/css/components/form--text.css";a:8:{s:6:"weight";d:0.065000000000000002220446049250313080847263336181640625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/claro/css/components/form--text.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/components/form--select.css";a:8:{s:6:"weight";d:0.066000000000000003108624468950438313186168670654296875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/components/form--select.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/help.css";a:8:{s:6:"weight";d:0.067000000000000003996802888650563545525074005126953125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/help.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:50:"core/themes/claro/css/components/image-preview.css";a:8:{s:6:"weight";d:0.068000000000000004884981308350688777863979339599609375;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/claro/css/components/image-preview.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:52:"core/themes/claro/css/components/menus-and-lists.css";a:8:{s:6:"weight";d:0.069000000000000005773159728050814010202884674072265625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/claro/css/components/menus-and-lists.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:49:"core/themes/claro/css/components/modules-page.css";a:8:{s:6:"weight";d:0.070000000000000006661338147750939242541790008544921875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/claro/css/components/modules-page.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/node.css";a:8:{s:6:"weight";d:0.07099999999999999367172875963660771958529949188232421875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/node.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:47:"core/themes/claro/css/components/page-title.css";a:8:{s:6:"weight";d:0.07199999999999999455990717933673295192420482635498046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/claro/css/components/page-title.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:42:"core/themes/claro/css/components/pager.css";a:8:{s:6:"weight";d:0.07299999999999999544808559903685818426311016082763671875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/claro/css/components/pager.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:46:"core/themes/claro/css/components/skip-link.css";a:8:{s:6:"weight";d:0.07399999999999999633626401873698341660201549530029296875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/claro/css/components/skip-link.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:43:"core/themes/claro/css/components/tables.css";a:8:{s:6:"weight";d:0.07499999999999999722444243843710864894092082977294921875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/claro/css/components/tables.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:64:"core/themes/claro/css/components/table--file-multiple-widget.css";a:8:{s:6:"weight";d:0.07599999999999999811262085813723388127982616424560546875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"core/themes/claro/css/components/table--file-multiple-widget.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:58:"core/themes/claro/css/components/search-admin-settings.css";a:8:{s:6:"weight";d:0.07699999999999999900079927783735911361873149871826171875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/claro/css/components/search-admin-settings.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:56:"core/themes/claro/css/components/tablesort-indicator.css";a:8:{s:6:"weight";d:0.07799999999999999988897769753748434595763683319091796875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/claro/css/components/tablesort-indicator.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:70:"core/themes/claro/css/components/system-status-report-general-info.css";a:8:{s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"core/themes/claro/css/components/system-status-report-general-info.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:57:"core/themes/claro/css/components/system-status-report.css";a:8:{s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/claro/css/components/system-status-report.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:58:"core/themes/claro/css/components/system-status-counter.css";a:8:{s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/claro/css/components/system-status-counter.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:66:"core/themes/claro/css/components/system-status-report-counters.css";a:8:{s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/claro/css/components/system-status-report-counters.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/components/tableselect.css";a:8:{s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/components/tableselect.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:41:"core/themes/claro/css/components/tabs.css";a:8:{s:6:"weight";d:0.08100000000000000255351295663786004297435283660888671875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/claro/css/components/tabs.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:45:"core/themes/claro/css/components/views-ui.css";a:8:{s:6:"weight";d:0.08200000000000000344169137633798527531325817108154296875;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/claro/css/components/views-ui.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:45:"core/themes/claro/css/components/progress.css";a:8:{s:6:"weight";d:0.0869999999999999940047956670241546817123889923095703125;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/claro/css/components/progress.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:38:"core/themes/claro/css/theme/colors.css";a:8:{s:6:"weight";d:200.082999999999998408384271897375583648681640625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/claro/css/theme/colors.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}s:48:"core/themes/claro/css/theme/maintenance-page.css";a:8:{s:6:"weight";d:200.08899999999999863575794734060764312744140625;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/claro/css/theme/maintenance-page.css";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:2:"IE";b:1;s:3:"!IE";b:1;}}}', -1, '1681652115.269', 1, 'library_info', '0');
INSERT INTO `cache_data` VALUES
('css:conferenceplus:S0KQiuqXYu2UCIbhEjSIaRR-dqURL_JZMjEyYopOngs1', 'a:11:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_57Qp86EJCL0nxlGSnYNcdu3JqjD582R9s08wN6vFiMs.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.0.3";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_RS8j6E4m78y8egyFWWqbtIG8UIhGTwTx6CujUBS9fuQ.css";s:12:"preprocessed";b:1;}i:2;a:7:{s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:56:"themes/custom/conferenceplus/css/components/messages.css";}i:3;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_Ohy9IPa765CgALrnlh1M3Ay5wRmBhQMRGF7fPzNz-Uo.css";s:12:"preprocessed";b:1;}i:4;a:7:{s:4:"type";s:8:"external";s:5:"group";i:100;s:7:"version";s:5:"5.0.8";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:49:"//use.fontawesome.com/releases/v5.0.8/css/all.css";}i:5;a:7:{s:4:"type";s:8:"external";s:5:"group";i:100;s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:110:"//fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,900,400italic,700italic,900italic&subset=latin,greek";}i:6;a:7:{s:4:"type";s:8:"external";s:5:"group";i:100;s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:72:"//fonts.googleapis.com/css?family=Source+Code+Pro&subset=latin,latin-ext";}i:7;a:7:{s:4:"type";s:8:"external";s:5:"group";i:100;s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:93:"//fonts.googleapis.com/css?family=PT+Serif:400,700,400italic,700italic&subset=latin,latin-ext";}i:8;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_X0ZApU4_hu1GVmWMq9am_2IARJwBk0WtzBUy8rGpWek.css";s:12:"preprocessed";b:1;}i:9;a:7:{s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:53:"themes/custom/conferenceplus/css/theme/color-blue.css";}i:10;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_AbpHGcgLb-kRsJGnwFEktk7uzpZOCcBY74-YBdrKVGs.css";s:12:"preprocessed";b:1;}}', -1, '1681649817.691', 1, 'library_info', '0'),
('css:olivero:IMz0VHucrmgsLUPE8gmLmvpsm-hY0TMIe4BHpHKls-w1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_VQDk4iw7PLpOJGXP6BmMjpKmrPBWBrBHsVG1YZaKigE.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_C_3NL2a4VAKew2mTjwdWki7NXIrJOnw8yAthuxs_6vA.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_Fo0WsLQ4SPBxV6CB36E-sRXiCcqgB-GODfLmHzDGpgE.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_4dMyyxGCiol63xn39YlERBs1uZzBR7sabORPkupR8qE.css";s:12:"preprocessed";b:1;}}', -1, '1681652754.356', 1, 'library_info', '0'),
('css:olivero:RDtYcWYYjsKy0Akmooy4-kUnkfLcuFe6dfU8KqFrGEY1', 'a:1:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_WU5eXrsOJpSmtOtEMMFdND843FxVdjeK1qG1efNihVU.css";s:12:"preprocessed";b:1;}}', -1, '1681652769.263', 1, 'library_info', '0'),
('css:olivero:SWySv01Y0uo6gTHOtLZ_J8JTw5dYFGiOCTetkzrsSH41', 'a:2:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_So3FlmtSG7zvslb6BQlr0lfaWsLvzv9VYSO5O9UgQaE.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_bty4VhPeQFqA-kZiDm-K0cS_vPbht9sr0Myu4ZdMb_Q.css";s:12:"preprocessed";b:1;}}', -1, '1681653975.698', 1, 'library_info', '0'),
('css:olivero:dMK0QxwopOqVBMAnj2Q7mX-gMt7-VZEGVaW-qjwhmIU1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_DLGuV4f1afcESO-iBH5wBVy9nb8SZdjGRGPj3Q8AYTY.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_C_3NL2a4VAKew2mTjwdWki7NXIrJOnw8yAthuxs_6vA.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_gjpv-iu2DwqeYu56S9qeH4YpZq1NnlNZXY03hyBSMRU.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BvCU1GH4Fs5FJKyS_qDnIPzrOLr15TyI8k31IRdjOQY.css";s:12:"preprocessed";b:1;}}', -1, '1681652765.532', 1, 'library_info', '0'),
('css:olivero:lY8ejwqc98aNxMM4ZMGv9sIKKklk0NcLPzbtI2nlij01', 'a:0:{}', -1, '1681652758.058', 1, 'library_info', '0'),
('css:olivero:wupsas9FOGrcWxDDEnRDyTjX9SZNFWylwuIRQHaZlwM1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_VQDk4iw7PLpOJGXP6BmMjpKmrPBWBrBHsVG1YZaKigE.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_C_3NL2a4VAKew2mTjwdWki7NXIrJOnw8yAthuxs_6vA.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_gjpv-iu2DwqeYu56S9qeH4YpZq1NnlNZXY03hyBSMRU.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_4dMyyxGCiol63xn39YlERBs1uZzBR7sabORPkupR8qE.css";s:12:"preprocessed";b:1;}}', -1, '1681653973.236', 1, 'library_info', '0'),
('css:seven:0dRHJJVZAZ26ugV4x5fz40bDeIpoEaOvo3SXPWPA6Gk1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_E1PYV09SdX1ifWjwQeJ2mefWmQ6OzE-cdMSCiyZzv_o.css";s:12:"preprocessed";b:1;}}', -1, '1681652211.285', 1, 'library_info', '0'),
('css:seven:44y3BMN1Pj6jRBJs3YJ8fxa3XQ9-gs8l6kTOEaI1bME1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_FMlUizyhU1mIKJfLgZeYvqaqnmVXHURG33lE9F65U3M.css";s:12:"preprocessed";b:1;}}', -1, '1681653323.692', 1, 'library_info', '0'),
('css:seven:5fsJATlCkNhk2owYBJ8VxRDU0rDMkFMZDVHHMu4iFDM1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_b9nII4PtkopCby3wvgKEWxPfzsfhOdcKdg_PuFDeFeE.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_5M8rUBWUqyg3PwkKeI75JL4FQYSE-txTDqQyc3uveAI.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_PZI3MSMQIudeYvYXUnZYiAtSaDm2e-VaJCOTw_uxl0A.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_E1PYV09SdX1ifWjwQeJ2mefWmQ6OzE-cdMSCiyZzv_o.css";s:12:"preprocessed";b:1;}}', -1, '1681649933.110', 1, 'library_info', '0'),
('css:seven:BwRK8Sn4mjM5r1uFltmn6IvA6YpL4MZizNfPfSMl8i01', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJsEGLZx9ZhOF9isHJszXqDuQnIZuUrSs0VZzEirncQ.css";s:12:"preprocessed";b:1;}}', -1, '1681652098.872', 1, 'library_info', '0'),
('css:seven:DDOGURAOFScxnNd62vA2g02GJLjNvNyGoglZ3NITbfg1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_kTEdNi8XdMVN0i8ChtmKR0IYswtM-aBcSiWn1iSjXFA.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_E1PYV09SdX1ifWjwQeJ2mefWmQ6OzE-cdMSCiyZzv_o.css";s:12:"preprocessed";b:1;}}', -1, '1681652068.278', 1, 'library_info', '0'),
('css:seven:U38spo6CtTz0BMvdn9JperTGNDPgrhmXgrmyxGmW59g1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_E1PYV09SdX1ifWjwQeJ2mefWmQ6OzE-cdMSCiyZzv_o.css";s:12:"preprocessed";b:1;}}', -1, '1681652233.802', 1, 'library_info', '0'),
('css:seven:UiRmW3s0Ar_3idEiKl5a0dodCT35av68wRzYnHrQn2c1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_kTEdNi8XdMVN0i8ChtmKR0IYswtM-aBcSiWn1iSjXFA.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dsUY8Gx6o22LFz1cG2fWLIsm3avdTirc7AcLhw_NmSg.css";s:12:"preprocessed";b:1;}}', -1, '1681653330.519', 1, 'library_info', '0'),
('css:seven:aeeu0QJYk6jb0USSkUxCKLvGnJoGwimGeruzcvEj4lU1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_FMlUizyhU1mIKJfLgZeYvqaqnmVXHURG33lE9F65U3M.css";s:12:"preprocessed";b:1;}}', -1, '1681652717.284', 1, 'library_info', '0'),
('css:seven:cIsHtTr9yGQUWf9tTI45BYFX3iRG8qZlzaZDYcv6Su81', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_b9nII4PtkopCby3wvgKEWxPfzsfhOdcKdg_PuFDeFeE.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_5M8rUBWUqyg3PwkKeI75JL4FQYSE-txTDqQyc3uveAI.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_PZI3MSMQIudeYvYXUnZYiAtSaDm2e-VaJCOTw_uxl0A.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_gB_iP3A4Db5rgmHyx8TCsj9QQQ5oDeUS_TOd50QH0oI.css";s:12:"preprocessed";b:1;}}', -1, '1681653299.334', 1, 'library_info', '0'),
('css:seven:m_Ad5toS7KE3-9O6LV_cvmoCmPhUMJ37MhtVwrAZFno1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_E1PYV09SdX1ifWjwQeJ2mefWmQ6OzE-cdMSCiyZzv_o.css";s:12:"preprocessed";b:1;}}', -1, '1681649762.682', 1, 'library_info', '0'),
('css:seven:q8sS2R2sLBPIZxO-LbusXiDAedV70fbn6p1lMrxnfps1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_E1PYV09SdX1ifWjwQeJ2mefWmQ6OzE-cdMSCiyZzv_o.css";s:12:"preprocessed";b:1;}}', -1, '1681649787.527', 1, 'library_info', '0'),
('css:seven:wGLdWLZQONIa4933hdkt60Z8uN-NLOMBvtNeDyCUL8k1', 'a:6:{i:0;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"8.0.1";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:12:"preprocessed";b:1;}i:1;a:8:{s:5:"media";s:6:"screen";s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:12:"preprocessed";b:1;}i:2;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:12:"preprocessed";b:1;}i:3;a:8:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:0;s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";}i:4;a:8:{s:5:"group";i:0;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:12:"preprocessed";b:1;}i:5;a:8:{s:5:"group";i:100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:5:"media";s:3:"all";s:10:"preprocess";b:1;s:8:"browsers";a:2:{s:3:"!IE";b:1;s:2:"IE";b:1;}s:4:"data";s:64:"public://css/css_E1PYV09SdX1ifWjwQeJ2mefWmQ6OzE-cdMSCiyZzv_o.css";s:12:"preprocessed";b:1;}}', -1, '1681650060.104', 1, 'library_info', '0'),
('js:bartik:en:4A24fHVUTtbtUMVB5nb3PQ1qxdqySxhLfx9nr30GW8w11', 'a:4:{i:0;a:1:{i:0;a:10:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:7:"version";s:6:"5.12.0";s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";}}i:1;a:3:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_y57geBL-K47QfSLZFcl_jtxJKKl-i8yIkHt048E1tQc.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:7:"version";s:3:"1.x";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_kI3-qcNH9s1doPOLnmDTBUEugbEAfJIYWFRiGiA4AtM.js";s:12:"preprocessed";b:1;}}i:2;a:3:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;}i:3;b:0;}', -1, '1681650075.394', 1, 'library_info', '0'),
('js:bartik:en:lY8ejwqc98aNxMM4ZMGv9sIKKklk0NcLPzbtI2nlij001', 'a:4:{i:0;a:0:{}i:1;a:1:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_vnAGZapKnTCzivLtVdnwI1hoNPGwUhVAM5nT3DANm4k.js";s:12:"preprocessed";b:1;}}i:2;a:1:{s:13:"ajaxPageState";a:1:{s:5:"theme";s:6:"bartik";}}i:3;b:0;}', -1, '1681652208.531', 1, 'library_info', '0'),
('js:bartik:en:nzm3fdVHxTT42taEwS32IqDPHlcBvqFYP_RPioFanYk11', 'a:4:{i:0;a:1:{i:0;a:10:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:7:"version";s:6:"5.12.0";s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";}}i:1;a:3:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_y57geBL-K47QfSLZFcl_jtxJKKl-i8yIkHt048E1tQc.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:7:"version";s:3:"1.x";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_eRHDJXENX535nI1cLiVTSGYJ1gX7owibVLOP6LryIeM.js";s:12:"preprocessed";b:1;}}i:2;a:3:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;}i:3;b:0;}', -1, '1681650107.984', 1, 'library_info', '0'),
('js:bartik:en:to7bxr3zvSIMiAKRiUK0chSf83696J7mImq0KM1IdMk10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.91799999999999926103555480949580669403076171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.917000000000001591615728102624416351318359375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:98:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/polyfills/array.find.js";a:11:{s:6:"weight";d:-19.93900000000000005684341886080801486968994140625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";a:11:{s:6:"weight";d:-11.839999999999999857891452847979962825775146484375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";a:11:{s:6:"weight";d:-11.7530000000000001136868377216160297393798828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";a:11:{s:6:"weight";d:-11.7520000000000006679101716144941747188568115234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";a:11:{s:6:"weight";d:-11.751000000000001222133505507372319698333740234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";a:11:{s:6:"weight";d:-11.75;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";a:11:{s:6:"weight";d:-11.7490000000000005542233338928781449794769287109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";a:11:{s:6:"weight";d:-11.748000000000001108446667785756289958953857421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";a:11:{s:6:"weight";d:-11.7469999999999998863131622783839702606201171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";a:11:{s:6:"weight";d:-11.7460000000000004405364961712621152400970458984375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";a:11:{s:6:"weight";d:-11.745000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";a:11:{s:6:"weight";d:-11.7440000000000015489831639570184051990509033203125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";a:11:{s:6:"weight";d:-11.7430000000000003268496584496460855007171630859375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";a:11:{s:6:"weight";d:-11.742000000000000881072992342524230480194091796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";a:11:{s:6:"weight";d:-11.7410000000000014352963262354023754596710205078125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";a:11:{s:6:"weight";d:-11.657000000000000028421709430404007434844970703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";a:11:{s:6:"weight";d:-11.65599999999999880628820392303168773651123046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";a:11:{s:6:"weight";d:-11.6549999999999993605115378159098327159881591796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";a:11:{s:6:"weight";d:-11.653999999999999914734871708787977695465087890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";a:11:{s:6:"weight";d:-11.5600000000000004973799150320701301097869873046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";a:11:{s:6:"weight";d:-11.5589999999999992752464095246978104114532470703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";a:11:{s:6:"weight";d:-11.55799999999999982946974341757595539093017578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";a:11:{s:6:"weight";d:-11.4610000000000002984279490192420780658721923828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";a:11:{s:6:"weight";d:-11.3620000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0309999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/jquery.tabbable.shim.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:26:"core/misc/dialog/dialog.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/misc/dialog/dialog.position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/dialog/dialog.jquery-ui.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/popperjs/popper.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";s:6:"weight";d:0.061999999999999999555910790149937383830547332763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/quickedit/js/quickedit.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/quickedit/js/quickedit.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.063000000000000000444089209850062616169452667236328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/modules/quickedit/js/util.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/modules/quickedit/js/util.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.064000000000000001332267629550187848508358001708984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/models/BaseModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/models/BaseModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.065000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/modules/quickedit/js/models/AppModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/js/models/AppModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.066000000000000003108624468950438313186168670654296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EntityModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EntityModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.067000000000000003996802888650563545525074005126953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/quickedit/js/models/FieldModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/js/models/FieldModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.068000000000000004884981308350688777863979339599609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EditorModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EditorModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.069000000000000005773159728050814010202884674072265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/modules/quickedit/js/views/AppView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/views/AppView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.070000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07099999999999999367172875963660771958529949188232421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07199999999999999455990717933673295192420482635498046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07299999999999999544808559903685818426311016082763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07399999999999999633626401873698341660201549530029296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07499999999999999722444243843710864894092082977294921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/views/EditorView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/views/EditorView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07599999999999999811262085813723388127982616424560546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/quickedit/js/theme.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/quickedit/js/theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07699999999999999900079927783735911361873149871826171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07799999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:37:"core/modules/statistics/statistics.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/statistics/statistics.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/history/js/history.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/history/js/history.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/history/js/mark-as-read.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/history/js/mark-as-read.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08100000000000000255351295663786004297435283660888671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08400000000000000521804821573823573999106884002685546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08500000000000000610622663543836097232997417449951171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0859999999999999931166172473240294493734836578369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0869999999999999940047956670241546817123889923095703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0879999999999999948929740867242799140512943267822265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0889999999999999957811525064244051463901996612548828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0899999999999999966693309261245303787291049957275390625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0909999999999999975575093458246556110680103302001953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0919999999999999984456877655247808434069156646728515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.0929999999999999993338661852249060757458209991455078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0940000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0950000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0960000000000000019984014443252817727625370025634765625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0970000000000000028865798640254070051014423370361328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0980000000000000037747582837255322374403476715087890625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0990000000000000046629367034256574697792530059814453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.1000000000000000055511151231257827021181583404541015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:6:"bartik";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652203.247', 1, 'library_info', '0');
INSERT INTO `cache_data` VALUES
('js:claro:en:5ueB7iGNYaxhkoGxgBJ2PeM_zrjTImr66QfHxlkNIqM00', 'a:4:{i:0;a:1:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:10:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";d:-19.992999999999998550492819049395620822906494140625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.003000000000000000062450045135165055398829281330108642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:20:"core/misc/message.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:20:"core/misc/message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/claro/js/messages.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/claro/js/messages.js";s:7:"version";i:-1;s:8:"minified";b:0;s:6:"weight";d:0.00600000000000000012490009027033011079765856266021728515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.00899999999999999931998839741709161899052560329437255859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/themes/claro/js/mobile.install.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/claro/js/mobile.install.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:3:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;}i:3;b:0;}', -1, '1681652130.168', 1, 'library_info', '0'),
('js:claro:en:BzxaG4tmn30gFN2qx93VMao3H-mhQIRUMPShTtV8rUE10', 'a:4:{i:0;a:1:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:24:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";d:-19.992999999999998550492819049395620822906494140625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.989999999999998436805981327779591083526611328125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.98799999999999954525264911353588104248046875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.983000000000000540012479177676141262054443359375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.980000000000000426325641456060111522674560546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.986999999999998323119143606163561344146728515625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9849999999999994315658113919198513031005859375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.9819999999999999840127884453977458178997039794921875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.003000000000000000062450045135165055398829281330108642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:20:"core/misc/message.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:20:"core/misc/message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/claro/js/messages.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/claro/js/messages.js";s:7:"version";i:-1;s:8:"minified";b:0;s:6:"weight";d:0.00600000000000000012490009027033011079765856266021728515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.00899999999999999931998839741709161899052560329437255859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0109999999999999993616217608405349892564117908477783203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01600000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.0189999999999999995281552145343084703199565410614013671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0210000000000000013045120539345589349977672100067138671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/themes/claro/js/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/themes/claro/js/ajax.js";s:7:"version";i:-1;s:8:"minified";b:0;s:6:"weight";d:0.021999999999999998723243521681069978512823581695556640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:18:"core/misc/batch.js";a:11:{s:5:"cache";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:18:"core/misc/batch.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.022999999999999999611421941381195210851728916168212890625;s:10:"preprocess";b:0;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/themes/claro/js/mobile.install.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/claro/js/mobile.install.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.024000000000000000499600361081320443190634250640869140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"claro";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652115.271', 1, 'library_info', '0'),
('js:conferenceplus:en:S0KQiuqXYu2UCIbhEjSIaRR-dqURL_JZMjEyYopOngs00', 'a:4:{i:0;a:0:{}i:1;a:19:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.995000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9909999999999996589394868351519107818603515625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.008000000000000000166533453693773481063544750213623046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"themes/custom/conferenceplus/js/init/tooltip-init.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/js/init/tooltip-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.00899999999999999931998839741709161899052560329437255859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:58:"themes/custom/conferenceplus/js/count-to/jquery.countTo.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/js/count-to/jquery.countTo.js";s:7:"version";s:5:"1.2.0";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:65:"themes/custom/conferenceplus/js/waypoints/jquery.waypoints.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/waypoints/jquery.waypoints.min.js";s:7:"version";s:5:"4.0.1";s:8:"minified";b:0;s:6:"weight";d:0.0109999999999999993616217608405349892564117908477783203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"themes/custom/conferenceplus/js/init/count-to-init.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/js/init/count-to-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0120000000000000002498001805406602215953171253204345703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:67:"themes/custom/conferenceplus/js/custom/in-page-navigation-scroll.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/js/custom/in-page-navigation-scroll.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:70:"themes/custom/conferenceplus/js/custom/in-page-navigation-scrollspy.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/js/custom/in-page-navigation-scrollspy.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01400000000000000029143354396410359186120331287384033203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:65:"themes/custom/conferenceplus/bootstrap/js/bootstrap.bundle.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/bootstrap/js/bootstrap.bundle.min.js";s:7:"version";s:5:"4.3.1";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:65:"themes/custom/conferenceplus/js/init/waypoints-animations-init.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/init/waypoints-animations-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01600000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:65:"themes/custom/conferenceplus/js/waypoints/shortcuts/sticky.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/waypoints/shortcuts/sticky.min.js";s:7:"version";s:5:"4.0.1";s:8:"minified";b:0;s:6:"weight";d:0.01700000000000000122124532708767219446599483489990234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:67:"themes/custom/conferenceplus/js/init/waypoints-fixed-header-init.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/js/init/waypoints-fixed-header-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0179999999999999986399767948341832379810512065887451171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:3:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;}i:3;b:0;}', -1, '1681649817.692', 1, 'library_info', '0'),
('js:olivero:en:IMz0VHucrmgsLUPE8gmLmvpsm-hY0TMIe4BHpHKls-w10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.910000000000000142108547152020037174224853515625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.90899999999999891997504164464771747589111328125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:108:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/polyfills/array.find.js";a:11:{s:6:"weight";d:-19.93900000000000005684341886080801486968994140625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.closest.js";a:11:{s:6:"weight";d:-19.922000000000000596855898038484156131744384765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.closest.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:37:"core/misc/polyfills/array.includes.js";a:11:{s:6:"weight";d:-19.89099999999999823785401531495153903961181640625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/polyfills/array.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";a:11:{s:6:"weight";d:-11.839999999999999857891452847979962825775146484375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";a:11:{s:6:"weight";d:-11.7530000000000001136868377216160297393798828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";a:11:{s:6:"weight";d:-11.7520000000000006679101716144941747188568115234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";a:11:{s:6:"weight";d:-11.751000000000001222133505507372319698333740234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";a:11:{s:6:"weight";d:-11.75;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";a:11:{s:6:"weight";d:-11.7490000000000005542233338928781449794769287109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";a:11:{s:6:"weight";d:-11.748000000000001108446667785756289958953857421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";a:11:{s:6:"weight";d:-11.7469999999999998863131622783839702606201171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";a:11:{s:6:"weight";d:-11.7460000000000004405364961712621152400970458984375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";a:11:{s:6:"weight";d:-11.745000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";a:11:{s:6:"weight";d:-11.7440000000000015489831639570184051990509033203125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";a:11:{s:6:"weight";d:-11.7430000000000003268496584496460855007171630859375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";a:11:{s:6:"weight";d:-11.742000000000000881072992342524230480194091796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";a:11:{s:6:"weight";d:-11.7410000000000014352963262354023754596710205078125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";a:11:{s:6:"weight";d:-11.657000000000000028421709430404007434844970703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";a:11:{s:6:"weight";d:-11.65599999999999880628820392303168773651123046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";a:11:{s:6:"weight";d:-11.6549999999999993605115378159098327159881591796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";a:11:{s:6:"weight";d:-11.653999999999999914734871708787977695465087890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";a:11:{s:6:"weight";d:-11.5600000000000004973799150320701301097869873046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";a:11:{s:6:"weight";d:-11.5589999999999992752464095246978104114532470703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";a:11:{s:6:"weight";d:-11.55799999999999982946974341757595539093017578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";a:11:{s:6:"weight";d:-11.4610000000000002984279490192420780658721923828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";a:11:{s:6:"weight";d:-11.3620000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0309999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/jquery.tabbable.shim.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:26:"core/misc/dialog/dialog.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/misc/dialog/dialog.position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/dialog/dialog.jquery-ui.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/popperjs/popper.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";s:6:"weight";d:0.061999999999999999555910790149937383830547332763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/quickedit/js/quickedit.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/quickedit/js/quickedit.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.063000000000000000444089209850062616169452667236328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/modules/quickedit/js/util.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/modules/quickedit/js/util.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.064000000000000001332267629550187848508358001708984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/models/BaseModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/models/BaseModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.065000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/modules/quickedit/js/models/AppModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/js/models/AppModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.066000000000000003108624468950438313186168670654296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EntityModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EntityModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.067000000000000003996802888650563545525074005126953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/quickedit/js/models/FieldModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/js/models/FieldModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.068000000000000004884981308350688777863979339599609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EditorModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EditorModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.069000000000000005773159728050814010202884674072265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/modules/quickedit/js/views/AppView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/views/AppView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.070000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07099999999999999367172875963660771958529949188232421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07199999999999999455990717933673295192420482635498046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07299999999999999544808559903685818426311016082763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07399999999999999633626401873698341660201549530029296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07499999999999999722444243843710864894092082977294921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/views/EditorView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/views/EditorView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07599999999999999811262085813723388127982616424560546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/quickedit/js/theme.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/quickedit/js/theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07699999999999999900079927783735911361873149871826171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/themes/olivero/js/checkbox.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/checkbox.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/themes/olivero/js/navigation-utils.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/olivero/js/navigation-utils.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08100000000000000255351295663786004297435283660888671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:37:"core/modules/statistics/statistics.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/statistics/statistics.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08200000000000000344169137633798527531325817108154296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/history/js/history.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/history/js/history.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08300000000000000432986979603811050765216350555419921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/history/js/mark-as-read.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/history/js/mark-as-read.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08400000000000000521804821573823573999106884002685546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:30:"core/themes/olivero/js/tabs.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:30:"core/themes/olivero/js/tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08500000000000000610622663543836097232997417449951171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/olivero/js/search.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/olivero/js/search.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0859999999999999931166172473240294493734836578369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/themes/olivero/js/navigation.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0869999999999999940047956670241546817123889923095703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/themes/olivero/js/second-level-navigation.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/js/second-level-navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0879999999999999948929740867242799140512943267822265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/themes/olivero/js/nav-resize.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/nav-resize.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0889999999999999957811525064244051463901996612548828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0919999999999999984456877655247808434069156646728515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0929999999999999993338661852249060757458209991455078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0940000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0950000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0960000000000000019984014443252817727625370025634765625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0970000000000000028865798640254070051014423370361328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0980000000000000037747582837255322374403476715087890625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0990000000000000046629367034256574697792530059814453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.1000000000000000055511151231257827021181583404541015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.1010000000000000064392935428259079344570636749267578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10199999999999999344968415471157641150057315826416015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10299999999999999433786257441170164383947849273681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10399999999999999522604099411182687617838382720947265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10499999999999999611421941381195210851728916168212890625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10599999999999999700239783351207734085619449615478515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10699999999999999789057625321220257319509983062744140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10799999999999999877875467291232780553400516510009765625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/themes/olivero/js/messages.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/messages.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.11000000000000000055511151231257827021181583404541015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:7:"olivero";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652754.374', 1, 'library_info', '0');
INSERT INTO `cache_data` VALUES
('js:olivero:en:RDtYcWYYjsKy0Akmooy4-kUnkfLcuFe6dfU8KqFrGEY01', 'a:4:{i:0;a:0:{}i:1;a:1:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_b5ppXX2BiDR772JVynU8sfNALS7E7-_YQ8Bwg7ucLC0.js";s:12:"preprocessed";b:1;}}i:2;a:1:{s:13:"ajaxPageState";a:1:{s:5:"theme";s:7:"olivero";}}i:3;b:0;}', -1, '1681652769.373', 1, 'library_info', '0'),
('js:olivero:en:SWySv01Y0uo6gTHOtLZ_J8JTw5dYFGiOCTetkzrsSH411', 'a:4:{i:0;a:0:{}i:1;a:4:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_vnAGZapKnTCzivLtVdnwI1hoNPGwUhVAM5nT3DANm4k.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"4.21.0";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:39:"core/assets/vendor/ckeditor/ckeditor.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_ka3caNjuKU11rEO7WQEXqkYVXZTumrhN2cl7VvVgeJE.js";s:12:"preprocessed";b:1;}i:3;a:10:{s:10:"attributes";a:1:{s:5:"defer";b:1;}s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:56:"core/modules/quickedit/js/editors/formattedTextEditor.js";}}i:2;a:2:{s:8:"ckeditor";a:1:{s:9:"timestamp";s:6:"rt7l9b";}s:13:"ajaxPageState";a:1:{s:5:"theme";s:7:"olivero";}}i:3;b:0;}', -1, '1681653975.740', 1, 'library_info', '0'),
('js:olivero:en:dMK0QxwopOqVBMAnj2Q7mX-gMt7-VZEGVaW-qjwhmIU10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.9140000000000014779288903810083866119384765625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.913000000000000255795384873636066913604736328125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:104:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/polyfills/array.find.js";a:11:{s:6:"weight";d:-19.93900000000000005684341886080801486968994140625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.closest.js";a:11:{s:6:"weight";d:-19.922000000000000596855898038484156131744384765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.closest.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:37:"core/misc/polyfills/array.includes.js";a:11:{s:6:"weight";d:-19.894999999999999573674358543939888477325439453125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/polyfills/array.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";a:11:{s:6:"weight";d:-11.839999999999999857891452847979962825775146484375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";a:11:{s:6:"weight";d:-11.7530000000000001136868377216160297393798828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";a:11:{s:6:"weight";d:-11.7520000000000006679101716144941747188568115234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";a:11:{s:6:"weight";d:-11.751000000000001222133505507372319698333740234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";a:11:{s:6:"weight";d:-11.75;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";a:11:{s:6:"weight";d:-11.7490000000000005542233338928781449794769287109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";a:11:{s:6:"weight";d:-11.748000000000001108446667785756289958953857421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";a:11:{s:6:"weight";d:-11.7469999999999998863131622783839702606201171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";a:11:{s:6:"weight";d:-11.7460000000000004405364961712621152400970458984375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";a:11:{s:6:"weight";d:-11.745000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";a:11:{s:6:"weight";d:-11.7440000000000015489831639570184051990509033203125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";a:11:{s:6:"weight";d:-11.7430000000000003268496584496460855007171630859375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";a:11:{s:6:"weight";d:-11.742000000000000881072992342524230480194091796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";a:11:{s:6:"weight";d:-11.7410000000000014352963262354023754596710205078125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";a:11:{s:6:"weight";d:-11.657000000000000028421709430404007434844970703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";a:11:{s:6:"weight";d:-11.65599999999999880628820392303168773651123046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";a:11:{s:6:"weight";d:-11.6549999999999993605115378159098327159881591796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";a:11:{s:6:"weight";d:-11.653999999999999914734871708787977695465087890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";a:11:{s:6:"weight";d:-11.5600000000000004973799150320701301097869873046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";a:11:{s:6:"weight";d:-11.5589999999999992752464095246978104114532470703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";a:11:{s:6:"weight";d:-11.55799999999999982946974341757595539093017578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";a:11:{s:6:"weight";d:-11.4610000000000002984279490192420780658721923828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";a:11:{s:6:"weight";d:-11.3620000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0309999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/jquery.tabbable.shim.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:26:"core/misc/dialog/dialog.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/misc/dialog/dialog.position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/dialog/dialog.jquery-ui.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/popperjs/popper.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";s:6:"weight";d:0.061999999999999999555910790149937383830547332763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/quickedit/js/quickedit.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/quickedit/js/quickedit.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.063000000000000000444089209850062616169452667236328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/modules/quickedit/js/util.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/modules/quickedit/js/util.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.064000000000000001332267629550187848508358001708984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/models/BaseModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/models/BaseModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.065000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/modules/quickedit/js/models/AppModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/js/models/AppModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.066000000000000003108624468950438313186168670654296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EntityModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EntityModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.067000000000000003996802888650563545525074005126953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/quickedit/js/models/FieldModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/js/models/FieldModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.068000000000000004884981308350688777863979339599609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EditorModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EditorModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.069000000000000005773159728050814010202884674072265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/modules/quickedit/js/views/AppView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/views/AppView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.070000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07099999999999999367172875963660771958529949188232421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07199999999999999455990717933673295192420482635498046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07299999999999999544808559903685818426311016082763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07399999999999999633626401873698341660201549530029296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07499999999999999722444243843710864894092082977294921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/views/EditorView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/views/EditorView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07599999999999999811262085813723388127982616424560546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/quickedit/js/theme.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/quickedit/js/theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07699999999999999900079927783735911361873149871826171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/themes/olivero/js/checkbox.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/checkbox.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/themes/olivero/js/navigation-utils.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/olivero/js/navigation-utils.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08100000000000000255351295663786004297435283660888671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/olivero/js/search.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/olivero/js/search.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08200000000000000344169137633798527531325817108154296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/themes/olivero/js/navigation.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08300000000000000432986979603811050765216350555419921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/themes/olivero/js/second-level-navigation.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/js/second-level-navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08400000000000000521804821573823573999106884002685546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/themes/olivero/js/nav-resize.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/nav-resize.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08500000000000000610622663543836097232997417449951171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0879999999999999948929740867242799140512943267822265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0889999999999999957811525064244051463901996612548828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0899999999999999966693309261245303787291049957275390625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0909999999999999975575093458246556110680103302001953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0919999999999999984456877655247808434069156646728515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0929999999999999993338661852249060757458209991455078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0940000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0950000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0960000000000000019984014443252817727625370025634765625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.0970000000000000028865798640254070051014423370361328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0980000000000000037747582837255322374403476715087890625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0990000000000000046629367034256574697792530059814453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.1000000000000000055511151231257827021181583404541015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.1010000000000000064392935428259079344570636749267578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10199999999999999344968415471157641150057315826416015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10299999999999999433786257441170164383947849273681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10399999999999999522604099411182687617838382720947265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/themes/olivero/js/messages.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/messages.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10599999999999999700239783351207734085619449615478515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:7:"olivero";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652765.551', 1, 'library_info', '0'),
('js:olivero:en:lY8ejwqc98aNxMM4ZMGv9sIKKklk0NcLPzbtI2nlij001', 'a:4:{i:0;a:0:{}i:1;a:1:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_vnAGZapKnTCzivLtVdnwI1hoNPGwUhVAM5nT3DANm4k.js";s:12:"preprocessed";b:1;}}i:2;a:1:{s:13:"ajaxPageState";a:1:{s:5:"theme";s:7:"olivero";}}i:3;b:0;}', -1, '1681652758.059', 1, 'library_info', '0'),
('js:olivero:en:wupsas9FOGrcWxDDEnRDyTjX9SZNFWylwuIRQHaZlwM10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.910000000000000142108547152020037174224853515625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.90899999999999891997504164464771747589111328125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:108:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/polyfills/array.find.js";a:11:{s:6:"weight";d:-19.93900000000000005684341886080801486968994140625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.closest.js";a:11:{s:6:"weight";d:-19.922000000000000596855898038484156131744384765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.closest.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:37:"core/misc/polyfills/array.includes.js";a:11:{s:6:"weight";d:-19.89099999999999823785401531495153903961181640625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/polyfills/array.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";a:11:{s:6:"weight";d:-11.839999999999999857891452847979962825775146484375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";a:11:{s:6:"weight";d:-11.7530000000000001136868377216160297393798828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";a:11:{s:6:"weight";d:-11.7520000000000006679101716144941747188568115234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";a:11:{s:6:"weight";d:-11.751000000000001222133505507372319698333740234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";a:11:{s:6:"weight";d:-11.75;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";a:11:{s:6:"weight";d:-11.7490000000000005542233338928781449794769287109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";a:11:{s:6:"weight";d:-11.748000000000001108446667785756289958953857421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";a:11:{s:6:"weight";d:-11.7469999999999998863131622783839702606201171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";a:11:{s:6:"weight";d:-11.7460000000000004405364961712621152400970458984375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";a:11:{s:6:"weight";d:-11.745000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";a:11:{s:6:"weight";d:-11.7440000000000015489831639570184051990509033203125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";a:11:{s:6:"weight";d:-11.7430000000000003268496584496460855007171630859375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";a:11:{s:6:"weight";d:-11.742000000000000881072992342524230480194091796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";a:11:{s:6:"weight";d:-11.7410000000000014352963262354023754596710205078125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";a:11:{s:6:"weight";d:-11.657000000000000028421709430404007434844970703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";a:11:{s:6:"weight";d:-11.65599999999999880628820392303168773651123046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";a:11:{s:6:"weight";d:-11.6549999999999993605115378159098327159881591796875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";a:11:{s:6:"weight";d:-11.653999999999999914734871708787977695465087890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";a:11:{s:6:"weight";d:-11.5600000000000004973799150320701301097869873046875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";a:11:{s:6:"weight";d:-11.5589999999999992752464095246978104114532470703125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";a:11:{s:6:"weight";d:-11.55799999999999982946974341757595539093017578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";a:11:{s:6:"weight";d:-11.4610000000000002984279490192420780658721923828125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";a:11:{s:6:"weight";d:-11.3620000000000000994759830064140260219573974609375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0309999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/jquery.tabbable.shim.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:26:"core/misc/dialog/dialog.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/misc/dialog/dialog.position.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/dialog/dialog.jquery-ui.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:41:"core/assets/vendor/popperjs/popper.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";s:6:"weight";d:0.061999999999999999555910790149937383830547332763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/quickedit/js/quickedit.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/quickedit/js/quickedit.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.063000000000000000444089209850062616169452667236328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/modules/quickedit/js/util.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/modules/quickedit/js/util.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.064000000000000001332267629550187848508358001708984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/models/BaseModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/models/BaseModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.065000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/modules/quickedit/js/models/AppModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/js/models/AppModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.066000000000000003108624468950438313186168670654296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EntityModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EntityModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.067000000000000003996802888650563545525074005126953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/quickedit/js/models/FieldModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/js/models/FieldModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.068000000000000004884981308350688777863979339599609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/quickedit/js/models/EditorModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EditorModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.069000000000000005773159728050814010202884674072265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/modules/quickedit/js/views/AppView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/views/AppView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.070000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07099999999999999367172875963660771958529949188232421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07199999999999999455990717933673295192420482635498046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07299999999999999544808559903685818426311016082763671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07399999999999999633626401873698341660201549530029296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07499999999999999722444243843710864894092082977294921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/quickedit/js/views/EditorView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/views/EditorView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07599999999999999811262085813723388127982616424560546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/quickedit/js/theme.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/quickedit/js/theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07699999999999999900079927783735911361873149871826171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/themes/olivero/js/checkbox.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/checkbox.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.07900000000000000077715611723760957829654216766357421875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/themes/olivero/js/navigation-utils.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/olivero/js/navigation-utils.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08000000000000000166533453693773481063544750213623046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08100000000000000255351295663786004297435283660888671875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:37:"core/modules/statistics/statistics.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/statistics/statistics.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08200000000000000344169137633798527531325817108154296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/history/js/history.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/history/js/history.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08300000000000000432986979603811050765216350555419921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/history/js/mark-as-read.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/history/js/mark-as-read.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08400000000000000521804821573823573999106884002685546875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:30:"core/themes/olivero/js/tabs.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:30:"core/themes/olivero/js/tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.08500000000000000610622663543836097232997417449951171875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/olivero/js/search.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/olivero/js/search.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0859999999999999931166172473240294493734836578369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/themes/olivero/js/navigation.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0869999999999999940047956670241546817123889923095703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/themes/olivero/js/second-level-navigation.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/js/second-level-navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0879999999999999948929740867242799140512943267822265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/themes/olivero/js/nav-resize.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/nav-resize.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0889999999999999957811525064244051463901996612548828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0919999999999999984456877655247808434069156646728515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0929999999999999993338661852249060757458209991455078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0940000000000000002220446049250313080847263336181640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0950000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0960000000000000019984014443252817727625370025634765625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0970000000000000028865798640254070051014423370361328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0980000000000000037747582837255322374403476715087890625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0990000000000000046629367034256574697792530059814453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.1000000000000000055511151231257827021181583404541015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.1010000000000000064392935428259079344570636749267578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10199999999999999344968415471157641150057315826416015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10299999999999999433786257441170164383947849273681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10399999999999999522604099411182687617838382720947265625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10499999999999999611421941381195210851728916168212890625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10599999999999999700239783351207734085619449615478515625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10699999999999999789057625321220257319509983062744140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.10799999999999999877875467291232780553400516510009765625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/themes/olivero/js/messages.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/messages.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.11000000000000000055511151231257827021181583404541015625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:7:"olivero";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681653973.238', 1, 'library_info', '0');
INSERT INTO `cache_data` VALUES
('js:seven:en:0dRHJJVZAZ26ugV4x5fz40bDeIpoEaOvo3SXPWPA6Gk10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.969999999999998863131622783839702606201171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.96900000000000119371179607696831226348876953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:48:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652211.287', 1, 'library_info', '0'),
('js:seven:en:44y3BMN1Pj6jRBJs3YJ8fxa3XQ9-gs8l6kTOEaI1bME10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.9669999999999987494447850622236728668212890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.96600000000000108002495835535228252410888671875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:50:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0309999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/system/js/system.modules.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/js/system.modules.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/seven/js/nav-tabs.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/seven/js/nav-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.051999999999999997613020497055913438089191913604736328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681653323.693', 1, 'library_info', '0'),
('js:seven:en:5fsJATlCkNhk2owYBJ8VxRDU0rDMkFMZDVHHMu4iFDM11', 'a:4:{i:0;a:4:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:61:"public://js/js_-obZvqtqO2lRvZEZq_RZhbVtAIAOAnR9t09ZSoFsa-M.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";i:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";}i:2;a:10:{s:10:"preprocess";i:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";}i:3;a:10:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:7:"version";s:6:"5.12.0";s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";}}i:1;a:3:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_P3U2ci-l5uYOOI0Z_PVANPFGMDwtWvwUHrZMkki_7Ow.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:7:"version";s:3:"1.x";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_7iQyaV2dd1CHPeX8YUEiiQLAkdNxk747i75aiHw5Y_U.js";s:12:"preprocessed";b:1;}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681649933.166', 1, 'library_info', '0'),
('js:seven:en:BwRK8Sn4mjM5r1uFltmn6IvA6YpL4MZizNfPfSMl8i011', 'a:4:{i:0;a:4:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:61:"public://js/js_-obZvqtqO2lRvZEZq_RZhbVtAIAOAnR9t09ZSoFsa-M.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";i:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";}i:2;a:10:{s:10:"preprocess";i:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";}i:3;a:10:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:7:"version";s:6:"5.12.0";s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";}}i:1;a:5:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_P3U2ci-l5uYOOI0Z_PVANPFGMDwtWvwUHrZMkki_7Ow.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:7:"version";s:3:"1.x";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_z0WhPcEELmWevxXtsAP3Hr4UO8ft7HeB5euvEmEnp84.js";s:12:"preprocessed";b:1;}i:3;a:10:{s:5:"cache";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:10:"preprocess";b:0;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:18:"core/misc/batch.js";}i:4;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_1EzNe1qyQleqxAHQ8ua3Taepj2u4BgZ2BUgzk7DTyHA.js";s:12:"preprocessed";b:1;}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652098.920', 1, 'library_info', '0'),
('js:seven:en:DDOGURAOFScxnNd62vA2g02GJLjNvNyGoglZ3NITbfg11', 'a:4:{i:0;a:4:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:61:"public://js/js_-obZvqtqO2lRvZEZq_RZhbVtAIAOAnR9t09ZSoFsa-M.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";i:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";}i:2;a:10:{s:10:"preprocess";i:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";}i:3;a:10:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:7:"version";s:6:"5.12.0";s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";}}i:1;a:3:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_P3U2ci-l5uYOOI0Z_PVANPFGMDwtWvwUHrZMkki_7Ow.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:7:"version";s:3:"1.x";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_gcIRpj4Q7k8ThXL7qu5UxrxPEidpEKfXcn-mrQ7Be44.js";s:12:"preprocessed";b:1;}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652068.580', 1, 'library_info', '0'),
('js:seven:en:U38spo6CtTz0BMvdn9JperTGNDPgrhmXgrmyxGmW59g10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.96900000000000119371179607696831226348876953125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.967999999999999971578290569595992565155029296875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:53:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:42:"core/themes/seven/js/responsive-details.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/seven/js/responsive-details.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/details-summarized-content.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:25:"core/misc/details-aria.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/collapse.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.051999999999999997613020497055913438089191913604736328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.052999999999999998501198916756038670428097248077392578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.053999999999999999389377336456163902767002582550048828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.055000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652233.803', 1, 'library_info', '0');
INSERT INTO `cache_data` VALUES
('js:seven:en:UiRmW3s0Ar_3idEiKl5a0dodCT35av68wRzYnHrQn2c10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.969999999999998863131622783839702606201171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.96900000000000119371179607696831226348876953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:49:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/seven/js/nav-tabs.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/seven/js/nav-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681653330.520', 1, 'library_info', '0'),
('js:seven:en:aeeu0QJYk6jb0USSkUxCKLvGnJoGwimGeruzcvEj4lU10', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.969999999999998863131622783839702606201171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.96900000000000119371179607696831226348876953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:53:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/details-summarized-content.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:25:"core/misc/details-aria.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/collapse.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.051999999999999997613020497055913438089191913604736328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.052999999999999998501198916756038670428097248077392578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.053999999999999999389377336456163902767002582550048828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/seven/js/nav-tabs.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/seven/js/nav-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.055000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681652717.285', 1, 'library_info', '0'),
('js:seven:en:cIsHtTr9yGQUWf9tTI45BYFX3iRG8qZlzaZDYcv6Su810', 'a:4:{i:0;a:3:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.96300000000000096633812063373625278472900390625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.961999999999999744204615126363933086395263671875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:58:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.9729999999999989768184605054557323455810546875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"modules/webform/js/webform.contextual.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"modules/webform/js/webform.contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"modules/webform/js/webform.element.details.save.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/js/webform.element.details.save.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0309999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"modules/webform/js/webform.element.message.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.element.message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0320000000000000006661338147750939242541790008544921875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/misc/tableresponsive.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/misc/tableresponsive.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/system/js/system.modules.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/js/system.modules.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/details-summarized-content.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:25:"core/misc/details-aria.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/collapse.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.051999999999999997613020497055913438089191913604736328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.052999999999999998501198916756038670428097248077392578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.053999999999999999389377336456163902767002582550048828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.055000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.056000000000000001165734175856414367444813251495361328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.057000000000000002053912595556539599783718585968017578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.058000000000000002942091015256664832122623920440673828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.058999999999999996891375531049561686813831329345703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/themes/seven/js/nav-tabs.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/seven/js/nav-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.059999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681653299.335', 1, 'library_info', '0');
INSERT INTO `cache_data` VALUES
('js:seven:en:m_Ad5toS7KE3-9O6LV_cvmoCmPhUMJ37MhtVwrAZFno10', 'a:4:{i:0;a:4:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.967999999999999971578290569595992565155029296875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.9669999999999987494447850622236728668212890625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";a:11:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:7:"version";s:6:"5.12.0";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:53:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.97200000000000130739863379858434200286865234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:32:"core/modules/system/js/system.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/modules/system/js/system.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0309999999999999997779553950749686919152736663818359375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/form.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/details-summarized-content.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:25:"core/misc/details-aria.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/collapse.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.051999999999999997613020497055913438089191913604736328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.052999999999999998501198916756038670428097248077392578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.053999999999999999389377336456163902767002582550048828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.055000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.056000000000000001165734175856414367444813251495361328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681649762.683', 1, 'library_info', '0'),
('js:seven:en:q8sS2R2sLBPIZxO-LbusXiDAedV70fbn6p1lMrxnfps10', 'a:4:{i:0;a:4:{s:29:"core/misc/touchevents-test.js";a:11:{s:6:"weight";d:-21.981999999999999317878973670303821563720703125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:45:"core/assets/vendor/modernizr/modernizr.min.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-20.96900000000000119371179607696831226348876953125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:39:"core/misc/modernizr-additional-tests.js";a:11:{s:10:"preprocess";i:0;s:6:"weight";d:-19.967999999999999971578290569595992565155029296875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";a:11:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:7:"version";s:6:"5.12.0";s:6:"weight";d:0.025000000000000001387778780781445675529539585113525390625;s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";}}i:1;a:48:{s:39:"core/assets/vendor/jquery/jquery.min.js";a:11:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/misc/polyfills/nodelist.foreach.js";a:11:{s:6:"weight";d:-19.995999999999998664179656771011650562286376953125;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/misc/polyfills/element.matches.js";a:11:{s:6:"weight";d:-19.993999999999999772626324556767940521240234375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:36:"core/misc/polyfills/object.assign.js";a:11:{s:6:"weight";d:-19.992000000000000881072992342524230480194091796875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/css-escape/css.escape.js";a:11:{s:6:"weight";d:-19.989000000000000767386154620908200740814208984375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";a:11:{s:6:"weight";d:-19.986000000000000653699316899292171001434326171875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/assets/vendor/underscore/underscore-min.js";a:11:{s:6:"weight";d:-19.98400000000000176214598468504846096038818359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:35:"core/assets/vendor/once/once.min.js";a:11:{s:6:"weight";d:-18.992999999999998550492819049395620822906494140625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/backbone/backbone-min.js";a:11:{s:6:"weight";d:-18.983000000000000540012479177676141262054443359375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";a:11:{s:6:"weight";d:-18.97200000000000130739863379858434200286865234375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:33:"core/misc/drupalSettingsLoader.js";a:11:{s:6:"weight";d:-17.998999999999998777866494492627680301666259765625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:19:"core/misc/drupal.js";a:11:{s:6:"weight";d:-17.998000000000001108446667785756289958953857421875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/drupal.init.js";a:11:{s:6:"weight";d:-16.9969999999999998863131622783839702606201171875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:40:"core/modules/contextual/js/contextual.js";a:11:{s:6:"weight";d:-1.9810000000000000941469124882132746279239654541015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/contextual/js/models/StateModel.js";a:11:{s:6:"weight";d:-1.979999999999999982236431605997495353221893310546875;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:45:"core/modules/contextual/js/views/AuralView.js";a:11:{s:6:"weight";d:-1.97900000000000009237055564881302416324615478515625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/views/KeyboardView.js";a:11:{s:6:"weight";d:-1.9779999999999999804600747665972448885440826416015625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/RegionView.js";a:11:{s:6:"weight";d:-1.9770000000000000905941988094127736985683441162109375;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/contextual/js/views/VisualView.js";a:11:{s:6:"weight";d:-1.97599999999999997868371792719699442386627197265625;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:44:"core/assets/vendor/tabbable/index.umd.min.js";a:11:{s:6:"weight";d:-0.987999999999999989341858963598497211933135986328125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/progress.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.005000000000000000104083408558608425664715468883514404296875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/jquery.once.bc.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01000000000000000020816681711721685132943093776702880859375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/assets/vendor/loadjs/loadjs.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";s:6:"weight";d:0.01299999999999999940325512426397835952229797840118408203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:17:"core/misc/ajax.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.01499999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";a:11:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";s:6:"weight";d:0.0259999999999999988065102485279567190445959568023681640625;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0269999999999999996946886682280819513835012912750244140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"modules/custom/mt_countdown/js/mt_countdown.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0280000000000000005828670879282071837224066257476806640625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:6:"weight";d:0.0290000000000000014710455076283324160613119602203369140625;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:24:"core/misc/active-link.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0299999999999999988897769753748434595763683319091796875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/debounce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0330000000000000015543122344752191565930843353271484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/announce.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0340000000000000024424906541753443889319896697998046875;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:21:"core/misc/displace.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.0350000000000000033306690738754696212708950042724609375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:39:"core/modules/toolbar/js/toolbar.menu.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.035999999999999997279953589668366475962102413177490234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:34:"core/modules/toolbar/js/toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.036999999999999998168132009368491708301007747650146484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/modules/toolbar/js/models/MenuModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.037999999999999999056310429068616940639913082122802734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:46:"core/modules/toolbar/js/models/ToolbarModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.038999999999999999944488848768742172978818416595458984375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/BodyVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.040000000000000000832667268468867405317723751068115234375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:47:"core/modules/toolbar/js/views/MenuVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.041000000000000001720845688168992637656629085540771484375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.042000000000000002609024107869117869995534420013427734375;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04299999999999999655830862366201472468674182891845703125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:43:"core/assets/vendor/shepherd/shepherd.min.js";a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";s:6:"weight";d:0.04399999999999999744648704336213995702564716339111328125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:28:"core/modules/tour/js/tour.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04499999999999999833466546306226518936455249786376953125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:27:"core/misc/tabbingmanager.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04599999999999999922284388276239042170345783233642578125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:48:"core/modules/contextual/js/contextual.toolbar.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04700000000000000011102230246251565404236316680908203125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04800000000000000099920072216264088638126850128173828125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.04900000000000000188737914186276611872017383575439453125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.05000000000000000277555756156289135105907917022705078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}s:38:"core/modules/toolbar/js/escapeAdmin.js";a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:6:"weight";d:0.050999999999999996724842077355788205750286579132080078125;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681649787.528', 1, 'library_info', '0'),
('js:seven:en:q8sS2R2sLBPIZxO-LbusXiDAedV70fbn6p1lMrxnfps11', 'a:4:{i:0;a:4:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:61:"public://js/js_-obZvqtqO2lRvZEZq_RZhbVtAIAOAnR9t09ZSoFsa-M.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";i:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";}i:2;a:10:{s:10:"preprocess";i:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";}i:3;a:10:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:7:"version";s:6:"5.12.0";s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";}}i:1;a:3:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_P3U2ci-l5uYOOI0Z_PVANPFGMDwtWvwUHrZMkki_7Ow.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:7:"version";s:3:"1.x";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_wKYM-TesSlI4rgE3E6xh_Z1T3YezxI8jCqdF00PO46Y.js";s:12:"preprocessed";b:1;}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681649902.587', 1, 'library_info', '0'),
('js:seven:en:wGLdWLZQONIa4933hdkt60Z8uN-NLOMBvtNeDyCUL8k11', 'a:4:{i:0;a:4:{i:0;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:61:"public://js/js_-obZvqtqO2lRvZEZq_RZhbVtAIAOAnR9t09ZSoFsa-M.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";i:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";}i:2;a:10:{s:10:"preprocess";i:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";}i:3;a:10:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:7:"version";s:6:"5.12.0";s:5:"cache";b:1;s:10:"preprocess";b:0;s:8:"browsers";a:0:{}s:5:"scope";s:6:"header";s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";}}i:1;a:3:{i:0;a:11:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:5:"3.6.3";s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_P3U2ci-l5uYOOI0Z_PVANPFGMDwtWvwUHrZMkki_7Ow.js";s:12:"preprocessed";b:1;}i:1;a:10:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:7:"version";s:3:"1.x";s:5:"cache";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";}i:2;a:11:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:7:"version";s:3:"1.x";s:8:"minified";b:0;s:5:"cache";b:1;s:10:"preprocess";b:1;s:10:"attributes";a:0:{}s:8:"browsers";a:0:{}s:5:"scope";s:6:"footer";s:4:"data";s:61:"public://js/js_MKZyre8B4Cdlp7y6rSLYFXOnTF0GmJM8frNZCGwkWWc.js";s:12:"preprocessed";b:1;}}i:2;a:5:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;s:25:"suppressDeprecationErrors";b:1;s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";s:5:"seven";s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}i:3;b:0;}', -1, '1681650060.118', 1, 'library_info', '0'),
('mt_speakers:page_1:results:229c05070c20e001a795a152d0ff7d918b89a2cefd77a69805585414c26a3540', 'a:3:{s:6:"result";a:6:{i:0;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:0;s:21:"node_field_data_title";s:13:"Abdullah Lang";s:3:"nid";s:2:"69";}i:1;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:1;s:21:"node_field_data_title";s:17:"Justine Henderson";s:3:"nid";s:2:"66";}i:2;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:2;s:21:"node_field_data_title";s:11:"Marcus Cruz";s:3:"nid";s:2:"64";}i:3;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:3;s:21:"node_field_data_title";s:14:"Mathias Little";s:3:"nid";s:2:"68";}i:4;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:4;s:21:"node_field_data_title";s:11:"Thalia Cobb";s:3:"nid";s:2:"67";}i:5;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:5;s:21:"node_field_data_title";s:13:"Waylon Dalton";s:3:"nid";s:2:"65";}}s:10:"total_rows";i:6;s:12:"current_page";i:0;}', -1, '1681650107.659', 1, 'config:views.view.mt_speakers node:64 node:65 node:66 node:67 node:68 node:69 node_list', '0'),
('mt_speakers:page_1:results:cc9a822ca40e71623e75eafe4d48104a44065b4b8e66cf0822a7f17eee393327', 'a:3:{s:6:"result";a:6:{i:0;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:0;s:21:"node_field_data_title";s:13:"Abdullah Lang";s:3:"nid";s:2:"69";}i:1;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:1;s:21:"node_field_data_title";s:17:"Justine Henderson";s:3:"nid";s:2:"66";}i:2;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:2;s:21:"node_field_data_title";s:11:"Marcus Cruz";s:3:"nid";s:2:"64";}i:3;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:3;s:21:"node_field_data_title";s:14:"Mathias Little";s:3:"nid";s:2:"68";}i:4;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:4;s:21:"node_field_data_title";s:11:"Thalia Cobb";s:3:"nid";s:2:"67";}i:5;O:22:"Drupal\\views\\ResultRow":5:{s:7:"_entity";N;s:22:"_relationship_entities";a:0:{}s:5:"index";i:5;s:21:"node_field_data_title";s:13:"Waylon Dalton";s:3:"nid";s:2:"65";}}s:10:"total_rows";i:6;s:12:"current_page";i:0;}', -1, '1681652764.863', 1, 'config:views.view.mt_speakers node:64 node:65 node:66 node:67 node:68 node:69 node_list', '0');
INSERT INTO `cache_data` VALUES
('preload-paths:/contextual/render', 'a:1:{s:2:"en";a:2:{i:0;s:13:"/node/35/edit";i:1;s:15:"/node/35/delete";}}', 1681739110, '1681652711.765', 1, '', '0'),
('preload-paths:/node/35', 'a:1:{s:2:"en";a:1:{i:0;s:8:"/node/35";}}', 1681736166, '1681649767.747', 1, '', '0'),
('preload-paths:/node/94', 'a:1:{s:2:"en";a:11:{i:0;s:8:"/node/94";i:1;s:8:"/node/95";i:2;s:7:"/node/2";i:3;s:7:"/node/9";i:4;s:7:"/node/1";i:5;s:8:"/node/58";i:6;s:8:"/node/36";i:7;s:8:"/node/56";i:8;s:13:"/node/94/edit";i:9;s:15:"/node/94/delete";i:10;s:18:"/node/94/revisions";}}', 1681740372, '1681653973.247', 1, '', '0'),
('preload-paths:/speakers', 'a:1:{s:2:"en";a:8:{i:0;s:8:"/node/94";i:1;s:7:"/node/2";i:2;s:8:"/node/69";i:3;s:8:"/node/66";i:4;s:8:"/node/64";i:5;s:8:"/node/68";i:6;s:8:"/node/67";i:7;s:8:"/node/65";}}', 1681736507, '1681650107.990', 1, '', '0'),
('route:[language]=en:/:', 'a:3:{s:4:"path";s:8:"/node/35";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652752.499', 1, 'route_match', '8'),
('route:[language]=en:/about-us:', 'a:3:{s:4:"path";s:8:"/node/94";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681653973.019', 1, 'route_match', '8'),
('route:[language]=en:/accommodations-2-col:', 'a:3:{s:4:"path";s:21:"/accommodations-2-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_services.page_3";C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:21:"/accommodations-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":362:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-2-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.650', 1, 'route_match', '8'),
('route:[language]=en:/accommodations-4-col:', 'a:3:{s:4:"path";s:21:"/accommodations-4-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_services.page_1";C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:21:"/accommodations-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":362:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-4-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.652', 1, 'route_match', '8'),
('route:[language]=en:/accommodations-isotope:', 'a:3:{s:4:"path";s:23:"/accommodations-isotope";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:22:"view.mt_isotope.page_2";C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:23:"/accommodations-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":367:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/accommodations\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/accommodations-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:23:"/accommodations-isotope";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.682', 1, 'route_match', '8'),
('route:[language]=en:/accommodations-list:', 'a:3:{s:4:"path";s:20:"/accommodations-list";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"view.mt_services_list.page_1";C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:20:"/accommodations-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_services_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/accommodations\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/accommodations-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/accommodations-list";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.745', 1, 'route_match', '8'),
('route:[language]=en:/accommodations:', 'a:3:{s:4:"path";s:15:"/accommodations";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_services.page_2";C:31:"Symfony\\Component\\Routing\\Route":1312:{a:9:{s:4:"path";s:15:"/accommodations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":342:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/accommodations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/accommodations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/accommodations";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.649', 1, 'route_match', '8'),
('route:[language]=en:/admin/appearance/default:theme=bartik&token=d2Ez7bYDE2cIhj6q72mIUSeiWrv2-jdhpNnScv-mLs8', 'a:3:{s:4:"path";s:25:"/admin/appearance/default";s:5:"query";a:2:{s:5:"theme";s:6:"bartik";s:5:"token";s:43:"d2Ez7bYDE2cIhj6q72mIUSeiWrv2-jdhpNnScv-mLs8";}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:24:"system.theme_set_default";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/appearance/default";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:20:"Set as default theme";s:11:"_controller";s:58:"\\Drupal\\system\\Controller\\ThemeController::setDefaultTheme";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/appearance/default$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/appearance/default";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/appearance/default";s:8:"numParts";i:3;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681650066.569', 1, 'route_match', '4'),
('route:[language]=en:/admin/appearance/default:theme=olivero&token=d2Ez7bYDE2cIhj6q72mIUSeiWrv2-jdhpNnScv-mLs8', 'a:3:{s:4:"path";s:25:"/admin/appearance/default";s:5:"query";a:2:{s:5:"theme";s:7:"olivero";s:5:"token";s:43:"d2Ez7bYDE2cIhj6q72mIUSeiWrv2-jdhpNnScv-mLs8";}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:24:"system.theme_set_default";C:31:"Symfony\\Component\\Routing\\Route":1055:{a:9:{s:4:"path";s:25:"/admin/appearance/default";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:20:"Set as default theme";s:11:"_controller";s:58:"\\Drupal\\system\\Controller\\ThemeController::setDefaultTheme";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/appearance/default$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/appearance/default";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/appearance/default";s:8:"numParts";i:3;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652741.058', 1, 'route_match', '6'),
('route:[language]=en:/admin/appearance/uninstall:theme=bartik&token=3FXMuu4MvKaYjqdxwTSkwdtvb42835pk9IPbS3dXvNg', 'a:3:{s:4:"path";s:27:"/admin/appearance/uninstall";s:5:"query";a:2:{s:5:"theme";s:6:"bartik";s:5:"token";s:43:"3FXMuu4MvKaYjqdxwTSkwdtvb42835pk9IPbS3dXvNg";}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:22:"system.theme_uninstall";C:31:"Symfony\\Component\\Routing\\Route":1016:{a:9:{s:4:"path";s:27:"/admin/appearance/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\ThemeController::uninstall";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":378:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/admin/appearance/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/appearance/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:27:"/admin/appearance/uninstall";s:8:"numParts";i:3;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652747.964', 1, 'route_match', '7'),
('route:[language]=en:/admin/appearance:', 'a:3:{s:4:"path";s:17:"/admin/appearance";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:18:"system.themes_page";C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:17:"/admin/appearance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:10:"Appearance";s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemController::themesPage";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/admin/appearance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/admin/appearance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/admin/appearance";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.953', 1, 'route_match', '8'),
('route:[language]=en:/admin/config/development/maintenance:', 'a:3:{s:4:"path";s:37:"/admin/config/development/maintenance";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"system.site_maintenance_mode";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/development/maintenance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\system\\Form\\SiteMaintenanceModeForm";s:6:"_title";s:16:"Maintenance mode";}s:12:"requirements";a:1:{s:11:"_permission";s:57:"administer site configuration+administer software updates";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/maintenance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/maintenance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/maintenance";s:8:"numParts";i:4;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681649787.316', 1, 'route_match', '4'),
('route:[language]=en:/admin/config/development/performance:', 'a:3:{s:4:"path";s:37:"/admin/config/development/performance";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:27:"system.performance_settings";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681649761.280', 1, 'route_match', '4'),
('route:[language]=en:/admin/config/development:', 'a:3:{s:4:"path";s:25:"/admin/config/development";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:31:"system.admin_config_development";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681649762.567', 1, 'route_match', '4'),
('route:[language]=en:/admin/config:', 'a:3:{s:4:"path";s:13:"/admin/config";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:19:"system.admin_config";C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652774.770', 1, 'route_match', '8'),
('route:[language]=en:/admin/content:', 'a:3:{s:4:"path";s:14:"/admin/content";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:2:{s:20:"system.admin_content";C:31:"Symfony\\Component\\Routing\\Route":1307:{a:9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}}}s:19:"view.content.page_1";C:31:"Symfony\\Component\\Routing\\Route":1336:{a:9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652749.423', 1, 'route_match', '8'),
('route:[language]=en:/admin/modules/uninstall/confirm:', 'a:3:{s:4:"path";s:32:"/admin/modules/uninstall/confirm";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:32:"system.modules_uninstall_confirm";C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:32:"/admin/modules/uninstall/confirm";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:47:"\\Drupal\\system\\Form\\ModulesUninstallConfirmForm";s:6:"_title";s:17:"Confirm uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":394:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/modules/uninstall/confirm$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/modules/uninstall/confirm";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/modules/uninstall/confirm";s:8:"numParts";i:4;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681653349.797', 1, 'route_match', '8'),
('route:[language]=en:/admin/modules/uninstall:', 'a:3:{s:4:"path";s:24:"/admin/modules/uninstall";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:24:"system.modules_uninstall";C:31:"Symfony\\Component\\Routing\\Route":956:{a:9:{s:4:"path";s:24:"/admin/modules/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\system\\Form\\ModulesUninstallForm";s:6:"_title";s:9:"Uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/modules/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/modules/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/modules/uninstall";s:8:"numParts";i:3;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681653323.324', 1, 'route_match', '8'),
('route:[language]=en:/admin/modules/update:', 'a:3:{s:4:"path";s:21:"/admin/modules/update";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:20:"update.module_update";C:31:"Symfony\\Component\\Routing\\Route":1036:{a:9:{s:4:"path";s:21:"/admin/modules/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/modules/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/modules/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/modules/update";s:8:"numParts";i:3;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681653329.815', 1, 'route_match', '8'),
('route:[language]=en:/admin/modules:', 'a:3:{s:4:"path";s:14:"/admin/modules";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:19:"system.modules_list";C:31:"Symfony\\Component\\Routing\\Route":953:{a:9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681653298.425', 1, 'route_match', '8'),
('route:[language]=en:/admin/reports/status:', 'a:3:{s:4:"path";s:21:"/admin/reports/status";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:13:"system.status";C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652780.474', 1, 'route_match', '8'),
('route:[language]=en:/admin/reports/updates/update:', 'a:3:{s:4:"path";s:29:"/admin/reports/updates/update";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:20:"update.report_update";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/reports/updates/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/updates/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/updates/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/reports/updates/update";s:8:"numParts";i:4;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652065.203', 1, 'route_match', '5'),
('route:[language]=en:/admin/reports/updates:', 'a:3:{s:4:"path";s:22:"/admin/reports/updates";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:13:"update.status";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652068.114', 1, 'route_match', '5'),
('route:[language]=en:/admin/reports:', 'a:3:{s:4:"path";s:14:"/admin/reports";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:20:"system.admin_reports";C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652781.722', 1, 'route_match', '8'),
('route:[language]=en:/admin/update/ready:', 'a:3:{s:4:"path";s:19:"/admin/update/ready";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:24:"update.confirmation_page";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/admin/update/ready";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\update\\Form\\UpdateReady";s:6:"_title";s:15:"Ready to update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/update/ready$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/update/ready";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/update/ready";s:8:"numParts";i:3;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652109.493', 1, 'route_match', '5'),
('route:[language]=en:/admin/update:', 'a:3:{s:4:"path";s:13:"/admin/update";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652109.611', 1, 'route_match', '5'),
('route:[language]=en:/admin:', 'a:3:{s:4:"path";s:6:"/admin";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:12:"system.admin";C:31:"Symfony\\Component\\Routing\\Route":931:{a:9:{s:4:"path";s:6:"/admin";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"Administration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":313:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/admin$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/admin";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/admin";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652781.724', 1, 'route_match', '8'),
('route:[language]=en:/albums-2-col:', 'a:3:{s:4:"path";s:13:"/albums-2-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:34:"view.mt_albums_grid_style_2.page_3";C:31:"Symfony\\Component\\Routing\\Route":1317:{a:9:{s:4:"path";s:13:"/albums-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/albums\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/albums-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/albums-2-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.671', 1, 'route_match', '8'),
('route:[language]=en:/albums-3-col-style-2:', 'a:3:{s:4:"path";s:21:"/albums-3-col-style-2";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"view.mt_albums.page_2";C:31:"Symfony\\Component\\Routing\\Route":1337:{a:9:{s:4:"path";s:21:"/albums-3-col-style-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_albums";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":364:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/albums\\-3\\-col\\-style\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/albums-3-col-style-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/albums-3-col-style-2";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.782', 1, 'route_match', '8'),
('route:[language]=en:/albums-isotope:', 'a:3:{s:4:"path";s:15:"/albums-isotope";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:22:"view.mt_isotope.page_1";C:31:"Symfony\\Component\\Routing\\Route":1312:{a:9:{s:4:"path";s:15:"/albums-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":343:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/albums\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/albums-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/albums-isotope";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.681', 1, 'route_match', '8'),
('route:[language]=en:/albums:', 'a:3:{s:4:"path";s:7:"/albums";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:34:"view.mt_albums_grid_style_2.page_2";C:31:"Symfony\\Component\\Routing\\Route":1288:{a:9:{s:4:"path";s:7:"/albums";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/albums$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/albums";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/albums";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.670', 1, 'route_match', '8'),
('route:[language]=en:/articles-2-col:', 'a:3:{s:4:"path";s:15:"/articles-2-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"view.mt_articles_grid.page_4";C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_4";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-2-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.746', 1, 'route_match', '8');
INSERT INTO `cache_data` VALUES
('route:[language]=en:/articles-3-col:', 'a:3:{s:4:"path";s:15:"/articles-3-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"view.mt_articles_grid.page_2";C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-3-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.747', 1, 'route_match', '8'),
('route:[language]=en:/articles-4-col:', 'a:3:{s:4:"path";s:15:"/articles-4-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"view.mt_articles_grid.page_1";C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-4-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.749', 1, 'route_match', '8'),
('route:[language]=en:/articles-list:', 'a:3:{s:4:"path";s:14:"/articles-list";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"view.mt_articles_list.page_1";C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:14:"/articles-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":340:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/articles\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/articles-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/articles-list";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.751', 1, 'route_match', '8'),
('route:[language]=en:/articles:', 'a:3:{s:4:"path";s:9:"/articles";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_articles.page_1";C:31:"Symfony\\Component\\Routing\\Route":1285:{a:9:{s:4:"path";s:9:"/articles";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_articles";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/articles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/articles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/articles";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.742', 1, 'route_match', '8'),
('route:[language]=en:/batch:_format=json&id=709&op=do', 'a:3:{s:4:"path";s:6:"/batch";s:5:"query";a:3:{s:2:"id";s:3:"709";s:2:"op";s:2:"do";s:7:"_format";s:4:"json";}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:2:{s:22:"system.batch_page.html";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";s:15:"_title_callback";s:57:"\\Drupal\\system\\Controller\\BatchController::batchPageTitle";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"html";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}s:22:"system.batch_page.json";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"json";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652100.620', 1, 'route_match', '5'),
('route:[language]=en:/batch:id=709&op=finished', 'a:3:{s:4:"path";s:6:"/batch";s:5:"query";a:2:{s:2:"id";s:3:"709";s:2:"op";s:8:"finished";}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:2:{s:22:"system.batch_page.html";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";s:15:"_title_callback";s:57:"\\Drupal\\system\\Controller\\BatchController::batchPageTitle";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"html";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}s:22:"system.batch_page.json";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"json";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652108.917', 1, 'route_match', '5'),
('route:[language]=en:/batch:id=709&op=start', 'a:3:{s:4:"path";s:6:"/batch";s:5:"query";a:2:{s:2:"id";s:3:"709";s:2:"op";s:5:"start";}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:2:{s:22:"system.batch_page.html";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";s:15:"_title_callback";s:57:"\\Drupal\\system\\Controller\\BatchController::batchPageTitle";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"html";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}s:22:"system.batch_page.json";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"json";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652098.232', 1, 'route_match', '5'),
('route:[language]=en:/contact/alternative:', 'a:3:{s:4:"path";s:20:"/contact/alternative";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:29:"entity.contact_form.canonical";C:31:"Symfony\\Component\\Routing\\Route":1204:{a:9:{s:4:"path";s:23:"/contact/{contact_form}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"contact_form.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":485:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/contact/(?P<contact_form>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/contact/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.685', 1, 'route_match', '8'),
('route:[language]=en:/contact:', 'a:3:{s:4:"path";s:8:"/contact";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:17:"contact.site_page";C:31:"Symfony\\Component\\Routing\\Route":1057:{a:9:{s:4:"path";s:8:"/contact";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";s:12:"contact_form";N;}s:12:"requirements";a:1:{s:11:"_permission";s:29:"access site-wide contact form";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":319:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/contact";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.577', 1, 'route_match', '8'),
('route:[language]=en:/contextual/render:', 'a:3:{s:4:"path";s:18:"/contextual/render";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:17:"contextual.render";C:31:"Symfony\\Component\\Routing\\Route":898:{a:9:{s:4:"path";s:18:"/contextual/render";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\contextual\\ContextualController::render";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access contextual links";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":351:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/contextual/render$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/contextual/render";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:18:"/contextual/render";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652757.764', 1, 'route_match', '8'),
('route:[language]=en:/events-2-col:', 'a:3:{s:4:"path";s:13:"/events-2-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:26:"view.mt_events_grid.page_3";C:31:"Symfony\\Component\\Routing\\Route":1309:{a:9:{s:4:"path";s:13:"/events-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-2-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.852', 1, 'route_match', '8'),
('route:[language]=en:/events-3-col:', 'a:3:{s:4:"path";s:13:"/events-3-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:26:"view.mt_events_grid.page_2";C:31:"Symfony\\Component\\Routing\\Route":1309:{a:9:{s:4:"path";s:13:"/events-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-3-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.850', 1, 'route_match', '8'),
('route:[language]=en:/events:', 'a:3:{s:4:"path";s:7:"/events";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:26:"view.mt_events_list.page_1";C:31:"Symfony\\Component\\Routing\\Route":1280:{a:9:{s:4:"path";s:7:"/events";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/events$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/events";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/events";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.849', 1, 'route_match', '8'),
('route:[language]=en:/history/35/read:', 'a:3:{s:4:"path";s:16:"/history/35/read";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:17:"history.read_node";C:31:"Symfony\\Component\\Routing\\Route":1172:{a:9:{s:4:"path";s:20:"/history/{node}/read";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:54:"\\Drupal\\history\\Controller\\HistoryController::readNode";}s:12:"requirements";a:2:{s:14:"_entity_access";s:9:"node.view";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":495:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/history/(?P<node>\\d+)/read$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/read";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/history";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/history/%/read";s:8:"numParts";i:3;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652757.940', 1, 'route_match', '8'),
('route:[language]=en:/history/94/read:', 'a:3:{s:4:"path";s:16:"/history/94/read";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:17:"history.read_node";C:31:"Symfony\\Component\\Routing\\Route":1172:{a:9:{s:4:"path";s:20:"/history/{node}/read";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:54:"\\Drupal\\history\\Controller\\HistoryController::readNode";}s:12:"requirements";a:2:{s:14:"_entity_access";s:9:"node.view";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":495:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/history/(?P<node>\\d+)/read$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/read";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/history";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/history/%/read";s:8:"numParts";i:3;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681653975.241', 1, 'route_match', '8'),
('route:[language]=en:/merchandise-2-col:', 'a:3:{s:4:"path";s:18:"/merchandise-2-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_products.page_3";C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:18:"/merchandise-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-2-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.660', 1, 'route_match', '8'),
('route:[language]=en:/merchandise-4-col:', 'a:3:{s:4:"path";s:18:"/merchandise-4-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_products.page_1";C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:18:"/merchandise-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-4-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.662', 1, 'route_match', '8'),
('route:[language]=en:/merchandise-groups-masonry:', 'a:3:{s:4:"path";s:27:"/merchandise-groups-masonry";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:34:"view.mt_collections_masonry.page_1";C:31:"Symfony\\Component\\Routing\\Route":1373:{a:9:{s:4:"path";s:27:"/merchandise-groups-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_collections_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":380:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/merchandise\\-groups\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/merchandise-groups-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:27:"/merchandise-groups-masonry";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.773', 1, 'route_match', '8'),
('route:[language]=en:/merchandise-groups:', 'a:3:{s:4:"path";s:19:"/merchandise-groups";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:31:"view.mt_collections_grid.page_1";C:31:"Symfony\\Component\\Routing\\Route":1337:{a:9:{s:4:"path";s:19:"/merchandise-groups";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_collections_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":355:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-groups$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/merchandise-groups";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/merchandise-groups";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.764', 1, 'route_match', '8'),
('route:[language]=en:/merchandise-isotope:', 'a:3:{s:4:"path";s:20:"/merchandise-isotope";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:22:"view.mt_isotope.page_3";C:31:"Symfony\\Component\\Routing\\Route":1332:{a:9:{s:4:"path";s:20:"/merchandise-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-isotope";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.683', 1, 'route_match', '8'),
('route:[language]=en:/merchandise-list:', 'a:3:{s:4:"path";s:17:"/merchandise-list";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"view.mt_products_list.page_1";C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:17:"/merchandise-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_products_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":349:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/merchandise\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/merchandise-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:17:"/merchandise-list";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.743', 1, 'route_match', '8'),
('route:[language]=en:/merchandise-masonry:', 'a:3:{s:4:"path";s:20:"/merchandise-masonry";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:31:"view.mt_products_masonry.page_1";C:31:"Symfony\\Component\\Routing\\Route":1341:{a:9:{s:4:"path";s:20:"/merchandise-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_products_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-masonry";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.760', 1, 'route_match', '8'),
('route:[language]=en:/merchandise:', 'a:3:{s:4:"path";s:12:"/merchandise";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_products.page_2";C:31:"Symfony\\Component\\Routing\\Route":1300:{a:9:{s:4:"path";s:12:"/merchandise";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/merchandise$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/merchandise";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:12:"/merchandise";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.659', 1, 'route_match', '8'),
('route:[language]=en:/node/15:', 'a:3:{s:4:"path";s:8:"/node/15";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.739', 1, 'route_match', '8'),
('route:[language]=en:/node/16:', 'a:3:{s:4:"path";s:8:"/node/16";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.640', 1, 'route_match', '8'),
('route:[language]=en:/node/17:', 'a:3:{s:4:"path";s:8:"/node/17";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.642', 1, 'route_match', '8'),
('route:[language]=en:/node/1:', 'a:3:{s:4:"path";s:7:"/node/1";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.646', 1, 'route_match', '8'),
('route:[language]=en:/node/20:', 'a:3:{s:4:"path";s:8:"/node/20";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.668', 1, 'route_match', '8'),
('route:[language]=en:/node/21:', 'a:3:{s:4:"path";s:8:"/node/21";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.666', 1, 'route_match', '8');
INSERT INTO `cache_data` VALUES
('route:[language]=en:/node/22:', 'a:3:{s:4:"path";s:8:"/node/22";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.665', 1, 'route_match', '8'),
('route:[language]=en:/node/23:', 'a:3:{s:4:"path";s:8:"/node/23";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.663', 1, 'route_match', '8'),
('route:[language]=en:/node/2:', 'a:3:{s:4:"path";s:7:"/node/2";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.579', 1, 'route_match', '8'),
('route:[language]=en:/node/36:', 'a:3:{s:4:"path";s:8:"/node/36";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.686', 1, 'route_match', '8'),
('route:[language]=en:/node/37:', 'a:3:{s:4:"path";s:8:"/node/37";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.689', 1, 'route_match', '8'),
('route:[language]=en:/node/39:', 'a:3:{s:4:"path";s:8:"/node/39";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.755', 1, 'route_match', '8'),
('route:[language]=en:/node/40:', 'a:3:{s:4:"path";s:8:"/node/40";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.762', 1, 'route_match', '8'),
('route:[language]=en:/node/41:', 'a:3:{s:4:"path";s:8:"/node/41";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.771', 1, 'route_match', '8'),
('route:[language]=en:/node/42:', 'a:3:{s:4:"path";s:8:"/node/42";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.769', 1, 'route_match', '8'),
('route:[language]=en:/node/43:', 'a:3:{s:4:"path";s:8:"/node/43";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.768', 1, 'route_match', '8'),
('route:[language]=en:/node/44:', 'a:3:{s:4:"path";s:8:"/node/44";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.766', 1, 'route_match', '8'),
('route:[language]=en:/node/45:', 'a:3:{s:4:"path";s:8:"/node/45";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.765', 1, 'route_match', '8'),
('route:[language]=en:/node/53:', 'a:3:{s:4:"path";s:8:"/node/53";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.786', 1, 'route_match', '8'),
('route:[language]=en:/node/59:', 'a:3:{s:4:"path";s:8:"/node/59";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.644', 1, 'route_match', '8'),
('route:[language]=en:/node/5:', 'a:3:{s:4:"path";s:7:"/node/5";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.692', 1, 'route_match', '8'),
('route:[language]=en:/node/61:', 'a:3:{s:4:"path";s:8:"/node/61";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.842', 1, 'route_match', '8'),
('route:[language]=en:/node/62:', 'a:3:{s:4:"path";s:8:"/node/62";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.844', 1, 'route_match', '8'),
('route:[language]=en:/node/63:', 'a:3:{s:4:"path";s:8:"/node/63";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.847', 1, 'route_match', '8'),
('route:[language]=en:/node/6:', 'a:3:{s:4:"path";s:7:"/node/6";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.658', 1, 'route_match', '8'),
('route:[language]=en:/node/78:', 'a:3:{s:4:"path";s:8:"/node/78";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.678', 1, 'route_match', '8'),
('route:[language]=en:/node/79:', 'a:3:{s:4:"path";s:8:"/node/79";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.676', 1, 'route_match', '8'),
('route:[language]=en:/node/7:', 'a:3:{s:4:"path";s:7:"/node/7";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.656', 1, 'route_match', '8'),
('route:[language]=en:/node/80:', 'a:3:{s:4:"path";s:8:"/node/80";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.674', 1, 'route_match', '8'),
('route:[language]=en:/node/81:', 'a:3:{s:4:"path";s:8:"/node/81";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.672', 1, 'route_match', '8'),
('route:[language]=en:/node/8:', 'a:3:{s:4:"path";s:7:"/node/8";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.655', 1, 'route_match', '8'),
('route:[language]=en:/node/94:', 'a:3:{s:4:"path";s:8:"/node/94";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.637', 1, 'route_match', '8'),
('route:[language]=en:/node/9:', 'a:3:{s:4:"path";s:7:"/node/9";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"entity.node.canonical";C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.653', 1, 'route_match', '8'),
('route:[language]=en:/presentations-3-col:', 'a:3:{s:4:"path";s:20:"/presentations-3-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:33:"view.mt_presentations_grid.page_2";C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:20:"/presentations-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":359:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/presentations\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/presentations-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/presentations-3-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.854', 1, 'route_match', '8'),
('route:[language]=en:/presentations:', 'a:3:{s:4:"path";s:14:"/presentations";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:33:"view.mt_presentations_grid.page_3";C:31:"Symfony\\Component\\Routing\\Route":1318:{a:9:{s:4:"path";s:14:"/presentations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/presentations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/presentations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/presentations";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.853', 1, 'route_match', '8'),
('route:[language]=en:/pricing-tables:', 'a:3:{s:4:"path";s:15:"/pricing-tables";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:29:"view.mt_pricing_tables.page_1";C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/pricing-tables";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"mt_pricing_tables";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":343:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/pricing\\-tables$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/pricing-tables";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/pricing-tables";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.776', 1, 'route_match', '8'),
('route:[language]=en:/products-3-col:', 'a:3:{s:4:"path";s:15:"/products-3-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.838', 1, 'route_match', '8'),
('route:[language]=en:/program:', 'a:3:{s:4:"path";s:8:"/program";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:22:"view.mt_program.page_1";C:31:"Symfony\\Component\\Routing\\Route":1280:{a:9:{s:4:"path";s:8:"/program";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_program";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":319:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/program$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/program";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/program";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.858', 1, 'route_match', '8');
INSERT INTO `cache_data` VALUES
('route:[language]=en:/quickedit/attachments:_wrapper_format=drupal_ajax', 'a:3:{s:4:"path";s:22:"/quickedit/attachments";s:5:"query";a:1:{s:15:"_wrapper_format";s:11:"drupal_ajax";}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"quickedit.attachments";C:31:"Symfony\\Component\\Routing\\Route":917:{a:9:{s:4:"path";s:22:"/quickedit/attachments";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:50:"\\Drupal\\quickedit\\QuickEditController::attachments";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/quickedit/attachments$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/quickedit/attachments";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:22:"/quickedit/attachments";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652757.969', 1, 'route_match', '8'),
('route:[language]=en:/quickedit/metadata:', 'a:3:{s:4:"path";s:19:"/quickedit/metadata";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:18:"quickedit.metadata";C:31:"Symfony\\Component\\Routing\\Route":902:{a:9:{s:4:"path";s:19:"/quickedit/metadata";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\quickedit\\QuickEditController::metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/quickedit/metadata$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/quickedit/metadata";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:19:"/quickedit/metadata";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652768.360', 1, 'route_match', '8'),
('route:[language]=en:/rss.xml:', 'a:3:{s:4:"path";s:8:"/rss.xml";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"view.frontpage.feed_1";C:31:"Symfony\\Component\\Routing\\Route":1254:{a:9:{s:4:"path";s:8:"/rss.xml";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"frontpage";s:10:"display_id";s:6:"feed_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"feed";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":320:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/rss\\.xml$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/rss.xml";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/rss.xml";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652753.155', 1, 'route_match', '8'),
('route:[language]=en:/services-3-col/fifth-service:', 'a:3:{s:4:"path";s:29:"/services-3-col/fifth-service";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.794', 1, 'route_match', '8'),
('route:[language]=en:/services-3-col/first-service:', 'a:3:{s:4:"path";s:29:"/services-3-col/first-service";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.790', 1, 'route_match', '8'),
('route:[language]=en:/services-3-col/fourth-service:', 'a:3:{s:4:"path";s:30:"/services-3-col/fourth-service";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.793', 1, 'route_match', '8'),
('route:[language]=en:/services-3-col/second-service:', 'a:3:{s:4:"path";s:30:"/services-3-col/second-service";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.791', 1, 'route_match', '8'),
('route:[language]=en:/services-3-col/services-2-col:', 'a:3:{s:4:"path";s:30:"/services-3-col/services-2-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.789', 1, 'route_match', '8'),
('route:[language]=en:/services-3-col/sixth-service:', 'a:3:{s:4:"path";s:29:"/services-3-col/sixth-service";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.796', 1, 'route_match', '8'),
('route:[language]=en:/services-3-col:', 'a:3:{s:4:"path";s:15:"/services-3-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.788', 1, 'route_match', '8'),
('route:[language]=en:/services-isotope:', 'a:3:{s:4:"path";s:17:"/services-isotope";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.797', 1, 'route_match', '8'),
('route:[language]=en:/services-list:', 'a:3:{s:4:"path";s:14:"/services-list";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.798', 1, 'route_match', '8'),
('route:[language]=en:/showcases-3-col:', 'a:3:{s:4:"path";s:16:"/showcases-3-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.839', 1, 'route_match', '8'),
('route:[language]=en:/speakers:', 'a:3:{s:4:"path";s:9:"/speakers";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:23:"view.mt_speakers.page_1";C:31:"Symfony\\Component\\Routing\\Route":1285:{a:9:{s:4:"path";s:9:"/speakers";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_speakers";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/speakers$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/speakers";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/speakers";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.856', 1, 'route_match', '8'),
('route:[language]=en:/sponsors:', 'a:3:{s:4:"path";s:9:"/sponsors";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:28:"view.mt_sponsors_grid.page_2";C:31:"Symfony\\Component\\Routing\\Route":1290:{a:9:{s:4:"path";s:9:"/sponsors";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_sponsors_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/sponsors$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/sponsors";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/sponsors";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.855', 1, 'route_match', '8'),
('route:[language]=en:/team-members-2:', 'a:3:{s:4:"path";s:15:"/team-members-2";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:34:"view.mt_team_members_grid_2.page_2";C:31:"Symfony\\Component\\Routing\\Route":1325:{a:9:{s:4:"path";s:15:"/team-members-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_team_members_grid_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/team\\-members\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/team-members-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/team-members-2";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.781', 1, 'route_match', '8'),
('route:[language]=en:/team-members-list:', 'a:3:{s:4:"path";s:18:"/team-members-list";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:32:"view.mt_team_members_list.page_1";C:31:"Symfony\\Component\\Routing\\Route":1335:{a:9:{s:4:"path";s:18:"/team-members-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/team\\-members\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/team-members-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/team-members-list";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.779', 1, 'route_match', '8'),
('route:[language]=en:/team-members:', 'a:3:{s:4:"path";s:13:"/team-members";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:32:"view.mt_team_members_grid.page_2";C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:13:"/team-members";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":337:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/team\\-members$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/team-members";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/team-members";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.775', 1, 'route_match', '8'),
('route:[language]=en:/testimonials-3-col-2:', 'a:3:{s:4:"path";s:21:"/testimonials-3-col-2";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:34:"view.mt_testimonials_grid_2.page_1";C:31:"Symfony\\Component\\Routing\\Route":1350:{a:9:{s:4:"path";s:21:"/testimonials-3-col-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_testimonials_grid_2";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/testimonials\\-3\\-col\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-3-col-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-3-col-2";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.784', 1, 'route_match', '8'),
('route:[language]=en:/testimonials-3-col:', 'a:3:{s:4:"path";s:19:"/testimonials-3-col";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:32:"view.mt_testimonials_grid.page_1";C:31:"Symfony\\Component\\Routing\\Route":1339:{a:9:{s:4:"path";s:19:"/testimonials-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_testimonials_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":356:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/testimonials\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/testimonials-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/testimonials-3-col";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.778', 1, 'route_match', '8'),
('route:[language]=en:/testimonials-masonry:', 'a:3:{s:4:"path";s:21:"/testimonials-masonry";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:35:"view.mt_testimonials_masonry.page_1";C:31:"Symfony\\Component\\Routing\\Route":1349:{a:9:{s:4:"path";s:21:"/testimonials-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:23:"mt_testimonials_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":361:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/testimonials\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-masonry";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.783', 1, 'route_match', '8'),
('route:[language]=en:/testimonials:', 'a:3:{s:4:"path";s:13:"/testimonials";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:27:"view.mt_testimonials.page_1";C:31:"Symfony\\Component\\Routing\\Route":1308:{a:9:{s:4:"path";s:13:"/testimonials";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:15:"mt_testimonials";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/testimonials$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/testimonials";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/testimonials";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.679', 1, 'route_match', '8'),
('route:[language]=en:/third-service:', 'a:3:{s:4:"path";s:14:"/third-service";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:0:{}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.792', 1, 'route_match', '8'),
('route:[language]=en:/user/login:', 'a:3:{s:4:"path";s:11:"/user/login";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:3:{s:10:"user.login";C:31:"Symfony\\Component\\Routing\\Route":899:{a:9:{s:4:"path";s:11:"/user/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\user\\Form\\UserLoginForm";s:6:"_title";s:6:"Log in";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/user/login$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/user/login";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/user/login";s:8:"numParts";i:2;}}}}s:15:"user.login.http";C:31:"Symfony\\Component\\Routing\\Route":888:{a:9:{s:4:"path";s:11:"/user/login";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:59:"\\Drupal\\user\\Controller\\UserAuthenticationController::login";}s:12:"requirements";a:2:{s:18:"_user_is_logged_in";s:5:"FALSE";s:7:"_format";s:4:"json";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:1:{i:0;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/user/login$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/user/login";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/user/login";s:8:"numParts";i:2;}}}}s:21:"entity.user.canonical";C:31:"Symfony\\Component\\Routing\\Route":1137:{a:9:{s:4:"path";s:12:"/user/{user}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_view";s:9:"user.full";s:15:"_title_callback";s:48:"Drupal\\user\\Controller\\UserController::userTitle";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:9:"user.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/user/(?P<user>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/user/%";s:8:"numParts";i:2;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.758', 1, 'route_match', '8'),
('route:[language]=en:/user:', 'a:3:{s:4:"path";s:5:"/user";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:9:"user.page";O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:5:"/user";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\user\\Controller\\UserController::userPage";s:6:"_title";s:10:"My account";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:12:"#^/user$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:5:"/user";s:8:"numParts";i:1;}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681649851.740', 1, 'route_match', '4'),
('route:[language]=en:/videos:', 'a:3:{s:4:"path";s:7:"/videos";s:5:"query";a:0:{}s:6:"routes";O:41:"Symfony\\Component\\Routing\\RouteCollection":2:{s:49:"\0Symfony\\Component\\Routing\\RouteCollection\0routes";a:1:{s:21:"view.mt_videos.page_1";C:31:"Symfony\\Component\\Routing\\Route":1274:{a:9:{s:4:"path";s:7:"/videos";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_videos";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/videos$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/videos";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/videos";s:8:"numParts";i:1;}}}}}s:52:"\0Symfony\\Component\\Routing\\RouteCollection\0resources";a:0:{}}}', -1, '1681652748.741', 1, 'route_match', '8'),
('route_provider.route_load:033653b178597f3f9a4881efac4c4fe850860cbfd668c895c884d9da1ac963801bcee5ec44c64e01a7bfde1f994d1dabe7fd8db44f1705d6cd3418102c189c06', 'a:2:{s:14:"juicerio.admin";s:997:"C:31:"Symfony\\Component\\Routing\\Route":952:{a:9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}}}";s:25:"system.rss_feeds_settings";s:1065:"C:31:"Symfony\\Component\\Routing\\Route":1019:{a:9:{s:4:"path";s:37:"/admin/config/services/rss-publishing";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RssFeedsForm";s:6:"_title";s:14:"RSS publishing";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/services/rss\\-publishing$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/services/rss-publishing";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/services/rss-publishing";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.895', 1, 'routes', '8'),
('route_provider.route_load:06142cc426ba6ca6758f26d50e38bf03d4ad0625b07ed8fc88989598fd9a8b24ac0434896b6ac50ebe2f2c3b3afa2bddff6d6723f4d0a50f0730803cd004a9be', 'a:65:{s:19:"block.admin_display";s:1000:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/block";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/block$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/block";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/block";s:8:"numParts";i:3;}}";s:13:"comment.admin";s:1373:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}";s:11:"config.sync";s:1046:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}";s:19:"dblog.access_denied";s:1076:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/reports/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:26:"Top ''access denied'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:13:"access denied";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/access\\-denied$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/access-denied";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/access-denied";s:8:"numParts";i:3;}}";s:14:"dblog.overview";s:1355:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/reports/dblog";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:8:"watchdog";s:10:"display_id";s:4:"page";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"access site reports";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/reports/dblog$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/reports/dblog";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/reports/dblog";s:8:"numParts";i:3;}}";s:20:"dblog.page_not_found";s:1083:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/reports/page-not-found";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:27:"Top ''page not found'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:14:"page not found";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/page\\-not\\-found$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/page-not-found";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:29:"/admin/reports/page-not-found";s:8:"numParts";i:3;}}";s:12:"dblog.search";s:1072:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:6:"_title";s:18:"Top search phrases";s:4:"type";s:6:"search";}s:12:"requirements";a:2:{s:20:"_module_dependencies";s:6:"search";s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/search";s:8:"numParts";i:3;}}";s:30:"entity.comment_type.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/comment";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"comment_type";s:6:"_title";s:13:"Comment types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer comment types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/comment";s:8:"numParts";i:3;}}";s:30:"entity.contact_form.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"contact_form";s:6:"_title";s:13:"Contact forms";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/contact";s:8:"numParts";i:3;}}";s:29:"entity.date_format.collection";s:1022:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/regional/date-time";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"date_format";s:6:"_title";s:21:"Date and time formats";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/regional/date\\-time$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/regional/date-time";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/regional/date-time";s:8:"numParts";i:4;}}";s:34:"entity.entity_form_mode.collection";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/structure/display-modes/form";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_form_mode";s:6:"_title";s:10:"Form modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/form$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/form";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/form";s:8:"numParts";i:4;}}";s:34:"entity.entity_view_mode.collection";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/structure/display-modes/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_view_mode";s:6:"_title";s:10:"View modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/view$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/view";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/view";s:8:"numParts";i:4;}}";s:38:"entity.field_storage_config.collection";s:969:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/fields";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:20:"field_storage_config";s:6:"_title";s:10:"Field list";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/fields";s:8:"numParts";i:3;}}";s:22:"entity.font.collection";s:1388:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}";s:30:"entity.font_display.collection";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/appearance/font/font_display";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"font_display";s:6:"_title";s:12:"Font display";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:42:"#^/admin/appearance/font/font_display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/appearance/font/font_display";s:8:"numParts";i:4;}}";s:29:"entity.image_style.collection";s:1007:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}";s:22:"entity.menu.collection";s:937:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/structure/menu";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"menu";s:6:"_title";s:5:"Menus";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/structure/menu$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/structure/menu";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/structure/menu";s:8:"numParts";i:3;}}";s:27:"entity.node_type.collection";s:964:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/types";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"node_type";s:6:"_title";s:13:"Content types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/types";s:8:"numParts";i:3;}}";s:33:"entity.paragraphs_type.collection";s:1017:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/structure/paragraphs_type";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"paragraphs_type";s:6:"_title";s:16:"Paragraphs types";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/structure/paragraphs_type$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:32:"/admin/structure/paragraphs_type";s:8:"numParts";i:3;}}";s:28:"entity.path_alias.collection";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}";s:29:"entity.search_page.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}";s:30:"entity.shortcut_set.collection";s:1021:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/user-interface/shortcut";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"shortcut_set";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"administer shortcuts";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/user\\-interface/shortcut$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/user-interface/shortcut";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/user-interface/shortcut";s:8:"numParts";i:4;}}";s:37:"entity.taxonomy_vocabulary.collection";s:1060:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/structure/taxonomy";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:19:"taxonomy_vocabulary";s:6:"_title";s:8:"Taxonomy";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:44:"access taxonomy overview+administer taxonomy";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/taxonomy$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/taxonomy";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/structure/taxonomy";s:8:"numParts";i:3;}}";s:22:"entity.user.admin_form";s:1015:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/config/people/accounts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\user\\AccountSettingsForm";s:6:"_title";s:16:"Account settings";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer account settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/people/accounts$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/people/accounts";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/people/accounts";s:8:"numParts";i:4;}}";s:22:"entity.user.collection";s:1336:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/admin/people";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"user_admin_people";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:16:"administer users";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/people";s:8:"numParts";i:2;}}";s:22:"entity.view.collection";s:942:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/views";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"view";s:6:"_title";s:5:"Views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/views$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/views";s:8:"numParts";i:3;}}";s:25:"entity.webform.collection";s:1003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/webform";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:7:"webform";s:6:"_title";s:8:"Webforms";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/webform$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/webform";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/webform";s:8:"numParts";i:3;}}";s:41:"entity_reference_revisions.delete_orphans";s:1096:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/config/system/delete-orphans";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:74:"Drupal\\entity_reference_revisions\\Form\\OrphanedCompositeEntitiesDeleteForm";s:6:"_title";s:34:"Delete orphaned composite entities";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"delete orphan revisions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/system/delete\\-orphans$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/config/system/delete-orphans";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/config/system/delete-orphans";s:8:"numParts";i:4;}}";s:21:"field_ui.display_mode";s:1056:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:30:"/admin/structure/display-modes";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:13:"Display modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/display\\-modes$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/structure/display-modes";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/structure/display-modes";s:8:"numParts";i:3;}}";s:21:"filter.admin_overview";s:1003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}";s:13:"font.settings";s:1027:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/appearance/font/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\fontyourface\\Form\\FontSettingsForm";s:6:"_title";s:13:"Font settings";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/appearance/font/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/appearance/font/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/appearance/font/settings";s:8:"numParts";i:4;}}";s:26:"fontawesome.admin_settings";s:1043:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}";s:9:"help.main";s:952:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/admin/help";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpMain";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/admin/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/admin/help";s:8:"numParts";i:2;}}";s:14:"juicerio.admin";s:981:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}";s:25:"mt_cookieconsent.settings";s:1063:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:30:"/admin/config/mt_cookieconsent";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:57:"\\Drupal\\mt_cookieconsent\\Form\\MTCookieConsentSettingsForm";s:6:"_title";s:34:"MtT Cookie Consent Module Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/config/mt_cookieconsent$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/mt_cookieconsent";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/config/mt_cookieconsent";s:8:"numParts";i:3;}}";s:24:"mt_countdown.admin_index";s:1031:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/config/count_down";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:10:"Count Down";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/config/count_down$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/config/count_down";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/config/count_down";s:8:"numParts";i:3;}}";s:21:"mt_countdown.settings";s:1024:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/admin/config/mt_countdown";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\mt_countdown\\Form\\MTCountDownSettingsForm";s:6:"_title";s:19:"Count Down Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/mt_countdown$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/mt_countdown";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/config/mt_countdown";s:8:"numParts";i:3;}}";s:19:"paragraphs.settings";s:1047:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}";s:19:"statistics.settings";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}";s:19:"system.admin_config";s:1015:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}";s:27:"system.admin_config_content";s:1026:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/config/content";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:17:"Content authoring";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/config/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/config/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/config/content";s:8:"numParts";i:3;}}";s:31:"system.admin_config_development";s:1036:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}";s:25:"system.admin_config_media";s:1005:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/admin/config/media";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:5:"Media";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/config/media$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/config/media";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/config/media";s:8:"numParts";i:3;}}";s:28:"system.admin_config_regional";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/regional";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:21:"Regional and language";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/regional$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/regional";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/regional";s:8:"numParts";i:3;}}";s:26:"system.admin_config_search";s:1024:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/search";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:19:"Search and metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/search";s:8:"numParts";i:3;}}";s:28:"system.admin_config_services";s:1025:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/services";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:12:"Web services";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/services$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/services";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/services";s:8:"numParts";i:3;}}";s:26:"system.admin_config_system";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}";s:22:"system.admin_config_ui";s:1052:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/config/user-interface";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"User interface";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/user\\-interface$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/config/user-interface";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/config/user-interface";s:8:"numParts";i:3;}}";s:28:"system.admin_config_workflow";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/workflow";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:8:"Workflow";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/workflow$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/workflow";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/workflow";s:8:"numParts";i:3;}}";s:20:"system.admin_content";s:1336:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}";s:20:"system.admin_reports";s:979:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}";s:22:"system.admin_structure";s:997:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:16:"/admin/structure";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:9:"Structure";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/admin/structure$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/admin/structure";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/admin/structure";s:8:"numParts";i:2;}}";s:20:"system.cron_settings";s:984:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}";s:27:"system.file_system_settings";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/media/file-system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\system\\Form\\FileSystemForm";s:6:"_title";s:11:"File system";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/media/file\\-system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/media/file-system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/media/file-system";s:8:"numParts";i:4;}}";s:29:"system.image_toolkit_settings";s:1035:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/media/image-toolkit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\system\\Form\\ImageToolkitForm";s:6:"_title";s:13:"Image toolkit";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/media/image\\-toolkit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/media/image-toolkit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/media/image-toolkit";s:8:"numParts";i:4;}}";s:23:"system.logging_settings";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}";s:24:"system.regional_settings";s:1026:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/regional/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RegionalForm";s:6:"_title";s:17:"Regional settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/regional/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/regional/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/regional/settings";s:8:"numParts";i:4;}}";s:25:"system.rss_feeds_settings";s:1048:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/services/rss-publishing";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RssFeedsForm";s:6:"_title";s:14:"RSS publishing";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/services/rss\\-publishing$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/services/rss-publishing";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/services/rss-publishing";s:8:"numParts";i:4;}}";s:32:"system.site_information_settings";s:1060:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/system/site-information";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\system\\Form\\SiteInformationForm";s:6:"_title";s:19:"Basic site settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/system/site\\-information$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/system/site-information";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/system/site-information";s:8:"numParts";i:4;}}";s:13:"system.status";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}";s:18:"system.themes_page";s:979:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/admin/appearance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:10:"Appearance";s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemController::themesPage";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/admin/appearance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/admin/appearance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/admin/appearance";s:8:"numParts";i:2;}}";s:13:"update.status";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}";s:16:"user.admin_index";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}";s:24:"views_ui.reports_plugins";s:1032:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/reports/views-plugins";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins";s:6:"_title";s:13:"Views plugins";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/views\\-plugins$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/views-plugins";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/views-plugins";s:8:"numParts";i:3;}}";s:32:"webform.reports_plugins.elements";s:1095:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:39:"/admin/reports/webform-plugins/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginElementController::index";s:6:"_title";s:25:"Webform plugins: Elements";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/elements";s:8:"numParts";i:4;}}";}', -1, '1681649762.411', 1, 'routes', '4');
INSERT INTO `cache_data` VALUES
('route_provider.route_load:06d53b658f4f92bb3c382a134bf5b85810cb5387493a2a9ae64e4c75f794881caf773215ac9f2cbec16404a5a840fc71a8b42a84d851bf0a47f416843de220d4', 'a:1:{s:27:"system.performance_settings";s:1047:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}";}', -1, '1681649762.390', 1, 'routes', '4'),
('route_provider.route_load:0ba5cf2cfc8cb35b81408bbd001d5f68736aab93da14c8957f0b34680e07cdb2117e36c6be4ec4ee1a8a2be8a1c902e84bcb538db5c1be64377cf36ebce274c0', 'a:2:{s:19:"system.modules_list";s:998:"C:31:"Symfony\\Component\\Routing\\Route":953:{a:9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}}}";s:20:"update.module_update";s:1082:"C:31:"Symfony\\Component\\Routing\\Route":1036:{a:9:{s:4:"path";s:21:"/admin/modules/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/modules/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/modules/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/modules/update";s:8:"numParts";i:3;}}}}";}', -1, '1681653323.656', 1, 'routes', '8'),
('route_provider.route_load:113a5db2a035bfd1e2ddf4e5b2bb335c35f9da7a9121f17c824decacba07eb8ab91524f6cb748ee2e4596d2448218a36b6c08f9714f37181230929b5c8cb495e', 'a:1:{s:20:"system.theme_install";s:1052:"C:31:"Symfony\\Component\\Routing\\Route":1006:{a:9:{s:4:"path";s:25:"/admin/appearance/install";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:50:"\\Drupal\\system\\Controller\\ThemeController::install";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/appearance/install$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/appearance/install";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/appearance/install";s:8:"numParts";i:3;}}}}";}', -1, '1681652749.172', 1, 'routes', '7'),
('route_provider.route_load:1a76b449396b4d5716ab01d35c0205d2d932de6af82126e192c10ac95996143136c85e666f48c7f1ebbf19be7cb78c5e4e20083176e9e7ca4b17f3529a65ea38', 'a:1:{s:19:"statistics.settings";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.743', 1, 'routes', '8'),
('route_provider.route_load:1c36093120366b6b9cfbb92bd4e627f8fbbccb78a835e5c9007c35760105c6680401188a0c363f924e8dc12b4e8963b3c579de48924b4398296627ba8ee4a377', 'a:3:{s:22:"entity.font.collection";s:1388:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}";s:21:"system.theme_settings";s:1000:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/admin/appearance/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\system\\Form\\ThemeSettingsForm";s:6:"_title";s:19:"Appearance settings";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/appearance/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/appearance/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/appearance/settings";s:8:"numParts";i:3;}}";s:19:"update.theme_update";s:1057:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/admin/theme/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/theme/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/theme/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/theme/update";s:8:"numParts";i:3;}}";}', -1, '1681650060.079', 1, 'routes', '4'),
('route_provider.route_load:1c8078974cd5972a5aa82a5f5dce400244cc75a8c3c0c26a46558110c9a41ace74f068aaa665e494124597044b45951db9220af13a7fe6c4d2b445504a10328d', 'a:1:{s:39:"system.prepare_modules_entity_uninstall";s:1300:"C:31:"Symfony\\Component\\Routing\\Route":1254:{a:9:{s:4:"path";s:48:"/admin/modules/uninstall/entity/{entity_type_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:53:"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm";s:15:"_title_callback";s:64:"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm::formTitle";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":564:{a:11:{s:4:"vars";a:1:{i:0;s:14:"entity_type_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/modules/uninstall/entity/(?P<entity_type_id>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"entity_type_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/modules/uninstall/entity";}}s:9:"path_vars";a:1:{i:0;s:14:"entity_type_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:33:"/admin/modules/uninstall/entity/%";s:8:"numParts";i:5;}}}}";}', -1, '1681653323.396', 1, 'routes', '8'),
('route_provider.route_load:1db58a20a2d8ea6f38594c78e9ea91556129fce992268b7cd88a064794c6c6b2ec2a9273eaa633930660be67a26ba049b3989d7a9e58179d8ade2fced0a3613b', 'a:1:{s:10:"system.php";s:1006:"C:31:"Symfony\\Component\\Routing\\Route":961:{a:9:{s:4:"path";s:25:"/admin/reports/status/php";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\system\\Controller\\SystemInfoController::php";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/reports/status/php$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/reports/status/php";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/reports/status/php";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.018', 1, 'routes', '8'),
('route_provider.route_load:1ee5aaa6afc5b55b902f668fc2326d3d9d9b6728bd2a9e73ac82c96293103ac094403a116e0747800307dc5d66fc52d4d290506a11529ccf81f4926f322c2d04', 'a:151:{s:8:"<button>";s:788:"C:31:"Symfony\\Component\\Routing\\Route":743:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}";s:9:"<current>";s:726:"C:31:"Symfony\\Component\\Routing\\Route":681:{a:9:{s:4:"path";s:10:"/<current>";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:0:{}s:7:"options";a:2:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":329:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/\\<current\\>$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/<current>";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:10:"/<current>";s:8:"numParts";i:1;}}}}";s:7:"<front>";s:793:"C:31:"Symfony\\Component\\Routing\\Route":748:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:6:"_title";s:4:"Home";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}";s:8:"<nolink>";s:788:"C:31:"Symfony\\Component\\Routing\\Route":743:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}";s:6:"<none>";s:788:"C:31:"Symfony\\Component\\Routing\\Route":743:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}";s:27:"block.category_autocomplete";s:1000:"C:31:"Symfony\\Component\\Routing\\Route":955:{a:9:{s:4:"path";s:28:"/block-category/autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:69:"\\Drupal\\block\\Controller\\CategoryAutocompleteController::autocomplete";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block\\-category/autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/block-category/autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:28:"/block-category/autocomplete";s:8:"numParts";i:2;}}}}";s:22:"block_content.add_form";s:1447:"C:31:"Symfony\\Component\\Routing\\Route":1401:{a:9:{s:4:"path";s:31:"/block/add/{block_content_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\block_content\\Controller\\BlockContentController::addForm";s:15:"_title_callback";s:72:"\\Drupal\\block_content\\Controller\\BlockContentController::getAddFormTitle";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":516:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/block/add/(?P<block_content_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:10:"/block/add";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:12:"/block/add/%";s:8:"numParts";i:3;}}}}";s:22:"block_content.add_page";s:979:"C:31:"Symfony\\Component\\Routing\\Route":934:{a:9:{s:4:"path";s:10:"/block/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\block_content\\Controller\\BlockContentController::add";s:6:"_title";s:16:"Add custom block";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":327:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:17:"#^/block/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/block/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:10:"/block/add";s:8:"numParts";i:2;}}}}";s:15:"comment.approve";s:1386:"C:31:"Symfony\\Component\\Routing\\Route":1340:{a:9:{s:4:"path";s:26:"/comment/{comment}/approve";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:7:"Approve";s:11:"_controller";s:60:"\\Drupal\\comment\\Controller\\CommentController::commentApprove";s:11:"entity_type";s:7:"comment";}s:12:"requirements";a:3:{s:14:"_entity_access";s:15:"comment.approve";s:11:"_csrf_token";s:4:"TRUE";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":516:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/comment/(?P<comment>\\d+)/approve$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/approve";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:18:"/comment/%/approve";s:8:"numParts";i:3;}}}}";s:31:"comment.new_comments_node_links";s:1048:"C:31:"Symfony\\Component\\Routing\\Route":1002:{a:9:{s:4:"path";s:40:"/comments/render_new_comments_node_links";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:72:"\\Drupal\\comment\\Controller\\CommentController::renderNewCommentsNodeLinks";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":417:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/comments/render_new_comments_node_links$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/comments/render_new_comments_node_links";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:40:"/comments/render_new_comments_node_links";s:8:"numParts";i:2;}}}}";s:21:"comment.node_redirect";s:1265:"C:31:"Symfony\\Component\\Routing\\Route":1219:{a:9:{s:4:"path";s:21:"/comment/{node}/reply";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\comment\\Controller\\CommentController::redirectNode";}s:12:"requirements";a:3:{s:14:"_entity_access";s:9:"node.view";s:20:"_module_dependencies";s:4:"node";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":498:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/comment/(?P<node>\\d+)/reply$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/reply";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:16:"/comment/%/reply";s:8:"numParts";i:3;}}}}";s:13:"comment.reply";s:1822:"C:31:"Symfony\\Component\\Routing\\Route":1776:{a:9:{s:4:"path";s:56:"/comment/reply/{entity_type}/{entity}/{field_name}/{pid}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:58:"\\Drupal\\comment\\Controller\\CommentController::getReplyForm";s:6:"_title";s:15:"Add new comment";s:3:"pid";N;}s:12:"requirements";a:1:{s:14:"_custom_access";s:61:"\\Drupal\\comment\\Controller\\CommentController::replyFormAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":926:{a:11:{s:4:"vars";a:4:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:3:"pid";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:108:"#^/comment/reply/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)(?:/(?P<pid>[^/]++))?$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"pid";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:14:"/comment/reply";}}s:9:"path_vars";a:4:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:3:"pid";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:24;s:14:"patternOutline";s:20:"/comment/reply/%/%/%";s:8:"numParts";i:6;}}}}";s:17:"contact.site_page";s:1103:"C:31:"Symfony\\Component\\Routing\\Route":1057:{a:9:{s:4:"path";s:8:"/contact";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";s:12:"contact_form";N;}s:12:"requirements";a:1:{s:11:"_permission";s:29:"access site-wide contact form";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":319:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/contact";s:8:"numParts";i:1;}}}}";s:17:"contextual.render";s:943:"C:31:"Symfony\\Component\\Routing\\Route":898:{a:9:{s:4:"path";s:18:"/contextual/render";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\contextual\\ContextualController::render";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access contextual links";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":351:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/contextual/render$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/contextual/render";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:18:"/contextual/render";s:8:"numParts";i:2;}}}}";s:17:"editor.filter_xss";s:1252:"C:31:"Symfony\\Component\\Routing\\Route":1206:{a:9:{s:4:"path";s:34:"/editor/filter_xss/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:42:"\\Drupal\\editor\\EditorController::filterXss";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"filter_format.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":520:{a:11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/editor/filter_xss/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:18:"/editor/filter_xss";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:20:"/editor/filter_xss/%";s:8:"numParts";i:3;}}}}";s:19:"editor.image_dialog";s:1222:"C:31:"Symfony\\Component\\Routing\\Route":1176:{a:9:{s:4:"path";s:29:"/editor/dialog/image/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\editor\\Form\\EditorImageDialog";s:6:"_title";s:12:"Upload image";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":496:{a:11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/editor/dialog/image/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:20:"/editor/dialog/image";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:22:"/editor/dialog/image/%";s:8:"numParts";i:4;}}}}";s:18:"editor.link_dialog";s:1212:"C:31:"Symfony\\Component\\Routing\\Route":1166:{a:9:{s:4:"path";s:28:"/editor/dialog/link/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\editor\\Form\\EditorLinkDialog";s:6:"_title";s:8:"Add link";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":493:{a:11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/editor/dialog/link/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:19:"/editor/dialog/link";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:21:"/editor/dialog/link/%";s:8:"numParts";i:4;}}}}";s:30:"entity.block_content.canonical";s:1231:"C:31:"Symfony\\Component\\Routing\\Route":1185:{a:9:{s:4:"path";s:22:"/block/{block_content}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:18:"block_content.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.update";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":476:{a:11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block/(?P<block_content>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:8:"/block/%";s:8:"numParts";i:2;}}}}";s:32:"entity.block_content.delete_form";s:1324:"C:31:"Symfony\\Component\\Routing\\Route":1278:{a:9:{s:4:"path";s:29:"/block/{block_content}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"block_content.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.delete";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":534:{a:11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/block/(?P<block_content>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/block/%/delete";s:8:"numParts";i:3;}}}}";s:30:"entity.block_content.edit_form";s:1231:"C:31:"Symfony\\Component\\Routing\\Route":1185:{a:9:{s:4:"path";s:22:"/block/{block_content}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:18:"block_content.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.update";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":476:{a:11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block/(?P<block_content>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:8:"/block/%";s:8:"numParts";i:2;}}}}";s:24:"entity.comment.canonical";s:1296:"C:31:"Symfony\\Component\\Routing\\Route":1250:{a:9:{s:4:"path";s:18:"/comment/{comment}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:15:"_title_callback";s:67:"\\Drupal\\comment\\Controller\\CommentController::commentPermalinkTitle";s:11:"_controller";s:62:"\\Drupal\\comment\\Controller\\CommentController::commentPermalink";}s:12:"requirements";a:2:{s:14:"_entity_access";s:12:"comment.view";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":456:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/comment/(?P<comment>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/comment/%";s:8:"numParts";i:2;}}}}";s:26:"entity.comment.delete_form";s:1243:"C:31:"Symfony\\Component\\Routing\\Route":1197:{a:9:{s:4:"path";s:25:"/comment/{comment}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:6:"Delete";s:12:"_entity_form";s:14:"comment.delete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"comment.delete";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":513:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/comment/(?P<comment>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/comment/%/delete";s:8:"numParts";i:3;}}}}";s:24:"entity.comment.edit_form";s:1234:"C:31:"Symfony\\Component\\Routing\\Route":1188:{a:9:{s:4:"path";s:23:"/comment/{comment}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:4:"Edit";s:12:"_entity_form";s:15:"comment.default";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"comment.update";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":507:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/comment/(?P<comment>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/comment/%/edit";s:8:"numParts";i:3;}}}}";s:29:"entity.contact_form.canonical";s:1250:"C:31:"Symfony\\Component\\Routing\\Route":1204:{a:9:{s:4:"path";s:23:"/contact/{contact_form}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"contact_form.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":485:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/contact/(?P<contact_form>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/contact/%";s:8:"numParts";i:2;}}}}";s:21:"entity.node.canonical";s:1223:"C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}";s:23:"entity.node.delete_form";s:1258:"C:31:"Symfony\\Component\\Routing\\Route":1212:{a:9:{s:4:"path";s:19:"/node/{node}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:11:"node.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:11:"node.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":492:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/node/(?P<node>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:14:"/node/%/delete";s:8:"numParts";i:3;}}}}";s:21:"entity.node.edit_form";s:1221:"C:31:"Symfony\\Component\\Routing\\Route":1175:{a:9:{s:4:"path";s:17:"/node/{node}/edit";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:9:"node.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"node.update";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":486:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/node/(?P<node>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:12:"/node/%/edit";s:8:"numParts";i:3;}}}}";s:19:"entity.node.preview";s:1521:"C:31:"Symfony\\Component\\Routing\\Route":1475:{a:9:{s:4:"path";s:43:"/node/preview/{node_preview}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:51:"\\Drupal\\node\\Controller\\NodePreviewController::view";s:15:"_title_callback";s:52:"\\Drupal\\node\\Controller\\NodePreviewController::title";}s:12:"requirements";a:1:{s:20:"_node_preview_access";s:14:"{node_preview}";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:12:"node_preview";a:2:{s:4:"type";s:12:"node_preview";s:9:"converter";s:42:"drupal.proxy_original_service.node_preview";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:25:"access_check.node.preview";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":667:{a:11:{s:4:"vars";a:2:{i:0;s:12:"node_preview";i:1;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/node/preview/(?P<node_preview>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"node_preview";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/node/preview";}}s:9:"path_vars";a:2:{i:0;s:12:"node_preview";i:1;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:12;s:14:"patternOutline";s:17:"/node/preview/%/%";s:8:"numParts";i:4;}}}}";s:20:"entity.node.revision";s:1694:"C:31:"Symfony\\Component\\Routing\\Route":1648:{a:9:{s:4:"path";s:43:"/node/{node}/revisions/{node_revision}/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\node\\Controller\\NodeController::revisionShow";s:15:"_title_callback";s:57:"\\Drupal\\node\\Controller\\NodeController::revisionPageTitle";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"node_revision.view revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":723:{a:11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/view$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/view";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:24:"/node/%/revisions/%/view";s:8:"numParts";i:5;}}}}";s:27:"entity.node.version_history";s:1330:"C:31:"Symfony\\Component\\Routing\\Route":1284:{a:9:{s:4:"path";s:22:"/node/{node}/revisions";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:9:"Revisions";s:11:"_controller";s:56:"\\Drupal\\node\\Controller\\NodeController::revisionOverview";}s:12:"requirements";a:2:{s:14:"_entity_access";s:23:"node.view all revisions";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":502:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/node/(?P<node>\\d+)/revisions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/node/%/revisions";s:8:"numParts";i:3;}}}}";s:30:"entity.taxonomy_term.canonical";s:1688:"C:31:"Symfony\\Component\\Routing\\Route":1642:{a:9:{s:4:"path";s:30:"/taxonomy/term/{taxonomy_term}";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:57:"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:13:"taxonomy_term";}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":508:{a:11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"taxonomy_term";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/taxonomy/term/%";s:8:"numParts";i:3;}}}}";s:32:"entity.taxonomy_term.delete_form";s:1364:"C:31:"Symfony\\Component\\Routing\\Route":1318:{a:9:{s:4:"path";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"taxonomy_term.delete";s:6:"_title";s:11:"Delete term";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"taxonomy_term.delete";s:13:"taxonomy_term";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":560:{a:11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"taxonomy_term";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:23:"/taxonomy/term/%/delete";s:8:"numParts";i:4;}}}}";s:30:"entity.taxonomy_term.edit_form";s:1354:"C:31:"Symfony\\Component\\Routing\\Route":1308:{a:9:{s:4:"path";s:35:"/taxonomy/term/{taxonomy_term}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:21:"taxonomy_term.default";s:6:"_title";s:9:"Edit term";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"taxonomy_term.update";s:13:"taxonomy_term";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":554:{a:11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:49:"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"taxonomy_term";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:21:"/taxonomy/term/%/edit";s:8:"numParts";i:4;}}}}";s:23:"entity.user.cancel_form";s:1234:"C:31:"Symfony\\Component\\Routing\\Route":1188:{a:9:{s:4:"path";s:19:"/user/{user}/cancel";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:14:"Cancel account";s:12:"_entity_form";s:11:"user.cancel";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:11:"user.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":492:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/user/(?P<user>\\d+)/cancel$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/cancel";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:14:"/user/%/cancel";s:8:"numParts";i:3;}}}}";s:21:"entity.user.canonical";s:1183:"C:31:"Symfony\\Component\\Routing\\Route":1137:{a:9:{s:4:"path";s:12:"/user/{user}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_view";s:9:"user.full";s:15:"_title_callback";s:48:"Drupal\\user\\Controller\\UserController::userTitle";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:9:"user.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/user/(?P<user>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/user/%";s:8:"numParts";i:2;}}}}";s:24:"entity.user.contact_form";s:1275:"C:31:"Symfony\\Component\\Routing\\Route":1229:{a:9:{s:4:"path";s:20:"/user/{user}/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:65:"\\Drupal\\contact\\Controller\\ContactController::contactPersonalPage";}s:12:"requirements";a:2:{s:28:"_access_contact_personal_tab";s:4:"TRUE";s:4:"user";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:29:"access_check.contact_personal";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":495:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/user/(?P<user>\\d+)/contact$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/user/%/contact";s:8:"numParts";i:3;}}}}";s:21:"entity.user.edit_form";s:1271:"C:31:"Symfony\\Component\\Routing\\Route":1225:{a:9:{s:4:"path";s:17:"/user/{user}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"user.default";s:15:"_title_callback";s:48:"Drupal\\user\\Controller\\UserController::userTitle";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:11:"user.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":486:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/user/(?P<user>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:12:"/user/%/edit";s:8:"numParts";i:3;}}}}";s:28:"entity.webform.access_denied";s:1360:"C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:32:"/webform/{webform}/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::accessDenied";s:15:"_title_callback";s:69:"\\Drupal\\webform\\Controller\\WebformEntityController::accessDeniedTitle";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":542:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/webform/(?P<webform>[^/]++)/access\\-denied$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/access-denied";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:24:"/webform/%/access-denied";s:8:"numParts";i:3;}}}}";s:25:"entity.webform.assets.css";s:1190:"C:31:"Symfony\\Component\\Routing\\Route":1144:{a:9:{s:4:"path";s:22:"/webform/css/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:55:"\\Drupal\\webform\\Controller\\WebformEntityController::css";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":475:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/webform/css/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/webform/css";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:14:"/webform/css/%";s:8:"numParts";i:3;}}}}";s:32:"entity.webform.assets.javascript";s:1225:"C:31:"Symfony\\Component\\Routing\\Route":1179:{a:9:{s:4:"path";s:29:"/webform/javascript/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\webform\\Controller\\WebformEntityController::javascript";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":496:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/webform/javascript/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:19:"/webform/javascript";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:21:"/webform/javascript/%";s:8:"numParts";i:3;}}}}";s:24:"entity.webform.canonical";s:1276:"C:31:"Symfony\\Component\\Routing\\Route":1230:{a:9:{s:4:"path";s:18:"/webform/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:59:"\\Drupal\\webform\\Controller\\WebformEntityController::addForm";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform.submission_page";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":462:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/webform/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/webform/%";s:8:"numParts";i:2;}}}}";s:27:"entity.webform.confirmation";s:1480:"C:31:"Symfony\\Component\\Routing\\Route":1434:{a:9:{s:4:"path";s:31:"/webform/{webform}/confirmation";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::confirmation";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":538:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/webform/(?P<webform>[^/]++)/confirmation$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/confirmation";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:23:"/webform/%/confirmation";s:8:"numParts";i:3;}}}}";s:24:"entity.webform.test_form";s:1318:"C:31:"Symfony\\Component\\Routing\\Route":1272:{a:9:{s:4:"path";s:23:"/webform/{webform}/test";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\webform\\Controller\\WebformTestController::testForm";s:15:"_title_callback";s:55:"\\Drupal\\webform\\Controller\\WebformTestController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.test";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":513:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/webform/(?P<webform>[^/]++)/test$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/test";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/webform/%/test";s:8:"numParts";i:3;}}}}";s:26:"entity.webform.user.drafts";s:1590:"C:31:"Symfony\\Component\\Routing\\Route":1544:{a:9:{s:4:"path";s:43:"/webform/{webform}/drafts/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:6:"Drafts";s:15:"submission_view";s:0:"";}s:12:"requirements";a:2:{s:14:"_entity_access";s:25:"webform.submission_create";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess::checkDraftsAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":699:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/webform/(?P<webform>[^/]++)/drafts(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/drafts";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/webform/%/drafts";s:8:"numParts";i:4;}}}}";s:30:"entity.webform.user.submission";s:1635:"C:31:"Symfony\\Component\\Routing\\Route":1589:{a:9:{s:4:"path";s:51:"/webform/{webform}/submissions/{webform_submission}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::view";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"view_mode";s:4:"html";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform_submission.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":725:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:78:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:10;s:14:"patternOutline";s:24:"/webform/%/submissions/%";s:8:"numParts";i:4;}}}}";s:37:"entity.webform.user.submission.delete";s:1586:"C:31:"Symfony\\Component\\Routing\\Route":1540:{a:9:{s:4:"path";s:58:"/webform/{webform}/submissions/{webform_submission}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"webform_submission.delete";s:6:"_title";s:25:"Delete webform submission";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.delete";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":782:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:85:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:31:"/webform/%/submissions/%/delete";s:8:"numParts";i:5;}}}}";s:40:"entity.webform.user.submission.duplicate";s:1965:"C:31:"Symfony\\Component\\Routing\\Route":1919:{a:9:{s:4:"path";s:61:"/webform/{webform}/submissions/{webform_submission}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:28:"webform_submission.duplicate";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"duplicate";b:1;s:7:"setting";s:25:"submission_user_duplicate";s:5:"value";b:1;}s:12:"requirements";a:2:{s:14:"_entity_access";s:28:"webform_submission.duplicate";s:14:"_custom_access";s:68:"\\Drupal\\webform\\Access\\WebformEntityAccess::checkWebformSettingValue";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":792:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:34:"/webform/%/submissions/%/duplicate";s:8:"numParts";i:5;}}}}";s:35:"entity.webform.user.submission.edit";s:1626:"C:31:"Symfony\\Component\\Routing\\Route":1580:{a:9:{s:4:"path";s:56:"/webform/{webform}/submissions/{webform_submission}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"webform_submission.edit";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.update";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":776:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:83:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/edit$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:29:"/webform/%/submissions/%/edit";s:8:"numParts";i:5;}}}}";s:31:"entity.webform.user.submissions";s:1497:"C:31:"Symfony\\Component\\Routing\\Route":1451:{a:9:{s:4:"path";s:48:"/webform/{webform}/submissions/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:11:"Submissions";s:15:"submission_view";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:27:"webform.submission_view_own";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":715:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:80:"#^/webform/(?P<webform>[^/]++)/submissions(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:22:"/webform/%/submissions";s:8:"numParts";i:4;}}}}";s:30:"entity.webform_submission.user";s:1508:"C:31:"Symfony\\Component\\Routing\\Route":1462:{a:9:{s:4:"path";s:42:"/user/{user}/submissions/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:11:"Submissions";s:15:"submission_view";s:0:"";}s:12:"requirements";a:1:{s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkUserSubmissionsAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":694:{a:11:{s:4:"vars";a:2:{i:0;s:4:"user";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/user/(?P<user>[^/]++)/submissions(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"user";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:2:{i:0;s:4:"user";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:19:"/user/%/submissions";s:8:"numParts";i:4;}}}}";s:18:"file.ajax_progress";s:1062:"C:31:"Symfony\\Component\\Routing\\Route":1016:{a:9:{s:4:"path";s:20:"/file/progress/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\file\\Controller\\FileWidgetAjaxController::progress";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":465:{a:11:{s:4:"vars";a:1:{i:0;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/file/progress/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/file/progress";}}s:9:"path_vars";a:1:{i:0;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/file/progress/%";s:8:"numParts";i:3;}}}}";s:11:"filter.tips";s:1273:"C:31:"Symfony\\Component\\Routing\\Route":1227:{a:9:{s:4:"path";s:28:"/filter/tips/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\filter\\Controller\\FilterController::filterTips";s:6:"_title";s:12:"Compose tips";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"filter_format.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":502:{a:11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/filter/tips/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/filter/tips";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:14:"/filter/tips/%";s:8:"numParts";i:3;}}}}";s:15:"filter.tips_all";s:1067:"C:31:"Symfony\\Component\\Routing\\Route":1021:{a:9:{s:4:"path";s:12:"/filter/tips";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\filter\\Controller\\FilterController::filterTips";s:6:"_title";s:12:"Compose tips";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/filter/tips$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/filter/tips";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/filter/tips";s:8:"numParts";i:2;}}}}";s:24:"fontawesome.autocomplete";s:995:"C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:25:"/fontawesome-autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:73:"\\Drupal\\fontawesome\\Controller\\AutocompleteController::handleAutocomplete";s:7:"_format";s:4:"json";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/fontawesome\\-autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/fontawesome-autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:25:"/fontawesome-autocomplete";s:8:"numParts";i:1;}}}}";s:23:"fontawesome.icon_dialog";s:1251:"C:31:"Symfony\\Component\\Routing\\Route":1205:{a:9:{s:4:"path";s:33:"/fontawesome/dialog/icon/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\fontawesome\\Form\\EditorIconDialog";s:6:"_title";s:21:"Add Font Awesome Icon";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":508:{a:11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/fontawesome/dialog/icon/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:24:"/fontawesome/dialog/icon";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:26:"/fontawesome/dialog/icon/%";s:8:"numParts";i:4;}}}}";s:27:"fullcalendar_view.add_event";s:1029:"C:31:"Symfony\\Component\\Routing\\Route":984:{a:9:{s:4:"path";s:28:"/fullcalendar-view-event-add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:70:"\\Drupal\\fullcalendar_view\\Controller\\CalendarEventController::addEvent";s:6:"_title";s:9:"Add Event";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":384:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/fullcalendar\\-view\\-event\\-add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/fullcalendar-view-event-add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:28:"/fullcalendar-view-event-add";s:8:"numParts";i:1;}}}}";s:30:"fullcalendar_view.update_event";s:1015:"C:31:"Symfony\\Component\\Routing\\Route":970:{a:9:{s:4:"path";s:31:"/fullcalendar-view-event-update";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:73:"\\Drupal\\fullcalendar_view\\Controller\\CalendarEventController::updateEvent";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":393:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/fullcalendar\\-view\\-event\\-update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/fullcalendar-view-event-update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:31:"/fullcalendar-view-event-update";s:8:"numParts";i:1;}}}}";s:26:"history.get_last_node_view";s:1014:"C:31:"Symfony\\Component\\Routing\\Route":969:{a:9:{s:4:"path";s:33:"/history/get_node_read_timestamps";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:67:"\\Drupal\\history\\Controller\\HistoryController::getNodeReadTimestamps";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":396:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/history/get_node_read_timestamps$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/history/get_node_read_timestamps";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:33:"/history/get_node_read_timestamps";s:8:"numParts";i:2;}}}}";s:17:"history.read_node";s:1218:"C:31:"Symfony\\Component\\Routing\\Route":1172:{a:9:{s:4:"path";s:20:"/history/{node}/read";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:54:"\\Drupal\\history\\Controller\\HistoryController::readNode";}s:12:"requirements";a:2:{s:14:"_entity_access";s:9:"node.view";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":495:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/history/(?P<node>\\d+)/read$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/read";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/history";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/history/%/read";s:8:"numParts";i:3;}}}}";s:19:"image.style_private";s:1393:"C:31:"Symfony\\Component\\Routing\\Route":1347:{a:9:{s:4:"path";s:43:"/system/files/styles/{image_style}/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\image\\Controller\\ImageStyleDownloadController::deliver";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":657:{a:11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/system/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:20:"/system/files/styles";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:28;s:14:"patternOutline";s:24:"/system/files/styles/%/%";s:8:"numParts";i:5;}}}}";s:18:"image.style_public";s:1420:"C:31:"Symfony\\Component\\Routing\\Route":1374:{a:9:{s:4:"path";s:50:"/sites/default/files/styles/{image_style}/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:61:"Drupal\\image\\Controller\\ImageStyleDownloadController::deliver";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":678:{a:11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/sites/default/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/sites/default/files/styles";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:60;s:14:"patternOutline";s:31:"/sites/default/files/styles/%/%";s:8:"numParts";i:6;}}}}";s:8:"node.add";s:1340:"C:31:"Symfony\\Component\\Routing\\Route":1294:{a:9:{s:4:"path";s:21:"/node/add/{node_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"node.default";s:15:"_title_callback";s:52:"\\Drupal\\node\\Controller\\NodeController::addPageTitle";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:16:"node:{node_type}";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:3:{s:4:"type";s:16:"entity:node_type";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":473:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/node/add/(?P<node_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:9:"/node/add";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:11:"/node/add/%";s:8:"numParts";i:3;}}}}";s:13:"node.add_page";s:994:"C:31:"Symfony\\Component\\Routing\\Route":949:{a:9:{s:4:"path";s:9:"/node/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:11:"Add content";s:11:"_controller";s:47:"\\Drupal\\node\\Controller\\NodeController::addPage";}s:12:"requirements";a:1:{s:25:"_entity_create_any_access";s:4:"node";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.entity_create_any";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/node/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/node/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:9:"/node/add";s:8:"numParts";i:2;}}}}";s:28:"node.revision_delete_confirm";s:1698:"C:31:"Symfony\\Component\\Routing\\Route":1652:{a:9:{s:4:"path";s:45:"/node/{node}/revisions/{node_revision}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\NodeRevisionDeleteForm";s:6:"_title";s:23:"Delete earlier revision";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.delete revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":729:{a:11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:26:"/node/%/revisions/%/delete";s:8:"numParts";i:5;}}}}";s:28:"node.revision_revert_confirm";s:1701:"C:31:"Symfony\\Component\\Routing\\Route":1655:{a:9:{s:4:"path";s:45:"/node/{node}/revisions/{node_revision}/revert";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\NodeRevisionRevertForm";s:6:"_title";s:26:"Revert to earlier revision";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.revert revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":729:{a:11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/revert";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:26:"/node/%/revisions/%/revert";s:8:"numParts";i:5;}}}}";s:40:"node.revision_revert_translation_confirm";s:1886:"C:31:"Symfony\\Component\\Routing\\Route":1840:{a:9:{s:4:"path";s:56:"/node/{node}/revisions/{node_revision}/revert/{langcode}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:51:"\\Drupal\\node\\Form\\NodeRevisionRevertTranslationForm";s:6:"_title";s:43:"Revert to earlier revision of a translation";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.revert revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":875:{a:11:{s:4:"vars";a:3:{i:0;s:4:"node";i:1;s:13:"node_revision";i:2;s:8:"langcode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:90:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert/(?P<langcode>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/revert";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:3:{i:0;s:4:"node";i:1;s:13:"node_revision";i:2;s:8:"langcode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:42;s:14:"patternOutline";s:28:"/node/%/revisions/%/revert/%";s:8:"numParts";i:6;}}}}";s:21:"quickedit.attachments";s:962:"C:31:"Symfony\\Component\\Routing\\Route":917:{a:9:{s:4:"path";s:22:"/quickedit/attachments";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:50:"\\Drupal\\quickedit\\QuickEditController::attachments";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/quickedit/attachments$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/quickedit/attachments";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:22:"/quickedit/attachments";s:8:"numParts";i:2;}}}}";s:21:"quickedit.entity_save";s:1508:"C:31:"Symfony\\Component\\Routing\\Route":1462:{a:9:{s:4:"path";s:40:"/quickedit/entity/{entity_type}/{entity}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:49:"\\Drupal\\quickedit\\QuickEditController::entitySave";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:14:"_entity_access";s:13:"entity.update";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":648:{a:11:{s:4:"vars";a:2:{i:0;s:11:"entity_type";i:1;s:6:"entity";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/quickedit/entity/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:17:"/quickedit/entity";}}s:9:"path_vars";a:2:{i:0;s:11:"entity_type";i:1;s:6:"entity";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:12;s:14:"patternOutline";s:21:"/quickedit/entity/%/%";s:8:"numParts";i:4;}}}}";s:20:"quickedit.field_form";s:2030:"C:31:"Symfony\\Component\\Routing\\Route":1984:{a:9:{s:4:"path";s:77:"/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:48:"\\Drupal\\quickedit\\QuickEditController::fieldForm";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1111:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/quickedit/form/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:15:"/quickedit/form";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:96;s:14:"patternOutline";s:25:"/quickedit/form/%/%/%/%/%";s:8:"numParts";i:7;}}}}";s:34:"quickedit.field_untransformed_text";s:2021:"C:31:"Symfony\\Component\\Routing\\Route":1975:{a:9:{s:4:"path";s:72:"/quickedit/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:59:"\\Drupal\\quickedit\\QuickEditController::getUntransformedText";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1096:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:129:"#^/quickedit/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:10:"/quickedit";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:32;s:14:"patternOutline";s:20:"/quickedit/%/%/%/%/%";s:8:"numParts";i:6;}}}}";s:20:"quickedit.image_info";s:2093:"C:31:"Symfony\\Component\\Routing\\Route":2047:{a:9:{s:4:"path";s:83:"/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\quickedit\\Controller\\QuickEditImageController::getInfo";}s:12:"requirements";a:3:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";s:7:"_method";s:3:"GET";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1130:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:140:"#^/quickedit/image/info/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:21:"/quickedit/image/info";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:224;s:14:"patternOutline";s:31:"/quickedit/image/info/%/%/%/%/%";s:8:"numParts";i:8;}}}}";s:22:"quickedit.image_upload";s:2101:"C:31:"Symfony\\Component\\Routing\\Route":2055:{a:9:{s:4:"path";s:85:"/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:61:"\\Drupal\\quickedit\\Controller\\QuickEditImageController::upload";}s:12:"requirements";a:3:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";s:7:"_method";s:4:"POST";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1136:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:142:"#^/quickedit/image/upload/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:23:"/quickedit/image/upload";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:224;s:14:"patternOutline";s:33:"/quickedit/image/upload/%/%/%/%/%";s:8:"numParts";i:8;}}}}";s:18:"quickedit.metadata";s:947:"C:31:"Symfony\\Component\\Routing\\Route":902:{a:9:{s:4:"path";s:19:"/quickedit/metadata";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\quickedit\\QuickEditController::metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/quickedit/metadata$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/quickedit/metadata";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:19:"/quickedit/metadata";s:8:"numParts";i:2;}}}}";s:23:"search.help_node_search";s:1202:"C:31:"Symfony\\Component\\Routing\\Route":1156:{a:9:{s:4:"path";s:17:"/search/node/help";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:53:"Drupal\\search\\Controller\\SearchController::searchHelp";s:6:"_title";s:15:"About searching";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/search/node/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/search/node/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:17:"/search/node/help";s:8:"numParts";i:3;}}}}";s:23:"search.help_user_search";s:1202:"C:31:"Symfony\\Component\\Routing\\Route":1156:{a:9:{s:4:"path";s:17:"/search/user/help";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:53:"Drupal\\search\\Controller\\SearchController::searchHelp";s:6:"_title";s:15:"About searching";s:6:"entity";s:11:"user_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/search/user/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/search/user/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:17:"/search/user/help";s:8:"numParts";i:3;}}}}";s:11:"search.view";s:1157:"C:31:"Symfony\\Component\\Routing\\Route":1111:{a:9:{s:4:"path";s:7:"/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:61:"Drupal\\search\\Controller\\SearchController::redirectSearchPage";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/search";s:8:"numParts";i:1;}}}}";s:23:"search.view_node_search";s:1166:"C:31:"Symfony\\Component\\Routing\\Route":1120:{a:9:{s:4:"path";s:12:"/search/node";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:47:"Drupal\\search\\Controller\\SearchController::view";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/search/node$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/search/node";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/search/node";s:8:"numParts";i:2;}}}}";s:23:"search.view_user_search";s:1166:"C:31:"Symfony\\Component\\Routing\\Route":1120:{a:9:{s:4:"path";s:12:"/search/user";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:47:"Drupal\\search\\Controller\\SearchController::view";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"user_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/search/user$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/search/user";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/search/user";s:8:"numParts";i:2;}}}}";s:19:"shortcut.set_switch";s:1308:"C:31:"Symfony\\Component\\Routing\\Route":1262:{a:9:{s:4:"path";s:22:"/user/{user}/shortcuts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\shortcut\\Form\\SwitchShortcutSet";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:14:"_custom_access";s:52:"\\Drupal\\shortcut\\Form\\SwitchShortcutSet::checkAccess";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"user";s:3:"\\d+";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":508:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/user/(?P<user>[^/]++)/shortcuts$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/shortcuts";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/user/%/shortcuts";s:8:"numParts";i:3;}}}}";s:10:"system.401";s:922:"C:31:"Symfony\\Component\\Routing\\Route":877:{a:9:{s:4:"path";s:11:"/system/401";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on401";s:6:"_title";s:12:"Unauthorized";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/401$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/401";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/401";s:8:"numParts";i:2;}}}}";s:10:"system.403";s:923:"C:31:"Symfony\\Component\\Routing\\Route":878:{a:9:{s:4:"path";s:11:"/system/403";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on403";s:6:"_title";s:13:"Access denied";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/403$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/403";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/403";s:8:"numParts";i:2;}}}}";s:10:"system.404";s:924:"C:31:"Symfony\\Component\\Routing\\Route":879:{a:9:{s:4:"path";s:11:"/system/404";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on404";s:6:"_title";s:14:"Page not found";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/404$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/404";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/404";s:8:"numParts";i:2;}}}}";s:10:"system.4xx";s:922:"C:31:"Symfony\\Component\\Routing\\Route":877:{a:9:{s:4:"path";s:11:"/system/4xx";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on4xx";s:6:"_title";s:12:"Client error";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/4xx$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/4xx";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/4xx";s:8:"numParts";i:2;}}}}";s:22:"system.batch_page.html";s:1006:"C:31:"Symfony\\Component\\Routing\\Route":961:{a:9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";s:15:"_title_callback";s:57:"\\Drupal\\system\\Controller\\BatchController::batchPageTitle";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"html";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":313:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}}}";s:11:"system.cron";s:1009:"C:31:"Symfony\\Component\\Routing\\Route":964:{a:9:{s:4:"path";s:11:"/cron/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:34:"\\Drupal\\system\\CronController::run";}s:12:"requirements";a:1:{s:19:"_access_system_cron";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:17:"access_check.cron";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":436:{a:11:{s:4:"vars";a:1:{i:0;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/cron/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/cron";}}s:9:"path_vars";a:1:{i:0;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/cron/%";s:8:"numParts";i:2;}}}}";s:16:"system.csrftoken";s:908:"C:31:"Symfony\\Component\\Routing\\Route":863:{a:9:{s:4:"path";s:14:"/session/token";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:56:"\\Drupal\\system\\Controller\\CsrfTokenController::csrfToken";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/session/token$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/session/token";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/session/token";s:8:"numParts";i:2;}}}}";s:16:"system.db_update";s:1041:"C:31:"Symfony\\Component\\Routing\\Route":996:{a:9:{s:4:"path";s:16:"/update.php/{op}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:2:"op";s:4:"info";}s:12:"requirements";a:1:{s:21:"_access_system_update";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"default_url_options";a:1:{s:15:"path_processing";b:0;}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:22:"access_check.db_update";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":456:{a:11:{s:4:"vars";a:1:{i:0;s:2:"op";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"op";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/update.php";}}s:9:"path_vars";a:1:{i:0;s:2:"op";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:11:"/update.php";s:8:"numParts";i:2;}}}}";s:26:"system.entity_autocomplete";s:1602:"C:31:"Symfony\\Component\\Routing\\Route":1556:{a:9:{s:4:"path";s:89:"/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:74:"\\Drupal\\system\\Controller\\EntityAutocompleteController::handleAutocomplete";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":939:{a:11:{s:4:"vars";a:3:{i:0;s:11:"target_type";i:1;s:17:"selection_handler";i:2;s:22:"selection_settings_key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:126:"#^/entity_reference_autocomplete/(?P<target_type>[^/]++)/(?P<selection_handler>[^/]++)/(?P<selection_settings_key>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:22:"selection_settings_key";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:17:"selection_handler";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"target_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:30:"/entity_reference_autocomplete";}}s:9:"path_vars";a:3:{i:0;s:11:"target_type";i:1;s:17:"selection_handler";i:2;s:22:"selection_settings_key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:8;s:14:"patternOutline";s:36:"/entity_reference_autocomplete/%/%/%";s:8:"numParts";i:4;}}}}";s:12:"system.files";s:1073:"C:31:"Symfony\\Component\\Routing\\Route":1027:{a:9:{s:4:"path";s:22:"/system/files/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";s:6:"scheme";s:7:"private";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":477:{a:11:{s:4:"vars";a:1:{i:0;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/system/files(?:/(?P<scheme>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/system/files";}}s:9:"path_vars";a:1:{i:0;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/system/files";s:8:"numParts";i:3;}}}}";s:33:"system.machine_name_transliterate";s:974:"C:31:"Symfony\\Component\\Routing\\Route":929:{a:9:{s:4:"path";s:27:"/machine_name/transliterate";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\system\\MachineNameController::transliterate";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":378:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/machine_name/transliterate$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/machine_name/transliterate";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:27:"/machine_name/transliterate";s:8:"numParts";i:2;}}}}";s:28:"system.private_file_download";s:1069:"C:31:"Symfony\\Component\\Routing\\Route":1023:{a:9:{s:4:"path";s:24:"/system/files/{filepath}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";}s:12:"requirements";a:2:{s:8:"filepath";s:2:".+";s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":474:{a:11:{s:4:"vars";a:1:{i:0;s:8:"filepath";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/system/files/(?P<filepath>.+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:2:".+";i:3;s:8:"filepath";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/system/files";}}s:9:"path_vars";a:1:{i:0;s:8:"filepath";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:15:"/system/files/%";s:8:"numParts";i:3;}}}}";s:16:"system.temporary";s:940:"C:31:"Symfony\\Component\\Routing\\Route":895:{a:9:{s:4:"path";s:17:"/system/temporary";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";s:6:"scheme";s:9:"temporary";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/system/temporary$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/system/temporary";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/system/temporary";s:8:"numParts";i:2;}}}}";s:15:"system.timezone";s:1568:"C:31:"Symfony\\Component\\Routing\\Route":1522:{a:9:{s:4:"path";s:66:"/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:57:"\\Drupal\\system\\Controller\\TimezoneController::getTimezone";s:12:"abbreviation";s:0:"";s:6:"offset";i:-1;s:23:"is_daylight_saving_time";N;}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":867:{a:11:{s:4:"vars";a:3:{i:0;s:12:"abbreviation";i:1;s:6:"offset";i:2;s:23:"is_daylight_saving_time";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:118:"#^/system/timezone(?:/(?P<abbreviation>[^/]++)(?:/(?P<offset>[^/]++)(?:/(?P<is_daylight_saving_time>[^/]++))?)?)?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:23:"is_daylight_saving_time";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"offset";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"abbreviation";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:16:"/system/timezone";}}s:9:"path_vars";a:3:{i:0;s:12:"abbreviation";i:1;s:6:"offset";i:2;s:23:"is_daylight_saving_time";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/system/timezone";s:8:"numParts";i:5;}}}}";s:16:"toolbar.subtrees";s:1128:"C:31:"Symfony\\Component\\Routing\\Route":1082:{a:9:{s:4:"path";s:24:"/toolbar/subtrees/{hash}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\toolbar\\Controller\\ToolbarController::subtreesAjax";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\toolbar\\Controller\\ToolbarController::checkSubTreeAccess";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":478:{a:11:{s:4:"vars";a:1:{i:0;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/toolbar/subtrees/(?P<hash>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:17:"/toolbar/subtrees";}}s:9:"path_vars";a:1:{i:0;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:19:"/toolbar/subtrees/%";s:8:"numParts";i:3;}}}}";s:19:"user.cancel_confirm";s:1688:"C:31:"Symfony\\Component\\Routing\\Route":1642:{a:9:{s:4:"path";s:53:"/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:28:"Confirm account cancellation";s:11:"_controller";s:53:"\\Drupal\\user\\Controller\\UserController::confirmCancel";s:9:"timestamp";i:0;s:11:"hashed_pass";s:0:"";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"user.delete";s:4:"user";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":835:{a:11:{s:4:"vars";a:3:{i:0;s:4:"user";i:1;s:9:"timestamp";i:2;s:11:"hashed_pass";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:97:"#^/user/(?P<user>\\d+)/cancel/confirm(?:/(?P<timestamp>[^/]++)(?:/(?P<hashed_pass>[^/]++))?)?$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"hashed_pass";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:15:"/cancel/confirm";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:3:{i:0;s:4:"user";i:1;s:9:"timestamp";i:2;s:11:"hashed_pass";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:11;s:14:"patternOutline";s:22:"/user/%/cancel/confirm";s:8:"numParts";i:6;}}}}";s:9:"user.edit";s:943:"C:31:"Symfony\\Component\\Routing\\Route":898:{a:9:{s:4:"path";s:10:"/user/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\user\\Controller\\UserController::userEditPage";s:6:"_title";s:12:"Edit account";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":327:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:17:"#^/user/edit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/user/edit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:10:"/user/edit";s:8:"numParts";i:2;}}}}";s:10:"user.login";s:944:"C:31:"Symfony\\Component\\Routing\\Route":899:{a:9:{s:4:"path";s:11:"/user/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\user\\Form\\UserLoginForm";s:6:"_title";s:6:"Log in";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/user/login$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/user/login";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/user/login";s:8:"numParts";i:2;}}}}";s:11:"user.logout";s:912:"C:31:"Symfony\\Component\\Routing\\Route":867:{a:9:{s:4:"path";s:12:"/user/logout";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:46:"\\Drupal\\user\\Controller\\UserController::logout";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/user/logout$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/user/logout";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/user/logout";s:8:"numParts";i:2;}}}}";s:9:"user.page";s:914:"C:31:"Symfony\\Component\\Routing\\Route":869:{a:9:{s:4:"path";s:5:"/user";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\user\\Controller\\UserController::userPage";s:6:"_title";s:10:"My account";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":310:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:12:"#^/user$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:5:"/user";s:8:"numParts";i:1;}}}}";s:9:"user.pass";s:950:"C:31:"Symfony\\Component\\Routing\\Route":905:{a:9:{s:4:"path";s:14:"/user/password";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\user\\Form\\UserPasswordForm";s:6:"_title";s:19:"Reset your password";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/user/password$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/user/password";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/user/password";s:8:"numParts";i:2;}}}}";s:13:"user.register";s:926:"C:31:"Symfony\\Component\\Routing\\Route":881:{a:9:{s:4:"path";s:14:"/user/register";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:13:"user.register";s:6:"_title";s:18:"Create new account";}s:12:"requirements";a:1:{s:21:"_access_user_register";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.user.register";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/user/register$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/user/register";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/user/register";s:8:"numParts";i:2;}}}}";s:10:"user.reset";s:1407:"C:31:"Symfony\\Component\\Routing\\Route":1361:{a:9:{s:4:"path";s:36:"/user/reset/{uid}/{timestamp}/{hash}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\user\\Controller\\UserController::resetPass";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":737:{a:11:{s:4:"vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:73:"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:24;s:14:"patternOutline";s:17:"/user/reset/%/%/%";s:8:"numParts";i:5;}}}}";s:15:"user.reset.form";s:1137:"C:31:"Symfony\\Component\\Routing\\Route":1091:{a:9:{s:4:"path";s:17:"/user/reset/{uid}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\user\\Controller\\UserController::getResetPassForm";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":456:{a:11:{s:4:"vars";a:1:{i:0;s:3:"uid";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/user/reset/(?P<uid>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:1:{i:0;s:3:"uid";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:13:"/user/reset/%";s:8:"numParts";i:3;}}}}";s:16:"user.reset.login";s:1495:"C:31:"Symfony\\Component\\Routing\\Route":1449:{a:9:{s:4:"path";s:42:"/user/reset/{uid}/{timestamp}/{hash}/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\user\\Controller\\UserController::resetPassLogin";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":791:{a:11:{s:4:"vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/login$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/login";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:49;s:14:"patternOutline";s:23:"/user/reset/%/%/%/login";s:8:"numParts";i:6;}}}}";s:31:"user.well-known.change_password";s:985:"C:31:"Symfony\\Component\\Routing\\Route":940:{a:9:{s:4:"path";s:28:"/.well-known/change-password";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\user\\Controller\\UserController::userEditPage";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":384:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/\\.well\\-known/change\\-password$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/.well-known/change-password";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:28:"/.well-known/change-password";s:8:"numParts";i:2;}}}}";s:21:"view.frontpage.feed_1";s:1300:"C:31:"Symfony\\Component\\Routing\\Route":1254:{a:9:{s:4:"path";s:8:"/rss.xml";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"frontpage";s:10:"display_id";s:6:"feed_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"feed";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":320:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/rss\\.xml$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/rss.xml";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/rss.xml";s:8:"numParts";i:1;}}}}";s:21:"view.frontpage.page_1";s:1312:"C:31:"Symfony\\Component\\Routing\\Route":1266:{a:9:{s:4:"path";s:5:"/node";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"frontpage";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":310:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:12:"#^/node$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:5:"/node";s:8:"numParts";i:1;}}}}";s:21:"view.mt_albums.page_2";s:1383:"C:31:"Symfony\\Component\\Routing\\Route":1337:{a:9:{s:4:"path";s:21:"/albums-3-col-style-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_albums";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":364:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/albums\\-3\\-col\\-style\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/albums-3-col-style-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/albums-3-col-style-2";s:8:"numParts";i:1;}}}}";s:34:"view.mt_albums_grid_style_2.page_2";s:1334:"C:31:"Symfony\\Component\\Routing\\Route":1288:{a:9:{s:4:"path";s:7:"/albums";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/albums$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/albums";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/albums";s:8:"numParts";i:1;}}}}";s:34:"view.mt_albums_grid_style_2.page_3";s:1363:"C:31:"Symfony\\Component\\Routing\\Route":1317:{a:9:{s:4:"path";s:13:"/albums-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/albums\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/albums-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/albums-2-col";s:8:"numParts";i:1;}}}}";s:23:"view.mt_articles.page_1";s:1331:"C:31:"Symfony\\Component\\Routing\\Route":1285:{a:9:{s:4:"path";s:9:"/articles";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_articles";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/articles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/articles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/articles";s:8:"numParts";i:1;}}}}";s:28:"view.mt_articles_grid.page_1";s:1365:"C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-4-col";s:8:"numParts";i:1;}}}}";s:28:"view.mt_articles_grid.page_2";s:1365:"C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-3-col";s:8:"numParts";i:1;}}}}";s:28:"view.mt_articles_grid.page_4";s:1365:"C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_4";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-2-col";s:8:"numParts";i:1;}}}}";s:28:"view.mt_articles_list.page_1";s:1360:"C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:14:"/articles-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":340:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/articles\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/articles-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/articles-list";s:8:"numParts";i:1;}}}}";s:31:"view.mt_collections_grid.page_1";s:1383:"C:31:"Symfony\\Component\\Routing\\Route":1337:{a:9:{s:4:"path";s:19:"/merchandise-groups";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_collections_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":355:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-groups$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/merchandise-groups";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/merchandise-groups";s:8:"numParts";i:1;}}}}";s:34:"view.mt_collections_masonry.page_1";s:1419:"C:31:"Symfony\\Component\\Routing\\Route":1373:{a:9:{s:4:"path";s:27:"/merchandise-groups-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_collections_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":380:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/merchandise\\-groups\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/merchandise-groups-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:27:"/merchandise-groups-masonry";s:8:"numParts";i:1;}}}}";s:26:"view.mt_events_grid.page_2";s:1355:"C:31:"Symfony\\Component\\Routing\\Route":1309:{a:9:{s:4:"path";s:13:"/events-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-3-col";s:8:"numParts";i:1;}}}}";s:26:"view.mt_events_grid.page_3";s:1355:"C:31:"Symfony\\Component\\Routing\\Route":1309:{a:9:{s:4:"path";s:13:"/events-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-2-col";s:8:"numParts";i:1;}}}}";s:26:"view.mt_events_list.page_1";s:1326:"C:31:"Symfony\\Component\\Routing\\Route":1280:{a:9:{s:4:"path";s:7:"/events";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/events$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/events";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/events";s:8:"numParts";i:1;}}}}";s:22:"view.mt_isotope.page_1";s:1358:"C:31:"Symfony\\Component\\Routing\\Route":1312:{a:9:{s:4:"path";s:15:"/albums-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":343:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/albums\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/albums-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/albums-isotope";s:8:"numParts";i:1;}}}}";s:22:"view.mt_isotope.page_2";s:1390:"C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:23:"/accommodations-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":367:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/accommodations\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/accommodations-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:23:"/accommodations-isotope";s:8:"numParts";i:1;}}}}";s:22:"view.mt_isotope.page_3";s:1378:"C:31:"Symfony\\Component\\Routing\\Route":1332:{a:9:{s:4:"path";s:20:"/merchandise-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-isotope";s:8:"numParts";i:1;}}}}";s:33:"view.mt_presentations_grid.page_2";s:1390:"C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:20:"/presentations-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":359:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/presentations\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/presentations-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/presentations-3-col";s:8:"numParts";i:1;}}}}";s:33:"view.mt_presentations_grid.page_3";s:1364:"C:31:"Symfony\\Component\\Routing\\Route":1318:{a:9:{s:4:"path";s:14:"/presentations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/presentations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/presentations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/presentations";s:8:"numParts";i:1;}}}}";s:29:"view.mt_pricing_tables.page_1";s:1365:"C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/pricing-tables";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"mt_pricing_tables";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":343:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/pricing\\-tables$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/pricing-tables";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/pricing-tables";s:8:"numParts";i:1;}}}}";s:23:"view.mt_products.page_1";s:1372:"C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:18:"/merchandise-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-4-col";s:8:"numParts";i:1;}}}}";s:23:"view.mt_products.page_2";s:1346:"C:31:"Symfony\\Component\\Routing\\Route":1300:{a:9:{s:4:"path";s:12:"/merchandise";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/merchandise$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/merchandise";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:12:"/merchandise";s:8:"numParts";i:1;}}}}";s:23:"view.mt_products.page_3";s:1372:"C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:18:"/merchandise-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-2-col";s:8:"numParts";i:1;}}}}";s:28:"view.mt_products_list.page_1";s:1372:"C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:17:"/merchandise-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_products_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":349:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/merchandise\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/merchandise-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:17:"/merchandise-list";s:8:"numParts";i:1;}}}}";s:31:"view.mt_products_masonry.page_1";s:1387:"C:31:"Symfony\\Component\\Routing\\Route":1341:{a:9:{s:4:"path";s:20:"/merchandise-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_products_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-masonry";s:8:"numParts";i:1;}}}}";s:22:"view.mt_program.page_1";s:1326:"C:31:"Symfony\\Component\\Routing\\Route":1280:{a:9:{s:4:"path";s:8:"/program";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_program";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":319:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/program$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/program";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/program";s:8:"numParts";i:1;}}}}";s:23:"view.mt_services.page_1";s:1384:"C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:21:"/accommodations-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":362:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-4-col";s:8:"numParts";i:1;}}}}";s:23:"view.mt_services.page_2";s:1358:"C:31:"Symfony\\Component\\Routing\\Route":1312:{a:9:{s:4:"path";s:15:"/accommodations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":342:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/accommodations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/accommodations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/accommodations";s:8:"numParts";i:1;}}}}";s:23:"view.mt_services.page_3";s:1384:"C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:21:"/accommodations-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":362:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-2-col";s:8:"numParts";i:1;}}}}";s:28:"view.mt_services_list.page_1";s:1384:"C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:20:"/accommodations-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_services_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/accommodations\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/accommodations-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/accommodations-list";s:8:"numParts";i:1;}}}}";s:23:"view.mt_speakers.page_1";s:1331:"C:31:"Symfony\\Component\\Routing\\Route":1285:{a:9:{s:4:"path";s:9:"/speakers";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_speakers";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/speakers$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/speakers";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/speakers";s:8:"numParts";i:1;}}}}";s:28:"view.mt_sponsors_grid.page_2";s:1336:"C:31:"Symfony\\Component\\Routing\\Route":1290:{a:9:{s:4:"path";s:9:"/sponsors";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_sponsors_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/sponsors$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/sponsors";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/sponsors";s:8:"numParts";i:1;}}}}";s:32:"view.mt_team_members_grid.page_2";s:1360:"C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:13:"/team-members";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":337:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/team\\-members$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/team-members";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/team-members";s:8:"numParts";i:1;}}}}";s:34:"view.mt_team_members_grid_2.page_2";s:1371:"C:31:"Symfony\\Component\\Routing\\Route":1325:{a:9:{s:4:"path";s:15:"/team-members-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_team_members_grid_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/team\\-members\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/team-members-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/team-members-2";s:8:"numParts";i:1;}}}}";s:32:"view.mt_team_members_list.page_1";s:1381:"C:31:"Symfony\\Component\\Routing\\Route":1335:{a:9:{s:4:"path";s:18:"/team-members-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/team\\-members\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/team-members-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/team-members-list";s:8:"numParts";i:1;}}}}";s:27:"view.mt_testimonials.page_1";s:1354:"C:31:"Symfony\\Component\\Routing\\Route":1308:{a:9:{s:4:"path";s:13:"/testimonials";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:15:"mt_testimonials";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/testimonials$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/testimonials";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/testimonials";s:8:"numParts";i:1;}}}}";s:32:"view.mt_testimonials_grid.page_1";s:1385:"C:31:"Symfony\\Component\\Routing\\Route":1339:{a:9:{s:4:"path";s:19:"/testimonials-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_testimonials_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":356:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/testimonials\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/testimonials-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/testimonials-3-col";s:8:"numParts";i:1;}}}}";s:34:"view.mt_testimonials_grid_2.page_1";s:1396:"C:31:"Symfony\\Component\\Routing\\Route":1350:{a:9:{s:4:"path";s:21:"/testimonials-3-col-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_testimonials_grid_2";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/testimonials\\-3\\-col\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-3-col-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-3-col-2";s:8:"numParts";i:1;}}}}";s:35:"view.mt_testimonials_masonry.page_1";s:1395:"C:31:"Symfony\\Component\\Routing\\Route":1349:{a:9:{s:4:"path";s:21:"/testimonials-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:23:"mt_testimonials_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":361:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/testimonials\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-masonry";s:8:"numParts";i:1;}}}}";s:21:"view.mt_videos.page_1";s:1320:"C:31:"Symfony\\Component\\Routing\\Route":1274:{a:9:{s:4:"path";s:7:"/videos";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_videos";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/videos$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/videos";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/videos";s:8:"numParts";i:1;}}}}";s:25:"view.taxonomy_term.feed_1";s:1554:"C:31:"Symfony\\Component\\Routing\\Route":1508:{a:9:{s:4:"path";s:27:"/taxonomy/term/{arg_0}/feed";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"feed_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:5:"arg_0";}s:23:"_view_display_plugin_id";s:4:"feed";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":525:{a:11:{s:4:"vars";a:1:{i:0;s:5:"arg_0";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/taxonomy/term/(?P<arg_0>[^/]++)/feed$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/feed";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"arg_0";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:5:"arg_0";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:21:"/taxonomy/term/%/feed";s:8:"numParts";i:4;}}}}";s:25:"view.taxonomy_term.page_1";s:1522:"C:31:"Symfony\\Component\\Routing\\Route":1476:{a:9:{s:4:"path";s:22:"/taxonomy/term/{arg_0}";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:5:"arg_0";}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":473:{a:11:{s:4:"vars";a:1:{i:0;s:5:"arg_0";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"arg_0";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:5:"arg_0";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/taxonomy/term/%";s:8:"numParts";i:3;}}}}";s:10:"views.ajax";s:893:"C:31:"Symfony\\Component\\Routing\\Route":848:{a:9:{s:4:"path";s:11:"/views/ajax";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:53:"\\Drupal\\views\\Controller\\ViewAjaxController::ajaxView";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/views/ajax$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/views/ajax";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/views/ajax";s:8:"numParts";i:2;}}}}";s:28:"webform.element.autocomplete";s:1418:"C:31:"Symfony\\Component\\Routing\\Route":1372:{a:9:{s:4:"path";s:37:"/webform/{webform}/autocomplete/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:65:"\\Drupal\\webform\\Controller\\WebformElementController::autocomplete";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform.submission_create";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":665:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:64:"#^/webform/(?P<webform>[^/]++)/autocomplete/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/autocomplete";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:10;s:14:"patternOutline";s:25:"/webform/%/autocomplete/%";s:8:"numParts";i:4;}}}}";s:29:"webform.element.message.close";s:1330:"C:31:"Symfony\\Component\\Routing\\Route":1284:{a:9:{s:4:"path";s:37:"/webform/message/close/{storage}/{id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\webform\\Controller\\WebformElementController::close";s:8:"_storage";s:4:"user";}s:12:"requirements";a:2:{s:18:"_user_is_logged_in";s:4:"TRUE";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:30:"access_check.user.login_status";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:2:{i:0;s:7:"storage";i:1;s:2:"id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:64:"#^/webform/message/close/(?P<storage>[^/]++)/(?P<id>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"storage";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:22:"/webform/message/close";}}s:9:"path_vars";a:2:{i:0;s:7:"storage";i:1;s:2:"id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:28;s:14:"patternOutline";s:26:"/webform/message/close/%/%";s:8:"numParts";i:5;}}}}";}', -1, '1681652752.550', 1, 'routes', '8');
INSERT INTO `cache_data` VALUES
('route_provider.route_load:20306490de9b55092c61c04b493fd3e0ce730602f650c301850a72d40ee721cc7eff23b8f3f4f5f3bf4d01bc47bbf12c346560bad33d127b981f1c2017e155d4', 'a:1:{s:16:"system.db_update";s:1025:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:16:"/update.php/{op}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:2:"op";s:4:"info";}s:12:"requirements";a:1:{s:21:"_access_system_update";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"default_url_options";a:1:{s:15:"path_processing";b:0;}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:22:"access_check.db_update";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:2:"op";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"op";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/update.php";}}s:9:"path_vars";a:1:{i:0;s:2:"op";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:11:"/update.php";s:8:"numParts";i:2;}}";}', -1, '1681652129.523', 1, 'routes', '5'),
('route_provider.route_load:211fa57fa4e757d42bd031e7834299b07a2626c4dc3fdcedfb675cbbf83aa7ccbca2601d918332415497a99134e16ea625a5a6eb7de616584d2143282b05b4d6', 'a:1:{s:22:"entity.block.edit_form";s:1306:"C:31:"Symfony\\Component\\Routing\\Route":1260:{a:9:{s:4:"path";s:37:"/admin/structure/block/manage/{block}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:13:"block.default";s:6:"_title";s:15:"Configure block";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"block.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":519:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:54:"#^/admin/structure/block/manage/(?P<block>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:31:"/admin/structure/block/manage/%";s:8:"numParts";i:5;}}}}";}', -1, '1681652757.865', 1, 'routes', '8'),
('route_provider.route_load:278fee4f6732c7ed95af39b3e4ec87c0485e9eb1f98673cad9706f3e83002900fffce5f98234675d0144d9ec4eea105ef41b31f562c86ca75cd61b2d18913adb', 'a:2:{s:29:"entity.date_format.collection";s:1038:"C:31:"Symfony\\Component\\Routing\\Route":993:{a:9:{s:4:"path";s:32:"/admin/config/regional/date-time";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"date_format";s:6:"_title";s:21:"Date and time formats";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/regional/date\\-time$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/regional/date-time";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/regional/date-time";s:8:"numParts";i:4;}}}}";s:24:"system.regional_settings";s:1042:"C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:31:"/admin/config/regional/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RegionalForm";s:6:"_title";s:17:"Regional settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/regional/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/regional/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/regional/settings";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.890', 1, 'routes', '8'),
('route_provider.route_load:2d2bb59c5f094e4340b86339196162dc5570754b2ccb1ff05d9b6fe62e38b38cebeb45024da7550787011f24691eec72e5ee0814b31ec5b0a4fe66dc5d499266', 'a:1:{s:22:"entity.user.admin_form";s:1031:"C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:29:"/admin/config/people/accounts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\user\\AccountSettingsForm";s:6:"_title";s:16:"Account settings";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer account settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/people/accounts$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/people/accounts";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/people/accounts";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.875', 1, 'routes', '8'),
('route_provider.route_load:2f266178ade81cb4a10c6eb2baea6f8f9fdafab0afcf340674027458a3d5ffb82c1f7d84b3799e8b43431873ab992b8d90d9e353d501e62190f851bcfb44c8ac', 'a:2:{s:21:"system.theme_settings";s:1016:"C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:26:"/admin/appearance/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\system\\Form\\ThemeSettingsForm";s:6:"_title";s:19:"Appearance settings";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":375:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/appearance/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/appearance/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/appearance/settings";s:8:"numParts";i:3;}}}}";s:19:"update.theme_update";s:1074:"C:31:"Symfony\\Component\\Routing\\Route":1028:{a:9:{s:4:"path";s:19:"/admin/theme/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/theme/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/theme/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/theme/update";s:8:"numParts";i:3;}}}}";}', -1, '1681652749.534', 1, 'routes', '7'),
('route_provider.route_load:30079633ecb7c313e2290fffd3b7e8d3952ebc82a2d4940727e233742d0a50d5e14d0ffb15f99db63aec24e982334e18af27306b898c2de4cb5655a6839c31f9', 'a:1:{s:32:"system.modules_uninstall_confirm";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:32:"/admin/modules/uninstall/confirm";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:47:"\\Drupal\\system\\Form\\ModulesUninstallConfirmForm";s:6:"_title";s:17:"Confirm uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":394:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/modules/uninstall/confirm$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/modules/uninstall/confirm";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/modules/uninstall/confirm";s:8:"numParts";i:4;}}}}";}', -1, '1681653349.201', 1, 'routes', '8'),
('route_provider.route_load:31abc56ad89f69ac3bae9b992bce41b47a1a24adcc5d4bd1b11782b454ec097b7bbdd7628fe7377603400f9cf12e0b574426992cd24c916ec8b68c6cfe5c6c6f', 'a:1:{s:29:"entity.view.edit_display_form";s:1550:"C:31:"Symfony\\Component\\Routing\\Route":1504:{a:9:{s:4:"path";s:52:"/admin/structure/views/view/{view}/edit/{display_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:51:"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit";s:10:"display_id";N;}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"view.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":720:{a:11:{s:4:"vars";a:2:{i:0;s:4:"view";i:1;s:10:"display_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:84:"#^/admin/structure/views/view/(?P<view>[^/]++)/edit(?:/(?P<display_id>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:2:{i:0;s:4:"view";i:1;s:10:"display_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:34:"/admin/structure/views/view/%/edit";s:8:"numParts";i:7;}}}}";}', -1, '1681652768.186', 1, 'routes', '8'),
('route_provider.route_load:347acad42dddd23413926f1f35ef7ce963bfa94ef20f4e24f15b8c154ce9ebb5ee2844acad682d73bb230c232521fdc1f1a20ccfa88a4b1f00db0508b0d8ca4d', 'a:1:{s:30:"entity.filter_format.edit_form";s:1454:"C:31:"Symfony\\Component\\Routing\\Route":1408:{a:9:{s:4:"path";s:52:"/admin/config/content/formats/manage/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:18:"filter_format.edit";s:15:"_title_callback";s:52:"\\Drupal\\filter\\Controller\\FilterController::getLabel";}s:12:"requirements";a:1:{s:14:"_entity_access";s:20:"filter_format.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":575:{a:11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/content/formats/manage";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:38:"/admin/config/content/formats/manage/%";s:8:"numParts";i:6;}}}}";}', -1, '1681653298.618', 1, 'routes', '8'),
('route_provider.route_load:34a859e3b870b48fd36bfe4966f4638e00c1dd37fdb4b08ad487e9a7ae45cd6dd1c0f09f735e1bb1fa16c5aa76f98008f6e69332aa3182ff963b9575407a4d6e', 'a:1:{s:34:"entity.shortcut_set.customize_form";s:1509:"C:31:"Symfony\\Component\\Routing\\Route":1463:{a:9:{s:4:"path";s:69:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:22:"shortcut_set.customize";s:6:"_title";s:10:"List links";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"shortcut_set.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"shortcut_set";a:2:{s:4:"type";s:19:"entity:shortcut_set";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":664:{a:11:{s:4:"vars";a:1:{i:0;s:12:"shortcut_set";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:87:"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/customize$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/customize";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"shortcut_set";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/user-interface/shortcut/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"shortcut_set";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:56:"/admin/config/user-interface/shortcut/manage/%/customize";s:8:"numParts";i:7;}}}}";}', -1, '1681652753.202', 1, 'routes', '8'),
('route_provider.route_load:35c683b339e4320321e5d69dc706cc978ab94786bcb590a3bdc4518961cbba02185534f78f3df77e9cd70686d8ad0997dde1341e8a53bee146ae6de6978065e8', 'a:1:{s:21:"entity.view.edit_form";s:1301:"C:31:"Symfony\\Component\\Routing\\Route":1255:{a:9:{s:4:"path";s:34:"/admin/structure/views/view/{view}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit";}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"view.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":509:{a:11:{s:4:"vars";a:1:{i:0;s:4:"view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/admin/structure/views/view/(?P<view>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:1:{i:0;s:4:"view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:29:"/admin/structure/views/view/%";s:8:"numParts";i:5;}}}}";}', -1, '1681652768.182', 1, 'routes', '8'),
('route_provider.route_load:36486b8553b76d11469794c34c11a914a9e7dfacd9cb54b4b8a8bd3b4e2e5ecfd227650eb24edd6357cbbfb8734a2d3733077a1aa7bbe00a13f108a55310d8ac', 'a:1:{s:19:"block.admin_display";s:1016:"C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:22:"/admin/structure/block";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/block$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/block";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/block";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.638', 1, 'routes', '8'),
('route_provider.route_load:37365ae2cf04a26cba48f99c8230864d4030bb46f67226f7a0947a3abacee5122a9f602d27ecab1b1e6c30fc3e26b84fb0730a9cb721ba88207080b9efc1142d', 'a:1:{s:13:"comment.admin";s:1390:"C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.649', 1, 'routes', '8'),
('route_provider.route_load:3ba50f34ff7727371ffc329d2e5eeda55a3238a72f2707dd66345f544d58a100e6cdbd6ee96d1dc56029f87292a18fd443c797282dcc4dead131bb78d2f3d34c', 'a:1:{s:20:"entity.block.disable";s:1465:"C:31:"Symfony\\Component\\Routing\\Route":1419:{a:9:{s:4:"path";s:45:"/admin/structure/block/manage/{block}/disable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\block\\Controller\\BlockController::performOperation";s:2:"op";s:7:"disable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:13:"block.disable";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":579:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:62:"#^/admin/structure/block/manage/(?P<block>[^/]++)/disable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/disable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:39:"/admin/structure/block/manage/%/disable";s:8:"numParts";i:6;}}}}";}', -1, '1681652748.074', 1, 'routes', '7'),
('route_provider.route_load:3d1947b95a6b42ffecd9f2959868b44887f2ef5623b6d597bdf779feaba6b909e170d7106fffe7a3d9b132021f278b3c70674d478acc6c15cedd192c57edc570', 'a:1:{s:24:"entity.block.delete_form";s:1372:"C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:44:"/admin/structure/block/manage/{block}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"block.delete";s:6:"_title";s:12:"Remove block";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":576:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:61:"#^/admin/structure/block/manage/(?P<block>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:38:"/admin/structure/block/manage/%/delete";s:8:"numParts";i:6;}}}}";}', -1, '1681652757.869', 1, 'routes', '8'),
('route_provider.route_load:45d47c41f7088814a02b6addbaec5375358ca489e09d0d3ce7bb1804791550865f04c47633cf8b65f424708d4c7ed6544173947043a3bfaebc47a3ff2c703a92', 'a:1:{s:14:"juicerio.admin";s:997:"C:31:"Symfony\\Component\\Routing\\Route":952:{a:9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.708', 1, 'routes', '8'),
('route_provider.route_load:4fe9bee1c230c0bb6c56f8a68ef41dd76e2042a52b45feb2266366d30d5ea943858c3bd974c9ab5464a0550252b1d201c3608283679533ae004ba8d5e5718691', 'a:2:{s:21:"filter.admin_overview";s:1019:"C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}}}";s:19:"paragraphs.settings";s:1064:"C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":394:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.880', 1, 'routes', '8'),
('route_provider.route_load:5451181330032411a0e373d08e30341d9a9a7a654e68d504ccfe63ea5b4732de087afa0fd733b33fd105bb7e7edaa85e296b7e62811ea90fca580b814f286d3e', 'a:1:{s:30:"node.configure_rebuild_confirm";s:1002:"C:31:"Symfony\\Component\\Routing\\Route":957:{a:9:{s:4:"path";s:29:"/admin/reports/status/rebuild";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\RebuildPermissionsForm";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/status/rebuild$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/status/rebuild";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/reports/status/rebuild";s:8:"numParts";i:4;}}}}";}', -1, '1681652774.819', 1, 'routes', '8'),
('route_provider.route_load:584a0a1b577a4bc9186ed9f8803085cfbd1a79514247bbc9a71753ad7f5b5701aa10a73a9d2e4b5f13eabd61522fcd55b844c9c62b5617d8def08b3c97a43b91', 'a:1:{s:22:"entity.menu.collection";s:953:"C:31:"Symfony\\Component\\Routing\\Route":908:{a:9:{s:4:"path";s:21:"/admin/structure/menu";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"menu";s:6:"_title";s:5:"Menus";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/structure/menu$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/structure/menu";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/structure/menu";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.714', 1, 'routes', '8'),
('route_provider.route_load:5a4d263815e4c480cea60c9419d54523dac1529399a68ac36b3a05f1f1eda9d36c97d5989ee306662da02cfa52bf8a096e1f207469b4a6877aaa6d5de69f0823', 'a:1:{s:18:"system.themes_page";s:995:"C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:17:"/admin/appearance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:10:"Appearance";s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemController::themesPage";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/admin/appearance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/admin/appearance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/admin/appearance";s:8:"numParts";i:2;}}}}";}', -1, '1681652748.149', 1, 'routes', '7'),
('route_provider.route_load:5ba1eafa1ff148869e41994054331b39acf4485798ea0dab24363451ad6337566a62e909be107e302d7546d81fe7aefc8800fad04d5392f2bebbb857d46c63a9', 'a:1:{s:24:"update.confirmation_page";s:1059:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/admin/update/ready";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\update\\Form\\UpdateReady";s:6:"_title";s:15:"Ready to update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/update/ready$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/update/ready";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/update/ready";s:8:"numParts";i:3;}}";}', -1, '1681652108.944', 1, 'routes', '5'),
('route_provider.route_load:5d10cf842e1578a3da654627bf3f22c678416f1762d86022a69f6dc53d824a7df340ecb1da5053e04eb457d951e05b52f4c0990d05f544cfb8eedbb4eb1b845f', 'a:1:{s:23:"webform.config.elements";s:1114:"C:31:"Symfony\\Component\\Routing\\Route":1068:{a:9:{s:4:"path";s:40:"/admin/structure/webform/config/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:63:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigElementsForm";s:6:"_title";s:32:"Webforms: Elements configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":418:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/webform/config/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/structure/webform/config/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:40:"/admin/structure/webform/config/elements";s:8:"numParts";i:5;}}}}";}', -1, '1681652775.854', 1, 'routes', '8'),
('route_provider.route_load:5ee56ee861313e80d99c16f913869a8d4b77d6162b2ad11ffa4c1e2e518d1cc0a73cbd22df9910707b70332564daa7334b053999d4868c79e3bfc1471caf3c43', 'a:1:{s:29:"entity.search_page.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.737', 1, 'routes', '8'),
('route_provider.route_load:61d3f1526762a7ca8ed3aa9d059d2b475e3fb6a5c3f584efd6daaf7d5b942ab3268da173e50ca03f4166dbbb9e821bebb435727ee84eec58c3d67dc1811b5a39', 'a:1:{s:7:"<front>";s:777:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:6:"_title";s:4:"Home";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}";}', -1, '1681652115.224', 1, 'routes', '5'),
('route_provider.route_load:626b7346ed24beca7f3a22df1dd40e632e76ddedf1eb6d087137477b9fc69920b73b23ad014877eb093d64fb1abcd741d7dfc903d72ff37a6f5557d800874cdc', 'a:12:{s:25:"mt_cookieconsent.settings";s:1080:"C:31:"Symfony\\Component\\Routing\\Route":1034:{a:9:{s:4:"path";s:30:"/admin/config/mt_cookieconsent";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:57:"\\Drupal\\mt_cookieconsent\\Form\\MTCookieConsentSettingsForm";s:6:"_title";s:34:"MtT Cookie Consent Module Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":387:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/config/mt_cookieconsent$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/mt_cookieconsent";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/config/mt_cookieconsent";s:8:"numParts";i:3;}}}}";s:24:"mt_countdown.admin_index";s:1048:"C:31:"Symfony\\Component\\Routing\\Route":1002:{a:9:{s:4:"path";s:24:"/admin/config/count_down";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:10:"Count Down";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/config/count_down$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/config/count_down";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/config/count_down";s:8:"numParts";i:3;}}}}";s:27:"system.admin_config_content";s:1042:"C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:21:"/admin/config/content";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:17:"Content authoring";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/config/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/config/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/config/content";s:8:"numParts";i:3;}}}}";s:31:"system.admin_config_development";s:1053:"C:31:"Symfony\\Component\\Routing\\Route":1007:{a:9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}}}";s:25:"system.admin_config_media";s:1021:"C:31:"Symfony\\Component\\Routing\\Route":976:{a:9:{s:4:"path";s:19:"/admin/config/media";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:5:"Media";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/config/media$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/config/media";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/config/media";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_regional";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:22:"/admin/config/regional";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:21:"Regional and language";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/regional$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/regional";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/regional";s:8:"numParts";i:3;}}}}";s:26:"system.admin_config_search";s:1040:"C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:20:"/admin/config/search";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:19:"Search and metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/search";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_services";s:1041:"C:31:"Symfony\\Component\\Routing\\Route":996:{a:9:{s:4:"path";s:22:"/admin/config/services";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:12:"Web services";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/services$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/services";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/services";s:8:"numParts";i:3;}}}}";s:26:"system.admin_config_system";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}}}";s:22:"system.admin_config_ui";s:1069:"C:31:"Symfony\\Component\\Routing\\Route":1023:{a:9:{s:4:"path";s:28:"/admin/config/user-interface";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"User interface";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/user\\-interface$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/config/user-interface";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/config/user-interface";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_workflow";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/config/workflow";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:8:"Workflow";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/workflow$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/workflow";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/workflow";s:8:"numParts";i:3;}}}}";s:16:"user.admin_index";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}}}";}', -1, '1681652775.872', 1, 'routes', '8'),
('route_provider.route_load:6824ac1776da7ac718d4f7c9a9f37201229900b4e14e5161695e42ed3492dc73e2bd26aabe326ba1e0b890ccfa68e99fabc3897dafddccdef05d5f4f8149d63e', 'a:1:{s:20:"system.admin_reports";s:995:"C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}}}";}', -1, '1681652781.725', 1, 'routes', '8'),
('route_provider.route_load:68cb537e3aafad100642b60551c50e6e87ce9d377e517a4efa5e4fb4674a4000fae5ac306a0353f95962fc0610808758a4284cd9bc9bb798748246e306cef911', 'a:1:{s:16:"user.admin_index";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.768', 1, 'routes', '8');
INSERT INTO `cache_data` VALUES
('route_provider.route_load:6eeee6046ee6ea04b2cabe1944607cea55c952bcafa06ea4c7663c9eef7af6a179507214806082bf99ab6c2d2cc0bf5d240e12ff93e8ee19e92334477b4d7989', 'a:1:{s:26:"system.admin_config_system";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.749', 1, 'routes', '8'),
('route_provider.route_load:7087926322f39c87e7b57a94387881d831843b2dc3785e5a2932939b3650d2e4de1912a02810fd029a24f1a910a2293d4129198a5dd8d933995f51d54d95aec4', 'a:1:{s:20:"update.theme_install";s:1087:"C:31:"Symfony\\Component\\Routing\\Route":1041:{a:9:{s:4:"path";s:20:"/admin/theme/install";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\update\\Form\\UpdateManagerInstall";s:6:"_title";s:13:"Add new theme";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/theme/install$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/theme/install";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/theme/install";s:8:"numParts";i:3;}}}}";}', -1, '1681652749.544', 1, 'routes', '7'),
('route_provider.route_load:71f9819f1f0b60a85de4104b2ebeab98b14bff64592e2fe759bece23410b89e858a63f3381738351e2e4d42b1f996422e0526e3af81fe84bb5412abf02057516', 'a:1:{s:22:"system.theme_uninstall";s:1062:"C:31:"Symfony\\Component\\Routing\\Route":1016:{a:9:{s:4:"path";s:27:"/admin/appearance/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\ThemeController::uninstall";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":378:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/admin/appearance/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/appearance/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:27:"/admin/appearance/uninstall";s:8:"numParts";i:3;}}}}";}', -1, '1681652749.170', 1, 'routes', '7'),
('route_provider.route_load:750ae51ac5a3352e311c207d3403fd6ac8ea142550bc418a03c9e26e3671d78e060c377b491d35d2b63cb9cbda95ffdc93eae65bb69787419618f94f7fe3e5ab', 'a:67:{s:19:"block.admin_display";s:1000:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/block";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/block$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/block";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/block";s:8:"numParts";i:3;}}";s:13:"comment.admin";s:1373:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}";s:11:"config.sync";s:1046:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}";s:19:"dblog.access_denied";s:1076:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/reports/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:26:"Top ''access denied'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:13:"access denied";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/access\\-denied$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/access-denied";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/access-denied";s:8:"numParts";i:3;}}";s:14:"dblog.overview";s:1355:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/reports/dblog";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:8:"watchdog";s:10:"display_id";s:4:"page";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"access site reports";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/reports/dblog$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/reports/dblog";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/reports/dblog";s:8:"numParts";i:3;}}";s:20:"dblog.page_not_found";s:1083:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/reports/page-not-found";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:27:"Top ''page not found'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:14:"page not found";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/page\\-not\\-found$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/page-not-found";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:29:"/admin/reports/page-not-found";s:8:"numParts";i:3;}}";s:12:"dblog.search";s:1072:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:6:"_title";s:18:"Top search phrases";s:4:"type";s:6:"search";}s:12:"requirements";a:2:{s:20:"_module_dependencies";s:6:"search";s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/search";s:8:"numParts";i:3;}}";s:30:"entity.comment_type.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/comment";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"comment_type";s:6:"_title";s:13:"Comment types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer comment types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/comment";s:8:"numParts";i:3;}}";s:30:"entity.contact_form.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"contact_form";s:6:"_title";s:13:"Contact forms";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/contact";s:8:"numParts";i:3;}}";s:29:"entity.date_format.collection";s:1022:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/regional/date-time";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"date_format";s:6:"_title";s:21:"Date and time formats";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/regional/date\\-time$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/regional/date-time";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/regional/date-time";s:8:"numParts";i:4;}}";s:34:"entity.entity_form_mode.collection";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/structure/display-modes/form";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_form_mode";s:6:"_title";s:10:"Form modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/form$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/form";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/form";s:8:"numParts";i:4;}}";s:34:"entity.entity_view_mode.collection";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/structure/display-modes/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_view_mode";s:6:"_title";s:10:"View modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/view$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/view";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/view";s:8:"numParts";i:4;}}";s:38:"entity.field_storage_config.collection";s:969:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/fields";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:20:"field_storage_config";s:6:"_title";s:10:"Field list";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/fields";s:8:"numParts";i:3;}}";s:22:"entity.font.collection";s:1388:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}";s:30:"entity.font_display.collection";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/appearance/font/font_display";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"font_display";s:6:"_title";s:12:"Font display";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:42:"#^/admin/appearance/font/font_display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/appearance/font/font_display";s:8:"numParts";i:4;}}";s:29:"entity.image_style.collection";s:1007:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}";s:22:"entity.menu.collection";s:937:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/structure/menu";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"menu";s:6:"_title";s:5:"Menus";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/structure/menu$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/structure/menu";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/structure/menu";s:8:"numParts";i:3;}}";s:27:"entity.node_type.collection";s:964:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/types";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"node_type";s:6:"_title";s:13:"Content types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/types";s:8:"numParts";i:3;}}";s:33:"entity.paragraphs_type.collection";s:1017:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/structure/paragraphs_type";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"paragraphs_type";s:6:"_title";s:16:"Paragraphs types";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/structure/paragraphs_type$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:32:"/admin/structure/paragraphs_type";s:8:"numParts";i:3;}}";s:28:"entity.path_alias.collection";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}";s:29:"entity.search_page.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}";s:30:"entity.shortcut_set.collection";s:1021:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/user-interface/shortcut";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"shortcut_set";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"administer shortcuts";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/user\\-interface/shortcut$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/user-interface/shortcut";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/user-interface/shortcut";s:8:"numParts";i:4;}}";s:37:"entity.taxonomy_vocabulary.collection";s:1060:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/structure/taxonomy";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:19:"taxonomy_vocabulary";s:6:"_title";s:8:"Taxonomy";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:44:"access taxonomy overview+administer taxonomy";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/taxonomy$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/taxonomy";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/structure/taxonomy";s:8:"numParts";i:3;}}";s:22:"entity.user.admin_form";s:1015:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/config/people/accounts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\user\\AccountSettingsForm";s:6:"_title";s:16:"Account settings";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer account settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/people/accounts$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/people/accounts";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/people/accounts";s:8:"numParts";i:4;}}";s:22:"entity.user.collection";s:1336:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/admin/people";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"user_admin_people";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:16:"administer users";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/people";s:8:"numParts";i:2;}}";s:22:"entity.view.collection";s:942:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/views";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"view";s:6:"_title";s:5:"Views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/views$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/views";s:8:"numParts";i:3;}}";s:25:"entity.webform.collection";s:1003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/webform";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:7:"webform";s:6:"_title";s:8:"Webforms";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/webform$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/webform";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/webform";s:8:"numParts";i:3;}}";s:41:"entity_reference_revisions.delete_orphans";s:1096:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/config/system/delete-orphans";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:74:"Drupal\\entity_reference_revisions\\Form\\OrphanedCompositeEntitiesDeleteForm";s:6:"_title";s:34:"Delete orphaned composite entities";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"delete orphan revisions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/system/delete\\-orphans$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/config/system/delete-orphans";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/config/system/delete-orphans";s:8:"numParts";i:4;}}";s:21:"field_ui.display_mode";s:1056:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:30:"/admin/structure/display-modes";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:13:"Display modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/display\\-modes$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/structure/display-modes";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/structure/display-modes";s:8:"numParts";i:3;}}";s:21:"filter.admin_overview";s:1003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}";s:13:"font.settings";s:1027:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/appearance/font/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\fontyourface\\Form\\FontSettingsForm";s:6:"_title";s:13:"Font settings";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/appearance/font/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/appearance/font/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/appearance/font/settings";s:8:"numParts";i:4;}}";s:26:"fontawesome.admin_settings";s:1043:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}";s:9:"help.main";s:952:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/admin/help";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpMain";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/admin/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/admin/help";s:8:"numParts";i:2;}}";s:14:"juicerio.admin";s:981:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}";s:25:"mt_cookieconsent.settings";s:1063:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:30:"/admin/config/mt_cookieconsent";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:57:"\\Drupal\\mt_cookieconsent\\Form\\MTCookieConsentSettingsForm";s:6:"_title";s:34:"MtT Cookie Consent Module Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/config/mt_cookieconsent$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/mt_cookieconsent";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/config/mt_cookieconsent";s:8:"numParts";i:3;}}";s:24:"mt_countdown.admin_index";s:1031:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/config/count_down";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:10:"Count Down";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/config/count_down$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/config/count_down";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/config/count_down";s:8:"numParts";i:3;}}";s:21:"mt_countdown.settings";s:1024:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/admin/config/mt_countdown";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\mt_countdown\\Form\\MTCountDownSettingsForm";s:6:"_title";s:19:"Count Down Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/mt_countdown$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/mt_countdown";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/config/mt_countdown";s:8:"numParts";i:3;}}";s:19:"paragraphs.settings";s:1047:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}";s:19:"statistics.settings";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}";s:19:"system.admin_config";s:1015:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}";s:27:"system.admin_config_content";s:1026:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/config/content";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:17:"Content authoring";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/config/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/config/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/config/content";s:8:"numParts";i:3;}}";s:31:"system.admin_config_development";s:1036:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}";s:25:"system.admin_config_media";s:1005:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/admin/config/media";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:5:"Media";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/config/media$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/config/media";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/config/media";s:8:"numParts";i:3;}}";s:28:"system.admin_config_regional";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/regional";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:21:"Regional and language";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/regional$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/regional";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/regional";s:8:"numParts";i:3;}}";s:26:"system.admin_config_search";s:1024:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/search";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:19:"Search and metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/search";s:8:"numParts";i:3;}}";s:28:"system.admin_config_services";s:1025:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/services";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:12:"Web services";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/services$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/services";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/services";s:8:"numParts";i:3;}}";s:26:"system.admin_config_system";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}";s:22:"system.admin_config_ui";s:1052:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/config/user-interface";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"User interface";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/user\\-interface$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/config/user-interface";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/config/user-interface";s:8:"numParts";i:3;}}";s:28:"system.admin_config_workflow";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/workflow";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:8:"Workflow";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/workflow$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/workflow";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/workflow";s:8:"numParts";i:3;}}";s:20:"system.admin_content";s:1336:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}";s:20:"system.admin_reports";s:979:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}";s:22:"system.admin_structure";s:997:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:16:"/admin/structure";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:9:"Structure";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/admin/structure$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/admin/structure";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/admin/structure";s:8:"numParts";i:2;}}";s:20:"system.cron_settings";s:984:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}";s:27:"system.file_system_settings";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/media/file-system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\system\\Form\\FileSystemForm";s:6:"_title";s:11:"File system";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/media/file\\-system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/media/file-system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/media/file-system";s:8:"numParts";i:4;}}";s:29:"system.image_toolkit_settings";s:1035:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/media/image-toolkit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\system\\Form\\ImageToolkitForm";s:6:"_title";s:13:"Image toolkit";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/media/image\\-toolkit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/media/image-toolkit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/media/image-toolkit";s:8:"numParts";i:4;}}";s:23:"system.logging_settings";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}";s:19:"system.modules_list";s:982:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}";s:27:"system.performance_settings";s:1047:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}";s:24:"system.regional_settings";s:1026:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/regional/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RegionalForm";s:6:"_title";s:17:"Regional settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/regional/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/regional/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/regional/settings";s:8:"numParts";i:4;}}";s:25:"system.rss_feeds_settings";s:1048:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/services/rss-publishing";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RssFeedsForm";s:6:"_title";s:14:"RSS publishing";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/services/rss\\-publishing$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/services/rss-publishing";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/services/rss-publishing";s:8:"numParts";i:4;}}";s:32:"system.site_information_settings";s:1060:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/system/site-information";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\system\\Form\\SiteInformationForm";s:6:"_title";s:19:"Basic site settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/system/site\\-information$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/system/site-information";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/system/site-information";s:8:"numParts";i:4;}}";s:13:"system.status";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}";s:18:"system.themes_page";s:979:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/admin/appearance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:10:"Appearance";s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemController::themesPage";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/admin/appearance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/admin/appearance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/admin/appearance";s:8:"numParts";i:2;}}";s:13:"update.status";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}";s:16:"user.admin_index";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}";s:24:"views_ui.reports_plugins";s:1032:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/reports/views-plugins";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins";s:6:"_title";s:13:"Views plugins";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/views\\-plugins$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/views-plugins";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/views-plugins";s:8:"numParts";i:3;}}";s:32:"webform.reports_plugins.elements";s:1095:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:39:"/admin/reports/webform-plugins/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginElementController::index";s:6:"_title";s:25:"Webform plugins: Elements";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/elements";s:8:"numParts";i:4;}}";}', -1, '1681652203.001', 1, 'routes', '5');
INSERT INTO `cache_data` VALUES
('route_provider.route_load:778b3bce46197c6ce68e7a5c8972835202b3b650d43853aada440bfe0209f166c5f296bbcb7e7b0b2594c0966b10537724ec54237f2e6ab7b017163d900c1bde', 'a:1:{s:29:"entity.image_style.collection";s:1023:"C:31:"Symfony\\Component\\Routing\\Route":978:{a:9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.700', 1, 'routes', '8'),
('route_provider.route_load:7983c2cbd48035b7e57a8c0e0c7c98695e81387092b53a75bdd9870fa3f717d79f10bb92b66d75f05a30e7ac17a0c9665688bb0f4521a301270be668ddd19e5d', 'a:1:{s:22:"entity.view.collection";s:958:"C:31:"Symfony\\Component\\Routing\\Route":913:{a:9:{s:4:"path";s:22:"/admin/structure/views";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"view";s:6:"_title";s:5:"Views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/views$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/views";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.777', 1, 'routes', '8'),
('route_provider.route_load:7e147ea0cc2afd846c125d0d356bb8d5200a485d031e45e08094e3b0e8ac22f767857ea185a104e5d2324b5956b2fd597ece0672642b941025779186d16e8088', 'a:1:{s:23:"webform.config.advanced";s:1114:"C:31:"Symfony\\Component\\Routing\\Route":1068:{a:9:{s:4:"path";s:40:"/admin/structure/webform/config/advanced";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:63:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigAdvancedForm";s:6:"_title";s:32:"Webforms: Advanced configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":418:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/webform/config/advanced$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/structure/webform/config/advanced";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:40:"/admin/structure/webform/config/advanced";s:8:"numParts";i:5;}}}}";}', -1, '1681652775.857', 1, 'routes', '8'),
('route_provider.route_load:815c1d0a9a394c14e6edd39d2dd86c5ec780dffdd73b1daba0c49ac939eb629ed985fd777b0d627051bef42a84cd8c95f1750c83357ad49c15d6daba4ad8f002', 'a:4:{s:41:"entity_reference_revisions.delete_orphans";s:1113:"C:31:"Symfony\\Component\\Routing\\Route":1067:{a:9:{s:4:"path";s:35:"/admin/config/system/delete-orphans";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:74:"Drupal\\entity_reference_revisions\\Form\\OrphanedCompositeEntitiesDeleteForm";s:6:"_title";s:34:"Delete orphaned composite entities";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"delete orphan revisions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/system/delete\\-orphans$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/config/system/delete-orphans";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/config/system/delete-orphans";s:8:"numParts";i:4;}}}}";s:19:"statistics.settings";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}}}";s:20:"system.cron_settings";s:1000:"C:31:"Symfony\\Component\\Routing\\Route":955:{a:9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}}}";s:32:"system.site_information_settings";s:1077:"C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:37:"/admin/config/system/site-information";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\system\\Form\\SiteInformationForm";s:6:"_title";s:19:"Basic site settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/system/site\\-information$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/system/site-information";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/system/site-information";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.877', 1, 'routes', '8'),
('route_provider.route_load:838fe7d0e37dded9e55ea517d6b9847e8189e33078eefa37535bfa129ef6d4325be7c2975074b82301cd24f4e85e13880a5ee7d05e3e9c2fd8ab5e7f116dbab6', 'a:2:{s:15:"update.settings";s:1033:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/reports/updates/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:33:"\\Drupal\\update\\UpdateSettingsForm";s:6:"_title";s:23:"Update Manager settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/updates/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/reports/updates/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/reports/updates/settings";s:8:"numParts";i:4;}}";s:13:"update.status";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}";}', -1, '1681652068.085', 1, 'routes', '5'),
('route_provider.route_load:855410909f151a88e00ca212284861a5ad46809e6c04a40eadca316a681b4b85ca6c4a568752566378dac048dc19f34746d874fff1acb65dd049dca37d6c6d03', 'a:1:{s:26:"fontawesome.admin_settings";s:1060:"C:31:"Symfony\\Component\\Routing\\Route":1014:{a:9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}}}";}', -1, '1681652774.804', 1, 'routes', '8'),
('route_provider.route_load:874e700a0dd986b40a25922f2a1b89c7ddbeeb75f9ffe55861ce40ea3a605ff8af97bffc4e7a58bd0632a5456c6d91af08a7f38534913d81984ad1f5e4ed8b38', 'a:1:{s:21:"filter.admin_overview";s:1019:"C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.687', 1, 'routes', '8'),
('route_provider.route_load:8848cdec7e4e6aaf9a1e7e6d7a6a37610273e4a0fb7ddf885ffb8415df8e46a122376dd0f6efeb029bb45d3301bc75125a4799f3b3c0e921aa7504b0c7411579', 'a:1:{s:19:"entity.block.enable";s:1459:"C:31:"Symfony\\Component\\Routing\\Route":1413:{a:9:{s:4:"path";s:44:"/admin/structure/block/manage/{block}/enable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\block\\Controller\\BlockController::performOperation";s:2:"op";s:6:"enable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:12:"block.enable";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":576:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:61:"#^/admin/structure/block/manage/(?P<block>[^/]++)/enable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/enable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:38:"/admin/structure/block/manage/%/enable";s:8:"numParts";i:6;}}}}";}', -1, '1681652748.073', 1, 'routes', '7'),
('route_provider.route_load:8965e6d407cdac9ee4314ab289444958cf5400842a7993aab90b3e2cc04c8da7bc288e2771edb4291eaddbef92de32d9d561fc2372da35cd0067ae82fe8f7545', 'a:1:{s:21:"entity.menu.edit_form";s:1336:"C:31:"Symfony\\Component\\Routing\\Route":1290:{a:9:{s:4:"path";s:35:"/admin/structure/menu/manage/{menu}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:9:"menu.edit";s:15:"_title_callback";s:52:"\\Drupal\\menu_ui\\Controller\\MenuController::menuTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"menu.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"menu";a:2:{s:4:"type";s:11:"entity:menu";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":512:{a:11:{s:4:"vars";a:1:{i:0;s:4:"menu";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:52:"#^/admin/structure/menu/manage/(?P<menu>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"menu";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/structure/menu/manage";}}s:9:"path_vars";a:1:{i:0;s:4:"menu";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:30:"/admin/structure/menu/manage/%";s:8:"numParts";i:5;}}}}";}', -1, '1681652757.950', 1, 'routes', '8'),
('route_provider.route_load:8d864ede97139ae8661122133f970c5421a9b1d5ff6a2a1c99df6501d635bf5abafd8776b0be67418cc6fb8949b8a6b1eb947caa5d7330ebae00b5f7bf03ecea', 'a:1:{s:28:"system.site_maintenance_mode";s:1105:"C:31:"Symfony\\Component\\Routing\\Route":1059:{a:9:{s:4:"path";s:37:"/admin/config/development/maintenance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\system\\Form\\SiteMaintenanceModeForm";s:6:"_title";s:16:"Maintenance mode";}s:12:"requirements";a:1:{s:11:"_permission";s:57:"administer site configuration+administer software updates";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/maintenance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/maintenance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/maintenance";s:8:"numParts";i:4;}}}}";}', -1, '1681652752.543', 1, 'routes', '8'),
('route_provider.route_load:8dafc320b7bf5bd8d5911b942b8ab642dc8a16e5b42d7d718504f486c318022acda9aa583c7a8d7fb59df4f9f02789a6ce247aa20c3c1e3618b2b240634dbe92', 'a:1:{s:15:"update.settings";s:1050:"C:31:"Symfony\\Component\\Routing\\Route":1004:{a:9:{s:4:"path";s:31:"/admin/reports/updates/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:33:"\\Drupal\\update\\UpdateSettingsForm";s:6:"_title";s:23:"Update Manager settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/updates/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/reports/updates/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/reports/updates/settings";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.765', 1, 'routes', '8'),
('route_provider.route_load:90e78adf35a4811e7812b340233bcfa2528951385a69eb9e1335fd1abd9120b62b44a919d114d8f7e5ae92494b9e5fdf1bc6490e7515e4194cd32c21e29acab3', 'a:1:{s:14:"webform.addons";s:1064:"C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:31:"/admin/structure/webform/addons";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:57:"\\Drupal\\webform\\Controller\\WebformAddonsController::index";s:6:"_title";s:17:"Webforms: Add-ons";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/webform/addons$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/addons";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/structure/webform/addons";s:8:"numParts";i:4;}}}}";}', -1, '1681653299.087', 1, 'routes', '8'),
('route_provider.route_load:9370b78c0797fd05f6eab6b8bb701668c0cff6ca3455e33100faa2672c78be762eda48adc5801859c4851374c12b1333a7ac19e8be95893c540bbf2eec5f9f82', 'a:1:{s:11:"config.sync";s:1063:"C:31:"Symfony\\Component\\Routing\\Route":1017:{a:9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.652', 1, 'routes', '8'),
('route_provider.route_load:9570ed25795120e9d6500a579ce516b74a1483cbf277be0558b6dcf122ee71d1409b55c1e8d9eb62eeea16bdfa9142debacd5e4b7a830eba61feeb2b130240b0', 'a:1:{s:22:"user.admin_permissions";s:1009:"C:31:"Symfony\\Component\\Routing\\Route":964:{a:9:{s:4:"path";s:25:"/admin/people/permissions";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\user\\Form\\UserPermissionsForm";s:6:"_title";s:11:"Permissions";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer permissions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/people/permissions$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/people/permissions";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/people/permissions";s:8:"numParts";i:3;}}}}";}', -1, '1681652749.079', 1, 'routes', '7'),
('route_provider.route_load:9922b7392e111cace449d04509bb18ebf03ffedf48a3b4c32501dd688e18da432dedc4e9c0bf722ef148d76d4bcea1c8072bc34de3e44a1858e6f74a71f8e3b7', 'a:68:{s:19:"block.admin_display";s:1016:"C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:22:"/admin/structure/block";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/block$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/block";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/block";s:8:"numParts";i:3;}}}}";s:13:"comment.admin";s:1390:"C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}}}";s:11:"config.sync";s:1063:"C:31:"Symfony\\Component\\Routing\\Route":1017:{a:9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}}}";s:19:"dblog.access_denied";s:1093:"C:31:"Symfony\\Component\\Routing\\Route":1047:{a:9:{s:4:"path";s:28:"/admin/reports/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:26:"Top ''access denied'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:13:"access denied";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/access\\-denied$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/access-denied";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/access-denied";s:8:"numParts";i:3;}}}}";s:14:"dblog.overview";s:1372:"C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:20:"/admin/reports/dblog";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:8:"watchdog";s:10:"display_id";s:4:"page";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"access site reports";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/reports/dblog$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/reports/dblog";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/reports/dblog";s:8:"numParts";i:3;}}}}";s:20:"dblog.page_not_found";s:1100:"C:31:"Symfony\\Component\\Routing\\Route":1054:{a:9:{s:4:"path";s:29:"/admin/reports/page-not-found";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:27:"Top ''page not found'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:14:"page not found";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":386:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/page\\-not\\-found$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/page-not-found";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:29:"/admin/reports/page-not-found";s:8:"numParts";i:3;}}}}";s:12:"dblog.search";s:1089:"C:31:"Symfony\\Component\\Routing\\Route":1043:{a:9:{s:4:"path";s:21:"/admin/reports/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:6:"_title";s:18:"Top search phrases";s:4:"type";s:6:"search";}s:12:"requirements";a:2:{s:20:"_module_dependencies";s:6:"search";s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/search";s:8:"numParts";i:3;}}}}";s:30:"entity.comment_type.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:24:"/admin/structure/comment";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"comment_type";s:6:"_title";s:13:"Comment types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer comment types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/comment";s:8:"numParts";i:3;}}}}";s:30:"entity.contact_form.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:24:"/admin/structure/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"contact_form";s:6:"_title";s:13:"Contact forms";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/contact";s:8:"numParts";i:3;}}}}";s:29:"entity.date_format.collection";s:1038:"C:31:"Symfony\\Component\\Routing\\Route":993:{a:9:{s:4:"path";s:32:"/admin/config/regional/date-time";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"date_format";s:6:"_title";s:21:"Date and time formats";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/regional/date\\-time$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/regional/date-time";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/regional/date-time";s:8:"numParts";i:4;}}}}";s:34:"entity.entity_form_mode.collection";s:1039:"C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:35:"/admin/structure/display-modes/form";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_form_mode";s:6:"_title";s:10:"Form modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/form$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/form";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/form";s:8:"numParts";i:4;}}}}";s:34:"entity.entity_view_mode.collection";s:1039:"C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:35:"/admin/structure/display-modes/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_view_mode";s:6:"_title";s:10:"View modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/view$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/view";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/view";s:8:"numParts";i:4;}}}}";s:38:"entity.field_storage_config.collection";s:985:"C:31:"Symfony\\Component\\Routing\\Route":940:{a:9:{s:4:"path";s:21:"/admin/reports/fields";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:20:"field_storage_config";s:6:"_title";s:10:"Field list";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/fields";s:8:"numParts";i:3;}}}}";s:22:"entity.font.collection";s:1405:"C:31:"Symfony\\Component\\Routing\\Route":1359:{a:9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}}}";s:30:"entity.font_display.collection";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:35:"/admin/appearance/font/font_display";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"font_display";s:6:"_title";s:12:"Font display";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":403:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:42:"#^/admin/appearance/font/font_display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/appearance/font/font_display";s:8:"numParts";i:4;}}}}";s:29:"entity.image_style.collection";s:1023:"C:31:"Symfony\\Component\\Routing\\Route":978:{a:9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}}}";s:22:"entity.menu.collection";s:953:"C:31:"Symfony\\Component\\Routing\\Route":908:{a:9:{s:4:"path";s:21:"/admin/structure/menu";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"menu";s:6:"_title";s:5:"Menus";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/structure/menu$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/structure/menu";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/structure/menu";s:8:"numParts";i:3;}}}}";s:27:"entity.node_type.collection";s:980:"C:31:"Symfony\\Component\\Routing\\Route":935:{a:9:{s:4:"path";s:22:"/admin/structure/types";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"node_type";s:6:"_title";s:13:"Content types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/types";s:8:"numParts";i:3;}}}}";s:33:"entity.paragraphs_type.collection";s:1033:"C:31:"Symfony\\Component\\Routing\\Route":988:{a:9:{s:4:"path";s:32:"/admin/structure/paragraphs_type";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"paragraphs_type";s:6:"_title";s:16:"Paragraphs types";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":393:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/structure/paragraphs_type$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:32:"/admin/structure/paragraphs_type";s:8:"numParts";i:3;}}}}";s:28:"entity.path_alias.collection";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}}}";s:29:"entity.search_page.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}}}";s:30:"entity.shortcut_set.collection";s:1037:"C:31:"Symfony\\Component\\Routing\\Route":992:{a:9:{s:4:"path";s:37:"/admin/config/user-interface/shortcut";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"shortcut_set";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"administer shortcuts";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/user\\-interface/shortcut$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/user-interface/shortcut";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/user-interface/shortcut";s:8:"numParts";i:4;}}}}";s:37:"entity.taxonomy_vocabulary.collection";s:1077:"C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:25:"/admin/structure/taxonomy";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:19:"taxonomy_vocabulary";s:6:"_title";s:8:"Taxonomy";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:44:"access taxonomy overview+administer taxonomy";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/taxonomy$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/taxonomy";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/structure/taxonomy";s:8:"numParts";i:3;}}}}";s:22:"entity.user.admin_form";s:1031:"C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:29:"/admin/config/people/accounts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\user\\AccountSettingsForm";s:6:"_title";s:16:"Account settings";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer account settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/people/accounts$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/people/accounts";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/people/accounts";s:8:"numParts";i:4;}}}}";s:22:"entity.user.collection";s:1353:"C:31:"Symfony\\Component\\Routing\\Route":1307:{a:9:{s:4:"path";s:13:"/admin/people";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"user_admin_people";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:16:"administer users";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/people";s:8:"numParts";i:2;}}}}";s:22:"entity.view.collection";s:958:"C:31:"Symfony\\Component\\Routing\\Route":913:{a:9:{s:4:"path";s:22:"/admin/structure/views";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"view";s:6:"_title";s:5:"Views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/views$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/views";s:8:"numParts";i:3;}}}}";s:25:"entity.webform.collection";s:1019:"C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:24:"/admin/structure/webform";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:7:"webform";s:6:"_title";s:8:"Webforms";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/webform$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/webform";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/webform";s:8:"numParts";i:3;}}}}";s:41:"entity_reference_revisions.delete_orphans";s:1113:"C:31:"Symfony\\Component\\Routing\\Route":1067:{a:9:{s:4:"path";s:35:"/admin/config/system/delete-orphans";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:74:"Drupal\\entity_reference_revisions\\Form\\OrphanedCompositeEntitiesDeleteForm";s:6:"_title";s:34:"Delete orphaned composite entities";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"delete orphan revisions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/system/delete\\-orphans$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/config/system/delete-orphans";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/config/system/delete-orphans";s:8:"numParts";i:4;}}}}";s:21:"field_ui.display_mode";s:1073:"C:31:"Symfony\\Component\\Routing\\Route":1027:{a:9:{s:4:"path";s:30:"/admin/structure/display-modes";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:13:"Display modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":388:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/display\\-modes$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/structure/display-modes";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/structure/display-modes";s:8:"numParts";i:3;}}}}";s:21:"filter.admin_overview";s:1019:"C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}}}";s:13:"font.settings";s:1043:"C:31:"Symfony\\Component\\Routing\\Route":998:{a:9:{s:4:"path";s:31:"/admin/appearance/font/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\fontyourface\\Form\\FontSettingsForm";s:6:"_title";s:13:"Font settings";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/appearance/font/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/appearance/font/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/appearance/font/settings";s:8:"numParts";i:4;}}}}";s:26:"fontawesome.admin_settings";s:1060:"C:31:"Symfony\\Component\\Routing\\Route":1014:{a:9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}}}";s:9:"help.main";s:968:"C:31:"Symfony\\Component\\Routing\\Route":923:{a:9:{s:4:"path";s:11:"/admin/help";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpMain";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/admin/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/admin/help";s:8:"numParts";i:2;}}}}";s:14:"juicerio.admin";s:997:"C:31:"Symfony\\Component\\Routing\\Route":952:{a:9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}}}";s:25:"mt_cookieconsent.settings";s:1080:"C:31:"Symfony\\Component\\Routing\\Route":1034:{a:9:{s:4:"path";s:30:"/admin/config/mt_cookieconsent";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:57:"\\Drupal\\mt_cookieconsent\\Form\\MTCookieConsentSettingsForm";s:6:"_title";s:34:"MtT Cookie Consent Module Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":387:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/config/mt_cookieconsent$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/mt_cookieconsent";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/config/mt_cookieconsent";s:8:"numParts";i:3;}}}}";s:24:"mt_countdown.admin_index";s:1048:"C:31:"Symfony\\Component\\Routing\\Route":1002:{a:9:{s:4:"path";s:24:"/admin/config/count_down";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:10:"Count Down";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/config/count_down$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/config/count_down";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/config/count_down";s:8:"numParts";i:3;}}}}";s:21:"mt_countdown.settings";s:1040:"C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:26:"/admin/config/mt_countdown";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\mt_countdown\\Form\\MTCountDownSettingsForm";s:6:"_title";s:19:"Count Down Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":375:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/mt_countdown$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/mt_countdown";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/config/mt_countdown";s:8:"numParts";i:3;}}}}";s:19:"paragraphs.settings";s:1064:"C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":394:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}}}";s:19:"paragraphs.type_add";s:1058:"C:31:"Symfony\\Component\\Routing\\Route":1012:{a:9:{s:4:"path";s:36:"/admin/structure/paragraphs_type/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"paragraphs_type.add";s:6:"_title";s:19:"Add Paragraphs type";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":406:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/paragraphs_type/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/structure/paragraphs_type/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:36:"/admin/structure/paragraphs_type/add";s:8:"numParts";i:4;}}}}";s:19:"statistics.settings";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}}}";s:19:"system.admin_config";s:1031:"C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}}}";s:27:"system.admin_config_content";s:1042:"C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:21:"/admin/config/content";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:17:"Content authoring";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/config/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/config/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/config/content";s:8:"numParts";i:3;}}}}";s:31:"system.admin_config_development";s:1053:"C:31:"Symfony\\Component\\Routing\\Route":1007:{a:9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}}}";s:25:"system.admin_config_media";s:1021:"C:31:"Symfony\\Component\\Routing\\Route":976:{a:9:{s:4:"path";s:19:"/admin/config/media";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:5:"Media";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/config/media$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/config/media";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/config/media";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_regional";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:22:"/admin/config/regional";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:21:"Regional and language";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/regional$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/regional";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/regional";s:8:"numParts";i:3;}}}}";s:26:"system.admin_config_search";s:1040:"C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:20:"/admin/config/search";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:19:"Search and metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/search";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_services";s:1041:"C:31:"Symfony\\Component\\Routing\\Route":996:{a:9:{s:4:"path";s:22:"/admin/config/services";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:12:"Web services";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/services$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/services";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/services";s:8:"numParts";i:3;}}}}";s:26:"system.admin_config_system";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}}}";s:22:"system.admin_config_ui";s:1069:"C:31:"Symfony\\Component\\Routing\\Route":1023:{a:9:{s:4:"path";s:28:"/admin/config/user-interface";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"User interface";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/user\\-interface$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/config/user-interface";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/config/user-interface";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_workflow";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/config/workflow";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:8:"Workflow";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/workflow$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/workflow";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/workflow";s:8:"numParts";i:3;}}}}";s:20:"system.admin_content";s:1353:"C:31:"Symfony\\Component\\Routing\\Route":1307:{a:9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}}}";s:20:"system.admin_reports";s:995:"C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}}}";s:22:"system.admin_structure";s:1013:"C:31:"Symfony\\Component\\Routing\\Route":968:{a:9:{s:4:"path";s:16:"/admin/structure";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:9:"Structure";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":345:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/admin/structure$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/admin/structure";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/admin/structure";s:8:"numParts";i:2;}}}}";s:20:"system.cron_settings";s:1000:"C:31:"Symfony\\Component\\Routing\\Route":955:{a:9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}}}";s:27:"system.file_system_settings";s:1039:"C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:31:"/admin/config/media/file-system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\system\\Form\\FileSystemForm";s:6:"_title";s:11:"File system";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":392:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/media/file\\-system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/media/file-system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/media/file-system";s:8:"numParts";i:4;}}}}";s:29:"system.image_toolkit_settings";s:1052:"C:31:"Symfony\\Component\\Routing\\Route":1006:{a:9:{s:4:"path";s:33:"/admin/config/media/image-toolkit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\system\\Form\\ImageToolkitForm";s:6:"_title";s:13:"Image toolkit";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":398:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/media/image\\-toolkit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/media/image-toolkit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/media/image-toolkit";s:8:"numParts";i:4;}}}}";s:23:"system.logging_settings";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}}}";s:19:"system.modules_list";s:998:"C:31:"Symfony\\Component\\Routing\\Route":953:{a:9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}}}";s:27:"system.performance_settings";s:1064:"C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}}}";s:24:"system.regional_settings";s:1042:"C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:31:"/admin/config/regional/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RegionalForm";s:6:"_title";s:17:"Regional settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/regional/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/regional/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/regional/settings";s:8:"numParts";i:4;}}}}";s:25:"system.rss_feeds_settings";s:1065:"C:31:"Symfony\\Component\\Routing\\Route":1019:{a:9:{s:4:"path";s:37:"/admin/config/services/rss-publishing";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RssFeedsForm";s:6:"_title";s:14:"RSS publishing";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/services/rss\\-publishing$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/services/rss-publishing";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/services/rss-publishing";s:8:"numParts";i:4;}}}}";s:32:"system.site_information_settings";s:1077:"C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:37:"/admin/config/system/site-information";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\system\\Form\\SiteInformationForm";s:6:"_title";s:19:"Basic site settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/system/site\\-information$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/system/site-information";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/system/site-information";s:8:"numParts";i:4;}}}}";s:13:"system.status";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}}}";s:18:"system.themes_page";s:995:"C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:17:"/admin/appearance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:10:"Appearance";s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemController::themesPage";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/admin/appearance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/admin/appearance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/admin/appearance";s:8:"numParts";i:2;}}}}";s:13:"update.status";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}}}";s:16:"user.admin_index";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}}}";s:24:"views_ui.reports_plugins";s:1049:"C:31:"Symfony\\Component\\Routing\\Route":1003:{a:9:{s:4:"path";s:28:"/admin/reports/views-plugins";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins";s:6:"_title";s:13:"Views plugins";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/views\\-plugins$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/views-plugins";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/views-plugins";s:8:"numParts";i:3;}}}}";s:32:"webform.reports_plugins.elements";s:1112:"C:31:"Symfony\\Component\\Routing\\Route":1066:{a:9:{s:4:"path";s:39:"/admin/reports/webform-plugins/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginElementController::index";s:6:"_title";s:25:"Webform plugins: Elements";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":416:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/elements";s:8:"numParts";i:4;}}}}";}', -1, '1681652752.906', 1, 'routes', '8');
INSERT INTO `cache_data` VALUES
('route_provider.route_load:9b59657bf70c14ee0de55a260492b5e2d7a473d8739c9e02f94ee68b15269fa43d42219162a1926667dc6ac75e2cf985760b1153429479a78b6aaee4681f6d19', 'a:2:{s:24:"system.modules_uninstall";s:1001:"C:31:"Symfony\\Component\\Routing\\Route":956:{a:9:{s:4:"path";s:24:"/admin/modules/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\system\\Form\\ModulesUninstallForm";s:6:"_title";s:9:"Uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/modules/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/modules/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/modules/uninstall";s:8:"numParts";i:3;}}}}";s:20:"update.module_update";s:1082:"C:31:"Symfony\\Component\\Routing\\Route":1036:{a:9:{s:4:"path";s:21:"/admin/modules/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/modules/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/modules/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/modules/update";s:8:"numParts";i:3;}}}}";}', -1, '1681653299.073', 1, 'routes', '8'),
('route_provider.route_load:9d8b6429d5d708d8fd38313925f1bb51de5f0a9aeeaf3e75c268b7612c60d855aefc25a9359c82753f978cded7da4df4a0d0907a431f70a2dcecef741238b4bb', 'a:1:{s:20:"update.module_update";s:1082:"C:31:"Symfony\\Component\\Routing\\Route":1036:{a:9:{s:4:"path";s:21:"/admin/modules/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/modules/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/modules/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/modules/update";s:8:"numParts";i:3;}}}}";}', -1, '1681653330.188', 1, 'routes', '8'),
('route_provider.route_load:a156fdf0a1fc30a16c922f30e3d8f9915f0d80e18ae3d8149754a5d781d796ef668c67a81fc47a061416978e00a0dd85ead298f98f81e26c0bf412bb93b25c84', 'a:1:{s:30:"entity.contact_form.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:24:"/admin/structure/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"contact_form";s:6:"_title";s:13:"Contact forms";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/contact";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.655', 1, 'routes', '8'),
('route_provider.route_load:a348a4fd41360a636bf3c0d41d370c4bf8f26baaea7fe78f0353f7b6b0e4deb94ef2bfa6ebe259c85ab9ceec7bfdcc341dc6e03c6859324f7fb27b8ff5429f51', 'a:1:{s:13:"font.settings";s:1043:"C:31:"Symfony\\Component\\Routing\\Route":998:{a:9:{s:4:"path";s:31:"/admin/appearance/font/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\fontyourface\\Form\\FontSettingsForm";s:6:"_title";s:13:"Font settings";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/appearance/font/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/appearance/font/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/appearance/font/settings";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.625', 1, 'routes', '8'),
('route_provider.route_load:a4aede1a11c6ddb670d12573d9402ff04f7892d92e4dc09744916cf184f9341b54026219cd9626fa5ce51aa99a87ef73d1872e3b47db44fa3c9afdf98a2e7a2f', 'a:1:{s:19:"system.modules_list";s:998:"C:31:"Symfony\\Component\\Routing\\Route":953:{a:9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}}}";}', -1, '1681653299.039', 1, 'routes', '8'),
('route_provider.route_load:a6133f5ff020b13416b18d7afd0c43c51975daccc23d80b6cce3cec9dc851ee125c7825fcd017b09ff4851428b85b5da9dbe8a7dc95c63b04709b10e6ec8677b', 'a:1:{s:29:"user.admin_permissions.module";s:1391:"C:31:"Symfony\\Component\\Routing\\Route":1345:{a:9:{s:4:"path";s:42:"/admin/people/permissions/module/{modules}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:51:"\\Drupal\\user\\Form\\UserPermissionsModuleSpecificForm";s:6:"_title";s:18:"Module Permissions";}s:12:"requirements";a:3:{s:11:"_permission";s:22:"administer permissions";s:7:"modules";s:16:"[a-z][a-z0-9_,]*";s:14:"_custom_access";s:59:"\\Drupal\\user\\Form\\UserPermissionsModuleSpecificForm::access";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":557:{a:11:{s:4:"vars";a:1:{i:0;s:7:"modules";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/admin/people/permissions/module/(?P<modules>[a-z][a-z0-9_,]*)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:16:"[a-z][a-z0-9_,]*";i:3;s:7:"modules";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/people/permissions/module";}}s:9:"path_vars";a:1:{i:0;s:7:"modules";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:34:"/admin/people/permissions/module/%";s:8:"numParts";i:5;}}}}";}', -1, '1681653298.869', 1, 'routes', '8'),
('route_provider.route_load:a656375fc26c1771f96d3a9655ff4095224cdfe31736db3b84d81656505aabeea455568eca39bce925eaf4300e1ba64876c15cf9ea9ac9590cecad301607daba', 'a:1:{s:20:"update.report_update";s:1115:"C:31:"Symfony\\Component\\Routing\\Route":1069:{a:9:{s:4:"path";s:29:"/admin/reports/updates/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/updates/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/updates/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/reports/updates/update";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.838', 1, 'routes', '8'),
('route_provider.route_load:a704f035c2dc8098e3cc8c8a3889e2bd1e7cb755a19558babb042876af91a435a643df3af1c90051d13bbdbc3703363affc61fa22823eb0653a9d1aa654d406a', 'a:1:{s:24:"webform.config.libraries";s:1120:"C:31:"Symfony\\Component\\Routing\\Route":1074:{a:9:{s:4:"path";s:41:"/admin/structure/webform/config/libraries";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:64:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigLibrariesForm";s:6:"_title";s:33:"Webforms: Libraries configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":421:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/admin/structure/webform/config/libraries$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:41:"/admin/structure/webform/config/libraries";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:41:"/admin/structure/webform/config/libraries";s:8:"numParts";i:5;}}}}";}', -1, '1681652775.854', 1, 'routes', '8'),
('route_provider.route_load:a753a0d63b7c086960a9fc459995d49747213b93412308a9d8382049346d94ddf9b54a76c12e4d431466cbd843090195e2666adf62368d3a6b4295e6533e1371', 'a:1:{s:9:"help.page";s:1106:"C:31:"Symfony\\Component\\Routing\\Route":1060:{a:9:{s:4:"path";s:18:"/admin/help/{name}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpPage";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":460:{a:11:{s:4:"vars";a:1:{i:0;s:4:"name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/help/(?P<name>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:1:{i:0;s:4:"name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:13:"/admin/help/%";s:8:"numParts";i:3;}}}}";}', -1, '1681652775.853', 1, 'routes', '8'),
('route_provider.route_load:a78349ee3b6c63edb23f5304e1f61737af1044ad92d281646eaecc3d4436cdf5bb083ccc7ba01af25f91b23b05d9a18b40e10800917effef0e0159fc67a5bbf6', 'a:1:{s:27:"entity.node_type.collection";s:980:"C:31:"Symfony\\Component\\Routing\\Route":935:{a:9:{s:4:"path";s:22:"/admin/structure/types";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"node_type";s:6:"_title";s:13:"Content types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/types";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.720', 1, 'routes', '8'),
('route_provider.route_load:a838a8b51b5ff5ffeb795876720614b5b0cc176d094536c3dd4d245de77b557d96cdafcc3eb989d8aea14b0ff08eef649265c464ec180024c636156b7a1dab73', 'a:1:{s:27:"system.theme_settings_theme";s:1172:"C:31:"Symfony\\Component\\Routing\\Route":1126:{a:9:{s:4:"path";s:34:"/admin/appearance/settings/{theme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\system\\Form\\ThemeSettingsForm";s:15:"_title_callback";s:21:"theme_handler:getName";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":510:{a:11:{s:4:"vars";a:1:{i:0;s:5:"theme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/admin/appearance/settings/(?P<theme>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"theme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/appearance/settings";}}s:9:"path_vars";a:1:{i:0;s:5:"theme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:28:"/admin/appearance/settings/%";s:8:"numParts";i:4;}}}}";}', -1, '1681652749.169', 1, 'routes', '7'),
('route_provider.route_load:b70edaaf4cfc58059ad5448df82a2f65b18644f4310cefcabecd3658e2afbd14d5a1dcb5d159bb283f18749b3208749bc418d956468655dcc8395314964abd5d', 'a:1:{s:21:"entity.node.canonical";s:1206:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}";}', -1, '1681652202.896', 1, 'routes', '5'),
('route_provider.route_load:b95a749808f63759055186e4d285bc245a2e93a53151913916965c233b33b73767a6e374eddd24f811bddd5d3da8ede8e79ee0438af9cb3f984d770f83007705', 'a:2:{s:28:"entity.path_alias.collection";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}}}";s:29:"entity.search_page.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.888', 1, 'routes', '8'),
('route_provider.route_load:baa65e981a04adc27c2ceedf291cbbe803d10b20bebaf113ff53f9534c66645bd9027d760f34041706bf617ff650f58c85248ca9a3a3354ed2449888aa5114b6', 'a:1:{s:10:"user.login";s:928:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/user/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\user\\Form\\UserLoginForm";s:6:"_title";s:6:"Log in";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/user/login$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/user/login";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/user/login";s:8:"numParts";i:2;}}";}', -1, '1681649851.748', 1, 'routes', '4'),
('route_provider.route_load:bcc3f698e68b2c3e557211944a05ea6b4606173b8a9f27756fbcdbe6d8b9158862c39b3fd65fa7ae68504e75b223e79df72c1069bbe440776ad6948b5ceb0520', 'a:1:{s:37:"entity.taxonomy_vocabulary.collection";s:1077:"C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:25:"/admin/structure/taxonomy";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:19:"taxonomy_vocabulary";s:6:"_title";s:8:"Taxonomy";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:44:"access taxonomy overview+administer taxonomy";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/taxonomy$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/taxonomy";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/structure/taxonomy";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.752', 1, 'routes', '8'),
('route_provider.route_load:be2379e04cf37ec305c531e6ffb8327502c6421ac10d8b7a38bd9aa2e01d42102cf0581510515d56ec6c253222718f7c4a4282b46e3a274578499f5b90ef4753', 'a:1:{s:6:"<none>";s:772:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}";}', -1, '1681652115.192', 1, 'routes', '5'),
('route_provider.route_load:c247abc2be8e1a2841d65687869cf7bd9dabf84531e837f59155025944d2d407f46a301206d638478424c1d3ba1d487f4b61e4a6451723cba68c4e105291b5f7', 'a:1:{s:19:"system.admin_config";s:1031:"C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}}}";}', -1, '1681652775.944', 1, 'routes', '8'),
('route_provider.route_load:c5cdda82b2e457e198682456fed1096ea3f5ee89ac830e3312e899d77225f391be4bb46ede69845aedaafb015f80cdc159803c1f828662d2f24fb3aab4c60fc9', 'a:1:{s:15:"system.run_cron";s:1097:"C:31:"Symfony\\Component\\Routing\\Route":1051:{a:9:{s:4:"path";s:30:"/admin/reports/status/run-cron";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:42:"\\Drupal\\system\\CronController::runManually";}s:12:"requirements";a:2:{s:11:"_permission";s:29:"administer site configuration";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"no_cache";b:1;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":389:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/status/run\\-cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/reports/status/run-cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:30:"/admin/reports/status/run-cron";s:8:"numParts";i:4;}}}}";}', -1, '1681652781.664', 1, 'routes', '8'),
('route_provider.route_load:c66bdae9a38d6d7c76feea69f3fdf511bd5479679d661b9cefc1a09bd887c69c3d1897b69184fd1d34c939b9182e35159db3256265541e35927738b00a276ac7', 'a:1:{s:21:"mt_countdown.settings";s:1040:"C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:26:"/admin/config/mt_countdown";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\mt_countdown\\Form\\MTCountDownSettingsForm";s:6:"_title";s:19:"Count Down Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":375:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/mt_countdown$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/mt_countdown";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/config/mt_countdown";s:8:"numParts";i:3;}}}}";}', -1, '1681652775.892', 1, 'routes', '8'),
('route_provider.route_load:c70c78aa9c54c67507155c9a907d23f7864b4912741f72bd14bfc166afe9fe5ba059696f6238f5e11f1cc23a86c38b43d0e93002381c7fef9e2e16508f64c7ce', 'a:67:{s:19:"block.admin_display";s:1000:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/block";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/block$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/block";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/block";s:8:"numParts";i:3;}}";s:13:"comment.admin";s:1373:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}";s:11:"config.sync";s:1046:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}";s:19:"dblog.access_denied";s:1076:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/reports/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:26:"Top ''access denied'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:13:"access denied";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/access\\-denied$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/access-denied";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/access-denied";s:8:"numParts";i:3;}}";s:14:"dblog.overview";s:1355:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/reports/dblog";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:8:"watchdog";s:10:"display_id";s:4:"page";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"access site reports";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/reports/dblog$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/reports/dblog";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/reports/dblog";s:8:"numParts";i:3;}}";s:20:"dblog.page_not_found";s:1083:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/reports/page-not-found";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:27:"Top ''page not found'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:14:"page not found";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/page\\-not\\-found$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/page-not-found";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:29:"/admin/reports/page-not-found";s:8:"numParts";i:3;}}";s:12:"dblog.search";s:1072:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:6:"_title";s:18:"Top search phrases";s:4:"type";s:6:"search";}s:12:"requirements";a:2:{s:20:"_module_dependencies";s:6:"search";s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/search";s:8:"numParts";i:3;}}";s:30:"entity.comment_type.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/comment";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"comment_type";s:6:"_title";s:13:"Comment types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer comment types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/comment";s:8:"numParts";i:3;}}";s:30:"entity.contact_form.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"contact_form";s:6:"_title";s:13:"Contact forms";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/contact";s:8:"numParts";i:3;}}";s:29:"entity.date_format.collection";s:1022:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/regional/date-time";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"date_format";s:6:"_title";s:21:"Date and time formats";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/regional/date\\-time$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/regional/date-time";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/regional/date-time";s:8:"numParts";i:4;}}";s:34:"entity.entity_form_mode.collection";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/structure/display-modes/form";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_form_mode";s:6:"_title";s:10:"Form modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/form$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/form";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/form";s:8:"numParts";i:4;}}";s:34:"entity.entity_view_mode.collection";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/structure/display-modes/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_view_mode";s:6:"_title";s:10:"View modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/view$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/view";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/view";s:8:"numParts";i:4;}}";s:38:"entity.field_storage_config.collection";s:969:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/fields";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:20:"field_storage_config";s:6:"_title";s:10:"Field list";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/fields";s:8:"numParts";i:3;}}";s:22:"entity.font.collection";s:1388:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}";s:30:"entity.font_display.collection";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/appearance/font/font_display";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"font_display";s:6:"_title";s:12:"Font display";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:42:"#^/admin/appearance/font/font_display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/appearance/font/font_display";s:8:"numParts";i:4;}}";s:29:"entity.image_style.collection";s:1007:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}";s:22:"entity.menu.collection";s:937:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/structure/menu";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"menu";s:6:"_title";s:5:"Menus";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/structure/menu$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/structure/menu";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/structure/menu";s:8:"numParts";i:3;}}";s:27:"entity.node_type.collection";s:964:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/types";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"node_type";s:6:"_title";s:13:"Content types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/types";s:8:"numParts";i:3;}}";s:33:"entity.paragraphs_type.collection";s:1017:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/structure/paragraphs_type";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"paragraphs_type";s:6:"_title";s:16:"Paragraphs types";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/structure/paragraphs_type$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:32:"/admin/structure/paragraphs_type";s:8:"numParts";i:3;}}";s:28:"entity.path_alias.collection";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}";s:29:"entity.search_page.collection";s:976:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}";s:30:"entity.shortcut_set.collection";s:1021:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/user-interface/shortcut";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"shortcut_set";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"administer shortcuts";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/user\\-interface/shortcut$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/user-interface/shortcut";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/user-interface/shortcut";s:8:"numParts";i:4;}}";s:37:"entity.taxonomy_vocabulary.collection";s:1060:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/structure/taxonomy";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:19:"taxonomy_vocabulary";s:6:"_title";s:8:"Taxonomy";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:44:"access taxonomy overview+administer taxonomy";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/taxonomy$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/taxonomy";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/structure/taxonomy";s:8:"numParts";i:3;}}";s:22:"entity.user.admin_form";s:1015:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/config/people/accounts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\user\\AccountSettingsForm";s:6:"_title";s:16:"Account settings";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer account settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/people/accounts$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/people/accounts";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/people/accounts";s:8:"numParts";i:4;}}";s:22:"entity.user.collection";s:1336:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/admin/people";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"user_admin_people";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:16:"administer users";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/people";s:8:"numParts";i:2;}}";s:22:"entity.view.collection";s:942:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/structure/views";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"view";s:6:"_title";s:5:"Views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/views$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/views";s:8:"numParts";i:3;}}";s:25:"entity.webform.collection";s:1003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/structure/webform";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:7:"webform";s:6:"_title";s:8:"Webforms";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/webform$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/webform";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/webform";s:8:"numParts";i:3;}}";s:41:"entity_reference_revisions.delete_orphans";s:1096:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/admin/config/system/delete-orphans";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:74:"Drupal\\entity_reference_revisions\\Form\\OrphanedCompositeEntitiesDeleteForm";s:6:"_title";s:34:"Delete orphaned composite entities";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"delete orphan revisions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/system/delete\\-orphans$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/config/system/delete-orphans";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/config/system/delete-orphans";s:8:"numParts";i:4;}}";s:21:"field_ui.display_mode";s:1056:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:30:"/admin/structure/display-modes";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:13:"Display modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/display\\-modes$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/structure/display-modes";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/structure/display-modes";s:8:"numParts";i:3;}}";s:21:"filter.admin_overview";s:1003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}";s:13:"font.settings";s:1027:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/appearance/font/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\fontyourface\\Form\\FontSettingsForm";s:6:"_title";s:13:"Font settings";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/appearance/font/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/appearance/font/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/appearance/font/settings";s:8:"numParts";i:4;}}";s:26:"fontawesome.admin_settings";s:1043:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}";s:9:"help.main";s:952:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/admin/help";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpMain";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/admin/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/admin/help";s:8:"numParts";i:2;}}";s:14:"juicerio.admin";s:981:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}";s:25:"mt_cookieconsent.settings";s:1063:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:30:"/admin/config/mt_cookieconsent";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:57:"\\Drupal\\mt_cookieconsent\\Form\\MTCookieConsentSettingsForm";s:6:"_title";s:34:"MtT Cookie Consent Module Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/config/mt_cookieconsent$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/mt_cookieconsent";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/config/mt_cookieconsent";s:8:"numParts";i:3;}}";s:24:"mt_countdown.admin_index";s:1031:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/admin/config/count_down";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:10:"Count Down";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/config/count_down$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/config/count_down";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/config/count_down";s:8:"numParts";i:3;}}";s:21:"mt_countdown.settings";s:1024:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/admin/config/mt_countdown";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\mt_countdown\\Form\\MTCountDownSettingsForm";s:6:"_title";s:19:"Count Down Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/mt_countdown$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/mt_countdown";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/config/mt_countdown";s:8:"numParts";i:3;}}";s:19:"paragraphs.settings";s:1047:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}";s:19:"statistics.settings";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}";s:19:"system.admin_config";s:1015:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}";s:27:"system.admin_config_content";s:1026:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/config/content";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:17:"Content authoring";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/config/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/config/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/config/content";s:8:"numParts";i:3;}}";s:31:"system.admin_config_development";s:1036:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}";s:25:"system.admin_config_media";s:1005:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/admin/config/media";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:5:"Media";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/config/media$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/config/media";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/config/media";s:8:"numParts";i:3;}}";s:28:"system.admin_config_regional";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/regional";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:21:"Regional and language";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/regional$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/regional";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/regional";s:8:"numParts";i:3;}}";s:26:"system.admin_config_search";s:1024:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/search";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:19:"Search and metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/search";s:8:"numParts";i:3;}}";s:28:"system.admin_config_services";s:1025:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/services";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:12:"Web services";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/services$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/services";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/services";s:8:"numParts";i:3;}}";s:26:"system.admin_config_system";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}";s:22:"system.admin_config_ui";s:1052:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/config/user-interface";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"User interface";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/user\\-interface$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/config/user-interface";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/config/user-interface";s:8:"numParts";i:3;}}";s:28:"system.admin_config_workflow";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/config/workflow";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:8:"Workflow";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/workflow$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/workflow";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/workflow";s:8:"numParts";i:3;}}";s:20:"system.admin_content";s:1336:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}";s:20:"system.admin_reports";s:979:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}";s:22:"system.admin_structure";s:997:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:16:"/admin/structure";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:9:"Structure";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/admin/structure$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/admin/structure";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/admin/structure";s:8:"numParts";i:2;}}";s:20:"system.cron_settings";s:984:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}";s:27:"system.file_system_settings";s:1023:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/media/file-system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\system\\Form\\FileSystemForm";s:6:"_title";s:11:"File system";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/media/file\\-system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/media/file-system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/media/file-system";s:8:"numParts";i:4;}}";s:29:"system.image_toolkit_settings";s:1035:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/media/image-toolkit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\system\\Form\\ImageToolkitForm";s:6:"_title";s:13:"Image toolkit";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/media/image\\-toolkit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/media/image-toolkit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/media/image-toolkit";s:8:"numParts";i:4;}}";s:23:"system.logging_settings";s:1034:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}";s:19:"system.modules_list";s:982:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}";s:27:"system.performance_settings";s:1047:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}";s:24:"system.regional_settings";s:1026:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/admin/config/regional/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RegionalForm";s:6:"_title";s:17:"Regional settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/regional/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/regional/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/regional/settings";s:8:"numParts";i:4;}}";s:25:"system.rss_feeds_settings";s:1048:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/services/rss-publishing";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RssFeedsForm";s:6:"_title";s:14:"RSS publishing";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/services/rss\\-publishing$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/services/rss-publishing";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/services/rss-publishing";s:8:"numParts";i:4;}}";s:32:"system.site_information_settings";s:1060:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/system/site-information";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\system\\Form\\SiteInformationForm";s:6:"_title";s:19:"Basic site settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/system/site\\-information$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/system/site-information";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/system/site-information";s:8:"numParts";i:4;}}";s:28:"system.site_maintenance_mode";s:1088:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/admin/config/development/maintenance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\system\\Form\\SiteMaintenanceModeForm";s:6:"_title";s:16:"Maintenance mode";}s:12:"requirements";a:1:{s:11:"_permission";s:57:"administer site configuration+administer software updates";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/maintenance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/maintenance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/maintenance";s:8:"numParts";i:4;}}";s:13:"system.status";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}";s:13:"update.status";s:1020:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}";s:16:"user.admin_index";s:1010:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}";s:24:"views_ui.reports_plugins";s:1032:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/admin/reports/views-plugins";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins";s:6:"_title";s:13:"Views plugins";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/views\\-plugins$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/views-plugins";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/views-plugins";s:8:"numParts";i:3;}}";s:32:"webform.reports_plugins.elements";s:1095:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:39:"/admin/reports/webform-plugins/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginElementController::index";s:6:"_title";s:25:"Webform plugins: Elements";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/elements";s:8:"numParts";i:4;}}";}', -1, '1681650067.813', 1, 'routes', '4');
INSERT INTO `cache_data` VALUES
('route_provider.route_load:c99a96bd87404cef49e761bdd60d67ad57092b6950aa83510e2fe469b13522c7f0534922f9419c8b7356ac35b68ffd75de6955ce57b0819ff56a64c116a2fedb', 'a:1:{s:23:"system.logging_settings";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.669', 1, 'routes', '8'),
('route_provider.route_load:c9c87b60b70f53c8ea19afdffa4db570b15cb448eb939fe309f3d6aa7ef7b1f5d24bd155120bd29f4fbe0d3b764d2be9505f5893da0082a0f0e3d09712d2c286', 'a:1:{s:20:"update.manual_status";s:1131:"C:31:"Symfony\\Component\\Routing\\Route":1085:{a:9:{s:4:"path";s:28:"/admin/reports/updates/check";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:19:"Manual update check";s:11:"_controller";s:64:"\\Drupal\\update\\Controller\\UpdateController::updateStatusManually";}s:12:"requirements";a:2:{s:11:"_permission";s:29:"administer site configuration";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/reports/updates/check$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/updates/check";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:28:"/admin/reports/updates/check";s:8:"numParts";i:4;}}}}";}', -1, '1681653330.133', 1, 'routes', '8'),
('route_provider.route_load:caf951fef7b87310d9897667e34915f9e85478c41f5b1d217c5133a1ec170ab2409ed73b3f901732e73c3314ee604ba8d33219cd718863eb38fd07b4389d0827', 'a:3:{s:11:"config.sync";s:1063:"C:31:"Symfony\\Component\\Routing\\Route":1017:{a:9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}}}";s:23:"system.logging_settings";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}}}";s:27:"system.performance_settings";s:1064:"C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.884', 1, 'routes', '8'),
('route_provider.route_load:cc64c8219eb523419b0f57558051bc055f497405a9b5a88f490a95d8d39529a03bb26a72b0acb43f9518f9493e83fee00da22b4b82cb665654ba5a89633146b4', 'a:1:{s:24:"system.theme_set_default";s:1101:"C:31:"Symfony\\Component\\Routing\\Route":1055:{a:9:{s:4:"path";s:25:"/admin/appearance/default";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:20:"Set as default theme";s:11:"_controller";s:58:"\\Drupal\\system\\Controller\\ThemeController::setDefaultTheme";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/appearance/default$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/appearance/default";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/appearance/default";s:8:"numParts";i:3;}}}}";}', -1, '1681652749.171', 1, 'routes', '7'),
('route_provider.route_load:cec15c6f5d62c4ee68d0dcb342d82dfa3a878b172f1f086efe7a6a524de21c07d398438039280dcc2b48381405b536eab86c75947d3d07083f3669722276fe79', 'a:1:{s:24:"system.modules_uninstall";s:1001:"C:31:"Symfony\\Component\\Routing\\Route":956:{a:9:{s:4:"path";s:24:"/admin/modules/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\system\\Form\\ModulesUninstallForm";s:6:"_title";s:9:"Uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/modules/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/modules/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/modules/uninstall";s:8:"numParts";i:3;}}}}";}', -1, '1681653323.639', 1, 'routes', '8'),
('route_provider.route_load:d0798c7b7104c84356c934eba5b7762c0c8ba25c0ed4e83cf406f9bb8f2b5a786205360a415c6032affc1a73e0c1c195dbf6631aaf9c079f3aa200f5f2765a4d', 'a:2:{s:19:"system.modules_list";s:998:"C:31:"Symfony\\Component\\Routing\\Route":953:{a:9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}}}";s:24:"system.modules_uninstall";s:1001:"C:31:"Symfony\\Component\\Routing\\Route":956:{a:9:{s:4:"path";s:24:"/admin/modules/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\system\\Form\\ModulesUninstallForm";s:6:"_title";s:9:"Uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/modules/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/modules/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/modules/uninstall";s:8:"numParts";i:3;}}}}";}', -1, '1681653330.223', 1, 'routes', '8'),
('route_provider.route_load:d274bb1d2307bbba496ef13a14d5c73de9b2821df94a74273299934d0bef0825cd56c51ee88014461fdfc57e950aac713cb913c5dde03c3a2dcd6bc5adbb3aa3', 'a:1:{s:13:"update.status";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}}}";}', -1, '1681653299.080', 1, 'routes', '8'),
('route_provider.route_load:d2e744e34ddc4f89721d26e14716a8646c997417a0acc5ee4a3bd508080e8e2b68bbfb5ad2a915a7ce81afd6a4f3617b54d0bb0a40d4df4d61048dca00b615f0', 'a:1:{s:24:"shortcut.link_add_inline";s:1612:"C:31:"Symfony\\Component\\Routing\\Route":1566:{a:9:{s:4:"path";s:75:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:72:"\\Drupal\\shortcut\\Controller\\ShortcutSetController::addShortcutLinkInline";}s:12:"requirements";a:2:{s:14:"_entity_access";s:19:"shortcut_set.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"shortcut_set";a:2:{s:4:"type";s:19:"entity:shortcut_set";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":684:{a:11:{s:4:"vars";a:1:{i:0;s:12:"shortcut_set";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:95:"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link\\-inline$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/add-link-inline";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"shortcut_set";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/user-interface/shortcut/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"shortcut_set";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:62:"/admin/config/user-interface/shortcut/manage/%/add-link-inline";s:8:"numParts";i:7;}}}}";}', -1, '1681652765.367', 1, 'routes', '8'),
('route_provider.route_load:d33c19b9e23fc4abad5f6cc38f0631bd5e75c1d8324d935ef60495f83817e97c4abbd376cfd3e38dc1c1acad911f682fa46f5333059f79f41609d24fe7770556', 'a:3:{s:29:"entity.image_style.collection";s:1023:"C:31:"Symfony\\Component\\Routing\\Route":978:{a:9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}}}";s:27:"system.file_system_settings";s:1039:"C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:31:"/admin/config/media/file-system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\system\\Form\\FileSystemForm";s:6:"_title";s:11:"File system";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":392:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/media/file\\-system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/media/file-system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/media/file-system";s:8:"numParts";i:4;}}}}";s:29:"system.image_toolkit_settings";s:1052:"C:31:"Symfony\\Component\\Routing\\Route":1006:{a:9:{s:4:"path";s:33:"/admin/config/media/image-toolkit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\system\\Form\\ImageToolkitForm";s:6:"_title";s:13:"Image toolkit";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":398:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/media/image\\-toolkit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/media/image-toolkit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/media/image-toolkit";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.886', 1, 'routes', '8'),
('route_provider.route_load:d4a48213a9dfafdc31627946938c3fd9c6c6efa436b21f108449c5fd3acc6c5fb2665202ae47366f5cfaa3698a4c24673de4e94572b6ece785f9961855037328', 'a:1:{s:20:"config.import_single";s:1128:"C:31:"Symfony\\Component\\Routing\\Route":1082:{a:9:{s:4:"path";s:53:"/admin/config/development/configuration/single/import";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:13:"Single import";s:5:"_form";s:42:"\\Drupal\\config\\Form\\ConfigSingleImportForm";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"import configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":457:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:60:"#^/admin/config/development/configuration/single/import$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:53:"/admin/config/development/configuration/single/import";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:53:"/admin/config/development/configuration/single/import";s:8:"numParts";i:6;}}}}";}', -1, '1681653299.088', 1, 'routes', '8'),
('route_provider.route_load:d811ec990c6cc827de84d05b163d6031ab9324cadc413923c92a1bb21464f6a1ef5760aeb7a70c4250fdebb40a4fe2715b41a5aecb8ea36c01815d4feae1242e', 'a:1:{s:13:"system.status";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}}}";}', -1, '1681652775.868', 1, 'routes', '8'),
('route_provider.route_load:d98c4b3cb48f272ce32227426db751272fd73c0970726fc35789f32ae14ad965dcc3983acf269ad33f524273d4bef86da3de50c895a5fceac6cab6fc1cfbd2f4', 'a:1:{s:12:"system.admin";s:976:"C:31:"Symfony\\Component\\Routing\\Route":931:{a:9:{s:4:"path";s:6:"/admin";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"Administration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":313:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/admin$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/admin";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/admin";s:8:"numParts";i:1;}}}}";}', -1, '1681652752.923', 1, 'routes', '8'),
('route_provider.route_load:dc11034164a8cddbe0603eb659312f66b2ba1ece22056f614c8eaee697408bd97c644b9d78e113a2bb8db7a814423e60012dbc46368b64234371894ad8bb644a', 'a:1:{s:20:"system.cron_settings";s:1000:"C:31:"Symfony\\Component\\Routing\\Route":955:{a:9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}}}";}', -1, '1681652781.663', 1, 'routes', '8'),
('route_provider.route_load:ddb8401616c7f449d74c80a108af0f0ed728ad54ef2df5542b6829fec1ec6d620b49db41d6f49b1815a3dc60209e3bfdb3f77eddd09965464dbb4b3fe46edc5b', 'a:1:{s:21:"update.module_install";s:1096:"C:31:"Symfony\\Component\\Routing\\Route":1050:{a:9:{s:4:"path";s:22:"/admin/modules/install";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\update\\Form\\UpdateManagerInstall";s:6:"_title";s:14:"Add new module";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/modules/install$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/modules/install";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/modules/install";s:8:"numParts";i:3;}}}}";}', -1, '1681653299.100', 1, 'routes', '8'),
('route_provider.route_load:e27b13ebcdbf4fc0d2dbc221d2674fb6f3f7116e388424dd504ef2f475b3a2e0d912425f03804eb28705585cd5702b40b58f0a50931f86728aeb710677f51537', 'a:1:{s:31:"entity.block_content.collection";s:1444:"C:31:"Symfony\\Component\\Routing\\Route":1398:{a:9:{s:4:"path";s:36:"/admin/structure/block/block-content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"block_content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer blocks";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":407:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/structure/block/block\\-content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/structure/block/block-content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:36:"/admin/structure/block/block-content";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.663', 1, 'routes', '8'),
('route_provider.route_load:e3478c3b96a05eb5f312e82bb127dcaf670a346a3428ec5715301a293d40753c5164e2cd7bc74587af1ab1ee48b727a15e45ee1e71389ad13987939cfdbf934f', 'a:1:{s:30:"entity.shortcut_set.collection";s:1037:"C:31:"Symfony\\Component\\Routing\\Route":992:{a:9:{s:4:"path";s:37:"/admin/config/user-interface/shortcut";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"shortcut_set";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"administer shortcuts";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/user\\-interface/shortcut$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/user-interface/shortcut";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/user-interface/shortcut";s:8:"numParts";i:4;}}}}";}', -1, '1681652775.882', 1, 'routes', '8'),
('route_provider.route_load:e3d097d747ef748eb80a503e4d424246b7160280cc42d3a89c96bbb6d9a8c97de8274ee3b2faff7f6698f9586fd645ce828df8606a6173d1b33c33a638e26ea7', 'a:1:{s:25:"system.admin_compact_page";s:1125:"C:31:"Symfony\\Component\\Routing\\Route":1079:{a:9:{s:4:"path";s:21:"/admin/compact/{mode}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:55:"\\Drupal\\system\\Controller\\SystemController::compactPage";s:4:"mode";s:3:"off";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":472:{a:11:{s:4:"vars";a:1:{i:0;s:4:"mode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/compact(?:/(?P<mode>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"mode";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/compact";}}s:9:"path_vars";a:1:{i:0;s:4:"mode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/compact";s:8:"numParts";i:3;}}}}";}', -1, '1681652775.906', 1, 'routes', '8'),
('route_provider.route_load:ea0246856aa3127d0f0fd710dbc83808c22cfd50b6447064572f9a02d62439900fc473d877b3463c9886c191200704de04799fe12ef31bb6dbe2949c1fa62234', 'a:1:{s:33:"entity.paragraphs_type.collection";s:1033:"C:31:"Symfony\\Component\\Routing\\Route":988:{a:9:{s:4:"path";s:32:"/admin/structure/paragraphs_type";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"paragraphs_type";s:6:"_title";s:16:"Paragraphs types";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":393:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/structure/paragraphs_type$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:32:"/admin/structure/paragraphs_type";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.725', 1, 'routes', '8'),
('route_provider.route_load:eeb0d1b976e00713b5f28da1954938d87792d19ac19ea9ae592d350c4370b4ca22652031a6ad404b3d9036cc348987ab325b576359bf39ffcb54ac0a9ce8f083', 'a:3:{s:21:"filter.admin_overview";s:1003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}";s:26:"fontawesome.admin_settings";s:1043:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}";s:19:"paragraphs.settings";s:1047:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}";}', -1, '1681649885.342', 1, 'routes', '4'),
('route_provider.route_load:ef6e13b63957674bed0cb9937ed3441a5fd5fcb56bda316a391538821b372313933a7d81bf262591495e271ae583a1abe6a2ae4e217ed9609d9b6792f4c5005a', 'a:1:{s:28:"entity.path_alias.collection";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}}}";}', -1, '1681653298.729', 1, 'routes', '8'),
('route_provider.route_load:f105f16b7ecc77dc291bcec84167b1ebb321c1571215a27d9d9ca8724c4c804140874e138aff1ef80beec3d4df6a92ac253a0c60644e09b433458b59e66092de', 'a:67:{s:19:"block.admin_display";s:1016:"C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:22:"/admin/structure/block";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/block$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/block";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/block";s:8:"numParts";i:3;}}}}";s:13:"comment.admin";s:1390:"C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}}}";s:11:"config.sync";s:1063:"C:31:"Symfony\\Component\\Routing\\Route":1017:{a:9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}}}";s:19:"dblog.access_denied";s:1093:"C:31:"Symfony\\Component\\Routing\\Route":1047:{a:9:{s:4:"path";s:28:"/admin/reports/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:26:"Top ''access denied'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:13:"access denied";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/access\\-denied$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/access-denied";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/access-denied";s:8:"numParts";i:3;}}}}";s:14:"dblog.overview";s:1372:"C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:20:"/admin/reports/dblog";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:8:"watchdog";s:10:"display_id";s:4:"page";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"access site reports";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/reports/dblog$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/reports/dblog";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/reports/dblog";s:8:"numParts";i:3;}}}}";s:20:"dblog.page_not_found";s:1100:"C:31:"Symfony\\Component\\Routing\\Route":1054:{a:9:{s:4:"path";s:29:"/admin/reports/page-not-found";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:27:"Top ''page not found'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:14:"page not found";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":386:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/page\\-not\\-found$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/page-not-found";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:29:"/admin/reports/page-not-found";s:8:"numParts";i:3;}}}}";s:12:"dblog.search";s:1089:"C:31:"Symfony\\Component\\Routing\\Route":1043:{a:9:{s:4:"path";s:21:"/admin/reports/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:6:"_title";s:18:"Top search phrases";s:4:"type";s:6:"search";}s:12:"requirements";a:2:{s:20:"_module_dependencies";s:6:"search";s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/search";s:8:"numParts";i:3;}}}}";s:30:"entity.comment_type.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:24:"/admin/structure/comment";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"comment_type";s:6:"_title";s:13:"Comment types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer comment types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/comment";s:8:"numParts";i:3;}}}}";s:30:"entity.contact_form.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:24:"/admin/structure/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"contact_form";s:6:"_title";s:13:"Contact forms";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/contact";s:8:"numParts";i:3;}}}}";s:29:"entity.date_format.collection";s:1038:"C:31:"Symfony\\Component\\Routing\\Route":993:{a:9:{s:4:"path";s:32:"/admin/config/regional/date-time";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"date_format";s:6:"_title";s:21:"Date and time formats";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/regional/date\\-time$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/regional/date-time";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/regional/date-time";s:8:"numParts";i:4;}}}}";s:34:"entity.entity_form_mode.collection";s:1039:"C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:35:"/admin/structure/display-modes/form";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_form_mode";s:6:"_title";s:10:"Form modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/form$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/form";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/form";s:8:"numParts";i:4;}}}}";s:34:"entity.entity_view_mode.collection";s:1039:"C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:35:"/admin/structure/display-modes/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_view_mode";s:6:"_title";s:10:"View modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/view$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/view";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/view";s:8:"numParts";i:4;}}}}";s:38:"entity.field_storage_config.collection";s:985:"C:31:"Symfony\\Component\\Routing\\Route":940:{a:9:{s:4:"path";s:21:"/admin/reports/fields";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:20:"field_storage_config";s:6:"_title";s:10:"Field list";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/fields";s:8:"numParts";i:3;}}}}";s:22:"entity.font.collection";s:1405:"C:31:"Symfony\\Component\\Routing\\Route":1359:{a:9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}}}";s:30:"entity.font_display.collection";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:35:"/admin/appearance/font/font_display";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"font_display";s:6:"_title";s:12:"Font display";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":403:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:42:"#^/admin/appearance/font/font_display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/appearance/font/font_display";s:8:"numParts";i:4;}}}}";s:29:"entity.image_style.collection";s:1023:"C:31:"Symfony\\Component\\Routing\\Route":978:{a:9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}}}";s:22:"entity.menu.collection";s:953:"C:31:"Symfony\\Component\\Routing\\Route":908:{a:9:{s:4:"path";s:21:"/admin/structure/menu";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"menu";s:6:"_title";s:5:"Menus";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/structure/menu$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/structure/menu";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/structure/menu";s:8:"numParts";i:3;}}}}";s:27:"entity.node_type.collection";s:980:"C:31:"Symfony\\Component\\Routing\\Route":935:{a:9:{s:4:"path";s:22:"/admin/structure/types";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"node_type";s:6:"_title";s:13:"Content types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/types";s:8:"numParts";i:3;}}}}";s:33:"entity.paragraphs_type.collection";s:1033:"C:31:"Symfony\\Component\\Routing\\Route":988:{a:9:{s:4:"path";s:32:"/admin/structure/paragraphs_type";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"paragraphs_type";s:6:"_title";s:16:"Paragraphs types";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":393:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/structure/paragraphs_type$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:32:"/admin/structure/paragraphs_type";s:8:"numParts";i:3;}}}}";s:28:"entity.path_alias.collection";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}}}";s:29:"entity.search_page.collection";s:992:"C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}}}";s:30:"entity.shortcut_set.collection";s:1037:"C:31:"Symfony\\Component\\Routing\\Route":992:{a:9:{s:4:"path";s:37:"/admin/config/user-interface/shortcut";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"shortcut_set";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"administer shortcuts";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/user\\-interface/shortcut$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/user-interface/shortcut";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/user-interface/shortcut";s:8:"numParts";i:4;}}}}";s:37:"entity.taxonomy_vocabulary.collection";s:1077:"C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:25:"/admin/structure/taxonomy";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:19:"taxonomy_vocabulary";s:6:"_title";s:8:"Taxonomy";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:44:"access taxonomy overview+administer taxonomy";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/taxonomy$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/taxonomy";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/structure/taxonomy";s:8:"numParts";i:3;}}}}";s:22:"entity.user.admin_form";s:1031:"C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:29:"/admin/config/people/accounts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\user\\AccountSettingsForm";s:6:"_title";s:16:"Account settings";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer account settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/people/accounts$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/people/accounts";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/people/accounts";s:8:"numParts";i:4;}}}}";s:22:"entity.user.collection";s:1353:"C:31:"Symfony\\Component\\Routing\\Route":1307:{a:9:{s:4:"path";s:13:"/admin/people";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"user_admin_people";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:16:"administer users";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/people";s:8:"numParts";i:2;}}}}";s:22:"entity.view.collection";s:958:"C:31:"Symfony\\Component\\Routing\\Route":913:{a:9:{s:4:"path";s:22:"/admin/structure/views";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"view";s:6:"_title";s:5:"Views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/views$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/views";s:8:"numParts";i:3;}}}}";s:25:"entity.webform.collection";s:1019:"C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:24:"/admin/structure/webform";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:7:"webform";s:6:"_title";s:8:"Webforms";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/webform$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/webform";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/webform";s:8:"numParts";i:3;}}}}";s:41:"entity_reference_revisions.delete_orphans";s:1113:"C:31:"Symfony\\Component\\Routing\\Route":1067:{a:9:{s:4:"path";s:35:"/admin/config/system/delete-orphans";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:74:"Drupal\\entity_reference_revisions\\Form\\OrphanedCompositeEntitiesDeleteForm";s:6:"_title";s:34:"Delete orphaned composite entities";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"delete orphan revisions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/system/delete\\-orphans$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/config/system/delete-orphans";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/config/system/delete-orphans";s:8:"numParts";i:4;}}}}";s:21:"field_ui.display_mode";s:1073:"C:31:"Symfony\\Component\\Routing\\Route":1027:{a:9:{s:4:"path";s:30:"/admin/structure/display-modes";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:13:"Display modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":388:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/display\\-modes$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/structure/display-modes";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/structure/display-modes";s:8:"numParts";i:3;}}}}";s:21:"filter.admin_overview";s:1019:"C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}}}";s:13:"font.settings";s:1043:"C:31:"Symfony\\Component\\Routing\\Route":998:{a:9:{s:4:"path";s:31:"/admin/appearance/font/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\fontyourface\\Form\\FontSettingsForm";s:6:"_title";s:13:"Font settings";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/appearance/font/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/appearance/font/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/appearance/font/settings";s:8:"numParts";i:4;}}}}";s:26:"fontawesome.admin_settings";s:1060:"C:31:"Symfony\\Component\\Routing\\Route":1014:{a:9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}}}";s:9:"help.main";s:968:"C:31:"Symfony\\Component\\Routing\\Route":923:{a:9:{s:4:"path";s:11:"/admin/help";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpMain";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/admin/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/admin/help";s:8:"numParts";i:2;}}}}";s:14:"juicerio.admin";s:997:"C:31:"Symfony\\Component\\Routing\\Route":952:{a:9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}}}";s:25:"mt_cookieconsent.settings";s:1080:"C:31:"Symfony\\Component\\Routing\\Route":1034:{a:9:{s:4:"path";s:30:"/admin/config/mt_cookieconsent";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:57:"\\Drupal\\mt_cookieconsent\\Form\\MTCookieConsentSettingsForm";s:6:"_title";s:34:"MtT Cookie Consent Module Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":387:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/config/mt_cookieconsent$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/mt_cookieconsent";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/config/mt_cookieconsent";s:8:"numParts";i:3;}}}}";s:24:"mt_countdown.admin_index";s:1048:"C:31:"Symfony\\Component\\Routing\\Route":1002:{a:9:{s:4:"path";s:24:"/admin/config/count_down";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:10:"Count Down";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/config/count_down$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/config/count_down";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/config/count_down";s:8:"numParts";i:3;}}}}";s:21:"mt_countdown.settings";s:1040:"C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:26:"/admin/config/mt_countdown";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\mt_countdown\\Form\\MTCountDownSettingsForm";s:6:"_title";s:19:"Count Down Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":375:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/mt_countdown$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/mt_countdown";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/config/mt_countdown";s:8:"numParts";i:3;}}}}";s:19:"paragraphs.settings";s:1064:"C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":394:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}}}";s:19:"paragraphs.type_add";s:1058:"C:31:"Symfony\\Component\\Routing\\Route":1012:{a:9:{s:4:"path";s:36:"/admin/structure/paragraphs_type/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"paragraphs_type.add";s:6:"_title";s:19:"Add Paragraphs type";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":406:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/paragraphs_type/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/structure/paragraphs_type/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:36:"/admin/structure/paragraphs_type/add";s:8:"numParts";i:4;}}}}";s:19:"statistics.settings";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}}}";s:19:"system.admin_config";s:1031:"C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}}}";s:27:"system.admin_config_content";s:1042:"C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:21:"/admin/config/content";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:17:"Content authoring";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/config/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/config/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/config/content";s:8:"numParts";i:3;}}}}";s:31:"system.admin_config_development";s:1053:"C:31:"Symfony\\Component\\Routing\\Route":1007:{a:9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}}}";s:25:"system.admin_config_media";s:1021:"C:31:"Symfony\\Component\\Routing\\Route":976:{a:9:{s:4:"path";s:19:"/admin/config/media";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:5:"Media";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/config/media$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/config/media";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/config/media";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_regional";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:22:"/admin/config/regional";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:21:"Regional and language";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/regional$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/regional";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/regional";s:8:"numParts";i:3;}}}}";s:26:"system.admin_config_search";s:1040:"C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:20:"/admin/config/search";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:19:"Search and metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/search";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_services";s:1041:"C:31:"Symfony\\Component\\Routing\\Route":996:{a:9:{s:4:"path";s:22:"/admin/config/services";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:12:"Web services";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/services$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/services";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/services";s:8:"numParts";i:3;}}}}";s:26:"system.admin_config_system";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}}}";s:22:"system.admin_config_ui";s:1069:"C:31:"Symfony\\Component\\Routing\\Route":1023:{a:9:{s:4:"path";s:28:"/admin/config/user-interface";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"User interface";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/user\\-interface$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/config/user-interface";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/config/user-interface";s:8:"numParts";i:3;}}}}";s:28:"system.admin_config_workflow";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/config/workflow";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:8:"Workflow";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/workflow$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/workflow";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/workflow";s:8:"numParts";i:3;}}}}";s:20:"system.admin_content";s:1353:"C:31:"Symfony\\Component\\Routing\\Route":1307:{a:9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}}}";s:20:"system.admin_reports";s:995:"C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}}}";s:22:"system.admin_structure";s:1013:"C:31:"Symfony\\Component\\Routing\\Route":968:{a:9:{s:4:"path";s:16:"/admin/structure";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:9:"Structure";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":345:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/admin/structure$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/admin/structure";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/admin/structure";s:8:"numParts";i:2;}}}}";s:20:"system.cron_settings";s:1000:"C:31:"Symfony\\Component\\Routing\\Route":955:{a:9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}}}";s:27:"system.file_system_settings";s:1039:"C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:31:"/admin/config/media/file-system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\system\\Form\\FileSystemForm";s:6:"_title";s:11:"File system";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":392:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/media/file\\-system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/media/file-system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/media/file-system";s:8:"numParts";i:4;}}}}";s:29:"system.image_toolkit_settings";s:1052:"C:31:"Symfony\\Component\\Routing\\Route":1006:{a:9:{s:4:"path";s:33:"/admin/config/media/image-toolkit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\system\\Form\\ImageToolkitForm";s:6:"_title";s:13:"Image toolkit";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":398:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/media/image\\-toolkit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/media/image-toolkit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/media/image-toolkit";s:8:"numParts";i:4;}}}}";s:23:"system.logging_settings";s:1051:"C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}}}";s:19:"system.modules_list";s:998:"C:31:"Symfony\\Component\\Routing\\Route":953:{a:9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}}}";s:27:"system.performance_settings";s:1064:"C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}}}";s:24:"system.regional_settings";s:1042:"C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:31:"/admin/config/regional/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RegionalForm";s:6:"_title";s:17:"Regional settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/regional/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/regional/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/regional/settings";s:8:"numParts";i:4;}}}}";s:25:"system.rss_feeds_settings";s:1065:"C:31:"Symfony\\Component\\Routing\\Route":1019:{a:9:{s:4:"path";s:37:"/admin/config/services/rss-publishing";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RssFeedsForm";s:6:"_title";s:14:"RSS publishing";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/services/rss\\-publishing$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/services/rss-publishing";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/services/rss-publishing";s:8:"numParts";i:4;}}}}";s:32:"system.site_information_settings";s:1077:"C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:37:"/admin/config/system/site-information";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\system\\Form\\SiteInformationForm";s:6:"_title";s:19:"Basic site settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/system/site\\-information$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/system/site-information";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/system/site-information";s:8:"numParts";i:4;}}}}";s:13:"system.status";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}}}";s:13:"update.status";s:1036:"C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}}}";s:16:"user.admin_index";s:1026:"C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}}}";s:24:"views_ui.reports_plugins";s:1049:"C:31:"Symfony\\Component\\Routing\\Route":1003:{a:9:{s:4:"path";s:28:"/admin/reports/views-plugins";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins";s:6:"_title";s:13:"Views plugins";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/views\\-plugins$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/views-plugins";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/views-plugins";s:8:"numParts";i:3;}}}}";s:32:"webform.reports_plugins.elements";s:1112:"C:31:"Symfony\\Component\\Routing\\Route":1066:{a:9:{s:4:"path";s:39:"/admin/reports/webform-plugins/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginElementController::index";s:6:"_title";s:25:"Webform plugins: Elements";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":416:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/elements";s:8:"numParts";i:4;}}}}";}', -1, '1681652749.377', 1, 'routes', '7');
INSERT INTO `cache_data` VALUES
('route_provider.route_load:f4624bdaa568d623365db4c79e6247ca177b65d9af7625c16b4313b4683251e57dd09407b28a734d90764a12fbf1aef80ad625b1ce5bd7e459fb355eedb7bcb4', 'a:1:{s:25:"entity.webform.collection";s:1019:"C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:24:"/admin/structure/webform";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:7:"webform";s:6:"_title";s:8:"Webforms";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/webform$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/webform";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/webform";s:8:"numParts";i:3;}}}}";}', -1, '1681653298.780', 1, 'routes', '8'),
('route_provider.route_load:f4bb971ee38177fa0c1619a89474114cdd3d28a6062cccb4281a6f667fdf3e1fd508d36b312605f37138c9f0d3a82807d19f600199a2d9e6e2a494f8ecfb7409', 'a:150:{s:8:"<button>";s:772:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}";s:9:"<current>";s:710:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:10:"/<current>";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:0:{}s:7:"options";a:2:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/\\<current\\>$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/<current>";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:10:"/<current>";s:8:"numParts";i:1;}}";s:7:"<front>";s:777:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:6:"_title";s:4:"Home";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}";s:8:"<nolink>";s:772:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}";s:6:"<none>";s:772:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}";s:27:"block.category_autocomplete";s:984:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/block-category/autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:69:"\\Drupal\\block\\Controller\\CategoryAutocompleteController::autocomplete";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block\\-category/autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/block-category/autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:28:"/block-category/autocomplete";s:8:"numParts";i:2;}}";s:22:"block_content.add_form";s:1430:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/block/add/{block_content_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\block_content\\Controller\\BlockContentController::addForm";s:15:"_title_callback";s:72:"\\Drupal\\block_content\\Controller\\BlockContentController::getAddFormTitle";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/block/add/(?P<block_content_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:10:"/block/add";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:12:"/block/add/%";s:8:"numParts";i:3;}}";s:22:"block_content.add_page";s:963:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:10:"/block/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\block_content\\Controller\\BlockContentController::add";s:6:"_title";s:16:"Add custom block";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:17:"#^/block/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/block/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:10:"/block/add";s:8:"numParts";i:2;}}";s:15:"comment.approve";s:1369:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:26:"/comment/{comment}/approve";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:7:"Approve";s:11:"_controller";s:60:"\\Drupal\\comment\\Controller\\CommentController::commentApprove";s:11:"entity_type";s:7:"comment";}s:12:"requirements";a:3:{s:14:"_entity_access";s:15:"comment.approve";s:11:"_csrf_token";s:4:"TRUE";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/comment/(?P<comment>\\d+)/approve$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/approve";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:18:"/comment/%/approve";s:8:"numParts";i:3;}}";s:31:"comment.new_comments_node_links";s:1031:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:40:"/comments/render_new_comments_node_links";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:72:"\\Drupal\\comment\\Controller\\CommentController::renderNewCommentsNodeLinks";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/comments/render_new_comments_node_links$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/comments/render_new_comments_node_links";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:40:"/comments/render_new_comments_node_links";s:8:"numParts";i:2;}}";s:21:"comment.node_redirect";s:1248:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/comment/{node}/reply";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\comment\\Controller\\CommentController::redirectNode";}s:12:"requirements";a:3:{s:14:"_entity_access";s:9:"node.view";s:20:"_module_dependencies";s:4:"node";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/comment/(?P<node>\\d+)/reply$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/reply";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:16:"/comment/%/reply";s:8:"numParts";i:3;}}";s:13:"comment.reply";s:1805:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:56:"/comment/reply/{entity_type}/{entity}/{field_name}/{pid}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:58:"\\Drupal\\comment\\Controller\\CommentController::getReplyForm";s:6:"_title";s:15:"Add new comment";s:3:"pid";N;}s:12:"requirements";a:1:{s:14:"_custom_access";s:61:"\\Drupal\\comment\\Controller\\CommentController::replyFormAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:4:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:3:"pid";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:108:"#^/comment/reply/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)(?:/(?P<pid>[^/]++))?$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"pid";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:14:"/comment/reply";}}s:9:"path_vars";a:4:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:3:"pid";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:24;s:14:"patternOutline";s:20:"/comment/reply/%/%/%";s:8:"numParts";i:6;}}";s:17:"contact.site_page";s:1086:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:8:"/contact";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";s:12:"contact_form";N;}s:12:"requirements";a:1:{s:11:"_permission";s:29:"access site-wide contact form";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/contact";s:8:"numParts";i:1;}}";s:17:"contextual.render";s:927:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:18:"/contextual/render";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\contextual\\ContextualController::render";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access contextual links";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/contextual/render$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/contextual/render";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:18:"/contextual/render";s:8:"numParts";i:2;}}";s:17:"editor.filter_xss";s:1235:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:34:"/editor/filter_xss/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:42:"\\Drupal\\editor\\EditorController::filterXss";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"filter_format.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/editor/filter_xss/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:18:"/editor/filter_xss";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:20:"/editor/filter_xss/%";s:8:"numParts";i:3;}}";s:19:"editor.image_dialog";s:1205:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/editor/dialog/image/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\editor\\Form\\EditorImageDialog";s:6:"_title";s:12:"Upload image";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/editor/dialog/image/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:20:"/editor/dialog/image";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:22:"/editor/dialog/image/%";s:8:"numParts";i:4;}}";s:18:"editor.link_dialog";s:1195:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/editor/dialog/link/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\editor\\Form\\EditorLinkDialog";s:6:"_title";s:8:"Add link";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/editor/dialog/link/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:19:"/editor/dialog/link";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:21:"/editor/dialog/link/%";s:8:"numParts";i:4;}}";s:30:"entity.block_content.canonical";s:1214:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/block/{block_content}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:18:"block_content.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.update";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block/(?P<block_content>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:8:"/block/%";s:8:"numParts";i:2;}}";s:32:"entity.block_content.delete_form";s:1307:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/block/{block_content}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"block_content.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.delete";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/block/(?P<block_content>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/block/%/delete";s:8:"numParts";i:3;}}";s:30:"entity.block_content.edit_form";s:1214:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/block/{block_content}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:18:"block_content.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.update";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block/(?P<block_content>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:8:"/block/%";s:8:"numParts";i:2;}}";s:24:"entity.comment.canonical";s:1279:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:18:"/comment/{comment}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:15:"_title_callback";s:67:"\\Drupal\\comment\\Controller\\CommentController::commentPermalinkTitle";s:11:"_controller";s:62:"\\Drupal\\comment\\Controller\\CommentController::commentPermalink";}s:12:"requirements";a:2:{s:14:"_entity_access";s:12:"comment.view";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/comment/(?P<comment>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/comment/%";s:8:"numParts";i:2;}}";s:26:"entity.comment.delete_form";s:1226:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/comment/{comment}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:6:"Delete";s:12:"_entity_form";s:14:"comment.delete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"comment.delete";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/comment/(?P<comment>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/comment/%/delete";s:8:"numParts";i:3;}}";s:24:"entity.comment.edit_form";s:1217:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:23:"/comment/{comment}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:4:"Edit";s:12:"_entity_form";s:15:"comment.default";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"comment.update";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/comment/(?P<comment>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/comment/%/edit";s:8:"numParts";i:3;}}";s:29:"entity.contact_form.canonical";s:1233:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:23:"/contact/{contact_form}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"contact_form.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/contact/(?P<contact_form>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/contact/%";s:8:"numParts";i:2;}}";s:23:"entity.node.delete_form";s:1241:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/node/{node}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:11:"node.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:11:"node.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/node/(?P<node>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:14:"/node/%/delete";s:8:"numParts";i:3;}}";s:21:"entity.node.edit_form";s:1204:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/node/{node}/edit";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:9:"node.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"node.update";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/node/(?P<node>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:12:"/node/%/edit";s:8:"numParts";i:3;}}";s:19:"entity.node.preview";s:1504:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:43:"/node/preview/{node_preview}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:51:"\\Drupal\\node\\Controller\\NodePreviewController::view";s:15:"_title_callback";s:52:"\\Drupal\\node\\Controller\\NodePreviewController::title";}s:12:"requirements";a:1:{s:20:"_node_preview_access";s:14:"{node_preview}";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:12:"node_preview";a:2:{s:4:"type";s:12:"node_preview";s:9:"converter";s:42:"drupal.proxy_original_service.node_preview";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:25:"access_check.node.preview";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:12:"node_preview";i:1;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/node/preview/(?P<node_preview>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"node_preview";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/node/preview";}}s:9:"path_vars";a:2:{i:0;s:12:"node_preview";i:1;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:12;s:14:"patternOutline";s:17:"/node/preview/%/%";s:8:"numParts";i:4;}}";s:20:"entity.node.revision";s:1677:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:43:"/node/{node}/revisions/{node_revision}/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\node\\Controller\\NodeController::revisionShow";s:15:"_title_callback";s:57:"\\Drupal\\node\\Controller\\NodeController::revisionPageTitle";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"node_revision.view revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/view$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/view";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:24:"/node/%/revisions/%/view";s:8:"numParts";i:5;}}";s:27:"entity.node.version_history";s:1313:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/node/{node}/revisions";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:9:"Revisions";s:11:"_controller";s:56:"\\Drupal\\node\\Controller\\NodeController::revisionOverview";}s:12:"requirements";a:2:{s:14:"_entity_access";s:23:"node.view all revisions";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/node/(?P<node>\\d+)/revisions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/node/%/revisions";s:8:"numParts";i:3;}}";s:30:"entity.taxonomy_term.canonical";s:1671:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:30:"/taxonomy/term/{taxonomy_term}";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:57:"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:13:"taxonomy_term";}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"taxonomy_term";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/taxonomy/term/%";s:8:"numParts";i:3;}}";s:32:"entity.taxonomy_term.delete_form";s:1347:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"taxonomy_term.delete";s:6:"_title";s:11:"Delete term";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"taxonomy_term.delete";s:13:"taxonomy_term";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"taxonomy_term";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:23:"/taxonomy/term/%/delete";s:8:"numParts";i:4;}}";s:30:"entity.taxonomy_term.edit_form";s:1337:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:35:"/taxonomy/term/{taxonomy_term}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:21:"taxonomy_term.default";s:6:"_title";s:9:"Edit term";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"taxonomy_term.update";s:13:"taxonomy_term";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:49:"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"taxonomy_term";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:21:"/taxonomy/term/%/edit";s:8:"numParts";i:4;}}";s:23:"entity.user.cancel_form";s:1217:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/user/{user}/cancel";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:14:"Cancel account";s:12:"_entity_form";s:11:"user.cancel";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:11:"user.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/user/(?P<user>\\d+)/cancel$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/cancel";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:14:"/user/%/cancel";s:8:"numParts";i:3;}}";s:21:"entity.user.canonical";s:1166:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:12:"/user/{user}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_view";s:9:"user.full";s:15:"_title_callback";s:48:"Drupal\\user\\Controller\\UserController::userTitle";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:9:"user.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/user/(?P<user>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/user/%";s:8:"numParts";i:2;}}";s:24:"entity.user.contact_form";s:1258:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/user/{user}/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:65:"\\Drupal\\contact\\Controller\\ContactController::contactPersonalPage";}s:12:"requirements";a:2:{s:28:"_access_contact_personal_tab";s:4:"TRUE";s:4:"user";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:29:"access_check.contact_personal";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/user/(?P<user>\\d+)/contact$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/user/%/contact";s:8:"numParts";i:3;}}";s:21:"entity.user.edit_form";s:1254:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/user/{user}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"user.default";s:15:"_title_callback";s:48:"Drupal\\user\\Controller\\UserController::userTitle";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:11:"user.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/user/(?P<user>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:12:"/user/%/edit";s:8:"numParts";i:3;}}";s:28:"entity.webform.access_denied";s:1343:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:32:"/webform/{webform}/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::accessDenied";s:15:"_title_callback";s:69:"\\Drupal\\webform\\Controller\\WebformEntityController::accessDeniedTitle";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/webform/(?P<webform>[^/]++)/access\\-denied$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/access-denied";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:24:"/webform/%/access-denied";s:8:"numParts";i:3;}}";s:25:"entity.webform.assets.css";s:1173:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/webform/css/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:55:"\\Drupal\\webform\\Controller\\WebformEntityController::css";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/webform/css/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/webform/css";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:14:"/webform/css/%";s:8:"numParts";i:3;}}";s:32:"entity.webform.assets.javascript";s:1208:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:29:"/webform/javascript/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\webform\\Controller\\WebformEntityController::javascript";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/webform/javascript/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:19:"/webform/javascript";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:21:"/webform/javascript/%";s:8:"numParts";i:3;}}";s:24:"entity.webform.canonical";s:1259:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:18:"/webform/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:59:"\\Drupal\\webform\\Controller\\WebformEntityController::addForm";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform.submission_page";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/webform/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/webform/%";s:8:"numParts";i:2;}}";s:27:"entity.webform.confirmation";s:1463:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/webform/{webform}/confirmation";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::confirmation";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/webform/(?P<webform>[^/]++)/confirmation$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/confirmation";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:23:"/webform/%/confirmation";s:8:"numParts";i:3;}}";s:24:"entity.webform.test_form";s:1301:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:23:"/webform/{webform}/test";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\webform\\Controller\\WebformTestController::testForm";s:15:"_title_callback";s:55:"\\Drupal\\webform\\Controller\\WebformTestController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.test";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/webform/(?P<webform>[^/]++)/test$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/test";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/webform/%/test";s:8:"numParts";i:3;}}";s:26:"entity.webform.user.drafts";s:1573:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:43:"/webform/{webform}/drafts/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:6:"Drafts";s:15:"submission_view";s:0:"";}s:12:"requirements";a:2:{s:14:"_entity_access";s:25:"webform.submission_create";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess::checkDraftsAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/webform/(?P<webform>[^/]++)/drafts(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/drafts";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/webform/%/drafts";s:8:"numParts";i:4;}}";s:30:"entity.webform.user.submission";s:1618:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:51:"/webform/{webform}/submissions/{webform_submission}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::view";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"view_mode";s:4:"html";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform_submission.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:78:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:10;s:14:"patternOutline";s:24:"/webform/%/submissions/%";s:8:"numParts";i:4;}}";s:37:"entity.webform.user.submission.delete";s:1569:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:58:"/webform/{webform}/submissions/{webform_submission}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"webform_submission.delete";s:6:"_title";s:25:"Delete webform submission";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.delete";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:85:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:31:"/webform/%/submissions/%/delete";s:8:"numParts";i:5;}}";s:40:"entity.webform.user.submission.duplicate";s:1948:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:61:"/webform/{webform}/submissions/{webform_submission}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:28:"webform_submission.duplicate";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"duplicate";b:1;s:7:"setting";s:25:"submission_user_duplicate";s:5:"value";b:1;}s:12:"requirements";a:2:{s:14:"_entity_access";s:28:"webform_submission.duplicate";s:14:"_custom_access";s:68:"\\Drupal\\webform\\Access\\WebformEntityAccess::checkWebformSettingValue";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:34:"/webform/%/submissions/%/duplicate";s:8:"numParts";i:5;}}";s:35:"entity.webform.user.submission.edit";s:1609:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:56:"/webform/{webform}/submissions/{webform_submission}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"webform_submission.edit";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.update";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:83:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/edit$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:29:"/webform/%/submissions/%/edit";s:8:"numParts";i:5;}}";s:31:"entity.webform.user.submissions";s:1480:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:48:"/webform/{webform}/submissions/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:11:"Submissions";s:15:"submission_view";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:27:"webform.submission_view_own";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:80:"#^/webform/(?P<webform>[^/]++)/submissions(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:22:"/webform/%/submissions";s:8:"numParts";i:4;}}";s:30:"entity.webform_submission.user";s:1491:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:42:"/user/{user}/submissions/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:11:"Submissions";s:15:"submission_view";s:0:"";}s:12:"requirements";a:1:{s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkUserSubmissionsAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:4:"user";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/user/(?P<user>[^/]++)/submissions(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"user";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:2:{i:0;s:4:"user";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:19:"/user/%/submissions";s:8:"numParts";i:4;}}";s:18:"file.ajax_progress";s:1045:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/file/progress/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\file\\Controller\\FileWidgetAjaxController::progress";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/file/progress/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/file/progress";}}s:9:"path_vars";a:1:{i:0;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/file/progress/%";s:8:"numParts";i:3;}}";s:11:"filter.tips";s:1256:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/filter/tips/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\filter\\Controller\\FilterController::filterTips";s:6:"_title";s:12:"Compose tips";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"filter_format.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/filter/tips/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/filter/tips";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:14:"/filter/tips/%";s:8:"numParts";i:3;}}";s:15:"filter.tips_all";s:1050:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:12:"/filter/tips";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\filter\\Controller\\FilterController::filterTips";s:6:"_title";s:12:"Compose tips";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/filter/tips$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/filter/tips";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/filter/tips";s:8:"numParts";i:2;}}";s:24:"fontawesome.autocomplete";s:979:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:25:"/fontawesome-autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:73:"\\Drupal\\fontawesome\\Controller\\AutocompleteController::handleAutocomplete";s:7:"_format";s:4:"json";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/fontawesome\\-autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/fontawesome-autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:25:"/fontawesome-autocomplete";s:8:"numParts";i:1;}}";s:23:"fontawesome.icon_dialog";s:1234:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/fontawesome/dialog/icon/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\fontawesome\\Form\\EditorIconDialog";s:6:"_title";s:21:"Add Font Awesome Icon";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/fontawesome/dialog/icon/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:24:"/fontawesome/dialog/icon";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:26:"/fontawesome/dialog/icon/%";s:8:"numParts";i:4;}}";s:27:"fullcalendar_view.add_event";s:1013:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/fullcalendar-view-event-add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:70:"\\Drupal\\fullcalendar_view\\Controller\\CalendarEventController::addEvent";s:6:"_title";s:9:"Add Event";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/fullcalendar\\-view\\-event\\-add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/fullcalendar-view-event-add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:28:"/fullcalendar-view-event-add";s:8:"numParts";i:1;}}";s:30:"fullcalendar_view.update_event";s:999:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:31:"/fullcalendar-view-event-update";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:73:"\\Drupal\\fullcalendar_view\\Controller\\CalendarEventController::updateEvent";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/fullcalendar\\-view\\-event\\-update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/fullcalendar-view-event-update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:31:"/fullcalendar-view-event-update";s:8:"numParts";i:1;}}";s:26:"history.get_last_node_view";s:998:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:33:"/history/get_node_read_timestamps";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:67:"\\Drupal\\history\\Controller\\HistoryController::getNodeReadTimestamps";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/history/get_node_read_timestamps$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/history/get_node_read_timestamps";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:33:"/history/get_node_read_timestamps";s:8:"numParts";i:2;}}";s:17:"history.read_node";s:1201:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/history/{node}/read";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:54:"\\Drupal\\history\\Controller\\HistoryController::readNode";}s:12:"requirements";a:2:{s:14:"_entity_access";s:9:"node.view";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/history/(?P<node>\\d+)/read$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/read";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/history";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/history/%/read";s:8:"numParts";i:3;}}";s:19:"image.style_private";s:1376:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:43:"/system/files/styles/{image_style}/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\image\\Controller\\ImageStyleDownloadController::deliver";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/system/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:20:"/system/files/styles";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:28;s:14:"patternOutline";s:24:"/system/files/styles/%/%";s:8:"numParts";i:5;}}";s:18:"image.style_public";s:1403:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:50:"/sites/default/files/styles/{image_style}/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:61:"Drupal\\image\\Controller\\ImageStyleDownloadController::deliver";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/sites/default/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/sites/default/files/styles";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:60;s:14:"patternOutline";s:31:"/sites/default/files/styles/%/%";s:8:"numParts";i:6;}}";s:8:"node.add";s:1323:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/node/add/{node_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"node.default";s:15:"_title_callback";s:52:"\\Drupal\\node\\Controller\\NodeController::addPageTitle";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:16:"node:{node_type}";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:3:{s:4:"type";s:16:"entity:node_type";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/node/add/(?P<node_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:9:"/node/add";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:11:"/node/add/%";s:8:"numParts";i:3;}}";s:13:"node.add_page";s:978:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:9:"/node/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:11:"Add content";s:11:"_controller";s:47:"\\Drupal\\node\\Controller\\NodeController::addPage";}s:12:"requirements";a:1:{s:25:"_entity_create_any_access";s:4:"node";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.entity_create_any";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/node/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/node/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:9:"/node/add";s:8:"numParts";i:2;}}";s:28:"node.revision_delete_confirm";s:1681:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:45:"/node/{node}/revisions/{node_revision}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\NodeRevisionDeleteForm";s:6:"_title";s:23:"Delete earlier revision";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.delete revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:26:"/node/%/revisions/%/delete";s:8:"numParts";i:5;}}";s:28:"node.revision_revert_confirm";s:1684:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:45:"/node/{node}/revisions/{node_revision}/revert";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\NodeRevisionRevertForm";s:6:"_title";s:26:"Revert to earlier revision";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.revert revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/revert";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:26:"/node/%/revisions/%/revert";s:8:"numParts";i:5;}}";s:40:"node.revision_revert_translation_confirm";s:1869:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:56:"/node/{node}/revisions/{node_revision}/revert/{langcode}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:51:"\\Drupal\\node\\Form\\NodeRevisionRevertTranslationForm";s:6:"_title";s:43:"Revert to earlier revision of a translation";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.revert revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:3:{i:0;s:4:"node";i:1;s:13:"node_revision";i:2;s:8:"langcode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:90:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert/(?P<langcode>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/revert";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:3:{i:0;s:4:"node";i:1;s:13:"node_revision";i:2;s:8:"langcode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:42;s:14:"patternOutline";s:28:"/node/%/revisions/%/revert/%";s:8:"numParts";i:6;}}";s:21:"quickedit.attachments";s:946:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/quickedit/attachments";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:50:"\\Drupal\\quickedit\\QuickEditController::attachments";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/quickedit/attachments$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/quickedit/attachments";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:22:"/quickedit/attachments";s:8:"numParts";i:2;}}";s:21:"quickedit.entity_save";s:1491:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:40:"/quickedit/entity/{entity_type}/{entity}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:49:"\\Drupal\\quickedit\\QuickEditController::entitySave";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:14:"_entity_access";s:13:"entity.update";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:11:"entity_type";i:1;s:6:"entity";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/quickedit/entity/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:17:"/quickedit/entity";}}s:9:"path_vars";a:2:{i:0;s:11:"entity_type";i:1;s:6:"entity";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:12;s:14:"patternOutline";s:21:"/quickedit/entity/%/%";s:8:"numParts";i:4;}}";s:20:"quickedit.field_form";s:2012:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:77:"/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:48:"\\Drupal\\quickedit\\QuickEditController::fieldForm";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/quickedit/form/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:15:"/quickedit/form";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:96;s:14:"patternOutline";s:25:"/quickedit/form/%/%/%/%/%";s:8:"numParts";i:7;}}";s:34:"quickedit.field_untransformed_text";s:2003:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:72:"/quickedit/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:59:"\\Drupal\\quickedit\\QuickEditController::getUntransformedText";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:129:"#^/quickedit/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:10:"/quickedit";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:32;s:14:"patternOutline";s:20:"/quickedit/%/%/%/%/%";s:8:"numParts";i:6;}}";s:20:"quickedit.image_info";s:2075:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:83:"/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\quickedit\\Controller\\QuickEditImageController::getInfo";}s:12:"requirements";a:3:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";s:7:"_method";s:3:"GET";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:140:"#^/quickedit/image/info/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:21:"/quickedit/image/info";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:224;s:14:"patternOutline";s:31:"/quickedit/image/info/%/%/%/%/%";s:8:"numParts";i:8;}}";s:22:"quickedit.image_upload";s:2083:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:85:"/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:61:"\\Drupal\\quickedit\\Controller\\QuickEditImageController::upload";}s:12:"requirements";a:3:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";s:7:"_method";s:4:"POST";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:142:"#^/quickedit/image/upload/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:23:"/quickedit/image/upload";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:224;s:14:"patternOutline";s:33:"/quickedit/image/upload/%/%/%/%/%";s:8:"numParts";i:8;}}";s:18:"quickedit.metadata";s:931:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/quickedit/metadata";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\quickedit\\QuickEditController::metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/quickedit/metadata$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/quickedit/metadata";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:19:"/quickedit/metadata";s:8:"numParts";i:2;}}";s:23:"search.help_node_search";s:1185:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/search/node/help";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:53:"Drupal\\search\\Controller\\SearchController::searchHelp";s:6:"_title";s:15:"About searching";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/search/node/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/search/node/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:17:"/search/node/help";s:8:"numParts";i:3;}}";s:23:"search.help_user_search";s:1185:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/search/user/help";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:53:"Drupal\\search\\Controller\\SearchController::searchHelp";s:6:"_title";s:15:"About searching";s:6:"entity";s:11:"user_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/search/user/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/search/user/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:17:"/search/user/help";s:8:"numParts";i:3;}}";s:11:"search.view";s:1140:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:7:"/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:61:"Drupal\\search\\Controller\\SearchController::redirectSearchPage";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/search";s:8:"numParts";i:1;}}";s:23:"search.view_node_search";s:1149:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:12:"/search/node";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:47:"Drupal\\search\\Controller\\SearchController::view";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/search/node$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/search/node";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/search/node";s:8:"numParts";i:2;}}";s:23:"search.view_user_search";s:1149:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:12:"/search/user";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:47:"Drupal\\search\\Controller\\SearchController::view";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"user_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/search/user$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/search/user";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/search/user";s:8:"numParts";i:2;}}";s:19:"shortcut.set_switch";s:1291:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/user/{user}/shortcuts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\shortcut\\Form\\SwitchShortcutSet";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:14:"_custom_access";s:52:"\\Drupal\\shortcut\\Form\\SwitchShortcutSet::checkAccess";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"user";s:3:"\\d+";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/user/(?P<user>[^/]++)/shortcuts$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/shortcuts";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/user/%/shortcuts";s:8:"numParts";i:3;}}";s:10:"system.401";s:906:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/system/401";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on401";s:6:"_title";s:12:"Unauthorized";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/401$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/401";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/401";s:8:"numParts";i:2;}}";s:10:"system.403";s:907:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/system/403";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on403";s:6:"_title";s:13:"Access denied";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/403$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/403";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/403";s:8:"numParts";i:2;}}";s:10:"system.404";s:908:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/system/404";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on404";s:6:"_title";s:14:"Page not found";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/404$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/404";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/404";s:8:"numParts";i:2;}}";s:10:"system.4xx";s:906:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/system/4xx";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on4xx";s:6:"_title";s:12:"Client error";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/4xx$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/4xx";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/4xx";s:8:"numParts";i:2;}}";s:22:"system.batch_page.html";s:990:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";s:15:"_title_callback";s:57:"\\Drupal\\system\\Controller\\BatchController::batchPageTitle";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"html";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}";s:11:"system.cron";s:993:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/cron/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:34:"\\Drupal\\system\\CronController::run";}s:12:"requirements";a:1:{s:19:"_access_system_cron";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:17:"access_check.cron";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/cron/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/cron";}}s:9:"path_vars";a:1:{i:0;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/cron/%";s:8:"numParts";i:2;}}";s:16:"system.csrftoken";s:892:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/session/token";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:56:"\\Drupal\\system\\Controller\\CsrfTokenController::csrfToken";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/session/token$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/session/token";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/session/token";s:8:"numParts";i:2;}}";s:16:"system.db_update";s:1025:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:16:"/update.php/{op}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:2:"op";s:4:"info";}s:12:"requirements";a:1:{s:21:"_access_system_update";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"default_url_options";a:1:{s:15:"path_processing";b:0;}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:22:"access_check.db_update";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:2:"op";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"op";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/update.php";}}s:9:"path_vars";a:1:{i:0;s:2:"op";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:11:"/update.php";s:8:"numParts";i:2;}}";s:26:"system.entity_autocomplete";s:1585:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:89:"/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:74:"\\Drupal\\system\\Controller\\EntityAutocompleteController::handleAutocomplete";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:3:{i:0;s:11:"target_type";i:1;s:17:"selection_handler";i:2;s:22:"selection_settings_key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:126:"#^/entity_reference_autocomplete/(?P<target_type>[^/]++)/(?P<selection_handler>[^/]++)/(?P<selection_settings_key>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:22:"selection_settings_key";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:17:"selection_handler";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"target_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:30:"/entity_reference_autocomplete";}}s:9:"path_vars";a:3:{i:0;s:11:"target_type";i:1;s:17:"selection_handler";i:2;s:22:"selection_settings_key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:8;s:14:"patternOutline";s:36:"/entity_reference_autocomplete/%/%/%";s:8:"numParts";i:4;}}";s:12:"system.files";s:1056:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/system/files/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";s:6:"scheme";s:7:"private";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/system/files(?:/(?P<scheme>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/system/files";}}s:9:"path_vars";a:1:{i:0;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/system/files";s:8:"numParts";i:3;}}";s:33:"system.machine_name_transliterate";s:958:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:27:"/machine_name/transliterate";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\system\\MachineNameController::transliterate";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/machine_name/transliterate$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/machine_name/transliterate";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:27:"/machine_name/transliterate";s:8:"numParts";i:2;}}";s:28:"system.private_file_download";s:1052:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/system/files/{filepath}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";}s:12:"requirements";a:2:{s:8:"filepath";s:2:".+";s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:8:"filepath";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/system/files/(?P<filepath>.+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:2:".+";i:3;s:8:"filepath";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/system/files";}}s:9:"path_vars";a:1:{i:0;s:8:"filepath";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:15:"/system/files/%";s:8:"numParts";i:3;}}";s:16:"system.temporary";s:924:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/system/temporary";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";s:6:"scheme";s:9:"temporary";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/system/temporary$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/system/temporary";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/system/temporary";s:8:"numParts";i:2;}}";s:15:"system.timezone";s:1551:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:66:"/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:57:"\\Drupal\\system\\Controller\\TimezoneController::getTimezone";s:12:"abbreviation";s:0:"";s:6:"offset";i:-1;s:23:"is_daylight_saving_time";N;}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:3:{i:0;s:12:"abbreviation";i:1;s:6:"offset";i:2;s:23:"is_daylight_saving_time";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:118:"#^/system/timezone(?:/(?P<abbreviation>[^/]++)(?:/(?P<offset>[^/]++)(?:/(?P<is_daylight_saving_time>[^/]++))?)?)?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:23:"is_daylight_saving_time";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"offset";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"abbreviation";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:16:"/system/timezone";}}s:9:"path_vars";a:3:{i:0;s:12:"abbreviation";i:1;s:6:"offset";i:2;s:23:"is_daylight_saving_time";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/system/timezone";s:8:"numParts";i:5;}}";s:16:"toolbar.subtrees";s:1111:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:24:"/toolbar/subtrees/{hash}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\toolbar\\Controller\\ToolbarController::subtreesAjax";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\toolbar\\Controller\\ToolbarController::checkSubTreeAccess";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/toolbar/subtrees/(?P<hash>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:17:"/toolbar/subtrees";}}s:9:"path_vars";a:1:{i:0;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:19:"/toolbar/subtrees/%";s:8:"numParts";i:3;}}";s:19:"user.cancel_confirm";s:1671:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:53:"/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:28:"Confirm account cancellation";s:11:"_controller";s:53:"\\Drupal\\user\\Controller\\UserController::confirmCancel";s:9:"timestamp";i:0;s:11:"hashed_pass";s:0:"";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"user.delete";s:4:"user";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:3:{i:0;s:4:"user";i:1;s:9:"timestamp";i:2;s:11:"hashed_pass";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:97:"#^/user/(?P<user>\\d+)/cancel/confirm(?:/(?P<timestamp>[^/]++)(?:/(?P<hashed_pass>[^/]++))?)?$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"hashed_pass";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:15:"/cancel/confirm";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:3:{i:0;s:4:"user";i:1;s:9:"timestamp";i:2;s:11:"hashed_pass";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:11;s:14:"patternOutline";s:22:"/user/%/cancel/confirm";s:8:"numParts";i:6;}}";s:9:"user.edit";s:927:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:10:"/user/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\user\\Controller\\UserController::userEditPage";s:6:"_title";s:12:"Edit account";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:17:"#^/user/edit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/user/edit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:10:"/user/edit";s:8:"numParts";i:2;}}";s:10:"user.login";s:928:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/user/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\user\\Form\\UserLoginForm";s:6:"_title";s:6:"Log in";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/user/login$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/user/login";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/user/login";s:8:"numParts";i:2;}}";s:11:"user.logout";s:896:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:12:"/user/logout";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:46:"\\Drupal\\user\\Controller\\UserController::logout";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/user/logout$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/user/logout";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/user/logout";s:8:"numParts";i:2;}}";s:9:"user.page";s:898:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:5:"/user";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\user\\Controller\\UserController::userPage";s:6:"_title";s:10:"My account";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:12:"#^/user$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:5:"/user";s:8:"numParts";i:1;}}";s:9:"user.pass";s:934:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/user/password";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\user\\Form\\UserPasswordForm";s:6:"_title";s:19:"Reset your password";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/user/password$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/user/password";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/user/password";s:8:"numParts";i:2;}}";s:13:"user.register";s:910:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/user/register";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:13:"user.register";s:6:"_title";s:18:"Create new account";}s:12:"requirements";a:1:{s:21:"_access_user_register";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.user.register";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/user/register$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/user/register";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/user/register";s:8:"numParts";i:2;}}";s:10:"user.reset";s:1390:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:36:"/user/reset/{uid}/{timestamp}/{hash}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\user\\Controller\\UserController::resetPass";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:73:"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:24;s:14:"patternOutline";s:17:"/user/reset/%/%/%";s:8:"numParts";i:5;}}";s:15:"user.reset.form";s:1120:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/user/reset/{uid}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\user\\Controller\\UserController::getResetPassForm";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:3:"uid";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/user/reset/(?P<uid>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:1:{i:0;s:3:"uid";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:13:"/user/reset/%";s:8:"numParts";i:3;}}";s:16:"user.reset.login";s:1478:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:42:"/user/reset/{uid}/{timestamp}/{hash}/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\user\\Controller\\UserController::resetPassLogin";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/login$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/login";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:49;s:14:"patternOutline";s:23:"/user/reset/%/%/%/login";s:8:"numParts";i:6;}}";s:31:"user.well-known.change_password";s:969:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:28:"/.well-known/change-password";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\user\\Controller\\UserController::userEditPage";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/\\.well\\-known/change\\-password$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/.well-known/change-password";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:28:"/.well-known/change-password";s:8:"numParts";i:2;}}";s:21:"view.frontpage.feed_1";s:1283:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:8:"/rss.xml";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"frontpage";s:10:"display_id";s:6:"feed_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"feed";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/rss\\.xml$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/rss.xml";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/rss.xml";s:8:"numParts";i:1;}}";s:21:"view.frontpage.page_1";s:1295:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:5:"/node";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"frontpage";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:12:"#^/node$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:5:"/node";s:8:"numParts";i:1;}}";s:21:"view.mt_albums.page_2";s:1366:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/albums-3-col-style-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_albums";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/albums\\-3\\-col\\-style\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/albums-3-col-style-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/albums-3-col-style-2";s:8:"numParts";i:1;}}";s:34:"view.mt_albums_grid_style_2.page_2";s:1317:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:7:"/albums";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/albums$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/albums";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/albums";s:8:"numParts";i:1;}}";s:34:"view.mt_albums_grid_style_2.page_3";s:1346:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/albums-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/albums\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/albums-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/albums-2-col";s:8:"numParts";i:1;}}";s:23:"view.mt_articles.page_1";s:1314:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:9:"/articles";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_articles";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/articles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/articles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/articles";s:8:"numParts";i:1;}}";s:28:"view.mt_articles_grid.page_1";s:1348:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:15:"/articles-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-4-col";s:8:"numParts";i:1;}}";s:28:"view.mt_articles_grid.page_2";s:1348:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:15:"/articles-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-3-col";s:8:"numParts";i:1;}}";s:28:"view.mt_articles_grid.page_4";s:1348:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:15:"/articles-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_4";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-2-col";s:8:"numParts";i:1;}}";s:28:"view.mt_articles_list.page_1";s:1343:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/articles-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/articles\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/articles-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/articles-list";s:8:"numParts";i:1;}}";s:31:"view.mt_collections_grid.page_1";s:1366:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/merchandise-groups";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_collections_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-groups$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/merchandise-groups";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/merchandise-groups";s:8:"numParts";i:1;}}";s:34:"view.mt_collections_masonry.page_1";s:1402:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:27:"/merchandise-groups-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_collections_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/merchandise\\-groups\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/merchandise-groups-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:27:"/merchandise-groups-masonry";s:8:"numParts";i:1;}}";s:26:"view.mt_events_grid.page_2";s:1338:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/events-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-3-col";s:8:"numParts";i:1;}}";s:26:"view.mt_events_grid.page_3";s:1338:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/events-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-2-col";s:8:"numParts";i:1;}}";s:26:"view.mt_events_list.page_1";s:1309:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:7:"/events";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/events$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/events";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/events";s:8:"numParts";i:1;}}";s:22:"view.mt_isotope.page_1";s:1341:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:15:"/albums-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/albums\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/albums-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/albums-isotope";s:8:"numParts";i:1;}}";s:22:"view.mt_isotope.page_2";s:1373:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:23:"/accommodations-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/accommodations\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/accommodations-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:23:"/accommodations-isotope";s:8:"numParts";i:1;}}";s:22:"view.mt_isotope.page_3";s:1361:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/merchandise-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-isotope";s:8:"numParts";i:1;}}";s:33:"view.mt_presentations_grid.page_2";s:1373:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/presentations-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/presentations\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/presentations-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/presentations-3-col";s:8:"numParts";i:1;}}";s:33:"view.mt_presentations_grid.page_3";s:1347:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:14:"/presentations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/presentations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/presentations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/presentations";s:8:"numParts";i:1;}}";s:29:"view.mt_pricing_tables.page_1";s:1348:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:15:"/pricing-tables";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"mt_pricing_tables";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/pricing\\-tables$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/pricing-tables";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/pricing-tables";s:8:"numParts";i:1;}}";s:23:"view.mt_products.page_1";s:1355:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:18:"/merchandise-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-4-col";s:8:"numParts";i:1;}}";s:23:"view.mt_products.page_2";s:1329:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:12:"/merchandise";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/merchandise$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/merchandise";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:12:"/merchandise";s:8:"numParts";i:1;}}";s:23:"view.mt_products.page_3";s:1355:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:18:"/merchandise-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-2-col";s:8:"numParts";i:1;}}";s:28:"view.mt_products_list.page_1";s:1355:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:17:"/merchandise-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_products_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/merchandise\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/merchandise-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:17:"/merchandise-list";s:8:"numParts";i:1;}}";s:31:"view.mt_products_masonry.page_1";s:1370:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/merchandise-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_products_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-masonry";s:8:"numParts";i:1;}}";s:22:"view.mt_program.page_1";s:1309:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:8:"/program";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_program";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/program$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/program";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/program";s:8:"numParts";i:1;}}";s:23:"view.mt_services.page_1";s:1367:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/accommodations-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-4-col";s:8:"numParts";i:1;}}";s:23:"view.mt_services.page_2";s:1341:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:15:"/accommodations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/accommodations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/accommodations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/accommodations";s:8:"numParts";i:1;}}";s:23:"view.mt_services.page_3";s:1367:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/accommodations-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-2-col";s:8:"numParts";i:1;}}";s:28:"view.mt_services_list.page_1";s:1367:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:20:"/accommodations-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_services_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/accommodations\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/accommodations-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/accommodations-list";s:8:"numParts";i:1;}}";s:23:"view.mt_speakers.page_1";s:1314:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:9:"/speakers";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_speakers";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/speakers$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/speakers";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/speakers";s:8:"numParts";i:1;}}";s:28:"view.mt_sponsors_grid.page_2";s:1319:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:9:"/sponsors";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_sponsors_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/sponsors$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/sponsors";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/sponsors";s:8:"numParts";i:1;}}";s:32:"view.mt_team_members_grid.page_2";s:1343:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/team-members";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/team\\-members$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/team-members";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/team-members";s:8:"numParts";i:1;}}";s:34:"view.mt_team_members_grid_2.page_2";s:1354:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:15:"/team-members-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_team_members_grid_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/team\\-members\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/team-members-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/team-members-2";s:8:"numParts";i:1;}}";s:32:"view.mt_team_members_list.page_1";s:1364:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:18:"/team-members-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/team\\-members\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/team-members-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/team-members-list";s:8:"numParts";i:1;}}";s:27:"view.mt_testimonials.page_1";s:1337:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:13:"/testimonials";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:15:"mt_testimonials";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/testimonials$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/testimonials";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/testimonials";s:8:"numParts";i:1;}}";s:32:"view.mt_testimonials_grid.page_1";s:1368:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:19:"/testimonials-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_testimonials_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/testimonials\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/testimonials-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/testimonials-3-col";s:8:"numParts";i:1;}}";s:34:"view.mt_testimonials_grid_2.page_1";s:1379:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/testimonials-3-col-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_testimonials_grid_2";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/testimonials\\-3\\-col\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-3-col-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-3-col-2";s:8:"numParts";i:1;}}";s:35:"view.mt_testimonials_masonry.page_1";s:1378:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:21:"/testimonials-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:23:"mt_testimonials_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/testimonials\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-masonry";s:8:"numParts";i:1;}}";s:21:"view.mt_videos.page_1";s:1303:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:7:"/videos";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_videos";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/videos$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/videos";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/videos";s:8:"numParts";i:1;}}";s:25:"view.taxonomy_term.feed_1";s:1537:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:27:"/taxonomy/term/{arg_0}/feed";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"feed_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:5:"arg_0";}s:23:"_view_display_plugin_id";s:4:"feed";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:5:"arg_0";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/taxonomy/term/(?P<arg_0>[^/]++)/feed$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/feed";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"arg_0";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:5:"arg_0";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:21:"/taxonomy/term/%/feed";s:8:"numParts";i:4;}}";s:25:"view.taxonomy_term.page_1";s:1505:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:22:"/taxonomy/term/{arg_0}";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:5:"arg_0";}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:1:{i:0;s:5:"arg_0";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"arg_0";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:5:"arg_0";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/taxonomy/term/%";s:8:"numParts";i:3;}}";s:10:"views.ajax";s:877:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:11:"/views/ajax";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:53:"\\Drupal\\views\\Controller\\ViewAjaxController::ajaxView";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/views/ajax$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/views/ajax";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/views/ajax";s:8:"numParts";i:2;}}";s:28:"webform.element.autocomplete";s:1401:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/webform/{webform}/autocomplete/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:65:"\\Drupal\\webform\\Controller\\WebformElementController::autocomplete";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform.submission_create";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:64:"#^/webform/(?P<webform>[^/]++)/autocomplete/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/autocomplete";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:10;s:14:"patternOutline";s:25:"/webform/%/autocomplete/%";s:8:"numParts";i:4;}}";s:29:"webform.element.message.close";s:1313:"O:31:"Symfony\\Component\\Routing\\Route":9:{s:4:"path";s:37:"/webform/message/close/{storage}/{id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\webform\\Controller\\WebformElementController::close";s:8:"_storage";s:4:"user";}s:12:"requirements";a:2:{s:18:"_user_is_logged_in";s:4:"TRUE";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:30:"access_check.user.login_status";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";O:33:"Drupal\\Core\\Routing\\CompiledRoute":11:{s:4:"vars";a:2:{i:0;s:7:"storage";i:1;s:2:"id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:64:"#^/webform/message/close/(?P<storage>[^/]++)/(?P<id>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"storage";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:22:"/webform/message/close";}}s:9:"path_vars";a:2:{i:0;s:7:"storage";i:1;s:2:"id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:28;s:14:"patternOutline";s:26:"/webform/message/close/%/%";s:8:"numParts";i:5;}}";}', -1, '1681652202.899', 1, 'routes', '5');
INSERT INTO `cache_data` VALUES
('views:unpack_options:04da7485da342db5e8ab8c7de845c8c3724a25cf1afb3fd24b82b5fcf35ae579:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:6:"albums";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.787', 1, 'config:views.view.mt_albums_grid_style_2', '0'),
('views:unpack_options:08fc1fefb8ceed19efb3cdd5d09ede9c9d213888631136c7f32730095c2fdf4e:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:0;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:8:"articles";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:5:"d M Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:8:"Articles";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.139', 1, 'config:views.view.mt_latest', '0'),
('views:unpack_options:0b4d8e113769a12f689e2028e62975f8ace2b9691a78b87833db5950353258e5:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:14:"Accommodations";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"services-3-col";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:14:"Accommodations";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.140', 1, 'config:views.view.mt_latest', '0'),
('views:unpack_options:0f0a1b8173cbf2e2ad3b87b924b76f6f22bbe25ca2955eb90a0cb960ed756b13:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:8:"Sponsors";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.204', 1, 'config:views.view.mt_sponsors_grid_2', '0'),
('views:unpack_options:102356abd673cc185542585ebdde1d10c6ab7c0b61df4f00238a75e7b11284a0:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:4:"node";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.783', 1, 'config:views.view.frontpage', '0'),
('views:unpack_options:122185dc8c05ab93d0389281df3979f408f8a826180edc6d57b29ddaad0b8563:en', 'a:33:{s:5:"title";s:8:"Sponsors";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:43:"view-mt-carousel view-mt-carousel--sponsors";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-sponsors";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:2:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-logo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:5:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:27:"field_mt_spn_logo_target_id";a:14:{s:2:"id";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:27:"field_mt_spn_logo_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.200', 1, 'config:views.view.mt_sponsors_carousel', '0'),
('views:unpack_options:122d9c7d741f08ddbc73cb1f5ec0007ca8c0f6313938c1183a473330e653b69a:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:26:"Pricing Tables - 3 Columns";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.165', 1, 'config:views.view.mt_pricing_tables', '0'),
('views:unpack_options:130e2742ffab09145ade6d4360ecc3b7b3360b2572ec4b23bdb1d5f2777e40e3:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:25:"Testimonials Block - Grid";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.214', 1, 'config:views.view.mt_testimonials_grid', '0'),
('views:unpack_options:13c47f7ae56853aacf6f5e12d50ef5ad572e44a7c8b2fe757766dde632fd3274:en', 'a:33:{s:5:"title";s:17:"Articles Carousel";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:47:"row d-block view-mt-carousel view-articles-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.119', 1, 'config:views.view.mt_articles_carousel', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:1515b64a1422c811954c77cb97458ab6fb5e412bd38c63d783081c5a19250ced:en', 'a:33:{s:5:"title";s:8:"Articles";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:4;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:9:"row_class";s:4:"mb-5";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.788', 1, 'config:views.view.mt_articles', '0'),
('views:unpack_options:15548487aac47f2ce1692b01128e70705b65f50f34d80c890295e43729f6d60e:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:20:"albums-3-col-style-2";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.785', 1, 'config:views.view.mt_albums', '0'),
('views:unpack_options:183c5cb50cbc1579886c057cf07b9fa194437e1fcf526af166f673651ec34e19:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:13:"articles-list";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.797', 1, 'config:views.view.mt_articles_list', '0'),
('views:unpack_options:1c82935405298a8ca57f33f48296c84adca3a81b8fec8cdb21e6f4c5bb2ef895:en', 'a:33:{s:5:"title";s:23:"Leadership & Management";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:55:"view-mt-carousel view-team-members-carousel row d-block";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-team-members";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_youtube_account";a:35:{s:2:"id";s:28:"field_mt_tmm_youtube_account";s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:5:"field";s:28:"field_mt_tmm_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_tmm_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:497:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n{{ field_mt_tmm_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_tmm_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.205', 1, 'config:views.view.mt_team_members_carousel', '0'),
('views:unpack_options:1f86ce4ec5c00b73a321df4a0e42878782aba99ceb9e3a85786116db3d846dff:en', 'a:33:{s:5:"title";s:6:"Events";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:16:"view-events-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_evn_video";a:35:{s:2:"id";s:18:"field_mt_evn_video";s:5:"table";s:24:"node__field_mt_evn_video";s:5:"field";s:18:"field_mt_evn_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_evn_image";a:35:{s:2:"id";s:18:"field_mt_evn_image";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:18:"field_mt_evn_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_evn_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_evn_body";a:35:{s:2:"id";s:17:"field_mt_evn_body";s:5:"table";s:23:"node__field_mt_evn_body";s:5:"field";s:17:"field_mt_evn_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.802', 1, 'config:views.view.mt_events_grid', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:202bb838db88da230753917b47bd97fc2a511a02f59be952025a9d44d3e5f776:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:30:"The approved comments listing.";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:21:"admin/content/comment";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:3:"tab";s:5:"title";s:8:"Comments";s:11:"description";s:18:"Comments published";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:5:"admin";s:6:"parent";s:0:"";s:7:"context";s:1:"0";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.769', 1, 'config:views.view.comment', '0'),
('views:unpack_options:216890991eae7242306b3dc864e26688c5c1147e2a96be379e6857887cde3f52:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"Recent Comments";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.177', 1, 'config:views.view.mt_recent_comments', '0'),
('views:unpack_options:220125bf89c86d46462d3a5ebf8ddeb64023499ce6e31601de62cb86079c094c:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-2-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.836', 1, 'config:views.view.mt_services', '0'),
('views:unpack_options:2653c73595659f5e07fa8fdc74905d2f4657336830825ff77e030fc2d3fb0f84:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-masonry";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.830', 1, 'config:views.view.mt_products_masonry', '0'),
('views:unpack_options:2713024e0c0390de826de8f5689121f07edd3ae167d5d880d71c3294a683207a:en', 'a:33:{s:5:"title";s:14:"Other Speakers";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:1:{s:6:"random";a:10:{s:2:"id";s:6:"random";s:5:"table";s:5:"views";s:5:"field";s:6:"random";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:6:"random";}}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.142', 1, 'config:views.view.mt_other_speakers_carousel', '0'),
('views:unpack_options:2713a6150db5090edf612a80609a788b5efe44f588747954b41a2b4a94ac743c:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:0;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:17:"admin/people/list";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:11:"default tab";s:5:"title";s:4:"List";s:11:"description";s:50:"Find and manage people interacting with your site.";s:6:"weight";i:-10;s:7:"enabled";b:1;s:9:"menu_name";s:5:"admin";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:6:"People";s:11:"description";s:45:"Manage user accounts, roles, and permissions.";s:6:"weight";i:0;s:9:"menu_name";s:5:"admin";}}', -1, '1681649759.864', 1, 'config:views.view.user_admin_people', '0'),
('views:unpack_options:284b082148f0b53889e86885a649932c5ca0865ad19c6e4fd2973f799558edaf:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:4:"path";s:26:"merchandise-groups-masonry";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.801', 1, 'config:views.view.mt_collections_masonry', '0'),
('views:unpack_options:2bbaf23ebf9bd544e44605b83f961fc46ecf0a4eccd7f33c4c88e7d265712a90:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-4-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.834', 1, 'config:views.view.mt_services', '0'),
('views:unpack_options:2c93d82fb5d9806b3cc1a99da350b5d2699371813431bad199af66cb4a609d97:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Albums (Carousel)";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.115', 1, 'config:views.view.mt_albums_carousel', '0'),
('views:unpack_options:2cf2b9a643bf5852d65b2dbac713dfa69352ac675e913adeeeaabfb6b6d29364:en', 'a:33:{s:5:"title";s:14:"Recent content";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"More";s:12:"link_display";s:1:"0";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:5:"title";a:26:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:2:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.108', 1, 'config:views.view.content_recent', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:2d6e60b25168d58ea7564cfa2a76eca7a0313ac20e4f3e433b6937c0659ae44e:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"In this session";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.187', 1, 'config:views.view.mt_related_presentations_2', '0'),
('views:unpack_options:30ce53b0c96ed9ca2bfea343c5ac167fdcdaf39d3aabfa0fa363a2f942d77caa:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-4-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.792', 1, 'config:views.view.mt_articles_grid', '0'),
('views:unpack_options:310f9f9fcb982508cea17a283942914b0056181fd67990e1a57179bf58a2a5cd:en', 'a:33:{s:5:"title";s:16:"Merchandise list";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-products-list";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_video_1";a:35:{s:2:"id";s:20:"field_mt_prd_video_1";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-md-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:26:"{{ field_mt_prd_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_image_1";a:35:{s:2:"id";s:20:"field_mt_prd_image_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-prd-body">\n{{ field_mt_prd_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:250;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:457:"<div class="row view-items-list__item">\n{{ field_mt_prd_image }}\n<div class="{{ field_mt_prd_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_price }}\n{{ field_mt_prd_body }}\n<div class="views-field views-field-link">\n<a class="button button--hover-style-2" target="_blank" href="{{ field_mt_prd_buy_link }}"><i class="fas fa-shopping-cart"></i> {{"Cart"|t}}</a>\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.826', 1, 'config:views.view.mt_products_list', '0'),
('views:unpack_options:3117da3ab88e66439b984049281c2cd52c9c8812488f0531a87f7ae333d5d2ae:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:19:"A list of new users";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:9:"Who''s new";s:14:"block_category";s:4:"User";s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.230', 1, 'config:views.view.who_s_new', '0'),
('views:unpack_options:312e1f7ab179d0249a023b23df7d00b1860a4c140a5172c4d96a43f3b08a64af:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:0;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:17:"team-members-list";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.849', 1, 'config:views.view.mt_team_members_list', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:3251d5ca36194bfbc34b37c537bd09861c4d1ba562f2ef0e0e61a2576936fa48:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:8:"sponsors";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.843', 1, 'config:views.view.mt_sponsors_grid', '0'),
('views:unpack_options:325954d2dae4b0c29afec5c86aa671a0f37475d18bff60cfedf84cbb370ecb2a:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:19:"Sponsors (Carousel)";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.201', 1, 'config:views.view.mt_sponsors_carousel', '0'),
('views:unpack_options:35be84037a7f08e6e14d7495952417c384f9876951b3a779a443d9668ac66e58:en', 'a:33:{s:5:"title";s:8:"Articles";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:26:"view-latest-items clearfix";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:35:"col-12 col-md-6 col-lg-12 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.138', 1, 'config:views.view.mt_latest', '0'),
('views:unpack_options:37fe089c308a63a9bf36b19ae38a28901e7527ea9e98fba612e107de615e27f5:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:1;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-2-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.825', 1, 'config:views.view.mt_products', '0'),
('views:unpack_options:39617e50eb8f93459bc39959078d959e51b37056db98d0ab45d0e41e4964c0bd:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-2-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.805', 1, 'config:views.view.mt_events_grid', '0'),
('views:unpack_options:3dd8fefc2e23a3c8ed2e53be0437a8f311df56792bd5772d25b06ce3b6fd9730:en', 'a:33:{s:5:"title";s:8:"Articles";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-articles-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.790', 1, 'config:views.view.mt_articles_grid', '0'),
('views:unpack_options:3dee0052d91795ab5bd22de718ade0b8e1a14fe614fc879d005b03b9f0957672:en', 'a:33:{s:5:"title";s:20:"Custom block library";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:17:"administer blocks";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:4:"info";s:4:"info";s:4:"type";s:4:"type";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:4:{s:4:"info";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:2:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:38:"There are no custom blocks available. ";s:9:"plugin_id";s:11:"text_custom";}s:27:"block_content_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:27:"block_content_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:27:"block_content_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:13:"block_content";s:9:"plugin_id";s:27:"block_content_listing_empty";s:11:"entity_type";s:13:"block_content";}}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"info";a:37:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:17:"Block description";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Block type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:7:"changed";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:13:"block_content";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:13:"block_content";s:9:"plugin_id";s:17:"entity_operations";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"info";a:16:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"info_op";s:5:"label";s:17:"Block description";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"info_op";s:10:"identifier";s:4:"info";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:6:"string";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:13:"block_content";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:10:"Block type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"reusable";a:16:{s:2:"id";s:8:"reusable";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:8:"reusable";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:8:"reusable";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.760', 1, 'config:views.view.block_content', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:3ef9003504bba1adc3d39e68b530ee1788c85199a159ea634222c0226de9f0da:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:13:"In this topic";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.185', 1, 'config:views.view.mt_related_presentations', '0'),
('views:unpack_options:3fd867c3bee3ad7f6a92c2e74a2c8eaf1e9d10c36dd7b17b6d44dcd860da1ac9:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:27:"Latest Albums - Alternative";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Albums";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:18:"Albums - 4 columns";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.113', 1, 'config:views.view.mt_albums', '0'),
('views:unpack_options:41d2fbe0fceeaf30a31cb72d1dd191dd9b33ec21a5e189cd69602ef0b00c72d0:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"4, 8, 16, 40";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:1;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-4-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.823', 1, 'config:views.view.mt_products', '0'),
('views:unpack_options:441648649847badef3e0a16526593f73b45a8199fc655959ab98ac2938360d93:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:23:"Team Members - Carousel";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.206', 1, 'config:views.view.mt_team_members_carousel', '0'),
('views:unpack_options:4bb01c004581932426405769eca4e3ad6c456219ec691f00f059480262395096:en', 'a:33:{s:5:"title";s:12:"Testimonials";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:39:"view-mt-carousel view-testimonials-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:0:"";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:12:"testimonials";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-testimonials";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.212', 1, 'config:views.view.mt_testimonials_carousel', '0'),
('views:unpack_options:4bf3663a48a9197078d667c22451c1d2dee183e7f05176a45cb1efd0bd7eb25d:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:8:"articles";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.789', 1, 'config:views.view.mt_articles', '0'),
('views:unpack_options:4c3e91ea2fa5fe22aa5dc6ce1c256c458b80de72856c1c100afe88c0923358ae:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:18:"testimonials-3-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.853', 1, 'config:views.view.mt_testimonials_grid', '0'),
('views:unpack_options:4c575bd035f6dcb9eee8eb23b41d93d52a79f89508df39faef79556eabf8251c:en', 'a:33:{s:5:"title";s:14:"Accommodations";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-services-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:223:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:7:{s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.833', 1, 'config:views.view.mt_services', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:4cf2ab5861a44bf6be312930ab144369114e00be239c25ceaa6b6a62a8940c12:en', 'a:33:{s:5:"title";s:15:"Recent comments";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:22:"default_field_elements";b:1;s:6:"inline";a:2:{s:7:"subject";s:7:"subject";s:7:"changed";s:7:"changed";}s:9:"separator";s:1:" ";s:10:"hide_empty";b:0;}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:11:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:7:"content";s:22:"No comments available.";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:4:"node";a:5:{s:5:"field";s:4:"node";s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:7:"subject";a:26:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";}}s:5:"sorts";a:2:{s:7:"created";a:12:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";}s:3:"cid";a:11:{s:2:"id";s:3:"cid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"cid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"cid";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"node";s:2:"id";s:11:"status_node";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.105', 1, 'config:views.view.comments_recent', '0'),
('views:unpack_options:4d92e2c49b2871d7c9a27b574aaf55b0787d3862f6f8d7f9c8a1cf9a88b2fc3a:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:24:"Related Nodes (Carousel)";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.182', 1, 'config:views.view.mt_related_nodes_carousel', '0'),
('views:unpack_options:4ec0379a032ac948e4d62c34ef1f3e0de940357f2e80acd31069a3853b8123aa:en', 'a:33:{s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_slideshow_boxed";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.193', 1, 'config:views.view.mt_slideshow_boxed_width', '0'),
('views:unpack_options:4f1d058abab4885fed8b9bae6908e5275a71213d89f15175b26d9289758ff965:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:16:"merchandise-list";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.828', 1, 'config:views.view.mt_products_list', '0'),
('views:unpack_options:4f201472944d33a99273dfe4738cde6537c83a7000294084822cadc8cfb6f93b:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:15:"taxonomy/term/%";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.862', 1, 'config:views.view.taxonomy_term', '0'),
('views:unpack_options:4f386d4a229c24b0927082f3d9ef9e0206ed6c03eb42920545d922cf2404ddef:en', 'a:33:{s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:1:{s:20:"entity_taxonomy_term";a:12:{s:2:"id";s:20:"entity_taxonomy_term";s:5:"table";s:5:"views";s:5:"field";s:20:"entity_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:1;s:6:"target";s:23:"{{ raw_arguments.tid }}";s:9:"view_mode";s:4:"full";s:13:"bypass_access";b:0;s:9:"plugin_id";s:6:"entity";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:2:{s:6:"sticky";a:10:{s:2:"id";s:6:"sticky";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"sticky";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}s:7:"created";a:11:{s:2:"id";s:7:"created";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:1:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:19:"{{ arguments.tid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:1;s:8:"validate";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:4:{s:6:"access";b:1;s:9:"operation";s:4:"view";s:8:"multiple";i:0;s:7:"bundles";a:0:{}}s:12:"break_phrase";b:0;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:2:{s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.860', 1, 'config:views.view.taxonomy_term', '0'),
('views:unpack_options:50cdbcd47122da3fbfcc3818304bcbecd6e4f00d02f610f93c293179f84e8d98:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:31:"row list-unstyled grid-gutter-5";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:12:"albums-2-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.788', 1, 'config:views.view.mt_albums_grid_style_2', '0'),
('views:unpack_options:5244f6687ea18b563533a83a40e53d8dcc62a9a629537376b97b190b0209c799:en', 'a:33:{s:5:"title";s:8:"Sponsors";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-sponsors-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:3:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.842', 1, 'config:views.view.mt_sponsors_grid', '0'),
('views:unpack_options:54575a71a40b45aaf940c8a61f5403fd018fd975711895086ae7e8b080e021cd:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:0:"";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.109', 1, 'config:views.view.content_recent', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:55e0d1d001e00fd735166c0c5293856fcb19e111693b5d3a9dea26fdb6b09679:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:14:"accommodations";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.835', 1, 'config:views.view.mt_services', '0'),
('views:unpack_options:56aed3a27a2d5eab84d8952559d748a39034fe2c2e07d34c72ce010e4b53ec04:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:19:"admin/reports/dblog";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.866', 1, 'config:views.view.watchdog', '0'),
('views:unpack_options:57c2adc8eac1dfa8811250ac53e632c79f8bb86ce05a31935fbe89262c0a538e:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:21:"admin/appearance/font";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.779', 1, 'config:views.view.fontyourface_font_manager', '0'),
('views:unpack_options:58e557b3941d95fa55689027cb745492797c4716db099641ffb3933929b77a90:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:18:"admin/content/node";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:11:"default tab";s:5:"title";s:7:"Content";s:11:"description";s:0:"";s:6:"weight";i:-10;s:7:"enabled";b:1;s:9:"menu_name";s:5:"admin";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:7:"Content";s:11:"description";s:23:"Find and manage content";s:6:"weight";i:-10;s:9:"menu_name";s:5:"admin";}}', -1, '1681649759.773', 1, 'config:views.view.content', '0'),
('views:unpack_options:599d602b335250804b54d3f904a8f862dae9adddd7d7d53d74ad7bbe1c59d0d9:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:16:"Choose an option";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:26:"Pricing Tables - 2 Columns";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.166', 1, 'config:views.view.mt_pricing_tables', '0'),
('views:unpack_options:5cff9e17826e2d622e6858e142c16a2f6d6498248e56220d76ff46b82f97c685:en', 'a:33:{s:5:"title";s:23:"Leadership & Management";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:16:"view-titles-list";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:24;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.848', 1, 'config:views.view.mt_team_members_list', '0'),
('views:unpack_options:5dd35e24b09be73d355cf85de1458bed6e839fc15b832ca14806b9c3502945ea:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:0;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:0;}}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:19:"admin/content/files";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:3:"tab";s:5:"title";s:5:"Files";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:5:"admin";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.776', 1, 'config:views.view.files', '0'),
('views:unpack_options:5eaaf5e1fe3840d84292c2301a5cf6712b4cb65b83166a18f2bdc85da47a5a5c:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:25:"Other Speakers - Carousel";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.144', 1, 'config:views.view.mt_other_speakers_carousel', '0'),
('views:unpack_options:5f17b21c8d2359d3d4c5f5c37b4ea93fe5d461974d5b94d3d83eb4b0aa167bc8:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:45:"A list of users that are currently logged in.";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:12:"Who''s online";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.232', 1, 'config:views.view.who_s_online', '0'),
('views:unpack_options:602ff5d0220f8a09ceb3014746783db90e23acaf7e25f8f1bca9f1e9afbdc0d5:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:0:"";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.124', 1, 'config:views.view.mt_articles_list', '0'),
('views:unpack_options:605d5be6f34388cbe73295c2e1487c0a4746d63f6b74139d3b12d27af0b36467:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:12:"Popular tags";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.162', 1, 'config:views.view.mt_popular_tags', '0'),
('views:unpack_options:609cec845915752b0f32167deb8a6f28e2afb6d64d1c9eda6f7ce86dcbddb375:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:7:"program";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.832', 1, 'config:views.view.mt_program', '0'),
('views:unpack_options:60cf0fb0b0a990121575ba8df615cea1301338e276a99f69e24588b987496a59:en', 'a:33:{s:5:"title";s:8:"Speakers";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:356:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-field-mt-spk-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.198', 1, 'config:views.view.mt_speakers_carousel', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:611f3a6875cf3d392febd2b2436accc57d605040f4b2af82abddecbec8674a85:en', 'a:34:{s:8:"defaults";a:28:{s:6:"access";b:0;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:19:"Manage submissions.";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:27:"edit any webform submission";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:10:{s:28:"webform_submission_bulk_form";a:26:{s:2:"id";s:28:"webform_submission_bulk_form";s:5:"table";s:18:"webform_submission";s:5:"field";s:28:"webform_submission_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:39:"Webform submission operations bulk form";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:4:{i:0;s:35:"webform_submission_make_lock_action";i:1;s:37:"webform_submission_make_sticky_action";i:2;s:37:"webform_submission_make_unlock_action";i:3;s:39:"webform_submission_make_unsticky_action";}s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:28:"webform_submission_bulk_form";}s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}s:23:"edit_webform_submission";a:26:{s:2:"id";s:23:"edit_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"edit_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"edit";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:16:"entity_link_edit";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.227', 1, 'config:views.view.webform_submissions', '0'),
('views:unpack_options:62ad98a40016e1d1c2b51015ed81dbd343b2e973faea2d1d24d5dd504e19e5f8:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-2-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.795', 1, 'config:views.view.mt_articles_grid', '0'),
('views:unpack_options:62de091efd88eefc0cfe18bce873096034261c4f9f3b0247f00ccd61f1a7d189:en', 'a:33:{s:5:"title";s:12:"Testimonials";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:48:"view-testimonials-grid view-testimonials-masonry";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:40:"col-lg-4 col-md-6 masonry-item views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:30:"testimonials-masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.856', 1, 'config:views.view.mt_testimonials_masonry', '0'),
('views:unpack_options:658d36ec871123e34034af2c78c958a3bc3dbf5964c45f9cb29a0ccac3a9c133:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:12:"team-members";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.845', 1, 'config:views.view.mt_team_members_grid', '0'),
('views:unpack_options:6738f09e318f3dfc11b84496c84e0db22e3c0646c247d2d8f9bbdfffc8ca58ae:en', 'a:33:{s:5:"title";s:13:"Presentations";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:23:"view-presentations-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_video";a:35:{s:2:"id";s:18:"field_mt_prs_video";s:5:"table";s:24:"node__field_mt_prs_video";s:5:"field";s:18:"field_mt_prs_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prs_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:1:{s:30:"field_mt_prs_speaker_target_id";a:21:{s:2:"id";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.188', 1, 'config:views.view.mt_related_presentations_3', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:67b9c8aae5e91a655f863c70091236cd357763ccb77dab2fa31b033ebfc0caed:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:31:"Featured Merchandise (Carousel)";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.171', 1, 'config:views.view.mt_products_carousel', '0'),
('views:unpack_options:69708541f84084a643682e7a2bbf8e7a5b7620b8d511de0d691812194979602a:en', 'a:34:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:20:"Display submissions.";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:5:{s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:7:"created";s:7:"created";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:5:{s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}}', -1, '1681649762.226', 1, 'config:views.view.webform_submissions', '0'),
('views:unpack_options:6990e4465a2af524128a6dbe1c089be2529b9102cc7ccaf87d2626ffd06b0a3a:en', 'a:33:{s:5:"title";s:12:"Testimonials";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:24:"view-testimonials-grid-2";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:91:"<a href="{{ field_mt_tst_testimonial_link }}" class="link--bordered">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.854', 1, 'config:views.view.mt_testimonials_grid_2', '0'),
('views:unpack_options:6bd466e9287a5c146fba46e7a5ac36333c7c7b6363ed9ca0afc8140ea7698746:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:40:"row list-unstyled justify-content-center";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:0:"";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:1;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.179', 1, 'config:views.view.mt_related_events', '0'),
('views:unpack_options:6c0d237691ee8ab395aa17b29fa23a76006e23ec9581bb3f6ef04dcf2a78852d:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:6:"videos";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.859', 1, 'config:views.view.mt_videos', '0'),
('views:unpack_options:6c3aab7925f076efd0e1a8a537d45b75a910c8172f22e1bec76cee938131b565:en', 'a:33:{s:5:"title";s:11:"Merchandise";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-products-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:1;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:3:"bef";s:7:"options";a:11:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";s:14:"input_required";b:0;s:19:"text_input_required";s:51:"Select any filter and click on Apply to see results";s:3:"bef";a:5:{s:7:"general";a:4:{s:15:"allow_secondary";b:0;s:15:"secondary_label";s:16:"Advanced options";s:10:"autosubmit";b:0;s:15:"autosubmit_hide";b:0;}s:30:"field_mt_collections_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:33:"field_mt_prd_categories_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:20:"field_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:27:"field_mt_prd_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}}s:26:"text_input_required_format";s:10:"basic_html";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:9:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:33:"field_mt_prd_categories_target_id";a:20:{s:2:"id";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:29:"node__field_mt_prd_categories";s:5:"field";s:33:"field_mt_prd_categories_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:36:"field_mt_prd_categories_target_id_op";s:5:"label";s:13:"Product Group";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:36:"field_mt_prd_categories_target_id_op";s:10:"identifier";s:33:"field_mt_prd_categories_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:14:"mt_collections";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:27:"field_mt_prd_tags_target_id";a:20:{s:2:"id";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:27:"field_mt_prd_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:30:"field_mt_prd_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:30:"field_mt_prd_tags_target_id_op";s:10:"identifier";s:27:"field_mt_prd_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:4:"tags";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.821', 1, 'config:views.view.mt_products', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:6e49eb6da72af4f96d1804e5783835c5f670a92fba52240a10b40753c30daaab:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:35:"admin/structure/block/block-content";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:3:"tab";s:5:"title";s:20:"Custom block library";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:5:"admin";s:6:"parent";s:19:"block.admin_display";s:7:"context";s:1:"0";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.763', 1, 'config:views.view.block_content', '0'),
('views:unpack_options:703795e87b39c466bec43b53f7c8a7900f0f404b6e8348ef514a43b619d4ad4b:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:27:"Merchandise Groups Carousel";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.128', 1, 'config:views.view.mt_collections_carousel', '0'),
('views:unpack_options:709565d36c8cf55e6870b66432a37a8bd96c57cdd00ba877bf1e3090a16d476d:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:19:"Speakers - Carousel";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.199', 1, 'config:views.view.mt_speakers_carousel', '0'),
('views:unpack_options:71bf2b584eb7280d987aaf02cf74c618784c31a917a0889483d40875c071471a:en', 'a:33:{s:5:"title";s:23:"Leadership & Management";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:44:"view-promoted-items view-team-members-grid-2";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.846', 1, 'config:views.view.mt_team_members_grid_2', '0'),
('views:unpack_options:71d209fd9209fc356ddbd14c746a04d4942a264b802c083466662bd299d1773d:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:26:"Merchandise Groups Masonry";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.130', 1, 'config:views.view.mt_collections_masonry', '0'),
('views:unpack_options:7813f2bfec307f754d7c1d87e7f5d378b71a0e9f6e97b2c9ae8aa0a3a6c7d9c8:en', 'a:33:{s:5:"title";s:6:"Events";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:16:"view-events-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_evn_video";a:35:{s:2:"id";s:18:"field_mt_evn_video";s:5:"table";s:24:"node__field_mt_evn_video";s:5:"field";s:18:"field_mt_evn_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_evn_image";a:35:{s:2:"id";s:18:"field_mt_evn_image";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:18:"field_mt_evn_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_evn_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_evn_body";a:35:{s:2:"id";s:17:"field_mt_evn_body";s:5:"table";s:23:"node__field_mt_evn_body";s:5:"field";s:17:"field_mt_evn_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:1:{s:30:"field_mt_evn_speaker_target_id";a:21:{s:2:"id";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.178', 1, 'config:views.view.mt_related_events', '0'),
('views:unpack_options:7b5f401fc2b05850e91841121e9d9fead755b74567f927b1f8f710ff96ba3166:en', 'a:33:{s:5:"title";s:19:"Webform submissions";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:25;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:23:"5, 10, 25, 50, 100, 200";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:13:"exposed_block";b:0;s:6:"header";a:1:{s:6:"result";a:9:{s:2:"id";s:6:"result";s:5:"table";s:5:"views";s:5:"field";s:6:"result";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:7:"content";s:34:"Displaying @start - @end of @total";s:9:"plugin_id";s:6:"result";}}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:25:"No submissions available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:6:"fields";a:5:{s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:0:{}s:9:"arguments";a:5:{s:10:"webform_id";a:6:{s:2:"id";s:10:"webform_id";s:5:"table";s:18:"webform_submission";s:5:"field";s:10:"webform_id";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:10:"webform_id";s:9:"plugin_id";s:6:"string";}s:11:"entity_type";a:6:{s:2:"id";s:11:"entity_type";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"entity_type";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"entity_type";s:9:"plugin_id";s:6:"string";}s:9:"entity_id";a:6:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"entity_id";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:6:"string";}s:3:"uid";a:6:{s:2:"id";s:3:"uid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"uid";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:7:"numeric";}s:8:"in_draft";a:23:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:6:"ignore";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}}', -1, '1681649762.223', 1, 'config:views.view.webform_submissions', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:7cc6dc438ee5c1e99850ffd6f546ece4ae1284171e10ecbcc4b1fd018e9a9ad6:en', 'a:33:{s:5:"title";s:15:"Albums Carousel";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:33:"view-mt-carousel view-albums-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:53:"owl-carousel mt-carousel-container mt-carousel-albums";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:171:"<div class="text-center">\n<h3 class="bottom-spacing-small mb-0">Our Event Gallery</h3>\n<p class="extra-large mb-5">Picture gallery from previous event meetings.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:344:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:45:"<h3><a href="{{ path }}">{{ title }}</a></h3>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:343:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.114', 1, 'config:views.view.mt_albums_carousel', '0'),
('views:unpack_options:7d99c6e64ddd591ffda41f2903d55e79c9c25c49fcccffc3b773ba15b6f0dbdc:en', 'a:34:{s:8:"defaults";a:28:{s:6:"access";b:0;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:23:"Administer submissions.";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:29:"administer webform submission";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:9:{s:28:"webform_submission_bulk_form";a:26:{s:2:"id";s:28:"webform_submission_bulk_form";s:5:"table";s:18:"webform_submission";s:5:"field";s:28:"webform_submission_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:39:"Webform submission operations bulk form";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"exclude";s:16:"selected_actions";a:0:{}s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:28:"webform_submission_bulk_form";}s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:25:{s:2:"id";s:10:"operations";s:5:"table";s:18:"webform_submission";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";N;s:12:"entity_field";N;s:9:"plugin_id";s:17:"entity_operations";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.224', 1, 'config:views.view.webform_submissions', '0'),
('views:unpack_options:7e6e61953ca52421db0a47ff1484310402836d283674677459065c3e95fcc193:en', 'a:33:{s:5:"title";s:12:"Who''s online";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:20:"access user profiles";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:1:{s:6:"result";a:9:{s:2:"id";s:6:"result";s:5:"table";s:5:"views";s:5:"field";s:6:"result";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:7:"content";s:40:"There are currently @total users online.";s:9:"plugin_id";s:6:"result";}}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:35:"There are currently 0 users online.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:5:"sorts";a:1:{s:6:"access";a:13:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:">=";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:11:"-15 minutes";s:4:"type";s:6:"offset";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:9:"access_op";s:5:"label";s:11:"Last access";s:11:"description";s:77:"A user is considered online for this long after they have last viewed a page.";s:12:"use_operator";b:0;s:8:"operator";s:9:"access_op";s:10:"identifier";s:6:"access";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.231', 1, 'config:views.view.who_s_online', '0'),
('views:unpack_options:86881f81df84876293eb43c74696a77785c23027ed3f511b1337b7c179db8ae0:en', 'a:33:{s:5:"title";s:6:"Videos";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:19:"view-promoted-items";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:14:"â€¹â€¹";s:4:"next";s:14:"â€ºâ€º";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:18:"mt_video_grid_item";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:14:"field_mt_video";a:35:{s:2:"id";s:14:"field_mt_video";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:14:"field_mt_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:206:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:2:"OR";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.858', 1, 'config:views.view.mt_videos', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:87478c5af93c4b530dcdae32a56af79f19204e875ec76764cb721a2ff987b1c6:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:19:"Merchandise Masonry";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.174', 1, 'config:views.view.mt_products_masonry', '0'),
('views:unpack_options:88880566b22526451e91b438c4201dea165345b8ece3ccda2d90c42c396f983c:en', 'a:33:{s:5:"title";s:12:"Testimonials";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:22:"view-testimonials-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:17:"views-field-title";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.852', 1, 'config:views.view.mt_testimonials_grid', '0'),
('views:unpack_options:891b82da32312c58141f4154dd6ea8b9bd611bb91dc52a891e24b1b8fdcc3cf4:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:11:"Merchandise";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"products-3-col";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:214:"<div class="views-field-field-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:11:"Merchandise";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.141', 1, 'config:views.view.mt_latest', '0'),
('views:unpack_options:8ab58d818bf8816f764a56ae3fd10f14b6b3eae0f4a7ba6baff376174f4acd3b:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:6:"events";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.806', 1, 'config:views.view.mt_events_list', '0'),
('views:unpack_options:8adf61d128acbbaf034cbf3c3c2689c5732c577dfde4f3952708bfea02f4a304:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:32:"The unapproved comments listing.";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:22:"comment_publish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}s:4:"path";s:30:"admin/content/comment/approval";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:3:"tab";s:5:"title";s:19:"Unapproved comments";s:11:"description";s:19:"Comments unapproved";s:6:"weight";i:1;s:7:"enabled";b:1;s:9:"menu_name";s:5:"admin";s:6:"parent";s:0:"";s:7:"context";s:1:"0";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.770', 1, 'config:views.view.comment', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:8de953bd30a6a1dfa13b5a2b0b852d4fa0ef6bfae6a0b405b74a17d5825aa6a8:en', 'a:33:{s:5:"title";s:20:"Merchandise Carousel";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:35:"view-mt-carousel view-products-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-products";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.170', 1, 'config:views.view.mt_products_carousel', '0'),
('views:unpack_options:8e3b10c6a84281a88d0fd1ac74bac87531557b2ac0a60a6e64d0c16233b1b3e7:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:0;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:0;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:14:"Accommodations";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:19:"view-promoted-items";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:72:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_srv_service_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:46:"tid-{{ field_mt_srv_service_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:4:"path";s:22:"accommodations-isotope";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.811', 1, 'config:views.view.mt_isotope', '0'),
('views:unpack_options:8f667acd87e0f5d3254a06d83f9a411053c2e841d677589e0b41d23ff3c7d782:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:16:"Merchandise list";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.173', 1, 'config:views.view.mt_products_list', '0'),
('views:unpack_options:92c0282fdac1a7653e046102f2cccb051cd631f023b02f4d06da5dcbcb6eca46:en', 'a:33:{s:5:"title";s:19:"Recent log messages";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:11:"admin-dblog";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"access site reports";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:0;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"{{ type }} {{ severity }}";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:7:"nothing";s:7:"nothing";s:3:"wid";s:3:"wid";s:8:"severity";s:8:"severity";s:4:"type";s:4:"type";s:9:"timestamp";s:9:"timestamp";s:7:"message";s:7:"message";s:4:"name";s:4:"name";s:4:"link";s:4:"link";}s:4:"info";a:8:{s:7:"nothing";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:3:"wid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:8:"severity";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:9:"timestamp";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"message";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:4:"link";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}}s:7:"default";s:3:"wid";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:4:"area";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:26:"No log messages available.";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:26:"No log messages available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"User";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:8:{s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"Icon";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:4:"icon";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}s:3:"wid";a:22:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"WID";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:8:"severity";a:23:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Severity";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"machine_name";b:0;s:9:"plugin_id";s:12:"machine_name";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:9:"timestamp";a:25:{s:2:"id";s:9:"timestamp";s:5:"table";s:8:"watchdog";s:5:"field";s:9:"timestamp";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";s:9:"plugin_id";s:4:"date";}s:7:"message";a:23:{s:2:"id";s:7:"message";s:5:"table";s:8:"watchdog";s:5:"field";s:7:"message";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Message";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/reports/dblog/event/{{ wid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:13:"{{ message }}";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:56;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:1;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"replace_variables";b:1;s:9:"plugin_id";s:13:"dblog_message";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"User";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:4:"link";a:22:{s:2:"id";s:4:"link";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:16:"dblog_operations";}}s:5:"sorts";a:1:{s:3:"wid";a:10:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:2:{s:4:"type";a:14:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:4:"Type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"dblog_types";}s:8:"severity";a:14:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"severity_op";s:5:"label";s:8:"Severity";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"severity_op";s:10:"identifier";s:8:"severity";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"in_operator";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.865', 1, 'config:views.view.watchdog', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:93e56a00ffd95de94fcdfb2a812098fa80c8170b5a5c691b2e1bd3e6c6f7825d:en', 'a:33:{s:5:"title";s:6:"Albums";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-albums-grid-2";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read more";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.783', 1, 'config:views.view.mt_albums', '0'),
('views:unpack_options:947b2021352ec68ff47fcbe9a5dae4095ac297e48e25cb678963b237e5f3ec97:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-3-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.803', 1, 'config:views.view.mt_events_grid', '0'),
('views:unpack_options:960c23d6ef4a878059f0515c6b30ac9b84b2aa77988e625b31bf9d0c359a5f5d:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-masonry";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.857', 1, 'config:views.view.mt_testimonials_masonry', '0'),
('views:unpack_options:96512beb7026f39987f37d864ba58588763781f110743a348c4020fb349b1eed:en', 'a:40:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:0;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:0;s:6:"fields";b:0;s:5:"sorts";b:0;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:14:"Accommodations";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:1;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:2:{s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:126:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_srv_service_tags__target_id }}">{{ field_mt_srv_service_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_2";s:6:"page_2";}s:19:"attachment_position";s:6:"before";s:17:"inherit_arguments";b:1;s:23:"inherit_exposed_filters";b:0;s:13:"inherit_pager";b:0;s:12:"render_pager";b:0;}', -1, '1681649762.134', 1, 'config:views.view.mt_isotope', '0'),
('views:unpack_options:980411fe2b04bea887954c7097cb77ff5cf70600838c9fa627b288b312b0c8b4:en', 'a:33:{s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:17:"view-mt-slideshow";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.196', 1, 'config:views.view.mt_slideshow_full_width', '0'),
('views:unpack_options:9814096d5915b0e861f7f1668bc2799114a0cb9dec3d4a7298fb8c09c29801f2:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:8:"speakers";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.841', 1, 'config:views.view.mt_speakers', '0'),
('views:unpack_options:9dc2b6e711fe363b09174b4fb333bdecc73d0981d495170d4a7254a7b0eedbbf:en', 'a:33:{s:5:"title";s:12:"Testimonials";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:22:"view-testimonials-list";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.850', 1, 'config:views.view.mt_testimonials', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:a0b701e9ef61886b153b90a410ba75bba02ebe4b24a3f871ec9d5d471fc8bed4:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"Recent comments";s:14:"block_category";s:13:"Lists (Views)";s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";b:1;}}', -1, '1681649762.106', 1, 'config:views.view.comments_recent', '0'),
('views:unpack_options:a23ac27d4414ffdd56446dfe63ac05d894d07f93930907e818857b295357201c:en', 'a:33:{s:5:"title";s:7:"Content";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:23:"access content overview";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:2:{s:14:"items_per_page";i:50;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:14:"node_bulk_form";s:14:"node_bulk_form";s:5:"title";s:5:"title";s:4:"type";s:4:"type";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:7:"changed";s:7:"changed";s:9:"edit_node";s:9:"edit_node";s:11:"delete_node";s:11:"delete_node";s:10:"dropbutton";s:10:"dropbutton";s:9:"timestamp";s:5:"title";}s:4:"info";a:10:{s:14:"node_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"title";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"delete_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"timestamp";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:6:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:7:{s:14:"node_bulk_form";a:14:{s:2:"id";s:14:"node_bulk_form";s:5:"table";s:4:"node";s:5:"field";s:14:"node_bulk_form";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"node_bulk_form";s:11:"entity_type";s:4:"node";}s:5:"title";a:17:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:5:"label";s:5:"Title";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Content type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:4:"name";a:17:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:17:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:9:"Published";s:19:"format_custom_false";s:11:"Unpublished";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:7:"changed";a:17:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";}s:10:"operations";a:23:{s:2:"id";s:10:"operations";s:5:"table";s:4:"node";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:9:"plugin_id";s:17:"entity_operations";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:5:{s:12:"status_extra";a:9:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:8:"operator";s:1:"=";s:5:"value";b:0;s:9:"plugin_id";s:11:"node_status";s:5:"group";i:1;s:11:"entity_type";s:4:"node";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:16:"Published status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:9:"Published";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:11:"Unpublished";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"bundle";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";}s:5:"title";a:16:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:8:"title_op";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:8:"title_op";s:10:"identifier";s:5:"title";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.772', 1, 'config:views.view.content', '0'),
('views:unpack_options:a359f84159c9ed3d7d2780f7b271605b5db4338d7c0a8e71e27ce9fd6aa059eb:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:12:"testimonials";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.851', 1, 'config:views.view.mt_testimonials', '0'),
('views:unpack_options:a3e0052de551c512b31ebad0c1fbc2d62e160b5b9665ad46bbaa70b93f982373:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:1;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:27:"Testimonials Block - Latest";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.210', 1, 'config:views.view.mt_testimonials', '0'),
('views:unpack_options:a4513cbf93c86cb6719e2cd70120ae855a98691c2964b76ac52428224c030a5f:en', 'a:33:{s:5:"title";s:13:"Presentations";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:23:"view-presentations-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_video";a:35:{s:2:"id";s:18:"field_mt_prs_video";s:5:"table";s:24:"node__field_mt_prs_video";s:5:"field";s:18:"field_mt_prs_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prs_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:7:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:29:"field_mt_prs_topics_target_id";a:20:{s:2:"id";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:25:"node__field_mt_prs_topics";s:5:"field";s:29:"field_mt_prs_topics_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:32:"field_mt_prs_topics_target_id_op";s:5:"label";s:6:"Topics";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:32:"field_mt_prs_topics_target_id_op";s:10:"identifier";s:29:"field_mt_prs_topics_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:9:"mt_topics";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:30:"field_mt_prs_session_target_id";a:20:{s:2:"id";s:30:"field_mt_prs_session_target_id";s:5:"table";s:26:"node__field_mt_prs_session";s:5:"field";s:30:"field_mt_prs_session_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:33:"field_mt_prs_session_target_id_op";s:5:"label";s:7:"Session";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:33:"field_mt_prs_session_target_id_op";s:10:"identifier";s:30:"field_mt_prs_session_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:10:"mt_session";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:31:"field_mt_prs_category_target_id";a:20:{s:2:"id";s:31:"field_mt_prs_category_target_id";s:5:"table";s:27:"node__field_mt_prs_category";s:5:"field";s:31:"field_mt_prs_category_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:34:"field_mt_prs_category_target_id_op";s:5:"label";s:8:"Category";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:34:"field_mt_prs_category_target_id_op";s:10:"identifier";s:31:"field_mt_prs_category_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:26:"mt_presentation_categories";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.815', 1, 'config:views.view.mt_presentations_grid', '0'),
('views:unpack_options:a4bb0a7554db7a4a9d6551800f700d8672bdf6048a87d5baa8b9e3e2406934ac:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-3-col-2";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.855', 1, 'config:views.view.mt_testimonials_grid_2', '0'),
('views:unpack_options:a538f330ad12905cb08d8c63759ca4473c9fda12ee7b5868d0575c01a99f2078:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:33:"col-xl-2 col-lg-3 col-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:14:"team-members-2";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.847', 1, 'config:views.view.mt_team_members_grid_2', '0'),
('views:unpack_options:a58415ed1cc53d43aef9cbb9b3f1e801a30055babc853e01dec5d1fa62558916:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:16:"Choose an option";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"col-lg-3 col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:26:"Pricing Tables - 4 Columns";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.166', 1, 'config:views.view.mt_pricing_tables', '0'),
('views:unpack_options:a5cec78a52d92fb169d50a4cc85e8615fe7684c2bf8b651a869f9ccfd2e516c7:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Latest blog posts";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.126', 1, 'config:views.view.mt_articles_list_2', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:a878cd57c277bc5d146bbc78497e39d44aede4ee91763660b16a167b4a03b236:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-articles";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:28:"Featured Articles (Carousel)";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.120', 1, 'config:views.view.mt_articles_carousel', '0'),
('views:unpack_options:a97ed2eaf6815b9efcaa5553d4a9d5f52116897f73a7fc15fa1fbc0dfc8f5299:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:1;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:11:"merchandise";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.824', 1, 'config:views.view.mt_products', '0'),
('views:unpack_options:ac17ae5e5635918feea9b1ea370106b030d5a70456a57968a924eee78ec1d825:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:4:"path";s:18:"merchandise-groups";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.799', 1, 'config:views.view.mt_collections_grid', '0'),
('views:unpack_options:af8c650fb298515eaa89bf473dbb996b0d30fe20f45bc754c9c5f6623c0e5628:en', 'a:33:{s:5:"title";s:16:"Choose an option";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:19:"view-pricing-tables";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-4 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:181:"<p>Questions? Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut <a href="#" class="link--bordered">labore et dolore magna aliqua</a>.</p>";s:6:"format";s:8:"raw_html";}s:9:"plugin_id";s:4:"text";}}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:7:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_prd_most_popular";a:35:{s:2:"id";s:25:"field_mt_prd_most_popular";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:90:"<div class="views-field-field-mt-prd-most-popular">\n{{ field_mt_prd_most_popular }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"default";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:27:"field_mt_prd_most_popular_1";a:35:{s:2:"id";s:27:"field_mt_prd_most_popular_1";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:12:"most-popular";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"boolean";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:31:"field_mt_prd_pricing_table_item";a:35:{s:2:"id";s:31:"field_mt_prd_pricing_table_item";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:31:"field_mt_prd_pricing_table_item";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:73:"<div class="views-field-item">{{ field_mt_prd_pricing_table_item }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:2:"ul";s:9:"separator";s:0:"";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:400:"<div class="pricing-table">\n<div class="pricing-table-header">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_most_popular }}\n{{ field_mt_prd_price }}\n</div>\n<div class="pricing-table-body">\n{{ field_mt_prd_pricing_table_item }}\n</div>\n<div class="pricing-table-footer">\n<a href="{{ path }}" class="button">{{"Buy Now"|t}} <i class="ml-2 fas fa-angle-right"></i></a>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:5:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:37:"field_mt_prd_pricing_table_item_value";a:14:{s:2:"id";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"1";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.819', 1, 'config:views.view.mt_pricing_tables', '0'),
('views:unpack_options:b0b6c4cc2fe34f5bebe150c4c4c83611f8c0f3d99500e9bf5f31dd69951e53f1:en', 'a:33:{s:5:"title";s:19:"Accommodations list";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:15:"view-items-list";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:34:"view-promoted-items-list--bordered";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_srv_buy_link";a:35:{s:2:"id";s:21:"field_mt_srv_buy_link";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:5:"field";s:21:"field_mt_srv_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_video_1";a:35:{s:2:"id";s:20:"field_mt_srv_video_1";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-sm-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:26:"{{ field_mt_srv_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_image_1";a:35:{s:2:"id";s:20:"field_mt_srv_image_1";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-srv-price">\n{{ field_mt_srv_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-srv-body">\n{{ field_mt_srv_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:271:"<div class="row view-items-list__item">\n{{ field_mt_srv_image }}\n<div class="{{ field_mt_srv_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ field_mt_srv_body }}\n{{ field_mt_srv_price }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.838', 1, 'config:views.view.mt_services_list', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:b1110c5ebb06ef04bc0e800dfdc7102ad061c6bb9ab203c1bef3bfe89c45f1b1:en', 'a:33:{s:5:"title";s:9:"Who''s new";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:">";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:10:"1970-01-01";s:4:"type";s:4:"date";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.229', 1, 'config:views.view.who_s_new', '0'),
('views:unpack_options:b2371c81dc78fab1d329985070d19326619088e040b6de00366f4c1e212abafe:en', 'a:33:{s:5:"title";s:13:"Font Selector";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:24:"administer font entities";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:9:"row_class";s:30:"fontyourface-font-manager-item";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:font";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:3:"pid";a:37:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Provider ID";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:5:"field";}s:9:"css_style";a:37:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"CSS Style";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"font";s:9:"plugin_id";s:17:"entity_operations";}}s:5:"sorts";a:2:{s:6:"status";a:12:{s:2:"id";s:6:"status";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:7:{s:4:"name";a:16:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"name_op";s:5:"label";s:4:"Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"name_op";s:10:"identifier";s:4:"name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:6:"string";}s:3:"pid";a:16:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:6:"pid_op";s:5:"label";s:13:"Font Provider";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:6:"pid_op";s:10:"identifier";s:3:"pid";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:21:"fontyourface_font_pid";}s:9:"css_style";a:16:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:12:"css_style_op";s:5:"label";s:9:"CSS Style";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:12:"css_style_op";s:10:"identifier";s:9:"css_style";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:23:"fontyourface_font_style";}s:10:"css_weight";a:16:{s:2:"id";s:10:"css_weight";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"css_weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:13:"css_weight_op";s:5:"label";s:10:"CSS Weight";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"css_weight_op";s:10:"identifier";s:10:"css_weight";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:10:"css_weight";s:9:"plugin_id";s:24:"fontyourface_font_weight";}s:30:"field_classification_target_id";a:20:{s:2:"id";s:30:"field_classification_target_id";s:5:"table";s:26:"font__field_classification";s:5:"field";s:30:"field_classification_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:33:"field_classification_target_id_op";s:5:"label";s:14:"Classification";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:33:"field_classification_target_id_op";s:10:"identifier";s:30:"field_classification_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"font_classification";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:35:"field_supported_languages_target_id";a:20:{s:2:"id";s:35:"field_supported_languages_target_id";s:5:"table";s:31:"font__field_supported_languages";s:5:"field";s:35:"field_supported_languages_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:38:"field_supported_languages_target_id_op";s:5:"label";s:15:"Language/subset";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:38:"field_supported_languages_target_id_op";s:10:"identifier";s:35:"field_supported_languages_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"languages_supported";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:20:"field_tags_target_id";a:20:{s:2:"id";s:20:"field_tags_target_id";s:5:"table";s:16:"font__field_tags";s:5:"field";s:20:"field_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:23:"field_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:23:"field_tags_target_id_op";s:10:"identifier";s:20:"field_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:12:"font_foundry";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.778', 1, 'config:views.view.fontyourface_font_manager', '0'),
('views:unpack_options:b2928919f39e7708d63f01a562fc81feb709ecafad13024b2017da97c9e40d20:en', 'a:40:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:0;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:0;s:6:"fields";b:0;s:5:"sorts";b:0;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:11:"Merchandise";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:1;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:2:{s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_prd_tags__target_id }}">{{ field_mt_prd_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_3";s:6:"page_3";}s:19:"attachment_position";s:6:"before";s:17:"inherit_arguments";b:1;s:23:"inherit_exposed_filters";b:0;s:13:"inherit_pager";b:0;s:12:"render_pager";b:0;}', -1, '1681649762.135', 1, 'config:views.view.mt_isotope', '0'),
('views:unpack_options:b2f8c99ae1d4c3bbefa47128dee960ef79acd4612928570b02558bb9bb021ce6:en', 'a:33:{s:5:"title";s:5:"Files";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:1;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:21:"access files overview";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:3:"fid";s:3:"fid";s:8:"filename";s:8:"filename";s:8:"filemime";s:8:"filemime";s:8:"filesize";s:8:"filesize";s:6:"status";s:6:"status";s:7:"created";s:7:"created";s:7:"changed";s:7:"changed";s:5:"count";s:5:"count";}s:4:"info";a:8:{s:3:"fid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filename";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filemime";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:8:"filesize";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:19:"No files available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:6:"fields";a:8:{s:3:"fid";a:24:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"Fid";s:7:"exclude";b:1;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}s:8:"filename";a:36:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Name";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"file_link";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:25:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"MIME type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"file_filemime";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:8:"filesize";a:25:{s:2:"id";s:8:"filesize";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filesize";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Size";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"file_size";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filesize";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:19:"format_custom_false";s:9:"Temporary";s:18:"format_custom_true";s:9:"Permanent";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Upload date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"created";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Changed date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"changed";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:3:"fid";s:10:"group_type";s:3:"sum";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Used in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/content/files/usage/{{ fid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:21:"1 place@count places";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:8:"filename";a:16:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:8:"Filename";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filename_op";s:10:"identifier";s:8:"filename";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:16:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:9:"MIME type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filemime_op";s:10:"identifier";s:8:"filemime";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:9:"status_op";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"file_status";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.774', 1, 'config:views.view.files', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:b3b833a1abfd9d69f76828b68b5ce854b7d3581568a2c3c578891495ba8a9ed7:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:0;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:19:"view-promoted-items";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read more";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:14:"albums-isotope";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.809', 1, 'config:views.view.mt_isotope', '0'),
('views:unpack_options:b40241988cf68293dde76a93ca396545fe00d2b4fe8e1e9f23787aa35dc1b982:en', 'a:33:{s:5:"title";s:11:"Merchandise";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:27:"view-promoted-items-masonry";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:59:"masonry-item {{ field_mt_prd_landscape_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_prd_landscape_image";a:35:{s:2:"id";s:28:"field_mt_prd_landscape_image";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:227:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_landscape_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_prd_landscape_image_1";a:35:{s:2:"id";s:30:"field_mt_prd_landscape_image_1";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:26:"link--bordered text-center";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:2:{i:1;s:3:"AND";i:2;s:2:"OR";}}s:7:"filters";a:3:{s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.829', 1, 'config:views.view.mt_products_masonry', '0'),
('views:unpack_options:b4f12a68338fa8e11c5531cc77fc47de1570c6bfc17f3277b8372b5852254389:en', 'a:33:{s:5:"title";s:18:"Merchandise Groups";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:63:"view-mt-carousel view-collection-grid view-collections-carousel";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"Explore now";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"product-groups";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:28:"mt-carousel-item text-center";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:71:"owl-carousel owl-carousel mt-carousel-container mt-carousel-collections";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:2:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.127', 1, 'config:views.view.mt_collections_carousel', '0'),
('views:unpack_options:b8f1e1fee76983518ebbec59ea68835647940ac29c1ca4d053c64abdead76b87:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:0:"";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.209', 1, 'config:views.view.mt_team_members_list', '0'),
('views:unpack_options:ba8b0de4b3a8bc256b518d2cc78b972696e4da16da37a18629172086015c8979:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:19:"presentations-3-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.817', 1, 'config:views.view.mt_presentations_grid', '0'),
('views:unpack_options:bc9889b8e6ae2171addf93f9df324eb92425d806c3a30384674c9961419fc6fa:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:21:"Testimonials Carousel";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.213', 1, 'config:views.view.mt_testimonials_carousel', '0'),
('views:unpack_options:c103c13525c83a0033d4d038c63f369342787fc9dea3c2b76eec0c504824fb2c:en', 'a:33:{s:5:"title";s:13:"In this topic";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:26:"view-latest-items clearfix";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.184', 1, 'config:views.view.mt_related_presentations', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:c44a9b1d1f73d1bd14fb30cc60508ba905b1558b81a8e4e38e28b1b1b43eca25:en', 'a:33:{s:5:"title";s:6:"People";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:16:"administer users";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:10:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"summary";s:0:"";s:7:"columns";a:8:{s:14:"user_bulk_form";s:14:"user_bulk_form";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:3:"rid";s:3:"rid";s:7:"created";s:7:"created";s:6:"access";s:6:"access";s:9:"edit_node";s:9:"edit_node";s:10:"dropbutton";s:10:"dropbutton";}s:4:"info";a:8:{s:14:"user_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:3:"rid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"access";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:20:"No people available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:6:"fields";a:8:{s:14:"user_bulk_form";a:23:{s:2:"id";s:14:"user_bulk_form";s:5:"table";s:5:"users";s:5:"field";s:14:"user_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Bulk update";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"user_bulk_form";s:11:"entity_type";s:4:"user";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Username";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:6:"Active";s:19:"format_custom_false";s:7:"Blocked";}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:15:"roles_target_id";a:24:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Roles";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:2:"ul";s:9:"separator";s:2:", ";s:9:"plugin_id";s:10:"user_roles";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Member for";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:9:"@interval";s:11:"past_format";s:9:"@interval";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}s:6:"access";a:26:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Last access";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:5:"users";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"user";s:9:"plugin_id";s:17:"entity_operations";}s:4:"mail";a:37:{s:2:"id";s:4:"mail";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"mail";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"basic_string";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"mail";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:6:{s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:22:"Name or email contains";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:4:"user";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:4:"mail";s:4:"mail";}s:9:"plugin_id";s:7:"combine";}s:15:"roles_target_id";a:15:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:18:"roles_target_id_op";s:5:"label";s:4:"Role";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:18:"roles_target_id_op";s:10:"identifier";s:4:"role";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:10:"user_roles";}s:10:"permission";a:15:{s:2:"id";s:10:"permission";s:5:"table";s:11:"user__roles";s:5:"field";s:10:"permission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:13:"permission_op";s:5:"label";s:10:"Permission";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"permission_op";s:10:"identifier";s:10:"permission";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:16:"user_permissions";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:6:"Active";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:7:"Blocked";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:16:"default_langcode";a:16:{s:2:"id";s:16:"default_langcode";s:5:"table";s:16:"users_field_data";s:5:"field";s:16:"default_langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:16:"default_langcode";s:9:"plugin_id";s:7:"boolean";}s:7:"uid_raw";a:15:{s:2:"id";s:7:"uid_raw";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"uid_raw";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"!=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";s:11:"entity_type";s:4:"user";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.863', 1, 'config:views.view.user_admin_people', '0'),
('views:unpack_options:c49e9a4928199e66f939778bff4d3ccffbe595bb94ef051f3a5e743c1f1c7cb4:en', 'a:33:{s:5:"title";s:26:"Merchandise Groups Masonry";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:51:"view-promoted-items-masonry view-collection-masonry";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"masonry-item {{ field_mt_wide_collection_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_wide_collection_image";a:35:{s:2:"id";s:30:"field_mt_wide_collection_image";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_wide_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:31:"{{ field_mt_collection_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:32:"field_mt_wide_collection_image_1";a:35:{s:2:"id";s:32:"field_mt_wide_collection_image_1";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.800', 1, 'config:views.view.mt_collections_masonry', '0'),
('views:unpack_options:c64890edfd115f0069a952c5e276411446043934b6a836614bae2c4c75873e4d:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:0;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:0;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:11:"Merchandise";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:19:"view-promoted-items";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_prd_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:10:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_prd_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-isotope";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.814', 1, 'config:views.view.mt_isotope', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:c7243e3b9d1aa3c061a5bd2fd225cbf6ede7719417918ba2049d33324fffc90e:en', 'a:33:{s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:3:{s:16:"area_text_custom";a:11:{s:11:"admin_label";s:0:"";s:7:"content";s:43:"No front page content has been created yet.";s:5:"empty";b:1;s:5:"field";s:16:"area_text_custom";s:10:"group_type";s:5:"group";s:2:"id";s:16:"area_text_custom";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:5:"views";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}s:18:"node_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:18:"node_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:18:"node_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:4:"node";s:9:"plugin_id";s:18:"node_listing_empty";s:11:"entity_type";s:4:"node";}s:5:"title";a:10:{s:2:"id";s:5:"title";s:5:"table";s:5:"views";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:5:"title";s:22:"Welcome to [site:name]";s:9:"plugin_id";s:5:"title";}}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:11:"admin_label";s:0:"";s:6:"expose";a:1:{s:5:"label";s:0:"";}s:7:"exposed";b:0;s:5:"field";s:6:"sticky";s:10:"group_type";s:5:"group";s:2:"id";s:6:"sticky";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";}s:7:"created";a:13:{s:5:"field";s:7:"created";s:2:"id";s:7:"created";s:5:"order";s:4:"DESC";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:7:"promote";a:16:{s:11:"admin_label";s:0:"";s:6:"expose";a:12:{s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"operator";s:0:"";s:11:"operator_id";s:0:"";s:8:"remember";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:8:"required";b:0;s:12:"use_operator";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:7:"exposed";b:0;s:5:"field";s:7:"promote";s:5:"group";i:1;s:10:"group_info";a:10:{s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"description";s:0:"";s:11:"group_items";a:0:{}s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"optional";b:1;s:8:"remember";b:0;s:6:"widget";s:6:"select";}s:10:"group_type";s:5:"group";s:2:"id";s:7:"promote";s:10:"is_grouped";b:0;s:8:"operator";s:1:"=";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";}s:6:"status";a:9:{s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"field";s:6:"status";s:5:"group";i:1;s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.780', 1, 'config:views.view.frontpage', '0'),
('views:unpack_options:c87b1d5afa78da0b1a0df66ae3ef30c7e3600dcfdb91f825283267e24cbd8c91:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:13:"Latest Albums";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"ALL WORKS";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:8;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:33:"Albums - 4 columns (grid style 2)";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.117', 1, 'config:views.view.mt_albums_grid_style_2', '0'),
('views:unpack_options:c890e9d9ed7bf3055706c66ade22e61acd6982777eecc5ef6a362b6598512e56:en', 'a:33:{s:5:"title";s:18:"Merchandise Groups";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:41:"view-promoted-items view-collections-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-md-6 col-lg-3 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:3:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:9:"term_name";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.798', 1, 'config:views.view.mt_collections_grid', '0'),
('views:unpack_options:ca8638ee98920669f457f0667b002fc2362996d47f7a7586db30dfc757eda2e6:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:0;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:0;s:13:"relationships";b:0;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:10:"File usage";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:12:"entity_label";s:12:"entity_label";s:4:"type";s:4:"type";s:6:"module";s:6:"module";s:5:"count";s:5:"count";}s:4:"info";a:4:{s:12:"entity_label";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:6:"module";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:12:"entity_label";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:6:"fields";a:4:{s:12:"entity_label";a:23:{s:2:"id";s:12:"entity_label";s:5:"table";s:10:"file_usage";s:5:"field";s:12:"entity_label";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Entity";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:14:"link_to_entity";b:1;s:9:"plugin_id";s:12:"entity_label";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Entity type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:6:"module";a:22:{s:2:"id";s:6:"module";s:5:"table";s:10:"file_usage";s:5:"field";s:6:"module";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:18:"Registering module";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Use count";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:0:{}s:9:"arguments";a:1:{s:3:"fid";a:23:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:46:"File usage information for {{ arguments.fid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:8:"file_fid";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:27:"admin/content/files/usage/%";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.777', 1, 'config:views.view.files', '0'),
('views:unpack_options:cd6165d9958525ebb425dc72c719b154ae1d3e32e86921bf98d30afccdd0c815:en', 'a:33:{s:5:"title";s:8:"Comments";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"administer comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ previous";s:4:"next";s:8:"next ›";s:5:"first";s:8:"« first";s:4:"last";s:7:"last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:6:{s:17:"comment_bulk_form";s:17:"comment_bulk_form";s:7:"subject";s:7:"subject";s:3:"uid";s:3:"uid";s:9:"entity_id";s:9:"entity_id";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:6:{s:17:"comment_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"subject";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"uid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"entity_id";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:22:"No comments available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:24:"comment_unpublish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.768', 1, 'config:views.view.comment', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:cd90e1da2e9bced554d574b3aade31edba94aa44ab33e3d5bcd3ca9c6ed488d1:en', 'a:34:{s:8:"defaults";a:28:{s:6:"access";b:0;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:19:"Review submissions.";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:27:"view any webform submission";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:8:{s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.228', 1, 'config:views.view.webform_submissions', '0'),
('views:unpack_options:cdd0283324c44e0bf8ac85d847740ea7d21a7d0658ce3e1b76d39b4636ee662f:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View more";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:18:"Testimonials Block";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.211', 1, 'config:views.view.mt_testimonials', '0'),
('views:unpack_options:ce01936a5d2acb29a606d8c25108340697aebb720859da57835ea1f8d15ff69c:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:3:"rss";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:7:"rss.xml";s:10:"route_name";s:0:"";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:0:"";}s:14:"sitename_title";b:1;}', -1, '1681649759.782', 1, 'config:views.view.frontpage', '0'),
('views:unpack_options:ce43a997c36c12d758a774b7db984693ba11bd8d2a31029eba670b3468292ef3:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:19:"accommodations-list";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.839', 1, 'config:views.view.mt_services_list', '0'),
('views:unpack_options:ced9dd1c1aa7a228465fccc1385e9209e961cff8f8562e681949dcc92f7aabcc:en', 'a:33:{s:5:"title";s:23:"Leadership & Management";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:42:"view-promoted-items view-team-members-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:151:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:157:"<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.844', 1, 'config:views.view.mt_team_members_grid', '0'),
('views:unpack_options:d03204e1dc2f59126690c5931cba7db6923cce666ba339c70b123138f4dbfe5d:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-3-col";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.793', 1, 'config:views.view.mt_articles_grid', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:d3f6197e132688c1778395468349a921a3a3927ef9e8d49d16167779b101fa50:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:13:"presentations";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.818', 1, 'config:views.view.mt_presentations_grid', '0'),
('views:unpack_options:d4974e882f54bc9bfcc78e35497d30a8fedf172753fa18de6fdc2d851e6096a2:en', 'a:33:{s:5:"title";s:13:"Articles list";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:15:"view-items-list";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:8:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:246:"<div class="col-md-6">\n<div class="views-field-field-image mb-4 mb-md-0">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-md-6";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"field_image_1";a:35:{s:2:"id";s:13:"field_image_1";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:6:"col-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:48:"<div class="views-field-body">\n{{ body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:54:"<div class="views-field-created">\n{{ created }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:307:"<div class="row view-items-list__item">\n{{ field_image }}\n<div class="{{ field_image_1 }}">\n<div class="view-items-list__body">\n{{ created }}\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ body }}\n<div class="views-field-view-node link--bordered">\n{{ view_node }}\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.796', 1, 'config:views.view.mt_articles_list', '0'),
('views:unpack_options:d70b951c8b45107924febeb63a9da66cc09b5d8fdae9fd4a67db24a0e9b46405:en', 'a:33:{s:5:"title";s:15:"In this session";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:26:"view-latest-items clearfix";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:10:"mt_session";s:10:"mt_session";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.186', 1, 'config:views.view.mt_related_presentations_2', '0'),
('views:unpack_options:d74cd946648be012d92e0f84b8325bcf10db9d0f0662500198cafffd45a93def:en', 'a:33:{s:5:"title";s:17:"Latest Blog Posts";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:29:"view-articles-list-2 clearfix";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Events";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:9:"/articles";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:25:"1 comment@count comments";s:6:"prefix";s:2:"- ";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:132:"<div class="post-meta">\n<div class="post-meta-item">{{ created }}</div>\n<div class="post-meta-item">{{ comment_count }}</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"M j, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.125', 1, 'config:views.view.mt_articles_list_2', '0'),
('views:unpack_options:d946c99263abe4955cc634f6649fedc4b076faf41730e3122741c5d868fec7c7:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:0:{}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:14:"pricing-tables";s:10:"route_name";s:0:"";s:4:"menu";a:9:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;s:7:"enabled";b:1;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"context";s:0:"";s:8:"expanded";b:0;}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}', -1, '1681649759.820', 1, 'config:views.view.mt_pricing_tables', '0'),
('views:unpack_options:dbf41ced65813040478c34a714a2b354898d8f6e7283c363a531dcedb4ea943d:en', 'a:33:{s:5:"title";s:17:"Products Carousel";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:35:"view-mt-carousel view-products-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:60:"owl-carousel mt-carousel-container mt-carousel-related-nodes";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.180', 1, 'config:views.view.mt_related_nodes_carousel', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:dd6c80771e731ccd74dca70032f08cf027fdd597f72fd15b893962ddb87f3932:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:6;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:17:"block_description";s:6:"Videos";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.219', 1, 'config:views.view.mt_videos', '0'),
('views:unpack_options:dd79ddf8a9a02555d033a465b3ff061785cfe5bbcfb8235254aae8cc814edf1b:en', 'a:33:{s:5:"title";s:8:"Speakers";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:13:"view-speakers";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:1:{i:0;a:3:{s:5:"field";s:5:"title";s:8:"rendered";b:1;s:14:"rendered_strip";b:0;}}s:9:"row_class";s:21:"clearfix listing-item";s:17:"default_row_class";b:1;s:11:"uses_fields";b:1;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:15:"mt_listing_item";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:1;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:6:"d-none";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:5:"title";a:12:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.840', 1, 'config:views.view.mt_speakers', '0'),
('views:unpack_options:e1b403e5946a7ef7aab0c52cde25d573e0993da1fa7a9c21d6074f8a5501d2ac:en', 'a:33:{s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:17:"view-mt-slideshow";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:23:"mt_slideshow_fullscreen";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.194', 1, 'config:views.view.mt_slideshow_full_screen', '0'),
('views:unpack_options:eaf49f4b8952ed865a74174e8ad23114a7ecb89928b389398488d0fc7942d614:en', 'a:33:{s:5:"title";s:7:"Program";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:13:"view-calendar";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:25:"fullcalendar_view_display";s:7:"options";a:13:{s:11:"defaultDate";s:10:"2018-04-11";s:5:"start";s:23:"field_mt_prg_start_date";s:3:"end";s:21:"field_mt_prg_end_date";s:13:"right_buttons";a:3:{s:10:"agendaWeek";s:10:"agendaWeek";s:9:"agendaDay";s:9:"agendaDay";s:8:"listYear";s:8:"listYear";}s:15:"defaultLanguage";s:2:"en";s:16:"languageSelector";i:0;s:15:"createEventLink";i:0;s:9:"tax_field";s:21:"field_mt_prg_category";s:12:"vocabularies";s:27:"mt_program_entry_categories";s:14:"color_contents";a:13:{s:7:"article";s:7:"#3a87ad";s:8:"mt_album";s:7:"#3a87ad";s:14:"mt_canvas_page";s:7:"#3a87ad";s:8:"mt_event";s:7:"#3a87ad";s:15:"mt_presentation";s:7:"#3a87ad";s:10:"mt_product";s:7:"#3a87ad";s:16:"mt_program_entry";s:7:"#3a87ad";s:10:"mt_service";s:7:"#3a87ad";s:10:"mt_speaker";s:7:"#3a87ad";s:10:"mt_sponsor";s:7:"#3a87ad";s:14:"mt_team_member";s:7:"#3a87ad";s:14:"mt_testimonial";s:7:"#3a87ad";s:4:"page";s:7:"#3a87ad";}s:12:"content_type";s:16:"mt_program_entry";s:7:"classes";s:0:"";s:16:"color_taxonomies";a:2:{i:77;s:7:"#4b842e";i:78;s:7:"#3b5897";}}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:21:"field_mt_prg_category";a:35:{s:2:"id";s:21:"field_mt_prg_category";s:5:"table";s:27:"node__field_mt_prg_category";s:5:"field";s:21:"field_mt_prg_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_prg_end_date";a:35:{s:2:"id";s:21:"field_mt_prg_end_date";s:5:"table";s:27:"node__field_mt_prg_end_date";s:5:"field";s:21:"field_mt_prg_end_date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"datetime_default";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:6:"medium";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:23:"field_mt_prg_start_date";a:35:{s:2:"id";s:23:"field_mt_prg_start_date";s:5:"table";s:29:"node__field_mt_prg_start_date";s:5:"field";s:23:"field_mt_prg_start_date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"datetime_default";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:6:"medium";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.831', 1, 'config:views.view.mt_program', '0'),
('views:unpack_options:ecc65bd499bdaf73c9e174c565146a724587442c01f2d22f9b1fb38b4bd7e63c:en', 'a:33:{s:5:"title";s:6:"Events";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:4;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:9:"row_class";s:4:"mb-5";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.805', 1, 'config:views.view.mt_events_list', '0'),
('views:unpack_options:eebab6c2adb92ce474dc13222aa75ee84fae06abb6e0ff3c2d0ed474418c8ea6:en', 'a:33:{s:5:"title";s:6:"Albums";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-albums-grid-2";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item {{ field_mt_alb_tags }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:3:"M j";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:387:"<div class="views-field-field-image">\n<div class="overlayed-wrapper">\n<a class="overlayed-inner" href="{{ path }}">\n<span class="overlay"><i class="fa fa-link"></i></span>\n{{ field_mt_alb_image }}\n</a>\n<span class="info">\n<span class="date">{{ created }}</span>\n<a href="{{ path }}" class="comments">{{ comment_count }}</a>\n<span class="author">By {{ name }}</span>\n</span>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h2";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:9:"more-link";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.807', 1, 'config:views.view.mt_isotope', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:ef5137b503077f0b0ae02984cd6f4dabbee7c995beb97a0173560c56b043b499:en', 'a:33:{s:5:"title";s:12:"Popular Tags";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:21:"view-popular-taxonomy";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:1;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:2:{s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:9:"term_name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;}s:3:"tid";a:37:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:3:"tid";a:12:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:10:"langcode_1";a:16:{s:2:"id";s:10:"langcode_1";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:8:"status_1";a:16:{s:2:"id";s:8:"status_1";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.161', 1, 'config:views.view.mt_popular_tags', '0'),
('views:unpack_options:f15b66d97710140cabb04dc96a928c57bc1e10ce9ed61a0778b112565a02386b:en', 'a:40:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:0;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:0;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:1;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:2:{s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_alb_tags__target_id }}">{{ field_mt_alb_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:37:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_1";s:6:"page_1";}s:19:"attachment_position";s:6:"before";s:17:"inherit_arguments";b:1;s:23:"inherit_exposed_filters";b:0;s:13:"inherit_pager";b:0;s:12:"render_pager";b:0;}', -1, '1681649762.134', 1, 'config:views.view.mt_isotope', '0'),
('views:unpack_options:f176df07d35eeead700e2f7f851e0f58f3f0204f7a03a3c335159beccd1c4177:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:1;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:7:"default";}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:0:{}s:17:"display_extenders";a:0:{}s:4:"path";s:20:"taxonomy/term/%/feed";s:10:"route_name";s:0:"";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:1:"0";}s:14:"sitename_title";b:0;}', -1, '1681649759.861', 1, 'config:views.view.taxonomy_term', '0'),
('views:unpack_options:f314c3a986e82416cc2c79318fa1cc311b5d4f7b42a500082ee1219d00048fe8:en', 'a:33:{s:5:"title";s:6:"Albums";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:16:"view-albums-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-lg-4 col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:31:"row list-unstyled grid-gutter-5";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:205:"<h2 class="text-center bottom-spacing-small">MY PORTFOLIO</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:19:"link--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:116:"<div class="text-center">\n<div class="views-field-title" ><h5><a href="{{ path }}">{{ title }}</a></h5></div>\n</div>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649759.786', 1, 'config:views.view.mt_albums_grid_style_2', '0'),
('views:unpack_options:f794ce1b3b99e6147eade3b2618df4a8dcb1d666dc873db1f018e5beaedbc924:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:27:"Testimonials Block - Grid 2";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.216', 1, 'config:views.view.mt_testimonials_grid_2', '0'),
('views:unpack_options:f7b90b2c88184dca0dcac136ad6022a9fe85edeb21b8f61816aed2eb372d6a4c:en', 'a:33:{s:5:"title";s:15:"Recent Comments";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"mt-recent-comments";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:2:{s:4:"node";a:9:{s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"node";s:11:"entity_type";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:7:"Content";}s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:21:"{{ name }} {{"on"|t}}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:9:"plugin_id";s:5:"field";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:12:"relationship";s:4:"node";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:11:"status_node";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.176', 1, 'config:views.view.mt_recent_comments', '0'),
('views:unpack_options:fc0ea4b536bbb33df0e6ba054526e693048fcd12a8f17c7b63cb38acd91fc5cc:en', 'a:33:{s:5:"title";s:8:"Sponsors";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:37:"col-6 col-sm-4 col-md-3 col-lg-6 my-3";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:1:{s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:7:"content";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:17:"display_extenders";a:0:{}}', -1, '1681649762.203', 1, 'config:views.view.mt_sponsors_grid_2', '0');
INSERT INTO `cache_data` VALUES
('views:unpack_options:fc3fb37e9411907483fb62a7577ce9b8abf6d8e1baeebc215aa3a8df83ac0b08:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";b:1;s:12:"exposed_form";b:0;s:12:"link_display";b:1;s:8:"link_url";b:1;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:12:"link_display";s:0:"";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:21:"col-lg-4 col-md-6 row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:1;s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:200:"<h2 class="text-center bottom-spacing-small">MY SHOP</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:7:"filters";a:8:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:22:"Merchandise Grid 3 Col";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.168', 1, 'config:views.view.mt_products', '0'),
('views:unpack_options:fc80f87afeaff41771b06c05adbe41c47099814277fb55eedc73a713c755c035:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:1;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:1;s:3:"row";b:1;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:1;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:0:"";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:0:{}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:28:"Testimonials Block - Masonry";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.218', 1, 'config:views.view.mt_testimonials_masonry', '0'),
('views:unpack_options:fe4893127e36cd03e330ee40001d5734f4ba9acc589a2a863fc6ea51493efe2c:en', 'a:38:{s:8:"defaults";a:28:{s:6:"access";b:1;s:5:"cache";b:1;s:5:"query";b:1;s:5:"title";b:1;s:9:"css_class";b:0;s:19:"display_description";b:0;s:8:"use_ajax";b:1;s:23:"hide_attachment_summary";b:1;s:16:"show_admin_links";b:1;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"exposed_form";b:1;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"group_by";b:1;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:1;s:6:"footer";b:1;s:5:"empty";b:1;s:13:"relationships";b:1;s:6:"fields";b:0;s:5:"sorts";b:1;s:9:"arguments";b:1;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"title";s:0:"";s:7:"enabled";b:1;s:15:"display_comment";s:0:"";s:9:"css_class";s:18:"view-articles-grid";s:19:"display_description";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View More";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:8:"group_by";b:0;s:18:"rendering_language";s:33:"***LANGUAGE_entity_translation***";s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:0;s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:5:"sorts";a:0:{}s:9:"arguments";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:17:"display_extenders";a:0:{}s:17:"block_description";s:25:"Articles - Grid 3 Columns";s:14:"block_category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"block_hide_empty";b:0;s:5:"allow";a:1:{s:14:"items_per_page";s:14:"items_per_page";}}', -1, '1681649762.121', 1, 'config:views.view.mt_articles_grid', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cache_default`
--

CREATE TABLE `cache_default` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_default`
--

INSERT INTO `cache_default` VALUES
('ckeditor_internal_format_tags:basic_html', 'p;h2;h3;h4;h5;h6', -1, '1681653975.644', 0, 'config:filter.format.basic_html', '0'),
('ckeditor_internal_format_tags:full_html', 'p;h1;h2;h3;h4;h5;h6;pre', -1, '1681653975.650', 0, 'config:filter.format.full_html', '0'),
('core.extension.list.module', 'a:154:{s:6:"action";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/action/action.info.yml";s:11:"\0*\0filename";s:13:"action.module";s:7:"subpath";s:14:"modules/action";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:7:"Actions";s:4:"type";s:6:"module";s:11:"description";s:67:"Allows configuration of tasks to be executed in response to events.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:24:"entity.action.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:10:"aggregator";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/aggregator/aggregator.info.yml";s:11:"\0*\0filename";s:17:"aggregator.module";s:7:"subpath";s:18:"modules/aggregator";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:10:"Aggregator";s:4:"type";s:6:"module";s:11:"description";s:89:"Gathers and displays syndicated content (RSS, RDF, and Atom feeds) from external sources.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:48:"https://www.drupal.org/node/3223395#s-aggregator";s:9:"configure";s:25:"aggregator.admin_settings";s:12:"dependencies";a:2:{i:0;s:11:"drupal:file";i:1;s:14:"drupal:options";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:7:{s:4:"file";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"file";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"options";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"options";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:4:"text";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"text";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"filter";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"filter";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:4:"user";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"system";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"system";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-7;}s:14:"automated_cron";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:51:"core/modules/automated_cron/automated_cron.info.yml";s:11:"\0*\0filename";s:21:"automated_cron.module";s:7:"subpath";s:22:"modules/automated_cron";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:14:"Automated Cron";s:4:"type";s:6:"module";s:11:"description";s:94:"Provides an automated way to run cron jobs, by executing them at the end of a server response.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:20:"system.cron_settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:3:"ban";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:29:"core/modules/ban/ban.info.yml";s:11:"\0*\0filename";s:10:"ban.module";s:7:"subpath";s:11:"modules/ban";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:3:"Ban";s:4:"type";s:6:"module";s:11:"description";s:63:"Allows administrators to ban visits from specific IP addresses.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:14:"ban.admin_page";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:10:"basic_auth";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/basic_auth/basic_auth.info.yml";s:11:"\0*\0filename";s:17:"basic_auth.module";s:7:"subpath";s:18:"modules/basic_auth";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:25:"HTTP Basic Authentication";s:4:"type";s:6:"module";s:11:"description";s:47:"Supplies an HTTP Basic authentication provider.";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:4:"user";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"system";r:78;}s:4:"sort";i:-8;}s:8:"big_pipe";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/big_pipe/big_pipe.info.yml";s:11:"\0*\0filename";s:15:"big_pipe.module";s:7:"subpath";s:16:"modules/big_pipe";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:7:"BigPipe";s:4:"type";s:6:"module";s:11:"description";s:86:"Sends pages using the BigPipe technique that allows browsers to show them much faster.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:5:"block";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/block/block.info.yml";s:11:"\0*\0filename";s:12:"block.module";s:7:"subpath";s:13:"modules/block";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:5:"Block";s:4:"type";s:6:"module";s:11:"description";s:140:"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:19:"block.admin_display";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:7:{s:13:"block_content";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"block";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:14:"layout_builder";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"block";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:13:"settings_tray";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"block";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:12:"mt_countdown";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"block";s:10:"\0*\0project";s:0:"";s:19:"\0*\0constraintString";s:0:"";}s:8:"juicerio";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"block";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"block";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:35:"webform_demo_application_evaluation";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"block";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:-9;}s:13:"block_content";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:49:"core/modules/block_content/block_content.info.yml";s:11:"\0*\0filename";s:20:"block_content.module";s:7:"subpath";s:21:"modules/block_content";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:12:"Custom Block";s:4:"type";s:6:"module";s:11:"description";s:53:"Allows the creation of custom blocks and block types.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:12:"drupal:block";i:1;s:11:"drupal:text";i:2;s:11:"drupal:user";}s:9:"configure";s:31:"entity.block_content.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:6:{s:5:"block";r:210;s:4:"text";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"text";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"filter";r:70;s:4:"user";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"system";r:78;}s:4:"sort";i:-10;}s:4:"book";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/book/book.info.yml";s:11:"\0*\0filename";s:11:"book.module";s:7:"subpath";s:12:"modules/book";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:4:"Book";s:4:"type";s:6:"module";s:11:"description";s:66:"Allows users to create and organize related content in an outline.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:node";}s:9:"configure";s:13:"book.settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:6:{s:4:"node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:4:"text";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"text";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-12;}s:10:"breakpoint";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/breakpoint/breakpoint.info.yml";s:11:"\0*\0filename";s:17:"breakpoint.module";s:7:"subpath";s:18:"modules/breakpoint";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:10:"Breakpoint";s:4:"type";s:6:"module";s:11:"description";s:65:"Manages breakpoints and breakpoint groups for responsive designs.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:16:"responsive_image";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"breakpoint";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"toolbar";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"breakpoint";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:13:"settings_tray";r:347;}s:8:"requires";a:0:{}s:4:"sort";i:-13;}s:8:"ckeditor";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/ckeditor/ckeditor.info.yml";s:11:"\0*\0filename";s:15:"ckeditor.module";s:7:"subpath";s:16:"modules/ckeditor";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:8:"CKEditor";s:4:"type";s:6:"module";s:11:"description";s:52:"WYSIWYG editing for rich text fields using CKEditor.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:46:"https://www.drupal.org/node/3223395#s-ckeditor";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:13:"drupal:editor";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:19:"video_embed_wysiwyg";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"ckeditor";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:6:{s:6:"editor";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"editor";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"filter";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"filter";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:4:"user";r:74;s:6:"system";r:78;s:4:"file";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"file";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:58;}s:4:"sort";i:-15;}s:9:"ckeditor5";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:41:"core/modules/ckeditor5/ckeditor5.info.yml";s:11:"\0*\0filename";s:16:"ckeditor5.module";s:7:"subpath";s:17:"modules/ckeditor5";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:10:"CKEditor 5";s:4:"type";s:6:"module";s:11:"description";s:54:"WYSIWYG editing for rich text fields using CKEditor 5.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:12:"dependencies";a:1:{i:0;s:13:"drupal:editor";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:6:{s:6:"editor";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"editor";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"filter";r:387;s:4:"user";r:74;s:6:"system";r:78;s:4:"file";r:393;s:5:"field";r:58;}s:4:"sort";i:-16;}s:5:"color";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/color/color.info.yml";s:11:"\0*\0filename";s:12:"color.module";s:7:"subpath";s:13:"modules/color";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:5:"Color";s:4:"type";s:6:"module";s:11:"description";s:61:"Allows users to change the color scheme of compatible themes.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:43:"https://www.drupal.org/node/3223395#s-color";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:7:"comment";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/comment/comment.info.yml";s:11:"\0*\0filename";s:14:"comment.module";s:7:"subpath";s:15:"modules/comment";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:7:"Comment";s:4:"type";s:6:"module";s:11:"description";s:35:"Allows users to comment on content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:text";}s:9:"configure";s:13:"comment.admin";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:2:{s:5:"forum";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"comment";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"tracker";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"comment";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:5:{s:4:"text";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"text";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-17;}s:6:"config";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/config/config.info.yml";s:11:"\0*\0filename";s:13:"config.module";s:7:"subpath";s:14:"modules/config";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:21:"Configuration Manager";s:4:"type";s:6:"module";s:11:"description";s:65:"Allows administrators to import and export configuration changes.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:11:"config.sync";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:18:"config_translation";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:59:"core/modules/config_translation/config_translation.info.yml";s:11:"\0*\0filename";s:25:"config_translation.module";s:7:"subpath";s:26:"modules/config_translation";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:25:"Configuration Translation";s:4:"type";s:6:"module";s:11:"description";s:45:"Allows users to translate configuration text.";s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"config_translation.mapper_list";s:12:"dependencies";a:1:{i:0;s:13:"drupal:locale";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:6:"locale";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"locale";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:8:"language";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"language";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:4:"file";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"file";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:58;}s:4:"sort";i:-20;}s:7:"contact";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/contact/contact.info.yml";s:11:"\0*\0filename";s:14:"contact.module";s:7:"subpath";s:15:"modules/contact";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:7:"Contact";s:4:"type";s:6:"module";s:11:"description";s:71:"Provides site-wide contact forms and forms to contact individual users.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"entity.contact_form.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:18:"content_moderation";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:59:"core/modules/content_moderation/content_moderation.info.yml";s:11:"\0*\0filename";s:25:"content_moderation.module";s:7:"subpath";s:26:"modules/content_moderation";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:18:"Content Moderation";s:4:"type";s:6:"module";s:11:"description";s:39:"Provides moderation states for content.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:9:"configure";s:26:"entity.workflow.collection";s:12:"dependencies";a:1:{i:0;s:16:"drupal:workflows";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:18:"content_moderation";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:9:"workflows";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:9:"workflows";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-22;}s:19:"content_translation";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:61:"core/modules/content_translation/content_translation.info.yml";s:11:"\0*\0filename";s:26:"content_translation.module";s:7:"subpath";s:27:"modules/content_translation";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:19:"Content Translation";s:4:"type";s:6:"module";s:11:"description";s:34:"Allows users to translate content.";s:12:"dependencies";a:1:{i:0;s:15:"drupal:language";}s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"language.content_settings_page";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:19:"content_translation";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:8:"language";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"language";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-23;}s:10:"contextual";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/contextual/contextual.info.yml";s:11:"\0*\0filename";s:17:"contextual.module";s:7:"subpath";s:18:"modules/contextual";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:16:"Contextual Links";s:4:"type";s:6:"module";s:11:"description";s:76:"Provides contextual links to directly access tasks related to page elements.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:14:"layout_builder";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"contextual";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:9:"quickedit";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"contextual";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:13:"settings_tray";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"contextual";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:-24;}s:8:"datetime";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/datetime/datetime.info.yml";s:11:"\0*\0filename";s:15:"datetime.module";s:7:"subpath";s:16:"modules/datetime";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:8:"Datetime";s:4:"type";s:6:"module";s:11:"description";s:57:"Defines datetime form elements and a datetime field type.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:6:{s:14:"datetime_range";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"datetime";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:16:"mt_cookieconsent";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"datetime";s:10:"\0*\0project";s:8:"datetime";s:19:"\0*\0constraintString";s:0:"";}s:12:"mt_countdown";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"datetime";s:10:"\0*\0project";s:8:"datetime";s:19:"\0*\0constraintString";s:0:"";}s:17:"fullcalendar_view";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"datetime";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:31:"webform_demo_event_registration";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"datetime";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:27:"webform_demo_region_contact";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"datetime";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:5:"field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-25;}s:14:"datetime_range";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:51:"core/modules/datetime_range/datetime_range.info.yml";s:11:"\0*\0filename";s:21:"datetime_range.module";s:7:"subpath";s:22:"modules/datetime_range";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:14:"Datetime Range";s:4:"type";s:6:"module";s:11:"description";s:40:"Provides the ability to store end dates.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:15:"drupal:datetime";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:8:"datetime";r:716;s:5:"field";r:741;}s:4:"sort";i:-26;}s:5:"dblog";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/dblog/dblog.info.yml";s:11:"\0*\0filename";s:12:"dblog.module";s:7:"subpath";s:13:"modules/dblog";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:16:"Database Logging";s:4:"type";s:6:"module";s:11:"description";s:35:"Logs system events in the database.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:23:"system.logging_settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:17:"migrate_drupal_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"dblog";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:18:"dynamic_page_cache";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:59:"core/modules/dynamic_page_cache/dynamic_page_cache.info.yml";s:11:"\0*\0filename";s:25:"dynamic_page_cache.module";s:7:"subpath";s:26:"modules/dynamic_page_cache";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:27:"Internal Dynamic Page Cache";s:4:"type";s:6:"module";s:11:"description";s:66:"Caches pages, including those with dynamic content, for all users.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:6:"editor";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/editor/editor.info.yml";s:11:"\0*\0filename";s:13:"editor.module";s:7:"subpath";s:14:"modules/editor";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:11:"Text Editor";s:4:"type";s:6:"module";s:11:"description";s:99:"Provides a means to associate text formats with text editor libraries such as WYSIWYGs or toolbars.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:13:"drupal:filter";i:1;s:11:"drupal:file";}s:9:"configure";s:21:"filter.admin_overview";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:8:"ckeditor";r:383;s:9:"ckeditor5";r:423;s:19:"video_embed_wysiwyg";r:383;}s:8:"requires";a:5:{s:6:"filter";r:387;s:4:"user";r:74;s:6:"system";r:78;s:4:"file";r:393;s:5:"field";r:58;}s:4:"sort";i:-14;}s:16:"entity_reference";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:55:"core/modules/entity_reference/entity_reference.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:24:"modules/entity_reference";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:16:"Entity Reference";s:4:"type";s:6:"module";s:11:"description";s:55:"Obsolete. All the functionality has been moved to Core.";s:9:"lifecycle";s:8:"obsolete";s:14:"lifecycle_link";s:125:"https://www.drupal.org/about/core/policies/core-change-policies/deprecated-and-obsolete-modules-and-themes#s-entity-reference";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:5:"field";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/field/field.info.yml";s:11:"\0*\0filename";s:12:"field.module";s:7:"subpath";s:13:"modules/field";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:5:"Field";s:4:"type";s:6:"module";s:11:"description";s:57:"Field API to add fields to entities like nodes and users.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:90:{s:4:"file";r:58;s:4:"text";r:272;s:7:"options";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:10:"aggregator";r:58;s:13:"block_content";r:272;s:4:"node";r:272;s:4:"book";r:272;s:6:"editor";r:58;s:8:"ckeditor";r:58;s:9:"ckeditor5";r:58;s:7:"comment";r:272;s:6:"locale";r:58;s:18:"config_translation";r:58;s:8:"datetime";r:741;s:14:"datetime_range";r:741;s:8:"field_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"history";r:272;s:8:"taxonomy";r:272;s:5:"forum";r:272;s:5:"image";r:58;s:4:"link";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"media";r:58;s:13:"media_library";r:58;s:17:"menu_link_content";r:935;s:7:"menu_ui";r:935;s:9:"quickedit";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:16:"responsive_image";r:58;s:8:"shortcut";r:935;s:10:"statistics";r:272;s:9:"telephone";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"tracker";r:272;s:16:"mt_cookieconsent";r:741;s:12:"mt_countdown";r:741;s:26:"entity_reference_revisions";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:11:"field_group";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:19:"field_group_migrate";r:961;s:12:"fontyourface";r:272;s:16:"adobe_edge_fonts";r:272;s:12:"fontscom_api";r:272;s:16:"fontsquirrel_api";r:272;s:16:"google_fonts_api";r:272;s:11:"local_fonts";r:272;s:11:"typekit_api";r:272;s:17:"fullcalendar_view";r:741;s:10:"paragraphs";r:957;s:18:"paragraphs_library";r:957;s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:27:"paragraphs_type_permissions";r:957;s:17:"video_embed_field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:17:"video_embed_media";r:58;s:18:"vem_migrate_oembed";r:58;s:19:"video_embed_wysiwyg";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"field";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:14:"webform_access";r:991;s:18:"webform_attachment";r:991;s:17:"webform_bootstrap";r:991;s:29:"webform_clientside_validation";r:991;s:13:"webform_cards";r:991;s:35:"webform_demo_application_evaluation";r:991;s:21:"webform_options_limit";r:991;s:23:"webform_scheduled_email";r:991;s:13:"webform_share";r:991;s:31:"webform_demo_event_registration";r:741;s:13:"webform_group";r:991;s:18:"webform_demo_group";r:991;s:27:"webform_demo_region_contact";r:741;s:13:"webform_devel";r:991;s:20:"webform_entity_print";r:991;s:31:"webform_entity_print_attachment";r:991;s:25:"webform_example_composite";r:991;s:27:"webform_example_custom_form";r:991;s:23:"webform_example_element";r:991;s:10:"webform_ui";r:991;s:34:"webform_example_element_properties";r:991;s:23:"webform_example_handler";r:991;s:27:"webform_example_remote_post";r:991;s:23:"webform_example_variant";r:991;s:16:"webform_examples";r:991;s:30:"webform_examples_accessibility";r:991;s:14:"webform_icheck";r:991;s:20:"webform_image_select";r:991;s:24:"webform_jqueryui_buttons";r:991;s:28:"webform_location_geocomplete";r:991;s:22:"webform_options_custom";r:991;s:17:"webform_shortcuts";r:991;s:32:"webform_submission_export_import";r:991;s:22:"webform_submission_log";r:991;s:17:"webform_templates";r:991;s:15:"webform_toggles";r:991;}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:12:"field_layout";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:47:"core/modules/field_layout/field_layout.info.yml";s:11:"\0*\0filename";s:19:"field_layout.module";s:7:"subpath";s:20:"modules/field_layout";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:12:"Field Layout";s:4:"type";s:6:"module";s:11:"description";s:94:"Allows users to configure the display and form display by arranging fields in several columns.";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:12:"experimental";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:23:"drupal:layout_discovery";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:16:"layout_discovery";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:16:"layout_discovery";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-28;}s:8:"field_ui";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/field_ui/field_ui.info.yml";s:11:"\0*\0filename";s:15:"field_ui.module";s:7:"subpath";s:16:"modules/field_ui";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:8:"Field UI";s:4:"type";s:6:"module";s:11:"description";s:47:"Provides a user interface for the Field module.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:16:"mt_cookieconsent";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"field_ui";s:10:"\0*\0project";s:8:"field_ui";s:19:"\0*\0constraintString";s:0:"";}s:12:"mt_countdown";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"field_ui";s:10:"\0*\0project";s:8:"field_ui";s:19:"\0*\0constraintString";s:0:"";}s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"field_ui";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:5:"field";r:927;}s:4:"sort";i:-29;}s:4:"file";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/file/file.info.yml";s:11:"\0*\0filename";s:11:"file.module";s:7:"subpath";s:12:"modules/file";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:4:"File";s:4:"type";s:6:"module";s:11:"description";s:31:"Defines a field type for files.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:18:{s:10:"aggregator";r:54;s:6:"editor";r:393;s:8:"ckeditor";r:393;s:9:"ckeditor5";r:393;s:6:"locale";r:558;s:18:"config_translation";r:558;s:5:"image";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"file";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"media";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"file";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:13:"media_library";r:1137;s:16:"responsive_image";r:1133;s:10:"paragraphs";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"file";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:18:"paragraphs_library";r:1143;s:15:"paragraphs_demo";r:1143;s:27:"paragraphs_type_permissions";r:1143;s:17:"video_embed_field";r:1133;s:17:"video_embed_media";r:1137;s:18:"vem_migrate_oembed";r:1137;s:19:"video_embed_wysiwyg";r:393;}s:8:"requires";a:1:{s:5:"field";r:58;}s:4:"sort";i:-1;}s:6:"filter";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/filter/filter.info.yml";s:11:"\0*\0filename";s:13:"filter.module";s:7:"subpath";s:14:"modules/filter";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:6:"Filter";s:4:"type";s:6:"module";s:11:"description";s:43:"Filters content in preparation for display.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:21:"filter.admin_overview";s:12:"dependencies";a:1:{i:0;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:40:{s:4:"text";r:70;s:7:"options";r:70;s:10:"aggregator";r:70;s:13:"block_content";r:70;s:4:"node";r:70;s:4:"book";r:70;s:6:"editor";r:387;s:8:"ckeditor";r:387;s:9:"ckeditor5";r:387;s:7:"comment";r:70;s:7:"history";r:70;s:8:"taxonomy";r:70;s:5:"forum";r:70;s:5:"views";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"filter";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:13:"media_library";r:1194;s:9:"quickedit";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"filter";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:10:"statistics";r:70;s:7:"tracker";r:70;s:8:"views_ui";r:1194;s:22:"better_exposed_filters";r:1194;s:16:"mt_cookieconsent";r:70;s:12:"mt_countdown";r:70;s:12:"fontyourface";r:70;s:16:"adobe_edge_fonts";r:70;s:12:"fontscom_api";r:70;s:16:"fontsquirrel_api";r:70;s:16:"google_fonts_api";r:70;s:11:"local_fonts";r:70;s:11:"typekit_api";r:70;s:17:"fullcalendar_view";r:1194;s:18:"paragraphs_library";r:1194;s:15:"paragraphs_demo";r:70;s:19:"video_embed_wysiwyg";r:387;s:12:"webform_node";r:70;s:14:"webform_access";r:70;s:35:"webform_demo_application_evaluation";r:1194;s:31:"webform_demo_event_registration";r:1194;s:13:"webform_group";r:70;s:18:"webform_demo_group";r:70;s:27:"webform_demo_region_contact";r:70;}s:8:"requires";a:2:{s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-4;}s:5:"forum";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/forum/forum.info.yml";s:11:"\0*\0filename";s:12:"forum.module";s:7:"subpath";s:13:"modules/forum";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:5:"Forum";s:4:"type";s:6:"module";s:11:"description";s:27:"Provides discussion forums.";s:12:"dependencies";a:5:{i:0;s:11:"drupal:node";i:1;s:14:"drupal:history";i:2;s:15:"drupal:taxonomy";i:3;s:14:"drupal:comment";i:4;s:14:"drupal:options";}s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:14:"forum.overview";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:10:{s:4:"node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:4:"text";r:312;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:7:"history";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"history";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:8:"taxonomy";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"taxonomy";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"comment";r:482;s:7:"options";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"options";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-32;}s:3:"hal";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:29:"core/modules/hal/hal.info.yml";s:11:"\0*\0filename";s:10:"hal.module";s:7:"subpath";s:11:"modules/hal";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:3:"HAL";s:4:"type";s:6:"module";s:11:"description";s:57:"Serializes entities using Hypertext Application Language.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:41:"https://www.drupal.org/node/3223395#s-hal";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:20:"drupal:serialization";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:13:"serialization";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:13:"serialization";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-1;}s:4:"help";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/help/help.info.yml";s:11:"\0*\0filename";s:11:"help.module";s:7:"subpath";s:12:"modules/help";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:4:"Help";s:4:"type";s:6:"module";s:11:"description";s:35:"Manages the display of online help.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:11:"help_topics";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"help";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:11:"help_topics";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:45:"core/modules/help_topics/help_topics.info.yml";s:11:"\0*\0filename";s:18:"help_topics.module";s:7:"subpath";s:19:"modules/help_topics";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:11:"Help Topics";s:4:"type";s:6:"module";s:11:"description";s:52:"Displays help topics provided by themes and modules.";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:12:"experimental";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:help";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:4:"help";r:1335;}s:4:"sort";i:-1;}s:7:"history";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/history/history.info.yml";s:11:"\0*\0filename";s:14:"history.module";s:7:"subpath";s:15:"modules/history";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:7:"History";s:4:"type";s:6:"module";s:11:"description";s:42:"Records which user has read which content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:node";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:5:"forum";r:1269;}s:8:"requires";a:6:{s:4:"node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:4:"text";r:312;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-30;}s:5:"image";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/image/image.info.yml";s:11:"\0*\0filename";s:12:"image.module";s:7:"subpath";s:13:"modules/image";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:5:"Image";s:4:"type";s:6:"module";s:11:"description";s:78:"Defines a field type for image media and provides display configuration tools.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:file";}s:9:"configure";s:29:"entity.image_style.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:8:{s:5:"media";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"image";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:13:"media_library";r:1426;s:16:"responsive_image";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"image";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"image";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:17:"video_embed_field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"image";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:17:"video_embed_media";r:1426;s:18:"vem_migrate_oembed";r:1426;s:19:"video_embed_wysiwyg";r:1439;}s:8:"requires";a:2:{s:4:"file";r:1133;s:5:"field";r:58;}s:4:"sort";i:-33;}s:18:"inline_form_errors";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:59:"core/modules/inline_form_errors/inline_form_errors.info.yml";s:11:"\0*\0filename";s:25:"inline_form_errors.module";s:7:"subpath";s:26:"modules/inline_form_errors";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"type";s:6:"module";s:4:"name";s:18:"Inline Form Errors";s:11:"description";s:88:"Places error messages adjacent to form inputs, for improved usability and accessibility.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:13:"webform_cards";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:18:"inline_form_errors";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:-34;}s:7:"jsonapi";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/jsonapi/jsonapi.info.yml";s:11:"\0*\0filename";s:14:"jsonapi.module";s:7:"subpath";s:15:"modules/jsonapi";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:8:"JSON:API";s:4:"type";s:6:"module";s:11:"description";s:63:"Exposes entities as a JSON:API-specification-compliant web API.";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:9:"configure";s:16:"jsonapi.settings";s:12:"dependencies";a:1:{i:0;s:20:"drupal:serialization";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:13:"serialization";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:13:"serialization";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-2;}s:8:"language";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/language/language.info.yml";s:11:"\0*\0filename";s:15:"language.module";s:7:"subpath";s:16:"modules/language";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:8:"Language";s:4:"type";s:6:"module";s:11:"description";s:46:"Allows users to configure available languages.";s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:9:"configure";s:39:"entity.configurable_language.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:4:{s:6:"locale";r:554;s:18:"config_translation";r:554;s:19:"content_translation";r:652;s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"language";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:-18;}s:14:"layout_builder";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:51:"core/modules/layout_builder/layout_builder.info.yml";s:11:"\0*\0filename";s:21:"layout_builder.module";s:7:"subpath";s:22:"modules/layout_builder";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:14:"Layout Builder";s:4:"type";s:6:"module";s:11:"description";s:82:"Allows users to add and arrange blocks and content fields directly on the content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:23:"drupal:layout_discovery";i:1;s:17:"drupal:contextual";i:2;s:12:"drupal:block";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:3:{s:16:"layout_discovery";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:16:"layout_discovery";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:10:"contextual";r:679;s:5:"block";r:214;}s:4:"sort";i:-35;}s:16:"layout_discovery";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:55:"core/modules/layout_discovery/layout_discovery.info.yml";s:11:"\0*\0filename";s:23:"layout_discovery.module";s:7:"subpath";s:24:"modules/layout_discovery";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:16:"Layout Discovery";s:4:"type";s:6:"module";s:11:"description";s:57:"Provides a way for modules or themes to register layouts.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:2:{s:12:"field_layout";r:1061;s:14:"layout_builder";r:1566;}s:8:"requires";a:0:{}s:4:"sort";i:-27;}s:4:"link";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/link/link.info.yml";s:11:"\0*\0filename";s:11:"link.module";s:7:"subpath";s:12:"modules/link";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:4:"Link";s:4:"type";s:6:"module";s:11:"description";s:34:"Provides a simple link field type.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:17:"menu_link_content";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"link";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"menu_ui";r:1622;s:8:"shortcut";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"link";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:5:"field";r:935;}s:4:"sort";i:-36;}s:6:"locale";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/locale/locale.info.yml";s:11:"\0*\0filename";s:13:"locale.module";s:7:"subpath";s:14:"modules/locale";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:21:"Interface Translation";s:4:"type";s:6:"module";s:11:"description";s:39:"Translates the built-in user interface.";s:9:"configure";s:21:"locale.translate_page";s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:15:"drupal:language";i:1;s:11:"drupal:file";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:18:"config_translation";r:550;}s:8:"requires";a:3:{s:8:"language";r:554;s:4:"file";r:558;s:5:"field";r:58;}s:4:"sort";i:-19;}s:5:"media";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/media/media.info.yml";s:11:"\0*\0filename";s:12:"media.module";s:7:"subpath";s:13:"modules/media";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:5:"Media";s:11:"description";s:64:"Manages the creation, configuration, and display of media items.";s:4:"type";s:6:"module";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:11:"drupal:file";i:1;s:12:"drupal:image";i:2;s:11:"drupal:user";}s:9:"configure";s:14:"media.settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:13:"media_library";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"media";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:17:"video_embed_media";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"media";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:6:">= 8.4";}s:18:"vem_migrate_oembed";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"media";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:6:">= 8.6";}}s:8:"requires";a:5:{s:4:"file";r:1137;s:5:"field";r:58;s:5:"image";r:1426;s:4:"user";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"system";r:78;}s:4:"sort";i:-37;}s:13:"media_library";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:49:"core/modules/media_library/media_library.info.yml";s:11:"\0*\0filename";s:20:"media_library.module";s:7:"subpath";s:21:"modules/media_library";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:13:"Media Library";s:4:"type";s:6:"module";s:11:"description";s:98:"Enhances the media list with additional features to more easily find and use existing media items.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:22:"media_library.settings";s:12:"dependencies";a:3:{i:0;s:12:"drupal:media";i:1;s:12:"drupal:views";i:2;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:8:{s:5:"media";r:1691;s:4:"file";r:1137;s:5:"field";r:58;s:5:"image";r:1426;s:4:"user";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"system";r:78;s:5:"views";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:6:"filter";r:1194;}s:4:"sort";i:-39;}s:17:"menu_link_content";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:57:"core/modules/menu_link_content/menu_link_content.info.yml";s:11:"\0*\0filename";s:24:"menu_link_content.module";s:7:"subpath";s:25:"modules/menu_link_content";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:17:"Custom Menu Links";s:4:"type";s:6:"module";s:11:"description";s:34:"Allows users to create menu links.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:link";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:1;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:7:"menu_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:17:"menu_link_content";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:2:{s:4:"link";r:1622;s:5:"field";r:935;}s:4:"sort";i:-40;}s:7:"menu_ui";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/menu_ui/menu_ui.info.yml";s:11:"\0*\0filename";s:14:"menu_ui.module";s:7:"subpath";s:15:"modules/menu_ui";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:7:"Menu UI";s:4:"type";s:6:"module";s:11:"description";s:60:"Allows administrators to customize the site navigation menu.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:22:"entity.menu.collection";s:12:"dependencies";a:1:{i:0;s:24:"drupal:menu_link_content";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:3:{s:17:"menu_link_content";r:1778;s:4:"link";r:1622;s:5:"field";r:935;}s:4:"sort";i:-41;}s:7:"migrate";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/migrate/migrate.info.yml";s:11:"\0*\0filename";s:14:"migrate.module";s:7:"subpath";s:15:"modules/migrate";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:7:"Migrate";s:4:"type";s:6:"module";s:11:"description";s:18:"Handles migrations";s:7:"package";s:9:"Migration";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:14:"migrate_drupal";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"migrate";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:27:"migrate_drupal_multilingual";r:1837;s:17:"migrate_drupal_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"migrate";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:-1;}s:14:"migrate_drupal";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:51:"core/modules/migrate_drupal/migrate_drupal.info.yml";s:11:"\0*\0filename";s:21:"migrate_drupal.module";s:7:"subpath";s:22:"modules/migrate_drupal";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:14:"Migrate Drupal";s:4:"type";s:6:"module";s:11:"description";s:47:"Contains migrations from older Drupal versions.";s:7:"package";s:9:"Migration";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:14:"drupal:migrate";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:2:{s:27:"migrate_drupal_multilingual";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:14:"migrate_drupal";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:17:"migrate_drupal_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:14:"migrate_drupal";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:7:"migrate";r:1837;}s:4:"sort";i:-2;}s:27:"migrate_drupal_multilingual";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:77:"core/modules/migrate_drupal_multilingual/migrate_drupal_multilingual.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:35:"modules/migrate_drupal_multilingual";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:27:"Migrate Drupal Multilingual";s:4:"type";s:6:"module";s:11:"description";s:51:"Provides a requirement for multilingual migrations.";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:8:"obsolete";s:14:"lifecycle_link";s:35:"https://www.drupal.org/node/3080264";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:21:"drupal:migrate_drupal";}s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:14:"migrate_drupal";r:1871;s:7:"migrate";r:1837;}s:4:"sort";i:-3;}s:17:"migrate_drupal_ui";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:57:"core/modules/migrate_drupal_ui/migrate_drupal_ui.info.yml";s:11:"\0*\0filename";s:24:"migrate_drupal_ui.module";s:7:"subpath";s:25:"modules/migrate_drupal_ui";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:17:"Migrate Drupal UI";s:4:"type";s:6:"module";s:11:"description";s:67:"Provides a user interface for migrating from older Drupal versions.";s:7:"package";s:9:"Migration";s:7:"version";s:5:"9.5.7";s:9:"configure";s:25:"migrate_drupal_ui.upgrade";s:12:"dependencies";a:3:{i:0;s:14:"drupal:migrate";i:1;s:21:"drupal:migrate_drupal";i:2;s:12:"drupal:dblog";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:3:{s:7:"migrate";r:1842;s:14:"migrate_drupal";r:1875;s:5:"dblog";r:796;}s:4:"sort";i:-4;}s:5:"mysql";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/mysql/mysql.info.yml";s:11:"\0*\0filename";s:12:"mysql.module";s:7:"subpath";s:13:"modules/mysql";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:5:"MySQL";s:4:"type";s:6:"module";s:11:"description";s:26:"Database driver for MySQL.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:4:"node";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/node/node.info.yml";s:11:"\0*\0filename";s:11:"node.module";s:7:"subpath";s:12:"modules/node";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:4:"Node";s:4:"type";s:6:"module";s:11:"description";s:66:"Allows content to be submitted to the site and displayed on pages.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:27:"entity.node_type.collection";s:12:"dependencies";a:1:{i:0;s:11:"drupal:text";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:21:{s:4:"book";r:308;s:7:"history";r:1392;s:8:"taxonomy";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"forum";r:1260;s:10:"statistics";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:7:"tracker";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:12:"fontyourface";r:1992;s:16:"adobe_edge_fonts";r:1992;s:12:"fontscom_api";r:1992;s:16:"fontsquirrel_api";r:1992;s:16:"google_fonts_api";r:1992;s:11:"local_fonts";r:1992;s:11:"typekit_api";r:1992;s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"node";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:14:"webform_access";r:2016;s:35:"webform_demo_application_evaluation";r:2016;s:31:"webform_demo_event_registration";r:2016;s:13:"webform_group";r:2016;s:18:"webform_demo_group";r:2016;s:27:"webform_demo_region_contact";r:2016;}s:8:"requires";a:5:{s:4:"text";r:312;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-11;}s:7:"options";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/options/options.info.yml";s:11:"\0*\0filename";s:14:"options.module";s:7:"subpath";s:15:"modules/options";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:7:"Options";s:4:"type";s:6:"module";s:11:"description";s:82:"Defines selection, check box and radio button widgets for text and numeric fields.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:12:"drupal:field";i:1;s:11:"drupal:text";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:4:{s:10:"aggregator";r:62;s:5:"forum";r:1278;s:16:"mt_cookieconsent";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"options";s:10:"\0*\0project";s:7:"options";s:19:"\0*\0constraintString";s:0:"";}s:12:"mt_countdown";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"options";s:10:"\0*\0project";s:7:"options";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:5:{s:5:"field";r:911;s:4:"text";r:66;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-6;}s:10:"page_cache";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/page_cache/page_cache.info.yml";s:11:"\0*\0filename";s:17:"page_cache.module";s:7:"subpath";s:18:"modules/page_cache";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:19:"Internal Page Cache";s:4:"type";s:6:"module";s:11:"description";s:91:"Caches pages for anonymous users and can be used when external page cache is not available.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:4:"path";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/path/path.info.yml";s:11:"\0*\0filename";s:11:"path.module";s:7:"subpath";s:12:"modules/path";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:4:"Path";s:4:"type";s:6:"module";s:11:"description";s:28:"Allows users to rename URLs.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:28:"entity.path_alias.collection";s:12:"dependencies";a:1:{i:0;s:17:"drupal:path_alias";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:7:{s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"path";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:14:"webform_access";r:2122;s:35:"webform_demo_application_evaluation";r:2122;s:31:"webform_demo_event_registration";r:2122;s:13:"webform_group";r:2122;s:18:"webform_demo_group";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"path";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:27:"webform_demo_region_contact";r:2122;}s:8:"requires";a:1:{s:10:"path_alias";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"path_alias";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-43;}s:10:"path_alias";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/path_alias/path_alias.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:18:"modules/path_alias";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:10:"Path alias";s:4:"type";s:6:"module";s:11:"description";s:41:"Provides the API allowing to rename URLs.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:8:"required";b:1;s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:8:{s:4:"path";r:2136;s:12:"webform_node";r:2136;s:14:"webform_access";r:2136;s:35:"webform_demo_application_evaluation";r:2136;s:31:"webform_demo_event_registration";r:2136;s:13:"webform_group";r:2136;s:18:"webform_demo_group";r:2136;s:27:"webform_demo_region_contact";r:2136;}s:8:"requires";a:0:{}s:4:"sort";i:-42;}s:5:"pgsql";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/pgsql/pgsql.info.yml";s:11:"\0*\0filename";s:12:"pgsql.module";s:7:"subpath";s:13:"modules/pgsql";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:10:"PostgreSQL";s:4:"type";s:6:"module";s:11:"description";s:31:"Database driver for PostgreSQL.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:9:"quickedit";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:41:"core/modules/quickedit/quickedit.info.yml";s:11:"\0*\0filename";s:16:"quickedit.module";s:7:"subpath";s:17:"modules/quickedit";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:10:"Quick Edit";s:4:"type";s:6:"module";s:11:"description";s:25:"In-place content editing.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:48:"https://www.drupal.org/node/3223395#s-quick-edit";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:17:"drupal:contextual";i:1;s:12:"drupal:field";i:2;s:13:"drupal:filter";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:5:{s:10:"contextual";r:683;s:5:"field";r:943;s:6:"filter";r:1199;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-44;}s:3:"rdf";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:29:"core/modules/rdf/rdf.info.yml";s:11:"\0*\0filename";s:10:"rdf.module";s:7:"subpath";s:11:"modules/rdf";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:3:"RDF";s:4:"type";s:6:"module";s:11:"description";s:148:"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.";s:7:"package";s:4:"Core";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:100:"https://www.drupal.org/docs/core-modules-and-themes/deprecated-and-obsolete-modules-and-themes#s-rdf";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:16:"responsive_image";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:55:"core/modules/responsive_image/responsive_image.info.yml";s:11:"\0*\0filename";s:23:"responsive_image.module";s:7:"subpath";s:24:"modules/responsive_image";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:16:"Responsive Image";s:4:"type";s:6:"module";s:11:"description";s:108:"Provides an image formatter and breakpoint mappings to output responsive images using the HTML5 picture tag.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:17:"drupal:breakpoint";i:1;s:12:"drupal:image";}s:9:"configure";s:40:"entity.responsive_image_style.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:10:"breakpoint";r:343;s:5:"image";r:1431;s:4:"file";r:1133;s:5:"field";r:58;}s:4:"sort";i:-45;}s:4:"rest";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/rest/rest.info.yml";s:11:"\0*\0filename";s:11:"rest.module";s:7:"subpath";s:12:"modules/rest";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:20:"RESTful Web Services";s:4:"type";s:6:"module";s:11:"description";s:55:"Exposes entities and other resources as RESTful web API";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:20:"drupal:serialization";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:13:"serialization";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:13:"serialization";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-3;}s:6:"search";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/search/search.info.yml";s:11:"\0*\0filename";s:13:"search.module";s:7:"subpath";s:14:"modules/search";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:6:"Search";s:4:"type";s:6:"module";s:11:"description";s:79:"Allows users to create search pages based on plugins provided by other modules.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:29:"entity.search_page.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:13:"serialization";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:49:"core/modules/serialization/serialization.info.yml";s:11:"\0*\0filename";s:20:"serialization.module";s:7:"subpath";s:21:"modules/serialization";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:13:"Serialization";s:4:"type";s:6:"module";s:11:"description";s:81:"Provides a service for (de)serializing data to/from formats such as JSON and XML.";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:3:"hal";r:1308;s:7:"jsonapi";r:1503;s:4:"rest";r:2312;}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:13:"settings_tray";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:49:"core/modules/settings_tray/settings_tray.info.yml";s:11:"\0*\0filename";s:20:"settings_tray.module";s:7:"subpath";s:21:"modules/settings_tray";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:13:"Settings Tray";s:4:"type";s:6:"module";s:11:"description";s:78:"Allows users to directly edit the configuration of blocks on the current page.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:12:"drupal:block";i:1;s:14:"drupal:toolbar";i:2;s:17:"drupal:contextual";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:5:"block";r:218;s:7:"toolbar";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"toolbar";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:10:"breakpoint";r:347;s:10:"contextual";r:687;}s:4:"sort";i:-47;}s:8:"shortcut";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/shortcut/shortcut.info.yml";s:11:"\0*\0filename";s:15:"shortcut.module";s:7:"subpath";s:16:"modules/shortcut";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:8:"Shortcut";s:4:"type";s:6:"module";s:11:"description";s:60:"Allows users to manage customizable lists of shortcut links.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"entity.shortcut_set.collection";s:12:"dependencies";a:1:{i:0;s:11:"drupal:link";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:4:"link";r:1627;s:5:"field";r:935;}s:4:"sort";i:-48;}s:10:"simpletest";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/simpletest/simpletest.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:18:"modules/simpletest";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:7:"Testing";s:4:"type";s:6:"module";s:11:"description";s:48:"Obsolete. SimpleTest has been removed from core.";s:9:"lifecycle";s:8:"obsolete";s:14:"lifecycle_link";s:119:"https://www.drupal.org/about/core/policies/core-change-policies/deprecated-and-obsolete-modules-and-themes#s-simpletest";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:6:"sqlite";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/sqlite/sqlite.info.yml";s:11:"\0*\0filename";s:13:"sqlite.module";s:7:"subpath";s:14:"modules/sqlite";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:6:"SQLite";s:4:"type";s:6:"module";s:11:"description";s:27:"Database driver for SQLite.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:10:"statistics";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/statistics/statistics.info.yml";s:11:"\0*\0filename";s:17:"statistics.module";s:7:"subpath";s:18:"modules/statistics";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:10:"Statistics";s:4:"type";s:6:"module";s:11:"description";s:38:"Logs content statistics for your site.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:19:"statistics.settings";s:12:"dependencies";a:1:{i:0;s:11:"drupal:node";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:6:{s:4:"node";r:1997;s:4:"text";r:312;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-49;}s:6:"syslog";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/syslog/syslog.info.yml";s:11:"\0*\0filename";s:13:"syslog.module";s:7:"subpath";s:14:"modules/syslog";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:6:"Syslog";s:4:"type";s:6:"module";s:11:"description";s:41:"Logs and records system events to syslog.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:23:"system.logging_settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:6:"system";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/system/system.info.yml";s:11:"\0*\0filename";s:13:"system.module";s:7:"subpath";s:14:"modules/system";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:6:"System";s:4:"type";s:6:"module";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:8:"required";b:1;s:9:"configure";s:26:"system.admin_config_system";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:79:{s:4:"user";r:78;s:6:"filter";r:78;s:4:"text";r:78;s:7:"options";r:78;s:10:"aggregator";r:78;s:10:"basic_auth";r:78;s:13:"block_content";r:78;s:4:"node";r:78;s:4:"book";r:78;s:6:"editor";r:78;s:8:"ckeditor";r:78;s:9:"ckeditor5";r:78;s:7:"comment";r:78;s:7:"history";r:78;s:8:"taxonomy";r:78;s:5:"forum";r:78;s:5:"media";r:78;s:5:"views";r:78;s:13:"media_library";r:78;s:9:"quickedit";r:78;s:10:"statistics";r:78;s:7:"tracker";r:78;s:8:"views_ui";r:78;s:10:"workspaces";r:78;s:22:"better_exposed_filters";r:78;s:16:"mt_cookieconsent";r:78;s:12:"mt_countdown";r:78;s:12:"fontyourface";r:78;s:16:"adobe_edge_fonts";r:78;s:12:"fontscom_api";r:78;s:16:"fontsquirrel_api";r:78;s:16:"google_fonts_api";r:78;s:11:"local_fonts";r:78;s:11:"typekit_api";r:78;s:17:"fullcalendar_view";r:78;s:18:"paragraphs_library";r:78;s:15:"paragraphs_demo";r:78;s:17:"video_embed_field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"system";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:17:"video_embed_media";r:78;s:18:"vem_migrate_oembed";r:78;s:19:"video_embed_wysiwyg";r:78;s:7:"webform";r:78;s:12:"webform_node";r:78;s:14:"webform_access";r:78;s:18:"webform_attachment";r:78;s:17:"webform_bootstrap";r:78;s:29:"webform_clientside_validation";r:78;s:13:"webform_cards";r:78;s:35:"webform_demo_application_evaluation";r:78;s:21:"webform_options_limit";r:78;s:23:"webform_scheduled_email";r:78;s:13:"webform_share";r:78;s:31:"webform_demo_event_registration";r:78;s:13:"webform_group";r:78;s:18:"webform_demo_group";r:78;s:27:"webform_demo_region_contact";r:78;s:13:"webform_devel";r:78;s:20:"webform_entity_print";r:78;s:31:"webform_entity_print_attachment";r:78;s:25:"webform_example_composite";r:78;s:27:"webform_example_custom_form";r:78;s:23:"webform_example_element";r:78;s:10:"webform_ui";r:78;s:34:"webform_example_element_properties";r:78;s:23:"webform_example_handler";r:78;s:27:"webform_example_remote_post";r:78;s:23:"webform_example_variant";r:78;s:16:"webform_examples";r:78;s:30:"webform_examples_accessibility";r:78;s:14:"webform_icheck";r:78;s:20:"webform_image_select";r:78;s:24:"webform_jqueryui_buttons";r:78;s:28:"webform_location_geocomplete";r:78;s:22:"webform_options_custom";r:78;s:17:"webform_shortcuts";r:78;s:32:"webform_submission_export_import";r:78;s:22:"webform_submission_log";r:78;s:17:"webform_templates";r:78;s:15:"webform_toggles";r:78;}s:8:"requires";a:0:{}s:4:"sort";i:-2;}s:8:"taxonomy";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/taxonomy/taxonomy.info.yml";s:11:"\0*\0filename";s:15:"taxonomy.module";s:7:"subpath";s:16:"modules/taxonomy";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:8:"Taxonomy";s:4:"type";s:6:"module";s:11:"description";s:38:"Enables the categorization of content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:11:"drupal:node";i:1;s:11:"drupal:text";}s:9:"configure";s:37:"entity.taxonomy_vocabulary.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:9:{s:5:"forum";r:1273;s:12:"fontyourface";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"taxonomy";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:16:"adobe_edge_fonts";r:2672;s:12:"fontscom_api";r:2672;s:16:"fontsquirrel_api";r:2672;s:16:"google_fonts_api";r:2672;s:11:"local_fonts";r:2672;s:11:"typekit_api";r:2672;s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:8:"taxonomy";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:6:{s:4:"node";r:1992;s:4:"text";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"text";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-31;}s:9:"telephone";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:41:"core/modules/telephone/telephone.info.yml";s:11:"\0*\0filename";s:16:"telephone.module";s:7:"subpath";s:17:"modules/telephone";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:9:"Telephone";s:4:"type";s:6:"module";s:11:"description";s:43:"Defines a field type for telephone numbers.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:5:"field";r:950;}s:4:"sort";i:-50;}s:4:"text";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/text/text.info.yml";s:11:"\0*\0filename";s:11:"text.module";s:7:"subpath";s:12:"modules/text";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:4:"Text";s:4:"type";s:6:"module";s:11:"description";s:32:"Defines simple text field types.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:12:"drupal:field";i:1;s:13:"drupal:filter";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:28:{s:7:"options";r:66;s:10:"aggregator";r:66;s:13:"block_content";r:268;s:4:"node";r:312;s:4:"book";r:312;s:7:"comment";r:491;s:7:"history";r:312;s:8:"taxonomy";r:2688;s:5:"forum";r:312;s:10:"statistics";r:312;s:7:"tracker";r:312;s:16:"mt_cookieconsent";r:66;s:12:"mt_countdown";r:66;s:12:"fontyourface";r:2688;s:16:"adobe_edge_fonts";r:2688;s:12:"fontscom_api";r:2688;s:16:"fontsquirrel_api";r:2688;s:16:"google_fonts_api";r:2688;s:11:"local_fonts";r:2688;s:11:"typekit_api";r:2688;s:15:"paragraphs_demo";r:312;s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"text";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:14:"webform_access";r:2768;s:35:"webform_demo_application_evaluation";r:2768;s:31:"webform_demo_event_registration";r:2768;s:13:"webform_group";r:2768;s:18:"webform_demo_group";r:2768;s:27:"webform_demo_region_contact";r:2768;}s:8:"requires";a:4:{s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-5;}s:7:"toolbar";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/toolbar/toolbar.info.yml";s:11:"\0*\0filename";s:14:"toolbar.module";s:7:"subpath";s:15:"modules/toolbar";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:7:"Toolbar";s:4:"type";s:6:"module";s:11:"description";s:99:"Provides a toolbar that shows the top-level administration menu links and links from other modules.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:17:"drupal:breakpoint";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:13:"settings_tray";r:2396;}s:8:"requires";a:1:{s:10:"breakpoint";r:347;}s:4:"sort";i:-46;}s:4:"tour";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/tour/tour.info.yml";s:11:"\0*\0filename";s:11:"tour.module";s:7:"subpath";s:12:"modules/tour";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:4:"Tour";s:4:"type";s:6:"module";s:11:"description";s:44:"Displays guided tours of the site interface.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:7:"tracker";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:37:"core/modules/tracker/tracker.info.yml";s:11:"\0*\0filename";s:14:"tracker.module";s:7:"subpath";s:15:"modules/tracker";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:16:"Activity Tracker";s:4:"type";s:6:"module";s:11:"description";s:45:"Enables tracking of recent content for users.";s:12:"dependencies";a:2:{i:0;s:11:"drupal:node";i:1;s:14:"drupal:comment";}s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:7:{s:4:"node";r:2001;s:4:"text";r:312;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:7:"comment";r:486;}s:4:"sort";i:-51;}s:6:"update";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:35:"core/modules/update/update.info.yml";s:11:"\0*\0filename";s:13:"update.module";s:7:"subpath";s:14:"modules/update";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:14:"Update Manager";s:4:"type";s:6:"module";s:11:"description";s:104:"Checks for available updates, and can securely install or update modules and themes via a web interface.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:9:"configure";s:15:"update.settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:4:"user";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:31:"core/modules/user/user.info.yml";s:11:"\0*\0filename";s:11:"user.module";s:7:"subpath";s:12:"modules/user";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:4:"User";s:4:"type";s:6:"module";s:11:"description";s:47:"Manages the user registration and login system.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:8:"required";b:1;s:9:"configure";s:16:"user.admin_index";s:12:"dependencies";a:1:{i:0;s:13:"drupal:system";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:77:{s:6:"filter";r:74;s:4:"text";r:74;s:7:"options";r:74;s:10:"aggregator";r:74;s:10:"basic_auth";r:157;s:13:"block_content";r:277;s:4:"node";r:74;s:4:"book";r:74;s:6:"editor";r:74;s:8:"ckeditor";r:74;s:9:"ckeditor5";r:74;s:7:"comment";r:74;s:7:"history";r:74;s:8:"taxonomy";r:74;s:5:"forum";r:74;s:5:"media";r:1707;s:5:"views";r:74;s:13:"media_library";r:1744;s:9:"quickedit";r:74;s:10:"statistics";r:74;s:7:"tracker";r:74;s:8:"views_ui";r:74;s:10:"workspaces";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:22:"better_exposed_filters";r:74;s:16:"mt_cookieconsent";r:74;s:12:"mt_countdown";r:74;s:12:"fontyourface";r:74;s:16:"adobe_edge_fonts";r:74;s:12:"fontscom_api";r:74;s:16:"fontsquirrel_api";r:74;s:16:"google_fonts_api";r:74;s:11:"local_fonts";r:74;s:11:"typekit_api";r:74;s:17:"fullcalendar_view";r:74;s:18:"paragraphs_library";r:74;s:15:"paragraphs_demo";r:74;s:17:"video_embed_media";r:1707;s:18:"vem_migrate_oembed";r:1707;s:19:"video_embed_wysiwyg";r:74;s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:4:"user";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:14:"webform_access";r:2960;s:18:"webform_attachment";r:2960;s:17:"webform_bootstrap";r:2960;s:29:"webform_clientside_validation";r:2960;s:13:"webform_cards";r:2960;s:35:"webform_demo_application_evaluation";r:74;s:21:"webform_options_limit";r:2960;s:23:"webform_scheduled_email";r:2960;s:13:"webform_share";r:2960;s:31:"webform_demo_event_registration";r:74;s:13:"webform_group";r:2960;s:18:"webform_demo_group";r:2960;s:27:"webform_demo_region_contact";r:2960;s:13:"webform_devel";r:2960;s:20:"webform_entity_print";r:2960;s:31:"webform_entity_print_attachment";r:2960;s:25:"webform_example_composite";r:2960;s:27:"webform_example_custom_form";r:2960;s:23:"webform_example_element";r:2960;s:10:"webform_ui";r:2960;s:34:"webform_example_element_properties";r:2960;s:23:"webform_example_handler";r:2960;s:27:"webform_example_remote_post";r:2960;s:23:"webform_example_variant";r:2960;s:16:"webform_examples";r:2960;s:30:"webform_examples_accessibility";r:2960;s:14:"webform_icheck";r:2960;s:20:"webform_image_select";r:2960;s:24:"webform_jqueryui_buttons";r:2960;s:28:"webform_location_geocomplete";r:2960;s:22:"webform_options_custom";r:2960;s:17:"webform_shortcuts";r:2960;s:32:"webform_submission_export_import";r:2960;s:22:"webform_submission_log";r:2960;s:17:"webform_templates";r:2960;s:15:"webform_toggles";r:2960;}s:8:"requires";a:1:{s:6:"system";r:78;}s:4:"sort";i:-3;}s:5:"views";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:33:"core/modules/views/views.info.yml";s:11:"\0*\0filename";s:12:"views.module";s:7:"subpath";s:13:"modules/views";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"name";s:5:"Views";s:4:"type";s:6:"module";s:11:"description";s:55:"Create customized lists and queries from your database.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:13:"drupal:filter";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:10;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:15:{s:13:"media_library";r:1749;s:8:"views_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:22:"better_exposed_filters";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:12:"fontyourface";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:16:"adobe_edge_fonts";r:3039;s:12:"fontscom_api";r:3039;s:16:"fontsquirrel_api";r:3039;s:16:"google_fonts_api";r:3039;s:11:"local_fonts";r:3039;s:11:"typekit_api";r:3039;s:17:"fullcalendar_view";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:18:"paragraphs_library";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:15:"paragraphs_demo";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:35:"webform_demo_application_evaluation";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:31:"webform_demo_event_registration";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"views";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:3:{s:6:"filter";r:1194;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-38;}s:8:"views_ui";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:39:"core/modules/views_ui/views_ui.info.yml";s:11:"\0*\0filename";s:15:"views_ui.module";s:7:"subpath";s:16:"modules/views_ui";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:8:"Views UI";s:4:"type";s:6:"module";s:11:"description";s:58:"Provides a user interface for creating and managing views.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:22:"entity.view.collection";s:12:"dependencies";a:1:{i:0;s:12:"drupal:views";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:5:"views";r:3031;s:6:"filter";r:1194;s:4:"user";r:74;s:6:"system";r:78;}s:4:"sort";i:-52;}s:9:"workflows";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:41:"core/modules/workflows/workflows.info.yml";s:11:"\0*\0filename";s:16:"workflows.module";s:7:"subpath";s:17:"modules/workflows";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:9:"Workflows";s:4:"type";s:6:"module";s:11:"description";s:151:"Provides an interface to create workflows with transitions between different states (for example publication or user status) provided by other modules.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:9:"configure";s:26:"entity.workflow.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:2:{s:18:"content_moderation";r:618;s:15:"paragraphs_demo";r:618;}s:8:"requires";a:0:{}s:4:"sort";i:-21;}s:10:"workspaces";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:43:"core/modules/workspaces/workspaces.info.yml";s:11:"\0*\0filename";s:17:"workspaces.module";s:7:"subpath";s:18:"modules/workspaces";s:6:"origin";s:4:"core";s:4:"info";a:12:{s:4:"name";s:10:"Workspaces";s:4:"type";s:6:"module";s:11:"description";s:99:"Allows users to stage content or preview a full site by using multiple workspaces on a single site.";s:7:"version";s:5:"9.5.7";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:12:"experimental";s:9:"configure";s:27:"entity.workspace.collection";s:12:"dependencies";a:1:{i:0;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:4:"user";r:2940;s:6:"system";r:78;}s:4:"sort";i:-53;}s:22:"better_exposed_filters";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:62:"modules/better_exposed_filters/better_exposed_filters.info.yml";s:11:"\0*\0filename";s:29:"better_exposed_filters.module";s:7:"subpath";s:30:"modules/better_exposed_filters";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:22:"Better Exposed Filters";s:11:"description";s:95:"Provides advanced options (e.g. links, checkboxes, or other widgets) to exposed Views elements.";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:4:"type";s:6:"module";s:7:"package";s:5:"Views";s:12:"dependencies";a:5:{i:0;s:12:"drupal:views";i:1;s:19:"jquery_ui:jquery_ui";i:2;s:33:"jquery_ui_slider:jquery_ui_slider";i:3;s:43:"jquery_ui_touch_punch:jquery_ui_touch_punch";i:4;s:41:"jquery_ui_datepicker:jquery_ui_datepicker";}s:7:"version";s:7:"8.x-5.2";s:7:"project";s:22:"better_exposed_filters";s:9:"datestamp";i:1657172289;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648113;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:8:{s:5:"views";r:3035;s:6:"filter";r:1194;s:4:"user";r:74;s:6:"system";r:78;s:9:"jquery_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:9:"jquery_ui";s:10:"\0*\0project";s:9:"jquery_ui";s:19:"\0*\0constraintString";s:0:"";}s:16:"jquery_ui_slider";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:16:"jquery_ui_slider";s:10:"\0*\0project";s:16:"jquery_ui_slider";s:19:"\0*\0constraintString";s:0:"";}s:21:"jquery_ui_touch_punch";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:21:"jquery_ui_touch_punch";s:10:"\0*\0project";s:21:"jquery_ui_touch_punch";s:19:"\0*\0constraintString";s:0:"";}s:20:"jquery_ui_datepicker";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:20:"jquery_ui_datepicker";s:10:"\0*\0project";s:20:"jquery_ui_datepicker";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-58;}s:9:"jquery_ui";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:44:"modules/contrib/jquery_ui/jquery_ui.info.yml";s:11:"\0*\0filename";s:16:"jquery_ui.module";s:7:"subpath";s:25:"modules/contrib/jquery_ui";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:9:"jQuery UI";s:4:"type";s:6:"module";s:11:"description";s:27:"Provides jQuery UI library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:7:"version";s:7:"8.x-1.6";s:7:"project";s:9:"jquery_ui";s:9:"datestamp";i:1668521201;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1668521201;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:4:{s:16:"jquery_ui_slider";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:9:"jquery_ui";s:10:"\0*\0project";s:9:"jquery_ui";s:19:"\0*\0constraintString";s:0:"";}s:21:"jquery_ui_touch_punch";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:9:"jquery_ui";s:10:"\0*\0project";s:9:"jquery_ui";s:19:"\0*\0constraintString";s:0:"";}s:20:"jquery_ui_datepicker";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:9:"jquery_ui";s:10:"\0*\0project";s:9:"jquery_ui";s:19:"\0*\0constraintString";s:0:"";}s:22:"better_exposed_filters";r:3193;}s:8:"requires";a:0:{}s:4:"sort";i:-54;}s:20:"jquery_ui_datepicker";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:66:"modules/contrib/jquery_ui_datepicker/jquery_ui_datepicker.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:36:"modules/contrib/jquery_ui_datepicker";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:20:"jQuery UI Datepicker";s:4:"type";s:6:"module";s:11:"description";s:38:"Provides jQuery UI Datepicker library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:19:"jquery_ui:jquery_ui";}s:7:"version";s:5:"2.0.0";s:7:"project";s:20:"jquery_ui_datepicker";s:9:"datestamp";i:1670871497;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1670871497;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:22:"better_exposed_filters";r:3205;}s:8:"requires";a:1:{s:9:"jquery_ui";r:3242;}s:4:"sort";i:-57;}s:16:"jquery_ui_slider";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:58:"modules/contrib/jquery_ui_slider/jquery_ui_slider.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:32:"modules/contrib/jquery_ui_slider";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:16:"jQuery UI Slider";s:4:"type";s:6:"module";s:11:"description";s:34:"Provides jQuery UI Slider library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:19:"jquery_ui:jquery_ui";}s:7:"version";s:5:"2.0.0";s:7:"project";s:16:"jquery_ui_slider";s:9:"datestamp";i:1670871573;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1670871573;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:22:"better_exposed_filters";r:3197;}s:8:"requires";a:1:{s:9:"jquery_ui";r:3234;}s:4:"sort";i:-55;}s:21:"jquery_ui_touch_punch";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:68:"modules/contrib/jquery_ui_touch_punch/jquery_ui_touch_punch.info.yml";s:11:"\0*\0filename";s:28:"jquery_ui_touch_punch.module";s:7:"subpath";s:37:"modules/contrib/jquery_ui_touch_punch";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:21:"jQuery UI Touch Punch";s:4:"type";s:6:"module";s:11:"description";s:39:"Provides jQuery UI Touch Punch library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:15:"^8 || ^9 || ^10";s:12:"dependencies";a:1:{i:0;s:19:"jquery_ui:jquery_ui";}s:7:"version";s:5:"1.1.0";s:7:"project";s:21:"jquery_ui_touch_punch";s:9:"datestamp";i:1662744609;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1662744609;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:22:"better_exposed_filters";r:3201;}s:8:"requires";a:1:{s:9:"jquery_ui";r:3238;}s:4:"sort";i:-56;}s:16:"mt_cookieconsent";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:57:"modules/custom/mt_cookieconsent/mt_cookieconsent.info.yml";s:11:"\0*\0filename";s:23:"mt_cookieconsent.module";s:7:"subpath";s:31:"modules/custom/mt_cookieconsent";s:6:"origin";s:0:"";s:4:"info";a:11:{s:4:"name";s:25:"MtT Cookie Consent Module";s:11:"description";s:58:"Drupal8 module. Include Cookie Consent Javascript library.";s:7:"package";s:6:"Custom";s:4:"type";s:6:"module";s:4:"core";s:3:"8.x";s:7:"version";s:14:"8.x-1.0-alpha1";s:12:"dependencies";a:3:{i:0;s:17:"datetime:datetime";i:1;s:15:"options:options";i:2;s:17:"field_ui:field_ui";}s:17:"core_incompatible";b:1;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681464803;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:8:{s:8:"datetime";r:720;s:5:"field";r:741;s:7:"options";r:2059;s:4:"text";r:66;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:8:"field_ui";r:1089;}s:4:"sort";i:-59;}s:12:"mt_countdown";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:49:"modules/custom/mt_countdown/mt_countdown.info.yml";s:11:"\0*\0filename";s:19:"mt_countdown.module";s:7:"subpath";s:27:"modules/custom/mt_countdown";s:6:"origin";s:0:"";s:4:"info";a:12:{s:4:"name";s:10:"Count Down";s:11:"description";s:132:"Allows the creation of a custom block with a countdown function for announcements, such as time-limited offers or upcoming releases.";s:7:"package";s:16:"More than Themes";s:4:"type";s:6:"module";s:4:"core";s:3:"8.x";s:7:"version";s:13:"8.x-1.0-beta3";s:9:"configure";s:21:"mt_countdown.settings";s:12:"dependencies";a:4:{i:0;s:17:"datetime:datetime";i:1;s:15:"options:options";i:2;s:17:"field_ui:field_ui";i:3;s:5:"block";}s:17:"core_incompatible";b:1;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681464803;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:8:"datetime";r:724;s:5:"field";r:741;s:7:"options";r:2063;s:4:"text";r:66;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:8:"field_ui";r:1093;s:5:"block";r:222;}s:4:"sort";i:-60;}s:26:"entity_reference_revisions";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:70:"modules/entity_reference_revisions/entity_reference_revisions.info.yml";s:11:"\0*\0filename";s:33:"entity_reference_revisions.module";s:7:"subpath";s:34:"modules/entity_reference_revisions";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:26:"Entity Reference Revisions";s:4:"type";s:6:"module";s:11:"description";s:57:"Adds a Entity Reference field type with revision support.";s:24:"core_version_requirement";s:9:"^9 || ^10";s:7:"package";s:11:"Field types";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:7:"version";s:8:"8.x-1.10";s:7:"project";s:26:"entity_reference_revisions";s:9:"datestamp";i:1660664714;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652117;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:4:{s:10:"paragraphs";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:26:"entity_reference_revisions";s:10:"\0*\0project";s:26:"entity_reference_revisions";s:19:"\0*\0constraintString";s:0:"";}s:18:"paragraphs_library";r:3434;s:15:"paragraphs_demo";r:3434;s:27:"paragraphs_type_permissions";r:3434;}s:8:"requires";a:1:{s:5:"field";r:957;}s:4:"sort";i:-61;}s:19:"field_group_migrate";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:76:"modules/field_group/contrib/field_group_migrate/field_group_migrate.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:47:"modules/field_group/contrib/field_group_migrate";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:19:"Field Group Migrate";s:4:"type";s:6:"module";s:11:"description";s:62:"Provides the ability to migrate field groups from D6/D7 to D8.";s:7:"package";s:9:"Migration";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:23:"field_group:field_group";}s:7:"version";s:7:"8.x-3.4";s:7:"project";s:11:"field_group";s:9:"datestamp";i:1667241980;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652117;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:11:"field_group";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:11:"field_group";s:10:"\0*\0project";s:11:"field_group";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:961;}s:4:"sort";i:-63;}s:11:"field_group";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:40:"modules/field_group/field_group.info.yml";s:11:"\0*\0filename";s:18:"field_group.module";s:7:"subpath";s:19:"modules/field_group";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:11:"Field Group";s:4:"type";s:6:"module";s:11:"description";s:67:"Provides the ability to group your fields on both form and display.";s:7:"package";s:6:"Fields";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:7:"version";s:7:"8.x-3.4";s:7:"project";s:11:"field_group";s:9:"datestamp";i:1667241980;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:19:"field_group_migrate";r:3470;}s:8:"requires";a:1:{s:5:"field";r:961;}s:4:"sort";i:-62;}s:11:"fontawesome";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:40:"modules/fontawesome/fontawesome.info.yml";s:11:"\0*\0filename";s:18:"fontawesome.module";s:7:"subpath";s:19:"modules/fontawesome";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:12:"Font Awesome";s:4:"type";s:6:"module";s:11:"description";s:49:"The most popular icon set and toolkit on the web.";s:24:"core_version_requirement";s:11:"^9.4 || ^10";s:9:"configure";s:26:"fontawesome.admin_settings";s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:2:{s:29:"fontawesome_iconpicker_widget";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:11:"fontawesome";s:10:"\0*\0project";s:11:"fontawesome";s:19:"\0*\0constraintString";s:0:"";}s:17:"fontawesome_media";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:11:"fontawesome";s:10:"\0*\0project";s:11:"fontawesome";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:29:"fontawesome_iconpicker_widget";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:96:"modules/fontawesome/modules/fontawesome_iconpicker_widget/fontawesome_iconpicker_widget.info.yml";s:11:"\0*\0filename";s:36:"fontawesome_iconpicker_widget.module";s:7:"subpath";s:57:"modules/fontawesome/modules/fontawesome_iconpicker_widget";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:30:"Font Awesome Iconpicker Widget";s:4:"type";s:6:"module";s:11:"description";s:46:"Provides an iconpicker widget for Font Awesome";s:24:"core_version_requirement";s:11:"^9.4 || ^10";s:12:"dependencies";a:1:{i:0;s:23:"fontawesome:fontawesome";}s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:11:"fontawesome";r:3530;}s:4:"sort";i:-1;}s:17:"fontawesome_media";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:72:"modules/fontawesome/modules/fontawesome_media/fontawesome_media.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:45:"modules/fontawesome/modules/fontawesome_media";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:25:"Font Awesome Media Entity";s:4:"type";s:6:"module";s:11:"description";s:38:"Adds a Font Awesome Media Entity Type.";s:24:"core_version_requirement";s:11:"^9.4 || ^10";s:12:"dependencies";a:2:{i:0;s:23:"fontawesome:fontawesome";i:1;s:16:"drupal:svg_image";}s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:11:"fontawesome";r:3534;s:9:"svg_image";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:9:"svg_image";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-2;}s:12:"fontyourface";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:42:"modules/fontyourface/fontyourface.info.yml";s:11:"\0*\0filename";s:19:"fontyourface.module";s:7:"subpath";s:20:"modules/fontyourface";s:6:"origin";s:0:"";s:4:"info";a:15:{s:4:"name";s:13:"@fontyourface";s:4:"type";s:6:"module";s:11:"description";s:26:"Web font management tools.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:9:"configure";s:13:"font.settings";s:12:"dependencies";a:2:{i:0;s:15:"drupal:taxonomy";i:1;s:12:"drupal:views";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:1;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:6:{s:16:"adobe_edge_fonts";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"fontyourface";s:10:"\0*\0project";s:12:"fontyourface";s:19:"\0*\0constraintString";s:0:"";}s:12:"fontscom_api";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"fontyourface";s:10:"\0*\0project";s:12:"fontyourface";s:19:"\0*\0constraintString";s:0:"";}s:16:"fontsquirrel_api";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"fontyourface";s:10:"\0*\0project";s:12:"fontyourface";s:19:"\0*\0constraintString";s:0:"";}s:16:"google_fonts_api";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"fontyourface";s:10:"\0*\0project";s:12:"fontyourface";s:19:"\0*\0constraintString";s:0:"";}s:11:"local_fonts";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"fontyourface";s:10:"\0*\0project";s:12:"fontyourface";s:19:"\0*\0constraintString";s:0:"";}s:11:"typekit_api";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"fontyourface";s:10:"\0*\0project";s:12:"fontyourface";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:8:{s:8:"taxonomy";r:2672;s:4:"node";r:1992;s:4:"text";r:2688;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:5:"views";r:3039;}s:4:"sort";i:-64;}s:16:"adobe_edge_fonts";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:71:"modules/fontyourface/modules/adobe_edge_fonts/adobe_edge_fonts.info.yml";s:11:"\0*\0filename";s:23:"adobe_edge_fonts.module";s:7:"subpath";s:45:"modules/fontyourface/modules/adobe_edge_fonts";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:32:"@fontyourface - Adobe Edge Fonts";s:4:"type";s:6:"module";s:11:"description";s:47:"@font-your-face provider with Adobe Edge fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:12:"fontyourface";r:3629;s:8:"taxonomy";r:2672;s:4:"node";r:1992;s:4:"text";r:2688;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:5:"views";r:3039;}s:4:"sort";i:-65;}s:12:"fontscom_api";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:63:"modules/fontyourface/modules/fontscom_api/fontscom_api.info.yml";s:11:"\0*\0filename";s:19:"fontscom_api.module";s:7:"subpath";s:41:"modules/fontyourface/modules/fontscom_api";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:25:"@fontyourface - Fonts.com";s:4:"type";s:6:"module";s:11:"description";s:46:"@font-your-face provider with fonts.com fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:12:"fontyourface";r:3633;s:8:"taxonomy";r:2672;s:4:"node";r:1992;s:4:"text";r:2688;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:5:"views";r:3039;}s:4:"sort";i:-66;}s:16:"fontsquirrel_api";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:71:"modules/fontyourface/modules/fontsquirrel_api/fontsquirrel_api.info.yml";s:11:"\0*\0filename";s:23:"fontsquirrel_api.module";s:7:"subpath";s:45:"modules/fontyourface/modules/fontsquirrel_api";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:29:"@fontyourface - Font Squirrel";s:4:"type";s:6:"module";s:11:"description";s:50:"@font-your-face provider with Font Squirrel fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:12:"fontyourface";r:3637;s:8:"taxonomy";r:2672;s:4:"node";r:1992;s:4:"text";r:2688;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:5:"views";r:3039;}s:4:"sort";i:-67;}s:16:"google_fonts_api";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:71:"modules/fontyourface/modules/google_fonts_api/google_fonts_api.info.yml";s:11:"\0*\0filename";s:23:"google_fonts_api.module";s:7:"subpath";s:45:"modules/fontyourface/modules/google_fonts_api";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:28:"@fontyourface - Google Fonts";s:4:"type";s:6:"module";s:11:"description";s:43:"@font-your-face provider with Google fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:10;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:12:"fontyourface";r:3641;s:8:"taxonomy";r:2672;s:4:"node";r:1992;s:4:"text";r:2688;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:5:"views";r:3039;}s:4:"sort";i:-68;}s:11:"local_fonts";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:61:"modules/fontyourface/modules/local_fonts/local_fonts.info.yml";s:11:"\0*\0filename";s:18:"local_fonts.module";s:7:"subpath";s:40:"modules/fontyourface/modules/local_fonts";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:27:"@fontyourface - Local Fonts";s:4:"type";s:6:"module";s:11:"description";s:75:"@font-your-face provider with fonts installed locally on the Drupal server.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:12:"fontyourface";r:3645;s:8:"taxonomy";r:2672;s:4:"node";r:1992;s:4:"text";r:2688;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:5:"views";r:3039;}s:4:"sort";i:-69;}s:11:"typekit_api";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:61:"modules/fontyourface/modules/typekit_api/typekit_api.info.yml";s:11:"\0*\0filename";s:18:"typekit_api.module";s:7:"subpath";s:40:"modules/fontyourface/modules/typekit_api";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:23:"@fontyourface - Typekit";s:4:"type";s:6:"module";s:11:"description";s:48:"@font-your-face provider with Typekit.com fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:12:"fontyourface";r:3649;s:8:"taxonomy";r:2672;s:4:"node";r:1992;s:4:"text";r:2688;s:5:"field";r:272;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:5:"views";r:3039;}s:4:"sort";i:-70;}s:17:"fullcalendar_view";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:52:"modules/fullcalendar_view/fullcalendar_view.info.yml";s:11:"\0*\0filename";s:24:"fullcalendar_view.module";s:7:"subpath";s:25:"modules/fullcalendar_view";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:25:"Full Calendar View Plugin";s:4:"type";s:6:"module";s:11:"description";s:55:"A view plugin to present contents in FullCalendar view.";s:7:"package";s:5:"Views";s:24:"core_version_requirement";s:13:"^9.2.0 || ^10";s:12:"dependencies";a:2:{i:0;s:12:"drupal:views";i:1;s:15:"drupal:datetime";}s:7:"version";s:6:"5.1.12";s:7:"project";s:17:"fullcalendar_view";s:9:"datestamp";i:1680506581;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652120;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:6:{s:5:"views";r:3049;s:6:"filter";r:1194;s:4:"user";r:74;s:6:"system";r:78;s:8:"datetime";r:728;s:5:"field";r:741;}s:4:"sort";i:-71;}s:8:"juicerio";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:34:"modules/juicerio/juicerio.info.yml";s:11:"\0*\0filename";s:15:"juicerio.module";s:7:"subpath";s:16:"modules/juicerio";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:37:"Juicer - Social Media Feed Aggregator";s:11:"description";s:61:"Integration with the Juicer (juicer.io) social feed platform.";s:24:"core_version_requirement";s:15:"^8 || ^9 || ^10";s:4:"type";s:6:"module";s:9:"configure";s:14:"juicerio.admin";s:12:"dependencies";a:1:{i:0;s:12:"drupal:block";}s:7:"version";s:5:"2.0.3";s:7:"project";s:8:"juicerio";s:9:"datestamp";i:1675604335;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:5:"block";r:226;}s:4:"sort";i:-72;}s:15:"paragraphs_demo";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:67:"modules/paragraphs/modules/paragraphs_demo/paragraphs_demo.info.yml";s:11:"\0*\0filename";s:22:"paragraphs_demo.module";s:7:"subpath";s:42:"modules/paragraphs/modules/paragraphs_demo";s:6:"origin";s:0:"";s:4:"info";a:14:{s:11:"description";s:44:"Provides multilingual demo Paragraphs types.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:12:"dependencies";a:15:{i:0;s:21:"paragraphs:paragraphs";i:1;s:12:"drupal:field";i:2;s:12:"drupal:image";i:3;s:15:"drupal:field_ui";i:4;s:12:"drupal:block";i:5;s:15:"drupal:language";i:6;s:26:"drupal:content_translation";i:7;s:11:"drupal:node";i:8;s:24:"search_api:search_api_db";i:9;s:21:"search_api:search_api";i:10;s:12:"drupal:views";i:11;s:15:"drupal:taxonomy";i:12;s:29:"paragraphs:paragraphs_library";i:13;s:21:"drupal:entity_browser";i:14;s:25:"drupal:content_moderation";}s:6:"hidden";b:0;s:4:"name";s:15:"Paragraphs Demo";s:7:"package";s:10:"Paragraphs";s:4:"type";s:6:"module";s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652123;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:23:{s:10:"paragraphs";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"paragraphs";s:10:"\0*\0project";s:10:"paragraphs";s:19:"\0*\0constraintString";s:0:"";}s:26:"entity_reference_revisions";r:3434;s:5:"field";r:976;s:4:"file";r:1143;s:5:"image";r:1435;s:8:"field_ui";r:1097;s:5:"block";r:230;s:8:"language";r:1534;s:19:"content_translation";r:647;s:4:"node";r:2012;s:4:"text";r:312;s:6:"filter";r:70;s:4:"user";r:74;s:6:"system";r:78;s:13:"search_api_db";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:13:"search_api_db";s:10:"\0*\0project";s:10:"search_api";s:19:"\0*\0constraintString";s:0:"";}s:10:"search_api";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"search_api";s:10:"\0*\0project";s:10:"search_api";s:19:"\0*\0constraintString";s:0:"";}s:5:"views";r:3057;s:8:"taxonomy";r:2682;s:18:"paragraphs_library";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:18:"paragraphs_library";s:10:"\0*\0project";s:10:"paragraphs";s:19:"\0*\0constraintString";s:0:"";}s:12:"entity_usage";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"entity_usage";s:10:"\0*\0project";s:12:"entity_usage";s:19:"\0*\0constraintString";s:0:"";}s:14:"entity_browser";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:14:"entity_browser";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:18:"content_moderation";r:613;s:9:"workflows";r:618;}s:4:"sort";i:-75;}s:18:"paragraphs_library";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:73:"modules/paragraphs/modules/paragraphs_library/paragraphs_library.info.yml";s:11:"\0*\0filename";s:25:"paragraphs_library.module";s:7:"subpath";s:45:"modules/paragraphs/modules/paragraphs_library";s:6:"origin";s:0:"";s:4:"info";a:15:{s:4:"name";s:18:"Paragraphs Library";s:4:"type";s:6:"module";s:11:"description";s:42:"Provides a library for reusing paragraphs.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:7:"package";s:10:"Paragraphs";s:9:"configure";s:32:"paragraphs_library_item.settings";s:12:"dependencies";a:3:{i:0;s:21:"paragraphs:paragraphs";i:1;s:12:"drupal:views";i:2;s:25:"entity_usage:entity_usage";}s:17:"test_dependencies";a:1:{i:0;s:29:"entity_browser:entity_browser";}s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652123;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:15:"paragraphs_demo";r:4016;}s:8:"requires";a:9:{s:10:"paragraphs";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"paragraphs";s:10:"\0*\0project";s:10:"paragraphs";s:19:"\0*\0constraintString";s:0:"";}s:26:"entity_reference_revisions";r:3434;s:5:"field";r:957;s:4:"file";r:1143;s:5:"views";r:3053;s:6:"filter";r:1194;s:4:"user";r:74;s:6:"system";r:78;s:12:"entity_usage";r:4020;}s:4:"sort";i:-74;}s:27:"paragraphs_type_permissions";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:91:"modules/paragraphs/modules/paragraphs_type_permissions/paragraphs_type_permissions.info.yml";s:11:"\0*\0filename";s:34:"paragraphs_type_permissions.module";s:7:"subpath";s:54:"modules/paragraphs/modules/paragraphs_type_permissions";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:27:"Paragraphs Type Permissions";s:4:"type";s:6:"module";s:11:"description";s:70:"Allows users to configure permissions for individual Paragraphs types.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:7:"package";s:10:"Paragraphs";s:12:"dependencies";a:1:{i:0;s:21:"paragraphs:paragraphs";}s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652123;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:10:"paragraphs";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"paragraphs";s:10:"\0*\0project";s:10:"paragraphs";s:19:"\0*\0constraintString";s:0:"";}s:26:"entity_reference_revisions";r:3434;s:5:"field";r:957;s:4:"file";r:1143;}s:4:"sort";i:-76;}s:10:"paragraphs";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:38:"modules/paragraphs/paragraphs.info.yml";s:11:"\0*\0filename";s:17:"paragraphs.module";s:7:"subpath";s:18:"modules/paragraphs";s:6:"origin";s:0:"";s:4:"info";a:15:{s:4:"name";s:10:"Paragraphs";s:4:"type";s:6:"module";s:11:"description";s:44:"Enables the creation of paragraphs entities.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:7:"package";s:10:"Paragraphs";s:9:"configure";s:33:"entity.paragraphs_type.collection";s:12:"dependencies";a:2:{i:0;s:53:"entity_reference_revisions:entity_reference_revisions";i:1;s:11:"drupal:file";}s:17:"test_dependencies";a:5:{i:0;s:9:"diff:diff";i:1;s:19:"replicate:replicate";i:2;s:37:"inline_entity_form:inline_entity_form";i:3;s:23:"field_group:field_group";i:4;s:23:"block_field:block_field";}s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652124;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:11;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:18:"paragraphs_library";r:4063;s:15:"paragraphs_demo";r:3989;s:27:"paragraphs_type_permissions";r:4102;}s:8:"requires";a:3:{s:26:"entity_reference_revisions";r:3434;s:5:"field";r:957;s:4:"file";r:1143;}s:4:"sort";i:-73;}s:9:"superfish";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:36:"modules/superfish/superfish.info.yml";s:11:"\0*\0filename";s:16:"superfish.module";s:7:"subpath";s:17:"modules/superfish";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:9:"Superfish";s:4:"type";s:6:"module";s:11:"description";s:44:"Adds jQuery Superfish plugin to menu blocks.";s:7:"package";s:14:"User interface";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"version";s:7:"8.x-1.4";s:7:"project";s:9:"superfish";s:9:"datestamp";i:1590438118;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}s:18:"vem_migrate_oembed";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:106:"modules/video_embed_field/modules/video_embed_media/modules/vem_migrate_oembed/vem_migrate_oembed.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:78:"modules/video_embed_field/modules/video_embed_media/modules/vem_migrate_oembed";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:42:"Video Embed Media - Migrate to core oEmbed";s:4:"type";s:6:"module";s:11:"description";s:51:"Provides a drush command to migrate to cores oEmbed";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:2:{i:0;s:21:"drupal:media (>= 8.6)";i:1;s:35:"video_embed_field:video_embed_media";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:8:{s:5:"media";r:1699;s:4:"file";r:1137;s:5:"field";r:58;s:5:"image";r:1426;s:4:"user";r:1707;s:6:"system";r:78;s:17:"video_embed_media";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:17:"video_embed_media";s:10:"\0*\0project";s:17:"video_embed_field";s:19:"\0*\0constraintString";s:0:"";}s:17:"video_embed_field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:17:"video_embed_field";s:10:"\0*\0project";s:17:"video_embed_field";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-79;}s:17:"video_embed_media";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:78:"modules/video_embed_field/modules/video_embed_media/video_embed_media.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:51:"modules/video_embed_field/modules/video_embed_media";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:17:"Video Embed Media";s:4:"type";s:6:"module";s:11:"description";s:178:"Integrates video_embed_field with the Media module, creating a new media type tailored to display embedded videos. Useful for websites which are using the media suite of modules.";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:2:{i:0;s:21:"drupal:media (>= 8.4)";i:1;s:35:"video_embed_field:video_embed_field";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:18:"vem_migrate_oembed";r:4211;}s:8:"requires";a:7:{s:5:"media";r:1695;s:4:"file";r:1137;s:5:"field";r:58;s:5:"image";r:1426;s:4:"user";r:1707;s:6:"system";r:78;s:17:"video_embed_field";r:4215;}s:4:"sort";i:-78;}s:19:"video_embed_wysiwyg";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:82:"modules/video_embed_field/modules/video_embed_wysiwyg/video_embed_wysiwyg.info.yml";s:11:"\0*\0filename";s:26:"video_embed_wysiwyg.module";s:7:"subpath";s:53:"modules/video_embed_field/modules/video_embed_wysiwyg";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:19:"Video Embed WYSIWYG";s:4:"type";s:6:"module";s:11:"description";s:136:"Integrates video_embed_field directly into ckeditor. Useful for websites not using the media suite of modules that need WYSIWYG support.";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:3:{i:0;s:12:"drupal:field";i:1;s:15:"drupal:ckeditor";i:2;s:35:"video_embed_field:video_embed_field";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:9:{s:5:"field";r:987;s:8:"ckeditor";r:378;s:6:"editor";r:383;s:6:"filter";r:387;s:4:"user";r:74;s:6:"system";r:78;s:4:"file";r:393;s:17:"video_embed_field";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:17:"video_embed_field";s:10:"\0*\0project";s:17:"video_embed_field";s:19:"\0*\0constraintString";s:0:"";}s:5:"image";r:1439;}s:4:"sort";i:-80;}s:17:"video_embed_field";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:52:"modules/video_embed_field/video_embed_field.info.yml";s:11:"\0*\0filename";s:24:"video_embed_field.module";s:7:"subpath";s:25:"modules/video_embed_field";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:17:"Video Embed Field";s:4:"type";s:6:"module";s:11:"description";s:95:"Provides a field type for displaying videos from 3rd party providers such as YouTube and Vimeo.";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:3:{i:0;s:12:"drupal:field";i:1;s:12:"drupal:image";i:2;s:13:"drupal:system";}s:17:"test_dependencies";a:1:{i:0;s:17:"colorbox:colorbox";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:3:{s:17:"video_embed_media";r:4215;s:18:"vem_migrate_oembed";r:4215;s:19:"video_embed_wysiwyg";r:4291;}s:8:"requires";a:4:{s:5:"field";r:981;s:5:"image";r:1439;s:4:"file";r:1133;s:6:"system";r:2599;}s:4:"sort";i:-77;}s:14:"webform_access";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:62:"modules/webform/modules/webform_access/webform_access.info.yml";s:11:"\0*\0filename";s:21:"webform_access.module";s:7:"subpath";s:38:"modules/webform/modules/webform_access";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:14:"Webform Access";s:11:"description";s:51:"Provides webform access controls for webform nodes.";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:7:"package";s:7:"Webform";s:4:"type";s:6:"module";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:20:"webform:webform_node";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:27:"webform_demo_region_contact";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:14:"webform_access";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:10:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"webform_node";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:4:"node";r:2016;s:4:"text";r:2768;s:6:"filter";r:70;s:4:"path";r:2122;s:10:"path_alias";r:2136;}s:4:"sort";i:-83;}s:18:"webform_attachment";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:70:"modules/webform/modules/webform_attachment/webform_attachment.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:42:"modules/webform/modules/webform_attachment";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:18:"Webform Attachment";s:4:"type";s:6:"module";s:11:"description";s:97:"Provides an element that generates or loads a file that can be attached to a submission or email.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:31:"webform_entity_print_attachment";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:18:"webform_attachment";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-84;}s:17:"webform_bootstrap";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:68:"modules/webform/modules/webform_bootstrap/webform_bootstrap.info.yml";s:11:"\0*\0filename";s:24:"webform_bootstrap.module";s:7:"subpath";s:41:"modules/webform/modules/webform_bootstrap";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:17:"Webform Bootstrap";s:4:"type";s:6:"module";s:11:"description";s:47:"Helps support Webform to Bootstrap integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-85;}s:13:"webform_cards";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:60:"modules/webform/modules/webform_cards/webform_cards.info.yml";s:11:"\0*\0filename";s:20:"webform_cards.module";s:7:"subpath";s:37:"modules/webform/modules/webform_cards";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:13:"Webform Cards";s:4:"type";s:6:"module";s:11:"description";s:82:"Provides a ''Card'' container element for fast clientside multistep form pagination.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:3:{i:0;s:15:"webform:webform";i:1;s:37:"webform:webform_clientside_validation";i:2;s:25:"drupal:inline_form_errors";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:8:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:29:"webform_clientside_validation";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:29:"webform_clientside_validation";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:21:"clientside_validation";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:21:"clientside_validation";s:10:"\0*\0project";s:21:"clientside_validation";s:19:"\0*\0constraintString";s:0:"";}s:28:"clientside_validation_jquery";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:28:"clientside_validation_jquery";s:10:"\0*\0project";s:21:"clientside_validation";s:19:"\0*\0constraintString";s:0:"";}s:18:"inline_form_errors";r:1472;}s:4:"sort";i:-87;}s:29:"webform_clientside_validation";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:92:"modules/webform/modules/webform_clientside_validation/webform_clientside_validation.info.yml";s:11:"\0*\0filename";s:36:"webform_clientside_validation.module";s:7:"subpath";s:53:"modules/webform/modules/webform_clientside_validation";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:29:"Webform Clientside Validation";s:4:"type";s:6:"module";s:11:"description";s:56:"Helps support Webform Clientside Validation integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:3:{i:0;s:15:"webform:webform";i:1;s:43:"clientside_validation:clientside_validation";i:2;s:50:"clientside_validation:clientside_validation_jquery";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:13:"webform_cards";r:4490;}s:8:"requires";a:6:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:21:"clientside_validation";r:4494;s:28:"clientside_validation_jquery";r:4498;}s:4:"sort";i:-86;}s:35:"webform_demo_application_evaluation";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:117:"modules/webform/modules/webform_demo/webform_demo_application_evaluation/webform_demo_application_evaluation.info.yml";s:11:"\0*\0filename";s:42:"webform_demo_application_evaluation.module";s:7:"subpath";s:72:"modules/webform/modules/webform_demo/webform_demo_application_evaluation";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:43:"Webform Demo: Application/Evaluation System";s:4:"type";s:6:"module";s:11:"description";s:85:"Demonstrates how to use the Webform module to build an application/evaluation system.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:4:{i:0;s:12:"drupal:block";i:1;s:12:"drupal:views";i:2;s:15:"webform:webform";i:3;s:20:"webform:webform_node";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:12:{s:5:"block";r:234;s:5:"views";r:3061;s:6:"filter";r:1194;s:4:"user";r:74;s:6:"system";r:78;s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"webform_node";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:4:"node";r:2016;s:4:"text";r:2768;s:4:"path";r:2122;s:10:"path_alias";r:2136;}s:4:"sort";i:-88;}s:31:"webform_demo_event_registration";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:109:"modules/webform/modules/webform_demo/webform_demo_event_registration/webform_demo_event_registration.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:68:"modules/webform/modules/webform_demo/webform_demo_event_registration";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:39:"Webform Demo: Event Registration System";s:4:"type";s:6:"module";s:11:"description";s:102:"Demonstrates how to use the Webform module to build an event registration system with email reminders.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:8:{i:0;s:15:"drupal:datetime";i:1;s:12:"drupal:views";i:2;s:11:"token:token";i:3;s:15:"webform:webform";i:4;s:20:"webform:webform_node";i:5;s:29:"webform:webform_options_limit";i:6;s:31:"webform:webform_scheduled_email";i:7;s:21:"webform:webform_share";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:16:{s:8:"datetime";r:732;s:5:"field";r:741;s:5:"views";r:3065;s:6:"filter";r:1194;s:4:"user";r:74;s:6:"system";r:78;s:5:"token";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"token";s:10:"\0*\0project";s:5:"token";s:19:"\0*\0constraintString";s:0:"";}s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"webform_node";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:4:"node";r:2016;s:4:"text";r:2768;s:4:"path";r:2122;s:10:"path_alias";r:2136;s:21:"webform_options_limit";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:21:"webform_options_limit";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:23:"webform_scheduled_email";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:23:"webform_scheduled_email";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:13:"webform_share";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:13:"webform_share";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-92;}s:18:"webform_demo_group";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:83:"modules/webform/modules/webform_demo/webform_demo_group/webform_demo_group.info.yml";s:11:"\0*\0filename";s:25:"webform_demo_group.module";s:7:"subpath";s:55:"modules/webform/modules/webform_demo/webform_demo_group";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:19:"Webform Demo: Group";s:4:"type";s:6:"module";s:11:"description";s:71:"Demonstrates how to integrate the Webform module with the Group module.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:6:{i:0;s:11:"drupal:path";i:1;s:11:"group:group";i:2;s:11:"group:gnode";i:3;s:15:"webform:webform";i:4;s:20:"webform:webform_node";i:5;s:21:"webform:webform_group";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:13:{s:4:"path";r:2130;s:10:"path_alias";r:2136;s:5:"group";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"group";s:10:"\0*\0project";s:5:"group";s:19:"\0*\0constraintString";s:0:"";}s:5:"gnode";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"gnode";s:10:"\0*\0project";s:5:"group";s:19:"\0*\0constraintString";s:0:"";}s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"webform_node";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:4:"node";r:2016;s:4:"text";r:2768;s:6:"filter";r:70;s:13:"webform_group";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:13:"webform_group";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-94;}s:27:"webform_demo_region_contact";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:101:"modules/webform/modules/webform_demo/webform_demo_region_contact/webform_demo_region_contact.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:64:"modules/webform/modules/webform_demo/webform_demo_region_contact";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:35:"Webform Demo: Region Contact System";s:4:"type";s:6:"module";s:11:"description";s:82:"Demonstrates how to use the Webform module to build a region based contact system.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:5:{i:0;s:15:"drupal:datetime";i:1;s:11:"token:token";i:2;s:15:"webform:webform";i:3;s:20:"webform:webform_node";i:4;s:22:"webform:webform_access";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:13:{s:8:"datetime";r:736;s:5:"field";r:741;s:5:"token";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"token";s:10:"\0*\0project";s:5:"token";s:19:"\0*\0constraintString";s:0:"";}s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:4:"user";r:2960;s:6:"system";r:78;s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"webform_node";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:4:"node";r:2016;s:4:"text";r:2768;s:6:"filter";r:70;s:4:"path";r:2122;s:10:"path_alias";r:2136;s:14:"webform_access";r:4361;}s:4:"sort";i:-95;}s:13:"webform_devel";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:60:"modules/webform/modules/webform_devel/webform_devel.info.yml";s:11:"\0*\0filename";s:20:"webform_devel.module";s:7:"subpath";s:37:"modules/webform/modules/webform_devel";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:13:"Webform Devel";s:4:"type";s:6:"module";s:11:"description";s:50:"Provides development tools for the Webform module.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:11:"devel:devel";i:1;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:27:"webform_example_custom_form";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:13:"webform_devel";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:5:{s:5:"devel";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"devel";s:10:"\0*\0project";s:5:"devel";s:19:"\0*\0constraintString";s:0:"";}s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-96;}s:20:"webform_entity_print";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:74:"modules/webform/modules/webform_entity_print/webform_entity_print.info.yml";s:11:"\0*\0filename";s:27:"webform_entity_print.module";s:7:"subpath";s:44:"modules/webform/modules/webform_entity_print";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:26:"Webform Entity Print (PDF)";s:4:"type";s:6:"module";s:11:"description";s:130:"Provides Entity Print (PDF) integration and allows site builders to download, export, and email PDF copies of webform submissions.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:25:"entity_print:entity_print";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:31:"webform_entity_print_attachment";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:20:"webform_entity_print";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:5:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:12:"entity_print";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"entity_print";s:10:"\0*\0project";s:12:"entity_print";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-97;}s:31:"webform_entity_print_attachment";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:96:"modules/webform/modules/webform_entity_print_attachment/webform_entity_print_attachment.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:55:"modules/webform/modules/webform_entity_print_attachment";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:37:"Webform Entity Print (PDF) Attachment";s:4:"type";s:6:"module";s:11:"description";s:59:"Provides Webform Entity Print (PDF) Attachment integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:26:"webform:webform_attachment";i:1;s:28:"webform:webform_entity_print";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:7:{s:18:"webform_attachment";r:4408;s:7:"webform";r:4413;s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:20:"webform_entity_print";r:4841;s:12:"entity_print";r:4853;}s:4:"sort";i:-98;}s:25:"webform_example_composite";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:84:"modules/webform/modules/webform_example_composite/webform_example_composite.info.yml";s:11:"\0*\0filename";s:32:"webform_example_composite.module";s:7:"subpath";s:49:"modules/webform/modules/webform_example_composite";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:25:"Webform Example Composite";s:4:"type";s:6:"module";s:11:"description";s:65:"Provides an example that shows how to create a Webform composite.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-99;}s:27:"webform_example_custom_form";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:88:"modules/webform/modules/webform_example_custom_form/webform_example_custom_form.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:51:"modules/webform/modules/webform_example_custom_form";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:27:"Webform Custom Form Example";s:4:"type";s:6:"module";s:11:"description";s:80:"Provides an example of custom configuration form built using the Webform module.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"configure";s:36:"webform_example_custom_form.settings";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:21:"webform:webform_devel";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:6:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:13:"webform_devel";r:4798;s:5:"devel";r:4803;}s:4:"sort";i:-100;}s:23:"webform_example_element";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:80:"modules/webform/modules/webform_example_element/webform_example_element.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:47:"modules/webform/modules/webform_example_element";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:23:"Webform Element Example";s:4:"type";s:6:"module";s:11:"description";s:63:"Provides an example that shows how to create a Webform element.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-101;}s:34:"webform_example_element_properties";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:102:"modules/webform/modules/webform_example_element_properties/webform_example_element_properties.info.yml";s:11:"\0*\0filename";s:41:"webform_example_element_properties.module";s:7:"subpath";s:58:"modules/webform/modules/webform_example_element_properties";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:34:"Webform Element Properties Example";s:4:"type";s:6:"module";s:11:"description";s:80:"Provides an example that shows how to add custom properties to Webform elements.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:18:"webform:webform_ui";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:5:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:10:"webform_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"webform_ui";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-103;}s:23:"webform_example_handler";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:80:"modules/webform/modules/webform_example_handler/webform_example_handler.info.yml";s:11:"\0*\0filename";s:30:"webform_example_handler.module";s:7:"subpath";s:47:"modules/webform/modules/webform_example_handler";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:23:"Webform Handler Example";s:4:"type";s:6:"module";s:11:"description";s:41:"Provides an example of a webform handler.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-104;}s:27:"webform_example_remote_post";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:88:"modules/webform/modules/webform_example_remote_post/webform_example_remote_post.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:51:"modules/webform/modules/webform_example_remote_post";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:27:"Webform Remote Post Example";s:4:"type";s:6:"module";s:11:"description";s:70:"Provides an example of a webform submission posted to a remote server.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:11:"token:token";i:1;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:5:{s:5:"token";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"token";s:10:"\0*\0project";s:5:"token";s:19:"\0*\0constraintString";s:0:"";}s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-105;}s:23:"webform_example_variant";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:80:"modules/webform/modules/webform_example_variant/webform_example_variant.info.yml";s:11:"\0*\0filename";s:30:"webform_example_variant.module";s:7:"subpath";s:47:"modules/webform/modules/webform_example_variant";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:23:"Webform Variant Example";s:4:"type";s:6:"module";s:11:"description";s:40:"Provides an example of webform variants.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-106;}s:16:"webform_examples";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:66:"modules/webform/modules/webform_examples/webform_examples.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:40:"modules/webform/modules/webform_examples";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:16:"Webform Examples";s:4:"type";s:6:"module";s:11:"description";s:191:"Provides examples of all webform elements and functionality which can used for demonstrating and testing advanced functionality or used as cut-n-paste code snippets for creating new webforms.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-107;}s:30:"webform_examples_accessibility";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:94:"modules/webform/modules/webform_examples_accessibility/webform_examples_accessibility.info.yml";s:11:"\0*\0filename";s:37:"webform_examples_accessibility.module";s:7:"subpath";s:54:"modules/webform/modules/webform_examples_accessibility";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:30:"Webform Examples Accessibility";s:4:"type";s:6:"module";s:11:"description";s:66:"Provides example webforms for reviewing and testing accessibility.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:14:"drupal:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:6:"drupal";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-108;}s:13:"webform_group";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:60:"modules/webform/modules/webform_group/webform_group.info.yml";s:11:"\0*\0filename";s:20:"webform_group.module";s:7:"subpath";s:37:"modules/webform/modules/webform_group";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:13:"Webform Group";s:4:"type";s:6:"module";s:11:"description";s:39:"Provides Webform and Group integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:4:{i:0;s:15:"webform:webform";i:1;s:20:"webform:webform_node";i:2;s:11:"group:group";i:3;s:11:"group:gnode";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:18:"webform_demo_group";r:4714;}s:8:"requires";a:12:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:12:"webform_node";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:12:"webform_node";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:4:"node";r:2016;s:4:"text";r:2768;s:6:"filter";r:70;s:4:"path";r:2122;s:10:"path_alias";r:2136;s:5:"group";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"group";s:10:"\0*\0project";s:5:"group";s:19:"\0*\0constraintString";s:0:"";}s:5:"gnode";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:5:"gnode";s:10:"\0*\0project";s:5:"group";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-93;}s:14:"webform_icheck";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:62:"modules/webform/modules/webform_icheck/webform_icheck.info.yml";s:11:"\0*\0filename";s:21:"webform_icheck.module";s:7:"subpath";s:38:"modules/webform/modules/webform_icheck";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:14:"Webform iCheck";s:4:"type";s:6:"module";s:11:"description";s:120:"Provides support for highly customizable checkboxes and radio buttons. The iCheck library is no longer being maintained.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-109;}s:20:"webform_image_select";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:74:"modules/webform/modules/webform_image_select/webform_image_select.info.yml";s:11:"\0*\0filename";s:27:"webform_image_select.module";s:7:"subpath";s:44:"modules/webform/modules/webform_image_select";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:20:"Webform Image Select";s:4:"type";s:6:"module";s:11:"description";s:52:"Provides a webform element for a selecting an image.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-110;}s:24:"webform_jqueryui_buttons";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:82:"modules/webform/modules/webform_jqueryui_buttons/webform_jqueryui_buttons.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:48:"modules/webform/modules/webform_jqueryui_buttons";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:24:"Webform jQueryUI Buttons";s:4:"type";s:6:"module";s:11:"description";s:98:"Provides a group of multiple buttons used for selecting a value. jQueryUI is no longer maintained.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:47:"jquery_ui_checkboxradio:jquery_ui_checkboxradio";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:5:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:23:"jquery_ui_checkboxradio";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:23:"jquery_ui_checkboxradio";s:10:"\0*\0project";s:23:"jquery_ui_checkboxradio";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-111;}s:28:"webform_location_geocomplete";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:90:"modules/webform/modules/webform_location_geocomplete/webform_location_geocomplete.info.yml";s:11:"\0*\0filename";s:35:"webform_location_geocomplete.module";s:7:"subpath";s:52:"modules/webform/modules/webform_location_geocomplete";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:28:"Webform Location Geocomplete";s:4:"type";s:6:"module";s:11:"description";s:257:"Provides a form element to collect valid location information (address, longitude, latitude, geolocation) using Google Maps API''s Geocoding and Places Autocomplete. The jQuery: Geocoding and Places Autocomplete Plugin library  is no longer being maintained.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-112;}s:12:"webform_node";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:58:"modules/webform/modules/webform_node/webform_node.info.yml";s:11:"\0*\0filename";s:19:"webform_node.module";s:7:"subpath";s:36:"modules/webform/modules/webform_node";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:12:"Webform Node";s:4:"type";s:6:"module";s:11:"description";s:95:"Provides a Webform content type which allows webforms to be integrated into a website as nodes.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:6:{i:0;s:12:"drupal:field";i:1;s:11:"drupal:node";i:2;s:11:"drupal:path";i:3;s:11:"drupal:text";i:4;s:11:"drupal:user";i:5;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:6:{s:14:"webform_access";r:4373;s:35:"webform_demo_application_evaluation";r:4582;s:31:"webform_demo_event_registration";r:4638;s:13:"webform_group";r:5250;s:18:"webform_demo_group";r:4707;s:27:"webform_demo_region_contact";r:4761;}s:8:"requires";a:9:{s:5:"field";r:995;s:4:"node";r:2016;s:4:"text";r:2768;s:6:"filter";r:70;s:4:"user";r:2964;s:6:"system";r:78;s:4:"path";r:2122;s:10:"path_alias";r:2136;s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-82;}s:22:"webform_options_custom";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:78:"modules/webform/modules/webform_options_custom/webform_options_custom.info.yml";s:11:"\0*\0filename";s:29:"webform_options_custom.module";s:7:"subpath";s:46:"modules/webform/modules/webform_options_custom";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:22:"Webform Custom Options";s:4:"type";s:6:"module";s:11:"description";s:112:"Provides a webform element for converting HTML or SVG markup into a selectable single or multiple options input.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-113;}s:21:"webform_options_limit";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:76:"modules/webform/modules/webform_options_limit/webform_options_limit.info.yml";s:11:"\0*\0filename";s:28:"webform_options_limit.module";s:7:"subpath";s:45:"modules/webform/modules/webform_options_limit";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:21:"Webform Options Limit";s:4:"type";s:6:"module";s:11:"description";s:109:"Allows elements with options (i.e. select, checkboxes, and radios) to have option specific submission limits.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:31:"webform_demo_event_registration";r:4646;}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-89;}s:23:"webform_scheduled_email";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:80:"modules/webform/modules/webform_scheduled_email/webform_scheduled_email.info.yml";s:11:"\0*\0filename";s:30:"webform_scheduled_email.module";s:7:"subpath";s:47:"modules/webform/modules/webform_scheduled_email";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:31:"Webform Scheduled Email Handler";s:4:"type";s:6:"module";s:11:"description";s:103:"Provides the "Scheduled email" handler, which sends Webform submissions via scheduled email using cron.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:31:"webform_demo_event_registration";r:4650;}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-90;}s:13:"webform_share";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:60:"modules/webform/modules/webform_share/webform_share.info.yml";s:11:"\0*\0filename";s:20:"webform_share.module";s:7:"subpath";s:37:"modules/webform/modules/webform_share";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:13:"Webform Share";s:4:"type";s:6:"module";s:11:"description";s:63:"Allows webforms to be shared on other websites using an iframe.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:1:{s:31:"webform_demo_event_registration";r:4654;}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-91;}s:17:"webform_shortcuts";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:68:"modules/webform/modules/webform_shortcuts/webform_shortcuts.info.yml";s:11:"\0*\0filename";s:24:"webform_shortcuts.module";s:7:"subpath";s:41:"modules/webform/modules/webform_shortcuts";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:17:"Webform Shortcuts";s:4:"type";s:6:"module";s:11:"description";s:77:"Provides configurable keyboard shortcuts to create and save webform elements.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:18:"webform:webform_ui";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:5:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;s:10:"webform_ui";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:10:"webform_ui";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}}s:4:"sort";i:-114;}s:32:"webform_submission_export_import";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:98:"modules/webform/modules/webform_submission_export_import/webform_submission_export_import.info.yml";s:11:"\0*\0filename";s:39:"webform_submission_export_import.module";s:7:"subpath";s:56:"modules/webform/modules/webform_submission_export_import";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:32:"Webform Submission Export/Import";s:4:"type";s:6:"module";s:11:"description";s:54:"Provides the ability to export and import submissions.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-115;}s:22:"webform_submission_log";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:78:"modules/webform/modules/webform_submission_log/webform_submission_log.info.yml";s:11:"\0*\0filename";s:29:"webform_submission_log.module";s:7:"subpath";s:46:"modules/webform/modules/webform_submission_log";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:22:"Webform Submission Log";s:4:"type";s:6:"module";s:11:"description";s:56:"Dedicated logging and reporting for webform submissions.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-116;}s:17:"webform_templates";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:68:"modules/webform/modules/webform_templates/webform_templates.info.yml";s:11:"\0*\0filename";s:24:"webform_templates.module";s:7:"subpath";s:41:"modules/webform/modules/webform_templates";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:17:"Webform Templates";s:4:"type";s:6:"module";s:11:"description";s:67:"Provides starter templates that can be used to create new webforms.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-117;}s:15:"webform_toggles";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:64:"modules/webform/modules/webform_toggles/webform_toggles.info.yml";s:11:"\0*\0filename";s:22:"webform_toggles.module";s:7:"subpath";s:39:"modules/webform/modules/webform_toggles";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:15:"Webform Toggles";s:4:"type";s:6:"module";s:11:"description";s:149:"Provides a webform element for toggling a single on/off state. The Toggles library  is no longer being maintained and has major accessibility issues.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:0;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-118;}s:10:"webform_ui";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:54:"modules/webform/modules/webform_ui/webform_ui.info.yml";s:11:"\0*\0filename";s:17:"webform_ui.module";s:7:"subpath";s:34:"modules/webform/modules/webform_ui";s:6:"origin";s:0:"";s:4:"info";a:13:{s:4:"name";s:10:"Webform UI";s:4:"type";s:6:"module";s:11:"description";s:64:"Provides a user interface for building and maintaining webforms.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:2:{s:34:"webform_example_element_properties";r:5033;s:17:"webform_shortcuts";r:5635;}s:8:"requires";a:4:{s:7:"webform";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"webform";s:10:"\0*\0project";s:7:"webform";s:19:"\0*\0constraintString";s:0:"";}s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-102;}s:7:"webform";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:6:"module";s:11:"\0*\0pathname";s:32:"modules/webform/webform.info.yml";s:11:"\0*\0filename";s:14:"webform.module";s:7:"subpath";s:15:"modules/webform";s:6:"origin";s:0:"";s:4:"info";a:14:{s:4:"name";s:7:"Webform";s:4:"type";s:6:"module";s:11:"description";s:52:"Enables the creation of webforms and questionnaires.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"configure";s:25:"entity.webform.collection";s:12:"dependencies";a:2:{i:0;s:12:"drupal:field";i:1;s:11:"drupal:user";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648230;s:3:"php";s:5:"7.3.0";}s:6:"weight";i:0;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:37:{s:12:"webform_node";r:5457;s:14:"webform_access";r:4366;s:18:"webform_attachment";r:4413;s:17:"webform_bootstrap";r:4447;s:29:"webform_clientside_validation";r:4533;s:13:"webform_cards";r:4483;s:35:"webform_demo_application_evaluation";r:4577;s:21:"webform_options_limit";r:5523;s:23:"webform_scheduled_email";r:5558;s:13:"webform_share";r:5593;s:31:"webform_demo_event_registration";r:4634;s:13:"webform_group";r:5243;s:18:"webform_demo_group";r:4700;s:27:"webform_demo_region_contact";r:4755;s:13:"webform_devel";r:4807;s:20:"webform_entity_print";r:4846;s:31:"webform_entity_print_attachment";r:4413;s:25:"webform_example_composite";r:4919;s:27:"webform_example_custom_form";r:4955;s:23:"webform_example_element";r:4991;s:10:"webform_ui";r:5805;s:34:"webform_example_element_properties";r:5026;s:23:"webform_example_handler";r:5064;s:27:"webform_example_remote_post";r:5103;s:23:"webform_example_variant";r:5137;s:16:"webform_examples";r:5171;s:30:"webform_examples_accessibility";r:5205;s:14:"webform_icheck";r:5295;s:20:"webform_image_select";r:5329;s:24:"webform_jqueryui_buttons";r:5365;s:28:"webform_location_geocomplete";r:5404;s:22:"webform_options_custom";r:5488;s:17:"webform_shortcuts";r:5628;s:32:"webform_submission_export_import";r:5666;s:22:"webform_submission_log";r:5700;s:17:"webform_templates";r:5734;s:15:"webform_toggles";r:5769;}s:8:"requires";a:3:{s:5:"field";r:991;s:4:"user";r:2960;s:6:"system";r:78;}s:4:"sort";i:-81;}s:8:"standard";O:31:"Drupal\\Core\\Extension\\Extension":12:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:40:"core/profiles/standard/standard.info.yml";s:11:"\0*\0filename";s:16:"standard.profile";s:7:"subpath";s:17:"profiles/standard";s:6:"origin";s:4:"core";s:4:"info";a:16:{s:4:"name";s:8:"Standard";s:4:"type";s:7:"profile";s:11:"description";s:51:"Install with commonly used features pre-configured.";s:7:"version";s:5:"9.5.7";s:7:"install";a:32:{i:0;s:4:"node";i:1;s:7:"history";i:2;s:5:"block";i:3;s:10:"breakpoint";i:4;s:9:"ckeditor5";i:5;s:6:"config";i:6;s:7:"comment";i:7;s:10:"contextual";i:8;s:7:"contact";i:9;s:17:"menu_link_content";i:10;s:8:"datetime";i:11;s:13:"block_content";i:12;s:6:"editor";i:13;s:4:"help";i:14;s:5:"image";i:15;s:7:"menu_ui";i:16;s:7:"options";i:17;s:4:"path";i:18;s:10:"page_cache";i:19;s:18:"dynamic_page_cache";i:20;s:8:"big_pipe";i:21;s:8:"taxonomy";i:22;s:5:"dblog";i:23;s:6:"search";i:24;s:8:"shortcut";i:25;s:7:"toolbar";i:26;s:8:"field_ui";i:27;s:4:"file";i:28;s:5:"views";i:29;s:8:"views_ui";i:30;s:4:"tour";i:31;s:14:"automated_cron";}s:6:"themes";a:2:{i:0;s:7:"olivero";i:1;s:5:"claro";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";s:6:"hidden";b:1;s:8:"required";b:1;s:12:"distribution";a:1:{s:4:"name";s:6:"Drupal";}}s:6:"weight";i:1000;s:6:"status";i:1;s:14:"schema_version";i:-1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;}}', -1, '1681653384.757', 1, '', '0');
INSERT INTO `cache_default` VALUES
('core.extension.list.profile', 'a:15:{s:10:"demo_umami";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:44:"core/profiles/demo_umami/demo_umami.info.yml";s:11:"\0*\0filename";s:18:"demo_umami.profile";s:7:"subpath";s:19:"profiles/demo_umami";s:6:"origin";s:4:"core";s:4:"info";a:14:{s:4:"name";s:40:"Demo: Umami Food Magazine (Experimental)";s:4:"type";s:7:"profile";s:11:"description";s:71:"Install an example site that shows off some of Drupal’s capabilities.";s:7:"version";s:5:"9.5.7";s:7:"install";a:42:{i:0;s:4:"node";i:1;s:7:"history";i:2;s:8:"big_pipe";i:3;s:5:"block";i:4;s:10:"breakpoint";i:5;s:9:"ckeditor5";i:6;s:6:"config";i:7;s:10:"contextual";i:8;s:7:"contact";i:9;s:14:"layout_builder";i:10;s:16:"layout_discovery";i:11;s:17:"menu_link_content";i:12;s:8:"datetime";i:13;s:13:"block_content";i:14;s:6:"editor";i:15;s:4:"help";i:16;s:5:"image";i:17;s:5:"media";i:18;s:13:"media_library";i:19;s:7:"menu_ui";i:20;s:7:"options";i:21;s:4:"path";i:22;s:10:"page_cache";i:23;s:18:"dynamic_page_cache";i:24;s:8:"taxonomy";i:25;s:5:"dblog";i:26;s:6:"search";i:27;s:8:"shortcut";i:28;s:7:"toolbar";i:29;s:8:"field_ui";i:30;s:4:"file";i:31;s:5:"views";i:32;s:8:"views_ui";i:33;s:4:"tour";i:34;s:14:"automated_cron";i:35;s:16:"responsive_image";i:36;s:18:"content_moderation";i:37;s:9:"workflows";i:38;s:8:"language";i:39;s:6:"locale";i:40;s:18:"config_translation";i:41;s:19:"content_translation";}s:6:"themes";a:2:{i:0;s:5:"claro";i:1;s:5:"umami";}s:12:"keep_english";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:7:"minimal";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:38:"core/profiles/minimal/minimal.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:16:"profiles/minimal";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:7:"Minimal";s:4:"type";s:7:"profile";s:11:"description";s:86:"Build a custom site without pre-configured functionality. Suitable for advanced users.";s:7:"version";s:5:"9.5.7";s:7:"install";a:5:{i:0;s:4:"node";i:1;s:5:"block";i:2;s:5:"dblog";i:3;s:10:"page_cache";i:4;s:18:"dynamic_page_cache";}s:6:"themes";a:1:{i:0;s:5:"stark";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:18:"nightwatch_testing";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:60:"core/profiles/nightwatch_testing/nightwatch_testing.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:27:"profiles/nightwatch_testing";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:18:"Nightwatch Testing";s:4:"type";s:7:"profile";s:11:"description";s:88:"Minimal profile for running Nightwatch tests. Includes absolutely required modules only.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:1:{i:0;s:19:"js_testing_log_test";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:8:"standard";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:40:"core/profiles/standard/standard.info.yml";s:11:"\0*\0filename";s:16:"standard.profile";s:7:"subpath";s:17:"profiles/standard";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:8:"Standard";s:4:"type";s:7:"profile";s:11:"description";s:51:"Install with commonly used features pre-configured.";s:7:"version";s:5:"9.5.7";s:7:"install";a:32:{i:0;s:4:"node";i:1;s:7:"history";i:2;s:5:"block";i:3;s:10:"breakpoint";i:4;s:9:"ckeditor5";i:5;s:6:"config";i:6;s:7:"comment";i:7;s:10:"contextual";i:8;s:7:"contact";i:9;s:17:"menu_link_content";i:10;s:8:"datetime";i:11;s:13:"block_content";i:12;s:6:"editor";i:13;s:4:"help";i:14;s:5:"image";i:15;s:7:"menu_ui";i:16;s:7:"options";i:17;s:4:"path";i:18;s:10:"page_cache";i:19;s:18:"dynamic_page_cache";i:20;s:8:"big_pipe";i:21;s:8:"taxonomy";i:22;s:5:"dblog";i:23;s:6:"search";i:24;s:8:"shortcut";i:25;s:7:"toolbar";i:26;s:8:"field_ui";i:27;s:4:"file";i:28;s:5:"views";i:29;s:8:"views_ui";i:30;s:4:"tour";i:31;s:14:"automated_cron";}s:6:"themes";a:2:{i:0;s:7:"olivero";i:1;s:5:"claro";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:7:"testing";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:38:"core/profiles/testing/testing.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:16:"profiles/testing";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:7:"Testing";s:4:"type";s:7:"profile";s:11:"description";s:77:"Minimal profile for running tests. Includes absolutely required modules only.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:2:{i:0;s:17:"drupal:page_cache";i:1;s:18:"dynamic_page_cache";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:21:"testing_config_import";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:66:"core/profiles/testing_config_import/testing_config_import.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:30:"profiles/testing_config_import";s:6:"origin";s:4:"core";s:4:"info";a:14:{s:4:"name";s:21:"Testing config import";s:4:"type";s:7:"profile";s:11:"description";s:46:"Tests install profiles in the config importer.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:1:{i:0;s:6:"syslog";}s:6:"themes";a:1:{i:0;s:5:"stark";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:24:"testing_config_overrides";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:72:"core/profiles/testing_config_overrides/testing_config_overrides.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:33:"profiles/testing_config_overrides";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:24:"Testing config overrides";s:4:"type";s:7:"profile";s:11:"description";s:69:"Minimal profile for running tests with config overrides in a profile.";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:1:"*";s:6:"hidden";b:1;s:7:"install";a:4:{i:0;s:6:"action";i:1;s:8:"language";i:2;s:31:"testing_config_overrides_module";i:3;s:4:"tour";}s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:40:"testing_install_profile_all_dependencies";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:104:"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:49:"profiles/testing_install_profile_all_dependencies";s:6:"origin";s:4:"core";s:4:"info";a:14:{s:4:"name";s:40:"Testing install profile all dependencies";s:4:"type";s:7:"profile";s:11:"description";s:63:"Profile for testing that install profiles can require a module.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:12:"dependencies";a:2:{i:0;s:10:"drupal:ban";i:1;s:12:"drupal:dblog";}s:7:"install";a:0:{}s:6:"themes";a:1:{i:0;s:16:"starterkit_theme";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:36:"testing_install_profile_dependencies";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:96:"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:45:"profiles/testing_install_profile_dependencies";s:6:"origin";s:4:"core";s:4:"info";a:14:{s:4:"name";s:36:"Testing install profile dependencies";s:4:"type";s:7:"profile";s:11:"description";s:63:"Profile for testing that install profiles can require a module.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:12:"drupal:dblog";}s:7:"install";a:1:{i:0;s:3:"ban";}s:6:"themes";a:1:{i:0;s:16:"starterkit_theme";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:28:"testing_missing_dependencies";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:80:"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:37:"profiles/testing_missing_dependencies";s:6:"origin";s:4:"core";s:4:"info";a:14:{s:4:"name";s:28:"Testing missing dependencies";s:4:"type";s:7:"profile";s:11:"description";s:76:"Minimal profile for running a test when dependencies are listed but missing.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:5:{i:0;s:5:"block";i:1;s:11:"drupal:node";i:2;s:16:"drupal:fictional";i:3;s:15:"missing_module1";i:4;s:15:"missing_module2";}s:12:"keep_english";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:20:"testing_multilingual";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:64:"core/profiles/testing_multilingual/testing_multilingual.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:29:"profiles/testing_multilingual";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:20:"Testing multilingual";s:4:"type";s:7:"profile";s:11:"description";s:64:"Minimal profile for running tests with a multilingual installer.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:3:{i:0;s:6:"locale";i:1;s:21:"locale_test_translate";i:2;s:4:"tour";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:33:"testing_multilingual_with_english";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:90:"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:42:"profiles/testing_multilingual_with_english";s:6:"origin";s:4:"core";s:4:"info";a:14:{s:4:"name";s:33:"Testing multilingual with English";s:4:"type";s:7:"profile";s:11:"description";s:64:"Minimal profile for running tests with a multilingual installer.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:1:{i:0;s:6:"locale";}s:12:"keep_english";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:20:"testing_requirements";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:64:"core/profiles/testing_requirements/testing_requirements.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:29:"profiles/testing_requirements";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:20:"Testing requirements";s:4:"type";s:7:"profile";s:11:"description";s:40:"Profile for testing hook_requirements().";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"install";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:19:"testing_site_config";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:62:"core/profiles/testing_site_config/testing_site_config.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:28:"profiles/testing_site_config";s:6:"origin";s:4:"core";s:4:"info";a:13:{s:4:"name";s:19:"Testing site config";s:4:"type";s:7:"profile";s:11:"description";s:53:"Minimal profile for testing with default site config.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"install";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}s:21:"testing_themes_blocks";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:7:"profile";s:11:"\0*\0pathname";s:66:"core/profiles/testing_themes_blocks/testing_themes_blocks.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:30:"profiles/testing_themes_blocks";s:6:"origin";s:4:"core";s:4:"info";a:14:{s:4:"name";s:21:"Testing themes blocks";s:4:"type";s:7:"profile";s:11:"description";s:57:"Minimal profile for testing block installation of themes.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:6:"themes";a:3:{i:0;s:29:"testing_theme_optional_blocks";i:1;s:29:"testing_theme_required_blocks";i:2;s:28:"testing_theme_without_blocks";}s:7:"install";a:1:{i:0;s:5:"block";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}}', -1, '1681649759.485', 1, '', '0'),
('core.extension.list.theme', 'a:10:{s:6:"bartik";O:31:"Drupal\\Core\\Extension\\Extension":13:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:34:"core/themes/bartik/bartik.info.yml";s:11:"\0*\0filename";s:12:"bartik.theme";s:7:"subpath";s:13:"themes/bartik";s:6:"origin";s:4:"core";s:4:"info";a:22:{s:4:"name";s:6:"Bartik";s:4:"type";s:5:"theme";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:44:"https://www.drupal.org/node/3223395#s-bartik";s:11:"description";s:86:"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:4:{i:0;s:18:"bartik/classy.base";i:1;s:22:"bartik/classy.messages";i:2;s:14:"core/normalize";i:3;s:21:"bartik/global-styling";}s:16:"libraries-extend";a:11:{s:18:"core/drupal.dialog";a:1:{i:0;s:20:"bartik/classy.dialog";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:24:"bartik/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:22:"bartik/classy.progress";}s:16:"file/drupal.file";a:1:{i:0;s:18:"bartik/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:13:"bartik/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:13:"bartik/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:40:"bartik/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:27:"bartik/classy.media_library";}s:20:"media_library/widget";a:1:{i:0;s:27:"bartik/classy.media_library";}s:9:"tour/tour";a:1:{i:0;s:11:"bartik/tour";}s:16:"user/drupal.user";a:1:{i:0;s:11:"bartik/user";}}s:20:"ckeditor_stylesheets";a:5:{i:0;s:21:"css/base/elements.css";i:1;s:27:"css/components/captions.css";i:2;s:24:"css/components/table.css";i:3;s:33:"css/components/text-formatted.css";i:4;s:43:"css/classy/components/media-embed-error.css";}s:7:"regions";a:19:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:12:"featured_top";s:12:"Featured top";s:10:"breadcrumb";s:10:"Breadcrumb";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:21:"featured_bottom_first";s:21:"Featured bottom first";s:22:"featured_bottom_second";s:22:"Featured bottom second";s:21:"featured_bottom_third";s:21:"Featured bottom third";s:12:"footer_first";s:12:"Footer first";s:13:"footer_second";s:13:"Footer second";s:12:"footer_third";s:12:"Footer third";s:13:"footer_fourth";s:13:"Footer fourth";s:12:"footer_fifth";s:12:"Footer fifth";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/bartik/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:0;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}}s:5:"claro";O:31:"Drupal\\Core\\Extension\\Extension":13:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:32:"core/themes/claro/claro.info.yml";s:11:"\0*\0filename";s:11:"claro.theme";s:7:"subpath";s:12:"themes/claro";s:6:"origin";s:4:"core";s:4:"info";a:25:{s:4:"name";s:5:"Claro";s:4:"type";s:5:"theme";s:11:"description";s:62:"A clean, accessible, and powerful Drupal administration theme.";s:8:"alt text";s:49:"Screenshot of Claro, Drupal administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:19:"core/drupal.message";i:1;s:14:"core/normalize";i:2;s:20:"claro/global-styling";}s:18:"libraries-override";a:15:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:6:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:28:"css/components/tabledrag.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:1:{s:4:"base";a:1:{s:32:"misc/dialog/off-canvas.theme.css";s:29:"css/base/off-canvas.theme.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";b:0;}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:28:"css/theme/field-ui.admin.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:33:"css/components/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:27:"css/theme/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:33:"css/theme/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:26:"css/state/toolbar.menu.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:33:"css/components/views_ui.admin.css";}s:5:"theme";a:1:{s:28:"css/views_ui.admin.theme.css";s:34:"css/theme/views_ui.admin.theme.css";}}}}s:16:"libraries-extend";a:26:{s:24:"ckeditor/drupal.ckeditor";a:1:{i:0;s:21:"claro/ckeditor-editor";}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{i:0;s:20:"claro/ckeditor-admin";}s:13:"core/ckeditor";a:1:{i:0;s:21:"claro/ckeditor-dialog";}s:20:"core/drupal.collapse";a:1:{i:0;s:19:"claro/details-focus";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"claro/claro.drupal.dialog";i:1;s:21:"claro/claro.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:16:"claro/dropbutton";}s:20:"core/drupal.checkbox";a:1:{i:0;s:14:"claro/checkbox";}s:19:"core/drupal.message";a:1:{i:0;s:14:"claro/messages";}s:20:"core/drupal.progress";a:1:{i:0;s:14:"claro/progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"claro/claro.jquery.ui";}s:21:"core/drupal.tabledrag";a:1:{i:0;s:21:"claro/claro.tabledrag";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"claro/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:10:"claro/file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"claro/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"claro/filter";}s:12:"system/admin";a:1:{i:0;s:18:"claro/system.admin";}s:24:"core/drupal.autocomplete";a:2:{i:0;s:18:"claro/autocomplete";i:1;s:21:"claro/claro.jquery.ui";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"claro/tour-styling";}s:24:"shortcut/drupal.shortcut";a:1:{i:0;s:21:"claro/drupal.shortcut";}s:16:"core/drupal.ajax";a:1:{i:0;s:10:"claro/ajax";}s:16:"user/drupal.user";a:1:{i:0;s:27:"claro/form.password-confirm";}s:18:"views/views.module";a:1:{i:0;s:11:"claro/views";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"claro/classy.media_embed_ckeditor_theme";}s:16:"media_library/ui";a:1:{i:0;s:22:"claro/media_library.ui";}s:18:"media_library/view";a:1:{i:0;s:25:"claro/media_library.theme";}s:20:"media_library/widget";a:1:{i:0;s:25:"claro/media_library.theme";}}s:21:"quickedit_stylesheets";a:1:{i:0;s:28:"css/components/quickedit.css";}s:20:"ckeditor_stylesheets";a:4:{i:0;s:21:"css/base/elements.css";i:1;s:23:"css/base/typography.css";i:2;s:28:"css/theme/ckeditor-frame.css";i:3;s:43:"css/classy/components/media-embed-error.css";}s:21:"ckeditor5-stylesheets";b:0;s:7:"regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/claro/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:0;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}}s:5:"stark";O:31:"Drupal\\Core\\Extension\\Extension":13:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:32:"core/themes/stark/stark.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:12:"themes/stark";s:6:"origin";s:4:"core";s:4:"info";a:20:{s:4:"name";s:5:"Stark";s:4:"type";s:5:"theme";s:11:"description";s:211:"An intentionally plain theme with no styling to demonstrate default Drupal’s HTML and CSS. Learn how to build a custom theme from Stark in the <a href="https://www.drupal.org/docs/8/theming">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:10:"starterkit";b:0;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/stark/screenshot.png";s:3:"php";s:5:"7.3.0";s:9:"libraries";a:0:{}s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:0;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}}s:7:"stable9";O:31:"Drupal\\Core\\Extension\\Extension":14:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:36:"core/themes/stable9/stable9.info.yml";s:11:"\0*\0filename";N;s:7:"subpath";s:14:"themes/stable9";s:6:"origin";s:4:"core";s:4:"info";a:22:{s:4:"name";s:8:"Stable 9";s:4:"type";s:5:"theme";s:11:"description";s:54:"A base theme using Drupal 9.0.0''s core markup and CSS.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:18:"libraries-override";a:59:{s:24:"block/drupal.block.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/block.admin.css";s:25:"css/block/block.admin.css";}}}s:24:"ckeditor/drupal.ckeditor";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:16:"css/ckeditor.css";s:25:"css/ckeditor/ckeditor.css";}}}s:51:"ckeditor/drupal.ckeditor.plugins.drupalimagecaption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:62:"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";s:71:"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";}}}s:41:"ckeditor/drupal.ckeditor.plugins.language";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:42:"css/plugins/language/ckeditor.language.css";s:51:"css/ckeditor/plugins/language/ckeditor.language.css";}}}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/ckeditor.admin.css";s:31:"css/ckeditor/ckeditor.admin.css";}}}s:11:"color/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/color.admin.css";s:25:"css/color/color.admin.css";}}}s:50:"config_translation/drupal.config_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:32:"css/config_translation.admin.css";s:51:"css/config_translation/config_translation.admin.css";}}}s:52:"content_translation/drupal.content_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:33:"css/content_translation.admin.css";s:53:"css/content_translation/content_translation.admin.css";}}}s:37:"content_moderation/content_moderation";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:33:"css/content_moderation.module.css";s:52:"css/content_moderation/content_moderation.module.css";}s:5:"theme";a:1:{s:32:"css/content_moderation.theme.css";s:51:"css/content_moderation/content_moderation.theme.css";}}}s:34:"contextual/drupal.contextual-links";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:25:"css/contextual.module.css";s:36:"css/contextual/contextual.module.css";}s:5:"theme";a:2:{s:24:"css/contextual.theme.css";s:35:"css/contextual/contextual.theme.css";s:30:"css/contextual.icons.theme.css";s:41:"css/contextual/contextual.icons.theme.css";}}}s:36:"contextual/drupal.contextual-toolbar";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:26:"css/contextual.toolbar.css";s:37:"css/contextual/contextual.toolbar.css";}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:2:{s:4:"base";a:4:{s:32:"misc/dialog/off-canvas.reset.css";s:36:"css/core/dialog/off-canvas.reset.css";s:31:"misc/dialog/off-canvas.base.css";s:35:"css/core/dialog/off-canvas.base.css";s:26:"misc/dialog/off-canvas.css";s:30:"css/core/dialog/off-canvas.css";s:32:"misc/dialog/off-canvas.theme.css";s:36:"css/core/dialog/off-canvas.theme.css";}s:9:"component";a:8:{s:33:"misc/dialog/off-canvas.motion.css";s:37:"css/core/dialog/off-canvas.motion.css";s:33:"misc/dialog/off-canvas.button.css";s:37:"css/core/dialog/off-canvas.button.css";s:31:"misc/dialog/off-canvas.form.css";s:35:"css/core/dialog/off-canvas.form.css";s:32:"misc/dialog/off-canvas.table.css";s:36:"css/core/dialog/off-canvas.table.css";s:34:"misc/dialog/off-canvas.details.css";s:38:"css/core/dialog/off-canvas.details.css";s:36:"misc/dialog/off-canvas.tabledrag.css";s:40:"css/core/dialog/off-canvas.tabledrag.css";s:37:"misc/dialog/off-canvas.dropbutton.css";s:41:"css/core/dialog/off-canvas.dropbutton.css";s:33:"misc/dialog/off-canvas.layout.css";s:37:"css/core/dialog/off-canvas.layout.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:34:"css/core/dropbutton/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:26:"css/core/vertical-tabs.css";}}}s:14:"core/normalize";s:17:"stable9/normalize";s:18:"dblog/drupal.dblog";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/dblog.module.css";s:26:"css/dblog/dblog.module.css";}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:31:"css/field_ui/field_ui.admin.css";}}}s:14:"filter/caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:29:"css/filter/filter.caption.css";}}}s:11:"image/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/image.admin.css";s:25:"css/image/image.admin.css";}}}s:30:"language/drupal.language.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/language.admin.css";s:31:"css/language/language.admin.css";}}}s:23:"layout_discovery/onecol";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:25:"layouts/onecol/onecol.css";s:42:"layouts/layout_discovery/onecol/onecol.css";}}}s:30:"layout_discovery/twocol_bricks";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:39:"layouts/twocol_bricks/twocol_bricks.css";s:56:"layouts/layout_discovery/twocol_bricks/twocol_bricks.css";}}}s:23:"layout_discovery/twocol";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:25:"layouts/twocol/twocol.css";s:42:"layouts/layout_discovery/twocol/twocol.css";}}}s:34:"layout_discovery/threecol_25_50_25";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:47:"layouts/threecol_25_50_25/threecol_25_50_25.css";s:64:"layouts/layout_discovery/threecol_25_50_25/threecol_25_50_25.css";}}}s:34:"layout_discovery/threecol_33_34_33";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:47:"layouts/threecol_33_34_33/threecol_33_34_33.css";s:64:"layouts/layout_discovery/threecol_33_34_33/threecol_33_34_33.css";}}}s:36:"layout_builder/drupal.layout_builder";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/layout-builder.css";s:37:"css/layout_builder/layout-builder.css";}}}s:29:"layout_builder/twocol_section";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:41:"layouts/twocol_section/twocol_section.css";s:56:"layouts/layout_builder/twocol_section/twocol_section.css";}}}s:31:"layout_builder/threecol_section";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"layouts/threecol_section/threecol_section.css";s:60:"layouts/layout_builder/threecol_section/threecol_section.css";}}}s:30:"layout_builder/fourcol_section";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:43:"layouts/fourcol_section/fourcol_section.css";s:58:"layouts/layout_builder/fourcol_section/fourcol_section.css";}}}s:26:"locale/drupal.locale.admin";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/locale.admin.css";s:27:"css/locale/locale.admin.css";}}}s:20:"media/filter.caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:28:"css/media/filter.caption.css";}}}s:22:"media/oembed.formatter";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:24:"css/oembed.formatter.css";s:30:"css/media/oembed.formatter.css";}}}s:18:"media/oembed.frame";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/oembed.frame.css";s:26:"css/media/oembed.frame.css";}}}s:33:"menu_ui/drupal.menu_ui.adminforms";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:21:"css/menu_ui.admin.css";s:29:"css/menu_ui/menu_ui.admin.css";}}}s:22:"migrate_drupal_ui/base";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:49:"css/components/upgrade-analysis-report-tables.css";s:67:"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:24:"node/drupal.node.preview";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/node.preview.css";s:25:"css/node/node.preview.css";}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:22:"node/drupal.node.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/node.admin.css";s:23:"css/node/node.admin.css";}}}s:19:"quickedit/quickedit";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:24:"css/quickedit.module.css";s:34:"css/quickedit/quickedit.module.css";}s:5:"theme";a:2:{s:23:"css/quickedit.theme.css";s:33:"css/quickedit/quickedit.theme.css";s:29:"css/quickedit.icons.theme.css";s:39:"css/quickedit/quickedit.icons.theme.css";}}}s:47:"quickedit/quickedit.inPlaceEditor.formattedText";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:38:"css/editors/formattedText.ckeditor.css";s:48:"css/quickedit/editors/formattedText.ckeditor.css";s:39:"css/editors/formattedText.ckeditor5.css";s:49:"css/quickedit/editors/formattedText.ckeditor5.css";}}}s:39:"quickedit/quickedit.inPlaceEditor.image";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:21:"css/editors/image.css";s:31:"css/quickedit/editors/image.css";}s:5:"theme";a:1:{s:27:"css/editors/image.theme.css";s:37:"css/quickedit/editors/image.theme.css";}}}s:51:"quickedit/quickedit.ckeditor5-temporary-work-around";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:50:"css/editors/formattedText/ckeditor5.workaround.css";s:60:"css/quickedit/editors/formattedText/ckeditor5.workaround.css";}}}s:34:"settings_tray/drupal.settings_tray";a:1:{s:3:"css";a:2:{s:9:"component";a:3:{s:28:"css/settings_tray.module.css";s:42:"css/settings_tray/settings_tray.module.css";s:28:"css/settings_tray.motion.css";s:42:"css/settings_tray/settings_tray.motion.css";s:29:"css/settings_tray.toolbar.css";s:43:"css/settings_tray/settings_tray.toolbar.css";}s:5:"theme";a:1:{s:27:"css/settings_tray.theme.css";s:41:"css/settings_tray/settings_tray.theme.css";}}}s:24:"shortcut/drupal.shortcut";a:1:{s:3:"css";a:1:{s:5:"theme";a:2:{s:22:"css/shortcut.theme.css";s:31:"css/shortcut/shortcut.theme.css";s:28:"css/shortcut.icons.theme.css";s:37:"css/shortcut/shortcut.icons.theme.css";}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:22:{s:39:"css/components/ajax-progress.module.css";s:46:"css/system/components/ajax-progress.module.css";s:31:"css/components/align.module.css";s:38:"css/system/components/align.module.css";s:46:"css/components/autocomplete-loading.module.css";s:53:"css/system/components/autocomplete-loading.module.css";s:36:"css/components/fieldgroup.module.css";s:43:"css/system/components/fieldgroup.module.css";s:42:"css/components/container-inline.module.css";s:49:"css/system/components/container-inline.module.css";s:34:"css/components/clearfix.module.css";s:41:"css/system/components/clearfix.module.css";s:33:"css/components/details.module.css";s:40:"css/system/components/details.module.css";s:32:"css/components/hidden.module.css";s:39:"css/system/components/hidden.module.css";s:35:"css/components/item-list.module.css";s:42:"css/system/components/item-list.module.css";s:28:"css/components/js.module.css";s:35:"css/system/components/js.module.css";s:32:"css/components/nowrap.module.css";s:39:"css/system/components/nowrap.module.css";s:44:"css/components/position-container.module.css";s:51:"css/system/components/position-container.module.css";s:34:"css/components/progress.module.css";s:41:"css/system/components/progress.module.css";s:42:"css/components/reset-appearance.module.css";s:49:"css/system/components/reset-appearance.module.css";s:32:"css/components/resize.module.css";s:39:"css/system/components/resize.module.css";s:39:"css/components/sticky-header.module.css";s:46:"css/system/components/sticky-header.module.css";s:40:"css/components/system-status-counter.css";s:47:"css/system/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:55:"css/system/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:59:"css/system/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:42:"css/system/components/tabledrag.module.css";s:35:"css/components/tablesort.module.css";s:42:"css/system/components/tablesort.module.css";s:36:"css/components/tree-child.module.css";s:43:"css/system/components/tree-child.module.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";s:27:"css/system/system.admin.css";}}}s:18:"system/maintenance";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/system.maintenance.css";s:33:"css/system/system.maintenance.css";}}}s:11:"system/diff";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/system.diff.css";s:26:"css/system/system.diff.css";}}}s:24:"taxonomy/drupal.taxonomy";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/taxonomy.theme.css";s:31:"css/taxonomy/taxonomy.theme.css";}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:30:"css/toolbar/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:29:"css/toolbar/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:35:"css/toolbar/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:28:"css/toolbar/toolbar.menu.css";}}}s:17:"tour/tour-styling";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/tour.module.css";s:24:"css/tour/tour.module.css";}}}s:26:"update/drupal.update.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/update.admin.theme.css";s:33:"css/update/update.admin.theme.css";}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";s:24:"css/user/user.module.css";}}}s:22:"user/drupal.user.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/user.admin.css";s:23:"css/user/user.admin.css";}}}s:22:"user/drupal.user.icons";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:24:"css/user.icons.admin.css";s:29:"css/user/user.icons.admin.css";}}}s:18:"views/views.module";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/views.module.css";s:26:"css/views/views.module.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:31:"css/views_ui/views_ui.admin.css";}s:5:"theme";a:2:{s:28:"css/views_ui.admin.theme.css";s:37:"css/views_ui/views_ui.admin.theme.css";s:27:"css/views_ui.contextual.css";s:36:"css/views_ui/views_ui.contextual.css";}}}}s:16:"libraries-extend";a:1:{s:9:"tour/tour";a:1:{i:0;s:12:"stable9/tour";}}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:34:"core/themes/stable9/screenshot.png";s:3:"php";s:5:"7.3.0";s:9:"libraries";a:0:{}s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:0;s:11:"required_by";a:1:{s:16:"starterkit_theme";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:7:"stable9";s:10:"\0*\0project";s:0:"";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:0:{}s:4:"sort";i:0;s:10:"sub_themes";a:1:{s:16:"starterkit_theme";s:16:"starterkit_theme";}s:19:"module_dependencies";a:0:{}}s:16:"starterkit_theme";O:31:"Drupal\\Core\\Extension\\Extension":14:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:54:"core/themes/starterkit_theme/starterkit_theme.info.yml";s:11:"\0*\0filename";s:22:"starterkit_theme.theme";s:7:"subpath";s:23:"themes/starterkit_theme";s:6:"origin";s:4:"core";s:4:"info";a:22:{s:4:"name";s:16:"starterkit_theme";s:4:"type";s:5:"theme";s:10:"base theme";s:7:"stable9";s:6:"hidden";b:1;s:10:"starterkit";b:1;s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:21:"starterkit_theme/base";i:1;s:25:"starterkit_theme/messages";i:2;s:14:"core/normalize";}s:16:"libraries-extend";a:5:{s:16:"user/drupal.user";a:1:{i:0;s:21:"starterkit_theme/user";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:27:"starterkit_theme/dropbutton";}s:18:"core/drupal.dialog";a:1:{i:0;s:23:"starterkit_theme/dialog";}s:16:"file/drupal.file";a:1:{i:0;s:21:"starterkit_theme/file";}s:20:"core/drupal.progress";a:1:{i:0;s:25:"starterkit_theme/progress";}}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:11:"description";s:0:"";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:43:"core/themes/starterkit_theme/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:7:"stable9";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:0;s:11:"required_by";a:0:{}s:8:"requires";a:1:{s:7:"stable9";r:680;}s:4:"sort";i:-1;s:11:"base_themes";a:1:{s:7:"stable9";s:8:"Stable 9";}s:19:"module_dependencies";a:0:{}}s:7:"olivero";O:31:"Drupal\\Core\\Extension\\Extension":15:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:36:"core/themes/olivero/olivero.info.yml";s:11:"\0*\0filename";s:13:"olivero.theme";s:7:"subpath";s:14:"themes/olivero";s:6:"origin";s:4:"core";s:4:"info";a:24:{s:4:"name";s:7:"Olivero";s:4:"type";s:5:"theme";s:11:"description";s:57:"A clean, accessible, and flexible Drupal front-end theme.";s:8:"alt text";s:46:"Screenshot of Olivero, Drupal front-end theme.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:1:{i:0;s:22:"olivero/global-styling";}s:7:"regions";a:13:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:4:"hero";s:17:"Hero (full width)";s:11:"highlighted";s:11:"Highlighted";s:10:"breadcrumb";s:10:"Breadcrumb";s:6:"social";s:10:"Social Bar";s:13:"content_above";s:13:"Content Above";s:7:"content";s:7:"Content";s:7:"sidebar";s:7:"Sidebar";s:13:"content_below";s:13:"Content Below";s:10:"footer_top";s:10:"Footer Top";s:13:"footer_bottom";s:13:"Footer Bottom";}s:18:"libraries-override";a:9:{s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";}}}s:20:"core/drupal.checkbox";b:0;s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:32:"css/components/vertical-tabs.css";}}}s:22:"media/oembed.formatter";b:0;s:29:"layout_builder/twocol_section";s:37:"olivero/layout_builder_twocol_section";s:31:"layout_builder/threecol_section";s:39:"olivero/layout_builder_threecol_section";s:30:"layout_builder/fourcol_section";s:38:"olivero/layout_builder_fourcol_section";}s:16:"libraries-extend";a:13:{s:19:"core/drupal.message";a:1:{i:0;s:22:"olivero/drupal.message";}s:20:"core/drupal.collapse";a:1:{i:0;s:15:"olivero/details";}s:18:"core/drupal.dialog";a:1:{i:0;s:21:"olivero/drupal.dialog";}s:29:"core/drupal.dialog.off_canvas";a:1:{i:0;s:25:"olivero/dialog.off_canvas";}s:20:"core/drupal.progress";a:1:{i:0;s:16:"olivero/progress";}s:23:"layout_discovery/onecol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:30:"layout_discovery/twocol_bricks";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:23:"layout_discovery/twocol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_25_50_25";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_33_34_33";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:24:"node/drupal.node.preview";a:1:{i:0;s:27:"olivero/drupal.node.preview";}s:13:"core/ckeditor";a:1:{i:0;s:18:"olivero/cke-dialog";}s:37:"content_moderation/content_moderation";a:1:{i:0;s:26:"olivero/content_moderation";}}s:20:"ckeditor_stylesheets";a:6:{i:0;s:18:"css/base/fonts.css";i:1;s:17:"css/base/base.css";i:2;s:33:"css/components/embedded-media.css";i:3;s:24:"css/components/table.css";i:4;s:31:"css/components/text-content.css";i:5;s:28:"css/theme/ckeditor-frame.css";}s:21:"ckeditor5-stylesheets";b:0;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:34:"core/themes/olivero/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}s:9:"libraries";a:1:{i:0;s:22:"olivero/global-styling";}s:6:"engine";s:4:"twig";}s:5:"seven";O:31:"Drupal\\Core\\Extension\\Extension":15:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:32:"core/themes/seven/seven.info.yml";s:11:"\0*\0filename";s:11:"seven.theme";s:7:"subpath";s:12:"themes/seven";s:6:"origin";s:4:"core";s:4:"info";a:25:{s:4:"name";s:5:"Seven";s:4:"type";s:5:"theme";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:43:"https://www.drupal.org/node/3223395#s-seven";s:11:"description";s:153:"The default administration theme for Drupal 8 was designed with clean lines, simple blocks, and sans-serif font to emphasize the tools and tasks at hand.";s:8:"alt text";s:77:"Default administration theme for Drupal 8 with simple blocks and clean lines.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:21:"seven/classy.messages";i:1;s:14:"core/normalize";i:2;s:20:"seven/global-styling";}s:18:"libraries-override";a:5:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:3:{s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}}s:16:"libraries-extend";a:15:{s:13:"core/ckeditor";a:2:{i:0;s:21:"seven/ckeditor-dialog";i:1;s:20:"seven/ckeditor-admin";}s:24:"core/drupal.autocomplete";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"seven/seven.drupal.dialog";i:1;s:21:"seven/seven.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:23:"seven/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:21:"seven/classy.progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"seven/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:17:"seven/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"seven/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"seven/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"seven/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:19:"seven/media_library";}s:20:"media_library/widget";a:1:{i:0;s:19:"seven/media_library";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"seven/tour-styling";}s:16:"user/drupal.user";a:1:{i:0;s:10:"seven/user";}}s:21:"quickedit_stylesheets";a:1:{i:0;s:28:"css/components/quickedit.css";}s:7:"regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:20:"ckeditor_stylesheets";a:1:{i:0;s:43:"css/classy/components/media-embed-error.css";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/seven/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:0:{}s:8:"requires";a:0:{}s:4:"sort";i:0;s:19:"module_dependencies";a:0:{}s:9:"libraries";a:3:{i:0;s:21:"seven/classy.messages";i:1;s:14:"core/normalize";i:2;s:20:"seven/global-styling";}s:6:"engine";s:4:"twig";}s:6:"stable";O:31:"Drupal\\Core\\Extension\\Extension":15:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:34:"core/themes/stable/stable.info.yml";s:11:"\0*\0filename";s:12:"stable.theme";s:7:"subpath";s:13:"themes/stable";s:6:"origin";s:4:"core";s:4:"info";a:23:{s:4:"name";s:6:"Stable";s:4:"type";s:5:"theme";s:11:"description";s:62:"A default base theme using Drupal 8.0.0''s core markup and CSS.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:52:"https://www.drupal.org/project/drupal/issues/3308890";s:18:"libraries-override";a:54:{s:24:"block/drupal.block.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/block.admin.css";s:25:"css/block/block.admin.css";}}}s:24:"ckeditor/drupal.ckeditor";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:16:"css/ckeditor.css";s:25:"css/ckeditor/ckeditor.css";}}}s:51:"ckeditor/drupal.ckeditor.plugins.drupalimagecaption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:62:"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";s:71:"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";}}}s:41:"ckeditor/drupal.ckeditor.plugins.language";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:42:"css/plugins/language/ckeditor.language.css";s:51:"css/ckeditor/plugins/language/ckeditor.language.css";}}}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/ckeditor.admin.css";s:31:"css/ckeditor/ckeditor.admin.css";}}}s:11:"color/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/color.admin.css";s:25:"css/color/color.admin.css";}}}s:50:"config_translation/drupal.config_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:32:"css/config_translation.admin.css";s:51:"css/config_translation/config_translation.admin.css";}}}s:52:"content_translation/drupal.content_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:33:"css/content_translation.admin.css";s:53:"css/content_translation/content_translation.admin.css";}}}s:37:"content_moderation/content_moderation";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:33:"css/content_moderation.module.css";s:52:"css/content_moderation/content_moderation.module.css";}s:5:"theme";a:1:{s:32:"css/content_moderation.theme.css";s:51:"css/content_moderation/content_moderation.theme.css";}}}s:34:"contextual/drupal.contextual-links";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:25:"css/contextual.module.css";s:36:"css/contextual/contextual.module.css";}s:5:"theme";a:2:{s:24:"css/contextual.theme.css";s:35:"css/contextual/contextual.theme.css";s:30:"css/contextual.icons.theme.css";s:41:"css/contextual/contextual.icons.theme.css";}}}s:36:"contextual/drupal.contextual-toolbar";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:26:"css/contextual.toolbar.css";s:37:"css/contextual/contextual.toolbar.css";}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:2:{s:4:"base";a:4:{s:32:"misc/dialog/off-canvas.reset.css";s:36:"css/core/dialog/off-canvas.reset.css";s:31:"misc/dialog/off-canvas.base.css";s:35:"css/core/dialog/off-canvas.base.css";s:26:"misc/dialog/off-canvas.css";s:30:"css/core/dialog/off-canvas.css";s:32:"misc/dialog/off-canvas.theme.css";s:36:"css/core/dialog/off-canvas.theme.css";}s:9:"component";a:8:{s:33:"misc/dialog/off-canvas.motion.css";s:37:"css/core/dialog/off-canvas.motion.css";s:33:"misc/dialog/off-canvas.button.css";s:37:"css/core/dialog/off-canvas.button.css";s:31:"misc/dialog/off-canvas.form.css";s:35:"css/core/dialog/off-canvas.form.css";s:32:"misc/dialog/off-canvas.table.css";s:36:"css/core/dialog/off-canvas.table.css";s:34:"misc/dialog/off-canvas.details.css";s:38:"css/core/dialog/off-canvas.details.css";s:36:"misc/dialog/off-canvas.tabledrag.css";s:40:"css/core/dialog/off-canvas.tabledrag.css";s:37:"misc/dialog/off-canvas.dropbutton.css";s:41:"css/core/dialog/off-canvas.dropbutton.css";s:33:"misc/dialog/off-canvas.layout.css";s:37:"css/core/dialog/off-canvas.layout.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:34:"css/core/dropbutton/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:26:"css/core/vertical-tabs.css";}}}s:14:"core/normalize";s:16:"stable/normalize";s:18:"dblog/drupal.dblog";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/dblog.module.css";s:26:"css/dblog/dblog.module.css";}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:31:"css/field_ui/field_ui.admin.css";}}}s:16:"file/drupal.file";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/file.admin.css";s:23:"css/file/file.admin.css";}}}s:26:"filter/drupal.filter.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:20:"filter/drupal.filter";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:14:"filter/caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:29:"css/filter/filter.caption.css";}}}s:11:"image/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/image.admin.css";s:25:"css/image/image.admin.css";}}}s:30:"language/drupal.language.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/language.admin.css";s:31:"css/language/language.admin.css";}}}s:36:"layout_builder/drupal.layout_builder";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/layout-builder.css";s:37:"css/layout_builder/layout-builder.css";}}}s:26:"locale/drupal.locale.admin";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/locale.admin.css";s:27:"css/locale/locale.admin.css";}}}s:20:"media/filter.caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:28:"css/media/filter.caption.css";}}}s:22:"media/oembed.formatter";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:24:"css/oembed.formatter.css";s:30:"css/media/oembed.formatter.css";}}}s:18:"media/oembed.frame";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/oembed.frame.css";s:26:"css/media/oembed.frame.css";}}}s:33:"menu_ui/drupal.menu_ui.adminforms";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:21:"css/menu_ui.admin.css";s:29:"css/menu_ui/menu_ui.admin.css";}}}s:22:"migrate_drupal_ui/base";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:49:"css/components/upgrade-analysis-report-tables.css";s:67:"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:24:"node/drupal.node.preview";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/node.preview.css";s:25:"css/node/node.preview.css";}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:22:"node/drupal.node.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/node.admin.css";s:23:"css/node/node.admin.css";}}}s:19:"quickedit/quickedit";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:24:"css/quickedit.module.css";s:34:"css/quickedit/quickedit.module.css";}s:5:"theme";a:2:{s:23:"css/quickedit.theme.css";s:33:"css/quickedit/quickedit.theme.css";s:29:"css/quickedit.icons.theme.css";s:39:"css/quickedit/quickedit.icons.theme.css";}}}s:47:"quickedit/quickedit.inPlaceEditor.formattedText";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:38:"css/editors/formattedText.ckeditor.css";s:48:"css/quickedit/editors/formattedText.ckeditor.css";s:39:"css/editors/formattedText.ckeditor5.css";s:49:"css/quickedit/editors/formattedText.ckeditor5.css";}}}s:39:"quickedit/quickedit.inPlaceEditor.image";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:21:"css/editors/image.css";s:31:"css/quickedit/editors/image.css";}s:5:"theme";a:1:{s:27:"css/editors/image.theme.css";s:37:"css/quickedit/editors/image.theme.css";}}}s:51:"quickedit/quickedit.ckeditor5-temporary-work-around";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:50:"css/editors/formattedText/ckeditor5.workaround.css";s:60:"css/quickedit/editors/formattedText/ckeditor5.workaround.css";}}}s:34:"settings_tray/drupal.settings_tray";a:1:{s:3:"css";a:2:{s:9:"component";a:3:{s:28:"css/settings_tray.module.css";s:42:"css/settings_tray/settings_tray.module.css";s:28:"css/settings_tray.motion.css";s:42:"css/settings_tray/settings_tray.motion.css";s:29:"css/settings_tray.toolbar.css";s:43:"css/settings_tray/settings_tray.toolbar.css";}s:5:"theme";a:1:{s:27:"css/settings_tray.theme.css";s:41:"css/settings_tray/settings_tray.theme.css";}}}s:24:"shortcut/drupal.shortcut";a:1:{s:3:"css";a:1:{s:5:"theme";a:2:{s:22:"css/shortcut.theme.css";s:31:"css/shortcut/shortcut.theme.css";s:28:"css/shortcut.icons.theme.css";s:37:"css/shortcut/shortcut.icons.theme.css";}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:22:{s:39:"css/components/ajax-progress.module.css";s:46:"css/system/components/ajax-progress.module.css";s:31:"css/components/align.module.css";s:38:"css/system/components/align.module.css";s:46:"css/components/autocomplete-loading.module.css";s:53:"css/system/components/autocomplete-loading.module.css";s:36:"css/components/fieldgroup.module.css";s:43:"css/system/components/fieldgroup.module.css";s:42:"css/components/container-inline.module.css";s:49:"css/system/components/container-inline.module.css";s:34:"css/components/clearfix.module.css";s:41:"css/system/components/clearfix.module.css";s:33:"css/components/details.module.css";s:40:"css/system/components/details.module.css";s:32:"css/components/hidden.module.css";s:39:"css/system/components/hidden.module.css";s:35:"css/components/item-list.module.css";s:42:"css/system/components/item-list.module.css";s:28:"css/components/js.module.css";s:35:"css/system/components/js.module.css";s:32:"css/components/nowrap.module.css";s:39:"css/system/components/nowrap.module.css";s:44:"css/components/position-container.module.css";s:51:"css/system/components/position-container.module.css";s:34:"css/components/progress.module.css";s:41:"css/system/components/progress.module.css";s:42:"css/components/reset-appearance.module.css";s:49:"css/system/components/reset-appearance.module.css";s:32:"css/components/resize.module.css";s:39:"css/system/components/resize.module.css";s:39:"css/components/sticky-header.module.css";s:46:"css/system/components/sticky-header.module.css";s:40:"css/components/system-status-counter.css";s:47:"css/system/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:55:"css/system/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:59:"css/system/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:42:"css/system/components/tabledrag.module.css";s:35:"css/components/tablesort.module.css";s:42:"css/system/components/tablesort.module.css";s:36:"css/components/tree-child.module.css";s:43:"css/system/components/tree-child.module.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";s:27:"css/system/system.admin.css";}}}s:18:"system/maintenance";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/system.maintenance.css";s:33:"css/system/system.maintenance.css";}}}s:11:"system/diff";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/system.diff.css";s:26:"css/system/system.diff.css";}}}s:24:"taxonomy/drupal.taxonomy";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/taxonomy.theme.css";s:31:"css/taxonomy/taxonomy.theme.css";}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:30:"css/toolbar/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:29:"css/toolbar/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:35:"css/toolbar/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:28:"css/toolbar/toolbar.menu.css";}}}s:17:"tour/tour-styling";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/tour.module.css";s:24:"css/tour/tour.module.css";}}}s:26:"update/drupal.update.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/update.admin.theme.css";s:33:"css/update/update.admin.theme.css";}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";s:24:"css/user/user.module.css";}}}s:22:"user/drupal.user.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/user.admin.css";s:23:"css/user/user.admin.css";}}}s:22:"user/drupal.user.icons";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:24:"css/user.icons.admin.css";s:29:"css/user/user.icons.admin.css";}}}s:18:"views/views.module";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/views.module.css";s:26:"css/views/views.module.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:31:"css/views_ui/views_ui.admin.css";}s:5:"theme";a:2:{s:28:"css/views_ui.admin.theme.css";s:37:"css/views_ui/views_ui.admin.theme.css";s:27:"css/views_ui.contextual.css";s:36:"css/views_ui/views_ui.contextual.css";}}}}s:16:"libraries-extend";a:3:{s:16:"core/drupal.ajax";a:1:{i:0;s:18:"stable/drupal.ajax";}s:16:"user/drupal.user";a:1:{i:0;s:18:"stable/drupal.user";}s:9:"tour/tour";a:1:{i:0;s:11:"stable/tour";}}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/stable/screenshot.png";s:3:"php";s:5:"7.3.0";s:9:"libraries";a:0:{}s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:2:{s:6:"classy";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"stable";s:10:"\0*\0project";s:0:"";s:19:"\0*\0constraintString";s:0:"";}s:14:"conferenceplus";r:1326;}s:8:"requires";a:0:{}s:4:"sort";i:0;s:10:"sub_themes";a:2:{s:6:"classy";s:6:"Classy";s:14:"conferenceplus";s:11:"Conference+";}s:19:"module_dependencies";a:0:{}s:6:"engine";s:4:"twig";}s:6:"classy";O:31:"Drupal\\Core\\Extension\\Extension":18:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:34:"core/themes/classy/classy.info.yml";s:11:"\0*\0filename";s:12:"classy.theme";s:7:"subpath";s:13:"themes/classy";s:6:"origin";s:4:"core";s:4:"info";a:24:{s:4:"name";s:6:"Classy";s:4:"type";s:5:"theme";s:10:"base theme";s:6:"stable";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:40:"https://drupal.org/node/3223395#s-classy";s:11:"description";s:176:"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href="https://www.drupal.org/docs/8/theming">Drupal 8 Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:9:"libraries";a:3:{i:0;s:11:"classy/base";i:1;s:15:"classy/messages";i:2;s:14:"core/normalize";}s:16:"libraries-extend";a:8:{s:16:"user/drupal.user";a:1:{i:0;s:11:"classy/user";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:17:"classy/dropbutton";}s:18:"core/drupal.dialog";a:1:{i:0;s:13:"classy/dialog";}s:16:"file/drupal.file";a:1:{i:0;s:11:"classy/file";}s:20:"core/drupal.progress";a:1:{i:0;s:15:"classy/progress";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:33:"classy/media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:20:"classy/media_library";}s:20:"media_library/widget";a:1:{i:0;s:20:"classy/media_library";}}s:20:"ckeditor_stylesheets";a:1:{i:0;s:36:"css/components/media-embed-error.css";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/classy/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:6:"stable";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:1:{s:14:"conferenceplus";O:32:"Drupal\\Core\\Extension\\Dependency":3:{s:7:"\0*\0name";s:6:"classy";s:10:"\0*\0project";s:0:"";s:19:"\0*\0constraintString";s:0:"";}}s:8:"requires";a:1:{s:6:"stable";r:1326;}s:4:"sort";i:-1;s:11:"base_themes";a:1:{s:6:"stable";s:6:"Stable";}s:10:"sub_themes";a:1:{s:14:"conferenceplus";s:11:"Conference+";}s:19:"module_dependencies";a:0:{}s:9:"libraries";a:3:{i:0;s:11:"classy/base";i:1;s:15:"classy/messages";i:2;s:14:"core/normalize";}s:6:"engine";s:4:"twig";s:10:"base_theme";s:6:"stable";}s:14:"conferenceplus";O:31:"Drupal\\Core\\Extension\\Extension":17:{s:7:"\0*\0type";s:5:"theme";s:11:"\0*\0pathname";s:52:"themes/custom/conferenceplus/conferenceplus.info.yml";s:11:"\0*\0filename";s:20:"conferenceplus.theme";s:7:"subpath";s:28:"themes/custom/conferenceplus";s:6:"origin";s:0:"";s:4:"info";a:21:{s:4:"name";s:11:"Conference+";s:4:"type";s:5:"theme";s:10:"base theme";s:6:"classy";s:11:"description";s:86:"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.";s:7:"version";s:5:"5.5.0";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:9:"libraries";a:8:{i:0;s:29:"conferenceplus/global-styling";i:1;s:23:"conferenceplus/messages";i:2;s:22:"conferenceplus/tooltip";i:3;s:28:"conferenceplus/count-to-init";i:4;s:32:"conferenceplus/local-stylesheets";i:5;s:33:"conferenceplus/in-page-navigation";i:6;s:28:"conferenceplus/mt-count-down";i:7;s:30:"conferenceplus/fontawesome-css";}s:18:"libraries-override";a:1:{s:11:"classy/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:29:"css/components/breadcrumb.css";b:0;s:24:"css/components/pager.css";b:0;}}}}s:7:"regions";a:34:{s:8:"slideout";s:8:"Slideout";s:28:"header_top_highlighted_first";s:28:"Header Top Highlighted First";s:29:"header_top_highlighted_second";s:29:"Header Top Highlighted Second";s:16:"header_top_first";s:16:"Header Top First";s:17:"header_top_second";s:17:"Header Top Second";s:12:"header_first";s:12:"Header First";s:6:"header";s:13:"Header Second";s:12:"header_third";s:12:"Header Third";s:6:"banner";s:6:"Banner";s:15:"system_messages";s:15:"System Messages";s:11:"content_top";s:11:"Content Top";s:23:"content_top_highlighted";s:23:"Content Top Highlighted";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar First";s:14:"sidebar_second";s:14:"Sidebar Second";s:20:"content_bottom_first";s:20:"Content Bottom First";s:21:"content_bottom_second";s:21:"Content Bottom Second";s:12:"featured_top";s:12:"Featured Top";s:8:"featured";s:8:"Featured";s:15:"featured_bottom";s:15:"Featured Bottom";s:12:"sub_featured";s:12:"Sub Featured";s:15:"highlighted_top";s:15:"Highlighted Top";s:11:"highlighted";s:11:"Highlighted";s:16:"footer_top_first";s:16:"Footer Top First";s:17:"footer_top_second";s:17:"Footer Top Second";s:12:"footer_first";s:12:"Footer First";s:13:"footer_second";s:13:"Footer Second";s:12:"footer_third";s:12:"Footer Third";s:13:"footer_fourth";s:13:"Footer Fourth";s:12:"footer_fifth";s:12:"Footer Fifth";s:13:"footer_bottom";s:13:"Footer Bottom";s:16:"sub_footer_first";s:15:"Subfooter First";s:6:"footer";s:16:"Subfooter Second";s:24:"hidden_blocks_collection";s:24:"Hidden blocks collection";}s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681464804;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:43:"themes/custom/conferenceplus/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:6:"classy";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"owner";s:36:"core/themes/engines/twig/twig.engine";s:6:"prefix";s:4:"twig";s:6:"status";i:1;s:11:"required_by";a:0:{}s:8:"requires";a:2:{s:6:"classy";r:1413;s:6:"stable";r:1326;}s:4:"sort";i:-2;s:11:"base_themes";a:2:{s:6:"stable";s:6:"Stable";s:6:"classy";s:6:"Classy";}s:19:"module_dependencies";a:0:{}s:9:"libraries";a:8:{i:0;s:29:"conferenceplus/global-styling";i:1;s:23:"conferenceplus/messages";i:2;s:22:"conferenceplus/tooltip";i:3;s:28:"conferenceplus/count-to-init";i:4;s:32:"conferenceplus/local-stylesheets";i:5;s:33:"conferenceplus/in-page-navigation";i:6;s:28:"conferenceplus/mt-count-down";i:7;s:30:"conferenceplus/fontawesome-css";}s:6:"engine";s:4:"twig";s:10:"base_theme";s:6:"classy";}}', -1, '1681653384.765', 1, '', '0');
INSERT INTO `cache_default` VALUES
('core.extension.list.theme_engine', 'a:1:{s:4:"twig";O:31:"Drupal\\Core\\Extension\\Extension":6:{s:7:"\0*\0type";s:12:"theme_engine";s:11:"\0*\0pathname";s:38:"core/themes/engines/twig/twig.info.yml";s:11:"\0*\0filename";s:11:"twig.engine";s:7:"subpath";s:19:"themes/engines/twig";s:6:"origin";s:4:"core";s:4:"info";a:11:{s:4:"type";s:12:"theme_engine";s:4:"name";s:4:"Twig";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:11:"description";s:0:"";s:3:"php";s:5:"7.3.0";}}}', -1, '1681649759.501', 1, '', '0'),
('filter_formats:en', 'a:5:{s:10:"basic_html";O:33:"Drupal\\filter\\Entity\\FilterFormat":22:{s:9:"\0*\0format";s:10:"basic_html";s:7:"\0*\0name";s:10:"Basic HTML";s:9:"\0*\0weight";i:0;s:8:"\0*\0roles";N;s:10:"\0*\0filters";a:5:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:250:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>";s:16:"filter_html_help";b:0;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:7;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:24:"filter_html_image_secure";a:5:{s:2:"id";s:24:"filter_html_image_secure";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}}s:13:"\0*\0originalId";s:10:"basic_html";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"06d3ce9b-1031-4159-89ae-e1425fcfa68a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"P8ddpAIKtawJDi5SzOwCzVnnNYqONewSTJ6Xn0dW_aQ";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:13:"filter_format";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:12:"\0*\0isSyncing";b:0;}s:8:"raw_html";O:33:"Drupal\\filter\\Entity\\FilterFormat":22:{s:9:"\0*\0format";s:8:"raw_html";s:7:"\0*\0name";s:8:"Raw HTML";s:9:"\0*\0weight";i:0;s:8:"\0*\0roles";N;s:10:"\0*\0filters";a:0:{}s:13:"\0*\0originalId";s:8:"raw_html";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cf80cad5-4edb-46a3-9062-a97d7593445f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:13:"filter_format";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:0:{}s:12:"\0*\0isSyncing";b:0;}s:15:"restricted_html";O:33:"Drupal\\filter\\Entity\\FilterFormat":22:{s:9:"\0*\0format";s:15:"restricted_html";s:7:"\0*\0name";s:15:"Restricted HTML";s:9:"\0*\0weight";i:0;s:8:"\0*\0roles";N;s:10:"\0*\0filters";a:3:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:149:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}}s:13:"\0*\0originalId";s:15:"restricted_html";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"40d93674-0b33-45e3-846f-c5cf3a5d4005";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"KUjJ8Ti_ZJSlhGM88E_mhJP-8mmQRNUB6RFof615Kt0";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:13:"filter_format";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:0:{}s:12:"\0*\0isSyncing";b:0;}s:9:"full_html";O:33:"Drupal\\filter\\Entity\\FilterFormat":22:{s:9:"\0*\0format";s:9:"full_html";s:7:"\0*\0name";s:9:"Full HTML";s:9:"\0*\0weight";i:1;s:8:"\0*\0roles";N;s:10:"\0*\0filters";a:5:{s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:20:"filter_htmlcorrector";a:5:{s:2:"id";s:20:"filter_htmlcorrector";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:10;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:0;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:324:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <s> <sup> <sub> <img src alt data-entity-type data-entity-uuid data-align data-caption> <table> <caption> <tbody> <thead> <tfoot> <th> <td> <tr> <hr> <p> <h1> <pre> <i class>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}}s:13:"\0*\0originalId";s:9:"full_html";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"45916f93-0151-4ad1-bbe9-9271b1d33790";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"hewPmBgni9jlDK_IjLxUx1HsTbinK-hdl0lOwjbteIY";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:13:"filter_format";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:12:"\0*\0isSyncing";b:0;}s:10:"plain_text";O:33:"Drupal\\filter\\Entity\\FilterFormat":22:{s:9:"\0*\0format";s:10:"plain_text";s:7:"\0*\0name";s:10:"Plain text";s:9:"\0*\0weight";i:10;s:8:"\0*\0roles";N;s:10:"\0*\0filters";a:3:{s:18:"filter_html_escape";a:5:{s:2:"id";s:18:"filter_html_escape";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}}s:13:"\0*\0originalId";s:10:"plain_text";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cf4d1199-6883-4249-a8e5-f11d18bab72a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"NIKBt6kw_uPhNI0qtR2DnRf7mSOgAQdx7Q94SKMjXbQ";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:13:"filter_format";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:0:{}s:12:"\0*\0isSyncing";b:0;}}', -1, '1681653975.608', 1, 'config:filter_format_list', '0'),
('system.module.info', 'a:154:{s:6:"action";a:12:{s:4:"name";s:7:"Actions";s:4:"type";s:6:"module";s:11:"description";s:67:"Allows configuration of tasks to be executed in response to events.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:24:"entity.action.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:10:"aggregator";a:13:{s:4:"name";s:10:"Aggregator";s:4:"type";s:6:"module";s:11:"description";s:89:"Gathers and displays syndicated content (RSS, RDF, and Atom feeds) from external sources.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:48:"https://www.drupal.org/node/3223395#s-aggregator";s:9:"configure";s:25:"aggregator.admin_settings";s:12:"dependencies";a:2:{i:0;s:11:"drupal:file";i:1;s:14:"drupal:options";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:14:"automated_cron";a:15:{s:4:"name";s:14:"Automated Cron";s:4:"type";s:6:"module";s:11:"description";s:94:"Provides an automated way to run cron jobs, by executing them at the end of a server response.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:20:"system.cron_settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649363;s:9:"datestamp";i:0;}s:3:"ban";a:12:{s:4:"name";s:3:"Ban";s:4:"type";s:6:"module";s:11:"description";s:63:"Allows administrators to ban visits from specific IP addresses.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:14:"ban.admin_page";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:10:"basic_auth";a:11:{s:4:"name";s:25:"HTTP Basic Authentication";s:4:"type";s:6:"module";s:11:"description";s:47:"Supplies an HTTP Basic authentication provider.";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:8:"big_pipe";a:11:{s:4:"name";s:7:"BigPipe";s:4:"type";s:6:"module";s:11:"description";s:86:"Sends pages using the BigPipe technique that allows browsers to show them much faster.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:5:"block";a:15:{s:4:"name";s:5:"Block";s:4:"type";s:6:"module";s:11:"description";s:140:"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:19:"block.admin_display";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649363;s:9:"datestamp";i:0;}s:13:"block_content";a:15:{s:4:"name";s:12:"Custom Block";s:4:"type";s:6:"module";s:11:"description";s:53:"Allows the creation of custom blocks and block types.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:12:"drupal:block";i:1;s:11:"drupal:text";i:2;s:11:"drupal:user";}s:9:"configure";s:31:"entity.block_content.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649363;s:9:"datestamp";i:0;}s:4:"book";a:12:{s:4:"name";s:4:"Book";s:4:"type";s:6:"module";s:11:"description";s:66:"Allows users to create and organize related content in an outline.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:node";}s:9:"configure";s:13:"book.settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:10:"breakpoint";a:14:{s:4:"name";s:10:"Breakpoint";s:4:"type";s:6:"module";s:11:"description";s:65:"Manages breakpoints and breakpoint groups for responsive designs.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649367;s:9:"datestamp";i:0;}s:8:"ckeditor";a:15:{s:4:"name";s:8:"CKEditor";s:4:"type";s:6:"module";s:11:"description";s:52:"WYSIWYG editing for rich text fields using CKEditor.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:46:"https://www.drupal.org/node/3223395#s-ckeditor";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:13:"drupal:editor";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649367;s:9:"datestamp";i:0;}s:9:"ckeditor5";a:11:{s:4:"name";s:10:"CKEditor 5";s:4:"type";s:6:"module";s:11:"description";s:54:"WYSIWYG editing for rich text fields using CKEditor 5.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:12:"dependencies";a:1:{i:0;s:13:"drupal:editor";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:5:"color";a:15:{s:4:"name";s:5:"Color";s:4:"type";s:6:"module";s:11:"description";s:61:"Allows users to change the color scheme of compatible themes.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:43:"https://www.drupal.org/node/3223395#s-color";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649367;s:9:"datestamp";i:0;}s:7:"comment";a:15:{s:4:"name";s:7:"Comment";s:4:"type";s:6:"module";s:11:"description";s:35:"Allows users to comment on content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:text";}s:9:"configure";s:13:"comment.admin";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649371;s:9:"datestamp";i:0;}s:6:"config";a:15:{s:4:"name";s:21:"Configuration Manager";s:4:"type";s:6:"module";s:11:"description";s:65:"Allows administrators to import and export configuration changes.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:11:"config.sync";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649371;s:9:"datestamp";i:0;}s:18:"config_translation";a:12:{s:4:"name";s:25:"Configuration Translation";s:4:"type";s:6:"module";s:11:"description";s:45:"Allows users to translate configuration text.";s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"config_translation.mapper_list";s:12:"dependencies";a:1:{i:0;s:13:"drupal:locale";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:7:"contact";a:15:{s:4:"name";s:7:"Contact";s:4:"type";s:6:"module";s:11:"description";s:71:"Provides site-wide contact forms and forms to contact individual users.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"entity.contact_form.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649371;s:9:"datestamp";i:0;}s:18:"content_moderation";a:12:{s:4:"name";s:18:"Content Moderation";s:4:"type";s:6:"module";s:11:"description";s:39:"Provides moderation states for content.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:9:"configure";s:26:"entity.workflow.collection";s:12:"dependencies";a:1:{i:0;s:16:"drupal:workflows";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:19:"content_translation";a:12:{s:4:"name";s:19:"Content Translation";s:4:"type";s:6:"module";s:11:"description";s:34:"Allows users to translate content.";s:12:"dependencies";a:1:{i:0;s:15:"drupal:language";}s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"language.content_settings_page";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:10:"contextual";a:14:{s:4:"name";s:16:"Contextual Links";s:4:"type";s:6:"module";s:11:"description";s:76:"Provides contextual links to directly access tasks related to page elements.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649375;s:9:"datestamp";i:0;}s:8:"datetime";a:14:{s:4:"name";s:8:"Datetime";s:4:"type";s:6:"module";s:11:"description";s:57:"Defines datetime form elements and a datetime field type.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649375;s:9:"datestamp";i:0;}s:14:"datetime_range";a:11:{s:4:"name";s:14:"Datetime Range";s:4:"type";s:6:"module";s:11:"description";s:40:"Provides the ability to store end dates.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:15:"drupal:datetime";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:5:"dblog";a:15:{s:4:"name";s:16:"Database Logging";s:4:"type";s:6:"module";s:11:"description";s:35:"Logs system events in the database.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:23:"system.logging_settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649375;s:9:"datestamp";i:0;}s:18:"dynamic_page_cache";a:14:{s:4:"name";s:27:"Internal Dynamic Page Cache";s:4:"type";s:6:"module";s:11:"description";s:66:"Caches pages, including those with dynamic content, for all users.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649375;s:9:"datestamp";i:0;}s:6:"editor";a:15:{s:4:"name";s:11:"Text Editor";s:4:"type";s:6:"module";s:11:"description";s:99:"Provides a means to associate text formats with text editor libraries such as WYSIWYGs or toolbars.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:13:"drupal:filter";i:1;s:11:"drupal:file";}s:9:"configure";s:21:"filter.admin_overview";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649375;s:9:"datestamp";i:0;}s:16:"entity_reference";a:13:{s:4:"name";s:16:"Entity Reference";s:4:"type";s:6:"module";s:11:"description";s:55:"Obsolete. All the functionality has been moved to Core.";s:9:"lifecycle";s:8:"obsolete";s:14:"lifecycle_link";s:125:"https://www.drupal.org/about/core/policies/core-change-policies/deprecated-and-obsolete-modules-and-themes#s-entity-reference";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:5:"field";a:14:{s:4:"name";s:5:"Field";s:4:"type";s:6:"module";s:11:"description";s:57:"Field API to add fields to entities like nodes and users.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649375;s:9:"datestamp";i:0;}s:12:"field_layout";a:11:{s:4:"name";s:12:"Field Layout";s:4:"type";s:6:"module";s:11:"description";s:94:"Allows users to configure the display and form display by arranging fields in several columns.";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:12:"experimental";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:23:"drupal:layout_discovery";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:8:"field_ui";a:14:{s:4:"name";s:8:"Field UI";s:4:"type";s:6:"module";s:11:"description";s:47:"Provides a user interface for the Field module.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649379;s:9:"datestamp";i:0;}s:4:"file";a:14:{s:4:"name";s:4:"File";s:4:"type";s:6:"module";s:11:"description";s:31:"Defines a field type for files.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649379;s:9:"datestamp";i:0;}s:6:"filter";a:15:{s:4:"name";s:6:"Filter";s:4:"type";s:6:"module";s:11:"description";s:43:"Filters content in preparation for display.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:21:"filter.admin_overview";s:12:"dependencies";a:1:{i:0;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649379;s:9:"datestamp";i:0;}s:5:"forum";a:12:{s:4:"name";s:5:"Forum";s:4:"type";s:6:"module";s:11:"description";s:27:"Provides discussion forums.";s:12:"dependencies";a:5:{i:0;s:11:"drupal:node";i:1;s:14:"drupal:history";i:2;s:15:"drupal:taxonomy";i:3;s:14:"drupal:comment";i:4;s:14:"drupal:options";}s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:14:"forum.overview";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:3:"hal";a:12:{s:4:"name";s:3:"HAL";s:4:"type";s:6:"module";s:11:"description";s:57:"Serializes entities using Hypertext Application Language.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:41:"https://www.drupal.org/node/3223395#s-hal";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:20:"drupal:serialization";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:4:"help";a:14:{s:4:"name";s:4:"Help";s:4:"type";s:6:"module";s:11:"description";s:35:"Manages the display of online help.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649383;s:9:"datestamp";i:0;}s:11:"help_topics";a:11:{s:4:"name";s:11:"Help Topics";s:4:"type";s:6:"module";s:11:"description";s:52:"Displays help topics provided by themes and modules.";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:12:"experimental";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:help";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:7:"history";a:14:{s:4:"name";s:7:"History";s:4:"type";s:6:"module";s:11:"description";s:42:"Records which user has read which content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:node";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649383;s:9:"datestamp";i:0;}s:5:"image";a:15:{s:4:"name";s:5:"Image";s:4:"type";s:6:"module";s:11:"description";s:78:"Defines a field type for image media and provides display configuration tools.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:file";}s:9:"configure";s:29:"entity.image_style.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649383;s:9:"datestamp";i:0;}s:18:"inline_form_errors";a:11:{s:4:"type";s:6:"module";s:4:"name";s:18:"Inline Form Errors";s:11:"description";s:88:"Places error messages adjacent to form inputs, for improved usability and accessibility.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:7:"jsonapi";a:12:{s:4:"name";s:8:"JSON:API";s:4:"type";s:6:"module";s:11:"description";s:63:"Exposes entities as a JSON:API-specification-compliant web API.";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:9:"configure";s:16:"jsonapi.settings";s:12:"dependencies";a:1:{i:0;s:20:"drupal:serialization";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:8:"language";a:12:{s:4:"name";s:8:"Language";s:4:"type";s:6:"module";s:11:"description";s:46:"Allows users to configure available languages.";s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:9:"configure";s:39:"entity.configurable_language.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:14:"layout_builder";a:11:{s:4:"name";s:14:"Layout Builder";s:4:"type";s:6:"module";s:11:"description";s:82:"Allows users to add and arrange blocks and content fields directly on the content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:23:"drupal:layout_discovery";i:1;s:17:"drupal:contextual";i:2;s:12:"drupal:block";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:16:"layout_discovery";a:11:{s:4:"name";s:16:"Layout Discovery";s:4:"type";s:6:"module";s:11:"description";s:57:"Provides a way for modules or themes to register layouts.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:4:"link";a:14:{s:4:"name";s:4:"Link";s:4:"type";s:6:"module";s:11:"description";s:34:"Provides a simple link field type.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649387;s:9:"datestamp";i:0;}s:6:"locale";a:12:{s:4:"name";s:21:"Interface Translation";s:4:"type";s:6:"module";s:11:"description";s:39:"Translates the built-in user interface.";s:9:"configure";s:21:"locale.translate_page";s:7:"package";s:12:"Multilingual";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:15:"drupal:language";i:1;s:11:"drupal:file";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:5:"media";a:12:{s:4:"name";s:5:"Media";s:11:"description";s:64:"Manages the creation, configuration, and display of media items.";s:4:"type";s:6:"module";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:11:"drupal:file";i:1;s:12:"drupal:image";i:2;s:11:"drupal:user";}s:9:"configure";s:14:"media.settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:13:"media_library";a:12:{s:4:"name";s:13:"Media Library";s:4:"type";s:6:"module";s:11:"description";s:98:"Enhances the media list with additional features to more easily find and use existing media items.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:22:"media_library.settings";s:12:"dependencies";a:3:{i:0;s:12:"drupal:media";i:1;s:12:"drupal:views";i:2;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:17:"menu_link_content";a:14:{s:4:"name";s:17:"Custom Menu Links";s:4:"type";s:6:"module";s:11:"description";s:34:"Allows users to create menu links.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:11:"drupal:link";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649391;s:9:"datestamp";i:0;}s:7:"menu_ui";a:15:{s:4:"name";s:7:"Menu UI";s:4:"type";s:6:"module";s:11:"description";s:60:"Allows administrators to customize the site navigation menu.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:22:"entity.menu.collection";s:12:"dependencies";a:1:{i:0;s:24:"drupal:menu_link_content";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649391;s:9:"datestamp";i:0;}s:7:"migrate";a:11:{s:4:"name";s:7:"Migrate";s:4:"type";s:6:"module";s:11:"description";s:18:"Handles migrations";s:7:"package";s:9:"Migration";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:14:"migrate_drupal";a:11:{s:4:"name";s:14:"Migrate Drupal";s:4:"type";s:6:"module";s:11:"description";s:47:"Contains migrations from older Drupal versions.";s:7:"package";s:9:"Migration";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:14:"drupal:migrate";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:27:"migrate_drupal_multilingual";a:13:{s:4:"name";s:27:"Migrate Drupal Multilingual";s:4:"type";s:6:"module";s:11:"description";s:51:"Provides a requirement for multilingual migrations.";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:8:"obsolete";s:14:"lifecycle_link";s:35:"https://www.drupal.org/node/3080264";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:21:"drupal:migrate_drupal";}s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:17:"migrate_drupal_ui";a:12:{s:4:"name";s:17:"Migrate Drupal UI";s:4:"type";s:6:"module";s:11:"description";s:67:"Provides a user interface for migrating from older Drupal versions.";s:7:"package";s:9:"Migration";s:7:"version";s:5:"9.5.7";s:9:"configure";s:25:"migrate_drupal_ui.upgrade";s:12:"dependencies";a:3:{i:0;s:14:"drupal:migrate";i:1;s:21:"drupal:migrate_drupal";i:2;s:12:"drupal:dblog";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:5:"mysql";a:11:{s:4:"name";s:5:"MySQL";s:4:"type";s:6:"module";s:11:"description";s:26:"Database driver for MySQL.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:4:"node";a:15:{s:4:"name";s:4:"Node";s:4:"type";s:6:"module";s:11:"description";s:66:"Allows content to be submitted to the site and displayed on pages.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:27:"entity.node_type.collection";s:12:"dependencies";a:1:{i:0;s:11:"drupal:text";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649399;s:9:"datestamp";i:0;}s:7:"options";a:14:{s:4:"name";s:7:"Options";s:4:"type";s:6:"module";s:11:"description";s:82:"Defines selection, check box and radio button widgets for text and numeric fields.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:12:"drupal:field";i:1;s:11:"drupal:text";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649399;s:9:"datestamp";i:0;}s:10:"page_cache";a:14:{s:4:"name";s:19:"Internal Page Cache";s:4:"type";s:6:"module";s:11:"description";s:91:"Caches pages for anonymous users and can be used when external page cache is not available.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649399;s:9:"datestamp";i:0;}s:4:"path";a:15:{s:4:"name";s:4:"Path";s:4:"type";s:6:"module";s:11:"description";s:28:"Allows users to rename URLs.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:28:"entity.path_alias.collection";s:12:"dependencies";a:1:{i:0;s:17:"drupal:path_alias";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649399;s:9:"datestamp";i:0;}s:10:"path_alias";a:16:{s:4:"name";s:10:"Path alias";s:4:"type";s:6:"module";s:11:"description";s:41:"Provides the API allowing to rename URLs.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:8:"required";b:1;s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649399;s:9:"datestamp";i:0;}s:5:"pgsql";a:11:{s:4:"name";s:10:"PostgreSQL";s:4:"type";s:6:"module";s:11:"description";s:31:"Database driver for PostgreSQL.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:9:"quickedit";a:15:{s:4:"name";s:10:"Quick Edit";s:4:"type";s:6:"module";s:11:"description";s:25:"In-place content editing.";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:48:"https://www.drupal.org/node/3223395#s-quick-edit";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:17:"drupal:contextual";i:1;s:12:"drupal:field";i:2;s:13:"drupal:filter";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649399;s:9:"datestamp";i:0;}s:3:"rdf";a:15:{s:4:"name";s:3:"RDF";s:4:"type";s:6:"module";s:11:"description";s:148:"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.";s:7:"package";s:4:"Core";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:100:"https://www.drupal.org/docs/core-modules-and-themes/deprecated-and-obsolete-modules-and-themes#s-rdf";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649403;s:9:"datestamp";i:0;}s:16:"responsive_image";a:12:{s:4:"name";s:16:"Responsive Image";s:4:"type";s:6:"module";s:11:"description";s:108:"Provides an image formatter and breakpoint mappings to output responsive images using the HTML5 picture tag.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:17:"drupal:breakpoint";i:1;s:12:"drupal:image";}s:9:"configure";s:40:"entity.responsive_image_style.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:4:"rest";a:11:{s:4:"name";s:20:"RESTful Web Services";s:4:"type";s:6:"module";s:11:"description";s:55:"Exposes entities and other resources as RESTful web API";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:20:"drupal:serialization";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"search";a:15:{s:4:"name";s:6:"Search";s:4:"type";s:6:"module";s:11:"description";s:79:"Allows users to create search pages based on plugins provided by other modules.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:29:"entity.search_page.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649403;s:9:"datestamp";i:0;}s:13:"serialization";a:11:{s:4:"name";s:13:"Serialization";s:4:"type";s:6:"module";s:11:"description";s:81:"Provides a service for (de)serializing data to/from formats such as JSON and XML.";s:7:"package";s:12:"Web services";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:13:"settings_tray";a:11:{s:4:"name";s:13:"Settings Tray";s:4:"type";s:6:"module";s:11:"description";s:78:"Allows users to directly edit the configuration of blocks on the current page.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:3:{i:0;s:12:"drupal:block";i:1;s:14:"drupal:toolbar";i:2;s:17:"drupal:contextual";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:8:"shortcut";a:15:{s:4:"name";s:8:"Shortcut";s:4:"type";s:6:"module";s:11:"description";s:60:"Allows users to manage customizable lists of shortcut links.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:30:"entity.shortcut_set.collection";s:12:"dependencies";a:1:{i:0;s:11:"drupal:link";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649403;s:9:"datestamp";i:0;}s:10:"simpletest";a:13:{s:4:"name";s:7:"Testing";s:4:"type";s:6:"module";s:11:"description";s:48:"Obsolete. SimpleTest has been removed from core.";s:9:"lifecycle";s:8:"obsolete";s:14:"lifecycle_link";s:119:"https://www.drupal.org/about/core/policies/core-change-policies/deprecated-and-obsolete-modules-and-themes#s-simpletest";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"sqlite";a:11:{s:4:"name";s:6:"SQLite";s:4:"type";s:6:"module";s:11:"description";s:27:"Database driver for SQLite.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:10:"statistics";a:15:{s:4:"name";s:10:"Statistics";s:4:"type";s:6:"module";s:11:"description";s:38:"Logs content statistics for your site.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:19:"statistics.settings";s:12:"dependencies";a:1:{i:0;s:11:"drupal:node";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649407;s:9:"datestamp";i:0;}s:6:"syslog";a:12:{s:4:"name";s:6:"Syslog";s:4:"type";s:6:"module";s:11:"description";s:41:"Logs and records system events to syslog.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:23:"system.logging_settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:6:"system";a:16:{s:4:"name";s:6:"System";s:4:"type";s:6:"module";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:8:"required";b:1;s:9:"configure";s:26:"system.admin_config_system";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649407;s:9:"datestamp";i:0;}s:8:"taxonomy";a:15:{s:4:"name";s:8:"Taxonomy";s:4:"type";s:6:"module";s:11:"description";s:38:"Enables the categorization of content.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:11:"drupal:node";i:1;s:11:"drupal:text";}s:9:"configure";s:37:"entity.taxonomy_vocabulary.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649415;s:9:"datestamp";i:0;}s:9:"telephone";a:11:{s:4:"name";s:9:"Telephone";s:4:"type";s:6:"module";s:11:"description";s:43:"Defines a field type for telephone numbers.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:4:"text";a:14:{s:4:"name";s:4:"Text";s:4:"type";s:6:"module";s:11:"description";s:32:"Defines simple text field types.";s:7:"package";s:11:"Field types";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:2:{i:0;s:12:"drupal:field";i:1;s:13:"drupal:filter";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649419;s:9:"datestamp";i:0;}s:7:"toolbar";a:14:{s:4:"name";s:7:"Toolbar";s:4:"type";s:6:"module";s:11:"description";s:99:"Provides a toolbar that shows the top-level administration menu links and links from other modules.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:17:"drupal:breakpoint";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649419;s:9:"datestamp";i:0;}s:4:"tour";a:14:{s:4:"name";s:4:"Tour";s:4:"type";s:6:"module";s:11:"description";s:44:"Displays guided tours of the site interface.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649419;s:9:"datestamp";i:0;}s:7:"tracker";a:11:{s:4:"name";s:16:"Activity Tracker";s:4:"type";s:6:"module";s:11:"description";s:45:"Enables tracking of recent content for users.";s:12:"dependencies";a:2:{i:0;s:11:"drupal:node";i:1;s:14:"drupal:comment";}s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:6:"update";a:15:{s:4:"name";s:14:"Update Manager";s:4:"type";s:6:"module";s:11:"description";s:104:"Checks for available updates, and can securely install or update modules and themes via a web interface.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:9:"configure";s:15:"update.settings";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649419;s:9:"datestamp";i:0;}s:4:"user";a:16:{s:4:"name";s:4:"User";s:4:"type";s:6:"module";s:11:"description";s:47:"Manages the user registration and login system.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:8:"required";b:1;s:9:"configure";s:16:"user.admin_index";s:12:"dependencies";a:1:{i:0;s:13:"drupal:system";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649423;s:9:"datestamp";i:0;}s:5:"views";a:14:{s:4:"name";s:5:"Views";s:4:"type";s:6:"module";s:11:"description";s:55:"Create customized lists and queries from your database.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:12:"dependencies";a:1:{i:0;s:13:"drupal:filter";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649427;s:9:"datestamp";i:0;}s:8:"views_ui";a:15:{s:4:"name";s:8:"Views UI";s:4:"type";s:6:"module";s:11:"description";s:58:"Provides a user interface for creating and managing views.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"configure";s:22:"entity.view.collection";s:12:"dependencies";a:1:{i:0;s:12:"drupal:views";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649427;s:9:"datestamp";i:0;}s:9:"workflows";a:12:{s:4:"name";s:9:"Workflows";s:4:"type";s:6:"module";s:11:"description";s:151:"Provides an interface to create workflows with transitions between different states (for example publication or user status) provided by other modules.";s:7:"version";s:5:"9.5.7";s:7:"package";s:4:"Core";s:9:"configure";s:26:"entity.workflow.collection";s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:10:"workspaces";a:12:{s:4:"name";s:10:"Workspaces";s:4:"type";s:6:"module";s:11:"description";s:99:"Allows users to stage content or preview a full site by using multiple workspaces on a single site.";s:7:"version";s:5:"9.5.7";s:7:"package";s:19:"Core (Experimental)";s:9:"lifecycle";s:12:"experimental";s:9:"configure";s:27:"entity.workspace.collection";s:12:"dependencies";a:1:{i:0;s:11:"drupal:user";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:3:"php";s:5:"7.3.0";}s:22:"better_exposed_filters";a:14:{s:4:"name";s:22:"Better Exposed Filters";s:11:"description";s:95:"Provides advanced options (e.g. links, checkboxes, or other widgets) to exposed Views elements.";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:4:"type";s:6:"module";s:7:"package";s:5:"Views";s:12:"dependencies";a:5:{i:0;s:12:"drupal:views";i:1;s:19:"jquery_ui:jquery_ui";i:2;s:33:"jquery_ui_slider:jquery_ui_slider";i:3;s:43:"jquery_ui_touch_punch:jquery_ui_touch_punch";i:4;s:41:"jquery_ui_datepicker:jquery_ui_datepicker";}s:7:"version";s:7:"8.x-5.2";s:7:"project";s:22:"better_exposed_filters";s:9:"datestamp";i:1657172289;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648113;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681648113;}s:9:"jquery_ui";a:13:{s:4:"name";s:9:"jQuery UI";s:4:"type";s:6:"module";s:11:"description";s:27:"Provides jQuery UI library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:7:"version";s:7:"8.x-1.6";s:7:"project";s:9:"jquery_ui";s:9:"datestamp";i:1668521201;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1668521201;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";}s:20:"jquery_ui_datepicker";a:13:{s:4:"name";s:20:"jQuery UI Datepicker";s:4:"type";s:6:"module";s:11:"description";s:38:"Provides jQuery UI Datepicker library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:19:"jquery_ui:jquery_ui";}s:7:"version";s:5:"2.0.0";s:7:"project";s:20:"jquery_ui_datepicker";s:9:"datestamp";i:1670871497;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1670871497;s:3:"php";s:5:"7.3.0";}s:16:"jquery_ui_slider";a:13:{s:4:"name";s:16:"jQuery UI Slider";s:4:"type";s:6:"module";s:11:"description";s:34:"Provides jQuery UI Slider library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:19:"jquery_ui:jquery_ui";}s:7:"version";s:5:"2.0.0";s:7:"project";s:16:"jquery_ui_slider";s:9:"datestamp";i:1670871573;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1670871573;s:3:"php";s:5:"7.3.0";}s:21:"jquery_ui_touch_punch";a:13:{s:4:"name";s:21:"jQuery UI Touch Punch";s:4:"type";s:6:"module";s:11:"description";s:39:"Provides jQuery UI Touch Punch library.";s:7:"package";s:9:"jQuery UI";s:24:"core_version_requirement";s:15:"^8 || ^9 || ^10";s:12:"dependencies";a:1:{i:0;s:19:"jquery_ui:jquery_ui";}s:7:"version";s:5:"1.1.0";s:7:"project";s:21:"jquery_ui_touch_punch";s:9:"datestamp";i:1662744609;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1662744609;s:3:"php";s:5:"7.3.0";}s:16:"mt_cookieconsent";a:11:{s:4:"name";s:25:"MtT Cookie Consent Module";s:11:"description";s:58:"Drupal8 module. Include Cookie Consent Javascript library.";s:7:"package";s:6:"Custom";s:4:"type";s:6:"module";s:4:"core";s:3:"8.x";s:7:"version";s:14:"8.x-1.0-alpha1";s:12:"dependencies";a:3:{i:0;s:17:"datetime:datetime";i:1;s:15:"options:options";i:2;s:17:"field_ui:field_ui";}s:17:"core_incompatible";b:1;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681464803;s:3:"php";s:5:"7.3.0";}s:12:"mt_countdown";a:13:{s:4:"name";s:10:"Count Down";s:11:"description";s:132:"Allows the creation of a custom block with a countdown function for announcements, such as time-limited offers or upcoming releases.";s:7:"package";s:16:"More than Themes";s:4:"type";s:6:"module";s:4:"core";s:3:"8.x";s:7:"version";s:13:"8.x-1.0-beta3";s:9:"configure";s:21:"mt_countdown.settings";s:12:"dependencies";a:4:{i:0;s:17:"datetime:datetime";i:1;s:15:"options:options";i:2;s:17:"field_ui:field_ui";i:3;s:5:"block";}s:17:"core_incompatible";b:1;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681464803;s:3:"php";s:5:"7.3.0";s:7:"project";s:0:"";}s:26:"entity_reference_revisions";a:14:{s:4:"name";s:26:"Entity Reference Revisions";s:4:"type";s:6:"module";s:11:"description";s:57:"Adds a Entity Reference field type with revision support.";s:24:"core_version_requirement";s:9:"^9 || ^10";s:7:"package";s:11:"Field types";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:7:"version";s:8:"8.x-1.10";s:7:"project";s:26:"entity_reference_revisions";s:9:"datestamp";i:1660664714;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652117;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681652117;}s:19:"field_group_migrate";a:13:{s:4:"name";s:19:"Field Group Migrate";s:4:"type";s:6:"module";s:11:"description";s:62:"Provides the ability to migrate field groups from D6/D7 to D8.";s:7:"package";s:9:"Migration";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:23:"field_group:field_group";}s:7:"version";s:7:"8.x-3.4";s:7:"project";s:11:"field_group";s:9:"datestamp";i:1667241980;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652117;s:3:"php";s:5:"7.3.0";}s:11:"field_group";a:14:{s:4:"name";s:11:"Field Group";s:4:"type";s:6:"module";s:11:"description";s:67:"Provides the ability to group your fields on both form and display.";s:7:"package";s:6:"Fields";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:1:{i:0;s:12:"drupal:field";}s:7:"version";s:7:"8.x-3.4";s:7:"project";s:11:"field_group";s:9:"datestamp";i:1667241980;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681652118;}s:11:"fontawesome";a:15:{s:4:"name";s:12:"Font Awesome";s:4:"type";s:6:"module";s:11:"description";s:49:"The most popular icon set and toolkit on the web.";s:24:"core_version_requirement";s:11:"^9.4 || ^10";s:9:"configure";s:26:"fontawesome.admin_settings";s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681652118;}s:29:"fontawesome_iconpicker_widget";a:13:{s:4:"name";s:30:"Font Awesome Iconpicker Widget";s:4:"type";s:6:"module";s:11:"description";s:46:"Provides an iconpicker widget for Font Awesome";s:24:"core_version_requirement";s:11:"^9.4 || ^10";s:12:"dependencies";a:1:{i:0;s:23:"fontawesome:fontawesome";}s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:17:"fontawesome_media";a:13:{s:4:"name";s:25:"Font Awesome Media Entity";s:4:"type";s:6:"module";s:11:"description";s:38:"Adds a Font Awesome Media Entity Type.";s:24:"core_version_requirement";s:11:"^9.4 || ^10";s:12:"dependencies";a:2:{i:0;s:23:"fontawesome:fontawesome";i:1;s:16:"drupal:svg_image";}s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652118;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:12:"fontyourface";a:16:{s:4:"name";s:13:"@fontyourface";s:4:"type";s:6:"module";s:11:"description";s:26:"Web font management tools.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:9:"configure";s:13:"font.settings";s:12:"dependencies";a:2:{i:0;s:15:"drupal:taxonomy";i:1;s:12:"drupal:views";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681648219;}s:16:"adobe_edge_fonts";a:14:{s:4:"name";s:32:"@fontyourface - Adobe Edge Fonts";s:4:"type";s:6:"module";s:11:"description";s:47:"@font-your-face provider with Adobe Edge fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:12:"fontscom_api";a:14:{s:4:"name";s:25:"@fontyourface - Fonts.com";s:4:"type";s:6:"module";s:11:"description";s:46:"@font-your-face provider with fonts.com fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:16:"fontsquirrel_api";a:14:{s:4:"name";s:29:"@fontyourface - Font Squirrel";s:4:"type";s:6:"module";s:11:"description";s:50:"@font-your-face provider with Font Squirrel fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:16:"google_fonts_api";a:15:{s:4:"name";s:28:"@fontyourface - Google Fonts";s:4:"type";s:6:"module";s:11:"description";s:43:"@font-your-face provider with Google fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681648219;}s:11:"local_fonts";a:14:{s:4:"name";s:27:"@fontyourface - Local Fonts";s:4:"type";s:6:"module";s:11:"description";s:75:"@font-your-face provider with fonts installed locally on the Drupal server.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:11:"typekit_api";a:14:{s:4:"name";s:23:"@fontyourface - Typekit";s:4:"type";s:6:"module";s:11:"description";s:48:"@font-your-face provider with Typekit.com fonts.";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"package";s:15:"@font-your-face";s:12:"dependencies";a:1:{i:0;s:25:"fontyourface:fontyourface";}s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:3:"php";s:5:"7.3.0";}s:17:"fullcalendar_view";a:14:{s:4:"name";s:25:"Full Calendar View Plugin";s:4:"type";s:6:"module";s:11:"description";s:55:"A view plugin to present contents in FullCalendar view.";s:7:"package";s:5:"Views";s:24:"core_version_requirement";s:13:"^9.2.0 || ^10";s:12:"dependencies";a:2:{i:0;s:12:"drupal:views";i:1;s:15:"drupal:datetime";}s:7:"version";s:6:"5.1.12";s:7:"project";s:17:"fullcalendar_view";s:9:"datestamp";i:1680506581;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652120;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681652120;}s:8:"juicerio";a:15:{s:4:"name";s:37:"Juicer - Social Media Feed Aggregator";s:11:"description";s:61:"Integration with the Juicer (juicer.io) social feed platform.";s:24:"core_version_requirement";s:15:"^8 || ^9 || ^10";s:4:"type";s:6:"module";s:9:"configure";s:14:"juicerio.admin";s:12:"dependencies";a:1:{i:0;s:12:"drupal:block";}s:7:"version";s:5:"2.0.3";s:7:"project";s:8:"juicerio";s:9:"datestamp";i:1675604335;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681648219;}s:15:"paragraphs_demo";a:14:{s:11:"description";s:44:"Provides multilingual demo Paragraphs types.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:12:"dependencies";a:15:{i:0;s:21:"paragraphs:paragraphs";i:1;s:12:"drupal:field";i:2;s:12:"drupal:image";i:3;s:15:"drupal:field_ui";i:4;s:12:"drupal:block";i:5;s:15:"drupal:language";i:6;s:26:"drupal:content_translation";i:7;s:11:"drupal:node";i:8;s:24:"search_api:search_api_db";i:9;s:21:"search_api:search_api";i:10;s:12:"drupal:views";i:11;s:15:"drupal:taxonomy";i:12;s:29:"paragraphs:paragraphs_library";i:13;s:21:"drupal:entity_browser";i:14;s:25:"drupal:content_moderation";}s:6:"hidden";b:0;s:4:"name";s:15:"Paragraphs Demo";s:7:"package";s:10:"Paragraphs";s:4:"type";s:6:"module";s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652123;s:3:"php";s:5:"7.3.0";}s:18:"paragraphs_library";a:15:{s:4:"name";s:18:"Paragraphs Library";s:4:"type";s:6:"module";s:11:"description";s:42:"Provides a library for reusing paragraphs.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:7:"package";s:10:"Paragraphs";s:9:"configure";s:32:"paragraphs_library_item.settings";s:12:"dependencies";a:3:{i:0;s:21:"paragraphs:paragraphs";i:1;s:12:"drupal:views";i:2;s:25:"entity_usage:entity_usage";}s:17:"test_dependencies";a:1:{i:0;s:29:"entity_browser:entity_browser";}s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652123;s:3:"php";s:5:"7.3.0";}s:27:"paragraphs_type_permissions";a:13:{s:4:"name";s:27:"Paragraphs Type Permissions";s:4:"type";s:6:"module";s:11:"description";s:70:"Allows users to configure permissions for individual Paragraphs types.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:7:"package";s:10:"Paragraphs";s:12:"dependencies";a:1:{i:0;s:21:"paragraphs:paragraphs";}s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652123;s:3:"php";s:5:"7.3.0";}s:10:"paragraphs";a:16:{s:4:"name";s:10:"Paragraphs";s:4:"type";s:6:"module";s:11:"description";s:44:"Enables the creation of paragraphs entities.";s:24:"core_version_requirement";s:11:"^9.3 || ^10";s:7:"package";s:10:"Paragraphs";s:9:"configure";s:33:"entity.paragraphs_type.collection";s:12:"dependencies";a:2:{i:0;s:53:"entity_reference_revisions:entity_reference_revisions";i:1;s:11:"drupal:file";}s:17:"test_dependencies";a:5:{i:0;s:9:"diff:diff";i:1;s:19:"replicate:replicate";i:2;s:37:"inline_entity_form:inline_entity_form";i:3;s:23:"field_group:field_group";i:4;s:23:"block_field:block_field";}s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652124;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681652124;}s:9:"superfish";a:15:{s:4:"name";s:9:"Superfish";s:4:"type";s:6:"module";s:11:"description";s:44:"Adds jQuery Superfish plugin to menu blocks.";s:7:"package";s:14:"User interface";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:7:"version";s:7:"8.x-1.4";s:7:"project";s:9:"superfish";s:9:"datestamp";i:1590438118;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648219;s:12:"dependencies";a:0:{}s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681648219;}s:18:"vem_migrate_oembed";a:13:{s:4:"name";s:42:"Video Embed Media - Migrate to core oEmbed";s:4:"type";s:6:"module";s:11:"description";s:51:"Provides a drush command to migrate to cores oEmbed";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:2:{i:0;s:21:"drupal:media (>= 8.6)";i:1;s:35:"video_embed_field:video_embed_media";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";}s:17:"video_embed_media";a:13:{s:4:"name";s:17:"Video Embed Media";s:4:"type";s:6:"module";s:11:"description";s:178:"Integrates video_embed_field with the Media module, creating a new media type tailored to display embedded videos. Useful for websites which are using the media suite of modules.";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:2:{i:0;s:21:"drupal:media (>= 8.4)";i:1;s:35:"video_embed_field:video_embed_field";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";}s:19:"video_embed_wysiwyg";a:13:{s:4:"name";s:19:"Video Embed WYSIWYG";s:4:"type";s:6:"module";s:11:"description";s:136:"Integrates video_embed_field directly into ckeditor. Useful for websites not using the media suite of modules that need WYSIWYG support.";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:3:{i:0;s:12:"drupal:field";i:1;s:15:"drupal:ckeditor";i:2;s:35:"video_embed_field:video_embed_field";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";}s:17:"video_embed_field";a:15:{s:4:"name";s:17:"Video Embed Field";s:4:"type";s:6:"module";s:11:"description";s:95:"Provides a field type for displaying videos from 3rd party providers such as YouTube and Vimeo.";s:7:"package";s:17:"Video Embed Field";s:24:"core_version_requirement";s:11:"^9.2 || ^10";s:12:"dependencies";a:3:{i:0;s:12:"drupal:field";i:1;s:12:"drupal:image";i:2;s:13:"drupal:system";}s:17:"test_dependencies";a:1:{i:0;s:17:"colorbox:colorbox";}s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681652128;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681652128;}s:14:"webform_access";a:13:{s:4:"name";s:14:"Webform Access";s:11:"description";s:51:"Provides webform access controls for webform nodes.";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:7:"package";s:7:"Webform";s:4:"type";s:6:"module";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:20:"webform:webform_node";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:18:"webform_attachment";a:13:{s:4:"name";s:18:"Webform Attachment";s:4:"type";s:6:"module";s:11:"description";s:97:"Provides an element that generates or loads a file that can be attached to a submission or email.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:17:"webform_bootstrap";a:13:{s:4:"name";s:17:"Webform Bootstrap";s:4:"type";s:6:"module";s:11:"description";s:47:"Helps support Webform to Bootstrap integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:13:"webform_cards";a:13:{s:4:"name";s:13:"Webform Cards";s:4:"type";s:6:"module";s:11:"description";s:82:"Provides a ''Card'' container element for fast clientside multistep form pagination.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:3:{i:0;s:15:"webform:webform";i:1;s:37:"webform:webform_clientside_validation";i:2;s:25:"drupal:inline_form_errors";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:29:"webform_clientside_validation";a:13:{s:4:"name";s:29:"Webform Clientside Validation";s:4:"type";s:6:"module";s:11:"description";s:56:"Helps support Webform Clientside Validation integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:3:{i:0;s:15:"webform:webform";i:1;s:43:"clientside_validation:clientside_validation";i:2;s:50:"clientside_validation:clientside_validation_jquery";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:35:"webform_demo_application_evaluation";a:13:{s:4:"name";s:43:"Webform Demo: Application/Evaluation System";s:4:"type";s:6:"module";s:11:"description";s:85:"Demonstrates how to use the Webform module to build an application/evaluation system.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:4:{i:0;s:12:"drupal:block";i:1;s:12:"drupal:views";i:2;s:15:"webform:webform";i:3;s:20:"webform:webform_node";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:31:"webform_demo_event_registration";a:13:{s:4:"name";s:39:"Webform Demo: Event Registration System";s:4:"type";s:6:"module";s:11:"description";s:102:"Demonstrates how to use the Webform module to build an event registration system with email reminders.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:8:{i:0;s:15:"drupal:datetime";i:1;s:12:"drupal:views";i:2;s:11:"token:token";i:3;s:15:"webform:webform";i:4;s:20:"webform:webform_node";i:5;s:29:"webform:webform_options_limit";i:6;s:31:"webform:webform_scheduled_email";i:7;s:21:"webform:webform_share";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:18:"webform_demo_group";a:13:{s:4:"name";s:19:"Webform Demo: Group";s:4:"type";s:6:"module";s:11:"description";s:71:"Demonstrates how to integrate the Webform module with the Group module.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:6:{i:0;s:11:"drupal:path";i:1;s:11:"group:group";i:2;s:11:"group:gnode";i:3;s:15:"webform:webform";i:4;s:20:"webform:webform_node";i:5;s:21:"webform:webform_group";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:27:"webform_demo_region_contact";a:13:{s:4:"name";s:35:"Webform Demo: Region Contact System";s:4:"type";s:6:"module";s:11:"description";s:82:"Demonstrates how to use the Webform module to build a region based contact system.";s:7:"package";s:12:"Webform Demo";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:5:{i:0;s:15:"drupal:datetime";i:1;s:11:"token:token";i:2;s:15:"webform:webform";i:3;s:20:"webform:webform_node";i:4;s:22:"webform:webform_access";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:13:"webform_devel";a:13:{s:4:"name";s:13:"Webform Devel";s:4:"type";s:6:"module";s:11:"description";s:50:"Provides development tools for the Webform module.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:11:"devel:devel";i:1;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:20:"webform_entity_print";a:13:{s:4:"name";s:26:"Webform Entity Print (PDF)";s:4:"type";s:6:"module";s:11:"description";s:130:"Provides Entity Print (PDF) integration and allows site builders to download, export, and email PDF copies of webform submissions.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:25:"entity_print:entity_print";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:31:"webform_entity_print_attachment";a:13:{s:4:"name";s:37:"Webform Entity Print (PDF) Attachment";s:4:"type";s:6:"module";s:11:"description";s:59:"Provides Webform Entity Print (PDF) Attachment integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:26:"webform:webform_attachment";i:1;s:28:"webform:webform_entity_print";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:25:"webform_example_composite";a:13:{s:4:"name";s:25:"Webform Example Composite";s:4:"type";s:6:"module";s:11:"description";s:65:"Provides an example that shows how to create a Webform composite.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:27:"webform_example_custom_form";a:14:{s:4:"name";s:27:"Webform Custom Form Example";s:4:"type";s:6:"module";s:11:"description";s:80:"Provides an example of custom configuration form built using the Webform module.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"configure";s:36:"webform_example_custom_form.settings";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:21:"webform:webform_devel";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:23:"webform_example_element";a:13:{s:4:"name";s:23:"Webform Element Example";s:4:"type";s:6:"module";s:11:"description";s:63:"Provides an example that shows how to create a Webform element.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:34:"webform_example_element_properties";a:13:{s:4:"name";s:34:"Webform Element Properties Example";s:4:"type";s:6:"module";s:11:"description";s:80:"Provides an example that shows how to add custom properties to Webform elements.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:18:"webform:webform_ui";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:23:"webform_example_handler";a:13:{s:4:"name";s:23:"Webform Handler Example";s:4:"type";s:6:"module";s:11:"description";s:41:"Provides an example of a webform handler.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:27:"webform_example_remote_post";a:13:{s:4:"name";s:27:"Webform Remote Post Example";s:4:"type";s:6:"module";s:11:"description";s:70:"Provides an example of a webform submission posted to a remote server.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:11:"token:token";i:1;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:23:"webform_example_variant";a:13:{s:4:"name";s:23:"Webform Variant Example";s:4:"type";s:6:"module";s:11:"description";s:40:"Provides an example of webform variants.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:16:"webform_examples";a:13:{s:4:"name";s:16:"Webform Examples";s:4:"type";s:6:"module";s:11:"description";s:191:"Provides examples of all webform elements and functionality which can used for demonstrating and testing advanced functionality or used as cut-n-paste code snippets for creating new webforms.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:30:"webform_examples_accessibility";a:13:{s:4:"name";s:30:"Webform Examples Accessibility";s:4:"type";s:6:"module";s:11:"description";s:66:"Provides example webforms for reviewing and testing accessibility.";s:7:"package";s:15:"Webform example";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:14:"drupal:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:13:"webform_group";a:13:{s:4:"name";s:13:"Webform Group";s:4:"type";s:6:"module";s:11:"description";s:39:"Provides Webform and Group integration.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:4:{i:0;s:15:"webform:webform";i:1;s:20:"webform:webform_node";i:2;s:11:"group:group";i:3;s:11:"group:gnode";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:14:"webform_icheck";a:14:{s:4:"name";s:14:"Webform iCheck";s:4:"type";s:6:"module";s:11:"description";s:120:"Provides support for highly customizable checkboxes and radio buttons. The iCheck library is no longer being maintained.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:20:"webform_image_select";a:13:{s:4:"name";s:20:"Webform Image Select";s:4:"type";s:6:"module";s:11:"description";s:52:"Provides a webform element for a selecting an image.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:24:"webform_jqueryui_buttons";a:14:{s:4:"name";s:24:"Webform jQueryUI Buttons";s:4:"type";s:6:"module";s:11:"description";s:98:"Provides a group of multiple buttons used for selecting a value. jQueryUI is no longer maintained.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:47:"jquery_ui_checkboxradio:jquery_ui_checkboxradio";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:28:"webform_location_geocomplete";a:14:{s:4:"name";s:28:"Webform Location Geocomplete";s:4:"type";s:6:"module";s:11:"description";s:257:"Provides a form element to collect valid location information (address, longitude, latitude, geolocation) using Google Maps API''s Geocoding and Places Autocomplete. The jQuery: Geocoding and Places Autocomplete Plugin library  is no longer being maintained.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:12:"webform_node";a:13:{s:4:"name";s:12:"Webform Node";s:4:"type";s:6:"module";s:11:"description";s:95:"Provides a Webform content type which allows webforms to be integrated into a website as nodes.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:6:{i:0;s:12:"drupal:field";i:1;s:11:"drupal:node";i:2;s:11:"drupal:path";i:3;s:11:"drupal:text";i:4;s:11:"drupal:user";i:5;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:22:"webform_options_custom";a:13:{s:4:"name";s:22:"Webform Custom Options";s:4:"type";s:6:"module";s:11:"description";s:112:"Provides a webform element for converting HTML or SVG markup into a selectable single or multiple options input.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:21:"webform_options_limit";a:13:{s:4:"name";s:21:"Webform Options Limit";s:4:"type";s:6:"module";s:11:"description";s:109:"Allows elements with options (i.e. select, checkboxes, and radios) to have option specific submission limits.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:23:"webform_scheduled_email";a:13:{s:4:"name";s:31:"Webform Scheduled Email Handler";s:4:"type";s:6:"module";s:11:"description";s:103:"Provides the "Scheduled email" handler, which sends Webform submissions via scheduled email using cron.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:13:"webform_share";a:13:{s:4:"name";s:13:"Webform Share";s:4:"type";s:6:"module";s:11:"description";s:63:"Allows webforms to be shared on other websites using an iframe.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:17:"webform_shortcuts";a:13:{s:4:"name";s:17:"Webform Shortcuts";s:4:"type";s:6:"module";s:11:"description";s:77:"Provides configurable keyboard shortcuts to create and save webform elements.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:2:{i:0;s:15:"webform:webform";i:1;s:18:"webform:webform_ui";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";}s:32:"webform_submission_export_import";a:13:{s:4:"name";s:32:"Webform Submission Export/Import";s:4:"type";s:6:"module";s:11:"description";s:54:"Provides the ability to export and import submissions.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:22:"webform_submission_log";a:13:{s:4:"name";s:22:"Webform Submission Log";s:4:"type";s:6:"module";s:11:"description";s:56:"Dedicated logging and reporting for webform submissions.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:17:"webform_templates";a:13:{s:4:"name";s:17:"Webform Templates";s:4:"type";s:6:"module";s:11:"description";s:67:"Provides starter templates that can be used to create new webforms.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:15:"webform_toggles";a:14:{s:4:"name";s:15:"Webform Toggles";s:4:"type";s:6:"module";s:11:"description";s:149:"Provides a webform element for toggling a single on/off state. The Toggles library  is no longer being maintained and has major accessibility issues.";s:7:"package";s:20:"Webform [DEPRECATED]";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:141:"https://www.drupal.org/docs/8/modules/webform/webform-frequently-asked-questions/what-to-do-about-deprecated-external-libraries-in-webform-6x";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:5:"mtime";i:1681648238;s:3:"php";s:5:"7.3.0";}s:10:"webform_ui";a:14:{s:4:"name";s:10:"Webform UI";s:4:"type";s:6:"module";s:11:"description";s:64:"Provides a user interface for building and maintaining webforms.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:12:"dependencies";a:1:{i:0;s:15:"webform:webform";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648234;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681648234;}s:7:"webform";a:15:{s:4:"name";s:7:"Webform";s:4:"type";s:6:"module";s:11:"description";s:52:"Enables the creation of webforms and questionnaires.";s:7:"package";s:7:"Webform";s:24:"core_version_requirement";s:10:"^8.8 || ^9";s:9:"configure";s:25:"entity.webform.collection";s:12:"dependencies";a:2:{i:0;s:12:"drupal:field";i:1;s:11:"drupal:user";}s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681648230;s:3:"php";s:5:"7.3.0";s:16:"_info_file_ctime";i:1681648230;}s:8:"standard";a:17:{s:4:"name";s:8:"Standard";s:4:"type";s:7:"profile";s:11:"description";s:51:"Install with commonly used features pre-configured.";s:7:"version";s:5:"9.5.7";s:7:"install";a:32:{i:0;s:4:"node";i:1;s:7:"history";i:2;s:5:"block";i:3;s:10:"breakpoint";i:4;s:9:"ckeditor5";i:5;s:6:"config";i:6;s:7:"comment";i:7;s:10:"contextual";i:8;s:7:"contact";i:9;s:17:"menu_link_content";i:10;s:8:"datetime";i:11;s:13:"block_content";i:12;s:6:"editor";i:13;s:4:"help";i:14;s:5:"image";i:15;s:7:"menu_ui";i:16;s:7:"options";i:17;s:4:"path";i:18;s:10:"page_cache";i:19;s:18:"dynamic_page_cache";i:20;s:8:"big_pipe";i:21;s:8:"taxonomy";i:22;s:5:"dblog";i:23;s:6:"search";i:24;s:8:"shortcut";i:25;s:7:"toolbar";i:26;s:8:"field_ui";i:27;s:4:"file";i:28;s:5:"views";i:29;s:8:"views_ui";i:30;s:4:"tour";i:31;s:14:"automated_cron";}s:6:"themes";a:2:{i:0;s:7:"olivero";i:1;s:5:"claro";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";s:6:"hidden";b:1;s:8:"required";b:1;s:12:"distribution";a:1:{s:4:"name";s:6:"Drupal";}s:7:"project";s:0:"";}}', -1, '1681653384.794', 1, '', '0');
INSERT INTO `cache_default` VALUES
('system.profile.files', 'a:15:{s:10:"demo_umami";s:44:"core/profiles/demo_umami/demo_umami.info.yml";s:7:"minimal";s:38:"core/profiles/minimal/minimal.info.yml";s:18:"nightwatch_testing";s:60:"core/profiles/nightwatch_testing/nightwatch_testing.info.yml";s:8:"standard";s:40:"core/profiles/standard/standard.info.yml";s:7:"testing";s:38:"core/profiles/testing/testing.info.yml";s:21:"testing_config_import";s:66:"core/profiles/testing_config_import/testing_config_import.info.yml";s:24:"testing_config_overrides";s:72:"core/profiles/testing_config_overrides/testing_config_overrides.info.yml";s:40:"testing_install_profile_all_dependencies";s:104:"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml";s:36:"testing_install_profile_dependencies";s:96:"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml";s:28:"testing_missing_dependencies";s:80:"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml";s:20:"testing_multilingual";s:64:"core/profiles/testing_multilingual/testing_multilingual.info.yml";s:33:"testing_multilingual_with_english";s:90:"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml";s:20:"testing_requirements";s:64:"core/profiles/testing_requirements/testing_requirements.info.yml";s:19:"testing_site_config";s:62:"core/profiles/testing_site_config/testing_site_config.info.yml";s:21:"testing_themes_blocks";s:66:"core/profiles/testing_themes_blocks/testing_themes_blocks.info.yml";}', -1, '1681649759.487', 1, '', '0'),
('system.profile.info', 'a:15:{s:10:"demo_umami";a:14:{s:4:"name";s:40:"Demo: Umami Food Magazine (Experimental)";s:4:"type";s:7:"profile";s:11:"description";s:71:"Install an example site that shows off some of Drupal’s capabilities.";s:7:"version";s:5:"9.5.7";s:7:"install";a:42:{i:0;s:4:"node";i:1;s:7:"history";i:2;s:8:"big_pipe";i:3;s:5:"block";i:4;s:10:"breakpoint";i:5;s:9:"ckeditor5";i:6;s:6:"config";i:7;s:10:"contextual";i:8;s:7:"contact";i:9;s:14:"layout_builder";i:10;s:16:"layout_discovery";i:11;s:17:"menu_link_content";i:12;s:8:"datetime";i:13;s:13:"block_content";i:14;s:6:"editor";i:15;s:4:"help";i:16;s:5:"image";i:17;s:5:"media";i:18;s:13:"media_library";i:19;s:7:"menu_ui";i:20;s:7:"options";i:21;s:4:"path";i:22;s:10:"page_cache";i:23;s:18:"dynamic_page_cache";i:24;s:8:"taxonomy";i:25;s:5:"dblog";i:26;s:6:"search";i:27;s:8:"shortcut";i:28;s:7:"toolbar";i:29;s:8:"field_ui";i:30;s:4:"file";i:31;s:5:"views";i:32;s:8:"views_ui";i:33;s:4:"tour";i:34;s:14:"automated_cron";i:35;s:16:"responsive_image";i:36;s:18:"content_moderation";i:37;s:9:"workflows";i:38;s:8:"language";i:39;s:6:"locale";i:40;s:18:"config_translation";i:41;s:19:"content_translation";}s:6:"themes";a:2:{i:0;s:5:"claro";i:1;s:5:"umami";}s:12:"keep_english";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:7:"minimal";a:13:{s:4:"name";s:7:"Minimal";s:4:"type";s:7:"profile";s:11:"description";s:86:"Build a custom site without pre-configured functionality. Suitable for advanced users.";s:7:"version";s:5:"9.5.7";s:7:"install";a:5:{i:0;s:4:"node";i:1;s:5:"block";i:2;s:5:"dblog";i:3;s:10:"page_cache";i:4;s:18:"dynamic_page_cache";}s:6:"themes";a:1:{i:0;s:5:"stark";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:18:"nightwatch_testing";a:13:{s:4:"name";s:18:"Nightwatch Testing";s:4:"type";s:7:"profile";s:11:"description";s:88:"Minimal profile for running Nightwatch tests. Includes absolutely required modules only.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:1:{i:0;s:19:"js_testing_log_test";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:8:"standard";a:13:{s:4:"name";s:8:"Standard";s:4:"type";s:7:"profile";s:11:"description";s:51:"Install with commonly used features pre-configured.";s:7:"version";s:5:"9.5.7";s:7:"install";a:32:{i:0;s:4:"node";i:1;s:7:"history";i:2;s:5:"block";i:3;s:10:"breakpoint";i:4;s:9:"ckeditor5";i:5;s:6:"config";i:6;s:7:"comment";i:7;s:10:"contextual";i:8;s:7:"contact";i:9;s:17:"menu_link_content";i:10;s:8:"datetime";i:11;s:13:"block_content";i:12;s:6:"editor";i:13;s:4:"help";i:14;s:5:"image";i:15;s:7:"menu_ui";i:16;s:7:"options";i:17;s:4:"path";i:18;s:10:"page_cache";i:19;s:18:"dynamic_page_cache";i:20;s:8:"big_pipe";i:21;s:8:"taxonomy";i:22;s:5:"dblog";i:23;s:6:"search";i:24;s:8:"shortcut";i:25;s:7:"toolbar";i:26;s:8:"field_ui";i:27;s:4:"file";i:28;s:5:"views";i:29;s:8:"views_ui";i:30;s:4:"tour";i:31;s:14:"automated_cron";}s:6:"themes";a:2:{i:0;s:7:"olivero";i:1;s:5:"claro";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:7:"testing";a:13:{s:4:"name";s:7:"Testing";s:4:"type";s:7:"profile";s:11:"description";s:77:"Minimal profile for running tests. Includes absolutely required modules only.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:2:{i:0;s:17:"drupal:page_cache";i:1;s:18:"dynamic_page_cache";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:21:"testing_config_import";a:14:{s:4:"name";s:21:"Testing config import";s:4:"type";s:7:"profile";s:11:"description";s:46:"Tests install profiles in the config importer.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:1:{i:0;s:6:"syslog";}s:6:"themes";a:1:{i:0;s:5:"stark";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:24:"testing_config_overrides";a:13:{s:4:"name";s:24:"Testing config overrides";s:4:"type";s:7:"profile";s:11:"description";s:69:"Minimal profile for running tests with config overrides in a profile.";s:7:"version";s:5:"9.5.7";s:24:"core_version_requirement";s:1:"*";s:6:"hidden";b:1;s:7:"install";a:4:{i:0;s:6:"action";i:1;s:8:"language";i:2;s:31:"testing_config_overrides_module";i:3;s:4:"tour";}s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:40:"testing_install_profile_all_dependencies";a:14:{s:4:"name";s:40:"Testing install profile all dependencies";s:4:"type";s:7:"profile";s:11:"description";s:63:"Profile for testing that install profiles can require a module.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:12:"dependencies";a:2:{i:0;s:10:"drupal:ban";i:1;s:12:"drupal:dblog";}s:7:"install";a:0:{}s:6:"themes";a:1:{i:0;s:16:"starterkit_theme";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:36:"testing_install_profile_dependencies";a:14:{s:4:"name";s:36:"Testing install profile dependencies";s:4:"type";s:7:"profile";s:11:"description";s:63:"Profile for testing that install profiles can require a module.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:12:"drupal:dblog";}s:7:"install";a:1:{i:0;s:3:"ban";}s:6:"themes";a:1:{i:0;s:16:"starterkit_theme";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:28:"testing_missing_dependencies";a:14:{s:4:"name";s:28:"Testing missing dependencies";s:4:"type";s:7:"profile";s:11:"description";s:76:"Minimal profile for running a test when dependencies are listed but missing.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:5:{i:0;s:5:"block";i:1;s:11:"drupal:node";i:2;s:16:"drupal:fictional";i:3;s:15:"missing_module1";i:4;s:15:"missing_module2";}s:12:"keep_english";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:20:"testing_multilingual";a:13:{s:4:"name";s:20:"Testing multilingual";s:4:"type";s:7:"profile";s:11:"description";s:64:"Minimal profile for running tests with a multilingual installer.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:3:{i:0;s:6:"locale";i:1;s:21:"locale_test_translate";i:2;s:4:"tour";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:33:"testing_multilingual_with_english";a:14:{s:4:"name";s:33:"Testing multilingual with English";s:4:"type";s:7:"profile";s:11:"description";s:64:"Minimal profile for running tests with a multilingual installer.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:7:"install";a:1:{i:0;s:6:"locale";}s:12:"keep_english";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:20:"testing_requirements";a:13:{s:4:"name";s:20:"Testing requirements";s:4:"type";s:7:"profile";s:11:"description";s:40:"Profile for testing hook_requirements().";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"install";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:19:"testing_site_config";a:13:{s:4:"name";s:19:"Testing site config";s:4:"type";s:7:"profile";s:11:"description";s:53:"Minimal profile for testing with default site config.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"install";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}s:21:"testing_themes_blocks";a:14:{s:4:"name";s:21:"Testing themes blocks";s:4:"type";s:7:"profile";s:11:"description";s:57:"Minimal profile for testing block installation of themes.";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:6:"themes";a:3:{i:0;s:29:"testing_theme_optional_blocks";i:1;s:29:"testing_theme_required_blocks";i:2;s:28:"testing_theme_without_blocks";}s:7:"install";a:1:{i:0;s:5:"block";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"7.3.0";}}', -1, '1681649932.114', 1, '', '0'),
('system.theme.files', 'a:10:{s:6:"bartik";s:34:"core/themes/bartik/bartik.info.yml";s:5:"claro";s:32:"core/themes/claro/claro.info.yml";s:6:"classy";s:34:"core/themes/classy/classy.info.yml";s:14:"conferenceplus";s:52:"themes/custom/conferenceplus/conferenceplus.info.yml";s:7:"olivero";s:36:"core/themes/olivero/olivero.info.yml";s:5:"seven";s:32:"core/themes/seven/seven.info.yml";s:6:"stable";s:34:"core/themes/stable/stable.info.yml";s:7:"stable9";s:36:"core/themes/stable9/stable9.info.yml";s:5:"stark";s:32:"core/themes/stark/stark.info.yml";s:16:"starterkit_theme";s:54:"core/themes/starterkit_theme/starterkit_theme.info.yml";}', -1, '1681653962.485', 1, '', '0'),
('system.theme.info', 'a:10:{s:6:"bartik";a:22:{s:4:"name";s:6:"Bartik";s:4:"type";s:5:"theme";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:44:"https://www.drupal.org/node/3223395#s-bartik";s:11:"description";s:86:"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:4:{i:0;s:18:"bartik/classy.base";i:1;s:22:"bartik/classy.messages";i:2;s:14:"core/normalize";i:3;s:21:"bartik/global-styling";}s:16:"libraries-extend";a:11:{s:18:"core/drupal.dialog";a:1:{i:0;s:20:"bartik/classy.dialog";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:24:"bartik/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:22:"bartik/classy.progress";}s:16:"file/drupal.file";a:1:{i:0;s:18:"bartik/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:13:"bartik/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:13:"bartik/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:40:"bartik/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:27:"bartik/classy.media_library";}s:20:"media_library/widget";a:1:{i:0;s:27:"bartik/classy.media_library";}s:9:"tour/tour";a:1:{i:0;s:11:"bartik/tour";}s:16:"user/drupal.user";a:1:{i:0;s:11:"bartik/user";}}s:20:"ckeditor_stylesheets";a:5:{i:0;s:21:"css/base/elements.css";i:1;s:27:"css/components/captions.css";i:2;s:24:"css/components/table.css";i:3;s:33:"css/components/text-formatted.css";i:4;s:43:"css/classy/components/media-embed-error.css";}s:7:"regions";a:19:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:12:"featured_top";s:12:"Featured top";s:10:"breadcrumb";s:10:"Breadcrumb";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:21:"featured_bottom_first";s:21:"Featured bottom first";s:22:"featured_bottom_second";s:22:"Featured bottom second";s:21:"featured_bottom_third";s:21:"Featured bottom third";s:12:"footer_first";s:12:"Footer first";s:13:"footer_second";s:13:"Footer second";s:12:"footer_third";s:12:"Footer third";s:13:"footer_fourth";s:13:"Footer fourth";s:12:"footer_fifth";s:12:"Footer fifth";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/bartik/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"claro";a:25:{s:4:"name";s:5:"Claro";s:4:"type";s:5:"theme";s:11:"description";s:62:"A clean, accessible, and powerful Drupal administration theme.";s:8:"alt text";s:49:"Screenshot of Claro, Drupal administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:19:"core/drupal.message";i:1;s:14:"core/normalize";i:2;s:20:"claro/global-styling";}s:18:"libraries-override";a:15:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:6:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:28:"css/components/tabledrag.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:1:{s:4:"base";a:1:{s:32:"misc/dialog/off-canvas.theme.css";s:29:"css/base/off-canvas.theme.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";b:0;}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:28:"css/theme/field-ui.admin.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";b:0;}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:33:"css/components/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:27:"css/theme/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:33:"css/theme/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:26:"css/state/toolbar.menu.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:33:"css/components/views_ui.admin.css";}s:5:"theme";a:1:{s:28:"css/views_ui.admin.theme.css";s:34:"css/theme/views_ui.admin.theme.css";}}}}s:16:"libraries-extend";a:26:{s:24:"ckeditor/drupal.ckeditor";a:1:{i:0;s:21:"claro/ckeditor-editor";}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{i:0;s:20:"claro/ckeditor-admin";}s:13:"core/ckeditor";a:1:{i:0;s:21:"claro/ckeditor-dialog";}s:20:"core/drupal.collapse";a:1:{i:0;s:19:"claro/details-focus";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"claro/claro.drupal.dialog";i:1;s:21:"claro/claro.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:16:"claro/dropbutton";}s:20:"core/drupal.checkbox";a:1:{i:0;s:14:"claro/checkbox";}s:19:"core/drupal.message";a:1:{i:0;s:14:"claro/messages";}s:20:"core/drupal.progress";a:1:{i:0;s:14:"claro/progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"claro/claro.jquery.ui";}s:21:"core/drupal.tabledrag";a:1:{i:0;s:21:"claro/claro.tabledrag";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"claro/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:10:"claro/file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"claro/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"claro/filter";}s:12:"system/admin";a:1:{i:0;s:18:"claro/system.admin";}s:24:"core/drupal.autocomplete";a:2:{i:0;s:18:"claro/autocomplete";i:1;s:21:"claro/claro.jquery.ui";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"claro/tour-styling";}s:24:"shortcut/drupal.shortcut";a:1:{i:0;s:21:"claro/drupal.shortcut";}s:16:"core/drupal.ajax";a:1:{i:0;s:10:"claro/ajax";}s:16:"user/drupal.user";a:1:{i:0;s:27:"claro/form.password-confirm";}s:18:"views/views.module";a:1:{i:0;s:11:"claro/views";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"claro/classy.media_embed_ckeditor_theme";}s:16:"media_library/ui";a:1:{i:0;s:22:"claro/media_library.ui";}s:18:"media_library/view";a:1:{i:0;s:25:"claro/media_library.theme";}s:20:"media_library/widget";a:1:{i:0;s:25:"claro/media_library.theme";}}s:21:"quickedit_stylesheets";a:1:{i:0;s:28:"css/components/quickedit.css";}s:20:"ckeditor_stylesheets";a:4:{i:0;s:21:"css/base/elements.css";i:1;s:23:"css/base/typography.css";i:2;s:28:"css/theme/ckeditor-frame.css";i:3;s:43:"css/classy/components/media-embed-error.css";}s:21:"ckeditor5-stylesheets";b:0;s:7:"regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/claro/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}}s:5:"stark";a:20:{s:4:"name";s:5:"Stark";s:4:"type";s:5:"theme";s:11:"description";s:211:"An intentionally plain theme with no styling to demonstrate default Drupal’s HTML and CSS. Learn how to build a custom theme from Stark in the <a href="https://www.drupal.org/docs/8/theming">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:10:"starterkit";b:0;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/stark/screenshot.png";s:3:"php";s:5:"7.3.0";s:9:"libraries";a:0:{}s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:7:"stable9";a:22:{s:4:"name";s:8:"Stable 9";s:4:"type";s:5:"theme";s:11:"description";s:54:"A base theme using Drupal 9.0.0''s core markup and CSS.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:18:"libraries-override";a:59:{s:24:"block/drupal.block.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/block.admin.css";s:25:"css/block/block.admin.css";}}}s:24:"ckeditor/drupal.ckeditor";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:16:"css/ckeditor.css";s:25:"css/ckeditor/ckeditor.css";}}}s:51:"ckeditor/drupal.ckeditor.plugins.drupalimagecaption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:62:"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";s:71:"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";}}}s:41:"ckeditor/drupal.ckeditor.plugins.language";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:42:"css/plugins/language/ckeditor.language.css";s:51:"css/ckeditor/plugins/language/ckeditor.language.css";}}}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/ckeditor.admin.css";s:31:"css/ckeditor/ckeditor.admin.css";}}}s:11:"color/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/color.admin.css";s:25:"css/color/color.admin.css";}}}s:50:"config_translation/drupal.config_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:32:"css/config_translation.admin.css";s:51:"css/config_translation/config_translation.admin.css";}}}s:52:"content_translation/drupal.content_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:33:"css/content_translation.admin.css";s:53:"css/content_translation/content_translation.admin.css";}}}s:37:"content_moderation/content_moderation";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:33:"css/content_moderation.module.css";s:52:"css/content_moderation/content_moderation.module.css";}s:5:"theme";a:1:{s:32:"css/content_moderation.theme.css";s:51:"css/content_moderation/content_moderation.theme.css";}}}s:34:"contextual/drupal.contextual-links";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:25:"css/contextual.module.css";s:36:"css/contextual/contextual.module.css";}s:5:"theme";a:2:{s:24:"css/contextual.theme.css";s:35:"css/contextual/contextual.theme.css";s:30:"css/contextual.icons.theme.css";s:41:"css/contextual/contextual.icons.theme.css";}}}s:36:"contextual/drupal.contextual-toolbar";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:26:"css/contextual.toolbar.css";s:37:"css/contextual/contextual.toolbar.css";}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:2:{s:4:"base";a:4:{s:32:"misc/dialog/off-canvas.reset.css";s:36:"css/core/dialog/off-canvas.reset.css";s:31:"misc/dialog/off-canvas.base.css";s:35:"css/core/dialog/off-canvas.base.css";s:26:"misc/dialog/off-canvas.css";s:30:"css/core/dialog/off-canvas.css";s:32:"misc/dialog/off-canvas.theme.css";s:36:"css/core/dialog/off-canvas.theme.css";}s:9:"component";a:8:{s:33:"misc/dialog/off-canvas.motion.css";s:37:"css/core/dialog/off-canvas.motion.css";s:33:"misc/dialog/off-canvas.button.css";s:37:"css/core/dialog/off-canvas.button.css";s:31:"misc/dialog/off-canvas.form.css";s:35:"css/core/dialog/off-canvas.form.css";s:32:"misc/dialog/off-canvas.table.css";s:36:"css/core/dialog/off-canvas.table.css";s:34:"misc/dialog/off-canvas.details.css";s:38:"css/core/dialog/off-canvas.details.css";s:36:"misc/dialog/off-canvas.tabledrag.css";s:40:"css/core/dialog/off-canvas.tabledrag.css";s:37:"misc/dialog/off-canvas.dropbutton.css";s:41:"css/core/dialog/off-canvas.dropbutton.css";s:33:"misc/dialog/off-canvas.layout.css";s:37:"css/core/dialog/off-canvas.layout.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:34:"css/core/dropbutton/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:26:"css/core/vertical-tabs.css";}}}s:14:"core/normalize";s:17:"stable9/normalize";s:18:"dblog/drupal.dblog";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/dblog.module.css";s:26:"css/dblog/dblog.module.css";}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:31:"css/field_ui/field_ui.admin.css";}}}s:14:"filter/caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:29:"css/filter/filter.caption.css";}}}s:11:"image/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/image.admin.css";s:25:"css/image/image.admin.css";}}}s:30:"language/drupal.language.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/language.admin.css";s:31:"css/language/language.admin.css";}}}s:23:"layout_discovery/onecol";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:25:"layouts/onecol/onecol.css";s:42:"layouts/layout_discovery/onecol/onecol.css";}}}s:30:"layout_discovery/twocol_bricks";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:39:"layouts/twocol_bricks/twocol_bricks.css";s:56:"layouts/layout_discovery/twocol_bricks/twocol_bricks.css";}}}s:23:"layout_discovery/twocol";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:25:"layouts/twocol/twocol.css";s:42:"layouts/layout_discovery/twocol/twocol.css";}}}s:34:"layout_discovery/threecol_25_50_25";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:47:"layouts/threecol_25_50_25/threecol_25_50_25.css";s:64:"layouts/layout_discovery/threecol_25_50_25/threecol_25_50_25.css";}}}s:34:"layout_discovery/threecol_33_34_33";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:47:"layouts/threecol_33_34_33/threecol_33_34_33.css";s:64:"layouts/layout_discovery/threecol_33_34_33/threecol_33_34_33.css";}}}s:36:"layout_builder/drupal.layout_builder";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/layout-builder.css";s:37:"css/layout_builder/layout-builder.css";}}}s:29:"layout_builder/twocol_section";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:41:"layouts/twocol_section/twocol_section.css";s:56:"layouts/layout_builder/twocol_section/twocol_section.css";}}}s:31:"layout_builder/threecol_section";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"layouts/threecol_section/threecol_section.css";s:60:"layouts/layout_builder/threecol_section/threecol_section.css";}}}s:30:"layout_builder/fourcol_section";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:43:"layouts/fourcol_section/fourcol_section.css";s:58:"layouts/layout_builder/fourcol_section/fourcol_section.css";}}}s:26:"locale/drupal.locale.admin";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/locale.admin.css";s:27:"css/locale/locale.admin.css";}}}s:20:"media/filter.caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:28:"css/media/filter.caption.css";}}}s:22:"media/oembed.formatter";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:24:"css/oembed.formatter.css";s:30:"css/media/oembed.formatter.css";}}}s:18:"media/oembed.frame";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/oembed.frame.css";s:26:"css/media/oembed.frame.css";}}}s:33:"menu_ui/drupal.menu_ui.adminforms";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:21:"css/menu_ui.admin.css";s:29:"css/menu_ui/menu_ui.admin.css";}}}s:22:"migrate_drupal_ui/base";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:49:"css/components/upgrade-analysis-report-tables.css";s:67:"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:24:"node/drupal.node.preview";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/node.preview.css";s:25:"css/node/node.preview.css";}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:22:"node/drupal.node.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/node.admin.css";s:23:"css/node/node.admin.css";}}}s:19:"quickedit/quickedit";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:24:"css/quickedit.module.css";s:34:"css/quickedit/quickedit.module.css";}s:5:"theme";a:2:{s:23:"css/quickedit.theme.css";s:33:"css/quickedit/quickedit.theme.css";s:29:"css/quickedit.icons.theme.css";s:39:"css/quickedit/quickedit.icons.theme.css";}}}s:47:"quickedit/quickedit.inPlaceEditor.formattedText";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:38:"css/editors/formattedText.ckeditor.css";s:48:"css/quickedit/editors/formattedText.ckeditor.css";s:39:"css/editors/formattedText.ckeditor5.css";s:49:"css/quickedit/editors/formattedText.ckeditor5.css";}}}s:39:"quickedit/quickedit.inPlaceEditor.image";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:21:"css/editors/image.css";s:31:"css/quickedit/editors/image.css";}s:5:"theme";a:1:{s:27:"css/editors/image.theme.css";s:37:"css/quickedit/editors/image.theme.css";}}}s:51:"quickedit/quickedit.ckeditor5-temporary-work-around";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:50:"css/editors/formattedText/ckeditor5.workaround.css";s:60:"css/quickedit/editors/formattedText/ckeditor5.workaround.css";}}}s:34:"settings_tray/drupal.settings_tray";a:1:{s:3:"css";a:2:{s:9:"component";a:3:{s:28:"css/settings_tray.module.css";s:42:"css/settings_tray/settings_tray.module.css";s:28:"css/settings_tray.motion.css";s:42:"css/settings_tray/settings_tray.motion.css";s:29:"css/settings_tray.toolbar.css";s:43:"css/settings_tray/settings_tray.toolbar.css";}s:5:"theme";a:1:{s:27:"css/settings_tray.theme.css";s:41:"css/settings_tray/settings_tray.theme.css";}}}s:24:"shortcut/drupal.shortcut";a:1:{s:3:"css";a:1:{s:5:"theme";a:2:{s:22:"css/shortcut.theme.css";s:31:"css/shortcut/shortcut.theme.css";s:28:"css/shortcut.icons.theme.css";s:37:"css/shortcut/shortcut.icons.theme.css";}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:22:{s:39:"css/components/ajax-progress.module.css";s:46:"css/system/components/ajax-progress.module.css";s:31:"css/components/align.module.css";s:38:"css/system/components/align.module.css";s:46:"css/components/autocomplete-loading.module.css";s:53:"css/system/components/autocomplete-loading.module.css";s:36:"css/components/fieldgroup.module.css";s:43:"css/system/components/fieldgroup.module.css";s:42:"css/components/container-inline.module.css";s:49:"css/system/components/container-inline.module.css";s:34:"css/components/clearfix.module.css";s:41:"css/system/components/clearfix.module.css";s:33:"css/components/details.module.css";s:40:"css/system/components/details.module.css";s:32:"css/components/hidden.module.css";s:39:"css/system/components/hidden.module.css";s:35:"css/components/item-list.module.css";s:42:"css/system/components/item-list.module.css";s:28:"css/components/js.module.css";s:35:"css/system/components/js.module.css";s:32:"css/components/nowrap.module.css";s:39:"css/system/components/nowrap.module.css";s:44:"css/components/position-container.module.css";s:51:"css/system/components/position-container.module.css";s:34:"css/components/progress.module.css";s:41:"css/system/components/progress.module.css";s:42:"css/components/reset-appearance.module.css";s:49:"css/system/components/reset-appearance.module.css";s:32:"css/components/resize.module.css";s:39:"css/system/components/resize.module.css";s:39:"css/components/sticky-header.module.css";s:46:"css/system/components/sticky-header.module.css";s:40:"css/components/system-status-counter.css";s:47:"css/system/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:55:"css/system/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:59:"css/system/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:42:"css/system/components/tabledrag.module.css";s:35:"css/components/tablesort.module.css";s:42:"css/system/components/tablesort.module.css";s:36:"css/components/tree-child.module.css";s:43:"css/system/components/tree-child.module.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";s:27:"css/system/system.admin.css";}}}s:18:"system/maintenance";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/system.maintenance.css";s:33:"css/system/system.maintenance.css";}}}s:11:"system/diff";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/system.diff.css";s:26:"css/system/system.diff.css";}}}s:24:"taxonomy/drupal.taxonomy";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/taxonomy.theme.css";s:31:"css/taxonomy/taxonomy.theme.css";}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:30:"css/toolbar/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:29:"css/toolbar/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:35:"css/toolbar/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:28:"css/toolbar/toolbar.menu.css";}}}s:17:"tour/tour-styling";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/tour.module.css";s:24:"css/tour/tour.module.css";}}}s:26:"update/drupal.update.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/update.admin.theme.css";s:33:"css/update/update.admin.theme.css";}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";s:24:"css/user/user.module.css";}}}s:22:"user/drupal.user.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/user.admin.css";s:23:"css/user/user.admin.css";}}}s:22:"user/drupal.user.icons";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:24:"css/user.icons.admin.css";s:29:"css/user/user.icons.admin.css";}}}s:18:"views/views.module";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/views.module.css";s:26:"css/views/views.module.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:31:"css/views_ui/views_ui.admin.css";}s:5:"theme";a:2:{s:28:"css/views_ui.admin.theme.css";s:37:"css/views_ui/views_ui.admin.theme.css";s:27:"css/views_ui.contextual.css";s:36:"css/views_ui/views_ui.contextual.css";}}}}s:16:"libraries-extend";a:1:{s:9:"tour/tour";a:1:{i:0;s:12:"stable9/tour";}}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:34:"core/themes/stable9/screenshot.png";s:3:"php";s:5:"7.3.0";s:9:"libraries";a:0:{}s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:16:"starterkit_theme";a:22:{s:4:"name";s:16:"starterkit_theme";s:4:"type";s:5:"theme";s:10:"base theme";s:7:"stable9";s:6:"hidden";b:1;s:10:"starterkit";b:1;s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:21:"starterkit_theme/base";i:1;s:25:"starterkit_theme/messages";i:2;s:14:"core/normalize";}s:16:"libraries-extend";a:5:{s:16:"user/drupal.user";a:1:{i:0;s:21:"starterkit_theme/user";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:27:"starterkit_theme/dropbutton";}s:18:"core/drupal.dialog";a:1:{i:0;s:23:"starterkit_theme/dialog";}s:16:"file/drupal.file";a:1:{i:0;s:21:"starterkit_theme/file";}s:20:"core/drupal.progress";a:1:{i:0;s:25:"starterkit_theme/progress";}}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:11:"description";s:0:"";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:43:"core/themes/starterkit_theme/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:7:"stable9";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:7:"olivero";a:24:{s:4:"name";s:7:"Olivero";s:4:"type";s:5:"theme";s:11:"description";s:57:"A clean, accessible, and flexible Drupal front-end theme.";s:8:"alt text";s:46:"Screenshot of Olivero, Drupal front-end theme.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:1:{i:0;s:22:"olivero/global-styling";}s:7:"regions";a:13:{s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:4:"hero";s:17:"Hero (full width)";s:11:"highlighted";s:11:"Highlighted";s:10:"breadcrumb";s:10:"Breadcrumb";s:6:"social";s:10:"Social Bar";s:13:"content_above";s:13:"Content Above";s:7:"content";s:7:"Content";s:7:"sidebar";s:7:"Sidebar";s:13:"content_below";s:13:"Content Below";s:10:"footer_top";s:10:"Footer Top";s:13:"footer_bottom";s:13:"Footer Bottom";}s:18:"libraries-override";a:9:{s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";b:0;}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:39:"css/components/ajax-progress.module.css";s:39:"css/components/ajax-progress.module.css";s:46:"css/components/autocomplete-loading.module.css";s:46:"css/components/autocomplete-loading.module.css";}}}s:20:"core/drupal.checkbox";b:0;s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:29:"css/components/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:32:"css/components/vertical-tabs.css";}}}s:22:"media/oembed.formatter";b:0;s:29:"layout_builder/twocol_section";s:37:"olivero/layout_builder_twocol_section";s:31:"layout_builder/threecol_section";s:39:"olivero/layout_builder_threecol_section";s:30:"layout_builder/fourcol_section";s:38:"olivero/layout_builder_fourcol_section";}s:16:"libraries-extend";a:13:{s:19:"core/drupal.message";a:1:{i:0;s:22:"olivero/drupal.message";}s:20:"core/drupal.collapse";a:1:{i:0;s:15:"olivero/details";}s:18:"core/drupal.dialog";a:1:{i:0;s:21:"olivero/drupal.dialog";}s:29:"core/drupal.dialog.off_canvas";a:1:{i:0;s:25:"olivero/dialog.off_canvas";}s:20:"core/drupal.progress";a:1:{i:0;s:16:"olivero/progress";}s:23:"layout_discovery/onecol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:30:"layout_discovery/twocol_bricks";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:23:"layout_discovery/twocol";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_25_50_25";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:34:"layout_discovery/threecol_33_34_33";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:24:"node/drupal.node.preview";a:1:{i:0;s:27:"olivero/drupal.node.preview";}s:13:"core/ckeditor";a:1:{i:0;s:18:"olivero/cke-dialog";}s:37:"content_moderation/content_moderation";a:1:{i:0;s:26:"olivero/content_moderation";}}s:20:"ckeditor_stylesheets";a:6:{i:0;s:18:"css/base/fonts.css";i:1;s:17:"css/base/base.css";i:2;s:33:"css/components/embedded-media.css";i:3;s:24:"css/components/table.css";i:4;s:31:"css/components/text-content.css";i:5;s:28:"css/theme/ckeditor-frame.css";}s:21:"ckeditor5-stylesheets";b:0;s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:34:"core/themes/olivero/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:5:"seven";a:25:{s:4:"name";s:5:"Seven";s:4:"type";s:5:"theme";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:43:"https://www.drupal.org/node/3223395#s-seven";s:11:"description";s:153:"The default administration theme for Drupal 8 was designed with clean lines, simple blocks, and sans-serif font to emphasize the tools and tasks at hand.";s:8:"alt text";s:77:"Default administration theme for Drupal 8 with simple blocks and clean lines.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:9:"libraries";a:3:{i:0;s:21:"seven/classy.messages";i:1;s:14:"core/normalize";i:2;s:20:"seven/global-styling";}s:18:"libraries-override";a:5:{s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:3:{s:40:"css/components/system-status-counter.css";s:40:"css/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:48:"css/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:52:"css/components/system-status-report-general-info.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";b:0;}}}s:24:"core/drupal.autocomplete";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:26:"core/drupal.tabbingmanager";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}s:18:"core/drupal.dialog";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:46:"assets/vendor/jquery.ui/themes/base/dialog.css";b:0;}s:5:"theme";a:1:{s:45:"assets/vendor/jquery.ui/themes/base/theme.css";b:0;}}}}s:16:"libraries-extend";a:15:{s:13:"core/ckeditor";a:2:{i:0;s:21:"seven/ckeditor-dialog";i:1;s:20:"seven/ckeditor-admin";}s:24:"core/drupal.autocomplete";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:18:"core/drupal.dialog";a:2:{i:0;s:25:"seven/seven.drupal.dialog";i:1;s:21:"seven/seven.jquery.ui";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:23:"seven/classy.dropbutton";}s:20:"core/drupal.progress";a:1:{i:0;s:21:"seven/classy.progress";}s:26:"core/drupal.tabbingmanager";a:1:{i:0;s:21:"seven/seven.jquery.ui";}s:25:"core/drupal.vertical-tabs";a:1:{i:0;s:19:"seven/vertical-tabs";}s:16:"file/drupal.file";a:1:{i:0;s:17:"seven/classy.file";}s:26:"filter/drupal.filter.admin";a:1:{i:0;s:12:"seven/filter";}s:20:"filter/drupal.filter";a:1:{i:0;s:12:"seven/filter";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:39:"seven/classy.media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:19:"seven/media_library";}s:20:"media_library/widget";a:1:{i:0;s:19:"seven/media_library";}s:17:"tour/tour-styling";a:1:{i:0;s:18:"seven/tour-styling";}s:16:"user/drupal.user";a:1:{i:0;s:10:"seven/user";}}s:21:"quickedit_stylesheets";a:1:{i:0;s:28:"css/components/quickedit.css";}s:7:"regions";a:9:{s:6:"header";s:6:"Header";s:11:"pre_content";s:11:"Pre-content";s:10:"breadcrumb";s:10:"Breadcrumb";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:20:"ckeditor_stylesheets";a:1:{i:0;s:43:"css/classy/components/media-embed-error.css";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:32:"core/themes/seven/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}}s:6:"stable";a:23:{s:4:"name";s:6:"Stable";s:4:"type";s:5:"theme";s:11:"description";s:62:"A default base theme using Drupal 8.0.0''s core markup and CSS.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:52:"https://www.drupal.org/project/drupal/issues/3308890";s:18:"libraries-override";a:54:{s:24:"block/drupal.block.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/block.admin.css";s:25:"css/block/block.admin.css";}}}s:24:"ckeditor/drupal.ckeditor";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:16:"css/ckeditor.css";s:25:"css/ckeditor/ckeditor.css";}}}s:51:"ckeditor/drupal.ckeditor.plugins.drupalimagecaption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:62:"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";s:71:"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";}}}s:41:"ckeditor/drupal.ckeditor.plugins.language";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:42:"css/plugins/language/ckeditor.language.css";s:51:"css/ckeditor/plugins/language/ckeditor.language.css";}}}s:30:"ckeditor/drupal.ckeditor.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/ckeditor.admin.css";s:31:"css/ckeditor/ckeditor.admin.css";}}}s:11:"color/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/color.admin.css";s:25:"css/color/color.admin.css";}}}s:50:"config_translation/drupal.config_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:32:"css/config_translation.admin.css";s:51:"css/config_translation/config_translation.admin.css";}}}s:52:"content_translation/drupal.content_translation.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:33:"css/content_translation.admin.css";s:53:"css/content_translation/content_translation.admin.css";}}}s:37:"content_moderation/content_moderation";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:33:"css/content_moderation.module.css";s:52:"css/content_moderation/content_moderation.module.css";}s:5:"theme";a:1:{s:32:"css/content_moderation.theme.css";s:51:"css/content_moderation/content_moderation.theme.css";}}}s:34:"contextual/drupal.contextual-links";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:25:"css/contextual.module.css";s:36:"css/contextual/contextual.module.css";}s:5:"theme";a:2:{s:24:"css/contextual.theme.css";s:35:"css/contextual/contextual.theme.css";s:30:"css/contextual.icons.theme.css";s:41:"css/contextual/contextual.icons.theme.css";}}}s:36:"contextual/drupal.contextual-toolbar";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:26:"css/contextual.toolbar.css";s:37:"css/contextual/contextual.toolbar.css";}}}s:29:"core/drupal.dialog.off_canvas";a:1:{s:3:"css";a:2:{s:4:"base";a:4:{s:32:"misc/dialog/off-canvas.reset.css";s:36:"css/core/dialog/off-canvas.reset.css";s:31:"misc/dialog/off-canvas.base.css";s:35:"css/core/dialog/off-canvas.base.css";s:26:"misc/dialog/off-canvas.css";s:30:"css/core/dialog/off-canvas.css";s:32:"misc/dialog/off-canvas.theme.css";s:36:"css/core/dialog/off-canvas.theme.css";}s:9:"component";a:8:{s:33:"misc/dialog/off-canvas.motion.css";s:37:"css/core/dialog/off-canvas.motion.css";s:33:"misc/dialog/off-canvas.button.css";s:37:"css/core/dialog/off-canvas.button.css";s:31:"misc/dialog/off-canvas.form.css";s:35:"css/core/dialog/off-canvas.form.css";s:32:"misc/dialog/off-canvas.table.css";s:36:"css/core/dialog/off-canvas.table.css";s:34:"misc/dialog/off-canvas.details.css";s:38:"css/core/dialog/off-canvas.details.css";s:36:"misc/dialog/off-canvas.tabledrag.css";s:40:"css/core/dialog/off-canvas.tabledrag.css";s:37:"misc/dialog/off-canvas.dropbutton.css";s:41:"css/core/dialog/off-canvas.dropbutton.css";s:33:"misc/dialog/off-canvas.layout.css";s:37:"css/core/dialog/off-canvas.layout.css";}}}s:22:"core/drupal.dropbutton";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:30:"misc/dropbutton/dropbutton.css";s:34:"css/core/dropbutton/dropbutton.css";}}}s:25:"core/drupal.vertical-tabs";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"misc/vertical-tabs.css";s:26:"css/core/vertical-tabs.css";}}}s:14:"core/normalize";s:16:"stable/normalize";s:18:"dblog/drupal.dblog";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/dblog.module.css";s:26:"css/dblog/dblog.module.css";}}}s:24:"field_ui/drupal.field_ui";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/field_ui.admin.css";s:31:"css/field_ui/field_ui.admin.css";}}}s:16:"file/drupal.file";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/file.admin.css";s:23:"css/file/file.admin.css";}}}s:26:"filter/drupal.filter.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:20:"filter/drupal.filter";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/filter.admin.css";s:27:"css/filter/filter.admin.css";}}}s:14:"filter/caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:29:"css/filter/filter.caption.css";}}}s:11:"image/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:19:"css/image.admin.css";s:25:"css/image/image.admin.css";}}}s:30:"language/drupal.language.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/language.admin.css";s:31:"css/language/language.admin.css";}}}s:36:"layout_builder/drupal.layout_builder";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:22:"css/layout-builder.css";s:37:"css/layout_builder/layout-builder.css";}}}s:26:"locale/drupal.locale.admin";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/locale.admin.css";s:27:"css/locale/locale.admin.css";}}}s:20:"media/filter.caption";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/filter.caption.css";s:28:"css/media/filter.caption.css";}}}s:22:"media/oembed.formatter";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:24:"css/oembed.formatter.css";s:30:"css/media/oembed.formatter.css";}}}s:18:"media/oembed.frame";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/oembed.frame.css";s:26:"css/media/oembed.frame.css";}}}s:33:"menu_ui/drupal.menu_ui.adminforms";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:21:"css/menu_ui.admin.css";s:29:"css/menu_ui/menu_ui.admin.css";}}}s:22:"migrate_drupal_ui/base";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:49:"css/components/upgrade-analysis-report-tables.css";s:67:"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css";}}}s:16:"node/drupal.node";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:24:"node/drupal.node.preview";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/node.preview.css";s:25:"css/node/node.preview.css";}}}s:9:"node/form";a:1:{s:3:"css";a:1:{s:6:"layout";a:1:{s:19:"css/node.module.css";s:24:"css/node/node.module.css";}}}s:22:"node/drupal.node.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/node.admin.css";s:23:"css/node/node.admin.css";}}}s:19:"quickedit/quickedit";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:24:"css/quickedit.module.css";s:34:"css/quickedit/quickedit.module.css";}s:5:"theme";a:2:{s:23:"css/quickedit.theme.css";s:33:"css/quickedit/quickedit.theme.css";s:29:"css/quickedit.icons.theme.css";s:39:"css/quickedit/quickedit.icons.theme.css";}}}s:47:"quickedit/quickedit.inPlaceEditor.formattedText";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:38:"css/editors/formattedText.ckeditor.css";s:48:"css/quickedit/editors/formattedText.ckeditor.css";s:39:"css/editors/formattedText.ckeditor5.css";s:49:"css/quickedit/editors/formattedText.ckeditor5.css";}}}s:39:"quickedit/quickedit.inPlaceEditor.image";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:21:"css/editors/image.css";s:31:"css/quickedit/editors/image.css";}s:5:"theme";a:1:{s:27:"css/editors/image.theme.css";s:37:"css/quickedit/editors/image.theme.css";}}}s:51:"quickedit/quickedit.ckeditor5-temporary-work-around";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:50:"css/editors/formattedText/ckeditor5.workaround.css";s:60:"css/quickedit/editors/formattedText/ckeditor5.workaround.css";}}}s:34:"settings_tray/drupal.settings_tray";a:1:{s:3:"css";a:2:{s:9:"component";a:3:{s:28:"css/settings_tray.module.css";s:42:"css/settings_tray/settings_tray.module.css";s:28:"css/settings_tray.motion.css";s:42:"css/settings_tray/settings_tray.motion.css";s:29:"css/settings_tray.toolbar.css";s:43:"css/settings_tray/settings_tray.toolbar.css";}s:5:"theme";a:1:{s:27:"css/settings_tray.theme.css";s:41:"css/settings_tray/settings_tray.theme.css";}}}s:24:"shortcut/drupal.shortcut";a:1:{s:3:"css";a:1:{s:5:"theme";a:2:{s:22:"css/shortcut.theme.css";s:31:"css/shortcut/shortcut.theme.css";s:28:"css/shortcut.icons.theme.css";s:37:"css/shortcut/shortcut.icons.theme.css";}}}s:11:"system/base";a:1:{s:3:"css";a:1:{s:9:"component";a:22:{s:39:"css/components/ajax-progress.module.css";s:46:"css/system/components/ajax-progress.module.css";s:31:"css/components/align.module.css";s:38:"css/system/components/align.module.css";s:46:"css/components/autocomplete-loading.module.css";s:53:"css/system/components/autocomplete-loading.module.css";s:36:"css/components/fieldgroup.module.css";s:43:"css/system/components/fieldgroup.module.css";s:42:"css/components/container-inline.module.css";s:49:"css/system/components/container-inline.module.css";s:34:"css/components/clearfix.module.css";s:41:"css/system/components/clearfix.module.css";s:33:"css/components/details.module.css";s:40:"css/system/components/details.module.css";s:32:"css/components/hidden.module.css";s:39:"css/system/components/hidden.module.css";s:35:"css/components/item-list.module.css";s:42:"css/system/components/item-list.module.css";s:28:"css/components/js.module.css";s:35:"css/system/components/js.module.css";s:32:"css/components/nowrap.module.css";s:39:"css/system/components/nowrap.module.css";s:44:"css/components/position-container.module.css";s:51:"css/system/components/position-container.module.css";s:34:"css/components/progress.module.css";s:41:"css/system/components/progress.module.css";s:42:"css/components/reset-appearance.module.css";s:49:"css/system/components/reset-appearance.module.css";s:32:"css/components/resize.module.css";s:39:"css/system/components/resize.module.css";s:39:"css/components/sticky-header.module.css";s:46:"css/system/components/sticky-header.module.css";s:40:"css/components/system-status-counter.css";s:47:"css/system/components/system-status-counter.css";s:48:"css/components/system-status-report-counters.css";s:55:"css/system/components/system-status-report-counters.css";s:52:"css/components/system-status-report-general-info.css";s:59:"css/system/components/system-status-report-general-info.css";s:35:"css/components/tabledrag.module.css";s:42:"css/system/components/tabledrag.module.css";s:35:"css/components/tablesort.module.css";s:42:"css/system/components/tablesort.module.css";s:36:"css/components/tree-child.module.css";s:43:"css/system/components/tree-child.module.css";}}}s:12:"system/admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:20:"css/system.admin.css";s:27:"css/system/system.admin.css";}}}s:18:"system/maintenance";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/system.maintenance.css";s:33:"css/system/system.maintenance.css";}}}s:11:"system/diff";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/system.diff.css";s:26:"css/system/system.diff.css";}}}s:24:"taxonomy/drupal.taxonomy";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:22:"css/taxonomy.theme.css";s:31:"css/taxonomy/taxonomy.theme.css";}}}s:15:"toolbar/toolbar";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/toolbar.module.css";s:30:"css/toolbar/toolbar.module.css";}s:5:"theme";a:2:{s:21:"css/toolbar.theme.css";s:29:"css/toolbar/toolbar.theme.css";s:27:"css/toolbar.icons.theme.css";s:35:"css/toolbar/toolbar.icons.theme.css";}}}s:20:"toolbar/toolbar.menu";a:1:{s:3:"css";a:1:{s:5:"state";a:1:{s:20:"css/toolbar.menu.css";s:28:"css/toolbar/toolbar.menu.css";}}}s:17:"tour/tour-styling";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/tour.module.css";s:24:"css/tour/tour.module.css";}}}s:26:"update/drupal.update.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:26:"css/update.admin.theme.css";s:33:"css/update/update.admin.theme.css";}}}s:16:"user/drupal.user";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:19:"css/user.module.css";s:24:"css/user/user.module.css";}}}s:22:"user/drupal.user.admin";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:18:"css/user.admin.css";s:23:"css/user/user.admin.css";}}}s:22:"user/drupal.user.icons";a:1:{s:3:"css";a:1:{s:5:"theme";a:1:{s:24:"css/user.icons.admin.css";s:29:"css/user/user.icons.admin.css";}}}s:18:"views/views.module";a:1:{s:3:"css";a:1:{s:9:"component";a:1:{s:20:"css/views.module.css";s:26:"css/views/views.module.css";}}}s:22:"views_ui/admin.styling";a:1:{s:3:"css";a:2:{s:9:"component";a:1:{s:22:"css/views_ui.admin.css";s:31:"css/views_ui/views_ui.admin.css";}s:5:"theme";a:2:{s:28:"css/views_ui.admin.theme.css";s:37:"css/views_ui/views_ui.admin.theme.css";s:27:"css/views_ui.contextual.css";s:36:"css/views_ui/views_ui.contextual.css";}}}}s:16:"libraries-extend";a:3:{s:16:"core/drupal.ajax";a:1:{i:0;s:18:"stable/drupal.ajax";}s:16:"user/drupal.user";a:1:{i:0;s:18:"stable/drupal.user";}s:9:"tour/tour";a:1:{i:0;s:11:"stable/tour";}}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/stable/screenshot.png";s:3:"php";s:5:"7.3.0";s:9:"libraries";a:0:{}s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:0:{}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:6:"classy";a:24:{s:4:"name";s:6:"Classy";s:4:"type";s:5:"theme";s:10:"base theme";s:6:"stable";s:9:"lifecycle";s:10:"deprecated";s:14:"lifecycle_link";s:40:"https://drupal.org/node/3223395#s-classy";s:11:"description";s:176:"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href="https://www.drupal.org/docs/8/theming">Drupal 8 Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:6:"hidden";b:1;s:9:"libraries";a:3:{i:0;s:11:"classy/base";i:1;s:15:"classy/messages";i:2;s:14:"core/normalize";}s:16:"libraries-extend";a:8:{s:16:"user/drupal.user";a:1:{i:0;s:11:"classy/user";}s:22:"core/drupal.dropbutton";a:1:{i:0;s:17:"classy/dropbutton";}s:18:"core/drupal.dialog";a:1:{i:0;s:13:"classy/dialog";}s:16:"file/drupal.file";a:1:{i:0;s:11:"classy/file";}s:20:"core/drupal.progress";a:1:{i:0;s:15:"classy/progress";}s:32:"media/media_embed_ckeditor_theme";a:1:{i:0;s:33:"classy/media_embed_ckeditor_theme";}s:18:"media_library/view";a:1:{i:0;s:20:"classy/media_library";}s:20:"media_library/widget";a:1:{i:0;s:20:"classy/media_library";}}s:20:"ckeditor_stylesheets";a:1:{i:0;s:36:"css/components/media-embed-error.css";}s:24:"core_version_requirement";s:5:"9.5.7";s:17:"core_incompatible";b:0;s:5:"mtime";i:1679676878;s:6:"engine";s:4:"twig";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:12:"primary_menu";s:12:"Primary menu";s:14:"secondary_menu";s:14:"Secondary menu";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:10:"breadcrumb";s:10:"Breadcrumb";}s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:33:"core/themes/classy/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:6:"stable";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}s:14:"conferenceplus";a:21:{s:4:"name";s:11:"Conference+";s:4:"type";s:5:"theme";s:10:"base theme";s:6:"classy";s:11:"description";s:86:"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.";s:7:"version";s:5:"5.5.0";s:4:"core";s:3:"8.x";s:24:"core_version_requirement";s:8:"^8 || ^9";s:9:"libraries";a:8:{i:0;s:29:"conferenceplus/global-styling";i:1;s:23:"conferenceplus/messages";i:2;s:22:"conferenceplus/tooltip";i:3;s:28:"conferenceplus/count-to-init";i:4;s:32:"conferenceplus/local-stylesheets";i:5;s:33:"conferenceplus/in-page-navigation";i:6;s:28:"conferenceplus/mt-count-down";i:7;s:30:"conferenceplus/fontawesome-css";}s:18:"libraries-override";a:1:{s:11:"classy/base";a:1:{s:3:"css";a:1:{s:9:"component";a:2:{s:29:"css/components/breadcrumb.css";b:0;s:24:"css/components/pager.css";b:0;}}}}s:7:"regions";a:34:{s:8:"slideout";s:8:"Slideout";s:28:"header_top_highlighted_first";s:28:"Header Top Highlighted First";s:29:"header_top_highlighted_second";s:29:"Header Top Highlighted Second";s:16:"header_top_first";s:16:"Header Top First";s:17:"header_top_second";s:17:"Header Top Second";s:12:"header_first";s:12:"Header First";s:6:"header";s:13:"Header Second";s:12:"header_third";s:12:"Header Third";s:6:"banner";s:6:"Banner";s:15:"system_messages";s:15:"System Messages";s:11:"content_top";s:11:"Content Top";s:23:"content_top_highlighted";s:23:"Content Top Highlighted";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar First";s:14:"sidebar_second";s:14:"Sidebar Second";s:20:"content_bottom_first";s:20:"Content Bottom First";s:21:"content_bottom_second";s:21:"Content Bottom Second";s:12:"featured_top";s:12:"Featured Top";s:8:"featured";s:8:"Featured";s:15:"featured_bottom";s:15:"Featured Bottom";s:12:"sub_featured";s:12:"Sub Featured";s:15:"highlighted_top";s:15:"Highlighted Top";s:11:"highlighted";s:11:"Highlighted";s:16:"footer_top_first";s:16:"Footer Top First";s:17:"footer_top_second";s:17:"Footer Top Second";s:12:"footer_first";s:12:"Footer First";s:13:"footer_second";s:13:"Footer Second";s:12:"footer_third";s:12:"Footer Third";s:13:"footer_fourth";s:13:"Footer Fourth";s:12:"footer_fifth";s:12:"Footer Fifth";s:13:"footer_bottom";s:13:"Footer Bottom";s:16:"sub_footer_first";s:15:"Subfooter First";s:6:"footer";s:16:"Subfooter Second";s:24:"hidden_blocks_collection";s:24:"Hidden blocks collection";}s:17:"core_incompatible";b:0;s:9:"lifecycle";s:6:"stable";s:5:"mtime";i:1681464804;s:6:"engine";s:4:"twig";s:8:"features";a:5:{i:0;s:7:"favicon";i:1;s:4:"logo";i:2;s:17:"node_user_picture";i:3;s:20:"comment_user_picture";i:4;s:25:"comment_user_verification";}s:10:"screenshot";s:43:"themes/custom/conferenceplus/screenshot.png";s:3:"php";s:5:"7.3.0";s:16:"libraries_extend";a:0:{}s:18:"libraries_override";a:0:{}s:12:"dependencies";a:1:{i:0;s:6:"classy";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}}}', -1, '1681653975.645', 1, '', '0');
INSERT INTO `cache_default` VALUES
('theme_registry:bartik', 'a:234:{s:14:"bef_checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:14:"bef-checkboxes";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_bef_checkboxes";i:2;s:21:"contextual_preprocess";}}s:10:"bef_radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-radios";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_radios";i:2;s:21:"contextual_preprocess";}}s:9:"bef_links";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:9:"bef-links";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_bef_links";i:2;s:21:"contextual_preprocess";}}s:10:"bef_hidden";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-hidden";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_hidden";i:2;s:21:"contextual_preprocess";}}s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"block";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:24;s:23:"bartik_preprocess_block";}}s:22:"block_content_add_list";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:23:"block_content.pages.inc";s:4:"type";s:6:"module";s:10:"theme path";s:26:"core/modules/block_content";s:8:"includes";a:1:{i:0;s:50:"core/modules/block_content/block_content.pages.inc";}s:8:"template";s:22:"block-content-add-list";s:4:"path";s:36:"core/modules/block_content/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_block_content_add_list";i:2;s:21:"contextual_preprocess";}}s:25:"ckeditor_settings_toolbar";a:8:{s:4:"file";s:18:"ckeditor.admin.inc";s:9:"variables";a:2:{s:6:"editor";N;s:7:"plugins";N;}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/ckeditor";s:8:"includes";a:1:{i:0;s:40:"core/modules/ckeditor/ckeditor.admin.inc";}s:8:"template";s:25:"ckeditor-settings-toolbar";s:4:"path";s:31:"core/modules/ckeditor/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_ckeditor_settings_toolbar";i:2;s:21:"contextual_preprocess";}}s:17:"color_scheme_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/color";s:8:"template";s:17:"color-scheme-form";s:4:"path";s:28:"core/modules/color/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_color_scheme_form";i:2;s:21:"contextual_preprocess";}}s:7:"comment";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:7:"comment";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_comment";i:2;s:21:"contextual_preprocess";i:3;s:22:"rdf_preprocess_comment";i:4;s:24:"views_preprocess_comment";i:5;s:31:"field_group_build_entity_groups";}}s:14:"field__comment";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:14:"field--comment";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}s:14:"render element";s:7:"element";}s:15:"horizontal_tabs";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:15:"horizontal-tabs";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_horizontal_tabs";i:2;s:21:"contextual_preprocess";}}s:26:"field_group_accordion_item";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:26:"field-group-accordion-item";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_field_group_accordion_item";i:2;s:21:"contextual_preprocess";}}s:21:"field_group_accordion";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:21:"field-group-accordion";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_field_group_accordion";i:2;s:21:"contextual_preprocess";}}s:24:"field_group_html_element";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:24:"field-group-html-element";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_field_group_html_element";i:2;s:21:"contextual_preprocess";}}s:14:"field_ui_table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/field_ui";s:8:"template";s:14:"field-ui-table";s:4:"path";s:31:"core/modules/field_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_field_ui_table";i:2;s:21:"contextual_preprocess";}}s:9:"file_link";a:6:{s:9:"variables";a:3:{s:4:"file";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:9:"file-link";s:4:"path";s:34:"core/themes/bartik/templates/field";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_file_link";i:2;s:21:"contextual_preprocess";i:3;s:28:"webform_preprocess_file_link";}}s:17:"file_managed_file";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:17:"file-managed-file";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_file_managed_file";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_file_managed_file";}}s:10:"file_audio";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:10:"file-audio";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"file_video";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:10:"file-video";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"file_widget_multiple";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:20:"file-widget-multiple";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_file_widget_multiple";i:2;s:21:"contextual_preprocess";}}s:16:"file_upload_help";a:8:{s:9:"variables";a:3:{s:11:"description";N;s:17:"upload_validators";N;s:11:"cardinality";N;}s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:16:"file-upload-help";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_file_upload_help";i:2;s:21:"contextual_preprocess";i:3;s:35:"webform_preprocess_file_upload_help";}}s:11:"filter_tips";a:6:{s:9:"variables";a:2:{s:4:"tips";N;s:4:"long";b:0;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:11:"filter-tips";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_filter_tips";i:2;s:21:"contextual_preprocess";}}s:19:"text_format_wrapper";a:6:{s:9:"variables";a:3:{s:8:"children";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:19:"text-format-wrapper";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_text_format_wrapper";i:2;s:21:"contextual_preprocess";}}s:17:"filter_guidelines";a:6:{s:9:"variables";a:1:{s:6:"format";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:17:"filter-guidelines";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_filter_guidelines";i:2;s:21:"contextual_preprocess";}}s:14:"filter_caption";a:6:{s:9:"variables";a:4:{s:4:"node";N;s:3:"tag";N;s:7:"caption";N;s:7:"classes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:14:"filter-caption";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"fontawesomeicons";a:6:{s:9:"variables";a:2:{s:5:"icons";N;s:6:"layers";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:16:"fontawesomeicons";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"fontawesomeicon";a:6:{s:9:"variables";a:7:{s:3:"tag";s:1:"i";s:4:"name";N;s:5:"style";N;s:8:"settings";N;s:10:"transforms";N;s:4:"mask";N;s:3:"css";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:15:"fontawesomeicon";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"fullcalendar";a:7:{s:4:"file";s:27:"fullcalendar_view.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/fullcalendar_view";s:8:"includes";a:1:{i:0;s:53:"modules/fullcalendar_view/fullcalendar_view.theme.inc";}s:8:"template";s:12:"fullcalendar";s:4:"path";s:35:"modules/fullcalendar_view/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"help_section";a:6:{s:9:"variables";a:4:{s:5:"title";N;s:11:"description";N;s:5:"links";N;s:5:"empty";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:12:"help-section";s:4:"path";s:40:"core/themes/bartik/templates/classy/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:11:"image-style";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";a:8:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:19:"image-style-preview";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_image_style_preview";i:2;s:21:"contextual_preprocess";}}s:12:"image_anchor";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:12:"image-anchor";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_anchor";i:2;s:21:"contextual_preprocess";}}s:20:"image_resize_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-resize-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"image_scale_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:19:"image-scale-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"image_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:18:"image-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"image_scale_and_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:28:"image-scale-and-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"image_rotate_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-rotate-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"image_widget";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.field.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"includes";a:2:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:12:"image-widget";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_widget";i:2;s:21:"contextual_preprocess";i:6;s:30:"bartik_preprocess_image_widget";}}s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";a:6:{s:8:"template";s:11:"juicer-feed";s:9:"variables";a:7:{s:7:"feed_id";N;s:8:"post_num";N;s:14:"infinite_pages";N;s:10:"gutter_amt";N;s:10:"column_num";N;s:7:"filters";N;s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"modules/juicerio";s:4:"path";s:26:"modules/juicerio/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"link_formatter_link_separate";a:6:{s:9:"variables";a:3:{s:5:"title";N;s:9:"url_title";N;s:3:"url";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:28:"link-formatter-link-separate";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_link_formatter_link_separate";i:2;s:21:"contextual_preprocess";}}s:16:"mt_cookieconsent";a:6:{s:8:"template";s:16:"mt_cookieconsent";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:31:"modules/custom/mt_cookieconsent";s:4:"path";s:41:"modules/custom/mt_cookieconsent/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"mt_countdown";a:6:{s:8:"template";s:19:"block--mt_countdown";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:27:"modules/custom/mt_countdown";s:4:"path";s:37:"modules/custom/mt_countdown/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"node";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:10;s:22:"bartik_preprocess_node";i:11;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";a:6:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:13:"node-add-list";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_node_add_list";i:2;s:21:"contextual_preprocess";}}s:14:"node_edit_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:14:"node-edit-form";s:4:"path";s:48:"core/themes/bartik/templates/classy/content-edit";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:18:"field--node--title";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:16:"field--node--uid";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";i:11;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:20:"field--node--created";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";a:6:{s:9:"variables";a:2:{s:10:"attributes";a:0:{}s:7:"content";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:11:"rdf-wrapper";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:40:"core/themes/bartik/templates/classy/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";a:8:{s:9:"variables";a:2:{s:6:"result";N;s:9:"plugin_id";N;}s:4:"file";s:16:"search.pages.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"includes";a:2:{i:0;s:36:"core/modules/search/search.pages.inc";i:1;s:36:"core/modules/search/search.pages.inc";}s:8:"template";s:13:"search-result";s:4:"path";s:43:"core/themes/bartik/templates/classy/content";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_search_result";i:2;s:21:"contextual_preprocess";}}s:9:"superfish";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:9:"superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_superfish";i:2;s:21:"contextual_preprocess";}}s:20:"superfish_menu_items";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:20:"superfish-menu-items";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_superfish_menu_items";i:2;s:21:"contextual_preprocess";}}s:14:"superfish_help";a:6:{s:9:"variables";a:2:{s:5:"title";N;s:7:"content";N;}s:8:"template";s:15:"superfish--help";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"html";s:4:"path";s:42:"core/themes/bartik/templates/classy/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:14;s:22:"bartik_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"page";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:10:"page-title";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";i:8;s:28:"bartik_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:6:"region";s:4:"path";s:42:"core/themes/bartik/templates/classy/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";a:6:{s:9:"variables";a:3:{s:9:"timestamp";N;s:4:"text";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"time";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_time";i:2;s:21:"contextual_preprocess";}}s:13:"datetime_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:13:"datetime-form";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_datetime_form";i:2;s:21:"contextual_preprocess";i:3;s:32:"webform_preprocess_datetime_form";}}s:16:"datetime_wrapper";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:16:"datetime-wrapper";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_datetime_wrapper";i:2;s:21:"contextual_preprocess";}}s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:15:"status-messages";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"bartik_preprocess_links";}}s:18:"dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"dropbutton-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"image";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:10:"breadcrumb";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"table";s:4:"path";s:43:"core/themes/bartik/templates/classy/dataset";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_table";i:2;s:21:"contextual_preprocess";i:3;s:24:"webform_preprocess_table";}}s:19:"tablesort_indicator";a:6:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:19:"tablesort-indicator";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"mark";a:6:{s:9:"variables";a:1:{s:6:"status";i:1;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"mark";s:4:"path";s:43:"core/themes/bartik/templates/classy/content";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:9:"item_list";a:6:{s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:9:"item-list";s:4:"path";s:43:"core/themes/bartik/templates/classy/dataset";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:9:"feed_icon";a:6:{s:9:"variables";a:2:{s:3:"url";N;s:5:"title";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"feed-icon";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"progress_bar";a:6:{s:9:"variables";a:3:{s:5:"label";N;s:7:"percent";N;s:7:"message";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:12:"progress-bar";s:4:"path";s:40:"core/themes/bartik/templates/classy/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"indentation";a:6:{s:9:"variables";a:1:{s:4:"size";i:1;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:11:"indentation";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"maintenance_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:16:"maintenance-page";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_maintenance_page";i:2;s:21:"contextual_preprocess";i:6;s:34:"bartik_preprocess_maintenance_page";}}s:12:"install_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"install-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_install_page";i:2;s:21:"contextual_preprocess";}}s:21:"maintenance_task_list";a:6:{s:9:"variables";a:3:{s:5:"items";N;s:6:"active";N;s:7:"variant";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"maintenance-task-list";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_maintenance_task_list";i:2;s:21:"contextual_preprocess";}}s:16:"authorize_report";a:7:{s:9:"variables";a:2:{s:8:"messages";a:0:{}s:10:"attributes";a:0:{}}s:8:"includes";a:1:{i:0;s:35:"core/includes/theme.maintenance.inc";}s:8:"template";s:16:"authorize-report";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_authorize_report";i:2;s:21:"contextual_preprocess";}}s:5:"pager";a:6:{s:14:"render element";s:5:"pager";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"pager";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_pager";i:2;s:21:"contextual_preprocess";}}s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"menu";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:22:"bartik_preprocess_menu";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:15:"menu-local-task";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";}}s:17:"menu_local_action";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:17:"menu-local-action";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_menu_local_action";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_menu_local_action";i:4;s:39:"webform_ui_preprocess_menu_local_action";}}s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"input";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";}}s:6:"select";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:6:"select";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_select";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_select";}}s:8:"fieldset";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:8:"fieldset";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";}}s:7:"details";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:7:"details";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";}}s:6:"radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:6:"radios";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_radios";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_radios";}}s:10:"checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:10:"checkboxes";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_checkboxes";i:2;s:21:"contextual_preprocess";i:3;s:29:"webform_preprocess_checkboxes";}}s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:8:"textarea";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_textarea";i:2;s:21:"contextual_preprocess";}}s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:12:"form-element";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:18:"form-element-label";s:4:"path";s:40:"core/themes/bartik/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"vertical-tabs";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_vertical_tabs";i:2;s:21:"contextual_preprocess";}}s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"field";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:25:"field_multiple_value_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:25:"field-multiple-value-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_field_multiple_value_form";i:2;s:21:"contextual_preprocess";i:3;s:47:"paragraphs_preprocess_field_multiple_value_form";}}s:28:"block__system_branding_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}s:14:"render element";s:8:"elements";}s:24:"block__system_menu_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:28:"core/themes/bartik/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:18:"system_themes_page";a:8:{s:9:"variables";a:2:{s:12:"theme_groups";a:0:{}s:18:"theme_group_titles";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-themes-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_themes_page";i:2;s:21:"contextual_preprocess";}}s:18:"system_config_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"system-config-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"confirm_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"confirm-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:22:"system_modules_details";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:22:"system-modules-details";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_system_modules_details";i:2;s:21:"contextual_preprocess";}}s:24:"system_modules_uninstall";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:24:"system-modules-uninstall";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_system_modules_uninstall";i:2;s:21:"contextual_preprocess";}}s:18:"status_report_page";a:6:{s:9:"variables";a:3:{s:8:"counters";a:0:{}s:12:"general_info";a:0:{}s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"status-report-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:13:"status_report";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"status-report";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_grouped";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"status-report-grouped";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_counter";a:6:{s:9:"variables";a:3:{s:6:"amount";N;s:4:"text";N;s:8:"severity";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"status-report-counter";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"status_report_general_info";a:6:{s:9:"variables";a:7:{s:6:"drupal";a:0:{}s:4:"cron";a:0:{}s:15:"database_system";a:0:{}s:23:"database_system_version";a:0:{}s:3:"php";a:0:{}s:16:"php_memory_limit";a:0:{}s:9:"webserver";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:26:"status-report-general-info";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"admin_page";a:8:{s:9:"variables";a:1:{s:6:"blocks";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:10:"admin-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_admin_page";i:2;s:21:"contextual_preprocess";}}s:11:"admin_block";a:8:{s:9:"variables";a:2:{s:5:"block";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:11:"admin-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"admin_block_content";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:19:"admin-block-content";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_admin_block_content";i:2;s:21:"contextual_preprocess";}}s:18:"system_admin_index";a:8:{s:9:"variables";a:1:{s:10:"menu_items";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-admin-index";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_admin_index";i:2;s:21:"contextual_preprocess";}}s:15:"entity_add_list";a:6:{s:9:"variables";a:2:{s:7:"bundles";a:0:{}s:18:"add_bundle_message";N;}s:8:"template";s:15:"entity-add-list";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_entity_add_list";i:2;s:21:"contextual_preprocess";}}s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";a:8:{s:4:"file";s:16:"system.theme.inc";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.theme.inc";}s:8:"template";s:46:"system-security-advisories-fetch-error-message";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:66:"template_preprocess_system_security_advisories_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:17:"entity_page_title";a:6:{s:9:"variables";a:4:{s:10:"attributes";a:0:{}s:5:"title";N;s:6:"entity";N;s:9:"view_mode";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:17:"entity-page-title";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:38:"quickedit_preprocess_entity_page_title";}}s:13:"taxonomy_term";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:13:"taxonomy-term";s:4:"path";s:43:"core/themes/bartik/templates/classy/content";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_taxonomy_term";i:2;s:21:"contextual_preprocess";i:3;s:28:"rdf_preprocess_taxonomy_term";i:4;s:31:"field_group_build_entity_groups";}}s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:7:"toolbar";s:4:"path";s:46:"core/themes/bartik/templates/classy/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:22:"bartik_preprocess_menu";}}s:17:"update_last_check";a:6:{s:9:"variables";a:1:{s:4:"last";i:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"template";s:17:"update-last-check";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_update_last_check";i:2;s:21:"contextual_preprocess";}}s:13:"update_report";a:8:{s:9:"variables";a:1:{s:4:"data";N;}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:13:"update-report";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_update_report";i:2;s:21:"contextual_preprocess";}}s:21:"update_project_status";a:8:{s:9:"variables";a:1:{s:7:"project";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:21:"update-project-status";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_update_project_status";i:2;s:21:"contextual_preprocess";}}s:14:"update_version";a:8:{s:9:"variables";a:3:{s:7:"version";N;s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:14:"update-version";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_update_version";i:2;s:21:"contextual_preprocess";}}s:26:"update_fetch_error_message";a:9:{s:4:"file";s:17:"update.report.inc";s:14:"render element";s:7:"element";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:26:"update-fetch-error-message";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_update_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:4:"user";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:4:"user";s:4:"path";s:40:"core/themes/bartik/templates/classy/user";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_user";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_user";i:4;s:31:"field_group_build_entity_groups";}}s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:8:"username";s:4:"path";s:40:"core/themes/bartik/templates/classy/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";a:6:{s:9:"variables";a:4:{s:3:"url";s:0:"";s:5:"query";a:0:{}s:10:"attributes";a:0:{}s:8:"fragment";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:18:"video-embed-iframe";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:34:"video_embed_field_missing_provider";a:6:{s:9:"variables";a:0:{}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:34:"video-embed-field-missing-provider";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_display_tab_setting";a:8:{s:9:"variables";a:7:{s:11:"description";s:0:"";s:4:"link";s:0:"";s:14:"settings_links";a:0:{}s:10:"overridden";b:0;s:9:"defaulted";b:0;s:21:"description_separator";b:1;s:5:"class";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-display-tab-setting";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_display_tab_setting";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_display_tab_bucket";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-display-tab-bucket";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_display_tab_bucket";i:2;s:21:"contextual_preprocess";}}s:30:"views_ui_rearrange_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:30:"views-ui-rearrange-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_ui_rearrange_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_expose_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-expose-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_ui_view_info";a:8:{s:9:"variables";a:2:{s:4:"view";N;s:8:"displays";N;}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-view-info";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_views_listing_table";a:8:{s:9:"variables";a:3:{s:7:"headers";N;s:4:"rows";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-views-listing-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_views_listing_table";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_view_displays_list";a:6:{s:9:"variables";a:1:{s:8:"displays";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"template";s:27:"views-ui-view-displays-list";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"views_ui_build_group_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:32:"views-ui-build-group-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:52:"template_preprocess_views_ui_build_group_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_style_plugin_table";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-style-plugin-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_style_plugin_table";i:2;s:21:"contextual_preprocess";}}s:29:"views_ui_view_preview_section";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"section";N;s:7:"content";N;s:5:"links";s:0:"";}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:29:"views-ui-view-preview-section";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_views_ui_view_preview_section";i:2;s:21:"contextual_preprocess";}}s:18:"views_ui_container";a:8:{s:9:"variables";a:2:{s:8:"children";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-container";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"webform_help";a:8:{s:9:"variables";a:1:{s:4:"info";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:12:"webform-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_webform_help";i:2;s:21:"contextual_preprocess";}}s:26:"webform_help_video_youtube";a:8:{s:9:"variables";a:2:{s:10:"youtube_id";N;s:8:"autoplay";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-help-video-youtube";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_help_support";a:8:{s:9:"variables";a:3:{s:7:"account";a:0:{}s:10:"membership";a:0:{}s:12:"contribution";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-help-support";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:7:"webform";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:7:"webform";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_webform";i:2;s:21:"contextual_preprocess";}}s:15:"webform_actions";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-actions";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_actions";i:2;s:21:"contextual_preprocess";}}s:21:"webform_access_denied";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:10:"attributes";a:0:{}s:7:"webform";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:21:"webform-access-denied";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:30:"webform_handler_action_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-handler-action-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_debug_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-debug-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_email_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-email-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:35:"webform_handler_remote_post_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:35:"webform-handler-remote-post-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_handler_settings_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-handler-settings-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_variant_override_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"variant";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-variant-override-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_confirmation";a:8:{s:9:"variables";a:3:{s:7:"webform";N;s:13:"source_entity";N;s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-confirmation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_confirmation";i:2;s:21:"contextual_preprocess";}}s:16:"webform_required";a:8:{s:9:"variables";a:1:{s:5:"label";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-required";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"webform_submission";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-submission";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_submission";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-form";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_submission_navigation";a:8:{s:9:"variables";a:1:{s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-submission-navigation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_submission_navigation";i:2;s:21:"contextual_preprocess";}}s:30:"webform_submission_information";a:8:{s:9:"variables";a:3:{s:18:"webform_submission";N;s:13:"source_entity";N;s:4:"open";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-submission-information";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_webform_submission_information";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_data";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-data";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_submission_data";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_html";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_text";i:2;s:21:"contextual_preprocess";}}s:27:"webform_container_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:27:"webform_container_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_element_help";a:8:{s:9:"variables";a:3:{s:4:"help";N;s:10:"help_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_help";i:2;s:21:"contextual_preprocess";}}s:20:"webform_element_more";a:8:{s:9:"variables";a:3:{s:4:"more";N;s:10:"more_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-more";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_more";i:2;s:21:"contextual_preprocess";}}s:28:"webform_element_managed_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:28:"webform-element-managed-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_webform_element_managed_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_audio_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-audio-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_audio_file";i:2;s:21:"contextual_preprocess";}}s:29:"webform_element_document_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-element-document-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_element_document_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_image_file";a:8:{s:9:"variables";a:7:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;s:10:"style_name";N;s:6:"format";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-image-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_image_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_video_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-video-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_video_file";i:2;s:21:"contextual_preprocess";}}s:18:"webform_email_html";a:8:{s:9:"variables";a:4:{s:7:"subject";s:0:"";s:4:"body";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-email-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_html";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_text";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_html_editor_markup";a:8:{s:9:"variables";a:2:{s:6:"markup";N;s:12:"allowed_tags";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-html-editor-markup";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_html_editor_markup";i:2;s:21:"contextual_preprocess";}}s:23:"webform_horizontal_rule";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-horizontal-rule";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_horizontal_rule";i:2;s:21:"contextual_preprocess";}}s:15:"webform_message";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-message";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_message";i:2;s:21:"contextual_preprocess";}}s:15:"webform_section";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-section";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_section";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_address";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-address";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_address";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_contact";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-contact";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_contact";i:2;s:21:"contextual_preprocess";}}s:26:"webform_composite_location";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-composite-location";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_composite_location";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_link";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-link";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_link";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_name";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-name";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_name";i:2;s:21:"contextual_preprocess";}}s:27:"webform_composite_telephone";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-composite-telephone";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_webform_composite_telephone";i:2;s:21:"contextual_preprocess";}}s:18:"webform_codemirror";a:8:{s:9:"variables";a:2:{s:4:"code";N;s:4:"type";s:4:"text";}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-codemirror";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_codemirror";i:2;s:21:"contextual_preprocess";}}s:16:"webform_progress";a:8:{s:9:"variables";a:5:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-progress";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_webform_progress";i:2;s:21:"contextual_preprocess";}}s:20:"webform_progress_bar";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-progress-bar";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_progress_bar";i:2;s:21:"contextual_preprocess";}}s:24:"webform_progress_tracker";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:24:"webform-progress-tracker";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_webform_progress_tracker";i:2;s:21:"contextual_preprocess";}}s:4:"font";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:4:"font";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:28:"fontyourface_preprocess_font";i:3;s:31:"field_group_build_entity_groups";}}s:10:"font__full";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:10:"font--full";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"fontyourface_preprocess_font__full";}}s:12:"font__teaser";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:12:"font--teaser";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:36:"fontyourface_preprocess_font__teaser";}}s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:5:{s:4:"view";N;s:8:"grouping";N;s:14:"grouping_level";N;s:4:"rows";N;s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-grouping";s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_grouping";i:2;s:21:"contextual_preprocess";}}s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-row-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_row_opml";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_row_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-row-rss";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_row_rss";i:2;s:21:"contextual_preprocess";}}s:17:"views_view_fields";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";}}s:23:"views_view_fullcalendar";a:6:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"modules/fullcalendar_view/templates";s:8:"template";s:23:"views-view-fullcalendar";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_views_view_fullcalendar";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_grid";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-grid";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_grid";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_summary";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-summary";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_summary";i:2;s:21:"contextual_preprocess";}}s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_opml";i:2;s:21:"contextual_preprocess";}}s:14:"views_view_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:14:"views-view-rss";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_views_view_rss";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_table";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-table";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_table";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_list";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";}}s:30:"views_view_summary_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:30:"views-view-summary-unformatted";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_view_summary_unformatted";i:2;s:21:"contextual_preprocess";}}s:21:"views_form_views_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:21:"views-form-views-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_exposed_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-exposed-form";s:4:"path";s:41:"core/themes/bartik/templates/classy/views";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_exposed_form";i:2;s:52:"better_exposed_filters_preprocess_views_exposed_form";i:3;s:21:"contextual_preprocess";}}s:9:"paragraph";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:9:"paragraph";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:31:"field_group_build_entity_groups";}}s:29:"paragraphs_dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:29:"paragraphs-dropbutton-wrapper";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"paragraphs_info_icon";a:6:{s:9:"variables";a:2:{s:7:"message";N;s:4:"icon";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:20:"paragraphs-info-icon";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"paragraphs_add_dialog";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:21:"paragraphs-add-dialog";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_paragraphs_add_dialog";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_actions";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-actions";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_actions";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_summary";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_summary";i:2;s:21:"contextual_preprocess";}}s:26:"block__local_actions_block";a:7:{s:8:"template";s:26:"block--local-actions-block";s:4:"path";s:41:"core/themes/bartik/templates/classy/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:24:"block__local_tasks_block";a:7:{s:8:"template";s:24:"block--local-tasks-block";s:4:"path";s:41:"core/themes/bartik/templates/classy/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:24:"block__search_form_block";a:7:{s:8:"template";s:24:"block--search-form-block";s:4:"path";s:28:"core/themes/bartik/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:23:"bartik_preprocess_block";}}s:14:"region__header";a:7:{s:8:"template";s:14:"region--header";s:4:"path";s:28:"core/themes/bartik/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:25:"links__media_library_menu";a:7:{s:8:"template";s:25:"links--media-library-menu";s:4:"path";s:49:"core/themes/bartik/templates/classy/media-library";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"bartik_preprocess_links";i:4;s:43:"bartik_preprocess_links__media_library_menu";}}s:11:"links__node";a:7:{s:8:"template";s:11:"links--node";s:4:"path";s:43:"core/themes/bartik/templates/classy/content";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"bartik_preprocess_links";}}s:25:"item_list__search_results";a:7:{s:8:"template";s:25:"item-list--search-results";s:4:"path";s:43:"core/themes/bartik/templates/classy/dataset";s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:9:"base hook";s:9:"item_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:23:"form__search_block_form";a:7:{s:8:"template";s:23:"form--search-block-form";s:4:"path";s:28:"core/themes/bartik/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:32:"container__media_library_content";a:7:{s:8:"template";s:32:"container--media-library-content";s:4:"path";s:49:"core/themes/bartik/templates/classy/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:41:"container__media_library_widget_selection";a:7:{s:8:"template";s:41:"container--media-library-widget-selection";s:4:"path";s:49:"core/themes/bartik/templates/classy/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:34:"container__text_format_filter_help";a:7:{s:8:"template";s:34:"container--text-format-filter-help";s:4:"path";s:40:"core/themes/bartik/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:37:"container__text_format_filter_wrapper";a:7:{s:8:"template";s:37:"container--text-format-filter-wrapper";s:4:"path";s:40:"core/themes/bartik/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:40:"container__text_format_filter_guidelines";a:7:{s:8:"template";s:40:"container--text-format-filter-guidelines";s:4:"path";s:40:"core/themes/bartik/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:24:"field__text_with_summary";a:7:{s:8:"template";s:24:"field--text-with-summary";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:11:"field__text";a:7:{s:8:"template";s:11:"field--text";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:16:"field__text_long";a:7:{s:8:"template";s:16:"field--text-long";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:23:"field__node__field_tags";a:7:{s:8:"template";s:23:"field--node--field-tags";s:4:"path";s:28:"core/themes/bartik/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:27:"node_preprocess_field__node";}}s:37:"views_view_unformatted__media_library";a:8:{s:8:"template";s:37:"views-view-unformatted--media-library";s:4:"path";s:49:"core/themes/bartik/templates/classy/media-library";s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:9:"base hook";s:22:"views_view_unformatted";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}}s:11:"field__node";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:18:"core/themes/bartik";s:8:"template";s:5:"field";s:4:"path";s:41:"core/themes/bartik/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:9:"base hook";s:5:"field";}}', -1, '1681650074.845', 1, 'theme_registry', '0');
INSERT INTO `cache_default` VALUES
('theme_registry:build:modules', 'a:215:{s:14:"bef_checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:14:"bef-checkboxes";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_bef_checkboxes";i:2;s:21:"contextual_preprocess";}}s:10:"bef_radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-radios";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_radios";i:2;s:21:"contextual_preprocess";}}s:9:"bef_links";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:9:"bef-links";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_bef_links";i:2;s:21:"contextual_preprocess";}}s:10:"bef_hidden";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-hidden";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_hidden";i:2;s:21:"contextual_preprocess";}}s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/block";s:8:"template";s:5:"block";s:4:"path";s:28:"core/modules/block/templates";s:20:"preprocess functions";a:12:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";}}s:22:"block_content_add_list";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:23:"block_content.pages.inc";s:4:"type";s:6:"module";s:10:"theme path";s:26:"core/modules/block_content";s:8:"includes";a:1:{i:0;s:50:"core/modules/block_content/block_content.pages.inc";}s:8:"template";s:22:"block-content-add-list";s:4:"path";s:36:"core/modules/block_content/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_block_content_add_list";i:2;s:21:"contextual_preprocess";}}s:25:"ckeditor_settings_toolbar";a:8:{s:4:"file";s:18:"ckeditor.admin.inc";s:9:"variables";a:2:{s:6:"editor";N;s:7:"plugins";N;}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/ckeditor";s:8:"includes";a:1:{i:0;s:40:"core/modules/ckeditor/ckeditor.admin.inc";}s:8:"template";s:25:"ckeditor-settings-toolbar";s:4:"path";s:31:"core/modules/ckeditor/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_ckeditor_settings_toolbar";i:2;s:21:"contextual_preprocess";}}s:17:"color_scheme_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/color";s:8:"template";s:17:"color-scheme-form";s:4:"path";s:28:"core/modules/color/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_color_scheme_form";i:2;s:21:"contextual_preprocess";}}s:7:"comment";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/comment";s:8:"template";s:7:"comment";s:4:"path";s:30:"core/modules/comment/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_comment";i:2;s:21:"contextual_preprocess";i:3;s:22:"rdf_preprocess_comment";i:4;s:24:"views_preprocess_comment";}}s:14:"field__comment";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/comment";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:14:"field--comment";s:4:"path";s:30:"core/modules/comment/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"horizontal_tabs";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:15:"horizontal-tabs";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_horizontal_tabs";i:2;s:21:"contextual_preprocess";}}s:26:"field_group_accordion_item";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:26:"field-group-accordion-item";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_field_group_accordion_item";i:2;s:21:"contextual_preprocess";}}s:21:"field_group_accordion";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:21:"field-group-accordion";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_field_group_accordion";i:2;s:21:"contextual_preprocess";}}s:24:"field_group_html_element";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:24:"field-group-html-element";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_field_group_html_element";i:2;s:21:"contextual_preprocess";}}s:14:"field_ui_table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/field_ui";s:8:"template";s:14:"field-ui-table";s:4:"path";s:31:"core/modules/field_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_field_ui_table";i:2;s:21:"contextual_preprocess";}}s:9:"file_link";a:6:{s:9:"variables";a:3:{s:4:"file";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:9:"file-link";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_file_link";i:2;s:21:"contextual_preprocess";i:3;s:28:"webform_preprocess_file_link";}}s:17:"file_managed_file";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:17:"file-managed-file";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_file_managed_file";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_file_managed_file";}}s:10:"file_audio";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:10:"file-audio";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"file_video";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:10:"file-video";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"file_widget_multiple";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:20:"file-widget-multiple";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_file_widget_multiple";i:2;s:21:"contextual_preprocess";}}s:16:"file_upload_help";a:8:{s:9:"variables";a:3:{s:11:"description";N;s:17:"upload_validators";N;s:11:"cardinality";N;}s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:16:"file-upload-help";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_file_upload_help";i:2;s:21:"contextual_preprocess";i:3;s:35:"webform_preprocess_file_upload_help";}}s:11:"filter_tips";a:6:{s:9:"variables";a:2:{s:4:"tips";N;s:4:"long";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/filter";s:8:"template";s:11:"filter-tips";s:4:"path";s:29:"core/modules/filter/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_filter_tips";i:2;s:21:"contextual_preprocess";}}s:19:"text_format_wrapper";a:6:{s:9:"variables";a:3:{s:8:"children";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/filter";s:8:"template";s:19:"text-format-wrapper";s:4:"path";s:29:"core/modules/filter/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_text_format_wrapper";i:2;s:21:"contextual_preprocess";}}s:17:"filter_guidelines";a:6:{s:9:"variables";a:1:{s:6:"format";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/filter";s:8:"template";s:17:"filter-guidelines";s:4:"path";s:29:"core/modules/filter/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_filter_guidelines";i:2;s:21:"contextual_preprocess";}}s:14:"filter_caption";a:6:{s:9:"variables";a:4:{s:4:"node";N;s:3:"tag";N;s:7:"caption";N;s:7:"classes";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/filter";s:8:"template";s:14:"filter-caption";s:4:"path";s:29:"core/modules/filter/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"fontawesomeicons";a:6:{s:9:"variables";a:2:{s:5:"icons";N;s:6:"layers";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:16:"fontawesomeicons";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"fontawesomeicon";a:6:{s:9:"variables";a:8:{s:3:"tag";s:1:"i";s:7:"iconset";s:0:"";s:4:"name";N;s:5:"style";N;s:8:"settings";N;s:10:"transforms";N;s:4:"mask";N;s:3:"css";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:15:"fontawesomeicon";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"fullcalendar";a:7:{s:4:"file";s:27:"fullcalendar_view.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/fullcalendar_view";s:8:"includes";a:1:{i:0;s:53:"modules/fullcalendar_view/fullcalendar_view.theme.inc";}s:8:"template";s:12:"fullcalendar";s:4:"path";s:35:"modules/fullcalendar_view/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"help_section";a:6:{s:9:"variables";a:4:{s:5:"title";N;s:11:"description";N;s:5:"links";N;s:5:"empty";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/help";s:8:"template";s:12:"help-section";s:4:"path";s:27:"core/modules/help/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:11:"image-style";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";a:8:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:19:"image-style-preview";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_image_style_preview";i:2;s:21:"contextual_preprocess";}}s:12:"image_anchor";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:12:"image-anchor";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_anchor";i:2;s:21:"contextual_preprocess";}}s:20:"image_resize_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-resize-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"image_scale_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:19:"image-scale-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"image_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:18:"image-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"image_scale_and_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:28:"image-scale-and-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"image_rotate_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-rotate-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"image_widget";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:12:"image-widget";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_widget";i:2;s:21:"contextual_preprocess";}}s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";a:6:{s:8:"template";s:11:"juicer-feed";s:9:"variables";a:7:{s:7:"feed_id";N;s:8:"post_num";N;s:14:"infinite_pages";N;s:10:"gutter_amt";N;s:10:"column_num";N;s:7:"filters";N;s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"modules/juicerio";s:4:"path";s:26:"modules/juicerio/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"link_formatter_link_separate";a:6:{s:9:"variables";a:3:{s:5:"title";N;s:9:"url_title";N;s:3:"url";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/link";s:8:"template";s:28:"link-formatter-link-separate";s:4:"path";s:27:"core/modules/link/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_link_formatter_link_separate";i:2;s:21:"contextual_preprocess";}}s:16:"mt_cookieconsent";a:6:{s:8:"template";s:16:"mt_cookieconsent";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:31:"modules/custom/mt_cookieconsent";s:4:"path";s:41:"modules/custom/mt_cookieconsent/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"mt_countdown";a:6:{s:8:"template";s:19:"block--mt_countdown";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:27:"modules/custom/mt_countdown";s:4:"path";s:37:"modules/custom/mt_countdown/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:4:"node";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";}}s:13:"node_add_list";a:6:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:13:"node-add-list";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_node_add_list";i:2;s:21:"contextual_preprocess";}}s:14:"node_edit_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:14:"node-edit-form";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:18:"field--node--title";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:16:"field--node--uid";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"rdf_preprocess_field__node__uid";}}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:20:"field--node--created";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"rdf_wrapper";a:6:{s:9:"variables";a:2:{s:10:"attributes";a:0:{}s:7:"content";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:11:"rdf-wrapper";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";a:8:{s:9:"variables";a:2:{s:6:"result";N;s:9:"plugin_id";N;}s:4:"file";s:16:"search.pages.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/search";s:8:"includes";a:1:{i:0;s:36:"core/modules/search/search.pages.inc";}s:8:"template";s:13:"search-result";s:4:"path";s:29:"core/modules/search/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_search_result";i:2;s:21:"contextual_preprocess";}}s:9:"superfish";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:9:"superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_superfish";i:2;s:21:"contextual_preprocess";}}s:20:"superfish_menu_items";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:20:"superfish-menu-items";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_superfish_menu_items";i:2;s:21:"contextual_preprocess";}}s:14:"superfish_help";a:6:{s:9:"variables";a:2:{s:5:"title";N;s:7:"content";N;}s:8:"template";s:15:"superfish--help";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"html";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:10:"page-title";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:6:"region";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";a:6:{s:9:"variables";a:3:{s:9:"timestamp";N;s:4:"text";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"time";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_time";i:2;s:21:"contextual_preprocess";}}s:13:"datetime_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"datetime-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_datetime_form";i:2;s:21:"contextual_preprocess";i:3;s:32:"webform_preprocess_datetime_form";}}s:16:"datetime_wrapper";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:16:"datetime-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_datetime_wrapper";i:2;s:21:"contextual_preprocess";}}s:15:"status_messages";a:6:{s:9:"variables";a:2:{s:15:"status_headings";a:0:{}s:12:"message_list";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:15:"status-messages";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";}}s:18:"dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"dropbutton-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"image";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:10:"breadcrumb";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"table";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_table";i:2;s:21:"contextual_preprocess";i:3;s:24:"webform_preprocess_table";}}s:19:"tablesort_indicator";a:6:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:19:"tablesort-indicator";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"mark";a:6:{s:9:"variables";a:1:{s:6:"status";i:1;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"mark";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:9:"item_list";a:6:{s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"item-list";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:9:"feed_icon";a:6:{s:9:"variables";a:2:{s:3:"url";N;s:5:"title";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"feed-icon";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"progress_bar";a:6:{s:9:"variables";a:3:{s:5:"label";N;s:7:"percent";N;s:7:"message";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"progress-bar";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"indentation";a:6:{s:9:"variables";a:1:{s:4:"size";i:1;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:11:"indentation";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"maintenance_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:16:"maintenance-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_maintenance_page";i:2;s:21:"contextual_preprocess";}}s:12:"install_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"install-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_install_page";i:2;s:21:"contextual_preprocess";}}s:21:"maintenance_task_list";a:6:{s:9:"variables";a:3:{s:5:"items";N;s:6:"active";N;s:7:"variant";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"maintenance-task-list";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_maintenance_task_list";i:2;s:21:"contextual_preprocess";}}s:16:"authorize_report";a:7:{s:9:"variables";a:2:{s:8:"messages";a:0:{}s:10:"attributes";a:0:{}}s:8:"includes";a:1:{i:0;s:35:"core/includes/theme.maintenance.inc";}s:8:"template";s:16:"authorize-report";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_authorize_report";i:2;s:21:"contextual_preprocess";}}s:5:"pager";a:6:{s:14:"render element";s:5:"pager";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"pager";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_pager";i:2;s:21:"contextual_preprocess";}}s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"menu";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:15:"menu-local-task";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";}}s:17:"menu_local_action";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:17:"menu-local-action";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_menu_local_action";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_menu_local_action";i:4;s:39:"webform_ui_preprocess_menu_local_action";}}s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"input";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";}}s:6:"select";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:6:"select";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_select";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_select";}}s:8:"fieldset";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:8:"fieldset";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";}}s:7:"details";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:7:"details";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";}}s:6:"radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:6:"radios";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_radios";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_radios";}}s:10:"checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:10:"checkboxes";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_checkboxes";i:2;s:21:"contextual_preprocess";i:3;s:29:"webform_preprocess_checkboxes";}}s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:8:"textarea";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_textarea";i:2;s:21:"contextual_preprocess";}}s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"form-element";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"form-element-label";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"vertical-tabs";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_vertical_tabs";i:2;s:21:"contextual_preprocess";}}s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"field";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:25:"field_multiple_value_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:25:"field-multiple-value-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_field_multiple_value_form";i:2;s:21:"contextual_preprocess";i:3;s:47:"paragraphs_preprocess_field_multiple_value_form";}}s:28:"block__system_branding_block";a:8:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:24:"block__system_menu_block";a:8:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"system_themes_page";a:8:{s:9:"variables";a:2:{s:12:"theme_groups";a:0:{}s:18:"theme_group_titles";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-themes-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_themes_page";i:2;s:21:"contextual_preprocess";}}s:18:"system_config_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"system-config-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"confirm_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"confirm-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:22:"system_modules_details";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:22:"system-modules-details";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_system_modules_details";i:2;s:21:"contextual_preprocess";}}s:24:"system_modules_uninstall";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:24:"system-modules-uninstall";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_system_modules_uninstall";i:2;s:21:"contextual_preprocess";}}s:18:"status_report_page";a:6:{s:9:"variables";a:3:{s:8:"counters";a:0:{}s:12:"general_info";a:0:{}s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"status-report-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:13:"status_report";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"status-report";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_grouped";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"status-report-grouped";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_counter";a:6:{s:9:"variables";a:3:{s:6:"amount";N;s:4:"text";N;s:8:"severity";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"status-report-counter";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"status_report_general_info";a:6:{s:9:"variables";a:7:{s:6:"drupal";a:0:{}s:4:"cron";a:0:{}s:15:"database_system";a:0:{}s:23:"database_system_version";a:0:{}s:3:"php";a:0:{}s:16:"php_memory_limit";a:0:{}s:9:"webserver";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:26:"status-report-general-info";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"admin_page";a:8:{s:9:"variables";a:1:{s:6:"blocks";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:10:"admin-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_admin_page";i:2;s:21:"contextual_preprocess";}}s:11:"admin_block";a:8:{s:9:"variables";a:2:{s:5:"block";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:11:"admin-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"admin_block_content";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:19:"admin-block-content";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_admin_block_content";i:2;s:21:"contextual_preprocess";}}s:18:"system_admin_index";a:8:{s:9:"variables";a:1:{s:10:"menu_items";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-admin-index";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_admin_index";i:2;s:21:"contextual_preprocess";}}s:15:"entity_add_list";a:6:{s:9:"variables";a:2:{s:7:"bundles";a:0:{}s:18:"add_bundle_message";N;}s:8:"template";s:15:"entity-add-list";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_entity_add_list";i:2;s:21:"contextual_preprocess";}}s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";a:8:{s:4:"file";s:16:"system.theme.inc";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.theme.inc";}s:8:"template";s:46:"system-security-advisories-fetch-error-message";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:66:"template_preprocess_system_security_advisories_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:17:"entity_page_title";a:6:{s:9:"variables";a:4:{s:10:"attributes";a:0:{}s:5:"title";N;s:6:"entity";N;s:9:"view_mode";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:17:"entity-page-title";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:38:"quickedit_preprocess_entity_page_title";}}s:13:"taxonomy_term";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/taxonomy";s:8:"template";s:13:"taxonomy-term";s:4:"path";s:31:"core/modules/taxonomy/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_taxonomy_term";i:2;s:21:"contextual_preprocess";i:3;s:28:"rdf_preprocess_taxonomy_term";}}s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:7:"toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:8:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:31:"incomplete preprocess functions";b:1;s:8:"template";s:13:"menu--toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:17:"update_last_check";a:6:{s:9:"variables";a:1:{s:4:"last";i:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"template";s:17:"update-last-check";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_update_last_check";i:2;s:21:"contextual_preprocess";}}s:13:"update_report";a:8:{s:9:"variables";a:1:{s:4:"data";N;}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:13:"update-report";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_update_report";i:2;s:21:"contextual_preprocess";}}s:21:"update_project_status";a:8:{s:9:"variables";a:1:{s:7:"project";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:21:"update-project-status";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_update_project_status";i:2;s:21:"contextual_preprocess";}}s:14:"update_version";a:8:{s:9:"variables";a:3:{s:7:"version";N;s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:14:"update-version";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_update_version";i:2;s:21:"contextual_preprocess";}}s:26:"update_fetch_error_message";a:9:{s:4:"file";s:17:"update.report.inc";s:14:"render element";s:7:"element";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:26:"update-fetch-error-message";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_update_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:4:"user";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/user";s:8:"template";s:4:"user";s:4:"path";s:27:"core/modules/user/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_user";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_user";}}s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/user";s:8:"template";s:8:"username";s:4:"path";s:27:"core/modules/user/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";a:6:{s:9:"variables";a:4:{s:3:"url";s:0:"";s:5:"query";a:0:{}s:10:"attributes";a:0:{}s:8:"fragment";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:18:"video-embed-iframe";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:34:"video_embed_field_missing_provider";a:6:{s:9:"variables";a:0:{}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:34:"video-embed-field-missing-provider";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_display_tab_setting";a:8:{s:9:"variables";a:7:{s:11:"description";s:0:"";s:4:"link";s:0:"";s:14:"settings_links";a:0:{}s:10:"overridden";b:0;s:9:"defaulted";b:0;s:21:"description_separator";b:1;s:5:"class";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-display-tab-setting";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_display_tab_setting";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_display_tab_bucket";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-display-tab-bucket";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_display_tab_bucket";i:2;s:21:"contextual_preprocess";}}s:30:"views_ui_rearrange_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:30:"views-ui-rearrange-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_ui_rearrange_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_expose_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-expose-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_ui_view_info";a:8:{s:9:"variables";a:2:{s:4:"view";N;s:8:"displays";N;}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-view-info";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_views_listing_table";a:8:{s:9:"variables";a:3:{s:7:"headers";N;s:4:"rows";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-views-listing-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_views_listing_table";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_view_displays_list";a:6:{s:9:"variables";a:1:{s:8:"displays";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"template";s:27:"views-ui-view-displays-list";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"views_ui_build_group_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:32:"views-ui-build-group-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:52:"template_preprocess_views_ui_build_group_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_style_plugin_table";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-style-plugin-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_style_plugin_table";i:2;s:21:"contextual_preprocess";}}s:29:"views_ui_view_preview_section";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"section";N;s:7:"content";N;s:5:"links";s:0:"";}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:29:"views-ui-view-preview-section";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_views_ui_view_preview_section";i:2;s:21:"contextual_preprocess";}}s:18:"views_ui_container";a:8:{s:9:"variables";a:2:{s:8:"children";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-container";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"webform_help";a:8:{s:9:"variables";a:1:{s:4:"info";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:12:"webform-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_webform_help";i:2;s:21:"contextual_preprocess";}}s:26:"webform_help_video_youtube";a:8:{s:9:"variables";a:2:{s:10:"youtube_id";N;s:8:"autoplay";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-help-video-youtube";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_help_support";a:8:{s:9:"variables";a:3:{s:7:"account";a:0:{}s:10:"membership";a:0:{}s:12:"contribution";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-help-support";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:7:"webform";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:7:"webform";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_webform";i:2;s:21:"contextual_preprocess";}}s:15:"webform_actions";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-actions";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_actions";i:2;s:21:"contextual_preprocess";}}s:21:"webform_access_denied";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:10:"attributes";a:0:{}s:7:"webform";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:21:"webform-access-denied";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:30:"webform_handler_action_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-handler-action-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_debug_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-debug-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_email_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-email-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:35:"webform_handler_remote_post_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:35:"webform-handler-remote-post-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_handler_settings_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-handler-settings-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_variant_override_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"variant";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-variant-override-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_confirmation";a:8:{s:9:"variables";a:3:{s:7:"webform";N;s:13:"source_entity";N;s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-confirmation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_confirmation";i:2;s:21:"contextual_preprocess";}}s:16:"webform_required";a:8:{s:9:"variables";a:1:{s:5:"label";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-required";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"webform_submission";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-submission";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_submission";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-form";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_submission_navigation";a:8:{s:9:"variables";a:1:{s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-submission-navigation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_submission_navigation";i:2;s:21:"contextual_preprocess";}}s:30:"webform_submission_information";a:8:{s:9:"variables";a:3:{s:18:"webform_submission";N;s:13:"source_entity";N;s:4:"open";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-submission-information";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_webform_submission_information";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_data";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-data";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_submission_data";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_html";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_text";i:2;s:21:"contextual_preprocess";}}s:27:"webform_container_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:27:"webform_container_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_element_help";a:8:{s:9:"variables";a:3:{s:4:"help";N;s:10:"help_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_help";i:2;s:21:"contextual_preprocess";}}s:20:"webform_element_more";a:8:{s:9:"variables";a:3:{s:4:"more";N;s:10:"more_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-more";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_more";i:2;s:21:"contextual_preprocess";}}s:28:"webform_element_managed_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:28:"webform-element-managed-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_webform_element_managed_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_audio_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-audio-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_audio_file";i:2;s:21:"contextual_preprocess";}}s:29:"webform_element_document_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-element-document-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_element_document_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_image_file";a:8:{s:9:"variables";a:7:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;s:10:"style_name";N;s:6:"format";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-image-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_image_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_video_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-video-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_video_file";i:2;s:21:"contextual_preprocess";}}s:18:"webform_email_html";a:8:{s:9:"variables";a:4:{s:7:"subject";s:0:"";s:4:"body";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-email-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_html";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_text";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_html_editor_markup";a:8:{s:9:"variables";a:2:{s:6:"markup";N;s:12:"allowed_tags";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-html-editor-markup";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_html_editor_markup";i:2;s:21:"contextual_preprocess";}}s:23:"webform_horizontal_rule";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-horizontal-rule";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_horizontal_rule";i:2;s:21:"contextual_preprocess";}}s:15:"webform_message";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-message";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_message";i:2;s:21:"contextual_preprocess";}}s:15:"webform_section";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-section";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_section";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_address";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-address";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_address";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_contact";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-contact";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_contact";i:2;s:21:"contextual_preprocess";}}s:26:"webform_composite_location";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-composite-location";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_composite_location";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_link";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-link";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_link";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_name";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-name";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_name";i:2;s:21:"contextual_preprocess";}}s:27:"webform_composite_telephone";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-composite-telephone";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_webform_composite_telephone";i:2;s:21:"contextual_preprocess";}}s:18:"webform_codemirror";a:8:{s:9:"variables";a:2:{s:4:"code";N;s:4:"type";s:4:"text";}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-codemirror";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_codemirror";i:2;s:21:"contextual_preprocess";}}s:16:"webform_progress";a:8:{s:9:"variables";a:5:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-progress";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_webform_progress";i:2;s:21:"contextual_preprocess";}}s:20:"webform_progress_bar";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-progress-bar";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_progress_bar";i:2;s:21:"contextual_preprocess";}}s:24:"webform_progress_tracker";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:24:"webform-progress-tracker";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_webform_progress_tracker";i:2;s:21:"contextual_preprocess";}}s:4:"font";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:4:"font";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:28:"fontyourface_preprocess_font";}}s:10:"font__full";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:10:"font--full";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"fontyourface_preprocess_font__full";}}s:12:"font__teaser";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:12:"font--teaser";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:36:"fontyourface_preprocess_font__teaser";}}s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:5:{s:4:"view";N;s:8:"grouping";N;s:14:"grouping_level";N;s:4:"rows";N;s:5:"title";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-grouping";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_grouping";i:2;s:21:"contextual_preprocess";}}s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-row-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_row_opml";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_row_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-row-rss";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_row_rss";i:2;s:21:"contextual_preprocess";}}s:17:"views_view_fields";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";}}s:23:"views_view_fullcalendar";a:6:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"modules/fullcalendar_view/templates";s:8:"template";s:23:"views-view-fullcalendar";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_views_view_fullcalendar";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_grid";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-grid";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_grid";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_summary";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_summary";i:2;s:21:"contextual_preprocess";}}s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_opml";i:2;s:21:"contextual_preprocess";}}s:14:"views_view_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:14:"views-view-rss";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_views_view_rss";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_table";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-table";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_table";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_list";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";}}s:30:"views_view_summary_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:30:"views-view-summary-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_view_summary_unformatted";i:2;s:21:"contextual_preprocess";}}s:21:"views_form_views_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:21:"views-form-views-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_exposed_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-exposed-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_exposed_form";i:2;s:52:"better_exposed_filters_preprocess_views_exposed_form";i:3;s:21:"contextual_preprocess";}}s:9:"paragraph";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:9:"paragraph";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";}}s:29:"paragraphs_dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:29:"paragraphs-dropbutton-wrapper";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"paragraphs_info_icon";a:6:{s:9:"variables";a:2:{s:7:"message";N;s:4:"icon";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:20:"paragraphs-info-icon";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"paragraphs_add_dialog";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:21:"paragraphs-add-dialog";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_paragraphs_add_dialog";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_actions";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-actions";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_actions";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_summary";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_summary";i:2;s:21:"contextual_preprocess";}}}', -1, '1681652749.102', 1, 'theme_registry', '2');
INSERT INTO `cache_default` VALUES
('theme_registry:claro', 'a:244:{s:14:"bef_checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:14:"bef-checkboxes";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_bef_checkboxes";i:2;s:21:"contextual_preprocess";}}s:10:"bef_radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-radios";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_radios";i:2;s:21:"contextual_preprocess";}}s:9:"bef_links";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:9:"bef-links";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_bef_links";i:2;s:21:"contextual_preprocess";}}s:10:"bef_hidden";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-hidden";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_hidden";i:2;s:21:"contextual_preprocess";}}s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"block";s:4:"path";s:40:"core/themes/claro/templates/classy/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:24;s:22:"claro_preprocess_block";}}s:22:"block_content_add_list";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:23:"block_content.pages.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:50:"core/modules/block_content/block_content.pages.inc";i:1;s:50:"core/modules/block_content/block_content.pages.inc";}s:8:"template";s:22:"block-content-add-list";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_block_content_add_list";i:2;s:21:"contextual_preprocess";i:6;s:39:"claro_preprocess_block_content_add_list";}}s:25:"ckeditor_settings_toolbar";a:8:{s:4:"file";s:18:"ckeditor.admin.inc";s:9:"variables";a:2:{s:6:"editor";N;s:7:"plugins";N;}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/ckeditor";s:8:"includes";a:1:{i:0;s:40:"core/modules/ckeditor/ckeditor.admin.inc";}s:8:"template";s:25:"ckeditor-settings-toolbar";s:4:"path";s:31:"core/modules/ckeditor/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_ckeditor_settings_toolbar";i:2;s:21:"contextual_preprocess";}}s:17:"color_scheme_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/color";s:8:"template";s:17:"color-scheme-form";s:4:"path";s:28:"core/modules/color/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_color_scheme_form";i:2;s:21:"contextual_preprocess";}}s:7:"comment";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:7:"comment";s:4:"path";s:42:"core/themes/claro/templates/classy/content";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_comment";i:2;s:21:"contextual_preprocess";i:3;s:22:"rdf_preprocess_comment";i:4;s:24:"views_preprocess_comment";i:5;s:31:"field_group_build_entity_groups";}}s:14:"field__comment";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:14:"field--comment";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}s:14:"render element";s:7:"element";}s:15:"horizontal_tabs";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:15:"horizontal-tabs";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_horizontal_tabs";i:2;s:21:"contextual_preprocess";}}s:26:"field_group_accordion_item";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:26:"field-group-accordion-item";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_field_group_accordion_item";i:2;s:21:"contextual_preprocess";}}s:21:"field_group_accordion";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:21:"field-group-accordion";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_field_group_accordion";i:2;s:21:"contextual_preprocess";}}s:24:"field_group_html_element";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:24:"field-group-html-element";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_field_group_html_element";i:2;s:21:"contextual_preprocess";}}s:14:"field_ui_table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:14:"field-ui-table";s:4:"path";s:31:"core/modules/field_ui/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_field_ui_table";i:2;s:21:"contextual_preprocess";i:3;s:31:"claro_preprocess_field_ui_table";}}s:9:"file_link";a:6:{s:9:"variables";a:3:{s:4:"file";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:9:"file-link";s:4:"path";s:33:"core/themes/claro/templates/field";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_file_link";i:2;s:21:"contextual_preprocess";i:3;s:28:"webform_preprocess_file_link";}}s:17:"file_managed_file";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:17:"file-managed-file";s:4:"path";s:40:"core/themes/claro/templates/content-edit";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_file_managed_file";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_file_managed_file";i:8;s:34:"claro_preprocess_file_managed_file";}}s:10:"file_audio";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:10:"file-audio";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"file_video";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:10:"file-video";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"file_widget_multiple";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:14:"file.field.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:32:"core/modules/file/file.field.inc";i:1;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:20:"file-widget-multiple";s:4:"path";s:40:"core/themes/claro/templates/content-edit";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_file_widget_multiple";i:2;s:21:"contextual_preprocess";i:6;s:37:"claro_preprocess_file_widget_multiple";}}s:16:"file_upload_help";a:8:{s:9:"variables";a:3:{s:11:"description";N;s:17:"upload_validators";N;s:11:"cardinality";N;}s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:16:"file-upload-help";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_file_upload_help";i:2;s:21:"contextual_preprocess";i:3;s:35:"webform_preprocess_file_upload_help";}}s:11:"filter_tips";a:6:{s:9:"variables";a:2:{s:4:"tips";N;s:4:"long";b:0;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:11:"filter-tips";s:4:"path";s:34:"core/themes/claro/templates/filter";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_filter_tips";i:2;s:21:"contextual_preprocess";i:6;s:28:"claro_preprocess_filter_tips";}}s:19:"text_format_wrapper";a:6:{s:9:"variables";a:4:{s:8:"children";N;s:11:"description";N;s:10:"attributes";a:0:{}s:8:"disabled";b:0;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:19:"text-format-wrapper";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_text_format_wrapper";i:2;s:21:"contextual_preprocess";i:6;s:36:"claro_preprocess_text_format_wrapper";}}s:17:"filter_guidelines";a:6:{s:9:"variables";a:1:{s:6:"format";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:17:"filter-guidelines";s:4:"path";s:34:"core/themes/claro/templates/filter";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_filter_guidelines";i:2;s:21:"contextual_preprocess";i:6;s:34:"claro_preprocess_filter_guidelines";}}s:14:"filter_caption";a:6:{s:9:"variables";a:4:{s:4:"node";N;s:3:"tag";N;s:7:"caption";N;s:7:"classes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:14:"filter-caption";s:4:"path";s:47:"core/themes/claro/templates/classy/content-edit";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"fontawesomeicons";a:6:{s:9:"variables";a:2:{s:5:"icons";N;s:6:"layers";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:16:"fontawesomeicons";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"fontawesomeicon";a:6:{s:9:"variables";a:7:{s:3:"tag";s:1:"i";s:4:"name";N;s:5:"style";N;s:8:"settings";N;s:10:"transforms";N;s:4:"mask";N;s:3:"css";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:15:"fontawesomeicon";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"fullcalendar";a:7:{s:4:"file";s:27:"fullcalendar_view.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/fullcalendar_view";s:8:"includes";a:1:{i:0;s:53:"modules/fullcalendar_view/fullcalendar_view.theme.inc";}s:8:"template";s:12:"fullcalendar";s:4:"path";s:35:"modules/fullcalendar_view/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"help_section";a:6:{s:9:"variables";a:4:{s:5:"title";N;s:11:"description";N;s:5:"links";N;s:5:"empty";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:12:"help-section";s:4:"path";s:39:"core/themes/claro/templates/classy/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:11:"image-style";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";a:8:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:19:"image-style-preview";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_image_style_preview";i:2;s:21:"contextual_preprocess";}}s:12:"image_anchor";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:12:"image-anchor";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_anchor";i:2;s:21:"contextual_preprocess";}}s:20:"image_resize_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-resize-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"image_scale_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:19:"image-scale-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"image_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:18:"image-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"image_scale_and_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:28:"image-scale-and-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"image_rotate_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-rotate-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"image_widget";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.field.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:12:"image-widget";s:4:"path";s:40:"core/themes/claro/templates/content-edit";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_widget";i:2;s:21:"contextual_preprocess";i:6;s:29:"claro_preprocess_image_widget";}}s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";a:6:{s:8:"template";s:11:"juicer-feed";s:9:"variables";a:7:{s:7:"feed_id";N;s:8:"post_num";N;s:14:"infinite_pages";N;s:10:"gutter_amt";N;s:10:"column_num";N;s:7:"filters";N;s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"modules/juicerio";s:4:"path";s:26:"modules/juicerio/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"link_formatter_link_separate";a:6:{s:9:"variables";a:3:{s:5:"title";N;s:9:"url_title";N;s:3:"url";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:28:"link-formatter-link-separate";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_link_formatter_link_separate";i:2;s:21:"contextual_preprocess";}}s:16:"mt_cookieconsent";a:6:{s:8:"template";s:16:"mt_cookieconsent";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:31:"modules/custom/mt_cookieconsent";s:4:"path";s:41:"modules/custom/mt_cookieconsent/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"mt_countdown";a:6:{s:8:"template";s:19:"block--mt_countdown";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:27:"modules/custom/mt_countdown";s:4:"path";s:37:"modules/custom/mt_countdown/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:4:"node";s:4:"path";s:42:"core/themes/claro/templates/classy/content";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";a:6:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:13:"node-add-list";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_node_add_list";i:2;s:21:"contextual_preprocess";i:6;s:30:"claro_preprocess_node_add_list";}}s:14:"node_edit_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:14:"node-edit-form";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:18:"field--node--title";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:16:"field--node--uid";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";i:11;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:20:"field--node--created";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";a:6:{s:9:"variables";a:2:{s:10:"attributes";a:0:{}s:7:"content";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:11:"rdf-wrapper";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:39:"core/themes/claro/templates/classy/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";a:8:{s:9:"variables";a:2:{s:6:"result";N;s:9:"plugin_id";N;}s:4:"file";s:16:"search.pages.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:36:"core/modules/search/search.pages.inc";i:1;s:36:"core/modules/search/search.pages.inc";}s:8:"template";s:13:"search-result";s:4:"path";s:42:"core/themes/claro/templates/classy/content";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_search_result";i:2;s:21:"contextual_preprocess";}}s:9:"superfish";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:9:"superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_superfish";i:2;s:21:"contextual_preprocess";}}s:20:"superfish_menu_items";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:20:"superfish-menu-items";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_superfish_menu_items";i:2;s:21:"contextual_preprocess";}}s:14:"superfish_help";a:6:{s:9:"variables";a:2:{s:5:"title";N;s:7:"content";N;}s:8:"template";s:15:"superfish--help";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:4:"html";s:4:"path";s:41:"core/themes/claro/templates/classy/layout";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:4:"page";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:10:"page-title";s:4:"path";s:42:"core/themes/claro/templates/classy/content";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:6:"region";s:4:"path";s:41:"core/themes/claro/templates/classy/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";a:6:{s:9:"variables";a:3:{s:9:"timestamp";N;s:4:"text";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:4:"time";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_time";i:2;s:21:"contextual_preprocess";}}s:13:"datetime_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:13:"datetime-form";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_datetime_form";i:2;s:21:"contextual_preprocess";i:3;s:32:"webform_preprocess_datetime_form";}}s:16:"datetime_wrapper";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:16:"datetime-wrapper";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_datetime_wrapper";i:2;s:21:"contextual_preprocess";i:6;s:33:"claro_preprocess_datetime_wrapper";}}s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:15:"status-messages";s:4:"path";s:32:"core/themes/claro/templates/misc";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";i:6;s:32:"claro_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"claro_preprocess_links";}}s:18:"dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"dropbutton-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"image";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:10:"breadcrumb";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"table";s:4:"path";s:42:"core/themes/claro/templates/classy/dataset";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_table";i:2;s:21:"contextual_preprocess";i:3;s:24:"webform_preprocess_table";i:8;s:22:"claro_preprocess_table";}}s:19:"tablesort_indicator";a:6:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:19:"tablesort-indicator";s:4:"path";s:33:"core/themes/claro/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"mark";a:6:{s:9:"variables";a:1:{s:6:"status";i:1;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:4:"mark";s:4:"path";s:42:"core/themes/claro/templates/classy/content";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:9:"item_list";a:6:{s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:9:"item-list";s:4:"path";s:42:"core/themes/claro/templates/classy/dataset";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:9:"feed_icon";a:6:{s:9:"variables";a:2:{s:3:"url";N;s:5:"title";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"feed-icon";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"progress_bar";a:6:{s:9:"variables";a:3:{s:5:"label";N;s:7:"percent";N;s:7:"message";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:12:"progress-bar";s:4:"path";s:39:"core/themes/claro/templates/classy/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"indentation";a:6:{s:9:"variables";a:1:{s:4:"size";i:1;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:11:"indentation";s:4:"path";s:33:"core/themes/claro/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"maintenance_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:16:"maintenance-page";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_maintenance_page";i:2;s:21:"contextual_preprocess";i:6;s:33:"claro_preprocess_maintenance_page";}}s:12:"install_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:12:"install-page";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_install_page";i:2;s:21:"contextual_preprocess";i:6;s:29:"claro_preprocess_install_page";}}s:21:"maintenance_task_list";a:6:{s:9:"variables";a:3:{s:5:"items";N;s:6:"active";N;s:7:"variant";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"maintenance-task-list";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_maintenance_task_list";i:2;s:21:"contextual_preprocess";}}s:16:"authorize_report";a:7:{s:9:"variables";a:2:{s:8:"messages";a:0:{}s:10:"attributes";a:0:{}}s:8:"includes";a:1:{i:0;s:35:"core/includes/theme.maintenance.inc";}s:8:"template";s:16:"authorize-report";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_authorize_report";i:2;s:21:"contextual_preprocess";}}s:5:"pager";a:6:{s:14:"render element";s:5:"pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"pager";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_pager";i:2;s:21:"contextual_preprocess";}}s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:4:"menu";s:4:"path";s:45:"core/themes/claro/templates/classy/navigation";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:15:"menu-local-task";s:4:"path";s:38:"core/themes/claro/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";i:6;s:32:"claro_preprocess_menu_local_task";}}s:17:"menu_local_action";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:17:"menu-local-action";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_menu_local_action";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_menu_local_action";i:4;s:39:"webform_ui_preprocess_menu_local_action";i:5;s:34:"claro_preprocess_menu_local_action";}}s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:33:"claro_preprocess_menu_local_tasks";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"input";s:4:"path";s:32:"core/themes/claro/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";i:6;s:22:"claro_preprocess_input";}}s:6:"select";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:6:"select";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_select";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_select";i:4;s:23:"claro_preprocess_select";}}s:8:"fieldset";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:8:"fieldset";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";i:8;s:25:"claro_preprocess_fieldset";}}s:7:"details";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:7:"details";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";i:8;s:24:"claro_preprocess_details";}}s:6:"radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:6:"radios";s:4:"path";s:32:"core/themes/claro/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_radios";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_radios";}}s:10:"checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:10:"checkboxes";s:4:"path";s:32:"core/themes/claro/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_checkboxes";i:2;s:21:"contextual_preprocess";i:3;s:29:"webform_preprocess_checkboxes";}}s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:8:"textarea";s:4:"path";s:32:"core/themes/claro/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_textarea";i:2;s:21:"contextual_preprocess";}}s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:12:"form-element";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";i:8;s:29:"claro_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:18:"form-element-label";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"vertical-tabs";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_vertical_tabs";i:2;s:21:"contextual_preprocess";}}s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"field";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:25:"field_multiple_value_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:25:"field-multiple-value-form";s:4:"path";s:32:"core/themes/claro/templates/form";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_field_multiple_value_form";i:2;s:21:"contextual_preprocess";i:3;s:47:"paragraphs_preprocess_field_multiple_value_form";i:8;s:42:"claro_preprocess_field_multiple_value_form";}}s:28:"block__system_branding_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:40:"core/themes/claro/templates/classy/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"claro_preprocess_block";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"claro_preprocess_block";}s:14:"render element";s:8:"elements";}s:24:"block__system_menu_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:40:"core/themes/claro/templates/classy/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"claro_preprocess_block";}}s:18:"system_themes_page";a:8:{s:9:"variables";a:2:{s:12:"theme_groups";a:0:{}s:18:"theme_group_titles";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-themes-page";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_themes_page";i:2;s:21:"contextual_preprocess";i:6;s:35:"claro_preprocess_system_themes_page";}}s:18:"system_config_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"system-config-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"confirm_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"confirm-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:22:"system_modules_details";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:22:"system-modules-details";s:4:"path";s:33:"core/themes/claro/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_system_modules_details";i:2;s:21:"contextual_preprocess";}}s:24:"system_modules_uninstall";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:24:"system-modules-uninstall";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_system_modules_uninstall";i:2;s:21:"contextual_preprocess";}}s:18:"status_report_page";a:6:{s:9:"variables";a:3:{s:8:"counters";a:0:{}s:12:"general_info";a:0:{}s:12:"requirements";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:18:"status-report-page";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:13:"status_report";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"status-report";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_grouped";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:21:"status-report-grouped";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_counter";a:6:{s:9:"variables";a:3:{s:6:"amount";N;s:4:"text";N;s:8:"severity";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:21:"status-report-counter";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"status_report_general_info";a:6:{s:9:"variables";a:7:{s:6:"drupal";a:0:{}s:4:"cron";a:0:{}s:15:"database_system";a:0:{}s:23:"database_system_version";a:0:{}s:3:"php";a:0:{}s:16:"php_memory_limit";a:0:{}s:9:"webserver";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:26:"status-report-general-info";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"admin_page";a:8:{s:9:"variables";a:1:{s:6:"blocks";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:10:"admin-page";s:4:"path";s:33:"core/themes/claro/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_admin_page";i:2;s:21:"contextual_preprocess";}}s:11:"admin_block";a:8:{s:9:"variables";a:2:{s:5:"block";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:11:"admin-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:28:"claro_preprocess_admin_block";}}s:19:"admin_block_content";a:8:{s:9:"variables";a:2:{s:7:"content";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:19:"admin-block-content";s:4:"path";s:33:"core/themes/claro/templates/admin";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_admin_block_content";i:2;s:21:"contextual_preprocess";i:6;s:36:"claro_preprocess_admin_block_content";}}s:18:"system_admin_index";a:8:{s:9:"variables";a:1:{s:10:"menu_items";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-admin-index";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_admin_index";i:2;s:21:"contextual_preprocess";}}s:15:"entity_add_list";a:6:{s:9:"variables";a:2:{s:7:"bundles";a:0:{}s:18:"add_bundle_message";N;}s:8:"template";s:15:"entity-add-list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_entity_add_list";i:2;s:21:"contextual_preprocess";i:6;s:32:"claro_preprocess_entity_add_list";}}s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";a:8:{s:4:"file";s:16:"system.theme.inc";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.theme.inc";}s:8:"template";s:46:"system-security-advisories-fetch-error-message";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:66:"template_preprocess_system_security_advisories_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:17:"entity_page_title";a:6:{s:9:"variables";a:4:{s:10:"attributes";a:0:{}s:5:"title";N;s:6:"entity";N;s:9:"view_mode";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:17:"entity-page-title";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:38:"quickedit_preprocess_entity_page_title";}}s:13:"taxonomy_term";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:13:"taxonomy-term";s:4:"path";s:42:"core/themes/claro/templates/classy/content";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_taxonomy_term";i:2;s:21:"contextual_preprocess";i:3;s:28:"rdf_preprocess_taxonomy_term";i:4;s:31:"field_group_build_entity_groups";}}s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:7:"toolbar";s:4:"path";s:45:"core/themes/claro/templates/classy/navigation";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";i:8;s:24:"claro_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:38:"core/themes/claro/templates/navigation";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:17:"update_last_check";a:6:{s:9:"variables";a:1:{s:4:"last";i:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"template";s:17:"update-last-check";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_update_last_check";i:2;s:21:"contextual_preprocess";}}s:13:"update_report";a:8:{s:9:"variables";a:1:{s:4:"data";N;}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:13:"update-report";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_update_report";i:2;s:21:"contextual_preprocess";}}s:21:"update_project_status";a:8:{s:9:"variables";a:1:{s:7:"project";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:21:"update-project-status";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_update_project_status";i:2;s:21:"contextual_preprocess";}}s:14:"update_version";a:8:{s:9:"variables";a:3:{s:7:"version";N;s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:37:"core/modules/update/update.report.inc";i:1;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:14:"update-version";s:4:"path";s:33:"core/themes/claro/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_update_version";i:2;s:21:"contextual_preprocess";}}s:26:"update_fetch_error_message";a:9:{s:4:"file";s:17:"update.report.inc";s:14:"render element";s:7:"element";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:26:"update-fetch-error-message";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_update_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:4:"user";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:4:"user";s:4:"path";s:39:"core/themes/claro/templates/classy/user";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_user";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_user";i:4;s:31:"field_group_build_entity_groups";}}s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:8:"username";s:4:"path";s:39:"core/themes/claro/templates/classy/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";a:6:{s:9:"variables";a:4:{s:3:"url";s:0:"";s:5:"query";a:0:{}s:10:"attributes";a:0:{}s:8:"fragment";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:18:"video-embed-iframe";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:34:"video_embed_field_missing_provider";a:6:{s:9:"variables";a:0:{}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:34:"video-embed-field-missing-provider";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_display_tab_setting";a:8:{s:9:"variables";a:7:{s:11:"description";s:0:"";s:4:"link";s:0:"";s:14:"settings_links";a:0:{}s:10:"overridden";b:0;s:9:"defaulted";b:0;s:21:"description_separator";b:1;s:5:"class";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-display-tab-setting";s:4:"path";s:33:"core/themes/claro/templates/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_display_tab_setting";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_display_tab_bucket";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-display-tab-bucket";s:4:"path";s:33:"core/themes/claro/templates/views";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_display_tab_bucket";i:2;s:21:"contextual_preprocess";i:6;s:44:"claro_preprocess_views_ui_display_tab_bucket";}}s:30:"views_ui_rearrange_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:30:"views-ui-rearrange-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_ui_rearrange_filter_form";i:2;s:21:"contextual_preprocess";i:3;s:47:"claro_preprocess_views_ui_rearrange_filter_form";}}s:27:"views_ui_expose_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-expose-filter-form";s:4:"path";s:33:"core/themes/claro/templates/views";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_ui_view_info";a:8:{s:9:"variables";a:2:{s:4:"view";N;s:8:"displays";N;}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-view-info";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_views_listing_table";a:8:{s:9:"variables";a:3:{s:7:"headers";N;s:4:"rows";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-views-listing-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_views_listing_table";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_view_displays_list";a:6:{s:9:"variables";a:1:{s:8:"displays";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"template";s:27:"views-ui-view-displays-list";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"views_ui_build_group_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:32:"views-ui-build-group-filter-form";s:4:"path";s:33:"core/themes/claro/templates/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:52:"template_preprocess_views_ui_build_group_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_style_plugin_table";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-style-plugin-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_style_plugin_table";i:2;s:21:"contextual_preprocess";}}s:29:"views_ui_view_preview_section";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"section";N;s:7:"content";N;s:5:"links";s:0:"";}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:29:"views-ui-view-preview-section";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_views_ui_view_preview_section";i:2;s:21:"contextual_preprocess";}}s:18:"views_ui_container";a:8:{s:9:"variables";a:2:{s:8:"children";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-container";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"webform_help";a:8:{s:9:"variables";a:1:{s:4:"info";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:12:"webform-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_webform_help";i:2;s:21:"contextual_preprocess";}}s:26:"webform_help_video_youtube";a:8:{s:9:"variables";a:2:{s:10:"youtube_id";N;s:8:"autoplay";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-help-video-youtube";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_help_support";a:8:{s:9:"variables";a:3:{s:7:"account";a:0:{}s:10:"membership";a:0:{}s:12:"contribution";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-help-support";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:7:"webform";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:7:"webform";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_webform";i:2;s:21:"contextual_preprocess";}}s:15:"webform_actions";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-actions";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_actions";i:2;s:21:"contextual_preprocess";}}s:21:"webform_access_denied";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:10:"attributes";a:0:{}s:7:"webform";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:21:"webform-access-denied";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:30:"webform_handler_action_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-handler-action-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_debug_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-debug-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_email_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-email-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:35:"webform_handler_remote_post_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:35:"webform-handler-remote-post-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_handler_settings_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-handler-settings-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_variant_override_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"variant";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-variant-override-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_confirmation";a:8:{s:9:"variables";a:3:{s:7:"webform";N;s:13:"source_entity";N;s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-confirmation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_confirmation";i:2;s:21:"contextual_preprocess";}}s:16:"webform_required";a:8:{s:9:"variables";a:1:{s:5:"label";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-required";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"webform_submission";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-submission";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_submission";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-form";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_submission_navigation";a:8:{s:9:"variables";a:1:{s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-submission-navigation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_submission_navigation";i:2;s:21:"contextual_preprocess";}}s:30:"webform_submission_information";a:8:{s:9:"variables";a:3:{s:18:"webform_submission";N;s:13:"source_entity";N;s:4:"open";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-submission-information";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_webform_submission_information";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_data";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-data";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_submission_data";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_html";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_text";i:2;s:21:"contextual_preprocess";}}s:27:"webform_container_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:27:"webform_container_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_element_help";a:8:{s:9:"variables";a:3:{s:4:"help";N;s:10:"help_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_help";i:2;s:21:"contextual_preprocess";}}s:20:"webform_element_more";a:8:{s:9:"variables";a:3:{s:4:"more";N;s:10:"more_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-more";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_more";i:2;s:21:"contextual_preprocess";}}s:28:"webform_element_managed_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:28:"webform-element-managed-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_webform_element_managed_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_audio_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-audio-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_audio_file";i:2;s:21:"contextual_preprocess";}}s:29:"webform_element_document_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-element-document-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_element_document_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_image_file";a:8:{s:9:"variables";a:7:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;s:10:"style_name";N;s:6:"format";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-image-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_image_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_video_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-video-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_video_file";i:2;s:21:"contextual_preprocess";}}s:18:"webform_email_html";a:8:{s:9:"variables";a:4:{s:7:"subject";s:0:"";s:4:"body";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-email-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_html";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_text";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_html_editor_markup";a:8:{s:9:"variables";a:2:{s:6:"markup";N;s:12:"allowed_tags";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-html-editor-markup";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_html_editor_markup";i:2;s:21:"contextual_preprocess";}}s:23:"webform_horizontal_rule";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-horizontal-rule";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_horizontal_rule";i:2;s:21:"contextual_preprocess";}}s:15:"webform_message";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-message";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_message";i:2;s:21:"contextual_preprocess";}}s:15:"webform_section";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-section";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_section";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_address";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-address";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_address";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_contact";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-contact";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_contact";i:2;s:21:"contextual_preprocess";}}s:26:"webform_composite_location";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-composite-location";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_composite_location";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_link";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-link";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_link";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_name";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-name";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_name";i:2;s:21:"contextual_preprocess";}}s:27:"webform_composite_telephone";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-composite-telephone";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_webform_composite_telephone";i:2;s:21:"contextual_preprocess";}}s:18:"webform_codemirror";a:8:{s:9:"variables";a:2:{s:4:"code";N;s:4:"type";s:4:"text";}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-codemirror";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_codemirror";i:2;s:21:"contextual_preprocess";}}s:16:"webform_progress";a:8:{s:9:"variables";a:5:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-progress";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_webform_progress";i:2;s:21:"contextual_preprocess";}}s:20:"webform_progress_bar";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-progress-bar";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_progress_bar";i:2;s:21:"contextual_preprocess";}}s:24:"webform_progress_tracker";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:24:"webform-progress-tracker";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_webform_progress_tracker";i:2;s:21:"contextual_preprocess";}}s:4:"font";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:4:"font";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:28:"fontyourface_preprocess_font";i:3;s:31:"field_group_build_entity_groups";}}s:10:"font__full";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:10:"font--full";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"fontyourface_preprocess_font__full";}}s:12:"font__teaser";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:12:"font--teaser";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:36:"fontyourface_preprocess_font__teaser";}}s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:33:"core/themes/claro/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:5:{s:4:"view";N;s:8:"grouping";N;s:14:"grouping_level";N;s:4:"rows";N;s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-grouping";s:4:"path";s:40:"core/themes/claro/templates/classy/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_grouping";i:2;s:21:"contextual_preprocess";}}s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:40:"core/themes/claro/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-row-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_row_opml";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_row_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:40:"core/themes/claro/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-row-rss";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_row_rss";i:2;s:21:"contextual_preprocess";}}s:17:"views_view_fields";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";}}s:23:"views_view_fullcalendar";a:6:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"modules/fullcalendar_view/templates";s:8:"template";s:23:"views-view-fullcalendar";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_views_view_fullcalendar";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_grid";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-grid";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_grid";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_summary";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:40:"core/themes/claro/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-summary";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_summary";i:2;s:21:"contextual_preprocess";}}s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_opml";i:2;s:21:"contextual_preprocess";}}s:14:"views_view_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:14:"views-view-rss";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_views_view_rss";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_table";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:40:"core/themes/claro/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-table";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_table";i:2;s:21:"contextual_preprocess";i:6;s:33:"claro_preprocess_views_view_table";}}s:15:"views_view_list";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";}}s:30:"views_view_summary_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:40:"core/themes/claro/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:30:"views-view-summary-unformatted";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_view_summary_unformatted";i:2;s:21:"contextual_preprocess";}}s:21:"views_form_views_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:21:"views-form-views-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_exposed_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-exposed-form";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_exposed_form";i:2;s:52:"better_exposed_filters_preprocess_views_exposed_form";i:3;s:21:"contextual_preprocess";i:8;s:35:"claro_preprocess_views_exposed_form";}}s:9:"paragraph";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:9:"paragraph";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:31:"field_group_build_entity_groups";}}s:29:"paragraphs_dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:29:"paragraphs-dropbutton-wrapper";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"paragraphs_info_icon";a:6:{s:9:"variables";a:2:{s:7:"message";N;s:4:"icon";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:20:"paragraphs-info-icon";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"paragraphs_add_dialog";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:21:"paragraphs-add-dialog";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_paragraphs_add_dialog";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_actions";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-actions";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_actions";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_summary";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_summary";i:2;s:21:"contextual_preprocess";}}s:24:"block__local_tasks_block";a:7:{s:8:"template";s:24:"block--local-tasks-block";s:4:"path";s:33:"core/themes/claro/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"claro_preprocess_block";}}s:24:"block__search_form_block";a:7:{s:8:"template";s:24:"block--search-form-block";s:4:"path";s:40:"core/themes/claro/templates/classy/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"claro_preprocess_block";}}s:26:"block__local_actions_block";a:7:{s:8:"template";s:26:"block--local-actions-block";s:4:"path";s:27:"core/themes/claro/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"claro_preprocess_block";}}s:18:"region__breadcrumb";a:7:{s:8:"template";s:18:"region--breadcrumb";s:4:"path";s:27:"core/themes/claro/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:25:"links__media_library_menu";a:7:{s:8:"template";s:25:"links--media-library-menu";s:4:"path";s:48:"core/themes/claro/templates/classy/media-library";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"claro_preprocess_links";i:4;s:42:"claro_preprocess_links__media_library_menu";}}s:11:"links__node";a:7:{s:8:"template";s:11:"links--node";s:4:"path";s:42:"core/themes/claro/templates/classy/content";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"claro_preprocess_links";}}s:25:"item_list__search_results";a:7:{s:8:"template";s:25:"item-list--search-results";s:4:"path";s:42:"core/themes/claro/templates/classy/dataset";s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:9:"base hook";s:9:"item_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:44:"item_list__media_library_add_form_media_list";a:7:{s:8:"template";s:44:"item-list--media-library-add-form-media-list";s:4:"path";s:41:"core/themes/claro/templates/media-library";s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:9:"base hook";s:9:"item_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";i:3;s:61:"claro_preprocess_item_list__media_library_add_form_media_list";}}s:25:"menu_local_task__views_ui";a:7:{s:8:"template";s:25:"menu-local-task--views-ui";s:4:"path";s:38:"core/themes/claro/templates/navigation";s:14:"render element";s:7:"element";s:9:"base hook";s:15:"menu_local_task";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";i:3;s:32:"claro_preprocess_menu_local_task";i:4;s:42:"claro_preprocess_menu_local_task__views_ui";}}s:30:"fieldset__media_library_widget";a:7:{s:8:"template";s:30:"fieldset--media-library-widget";s:4:"path";s:41:"core/themes/claro/templates/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:8:"fieldset";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";i:4;s:25:"claro_preprocess_fieldset";i:5;s:47:"claro_preprocess_fieldset__media_library_widget";}}s:22:"details__vertical_tabs";a:7:{s:8:"template";s:22:"details--vertical-tabs";s:4:"path";s:38:"core/themes/claro/templates/navigation";s:14:"render element";s:7:"element";s:9:"base hook";s:7:"details";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";i:4;s:24:"claro_preprocess_details";}}s:46:"details__media_library_add_form_selected_media";a:7:{s:8:"template";s:46:"details--media-library-add-form-selected-media";s:4:"path";s:41:"core/themes/claro/templates/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:7:"details";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";i:4;s:24:"claro_preprocess_details";}}s:32:"container__media_library_content";a:7:{s:8:"template";s:32:"container--media-library-content";s:4:"path";s:48:"core/themes/claro/templates/classy/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:41:"container__media_library_widget_selection";a:7:{s:8:"template";s:41:"container--media-library-widget-selection";s:4:"path";s:48:"core/themes/claro/templates/classy/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:34:"container__text_format_filter_help";a:7:{s:8:"template";s:34:"container--text-format-filter-help";s:4:"path";s:39:"core/themes/claro/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:37:"container__text_format_filter_wrapper";a:7:{s:8:"template";s:37:"container--text-format-filter-wrapper";s:4:"path";s:39:"core/themes/claro/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:40:"container__text_format_filter_guidelines";a:7:{s:8:"template";s:40:"container--text-format-filter-guidelines";s:4:"path";s:39:"core/themes/claro/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:24:"field__text_with_summary";a:7:{s:8:"template";s:24:"field--text-with-summary";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:11:"field__text";a:7:{s:8:"template";s:11:"field--text";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:16:"field__text_long";a:7:{s:8:"template";s:16:"field--text-long";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:38:"views_ui_view_preview_section__exposed";a:9:{s:8:"template";s:38:"views-ui-view-preview-section--exposed";s:4:"path";s:33:"core/themes/claro/templates/views";s:9:"variables";a:4:{s:4:"view";N;s:7:"section";N;s:7:"content";N;s:5:"links";s:0:"";}s:9:"base hook";s:29:"views_ui_view_preview_section";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_views_ui_view_preview_section";i:2;s:21:"contextual_preprocess";}s:4:"file";s:18:"views_ui.theme.inc";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}}s:25:"views_view__media_library";a:8:{s:8:"template";s:25:"views-view--media-library";s:4:"path";s:41:"core/themes/claro/templates/media-library";s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:9:"base hook";s:10:"views_view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}}s:37:"views_view_unformatted__media_library";a:8:{s:8:"template";s:37:"views-view-unformatted--media-library";s:4:"path";s:41:"core/themes/claro/templates/media-library";s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:9:"base hook";s:22:"views_view_unformatted";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}}s:11:"field__node";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"field";s:4:"path";s:40:"core/themes/claro/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:9:"base hook";s:5:"field";}s:30:"form_element__password_confirm";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:12:"form-element";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";i:8;s:29:"claro_preprocess_form_element";i:10;s:47:"claro_preprocess_form_element__password_confirm";}s:9:"base hook";s:12:"form_element";}s:22:"form_element__password";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:12:"form-element";s:4:"path";s:27:"core/themes/claro/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";i:8;s:29:"claro_preprocess_form_element";i:10;s:39:"claro_preprocess_form_element__password";}s:9:"base hook";s:12:"form_element";}s:17:"links__dropbutton";a:7:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"claro_preprocess_links";i:4;s:34:"claro_preprocess_links__dropbutton";}s:9:"base hook";s:5:"links";}s:19:"links__action_links";a:7:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/claro";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"claro_preprocess_links";i:4;s:36:"claro_preprocess_links__action_links";}s:9:"base hook";s:5:"links";}s:32:"views_view_fields__media_library";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";i:3;s:49:"claro_preprocess_views_view_fields__media_library";}s:9:"base hook";s:17:"views_view_fields";}}', -1, '1681652115.182', 1, 'theme_registry', '0');
INSERT INTO `cache_default` VALUES
('theme_registry:conferenceplus', 'a:361:{s:14:"bef_checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:14:"bef-checkboxes";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_bef_checkboxes";i:2;s:21:"contextual_preprocess";}}s:10:"bef_radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-radios";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_radios";i:2;s:21:"contextual_preprocess";}}s:9:"bef_links";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:9:"bef-links";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_bef_links";i:2;s:21:"contextual_preprocess";}}s:10:"bef_hidden";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-hidden";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_hidden";i:2;s:21:"contextual_preprocess";}}s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:5:"block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:96;s:31:"conferenceplus_preprocess_block";}}s:22:"block_content_add_list";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:23:"block_content.pages.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:50:"core/modules/block_content/block_content.pages.inc";i:1;s:50:"core/modules/block_content/block_content.pages.inc";}s:8:"template";s:22:"block-content-add-list";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_block_content_add_list";i:2;s:21:"contextual_preprocess";}}s:25:"ckeditor_settings_toolbar";a:8:{s:4:"file";s:18:"ckeditor.admin.inc";s:9:"variables";a:2:{s:6:"editor";N;s:7:"plugins";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/ckeditor/ckeditor.admin.inc";i:1;s:40:"core/modules/ckeditor/ckeditor.admin.inc";}s:8:"template";s:25:"ckeditor-settings-toolbar";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_ckeditor_settings_toolbar";i:2;s:21:"contextual_preprocess";}}s:17:"color_scheme_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:17:"color-scheme-form";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_color_scheme_form";i:2;s:21:"contextual_preprocess";}}s:7:"comment";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:7:"comment";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_comment";i:2;s:21:"contextual_preprocess";i:3;s:22:"rdf_preprocess_comment";i:4;s:24:"views_preprocess_comment";i:5;s:31:"field_group_build_entity_groups";}}s:14:"field__comment";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:14:"field--comment";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";}s:14:"render element";s:7:"element";}s:15:"horizontal_tabs";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:15:"horizontal-tabs";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_horizontal_tabs";i:2;s:21:"contextual_preprocess";}}s:26:"field_group_accordion_item";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:26:"field-group-accordion-item";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_field_group_accordion_item";i:2;s:21:"contextual_preprocess";}}s:21:"field_group_accordion";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:21:"field-group-accordion";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_field_group_accordion";i:2;s:21:"contextual_preprocess";}}s:24:"field_group_html_element";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:24:"field-group-html-element";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_field_group_html_element";i:2;s:21:"contextual_preprocess";}}s:14:"field_ui_table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:14:"field-ui-table";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_field_ui_table";i:2;s:21:"contextual_preprocess";}}s:9:"file_link";a:6:{s:9:"variables";a:3:{s:4:"file";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:9:"file-link";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_file_link";i:2;s:21:"contextual_preprocess";i:3;s:28:"webform_preprocess_file_link";}}s:17:"file_managed_file";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:17:"file-managed-file";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_file_managed_file";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_file_managed_file";}}s:10:"file_audio";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:10:"file-audio";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"file_video";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:10:"file-video";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"file_widget_multiple";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:14:"file.field.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"includes";a:4:{i:0;s:32:"core/modules/file/file.field.inc";i:1;s:32:"core/modules/file/file.field.inc";i:2;s:32:"core/modules/file/file.field.inc";i:3;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:20:"file-widget-multiple";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_file_widget_multiple";i:2;s:21:"contextual_preprocess";}}s:16:"file_upload_help";a:8:{s:9:"variables";a:3:{s:11:"description";N;s:17:"upload_validators";N;s:11:"cardinality";N;}s:4:"file";s:14:"file.field.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"includes";a:4:{i:0;s:32:"core/modules/file/file.field.inc";i:1;s:32:"core/modules/file/file.field.inc";i:2;s:32:"core/modules/file/file.field.inc";i:3;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:16:"file-upload-help";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_file_upload_help";i:2;s:21:"contextual_preprocess";i:3;s:35:"webform_preprocess_file_upload_help";}}s:11:"filter_tips";a:6:{s:9:"variables";a:2:{s:4:"tips";N;s:4:"long";b:0;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:11:"filter-tips";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_filter_tips";i:2;s:21:"contextual_preprocess";}}s:19:"text_format_wrapper";a:6:{s:9:"variables";a:3:{s:8:"children";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:19:"text-format-wrapper";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_text_format_wrapper";i:2;s:21:"contextual_preprocess";}}s:17:"filter_guidelines";a:6:{s:9:"variables";a:1:{s:6:"format";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:17:"filter-guidelines";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_filter_guidelines";i:2;s:21:"contextual_preprocess";}}s:14:"filter_caption";a:6:{s:9:"variables";a:4:{s:4:"node";N;s:3:"tag";N;s:7:"caption";N;s:7:"classes";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:14:"filter-caption";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"fontawesomeicons";a:6:{s:9:"variables";a:2:{s:5:"icons";N;s:6:"layers";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:16:"fontawesomeicons";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"fontawesomeicon";a:6:{s:9:"variables";a:7:{s:3:"tag";s:1:"i";s:4:"name";N;s:5:"style";N;s:8:"settings";N;s:10:"transforms";N;s:4:"mask";N;s:3:"css";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:15:"fontawesomeicon";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"fullcalendar";a:7:{s:4:"file";s:27:"fullcalendar_view.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/fullcalendar_view";s:8:"includes";a:1:{i:0;s:53:"modules/fullcalendar_view/fullcalendar_view.theme.inc";}s:8:"template";s:12:"fullcalendar";s:4:"path";s:35:"modules/fullcalendar_view/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"help_section";a:6:{s:9:"variables";a:4:{s:5:"title";N;s:11:"description";N;s:5:"links";N;s:5:"empty";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:12:"help-section";s:4:"path";s:33:"core/themes/classy/templates/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:11:"image-style";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";a:8:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"file";s:15:"image.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:34:"core/modules/image/image.admin.inc";i:1;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:19:"image-style-preview";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_image_style_preview";i:2;s:21:"contextual_preprocess";}}s:12:"image_anchor";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:34:"core/modules/image/image.admin.inc";i:1;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:12:"image-anchor";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_anchor";i:2;s:21:"contextual_preprocess";}}s:20:"image_resize_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:20:"image-resize-summary";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"image_scale_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:19:"image-scale-summary";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"image_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:18:"image-crop-summary";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"image_scale_and_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:28:"image-scale-and-crop-summary";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"image_rotate_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:20:"image-rotate-summary";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"image_widget";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.field.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:12:"image-widget";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_widget";i:2;s:21:"contextual_preprocess";i:6;s:30:"stable_preprocess_image_widget";i:16;s:30:"classy_preprocess_image_widget";}}s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";a:6:{s:8:"template";s:11:"juicer-feed";s:9:"variables";a:7:{s:7:"feed_id";N;s:8:"post_num";N;s:14:"infinite_pages";N;s:10:"gutter_amt";N;s:10:"column_num";N;s:7:"filters";N;s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"modules/juicerio";s:4:"path";s:26:"modules/juicerio/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"link_formatter_link_separate";a:6:{s:9:"variables";a:3:{s:5:"title";N;s:9:"url_title";N;s:3:"url";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:28:"link-formatter-link-separate";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_link_formatter_link_separate";i:2;s:21:"contextual_preprocess";}}s:16:"mt_cookieconsent";a:6:{s:8:"template";s:16:"mt_cookieconsent";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:31:"modules/custom/mt_cookieconsent";s:4:"path";s:41:"modules/custom/mt_cookieconsent/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"mt_countdown";a:6:{s:8:"template";s:19:"block--mt_countdown";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"node";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:40;s:30:"conferenceplus_preprocess_node";i:41;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";a:6:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:13:"node-add-list";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_node_add_list";i:2;s:21:"contextual_preprocess";}}s:14:"node_edit_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:14:"node-edit-form";s:4:"path";s:41:"core/themes/classy/templates/content-edit";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:18:"field--node--title";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:16:"field--node--uid";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:27:"node_preprocess_field__node";i:22;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:20:"field--node--created";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";a:6:{s:9:"variables";a:2:{s:10:"attributes";a:0:{}s:7:"content";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:11:"rdf-wrapper";s:4:"path";s:33:"core/themes/stable/templates/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:33:"core/themes/classy/templates/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";a:8:{s:9:"variables";a:2:{s:6:"result";N;s:9:"plugin_id";N;}s:4:"file";s:16:"search.pages.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"includes";a:4:{i:0;s:36:"core/modules/search/search.pages.inc";i:1;s:36:"core/modules/search/search.pages.inc";i:2;s:36:"core/modules/search/search.pages.inc";i:3;s:36:"core/modules/search/search.pages.inc";}s:8:"template";s:13:"search-result";s:4:"path";s:36:"core/themes/classy/templates/content";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_search_result";i:2;s:21:"contextual_preprocess";}}s:9:"superfish";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:9:"superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_superfish";i:2;s:21:"contextual_preprocess";}}s:20:"superfish_menu_items";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:20:"superfish-menu-items";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_superfish_menu_items";i:2;s:21:"contextual_preprocess";}}s:14:"superfish_help";a:6:{s:9:"variables";a:2:{s:5:"title";N;s:7:"content";N;}s:8:"template";s:15:"superfish--help";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"html";s:4:"path";s:35:"core/themes/classy/templates/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:28;s:30:"conferenceplus_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"page";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";i:24;s:30:"conferenceplus_preprocess_page";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:10:"page-title";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";i:32;s:36:"conferenceplus_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:6:"region";s:4:"path";s:35:"core/themes/classy/templates/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";a:6:{s:9:"variables";a:3:{s:9:"timestamp";N;s:4:"text";N;s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:4:"time";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_time";i:2;s:21:"contextual_preprocess";}}s:13:"datetime_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:13:"datetime-form";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_datetime_form";i:2;s:21:"contextual_preprocess";i:3;s:32:"webform_preprocess_datetime_form";}}s:16:"datetime_wrapper";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:16:"datetime-wrapper";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_datetime_wrapper";i:2;s:21:"contextual_preprocess";}}s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:15:"status-messages";s:4:"path";s:33:"core/themes/classy/templates/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:4:{i:0;s:5:"links";i:1;s:5:"links";i:2;s:5:"links";i:3;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:5:"links";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:6;s:23:"stable_preprocess_links";}}s:18:"dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:18:"dropbutton-wrapper";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:5:"image";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:10:"breadcrumb";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";i:24;s:36:"conferenceplus_preprocess_breadcrumb";}}s:5:"table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:5:"table";s:4:"path";s:36:"core/themes/classy/templates/dataset";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_table";i:2;s:21:"contextual_preprocess";i:3;s:24:"webform_preprocess_table";}}s:19:"tablesort_indicator";a:6:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:19:"tablesort-indicator";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"mark";a:6:{s:9:"variables";a:1:{s:6:"status";i:1;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:4:"mark";s:4:"path";s:36:"core/themes/classy/templates/content";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:9:"item_list";a:6:{s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:9:"item-list";s:4:"path";s:36:"core/themes/classy/templates/dataset";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:9:"feed_icon";a:6:{s:9:"variables";a:2:{s:3:"url";N;s:5:"title";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:9:"feed-icon";s:4:"path";s:33:"core/themes/stable/templates/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"progress_bar";a:6:{s:9:"variables";a:3:{s:5:"label";N;s:7:"percent";N;s:7:"message";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:12:"progress-bar";s:4:"path";s:33:"core/themes/classy/templates/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"indentation";a:6:{s:9:"variables";a:1:{s:4:"size";i:1;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:11:"indentation";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"maintenance_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:16:"maintenance-page";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_maintenance_page";i:2;s:21:"contextual_preprocess";}}s:12:"install_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:12:"install-page";s:4:"path";s:35:"core/themes/stable/templates/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_install_page";i:2;s:21:"contextual_preprocess";}}s:21:"maintenance_task_list";a:6:{s:9:"variables";a:3:{s:5:"items";N;s:6:"active";N;s:7:"variant";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:21:"maintenance-task-list";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_maintenance_task_list";i:2;s:21:"contextual_preprocess";}}s:16:"authorize_report";a:7:{s:9:"variables";a:2:{s:8:"messages";a:0:{}s:10:"attributes";a:0:{}}s:8:"includes";a:2:{i:0;s:35:"core/includes/theme.maintenance.inc";i:1;s:35:"core/includes/theme.maintenance.inc";}s:8:"template";s:16:"authorize-report";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_authorize_report";i:2;s:21:"contextual_preprocess";}}s:5:"pager";a:6:{s:14:"render element";s:5:"pager";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:5:"pager";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_pager";i:2;s:21:"contextual_preprocess";i:12;s:31:"conferenceplus_preprocess_pager";}}s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:4:"menu";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:8;s:30:"conferenceplus_preprocess_menu";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:15:"menu-local-task";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";}}s:17:"menu_local_action";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:17:"menu-local-action";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_menu_local_action";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_menu_local_action";i:4;s:39:"webform_ui_preprocess_menu_local_action";}}s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:5:"input";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";}}s:6:"select";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:6:"select";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_select";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_select";}}s:8:"fieldset";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:8:"fieldset";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";}}s:7:"details";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:7:"details";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";}}s:6:"radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:6:"radios";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_radios";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_radios";}}s:10:"checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:10:"checkboxes";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_checkboxes";i:2;s:21:"contextual_preprocess";i:3;s:29:"webform_preprocess_checkboxes";}}s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:4:"form";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:8:"textarea";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_textarea";i:2;s:21:"contextual_preprocess";}}s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:12:"form-element";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:18:"form-element-label";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:13:"vertical-tabs";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_vertical_tabs";i:2;s:21:"contextual_preprocess";}}s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:9:"container";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:5:"field";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";}}s:25:"field_multiple_value_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:25:"field-multiple-value-form";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_field_multiple_value_form";i:2;s:21:"contextual_preprocess";i:3;s:47:"paragraphs_preprocess_field_multiple_value_form";}}s:28:"block__system_branding_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:31:"conferenceplus_preprocess_block";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:34:"core/themes/stable/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:31:"conferenceplus_preprocess_block";}s:14:"render element";s:8:"elements";}s:24:"block__system_menu_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:34:"core/themes/classy/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:31:"conferenceplus_preprocess_block";}}s:18:"system_themes_page";a:8:{s:9:"variables";a:2:{s:12:"theme_groups";a:0:{}s:18:"theme_group_titles";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-themes-page";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_themes_page";i:2;s:21:"contextual_preprocess";}}s:18:"system_config_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:18:"system-config-form";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"confirm_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:12:"confirm-form";s:4:"path";s:33:"core/themes/classy/templates/form";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:22:"system_modules_details";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:22:"system-modules-details";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_system_modules_details";i:2;s:21:"contextual_preprocess";}}s:24:"system_modules_uninstall";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:24:"system-modules-uninstall";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_system_modules_uninstall";i:2;s:21:"contextual_preprocess";}}s:18:"status_report_page";a:6:{s:9:"variables";a:3:{s:8:"counters";a:0:{}s:12:"general_info";a:0:{}s:12:"requirements";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:18:"status-report-page";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:13:"status_report";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:13:"status-report";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_grouped";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:21:"status-report-grouped";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_counter";a:6:{s:9:"variables";a:3:{s:6:"amount";N;s:4:"text";N;s:8:"severity";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:21:"status-report-counter";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"status_report_general_info";a:6:{s:9:"variables";a:7:{s:6:"drupal";a:0:{}s:4:"cron";a:0:{}s:15:"database_system";a:0:{}s:23:"database_system_version";a:0:{}s:3:"php";a:0:{}s:16:"php_memory_limit";a:0:{}s:9:"webserver";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:26:"status-report-general-info";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"admin_page";a:8:{s:9:"variables";a:1:{s:6:"blocks";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:10:"admin-page";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_admin_page";i:2;s:21:"contextual_preprocess";}}s:11:"admin_block";a:8:{s:9:"variables";a:2:{s:5:"block";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:11:"admin-block";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"admin_block_content";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:19:"admin-block-content";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_admin_block_content";i:2;s:21:"contextual_preprocess";}}s:18:"system_admin_index";a:8:{s:9:"variables";a:1:{s:10:"menu_items";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-admin-index";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_admin_index";i:2;s:21:"contextual_preprocess";}}s:15:"entity_add_list";a:6:{s:9:"variables";a:2:{s:7:"bundles";a:0:{}s:18:"add_bundle_message";N;}s:8:"template";s:15:"entity-add-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:4:"path";s:41:"core/themes/stable/templates/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_entity_add_list";i:2;s:21:"contextual_preprocess";}}s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:36:"core/themes/stable/templates/content";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";a:8:{s:4:"file";s:16:"system.theme.inc";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.theme.inc";i:1;s:36:"core/modules/system/system.theme.inc";}s:8:"template";s:46:"system-security-advisories-fetch-error-message";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:66:"template_preprocess_system_security_advisories_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:17:"entity_page_title";a:6:{s:9:"variables";a:4:{s:10:"attributes";a:0:{}s:5:"title";N;s:6:"entity";N;s:9:"view_mode";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:17:"entity-page-title";s:4:"path";s:34:"core/themes/stable/templates/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:38:"quickedit_preprocess_entity_page_title";}}s:13:"taxonomy_term";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:13:"taxonomy-term";s:4:"path";s:36:"core/themes/classy/templates/content";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_taxonomy_term";i:2;s:21:"contextual_preprocess";i:3;s:28:"rdf_preprocess_taxonomy_term";i:4;s:31:"field_group_build_entity_groups";}}s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:7:"toolbar";s:4:"path";s:39:"core/themes/classy/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:39:"core/themes/stable/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:30:"conferenceplus_preprocess_menu";}}s:17:"update_last_check";a:6:{s:9:"variables";a:1:{s:4:"last";i:0;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:17:"update-last-check";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_update_last_check";i:2;s:21:"contextual_preprocess";}}s:13:"update_report";a:8:{s:9:"variables";a:1:{s:4:"data";N;}s:4:"file";s:17:"update.report.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:37:"core/modules/update/update.report.inc";i:1;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:13:"update-report";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_update_report";i:2;s:21:"contextual_preprocess";}}s:21:"update_project_status";a:8:{s:9:"variables";a:1:{s:7:"project";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:37:"core/modules/update/update.report.inc";i:1;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:21:"update-project-status";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_update_project_status";i:2;s:21:"contextual_preprocess";}}s:14:"update_version";a:8:{s:9:"variables";a:3:{s:7:"version";N;s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:37:"core/modules/update/update.report.inc";i:1;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:14:"update-version";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_update_version";i:2;s:21:"contextual_preprocess";}}s:26:"update_fetch_error_message";a:9:{s:4:"file";s:17:"update.report.inc";s:14:"render element";s:7:"element";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:37:"core/modules/update/update.report.inc";i:1;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:26:"update-fetch-error-message";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_update_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:4:"user";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:4:"user";s:4:"path";s:33:"core/themes/classy/templates/user";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_user";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_user";i:4;s:31:"field_group_build_entity_groups";}}s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"template";s:8:"username";s:4:"path";s:33:"core/themes/classy/templates/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";a:6:{s:9:"variables";a:4:{s:3:"url";s:0:"";s:5:"query";a:0:{}s:10:"attributes";a:0:{}s:8:"fragment";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:18:"video-embed-iframe";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:34:"video_embed_field_missing_provider";a:6:{s:9:"variables";a:0:{}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:34:"video-embed-field-missing-provider";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_display_tab_setting";a:8:{s:9:"variables";a:7:{s:11:"description";s:0:"";s:4:"link";s:0:"";s:14:"settings_links";a:0:{}s:10:"overridden";b:0;s:9:"defaulted";b:0;s:21:"description_separator";b:1;s:5:"class";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-display-tab-setting";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_display_tab_setting";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_display_tab_bucket";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-display-tab-bucket";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_display_tab_bucket";i:2;s:21:"contextual_preprocess";}}s:30:"views_ui_rearrange_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:30:"views-ui-rearrange-filter-form";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_ui_rearrange_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_expose_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-expose-filter-form";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_ui_view_info";a:8:{s:9:"variables";a:2:{s:4:"view";N;s:8:"displays";N;}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-view-info";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_views_listing_table";a:8:{s:9:"variables";a:3:{s:7:"headers";N;s:4:"rows";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-views-listing-table";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_views_listing_table";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_view_displays_list";a:6:{s:9:"variables";a:1:{s:8:"displays";a:0:{}}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"template";s:27:"views-ui-view-displays-list";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"views_ui_build_group_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:32:"views-ui-build-group-filter-form";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:52:"template_preprocess_views_ui_build_group_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_style_plugin_table";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-style-plugin-table";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_style_plugin_table";i:2;s:21:"contextual_preprocess";}}s:29:"views_ui_view_preview_section";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"section";N;s:7:"content";N;s:5:"links";s:0:"";}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:29:"views-ui-view-preview-section";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_views_ui_view_preview_section";i:2;s:21:"contextual_preprocess";}}s:18:"views_ui_container";a:8:{s:9:"variables";a:2:{s:8:"children";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";i:1;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-container";s:4:"path";s:34:"core/themes/stable/templates/admin";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"webform_help";a:8:{s:9:"variables";a:1:{s:4:"info";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:12:"webform-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_webform_help";i:2;s:21:"contextual_preprocess";}}s:26:"webform_help_video_youtube";a:8:{s:9:"variables";a:2:{s:10:"youtube_id";N;s:8:"autoplay";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-help-video-youtube";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_help_support";a:8:{s:9:"variables";a:3:{s:7:"account";a:0:{}s:10:"membership";a:0:{}s:12:"contribution";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-help-support";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:7:"webform";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:7:"webform";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_webform";i:2;s:21:"contextual_preprocess";}}s:15:"webform_actions";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-actions";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_actions";i:2;s:21:"contextual_preprocess";}}s:21:"webform_access_denied";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:10:"attributes";a:0:{}s:7:"webform";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:21:"webform-access-denied";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:30:"webform_handler_action_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-handler-action-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_debug_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-debug-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_email_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-email-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:35:"webform_handler_remote_post_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:35:"webform-handler-remote-post-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_handler_settings_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-handler-settings-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_variant_override_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"variant";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-variant-override-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_confirmation";a:8:{s:9:"variables";a:3:{s:7:"webform";N;s:13:"source_entity";N;s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-confirmation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_confirmation";i:2;s:21:"contextual_preprocess";}}s:16:"webform_required";a:8:{s:9:"variables";a:1:{s:5:"label";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-required";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"webform_submission";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-submission";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_submission";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-form";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_submission_navigation";a:8:{s:9:"variables";a:1:{s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-submission-navigation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_submission_navigation";i:2;s:21:"contextual_preprocess";}}s:30:"webform_submission_information";a:8:{s:9:"variables";a:3:{s:18:"webform_submission";N;s:13:"source_entity";N;s:4:"open";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-submission-information";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_webform_submission_information";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_data";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-data";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_submission_data";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_html";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_text";i:2;s:21:"contextual_preprocess";}}s:27:"webform_container_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:27:"webform_container_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_element_help";a:8:{s:9:"variables";a:3:{s:4:"help";N;s:10:"help_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_help";i:2;s:21:"contextual_preprocess";}}s:20:"webform_element_more";a:8:{s:9:"variables";a:3:{s:4:"more";N;s:10:"more_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-more";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_more";i:2;s:21:"contextual_preprocess";}}s:28:"webform_element_managed_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:28:"webform-element-managed-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_webform_element_managed_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_audio_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-audio-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_audio_file";i:2;s:21:"contextual_preprocess";}}s:29:"webform_element_document_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-element-document-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_element_document_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_image_file";a:8:{s:9:"variables";a:7:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;s:10:"style_name";N;s:6:"format";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-image-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_image_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_video_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-video-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_video_file";i:2;s:21:"contextual_preprocess";}}s:18:"webform_email_html";a:8:{s:9:"variables";a:4:{s:7:"subject";s:0:"";s:4:"body";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-email-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_html";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_text";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_html_editor_markup";a:8:{s:9:"variables";a:2:{s:6:"markup";N;s:12:"allowed_tags";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-html-editor-markup";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_html_editor_markup";i:2;s:21:"contextual_preprocess";}}s:23:"webform_horizontal_rule";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-horizontal-rule";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_horizontal_rule";i:2;s:21:"contextual_preprocess";}}s:15:"webform_message";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-message";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_message";i:2;s:21:"contextual_preprocess";}}s:15:"webform_section";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-section";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_section";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_address";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-address";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_address";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_contact";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-contact";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_contact";i:2;s:21:"contextual_preprocess";}}s:26:"webform_composite_location";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-composite-location";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_composite_location";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_link";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-link";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_link";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_name";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-name";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_name";i:2;s:21:"contextual_preprocess";}}s:27:"webform_composite_telephone";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-composite-telephone";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_webform_composite_telephone";i:2;s:21:"contextual_preprocess";}}s:18:"webform_codemirror";a:8:{s:9:"variables";a:2:{s:4:"code";N;s:4:"type";s:4:"text";}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-codemirror";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_codemirror";i:2;s:21:"contextual_preprocess";}}s:16:"webform_progress";a:8:{s:9:"variables";a:5:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-progress";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_webform_progress";i:2;s:21:"contextual_preprocess";}}s:20:"webform_progress_bar";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-progress-bar";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_progress_bar";i:2;s:21:"contextual_preprocess";}}s:24:"webform_progress_tracker";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:24:"webform-progress-tracker";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_webform_progress_tracker";i:2;s:21:"contextual_preprocess";}}s:4:"font";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:4:"font";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:28:"fontyourface_preprocess_font";i:3;s:31:"field_group_build_entity_groups";}}s:10:"font__full";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:10:"font--full";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"fontyourface_preprocess_font__full";}}s:12:"font__teaser";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:12:"font--teaser";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:36:"fontyourface_preprocess_font__teaser";}}s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";i:12;s:42:"conferenceplus_preprocess_views_mini_pager";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:34:"core/themes/stable/templates/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:5:{s:4:"view";N;s:8:"grouping";N;s:14:"grouping_level";N;s:4:"rows";N;s:5:"title";N;}s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-grouping";s:4:"path";s:34:"core/themes/classy/templates/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_grouping";i:2;s:21:"contextual_preprocess";}}s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-row-opml";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_row_opml";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_row_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-row-rss";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_row_rss";i:2;s:21:"contextual_preprocess";}}s:17:"views_view_fields";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:34:"core/themes/stable/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/stable";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";}}s:23:"views_view_fullcalendar";a:6:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"modules/fullcalendar_view/templates";s:8:"template";s:23:"views-view-fullcalendar";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_views_view_fullcalendar";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_grid";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-grid";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_grid";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_summary";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-summary";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_summary";i:2;s:21:"contextual_preprocess";}}s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-opml";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_opml";i:2;s:21:"contextual_preprocess";}}s:14:"views_view_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:14:"views-view-rss";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_views_view_rss";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_table";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-table";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_table";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_list";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";}}s:30:"views_view_summary_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:30:"views-view-summary-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_view_summary_unformatted";i:2;s:21:"contextual_preprocess";}}s:21:"views_form_views_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:21:"views-form-views-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_exposed_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-exposed-form";s:4:"path";s:34:"core/themes/classy/templates/views";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_exposed_form";i:2;s:52:"better_exposed_filters_preprocess_views_exposed_form";i:3;s:21:"contextual_preprocess";}}s:9:"paragraph";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:9:"paragraph";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:31:"field_group_build_entity_groups";}}s:29:"paragraphs_dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:29:"paragraphs-dropbutton-wrapper";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"paragraphs_info_icon";a:6:{s:9:"variables";a:2:{s:7:"message";N;s:4:"icon";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:20:"paragraphs-info-icon";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"paragraphs_add_dialog";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:21:"paragraphs-add-dialog";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_paragraphs_add_dialog";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_actions";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-actions";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_actions";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_summary";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_summary";i:2;s:21:"contextual_preprocess";}}s:26:"block__local_actions_block";a:7:{s:8:"template";s:26:"block--local-actions-block";s:4:"path";s:34:"core/themes/classy/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:31:"conferenceplus_preprocess_block";}}s:24:"block__local_tasks_block";a:7:{s:8:"template";s:24:"block--local-tasks-block";s:4:"path";s:34:"core/themes/classy/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:31:"conferenceplus_preprocess_block";}}s:24:"block__search_form_block";a:7:{s:8:"template";s:24:"block--search-form-block";s:4:"path";s:34:"core/themes/classy/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:31:"conferenceplus_preprocess_block";}}s:25:"links__media_library_menu";a:7:{s:8:"template";s:25:"links--media-library-menu";s:4:"path";s:42:"core/themes/classy/templates/media-library";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:2:{i:0;s:5:"links";i:1;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"stable_preprocess_links";i:4;s:43:"classy_preprocess_links__media_library_menu";}}s:11:"links__node";a:7:{s:8:"template";s:11:"links--node";s:4:"path";s:36:"core/themes/classy/templates/content";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:2:{i:0;s:5:"links";i:1;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:23:"stable_preprocess_links";}}s:25:"item_list__search_results";a:7:{s:8:"template";s:25:"item-list--search-results";s:4:"path";s:36:"core/themes/classy/templates/dataset";s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:9:"base hook";s:9:"item_list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:32:"container__media_library_content";a:7:{s:8:"template";s:32:"container--media-library-content";s:4:"path";s:42:"core/themes/classy/templates/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:41:"container__media_library_widget_selection";a:7:{s:8:"template";s:41:"container--media-library-widget-selection";s:4:"path";s:42:"core/themes/classy/templates/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:24:"field__text_with_summary";a:7:{s:8:"template";s:24:"field--text-with-summary";s:4:"path";s:34:"core/themes/classy/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:11:"field__text";a:7:{s:8:"template";s:11:"field--text";s:4:"path";s:34:"core/themes/classy/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:16:"field__text_long";a:7:{s:8:"template";s:16:"field--text-long";s:4:"path";s:34:"core/themes/classy/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:37:"views_view_unformatted__media_library";a:8:{s:8:"template";s:37:"views-view-unformatted--media-library";s:4:"path";s:42:"core/themes/classy/templates/media-library";s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:9:"base hook";s:22:"views_view_unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}}s:19:"block__mt_countdown";a:7:{s:8:"template";s:19:"block--mt_countdown";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:31:"conferenceplus_preprocess_block";}}s:41:"image_formatter__node__field_mt_prs_image";a:9:{s:8:"template";s:41:"image-formatter--node--field-mt-prs-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:48:"image_formatter__node__field_mt_tmm_member_photo";a:9:{s:8:"template";s:48:"image-formatter--node--field-mt-tmm-member-photo";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:41:"image_formatter__node__field_mt_srv_image";a:9:{s:8:"template";s:41:"image-formatter--node--field-mt-srv-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:41:"image_formatter__node__field_mt_alb_image";a:9:{s:8:"template";s:41:"image-formatter--node--field-mt-alb-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:41:"image_formatter__node__field_mt_prd_image";a:9:{s:8:"template";s:41:"image-formatter--node--field-mt-prd-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:41:"image_formatter__node__field_mt_shw_image";a:9:{s:8:"template";s:41:"image-formatter--node--field-mt-shw-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:46:"image_formatter__paragraph__field_mt_adf_image";a:9:{s:8:"template";s:46:"image-formatter--paragraph--field-mt-adf-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:34:"image_formatter__node__field_image";a:9:{s:8:"template";s:34:"image-formatter--node--field-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:40:"image_formatter__node__field_mt_spn_logo";a:9:{s:8:"template";s:40:"image-formatter--node--field-mt-spn-logo";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:41:"image_formatter__node__field_mt_evn_image";a:9:{s:8:"template";s:41:"image-formatter--node--field-mt-evn-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:52:"image_formatter__paragraph__field_mt_highlight_image";a:9:{s:8:"template";s:52:"image-formatter--paragraph--field-mt-highlight-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:41:"image_formatter__node__field_mt_bnf_image";a:9:{s:8:"template";s:41:"image-formatter--node--field-mt-bnf-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:53:"image_formatter__node__field_mt_tst_testimonial_image";a:9:{s:8:"template";s:53:"image-formatter--node--field-mt-tst-testimonial-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:49:"image_formatter__node__field_mt_spk_speaker_photo";a:9:{s:8:"template";s:49:"image-formatter--node--field-mt-spk-speaker-photo";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:9:"base hook";s:15:"image_formatter";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"image.field.inc";s:8:"includes";a:4:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";i:2;s:34:"core/modules/image/image.field.inc";i:3;s:34:"core/modules/image/image.field.inc";}}s:16:"node__mt_service";a:7:{s:8:"template";s:16:"node--mt_service";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:22:"node__mt_event__teaser";a:7:{s:8:"template";s:22:"node--mt_event--teaser";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:33:"node__mt_speaker__mt_listing_item";a:7:{s:8:"template";s:33:"node--mt_speaker--mt_listing_item";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:21:"node__mt_presentation";a:7:{s:8:"template";s:21:"node--mt_presentation";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:16:"node__mt_speaker";a:7:{s:8:"template";s:16:"node--mt_speaker";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:13:"node__article";a:7:{s:8:"template";s:13:"node--article";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:39:"conferenceplus_preprocess_node__article";i:7;s:31:"field_group_build_entity_groups";}}s:16:"node__mt_sponsor";a:7:{s:8:"template";s:16:"node--mt_sponsor";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:22:"node__mt_program_entry";a:7:{s:8:"template";s:22:"node--mt_program_entry";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:31:"node__mt_service__mt_slide_view";a:7:{s:8:"template";s:31:"node--mt_service--mt_slide_view";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:31:"node__mt_product__mt_slide_view";a:7:{s:8:"template";s:31:"node--mt_product--mt_slide_view";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:14:"node__mt_event";a:7:{s:8:"template";s:14:"node--mt_event";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:20:"node__mt_team_member";a:7:{s:8:"template";s:20:"node--mt_team_member";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:33:"node__mt_sponsor__mt_listing_item";a:7:{s:8:"template";s:33:"node--mt_sponsor--mt_listing_item";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:33:"node__article__mt_video_grid_item";a:7:{s:8:"template";s:33:"node--article--mt_video_grid_item";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:39:"conferenceplus_preprocess_node__article";i:7;s:31:"field_group_build_entity_groups";}}s:21:"node__article__teaser";a:7:{s:8:"template";s:21:"node--article--teaser";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:39:"conferenceplus_preprocess_node__article";i:7;s:31:"field_group_build_entity_groups";}}s:16:"node__mt_product";a:7:{s:8:"template";s:16:"node--mt_product";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:30:"conferenceplus_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:9:"page__404";a:7:{s:8:"template";s:9:"page--404";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:4:"page";s:9:"base hook";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";i:3;s:30:"conferenceplus_preprocess_page";}}s:22:"page__node__mt_product";a:7:{s:8:"template";s:22:"page--node--mt-product";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:4:"page";s:9:"base hook";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";i:3;s:30:"conferenceplus_preprocess_page";i:4;s:48:"conferenceplus_preprocess_page__node__mt_product";}}s:22:"page__node__mt_service";a:7:{s:8:"template";s:22:"page--node--mt-service";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:4:"page";s:9:"base hook";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";i:3;s:30:"conferenceplus_preprocess_page";i:4;s:48:"conferenceplus_preprocess_page__node__mt_service";}}s:11:"page__front";a:7:{s:8:"template";s:11:"page--front";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:4:"page";s:9:"base hook";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";i:3;s:30:"conferenceplus_preprocess_page";}}s:31:"field__node__field_mt_shw_image";a:7:{s:8:"template";s:31:"field--node--field-mt-shw-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:41:"field__block_content__mt_fancy_tabs_block";a:7:{s:8:"template";s:41:"field--block-content--mt-fancy-tabs-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:67:"conferenceplus_preprocess_field__block_content__mt_fancy_tabs_block";}}s:38:"field__node__field_mt_prs_affiliations";a:7:{s:8:"template";s:38:"field--node--field-mt-prs-affiliations";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:36:"field__block_content__mt_google_maps";a:7:{s:8:"template";s:36:"field--block-content--mt-google-maps";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:62:"conferenceplus_preprocess_field__block_content__mt_google_maps";}}s:38:"field__node__field_mt_srv_banner_image";a:7:{s:8:"template";s:38:"field--node--field-mt-srv-banner-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";i:7;s:64:"conferenceplus_preprocess_field__node__field_mt_srv_banner_image";}}s:52:"field__block_content__field_mt_tml_timeline_viewmore";a:7:{s:8:"template";s:52:"field--block-content--field-mt-tml-timeline-viewmore";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:40:"field__block_content__mt_dropdowns_block";a:7:{s:8:"template";s:40:"field--block-content--mt-dropdowns-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:31:"field__node__field_mt_prd_video";a:7:{s:8:"template";s:31:"field--node--field-mt-prd-video";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:31:"field__node__field_mt_prs_image";a:7:{s:8:"template";s:31:"field--node--field-mt-prs-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:33:"field__node__field_mt_prs_speaker";a:7:{s:8:"template";s:33:"field--node--field-mt-prs-speaker";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:31:"field__node__field_mt_prd_image";a:7:{s:8:"template";s:31:"field--node--field-mt-prd-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:33:"field__node__field_image__article";a:7:{s:8:"template";s:33:"field--node--field-image--article";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";i:7;s:59:"conferenceplus_preprocess_field__node__field_image__article";}}s:31:"field__node__field_mt_srv_image";a:7:{s:8:"template";s:31:"field--node--field-mt-srv-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:23:"field__entity_reference";a:7:{s:8:"template";s:23:"field--entity-reference";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:49:"conferenceplus_preprocess_field__entity_reference";}}s:47:"field__block_content__mt_background_image_block";a:7:{s:8:"template";s:47:"field--block-content--mt-background-image-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:73:"conferenceplus_preprocess_field__block_content__mt_background_image_block";}}s:31:"field__node__field_mt_srv_video";a:7:{s:8:"template";s:31:"field--node--field-mt-srv-video";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:42:"field__block_content__mt_collapsible_block";a:7:{s:8:"template";s:42:"field--block-content--mt-collapsible-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:68:"conferenceplus_preprocess_field__block_content__mt_collapsible_block";}}s:45:"field__block_content__mt_main_slideshow_block";a:7:{s:8:"template";s:45:"field--block-content--mt-main-slideshow-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:71:"conferenceplus_preprocess_field__block_content__mt_main_slideshow_block";}}s:36:"field__field_mt_video_gallery_slides";a:7:{s:8:"template";s:36:"field--field-mt-video-gallery-slides";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:62:"conferenceplus_preprocess_field__field_mt_video_gallery_slides";}}s:35:"field__block_content__mt_tabs_block";a:7:{s:8:"template";s:35:"field--block-content--mt-tabs-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:61:"conferenceplus_preprocess_field__block_content__mt_tabs_block";}}s:50:"field__block_content__mt_fancy_linked_images_block";a:7:{s:8:"template";s:50:"field--block-content--mt-fancy-linked-images-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:76:"conferenceplus_preprocess_field__block_content__mt_fancy_linked_images_block";}}s:31:"field__node__field_mt_bnf_image";a:7:{s:8:"template";s:31:"field--node--field-mt-bnf-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:47:"field__block_content__mt_background_video_block";a:7:{s:8:"template";s:47:"field--block-content--mt-background-video-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:73:"conferenceplus_preprocess_field__block_content__mt_background_video_block";}}s:27:"field__node__field_mt_video";a:7:{s:8:"template";s:27:"field--node--field-mt-video";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:31:"field__node__field_mt_shw_video";a:7:{s:8:"template";s:31:"field--node--field-mt-shw-video";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:28:"field__field_mt_evn_location";a:7:{s:8:"template";s:28:"field--field-mt-evn-location";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:54:"conferenceplus_preprocess_field__field_mt_evn_location";}}s:37:"field__field_mt_shw_content_collapses";a:7:{s:8:"template";s:37:"field--field-mt-shw-content-collapses";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:33:"field__node__field_mt_prs_sponsor";a:7:{s:8:"template";s:33:"field--node--field-mt-prs-sponsor";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:32:"field__field_mt_prd_content_tabs";a:7:{s:8:"template";s:32:"field--field-mt-prd-content-tabs";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:18:"field__field_mt_if";a:7:{s:8:"template";s:18:"field--field-mt-if";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:33:"field__node__field_mt_prs_authors";a:7:{s:8:"template";s:33:"field--node--field-mt-prs-authors";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:24:"field__node__field_image";a:7:{s:8:"template";s:24:"field--node--field-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:46:"field__block_content__mt_nodes_slideshow_block";a:7:{s:8:"template";s:46:"field--block-content--mt-nodes-slideshow-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:31:"field__node__field_mt_evn_video";a:7:{s:8:"template";s:31:"field--node--field-mt-evn-video";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:31:"field__node__field_mt_bnf_video";a:7:{s:8:"template";s:31:"field--node--field-mt-bnf-video";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:41:"field__node__field_mt_prd_banner_carousel";a:7:{s:8:"template";s:41:"field--node--field-mt-prd-banner-carousel";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";i:7;s:67:"conferenceplus_preprocess_field__node__field_mt_prd_banner_carousel";}}s:41:"field__node__field_mt_alb_image__mt_album";a:7:{s:8:"template";s:41:"field--node--field-mt-alb-image--mt-album";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:41:"field__block_content__mt_media_tabs_block";a:7:{s:8:"template";s:41:"field--block-content--mt-media-tabs-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:67:"conferenceplus_preprocess_field__block_content__mt_media_tabs_block";}}s:41:"field__node__field_mt_alb_video__mt_album";a:7:{s:8:"template";s:41:"field--node--field-mt-alb-video--mt-album";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:35:"field__block_content__mt_fltt_block";a:7:{s:8:"template";s:35:"field--block-content--mt-fltt-block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";}}s:31:"field__node__field_mt_prs_video";a:7:{s:8:"template";s:31:"field--node--field-mt-prs-video";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:31:"field__node__field_mt_evn_image";a:7:{s:8:"template";s:31:"field--node--field-mt-evn-image";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:31:"conferenceplus_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:50:"views_view_field__mt_slideshow_full_width__nothing";a:9:{s:8:"template";s:50:"views-view-field--mt_slideshow_full_width--nothing";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:9:"base hook";s:16:"views_view_field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"views.theme.inc";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}}s:51:"views_view_field__mt_slideshow_boxed_width__nothing";a:9:{s:8:"template";s:51:"views-view-field--mt_slideshow_boxed_width--nothing";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:9:"base hook";s:16:"views_view_field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"views.theme.inc";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}}s:51:"views_view_field__mt_slideshow_full_screen__nothing";a:9:{s:8:"template";s:51:"views-view-field--mt_slideshow_full_screen--nothing";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:9:"base hook";s:16:"views_view_field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}s:4:"file";s:15:"views.theme.inc";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}}s:23:"views_view__mt_products";a:8:{s:8:"template";s:23:"views-view--mt_products";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:9:"base hook";s:10:"views_view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}}s:28:"views_view__mt_products_list";a:8:{s:8:"template";s:28:"views-view--mt_products_list";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:9:"base hook";s:10:"views_view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}}s:47:"views_view_list__mt_slideshow_full_width__block";a:8:{s:8:"template";s:47:"views-view-list--mt_slideshow_full_width--block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:9:"base hook";s:15:"views_view_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:3;s:73:"conferenceplus_preprocess_views_view_list__mt_slideshow_full_width__block";}s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}}s:48:"views_view_list__mt_slideshow_boxed_width__block";a:8:{s:8:"template";s:48:"views-view-list--mt_slideshow_boxed_width--block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:9:"base hook";s:15:"views_view_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:3;s:74:"conferenceplus_preprocess_views_view_list__mt_slideshow_boxed_width__block";}s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}}s:48:"views_view_list__mt_slideshow_full_screen__block";a:8:{s:8:"template";s:48:"views-view-list--mt_slideshow_full_screen--block";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:9:"base hook";s:15:"views_view_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:3;s:74:"conferenceplus_preprocess_views_view_list__mt_slideshow_full_screen__block";}s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}}s:36:"paragraph__mt_icon_features__default";a:7:{s:8:"template";s:36:"paragraph--mt-icon-features--default";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:9:"paragraph";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:31:"field_group_build_entity_groups";}}s:27:"paragraph__mt_timeline_item";a:7:{s:8:"template";s:27:"paragraph--mt-timeline-item";s:4:"path";s:38:"themes/custom/conferenceplus/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:9:"paragraph";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:31:"field_group_build_entity_groups";}}s:11:"field__node";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:5:"field";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:27:"node_preprocess_field__node";}s:9:"base hook";s:5:"field";}s:23:"paragraph__mt_highlight";a:7:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:9:"paragraph";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:49:"conferenceplus_preprocess_paragraph__mt_highlight";i:4;s:31:"field_group_build_entity_groups";}s:9:"base hook";s:9:"paragraph";}s:42:"views_view_unformatted__mt_recent_comments";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:68:"conferenceplus_preprocess_views_view_unformatted__mt_recent_comments";}s:9:"base hook";s:22:"views_view_unformatted";}s:28:"views_view_list__mt_products";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:54:"conferenceplus_preprocess_views_view_list__mt_products";}s:9:"base hook";s:15:"views_view_list";}s:40:"views_view_unformatted__mt_products_list";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:66:"conferenceplus_preprocess_views_view_unformatted__mt_products_list";}s:9:"base hook";s:22:"views_view_unformatted";}s:36:"views_view_list__mt_products_masonry";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:62:"conferenceplus_preprocess_views_view_list__mt_products_masonry";}s:9:"base hook";s:15:"views_view_list";}s:37:"views_view_list__mt_products_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:63:"conferenceplus_preprocess_views_view_list__mt_products_carousel";}s:9:"base hook";s:15:"views_view_list";}s:39:"views_view_unformatted__mt_product_tags";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:65:"conferenceplus_preprocess_views_view_unformatted__mt_product_tags";}s:9:"base hook";s:22:"views_view_unformatted";}s:37:"views_view_list__mt_team_members_grid";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:63:"conferenceplus_preprocess_views_view_list__mt_team_members_grid";}s:9:"base hook";s:15:"views_view_list";}s:39:"views_view_list__mt_team_members_grid_2";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:65:"conferenceplus_preprocess_views_view_list__mt_team_members_grid_2";}s:9:"base hook";s:15:"views_view_list";}s:44:"views_view_unformatted__mt_team_members_list";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:70:"conferenceplus_preprocess_views_view_unformatted__mt_team_members_list";}s:9:"base hook";s:22:"views_view_unformatted";}s:41:"views_view_list__mt_team_members_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:67:"conferenceplus_preprocess_views_view_list__mt_team_members_carousel";}s:9:"base hook";s:15:"views_view_list";}s:37:"views_view_list__mt_speakers_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:63:"conferenceplus_preprocess_views_view_list__mt_speakers_carousel";}s:9:"base hook";s:15:"views_view_list";}s:35:"views_view_unformatted__mt_speakers";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:61:"conferenceplus_preprocess_views_view_unformatted__mt_speakers";}s:9:"base hook";s:22:"views_view_unformatted";}s:43:"views_view_list__mt_other_speakers_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:69:"conferenceplus_preprocess_views_view_list__mt_other_speakers_carousel";}s:9:"base hook";s:15:"views_view_list";}s:42:"views_view_list__mt_related_nodes_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:68:"conferenceplus_preprocess_views_view_list__mt_related_nodes_carousel";}s:9:"base hook";s:15:"views_view_list";}s:40:"views_view_list__mt_collections_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:66:"conferenceplus_preprocess_views_view_list__mt_collections_carousel";}s:9:"base hook";s:15:"views_view_list";}s:36:"views_view_list__mt_collections_grid";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:62:"conferenceplus_preprocess_views_view_list__mt_collections_grid";}s:9:"base hook";s:15:"views_view_list";}s:39:"views_view_list__mt_collections_masonry";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:65:"conferenceplus_preprocess_views_view_list__mt_collections_masonry";}s:9:"base hook";s:15:"views_view_list";}s:37:"views_view_list__mt_sponsors_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:63:"conferenceplus_preprocess_views_view_list__mt_sponsors_carousel";}s:9:"base hook";s:15:"views_view_list";}s:31:"views_view_list__mt_events_grid";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:57:"conferenceplus_preprocess_views_view_list__mt_events_grid";}s:9:"base hook";s:15:"views_view_list";}s:34:"views_view_list__mt_related_events";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:60:"conferenceplus_preprocess_views_view_list__mt_related_events";}s:9:"base hook";s:15:"views_view_list";}s:33:"views_view_list__mt_sponsors_grid";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:59:"conferenceplus_preprocess_views_view_list__mt_sponsors_grid";}s:9:"base hook";s:15:"views_view_list";}s:43:"views_view_list__mt_related_presentations_3";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:69:"conferenceplus_preprocess_views_view_list__mt_related_presentations_3";}s:9:"base hook";s:15:"views_view_list";}s:38:"views_view_list__mt_presentations_grid";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:64:"conferenceplus_preprocess_views_view_list__mt_presentations_grid";}s:9:"base hook";s:15:"views_view_list";}s:28:"views_view_list__mt_services";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:54:"conferenceplus_preprocess_views_view_list__mt_services";}s:9:"base hook";s:15:"views_view_list";}s:40:"views_view_unformatted__mt_services_list";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:66:"conferenceplus_preprocess_views_view_unformatted__mt_services_list";}s:9:"base hook";s:22:"views_view_unformatted";}s:26:"views_view_list__mt_albums";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:52:"conferenceplus_preprocess_views_view_list__mt_albums";}s:9:"base hook";s:15:"views_view_list";}s:39:"views_view_list__mt_albums_grid_style_2";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:65:"conferenceplus_preprocess_views_view_list__mt_albums_grid_style_2";}s:9:"base hook";s:15:"views_view_list";}s:35:"views_view_list__mt_albums_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:61:"conferenceplus_preprocess_views_view_list__mt_albums_carousel";}s:9:"base hook";s:15:"views_view_list";}s:26:"views_view_list__mt_videos";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:52:"conferenceplus_preprocess_views_view_list__mt_videos";}s:9:"base hook";s:15:"views_view_list";}s:39:"views_view_unformatted__mt_popular_tags";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:65:"conferenceplus_preprocess_views_view_unformatted__mt_popular_tags";}s:9:"base hook";s:22:"views_view_unformatted";}s:33:"views_view_list__mt_articles_grid";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:59:"conferenceplus_preprocess_views_view_list__mt_articles_grid";}s:9:"base hook";s:15:"views_view_list";}s:40:"views_view_unformatted__mt_articles_list";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:66:"conferenceplus_preprocess_views_view_unformatted__mt_articles_list";}s:9:"base hook";s:22:"views_view_unformatted";}s:42:"views_view_unformatted__mt_articles_list_2";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:68:"conferenceplus_preprocess_views_view_unformatted__mt_articles_list_2";}s:9:"base hook";s:22:"views_view_unformatted";}s:37:"views_view_list__mt_articles_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:63:"conferenceplus_preprocess_views_view_list__mt_articles_carousel";}s:9:"base hook";s:15:"views_view_list";}s:26:"views_view_list__mt_latest";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:52:"conferenceplus_preprocess_views_view_list__mt_latest";}s:9:"base hook";s:15:"views_view_list";}s:48:"views_view_unformatted__mt_related_presentations";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:74:"conferenceplus_preprocess_views_view_unformatted__mt_related_presentations";}s:9:"base hook";s:22:"views_view_unformatted";}s:50:"views_view_unformatted__mt_related_presentations_2";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:76:"conferenceplus_preprocess_views_view_unformatted__mt_related_presentations_2";}s:9:"base hook";s:22:"views_view_unformatted";}s:27:"views_view_list__mt_isotope";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:53:"conferenceplus_preprocess_views_view_list__mt_isotope";}s:9:"base hook";s:15:"views_view_list";}s:39:"views_view_unformatted__mt_testimonials";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";i:12;s:65:"conferenceplus_preprocess_views_view_unformatted__mt_testimonials";}s:9:"base hook";s:22:"views_view_unformatted";}s:37:"views_view_list__mt_testimonials_grid";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:63:"conferenceplus_preprocess_views_view_list__mt_testimonials_grid";}s:9:"base hook";s:15:"views_view_list";}s:39:"views_view_list__mt_testimonials_grid_2";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:65:"conferenceplus_preprocess_views_view_list__mt_testimonials_grid_2";}s:9:"base hook";s:15:"views_view_list";}s:40:"views_view_list__mt_testimonials_masonry";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:66:"conferenceplus_preprocess_views_view_list__mt_testimonials_masonry";}s:9:"base hook";s:15:"views_view_list";}s:41:"views_view_list__mt_testimonials_carousel";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:67:"conferenceplus_preprocess_views_view_list__mt_testimonials_carousel";}s:9:"base hook";s:15:"views_view_list";}s:34:"views_view_list__mt_pricing_tables";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:34:"core/themes/classy/templates/views";s:8:"includes";a:4:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";i:2;s:34:"core/modules/views/views.theme.inc";i:3;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:18:"core/themes/classy";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";i:12;s:60:"conferenceplus_preprocess_views_view_list__mt_pricing_tables";}s:9:"base hook";s:15:"views_view_list";}s:47:"field__block_content__mt_typing_animation_block";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:17:"base_theme_engine";s:10:"theme path";s:28:"themes/custom/conferenceplus";s:8:"template";s:5:"field";s:4:"path";s:34:"core/themes/classy/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:20;s:31:"conferenceplus_preprocess_field";i:21;s:73:"conferenceplus_preprocess_field__block_content__mt_typing_animation_block";}s:9:"base hook";s:5:"field";}}', -1, '1681649766.967', 1, 'theme_registry', '0');
INSERT INTO `cache_default` VALUES
('theme_registry:olivero', 'a:249:{s:14:"bef_checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:14:"bef-checkboxes";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_bef_checkboxes";i:2;s:21:"contextual_preprocess";}}s:10:"bef_radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-radios";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_radios";i:2;s:21:"contextual_preprocess";}}s:9:"bef_links";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:9:"bef-links";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_bef_links";i:2;s:21:"contextual_preprocess";}}s:10:"bef_hidden";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-hidden";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_hidden";i:2;s:21:"contextual_preprocess";}}s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:24;s:24:"olivero_preprocess_block";}}s:22:"block_content_add_list";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:23:"block_content.pages.inc";s:4:"type";s:6:"module";s:10:"theme path";s:26:"core/modules/block_content";s:8:"includes";a:1:{i:0;s:50:"core/modules/block_content/block_content.pages.inc";}s:8:"template";s:22:"block-content-add-list";s:4:"path";s:36:"core/modules/block_content/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_block_content_add_list";i:2;s:21:"contextual_preprocess";}}s:25:"ckeditor_settings_toolbar";a:8:{s:4:"file";s:18:"ckeditor.admin.inc";s:9:"variables";a:2:{s:6:"editor";N;s:7:"plugins";N;}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/ckeditor";s:8:"includes";a:1:{i:0;s:40:"core/modules/ckeditor/ckeditor.admin.inc";}s:8:"template";s:25:"ckeditor-settings-toolbar";s:4:"path";s:31:"core/modules/ckeditor/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_ckeditor_settings_toolbar";i:2;s:21:"contextual_preprocess";}}s:17:"color_scheme_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/color";s:8:"template";s:17:"color-scheme-form";s:4:"path";s:28:"core/modules/color/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_color_scheme_form";i:2;s:21:"contextual_preprocess";}}s:7:"comment";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:7:"comment";s:4:"path";s:37:"core/themes/olivero/templates/content";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_comment";i:2;s:21:"contextual_preprocess";i:3;s:22:"rdf_preprocess_comment";i:4;s:24:"views_preprocess_comment";i:10;s:26:"olivero_preprocess_comment";i:11;s:31:"field_group_build_entity_groups";}}s:14:"field__comment";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:14:"field--comment";s:4:"path";s:35:"core/themes/olivero/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:33:"olivero_preprocess_field__comment";}s:14:"render element";s:7:"element";}s:15:"horizontal_tabs";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:15:"horizontal-tabs";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_horizontal_tabs";i:2;s:21:"contextual_preprocess";}}s:26:"field_group_accordion_item";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:26:"field-group-accordion-item";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_field_group_accordion_item";i:2;s:21:"contextual_preprocess";}}s:21:"field_group_accordion";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:21:"field-group-accordion";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_field_group_accordion";i:2;s:21:"contextual_preprocess";}}s:24:"field_group_html_element";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:24:"field-group-html-element";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_field_group_html_element";i:2;s:21:"contextual_preprocess";}}s:14:"field_ui_table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/field_ui";s:8:"template";s:14:"field-ui-table";s:4:"path";s:31:"core/modules/field_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_field_ui_table";i:2;s:21:"contextual_preprocess";}}s:9:"file_link";a:6:{s:9:"variables";a:3:{s:4:"file";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:9:"file-link";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_file_link";i:2;s:21:"contextual_preprocess";i:3;s:28:"webform_preprocess_file_link";}}s:17:"file_managed_file";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:17:"file-managed-file";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_file_managed_file";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_file_managed_file";}}s:10:"file_audio";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:10:"file-audio";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"file_video";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"template";s:10:"file-video";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"file_widget_multiple";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:20:"file-widget-multiple";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_file_widget_multiple";i:2;s:21:"contextual_preprocess";}}s:16:"file_upload_help";a:8:{s:9:"variables";a:3:{s:11:"description";N;s:17:"upload_validators";N;s:11:"cardinality";N;}s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:16:"file-upload-help";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_file_upload_help";i:2;s:21:"contextual_preprocess";i:3;s:35:"webform_preprocess_file_upload_help";}}s:11:"filter_tips";a:6:{s:9:"variables";a:2:{s:4:"tips";N;s:4:"long";b:0;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:11:"filter-tips";s:4:"path";s:36:"core/themes/olivero/templates/filter";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_filter_tips";i:2;s:21:"contextual_preprocess";}}s:19:"text_format_wrapper";a:6:{s:9:"variables";a:3:{s:8:"children";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:19:"text-format-wrapper";s:4:"path";s:29:"core/themes/olivero/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_text_format_wrapper";i:2;s:21:"contextual_preprocess";i:6;s:38:"olivero_preprocess_text_format_wrapper";}}s:17:"filter_guidelines";a:6:{s:9:"variables";a:1:{s:6:"format";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:17:"filter-guidelines";s:4:"path";s:36:"core/themes/olivero/templates/filter";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_filter_guidelines";i:2;s:21:"contextual_preprocess";}}s:14:"filter_caption";a:6:{s:9:"variables";a:4:{s:4:"node";N;s:3:"tag";N;s:7:"caption";N;s:7:"classes";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:14:"filter-caption";s:4:"path";s:29:"core/modules/filter/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:33:"olivero_preprocess_filter_caption";}}s:16:"fontawesomeicons";a:6:{s:9:"variables";a:2:{s:5:"icons";N;s:6:"layers";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:16:"fontawesomeicons";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"fontawesomeicon";a:6:{s:9:"variables";a:8:{s:3:"tag";s:1:"i";s:7:"iconset";s:0:"";s:4:"name";N;s:5:"style";N;s:8:"settings";N;s:10:"transforms";N;s:4:"mask";N;s:3:"css";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:15:"fontawesomeicon";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"fullcalendar";a:7:{s:4:"file";s:27:"fullcalendar_view.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/fullcalendar_view";s:8:"includes";a:1:{i:0;s:53:"modules/fullcalendar_view/fullcalendar_view.theme.inc";}s:8:"template";s:12:"fullcalendar";s:4:"path";s:35:"modules/fullcalendar_view/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"help_section";a:6:{s:9:"variables";a:4:{s:5:"title";N;s:11:"description";N;s:5:"links";N;s:5:"empty";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/help";s:8:"template";s:12:"help-section";s:4:"path";s:27:"core/modules/help/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:11:"image-style";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";a:8:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:19:"image-style-preview";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_image_style_preview";i:2;s:21:"contextual_preprocess";}}s:12:"image_anchor";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:12:"image-anchor";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_anchor";i:2;s:21:"contextual_preprocess";}}s:20:"image_resize_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-resize-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"image_scale_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:19:"image-scale-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"image_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:18:"image-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"image_scale_and_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:28:"image-scale-and-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"image_rotate_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-rotate-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"image_widget";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:12:"image-widget";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_widget";i:2;s:21:"contextual_preprocess";}}s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";a:6:{s:8:"template";s:11:"juicer-feed";s:9:"variables";a:7:{s:7:"feed_id";N;s:8:"post_num";N;s:14:"infinite_pages";N;s:10:"gutter_amt";N;s:10:"column_num";N;s:7:"filters";N;s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"modules/juicerio";s:4:"path";s:26:"modules/juicerio/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"link_formatter_link_separate";a:6:{s:9:"variables";a:3:{s:5:"title";N;s:9:"url_title";N;s:3:"url";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/link";s:8:"template";s:28:"link-formatter-link-separate";s:4:"path";s:27:"core/modules/link/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_link_formatter_link_separate";i:2;s:21:"contextual_preprocess";}}s:16:"mt_cookieconsent";a:6:{s:8:"template";s:16:"mt_cookieconsent";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:31:"modules/custom/mt_cookieconsent";s:4:"path";s:41:"modules/custom/mt_cookieconsent/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"mt_countdown";a:6:{s:8:"template";s:19:"block--mt_countdown";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:27:"modules/custom/mt_countdown";s:4:"path";s:37:"modules/custom/mt_countdown/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"node";s:4:"path";s:37:"core/themes/olivero/templates/content";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:10;s:23:"olivero_preprocess_node";i:11;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";a:6:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:13:"node-add-list";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_node_add_list";i:2;s:21:"contextual_preprocess";}}s:14:"node_edit_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:14:"node-edit-form";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:18:"field--node--title";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/node";s:8:"template";s:16:"field--node--uid";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:27:"node_preprocess_field__node";i:13;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:20:"field--node--created";s:4:"path";s:27:"core/modules/node/templates";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:27:"node_preprocess_field__node";i:13;s:39:"olivero_preprocess_field__node__created";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";a:6:{s:9:"variables";a:2:{s:10:"attributes";a:0:{}s:7:"content";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:11:"rdf-wrapper";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";a:8:{s:9:"variables";a:2:{s:6:"result";N;s:9:"plugin_id";N;}s:4:"file";s:16:"search.pages.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"includes";a:2:{i:0;s:36:"core/modules/search/search.pages.inc";i:1;s:36:"core/modules/search/search.pages.inc";}s:8:"template";s:13:"search-result";s:4:"path";s:37:"core/themes/olivero/templates/content";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_search_result";i:2;s:21:"contextual_preprocess";i:6;s:32:"olivero_preprocess_search_result";}}s:9:"superfish";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:9:"superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_superfish";i:2;s:21:"contextual_preprocess";}}s:20:"superfish_menu_items";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:20:"superfish-menu-items";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_superfish_menu_items";i:2;s:21:"contextual_preprocess";}}s:14:"superfish_help";a:6:{s:9:"variables";a:2:{s:5:"title";N;s:7:"content";N;}s:8:"template";s:15:"superfish--help";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"html";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:14;s:23:"olivero_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"page";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:10:"page-title";s:4:"path";s:37:"core/themes/olivero/templates/content";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";i:8;s:29:"olivero_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:6:"region";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";a:6:{s:9:"variables";a:3:{s:9:"timestamp";N;s:4:"text";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"time";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_time";i:2;s:21:"contextual_preprocess";}}s:13:"datetime_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:13:"datetime-form";s:4:"path";s:29:"core/themes/olivero/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_datetime_form";i:2;s:21:"contextual_preprocess";i:3;s:32:"webform_preprocess_datetime_form";}}s:16:"datetime_wrapper";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:16:"datetime-wrapper";s:4:"path";s:29:"core/themes/olivero/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_datetime_wrapper";i:2;s:21:"contextual_preprocess";}}s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:15:"status-messages";s:4:"path";s:34:"core/themes/olivero/templates/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:2:{i:0;s:5:"links";i:1;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"links";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";}}s:18:"dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"dropbutton-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"image";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:10:"breadcrumb";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"table";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_table";i:2;s:21:"contextual_preprocess";i:3;s:24:"webform_preprocess_table";i:4;s:24:"olivero_preprocess_table";}}s:19:"tablesort_indicator";a:6:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:19:"tablesort-indicator";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"mark";a:6:{s:9:"variables";a:1:{s:6:"status";i:1;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"mark";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:9:"item_list";a:6:{s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:9:"item-list";s:4:"path";s:37:"core/themes/olivero/templates/dataset";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:9:"feed_icon";a:6:{s:9:"variables";a:2:{s:3:"url";N;s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:9:"feed-icon";s:4:"path";s:34:"core/themes/olivero/templates/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"progress_bar";a:6:{s:9:"variables";a:3:{s:5:"label";N;s:7:"percent";N;s:7:"message";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"progress-bar";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"indentation";a:6:{s:9:"variables";a:1:{s:4:"size";i:1;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:11:"indentation";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"maintenance_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:16:"maintenance-page";s:4:"path";s:29:"core/themes/olivero/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_maintenance_page";i:2;s:21:"contextual_preprocess";i:6;s:35:"olivero_preprocess_maintenance_page";}}s:12:"install_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"install-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_install_page";i:2;s:21:"contextual_preprocess";}}s:21:"maintenance_task_list";a:6:{s:9:"variables";a:3:{s:5:"items";N;s:6:"active";N;s:7:"variant";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"maintenance-task-list";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_maintenance_task_list";i:2;s:21:"contextual_preprocess";}}s:16:"authorize_report";a:7:{s:9:"variables";a:2:{s:8:"messages";a:0:{}s:10:"attributes";a:0:{}}s:8:"includes";a:1:{i:0;s:35:"core/includes/theme.maintenance.inc";}s:8:"template";s:16:"authorize-report";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_authorize_report";i:2;s:21:"contextual_preprocess";}}s:5:"pager";a:6:{s:14:"render element";s:5:"pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"pager";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_pager";i:2;s:21:"contextual_preprocess";}}s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:4:"menu";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:23:"olivero_preprocess_menu";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:15:"menu-local-task";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";i:6;s:34:"olivero_preprocess_menu_local_task";}}s:17:"menu_local_action";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:17:"menu-local-action";s:4:"path";s:29:"core/themes/olivero/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_menu_local_action";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_menu_local_action";i:4;s:39:"webform_ui_preprocess_menu_local_action";}}s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:35:"olivero_preprocess_menu_local_tasks";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"input";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";i:3;s:24:"olivero_preprocess_input";}}s:6:"select";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:6:"select";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_select";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_select";i:4;s:25:"olivero_preprocess_select";}}s:8:"fieldset";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:8:"fieldset";s:4:"path";s:34:"core/themes/olivero/templates/form";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";i:8;s:27:"olivero_preprocess_fieldset";}}s:7:"details";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:7:"details";s:4:"path";s:34:"core/themes/olivero/templates/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";}}s:6:"radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:6:"radios";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_radios";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_radios";i:4;s:25:"olivero_preprocess_radios";}}s:10:"checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:10:"checkboxes";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_checkboxes";i:2;s:21:"contextual_preprocess";i:3;s:29:"webform_preprocess_checkboxes";i:4;s:29:"olivero_preprocess_checkboxes";}}s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:8:"textarea";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_textarea";i:2;s:21:"contextual_preprocess";i:3;s:27:"olivero_preprocess_textarea";}}s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:12:"form-element";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";i:4;s:31:"olivero_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:18:"form-element-label";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";i:4;s:37:"olivero_preprocess_form_element_label";}}s:13:"vertical_tabs";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"vertical-tabs";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_vertical_tabs";i:2;s:21:"contextual_preprocess";}}s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"field";s:4:"path";s:35:"core/themes/olivero/templates/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";}}s:25:"field_multiple_value_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:25:"field-multiple-value-form";s:4:"path";s:34:"core/themes/olivero/templates/form";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_field_multiple_value_form";i:2;s:21:"contextual_preprocess";i:3;s:47:"paragraphs_preprocess_field_multiple_value_form";i:8;s:44:"olivero_preprocess_field_multiple_value_form";}}s:28:"block__system_branding_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}s:14:"render element";s:8:"elements";}s:24:"block__system_menu_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:18:"system_themes_page";a:8:{s:9:"variables";a:2:{s:12:"theme_groups";a:0:{}s:18:"theme_group_titles";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-themes-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_themes_page";i:2;s:21:"contextual_preprocess";}}s:18:"system_config_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"system-config-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"confirm_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"confirm-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:22:"system_modules_details";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:22:"system-modules-details";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_system_modules_details";i:2;s:21:"contextual_preprocess";}}s:24:"system_modules_uninstall";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:24:"system-modules-uninstall";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_system_modules_uninstall";i:2;s:21:"contextual_preprocess";}}s:18:"status_report_page";a:6:{s:9:"variables";a:3:{s:8:"counters";a:0:{}s:12:"general_info";a:0:{}s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"status-report-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:13:"status_report";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"status-report";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_grouped";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"status-report-grouped";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_counter";a:6:{s:9:"variables";a:3:{s:6:"amount";N;s:4:"text";N;s:8:"severity";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"status-report-counter";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"status_report_general_info";a:6:{s:9:"variables";a:7:{s:6:"drupal";a:0:{}s:4:"cron";a:0:{}s:15:"database_system";a:0:{}s:23:"database_system_version";a:0:{}s:3:"php";a:0:{}s:16:"php_memory_limit";a:0:{}s:9:"webserver";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:26:"status-report-general-info";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"admin_page";a:8:{s:9:"variables";a:1:{s:6:"blocks";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:10:"admin-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_admin_page";i:2;s:21:"contextual_preprocess";}}s:11:"admin_block";a:8:{s:9:"variables";a:2:{s:5:"block";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:11:"admin-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"admin_block_content";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:19:"admin-block-content";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_admin_block_content";i:2;s:21:"contextual_preprocess";}}s:18:"system_admin_index";a:8:{s:9:"variables";a:1:{s:10:"menu_items";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-admin-index";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_admin_index";i:2;s:21:"contextual_preprocess";}}s:15:"entity_add_list";a:6:{s:9:"variables";a:2:{s:7:"bundles";a:0:{}s:18:"add_bundle_message";N;}s:8:"template";s:15:"entity-add-list";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_entity_add_list";i:2;s:21:"contextual_preprocess";}}s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";a:8:{s:4:"file";s:16:"system.theme.inc";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.theme.inc";}s:8:"template";s:46:"system-security-advisories-fetch-error-message";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:66:"template_preprocess_system_security_advisories_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:17:"entity_page_title";a:6:{s:9:"variables";a:4:{s:10:"attributes";a:0:{}s:5:"title";N;s:6:"entity";N;s:9:"view_mode";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:17:"entity-page-title";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:38:"quickedit_preprocess_entity_page_title";}}s:13:"taxonomy_term";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/taxonomy";s:8:"template";s:13:"taxonomy-term";s:4:"path";s:31:"core/modules/taxonomy/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_taxonomy_term";i:2;s:21:"contextual_preprocess";i:3;s:28:"rdf_preprocess_taxonomy_term";i:4;s:31:"field_group_build_entity_groups";}}s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:7:"toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:23:"olivero_preprocess_menu";}}s:17:"update_last_check";a:6:{s:9:"variables";a:1:{s:4:"last";i:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"template";s:17:"update-last-check";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_update_last_check";i:2;s:21:"contextual_preprocess";}}s:13:"update_report";a:8:{s:9:"variables";a:1:{s:4:"data";N;}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:13:"update-report";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_update_report";i:2;s:21:"contextual_preprocess";}}s:21:"update_project_status";a:8:{s:9:"variables";a:1:{s:7:"project";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:21:"update-project-status";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_update_project_status";i:2;s:21:"contextual_preprocess";}}s:14:"update_version";a:8:{s:9:"variables";a:3:{s:7:"version";N;s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:14:"update-version";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_update_version";i:2;s:21:"contextual_preprocess";}}s:26:"update_fetch_error_message";a:9:{s:4:"file";s:17:"update.report.inc";s:14:"render element";s:7:"element";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:26:"update-fetch-error-message";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_update_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:4:"user";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/user";s:8:"template";s:4:"user";s:4:"path";s:27:"core/modules/user/templates";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_user";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_user";i:4;s:31:"field_group_build_entity_groups";}}s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:8:"username";s:4:"path";s:34:"core/themes/olivero/templates/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";a:6:{s:9:"variables";a:4:{s:3:"url";s:0:"";s:5:"query";a:0:{}s:10:"attributes";a:0:{}s:8:"fragment";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:18:"video-embed-iframe";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:34:"video_embed_field_missing_provider";a:6:{s:9:"variables";a:0:{}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:34:"video-embed-field-missing-provider";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_display_tab_setting";a:8:{s:9:"variables";a:7:{s:11:"description";s:0:"";s:4:"link";s:0:"";s:14:"settings_links";a:0:{}s:10:"overridden";b:0;s:9:"defaulted";b:0;s:21:"description_separator";b:1;s:5:"class";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-display-tab-setting";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_display_tab_setting";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_display_tab_bucket";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-display-tab-bucket";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_display_tab_bucket";i:2;s:21:"contextual_preprocess";}}s:30:"views_ui_rearrange_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:30:"views-ui-rearrange-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_ui_rearrange_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_expose_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-expose-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_ui_view_info";a:8:{s:9:"variables";a:2:{s:4:"view";N;s:8:"displays";N;}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-view-info";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_views_listing_table";a:8:{s:9:"variables";a:3:{s:7:"headers";N;s:4:"rows";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-views-listing-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_views_listing_table";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_view_displays_list";a:6:{s:9:"variables";a:1:{s:8:"displays";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"template";s:27:"views-ui-view-displays-list";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"views_ui_build_group_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:32:"views-ui-build-group-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:52:"template_preprocess_views_ui_build_group_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_style_plugin_table";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-style-plugin-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_style_plugin_table";i:2;s:21:"contextual_preprocess";}}s:29:"views_ui_view_preview_section";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"section";N;s:7:"content";N;s:5:"links";s:0:"";}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:29:"views-ui-view-preview-section";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_views_ui_view_preview_section";i:2;s:21:"contextual_preprocess";}}s:18:"views_ui_container";a:8:{s:9:"variables";a:2:{s:8:"children";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-container";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"webform_help";a:8:{s:9:"variables";a:1:{s:4:"info";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:12:"webform-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_webform_help";i:2;s:21:"contextual_preprocess";}}s:26:"webform_help_video_youtube";a:8:{s:9:"variables";a:2:{s:10:"youtube_id";N;s:8:"autoplay";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-help-video-youtube";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_help_support";a:8:{s:9:"variables";a:3:{s:7:"account";a:0:{}s:10:"membership";a:0:{}s:12:"contribution";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-help-support";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:7:"webform";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:7:"webform";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_webform";i:2;s:21:"contextual_preprocess";}}s:15:"webform_actions";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-actions";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_actions";i:2;s:21:"contextual_preprocess";}}s:21:"webform_access_denied";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:10:"attributes";a:0:{}s:7:"webform";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:21:"webform-access-denied";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:30:"webform_handler_action_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-handler-action-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_debug_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-debug-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_email_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-email-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:35:"webform_handler_remote_post_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:35:"webform-handler-remote-post-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_handler_settings_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-handler-settings-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_variant_override_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"variant";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-variant-override-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_confirmation";a:8:{s:9:"variables";a:3:{s:7:"webform";N;s:13:"source_entity";N;s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-confirmation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_confirmation";i:2;s:21:"contextual_preprocess";}}s:16:"webform_required";a:8:{s:9:"variables";a:1:{s:5:"label";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-required";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"webform_submission";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-submission";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_submission";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-form";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_submission_navigation";a:8:{s:9:"variables";a:1:{s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-submission-navigation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_submission_navigation";i:2;s:21:"contextual_preprocess";}}s:30:"webform_submission_information";a:8:{s:9:"variables";a:3:{s:18:"webform_submission";N;s:13:"source_entity";N;s:4:"open";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-submission-information";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_webform_submission_information";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_data";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-data";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_submission_data";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_html";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_text";i:2;s:21:"contextual_preprocess";}}s:27:"webform_container_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:27:"webform_container_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_element_help";a:8:{s:9:"variables";a:3:{s:4:"help";N;s:10:"help_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_help";i:2;s:21:"contextual_preprocess";}}s:20:"webform_element_more";a:8:{s:9:"variables";a:3:{s:4:"more";N;s:10:"more_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-more";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_more";i:2;s:21:"contextual_preprocess";}}s:28:"webform_element_managed_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:28:"webform-element-managed-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_webform_element_managed_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_audio_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-audio-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_audio_file";i:2;s:21:"contextual_preprocess";}}s:29:"webform_element_document_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-element-document-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_element_document_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_image_file";a:8:{s:9:"variables";a:7:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;s:10:"style_name";N;s:6:"format";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-image-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_image_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_video_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-video-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_video_file";i:2;s:21:"contextual_preprocess";}}s:18:"webform_email_html";a:8:{s:9:"variables";a:4:{s:7:"subject";s:0:"";s:4:"body";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-email-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_html";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_text";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_html_editor_markup";a:8:{s:9:"variables";a:2:{s:6:"markup";N;s:12:"allowed_tags";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-html-editor-markup";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_html_editor_markup";i:2;s:21:"contextual_preprocess";}}s:23:"webform_horizontal_rule";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-horizontal-rule";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_horizontal_rule";i:2;s:21:"contextual_preprocess";}}s:15:"webform_message";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-message";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_message";i:2;s:21:"contextual_preprocess";}}s:15:"webform_section";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-section";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_section";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_address";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-address";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_address";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_contact";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-contact";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_contact";i:2;s:21:"contextual_preprocess";}}s:26:"webform_composite_location";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-composite-location";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_composite_location";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_link";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-link";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_link";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_name";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-name";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_name";i:2;s:21:"contextual_preprocess";}}s:27:"webform_composite_telephone";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-composite-telephone";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_webform_composite_telephone";i:2;s:21:"contextual_preprocess";}}s:18:"webform_codemirror";a:8:{s:9:"variables";a:2:{s:4:"code";N;s:4:"type";s:4:"text";}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-codemirror";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_codemirror";i:2;s:21:"contextual_preprocess";}}s:16:"webform_progress";a:8:{s:9:"variables";a:5:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-progress";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_webform_progress";i:2;s:21:"contextual_preprocess";}}s:20:"webform_progress_bar";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-progress-bar";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_progress_bar";i:2;s:21:"contextual_preprocess";}}s:24:"webform_progress_tracker";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:24:"webform-progress-tracker";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_webform_progress_tracker";i:2;s:21:"contextual_preprocess";}}s:4:"font";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:4:"font";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:28:"fontyourface_preprocess_font";i:3;s:31:"field_group_build_entity_groups";}}s:10:"font__full";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:10:"font--full";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"fontyourface_preprocess_font__full";}}s:12:"font__teaser";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:12:"font--teaser";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:36:"fontyourface_preprocess_font__teaser";}}s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:35:"core/themes/olivero/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:5:{s:4:"view";N;s:8:"grouping";N;s:14:"grouping_level";N;s:4:"rows";N;s:5:"title";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-grouping";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_grouping";i:2;s:21:"contextual_preprocess";}}s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:35:"core/themes/olivero/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-row-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_row_opml";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_row_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-row-rss";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_row_rss";i:2;s:21:"contextual_preprocess";}}s:17:"views_view_fields";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";}}s:23:"views_view_fullcalendar";a:6:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"modules/fullcalendar_view/templates";s:8:"template";s:23:"views-view-fullcalendar";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_views_view_fullcalendar";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_grid";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"core/themes/olivero/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-grid";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_grid";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_summary";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_summary";i:2;s:21:"contextual_preprocess";}}s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_opml";i:2;s:21:"contextual_preprocess";}}s:14:"views_view_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:14:"views-view-rss";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_views_view_rss";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_table";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"core/themes/olivero/templates/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-table";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_table";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_list";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";}}s:30:"views_view_summary_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:30:"views-view-summary-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_view_summary_unformatted";i:2;s:21:"contextual_preprocess";}}s:21:"views_form_views_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:21:"views-form-views-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_exposed_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-exposed-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_exposed_form";i:2;s:52:"better_exposed_filters_preprocess_views_exposed_form";i:3;s:21:"contextual_preprocess";}}s:9:"paragraph";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:9:"paragraph";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:31:"field_group_build_entity_groups";}}s:29:"paragraphs_dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:29:"paragraphs-dropbutton-wrapper";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"paragraphs_info_icon";a:6:{s:9:"variables";a:2:{s:7:"message";N;s:4:"icon";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:20:"paragraphs-info-icon";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"paragraphs_add_dialog";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:21:"paragraphs-add-dialog";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_paragraphs_add_dialog";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_actions";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-actions";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_actions";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_summary";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_summary";i:2;s:21:"contextual_preprocess";}}s:21:"block__secondary_menu";a:7:{s:8:"template";s:21:"block--secondary-menu";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:30:"block__system_powered_by_block";a:7:{s:8:"template";s:30:"block--system-powered-by-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:49:"block__primary_menu__plugin_id__search_form_block";a:7:{s:8:"template";s:49:"block--primary-menu--plugin-id--search-form-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:51:"block__secondary_menu__plugin_id__search_form_block";a:7:{s:8:"template";s:51:"block--secondary-menu--plugin-id--search-form-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:23:"block__page_title_block";a:7:{s:8:"template";s:23:"block--page-title-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:24:"block__search_form_block";a:7:{s:8:"template";s:24:"block--search-form-block";s:4:"path";s:35:"core/themes/olivero/templates/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:24:"olivero_preprocess_block";}}s:12:"node__teaser";a:7:{s:8:"template";s:12:"node--teaser";s:4:"path";s:37:"core/themes/olivero/templates/content";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"node";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:23:"olivero_preprocess_node";i:6;s:31:"field_group_build_entity_groups";}}s:22:"region__secondary_menu";a:7:{s:8:"template";s:22:"region--secondary-menu";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:15:"region__sidebar";a:7:{s:8:"template";s:15:"region--sidebar";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:14:"region__social";a:7:{s:8:"template";s:14:"region--social";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:21:"region__content_above";a:7:{s:8:"template";s:21:"region--content-above";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:18:"region__breadcrumb";a:7:{s:8:"template";s:18:"region--breadcrumb";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:19:"region__highlighted";a:7:{s:8:"template";s:19:"region--highlighted";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:21:"region__footer_bottom";a:7:{s:8:"template";s:21:"region--footer-bottom";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:14:"region__header";a:7:{s:8:"template";s:14:"region--header";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:20:"region__primary_menu";a:7:{s:8:"template";s:20:"region--primary-menu";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:21:"region__content_below";a:7:{s:8:"template";s:21:"region--content-below";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:15:"region__content";a:7:{s:8:"template";s:15:"region--content";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:18:"region__footer_top";a:7:{s:8:"template";s:18:"region--footer-top";s:4:"path";s:36:"core/themes/olivero/templates/layout";s:14:"render element";s:8:"elements";s:9:"base hook";s:6:"region";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:14:"links__comment";a:7:{s:8:"template";s:14:"links--comment";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:33:"olivero_preprocess_links__comment";}}s:25:"item_list__search_results";a:7:{s:8:"template";s:25:"item-list--search-results";s:4:"path";s:37:"core/themes/olivero/templates/dataset";s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:9:"base hook";s:9:"item_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:18:"menu__primary_menu";a:7:{s:8:"template";s:18:"menu--primary-menu";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:9:"base hook";s:4:"menu";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:23:"olivero_preprocess_menu";}}s:20:"menu__secondary_menu";a:7:{s:8:"template";s:20:"menu--secondary-menu";s:4:"path";s:40:"core/themes/olivero/templates/navigation";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:9:"base hook";s:4:"menu";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:23:"olivero_preprocess_menu";}}s:28:"input__submit__header_search";a:7:{s:8:"template";s:28:"input--submit--header-search";s:4:"path";s:34:"core/themes/olivero/templates/form";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"input";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";i:3;s:24:"olivero_preprocess_input";}}s:23:"form__search_block_form";a:7:{s:8:"template";s:23:"form--search-block-form";s:4:"path";s:29:"core/themes/olivero/templates";s:14:"render element";s:7:"element";s:9:"base hook";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:24:"field__text_with_summary";a:7:{s:8:"template";s:24:"field--text-with-summary";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";}}s:19:"field__comment_body";a:7:{s:8:"template";s:19:"field--comment-body";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";}}s:11:"field__text";a:7:{s:8:"template";s:11:"field--text";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";}}s:16:"field__text_long";a:7:{s:8:"template";s:16:"field--text-long";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";}}s:24:"field__node__field_image";a:7:{s:8:"template";s:24:"field--node--field-image";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:23:"field__node__field_tags";a:7:{s:8:"template";s:23:"field--node--field-tags";s:4:"path";s:35:"core/themes/olivero/templates/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:5;s:24:"olivero_preprocess_field";i:6;s:27:"node_preprocess_field__node";}}s:13:"user__compact";a:7:{s:8:"template";s:13:"user--compact";s:4:"path";s:34:"core/themes/olivero/templates/user";s:14:"render element";s:8:"elements";s:9:"base hook";s:4:"user";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_user";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_user";i:4;s:31:"field_group_build_entity_groups";}}s:21:"views_view__frontpage";a:8:{s:8:"template";s:21:"views-view--frontpage";s:4:"path";s:35:"core/themes/olivero/templates/views";s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:9:"base hook";s:10:"views_view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}}s:11:"field__node";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:19:"core/themes/olivero";s:8:"template";s:5:"field";s:4:"path";s:35:"core/themes/olivero/templates/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:24:"olivero_preprocess_field";i:12;s:27:"node_preprocess_field__node";}s:9:"base hook";s:5:"field";}}', -1, '1681652752.584', 1, 'theme_registry', '2');
INSERT INTO `cache_default` VALUES
('theme_registry:seven', 'a:236:{s:14:"bef_checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:14:"bef-checkboxes";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_bef_checkboxes";i:2;s:21:"contextual_preprocess";}}s:10:"bef_radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-radios";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_radios";i:2;s:21:"contextual_preprocess";}}s:9:"bef_links";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:9:"bef-links";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_bef_links";i:2;s:21:"contextual_preprocess";}}s:10:"bef_hidden";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:30:"modules/better_exposed_filters";s:8:"template";s:10:"bef-hidden";s:4:"path";s:40:"modules/better_exposed_filters/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_bef_hidden";i:2;s:21:"contextual_preprocess";}}s:5:"block";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"block";s:4:"path";s:40:"core/themes/seven/templates/classy/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:24;s:22:"seven_preprocess_block";}}s:22:"block_content_add_list";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:23:"block_content.pages.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:2:{i:0;s:50:"core/modules/block_content/block_content.pages.inc";i:1;s:50:"core/modules/block_content/block_content.pages.inc";}s:8:"template";s:22:"block-content-add-list";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_block_content_add_list";i:2;s:21:"contextual_preprocess";i:6;s:39:"seven_preprocess_block_content_add_list";}}s:25:"ckeditor_settings_toolbar";a:8:{s:4:"file";s:18:"ckeditor.admin.inc";s:9:"variables";a:2:{s:6:"editor";N;s:7:"plugins";N;}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/ckeditor";s:8:"includes";a:1:{i:0;s:40:"core/modules/ckeditor/ckeditor.admin.inc";}s:8:"template";s:25:"ckeditor-settings-toolbar";s:4:"path";s:31:"core/modules/ckeditor/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_ckeditor_settings_toolbar";i:2;s:21:"contextual_preprocess";}}s:17:"color_scheme_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/color";s:8:"template";s:17:"color-scheme-form";s:4:"path";s:28:"core/modules/color/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_color_scheme_form";i:2;s:21:"contextual_preprocess";}}s:7:"comment";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:7:"comment";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_comment";i:2;s:21:"contextual_preprocess";i:3;s:22:"rdf_preprocess_comment";i:4;s:24:"views_preprocess_comment";i:5;s:31:"field_group_build_entity_groups";}}s:14:"field__comment";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:14:"field--comment";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}s:14:"render element";s:7:"element";}s:15:"horizontal_tabs";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:15:"horizontal-tabs";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_horizontal_tabs";i:2;s:21:"contextual_preprocess";}}s:26:"field_group_accordion_item";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:26:"field-group-accordion-item";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_field_group_accordion_item";i:2;s:21:"contextual_preprocess";}}s:21:"field_group_accordion";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:21:"field-group-accordion";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_field_group_accordion";i:2;s:21:"contextual_preprocess";}}s:24:"field_group_html_element";a:8:{s:14:"render element";s:7:"element";s:8:"template";s:24:"field-group-html-element";s:4:"file";s:19:"templates/theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/field_group";s:8:"includes";a:1:{i:0;s:39:"modules/field_group/templates/theme.inc";}s:4:"path";s:29:"modules/field_group/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_field_group_html_element";i:2;s:21:"contextual_preprocess";}}s:14:"field_ui_table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/field_ui";s:8:"template";s:14:"field-ui-table";s:4:"path";s:31:"core/modules/field_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_field_ui_table";i:2;s:21:"contextual_preprocess";}}s:9:"file_link";a:6:{s:9:"variables";a:3:{s:4:"file";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:9:"file-link";s:4:"path";s:33:"core/themes/seven/templates/field";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_file_link";i:2;s:21:"contextual_preprocess";i:3;s:28:"webform_preprocess_file_link";}}s:17:"file_managed_file";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:17:"file-managed-file";s:4:"path";s:47:"core/themes/seven/templates/classy/content-edit";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_file_managed_file";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_file_managed_file";}}s:10:"file_audio";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:10:"file-audio";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"file_video";a:6:{s:9:"variables";a:2:{s:5:"files";a:0:{}s:10:"attributes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:10:"file-video";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"file_widget_multiple";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:20:"file-widget-multiple";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_file_widget_multiple";i:2;s:21:"contextual_preprocess";}}s:16:"file_upload_help";a:8:{s:9:"variables";a:3:{s:11:"description";N;s:17:"upload_validators";N;s:11:"cardinality";N;}s:4:"file";s:14:"file.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/modules/file";s:8:"includes";a:1:{i:0;s:32:"core/modules/file/file.field.inc";}s:8:"template";s:16:"file-upload-help";s:4:"path";s:27:"core/modules/file/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_file_upload_help";i:2;s:21:"contextual_preprocess";i:3;s:35:"webform_preprocess_file_upload_help";}}s:11:"filter_tips";a:6:{s:9:"variables";a:2:{s:4:"tips";N;s:4:"long";b:0;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:11:"filter-tips";s:4:"path";s:47:"core/themes/seven/templates/classy/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_filter_tips";i:2;s:21:"contextual_preprocess";}}s:19:"text_format_wrapper";a:6:{s:9:"variables";a:3:{s:8:"children";N;s:11:"description";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:19:"text-format-wrapper";s:4:"path";s:47:"core/themes/seven/templates/classy/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_text_format_wrapper";i:2;s:21:"contextual_preprocess";}}s:17:"filter_guidelines";a:6:{s:9:"variables";a:1:{s:6:"format";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:17:"filter-guidelines";s:4:"path";s:47:"core/themes/seven/templates/classy/content-edit";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_filter_guidelines";i:2;s:21:"contextual_preprocess";}}s:14:"filter_caption";a:6:{s:9:"variables";a:4:{s:4:"node";N;s:3:"tag";N;s:7:"caption";N;s:7:"classes";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:14:"filter-caption";s:4:"path";s:47:"core/themes/seven/templates/classy/content-edit";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"fontawesomeicons";a:6:{s:9:"variables";a:2:{s:5:"icons";N;s:6:"layers";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:16:"fontawesomeicons";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"fontawesomeicon";a:6:{s:9:"variables";a:8:{s:3:"tag";s:1:"i";s:7:"iconset";s:0:"";s:4:"name";N;s:5:"style";N;s:8:"settings";N;s:10:"transforms";N;s:4:"mask";N;s:3:"css";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"modules/fontawesome";s:8:"template";s:15:"fontawesomeicon";s:4:"path";s:29:"modules/fontawesome/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"fullcalendar";a:7:{s:4:"file";s:27:"fullcalendar_view.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/fullcalendar_view";s:8:"includes";a:1:{i:0;s:53:"modules/fullcalendar_view/fullcalendar_view.theme.inc";}s:8:"template";s:12:"fullcalendar";s:4:"path";s:35:"modules/fullcalendar_view/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"help_section";a:6:{s:9:"variables";a:4:{s:5:"title";N;s:11:"description";N;s:5:"links";N;s:5:"empty";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:12:"help-section";s:4:"path";s:39:"core/themes/seven/templates/classy/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"image_style";a:6:{s:9:"variables";a:7:{s:10:"style_name";N;s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:11:"image-style";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:31:"template_preprocess_image_style";i:2;s:21:"contextual_preprocess";}}s:19:"image_style_preview";a:8:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:19:"image-style-preview";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_image_style_preview";i:2;s:21:"contextual_preprocess";}}s:12:"image_anchor";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.admin.inc";}s:8:"template";s:12:"image-anchor";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_anchor";i:2;s:21:"contextual_preprocess";}}s:20:"image_resize_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-resize-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"image_scale_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:19:"image-scale-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"image_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:18:"image-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"image_scale_and_crop_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:28:"image-scale-and-crop-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"image_rotate_summary";a:6:{s:9:"variables";a:2:{s:4:"data";N;s:6:"effect";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"template";s:20:"image-rotate-summary";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"image_widget";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:15:"image.field.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:2:{i:0;s:34:"core/modules/image/image.field.inc";i:1;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:12:"image-widget";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_image_widget";i:2;s:21:"contextual_preprocess";i:6;s:29:"seven_preprocess_image_widget";}}s:15:"image_formatter";a:8:{s:9:"variables";a:4:{s:4:"item";N;s:15:"item_attributes";N;s:3:"url";N;s:11:"image_style";N;}s:4:"file";s:15:"image.field.inc";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/image";s:8:"includes";a:1:{i:0;s:34:"core/modules/image/image.field.inc";}s:8:"template";s:15:"image-formatter";s:4:"path";s:28:"core/modules/image/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_image_formatter";i:2;s:21:"contextual_preprocess";}}s:13:"juicerio_feed";a:6:{s:8:"template";s:11:"juicer-feed";s:9:"variables";a:7:{s:7:"feed_id";N;s:8:"post_num";N;s:14:"infinite_pages";N;s:10:"gutter_amt";N;s:10:"column_num";N;s:7:"filters";N;s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"modules/juicerio";s:4:"path";s:26:"modules/juicerio/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"link_formatter_link_separate";a:6:{s:9:"variables";a:3:{s:5:"title";N;s:9:"url_title";N;s:3:"url";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:28:"link-formatter-link-separate";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_link_formatter_link_separate";i:2;s:21:"contextual_preprocess";}}s:16:"mt_cookieconsent";a:6:{s:8:"template";s:16:"mt_cookieconsent";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:31:"modules/custom/mt_cookieconsent";s:4:"path";s:41:"modules/custom/mt_cookieconsent/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"mt_countdown";a:6:{s:8:"template";s:19:"block--mt_countdown";s:9:"variables";a:1:{s:4:"data";N;}s:4:"type";s:6:"module";s:10:"theme path";s:27:"modules/custom/mt_countdown";s:4:"path";s:37:"modules/custom/mt_countdown/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"node";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"node";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_node";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_node";i:4;s:21:"views_preprocess_node";i:5;s:31:"field_group_build_entity_groups";}}s:13:"node_add_list";a:6:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:13:"node-add-list";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_node_add_list";i:2;s:21:"contextual_preprocess";i:6;s:30:"seven_preprocess_node_add_list";}}s:14:"node_edit_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:14:"node-edit-form";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"field__node__title";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:18:"field--node--title";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:16:"field__node__uid";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:16:"field--node--uid";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:7:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";i:11;s:31:"rdf_preprocess_field__node__uid";}s:14:"render element";s:7:"element";}s:20:"field__node__created";a:7:{s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:20:"field--node--created";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:14:"render element";s:7:"element";}s:11:"rdf_wrapper";a:6:{s:9:"variables";a:2:{s:10:"attributes";a:0:{}s:7:"content";N;}s:4:"type";s:6:"module";s:10:"theme path";s:16:"core/modules/rdf";s:8:"template";s:11:"rdf-wrapper";s:4:"path";s:26:"core/modules/rdf/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"rdf_metadata";a:6:{s:9:"variables";a:1:{s:8:"metadata";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:12:"rdf-metadata";s:4:"path";s:39:"core/themes/seven/templates/classy/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_rdf_metadata";i:2;s:21:"contextual_preprocess";}}s:13:"search_result";a:8:{s:9:"variables";a:2:{s:6:"result";N;s:9:"plugin_id";N;}s:4:"file";s:16:"search.pages.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:2:{i:0;s:36:"core/modules/search/search.pages.inc";i:1;s:36:"core/modules/search/search.pages.inc";}s:8:"template";s:13:"search-result";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_search_result";i:2;s:21:"contextual_preprocess";}}s:9:"superfish";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:9:"superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_superfish";i:2;s:21:"contextual_preprocess";}}s:20:"superfish_menu_items";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:19:"superfish.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:8:"includes";a:1:{i:0;s:37:"modules/superfish/superfish.theme.inc";}s:8:"template";s:20:"superfish-menu-items";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_superfish_menu_items";i:2;s:21:"contextual_preprocess";}}s:14:"superfish_help";a:6:{s:9:"variables";a:2:{s:5:"title";N;s:7:"content";N;}s:8:"template";s:15:"superfish--help";s:4:"type";s:6:"module";s:10:"theme path";s:17:"modules/superfish";s:4:"path";s:27:"modules/superfish/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"html";a:6:{s:14:"render element";s:4:"html";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"html";s:4:"path";s:41:"core/themes/seven/templates/classy/layout";s:20:"preprocess functions";a:8:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_html";i:2;s:21:"contextual_preprocess";i:3;s:20:"node_preprocess_html";i:4;s:19:"rdf_preprocess_html";i:5;s:23:"toolbar_preprocess_html";i:6;s:28:"fontyourface_preprocess_html";i:14;s:21:"seven_preprocess_html";}}s:4:"page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"page";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_page";i:2;s:21:"contextual_preprocess";}}s:10:"page_title";a:6:{s:9:"variables";a:1:{s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:10:"page-title";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:31:"quickedit_preprocess_page_title";i:3;s:30:"shortcut_preprocess_page_title";}}s:6:"region";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:6:"region";s:4:"path";s:41:"core/themes/seven/templates/classy/layout";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_region";i:2;s:21:"contextual_preprocess";}}s:4:"time";a:6:{s:9:"variables";a:3:{s:9:"timestamp";N;s:4:"text";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"time";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_time";i:2;s:21:"contextual_preprocess";}}s:13:"datetime_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:13:"datetime-form";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_datetime_form";i:2;s:21:"contextual_preprocess";i:3;s:32:"webform_preprocess_datetime_form";}}s:16:"datetime_wrapper";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:16:"datetime-wrapper";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_datetime_wrapper";i:2;s:21:"contextual_preprocess";}}s:15:"status_messages";a:6:{s:9:"variables";a:3:{s:15:"status_headings";a:0:{}s:12:"message_list";N;s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:15:"status-messages";s:4:"path";s:39:"core/themes/seven/templates/classy/misc";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"webform_preprocess_status_messages";}}s:5:"links";a:6:{s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"links";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"seven_preprocess_links";}}s:18:"dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"dropbutton-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:5:"image";a:6:{s:9:"variables";a:9:{s:3:"uri";N;s:5:"width";N;s:6:"height";N;s:3:"alt";s:0:"";s:5:"title";N;s:10:"attributes";a:0:{}s:5:"sizes";N;s:6:"srcset";a:0:{}s:10:"style_name";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"image";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_image";i:2;s:21:"contextual_preprocess";i:3;s:20:"rdf_preprocess_image";i:4;s:24:"webform_preprocess_image";}}s:10:"breadcrumb";a:6:{s:9:"variables";a:1:{s:5:"links";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:10:"breadcrumb";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_breadcrumb";i:2;s:21:"contextual_preprocess";}}s:5:"table";a:6:{s:9:"variables";a:9:{s:6:"header";N;s:4:"rows";N;s:6:"footer";N;s:10:"attributes";a:0:{}s:7:"caption";N;s:9:"colgroups";a:0:{}s:6:"sticky";b:0;s:10:"responsive";b:1;s:5:"empty";s:0:"";}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"table";s:4:"path";s:42:"core/themes/seven/templates/classy/dataset";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_table";i:2;s:21:"contextual_preprocess";i:3;s:24:"webform_preprocess_table";}}s:19:"tablesort_indicator";a:6:{s:9:"variables";a:1:{s:5:"style";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:19:"tablesort-indicator";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:4:"mark";a:6:{s:9:"variables";a:1:{s:6:"status";i:1;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"mark";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:9:"item_list";a:6:{s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:9:"item-list";s:4:"path";s:42:"core/themes/seven/templates/classy/dataset";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:9:"feed_icon";a:6:{s:9:"variables";a:2:{s:3:"url";N;s:5:"title";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"feed-icon";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"progress_bar";a:6:{s:9:"variables";a:3:{s:5:"label";N;s:7:"percent";N;s:7:"message";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:12:"progress-bar";s:4:"path";s:39:"core/themes/seven/templates/classy/misc";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:11:"indentation";a:6:{s:9:"variables";a:1:{s:4:"size";i:1;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:11:"indentation";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:16:"maintenance_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:16:"maintenance-page";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_maintenance_page";i:2;s:21:"contextual_preprocess";i:6;s:33:"seven_preprocess_maintenance_page";}}s:12:"install_page";a:6:{s:14:"render element";s:4:"page";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:12:"install-page";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_install_page";i:2;s:21:"contextual_preprocess";i:6;s:29:"seven_preprocess_install_page";}}s:21:"maintenance_task_list";a:6:{s:9:"variables";a:3:{s:5:"items";N;s:6:"active";N;s:7:"variant";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:21:"maintenance-task-list";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_maintenance_task_list";i:2;s:21:"contextual_preprocess";}}s:16:"authorize_report";a:7:{s:9:"variables";a:2:{s:8:"messages";a:0:{}s:10:"attributes";a:0:{}}s:8:"includes";a:1:{i:0;s:35:"core/includes/theme.maintenance.inc";}s:8:"template";s:16:"authorize-report";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_authorize_report";i:2;s:21:"contextual_preprocess";}}s:5:"pager";a:6:{s:14:"render element";s:5:"pager";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"pager";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_pager";i:2;s:21:"contextual_preprocess";}}s:4:"menu";a:6:{s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"menu";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:15:"menu_local_task";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:15:"menu-local-task";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_menu_local_task";i:2;s:21:"contextual_preprocess";i:6;s:32:"seven_preprocess_menu_local_task";}}s:17:"menu_local_action";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:17:"menu-local-action";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_menu_local_action";i:2;s:21:"contextual_preprocess";i:3;s:36:"webform_preprocess_menu_local_action";i:4;s:39:"webform_ui_preprocess_menu_local_action";i:5;s:34:"seven_preprocess_menu_local_action";}}s:16:"menu_local_tasks";a:6:{s:9:"variables";a:2:{s:7:"primary";a:0:{}s:9:"secondary";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:16:"menu-local-tasks";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:4;s:33:"seven_preprocess_menu_local_tasks";}}s:5:"input";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:5:"input";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_input";i:2;s:21:"contextual_preprocess";}}s:6:"select";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:6:"select";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_select";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_select";}}s:8:"fieldset";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:8:"fieldset";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";}}s:7:"details";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:7:"details";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";}}s:6:"radios";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:6:"radios";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:26:"template_preprocess_radios";i:2;s:21:"contextual_preprocess";i:3;s:25:"webform_preprocess_radios";}}s:10:"checkboxes";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:10:"checkboxes";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_checkboxes";i:2;s:21:"contextual_preprocess";i:3;s:29:"webform_preprocess_checkboxes";}}s:4:"form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:4:"form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_form";i:2;s:21:"contextual_preprocess";}}s:8:"textarea";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:8:"textarea";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_textarea";i:2;s:21:"contextual_preprocess";}}s:12:"form_element";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:12:"form-element";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_form_element";i:2;s:21:"contextual_preprocess";i:3;s:31:"webform_preprocess_form_element";}}s:18:"form_element_label";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:18:"form-element-label";s:4:"path";s:39:"core/themes/seven/templates/classy/form";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_form_element_label";i:2;s:21:"contextual_preprocess";i:3;s:37:"webform_preprocess_form_element_label";}}s:13:"vertical_tabs";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"vertical-tabs";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_vertical_tabs";i:2;s:21:"contextual_preprocess";}}s:9:"container";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:9:"container";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:5:"field";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"field";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:25:"field_multiple_value_form";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:25:"field-multiple-value-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_field_multiple_value_form";i:2;s:21:"contextual_preprocess";i:3;s:47:"paragraphs_preprocess_field_multiple_value_form";}}s:28:"block__system_branding_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:28:"block--system-branding-block";s:4:"path";s:40:"core/themes/seven/templates/classy/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}}s:28:"block__system_messages_block";a:7:{s:9:"base hook";s:5:"block";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:28:"block--system-messages-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}s:14:"render element";s:8:"elements";}s:24:"block__system_menu_block";a:7:{s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:24:"block--system-menu-block";s:4:"path";s:40:"core/themes/seven/templates/classy/block";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}}s:18:"system_themes_page";a:8:{s:9:"variables";a:2:{s:12:"theme_groups";a:0:{}s:18:"theme_group_titles";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-themes-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_themes_page";i:2;s:21:"contextual_preprocess";}}s:18:"system_config_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:18:"system-config-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"confirm_form";a:6:{s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:12:"confirm-form";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:22:"system_modules_details";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:22:"system-modules-details";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_system_modules_details";i:2;s:21:"contextual_preprocess";}}s:24:"system_modules_uninstall";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:24:"system-modules-uninstall";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_system_modules_uninstall";i:2;s:21:"contextual_preprocess";}}s:18:"status_report_page";a:6:{s:9:"variables";a:3:{s:8:"counters";a:0:{}s:12:"general_info";a:0:{}s:12:"requirements";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:18:"status-report-page";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:13:"status_report";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:13:"status-report";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_grouped";a:6:{s:9:"variables";a:2:{s:20:"grouped_requirements";N;s:12:"requirements";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:21:"status-report-grouped";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"status_report_counter";a:6:{s:9:"variables";a:3:{s:6:"amount";N;s:4:"text";N;s:8:"severity";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:21:"status-report-counter";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"status_report_general_info";a:6:{s:9:"variables";a:7:{s:6:"drupal";a:0:{}s:4:"cron";a:0:{}s:15:"database_system";a:0:{}s:23:"database_system_version";a:0:{}s:3:"php";a:0:{}s:16:"php_memory_limit";a:0:{}s:9:"webserver";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:26:"status-report-general-info";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:10:"admin_page";a:8:{s:9:"variables";a:1:{s:6:"blocks";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:10:"admin-page";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_admin_page";i:2;s:21:"contextual_preprocess";}}s:11:"admin_block";a:8:{s:9:"variables";a:2:{s:5:"block";N;s:10:"attributes";a:0:{}}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:11:"admin-block";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:19:"admin_block_content";a:8:{s:9:"variables";a:1:{s:7:"content";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:2:{i:0;s:36:"core/modules/system/system.admin.inc";i:1;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:19:"admin-block-content";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_admin_block_content";i:2;s:21:"contextual_preprocess";i:6;s:36:"seven_preprocess_admin_block_content";}}s:18:"system_admin_index";a:8:{s:9:"variables";a:1:{s:10:"menu_items";N;}s:4:"file";s:16:"system.admin.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.admin.inc";}s:8:"template";s:18:"system-admin-index";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_system_admin_index";i:2;s:21:"contextual_preprocess";}}s:15:"entity_add_list";a:6:{s:9:"variables";a:2:{s:7:"bundles";a:0:{}s:18:"add_bundle_message";N;}s:8:"template";s:15:"entity-add-list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:4:"path";s:27:"core/themes/seven/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_entity_add_list";i:2;s:21:"contextual_preprocess";}}s:23:"off_canvas_page_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:23:"off-canvas-page-wrapper";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:46:"system_security_advisories_fetch_error_message";a:8:{s:4:"file";s:16:"system.theme.inc";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"includes";a:1:{i:0;s:36:"core/modules/system/system.theme.inc";}s:8:"template";s:46:"system-security-advisories-fetch-error-message";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:66:"template_preprocess_system_security_advisories_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:17:"entity_page_title";a:6:{s:9:"variables";a:4:{s:10:"attributes";a:0:{}s:5:"title";N;s:6:"entity";N;s:9:"view_mode";N;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/system";s:8:"template";s:17:"entity-page-title";s:4:"path";s:29:"core/modules/system/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:38:"quickedit_preprocess_entity_page_title";}}s:13:"taxonomy_term";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:13:"taxonomy-term";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_taxonomy_term";i:2;s:21:"contextual_preprocess";i:3;s:28:"rdf_preprocess_taxonomy_term";i:4;s:31:"field_group_build_entity_groups";}}s:7:"toolbar";a:6:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:7:"toolbar";s:4:"path";s:45:"core/themes/seven/templates/classy/navigation";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_toolbar";i:2;s:21:"contextual_preprocess";i:3;s:25:"system_preprocess_toolbar";}}s:13:"menu__toolbar";a:7:{s:9:"base hook";s:4:"menu";s:9:"variables";a:3:{s:9:"menu_name";N;s:5:"items";a:0:{}s:10:"attributes";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:20:"core/modules/toolbar";s:8:"template";s:13:"menu--toolbar";s:4:"path";s:30:"core/modules/toolbar/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:17:"update_last_check";a:6:{s:9:"variables";a:1:{s:4:"last";i:0;}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"template";s:17:"update-last-check";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_update_last_check";i:2;s:21:"contextual_preprocess";}}s:13:"update_report";a:8:{s:9:"variables";a:1:{s:4:"data";N;}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:13:"update-report";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:33:"template_preprocess_update_report";i:2;s:21:"contextual_preprocess";}}s:21:"update_project_status";a:8:{s:9:"variables";a:1:{s:7:"project";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:21:"update-project-status";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_update_project_status";i:2;s:21:"contextual_preprocess";}}s:14:"update_version";a:8:{s:9:"variables";a:3:{s:7:"version";N;s:5:"title";N;s:10:"attributes";a:0:{}}s:4:"file";s:17:"update.report.inc";s:4:"type";s:6:"module";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:14:"update-version";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_update_version";i:2;s:21:"contextual_preprocess";i:3;s:31:"seven_preprocess_update_version";}}s:26:"update_fetch_error_message";a:9:{s:4:"file";s:17:"update.report.inc";s:14:"render element";s:7:"element";s:9:"variables";a:1:{s:13:"error_message";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:19:"core/modules/update";s:8:"includes";a:1:{i:0;s:37:"core/modules/update/update.report.inc";}s:8:"template";s:26:"update-fetch-error-message";s:4:"path";s:29:"core/modules/update/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_update_fetch_error_message";i:2;s:21:"contextual_preprocess";}}s:4:"user";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:4:"user";s:4:"path";s:39:"core/themes/seven/templates/classy/user";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:24:"template_preprocess_user";i:2;s:21:"contextual_preprocess";i:3;s:19:"rdf_preprocess_user";i:4;s:31:"field_group_build_entity_groups";}}s:8:"username";a:6:{s:9:"variables";a:3:{s:7:"account";N;s:10:"attributes";a:0:{}s:12:"link_options";a:0:{}}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:8:"username";s:4:"path";s:39:"core/themes/seven/templates/classy/user";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_username";i:2;s:21:"contextual_preprocess";i:3;s:23:"rdf_preprocess_username";}}s:18:"video_embed_iframe";a:6:{s:9:"variables";a:4:{s:3:"url";s:0:"";s:5:"query";a:0:{}s:10:"attributes";a:0:{}s:8:"fragment";s:0:"";}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:18:"video-embed-iframe";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:34:"video_embed_field_missing_provider";a:6:{s:9:"variables";a:0:{}s:4:"type";s:6:"module";s:10:"theme path";s:25:"modules/video_embed_field";s:8:"template";s:34:"video-embed-field-missing-provider";s:4:"path";s:35:"modules/video_embed_field/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_display_tab_setting";a:8:{s:9:"variables";a:7:{s:11:"description";s:0:"";s:4:"link";s:0:"";s:14:"settings_links";a:0:{}s:10:"overridden";b:0;s:9:"defaulted";b:0;s:21:"description_separator";b:1;s:5:"class";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-display-tab-setting";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_display_tab_setting";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_display_tab_bucket";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-display-tab-bucket";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_display_tab_bucket";i:2;s:21:"contextual_preprocess";}}s:30:"views_ui_rearrange_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:30:"views-ui-rearrange-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_ui_rearrange_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_expose_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-expose-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_ui_view_info";a:8:{s:9:"variables";a:2:{s:4:"view";N;s:8:"displays";N;}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-view-info";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:28:"views_ui_views_listing_table";a:8:{s:9:"variables";a:3:{s:7:"headers";N;s:4:"rows";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:28:"views-ui-views-listing-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_views_ui_views_listing_table";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_view_displays_list";a:6:{s:9:"variables";a:1:{s:8:"displays";a:0:{}}s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"template";s:27:"views-ui-view-displays-list";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"views_ui_build_group_filter_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:32:"views-ui-build-group-filter-form";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:52:"template_preprocess_views_ui_build_group_filter_form";i:2;s:21:"contextual_preprocess";}}s:27:"views_ui_style_plugin_table";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:27:"views-ui-style-plugin-table";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_views_ui_style_plugin_table";i:2;s:21:"contextual_preprocess";}}s:29:"views_ui_view_preview_section";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"section";N;s:7:"content";N;s:5:"links";s:0:"";}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:29:"views-ui-view-preview-section";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_views_ui_view_preview_section";i:2;s:21:"contextual_preprocess";}}s:18:"views_ui_container";a:8:{s:9:"variables";a:2:{s:8:"children";N;s:10:"attributes";a:0:{}}s:4:"file";s:18:"views_ui.theme.inc";s:4:"type";s:6:"module";s:10:"theme path";s:21:"core/modules/views_ui";s:8:"includes";a:1:{i:0;s:40:"core/modules/views_ui/views_ui.theme.inc";}s:8:"template";s:18:"views-ui-container";s:4:"path";s:31:"core/modules/views_ui/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:12:"webform_help";a:8:{s:9:"variables";a:1:{s:4:"info";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:12:"webform-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:32:"template_preprocess_webform_help";i:2;s:21:"contextual_preprocess";}}s:26:"webform_help_video_youtube";a:8:{s:9:"variables";a:2:{s:10:"youtube_id";N;s:8:"autoplay";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-help-video-youtube";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_help_support";a:8:{s:9:"variables";a:3:{s:7:"account";a:0:{}s:10:"membership";a:0:{}s:12:"contribution";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-help-support";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:7:"webform";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:7:"webform";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_webform";i:2;s:21:"contextual_preprocess";}}s:15:"webform_actions";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-actions";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_actions";i:2;s:21:"contextual_preprocess";}}s:21:"webform_access_denied";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:10:"attributes";a:0:{}s:7:"webform";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:21:"webform-access-denied";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:30:"webform_handler_action_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-handler-action-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_debug_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-debug-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_handler_email_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-handler-email-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:35:"webform_handler_remote_post_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:35:"webform-handler-remote-post-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_handler_settings_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-handler-settings-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:32:"webform_variant_override_summary";a:8:{s:9:"variables";a:2:{s:8:"settings";N;s:7:"variant";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:32:"webform-variant-override-summary";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_confirmation";a:8:{s:9:"variables";a:3:{s:7:"webform";N;s:13:"source_entity";N;s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-confirmation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_confirmation";i:2;s:21:"contextual_preprocess";}}s:16:"webform_required";a:8:{s:9:"variables";a:1:{s:5:"label";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-required";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"webform_submission";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-submission";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_submission";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_form";a:8:{s:14:"render element";s:4:"form";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-form";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:29:"webform_submission_navigation";a:8:{s:9:"variables";a:1:{s:18:"webform_submission";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-submission-navigation";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_submission_navigation";i:2;s:21:"contextual_preprocess";}}s:30:"webform_submission_information";a:8:{s:9:"variables";a:3:{s:18:"webform_submission";N;s:13:"source_entity";N;s:4:"open";b:1;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:30:"webform-submission-information";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_webform_submission_information";i:2;s:21:"contextual_preprocess";}}s:23:"webform_submission_data";a:8:{s:14:"render element";s:8:"elements";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-submission-data";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_submission_data";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_html";i:2;s:21:"contextual_preprocess";}}s:25:"webform_element_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-element-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_element_base_text";i:2;s:21:"contextual_preprocess";}}s:27:"webform_container_base_html";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:27:"webform_container_base_text";a:8:{s:9:"variables";a:4:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-container-base-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"webform_element_help";a:8:{s:9:"variables";a:3:{s:4:"help";N;s:10:"help_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-help";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_help";i:2;s:21:"contextual_preprocess";}}s:20:"webform_element_more";a:8:{s:9:"variables";a:3:{s:4:"more";N;s:10:"more_title";s:0:"";s:10:"attributes";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-element-more";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_element_more";i:2;s:21:"contextual_preprocess";}}s:28:"webform_element_managed_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:28:"webform-element-managed-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:48:"template_preprocess_webform_element_managed_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_audio_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-audio-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_audio_file";i:2;s:21:"contextual_preprocess";}}s:29:"webform_element_document_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:29:"webform-element-document-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:49:"template_preprocess_webform_element_document_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_image_file";a:8:{s:9:"variables";a:7:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;s:10:"style_name";N;s:6:"format";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-image-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_image_file";i:2;s:21:"contextual_preprocess";}}s:26:"webform_element_video_file";a:8:{s:9:"variables";a:5:{s:7:"element";a:0:{}s:5:"value";N;s:18:"webform_submission";N;s:7:"options";a:0:{}s:4:"file";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-element-video-file";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_element_video_file";i:2;s:21:"contextual_preprocess";}}s:18:"webform_email_html";a:8:{s:9:"variables";a:4:{s:7:"subject";s:0:"";s:4:"body";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-email-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_html";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-html";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_email_message_text";a:8:{s:9:"variables";a:3:{s:7:"message";s:0:"";s:18:"webform_submission";N;s:7:"handler";N;}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-email-message-text";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:26:"webform_html_editor_markup";a:8:{s:9:"variables";a:2:{s:6:"markup";N;s:12:"allowed_tags";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-html-editor-markup";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_html_editor_markup";i:2;s:21:"contextual_preprocess";}}s:23:"webform_horizontal_rule";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:23:"webform-horizontal-rule";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_webform_horizontal_rule";i:2;s:21:"contextual_preprocess";}}s:15:"webform_message";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-message";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_message";i:2;s:21:"contextual_preprocess";}}s:15:"webform_section";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:15:"webform-section";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_webform_section";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_address";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-address";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_address";i:2;s:21:"contextual_preprocess";}}s:25:"webform_composite_contact";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:25:"webform-composite-contact";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:45:"template_preprocess_webform_composite_contact";i:2;s:21:"contextual_preprocess";}}s:26:"webform_composite_location";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:26:"webform-composite-location";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:46:"template_preprocess_webform_composite_location";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_link";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-link";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_link";i:2;s:21:"contextual_preprocess";}}s:22:"webform_composite_name";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:22:"webform-composite-name";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_webform_composite_name";i:2;s:21:"contextual_preprocess";}}s:27:"webform_composite_telephone";a:8:{s:14:"render element";s:7:"element";s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:27:"webform-composite-telephone";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:47:"template_preprocess_webform_composite_telephone";i:2;s:21:"contextual_preprocess";}}s:18:"webform_codemirror";a:8:{s:9:"variables";a:2:{s:4:"code";N;s:4:"type";s:4:"text";}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:18:"webform-codemirror";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_webform_codemirror";i:2;s:21:"contextual_preprocess";}}s:16:"webform_progress";a:8:{s:9:"variables";a:5:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:16:"webform-progress";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_webform_progress";i:2;s:21:"contextual_preprocess";}}s:20:"webform_progress_bar";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:20:"webform-progress-bar";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:40:"template_preprocess_webform_progress_bar";i:2;s:21:"contextual_preprocess";}}s:24:"webform_progress_tracker";a:8:{s:9:"variables";a:6:{s:7:"webform";N;s:18:"webform_submission";N;s:12:"current_page";N;s:9:"operation";N;s:9:"max_pages";i:10;s:5:"pages";a:0:{}}s:4:"file";s:35:"includes/webform.theme.template.inc";s:4:"type";s:6:"module";s:10:"theme path";s:15:"modules/webform";s:8:"includes";a:1:{i:0;s:51:"modules/webform/includes/webform.theme.template.inc";}s:8:"template";s:24:"webform-progress-tracker";s:4:"path";s:25:"modules/webform/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:44:"template_preprocess_webform_progress_tracker";i:2;s:21:"contextual_preprocess";}}s:4:"font";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:4:"font";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:28:"fontyourface_preprocess_font";i:3;s:31:"field_group_build_entity_groups";}}s:10:"font__full";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:10:"font--full";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:34:"fontyourface_preprocess_font__full";}}s:12:"font__teaser";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:20:"modules/fontyourface";s:8:"template";s:12:"font--teaser";s:4:"path";s:30:"modules/fontyourface/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";i:2;s:36:"fontyourface_preprocess_font__teaser";}}s:16:"views_mini_pager";a:7:{s:9:"variables";a:6:{s:4:"view";N;s:7:"options";N;s:4:"tags";a:0:{}s:8:"quantity";i:9;s:7:"element";i:0;s:10:"parameters";a:0:{}}s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-mini-pager";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_mini_pager";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_field";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:3:{s:4:"view";N;s:5:"field";N;s:3:"row";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-field";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_field";i:2;s:21:"contextual_preprocess";}}s:19:"views_view_grouping";a:8:{s:4:"file";s:15:"views.theme.inc";s:9:"variables";a:5:{s:4:"view";N;s:8:"grouping";N;s:14:"grouping_level";N;s:4:"rows";N;s:5:"title";N;}s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-grouping";s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_grouping";i:2;s:21:"contextual_preprocess";}}s:10:"views_view";a:7:{s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:10:"views-view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}}s:19:"views_view_row_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:19:"views-view-row-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:39:"template_preprocess_views_view_row_opml";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_row_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-row-rss";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_row_rss";i:2;s:21:"contextual_preprocess";}}s:17:"views_view_fields";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";}}s:23:"views_view_fullcalendar";a:6:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:35:"modules/fullcalendar_view/templates";s:8:"template";s:23:"views-view-fullcalendar";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:43:"template_preprocess_views_view_fullcalendar";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_grid";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-grid";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_grid";i:2;s:21:"contextual_preprocess";}}s:18:"views_view_summary";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-view-summary";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_view_summary";i:2;s:21:"contextual_preprocess";}}s:22:"views_view_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:22:"views-view-unformatted";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_opml";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-opml";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_opml";i:2;s:21:"contextual_preprocess";}}s:14:"views_view_rss";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:14:"views-view-rss";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:34:"template_preprocess_views_view_rss";i:2;s:21:"contextual_preprocess";}}s:16:"views_view_table";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:16:"views-view-table";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:36:"template_preprocess_views_view_table";i:2;s:21:"contextual_preprocess";}}s:15:"views_view_list";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:15:"views-view-list";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:35:"template_preprocess_views_view_list";i:2;s:21:"contextual_preprocess";}}s:30:"views_view_summary_unformatted";a:7:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:30:"views-view-summary-unformatted";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:50:"template_preprocess_views_view_summary_unformatted";i:2;s:21:"contextual_preprocess";}}s:21:"views_form_views_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:21:"views-form-views-form";s:4:"path";s:28:"core/modules/views/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:18:"views_exposed_form";a:8:{s:4:"file";s:15:"views.theme.inc";s:14:"render element";s:4:"form";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:18:"views-exposed-form";s:4:"path";s:40:"core/themes/seven/templates/classy/views";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_views_exposed_form";i:2;s:52:"better_exposed_filters_preprocess_views_exposed_form";i:3;s:21:"contextual_preprocess";}}s:9:"paragraph";a:6:{s:14:"render element";s:8:"elements";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:9:"paragraph";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_paragraph";i:2;s:21:"contextual_preprocess";i:3;s:31:"field_group_build_entity_groups";}}s:29:"paragraphs_dropbutton_wrapper";a:6:{s:9:"variables";a:1:{s:8:"children";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:29:"paragraphs-dropbutton-wrapper";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:20:"paragraphs_info_icon";a:6:{s:9:"variables";a:2:{s:7:"message";N;s:4:"icon";N;}s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:8:"template";s:20:"paragraphs-info-icon";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:2:{i:0;s:19:"template_preprocess";i:1;s:21:"contextual_preprocess";}}s:21:"paragraphs_add_dialog";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:21:"paragraphs-add-dialog";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:41:"template_preprocess_paragraphs_add_dialog";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_actions";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-actions";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_actions";i:2;s:21:"contextual_preprocess";}}s:18:"paragraphs_summary";a:6:{s:14:"render element";s:7:"element";s:8:"template";s:18:"paragraphs-summary";s:4:"type";s:6:"module";s:10:"theme path";s:18:"modules/paragraphs";s:4:"path";s:28:"modules/paragraphs/templates";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:38:"template_preprocess_paragraphs_summary";i:2;s:21:"contextual_preprocess";}}s:24:"block__local_tasks_block";a:7:{s:8:"template";s:24:"block--local-tasks-block";s:4:"path";s:40:"core/themes/seven/templates/classy/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}}s:24:"block__search_form_block";a:7:{s:8:"template";s:24:"block--search-form-block";s:4:"path";s:40:"core/themes/seven/templates/classy/block";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}}s:26:"block__local_actions_block";a:7:{s:8:"template";s:26:"block--local-actions-block";s:4:"path";s:27:"core/themes/seven/templates";s:14:"render element";s:8:"elements";s:9:"base hook";s:5:"block";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:13:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_block";i:2;s:24:"comment_preprocess_block";i:3;s:21:"contextual_preprocess";i:4;s:21:"help_preprocess_block";i:5;s:24:"menu_ui_preprocess_block";i:6;s:21:"node_preprocess_block";i:7;s:23:"search_preprocess_block";i:8;s:25:"shortcut_preprocess_block";i:9;s:27:"statistics_preprocess_block";i:10;s:23:"system_preprocess_block";i:11;s:21:"user_preprocess_block";i:12;s:22:"seven_preprocess_block";}}s:25:"links__media_library_menu";a:7:{s:8:"template";s:25:"links--media-library-menu";s:4:"path";s:48:"core/themes/seven/templates/classy/media-library";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"seven_preprocess_links";i:4;s:42:"seven_preprocess_links__media_library_menu";}}s:11:"links__node";a:7:{s:8:"template";s:11:"links--node";s:4:"path";s:42:"core/themes/seven/templates/classy/content";s:9:"variables";a:4:{s:5:"links";a:0:{}s:10:"attributes";a:1:{s:5:"class";a:1:{i:0;s:5:"links";}}s:7:"heading";a:0:{}s:16:"set_active_class";b:0;}s:9:"base hook";s:5:"links";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_links";i:2;s:21:"contextual_preprocess";i:3;s:22:"seven_preprocess_links";}}s:25:"item_list__search_results";a:7:{s:8:"template";s:25:"item-list--search-results";s:4:"path";s:42:"core/themes/seven/templates/classy/dataset";s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:9:"base hook";s:9:"item_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";}}s:44:"item_list__media_library_add_form_media_list";a:7:{s:8:"template";s:44:"item-list--media-library-add-form-media-list";s:4:"path";s:41:"core/themes/seven/templates/media-library";s:9:"variables";a:7:{s:5:"items";a:0:{}s:5:"title";s:0:"";s:9:"list_type";s:2:"ul";s:18:"wrapper_attributes";a:0:{}s:10:"attributes";a:0:{}s:5:"empty";N;s:7:"context";a:0:{}}s:9:"base hook";s:9:"item_list";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_item_list";i:2;s:21:"contextual_preprocess";i:3;s:61:"seven_preprocess_item_list__media_library_add_form_media_list";}}s:30:"fieldset__media_library_widget";a:7:{s:8:"template";s:30:"fieldset--media-library-widget";s:4:"path";s:41:"core/themes/seven/templates/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:8:"fieldset";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:28:"template_preprocess_fieldset";i:2;s:21:"contextual_preprocess";i:3;s:27:"webform_preprocess_fieldset";i:4;s:47:"seven_preprocess_fieldset__media_library_widget";}}s:46:"details__media_library_add_form_selected_media";a:7:{s:8:"template";s:46:"details--media-library-add-form-selected-media";s:4:"path";s:41:"core/themes/seven/templates/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:7:"details";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:27:"template_preprocess_details";i:2;s:21:"contextual_preprocess";i:3;s:26:"webform_preprocess_details";}}s:32:"container__media_library_content";a:7:{s:8:"template";s:32:"container--media-library-content";s:4:"path";s:48:"core/themes/seven/templates/classy/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:41:"container__media_library_widget_selection";a:7:{s:8:"template";s:41:"container--media-library-widget-selection";s:4:"path";s:48:"core/themes/seven/templates/classy/media-library";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:34:"container__text_format_filter_help";a:7:{s:8:"template";s:34:"container--text-format-filter-help";s:4:"path";s:39:"core/themes/seven/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:37:"container__text_format_filter_wrapper";a:7:{s:8:"template";s:37:"container--text-format-filter-wrapper";s:4:"path";s:39:"core/themes/seven/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:40:"container__text_format_filter_guidelines";a:7:{s:8:"template";s:40:"container--text-format-filter-guidelines";s:4:"path";s:39:"core/themes/seven/templates/text_format";s:14:"render element";s:7:"element";s:9:"base hook";s:9:"container";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:29:"template_preprocess_container";i:2;s:21:"contextual_preprocess";}}s:24:"field__text_with_summary";a:7:{s:8:"template";s:24:"field--text-with-summary";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:11:"field__text";a:7:{s:8:"template";s:11:"field--text";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:16:"field__text_long";a:7:{s:8:"template";s:16:"field--text-long";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:14:"render element";s:7:"element";s:9:"base hook";s:5:"field";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:5:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";}}s:25:"views_view__media_library";a:8:{s:8:"template";s:25:"views-view--media_library";s:4:"path";s:41:"core/themes/seven/templates/media-library";s:9:"variables";a:13:{s:10:"view_array";a:0:{}s:4:"view";N;s:4:"rows";a:0:{}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:7:"exposed";a:0:{}s:4:"more";a:0:{}s:10:"feed_icons";a:0:{}s:5:"pager";a:0:{}s:5:"title";s:0:"";s:17:"attachment_before";a:0:{}s:16:"attachment_after";a:0:{}}s:9:"base hook";s:10:"views_view";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:30:"template_preprocess_views_view";i:2;s:21:"contextual_preprocess";i:3;s:30:"views_ui_preprocess_views_view";}s:8:"includes";a:2:{i:0;s:34:"core/modules/views/views.theme.inc";i:1;s:34:"core/modules/views/views.theme.inc";}}s:37:"views_view_unformatted__media_library";a:8:{s:8:"template";s:37:"views-view-unformatted--media-library";s:4:"path";s:41:"core/themes/seven/templates/media-library";s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:4:"rows";N;s:5:"title";N;}s:9:"base hook";s:22:"views_view_unformatted";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:20:"preprocess functions";a:3:{i:0;s:19:"template_preprocess";i:1;s:42:"template_preprocess_views_view_unformatted";i:2;s:21:"contextual_preprocess";}s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}}s:11:"field__node";a:7:{s:14:"render element";s:7:"element";s:4:"type";s:12:"theme_engine";s:10:"theme path";s:17:"core/themes/seven";s:8:"template";s:5:"field";s:4:"path";s:40:"core/themes/seven/templates/classy/field";s:20:"preprocess functions";a:6:{i:0;s:19:"template_preprocess";i:1;s:25:"template_preprocess_field";i:2;s:24:"comment_preprocess_field";i:3;s:21:"contextual_preprocess";i:4;s:26:"quickedit_preprocess_field";i:10;s:27:"node_preprocess_field__node";}s:9:"base hook";s:5:"field";}s:32:"views_view_fields__media_library";a:8:{s:9:"variables";a:4:{s:4:"view";N;s:7:"options";N;s:3:"row";N;s:11:"field_alias";N;}s:4:"path";s:28:"core/modules/views/templates";s:8:"includes";a:1:{i:0;s:34:"core/modules/views/views.theme.inc";}s:8:"template";s:17:"views-view-fields";s:4:"type";s:6:"module";s:10:"theme path";s:18:"core/modules/views";s:20:"preprocess functions";a:4:{i:0;s:19:"template_preprocess";i:1;s:37:"template_preprocess_views_view_fields";i:2;s:21:"contextual_preprocess";i:3;s:49:"seven_preprocess_views_view_fields__media_library";}s:9:"base hook";s:17:"views_view_fields";}}', -1, '1681652749.150', 1, 'theme_registry', '2');
INSERT INTO `cache_default` VALUES
('twig:643bf061e8a9a___string_template__15e4c2_5ei-t-H7gfG75FKf-XYN0OH2a', 'i:1681649766;', -1, '1681649767.243', 1, '', '0'),
('twig:643bf061e8a9a___string_template__52b051_W-fNa3mN-m2_CU0B8-HR8Z8Fl', 'i:1681652063;', -1, '1681652067.168', 1, '', '0'),
('twig:643bf061e8a9a___string_template__6a2704_uG_NEJbrHXFQNsQwm5HgYn1D_', 'i:1681652764;', -1, '1681652764.907', 1, '', '0'),
('twig:643bf061e8a9a___string_template__736fb3_5yUalvHd0VJTntHIx0-AYZEo_', 'i:1681652063;', -1, '1681652067.130', 1, '', '0'),
('twig:643bf061e8a9a___string_template__7d4112_IjNGdCxJdUjsRFhvq2HYiL9k6', 'i:1681652780;', -1, '1681652781.674', 1, '', '0'),
('twig:643bf061e8a9a___string_template__d3e79b_oZQHoG0M5p70aMurHAxCgFOqc', 'i:1681652752;', -1, '1681652752.830', 1, '', '0'),
('twig:643bf061e8a9a___string_template__d7d7f1_OiVtRpmKDRHL45WfCa1H54hm6', 'i:1681650107;', -1, '1681650107.705', 1, '', '0'),
('twig:643bf061e8a9a_admin-block-content.html._bd-ei_AuHv9QfNpMEiFl6eimu', 'i:1681652774;', -1, '1681652775.915', 1, '', '0'),
('twig:643bf061e8a9a_admin-block-content.html._xbjlFSunlXjZ8lMRBk2jhlkQv', 'i:1681649884;', -1, '1681649885.379', 1, '', '0'),
('twig:643bf061e8a9a_admin-block.html.twig_4wM4T4T7lxzKoZ4Fu2Ryb0vb0', 'i:1681652774;', -1, '1681652775.910', 1, '', '0'),
('twig:643bf061e8a9a_admin-block.html.twig_hdqA1qoglCmEN9DIELdvor55C', 'i:1681649884;', -1, '1681649885.373', 1, '', '0'),
('twig:643bf061e8a9a_admin-page.html.twig_9mX0ztb0u6sfcspp-09Vh44Qc', 'i:1681652774;', -1, '1681652775.903', 1, '', '0'),
('twig:643bf061e8a9a_admin-page.html.twig_VFkFDKlo_3yfOyPuEqPY-3B6C', 'i:1681649884;', -1, '1681649885.365', 1, '', '0'),
('twig:643bf061e8a9a_authorize-report.html.twi_6bWvVd3HadHW9QIQsVx1lL9_2', 'i:1681652129;', -1, '1681652130.117', 1, '', '0'),
('twig:643bf061e8a9a_block--local-actions-bloc_ISb3I03cGXnrXurd_H0MQl6wk', 'i:1681649931;', -1, '1681649932.740', 1, '', '0'),
('twig:643bf061e8a9a_block--local-actions-bloc_imXLGJbgbKc77iQLpVF__X9WV', 'i:1681652716;', -1, '1681652717.247', 1, '', '0'),
('twig:643bf061e8a9a_block--local-tasks-block._0YYcJHZB7T-pI9DlifOC77Omq', 'i:1681652707;', -1, '1681652709.468', 1, '', '0'),
('twig:643bf061e8a9a_block--local-tasks-block._aksRbaG8wR_E73Wvt1zs3VzBv', 'i:1681652716;', -1, '1681652717.222', 1, '', '0'),
('twig:643bf061e8a9a_block--local-tasks-block._p9f8Nn7ecsqJk-4VNIHOvf089', 'i:1681652202;', -1, '1681652203.073', 1, '', '0'),
('twig:643bf061e8a9a_block--local-tasks-block._uPA-g_aSvf3T4tgH1RF7dLHZW', 'i:1681649931;', -1, '1681649932.697', 1, '', '0'),
('twig:643bf061e8a9a_block--page-title-block.h_g0goUibezXR9iWwtHW9IJ3fy6', 'i:1681652752;', -1, '1681652753.129', 1, '', '0'),
('twig:643bf061e8a9a_block--primary-menu--plug_VOBVNXyqIkTbWZNtLao0MAnIn', 'i:1681652752;', -1, '1681652752.970', 1, '', '0'),
('twig:643bf061e8a9a_block--search-form-block._GrrOIj9NQBLErawvP45xAKb7o', 'i:1681650074;', -1, '1681650075.119', 1, '', '0'),
('twig:643bf061e8a9a_block--secondary-menu--pl_hTkCmMzseSvDs4qW0lDnHILiK', 'i:1681652752;', -1, '1681652753.055', 1, '', '0'),
('twig:643bf061e8a9a_block--secondary-menu.htm_6GoTkAmjDurVhsh-KXcR9JPTc', 'i:1681652752;', -1, '1681652753.070', 1, '', '0'),
('twig:643bf061e8a9a_block--system-branding-bl_TsIf2V2VDoFC5hiSw4OVEvLSQ', 'i:1681652752;', -1, '1681652752.948', 1, '', '0'),
('twig:643bf061e8a9a_block--system-branding-bl_gA9d2TFTMTVxuH9LKNcGk26JI', 'i:1681650074;', -1, '1681650075.069', 1, '', '0'),
('twig:643bf061e8a9a_block--system-menu-block._AHUc1rtfHlpwdSq_yPK3JOEfF', 'i:1681652707;', -1, '1681652709.118', 1, '', '0'),
('twig:643bf061e8a9a_block--system-menu-block._Bjxmt_QYTu7NI-pv4VK6XnUkQ', 'i:1681650074;', -1, '1681650075.042', 1, '', '0'),
('twig:643bf061e8a9a_block--system-menu-block._Dv49q75-f-0ICqI-4WAHF440r', 'i:1681652752;', -1, '1681652753.015', 1, '', '0'),
('twig:643bf061e8a9a_block--system-messages-bl_4O7JjPFILaRyoiVe1cEojmuXN', 'i:1681649761;', -1, '1681649762.583', 1, '', '0'),
('twig:643bf061e8a9a_block--system-messages-bl_enbNa7ayMBEghG0wfEyjlSX-j', 'i:1681652742;', -1, '1681652743.218', 1, '', '0'),
('twig:643bf061e8a9a_block--system-powered-by-_FqIurHI-gObULWM2HEzpY_H03', 'i:1681652752;', -1, '1681652753.185', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_BBc3bHDObRAbTTF1uLEsZaqlS', 'i:1681652707;', -1, '1681652709.150', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_GQb9eUuGeymJQBf7FN198L_iz', 'i:1681652716;', -1, '1681652717.183', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_OMfI1-1uoOjOO5njuQO6PTQ9w', 'i:1681649761;', -1, '1681649762.454', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_P6NIRReECDLGc6tJOtKPHgmM2', 'i:1681650074;', -1, '1681650075.076', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_SHGdCp44Nqf555_PdNSN2O7Vv', 'i:1681652752;', -1, '1681652752.954', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_f3B9Y51qLBx5GH30PZKRcyX8j', 'i:1681649931;', -1, '1681649932.745', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_xX7rzigq1Pf1g4b2IHydYg_b5', 'i:1681652716;', -1, '1681652717.251', 1, '', '0'),
('twig:643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys', 'i:1681649766;', -1, '1681649767.680', 1, '', '0'),
('twig:643bf061e8a9a_breadcrumb.html.twig_R1kPXp5WidPxn5W_IGeUZzQ3l', 'i:1681650107;', -1, '1681650107.950', 1, '', '0'),
('twig:643bf061e8a9a_breadcrumb.html.twig_XG1zbzEGjYpeUnQAt4t0ld8Om', 'i:1681652764;', -1, '1681652765.357', 1, '', '0'),
('twig:643bf061e8a9a_breadcrumb.html.twig_dicZShVt8ortwR2hBfqhFb129', 'i:1681649761;', -1, '1681649762.576', 1, '', '0'),
('twig:643bf061e8a9a_breadcrumb.html.twig_vZoH8EwYNPMM_IBo4po70tiyU', 'i:1681652742;', -1, '1681652743.212', 1, '', '0'),
('twig:643bf061e8a9a_confirm-form.html.twig_dV55y3n44zejue_L3096NLdkj', 'i:1681653349;', -1, '1681653349.908', 1, '', '0'),
('twig:643bf061e8a9a_container.html.twig_MlQvK2tqAdGY_jlrHg8uSiFs7', 'i:1681652707;', -1, '1681652709.091', 1, '', '0'),
('twig:643bf061e8a9a_container.html.twig_VBB208P-NFb_WJWnpxCllb8GO', 'i:1681649766;', -1, '1681649767.552', 1, '', '0'),
('twig:643bf061e8a9a_container.html.twig_f-1O2QeSHTowoe82KUvEEV7A1', 'i:1681649761;', -1, '1681649762.020', 1, '', '0'),
('twig:643bf061e8a9a_details.html.twig_2Mt8BBhuKythRKcFA2yRiIUEg', 'i:1681652716;', -1, '1681652716.941', 1, '', '0'),
('twig:643bf061e8a9a_details.html.twig_IyBvnnBwHReSH-fJHCA6jgQb_', 'i:1681649761;', -1, '1681649761.992', 1, '', '0'),
('twig:643bf061e8a9a_feed-icon.html.twig_PfEwcQ1csEqcLRTLN6UmraFZ8', 'i:1681652752;', -1, '1681652753.169', 1, '', '0'),
('twig:643bf061e8a9a_field--node--created.html_XGkunFQTXrI4mzKLFT0mgMxhm', 'i:1681650074;', -1, '1681650074.954', 1, '', '0'),
('twig:643bf061e8a9a_field--node--created.html_XXbRQBXNWe4IGZSZBTUKiszvl', 'i:1681649766;', -1, '1681649767.246', 1, '', '0'),
('twig:643bf061e8a9a_field--node--created.html_gU4tHYPGHPRP6RThYoqgt4Ti7', 'i:1681652752;', -1, '1681652752.834', 1, '', '0'),
('twig:643bf061e8a9a_field--node--title.html.t_hYTRNm02ZVkbG0HKFrwV2Bwiq', 'i:1681650074;', -1, '1681650074.907', 1, '', '0'),
('twig:643bf061e8a9a_field--node--title.html.t_obh1cT2Nu5Ns2uNHzz9IAudOu', 'i:1681649766;', -1, '1681649767.152', 1, '', '0'),
('twig:643bf061e8a9a_field--node--title.html.t_zS1DqGZ0zyGpWGSBk9kjRB8Hs', 'i:1681652752;', -1, '1681652752.645', 1, '', '0'),
('twig:643bf061e8a9a_field--node--uid.html.twi_KR9D3f4LhbHQCgN7V4WBxnC0a', 'i:1681652752;', -1, '1681652752.838', 1, '', '0'),
('twig:643bf061e8a9a_field--node--uid.html.twi_SkXp7-nW2NMc-isLbe0LZkJjD', 'i:1681650074;', -1, '1681650074.962', 1, '', '0'),
('twig:643bf061e8a9a_field--node--uid.html.twi_n_LVcBR0XauVsww1hwVwsGhbg', 'i:1681649766;', -1, '1681649767.251', 1, '', '0'),
('twig:643bf061e8a9a_field--text-with-summary._631e3kGpvzyD2CiocYPslurE5', 'i:1681652764;', -1, '1681652764.982', 1, '', '0'),
('twig:643bf061e8a9a_field--text-with-summary._nHo9cAaTTuaojZajthL_GN-qt', 'i:1681650107;', -1, '1681650107.814', 1, '', '0'),
('twig:643bf061e8a9a_field--text.html.twig_7XSVmW8xn5RNd4lvn3LlT1CNz', 'i:1681652764;', -1, '1681652764.987', 1, '', '0'),
('twig:643bf061e8a9a_field--text.html.twig_xRVcsxQdylaMZB7nMrA9V7rqB', 'i:1681650107;', -1, '1681650107.819', 1, '', '0'),
('twig:643bf061e8a9a_field.html.twig_-tHhFfxP-6qHqSv_6IUu8nbsf', 'i:1681650107;', -1, '1681650107.777', 1, '', '0'),
('twig:643bf061e8a9a_field.html.twig_X384Fpg0Jz3L1bQcQjbCxwkT1', 'i:1681652764;', -1, '1681652764.958', 1, '', '0'),
('twig:643bf061e8a9a_form--search-block-form.h_BDzAOArmIg--Siq3dKHZ7Ym9E', 'i:1681650074;', -1, '1681650075.145', 1, '', '0'),
('twig:643bf061e8a9a_form--search-block-form.h_SQ-ueSKfHypHdkQZVFLElndiT', 'i:1681652752;', -1, '1681652753.001', 1, '', '0'),
('twig:643bf061e8a9a_form-element-label.html.t_82ofTyiMfyedpC0qeZaOtDznA', 'i:1681652716;', -1, '1681652716.934', 1, '', '0'),
('twig:643bf061e8a9a_form-element-label.html.t_GdjA9OEfOqNTuCk0FJJDg1ooz', 'i:1681650074;', -1, '1681650075.138', 1, '', '0'),
('twig:643bf061e8a9a_form-element-label.html.t_SkqwT_IUgiB0A_lxMS_gXX_qG', 'i:1681649852;', -1, '1681649852.460', 1, '', '0'),
('twig:643bf061e8a9a_form-element-label.html.t_jFeDjWWr96HqirJjcybEEO7Xz', 'i:1681652752;', -1, '1681652752.988', 1, '', '0'),
('twig:643bf061e8a9a_form-element-label.html.t_rD5kT6c57F72YYe2H0dOe4gvN', 'i:1681649761;', -1, '1681649762.013', 1, '', '0'),
('twig:643bf061e8a9a_form-element.html.twig_3FJbRWhbCJGB3q5em7O6TFur5', 'i:1681650074;', -1, '1681650075.131', 1, '', '0'),
('twig:643bf061e8a9a_form-element.html.twig_KTpcnAFRwzPsOvuRAtJuZUcqz', 'i:1681649761;', -1, '1681649762.008', 1, '', '0'),
('twig:643bf061e8a9a_form-element.html.twig_SVEijr5IdAnIswID6Qx0-p5w0', 'i:1681649852;', -1, '1681649852.457', 1, '', '0'),
('twig:643bf061e8a9a_form-element.html.twig_VKjSVhyALQL0aAX6yrlAQd3UA', 'i:1681652716;', -1, '1681652716.931', 1, '', '0'),
('twig:643bf061e8a9a_form-element.html.twig_XsaS-fT3ceKSb74oyEVKYDC2z', 'i:1681652752;', -1, '1681652752.981', 1, '', '0'),
('twig:643bf061e8a9a_form.html.twig_QYpWLa-V4WtkFB-eLoFJX1NAX', 'i:1681649852;', -1, '1681649852.464', 1, '', '0'),
('twig:643bf061e8a9a_form.html.twig_URP2xR1mdEVBNlnQw22AvMoOV', 'i:1681649761;', -1, '1681649762.023', 1, '', '0'),
('twig:643bf061e8a9a_form.html.twig_aBgNtnNzp9BEhdKY9poV-mbT9', 'i:1681652716;', -1, '1681652716.943', 1, '', '0'),
('twig:643bf061e8a9a_html.html.twig_7wVmLeja59DB1E-46uHCLgtYx', 'i:1681650074;', -1, '1681650075.018', 1, '', '0'),
('twig:643bf061e8a9a_html.html.twig_AQfsdlhZbZ0n5Z3Oqo30Nm2t6', 'i:1681649761;', -1, '1681649762.394', 1, '', '0'),
('twig:643bf061e8a9a_html.html.twig_FW8xnhyDgk5htEVdb0iDcloq7', 'i:1681652716;', -1, '1681652717.129', 1, '', '0'),
('twig:643bf061e8a9a_html.html.twig_FZzsud6s2dT-LVtkbpEe-TQj9', 'i:1681652114;', -1, '1681652115.222', 1, '', '0'),
('twig:643bf061e8a9a_html.html.twig_hnJOADVt6hKovKRa7N2g2P216', 'i:1681652752;', -1, '1681652752.896', 1, '', '0'),
('twig:643bf061e8a9a_html.html.twig_ksTgSTv4vLjHQUSCAMAJgLIrC', 'i:1681652707;', -1, '1681652709.035', 1, '', '0'),
('twig:643bf061e8a9a_html.html.twig_zCejK2lU1BZrvo2VsGGNeZQLJ', 'i:1681649766;', -1, '1681649767.459', 1, '', '0'),
('twig:643bf061e8a9a_image-formatter.html.twig_Ovg3mIRwkmL0TPU3AkR5uGkkw', 'i:1681650107;', -1, '1681650107.785', 1, '', '0'),
('twig:643bf061e8a9a_image-formatter.html.twig_zkAn87QKQzT2wOXzcoJy02Wqh', 'i:1681652764;', -1, '1681652764.963', 1, '', '0'),
('twig:643bf061e8a9a_image-style.html.twig_CgT0s0XY_CsTyiYkzy2xFSVuJ', 'i:1681650107;', -1, '1681650107.800', 1, '', '0'),
('twig:643bf061e8a9a_image-style.html.twig_QDST6OC2589kVSJcOm4ynesX1', 'i:1681652764;', -1, '1681652764.972', 1, '', '0'),
('twig:643bf061e8a9a_image.html.twig_0lGtGUYrUcVHEUnrTB5q90UCw', 'i:1681650107;', -1, '1681650107.807', 1, '', '0'),
('twig:643bf061e8a9a_image.html.twig_RiiUZegtukDfr2HFYpYOibCEn', 'i:1681652716;', -1, '1681652716.908', 1, '', '0'),
('twig:643bf061e8a9a_image.html.twig_TRwkb2f75GJGN7qXp_OYwSDKK', 'i:1681650059;', -1, '1681650059.895', 1, '', '0'),
('twig:643bf061e8a9a_image.html.twig_muTvpyLKqOW3JFUEOPa01AL3q', 'i:1681652764;', -1, '1681652764.977', 1, '', '0'),
('twig:643bf061e8a9a_input--submit--header-sea_LqiYi8IpgzoOjXGuKMW2XHRjg', 'i:1681652752;', -1, '1681652752.995', 1, '', '0'),
('twig:643bf061e8a9a_input.html.twig_AtWoE2liKw94kOBMwzwHaDEMP', 'i:1681652716;', -1, '1681652716.937', 1, '', '0'),
('twig:643bf061e8a9a_input.html.twig_ScSIxNNprX2tSopuqYM9GqJbJ', 'i:1681649761;', -1, '1681649761.982', 1, '', '0'),
('twig:643bf061e8a9a_input.html.twig_aK3KHYKSxWG7L_mZ3I8jVPFGU', 'i:1681649852;', -1, '1681649852.446', 1, '', '0'),
('twig:643bf061e8a9a_item-list.html.twig_4QwOc3BPseXcr4qHRosVe3beq', 'i:1681652774;', -1, '1681652775.797', 1, '', '0'),
('twig:643bf061e8a9a_item-list.html.twig_F-HfhcNl5S8c0MYpEBdgqcaEg', 'i:1681652129;', -1, '1681652130.124', 1, '', '0'),
('twig:643bf061e8a9a_item-list.html.twig_ahyNvqfsqx8SnA3WXuRhJUDCS', 'i:1681649884;', -1, '1681649885.270', 1, '', '0'),
('twig:643bf061e8a9a_links--node.html.twig_YwRrzXSQALcY7hDbTgyUhvBGV', 'i:1681649766;', -1, '1681649767.272', 1, '', '0'),
('twig:643bf061e8a9a_links--node.html.twig__-FJveSuzd7YEnVSeeXCkfuJP', 'i:1681650074;', -1, '1681650074.990', 1, '', '0'),
('twig:643bf061e8a9a_links.html.twig_4F3GBuIUhKDZnHz3EaQS4VLNa', 'i:1681649761;', -1, '1681649762.608', 1, '', '0'),
('twig:643bf061e8a9a_links.html.twig_4e28jJYEwcrxYBA9SEQmlCWZv', 'i:1681649766;', -1, '1681649767.277', 1, '', '0'),
('twig:643bf061e8a9a_links.html.twig_6E-cuZVI3EzzkRfwMdHPVXkLD', 'i:1681652707;', -1, '1681652709.515', 1, '', '0'),
('twig:643bf061e8a9a_links.html.twig_mIT9Mz4SCkKug1AIlm0U2gKcq', 'i:1681652752;', -1, '1681652752.863', 1, '', '0'),
('twig:643bf061e8a9a_maintenance-page.html.twi_O8UFPZPLTEdMAXAJK8Y69I7la', 'i:1681649816;', -1, '1681649817.182', 1, '', '0'),
('twig:643bf061e8a9a_maintenance-page.html.twi_WXRHqiAqBjv0KAQgN4vr3IXPA', 'i:1681652114;', -1, '1681652115.227', 1, '', '0'),
('twig:643bf061e8a9a_menu--primary-menu.html.t_UOSiFL2qvs5g6f8i65HyBudRw', 'i:1681652752;', -1, '1681652753.032', 1, '', '0'),
('twig:643bf061e8a9a_menu--secondary-menu.html_odkXbEMWgJ6LQaUoV4wxSpUMB', 'i:1681652752;', -1, '1681652753.080', 1, '', '0'),
('twig:643bf061e8a9a_menu--toolbar.html.twig__qKkG_jYFK16IICKZUgZObxul', 'i:1681652707;', -1, '1681652709.071', 1, '', '0'),
('twig:643bf061e8a9a_menu--toolbar.html.twig_tigWM-D4RKcYBiOfGeZccYdJy', 'i:1681649761;', -1, '1681649762.421', 1, '', '0'),
('twig:643bf061e8a9a_menu--toolbar.html.twig_xqiyEmWiaWvvwAQc6tUls1OXl', 'i:1681649766;', -1, '1681649767.480', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-action.html.tw_B4QyJyxp4ScdMvjCYACXDKLvO', 'i:1681652716;', -1, '1681652717.255', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-action.html.tw_Sw6_JiRxCTdvlNGZ4Xg64jp7y', 'i:1681649931;', -1, '1681649932.750', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-task.html.twig_-ASRoihbD1z66ugwCHpzSAw43', 'i:1681649931;', -1, '1681649932.708', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-task.html.twig_U9qumZYQ_sJ7_VdAfSnGluvDW', 'i:1681652716;', -1, '1681652717.232', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-task.html.twig_f5-a_MVXHKwUjXPfx_yr3gebZ', 'i:1681652202;', -1, '1681652203.088', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-task.html.twig_gHMBj9JbIfyjtnrXjlKCQFBBA', 'i:1681652752;', -1, '1681652753.106', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-task.html.twig_i-GkJbU_QPmJz5CtQk5-L3yBX', 'i:1681652707;', -1, '1681652709.494', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-tasks.html.twi_Hbpux9rQCBevwHQ4KOTt8t1w6', 'i:1681652202;', -1, '1681652203.081', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-tasks.html.twi_NtUlodB_TYWskeXhOhnTPcgaW', 'i:1681652752;', -1, '1681652753.101', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-tasks.html.twi_UGrBQyekcptY-2kuMj3vgTIVd', 'i:1681652707;', -1, '1681652709.474', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-tasks.html.twi_bnMDukXAz1aQL5ZWKTTAFeZkF', 'i:1681649931;', -1, '1681649932.702', 1, '', '0'),
('twig:643bf061e8a9a_menu-local-tasks.html.twi_wxXwRwERFSCOdwVPJxIwz5-_q', 'i:1681652716;', -1, '1681652717.227', 1, '', '0'),
('twig:643bf061e8a9a_menu.html.twig_GDpaChnJLXZlqMO_LHcAJXoRG', 'i:1681652707;', -1, '1681652709.126', 1, '', '0'),
('twig:643bf061e8a9a_menu.html.twig_akD9UjPfwNEbBdB8MBH4KF1el', 'i:1681650074;', -1, '1681650075.052', 1, '', '0'),
('twig:643bf061e8a9a_node.html.twig_CU2lINlxkXALG5pRyDQUzlghf', 'i:1681649766;', -1, '1681649767.263', 1, '', '0'),
('twig:643bf061e8a9a_node.html.twig_Uw3HRPBNIUZgPIsfOMW8MkkDg', 'i:1681652752;', -1, '1681652752.853', 1, '', '0'),
('twig:643bf061e8a9a_node.html.twig_ercNJEa1-fnWWHgDrHFWn6PD8', 'i:1681650074;', -1, '1681650074.981', 1, '', '0'),
('twig:643bf061e8a9a_off-canvas-page-wrapper.h_7HtnZwZSdfd4HlhDSufefsYK3', 'i:1681652707;', -1, '1681652709.508', 1, '', '0'),
('twig:643bf061e8a9a_off-canvas-page-wrapper.h_E8eSarNWnlPQcxNfiS6isJxfm', 'i:1681649761;', -1, '1681649762.598', 1, '', '0'),
('twig:643bf061e8a9a_off-canvas-page-wrapper.h_FOco5QQDou7OwsDwnX3eP54JJ', 'i:1681652114;', -1, '1681652115.234', 1, '', '0'),
('twig:643bf061e8a9a_off-canvas-page-wrapper.h_QBgN3ItWWXs1v0epuSK52Eus7', 'i:1681649816;', -1, '1681649817.184', 1, '', '0'),
('twig:643bf061e8a9a_page--front.html.twig_S1GWcEC_LPkHP6np9Kb1xF9AW', 'i:1681649766;', -1, '1681649767.657', 1, '', '0'),
('twig:643bf061e8a9a_page-title.html.twig_3DJpXt_8SQT3CqrqaDYtc5rtM', 'i:1681652752;', -1, '1681652753.141', 1, '', '0'),
('twig:643bf061e8a9a_page-title.html.twig_5Vjy_7qAgyQ3yGy3JgaGnzC2F', 'i:1681652707;', -1, '1681652709.404', 1, '', '0'),
('twig:643bf061e8a9a_page-title.html.twig_5n3KxL80Q5d-jWK8Htk2apGCY', 'i:1681650074;', -1, '1681650075.101', 1, '', '0'),
('twig:643bf061e8a9a_page-title.html.twig_IzaEHNeWHJ_4Rzvv57w74PXAH', 'i:1681652716;', -1, '1681652717.213', 1, '', '0'),
('twig:643bf061e8a9a_page-title.html.twig_YmQ63uxKtScmZeyrU2YjTauMY', 'i:1681649761;', -1, '1681649762.469', 1, '', '0'),
('twig:643bf061e8a9a_page.html.twig_Lo28pJ8nJbaKG4CBabgf-nheh', 'i:1681652707;', -1, '1681652709.106', 1, '', '0'),
('twig:643bf061e8a9a_page.html.twig_WIP2gcrV568Vy05FiFJ_X3jzU', 'i:1681652716;', -1, '1681652717.178', 1, '', '0'),
('twig:643bf061e8a9a_page.html.twig_drR-iJfigX0PBH5Vbec91sK8W', 'i:1681650074;', -1, '1681650075.027', 1, '', '0'),
('twig:643bf061e8a9a_page.html.twig_hRKqowzW9It8XRn-ZizXKNza2', 'i:1681652752;', -1, '1681652752.940', 1, '', '0'),
('twig:643bf061e8a9a_page.html.twig_oZyuDC25KwDBlKfmX_fQG8by6', 'i:1681649852;', -1, '1681649852.605', 1, '', '0'),
('twig:643bf061e8a9a_page.html.twig_pvmf3Uv5gE0BFaoNsXj-hq-DE', 'i:1681649761;', -1, '1681649762.448', 1, '', '0'),
('twig:643bf061e8a9a_preload.twig_CDh8MeemzZhpIkrd7fyACR7QP', 'i:1681652752;', -1, '1681652752.899', 1, '', '0'),
('twig:643bf061e8a9a_progress-bar.html.twig_4ehFUKj3G6DCmSLI1h0Y5cASc', 'i:1681652114;', -1, '1681652115.231', 1, '', '0'),
('twig:643bf061e8a9a_progress-bar.html.twig_gRWHoySQCNbeghZ4YENpdfcfW', 'i:1681652098;', -1, '1681652098.338', 1, '', '0'),
('twig:643bf061e8a9a_rdf-metadata.html.twig_7XmjkHVJAZH3uB33ih_Icbea6', 'i:1681649766;', -1, '1681649767.267', 1, '', '0'),
('twig:643bf061e8a9a_rdf-metadata.html.twig_Puve8xwCvxojs7WagUVw3zrRW', 'i:1681652752;', -1, '1681652752.856', 1, '', '0'),
('twig:643bf061e8a9a_rdf-metadata.html.twig_nyIzZAjdxdbDMoGAA4RrGh0i-', 'i:1681650074;', -1, '1681650074.985', 1, '', '0'),
('twig:643bf061e8a9a_region--breadcrumb.html.t_vyDdryA550rBd_xhDtpkZPlYK', 'i:1681652752;', -1, '1681652753.123', 1, '', '0'),
('twig:643bf061e8a9a_region--content-above.htm_PUnnqdvmbM1VYNArGOLWxbrSU', 'i:1681652752;', -1, '1681652753.148', 1, '', '0'),
('twig:643bf061e8a9a_region--content.html.twig_0Zl1wsAqoOC3dntWz4zrA_joe', 'i:1681652752;', -1, '1681652753.153', 1, '', '0'),
('twig:643bf061e8a9a_region--footer-bottom.htm_uAXI9S_urv_FINnTE8fc6Rrv3', 'i:1681652752;', -1, '1681652753.191', 1, '', '0'),
('twig:643bf061e8a9a_region--header.html.twig_92m-DnNzQMTW6w_XeP7DYTiA-', 'i:1681652707;', -1, '1681652709.137', 1, '', '0'),
('twig:643bf061e8a9a_region--header.html.twig_FFZxsnIlDqCHzdmGcHEN4ygx7', 'i:1681652752;', -1, '1681652752.960', 1, '', '0'),
('twig:643bf061e8a9a_region--header.html.twig_dOn3nnbZajAhznNJx-9cY5wQ0', 'i:1681650074;', -1, '1681650075.082', 1, '', '0'),
('twig:643bf061e8a9a_region--highlighted.html._XkvG5HYFaCiyBpMJ8c_k0ptkB', 'i:1681652752;', -1, '1681652753.116', 1, '', '0'),
('twig:643bf061e8a9a_region--primary-menu.html_76NOJKIx_sDlZ12a_bCjHfmX1', 'i:1681652752;', -1, '1681652753.048', 1, '', '0'),
('twig:643bf061e8a9a_region--secondary-menu.ht_ASeLmOC9lkK47QwNcDT4ekumr', 'i:1681652752;', -1, '1681652753.087', 1, '', '0'),
('twig:643bf061e8a9a_region--social.html.twig_Ebzlj36aZ6YX-HEEvUxcrDMmJ', 'i:1681652752;', -1, '1681652753.179', 1, '', '0'),
('twig:643bf061e8a9a_region.html.twig_Kje3-5b9TJRFI0sz_mC0eH2b0', 'i:1681650074;', -1, '1681650075.062', 1, '', '0'),
('twig:643bf061e8a9a_region.html.twig_VpkEKmn8KQS19_GfJJ-qcViK6', 'i:1681649761;', -1, '1681649762.563', 1, '', '0'),
('twig:643bf061e8a9a_region.html.twig_tFyTdylPKXY1vOl_HEYNB2ZSe', 'i:1681652716;', -1, '1681652717.236', 1, '', '0'),
('twig:643bf061e8a9a_region.html.twig_x1HvkbwHNLjc18JrUcdVrrMoZ', 'i:1681652707;', -1, '1681652709.133', 1, '', '0'),
('twig:643bf061e8a9a_rss.svg_KDbXkPSh35xFZu0gLfly-nr0L', 'i:1681652752;', -1, '1681652753.174', 1, '', '0'),
('twig:643bf061e8a9a_search.svg_3-bsA6NMN92eCHOLpqTGTqpjl', 'i:1681652752;', -1, '1681652753.060', 1, '', '0'),
('twig:643bf061e8a9a_select.html.twig_YltS95iBLGyvYpW8d9S9VXFFR', 'i:1681652716;', -1, '1681652716.921', 1, '', '0'),
('twig:643bf061e8a9a_select.html.twig_wEXi4onkoYxKHP5gWM8AnipOp', 'i:1681649761;', -1, '1681649761.999', 1, '', '0'),
('twig:643bf061e8a9a_status-messages.html.twig_EJuTIvmmf9Dv5ApPMr9dq4FZB', 'i:1681652752;', -1, '1681652753.209', 1, '', '0'),
('twig:643bf061e8a9a_status-messages.html.twig_HiTTFfqquegyPEPNh4f2TQ7Re', 'i:1681652707;', -1, '1681652709.521', 1, '', '0'),
('twig:643bf061e8a9a_status-messages.html.twig_Jvsz81WMO-iQnKh7Fk8pVJLRI', 'i:1681652716;', -1, '1681652717.266', 1, '', '0'),
('twig:643bf061e8a9a_status-messages.html.twig_YomquJawdl4e-2JDTXUSUe0qv', 'i:1681652129;', -1, '1681652130.134', 1, '', '0'),
('twig:643bf061e8a9a_status-messages.html.twig_ZUqHD140UZ5AqaQ5Bob2YAaJy', 'i:1681652202;', -1, '1681652203.128', 1, '', '0'),
('twig:643bf061e8a9a_status-messages.html.twig_fiQAp_pwAtytQgn1nFWCb5pU8', 'i:1681649761;', -1, '1681649762.618', 1, '', '0'),
('twig:643bf061e8a9a_status-report-counter.htm_RjV6ilEm00PmMv1ZvTS_1JR-4', 'i:1681652780;', -1, '1681652781.655', 1, '', '0'),
('twig:643bf061e8a9a_status-report-counter.htm_fy4UqeE1YYbRky1a0b4hZJXE8', 'i:1681652232;', -1, '1681652233.735', 1, '', '0'),
('twig:643bf061e8a9a_status-report-general-inf_ntiZoK37m8eivnaSAE4Qs85gE', 'i:1681652780;', -1, '1681652781.662', 1, '', '0'),
('twig:643bf061e8a9a_status-report-general-inf_rceAWeiYk6q7ZPCc4qLXPRmQk', 'i:1681652232;', -1, '1681652233.743', 1, '', '0'),
('twig:643bf061e8a9a_status-report-grouped.htm_twdthdeMVDpFifeQSiTQVHP_p', 'i:1681652780;', -1, '1681652781.669', 1, '', '0'),
('twig:643bf061e8a9a_status-report-page.html.t_OgVNFFSnMNv8ru9LB7V-QNqPP', 'i:1681652232;', -1, '1681652233.731', 1, '', '0'),
('twig:643bf061e8a9a_status-report-page.html.t_c1IDZH4JmmM2ZAnfC-EHm4Hdh', 'i:1681652780;', -1, '1681652781.651', 1, '', '0'),
('twig:643bf061e8a9a_status.svg_RYMnTa48y6kuZI7yz8zsu2g9a', 'i:1681652752;', -1, '1681652753.211', 1, '', '0'),
('twig:643bf061e8a9a_system-config-form.html.t_yAedarANX0wjNKox_7hS93QT_', 'i:1681649761;', -1, '1681649761.977', 1, '', '0'),
('twig:643bf061e8a9a_system-modules-details.ht_FiqC5q6TGX6wwA2iTQloR0q-w', 'i:1681653298;', -1, '1681653298.865', 1, '', '0'),
('twig:643bf061e8a9a_system-modules-details.ht_XcHokdwFZ5Lepz_7Aj7zFRQTL', 'i:1681649931;', -1, '1681649932.484', 1, '', '0'),
('twig:643bf061e8a9a_system-modules-uninstall._nJduFev8OpKn2Q1yalR9VBudG', 'i:1681653323;', -1, '1681653323.583', 1, '', '0'),
('twig:643bf061e8a9a_system-themes-page.html.t_ZMKdBukfCjKq33BQAregv1b4u', 'i:1681652716;', -1, '1681652716.904', 1, '', '0'),
('twig:643bf061e8a9a_system-themes-page.html.t_bPgWlP0iyGX8mNXOxrEqmLX0W', 'i:1681650059;', -1, '1681650059.891', 1, '', '0'),
('twig:643bf061e8a9a_table.html.twig_EvdXnMpyxckTthIASKq0eGbaI', 'i:1681652063;', -1, '1681652067.122', 1, '', '0'),
('twig:643bf061e8a9a_textarea.html.twig_6lIxRyWSXIq0naeSd64AJoZQU', 'i:1681649787;', -1, '1681649787.423', 1, '', '0'),
('twig:643bf061e8a9a_toolbar.html.twig_NEp6XC_nSriBYxjUec2SSjClF', 'i:1681652707;', -1, '1681652709.098', 1, '', '0'),
('twig:643bf061e8a9a_toolbar.html.twig__ZMXqvqcpmugzleH87Plj0k_r', 'i:1681652202;', -1, '1681652203.044', 1, '', '0'),
('twig:643bf061e8a9a_toolbar.html.twig_aLXQT-vG1v8duFbKKouy5fDtz', 'i:1681652752;', -1, '1681652752.931', 1, '', '0'),
('twig:643bf061e8a9a_toolbar.html.twig_glZjYTY0yoYmpKjdK9pADKWpd', 'i:1681649761;', -1, '1681649762.442', 1, '', '0'),
('twig:643bf061e8a9a_toolbar.html.twig_ichHbYyvnnki3SCtQocm9xD95', 'i:1681652716;', -1, '1681652717.159', 1, '', '0'),
('twig:643bf061e8a9a_toolbar.html.twig_tkMTA35FXWUFy936E5UDi4h6o', 'i:1681649766;', -1, '1681649767.554', 1, '', '0'),
('twig:643bf061e8a9a_update-last-check.html.tw_3cpCLfgcCrCg94SkHTEyo4tX3', 'i:1681653329;', -1, '1681653330.158', 1, '', '0'),
('twig:643bf061e8a9a_update-last-check.html.tw_l4rP8a3UjTB8Pwe7G-IFKbpls', 'i:1681652063;', -1, '1681652066.986', 1, '', '0'),
('twig:643bf061e8a9a_username.html.twig_cLuLrh9N3sFmiEtoB2ATtZeAs', 'i:1681652752;', -1, '1681652752.842', 1, '', '0'),
('twig:643bf061e8a9a_username.html.twig_hOpBAYFKvHgOW91j50wmk23qm', 'i:1681650074;', -1, '1681650074.968', 1, '', '0'),
('twig:643bf061e8a9a_username.html.twig_lDs6i72qRaVSG6rSiWpAydI4j', 'i:1681649766;', -1, '1681649767.256', 1, '', '0'),
('twig:643bf061e8a9a_views-mini-pager.html.twi_1wCTApMU2rL1QA6JwmP0XNXbv', 'i:1681650107;', -1, '1681650107.895', 1, '', '0'),
('twig:643bf061e8a9a_views-mini-pager.html.twi__gsHHNj10hk162ybdLxuOONwg', 'i:1681652764;', -1, '1681652765.045', 1, '', '0'),
('twig:643bf061e8a9a_views-view-field.html.twi_AceTKMo31LV8pw9Xuv1VAIkUr', 'i:1681650107;', -1, '1681650107.708', 1, '', '0'),
('twig:643bf061e8a9a_views-view-field.html.twi_R7Oigfg2rzC74OzZPVT1HZb9p', 'i:1681652764;', -1, '1681652764.909', 1, '', '0'),
('twig:643bf061e8a9a_views-view-unformatted.ht_C0rPj1uhppG4Wv3ZDaDNUH1M6', 'i:1681650107;', -1, '1681650107.727', 1, '', '0'),
('twig:643bf061e8a9a_views-view-unformatted.ht_PLhAh_4vwWOkTEJ-jEG12rHhD', 'i:1681652764;', -1, '1681652764.931', 1, '', '0'),
('twig:643bf061e8a9a_views-view.html.twig_CHJhPMZOItY0rWj1HWI3xNV9S', 'i:1681650107;', -1, '1681650107.723', 1, '', '0'),
('twig:643bf061e8a9a_views-view.html.twig_TuKpSltQgKgRbuRkAC0zJ-dp9', 'i:1681652764;', -1, '1681652764.926', 1, '', '0'),
('twig:643bf061e8a9a_webform-message.html.twig_IguF_TeTmRoQVIlFROCtryf5m', 'i:1681653298;', -1, '1681653299.096', 1, '', '0'),
('twig:643bf061e8a9a_webform-message.html.twig_oUxi1WO0BxkWmLnmdFqUlIepA', 'i:1681649931;', -1, '1681649932.732', 1, '', '0'),
('views_data:block_content:en', 'a:9:{s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:15:"entity revision";b:0;s:4:"join";a:1:{s:24:"block_content_field_data";a:3:{s:10:"left_field";s:2:"id";s:5:"field";s:2:"id";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:13:"block_content";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:18:"view_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:18:"edit_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:20:"delete_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The custom block UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"The custom block language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:27:"block_content_listing_empty";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Empty block library behavior";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Provides a link to add a new block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:27:"block_content_listing_empty";}}}', -1, '1681649761.906', 1, 'config:core.extension views_data', '0'),
('views_data:comment:en', 'a:11:{s:17:"comment_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Comment operations bulk form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:69:"Add a form element that lets you run operations on multiple comments.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:17:"comment_bulk_form";}}s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:15:"entity revision";b:0;s:4:"join";a:1:{s:18:"comment_field_data";a:3:{s:10:"left_field";s:3:"cid";s:5:"field";s:3:"cid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:7:"comment";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:12:"view_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:12:"edit_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:14:"delete_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:15:"approve_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Link to approve comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Provide a simple link to approve the comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:20:"comment_link_approve";}}s:15:"replyto_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Link to reply-to comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a simple link to reply to the comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"comment_link_reply";}}}', -1, '1681649761.908', 1, 'config:core.extension views_data', '0'),
('views_data:en', 'a:429:{s:8:"watchdog";a:12:{s:5:"table";a:4:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Watchdog";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"wizard_id";s:8:"watchdog";s:4:"base";a:3:{s:5:"field";s:3:"wid";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Log entries";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Contains a list of log entries.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:8:"provider";s:5:"dblog";}s:3:"wid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"WID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Unique watchdog event ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:3:"uid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"UID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The user ID of the user on which the log entry was written.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:12:"relationship";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"The user on which the log entry as written.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:2:"id";s:8:"standard";}}s:4:"type";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"The type of the log entry, for example "user" or "page not found".";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:11:"dblog_types";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:7:"message";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The actual message of the log entry.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:13:"dblog_message";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:9:"variables";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Variables";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The variables of the log entry in a serialized format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:10:"serialized";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:8:"severity";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Severity level";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"The severity level of the event; ranges from 0 (Emergency) to 7 (Debug).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:12:"machine_name";s:16:"options callback";s:60:"Drupal\\dblog\\Controller\\DbLogController::getLogLevelClassMap";}s:6:"filter";a:2:{s:2:"id";s:11:"in_operator";s:16:"options callback";s:41:"Drupal\\Core\\Logger\\RfcLogLevel::getLevels";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:4:"link";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Operations";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Operation links for the event.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:16:"dblog_operations";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:8:"location";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Location";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"URL of the origin of the event.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:7:"referer";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Referer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"URL of the previous page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:8:"hostname";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Hostname";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Hostname of the user who triggered the event.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:9:"timestamp";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Timestamp";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date when the event occurred.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:4:"date";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}}}s:7:"history";a:2:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:7:"history";s:10:"left_field";s:3:"nid";s:5:"field";s:3:"nid";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:3:"uid";s:5:"value";s:18:"***CURRENT_USER***";s:7:"numeric";b:1;}}}}s:8:"provider";s:7:"history";}s:9:"timestamp";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Has new content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:22:"history_user_timestamp";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Show a marker if the content is new or updated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:2:{s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Show only content that is new or updated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:22:"history_user_timestamp";}}}s:12:"node_counter";a:4:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Content statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:1:{s:15:"node_field_data";a:2:{s:10:"left_field";s:3:"nid";s:5:"field";s:3:"nid";}}s:8:"provider";s:10:"statistics";}s:10:"totalcount";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Total views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The total number of times the node has been viewed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:18:"statistics_numeric";s:14:"click sortable";b:1;}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:8:"daycount";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Views today";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"The total number of times the node has been viewed today.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:18:"statistics_numeric";s:14:"click sortable";b:1;}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:9:"timestamp";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Most recent view";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The most recent time the node has been viewed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:22:"node_counter_timestamp";s:14:"click sortable";b:1;}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}}s:18:"user__user_picture";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:16:"users_field_data";a:4:{s:5:"table";s:18:"user__user_picture";s:10:"left_field";s:3:"uid";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:12:"user_picture";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Picture";s:11:"title short";s:7:"Picture";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:18:"user__user_picture";s:2:"id";s:5:"field";s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:10:"real field";s:22:"user_picture_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:22:"user_picture_target_id";i:4;s:16:"user_picture_alt";i:5;s:18:"user_picture_title";i:6;s:18:"user_picture_width";i:7;s:19:"user_picture_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:22:"user_picture_target_id";a:8:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:7:"Picture";s:5:"@name";s:12:"user_picture";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Picture";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"user_picture_target_id";s:5:"table";s:18:"user__user_picture";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"user_picture_target_id";s:5:"table";s:18:"user__user_picture";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"user_picture_target_id";s:5:"table";s:18:"user__user_picture";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:12:"user_picture";}s:10:"\0*\0options";a:0:{}}}}s:16:"user_picture_alt";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:7:"Picture";s:5:"@name";s:12:"user_picture";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Picture";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:16:"user_picture_alt";s:5:"table";s:18:"user__user_picture";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:16:"user_picture_alt";s:5:"table";s:18:"user__user_picture";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:16:"user_picture_alt";s:5:"table";s:18:"user__user_picture";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";}}s:18:"user_picture_title";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:7:"Picture";s:5:"@name";s:12:"user_picture";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Picture";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:18:"user_picture_title";s:5:"table";s:18:"user__user_picture";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:18:"user_picture_title";s:5:"table";s:18:"user__user_picture";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:18:"user_picture_title";s:5:"table";s:18:"user__user_picture";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";}}s:18:"user_picture_width";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:7:"Picture";s:5:"@name";s:12:"user_picture";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Picture";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:18:"user_picture_width";s:5:"table";s:18:"user__user_picture";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:18:"user_picture_width";s:5:"table";s:18:"user__user_picture";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:18:"user_picture_width";s:5:"table";s:18:"user__user_picture";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";}}s:19:"user_picture_height";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:7:"Picture";s:5:"@name";s:12:"user_picture";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Picture";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:19:"user_picture_height";s:5:"table";s:18:"user__user_picture";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:19:"user_picture_height";s:5:"table";s:18:"user__user_picture";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:19:"user_picture_height";s:5:"table";s:18:"user__user_picture";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"user_picture_target_id";i:7;s:16:"user_picture_alt";i:8;s:18:"user_picture_title";i:9;s:18:"user_picture_width";i:10;s:19:"user_picture_height";}s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";}}}s:24:"user__field_mt_signature";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:16:"users_field_data";a:4:{s:5:"table";s:24:"user__field_mt_signature";s:10:"left_field";s:3:"uid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_signature";a:5:{s:5:"group";r:334;s:5:"title";s:9:"Signature";s:11:"title short";s:9:"Signature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:10:"real field";s:24:"field_mt_signature_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_signature_value";i:4;s:26:"field_mt_signature_summary";i:5;s:25:"field_mt_signature_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_signature_value";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Signature";s:5:"@name";s:18:"field_mt_signature";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Signature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_signature_value";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_signature_value";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_signature_value";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";}}s:26:"field_mt_signature_summary";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Signature";s:5:"@name";s:18:"field_mt_signature";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Signature";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_signature_summary";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_signature_summary";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_signature_summary";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";}}s:25:"field_mt_signature_format";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Signature";s:5:"@name";s:18:"field_mt_signature";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Signature";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_signature_format";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_signature_format";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_signature_format";s:5:"table";s:24:"user__field_mt_signature";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_signature_value";i:7;s:26:"field_mt_signature_summary";i:8;s:25:"field_mt_signature_format";}s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";}}}s:24:"user__field_mt_full_name";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:16:"users_field_data";a:4:{s:5:"table";s:24:"user__field_mt_full_name";s:10:"left_field";s:3:"uid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_full_name";a:5:{s:5:"group";r:334;s:5:"title";s:9:"Full Name";s:11:"title short";s:9:"Full Name";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"user__field_mt_full_name";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:10:"real field";s:24:"field_mt_full_name_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_full_name_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_full_name_value";a:7:{s:5:"group";r:334;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Full Name";s:5:"@name";s:18:"field_mt_full_name";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Full Name";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"user";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_full_name_value";s:5:"table";s:24:"user__field_mt_full_name";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_full_name_value";}s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_full_name_value";s:5:"table";s:24:"user__field_mt_full_name";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_full_name_value";}s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_full_name_value";s:5:"table";s:24:"user__field_mt_full_name";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_full_name_value";}s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";}}}s:45:"taxonomy_term__field_mt_wide_collection_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"taxonomy_term_field_data";a:4:{s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:10:"left_field";s:3:"tid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_wide_collection_image";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";s:29:"Landscape Product Group Image";s:11:"title short";s:29:"Landscape Product Group Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:10:"real field";s:40:"field_mt_wide_collection_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:40:"field_mt_wide_collection_image_target_id";i:4;s:34:"field_mt_wide_collection_image_alt";i:5;s:36:"field_mt_wide_collection_image_title";i:6;s:36:"field_mt_wide_collection_image_width";i:7;s:37:"field_mt_wide_collection_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:40:"field_mt_wide_collection_image_target_id";a:8:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:29:"Landscape Product Group Image";s:5:"@name";s:30:"field_mt_wide_collection_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:29:"Landscape Product Group Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_wide_collection_image_target_id";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_wide_collection_image_target_id";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_wide_collection_image_target_id";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_wide_collection_image";}s:10:"\0*\0options";a:0:{}}}}s:34:"field_mt_wide_collection_image_alt";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:29:"Landscape Product Group Image";s:5:"@name";s:30:"field_mt_wide_collection_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:29:"Landscape Product Group Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_wide_collection_image_alt";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_wide_collection_image_alt";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_wide_collection_image_alt";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:36:"field_mt_wide_collection_image_title";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:29:"Landscape Product Group Image";s:5:"@name";s:30:"field_mt_wide_collection_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:29:"Landscape Product Group Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_title";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_title";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_wide_collection_image_title";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:36:"field_mt_wide_collection_image_width";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:29:"Landscape Product Group Image";s:5:"@name";s:30:"field_mt_wide_collection_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:29:"Landscape Product Group Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_width";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_width";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_wide_collection_image_width";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:37:"field_mt_wide_collection_image_height";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:29:"Landscape Product Group Image";s:5:"@name";s:30:"field_mt_wide_collection_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:29:"Landscape Product Group Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_wide_collection_image_height";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_wide_collection_image_height";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_wide_collection_image_height";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}}s:54:"taxonomy_term_revision__field_mt_wide_collection_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"taxonomy_term_field_revision";a:4:{s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:42:"field_mt_wide_collection_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:29:"Landscape Product Group Image";s:11:"title short";s:29:"Landscape Product Group Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:10:"real field";s:52:"field_mt_wide_collection_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:40:"field_mt_wide_collection_image_target_id";i:4;s:34:"field_mt_wide_collection_image_alt";i:5;s:36:"field_mt_wide_collection_image_title";i:6;s:36:"field_mt_wide_collection_image_width";i:7;s:37:"field_mt_wide_collection_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:40:"field_mt_wide_collection_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:1161;s:11:"title short";r:1168;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_wide_collection_image_target_id";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_wide_collection_image_target_id";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_wide_collection_image_target_id";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_wide_collection_image";}s:10:"\0*\0options";a:0:{}}}}s:34:"field_mt_wide_collection_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:1250;s:11:"title short";r:1257;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_wide_collection_image_alt";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_wide_collection_image_alt";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_wide_collection_image_alt";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:36:"field_mt_wide_collection_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:1329;s:11:"title short";r:1336;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_title";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_title";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_wide_collection_image_title";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:36:"field_mt_wide_collection_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:1408;s:11:"title short";r:1415;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_width";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_wide_collection_image_width";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_wide_collection_image_width";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:37:"field_mt_wide_collection_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:1487;s:11:"title short";r:1494;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_wide_collection_image_height";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_wide_collection_image_height";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_wide_collection_image_height";s:5:"table";s:27:"taxonomy_term_r__fd8cfd99f4";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_wide_collection_image_target_id";i:7;s:34:"field_mt_wide_collection_image_alt";i:8;s:36:"field_mt_wide_collection_image_title";i:9;s:36:"field_mt_wide_collection_image_width";i:10;s:37:"field_mt_wide_collection_image_height";}s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}}s:40:"taxonomy_term__field_mt_collection_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"taxonomy_term_field_data";a:4:{s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:10:"left_field";s:3:"tid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_collection_image";a:5:{s:5:"group";r:1130;s:5:"title";s:19:"Product Group Image";s:11:"title short";s:19:"Product Group Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:10:"real field";s:35:"field_mt_collection_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_collection_image_target_id";i:4;s:29:"field_mt_collection_image_alt";i:5;s:31:"field_mt_collection_image_title";i:6;s:31:"field_mt_collection_image_width";i:7;s:32:"field_mt_collection_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_collection_image_target_id";a:8:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:19:"Product Group Image";s:5:"@name";s:25:"field_mt_collection_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Product Group Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_collection_image_target_id";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_collection_image_target_id";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_collection_image_target_id";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_collection_image";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_collection_image_alt";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:19:"Product Group Image";s:5:"@name";s:25:"field_mt_collection_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Product Group Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_collection_image_alt";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_collection_image_alt";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_collection_image_alt";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:31:"field_mt_collection_image_title";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:19:"Product Group Image";s:5:"@name";s:25:"field_mt_collection_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Product Group Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_collection_image_title";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_collection_image_title";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_collection_image_title";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:31:"field_mt_collection_image_width";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:19:"Product Group Image";s:5:"@name";s:25:"field_mt_collection_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Product Group Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_collection_image_width";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_collection_image_width";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_collection_image_width";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:32:"field_mt_collection_image_height";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:19:"Product Group Image";s:5:"@name";s:25:"field_mt_collection_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Product Group Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_collection_image_height";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_collection_image_height";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_collection_image_height";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}}s:49:"taxonomy_term_revision__field_mt_collection_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"taxonomy_term_field_revision";a:4:{s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_collection_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:19:"Product Group Image";s:11:"title short";s:19:"Product Group Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:10:"real field";s:47:"field_mt_collection_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_collection_image_target_id";i:4;s:29:"field_mt_collection_image_alt";i:5;s:31:"field_mt_collection_image_title";i:6;s:31:"field_mt_collection_image_width";i:7;s:32:"field_mt_collection_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_collection_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:2019;s:11:"title short";r:2026;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_collection_image_target_id";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_collection_image_target_id";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_collection_image_target_id";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_collection_image";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_collection_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:2108;s:11:"title short";r:2115;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_collection_image_alt";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_collection_image_alt";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_collection_image_alt";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:31:"field_mt_collection_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:2187;s:11:"title short";r:2194;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_collection_image_title";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_collection_image_title";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_collection_image_title";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:31:"field_mt_collection_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:2266;s:11:"title short";r:2273;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_collection_image_width";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_collection_image_width";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_collection_image_width";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:32:"field_mt_collection_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:2345;s:11:"title short";r:2352;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_collections";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_collection_image_height";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_collection_image_height";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_collection_image_height";s:5:"table";s:27:"taxonomy_term_r__abcfb5d9bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_collection_image_target_id";i:7;s:29:"field_mt_collection_image_alt";i:8;s:31:"field_mt_collection_image_title";i:9;s:31:"field_mt_collection_image_width";i:10;s:32:"field_mt_collection_image_height";}s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";}}}s:41:"taxonomy_term__field_mt_affiliation_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"taxonomy_term_field_data";a:4:{s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:10:"left_field";s:3:"tid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_affiliation_image";a:5:{s:5:"group";r:1130;s:5:"title";s:17:"Affiliation Image";s:11:"title short";s:17:"Affiliation Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:10:"real field";s:36:"field_mt_affiliation_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_affiliation_image_target_id";i:4;s:30:"field_mt_affiliation_image_alt";i:5;s:32:"field_mt_affiliation_image_title";i:6;s:32:"field_mt_affiliation_image_width";i:7;s:33:"field_mt_affiliation_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:36:"field_mt_affiliation_image_target_id";a:8:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Affiliation Image";s:5:"@name";s:26:"field_mt_affiliation_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Affiliation Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_affiliation_image_target_id";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_affiliation_image_target_id";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_affiliation_image_target_id";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_affiliation_image";}s:10:"\0*\0options";a:0:{}}}}s:30:"field_mt_affiliation_image_alt";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Affiliation Image";s:5:"@name";s:26:"field_mt_affiliation_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Affiliation Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_affiliation_image_alt";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_affiliation_image_alt";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_affiliation_image_alt";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:32:"field_mt_affiliation_image_title";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Affiliation Image";s:5:"@name";s:26:"field_mt_affiliation_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Affiliation Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_title";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_title";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_affiliation_image_title";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:32:"field_mt_affiliation_image_width";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Affiliation Image";s:5:"@name";s:26:"field_mt_affiliation_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Affiliation Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_width";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_width";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_affiliation_image_width";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:33:"field_mt_affiliation_image_height";a:7:{s:5:"group";r:1130;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Affiliation Image";s:5:"@name";s:26:"field_mt_affiliation_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Affiliation Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_affiliation_image_height";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_affiliation_image_height";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_affiliation_image_height";s:5:"table";s:41:"taxonomy_term__field_mt_affiliation_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}}s:50:"taxonomy_term_revision__field_mt_affiliation_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"taxonomy_term_field_revision";a:4:{s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:38:"field_mt_affiliation_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:17:"Affiliation Image";s:11:"title short";s:17:"Affiliation Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:10:"real field";s:48:"field_mt_affiliation_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_affiliation_image_target_id";i:4;s:30:"field_mt_affiliation_image_alt";i:5;s:32:"field_mt_affiliation_image_title";i:6;s:32:"field_mt_affiliation_image_width";i:7;s:33:"field_mt_affiliation_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:36:"field_mt_affiliation_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:2877;s:11:"title short";r:2884;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_affiliation_image_target_id";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_affiliation_image_target_id";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_affiliation_image_target_id";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_affiliation_image";}s:10:"\0*\0options";a:0:{}}}}s:30:"field_mt_affiliation_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:2966;s:11:"title short";r:2973;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_affiliation_image_alt";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_affiliation_image_alt";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_affiliation_image_alt";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:32:"field_mt_affiliation_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:3045;s:11:"title short";r:3052;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_title";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_title";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_affiliation_image_title";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:32:"field_mt_affiliation_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:3124;s:11:"title short";r:3131;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_width";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_affiliation_image_width";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_affiliation_image_width";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}s:33:"field_mt_affiliation_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:3203;s:11:"title short";r:3210;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_affiliations";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_affiliation_image_height";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_affiliation_image_height";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_affiliation_image_height";s:5:"table";s:27:"taxonomy_term_r__476ddfcb47";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_affiliation_image_target_id";i:7;s:30:"field_mt_affiliation_image_alt";i:8;s:32:"field_mt_affiliation_image_title";i:9;s:32:"field_mt_affiliation_image_width";i:10;s:33:"field_mt_affiliation_image_height";}s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";}}}s:34:"paragraph__field_mt_vgs_youtube_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_vgs_youtube_id";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_vgs_youtube_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";s:10:"Youtube ID";s:11:"title short";s:10:"Youtube ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_vgs_youtube_id";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:29:"field_mt_vgs_youtube_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_vgs_youtube_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_vgs_youtube_id_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Youtube ID";s:5:"@name";s:23:"field_mt_vgs_youtube_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:10:"Youtube ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_vgs_youtube_id_value";s:5:"table";s:34:"paragraph__field_mt_vgs_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_vgs_youtube_id_value";}s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_vgs_youtube_id_value";s:5:"table";s:34:"paragraph__field_mt_vgs_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_vgs_youtube_id_value";}s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_vgs_youtube_id_value";s:5:"table";s:34:"paragraph__field_mt_vgs_youtube_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_vgs_youtube_id_value";}s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";}}}s:43:"paragraph_revision__field_mt_vgs_youtube_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_vgs_youtube_id";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_vgs_youtube_id-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:10:"Youtube ID";s:11:"title short";s:10:"Youtube ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_vgs_youtube_id";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:41:"field_mt_vgs_youtube_id-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_vgs_youtube_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_vgs_youtube_id_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:3734;s:11:"title short";s:10:"Youtube ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_vgs_youtube_id_value";s:5:"table";s:43:"paragraph_revision__field_mt_vgs_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_vgs_youtube_id_value";}s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_vgs_youtube_id_value";s:5:"table";s:43:"paragraph_revision__field_mt_vgs_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_vgs_youtube_id_value";}s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_vgs_youtube_id_value";s:5:"table";s:43:"paragraph_revision__field_mt_vgs_youtube_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_vgs_youtube_id_value";}s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";}}}s:30:"paragraph__field_mt_vgs_volume";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:30:"paragraph__field_mt_vgs_volume";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:19:"field_mt_vgs_volume";a:5:{s:5:"group";r:3707;s:5:"title";s:6:"Volume";s:11:"title short";s:6:"Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:30:"paragraph__field_mt_vgs_volume";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:25:"field_mt_vgs_volume_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_vgs_volume_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:25:"field_mt_vgs_volume_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Volume";s:5:"@name";s:19:"field_mt_vgs_volume";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:6:"Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_vgs_volume_value";s:5:"table";s:30:"paragraph__field_mt_vgs_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_vgs_volume_value";}s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_vgs_volume_value";s:5:"table";s:30:"paragraph__field_mt_vgs_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_vgs_volume_value";}s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_vgs_volume_value";s:5:"table";s:30:"paragraph__field_mt_vgs_volume";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_vgs_volume_value";}s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";}}}s:39:"paragraph_revision__field_mt_vgs_volume";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:39:"paragraph_revision__field_mt_vgs_volume";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:31:"field_mt_vgs_volume-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:6:"Volume";s:11:"title short";s:6:"Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:39:"paragraph_revision__field_mt_vgs_volume";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:37:"field_mt_vgs_volume-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_vgs_volume_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:25:"field_mt_vgs_volume_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:3930;s:11:"title short";s:6:"Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_vgs_volume_value";s:5:"table";s:39:"paragraph_revision__field_mt_vgs_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_vgs_volume_value";}s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_vgs_volume_value";s:5:"table";s:39:"paragraph_revision__field_mt_vgs_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_vgs_volume_value";}s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_vgs_volume_value";s:5:"table";s:39:"paragraph_revision__field_mt_vgs_volume";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_vgs_volume_value";}s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";}}}s:32:"paragraph__field_mt_vgs_vimeo_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:32:"paragraph__field_mt_vgs_vimeo_id";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_vgs_vimeo_id";a:5:{s:5:"group";r:3707;s:5:"title";s:8:"Vimeo ID";s:11:"title short";s:8:"Vimeo ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"paragraph__field_mt_vgs_vimeo_id";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:27:"field_mt_vgs_vimeo_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_vgs_vimeo_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_vgs_vimeo_id_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Vimeo ID";s:5:"@name";s:21:"field_mt_vgs_vimeo_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Vimeo ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_vgs_vimeo_id_value";s:5:"table";s:32:"paragraph__field_mt_vgs_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_vgs_vimeo_id_value";}s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_vgs_vimeo_id_value";s:5:"table";s:32:"paragraph__field_mt_vgs_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_vgs_vimeo_id_value";}s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_vgs_vimeo_id_value";s:5:"table";s:32:"paragraph__field_mt_vgs_vimeo_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_vgs_vimeo_id_value";}s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";}}}s:41:"paragraph_revision__field_mt_vgs_vimeo_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:41:"paragraph_revision__field_mt_vgs_vimeo_id";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_vgs_vimeo_id-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Vimeo ID";s:11:"title short";s:8:"Vimeo ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"paragraph_revision__field_mt_vgs_vimeo_id";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:39:"field_mt_vgs_vimeo_id-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_vgs_vimeo_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_vgs_vimeo_id_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:4126;s:11:"title short";s:8:"Vimeo ID";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_vgs_vimeo_id_value";s:5:"table";s:41:"paragraph_revision__field_mt_vgs_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_vgs_vimeo_id_value";}s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_vgs_vimeo_id_value";s:5:"table";s:41:"paragraph_revision__field_mt_vgs_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_vgs_vimeo_id_value";}s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_vgs_vimeo_id_value";s:5:"table";s:41:"paragraph_revision__field_mt_vgs_vimeo_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_vgs_vimeo_id_value";}s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";}}}s:33:"paragraph__field_mt_vgs_thumbnail";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:22:"field_mt_vgs_thumbnail";a:5:{s:5:"group";r:3707;s:5:"title";s:9:"Thumbnail";s:11:"title short";s:9:"Thumbnail";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:32:"field_mt_vgs_thumbnail_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_vgs_thumbnail_target_id";i:4;s:26:"field_mt_vgs_thumbnail_alt";i:5;s:28:"field_mt_vgs_thumbnail_title";i:6;s:28:"field_mt_vgs_thumbnail_width";i:7;s:29:"field_mt_vgs_thumbnail_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:32:"field_mt_vgs_thumbnail_target_id";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Thumbnail";s:5:"@name";s:22:"field_mt_vgs_thumbnail";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Thumbnail";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_vgs_thumbnail_target_id";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_vgs_thumbnail_target_id";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_vgs_thumbnail_target_id";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_vgs_thumbnail";}s:10:"\0*\0options";a:0:{}}}}s:26:"field_mt_vgs_thumbnail_alt";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Thumbnail";s:5:"@name";s:22:"field_mt_vgs_thumbnail";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Thumbnail";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_vgs_thumbnail_alt";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_vgs_thumbnail_alt";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_vgs_thumbnail_alt";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_vgs_thumbnail_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Thumbnail";s:5:"@name";s:22:"field_mt_vgs_thumbnail";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Thumbnail";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_title";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_title";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_vgs_thumbnail_title";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_vgs_thumbnail_width";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Thumbnail";s:5:"@name";s:22:"field_mt_vgs_thumbnail";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Thumbnail";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_width";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_width";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_vgs_thumbnail_width";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_vgs_thumbnail_height";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Thumbnail";s:5:"@name";s:22:"field_mt_vgs_thumbnail";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Thumbnail";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_vgs_thumbnail_height";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_vgs_thumbnail_height";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_vgs_thumbnail_height";s:5:"table";s:33:"paragraph__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}}s:42:"paragraph_revision__field_mt_vgs_thumbnail";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:34:"field_mt_vgs_thumbnail-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Thumbnail";s:11:"title short";s:9:"Thumbnail";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:44:"field_mt_vgs_thumbnail-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_vgs_thumbnail_target_id";i:4;s:26:"field_mt_vgs_thumbnail_alt";i:5;s:28:"field_mt_vgs_thumbnail_title";i:6;s:28:"field_mt_vgs_thumbnail_width";i:7;s:29:"field_mt_vgs_thumbnail_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:32:"field_mt_vgs_thumbnail_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:4326;s:11:"title short";r:4333;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_vgs_thumbnail_target_id";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_vgs_thumbnail_target_id";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_vgs_thumbnail_target_id";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_vgs_thumbnail";}s:10:"\0*\0options";a:0:{}}}}s:26:"field_mt_vgs_thumbnail_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:4415;s:11:"title short";r:4422;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_vgs_thumbnail_alt";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_vgs_thumbnail_alt";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_vgs_thumbnail_alt";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_vgs_thumbnail_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:4494;s:11:"title short";r:4501;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_title";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_title";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_vgs_thumbnail_title";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_vgs_thumbnail_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:4573;s:11:"title short";r:4580;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_width";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_vgs_thumbnail_width";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_vgs_thumbnail_width";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_vgs_thumbnail_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:4652;s:11:"title short";r:4659;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_vgs_thumbnail_height";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_vgs_thumbnail_height";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_vgs_thumbnail_height";s:5:"table";s:42:"paragraph_revision__field_mt_vgs_thumbnail";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_vgs_thumbnail_target_id";i:7;s:26:"field_mt_vgs_thumbnail_alt";i:8;s:28:"field_mt_vgs_thumbnail_title";i:9;s:28:"field_mt_vgs_thumbnail_width";i:10;s:29:"field_mt_vgs_thumbnail_height";}s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";}}}s:35:"paragraph__field_mt_vgs_slide_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:35:"paragraph__field_mt_vgs_slide_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:24:"field_mt_vgs_slide_title";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Slide Title";s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"paragraph__field_mt_vgs_slide_title";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:30:"field_mt_vgs_slide_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_vgs_slide_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:30:"field_mt_vgs_slide_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Slide Title";s:5:"@name";s:24:"field_mt_vgs_slide_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_vgs_slide_title_value";s:5:"table";s:35:"paragraph__field_mt_vgs_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_vgs_slide_title_value";}s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_vgs_slide_title_value";s:5:"table";s:35:"paragraph__field_mt_vgs_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_vgs_slide_title_value";}s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_vgs_slide_title_value";s:5:"table";s:35:"paragraph__field_mt_vgs_slide_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_vgs_slide_title_value";}s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";}}}s:44:"paragraph_revision__field_mt_vgs_slide_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:44:"paragraph_revision__field_mt_vgs_slide_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:36:"field_mt_vgs_slide_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Slide Title";s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"paragraph_revision__field_mt_vgs_slide_title";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:42:"field_mt_vgs_slide_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_vgs_slide_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_vgs_slide_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:5180;s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_vgs_slide_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_vgs_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_vgs_slide_title_value";}s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_vgs_slide_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_vgs_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_vgs_slide_title_value";}s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_vgs_slide_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_vgs_slide_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_vgs_slide_title_value";}s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph__field_mt_tml_timeline_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:38:"paragraph__field_mt_tml_timeline_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_tml_timeline_title";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:38:"paragraph__field_mt_tml_timeline_title";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:33:"field_mt_tml_timeline_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_tml_timeline_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_tml_timeline_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Title";s:5:"@name";s:27:"field_mt_tml_timeline_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_tml_timeline_title_value";s:5:"table";s:38:"paragraph__field_mt_tml_timeline_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tml_timeline_title_value";}s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_tml_timeline_title_value";s:5:"table";s:38:"paragraph__field_mt_tml_timeline_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tml_timeline_title_value";}s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_tml_timeline_title_value";s:5:"table";s:38:"paragraph__field_mt_tml_timeline_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tml_timeline_title_value";}s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";}}}s:47:"paragraph_revision__field_mt_tml_timeline_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:47:"paragraph_revision__field_mt_tml_timeline_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_tml_timeline_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:47:"paragraph_revision__field_mt_tml_timeline_title";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:45:"field_mt_tml_timeline_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_tml_timeline_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_tml_timeline_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:5376;s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_tml_timeline_title_value";s:5:"table";s:47:"paragraph_revision__field_mt_tml_timeline_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tml_timeline_title_value";}s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_tml_timeline_title_value";s:5:"table";s:47:"paragraph_revision__field_mt_tml_timeline_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tml_timeline_title_value";}s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_tml_timeline_title_value";s:5:"table";s:47:"paragraph_revision__field_mt_tml_timeline_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tml_timeline_title_value";}s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";}}}s:37:"paragraph__field_mt_tml_timeline_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_tml_timeline_link";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:30:"field_mt_tml_timeline_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_tml_timeline_link_uri";i:4;s:32:"field_mt_tml_timeline_link_title";i:5;s:34:"field_mt_tml_timeline_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:30:"field_mt_tml_timeline_link_uri";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:26:"field_mt_tml_timeline_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_tml_timeline_link_uri";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_tml_timeline_link_uri";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_tml_timeline_link_uri";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";}}s:32:"field_mt_tml_timeline_link_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:26:"field_mt_tml_timeline_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_link_title";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_link_title";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_tml_timeline_link_title";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";}}s:34:"field_mt_tml_timeline_link_options";a:6:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:26:"field_mt_tml_timeline_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_link_options";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_link_options";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:46:"paragraph_revision__field_mt_tml_timeline_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:38:"field_mt_tml_timeline_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:42:"field_mt_tml_timeline_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_tml_timeline_link_uri";i:4;s:32:"field_mt_tml_timeline_link_title";i:5;s:34:"field_mt_tml_timeline_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_tml_timeline_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:5574;s:11:"title short";r:5581;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_tml_timeline_link_uri";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_tml_timeline_link_uri";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_tml_timeline_link_uri";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";}}s:32:"field_mt_tml_timeline_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:5647;s:11:"title short";r:5654;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_link_title";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_link_title";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_tml_timeline_link_title";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";}}s:34:"field_mt_tml_timeline_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:5720;s:11:"title short";r:5727;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_link_options";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_link_options";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_tml_timeline_link_uri";i:7;s:32:"field_mt_tml_timeline_link_title";i:8;s:34:"field_mt_tml_timeline_link_options";}s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:37:"paragraph__field_mt_tml_timeline_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:37:"paragraph__field_mt_tml_timeline_date";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_tml_timeline_date";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Date";s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:37:"paragraph__field_mt_tml_timeline_date";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:32:"field_mt_tml_timeline_date_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_tml_timeline_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:32:"field_mt_tml_timeline_date_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Date";s:5:"@name";s:26:"field_mt_tml_timeline_date";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_tml_timeline_date_value";}s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_tml_timeline_date_value";}s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:5:"table";s:37:"paragraph__field_mt_tml_timeline_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_tml_timeline_date_value";}s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";}}s:37:"field_mt_tml_timeline_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:3707;}s:38:"field_mt_tml_timeline_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:3707;}s:36:"field_mt_tml_timeline_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:3707;}s:37:"field_mt_tml_timeline_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:3707;}s:43:"field_mt_tml_timeline_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:3707;}s:42:"field_mt_tml_timeline_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:3707;}}s:46:"paragraph_revision__field_mt_tml_timeline_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_date";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:38:"field_mt_tml_timeline_date-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Date";s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_date";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:44:"field_mt_tml_timeline_date-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_tml_timeline_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:32:"field_mt_tml_timeline_date_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:6036;s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_timeline_item";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_tml_timeline_date_value";}s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_tml_timeline_date_value";}s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:5:"table";s:46:"paragraph_revision__field_mt_tml_timeline_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_tml_timeline_date_value";}s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";}}s:37:"field_mt_tml_timeline_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:6243;}s:38:"field_mt_tml_timeline_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:6243;}s:36:"field_mt_tml_timeline_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:6243;}s:37:"field_mt_tml_timeline_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:6243;}s:43:"field_mt_tml_timeline_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:6243;}s:42:"field_mt_tml_timeline_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:36:"paragraph.field_mt_tml_timeline_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:32:"field_mt_tml_timeline_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:9:"paragraph";s:10:"field_name";s:26:"field_mt_tml_timeline_date";}s:5:"group";r:6243;}}s:29:"paragraph__field_mt_tab_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_tab_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_tab_title";a:5:{s:5:"group";r:3707;s:5:"title";s:9:"Tab title";s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_tab_title";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:24:"field_mt_tab_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_tab_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_tab_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Tab title";s:5:"@name";s:18:"field_mt_tab_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_tab_title_value";s:5:"table";s:29:"paragraph__field_mt_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_tab_title_value";}s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_tab_title_value";s:5:"table";s:29:"paragraph__field_mt_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_tab_title_value";}s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_tab_title_value";s:5:"table";s:29:"paragraph__field_mt_tab_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_tab_title_value";}s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph_revision__field_mt_tab_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_tab_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_tab_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Tab title";s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_tab_title";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:36:"field_mt_tab_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_tab_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_tab_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:6448;s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_tab_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_tab_title_value";}s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_tab_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_tab_title_value";}s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_tab_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_tab_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_tab_title_value";}s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";}}}s:31:"paragraph__field_mt_tab_content";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:31:"paragraph__field_mt_tab_content";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_tab_content";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Tab content";s:11:"title short";s:11:"Tab content";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"paragraph__field_mt_tab_content";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:26:"field_mt_tab_content_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_tab_content_value";i:4;s:27:"field_mt_tab_content_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:26:"field_mt_tab_content_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Tab content";s:5:"@name";s:20:"field_mt_tab_content";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:11:"Tab content";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_tab_content_value";s:5:"table";s:31:"paragraph__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_tab_content_value";s:5:"table";s:31:"paragraph__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_tab_content_value";s:5:"table";s:31:"paragraph__field_mt_tab_content";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";}}s:27:"field_mt_tab_content_format";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Tab content";s:5:"@name";s:20:"field_mt_tab_content";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Tab content";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_tab_content_format";s:5:"table";s:31:"paragraph__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_tab_content_format";s:5:"table";s:31:"paragraph__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_tab_content_format";s:5:"table";s:31:"paragraph__field_mt_tab_content";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";}}}s:40:"paragraph_revision__field_mt_tab_content";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_tab_content-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Tab content";s:11:"title short";s:11:"Tab content";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:38:"field_mt_tab_content-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_tab_content_value";i:4;s:27:"field_mt_tab_content_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:26:"field_mt_tab_content_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:6645;s:11:"title short";s:11:"Tab content";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_tab_content_value";s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_tab_content_value";s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_tab_content_value";s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";}}s:27:"field_mt_tab_content_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:6709;s:11:"title short";r:6716;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:6:"mt_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_tab_content_format";s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_tab_content_format";s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_tab_content_format";s:5:"table";s:40:"paragraph_revision__field_mt_tab_content";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_tab_content_value";i:7;s:27:"field_mt_tab_content_format";}s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";}}}s:39:"paragraph__field_mt_ms_slide_youtube_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:39:"paragraph__field_mt_ms_slide_youtube_id";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_ms_slide_youtube_id";a:5:{s:5:"group";r:3707;s:5:"title";s:16:"Slide Youtube id";s:11:"title short";s:16:"Slide Youtube id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:39:"paragraph__field_mt_ms_slide_youtube_id";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:34:"field_mt_ms_slide_youtube_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_ms_slide_youtube_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_ms_slide_youtube_id_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Slide Youtube id";s:5:"@name";s:28:"field_mt_ms_slide_youtube_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:16:"Slide Youtube id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_ms_slide_youtube_id_value";s:5:"table";s:39:"paragraph__field_mt_ms_slide_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_slide_youtube_id_value";}s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_ms_slide_youtube_id_value";s:5:"table";s:39:"paragraph__field_mt_ms_slide_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_slide_youtube_id_value";}s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_ms_slide_youtube_id_value";s:5:"table";s:39:"paragraph__field_mt_ms_slide_youtube_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_slide_youtube_id_value";}s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";}}}s:48:"paragraph_revision__field_mt_ms_slide_youtube_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:48:"paragraph_revision__field_mt_ms_slide_youtube_id";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_ms_slide_youtube_id-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"Slide Youtube id";s:11:"title short";s:16:"Slide Youtube id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:48:"paragraph_revision__field_mt_ms_slide_youtube_id";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:46:"field_mt_ms_slide_youtube_id-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_ms_slide_youtube_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_ms_slide_youtube_id_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:6981;s:11:"title short";s:16:"Slide Youtube id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_ms_slide_youtube_id_value";s:5:"table";s:48:"paragraph_revision__field_mt_ms_slide_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_slide_youtube_id_value";}s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_ms_slide_youtube_id_value";s:5:"table";s:48:"paragraph_revision__field_mt_ms_slide_youtube_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_slide_youtube_id_value";}s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_ms_slide_youtube_id_value";s:5:"table";s:48:"paragraph_revision__field_mt_ms_slide_youtube_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_slide_youtube_id_value";}s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";}}}s:35:"paragraph__field_mt_ms_slide_volume";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:35:"paragraph__field_mt_ms_slide_volume";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:24:"field_mt_ms_slide_volume";a:5:{s:5:"group";r:3707;s:5:"title";s:12:"Slide Volume";s:11:"title short";s:12:"Slide Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"paragraph__field_mt_ms_slide_volume";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:30:"field_mt_ms_slide_volume_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_ms_slide_volume_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:30:"field_mt_ms_slide_volume_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Slide Volume";s:5:"@name";s:24:"field_mt_ms_slide_volume";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:12:"Slide Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_ms_slide_volume_value";s:5:"table";s:35:"paragraph__field_mt_ms_slide_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_ms_slide_volume_value";}s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_ms_slide_volume_value";s:5:"table";s:35:"paragraph__field_mt_ms_slide_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_ms_slide_volume_value";}s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_ms_slide_volume_value";s:5:"table";s:35:"paragraph__field_mt_ms_slide_volume";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_ms_slide_volume_value";}s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";}}}s:44:"paragraph_revision__field_mt_ms_slide_volume";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:44:"paragraph_revision__field_mt_ms_slide_volume";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:36:"field_mt_ms_slide_volume-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Slide Volume";s:11:"title short";s:12:"Slide Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"paragraph_revision__field_mt_ms_slide_volume";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:42:"field_mt_ms_slide_volume-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_ms_slide_volume_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_ms_slide_volume_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:7177;s:11:"title short";s:12:"Slide Volume";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_ms_slide_volume_value";s:5:"table";s:44:"paragraph_revision__field_mt_ms_slide_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_ms_slide_volume_value";}s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_ms_slide_volume_value";s:5:"table";s:44:"paragraph_revision__field_mt_ms_slide_volume";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_ms_slide_volume_value";}s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_ms_slide_volume_value";s:5:"table";s:44:"paragraph_revision__field_mt_ms_slide_volume";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_ms_slide_volume_value";}s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";}}}s:37:"paragraph__field_mt_ms_slide_vimeo_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:37:"paragraph__field_mt_ms_slide_vimeo_id";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_ms_slide_vimeo_id";a:5:{s:5:"group";r:3707;s:5:"title";s:14:"Slide Vimeo id";s:11:"title short";s:14:"Slide Vimeo id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:37:"paragraph__field_mt_ms_slide_vimeo_id";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:32:"field_mt_ms_slide_vimeo_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_ms_slide_vimeo_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:32:"field_mt_ms_slide_vimeo_id_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Slide Vimeo id";s:5:"@name";s:26:"field_mt_ms_slide_vimeo_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Slide Vimeo id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_ms_slide_vimeo_id_value";s:5:"table";s:37:"paragraph__field_mt_ms_slide_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_slide_vimeo_id_value";}s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_ms_slide_vimeo_id_value";s:5:"table";s:37:"paragraph__field_mt_ms_slide_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_slide_vimeo_id_value";}s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_ms_slide_vimeo_id_value";s:5:"table";s:37:"paragraph__field_mt_ms_slide_vimeo_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_slide_vimeo_id_value";}s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";}}}s:46:"paragraph_revision__field_mt_ms_slide_vimeo_id";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:46:"paragraph_revision__field_mt_ms_slide_vimeo_id";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:38:"field_mt_ms_slide_vimeo_id-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Slide Vimeo id";s:11:"title short";s:14:"Slide Vimeo id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:46:"paragraph_revision__field_mt_ms_slide_vimeo_id";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:44:"field_mt_ms_slide_vimeo_id-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_ms_slide_vimeo_id_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:32:"field_mt_ms_slide_vimeo_id_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:7373;s:11:"title short";s:14:"Slide Vimeo id";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_ms_slide_vimeo_id_value";s:5:"table";s:46:"paragraph_revision__field_mt_ms_slide_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_slide_vimeo_id_value";}s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_ms_slide_vimeo_id_value";s:5:"table";s:46:"paragraph_revision__field_mt_ms_slide_vimeo_id";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_slide_vimeo_id_value";}s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_ms_slide_vimeo_id_value";s:5:"table";s:46:"paragraph_revision__field_mt_ms_slide_vimeo_id";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_slide_vimeo_id_value";}s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";}}}s:34:"paragraph__field_mt_ms_slide_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_ms_slide_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_ms_slide_title";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Slide Title";s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_ms_slide_title";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:29:"field_mt_ms_slide_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_ms_slide_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_ms_slide_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Slide Title";s:5:"@name";s:23:"field_mt_ms_slide_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_ms_slide_title_value";s:5:"table";s:34:"paragraph__field_mt_ms_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_ms_slide_title_value";}s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_ms_slide_title_value";s:5:"table";s:34:"paragraph__field_mt_ms_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_ms_slide_title_value";}s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_ms_slide_title_value";s:5:"table";s:34:"paragraph__field_mt_ms_slide_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_ms_slide_title_value";}s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";}}}s:43:"paragraph_revision__field_mt_ms_slide_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_ms_slide_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Slide Title";s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_title";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:41:"field_mt_ms_slide_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_ms_slide_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_ms_slide_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:7569;s:11:"title short";s:11:"Slide Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_ms_slide_title_value";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_ms_slide_title_value";}s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_ms_slide_title_value";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_ms_slide_title_value";}s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_ms_slide_title_value";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_ms_slide_title_value";}s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";}}}s:33:"paragraph__field_mt_ms_slide_link";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:22:"field_mt_ms_slide_link";a:5:{s:5:"group";r:3707;s:5:"title";s:10:"Slide Link";s:11:"title short";s:10:"Slide Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:26:"field_mt_ms_slide_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_ms_slide_link_uri";i:4;s:28:"field_mt_ms_slide_link_title";i:5;s:30:"field_mt_ms_slide_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:26:"field_mt_ms_slide_link_uri";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:10:"Slide Link";s:5:"@name";s:22:"field_mt_ms_slide_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Slide Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_ms_slide_link_uri";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_ms_slide_link_uri";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_ms_slide_link_uri";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}}s:5:"delta";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Slide Link";s:5:"@name";s:22:"field_mt_ms_slide_link";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:10:"Slide Link";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_ms_slide_link_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:10:"Slide Link";s:5:"@name";s:22:"field_mt_ms_slide_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Slide Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_ms_slide_link_title";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_ms_slide_link_title";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_ms_slide_link_title";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_ms_slide_link_options";a:6:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:10:"Slide Link";s:5:"@name";s:22:"field_mt_ms_slide_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Slide Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_ms_slide_link_options";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_ms_slide_link_options";s:5:"table";s:33:"paragraph__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:42:"paragraph_revision__field_mt_ms_slide_link";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:34:"field_mt_ms_slide_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:10:"Slide Link";s:11:"title short";s:10:"Slide Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:38:"field_mt_ms_slide_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_ms_slide_link_uri";i:4;s:28:"field_mt_ms_slide_link_title";i:5;s:30:"field_mt_ms_slide_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:26:"field_mt_ms_slide_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:7767;s:11:"title short";r:7774;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_ms_slide_link_uri";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_ms_slide_link_uri";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_ms_slide_link_uri";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Slide Link";s:5:"@name";s:22:"field_mt_ms_slide_link";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:10:"Slide Link";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_ms_slide_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:7913;s:11:"title short";r:7920;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_ms_slide_link_title";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_ms_slide_link_title";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_ms_slide_link_title";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_ms_slide_link_options";a:6:{s:5:"group";r:8149;s:5:"title";r:7986;s:11:"title short";r:7993;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_ms_slide_link_options";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_ms_slide_link_options";s:5:"table";s:42:"paragraph_revision__field_mt_ms_slide_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ms_slide_link_uri";i:7;s:28:"field_mt_ms_slide_link_title";i:8;s:30:"field_mt_ms_slide_link_options";}s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:34:"paragraph__field_mt_ms_slide_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_ms_slide_image";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Slide Image";s:11:"title short";s:11:"Slide Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:33:"field_mt_ms_slide_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_ms_slide_image_target_id";i:4;s:27:"field_mt_ms_slide_image_alt";i:5;s:29:"field_mt_ms_slide_image_title";i:6;s:29:"field_mt_ms_slide_image_width";i:7;s:30:"field_mt_ms_slide_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_ms_slide_image_target_id";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Slide Image";s:5:"@name";s:23:"field_mt_ms_slide_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Slide Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_ms_slide_image_target_id";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_ms_slide_image_target_id";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_ms_slide_image_target_id";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:23:"field_mt_ms_slide_image";}s:10:"\0*\0options";a:0:{}}}}s:27:"field_mt_ms_slide_image_alt";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Slide Image";s:5:"@name";s:23:"field_mt_ms_slide_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Slide Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_ms_slide_image_alt";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_ms_slide_image_alt";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_ms_slide_image_alt";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_ms_slide_image_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Slide Image";s:5:"@name";s:23:"field_mt_ms_slide_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Slide Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_title";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_title";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_ms_slide_image_title";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_ms_slide_image_width";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Slide Image";s:5:"@name";s:23:"field_mt_ms_slide_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Slide Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_width";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_width";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_ms_slide_image_width";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_ms_slide_image_height";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Slide Image";s:5:"@name";s:23:"field_mt_ms_slide_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Slide Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_ms_slide_image_height";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_ms_slide_image_height";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_ms_slide_image_height";s:5:"table";s:34:"paragraph__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}}s:43:"paragraph_revision__field_mt_ms_slide_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_ms_slide_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Slide Image";s:11:"title short";s:11:"Slide Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:45:"field_mt_ms_slide_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_ms_slide_image_target_id";i:4;s:27:"field_mt_ms_slide_image_alt";i:5;s:29:"field_mt_ms_slide_image_title";i:6;s:29:"field_mt_ms_slide_image_width";i:7;s:30:"field_mt_ms_slide_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_ms_slide_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:8379;s:11:"title short";r:8386;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_ms_slide_image_target_id";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_ms_slide_image_target_id";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_ms_slide_image_target_id";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:23:"field_mt_ms_slide_image";}s:10:"\0*\0options";a:0:{}}}}s:27:"field_mt_ms_slide_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:8468;s:11:"title short";r:8475;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_ms_slide_image_alt";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_ms_slide_image_alt";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_ms_slide_image_alt";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_ms_slide_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:8547;s:11:"title short";r:8554;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_title";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_title";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_ms_slide_image_title";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_ms_slide_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:8626;s:11:"title short";r:8633;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_width";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_ms_slide_image_width";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_ms_slide_image_width";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_ms_slide_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:8705;s:11:"title short";r:8712;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_ms_slide_image_height";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_ms_slide_image_height";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_ms_slide_image_height";s:5:"table";s:43:"paragraph_revision__field_mt_ms_slide_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_slide_image_target_id";i:7;s:27:"field_mt_ms_slide_image_alt";i:8;s:29:"field_mt_ms_slide_image_title";i:9;s:29:"field_mt_ms_slide_image_width";i:10;s:30:"field_mt_ms_slide_image_height";}s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";}}}s:41:"paragraph__field_mt_ms_slide_caption_opac";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:41:"paragraph__field_mt_ms_slide_caption_opac";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_ms_slide_caption_opac";a:5:{s:5:"group";r:3707;s:5:"title";s:32:"Slide Caption Background Opacity";s:11:"title short";s:32:"Slide Caption Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:41:"paragraph__field_mt_ms_slide_caption_opac";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:36:"field_mt_ms_slide_caption_opac_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_ms_slide_caption_opac_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:36:"field_mt_ms_slide_caption_opac_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:32:"Slide Caption Background Opacity";s:5:"@name";s:30:"field_mt_ms_slide_caption_opac";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:32:"Slide Caption Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_ms_slide_caption_opac_value";s:5:"table";s:41:"paragraph__field_mt_ms_slide_caption_opac";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_slide_caption_opac_value";}s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_ms_slide_caption_opac_value";s:5:"table";s:41:"paragraph__field_mt_ms_slide_caption_opac";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_slide_caption_opac_value";}s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_ms_slide_caption_opac_value";s:5:"table";s:41:"paragraph__field_mt_ms_slide_caption_opac";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_slide_caption_opac_value";}s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";}}}s:50:"paragraph_revision__field_mt_ms_slide_caption_opac";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:23:"paragraph_r__482119a80c";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:42:"field_mt_ms_slide_caption_opac-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:32:"Slide Caption Background Opacity";s:11:"title short";s:32:"Slide Caption Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:23:"paragraph_r__482119a80c";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:48:"field_mt_ms_slide_caption_opac-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_ms_slide_caption_opac_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:36:"field_mt_ms_slide_caption_opac_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:9233;s:11:"title short";s:32:"Slide Caption Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_ms_slide_caption_opac_value";s:5:"table";s:23:"paragraph_r__482119a80c";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_slide_caption_opac_value";}s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_ms_slide_caption_opac_value";s:5:"table";s:23:"paragraph_r__482119a80c";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_slide_caption_opac_value";}s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_ms_slide_caption_opac_value";s:5:"table";s:23:"paragraph_r__482119a80c";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_slide_caption_opac_value";}s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";}}}s:42:"paragraph__field_mt_ms_slide_caption_color";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:42:"paragraph__field_mt_ms_slide_caption_color";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:31:"field_mt_ms_slide_caption_color";a:5:{s:5:"group";r:3707;s:5:"title";s:30:"Slide Caption Background Color";s:11:"title short";s:30:"Slide Caption Background Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:42:"paragraph__field_mt_ms_slide_caption_color";s:2:"id";s:5:"field";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:37:"field_mt_ms_slide_caption_color_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_ms_slide_caption_color_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:37:"field_mt_ms_slide_caption_color_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:30:"Slide Caption Background Color";s:5:"@name";s:31:"field_mt_ms_slide_caption_color";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:30:"Slide Caption Background Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_ms_slide_caption_color_value";s:5:"table";s:42:"paragraph__field_mt_ms_slide_caption_color";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_ms_slide_caption_color_value";}s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_ms_slide_caption_color_value";s:5:"table";s:42:"paragraph__field_mt_ms_slide_caption_color";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_ms_slide_caption_color_value";}s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_ms_slide_caption_color_value";s:5:"table";s:42:"paragraph__field_mt_ms_slide_caption_color";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_ms_slide_caption_color_value";}s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";}}}s:51:"paragraph_revision__field_mt_ms_slide_caption_color";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:23:"paragraph_r__b5f38bd69e";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:43:"field_mt_ms_slide_caption_color-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:30:"Slide Caption Background Color";s:11:"title short";s:30:"Slide Caption Background Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:23:"paragraph_r__b5f38bd69e";s:2:"id";s:5:"field";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:49:"field_mt_ms_slide_caption_color-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_ms_slide_caption_color_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:37:"field_mt_ms_slide_caption_color_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:9429;s:11:"title short";s:30:"Slide Caption Background Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_ms_slide_caption_color_value";s:5:"table";s:23:"paragraph_r__b5f38bd69e";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_ms_slide_caption_color_value";}s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_ms_slide_caption_color_value";s:5:"table";s:23:"paragraph_r__b5f38bd69e";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_ms_slide_caption_color_value";}s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_ms_slide_caption_color_value";s:5:"table";s:23:"paragraph_r__b5f38bd69e";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_ms_slide_caption_color_value";}s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";}}}s:36:"paragraph__field_mt_ms_slide_caption";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:36:"paragraph__field_mt_ms_slide_caption";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_ms_slide_caption";a:5:{s:5:"group";r:3707;s:5:"title";s:13:"Slide Caption";s:11:"title short";s:13:"Slide Caption";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:36:"paragraph__field_mt_ms_slide_caption";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:31:"field_mt_ms_slide_caption_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_ms_slide_caption_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_ms_slide_caption_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Slide Caption";s:5:"@name";s:25:"field_mt_ms_slide_caption";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:13:"Slide Caption";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_ms_slide_caption_value";s:5:"table";s:36:"paragraph__field_mt_ms_slide_caption";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ms_slide_caption_value";}s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_ms_slide_caption_value";s:5:"table";s:36:"paragraph__field_mt_ms_slide_caption";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ms_slide_caption_value";}s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_ms_slide_caption_value";s:5:"table";s:36:"paragraph__field_mt_ms_slide_caption";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ms_slide_caption_value";}s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";}}}s:45:"paragraph_revision__field_mt_ms_slide_caption";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:45:"paragraph_revision__field_mt_ms_slide_caption";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_ms_slide_caption-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:13:"Slide Caption";s:11:"title short";s:13:"Slide Caption";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:45:"paragraph_revision__field_mt_ms_slide_caption";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:43:"field_mt_ms_slide_caption-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_ms_slide_caption_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_ms_slide_caption_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:9625;s:11:"title short";s:13:"Slide Caption";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_ms_slide_caption_value";s:5:"table";s:45:"paragraph_revision__field_mt_ms_slide_caption";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ms_slide_caption_value";}s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_ms_slide_caption_value";s:5:"table";s:45:"paragraph_revision__field_mt_ms_slide_caption";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ms_slide_caption_value";}s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_ms_slide_caption_value";s:5:"table";s:45:"paragraph_revision__field_mt_ms_slide_caption";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ms_slide_caption_value";}s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";}}}s:32:"paragraph__field_mt_ml_longitude";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:32:"paragraph__field_mt_ml_longitude";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_ml_longitude";a:5:{s:5:"group";r:3707;s:5:"title";s:9:"Longitude";s:11:"title short";s:9:"Longitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"paragraph__field_mt_ml_longitude";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:27:"field_mt_ml_longitude_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_ml_longitude_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_ml_longitude_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Longitude";s:5:"@name";s:21:"field_mt_ml_longitude";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Longitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_ml_longitude_value";s:5:"table";s:32:"paragraph__field_mt_ml_longitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ml_longitude_value";}s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_ml_longitude_value";s:5:"table";s:32:"paragraph__field_mt_ml_longitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ml_longitude_value";}s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_ml_longitude_value";s:5:"table";s:32:"paragraph__field_mt_ml_longitude";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ml_longitude_value";}s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";}}}s:41:"paragraph_revision__field_mt_ml_longitude";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:41:"paragraph_revision__field_mt_ml_longitude";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_ml_longitude-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Longitude";s:11:"title short";s:9:"Longitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"paragraph_revision__field_mt_ml_longitude";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:39:"field_mt_ml_longitude-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_ml_longitude_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_ml_longitude_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:9821;s:11:"title short";s:9:"Longitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_ml_longitude_value";s:5:"table";s:41:"paragraph_revision__field_mt_ml_longitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ml_longitude_value";}s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_ml_longitude_value";s:5:"table";s:41:"paragraph_revision__field_mt_ml_longitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ml_longitude_value";}s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_ml_longitude_value";s:5:"table";s:41:"paragraph_revision__field_mt_ml_longitude";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ml_longitude_value";}s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";}}}s:36:"paragraph__field_mt_ml_location_name";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:36:"paragraph__field_mt_ml_location_name";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_ml_location_name";a:5:{s:5:"group";r:3707;s:5:"title";s:13:"Location Name";s:11:"title short";s:13:"Location Name";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:36:"paragraph__field_mt_ml_location_name";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:31:"field_mt_ml_location_name_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_ml_location_name_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_ml_location_name_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Location Name";s:5:"@name";s:25:"field_mt_ml_location_name";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:13:"Location Name";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_ml_location_name_value";s:5:"table";s:36:"paragraph__field_mt_ml_location_name";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ml_location_name_value";}s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_ml_location_name_value";s:5:"table";s:36:"paragraph__field_mt_ml_location_name";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ml_location_name_value";}s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_ml_location_name_value";s:5:"table";s:36:"paragraph__field_mt_ml_location_name";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ml_location_name_value";}s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";}}}s:45:"paragraph_revision__field_mt_ml_location_name";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:45:"paragraph_revision__field_mt_ml_location_name";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_ml_location_name-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:13:"Location Name";s:11:"title short";s:13:"Location Name";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:45:"paragraph_revision__field_mt_ml_location_name";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:43:"field_mt_ml_location_name-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_ml_location_name_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_ml_location_name_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:10017;s:11:"title short";s:13:"Location Name";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_ml_location_name_value";s:5:"table";s:45:"paragraph_revision__field_mt_ml_location_name";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ml_location_name_value";}s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_ml_location_name_value";s:5:"table";s:45:"paragraph_revision__field_mt_ml_location_name";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ml_location_name_value";}s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_ml_location_name_value";s:5:"table";s:45:"paragraph_revision__field_mt_ml_location_name";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_ml_location_name_value";}s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";}}}s:31:"paragraph__field_mt_ml_latitude";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:31:"paragraph__field_mt_ml_latitude";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_ml_latitude";a:5:{s:5:"group";r:3707;s:5:"title";s:8:"Latitude";s:11:"title short";s:8:"Latitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"paragraph__field_mt_ml_latitude";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:26:"field_mt_ml_latitude_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_ml_latitude_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:26:"field_mt_ml_latitude_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Latitude";s:5:"@name";s:20:"field_mt_ml_latitude";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Latitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_ml_latitude_value";s:5:"table";s:31:"paragraph__field_mt_ml_latitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ml_latitude_value";}s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_ml_latitude_value";s:5:"table";s:31:"paragraph__field_mt_ml_latitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ml_latitude_value";}s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_ml_latitude_value";s:5:"table";s:31:"paragraph__field_mt_ml_latitude";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ml_latitude_value";}s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";}}}s:40:"paragraph_revision__field_mt_ml_latitude";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:40:"paragraph_revision__field_mt_ml_latitude";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_ml_latitude-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Latitude";s:11:"title short";s:8:"Latitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"paragraph_revision__field_mt_ml_latitude";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:38:"field_mt_ml_latitude-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_ml_latitude_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:26:"field_mt_ml_latitude_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:10213;s:11:"title short";s:8:"Latitude";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_map_location";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_ml_latitude_value";s:5:"table";s:40:"paragraph_revision__field_mt_ml_latitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ml_latitude_value";}s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_ml_latitude_value";s:5:"table";s:40:"paragraph_revision__field_mt_ml_latitude";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ml_latitude_value";}s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_ml_latitude_value";s:5:"table";s:40:"paragraph_revision__field_mt_ml_latitude";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_ml_latitude_value";}s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";}}}s:31:"paragraph__field_mt_media_video";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:31:"paragraph__field_mt_media_video";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_media_video";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Media Video";s:11:"title short";s:11:"Media Video";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"paragraph__field_mt_media_video";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:26:"field_mt_media_video_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_media_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:26:"field_mt_media_video_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Media Video";s:5:"@name";s:20:"field_mt_media_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:11:"Media Video";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_video_value";s:5:"table";s:31:"paragraph__field_mt_media_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_video_value";}s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_video_value";s:5:"table";s:31:"paragraph__field_mt_media_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_video_value";}s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_video_value";s:5:"table";s:31:"paragraph__field_mt_media_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_video_value";}s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";}}}s:40:"paragraph_revision__field_mt_media_video";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:40:"paragraph_revision__field_mt_media_video";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_media_video-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Media Video";s:11:"title short";s:11:"Media Video";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"paragraph_revision__field_mt_media_video";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:38:"field_mt_media_video-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_media_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:26:"field_mt_media_video_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:10409;s:11:"title short";s:11:"Media Video";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_video_value";s:5:"table";s:40:"paragraph_revision__field_mt_media_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_video_value";}s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_video_value";s:5:"table";s:40:"paragraph_revision__field_mt_media_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_video_value";}s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_video_value";s:5:"table";s:40:"paragraph_revision__field_mt_media_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_video_value";}s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";}}}s:31:"paragraph__field_mt_media_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:31:"paragraph__field_mt_media_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_media_title";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Media Title";s:11:"title short";s:11:"Media Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"paragraph__field_mt_media_title";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:26:"field_mt_media_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_media_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:26:"field_mt_media_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Media Title";s:5:"@name";s:20:"field_mt_media_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:11:"Media Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_title_value";s:5:"table";s:31:"paragraph__field_mt_media_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_title_value";}s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_title_value";s:5:"table";s:31:"paragraph__field_mt_media_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_title_value";}s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_title_value";s:5:"table";s:31:"paragraph__field_mt_media_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_title_value";}s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";}}}s:40:"paragraph_revision__field_mt_media_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:40:"paragraph_revision__field_mt_media_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_media_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Media Title";s:11:"title short";s:11:"Media Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"paragraph_revision__field_mt_media_title";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:38:"field_mt_media_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_media_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:26:"field_mt_media_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:10605;s:11:"title short";s:11:"Media Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_title_value";s:5:"table";s:40:"paragraph_revision__field_mt_media_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_title_value";}s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_title_value";s:5:"table";s:40:"paragraph_revision__field_mt_media_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_title_value";}s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_title_value";s:5:"table";s:40:"paragraph_revision__field_mt_media_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_media_title_value";}s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";}}}s:35:"paragraph__field_mt_media_tab_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:35:"paragraph__field_mt_media_tab_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:24:"field_mt_media_tab_title";a:5:{s:5:"group";r:3707;s:5:"title";s:15:"Media Tab Title";s:11:"title short";s:15:"Media Tab Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"paragraph__field_mt_media_tab_title";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:30:"field_mt_media_tab_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_media_tab_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:30:"field_mt_media_tab_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Media Tab Title";s:5:"@name";s:24:"field_mt_media_tab_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:15:"Media Tab Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_media_tab_title_value";s:5:"table";s:35:"paragraph__field_mt_media_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_tab_title_value";}s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_media_tab_title_value";s:5:"table";s:35:"paragraph__field_mt_media_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_tab_title_value";}s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_media_tab_title_value";s:5:"table";s:35:"paragraph__field_mt_media_tab_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_tab_title_value";}s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";}}}s:44:"paragraph_revision__field_mt_media_tab_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:44:"paragraph_revision__field_mt_media_tab_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:36:"field_mt_media_tab_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:15:"Media Tab Title";s:11:"title short";s:15:"Media Tab Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"paragraph_revision__field_mt_media_tab_title";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:42:"field_mt_media_tab_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_media_tab_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_media_tab_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:10801;s:11:"title short";s:15:"Media Tab Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_media_tab_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_media_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_tab_title_value";}s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_media_tab_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_media_tab_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_tab_title_value";}s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_media_tab_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_media_tab_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_tab_title_value";}s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";}}}s:31:"paragraph__field_mt_media_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:31:"paragraph__field_mt_media_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_media_image";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Media Image";s:11:"title short";s:11:"Media Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:30:"field_mt_media_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_media_image_target_id";i:4;s:24:"field_mt_media_image_alt";i:5;s:26:"field_mt_media_image_title";i:6;s:26:"field_mt_media_image_width";i:7;s:27:"field_mt_media_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:30:"field_mt_media_image_target_id";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Media Image";s:5:"@name";s:20:"field_mt_media_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Media Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_media_image_target_id";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_media_image_target_id";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_media_image_target_id";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_media_image";}s:10:"\0*\0options";a:0:{}}}}s:24:"field_mt_media_image_alt";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Media Image";s:5:"@name";s:20:"field_mt_media_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Media Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_media_image_alt";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_media_image_alt";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_media_image_alt";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_media_image_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Media Image";s:5:"@name";s:20:"field_mt_media_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Media Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_image_title";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_image_title";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_image_title";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_media_image_width";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Media Image";s:5:"@name";s:20:"field_mt_media_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Media Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_image_width";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_image_width";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_image_width";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}s:27:"field_mt_media_image_height";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Media Image";s:5:"@name";s:20:"field_mt_media_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Media Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_media_image_height";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_media_image_height";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_media_image_height";s:5:"table";s:31:"paragraph__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}}s:40:"paragraph_revision__field_mt_media_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_media_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Media Image";s:11:"title short";s:11:"Media Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:42:"field_mt_media_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_media_image_target_id";i:4;s:24:"field_mt_media_image_alt";i:5;s:26:"field_mt_media_image_title";i:6;s:26:"field_mt_media_image_width";i:7;s:27:"field_mt_media_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_media_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:11001;s:11:"title short";r:11008;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_media_image_target_id";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_media_image_target_id";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_media_image_target_id";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_media_image";}s:10:"\0*\0options";a:0:{}}}}s:24:"field_mt_media_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:11090;s:11:"title short";r:11097;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_media_image_alt";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_media_image_alt";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_media_image_alt";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_media_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:11169;s:11:"title short";r:11176;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_image_title";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_image_title";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_image_title";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_media_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:11248;s:11:"title short";r:11255;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_image_width";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_image_width";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_image_width";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}s:27:"field_mt_media_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:11327;s:11:"title short";r:11334;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_media_image_height";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_media_image_height";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_media_image_height";s:5:"table";s:40:"paragraph_revision__field_mt_media_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_media_image_target_id";i:7;s:24:"field_mt_media_image_alt";i:8;s:26:"field_mt_media_image_title";i:9;s:26:"field_mt_media_image_width";i:10;s:27:"field_mt_media_image_height";}s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";}}}s:32:"paragraph__field_mt_media_button";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:32:"paragraph__field_mt_media_button";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_media_button";a:5:{s:5:"group";r:3707;s:5:"title";s:12:"Media Button";s:11:"title short";s:12:"Media Button";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:25:"field_mt_media_button_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_media_button_uri";i:4;s:27:"field_mt_media_button_title";i:5;s:29:"field_mt_media_button_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:25:"field_mt_media_button_uri";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Media Button";s:5:"@name";s:21:"field_mt_media_button";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Media Button";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_media_button_uri";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_media_button_uri";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_media_button_uri";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";}}s:27:"field_mt_media_button_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Media Button";s:5:"@name";s:21:"field_mt_media_button";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Media Button";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_media_button_title";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_media_button_title";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_media_button_title";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_media_button_options";a:6:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Media Button";s:5:"@name";s:21:"field_mt_media_button";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Media Button";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_media_button_options";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_media_button_options";s:5:"table";s:32:"paragraph__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:41:"paragraph_revision__field_mt_media_button";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_media_button-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Media Button";s:11:"title short";s:12:"Media Button";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:37:"field_mt_media_button-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_media_button_uri";i:4;s:27:"field_mt_media_button_title";i:5;s:29:"field_mt_media_button_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:25:"field_mt_media_button_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:11857;s:11:"title short";r:11864;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_media_button_uri";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_media_button_uri";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_media_button_uri";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";}}s:27:"field_mt_media_button_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:11930;s:11:"title short";r:11937;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_media_button_title";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_media_button_title";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_media_button_title";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_media_button_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:12003;s:11:"title short";r:12010;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_media_button_options";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_media_button_options";s:5:"table";s:41:"paragraph_revision__field_mt_media_button";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_button_uri";i:7;s:27:"field_mt_media_button_title";i:8;s:29:"field_mt_media_button_options";}s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:30:"paragraph__field_mt_media_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:30:"paragraph__field_mt_media_body";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:19:"field_mt_media_body";a:5:{s:5:"group";r:3707;s:5:"title";s:10:"Media Body";s:11:"title short";s:10:"Media Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:30:"paragraph__field_mt_media_body";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:25:"field_mt_media_body_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_media_body_value";i:4;s:26:"field_mt_media_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:25:"field_mt_media_body_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Media Body";s:5:"@name";s:19:"field_mt_media_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:10:"Media Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_media_body_value";s:5:"table";s:30:"paragraph__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_media_body_value";s:5:"table";s:30:"paragraph__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_media_body_value";s:5:"table";s:30:"paragraph__field_mt_media_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_media_body_format";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:10:"Media Body";s:5:"@name";s:19:"field_mt_media_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Media Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_body_format";s:5:"table";s:30:"paragraph__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_body_format";s:5:"table";s:30:"paragraph__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_body_format";s:5:"table";s:30:"paragraph__field_mt_media_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";}}}s:39:"paragraph_revision__field_mt_media_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:31:"field_mt_media_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:10:"Media Body";s:11:"title short";s:10:"Media Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:37:"field_mt_media_body-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_media_body_value";i:4;s:26:"field_mt_media_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:25:"field_mt_media_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:12320;s:11:"title short";s:10:"Media Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_media_body_value";s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_media_body_value";s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_media_body_value";s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_media_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:12384;s:11:"title short";r:12391;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_media_body_format";s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_media_body_format";s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_media_body_format";s:5:"table";s:39:"paragraph_revision__field_mt_media_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_media_body_value";i:7;s:26:"field_mt_media_body_format";}s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";}}}s:28:"paragraph__field_mt_if_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:28:"paragraph__field_mt_if_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_if_title";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:28:"paragraph__field_mt_if_title";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:23:"field_mt_if_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_if_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_if_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Title";s:5:"@name";s:17:"field_mt_if_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_title_value";s:5:"table";s:28:"paragraph__field_mt_if_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_if_title_value";}s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_title_value";s:5:"table";s:28:"paragraph__field_mt_if_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_if_title_value";}s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_title_value";s:5:"table";s:28:"paragraph__field_mt_if_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_if_title_value";}s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";}}}s:37:"paragraph_revision__field_mt_if_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:37:"paragraph_revision__field_mt_if_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_if_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:37:"paragraph_revision__field_mt_if_title";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:35:"field_mt_if_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_if_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_if_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:12656;s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_title_value";s:5:"table";s:37:"paragraph_revision__field_mt_if_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_if_title_value";}s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_title_value";s:5:"table";s:37:"paragraph_revision__field_mt_if_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_if_title_value";}s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_title_value";s:5:"table";s:37:"paragraph_revision__field_mt_if_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_if_title_value";}s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";}}}s:27:"paragraph__field_mt_if_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:27:"paragraph__field_mt_if_link";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:16:"field_mt_if_link";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:5:"field";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:20:"field_mt_if_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:20:"field_mt_if_link_uri";i:4;s:22:"field_mt_if_link_title";i:5;s:24:"field_mt_if_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:20:"field_mt_if_link_uri";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:16:"field_mt_if_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:20:"field_mt_if_link_uri";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:20:"field_mt_if_link_uri";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:20:"field_mt_if_link_uri";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";}}s:22:"field_mt_if_link_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:16:"field_mt_if_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_if_link_title";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_if_link_title";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_if_link_title";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_if_link_options";a:6:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:16:"field_mt_if_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_if_link_options";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_if_link_options";s:5:"table";s:27:"paragraph__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:36:"paragraph_revision__field_mt_if_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_if_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:5:"field";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:32:"field_mt_if_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:20:"field_mt_if_link_uri";i:4;s:22:"field_mt_if_link_title";i:5;s:24:"field_mt_if_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:20:"field_mt_if_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:12854;s:11:"title short";r:12861;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:20:"field_mt_if_link_uri";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:20:"field_mt_if_link_uri";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:20:"field_mt_if_link_uri";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";}}s:22:"field_mt_if_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:12927;s:11:"title short";r:12934;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_if_link_title";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_if_link_title";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_if_link_title";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_if_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:13000;s:11:"title short";r:13007;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_if_link_options";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_if_link_options";s:5:"table";s:36:"paragraph_revision__field_mt_if_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_if_link_uri";i:7;s:22:"field_mt_if_link_title";i:8;s:24:"field_mt_if_link_options";}s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:28:"paragraph__field_mt_if_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:28:"paragraph__field_mt_if_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_if_image";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:27:"field_mt_if_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_if_image_target_id";i:4;s:21:"field_mt_if_image_alt";i:5;s:23:"field_mt_if_image_title";i:6;s:23:"field_mt_if_image_width";i:7;s:24:"field_mt_if_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_if_image_target_id";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:17:"field_mt_if_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_if_image_target_id";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_if_image_target_id";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_if_image_target_id";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_if_image";}s:10:"\0*\0options";a:0:{}}}}s:21:"field_mt_if_image_alt";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:17:"field_mt_if_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_if_image_alt";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_if_image_alt";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_if_image_alt";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_if_image_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:17:"field_mt_if_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_image_title";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_image_title";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_image_title";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_if_image_width";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:17:"field_mt_if_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_image_width";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_image_width";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_image_width";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_if_image_height";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:17:"field_mt_if_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_if_image_height";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_if_image_height";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_if_image_height";s:5:"table";s:28:"paragraph__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}}s:37:"paragraph_revision__field_mt_if_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_if_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:39:"field_mt_if_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_if_image_target_id";i:4;s:21:"field_mt_if_image_alt";i:5;s:23:"field_mt_if_image_title";i:6;s:23:"field_mt_if_image_width";i:7;s:24:"field_mt_if_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_if_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:13320;s:11:"title short";r:13327;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_if_image_target_id";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_if_image_target_id";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_if_image_target_id";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_if_image";}s:10:"\0*\0options";a:0:{}}}}s:21:"field_mt_if_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:13409;s:11:"title short";r:13416;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_if_image_alt";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_if_image_alt";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_if_image_alt";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_if_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:13488;s:11:"title short";r:13495;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_image_title";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_image_title";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_image_title";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_if_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:13567;s:11:"title short";r:13574;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_image_width";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_image_width";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_image_width";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_if_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:13646;s:11:"title short";r:13653;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_if_image_height";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_if_image_height";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_if_image_height";s:5:"table";s:37:"paragraph_revision__field_mt_if_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_if_image_target_id";i:7;s:21:"field_mt_if_image_alt";i:8;s:23:"field_mt_if_image_title";i:9;s:23:"field_mt_if_image_width";i:10;s:24:"field_mt_if_image_height";}s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";}}}s:30:"paragraph__field_mt_if_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:19:"field_mt_if_fa_icon";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Icon";s:11:"title short";s:4:"Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:29:"field_mt_if_fa_icon_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_if_fa_icon_icon_name";i:4;s:25:"field_mt_if_fa_icon_style";i:5;s:28:"field_mt_if_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_if_fa_icon_icon_name";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Icon";s:5:"@name";s:19:"field_mt_if_fa_icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_if_fa_icon_icon_name";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_if_fa_icon_icon_name";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_if_fa_icon_icon_name";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_if_fa_icon_style";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Icon";s:5:"@name";s:19:"field_mt_if_fa_icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_if_fa_icon_style";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_if_fa_icon_style";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_if_fa_icon_style";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_if_fa_icon_settings";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Icon";s:5:"@name";s:19:"field_mt_if_fa_icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_if_fa_icon_settings";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_if_fa_icon_settings";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_if_fa_icon_settings";s:5:"table";s:30:"paragraph__field_mt_if_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:39:"paragraph_revision__field_mt_if_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:31:"field_mt_if_fa_icon-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Icon";s:11:"title short";s:4:"Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:41:"field_mt_if_fa_icon-revision_id_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_if_fa_icon_icon_name";i:4;s:25:"field_mt_if_fa_icon_style";i:5;s:28:"field_mt_if_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_if_fa_icon_icon_name";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:14176;s:11:"title short";r:14183;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_if_fa_icon_icon_name";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_if_fa_icon_icon_name";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_if_fa_icon_icon_name";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_if_fa_icon_style";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:14249;s:11:"title short";r:14256;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_if_fa_icon_style";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_if_fa_icon_style";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_if_fa_icon_style";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:28:"field_mt_if_fa_icon_settings";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:14322;s:11:"title short";r:14329;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_if_fa_icon_settings";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_if_fa_icon_settings";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_if_fa_icon_settings";s:5:"table";s:39:"paragraph_revision__field_mt_if_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_if_fa_icon_icon_name";i:7;s:25:"field_mt_if_fa_icon_style";i:8;s:28:"field_mt_if_fa_icon_settings";}s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:27:"paragraph__field_mt_if_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:27:"paragraph__field_mt_if_body";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:16:"field_mt_if_body";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"paragraph__field_mt_if_body";s:2:"id";s:5:"field";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:22:"field_mt_if_body_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:22:"field_mt_if_body_value";i:4;s:23:"field_mt_if_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:22:"field_mt_if_body_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:16:"field_mt_if_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_if_body_value";s:5:"table";s:27:"paragraph__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_if_body_value";s:5:"table";s:27:"paragraph__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_if_body_value";s:5:"table";s:27:"paragraph__field_mt_if_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_if_body_format";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:16:"field_mt_if_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_body_format";s:5:"table";s:27:"paragraph__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_body_format";s:5:"table";s:27:"paragraph__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_body_format";s:5:"table";s:27:"paragraph__field_mt_if_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";}}}s:36:"paragraph_revision__field_mt_if_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_if_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:2:"id";s:5:"field";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:34:"field_mt_if_body-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:22:"field_mt_if_body_value";i:4;s:23:"field_mt_if_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:22:"field_mt_if_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:14671;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_if_body_value";s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_if_body_value";s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_if_body_value";s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_if_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:14735;s:11:"title short";r:14742;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_icon_features";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_if_body_format";s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_if_body_format";s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_if_body_format";s:5:"table";s:36:"paragraph_revision__field_mt_if_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_if_body_value";i:7;s:23:"field_mt_if_body_format";}s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";}}}s:35:"paragraph__field_mt_highlight_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:35:"paragraph__field_mt_highlight_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:24:"field_mt_highlight_title";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"paragraph__field_mt_highlight_title";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:30:"field_mt_highlight_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_highlight_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:30:"field_mt_highlight_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Title";s:5:"@name";s:24:"field_mt_highlight_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_title_value";s:5:"table";s:35:"paragraph__field_mt_highlight_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_highlight_title_value";}s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_title_value";s:5:"table";s:35:"paragraph__field_mt_highlight_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_highlight_title_value";}s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_title_value";s:5:"table";s:35:"paragraph__field_mt_highlight_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_highlight_title_value";}s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";}}}s:44:"paragraph_revision__field_mt_highlight_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:44:"paragraph_revision__field_mt_highlight_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:36:"field_mt_highlight_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"paragraph_revision__field_mt_highlight_title";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:42:"field_mt_highlight_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_highlight_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_highlight_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15007;s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_highlight_title_value";}s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_highlight_title_value";}s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_title_value";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_highlight_title_value";}s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";}}}s:34:"paragraph__field_mt_highlight_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_highlight_link";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:27:"field_mt_highlight_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_highlight_link_uri";i:4;s:29:"field_mt_highlight_link_title";i:5;s:31:"field_mt_highlight_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:27:"field_mt_highlight_link_uri";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:23:"field_mt_highlight_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_highlight_link_uri";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_highlight_link_uri";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_highlight_link_uri";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_highlight_link_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:23:"field_mt_highlight_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_highlight_link_title";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_highlight_link_title";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_highlight_link_title";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";}}s:31:"field_mt_highlight_link_options";a:6:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:23:"field_mt_highlight_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_highlight_link_options";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_highlight_link_options";s:5:"table";s:34:"paragraph__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:43:"paragraph_revision__field_mt_highlight_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_highlight_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:39:"field_mt_highlight_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_highlight_link_uri";i:4;s:29:"field_mt_highlight_link_title";i:5;s:31:"field_mt_highlight_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_highlight_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15205;s:11:"title short";r:15212;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_highlight_link_uri";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_highlight_link_uri";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_highlight_link_uri";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_highlight_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15278;s:11:"title short";r:15285;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_highlight_link_title";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_highlight_link_title";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_highlight_link_title";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";}}s:31:"field_mt_highlight_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15351;s:11:"title short";r:15358;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_highlight_link_options";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_highlight_link_options";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_highlight_link_uri";i:7;s:29:"field_mt_highlight_link_title";i:8;s:31:"field_mt_highlight_link_options";}s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:35:"paragraph__field_mt_highlight_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:24:"field_mt_highlight_image";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:34:"field_mt_highlight_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_highlight_image_target_id";i:4;s:28:"field_mt_highlight_image_alt";i:5;s:30:"field_mt_highlight_image_title";i:6;s:30:"field_mt_highlight_image_width";i:7;s:31:"field_mt_highlight_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_highlight_image_target_id";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:24:"field_mt_highlight_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_highlight_image_target_id";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_highlight_image_target_id";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_highlight_image_target_id";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_highlight_image";}s:10:"\0*\0options";a:0:{}}}}s:28:"field_mt_highlight_image_alt";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:24:"field_mt_highlight_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_highlight_image_alt";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_highlight_image_alt";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_highlight_image_alt";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_highlight_image_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:24:"field_mt_highlight_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_image_title";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_image_title";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_image_title";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_highlight_image_width";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:24:"field_mt_highlight_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_image_width";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_image_width";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_image_width";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}s:31:"field_mt_highlight_image_height";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:24:"field_mt_highlight_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_highlight_image_height";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_highlight_image_height";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_highlight_image_height";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}}s:44:"paragraph_revision__field_mt_highlight_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:36:"field_mt_highlight_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:46:"field_mt_highlight_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_highlight_image_target_id";i:4;s:28:"field_mt_highlight_image_alt";i:5;s:30:"field_mt_highlight_image_title";i:6;s:30:"field_mt_highlight_image_width";i:7;s:31:"field_mt_highlight_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_highlight_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15671;s:11:"title short";r:15678;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_highlight_image_target_id";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_highlight_image_target_id";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_highlight_image_target_id";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_highlight_image";}s:10:"\0*\0options";a:0:{}}}}s:28:"field_mt_highlight_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15760;s:11:"title short";r:15767;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_highlight_image_alt";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_highlight_image_alt";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_highlight_image_alt";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_highlight_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15839;s:11:"title short";r:15846;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_image_title";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_image_title";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_image_title";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_highlight_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15918;s:11:"title short";r:15925;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_image_width";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_image_width";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_image_width";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}s:31:"field_mt_highlight_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:15997;s:11:"title short";r:16004;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_highlight_image_height";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_highlight_image_height";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_highlight_image_height";s:5:"table";s:44:"paragraph_revision__field_mt_highlight_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_highlight_image_target_id";i:7;s:28:"field_mt_highlight_image_alt";i:8;s:30:"field_mt_highlight_image_title";i:9;s:30:"field_mt_highlight_image_width";i:10;s:31:"field_mt_highlight_image_height";}s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";}}}s:34:"paragraph__field_mt_highlight_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_highlight_body";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:29:"field_mt_highlight_body_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_highlight_body_value";i:4;s:30:"field_mt_highlight_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_highlight_body_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:23:"field_mt_highlight_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_highlight_body_value";s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_highlight_body_value";s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_highlight_body_value";s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_highlight_body_format";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:23:"field_mt_highlight_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_body_format";s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_body_format";s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_body_format";s:5:"table";s:34:"paragraph__field_mt_highlight_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";}}}s:43:"paragraph_revision__field_mt_highlight_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_highlight_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:41:"field_mt_highlight_body-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_highlight_body_value";i:4;s:30:"field_mt_highlight_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_highlight_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:16526;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_highlight_body_value";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_highlight_body_value";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_highlight_body_value";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";}}s:30:"field_mt_highlight_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:16590;s:11:"title short";r:16597;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_highlight";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_highlight_body_format";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_highlight_body_format";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_highlight_body_format";s:5:"table";s:43:"paragraph_revision__field_mt_highlight_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_highlight_body_value";i:7;s:30:"field_mt_highlight_body_format";}s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";}}}s:30:"paragraph__field_mt_fltt_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:30:"paragraph__field_mt_fltt_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:19:"field_mt_fltt_title";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:30:"paragraph__field_mt_fltt_title";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:25:"field_mt_fltt_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_fltt_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:25:"field_mt_fltt_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Title";s:5:"@name";s:19:"field_mt_fltt_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fltt_title_value";s:5:"table";s:30:"paragraph__field_mt_fltt_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_fltt_title_value";}s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fltt_title_value";s:5:"table";s:30:"paragraph__field_mt_fltt_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_fltt_title_value";}s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_fltt_title_value";s:5:"table";s:30:"paragraph__field_mt_fltt_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_fltt_title_value";}s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";}}}s:39:"paragraph_revision__field_mt_fltt_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:39:"paragraph_revision__field_mt_fltt_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:31:"field_mt_fltt_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:39:"paragraph_revision__field_mt_fltt_title";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:37:"field_mt_fltt_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_fltt_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:25:"field_mt_fltt_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:16862;s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fltt_title_value";s:5:"table";s:39:"paragraph_revision__field_mt_fltt_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_fltt_title_value";}s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fltt_title_value";s:5:"table";s:39:"paragraph_revision__field_mt_fltt_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_fltt_title_value";}s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_fltt_title_value";s:5:"table";s:39:"paragraph_revision__field_mt_fltt_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_fltt_title_value";}s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";}}}s:29:"paragraph__field_mt_fltt_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_fltt_link";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:22:"field_mt_fltt_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:22:"field_mt_fltt_link_uri";i:4;s:24:"field_mt_fltt_link_title";i:5;s:26:"field_mt_fltt_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:22:"field_mt_fltt_link_uri";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:18:"field_mt_fltt_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_fltt_link_uri";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_fltt_link_uri";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_fltt_link_uri";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_fltt_link_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:18:"field_mt_fltt_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fltt_link_title";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fltt_link_title";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fltt_link_title";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_fltt_link_options";a:6:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:18:"field_mt_fltt_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_fltt_link_options";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_fltt_link_options";s:5:"table";s:29:"paragraph__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:38:"paragraph_revision__field_mt_fltt_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_fltt_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:34:"field_mt_fltt_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:22:"field_mt_fltt_link_uri";i:4;s:24:"field_mt_fltt_link_title";i:5;s:26:"field_mt_fltt_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:22:"field_mt_fltt_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:17060;s:11:"title short";r:17067;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_fltt_link_uri";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_fltt_link_uri";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_fltt_link_uri";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_fltt_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:17133;s:11:"title short";r:17140;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fltt_link_title";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fltt_link_title";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fltt_link_title";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_fltt_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:17206;s:11:"title short";r:17213;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_fltt_link_options";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_fltt_link_options";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:22:"field_mt_fltt_link_uri";i:7;s:24:"field_mt_fltt_link_title";i:8;s:26:"field_mt_fltt_link_options";}s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:29:"paragraph__field_mt_fltt_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_fltt_body";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:24:"field_mt_fltt_body_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_fltt_body_value";i:4;s:25:"field_mt_fltt_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_fltt_body_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:18:"field_mt_fltt_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fltt_body_value";s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fltt_body_value";s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fltt_body_value";s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_fltt_body_format";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:18:"field_mt_fltt_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fltt_body_format";s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fltt_body_format";s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_fltt_body_format";s:5:"table";s:29:"paragraph__field_mt_fltt_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph_revision__field_mt_fltt_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_fltt_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:36:"field_mt_fltt_body-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_fltt_body_value";i:4;s:25:"field_mt_fltt_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_fltt_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:17523;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fltt_body_value";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fltt_body_value";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fltt_body_value";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_fltt_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:17587;s:11:"title short";r:17594;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_featured_linked_text_tile";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fltt_body_format";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fltt_body_format";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_fltt_body_format";s:5:"table";s:38:"paragraph_revision__field_mt_fltt_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fltt_body_value";i:7;s:25:"field_mt_fltt_body_format";}s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";}}}s:29:"paragraph__field_mt_fli_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_fli_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_fli_title";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_fli_title";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:24:"field_mt_fli_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_fli_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_fli_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Title";s:5:"@name";s:18:"field_mt_fli_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_title_value";s:5:"table";s:29:"paragraph__field_mt_fli_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_title_value";}s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_title_value";s:5:"table";s:29:"paragraph__field_mt_fli_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_title_value";}s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_title_value";s:5:"table";s:29:"paragraph__field_mt_fli_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_title_value";}s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph_revision__field_mt_fli_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_fli_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_fli_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_fli_title";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:36:"field_mt_fli_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_fli_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_fli_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:17859;s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_fli_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_title_value";}s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_fli_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_title_value";}s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_fli_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_title_value";}s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";}}}s:29:"paragraph__field_mt_fli_shape";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_fli_shape";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_fli_shape";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Shape";s:11:"title short";s:5:"Shape";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_fli_shape";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:24:"field_mt_fli_shape_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_fli_shape_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_fli_shape_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Shape";s:5:"@name";s:18:"field_mt_fli_shape";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Shape";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_shape_value";s:5:"table";s:29:"paragraph__field_mt_fli_shape";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_shape_value";}s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_shape_value";s:5:"table";s:29:"paragraph__field_mt_fli_shape";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_shape_value";}s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_shape_value";s:5:"table";s:29:"paragraph__field_mt_fli_shape";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_shape_value";}s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph_revision__field_mt_fli_shape";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_fli_shape";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_fli_shape-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Shape";s:11:"title short";s:5:"Shape";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_fli_shape";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:36:"field_mt_fli_shape-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_fli_shape_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_fli_shape_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18055;s:11:"title short";s:5:"Shape";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_shape_value";s:5:"table";s:38:"paragraph_revision__field_mt_fli_shape";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_shape_value";}s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_shape_value";s:5:"table";s:38:"paragraph_revision__field_mt_fli_shape";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_shape_value";}s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_shape_value";s:5:"table";s:38:"paragraph_revision__field_mt_fli_shape";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_fli_shape_value";}s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";}}}s:28:"paragraph__field_mt_fli_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:28:"paragraph__field_mt_fli_link";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_fli_link";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:21:"field_mt_fli_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:21:"field_mt_fli_link_uri";i:4;s:23:"field_mt_fli_link_title";i:5;s:25:"field_mt_fli_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:21:"field_mt_fli_link_uri";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:17:"field_mt_fli_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_fli_link_uri";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_fli_link_uri";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_fli_link_uri";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_fli_link_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:17:"field_mt_fli_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_fli_link_title";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_fli_link_title";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_fli_link_title";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_fli_link_options";a:6:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:17:"field_mt_fli_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fli_link_options";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fli_link_options";s:5:"table";s:28:"paragraph__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:37:"paragraph_revision__field_mt_fli_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_fli_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:33:"field_mt_fli_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:21:"field_mt_fli_link_uri";i:4;s:23:"field_mt_fli_link_title";i:5;s:25:"field_mt_fli_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:21:"field_mt_fli_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18253;s:11:"title short";r:18260;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_fli_link_uri";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_fli_link_uri";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_fli_link_uri";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";}}s:23:"field_mt_fli_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18326;s:11:"title short";r:18333;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_fli_link_title";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_fli_link_title";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_fli_link_title";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_fli_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18399;s:11:"title short";r:18406;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fli_link_options";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fli_link_options";s:5:"table";s:37:"paragraph_revision__field_mt_fli_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_fli_link_uri";i:7;s:23:"field_mt_fli_link_title";i:8;s:25:"field_mt_fli_link_options";}s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}}}s:29:"paragraph__field_mt_fli_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_fli_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_fli_image";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:28:"field_mt_fli_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_fli_image_target_id";i:4;s:22:"field_mt_fli_image_alt";i:5;s:24:"field_mt_fli_image_title";i:6;s:24:"field_mt_fli_image_width";i:7;s:25:"field_mt_fli_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_fli_image_target_id";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_fli_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_fli_image_target_id";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_fli_image_target_id";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_fli_image_target_id";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_fli_image";}s:10:"\0*\0options";a:0:{}}}}s:22:"field_mt_fli_image_alt";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_fli_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_fli_image_alt";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_fli_image_alt";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_fli_image_alt";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_fli_image_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_fli_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_image_title";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_image_title";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_image_title";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_fli_image_width";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_fli_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_image_width";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_image_width";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_image_width";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_fli_image_height";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_fli_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fli_image_height";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fli_image_height";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_fli_image_height";s:5:"table";s:29:"paragraph__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph_revision__field_mt_fli_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_fli_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:40:"field_mt_fli_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_fli_image_target_id";i:4;s:22:"field_mt_fli_image_alt";i:5;s:24:"field_mt_fli_image_title";i:6;s:24:"field_mt_fli_image_width";i:7;s:25:"field_mt_fli_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_fli_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18719;s:11:"title short";r:18726;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_fli_image_target_id";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_fli_image_target_id";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_fli_image_target_id";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_fli_image";}s:10:"\0*\0options";a:0:{}}}}s:22:"field_mt_fli_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18808;s:11:"title short";r:18815;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_fli_image_alt";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_fli_image_alt";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_fli_image_alt";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_fli_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18887;s:11:"title short";r:18894;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_image_title";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_image_title";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_image_title";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_fli_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:18966;s:11:"title short";r:18973;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_fli_image_width";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_fli_image_width";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_fli_image_width";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_fli_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:19045;s:11:"title short";r:19052;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_fli_image_height";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_fli_image_height";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_fli_image_height";s:5:"table";s:38:"paragraph_revision__field_mt_fli_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fli_image_target_id";i:7;s:22:"field_mt_fli_image_alt";i:8;s:24:"field_mt_fli_image_title";i:9;s:24:"field_mt_fli_image_width";i:10;s:25:"field_mt_fli_image_height";}s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph__field_mt_fli_button_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_fli_button_fa_icon";a:5:{s:5:"group";r:3707;s:5:"title";s:11:"Button Icon";s:11:"title short";s:11:"Button Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:37:"field_mt_fli_button_fa_icon_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_fli_button_fa_icon_icon_name";i:4;s:33:"field_mt_fli_button_fa_icon_style";i:5;s:36:"field_mt_fli_button_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:37:"field_mt_fli_button_fa_icon_icon_name";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Button Icon";s:5:"@name";s:27:"field_mt_fli_button_fa_icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Button Icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_fli_button_fa_icon_icon_name";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_fli_button_fa_icon_icon_name";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_fli_button_fa_icon_icon_name";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:33:"field_mt_fli_button_fa_icon_style";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Button Icon";s:5:"@name";s:27:"field_mt_fli_button_fa_icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Button Icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_fli_button_fa_icon_style";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_fli_button_fa_icon_style";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_fli_button_fa_icon_style";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:36:"field_mt_fli_button_fa_icon_settings";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:11:"Button Icon";s:5:"@name";s:27:"field_mt_fli_button_fa_icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Button Icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_fli_button_fa_icon_settings";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_fli_button_fa_icon_settings";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_fli_button_fa_icon_settings";s:5:"table";s:38:"paragraph__field_mt_fli_button_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:47:"paragraph_revision__field_mt_fli_button_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_fli_button_fa_icon-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Button Icon";s:11:"title short";s:11:"Button Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:49:"field_mt_fli_button_fa_icon-revision_id_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_fli_button_fa_icon_icon_name";i:4;s:33:"field_mt_fli_button_fa_icon_style";i:5;s:36:"field_mt_fli_button_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:37:"field_mt_fli_button_fa_icon_icon_name";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:19575;s:11:"title short";r:19582;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_fli_button_fa_icon_icon_name";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_fli_button_fa_icon_icon_name";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_fli_button_fa_icon_icon_name";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:33:"field_mt_fli_button_fa_icon_style";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:19648;s:11:"title short";r:19655;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_fli_button_fa_icon_style";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_fli_button_fa_icon_style";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_fli_button_fa_icon_style";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:36:"field_mt_fli_button_fa_icon_settings";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:19721;s:11:"title short";r:19728;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_fli_button_fa_icon_settings";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_fli_button_fa_icon_settings";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_fli_button_fa_icon_settings";s:5:"table";s:47:"paragraph_revision__field_mt_fli_button_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fli_button_fa_icon_icon_name";i:7;s:33:"field_mt_fli_button_fa_icon_style";i:8;s:36:"field_mt_fli_button_fa_icon_settings";}s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:31:"paragraph__field_mt_fancy_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:31:"paragraph__field_mt_fancy_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_fancy_title";a:5:{s:5:"group";r:3707;s:5:"title";s:9:"Tab title";s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"paragraph__field_mt_fancy_title";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:26:"field_mt_fancy_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_fancy_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:26:"field_mt_fancy_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Tab title";s:5:"@name";s:20:"field_mt_fancy_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_fancy_title_value";s:5:"table";s:31:"paragraph__field_mt_fancy_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_fancy_title_value";}s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_fancy_title_value";s:5:"table";s:31:"paragraph__field_mt_fancy_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_fancy_title_value";}s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_fancy_title_value";s:5:"table";s:31:"paragraph__field_mt_fancy_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_fancy_title_value";}s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";}}}s:40:"paragraph_revision__field_mt_fancy_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:40:"paragraph_revision__field_mt_fancy_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_fancy_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Tab title";s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"paragraph_revision__field_mt_fancy_title";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:38:"field_mt_fancy_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_fancy_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:26:"field_mt_fancy_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:20069;s:11:"title short";s:9:"Tab title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_fancy_title_value";s:5:"table";s:40:"paragraph_revision__field_mt_fancy_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_fancy_title_value";}s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_fancy_title_value";s:5:"table";s:40:"paragraph_revision__field_mt_fancy_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_fancy_title_value";}s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_fancy_title_value";s:5:"table";s:40:"paragraph_revision__field_mt_fancy_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_fancy_title_value";}s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";}}}s:34:"paragraph__field_mt_fancy_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_fancy_subtitle";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_fancy_subtitle";a:5:{s:5:"group";r:3707;s:5:"title";s:12:"Tab Subtitle";s:11:"title short";s:12:"Tab Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_fancy_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:29:"field_mt_fancy_subtitle_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_fancy_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_fancy_subtitle_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Tab Subtitle";s:5:"@name";s:23:"field_mt_fancy_subtitle";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:12:"Tab Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_fancy_subtitle_value";s:5:"table";s:34:"paragraph__field_mt_fancy_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_fancy_subtitle_value";}s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_fancy_subtitle_value";s:5:"table";s:34:"paragraph__field_mt_fancy_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_fancy_subtitle_value";}s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_fancy_subtitle_value";s:5:"table";s:34:"paragraph__field_mt_fancy_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_fancy_subtitle_value";}s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";}}}s:43:"paragraph_revision__field_mt_fancy_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_fancy_subtitle";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_fancy_subtitle-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Tab Subtitle";s:11:"title short";s:12:"Tab Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_fancy_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:41:"field_mt_fancy_subtitle-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_fancy_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_fancy_subtitle_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:20265;s:11:"title short";s:12:"Tab Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_fancy_subtitle_value";s:5:"table";s:43:"paragraph_revision__field_mt_fancy_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_fancy_subtitle_value";}s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_fancy_subtitle_value";s:5:"table";s:43:"paragraph_revision__field_mt_fancy_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_fancy_subtitle_value";}s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_fancy_subtitle_value";s:5:"table";s:43:"paragraph_revision__field_mt_fancy_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_fancy_subtitle_value";}s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";}}}s:41:"paragraph__field_mt_fancy_block_reference";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:41:"paragraph__field_mt_fancy_block_reference";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_fancy_block_reference";a:5:{s:5:"group";r:3707;s:5:"title";s:15:"Block Reference";s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:41:"paragraph__field_mt_fancy_block_reference";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:40:"field_mt_fancy_block_reference_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:40:"field_mt_fancy_block_reference_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:40:"field_mt_fancy_block_reference_target_id";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Block Reference";s:5:"@name";s:30:"field_mt_fancy_block_reference";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_fancy_block_reference_target_id";s:5:"table";s:41:"paragraph__field_mt_fancy_block_reference";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_fancy_block_reference_target_id";}s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_fancy_block_reference_target_id";s:5:"table";s:41:"paragraph__field_mt_fancy_block_reference";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_fancy_block_reference_target_id";}s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_fancy_block_reference_target_id";s:5:"table";s:41:"paragraph__field_mt_fancy_block_reference";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_fancy_block_reference_target_id";}s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";}}}s:50:"paragraph_revision__field_mt_fancy_block_reference";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:23:"paragraph_r__55757bbefd";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:42:"field_mt_fancy_block_reference-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:15:"Block Reference";s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:23:"paragraph_r__55757bbefd";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:52:"field_mt_fancy_block_reference-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:40:"field_mt_fancy_block_reference_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:40:"field_mt_fancy_block_reference_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:20461;s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:12:"mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_fancy_block_reference_target_id";s:5:"table";s:23:"paragraph_r__55757bbefd";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_fancy_block_reference_target_id";}s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_fancy_block_reference_target_id";s:5:"table";s:23:"paragraph_r__55757bbefd";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_fancy_block_reference_target_id";}s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_fancy_block_reference_target_id";s:5:"table";s:23:"paragraph_r__55757bbefd";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_fancy_block_reference_target_id";}s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";}}}s:36:"paragraph__field_mt_dropdown_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_dropdown_fa_icon";a:5:{s:5:"group";r:3707;s:5:"title";s:21:"Dropdown Trigger Icon";s:11:"title short";s:21:"Dropdown Trigger Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:35:"field_mt_dropdown_fa_icon_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_dropdown_fa_icon_icon_name";i:4;s:31:"field_mt_dropdown_fa_icon_style";i:5;s:34:"field_mt_dropdown_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_dropdown_fa_icon_icon_name";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:21:"Dropdown Trigger Icon";s:5:"@name";s:25:"field_mt_dropdown_fa_icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:21:"Dropdown Trigger Icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_dropdown_fa_icon_icon_name";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_dropdown_fa_icon_icon_name";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_dropdown_fa_icon_icon_name";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:31:"field_mt_dropdown_fa_icon_style";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:21:"Dropdown Trigger Icon";s:5:"@name";s:25:"field_mt_dropdown_fa_icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:21:"Dropdown Trigger Icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_dropdown_fa_icon_style";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_dropdown_fa_icon_style";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_dropdown_fa_icon_style";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:34:"field_mt_dropdown_fa_icon_settings";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:21:"Dropdown Trigger Icon";s:5:"@name";s:25:"field_mt_dropdown_fa_icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:21:"Dropdown Trigger Icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_dropdown_fa_icon_settings";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_dropdown_fa_icon_settings";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_dropdown_fa_icon_settings";s:5:"table";s:36:"paragraph__field_mt_dropdown_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:45:"paragraph_revision__field_mt_dropdown_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_dropdown_fa_icon-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:21:"Dropdown Trigger Icon";s:11:"title short";s:21:"Dropdown Trigger Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:47:"field_mt_dropdown_fa_icon-revision_id_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_dropdown_fa_icon_icon_name";i:4;s:31:"field_mt_dropdown_fa_icon_style";i:5;s:34:"field_mt_dropdown_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_dropdown_fa_icon_icon_name";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:20659;s:11:"title short";r:20666;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_dropdown_fa_icon_icon_name";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_dropdown_fa_icon_icon_name";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_dropdown_fa_icon_icon_name";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:31:"field_mt_dropdown_fa_icon_style";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:20732;s:11:"title short";r:20739;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_dropdown_fa_icon_style";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_dropdown_fa_icon_style";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_dropdown_fa_icon_style";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:34:"field_mt_dropdown_fa_icon_settings";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:20805;s:11:"title short";r:20812;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_dropdown_fa_icon_settings";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_dropdown_fa_icon_settings";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_dropdown_fa_icon_settings";s:5:"table";s:45:"paragraph_revision__field_mt_dropdown_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_dropdown_fa_icon_icon_name";i:7;s:31:"field_mt_dropdown_fa_icon_style";i:8;s:34:"field_mt_dropdown_fa_icon_settings";}s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:34:"paragraph__field_mt_dropdown_block";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_dropdown_block";a:5:{s:5:"group";r:3707;s:5:"title";s:14:"Dropdown Block";s:11:"title short";s:14:"Dropdown Block";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:33:"field_mt_dropdown_block_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_dropdown_block_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_dropdown_block_target_id";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Dropdown Block";s:5:"@name";s:23:"field_mt_dropdown_block";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Dropdown Block";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_dropdown_block_target_id";s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_dropdown_block_target_id";s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_dropdown_block_target_id";s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";}}s:5:"delta";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Dropdown Block";s:5:"@name";s:23:"field_mt_dropdown_block";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:14:"Dropdown Block";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:34:"paragraph__field_mt_dropdown_block";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";}}}s:43:"paragraph_revision__field_mt_dropdown_block";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_dropdown_block-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Dropdown Block";s:11:"title short";s:14:"Dropdown Block";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:45:"field_mt_dropdown_block-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_dropdown_block_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_dropdown_block_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:21153;s:11:"title short";s:14:"Dropdown Block";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_dropdown_block_target_id";s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_dropdown_block_target_id";s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_dropdown_block_target_id";s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";}}s:5:"delta";a:8:{s:5:"group";r:21319;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Dropdown Block";s:5:"@name";s:23:"field_mt_dropdown_block";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:14:"Dropdown Block";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:43:"paragraph_revision__field_mt_dropdown_block";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_dropdown_block_target_id";}s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";}}}s:34:"paragraph__field_mt_collapse_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:34:"paragraph__field_mt_collapse_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_collapse_title";a:5:{s:5:"group";r:3707;s:5:"title";s:14:"Collapse Title";s:11:"title short";s:14:"Collapse Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"paragraph__field_mt_collapse_title";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:29:"field_mt_collapse_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_collapse_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_collapse_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Collapse Title";s:5:"@name";s:23:"field_mt_collapse_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Collapse Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_collapse_title_value";s:5:"table";s:34:"paragraph__field_mt_collapse_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_collapse_title_value";}s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_collapse_title_value";s:5:"table";s:34:"paragraph__field_mt_collapse_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_collapse_title_value";}s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_collapse_title_value";s:5:"table";s:34:"paragraph__field_mt_collapse_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_collapse_title_value";}s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";}}}s:43:"paragraph_revision__field_mt_collapse_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:43:"paragraph_revision__field_mt_collapse_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_collapse_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Collapse Title";s:11:"title short";s:14:"Collapse Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"paragraph_revision__field_mt_collapse_title";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:41:"field_mt_collapse_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_collapse_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_collapse_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:21483;s:11:"title short";s:14:"Collapse Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_collapse_title_value";s:5:"table";s:43:"paragraph_revision__field_mt_collapse_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_collapse_title_value";}s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_collapse_title_value";s:5:"table";s:43:"paragraph_revision__field_mt_collapse_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_collapse_title_value";}s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_collapse_title_value";s:5:"table";s:43:"paragraph_revision__field_mt_collapse_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_collapse_title_value";}s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";}}}s:33:"paragraph__field_mt_collapse_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:22:"field_mt_collapse_body";a:5:{s:5:"group";r:3707;s:5:"title";s:13:"Collapse Body";s:11:"title short";s:13:"Collapse Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:28:"field_mt_collapse_body_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_collapse_body_value";i:4;s:29:"field_mt_collapse_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_collapse_body_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Collapse Body";s:5:"@name";s:22:"field_mt_collapse_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:13:"Collapse Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_collapse_body_value";s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_collapse_body_value";s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_collapse_body_value";s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_collapse_body_format";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:13:"Collapse Body";s:5:"@name";s:22:"field_mt_collapse_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Collapse Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_collapse_body_format";s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_collapse_body_format";s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_collapse_body_format";s:5:"table";s:33:"paragraph__field_mt_collapse_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";}}}s:42:"paragraph_revision__field_mt_collapse_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:34:"field_mt_collapse_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:13:"Collapse Body";s:11:"title short";s:13:"Collapse Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:40:"field_mt_collapse_body-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_collapse_body_value";i:4;s:29:"field_mt_collapse_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_collapse_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:21680;s:11:"title short";s:13:"Collapse Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_collapse_body_value";s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_collapse_body_value";s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_collapse_body_value";s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_collapse_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:21744;s:11:"title short";r:21751;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_collapse";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_collapse_body_format";s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_collapse_body_format";s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_collapse_body_format";s:5:"table";s:42:"paragraph_revision__field_mt_collapse_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_collapse_body_value";i:7;s:29:"field_mt_collapse_body_format";}s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";}}}s:29:"paragraph__field_mt_adf_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_adf_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_adf_title";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_adf_title";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:24:"field_mt_adf_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_adf_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_adf_title_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Title";s:5:"@name";s:18:"field_mt_adf_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_title_value";s:5:"table";s:29:"paragraph__field_mt_adf_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_adf_title_value";}s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_title_value";s:5:"table";s:29:"paragraph__field_mt_adf_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_adf_title_value";}s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_title_value";s:5:"table";s:29:"paragraph__field_mt_adf_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_adf_title_value";}s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph_revision__field_mt_adf_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_adf_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_adf_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Title";s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_adf_title";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:36:"field_mt_adf_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_adf_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_adf_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:22016;s:11:"title short";s:5:"Title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_adf_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_adf_title_value";}s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_adf_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_adf_title_value";}s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_title_value";s:5:"table";s:38:"paragraph_revision__field_mt_adf_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_adf_title_value";}s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";}}}s:29:"paragraph__field_mt_adf_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:29:"paragraph__field_mt_adf_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_adf_image";a:5:{s:5:"group";r:3707;s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:28:"field_mt_adf_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_adf_image_target_id";i:4;s:22:"field_mt_adf_image_alt";i:5;s:24:"field_mt_adf_image_title";i:6;s:24:"field_mt_adf_image_width";i:7;s:25:"field_mt_adf_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_adf_image_target_id";a:8:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_adf_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_adf_image_target_id";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_adf_image_target_id";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_adf_image_target_id";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_adf_image";}s:10:"\0*\0options";a:0:{}}}}s:22:"field_mt_adf_image_alt";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_adf_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_adf_image_alt";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_adf_image_alt";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_adf_image_alt";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_adf_image_title";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_adf_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_image_title";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_image_title";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_image_title";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_adf_image_width";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_adf_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_image_width";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_image_width";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_image_width";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_adf_image_height";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Image";s:5:"@name";s:18:"field_mt_adf_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_adf_image_height";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_adf_image_height";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_adf_image_height";s:5:"table";s:29:"paragraph__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}}s:38:"paragraph_revision__field_mt_adf_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_adf_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Image";s:11:"title short";s:5:"Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:40:"field_mt_adf_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_adf_image_target_id";i:4;s:22:"field_mt_adf_image_alt";i:5;s:24:"field_mt_adf_image_title";i:6;s:24:"field_mt_adf_image_width";i:7;s:25:"field_mt_adf_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_adf_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:22216;s:11:"title short";r:22223;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_adf_image_target_id";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_adf_image_target_id";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_adf_image_target_id";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_adf_image";}s:10:"\0*\0options";a:0:{}}}}s:22:"field_mt_adf_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:22305;s:11:"title short";r:22312;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_adf_image_alt";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_adf_image_alt";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_adf_image_alt";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_adf_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:22384;s:11:"title short";r:22391;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_image_title";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_image_title";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_image_title";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_adf_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:22463;s:11:"title short";r:22470;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_image_width";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_image_width";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_image_width";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}s:25:"field_mt_adf_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:22542;s:11:"title short";r:22549;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_adf_image_height";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_adf_image_height";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_adf_image_height";s:5:"table";s:38:"paragraph_revision__field_mt_adf_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_adf_image_target_id";i:7;s:22:"field_mt_adf_image_alt";i:8;s:24:"field_mt_adf_image_title";i:9;s:24:"field_mt_adf_image_width";i:10;s:25:"field_mt_adf_image_height";}s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";}}}s:31:"paragraph__field_mt_adf_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_adf_fa_icon";a:5:{s:5:"group";r:3707;s:5:"title";s:17:"Font Awesome Icon";s:11:"title short";s:17:"Font Awesome Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:30:"field_mt_adf_fa_icon_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_adf_fa_icon_icon_name";i:4;s:26:"field_mt_adf_fa_icon_style";i:5;s:29:"field_mt_adf_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:30:"field_mt_adf_fa_icon_icon_name";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Font Awesome Icon";s:5:"@name";s:20:"field_mt_adf_fa_icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Font Awesome Icon";s:7:"@column";s:9:"icon_name";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_adf_fa_icon_icon_name";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_adf_fa_icon_icon_name";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_adf_fa_icon_icon_name";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_adf_fa_icon_style";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Font Awesome Icon";s:5:"@name";s:20:"field_mt_adf_fa_icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Font Awesome Icon";s:7:"@column";s:5:"style";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_adf_fa_icon_style";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_adf_fa_icon_style";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_adf_fa_icon_style";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_adf_fa_icon_settings";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Font Awesome Icon";s:5:"@name";s:20:"field_mt_adf_fa_icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Font Awesome Icon";s:7:"@column";s:8:"settings";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_adf_fa_icon_settings";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_adf_fa_icon_settings";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_adf_fa_icon_settings";s:5:"table";s:31:"paragraph__field_mt_adf_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:40:"paragraph_revision__field_mt_adf_fa_icon";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_adf_fa_icon-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:17:"Font Awesome Icon";s:11:"title short";s:17:"Font Awesome Icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:42:"field_mt_adf_fa_icon-revision_id_icon_name";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_adf_fa_icon_icon_name";i:4;s:26:"field_mt_adf_fa_icon_style";i:5;s:29:"field_mt_adf_fa_icon_settings";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_adf_fa_icon_icon_name";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:23072;s:11:"title short";r:23079;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_adf_fa_icon_icon_name";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_adf_fa_icon_icon_name";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_adf_fa_icon_icon_name";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:26:"field_mt_adf_fa_icon_style";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:23145;s:11:"title short";r:23152;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_adf_fa_icon_style";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_adf_fa_icon_style";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_adf_fa_icon_style";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";}}s:29:"field_mt_adf_fa_icon_settings";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:23218;s:11:"title short";r:23225;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_adf_fa_icon_settings";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_adf_fa_icon_settings";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_adf_fa_icon_settings";s:5:"table";s:40:"paragraph_revision__field_mt_adf_fa_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_adf_fa_icon_icon_name";i:7;s:26:"field_mt_adf_fa_icon_style";i:8;s:29:"field_mt_adf_fa_icon_settings";}s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";}}}s:28:"paragraph__field_mt_adf_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:4:{s:5:"table";s:28:"paragraph__field_mt_adf_body";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_adf_body";a:5:{s:5:"group";r:3707;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:28:"paragraph__field_mt_adf_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:23:"field_mt_adf_body_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_adf_body_value";i:4;s:24:"field_mt_adf_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_adf_body_value";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_adf_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_adf_body_value";s:5:"table";s:28:"paragraph__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_adf_body_value";s:5:"table";s:28:"paragraph__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_adf_body_value";s:5:"table";s:28:"paragraph__field_mt_adf_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_adf_body_format";a:7:{s:5:"group";r:3707;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_adf_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_body_format";s:5:"table";s:28:"paragraph__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_body_format";s:5:"table";s:28:"paragraph__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_body_format";s:5:"table";s:28:"paragraph__field_mt_adf_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";}}}s:37:"paragraph_revision__field_mt_adf_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:35:"paragraphs_item_revision_field_data";a:4:{s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_adf_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:10:"real field";s:35:"field_mt_adf_body-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_adf_body_value";i:4;s:24:"field_mt_adf_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_adf_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:23567;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_adf_body_value";s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_adf_body_value";s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_adf_body_value";s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";}}s:24:"field_mt_adf_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:23631;s:11:"title short";r:23638;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:21:"mt_additional_feature";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_adf_body_format";s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_adf_body_format";s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_adf_body_format";s:5:"table";s:37:"paragraph_revision__field_mt_adf_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_adf_body_value";i:7;s:24:"field_mt_adf_body_format";}s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";}}}s:16:"node__field_tags";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:16:"node__field_tags";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:10:"field_tags";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Tags";s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:16:"node__field_tags";s:2:"id";s:5:"field";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:20:"field_tags_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:20:"field_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:20:"field_tags_target_id";}}s:20:"field_tags_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:16:"node__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:16:"node__field_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:16:"node__field_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:16:"node__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:16:"node__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:16:"node__field_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";}}}s:25:"node_revision__field_tags";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:25:"node_revision__field_tags";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:22:"field_tags-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Tags";s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:25:"node_revision__field_tags";s:2:"id";s:5:"field";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:32:"field_tags-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:20:"field_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:20:"field_tags_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:23933;s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:25:"node_revision__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:25:"node_revision__field_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:25:"node_revision__field_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:24102;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:25:"node_revision__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:25:"node_revision__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:25:"node_revision__field_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";}}s:10:"field_tags";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:20:"field_tags_target_id";}}}s:24:"taxonomy_term_field_data";a:35:{s:25:"reverse__node__field_tags";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"@field_name";s:10:"field_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:10:"field_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:10:"field_tags";s:11:"field table";s:16:"node__field_tags";s:11:"field field";s:20:"field_tags_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse__node__field_mt_srv_service_tags";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:25:"field_mt_srv_service_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:25:"field_mt_srv_service_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"field table";s:31:"node__field_mt_srv_service_tags";s:11:"field field";s:35:"field_mt_srv_service_tags_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse__node__field_mt_spk_affiliations";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:25:"field_mt_spk_affiliations";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:25:"field_mt_spk_affiliations";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"field table";s:31:"node__field_mt_spk_affiliations";s:11:"field field";s:35:"field_mt_spk_affiliations_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:34:"reverse__node__field_mt_prs_topics";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:19:"field_mt_prs_topics";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:19:"field_mt_prs_topics";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"field table";s:25:"node__field_mt_prs_topics";s:11:"field field";s:29:"field_mt_prs_topics_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__node__field_mt_prs_session";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:20:"field_mt_prs_session";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_prs_session";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:20:"field_mt_prs_session";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"field table";s:26:"node__field_mt_prs_session";s:11:"field field";s:30:"field_mt_prs_session_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:36:"reverse__node__field_mt_prs_category";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:21:"field_mt_prs_category";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_prs_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:21:"field_mt_prs_category";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"field table";s:27:"node__field_mt_prs_category";s:11:"field field";s:31:"field_mt_prs_category_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:36:"reverse__node__field_mt_prg_category";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:21:"field_mt_prg_category";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_prg_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:21:"field_mt_prg_category";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:21:"field_mt_prg_category";s:11:"field table";s:27:"node__field_mt_prg_category";s:11:"field field";s:31:"field_mt_prg_category_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:32:"reverse__node__field_mt_prd_tags";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:17:"field_mt_prd_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:17:"field_mt_prd_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"field table";s:23:"node__field_mt_prd_tags";s:11:"field field";s:27:"field_mt_prd_tags_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:38:"reverse__node__field_mt_prd_categories";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:23:"field_mt_prd_categories";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:23:"field_mt_prd_categories";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"field table";s:29:"node__field_mt_prd_categories";s:11:"field field";s:33:"field_mt_prd_categories_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:42:"reverse__node__field_mt_evn_event_category";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:27:"field_mt_evn_event_category";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:27:"field_mt_evn_event_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:27:"field_mt_evn_event_category";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"field table";s:33:"node__field_mt_evn_event_category";s:11:"field field";s:37:"field_mt_evn_event_category_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:32:"reverse__node__field_mt_alb_tags";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:17:"field_mt_alb_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:17:"field_mt_alb_tags";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"field table";s:23:"node__field_mt_alb_tags";s:11:"field field";s:27:"field_mt_alb_tags_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:25:"reverse__font__field_tags";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:10:"field_tags";s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:10:"field_tags";s:7:"@entity";r:24638;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:17:"fontyourface_font";s:11:"entity_type";s:4:"font";s:10:"base field";s:3:"fid";s:10:"field_name";s:10:"field_tags";s:11:"field table";s:16:"font__field_tags";s:11:"field field";s:20:"field_tags_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse__font__field_supported_languages";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:25:"field_supported_languages";s:7:"@entity";r:24638;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_supported_languages";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:25:"field_supported_languages";s:7:"@entity";r:24638;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:17:"fontyourface_font";s:11:"entity_type";s:4:"font";s:10:"base field";s:3:"fid";s:10:"field_name";s:25:"field_supported_languages";s:11:"field table";s:31:"font__field_supported_languages";s:11:"field field";s:35:"field_supported_languages_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__font__field_classification";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:20:"field_classification";s:7:"@entity";r:24638;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_classification";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:24259;s:11:"@field_name";s:20:"field_classification";s:7:"@entity";r:24638;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:17:"fontyourface_font";s:11:"entity_type";s:4:"font";s:10:"base field";s:3:"fid";s:10:"field_name";s:20:"field_classification";s:11:"field table";s:26:"font__field_classification";s:11:"field field";s:30:"field_classification_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:5:"table";a:7:{s:4:"base";a:6:{s:5:"field";s:3:"tid";s:5:"title";r:1130;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:20:"taxonomy_term_access";s:8:"defaults";a:2:{s:5:"field";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Taxonomy terms are attached to nodes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:5:"group";r:1130;s:8:"provider";s:8:"taxonomy";s:15:"entity revision";b:0;s:11:"entity type";s:13:"taxonomy_term";s:9:"wizard_id";s:13:"taxonomy_term";s:4:"join";a:1:{s:14:"taxonomy_index";a:2:{s:5:"field";s:3:"tid";s:10:"left_field";s:3:"tid";}}}s:3:"tid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The tid of a taxonomy term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:3:{s:2:"id";s:8:"taxonomy";s:10:"name field";s:4:"name";s:12:"zero is null";b:1;}s:6:"filter";a:5:{s:2:"id";s:18:"taxonomy_index_tid";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:56:"Taxonomy term chosen from autocomplete or select widget.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"hierarchy table";s:21:"taxonomy_term__parent";s:7:"numeric";b:1;}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"tid";}s:11:"revision_id";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"revision_id";}s:3:"vid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Filter the results of "Taxonomy: Term" to a particular vocabulary.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"The vocabulary name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:8:"argument";a:1:{s:2:"id";s:14:"vocabulary_vid";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:12:"entity field";s:3:"vid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The term language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:4:"name";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:9:"term_name";}s:8:"argument";a:3:{s:2:"id";s:6:"string";s:11:"many to one";b:1;s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Uncategorized";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"name";}s:18:"description__value";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:3:{s:2:"id";s:5:"field";s:6:"format";s:19:"description__format";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"description";}s:19:"description__format";a:6:{s:5:"title";s:20:"Description (format)";s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"description";}s:6:"weight";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The weight of this term in relation to other terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"weight";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The date the term was last updated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:16:"default_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}s:7:"tid_raw";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The tid of a taxonomy term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"tid";s:6:"filter";a:2:{s:2:"id";s:7:"numeric";s:11:"allow empty";b:1;}}s:18:"tid_representative";a:1:{s:12:"relationship";a:11:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Representative node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Representative node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:89:"Obtains a single representative node for each term, according to a chosen sort criterion.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:13:"groupwise_max";s:18:"relationship field";s:3:"tid";s:11:"outer field";s:28:"taxonomy_term_field_data.tid";s:14:"argument table";s:24:"taxonomy_term_field_data";s:14:"argument field";s:3:"tid";s:4:"base";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:29:"node_field_data:term_node_tid";}}s:16:"changed_fulldate";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:13:"date_fulldate";}}s:18:"changed_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Updated year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:15:"date_year_month";}}s:12:"changed_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_year";}}s:13:"changed_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Updated month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:10:"date_month";}}s:11:"changed_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Updated day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:8:"date_day";}}s:12:"changed_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_week";}}}s:20:"node__field_mt_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:20:"node__field_mt_video";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:14:"field_mt_video";a:5:{s:5:"group";r:23882;s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:20:"node__field_mt_video";s:2:"id";s:5:"field";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:20:"field_mt_video_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:20:"field_mt_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:20:"field_mt_video_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:14:"field_mt_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:20:"field_mt_video_value";s:5:"table";s:20:"node__field_mt_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:20:"field_mt_video_value";s:5:"table";s:20:"node__field_mt_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:20:"field_mt_video_value";s:5:"table";s:20:"node__field_mt_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:14:"field_mt_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:20:"node__field_mt_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:20:"node__field_mt_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:20:"node__field_mt_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";}}}s:29:"node_revision__field_mt_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:29:"node_revision__field_mt_video";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_video-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:29:"node_revision__field_mt_video";s:2:"id";s:5:"field";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:32:"field_mt_video-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:20:"field_mt_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:20:"field_mt_video_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:25120;s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:20:"field_mt_video_value";s:5:"table";s:29:"node_revision__field_mt_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:20:"field_mt_video_value";s:5:"table";s:29:"node_revision__field_mt_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:20:"field_mt_video_value";s:5:"table";s:29:"node_revision__field_mt_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:25289;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:14:"field_mt_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:29:"node_revision__field_mt_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:29:"node_revision__field_mt_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:29:"node_revision__field_mt_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_mt_video_value";}s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";}}}s:35:"node__field_mt_tst_testimonial_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_tst_testimonial_link";a:5:{s:5:"group";r:23882;s:5:"title";s:16:"Testimonial Link";s:11:"title short";s:16:"Testimonial Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:10:"real field";s:33:"field_mt_tst_testimonial_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_tst_testimonial_link_uri";i:4;s:35:"field_mt_tst_testimonial_link_title";i:5;s:37:"field_mt_tst_testimonial_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:33:"field_mt_tst_testimonial_link_uri";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Testimonial Link";s:5:"@name";s:29:"field_mt_tst_testimonial_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Testimonial Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_tst_testimonial_link_uri";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_tst_testimonial_link_uri";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_tst_testimonial_link_uri";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_tst_testimonial_link_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Testimonial Link";s:5:"@name";s:29:"field_mt_tst_testimonial_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Testimonial Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tst_testimonial_link_title";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tst_testimonial_link_title";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tst_testimonial_link_title";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";}}s:37:"field_mt_tst_testimonial_link_options";a:6:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Testimonial Link";s:5:"@name";s:29:"field_mt_tst_testimonial_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Testimonial Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_link_options";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_link_options";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}}}s:44:"node_revision__field_mt_tst_testimonial_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_tst_testimonial_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"Testimonial Link";s:11:"title short";s:16:"Testimonial Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:10:"real field";s:45:"field_mt_tst_testimonial_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_tst_testimonial_link_uri";i:4;s:35:"field_mt_tst_testimonial_link_title";i:5;s:37:"field_mt_tst_testimonial_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_tst_testimonial_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:25455;s:11:"title short";r:25462;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_tst_testimonial_link_uri";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_tst_testimonial_link_uri";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_tst_testimonial_link_uri";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_tst_testimonial_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:25528;s:11:"title short";r:25535;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tst_testimonial_link_title";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tst_testimonial_link_title";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tst_testimonial_link_title";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";}}s:37:"field_mt_tst_testimonial_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:25601;s:11:"title short";r:25608;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_link_options";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_link_options";s:5:"table";s:44:"node_revision__field_mt_tst_testimonial_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_tst_testimonial_link_uri";i:7;s:35:"field_mt_tst_testimonial_link_title";i:8;s:37:"field_mt_tst_testimonial_link_options";}s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}}}s:36:"node__field_mt_tst_testimonial_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_tst_testimonial_image";a:5:{s:5:"group";r:23882;s:5:"title";s:17:"Testimonial Image";s:11:"title short";s:17:"Testimonial Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_tst_testimonial_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:40:"field_mt_tst_testimonial_image_target_id";i:4;s:34:"field_mt_tst_testimonial_image_alt";i:5;s:36:"field_mt_tst_testimonial_image_title";i:6;s:36:"field_mt_tst_testimonial_image_width";i:7;s:37:"field_mt_tst_testimonial_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:40:"field_mt_tst_testimonial_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Testimonial Image";s:5:"@name";s:30:"field_mt_tst_testimonial_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Testimonial Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_tst_testimonial_image_target_id";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_tst_testimonial_image_target_id";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_tst_testimonial_image_target_id";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_tst_testimonial_image";}s:10:"\0*\0options";a:0:{}}}}s:34:"field_mt_tst_testimonial_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Testimonial Image";s:5:"@name";s:30:"field_mt_tst_testimonial_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Testimonial Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tst_testimonial_image_alt";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tst_testimonial_image_alt";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tst_testimonial_image_alt";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}s:36:"field_mt_tst_testimonial_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Testimonial Image";s:5:"@name";s:30:"field_mt_tst_testimonial_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Testimonial Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_title";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_title";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tst_testimonial_image_title";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}s:36:"field_mt_tst_testimonial_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Testimonial Image";s:5:"@name";s:30:"field_mt_tst_testimonial_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Testimonial Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_width";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_width";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tst_testimonial_image_width";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}s:37:"field_mt_tst_testimonial_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:17:"Testimonial Image";s:5:"@name";s:30:"field_mt_tst_testimonial_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:17:"Testimonial Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_image_height";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_image_height";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_tst_testimonial_image_height";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}}s:45:"node_revision__field_mt_tst_testimonial_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:42:"field_mt_tst_testimonial_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:17:"Testimonial Image";s:11:"title short";s:17:"Testimonial Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:52:"field_mt_tst_testimonial_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:40:"field_mt_tst_testimonial_image_target_id";i:4;s:34:"field_mt_tst_testimonial_image_alt";i:5;s:36:"field_mt_tst_testimonial_image_title";i:6;s:36:"field_mt_tst_testimonial_image_width";i:7;s:37:"field_mt_tst_testimonial_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:40:"field_mt_tst_testimonial_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:25921;s:11:"title short";r:25928;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_tst_testimonial_image_target_id";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_tst_testimonial_image_target_id";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_tst_testimonial_image_target_id";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_tst_testimonial_image";}s:10:"\0*\0options";a:0:{}}}}s:34:"field_mt_tst_testimonial_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:26010;s:11:"title short";r:26017;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tst_testimonial_image_alt";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tst_testimonial_image_alt";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tst_testimonial_image_alt";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}s:36:"field_mt_tst_testimonial_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:26089;s:11:"title short";r:26096;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_title";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_title";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tst_testimonial_image_title";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}s:36:"field_mt_tst_testimonial_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:26168;s:11:"title short";r:26175;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_width";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tst_testimonial_image_width";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tst_testimonial_image_width";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}s:37:"field_mt_tst_testimonial_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:26247;s:11:"title short";r:26254;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_image_height";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_tst_testimonial_image_height";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_tst_testimonial_image_height";s:5:"table";s:45:"node_revision__field_mt_tst_testimonial_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:40:"field_mt_tst_testimonial_image_target_id";i:7;s:34:"field_mt_tst_testimonial_image_alt";i:8;s:36:"field_mt_tst_testimonial_image_title";i:9;s:36:"field_mt_tst_testimonial_image_width";i:10;s:37:"field_mt_tst_testimonial_image_height";}s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";}}}s:27:"node__field_mt_tst_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_tst_subtitle";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_tst_subtitle";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Subtitle";s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_tst_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_tst_subtitle_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_tst_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_tst_subtitle_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Subtitle";s:5:"@name";s:21:"field_mt_tst_subtitle";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_tst_subtitle_value";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tst_subtitle_value";}s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_tst_subtitle_value";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tst_subtitle_value";}s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_tst_subtitle_value";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tst_subtitle_value";}s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_tst_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_tst_subtitle";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_tst_subtitle-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Subtitle";s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_tst_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_tst_subtitle-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_tst_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_tst_subtitle_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:26775;s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_tst_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_tst_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tst_subtitle_value";}s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_tst_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_tst_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tst_subtitle_value";}s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_tst_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_tst_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tst_subtitle_value";}s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_tst_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_tst_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_tst_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_tst_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_tst_body_value";i:4;s:25:"field_mt_tst_body_summary";i:5;s:24:"field_mt_tst_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_tst_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_tst_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_tst_body_value";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_tst_body_value";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_tst_body_value";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_tst_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_tst_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_tst_body_summary";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_tst_body_summary";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_tst_body_summary";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_tst_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_tst_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_tst_body_format";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_tst_body_format";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_tst_body_format";s:5:"table";s:23:"node__field_mt_tst_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_tst_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_tst_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_tst_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_tst_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_tst_body_value";i:4;s:25:"field_mt_tst_body_summary";i:5;s:24:"field_mt_tst_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_tst_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:26973;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_tst_body_value";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_tst_body_value";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_tst_body_value";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_tst_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:27040;s:11:"title short";r:27047;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_tst_body_summary";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_tst_body_summary";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_tst_body_summary";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_tst_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:27113;s:11:"title short";r:27120;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_testimonial";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_tst_body_format";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_tst_body_format";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_tst_body_format";s:5:"table";s:32:"node_revision__field_mt_tst_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tst_body_value";i:7;s:25:"field_mt_tst_body_summary";i:8;s:24:"field_mt_tst_body_format";}s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";}}}s:34:"node__field_mt_tmm_youtube_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_tmm_youtube_account";a:5:{s:5:"group";r:23882;s:5:"title";s:7:"YouTube";s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:34:"field_mt_tmm_youtube_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_tmm_youtube_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_tmm_youtube_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"YouTube";s:5:"@name";s:28:"field_mt_tmm_youtube_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tmm_youtube_account_value";s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_youtube_account_value";}s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tmm_youtube_account_value";s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_youtube_account_value";}s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tmm_youtube_account_value";s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_youtube_account_value";}s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";}}}s:43:"node_revision__field_mt_tmm_youtube_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:43:"node_revision__field_mt_tmm_youtube_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_tmm_youtube_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"YouTube";s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"node_revision__field_mt_tmm_youtube_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:46:"field_mt_tmm_youtube_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_tmm_youtube_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_tmm_youtube_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:27461;s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tmm_youtube_account_value";s:5:"table";s:43:"node_revision__field_mt_tmm_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_youtube_account_value";}s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tmm_youtube_account_value";s:5:"table";s:43:"node_revision__field_mt_tmm_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_youtube_account_value";}s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tmm_youtube_account_value";s:5:"table";s:43:"node_revision__field_mt_tmm_youtube_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_youtube_account_value";}s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";}}}s:34:"node__field_mt_tmm_twitter_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_tmm_twitter_account";a:5:{s:5:"group";r:23882;s:5:"title";s:7:"Twitter";s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:34:"field_mt_tmm_twitter_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_tmm_twitter_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_tmm_twitter_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Twitter";s:5:"@name";s:28:"field_mt_tmm_twitter_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tmm_twitter_account_value";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_twitter_account_value";}s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tmm_twitter_account_value";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_twitter_account_value";}s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tmm_twitter_account_value";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_twitter_account_value";}s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";}}}s:43:"node_revision__field_mt_tmm_twitter_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:43:"node_revision__field_mt_tmm_twitter_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_tmm_twitter_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Twitter";s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"node_revision__field_mt_tmm_twitter_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:46:"field_mt_tmm_twitter_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_tmm_twitter_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_tmm_twitter_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:27657;s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tmm_twitter_account_value";s:5:"table";s:43:"node_revision__field_mt_tmm_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_twitter_account_value";}s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tmm_twitter_account_value";s:5:"table";s:43:"node_revision__field_mt_tmm_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_twitter_account_value";}s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tmm_twitter_account_value";s:5:"table";s:43:"node_revision__field_mt_tmm_twitter_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tmm_twitter_account_value";}s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";}}}s:27:"node__field_mt_tmm_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_tmm_subtitle";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Subtitle";s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_tmm_subtitle_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_tmm_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_tmm_subtitle_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Subtitle";s:5:"@name";s:21:"field_mt_tmm_subtitle";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_tmm_subtitle_value";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tmm_subtitle_value";}s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_tmm_subtitle_value";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tmm_subtitle_value";}s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_tmm_subtitle_value";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tmm_subtitle_value";}s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_tmm_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_tmm_subtitle";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_tmm_subtitle-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Subtitle";s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_tmm_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_tmm_subtitle-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_tmm_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_tmm_subtitle_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:27853;s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_tmm_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_tmm_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tmm_subtitle_value";}s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_tmm_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_tmm_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tmm_subtitle_value";}s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_tmm_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_tmm_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_tmm_subtitle_value";}s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_tmm_member_photo";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_tmm_member_photo";a:5:{s:5:"group";r:23882;s:5:"title";s:12:"Member Photo";s:11:"title short";s:12:"Member Photo";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_tmm_member_photo_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_tmm_member_photo_target_id";i:4;s:29:"field_mt_tmm_member_photo_alt";i:5;s:31:"field_mt_tmm_member_photo_title";i:6;s:31:"field_mt_tmm_member_photo_width";i:7;s:32:"field_mt_tmm_member_photo_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_tmm_member_photo_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Member Photo";s:5:"@name";s:25:"field_mt_tmm_member_photo";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Member Photo";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tmm_member_photo_target_id";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tmm_member_photo_target_id";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tmm_member_photo_target_id";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_tmm_member_photo";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_tmm_member_photo_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Member Photo";s:5:"@name";s:25:"field_mt_tmm_member_photo";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Member Photo";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_tmm_member_photo_alt";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_tmm_member_photo_alt";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_tmm_member_photo_alt";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_tmm_member_photo_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Member Photo";s:5:"@name";s:25:"field_mt_tmm_member_photo";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Member Photo";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_title";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_title";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_tmm_member_photo_title";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_tmm_member_photo_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Member Photo";s:5:"@name";s:25:"field_mt_tmm_member_photo";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Member Photo";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_width";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_width";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_tmm_member_photo_width";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_tmm_member_photo_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Member Photo";s:5:"@name";s:25:"field_mt_tmm_member_photo";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Member Photo";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_tmm_member_photo_height";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_tmm_member_photo_height";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_tmm_member_photo_height";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_tmm_member_photo";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_tmm_member_photo-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Member Photo";s:11:"title short";s:12:"Member Photo";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_tmm_member_photo-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_tmm_member_photo_target_id";i:4;s:29:"field_mt_tmm_member_photo_alt";i:5;s:31:"field_mt_tmm_member_photo_title";i:6;s:31:"field_mt_tmm_member_photo_width";i:7;s:32:"field_mt_tmm_member_photo_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_tmm_member_photo_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:28053;s:11:"title short";r:28060;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tmm_member_photo_target_id";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tmm_member_photo_target_id";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tmm_member_photo_target_id";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_tmm_member_photo";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_tmm_member_photo_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:28142;s:11:"title short";r:28149;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_tmm_member_photo_alt";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_tmm_member_photo_alt";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_tmm_member_photo_alt";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_tmm_member_photo_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:28221;s:11:"title short";r:28228;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_title";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_title";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_tmm_member_photo_title";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_tmm_member_photo_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:28300;s:11:"title short";r:28307;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_width";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_tmm_member_photo_width";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_tmm_member_photo_width";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_tmm_member_photo_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:28379;s:11:"title short";r:28386;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_tmm_member_photo_height";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_tmm_member_photo_height";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_tmm_member_photo_height";s:5:"table";s:40:"node_revision__field_mt_tmm_member_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_member_photo_target_id";i:7;s:29:"field_mt_tmm_member_photo_alt";i:8;s:31:"field_mt_tmm_member_photo_title";i:9;s:31:"field_mt_tmm_member_photo_width";i:10;s:32:"field_mt_tmm_member_photo_height";}s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";}}}s:35:"node__field_mt_tmm_linkedin_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_tmm_linkedin_account";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Linkedin";s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_tmm_linkedin_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_tmm_linkedin_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_tmm_linkedin_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Linkedin";s:5:"@name";s:29:"field_mt_tmm_linkedin_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tmm_linkedin_account_value";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tmm_linkedin_account_value";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tmm_linkedin_account_value";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";}}}s:44:"node_revision__field_mt_tmm_linkedin_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:44:"node_revision__field_mt_tmm_linkedin_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_tmm_linkedin_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Linkedin";s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"node_revision__field_mt_tmm_linkedin_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_tmm_linkedin_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_tmm_linkedin_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_tmm_linkedin_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:28907;s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tmm_linkedin_account_value";s:5:"table";s:44:"node_revision__field_mt_tmm_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tmm_linkedin_account_value";s:5:"table";s:44:"node_revision__field_mt_tmm_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tmm_linkedin_account_value";s:5:"table";s:44:"node_revision__field_mt_tmm_linkedin_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";}}}s:35:"node__field_mt_tmm_facebook_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_tmm_facebook_account";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Facebook";s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_tmm_facebook_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_tmm_facebook_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_tmm_facebook_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Facebook";s:5:"@name";s:29:"field_mt_tmm_facebook_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tmm_facebook_account_value";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_facebook_account_value";}s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tmm_facebook_account_value";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_facebook_account_value";}s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tmm_facebook_account_value";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_facebook_account_value";}s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";}}}s:44:"node_revision__field_mt_tmm_facebook_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:44:"node_revision__field_mt_tmm_facebook_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_tmm_facebook_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Facebook";s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"node_revision__field_mt_tmm_facebook_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_tmm_facebook_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_tmm_facebook_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_tmm_facebook_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:29103;s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_tmm_facebook_account_value";s:5:"table";s:44:"node_revision__field_mt_tmm_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_facebook_account_value";}s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_tmm_facebook_account_value";s:5:"table";s:44:"node_revision__field_mt_tmm_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_facebook_account_value";}s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_tmm_facebook_account_value";s:5:"table";s:44:"node_revision__field_mt_tmm_facebook_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_tmm_facebook_account_value";}s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_tmm_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_tmm_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_tmm_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_tmm_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_tmm_body_value";i:4;s:25:"field_mt_tmm_body_summary";i:5;s:24:"field_mt_tmm_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_tmm_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_tmm_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_tmm_body_value";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_tmm_body_value";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_tmm_body_value";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_tmm_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_tmm_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_tmm_body_summary";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_tmm_body_summary";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_tmm_body_summary";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_tmm_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_tmm_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_tmm_body_format";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_tmm_body_format";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_tmm_body_format";s:5:"table";s:23:"node__field_mt_tmm_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_tmm_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_tmm_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_tmm_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_tmm_body_value";i:4;s:25:"field_mt_tmm_body_summary";i:5;s:24:"field_mt_tmm_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_tmm_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:29301;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_tmm_body_value";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_tmm_body_value";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_tmm_body_value";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_tmm_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:29368;s:11:"title short";r:29375;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_tmm_body_summary";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_tmm_body_summary";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_tmm_body_summary";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_tmm_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:29441;s:11:"title short";r:29448;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_team_member";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_tmm_body_format";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_tmm_body_format";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_tmm_body_format";s:5:"table";s:32:"node_revision__field_mt_tmm_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_tmm_body_value";i:7;s:25:"field_mt_tmm_body_summary";i:8;s:24:"field_mt_tmm_body_format";}s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";}}}s:29:"node__field_mt_subheader_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:29:"node__field_mt_subheader_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_subheader_body";a:5:{s:5:"group";r:23882;s:5:"title";s:14:"Subheader body";s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:29:"field_mt_subheader_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_subheader_body_value";i:4;s:31:"field_mt_subheader_body_summary";i:5;s:30:"field_mt_subheader_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_subheader_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:23:"field_mt_subheader_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_subheader_body_value";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_subheader_body_value";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_subheader_body_value";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_subheader_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:23:"field_mt_subheader_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_subheader_body_summary";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_subheader_body_summary";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_subheader_body_summary";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_subheader_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:23:"field_mt_subheader_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_subheader_body_format";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_subheader_body_format";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_subheader_body_format";s:5:"table";s:29:"node__field_mt_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";}}}s:38:"node_revision__field_mt_subheader_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_subheader_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Subheader body";s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:41:"field_mt_subheader_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_subheader_body_value";i:4;s:31:"field_mt_subheader_body_summary";i:5;s:30:"field_mt_subheader_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_subheader_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:29791;s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_subheader_body_value";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_subheader_body_value";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_subheader_body_value";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_subheader_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:29858;s:11:"title short";r:29865;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_subheader_body_summary";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_subheader_body_summary";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_subheader_body_summary";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_subheader_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:29931;s:11:"title short";r:29938;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_subheader_body_format";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_subheader_body_format";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_subheader_body_format";s:5:"table";s:38:"node_revision__field_mt_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_subheader_body_value";i:7;s:31:"field_mt_subheader_body_summary";i:8;s:30:"field_mt_subheader_body_format";}s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_srv_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_srv_video";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_srv_video";a:5:{s:5:"group";r:23882;s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_srv_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_srv_video_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_srv_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_srv_video_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_srv_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_video_value";s:5:"table";s:24:"node__field_mt_srv_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_video_value";s:5:"table";s:24:"node__field_mt_srv_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_video_value";s:5:"table";s:24:"node__field_mt_srv_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_srv_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_srv_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_srv_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_srv_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_srv_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_srv_video";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_srv_video-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_srv_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_srv_video-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_srv_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_srv_video_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:30279;s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_video_value";s:5:"table";s:33:"node_revision__field_mt_srv_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_video_value";s:5:"table";s:33:"node_revision__field_mt_srv_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_video_value";s:5:"table";s:33:"node_revision__field_mt_srv_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:30445;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_srv_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_srv_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_srv_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_srv_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_video_value";}s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";}}}s:33:"node__field_mt_srv_subheader_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_srv_subheader_body";a:5:{s:5:"group";r:23882;s:5:"title";s:14:"Subheader body";s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:33:"field_mt_srv_subheader_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_srv_subheader_body_value";i:4;s:35:"field_mt_srv_subheader_body_summary";i:5;s:34:"field_mt_srv_subheader_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_srv_subheader_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:27:"field_mt_srv_subheader_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_srv_subheader_body_value";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_srv_subheader_body_value";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_srv_subheader_body_value";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_srv_subheader_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:27:"field_mt_srv_subheader_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_srv_subheader_body_summary";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_srv_subheader_body_summary";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_srv_subheader_body_summary";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_srv_subheader_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:27:"field_mt_srv_subheader_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_srv_subheader_body_format";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_srv_subheader_body_format";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_srv_subheader_body_format";s:5:"table";s:33:"node__field_mt_srv_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";}}}s:42:"node_revision__field_mt_srv_subheader_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_srv_subheader_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Subheader body";s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:45:"field_mt_srv_subheader_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_srv_subheader_body_value";i:4;s:35:"field_mt_srv_subheader_body_summary";i:5;s:34:"field_mt_srv_subheader_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_srv_subheader_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:30611;s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_srv_subheader_body_value";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_srv_subheader_body_value";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_srv_subheader_body_value";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_srv_subheader_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:30678;s:11:"title short";r:30685;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_srv_subheader_body_summary";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_srv_subheader_body_summary";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_srv_subheader_body_summary";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_srv_subheader_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:30751;s:11:"title short";r:30758;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_srv_subheader_body_format";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_srv_subheader_body_format";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_srv_subheader_body_format";s:5:"table";s:42:"node_revision__field_mt_srv_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_srv_subheader_body_value";i:7;s:35:"field_mt_srv_subheader_body_summary";i:8;s:34:"field_mt_srv_subheader_body_format";}s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_srv_service_tags";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_srv_service_tags";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_srv_service_tags";a:6:{s:5:"group";r:23882;s:5:"title";s:12:"Service Tags";s:11:"title short";s:12:"Service Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_srv_service_tags";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_srv_service_tags_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_srv_service_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:35:"field_mt_srv_service_tags_target_id";}}s:35:"field_mt_srv_service_tags_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Service Tags";s:5:"@name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:12:"Service Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_srv_service_tags_target_id";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_srv_service_tags_target_id";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_srv_service_tags_target_id";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Service Tags";s:5:"@name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Service Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_srv_service_tags";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_srv_service_tags-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Service Tags";s:11:"title short";s:12:"Service Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_srv_service_tags-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_srv_service_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_srv_service_tags_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:31123;s:11:"title short";s:12:"Service Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_srv_service_tags_target_id";s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_srv_service_tags_target_id";s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_srv_service_tags_target_id";s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:31289;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Service Tags";s:5:"@name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Service Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_srv_service_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_service_tags_target_id";}s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_srv_service_tags";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_srv_service_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:35:"field_mt_srv_service_tags_target_id";}}}s:24:"node__field_mt_srv_price";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_srv_price";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_srv_price";a:5:{s:5:"group";r:23882;s:5:"title";s:5:"Price";s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_srv_price";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_srv_price_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_srv_price_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_srv_price_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Price";s:5:"@name";s:18:"field_mt_srv_price";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_price_value";s:5:"table";s:24:"node__field_mt_srv_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_price_value";}s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_price_value";s:5:"table";s:24:"node__field_mt_srv_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_price_value";}s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_price_value";s:5:"table";s:24:"node__field_mt_srv_price";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_price_value";}s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_srv_price";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_srv_price";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_srv_price-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Price";s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_srv_price";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_srv_price-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_srv_price_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_srv_price_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:31478;s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_price_value";s:5:"table";s:33:"node_revision__field_mt_srv_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_price_value";}s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_price_value";s:5:"table";s:33:"node_revision__field_mt_srv_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_price_value";}s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_price_value";s:5:"table";s:33:"node_revision__field_mt_srv_price";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_srv_price_value";}s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_srv_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_srv_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_srv_image";a:5:{s:5:"group";r:23882;s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_srv_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_srv_image_target_id";i:4;s:22:"field_mt_srv_image_alt";i:5;s:24:"field_mt_srv_image_title";i:6;s:24:"field_mt_srv_image_width";i:7;s:25:"field_mt_srv_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_srv_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_srv_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_srv_image_target_id";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_srv_image_target_id";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_srv_image_target_id";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_srv_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_srv_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_srv_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_srv_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_srv_image_alt";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_srv_image_alt";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_srv_image_alt";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_srv_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_srv_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_image_title";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_image_title";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_image_title";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_srv_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_srv_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_image_width";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_image_width";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_image_width";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_srv_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_srv_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_srv_image_height";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_srv_image_height";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_srv_image_height";s:5:"table";s:24:"node__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_srv_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_srv_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_srv_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_srv_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_srv_image_target_id";i:4;s:22:"field_mt_srv_image_alt";i:5;s:24:"field_mt_srv_image_title";i:6;s:24:"field_mt_srv_image_width";i:7;s:25:"field_mt_srv_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_srv_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:31678;s:11:"title short";r:31685;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_srv_image_target_id";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_srv_image_target_id";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_srv_image_target_id";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_srv_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_srv_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_srv_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:31846;s:11:"title short";r:31853;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_srv_image_alt";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_srv_image_alt";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_srv_image_alt";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_srv_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:31925;s:11:"title short";r:31932;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_image_title";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_image_title";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_image_title";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_srv_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:32004;s:11:"title short";r:32011;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_image_width";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_image_width";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_image_width";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_srv_image_height";a:7:{s:5:"group";r:32286;s:5:"title";r:32083;s:11:"title short";r:32090;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_srv_image_height";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_srv_image_height";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_srv_image_height";s:5:"table";s:33:"node_revision__field_mt_srv_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_srv_image_target_id";i:7;s:22:"field_mt_srv_image_alt";i:8;s:24:"field_mt_srv_image_title";i:9;s:24:"field_mt_srv_image_width";i:10;s:25:"field_mt_srv_image_height";}s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";}}}s:28:"node__field_mt_srv_highlight";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:28:"node__field_mt_srv_highlight";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:22:"field_mt_srv_highlight";a:6:{s:5:"group";r:23882;s:5:"title";s:9:"Highlight";s:11:"title short";s:9:"Highlight";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:10:"real field";s:32:"field_mt_srv_highlight_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_srv_highlight_target_id";i:4;s:41:"field_mt_srv_highlight_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_srv_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_srv_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:41:"field_mt_srv_highlight_target_revision_id";}}s:32:"field_mt_srv_highlight_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_srv_highlight";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_srv_highlight_target_id";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_srv_highlight_target_id";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_srv_highlight_target_id";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_srv_highlight";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Highlight";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}}s:41:"field_mt_srv_highlight_target_revision_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_srv_highlight";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:41:"field_mt_srv_highlight_target_revision_id";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:41:"field_mt_srv_highlight_target_revision_id";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:41:"field_mt_srv_highlight_target_revision_id";s:5:"table";s:28:"node__field_mt_srv_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}}}s:37:"node_revision__field_mt_srv_highlight";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:34:"field_mt_srv_highlight-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Highlight";s:11:"title short";s:9:"Highlight";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:10:"real field";s:44:"field_mt_srv_highlight-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_srv_highlight_target_id";i:4;s:41:"field_mt_srv_highlight_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:32:"field_mt_srv_highlight_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:32715;s:11:"title short";r:32722;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_srv_highlight_target_id";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_srv_highlight_target_id";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_srv_highlight_target_id";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_srv_highlight";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Highlight";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}}s:41:"field_mt_srv_highlight_target_revision_id";a:7:{s:5:"group";r:33027;s:5:"title";r:32855;s:11:"title short";r:32862;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:41:"field_mt_srv_highlight_target_revision_id";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:41:"field_mt_srv_highlight_target_revision_id";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:41:"field_mt_srv_highlight_target_revision_id";s:5:"table";s:37:"node_revision__field_mt_srv_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_srv_highlight_target_id";i:7;s:41:"field_mt_srv_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_srv_highlight";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_srv_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_srv_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:41:"field_mt_srv_highlight_target_revision_id";}}}s:26:"paragraphs_item_field_data";a:28:{s:37:"reverse__node__field_mt_srv_highlight";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"@field_name";s:22:"field_mt_srv_highlight";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_srv_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:22:"field_mt_srv_highlight";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"vid";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"field table";s:28:"node__field_mt_srv_highlight";s:11:"field field";s:41:"field_mt_srv_highlight_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:37:"reverse__node__field_mt_prd_highlight";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:22:"field_mt_prd_highlight";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_prd_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:22:"field_mt_prd_highlight";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"vid";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"field table";s:28:"node__field_mt_prd_highlight";s:11:"field field";s:41:"field_mt_prd_highlight_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse__node__field_mt_prd_content_tabs";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:25:"field_mt_prd_content_tabs";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_prd_content_tabs";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:25:"field_mt_prd_content_tabs";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"vid";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"field table";s:31:"node__field_mt_prd_content_tabs";s:11:"field field";s:44:"field_mt_prd_content_tabs_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:47:"reverse__node__field_mt_prd_additional_features";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:32:"field_mt_prd_additional_features";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:32:"field_mt_prd_additional_features";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:32:"field_mt_prd_additional_features";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"vid";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"field table";s:38:"node__field_mt_prd_additional_features";s:11:"field field";s:51:"field_mt_prd_additional_features_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:36:"reverse__node__field_mt_evn_location";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:21:"field_mt_evn_location";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_evn_location";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:21:"field_mt_evn_location";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"vid";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"field table";s:27:"node__field_mt_evn_location";s:11:"field field";s:40:"field_mt_evn_location_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:53:"reverse__block_content__field_mt_video_gallery_slides";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:29:"field_mt_video_gallery_slides";s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:29:"field_mt_video_gallery_slides";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:29:"field_mt_video_gallery_slides";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"field table";s:44:"block_content__field_mt_video_gallery_slides";s:11:"field field";s:48:"field_mt_video_gallery_slides_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:50:"reverse__block_content__field_mt_tml_timeline_item";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:26:"field_mt_tml_timeline_item";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_tml_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:26:"field_mt_tml_timeline_item";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"field table";s:41:"block_content__field_mt_tml_timeline_item";s:11:"field field";s:45:"field_mt_tml_timeline_item_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:42:"reverse__block_content__field_mt_media_tab";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:18:"field_mt_media_tab";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:18:"field_mt_media_tab";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"field table";s:33:"block_content__field_mt_media_tab";s:11:"field field";s:37:"field_mt_media_tab_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:45:"reverse__block_content__field_mt_map_location";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:21:"field_mt_map_location";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:21:"field_mt_map_location";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:21:"field_mt_map_location";s:11:"field table";s:36:"block_content__field_mt_map_location";s:11:"field field";s:40:"field_mt_map_location_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:53:"reverse__block_content__field_mt_main_slideshow_slide";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:29:"field_mt_main_slideshow_slide";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:29:"field_mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:29:"field_mt_main_slideshow_slide";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"field table";s:44:"block_content__field_mt_main_slideshow_slide";s:11:"field field";s:48:"field_mt_main_slideshow_slide_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__block_content__field_mt_if";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:11:"field_mt_if";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:11:"field_mt_if";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:11:"field_mt_if";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:11:"field_mt_if";s:11:"field table";s:26:"block_content__field_mt_if";s:11:"field field";s:30:"field_mt_if_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:37:"reverse__block_content__field_mt_fltt";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:13:"field_mt_fltt";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:13:"field_mt_fltt";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:13:"field_mt_fltt";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:13:"field_mt_fltt";s:11:"field table";s:28:"block_content__field_mt_fltt";s:11:"field field";s:32:"field_mt_fltt_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:42:"reverse__block_content__field_mt_fancy_tab";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:18:"field_mt_fancy_tab";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:18:"field_mt_fancy_tab";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"field table";s:33:"block_content__field_mt_fancy_tab";s:11:"field field";s:37:"field_mt_fancy_tab_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:51:"reverse__block_content__field_mt_fancy_linked_image";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:27:"field_mt_fancy_linked_image";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:27:"field_mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:27:"field_mt_fancy_linked_image";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"field table";s:42:"block_content__field_mt_fancy_linked_image";s:11:"field field";s:46:"field_mt_fancy_linked_image_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse__block_content__field_mt_dropdown";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:17:"field_mt_dropdown";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:33190;s:11:"@field_name";s:17:"field_mt_dropdown";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:11:"revision_id";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"field table";s:32:"block_content__field_mt_dropdown";s:11:"field field";s:36:"field_mt_dropdown_target_revision_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:5:"table";a:5:{s:4:"base";a:4:{s:5:"field";s:2:"id";s:5:"title";r:3707;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:16:"paragraph_access";}s:5:"group";r:3707;s:8:"provider";s:10:"paragraphs";s:15:"entity revision";b:0;s:11:"entity type";s:9:"paragraph";}s:2:"id";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:2:"id";}s:11:"revision_id";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"revision_id";}s:4:"type";a:6:{s:5:"title";s:14:"Paragraph type";s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"type";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The paragraphs entity language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The time that the Paragraph was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:9:"parent_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Parent ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The ID of the parent entity of which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:9:"parent_id";}s:11:"parent_type";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Parent type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"The entity parent type to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"parent_type";}s:17:"parent_field_name";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Parent field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"The entity parent field name to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:17:"parent_field_name";}s:17:"behavior_settings";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Behavior settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The behavior plugin settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:17:"behavior_settings";}s:16:"default_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}}s:27:"node__field_mt_srv_buy_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_srv_buy_link";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_srv_buy_link";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Buy Link";s:11:"title short";s:8:"Buy Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:10:"real field";s:25:"field_mt_srv_buy_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_srv_buy_link_uri";i:4;s:27:"field_mt_srv_buy_link_title";i:5;s:29:"field_mt_srv_buy_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:25:"field_mt_srv_buy_link_uri";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Buy Link";s:5:"@name";s:21:"field_mt_srv_buy_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Buy Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_srv_buy_link_uri";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_srv_buy_link_uri";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_srv_buy_link_uri";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";}}s:27:"field_mt_srv_buy_link_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Buy Link";s:5:"@name";s:21:"field_mt_srv_buy_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Buy Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_srv_buy_link_title";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_srv_buy_link_title";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_srv_buy_link_title";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";}}s:29:"field_mt_srv_buy_link_options";a:6:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Buy Link";s:5:"@name";s:21:"field_mt_srv_buy_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Buy Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_srv_buy_link_options";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_srv_buy_link_options";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}}}s:36:"node_revision__field_mt_srv_buy_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_srv_buy_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Buy Link";s:11:"title short";s:8:"Buy Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:10:"real field";s:37:"field_mt_srv_buy_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_srv_buy_link_uri";i:4;s:27:"field_mt_srv_buy_link_title";i:5;s:29:"field_mt_srv_buy_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:25:"field_mt_srv_buy_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:33948;s:11:"title short";r:33955;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_srv_buy_link_uri";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_srv_buy_link_uri";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_srv_buy_link_uri";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";}}s:27:"field_mt_srv_buy_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:34021;s:11:"title short";r:34028;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_srv_buy_link_title";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_srv_buy_link_title";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_srv_buy_link_title";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";}}s:29:"field_mt_srv_buy_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:34094;s:11:"title short";r:34101;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_srv_buy_link_options";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_srv_buy_link_options";s:5:"table";s:36:"node_revision__field_mt_srv_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_srv_buy_link_uri";i:7;s:27:"field_mt_srv_buy_link_title";i:8;s:29:"field_mt_srv_buy_link_options";}s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}}}s:23:"node__field_mt_srv_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_srv_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_srv_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_srv_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_srv_body_value";i:4;s:25:"field_mt_srv_body_summary";i:5;s:24:"field_mt_srv_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_srv_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_srv_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_srv_body_value";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_srv_body_value";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_srv_body_value";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_srv_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_srv_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_srv_body_summary";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_srv_body_summary";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_srv_body_summary";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_srv_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_srv_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_body_format";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_body_format";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_body_format";s:5:"table";s:23:"node__field_mt_srv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_srv_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_srv_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_srv_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_srv_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_srv_body_value";i:4;s:25:"field_mt_srv_body_summary";i:5;s:24:"field_mt_srv_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_srv_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:34412;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_srv_body_value";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_srv_body_value";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_srv_body_value";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_srv_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:34479;s:11:"title short";r:34486;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_srv_body_summary";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_srv_body_summary";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_srv_body_summary";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_srv_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:34552;s:11:"title short";r:34559;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_srv_body_format";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_srv_body_format";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_srv_body_format";s:5:"table";s:32:"node_revision__field_mt_srv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_srv_body_value";i:7;s:25:"field_mt_srv_body_summary";i:8;s:24:"field_mt_srv_body_format";}s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_srv_banner_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_srv_banner_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_srv_banner_image";a:5:{s:5:"group";r:23882;s:5:"title";s:24:"Internal banner image(s)";s:11:"title short";s:24:"Internal banner image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_srv_banner_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_srv_banner_image_target_id";i:4;s:29:"field_mt_srv_banner_image_alt";i:5;s:31:"field_mt_srv_banner_image_title";i:6;s:31:"field_mt_srv_banner_image_width";i:7;s:32:"field_mt_srv_banner_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_srv_banner_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:24:"Internal banner image(s)";s:5:"@name";s:25:"field_mt_srv_banner_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Internal banner image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_srv_banner_image_target_id";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_srv_banner_image_target_id";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_srv_banner_image_target_id";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_srv_banner_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Internal banner image(s)";s:5:"@name";s:25:"field_mt_srv_banner_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:24:"Internal banner image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:29:"field_mt_srv_banner_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:24:"Internal banner image(s)";s:5:"@name";s:25:"field_mt_srv_banner_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Internal banner image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_srv_banner_image_alt";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_srv_banner_image_alt";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_srv_banner_image_alt";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_srv_banner_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:24:"Internal banner image(s)";s:5:"@name";s:25:"field_mt_srv_banner_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Internal banner image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_title";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_title";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_srv_banner_image_title";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_srv_banner_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:24:"Internal banner image(s)";s:5:"@name";s:25:"field_mt_srv_banner_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Internal banner image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_width";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_width";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_srv_banner_image_width";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_srv_banner_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:24:"Internal banner image(s)";s:5:"@name";s:25:"field_mt_srv_banner_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Internal banner image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_srv_banner_image_height";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_srv_banner_image_height";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_srv_banner_image_height";s:5:"table";s:31:"node__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_srv_banner_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_srv_banner_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:24:"Internal banner image(s)";s:11:"title short";s:24:"Internal banner image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_srv_banner_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_srv_banner_image_target_id";i:4;s:29:"field_mt_srv_banner_image_alt";i:5;s:31:"field_mt_srv_banner_image_title";i:6;s:31:"field_mt_srv_banner_image_width";i:7;s:32:"field_mt_srv_banner_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_srv_banner_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:34904;s:11:"title short";r:34911;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_srv_banner_image_target_id";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_srv_banner_image_target_id";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_srv_banner_image_target_id";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_srv_banner_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Internal banner image(s)";s:5:"@name";s:25:"field_mt_srv_banner_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:24:"Internal banner image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:29:"field_mt_srv_banner_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:35072;s:11:"title short";r:35079;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_srv_banner_image_alt";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_srv_banner_image_alt";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_srv_banner_image_alt";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_srv_banner_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:35151;s:11:"title short";r:35158;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_title";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_title";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_srv_banner_image_title";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_srv_banner_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:35230;s:11:"title short";r:35237;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_width";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_srv_banner_image_width";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_srv_banner_image_width";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_srv_banner_image_height";a:7:{s:5:"group";r:35512;s:5:"title";r:35309;s:11:"title short";r:35316;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_service";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_srv_banner_image_height";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_srv_banner_image_height";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_srv_banner_image_height";s:5:"table";s:40:"node_revision__field_mt_srv_banner_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_srv_banner_image_target_id";i:7;s:29:"field_mt_srv_banner_image_alt";i:8;s:31:"field_mt_srv_banner_image_title";i:9;s:31:"field_mt_srv_banner_image_width";i:10;s:32:"field_mt_srv_banner_image_height";}s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_spn_logo";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_spn_logo";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_spn_logo";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Logo";s:11:"title short";s:4:"Logo";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_spn_logo_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_spn_logo_target_id";i:4;s:21:"field_mt_spn_logo_alt";i:5;s:23:"field_mt_spn_logo_title";i:6;s:23:"field_mt_spn_logo_width";i:7;s:24:"field_mt_spn_logo_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_spn_logo_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Logo";s:5:"@name";s:17:"field_mt_spn_logo";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Logo";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_spn_logo";}s:10:"\0*\0options";a:0:{}}}}s:21:"field_mt_spn_logo_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Logo";s:5:"@name";s:17:"field_mt_spn_logo";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Logo";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_spn_logo_alt";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_spn_logo_alt";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_spn_logo_alt";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}s:23:"field_mt_spn_logo_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Logo";s:5:"@name";s:17:"field_mt_spn_logo";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Logo";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spn_logo_title";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spn_logo_title";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spn_logo_title";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}s:23:"field_mt_spn_logo_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Logo";s:5:"@name";s:17:"field_mt_spn_logo";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Logo";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spn_logo_width";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spn_logo_width";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spn_logo_width";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_spn_logo_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Logo";s:5:"@name";s:17:"field_mt_spn_logo";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Logo";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_spn_logo_height";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_spn_logo_height";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_spn_logo_height";s:5:"table";s:23:"node__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_spn_logo";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_spn_logo-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Logo";s:11:"title short";s:4:"Logo";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_spn_logo-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_spn_logo_target_id";i:4;s:21:"field_mt_spn_logo_alt";i:5;s:23:"field_mt_spn_logo_title";i:6;s:23:"field_mt_spn_logo_width";i:7;s:24:"field_mt_spn_logo_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_spn_logo_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:35920;s:11:"title short";r:35927;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_spn_logo";}s:10:"\0*\0options";a:0:{}}}}s:21:"field_mt_spn_logo_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:36009;s:11:"title short";r:36016;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_spn_logo_alt";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_spn_logo_alt";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_spn_logo_alt";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}s:23:"field_mt_spn_logo_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:36088;s:11:"title short";r:36095;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spn_logo_title";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spn_logo_title";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spn_logo_title";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}s:23:"field_mt_spn_logo_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:36167;s:11:"title short";r:36174;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spn_logo_width";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spn_logo_width";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spn_logo_width";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_spn_logo_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:36246;s:11:"title short";r:36253;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_spn_logo_height";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_spn_logo_height";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_spn_logo_height";s:5:"table";s:32:"node_revision__field_mt_spn_logo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spn_logo_target_id";i:7;s:21:"field_mt_spn_logo_alt";i:8;s:23:"field_mt_spn_logo_title";i:9;s:23:"field_mt_spn_logo_width";i:10;s:24:"field_mt_spn_logo_height";}s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_spn_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_spn_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_spn_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_spn_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_spn_body_value";i:4;s:25:"field_mt_spn_body_summary";i:5;s:24:"field_mt_spn_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_spn_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_spn_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spn_body_value";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spn_body_value";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spn_body_value";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_spn_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_spn_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_spn_body_summary";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_spn_body_summary";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_spn_body_summary";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_spn_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_spn_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_spn_body_format";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_spn_body_format";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_spn_body_format";s:5:"table";s:23:"node__field_mt_spn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_spn_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_spn_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_spn_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_spn_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_spn_body_value";i:4;s:25:"field_mt_spn_body_summary";i:5;s:24:"field_mt_spn_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_spn_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:36776;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spn_body_value";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spn_body_value";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spn_body_value";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_spn_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:36843;s:11:"title short";r:36850;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_spn_body_summary";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_spn_body_summary";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_spn_body_summary";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_spn_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:36916;s:11:"title short";r:36923;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_sponsor";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_spn_body_format";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_spn_body_format";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_spn_body_format";s:5:"table";s:32:"node_revision__field_mt_spn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spn_body_value";i:7;s:25:"field_mt_spn_body_summary";i:8;s:24:"field_mt_spn_body_format";}s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";}}}s:34:"node__field_mt_spk_youtube_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_spk_youtube_account";a:5:{s:5:"group";r:23882;s:5:"title";s:7:"YouTube";s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:34:"field_mt_spk_youtube_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_spk_youtube_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_spk_youtube_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"YouTube";s:5:"@name";s:28:"field_mt_spk_youtube_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_spk_youtube_account_value";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_youtube_account_value";}s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_spk_youtube_account_value";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_youtube_account_value";}s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_spk_youtube_account_value";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_youtube_account_value";}s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";}}}s:43:"node_revision__field_mt_spk_youtube_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:43:"node_revision__field_mt_spk_youtube_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_spk_youtube_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"YouTube";s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"node_revision__field_mt_spk_youtube_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:46:"field_mt_spk_youtube_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_spk_youtube_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_spk_youtube_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:37264;s:11:"title short";s:7:"YouTube";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_spk_youtube_account_value";s:5:"table";s:43:"node_revision__field_mt_spk_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_youtube_account_value";}s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_spk_youtube_account_value";s:5:"table";s:43:"node_revision__field_mt_spk_youtube_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_youtube_account_value";}s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_spk_youtube_account_value";s:5:"table";s:43:"node_revision__field_mt_spk_youtube_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_youtube_account_value";}s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";}}}s:34:"node__field_mt_spk_twitter_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_spk_twitter_account";a:5:{s:5:"group";r:23882;s:5:"title";s:7:"Twitter";s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:34:"field_mt_spk_twitter_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_spk_twitter_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_spk_twitter_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Twitter";s:5:"@name";s:28:"field_mt_spk_twitter_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_spk_twitter_account_value";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_twitter_account_value";}s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_spk_twitter_account_value";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_twitter_account_value";}s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_spk_twitter_account_value";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_twitter_account_value";}s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";}}}s:43:"node_revision__field_mt_spk_twitter_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:43:"node_revision__field_mt_spk_twitter_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_spk_twitter_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Twitter";s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"node_revision__field_mt_spk_twitter_account";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:46:"field_mt_spk_twitter_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_spk_twitter_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_spk_twitter_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:37460;s:11:"title short";s:7:"Twitter";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_spk_twitter_account_value";s:5:"table";s:43:"node_revision__field_mt_spk_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_twitter_account_value";}s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_spk_twitter_account_value";s:5:"table";s:43:"node_revision__field_mt_spk_twitter_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_twitter_account_value";}s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_spk_twitter_account_value";s:5:"table";s:43:"node_revision__field_mt_spk_twitter_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_spk_twitter_account_value";}s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";}}}s:27:"node__field_mt_spk_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_spk_subtitle";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_spk_subtitle";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Subtitle";s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_spk_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_spk_subtitle_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_spk_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_spk_subtitle_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Subtitle";s:5:"@name";s:21:"field_mt_spk_subtitle";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_spk_subtitle_value";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spk_subtitle_value";}s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_spk_subtitle_value";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spk_subtitle_value";}s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_spk_subtitle_value";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spk_subtitle_value";}s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_spk_subtitle";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_spk_subtitle";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_spk_subtitle-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Subtitle";s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_spk_subtitle";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_spk_subtitle-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_spk_subtitle_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_spk_subtitle_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:37656;s:11:"title short";s:8:"Subtitle";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_spk_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_spk_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spk_subtitle_value";}s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_spk_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_spk_subtitle";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spk_subtitle_value";}s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_spk_subtitle_value";s:5:"table";s:36:"node_revision__field_mt_spk_subtitle";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_spk_subtitle_value";}s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";}}}s:32:"node__field_mt_spk_speaker_photo";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_spk_speaker_photo";a:5:{s:5:"group";r:23882;s:5:"title";s:13:"Speaker Photo";s:11:"title short";s:13:"Speaker Photo";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_spk_speaker_photo_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_spk_speaker_photo_target_id";i:4;s:30:"field_mt_spk_speaker_photo_alt";i:5;s:32:"field_mt_spk_speaker_photo_title";i:6;s:32:"field_mt_spk_speaker_photo_width";i:7;s:33:"field_mt_spk_speaker_photo_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:36:"field_mt_spk_speaker_photo_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:13:"Speaker Photo";s:5:"@name";s:26:"field_mt_spk_speaker_photo";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Speaker Photo";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_spk_speaker_photo_target_id";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_spk_speaker_photo_target_id";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_spk_speaker_photo_target_id";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_spk_speaker_photo";}s:10:"\0*\0options";a:0:{}}}}s:30:"field_mt_spk_speaker_photo_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:13:"Speaker Photo";s:5:"@name";s:26:"field_mt_spk_speaker_photo";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Speaker Photo";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_spk_speaker_photo_alt";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_spk_speaker_photo_alt";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_spk_speaker_photo_alt";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_spk_speaker_photo_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:13:"Speaker Photo";s:5:"@name";s:26:"field_mt_spk_speaker_photo";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Speaker Photo";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_title";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_title";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_spk_speaker_photo_title";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_spk_speaker_photo_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:13:"Speaker Photo";s:5:"@name";s:26:"field_mt_spk_speaker_photo";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Speaker Photo";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_width";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_width";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_spk_speaker_photo_width";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}s:33:"field_mt_spk_speaker_photo_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:13:"Speaker Photo";s:5:"@name";s:26:"field_mt_spk_speaker_photo";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Speaker Photo";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_spk_speaker_photo_height";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_spk_speaker_photo_height";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_spk_speaker_photo_height";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}}s:41:"node_revision__field_mt_spk_speaker_photo";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:38:"field_mt_spk_speaker_photo-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:13:"Speaker Photo";s:11:"title short";s:13:"Speaker Photo";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:10:"real field";s:48:"field_mt_spk_speaker_photo-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_spk_speaker_photo_target_id";i:4;s:30:"field_mt_spk_speaker_photo_alt";i:5;s:32:"field_mt_spk_speaker_photo_title";i:6;s:32:"field_mt_spk_speaker_photo_width";i:7;s:33:"field_mt_spk_speaker_photo_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:36:"field_mt_spk_speaker_photo_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:37856;s:11:"title short";r:37863;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_spk_speaker_photo_target_id";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_spk_speaker_photo_target_id";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_spk_speaker_photo_target_id";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_spk_speaker_photo";}s:10:"\0*\0options";a:0:{}}}}s:30:"field_mt_spk_speaker_photo_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:37945;s:11:"title short";r:37952;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_spk_speaker_photo_alt";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_spk_speaker_photo_alt";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_spk_speaker_photo_alt";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_spk_speaker_photo_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:38024;s:11:"title short";r:38031;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_title";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_title";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_spk_speaker_photo_title";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_spk_speaker_photo_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:38103;s:11:"title short";r:38110;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_width";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_spk_speaker_photo_width";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_spk_speaker_photo_width";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}s:33:"field_mt_spk_speaker_photo_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:38182;s:11:"title short";r:38189;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_spk_speaker_photo_height";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_spk_speaker_photo_height";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_spk_speaker_photo_height";s:5:"table";s:41:"node_revision__field_mt_spk_speaker_photo";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_spk_speaker_photo_target_id";i:7;s:30:"field_mt_spk_speaker_photo_alt";i:8;s:32:"field_mt_spk_speaker_photo_title";i:9;s:32:"field_mt_spk_speaker_photo_width";i:10;s:33:"field_mt_spk_speaker_photo_height";}s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";}}}s:35:"node__field_mt_spk_linkedin_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_spk_linkedin_account";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Linkedin";s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_spk_linkedin_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_spk_linkedin_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_spk_linkedin_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Linkedin";s:5:"@name";s:29:"field_mt_spk_linkedin_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_spk_linkedin_account_value";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_spk_linkedin_account_value";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_spk_linkedin_account_value";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";}}}s:44:"node_revision__field_mt_spk_linkedin_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:44:"node_revision__field_mt_spk_linkedin_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_spk_linkedin_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Linkedin";s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"node_revision__field_mt_spk_linkedin_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_spk_linkedin_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_spk_linkedin_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_spk_linkedin_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:38710;s:11:"title short";s:8:"Linkedin";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_spk_linkedin_account_value";s:5:"table";s:44:"node_revision__field_mt_spk_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_spk_linkedin_account_value";s:5:"table";s:44:"node_revision__field_mt_spk_linkedin_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_spk_linkedin_account_value";s:5:"table";s:44:"node_revision__field_mt_spk_linkedin_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_linkedin_account_value";}s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";}}}s:35:"node__field_mt_spk_facebook_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_spk_facebook_account";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Facebook";s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_spk_facebook_account_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_spk_facebook_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_spk_facebook_account_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Facebook";s:5:"@name";s:29:"field_mt_spk_facebook_account";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_spk_facebook_account_value";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_facebook_account_value";}s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_spk_facebook_account_value";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_facebook_account_value";}s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_spk_facebook_account_value";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_facebook_account_value";}s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";}}}s:44:"node_revision__field_mt_spk_facebook_account";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:44:"node_revision__field_mt_spk_facebook_account";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_spk_facebook_account-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Facebook";s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:44:"node_revision__field_mt_spk_facebook_account";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_spk_facebook_account-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_spk_facebook_account_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_spk_facebook_account_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:38906;s:11:"title short";s:8:"Facebook";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_spk_facebook_account_value";s:5:"table";s:44:"node_revision__field_mt_spk_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_facebook_account_value";}s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_spk_facebook_account_value";s:5:"table";s:44:"node_revision__field_mt_spk_facebook_account";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_facebook_account_value";}s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_spk_facebook_account_value";s:5:"table";s:44:"node_revision__field_mt_spk_facebook_account";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_facebook_account_value";}s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_spk_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_spk_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_spk_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_spk_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_spk_body_value";i:4;s:25:"field_mt_spk_body_summary";i:5;s:24:"field_mt_spk_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_spk_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_spk_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spk_body_value";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spk_body_value";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spk_body_value";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_spk_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_spk_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_spk_body_summary";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_spk_body_summary";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_spk_body_summary";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_spk_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_spk_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_spk_body_format";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_spk_body_format";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_spk_body_format";s:5:"table";s:23:"node__field_mt_spk_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_spk_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_spk_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_spk_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_spk_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_spk_body_value";i:4;s:25:"field_mt_spk_body_summary";i:5;s:24:"field_mt_spk_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_spk_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:39104;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_spk_body_value";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_spk_body_value";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_spk_body_value";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_spk_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:39171;s:11:"title short";r:39178;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_spk_body_summary";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_spk_body_summary";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_spk_body_summary";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_spk_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:39244;s:11:"title short";r:39251;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_spk_body_format";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_spk_body_format";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_spk_body_format";s:5:"table";s:32:"node_revision__field_mt_spk_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_spk_body_value";i:7;s:25:"field_mt_spk_body_summary";i:8;s:24:"field_mt_spk_body_format";}s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_spk_affiliations";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_spk_affiliations";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_spk_affiliations";a:6:{s:5:"group";r:23882;s:5:"title";s:12:"Affiliations";s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_spk_affiliations";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_spk_affiliations_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_spk_affiliations_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:35:"field_mt_spk_affiliations_target_id";}}s:35:"field_mt_spk_affiliations_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Affiliations";s:5:"@name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_spk_affiliations_target_id";s:5:"table";s:31:"node__field_mt_spk_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_spk_affiliations_target_id";s:5:"table";s:31:"node__field_mt_spk_affiliations";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_spk_affiliations_target_id";s:5:"table";s:31:"node__field_mt_spk_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Affiliations";s:5:"@name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Affiliations";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_spk_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_spk_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_spk_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_spk_affiliations";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_spk_affiliations-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Affiliations";s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_spk_affiliations-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_spk_affiliations_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_spk_affiliations_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:39616;s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_spk_affiliations_target_id";s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_spk_affiliations_target_id";s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_spk_affiliations_target_id";s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:39782;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Affiliations";s:5:"@name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Affiliations";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_spk_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_spk_affiliations_target_id";}s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_spk_affiliations";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_mt_spk_affiliations";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_speaker";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:35:"field_mt_spk_affiliations_target_id";}}}s:29:"node__field_mt_slideshow_text";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:29:"node__field_mt_slideshow_text";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_slideshow_text";a:5:{s:5:"group";r:23882;s:5:"title";s:14:"Slideshow text";s:11:"title short";s:14:"Slideshow text";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"node__field_mt_slideshow_text";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:10:"real field";s:29:"field_mt_slideshow_text_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_slideshow_text_value";i:4;s:30:"field_mt_slideshow_text_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_slideshow_text_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Slideshow text";s:5:"@name";s:23:"field_mt_slideshow_text";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Slideshow text";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_slideshow_text_value";s:5:"table";s:29:"node__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_slideshow_text_value";s:5:"table";s:29:"node__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_slideshow_text_value";s:5:"table";s:29:"node__field_mt_slideshow_text";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_slideshow_text_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:14:"Slideshow text";s:5:"@name";s:23:"field_mt_slideshow_text";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Slideshow text";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_slideshow_text_format";s:5:"table";s:29:"node__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_slideshow_text_format";s:5:"table";s:29:"node__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_slideshow_text_format";s:5:"table";s:29:"node__field_mt_slideshow_text";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";}}}s:38:"node_revision__field_mt_slideshow_text";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_slideshow_text-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Slideshow text";s:11:"title short";s:14:"Slideshow text";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:10:"real field";s:41:"field_mt_slideshow_text-revision_id_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_slideshow_text_value";i:4;s:30:"field_mt_slideshow_text_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_slideshow_text_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:39972;s:11:"title short";s:14:"Slideshow text";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_slideshow_text_value";s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_slideshow_text_value";s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_slideshow_text_value";s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_slideshow_text_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:40036;s:11:"title short";r:40043;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_slideshow_text_format";s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_slideshow_text_format";s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_slideshow_text_format";s:5:"table";s:38:"node_revision__field_mt_slideshow_text";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_slideshow_text_value";i:7;s:30:"field_mt_slideshow_text_format";}s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";}}}s:30:"node__field_mt_slideshow_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:30:"node__field_mt_slideshow_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:24:"field_mt_slideshow_image";a:5:{s:5:"group";r:23882;s:5:"title";s:15:"Slideshow image";s:11:"title short";s:15:"Slideshow image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:34:"field_mt_slideshow_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_slideshow_image_target_id";i:4;s:28:"field_mt_slideshow_image_alt";i:5;s:30:"field_mt_slideshow_image_title";i:6;s:30:"field_mt_slideshow_image_width";i:7;s:31:"field_mt_slideshow_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_slideshow_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Slideshow image";s:5:"@name";s:24:"field_mt_slideshow_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Slideshow image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_slideshow_image";}s:10:"\0*\0options";a:0:{}}}}s:28:"field_mt_slideshow_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Slideshow image";s:5:"@name";s:24:"field_mt_slideshow_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Slideshow image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_slideshow_image_alt";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_slideshow_image_alt";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_slideshow_image_alt";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_slideshow_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Slideshow image";s:5:"@name";s:24:"field_mt_slideshow_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Slideshow image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_title";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_title";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_slideshow_image_title";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_slideshow_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Slideshow image";s:5:"@name";s:24:"field_mt_slideshow_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Slideshow image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_width";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_width";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_slideshow_image_width";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_slideshow_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Slideshow image";s:5:"@name";s:24:"field_mt_slideshow_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Slideshow image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_slideshow_image_height";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_slideshow_image_height";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_slideshow_image_height";s:5:"table";s:30:"node__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}}s:39:"node_revision__field_mt_slideshow_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:36:"field_mt_slideshow_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:15:"Slideshow image";s:11:"title short";s:15:"Slideshow image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:46:"field_mt_slideshow_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_slideshow_image_target_id";i:4;s:28:"field_mt_slideshow_image_alt";i:5;s:30:"field_mt_slideshow_image_title";i:6;s:30:"field_mt_slideshow_image_width";i:7;s:31:"field_mt_slideshow_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_slideshow_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:40312;s:11:"title short";r:40319;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_slideshow_image";}s:10:"\0*\0options";a:0:{}}}}s:28:"field_mt_slideshow_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:40401;s:11:"title short";r:40408;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_slideshow_image_alt";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_slideshow_image_alt";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_slideshow_image_alt";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_slideshow_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:40480;s:11:"title short";r:40487;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_title";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_title";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_slideshow_image_title";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_slideshow_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:40559;s:11:"title short";r:40566;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_width";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_slideshow_image_width";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_slideshow_image_width";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}s:31:"field_mt_slideshow_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:40638;s:11:"title short";r:40645;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_slideshow_image_height";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_slideshow_image_height";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_slideshow_image_height";s:5:"table";s:39:"node_revision__field_mt_slideshow_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_slideshow_image_target_id";i:7;s:28:"field_mt_slideshow_image_alt";i:8;s:30:"field_mt_slideshow_image_title";i:9;s:30:"field_mt_slideshow_image_width";i:10;s:31:"field_mt_slideshow_image_height";}s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_slideshow";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_slideshow";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_slideshow";a:5:{s:5:"group";r:23882;s:5:"title";s:31:"Promote to front page slideshow";s:11:"title short";s:31:"Promote to front page slideshow";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_slideshow";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_slideshow_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_slideshow_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_slideshow_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:31:"Promote to front page slideshow";s:5:"@name";s:18:"field_mt_slideshow";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:31:"Promote to front page slideshow";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_slideshow_value";}s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_slideshow_value";}s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_slideshow_value";}s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_slideshow";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_slideshow";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_slideshow-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:31:"Promote to front page slideshow";s:11:"title short";s:31:"Promote to front page slideshow";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_slideshow";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_slideshow-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_slideshow_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_slideshow_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:41166;s:11:"title short";s:31:"Promote to front page slideshow";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_slideshow_value";s:5:"table";s:33:"node_revision__field_mt_slideshow";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_slideshow_value";}s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_slideshow_value";s:5:"table";s:33:"node_revision__field_mt_slideshow";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_slideshow_value";}s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_slideshow_value";s:5:"table";s:33:"node_revision__field_mt_slideshow";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_slideshow_value";}s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_prs_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_prs_video";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_prs_video";a:5:{s:5:"group";r:23882;s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_prs_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_prs_video_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_prs_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_prs_video_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_prs_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_video_value";s:5:"table";s:24:"node__field_mt_prs_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_video_value";s:5:"table";s:24:"node__field_mt_prs_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_video_value";s:5:"table";s:24:"node__field_mt_prs_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_prs_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_prs_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_prs_video";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_prs_video-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_prs_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_prs_video-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_prs_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_prs_video_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:41362;s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_video_value";s:5:"table";s:33:"node_revision__field_mt_prs_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_video_value";s:5:"table";s:33:"node_revision__field_mt_prs_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_video_value";s:5:"table";s:33:"node_revision__field_mt_prs_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:41528;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_prs_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prs_video_value";}s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";}}}s:25:"node__field_mt_prs_topics";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:25:"node__field_mt_prs_topics";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:19:"field_mt_prs_topics";a:6:{s:5:"group";r:23882;s:5:"title";s:6:"Topics";s:11:"title short";s:6:"Topics";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:25:"node__field_mt_prs_topics";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:10:"real field";s:29:"field_mt_prs_topics_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_prs_topics_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:29:"field_mt_prs_topics_target_id";}}s:29:"field_mt_prs_topics_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Topics";s:5:"@name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:6:"Topics";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:25:"node__field_mt_prs_topics";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:25:"node__field_mt_prs_topics";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:25:"node__field_mt_prs_topics";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Topics";s:5:"@name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:6:"Topics";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:25:"node__field_mt_prs_topics";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:25:"node__field_mt_prs_topics";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:25:"node__field_mt_prs_topics";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";}}}s:34:"node_revision__field_mt_prs_topics";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:31:"field_mt_prs_topics-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:6:"Topics";s:11:"title short";s:6:"Topics";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:2:"id";s:5:"field";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:10:"real field";s:41:"field_mt_prs_topics-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_prs_topics_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_prs_topics_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:41716;s:11:"title short";s:6:"Topics";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:41882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Topics";s:5:"@name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:6:"Topics";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:34:"node_revision__field_mt_prs_topics";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prs_topics_target_id";}s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";}}s:19:"field_mt_prs_topics";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:19:"field_mt_prs_topics";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:29:"field_mt_prs_topics_target_id";}}}s:26:"node__field_mt_prs_sponsor";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_prs_sponsor";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_prs_sponsor";a:6:{s:5:"group";r:23882;s:5:"title";s:8:"Sponsors";s:11:"title short";s:8:"Sponsors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_prs_sponsor";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:10:"real field";s:30:"field_mt_prs_sponsor_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_prs_sponsor_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_prs_sponsor_target_id";}}s:30:"field_mt_prs_sponsor_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Sponsors";s:5:"@name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Sponsors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_sponsor_target_id";s:5:"table";s:26:"node__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_sponsor_target_id";s:5:"table";s:26:"node__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_sponsor_target_id";s:5:"table";s:26:"node__field_mt_prs_sponsor";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Sponsors";s:5:"@name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Sponsors";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_sponsor";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";}}}s:35:"node_revision__field_mt_prs_sponsor";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_prs_sponsor-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Sponsors";s:11:"title short";s:8:"Sponsors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:10:"real field";s:42:"field_mt_prs_sponsor-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_prs_sponsor_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_prs_sponsor_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:42095;s:11:"title short";s:8:"Sponsors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_sponsor_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_sponsor_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_sponsor_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:42261;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Sponsors";s:5:"@name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Sponsors";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_sponsor";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";}}s:20:"field_mt_prs_sponsor";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_prs_sponsor_target_id";}}}s:15:"node_field_data";a:40:{s:35:"reverse__node__field_mt_prs_sponsor";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"content item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"@field_name";s:20:"field_mt_prs_sponsor";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:20:"field_mt_prs_sponsor";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"field table";s:26:"node__field_mt_prs_sponsor";s:11:"field field";s:30:"field_mt_prs_sponsor_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__node__field_mt_prs_speaker";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:20:"field_mt_prs_speaker";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:20:"field_mt_prs_speaker";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"field table";s:26:"node__field_mt_prs_speaker";s:11:"field field";s:30:"field_mt_prs_speaker_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:33:"reverse__node__field_mt_prg_event";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:18:"field_mt_prg_event";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prg_event";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:18:"field_mt_prg_event";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"field table";s:24:"node__field_mt_prg_event";s:11:"field field";s:28:"field_mt_prg_event_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__node__field_mt_evn_sponsor";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:20:"field_mt_evn_sponsor";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_evn_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:20:"field_mt_evn_sponsor";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"field table";s:26:"node__field_mt_evn_sponsor";s:11:"field field";s:30:"field_mt_evn_sponsor_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__node__field_mt_evn_speaker";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:20:"field_mt_evn_speaker";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:20:"field_mt_evn_speaker";s:7:"@entity";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"field table";s:26:"node__field_mt_evn_speaker";s:11:"field field";s:30:"field_mt_evn_speaker_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse__block_content__field_mt_ns_slide";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:17:"field_mt_ns_slide";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:42418;s:11:"@field_name";s:17:"field_mt_ns_slide";s:7:"@entity";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"field table";s:32:"block_content__field_mt_ns_slide";s:11:"field field";s:27:"field_mt_ns_slide_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:5:"table";a:6:{s:4:"base";a:6:{s:5:"field";s:3:"nid";s:5:"title";r:23882;s:14:"cache_contexts";a:1:{i:0;s:21:"user.node_grants:view";}s:16:"access query tag";s:11:"node_access";s:8:"defaults";a:2:{s:5:"field";s:5:"title";s:5:"table";s:15:"node_field_data";}s:6:"weight";i:-10;}s:5:"group";r:23882;s:8:"provider";s:4:"node";s:15:"entity revision";b:0;s:11:"entity type";s:4:"node";s:9:"wizard_id";s:4:"node";}s:3:"nid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:4:{s:2:"id";s:8:"node_nid";s:10:"name field";s:5:"title";s:7:"numeric";b:1;s:13:"validate type";s:3:"nid";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"nid";}s:3:"vid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"vid";}s:4:"type";a:6:{s:5:"title";s:12:"Content type";s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:9:"node_type";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"type";}s:8:"langcode";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:4:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Published status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";s:9:"use_equal";b:1;}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The username of the content author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:9:"user_name";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";r:334;s:5:"title";r:334;s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";}s:5:"title";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:3:{s:2:"id";s:5:"field";s:26:"default_formatter_settings";a:1:{s:14:"link_to_entity";b:1;}s:20:"link_to_node default";b:1;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"title";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the node was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the node was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:7:"promote";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Promoted to front page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Promoted to front page status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"promote";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"A boolean indicating whether the node is visible on the front page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"sticky";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Sticky at top of lists";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Sticky status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:2:{s:2:"id";s:8:"standard";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:91:"Whether or not the content is sticky. To list sticky content first, set this to descending.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"entity field";s:6:"sticky";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"A boolean indicating whether the node should sort to the top of content lists.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:16:"default_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}s:12:"status_extra";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Published status or admin user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Filters out unpublished content if the current user cannot view it.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:3:{s:5:"field";s:6:"status";s:2:"id";s:11:"node_status";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Published status or admin user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:16:"created_fulldate";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:13:"date_fulldate";}}s:18:"created_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Created year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:15:"date_year_month";}}s:12:"created_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_year";}}s:13:"created_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Created month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:10:"date_month";}}s:11:"created_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Created day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:8:"date_day";}}s:12:"created_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_week";}}s:16:"changed_fulldate";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:13:"date_fulldate";}}s:18:"changed_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Updated year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:15:"date_year_month";}}s:12:"changed_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_year";}}s:13:"changed_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Updated month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:10:"date_month";}}s:11:"changed_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Updated day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:8:"date_day";}}s:12:"changed_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_week";}}s:12:"uid_revision";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"User has a revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"All nodes where a certain user has a revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"nid";s:6:"filter";a:1:{s:2:"id";s:17:"node_uid_revision";}s:8:"argument";a:1:{s:2:"id";s:17:"node_uid_revision";}}s:13:"comments_link";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add comment link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:140:"Display the standard add comment link used on regular @entity_type, which will only display if the viewing user has access to add a comment.";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";s:4:"node";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:19:"comment_entity_link";}}s:9:"uid_touch";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"User posted or commented";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:86:"Display nodes only if a user posted the @entity_type or commented on the @entity_type.";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";s:4:"node";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:3:"uid";s:10:"name table";s:16:"users_field_data";s:10:"name field";s:4:"name";s:2:"id";s:25:"argument_comment_user_uid";s:11:"no group by";b:1;s:11:"entity_type";s:4:"node";s:9:"entity_id";s:3:"nid";}s:6:"filter";a:6:{s:5:"field";s:3:"uid";s:10:"name table";s:16:"users_field_data";s:10:"name field";s:4:"name";s:2:"id";s:16:"comment_user_uid";s:11:"entity_type";s:4:"node";s:9:"entity_id";s:3:"nid";}}s:11:"comment_cid";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:53:"Comments of the @entity_type using field: @field_name";s:12:"\0*\0arguments";a:2:{s:12:"@entity_type";s:4:"node";s:11:"@field_name";s:7:"comment";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:159:"Relate all comments on the @entity_type. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";s:4:"node";}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:18:"comment_field_data";s:10:"base field";s:9:"entity_id";s:18:"relationship field";s:3:"nid";s:2:"id";s:8:"standard";s:5:"extra";a:2:{i:0;a:2:{s:5:"field";s:11:"entity_type";s:5:"value";s:4:"node";}i:1;a:2:{s:5:"field";s:10:"field_name";s:5:"value";s:7:"comment";}}}}s:13:"term_node_tid";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Taxonomy terms on node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:160:"Relate nodes to taxonomy terms, specifying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:3:{s:2:"id";s:14:"node_term_data";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:24:"taxonomy_term_field_data";}s:5:"field";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"All taxonomy terms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Display all taxonomy terms associated with a node from specified vocabularies.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"taxonomy_index_tid";s:11:"no group by";b:1;s:14:"click sortable";b:0;}}s:19:"term_node_tid_depth";a:4:{s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:175:"Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"nid";s:8:"argument";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Has taxonomy term ID (with depth)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:24:"taxonomy_index_tid_depth";s:21:"accept depth modifier";b:1;}s:6:"filter";a:2:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Has taxonomy terms (with depth)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:24:"taxonomy_index_tid_depth";}}s:28:"term_node_tid_depth_modifier";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Has taxonomy term ID depth modifier";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:111:"Allows the "depth" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:1:{s:2:"id";s:33:"taxonomy_index_tid_depth_modifier";}}}s:26:"node__field_mt_prs_speaker";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_prs_speaker";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_prs_speaker";a:6:{s:5:"group";r:23882;s:5:"title";s:8:"Speakers";s:11:"title short";s:8:"Speakers";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:10:"real field";s:30:"field_mt_prs_speaker_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_prs_speaker_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_prs_speaker_target_id";}}s:30:"field_mt_prs_speaker_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Speakers";s:5:"@name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Speakers";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Speakers";s:5:"@name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Speakers";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}}}s:35:"node_revision__field_mt_prs_speaker";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_prs_speaker-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Speakers";s:11:"title short";s:8:"Speakers";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:10:"real field";s:42:"field_mt_prs_speaker-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_prs_speaker_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_prs_speaker_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:43238;s:11:"title short";s:8:"Speakers";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:43404;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Speakers";s:5:"@name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Speakers";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}}s:20:"field_mt_prs_speaker";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_prs_speaker_target_id";}}}s:26:"node__field_mt_prs_session";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_prs_session";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_prs_session";a:6:{s:5:"group";r:23882;s:5:"title";s:7:"Session";s:11:"title short";s:7:"Session";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_prs_session";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:10:"real field";s:30:"field_mt_prs_session_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_prs_session_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:20:"field_mt_prs_session";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:20:"field_mt_prs_session";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:30:"field_mt_prs_session_target_id";}}s:30:"field_mt_prs_session_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Session";s:5:"@name";s:20:"field_mt_prs_session";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Session";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_session_target_id";s:5:"table";s:26:"node__field_mt_prs_session";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_session_target_id";}s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_session_target_id";s:5:"table";s:26:"node__field_mt_prs_session";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_session_target_id";}s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_session_target_id";s:5:"table";s:26:"node__field_mt_prs_session";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_session_target_id";}s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";}}}s:35:"node_revision__field_mt_prs_session";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:35:"node_revision__field_mt_prs_session";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_prs_session-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Session";s:11:"title short";s:7:"Session";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:35:"node_revision__field_mt_prs_session";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:10:"real field";s:42:"field_mt_prs_session-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_prs_session_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_prs_session_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:43617;s:11:"title short";s:7:"Session";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_session_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_session";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_session_target_id";}s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_session_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_session";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_session_target_id";}s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_session_target_id";s:5:"table";s:35:"node_revision__field_mt_prs_session";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_session_target_id";}s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";}}s:20:"field_mt_prs_session";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:20:"field_mt_prs_session";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:20:"field_mt_prs_session";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:30:"field_mt_prs_session_target_id";}}}s:27:"node__field_mt_prs_location";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_prs_location";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_prs_location";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Location";s:11:"title short";s:8:"Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_prs_location";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_prs_location_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_prs_location_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_prs_location_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Location";s:5:"@name";s:21:"field_mt_prs_location";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prs_location_value";s:5:"table";s:27:"node__field_mt_prs_location";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prs_location_value";}s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prs_location_value";s:5:"table";s:27:"node__field_mt_prs_location";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prs_location_value";}s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prs_location_value";s:5:"table";s:27:"node__field_mt_prs_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prs_location_value";}s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_prs_location";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_prs_location";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_prs_location-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Location";s:11:"title short";s:8:"Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_prs_location";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_prs_location-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_prs_location_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_prs_location_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:43838;s:11:"title short";s:8:"Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prs_location_value";s:5:"table";s:36:"node_revision__field_mt_prs_location";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prs_location_value";}s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prs_location_value";s:5:"table";s:36:"node_revision__field_mt_prs_location";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prs_location_value";}s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prs_location_value";s:5:"table";s:36:"node_revision__field_mt_prs_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prs_location_value";}s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_prs_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_prs_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_prs_image";a:5:{s:5:"group";r:23882;s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_prs_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prs_image_target_id";i:4;s:22:"field_mt_prs_image_alt";i:5;s:24:"field_mt_prs_image_title";i:6;s:24:"field_mt_prs_image_width";i:7;s:25:"field_mt_prs_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_prs_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prs_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prs_image_target_id";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prs_image_target_id";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prs_image_target_id";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prs_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_prs_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prs_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_prs_image_alt";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_prs_image_alt";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_prs_image_alt";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prs_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prs_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_image_title";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_image_title";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_image_title";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prs_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prs_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_image_width";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_image_width";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_image_width";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prs_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prs_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prs_image_height";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prs_image_height";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prs_image_height";s:5:"table";s:24:"node__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_prs_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_prs_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_prs_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_prs_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prs_image_target_id";i:4;s:22:"field_mt_prs_image_alt";i:5;s:24:"field_mt_prs_image_title";i:6;s:24:"field_mt_prs_image_width";i:7;s:25:"field_mt_prs_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_prs_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:44038;s:11:"title short";r:44045;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prs_image_target_id";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prs_image_target_id";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prs_image_target_id";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prs_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_prs_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:44206;s:11:"title short";r:44213;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_prs_image_alt";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_prs_image_alt";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_prs_image_alt";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prs_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:44285;s:11:"title short";r:44292;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_image_title";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_image_title";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_image_title";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prs_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:44364;s:11:"title short";r:44371;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_image_width";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_image_width";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_image_width";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prs_image_height";a:7:{s:5:"group";r:44646;s:5:"title";r:44443;s:11:"title short";r:44450;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prs_image_height";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prs_image_height";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prs_image_height";s:5:"table";s:33:"node_revision__field_mt_prs_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_image_target_id";i:7;s:22:"field_mt_prs_image_alt";i:8;s:24:"field_mt_prs_image_title";i:9;s:24:"field_mt_prs_image_width";i:10;s:25:"field_mt_prs_image_height";}s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_prs_files";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_prs_files";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_prs_files";a:5:{s:5:"group";r:23882;s:5:"title";s:5:"Files";s:11:"title short";s:5:"Files";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_prs_files_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prs_files_target_id";i:4;s:26:"field_mt_prs_files_display";i:5;s:30:"field_mt_prs_files_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_prs_files_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_prs_files";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prs_files_target_id";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prs_files_target_id";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prs_files_target_id";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_files";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_prs_files";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}}s:26:"field_mt_prs_files_display";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_prs_files";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_prs_files_display";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_prs_files_display";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_prs_files_display";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_prs_files_description";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_prs_files";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_files_description";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_files_description";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_files_description";s:5:"table";s:24:"node__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_prs_files";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_prs_files";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_prs_files-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Files";s:11:"title short";s:5:"Files";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_prs_files-revision_id_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prs_files_target_id";i:4;s:26:"field_mt_prs_files_display";i:5;s:30:"field_mt_prs_files_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_prs_files_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:45052;s:11:"title short";r:45059;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prs_files_target_id";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prs_files_target_id";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prs_files_target_id";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_files";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_prs_files";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}}s:26:"field_mt_prs_files_display";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:45208;s:11:"title short";r:45215;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_prs_files_display";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_prs_files_display";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_prs_files_display";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_prs_files_description";a:7:{s:5:"group";r:45470;s:5:"title";r:45281;s:11:"title short";r:45288;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_files_description";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_files_description";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_files_description";s:5:"table";s:33:"node_revision__field_mt_prs_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prs_files_target_id";i:7;s:26:"field_mt_prs_files_display";i:8;s:30:"field_mt_prs_files_description";}s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_prs_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_prs_date";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_prs_date";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Date";s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_prs_date";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_prs_date_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_prs_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_prs_date_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Date";s:5:"@name";s:17:"field_mt_prs_date";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_prs_date_value";s:5:"table";s:23:"node__field_mt_prs_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_date_value";}s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_prs_date_value";s:5:"table";s:23:"node__field_mt_prs_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_date_value";}s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_prs_date_value";s:5:"table";s:23:"node__field_mt_prs_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_date_value";}s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";}}s:28:"field_mt_prs_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:23882;}s:29:"field_mt_prs_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:23882;}s:27:"field_mt_prs_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:23882;}s:28:"field_mt_prs_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:23882;}s:34:"field_mt_prs_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:23882;}s:33:"field_mt_prs_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:23882;}}s:32:"node_revision__field_mt_prs_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_prs_date";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_prs_date-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Date";s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_prs_date";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_prs_date-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_prs_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_prs_date_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:45712;s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_prs_date_value";s:5:"table";s:32:"node_revision__field_mt_prs_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_date_value";}s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_prs_date_value";s:5:"table";s:32:"node_revision__field_mt_prs_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_date_value";}s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_prs_date_value";s:5:"table";s:32:"node_revision__field_mt_prs_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_date_value";}s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";}}s:28:"field_mt_prs_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:45919;}s:29:"field_mt_prs_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:45919;}s:27:"field_mt_prs_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:45919;}s:28:"field_mt_prs_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:45919;}s:34:"field_mt_prs_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:45919;}s:33:"field_mt_prs_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_prs_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_prs_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_prs_date";}s:5:"group";r:45919;}}s:27:"node__field_mt_prs_category";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_prs_category";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_prs_category";a:6:{s:5:"group";r:23882;s:5:"title";s:8:"Category";s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_prs_category";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:10:"real field";s:31:"field_mt_prs_category_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prs_category_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prs_category";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prs_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:31:"field_mt_prs_category_target_id";}}s:31:"field_mt_prs_category_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Category";s:5:"@name";s:21:"field_mt_prs_category";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prs_category_target_id";s:5:"table";s:27:"node__field_mt_prs_category";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_category_target_id";}s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prs_category_target_id";s:5:"table";s:27:"node__field_mt_prs_category";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_category_target_id";}s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prs_category_target_id";s:5:"table";s:27:"node__field_mt_prs_category";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_category_target_id";}s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_prs_category";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_prs_category";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_prs_category-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Category";s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_prs_category";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:10:"real field";s:43:"field_mt_prs_category-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prs_category_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_prs_category_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:46148;s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prs_category_target_id";s:5:"table";s:36:"node_revision__field_mt_prs_category";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_category_target_id";}s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prs_category_target_id";s:5:"table";s:36:"node_revision__field_mt_prs_category";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_category_target_id";}s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prs_category_target_id";s:5:"table";s:36:"node_revision__field_mt_prs_category";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_category_target_id";}s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";}}s:21:"field_mt_prs_category";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prs_category";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prs_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:31:"field_mt_prs_category_target_id";}}}s:23:"node__field_mt_prs_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_prs_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_prs_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_prs_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_prs_body_value";i:4;s:25:"field_mt_prs_body_summary";i:5;s:24:"field_mt_prs_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_prs_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_prs_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_prs_body_value";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_prs_body_value";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_prs_body_value";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prs_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_prs_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prs_body_summary";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prs_body_summary";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prs_body_summary";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prs_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_prs_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_body_format";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_body_format";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_body_format";s:5:"table";s:23:"node__field_mt_prs_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_prs_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_prs_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_prs_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_prs_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_prs_body_value";i:4;s:25:"field_mt_prs_body_summary";i:5;s:24:"field_mt_prs_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_prs_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:46371;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_prs_body_value";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_prs_body_value";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_prs_body_value";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prs_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:46438;s:11:"title short";r:46445;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prs_body_summary";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prs_body_summary";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prs_body_summary";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prs_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:46511;s:11:"title short";r:46518;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prs_body_format";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prs_body_format";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prs_body_format";s:5:"table";s:32:"node_revision__field_mt_prs_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prs_body_value";i:7;s:25:"field_mt_prs_body_summary";i:8;s:24:"field_mt_prs_body_format";}s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";}}}s:26:"node__field_mt_prs_authors";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_prs_authors";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_prs_authors";a:5:{s:5:"group";r:23882;s:5:"title";s:7:"Authors";s:11:"title short";s:7:"Authors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_prs_authors";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:10:"real field";s:26:"field_mt_prs_authors_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_prs_authors_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:26:"field_mt_prs_authors_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Authors";s:5:"@name";s:20:"field_mt_prs_authors";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Authors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_prs_authors_value";s:5:"table";s:26:"node__field_mt_prs_authors";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_prs_authors_value";s:5:"table";s:26:"node__field_mt_prs_authors";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_prs_authors_value";s:5:"table";s:26:"node__field_mt_prs_authors";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Authors";s:5:"@name";s:20:"field_mt_prs_authors";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:7:"Authors";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_authors";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_authors";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_authors";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";}}}s:35:"node_revision__field_mt_prs_authors";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_prs_authors-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Authors";s:11:"title short";s:7:"Authors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:10:"real field";s:38:"field_mt_prs_authors-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:26:"field_mt_prs_authors_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:26:"field_mt_prs_authors_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:46859;s:11:"title short";s:7:"Authors";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_prs_authors_value";s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_prs_authors_value";s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_prs_authors_value";s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:47025;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Authors";s:5:"@name";s:20:"field_mt_prs_authors";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:7:"Authors";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:35:"node_revision__field_mt_prs_authors";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:26:"field_mt_prs_authors_value";}s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_prs_affiliations";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_prs_affiliations";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_prs_affiliations";a:5:{s:5:"group";r:23882;s:5:"title";s:12:"Affiliations";s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_prs_affiliations";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:10:"real field";s:31:"field_mt_prs_affiliations_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prs_affiliations_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_prs_affiliations_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Affiliations";s:5:"@name";s:25:"field_mt_prs_affiliations";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prs_affiliations_value";s:5:"table";s:31:"node__field_mt_prs_affiliations";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prs_affiliations_value";s:5:"table";s:31:"node__field_mt_prs_affiliations";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prs_affiliations_value";s:5:"table";s:31:"node__field_mt_prs_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Affiliations";s:5:"@name";s:25:"field_mt_prs_affiliations";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Affiliations";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_prs_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_prs_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_prs_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_prs_affiliations";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_prs_affiliations-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Affiliations";s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:10:"real field";s:43:"field_mt_prs_affiliations-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prs_affiliations_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_prs_affiliations_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:47189;s:11:"title short";s:12:"Affiliations";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prs_affiliations_value";s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prs_affiliations_value";s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prs_affiliations_value";s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:47355;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Affiliations";s:5:"@name";s:25:"field_mt_prs_affiliations";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Affiliations";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_prs_affiliations";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prs_affiliations_value";}s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";}}}s:29:"node__field_mt_prg_start_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:29:"node__field_mt_prg_start_date";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_prg_start_date";a:5:{s:5:"group";r:23882;s:5:"title";s:10:"Start Date";s:11:"title short";s:10:"Start Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"node__field_mt_prg_start_date";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:29:"field_mt_prg_start_date_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_prg_start_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_prg_start_date_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Start Date";s:5:"@name";s:23:"field_mt_prg_start_date";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:10:"Start Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:5:"table";s:29:"node__field_mt_prg_start_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prg_start_date_value";}s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:5:"table";s:29:"node__field_mt_prg_start_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prg_start_date_value";}s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:5:"table";s:29:"node__field_mt_prg_start_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prg_start_date_value";}s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prg_start_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:23882;}s:35:"field_mt_prg_start_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:23882;}s:33:"field_mt_prg_start_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:23882;}s:34:"field_mt_prg_start_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:23882;}s:40:"field_mt_prg_start_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:23882;}s:39:"field_mt_prg_start_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:23882;}}s:38:"node_revision__field_mt_prg_start_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:38:"node_revision__field_mt_prg_start_date";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_prg_start_date-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:10:"Start Date";s:11:"title short";s:10:"Start Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"node_revision__field_mt_prg_start_date";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:41:"field_mt_prg_start_date-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_prg_start_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_prg_start_date_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:47519;s:11:"title short";s:10:"Start Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:5:"table";s:38:"node_revision__field_mt_prg_start_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prg_start_date_value";}s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:5:"table";s:38:"node_revision__field_mt_prg_start_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prg_start_date_value";}s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:5:"table";s:38:"node_revision__field_mt_prg_start_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_prg_start_date_value";}s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prg_start_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:47726;}s:35:"field_mt_prg_start_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:47726;}s:33:"field_mt_prg_start_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:47726;}s:34:"field_mt_prg_start_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:47726;}s:40:"field_mt_prg_start_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:47726;}s:39:"field_mt_prg_start_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:28:"node.field_mt_prg_start_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:29:"field_mt_prg_start_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:23:"field_mt_prg_start_date";}s:5:"group";r:47726;}}s:24:"node__field_mt_prg_event";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_prg_event";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_prg_event";a:6:{s:5:"group";r:23882;s:5:"title";s:18:"Event/Presentation";s:11:"title short";s:18:"Event/Presentation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_prg_event";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_prg_event_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prg_event_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:18:"field_mt_prg_event";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:18:"field_mt_prg_event";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:28:"field_mt_prg_event_target_id";}}s:28:"field_mt_prg_event_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:18:"Event/Presentation";s:5:"@name";s:18:"field_mt_prg_event";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:18:"Event/Presentation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prg_event_target_id";s:5:"table";s:24:"node__field_mt_prg_event";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prg_event_target_id";}s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prg_event_target_id";s:5:"table";s:24:"node__field_mt_prg_event";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prg_event_target_id";}s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prg_event_target_id";s:5:"table";s:24:"node__field_mt_prg_event";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prg_event_target_id";}s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_prg_event";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_prg_event";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_prg_event-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:18:"Event/Presentation";s:11:"title short";s:18:"Event/Presentation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_prg_event";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_prg_event-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prg_event_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_prg_event_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:47955;s:11:"title short";s:18:"Event/Presentation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prg_event_target_id";s:5:"table";s:33:"node_revision__field_mt_prg_event";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prg_event_target_id";}s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prg_event_target_id";s:5:"table";s:33:"node_revision__field_mt_prg_event";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prg_event_target_id";}s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prg_event_target_id";s:5:"table";s:33:"node_revision__field_mt_prg_event";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prg_event_target_id";}s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";}}s:18:"field_mt_prg_event";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:18:"field_mt_prg_event";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:18:"field_mt_prg_event";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:28:"field_mt_prg_event_target_id";}}}s:27:"node__field_mt_prg_end_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_prg_end_date";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_prg_end_date";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"End Date";s:11:"title short";s:8:"End Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_prg_end_date";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_prg_end_date_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_prg_end_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_prg_end_date_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"End Date";s:5:"@name";s:21:"field_mt_prg_end_date";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"End Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:5:"table";s:27:"node__field_mt_prg_end_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prg_end_date_value";}s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:5:"table";s:27:"node__field_mt_prg_end_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prg_end_date_value";}s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:5:"table";s:27:"node__field_mt_prg_end_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prg_end_date_value";}s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_prg_end_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:23882;}s:33:"field_mt_prg_end_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:23882;}s:31:"field_mt_prg_end_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:23882;}s:32:"field_mt_prg_end_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:23882;}s:38:"field_mt_prg_end_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:23882;}s:37:"field_mt_prg_end_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:23882;}}s:36:"node_revision__field_mt_prg_end_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_prg_end_date";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_prg_end_date-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"End Date";s:11:"title short";s:8:"End Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_prg_end_date";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_prg_end_date-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_prg_end_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_prg_end_date_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:48176;s:11:"title short";s:8:"End Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:5:"table";s:36:"node_revision__field_mt_prg_end_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prg_end_date_value";}s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:5:"table";s:36:"node_revision__field_mt_prg_end_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prg_end_date_value";}s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:5:"table";s:36:"node_revision__field_mt_prg_end_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prg_end_date_value";}s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_prg_end_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:48383;}s:33:"field_mt_prg_end_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:48383;}s:31:"field_mt_prg_end_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:48383;}s:32:"field_mt_prg_end_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:48383;}s:38:"field_mt_prg_end_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:48383;}s:37:"field_mt_prg_end_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:26:"node.field_mt_prg_end_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:27:"field_mt_prg_end_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:21:"field_mt_prg_end_date";}s:5:"group";r:48383;}}s:27:"node__field_mt_prg_category";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_prg_category";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_prg_category";a:6:{s:5:"group";r:23882;s:5:"title";s:8:"Category";s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_prg_category";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:10:"real field";s:31:"field_mt_prg_category_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prg_category_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prg_category";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prg_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:31:"field_mt_prg_category_target_id";}}s:31:"field_mt_prg_category_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Category";s:5:"@name";s:21:"field_mt_prg_category";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prg_category_target_id";s:5:"table";s:27:"node__field_mt_prg_category";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prg_category_target_id";}s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prg_category_target_id";s:5:"table";s:27:"node__field_mt_prg_category";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prg_category_target_id";}s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prg_category_target_id";s:5:"table";s:27:"node__field_mt_prg_category";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prg_category_target_id";}s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_prg_category";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_prg_category";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_prg_category-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Category";s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_prg_category";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:10:"real field";s:43:"field_mt_prg_category-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prg_category_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_prg_category_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:48612;s:11:"title short";s:8:"Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prg_category_target_id";s:5:"table";s:36:"node_revision__field_mt_prg_category";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prg_category_target_id";}s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prg_category_target_id";s:5:"table";s:36:"node_revision__field_mt_prg_category";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prg_category_target_id";}s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prg_category_target_id";s:5:"table";s:36:"node_revision__field_mt_prg_category";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prg_category_target_id";}s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";}}s:21:"field_mt_prg_category";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prg_category";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:21:"field_mt_prg_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:16:"mt_program_entry";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:31:"field_mt_prg_category_target_id";}}}s:24:"node__field_mt_prd_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_prd_video";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_prd_video";a:5:{s:5:"group";r:23882;s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_prd_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_prd_video_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_prd_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_prd_video_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_prd_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_video_value";s:5:"table";s:24:"node__field_mt_prd_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_video_value";s:5:"table";s:24:"node__field_mt_prd_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_video_value";s:5:"table";s:24:"node__field_mt_prd_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_prd_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_prd_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_prd_video";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_prd_video-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_prd_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_prd_video-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_prd_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_prd_video_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:48833;s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_video_value";s:5:"table";s:33:"node_revision__field_mt_prd_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_video_value";s:5:"table";s:33:"node_revision__field_mt_prd_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_video_value";s:5:"table";s:33:"node_revision__field_mt_prd_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:48999;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_prd_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prd_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prd_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prd_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_video_value";}s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_prd_tags";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_prd_tags";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_prd_tags";a:6:{s:5:"group";r:23882;s:5:"title";s:4:"Tags";s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_prd_tags";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_prd_tags_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_prd_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:27:"field_mt_prd_tags_target_id";}}s:27:"field_mt_prd_tags_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:23:"node__field_mt_prd_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:23:"node__field_mt_prd_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:23:"node__field_mt_prd_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:23:"node__field_mt_prd_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:23:"node__field_mt_prd_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:23:"node__field_mt_prd_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_prd_tags";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_prd_tags-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Tags";s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_prd_tags-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_prd_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_prd_tags_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:49187;s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:49353;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:32:"node_revision__field_mt_prd_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_prd_tags_target_id";}s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";}}s:17:"field_mt_prd_tags";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_prd_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:27:"field_mt_prd_tags_target_id";}}}s:33:"node__field_mt_prd_subheader_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_prd_subheader_body";a:5:{s:5:"group";r:23882;s:5:"title";s:14:"Subheader body";s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:33:"field_mt_prd_subheader_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_prd_subheader_body_value";i:4;s:35:"field_mt_prd_subheader_body_summary";i:5;s:34:"field_mt_prd_subheader_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_prd_subheader_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:27:"field_mt_prd_subheader_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_prd_subheader_body_value";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_prd_subheader_body_value";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_prd_subheader_body_value";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_prd_subheader_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:27:"field_mt_prd_subheader_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_subheader_body_summary";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_subheader_body_summary";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_subheader_body_summary";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_subheader_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:14:"Subheader body";s:5:"@name";s:27:"field_mt_prd_subheader_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Subheader body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_subheader_body_format";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_subheader_body_format";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_subheader_body_format";s:5:"table";s:33:"node__field_mt_prd_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";}}}s:42:"node_revision__field_mt_prd_subheader_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_prd_subheader_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Subheader body";s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:45:"field_mt_prd_subheader_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_prd_subheader_body_value";i:4;s:35:"field_mt_prd_subheader_body_summary";i:5;s:34:"field_mt_prd_subheader_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_prd_subheader_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:49544;s:11:"title short";s:14:"Subheader body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_prd_subheader_body_value";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_prd_subheader_body_value";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_prd_subheader_body_value";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_prd_subheader_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:49611;s:11:"title short";r:49618;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_subheader_body_summary";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_subheader_body_summary";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_subheader_body_summary";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_subheader_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:49684;s:11:"title short";r:49691;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_subheader_body_format";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_subheader_body_format";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_subheader_body_format";s:5:"table";s:42:"node_revision__field_mt_prd_subheader_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_subheader_body_value";i:7;s:35:"field_mt_prd_subheader_body_summary";i:8;s:34:"field_mt_prd_subheader_body_format";}s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_prd_product_code";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_prd_product_code";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_prd_product_code";a:5:{s:5:"group";r:23882;s:5:"title";s:3:"SKU";s:11:"title short";s:3:"SKU";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_prd_product_code";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:10:"real field";s:31:"field_mt_prd_product_code_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prd_product_code_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_prd_product_code_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:3:"SKU";s:5:"@name";s:25:"field_mt_prd_product_code";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:3:"SKU";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prd_product_code_value";s:5:"table";s:31:"node__field_mt_prd_product_code";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_product_code_value";}s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prd_product_code_value";s:5:"table";s:31:"node__field_mt_prd_product_code";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_product_code_value";}s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prd_product_code_value";s:5:"table";s:31:"node__field_mt_prd_product_code";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_product_code_value";}s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_prd_product_code";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_prd_product_code";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_prd_product_code-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:3:"SKU";s:11:"title short";s:3:"SKU";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_prd_product_code";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:10:"real field";s:43:"field_mt_prd_product_code-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prd_product_code_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_prd_product_code_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:50032;s:11:"title short";s:3:"SKU";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prd_product_code_value";s:5:"table";s:40:"node_revision__field_mt_prd_product_code";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_product_code_value";}s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prd_product_code_value";s:5:"table";s:40:"node_revision__field_mt_prd_product_code";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_product_code_value";}s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prd_product_code_value";s:5:"table";s:40:"node_revision__field_mt_prd_product_code";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_product_code_value";}s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";}}}s:37:"node__field_mt_prd_pricing_table_item";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:31:"field_mt_prd_pricing_table_item";a:5:{s:5:"group";r:23882;s:5:"title";s:21:"Pricing Table Feature";s:11:"title short";s:21:"Pricing Table Feature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:2:"id";s:5:"field";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:10:"real field";s:37:"field_mt_prd_pricing_table_item_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_prd_pricing_table_item_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:37:"field_mt_prd_pricing_table_item_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:21:"Pricing Table Feature";s:5:"@name";s:31:"field_mt_prd_pricing_table_item";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:21:"Pricing Table Feature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:21:"Pricing Table Feature";s:5:"@name";s:31:"field_mt_prd_pricing_table_item";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:21:"Pricing Table Feature";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";}}}s:46:"node_revision__field_mt_prd_pricing_table_item";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:43:"field_mt_prd_pricing_table_item-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:21:"Pricing Table Feature";s:11:"title short";s:21:"Pricing Table Feature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:2:"id";s:5:"field";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:10:"real field";s:49:"field_mt_prd_pricing_table_item-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_prd_pricing_table_item_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:37:"field_mt_prd_pricing_table_item_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:50228;s:11:"title short";s:21:"Pricing Table Feature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:50394;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:21:"Pricing Table Feature";s:5:"@name";s:31:"field_mt_prd_pricing_table_item";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:21:"Pricing Table Feature";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:46:"node_revision__field_mt_prd_pricing_table_item";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_prd_pricing_table_item_value";}s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_prd_price";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_prd_price";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_prd_price";a:5:{s:5:"group";r:23882;s:5:"title";s:5:"Price";s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_prd_price";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_prd_price_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_prd_price_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_prd_price_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Price";s:5:"@name";s:18:"field_mt_prd_price";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_price_value";s:5:"table";s:24:"node__field_mt_prd_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_price_value";}s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_price_value";s:5:"table";s:24:"node__field_mt_prd_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_price_value";}s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_price_value";s:5:"table";s:24:"node__field_mt_prd_price";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_price_value";}s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_prd_price";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_prd_price";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_prd_price-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Price";s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_prd_price";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_prd_price-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_prd_price_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_prd_price_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:50558;s:11:"title short";s:5:"Price";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_price_value";s:5:"table";s:33:"node_revision__field_mt_prd_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_price_value";}s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_price_value";s:5:"table";s:33:"node_revision__field_mt_prd_price";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_price_value";}s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_price_value";s:5:"table";s:33:"node_revision__field_mt_prd_price";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_prd_price_value";}s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_prd_most_popular";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_prd_most_popular";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_prd_most_popular";a:5:{s:5:"group";r:23882;s:5:"title";s:12:"Most Popular";s:11:"title short";s:12:"Most Popular";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_prd_most_popular";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:10:"real field";s:31:"field_mt_prd_most_popular_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prd_most_popular_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_prd_most_popular_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Most Popular";s:5:"@name";s:25:"field_mt_prd_most_popular";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:12:"Most Popular";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prd_most_popular_value";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_most_popular_value";}s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prd_most_popular_value";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_most_popular_value";}s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prd_most_popular_value";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_most_popular_value";}s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_prd_most_popular";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_prd_most_popular";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_prd_most_popular-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Most Popular";s:11:"title short";s:12:"Most Popular";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_prd_most_popular";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:10:"real field";s:43:"field_mt_prd_most_popular-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prd_most_popular_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_prd_most_popular_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:50754;s:11:"title short";s:12:"Most Popular";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prd_most_popular_value";s:5:"table";s:40:"node_revision__field_mt_prd_most_popular";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_most_popular_value";}s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prd_most_popular_value";s:5:"table";s:40:"node_revision__field_mt_prd_most_popular";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_most_popular_value";}s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prd_most_popular_value";s:5:"table";s:40:"node_revision__field_mt_prd_most_popular";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_most_popular_value";}s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";}}}s:34:"node__field_mt_prd_landscape_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_prd_landscape_image";a:5:{s:5:"group";r:23882;s:5:"title";s:15:"Landscape Image";s:11:"title short";s:15:"Landscape Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:38:"field_mt_prd_landscape_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:38:"field_mt_prd_landscape_image_target_id";i:4;s:32:"field_mt_prd_landscape_image_alt";i:5;s:34:"field_mt_prd_landscape_image_title";i:6;s:34:"field_mt_prd_landscape_image_width";i:7;s:35:"field_mt_prd_landscape_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:38:"field_mt_prd_landscape_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Landscape Image";s:5:"@name";s:28:"field_mt_prd_landscape_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Landscape Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_prd_landscape_image_target_id";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_prd_landscape_image_target_id";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:38:"field_mt_prd_landscape_image_target_id";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_landscape_image";}s:10:"\0*\0options";a:0:{}}}}s:32:"field_mt_prd_landscape_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Landscape Image";s:5:"@name";s:28:"field_mt_prd_landscape_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Landscape Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_prd_landscape_image_alt";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_prd_landscape_image_alt";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_prd_landscape_image_alt";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_landscape_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Landscape Image";s:5:"@name";s:28:"field_mt_prd_landscape_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Landscape Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_title";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_title";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_landscape_image_title";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_landscape_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Landscape Image";s:5:"@name";s:28:"field_mt_prd_landscape_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Landscape Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_width";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_width";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_landscape_image_width";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_prd_landscape_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:15:"Landscape Image";s:5:"@name";s:28:"field_mt_prd_landscape_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Landscape Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_landscape_image_height";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_landscape_image_height";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_landscape_image_height";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}}s:43:"node_revision__field_mt_prd_landscape_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_prd_landscape_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:15:"Landscape Image";s:11:"title short";s:15:"Landscape Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:50:"field_mt_prd_landscape_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:38:"field_mt_prd_landscape_image_target_id";i:4;s:32:"field_mt_prd_landscape_image_alt";i:5;s:34:"field_mt_prd_landscape_image_title";i:6;s:34:"field_mt_prd_landscape_image_width";i:7;s:35:"field_mt_prd_landscape_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:38:"field_mt_prd_landscape_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:50954;s:11:"title short";r:50961;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_prd_landscape_image_target_id";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_prd_landscape_image_target_id";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:38:"field_mt_prd_landscape_image_target_id";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_landscape_image";}s:10:"\0*\0options";a:0:{}}}}s:32:"field_mt_prd_landscape_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:51043;s:11:"title short";r:51050;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_prd_landscape_image_alt";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_prd_landscape_image_alt";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_prd_landscape_image_alt";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_landscape_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:51122;s:11:"title short";r:51129;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_title";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_title";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_landscape_image_title";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_landscape_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:51201;s:11:"title short";r:51208;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_width";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_landscape_image_width";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_landscape_image_width";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_prd_landscape_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:51280;s:11:"title short";r:51287;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_landscape_image_height";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_landscape_image_height";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_landscape_image_height";s:5:"table";s:43:"node_revision__field_mt_prd_landscape_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_landscape_image_target_id";i:7;s:32:"field_mt_prd_landscape_image_alt";i:8;s:34:"field_mt_prd_landscape_image_title";i:9;s:34:"field_mt_prd_landscape_image_width";i:10;s:35:"field_mt_prd_landscape_image_height";}s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_prd_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_prd_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_prd_image";a:5:{s:5:"group";r:23882;s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_prd_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prd_image_target_id";i:4;s:22:"field_mt_prd_image_alt";i:5;s:24:"field_mt_prd_image_title";i:6;s:24:"field_mt_prd_image_width";i:7;s:25:"field_mt_prd_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_prd_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prd_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prd_image_target_id";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prd_image_target_id";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prd_image_target_id";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prd_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prd_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_prd_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prd_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_prd_image_alt";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_prd_image_alt";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_prd_image_alt";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prd_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prd_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_image_title";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_image_title";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_image_title";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prd_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prd_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_image_width";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_image_width";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_image_width";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prd_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prd_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prd_image_height";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prd_image_height";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prd_image_height";s:5:"table";s:24:"node__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_prd_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_prd_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_prd_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_prd_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_prd_image_target_id";i:4;s:22:"field_mt_prd_image_alt";i:5;s:24:"field_mt_prd_image_title";i:6;s:24:"field_mt_prd_image_width";i:7;s:25:"field_mt_prd_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_prd_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:51812;s:11:"title short";r:51819;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_prd_image_target_id";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_prd_image_target_id";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_prd_image_target_id";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prd_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_prd_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_prd_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:51980;s:11:"title short";r:51987;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_prd_image_alt";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_prd_image_alt";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_prd_image_alt";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prd_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:52059;s:11:"title short";r:52066;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_image_title";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_image_title";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_image_title";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prd_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:52138;s:11:"title short";r:52145;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_image_width";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_image_width";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_image_width";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prd_image_height";a:7:{s:5:"group";r:52420;s:5:"title";r:52217;s:11:"title short";r:52224;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prd_image_height";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prd_image_height";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prd_image_height";s:5:"table";s:33:"node_revision__field_mt_prd_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_prd_image_target_id";i:7;s:22:"field_mt_prd_image_alt";i:8;s:24:"field_mt_prd_image_title";i:9;s:24:"field_mt_prd_image_width";i:10;s:25:"field_mt_prd_image_height";}s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";}}}s:28:"node__field_mt_prd_highlight";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:28:"node__field_mt_prd_highlight";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:22:"field_mt_prd_highlight";a:6:{s:5:"group";r:23882;s:5:"title";s:9:"Highlight";s:11:"title short";s:9:"Highlight";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:10:"real field";s:32:"field_mt_prd_highlight_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_prd_highlight_target_id";i:4;s:41:"field_mt_prd_highlight_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_prd_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_prd_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:41:"field_mt_prd_highlight_target_revision_id";}}s:32:"field_mt_prd_highlight_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_prd_highlight";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_prd_highlight_target_id";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_prd_highlight_target_id";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_prd_highlight_target_id";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_prd_highlight";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Highlight";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}}s:41:"field_mt_prd_highlight_target_revision_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_prd_highlight";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:41:"field_mt_prd_highlight_target_revision_id";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:41:"field_mt_prd_highlight_target_revision_id";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:41:"field_mt_prd_highlight_target_revision_id";s:5:"table";s:28:"node__field_mt_prd_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}}}s:37:"node_revision__field_mt_prd_highlight";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:34:"field_mt_prd_highlight-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Highlight";s:11:"title short";s:9:"Highlight";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:10:"real field";s:44:"field_mt_prd_highlight-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_prd_highlight_target_id";i:4;s:41:"field_mt_prd_highlight_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:32:"field_mt_prd_highlight_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:52849;s:11:"title short";r:52856;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_prd_highlight_target_id";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_prd_highlight_target_id";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_prd_highlight_target_id";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Highlight";s:5:"@name";s:22:"field_mt_prd_highlight";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Highlight";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}}s:41:"field_mt_prd_highlight_target_revision_id";a:7:{s:5:"group";r:53161;s:5:"title";r:52989;s:11:"title short";r:52996;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:41:"field_mt_prd_highlight_target_revision_id";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:41:"field_mt_prd_highlight_target_revision_id";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:41:"field_mt_prd_highlight_target_revision_id";s:5:"table";s:37:"node_revision__field_mt_prd_highlight";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_prd_highlight_target_id";i:7;s:41:"field_mt_prd_highlight_target_revision_id";}s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_prd_highlight";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_prd_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:22:"field_mt_prd_highlight";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:41:"field_mt_prd_highlight_target_revision_id";}}}s:31:"node__field_mt_prd_content_tabs";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_prd_content_tabs";a:6:{s:5:"group";r:23882;s:5:"title";s:4:"Tabs";s:11:"title short";s:4:"Tabs";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_prd_content_tabs_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_prd_content_tabs_target_id";i:4;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:25:"field_mt_prd_content_tabs";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:25:"field_mt_prd_content_tabs";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:44:"field_mt_prd_content_tabs_target_revision_id";}}s:35:"field_mt_prd_content_tabs_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Tabs";s:5:"@name";s:25:"field_mt_prd_content_tabs";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tabs";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_content_tabs_target_id";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_content_tabs_target_id";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_content_tabs_target_id";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tabs";s:5:"@name";s:25:"field_mt_prd_content_tabs";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tabs";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}}s:44:"field_mt_prd_content_tabs_target_revision_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Tabs";s:5:"@name";s:25:"field_mt_prd_content_tabs";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tabs";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:44:"field_mt_prd_content_tabs_target_revision_id";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:44:"field_mt_prd_content_tabs_target_revision_id";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:44:"field_mt_prd_content_tabs_target_revision_id";s:5:"table";s:31:"node__field_mt_prd_content_tabs";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_prd_content_tabs";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_prd_content_tabs-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Tabs";s:11:"title short";s:4:"Tabs";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:10:"real field";s:47:"field_mt_prd_content_tabs-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_prd_content_tabs_target_id";i:4;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_prd_content_tabs_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:53381;s:11:"title short";r:53388;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_content_tabs_target_id";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_content_tabs_target_id";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_content_tabs_target_id";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tabs";s:5:"@name";s:25:"field_mt_prd_content_tabs";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tabs";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}}s:44:"field_mt_prd_content_tabs_target_revision_id";a:7:{s:5:"group";r:53693;s:5:"title";r:53521;s:11:"title short";r:53528;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:44:"field_mt_prd_content_tabs_target_revision_id";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:44:"field_mt_prd_content_tabs_target_revision_id";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:44:"field_mt_prd_content_tabs_target_revision_id";s:5:"table";s:40:"node_revision__field_mt_prd_content_tabs";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_prd_content_tabs_target_id";i:7;s:44:"field_mt_prd_content_tabs_target_revision_id";}s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prd_content_tabs";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:25:"field_mt_prd_content_tabs";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:25:"field_mt_prd_content_tabs";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:44:"field_mt_prd_content_tabs_target_revision_id";}}}s:29:"node__field_mt_prd_categories";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:29:"node__field_mt_prd_categories";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_prd_categories";a:6:{s:5:"group";r:23882;s:5:"title";s:10:"Categories";s:11:"title short";s:10:"Categories";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:29:"node__field_mt_prd_categories";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:10:"real field";s:33:"field_mt_prd_categories_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_prd_categories_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:33:"field_mt_prd_categories_target_id";}}s:33:"field_mt_prd_categories_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Categories";s:5:"@name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:10:"Categories";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:29:"node__field_mt_prd_categories";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:29:"node__field_mt_prd_categories";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:29:"node__field_mt_prd_categories";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Categories";s:5:"@name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:10:"Categories";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:29:"node__field_mt_prd_categories";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:29:"node__field_mt_prd_categories";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:29:"node__field_mt_prd_categories";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";}}}s:38:"node_revision__field_mt_prd_categories";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_prd_categories-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:10:"Categories";s:11:"title short";s:10:"Categories";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:10:"real field";s:45:"field_mt_prd_categories-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_prd_categories_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_prd_categories_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:53912;s:11:"title short";s:10:"Categories";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:54078;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Categories";s:5:"@name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:10:"Categories";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:38:"node_revision__field_mt_prd_categories";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_prd_categories_target_id";}s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";}}s:23:"field_mt_prd_categories";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:23:"field_mt_prd_categories";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:33:"field_mt_prd_categories_target_id";}}}s:27:"node__field_mt_prd_buy_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_prd_buy_link";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_prd_buy_link";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Buy Link";s:11:"title short";s:8:"Buy Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:10:"real field";s:25:"field_mt_prd_buy_link_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_prd_buy_link_uri";i:4;s:27:"field_mt_prd_buy_link_title";i:5;s:29:"field_mt_prd_buy_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:25:"field_mt_prd_buy_link_uri";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Buy Link";s:5:"@name";s:21:"field_mt_prd_buy_link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Buy Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prd_buy_link_uri";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prd_buy_link_uri";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prd_buy_link_uri";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";}}s:27:"field_mt_prd_buy_link_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Buy Link";s:5:"@name";s:21:"field_mt_prd_buy_link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Buy Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prd_buy_link_title";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prd_buy_link_title";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prd_buy_link_title";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";}}s:29:"field_mt_prd_buy_link_options";a:6:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Buy Link";s:5:"@name";s:21:"field_mt_prd_buy_link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Buy Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_prd_buy_link_options";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_prd_buy_link_options";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}}}s:36:"node_revision__field_mt_prd_buy_link";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_prd_buy_link-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Buy Link";s:11:"title short";s:8:"Buy Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:10:"real field";s:37:"field_mt_prd_buy_link-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:25:"field_mt_prd_buy_link_uri";i:4;s:27:"field_mt_prd_buy_link_title";i:5;s:29:"field_mt_prd_buy_link_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:25:"field_mt_prd_buy_link_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:54269;s:11:"title short";r:54276;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prd_buy_link_uri";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prd_buy_link_uri";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prd_buy_link_uri";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";}}s:27:"field_mt_prd_buy_link_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:54342;s:11:"title short";r:54349;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_prd_buy_link_title";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_prd_buy_link_title";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_prd_buy_link_title";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";}}s:29:"field_mt_prd_buy_link_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:54415;s:11:"title short";r:54422;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_prd_buy_link_options";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_prd_buy_link_options";s:5:"table";s:36:"node_revision__field_mt_prd_buy_link";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:25:"field_mt_prd_buy_link_uri";i:7;s:27:"field_mt_prd_buy_link_title";i:8;s:29:"field_mt_prd_buy_link_options";}s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}}}s:23:"node__field_mt_prd_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_prd_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_prd_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_prd_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_prd_body_value";i:4;s:25:"field_mt_prd_body_summary";i:5;s:24:"field_mt_prd_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_prd_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_prd_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_prd_body_value";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_prd_body_value";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_prd_body_value";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prd_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_prd_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prd_body_summary";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prd_body_summary";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prd_body_summary";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prd_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_prd_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_body_format";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_body_format";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_body_format";s:5:"table";s:23:"node__field_mt_prd_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_prd_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_prd_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_prd_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_prd_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_prd_body_value";i:4;s:25:"field_mt_prd_body_summary";i:5;s:24:"field_mt_prd_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_prd_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:54733;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_prd_body_value";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_prd_body_value";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_prd_body_value";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_prd_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:54800;s:11:"title short";r:54807;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_prd_body_summary";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_prd_body_summary";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_prd_body_summary";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_prd_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:54873;s:11:"title short";r:54880;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_prd_body_format";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_prd_body_format";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_prd_body_format";s:5:"table";s:32:"node_revision__field_mt_prd_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_prd_body_value";i:7;s:25:"field_mt_prd_body_summary";i:8;s:24:"field_mt_prd_body_format";}s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";}}}s:34:"node__field_mt_prd_banner_carousel";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_prd_banner_carousel";a:5:{s:5:"group";r:23882;s:5:"title";s:33:"Internal Banner Carousel Image(s)";s:11:"title short";s:33:"Internal Banner Carousel Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:10:"real field";s:38:"field_mt_prd_banner_carousel_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:38:"field_mt_prd_banner_carousel_target_id";i:4;s:32:"field_mt_prd_banner_carousel_alt";i:5;s:34:"field_mt_prd_banner_carousel_title";i:6;s:34:"field_mt_prd_banner_carousel_width";i:7;s:35:"field_mt_prd_banner_carousel_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:38:"field_mt_prd_banner_carousel_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:5:"@name";s:28:"field_mt_prd_banner_carousel";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_prd_banner_carousel_target_id";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_prd_banner_carousel_target_id";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:38:"field_mt_prd_banner_carousel_target_id";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_banner_carousel";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:5:"@name";s:28:"field_mt_prd_banner_carousel";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_prd_banner_carousel_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:5:"@name";s:28:"field_mt_prd_banner_carousel";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_prd_banner_carousel_alt";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_prd_banner_carousel_alt";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_prd_banner_carousel_alt";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_banner_carousel_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:5:"@name";s:28:"field_mt_prd_banner_carousel";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_title";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_title";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_banner_carousel_title";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_banner_carousel_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:5:"@name";s:28:"field_mt_prd_banner_carousel";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_width";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_width";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_banner_carousel_width";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_prd_banner_carousel_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:5:"@name";s:28:"field_mt_prd_banner_carousel";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_banner_carousel_height";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_banner_carousel_height";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_banner_carousel_height";s:5:"table";s:34:"node__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}}s:43:"node_revision__field_mt_prd_banner_carousel";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_prd_banner_carousel-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:33:"Internal Banner Carousel Image(s)";s:11:"title short";s:33:"Internal Banner Carousel Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:10:"real field";s:50:"field_mt_prd_banner_carousel-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:38:"field_mt_prd_banner_carousel_target_id";i:4;s:32:"field_mt_prd_banner_carousel_alt";i:5;s:34:"field_mt_prd_banner_carousel_title";i:6;s:34:"field_mt_prd_banner_carousel_width";i:7;s:35:"field_mt_prd_banner_carousel_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:38:"field_mt_prd_banner_carousel_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:55225;s:11:"title short";r:55232;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_prd_banner_carousel_target_id";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_prd_banner_carousel_target_id";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:38:"field_mt_prd_banner_carousel_target_id";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_banner_carousel";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";s:5:"@name";s:28:"field_mt_prd_banner_carousel";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:33:"Internal Banner Carousel Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_prd_banner_carousel_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:55393;s:11:"title short";r:55400;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_prd_banner_carousel_alt";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_prd_banner_carousel_alt";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_prd_banner_carousel_alt";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_banner_carousel_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:55472;s:11:"title short";r:55479;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_title";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_title";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_banner_carousel_title";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:34:"field_mt_prd_banner_carousel_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:55551;s:11:"title short";r:55558;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_width";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_prd_banner_carousel_width";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_prd_banner_carousel_width";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}s:35:"field_mt_prd_banner_carousel_height";a:7:{s:5:"group";r:55833;s:5:"title";r:55630;s:11:"title short";r:55637;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_prd_banner_carousel_height";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_prd_banner_carousel_height";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_prd_banner_carousel_height";s:5:"table";s:43:"node_revision__field_mt_prd_banner_carousel";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_prd_banner_carousel_target_id";i:7;s:32:"field_mt_prd_banner_carousel_alt";i:8;s:34:"field_mt_prd_banner_carousel_title";i:9;s:34:"field_mt_prd_banner_carousel_width";i:10;s:35:"field_mt_prd_banner_carousel_height";}s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";}}}s:31:"node__field_mt_prd_availability";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:31:"node__field_mt_prd_availability";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_prd_availability";a:5:{s:5:"group";r:23882;s:5:"title";s:12:"Availability";s:11:"title short";s:12:"Availability";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"node__field_mt_prd_availability";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:10:"real field";s:31:"field_mt_prd_availability_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prd_availability_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_prd_availability_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Availability";s:5:"@name";s:25:"field_mt_prd_availability";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:12:"Availability";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prd_availability_value";s:5:"table";s:31:"node__field_mt_prd_availability";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_availability_value";}s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prd_availability_value";s:5:"table";s:31:"node__field_mt_prd_availability";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_availability_value";}s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prd_availability_value";s:5:"table";s:31:"node__field_mt_prd_availability";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_availability_value";}s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";}}}s:40:"node_revision__field_mt_prd_availability";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:40:"node_revision__field_mt_prd_availability";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_prd_availability-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Availability";s:11:"title short";s:12:"Availability";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:40:"node_revision__field_mt_prd_availability";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:10:"real field";s:43:"field_mt_prd_availability-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_prd_availability_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_prd_availability_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:56237;s:11:"title short";s:12:"Availability";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_prd_availability_value";s:5:"table";s:40:"node_revision__field_mt_prd_availability";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_availability_value";}s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_prd_availability_value";s:5:"table";s:40:"node_revision__field_mt_prd_availability";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_availability_value";}s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_prd_availability_value";s:5:"table";s:40:"node_revision__field_mt_prd_availability";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_prd_availability_value";}s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";}}}s:38:"node__field_mt_prd_additional_features";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:38:"node__field_mt_prd_additional_features";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_prd_additional_features";a:6:{s:5:"group";r:23882;s:5:"title";s:19:"Additional Features";s:11:"title short";s:19:"Additional Features";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:5:"field";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:10:"real field";s:42:"field_mt_prd_additional_features_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:42:"field_mt_prd_additional_features_target_id";i:4;s:51:"field_mt_prd_additional_features_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:32:"field_mt_prd_additional_features";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:32:"field_mt_prd_additional_features";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:51:"field_mt_prd_additional_features_target_revision_id";}}s:42:"field_mt_prd_additional_features_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:19:"Additional Features";s:5:"@name";s:32:"field_mt_prd_additional_features";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Additional Features";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:42:"field_mt_prd_additional_features_target_id";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:42:"field_mt_prd_additional_features_target_id";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:42:"field_mt_prd_additional_features_target_id";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Additional Features";s:5:"@name";s:32:"field_mt_prd_additional_features";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:19:"Additional Features";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}}s:51:"field_mt_prd_additional_features_target_revision_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:19:"Additional Features";s:5:"@name";s:32:"field_mt_prd_additional_features";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Additional Features";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:51:"field_mt_prd_additional_features_target_revision_id";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:51:"field_mt_prd_additional_features_target_revision_id";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:51:"field_mt_prd_additional_features_target_revision_id";s:5:"table";s:38:"node__field_mt_prd_additional_features";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}}}s:47:"node_revision__field_mt_prd_additional_features";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:44:"field_mt_prd_additional_features-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:19:"Additional Features";s:11:"title short";s:19:"Additional Features";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:5:"field";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:10:"real field";s:54:"field_mt_prd_additional_features-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:42:"field_mt_prd_additional_features_target_id";i:4;s:51:"field_mt_prd_additional_features_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:42:"field_mt_prd_additional_features_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:56458;s:11:"title short";r:56465;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:42:"field_mt_prd_additional_features_target_id";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:42:"field_mt_prd_additional_features_target_id";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:42:"field_mt_prd_additional_features_target_id";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Additional Features";s:5:"@name";s:32:"field_mt_prd_additional_features";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:19:"Additional Features";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}}s:51:"field_mt_prd_additional_features_target_revision_id";a:7:{s:5:"group";r:56770;s:5:"title";r:56598;s:11:"title short";r:56605;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:51:"field_mt_prd_additional_features_target_revision_id";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:51:"field_mt_prd_additional_features_target_revision_id";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:51:"field_mt_prd_additional_features_target_revision_id";s:5:"table";s:47:"node_revision__field_mt_prd_additional_features";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:42:"field_mt_prd_additional_features_target_id";i:7;s:51:"field_mt_prd_additional_features_target_revision_id";}s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";}}s:32:"field_mt_prd_additional_features";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:32:"field_mt_prd_additional_features";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:32:"field_mt_prd_additional_features";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:10:"mt_product";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:51:"field_mt_prd_additional_features_target_revision_id";}}}s:24:"node__field_mt_evn_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_evn_video";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_evn_video";a:5:{s:5:"group";r:23882;s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_evn_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_evn_video_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_evn_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_evn_video_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_evn_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_video_value";s:5:"table";s:24:"node__field_mt_evn_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_video_value";s:5:"table";s:24:"node__field_mt_evn_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_video_value";s:5:"table";s:24:"node__field_mt_evn_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_evn_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_evn_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_evn_video";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_evn_video-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_evn_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_evn_video-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_evn_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_evn_video_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:56965;s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_video_value";s:5:"table";s:33:"node_revision__field_mt_evn_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_video_value";s:5:"table";s:33:"node_revision__field_mt_evn_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_video_value";s:5:"table";s:33:"node_revision__field_mt_evn_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:57131;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_evn_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_video_value";}s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";}}}s:26:"node__field_mt_evn_sponsor";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_evn_sponsor";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_evn_sponsor";a:6:{s:5:"group";r:23882;s:5:"title";s:7:"Sponsor";s:11:"title short";s:7:"Sponsor";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_evn_sponsor";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:10:"real field";s:30:"field_mt_evn_sponsor_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_evn_sponsor_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_evn_sponsor_target_id";}}s:30:"field_mt_evn_sponsor_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Sponsor";s:5:"@name";s:20:"field_mt_evn_sponsor";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Sponsor";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_evn_sponsor_target_id";s:5:"table";s:26:"node__field_mt_evn_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_evn_sponsor_target_id";s:5:"table";s:26:"node__field_mt_evn_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_evn_sponsor_target_id";s:5:"table";s:26:"node__field_mt_evn_sponsor";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";}}}s:35:"node_revision__field_mt_evn_sponsor";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:35:"node_revision__field_mt_evn_sponsor";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_evn_sponsor-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Sponsor";s:11:"title short";s:7:"Sponsor";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:35:"node_revision__field_mt_evn_sponsor";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:10:"real field";s:42:"field_mt_evn_sponsor-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_evn_sponsor_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_evn_sponsor_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:57319;s:11:"title short";s:7:"Sponsor";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_evn_sponsor_target_id";s:5:"table";s:35:"node_revision__field_mt_evn_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_evn_sponsor_target_id";s:5:"table";s:35:"node_revision__field_mt_evn_sponsor";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_evn_sponsor_target_id";s:5:"table";s:35:"node_revision__field_mt_evn_sponsor";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_sponsor_target_id";}s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";}}s:20:"field_mt_evn_sponsor";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_evn_sponsor_target_id";}}}s:26:"node__field_mt_evn_speaker";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_evn_speaker";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_evn_speaker";a:6:{s:5:"group";r:23882;s:5:"title";s:7:"Speaker";s:11:"title short";s:7:"Speaker";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:10:"real field";s:30:"field_mt_evn_speaker_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_evn_speaker_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_evn_speaker_target_id";}}s:30:"field_mt_evn_speaker_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Speaker";s:5:"@name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Speaker";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";}}}s:35:"node_revision__field_mt_evn_speaker";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:35:"node_revision__field_mt_evn_speaker";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_evn_speaker-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Speaker";s:11:"title short";s:7:"Speaker";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:35:"node_revision__field_mt_evn_speaker";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:10:"real field";s:42:"field_mt_evn_speaker-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_evn_speaker_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:30:"field_mt_evn_speaker_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:57564;s:11:"title short";s:7:"Speaker";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:35:"node_revision__field_mt_evn_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:35:"node_revision__field_mt_evn_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:35:"node_revision__field_mt_evn_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";}}s:20:"field_mt_evn_speaker";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_evn_speaker_target_id";}}}s:24:"node__field_mt_evn_place";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_evn_place";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_evn_place";a:5:{s:5:"group";r:23882;s:5:"title";s:5:"Place";s:11:"title short";s:5:"Place";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_evn_place";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_evn_place_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_evn_place_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_evn_place_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Place";s:5:"@name";s:18:"field_mt_evn_place";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:5:"Place";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_place_value";s:5:"table";s:24:"node__field_mt_evn_place";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_place_value";}s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_place_value";s:5:"table";s:24:"node__field_mt_evn_place";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_place_value";}s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_place_value";s:5:"table";s:24:"node__field_mt_evn_place";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_place_value";}s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_evn_place";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_evn_place";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_evn_place-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Place";s:11:"title short";s:5:"Place";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_evn_place";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_evn_place-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_evn_place_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_evn_place_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:57785;s:11:"title short";s:5:"Place";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_place_value";s:5:"table";s:33:"node_revision__field_mt_evn_place";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_place_value";}s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_place_value";s:5:"table";s:33:"node_revision__field_mt_evn_place";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_place_value";}s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_place_value";s:5:"table";s:33:"node_revision__field_mt_evn_place";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_evn_place_value";}s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";}}}s:27:"node__field_mt_evn_map_zoom";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_evn_map_zoom";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_evn_map_zoom";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Map Zoom";s:11:"title short";s:8:"Map Zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_evn_map_zoom";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_evn_map_zoom_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_evn_map_zoom_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:27:"field_mt_evn_map_zoom_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Map Zoom";s:5:"@name";s:21:"field_mt_evn_map_zoom";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Map Zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_evn_map_zoom_value";s:5:"table";s:27:"node__field_mt_evn_map_zoom";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_evn_map_zoom_value";}s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_evn_map_zoom_value";s:5:"table";s:27:"node__field_mt_evn_map_zoom";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_evn_map_zoom_value";}s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_evn_map_zoom_value";s:5:"table";s:27:"node__field_mt_evn_map_zoom";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_evn_map_zoom_value";}s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_evn_map_zoom";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_evn_map_zoom";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_evn_map_zoom-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Map Zoom";s:11:"title short";s:8:"Map Zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_evn_map_zoom";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_evn_map_zoom-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_evn_map_zoom_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_evn_map_zoom_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:57981;s:11:"title short";s:8:"Map Zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_evn_map_zoom_value";s:5:"table";s:36:"node_revision__field_mt_evn_map_zoom";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_evn_map_zoom_value";}s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_evn_map_zoom_value";s:5:"table";s:36:"node_revision__field_mt_evn_map_zoom";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_evn_map_zoom_value";}s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_evn_map_zoom_value";s:5:"table";s:36:"node_revision__field_mt_evn_map_zoom";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_evn_map_zoom_value";}s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";}}}s:27:"node__field_mt_evn_location";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:27:"node__field_mt_evn_location";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_evn_location";a:6:{s:5:"group";r:23882;s:5:"title";s:8:"Location";s:11:"title short";s:8:"Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:27:"node__field_mt_evn_location";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:10:"real field";s:31:"field_mt_evn_location_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_evn_location_target_id";i:4;s:40:"field_mt_evn_location_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_evn_location";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_evn_location";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:40:"field_mt_evn_location_target_revision_id";}}s:31:"field_mt_evn_location_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Location";s:5:"@name";s:21:"field_mt_evn_location";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Location";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_evn_location_target_id";s:5:"table";s:27:"node__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_evn_location_target_id";s:5:"table";s:27:"node__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_evn_location_target_id";s:5:"table";s:27:"node__field_mt_evn_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";}}s:40:"field_mt_evn_location_target_revision_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Location";s:5:"@name";s:21:"field_mt_evn_location";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Location";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_evn_location_target_revision_id";s:5:"table";s:27:"node__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_evn_location_target_revision_id";s:5:"table";s:27:"node__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_evn_location_target_revision_id";s:5:"table";s:27:"node__field_mt_evn_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";}}}s:36:"node_revision__field_mt_evn_location";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:36:"node_revision__field_mt_evn_location";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_evn_location-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Location";s:11:"title short";s:8:"Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:36:"node_revision__field_mt_evn_location";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:10:"real field";s:43:"field_mt_evn_location-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_evn_location_target_id";i:4;s:40:"field_mt_evn_location_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_evn_location_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:58202;s:11:"title short";r:58209;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_evn_location_target_id";s:5:"table";s:36:"node_revision__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_evn_location_target_id";s:5:"table";s:36:"node_revision__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_evn_location_target_id";s:5:"table";s:36:"node_revision__field_mt_evn_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";}}s:40:"field_mt_evn_location_target_revision_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:58272;s:11:"title short";r:58279;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_evn_location_target_revision_id";s:5:"table";s:36:"node_revision__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_evn_location_target_revision_id";s:5:"table";s:36:"node_revision__field_mt_evn_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_evn_location_target_revision_id";s:5:"table";s:36:"node_revision__field_mt_evn_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_evn_location_target_id";i:7;s:40:"field_mt_evn_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";}}s:21:"field_mt_evn_location";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_evn_location";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_evn_location";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:40:"field_mt_evn_location_target_revision_id";}}}s:24:"node__field_mt_evn_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_evn_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_evn_image";a:5:{s:5:"group";r:23882;s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_evn_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_evn_image_target_id";i:4;s:22:"field_mt_evn_image_alt";i:5;s:24:"field_mt_evn_image_title";i:6;s:24:"field_mt_evn_image_width";i:7;s:25:"field_mt_evn_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_evn_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_evn_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_evn_image_target_id";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_evn_image_target_id";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_evn_image_target_id";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_evn_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_evn_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_evn_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_evn_image_alt";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_evn_image_alt";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_evn_image_alt";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_evn_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_evn_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_image_title";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_image_title";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_image_title";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_evn_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_evn_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_image_width";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_image_width";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_image_width";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_evn_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_evn_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_evn_image_height";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_evn_image_height";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_evn_image_height";s:5:"table";s:24:"node__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_evn_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_evn_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_evn_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_evn_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_evn_image_target_id";i:4;s:22:"field_mt_evn_image_alt";i:5;s:24:"field_mt_evn_image_title";i:6;s:24:"field_mt_evn_image_width";i:7;s:25:"field_mt_evn_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_evn_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:58573;s:11:"title short";r:58580;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_evn_image_target_id";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_evn_image_target_id";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_evn_image_target_id";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_evn_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_evn_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:58741;s:11:"title short";r:58748;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_evn_image_alt";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_evn_image_alt";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_evn_image_alt";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_evn_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:58820;s:11:"title short";r:58827;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_image_title";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_image_title";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_image_title";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_evn_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:58899;s:11:"title short";r:58906;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_image_width";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_image_width";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_image_width";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_evn_image_height";a:7:{s:5:"group";r:59181;s:5:"title";r:58978;s:11:"title short";r:58985;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_evn_image_height";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_evn_image_height";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_evn_image_height";s:5:"table";s:33:"node_revision__field_mt_evn_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_image_target_id";i:7;s:22:"field_mt_evn_image_alt";i:8;s:24:"field_mt_evn_image_title";i:9;s:24:"field_mt_evn_image_width";i:10;s:25:"field_mt_evn_image_height";}s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_evn_files";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_evn_files";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_evn_files";a:5:{s:5:"group";r:23882;s:5:"title";s:5:"Files";s:11:"title short";s:5:"Files";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_evn_files_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_evn_files_target_id";i:4;s:26:"field_mt_evn_files_display";i:5;s:30:"field_mt_evn_files_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_evn_files_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_evn_files";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_evn_files_target_id";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_evn_files_target_id";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_evn_files_target_id";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_files";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_evn_files";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}}s:26:"field_mt_evn_files_display";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_evn_files";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_evn_files_display";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_evn_files_display";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_evn_files_display";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_evn_files_description";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_evn_files";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_evn_files_description";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_evn_files_description";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_evn_files_description";s:5:"table";s:24:"node__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_evn_files";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_evn_files";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_evn_files-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:5:"Files";s:11:"title short";s:5:"Files";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_evn_files-revision_id_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_evn_files_target_id";i:4;s:26:"field_mt_evn_files_display";i:5;s:30:"field_mt_evn_files_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_evn_files_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:59587;s:11:"title short";r:59594;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_evn_files_target_id";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_evn_files_target_id";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_evn_files_target_id";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_files";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:5:"Files";s:5:"@name";s:18:"field_mt_evn_files";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}}s:26:"field_mt_evn_files_display";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:59743;s:11:"title short";r:59750;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:26:"field_mt_evn_files_display";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:26:"field_mt_evn_files_display";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:26:"field_mt_evn_files_display";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}}s:30:"field_mt_evn_files_description";a:7:{s:5:"group";r:60005;s:5:"title";r:59816;s:11:"title short";r:59823;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_evn_files_description";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_evn_files_description";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_evn_files_description";s:5:"table";s:33:"node_revision__field_mt_evn_files";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_evn_files_target_id";i:7;s:26:"field_mt_evn_files_display";i:8;s:30:"field_mt_evn_files_description";}s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";}}}s:33:"node__field_mt_evn_event_category";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:33:"node__field_mt_evn_event_category";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_evn_event_category";a:6:{s:5:"group";r:23882;s:5:"title";s:14:"Event Category";s:11:"title short";s:14:"Event Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"node__field_mt_evn_event_category";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:10:"real field";s:37:"field_mt_evn_event_category_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_evn_event_category_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:27:"field_mt_evn_event_category";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:27:"field_mt_evn_event_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:37:"field_mt_evn_event_category_target_id";}}s:37:"field_mt_evn_event_category_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Event Category";s:5:"@name";s:27:"field_mt_evn_event_category";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Event Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_evn_event_category_target_id";s:5:"table";s:33:"node__field_mt_evn_event_category";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_evn_event_category_target_id";}s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_evn_event_category_target_id";s:5:"table";s:33:"node__field_mt_evn_event_category";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_evn_event_category_target_id";}s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_evn_event_category_target_id";s:5:"table";s:33:"node__field_mt_evn_event_category";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_evn_event_category_target_id";}s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";}}}s:42:"node_revision__field_mt_evn_event_category";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:42:"node_revision__field_mt_evn_event_category";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_evn_event_category-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Event Category";s:11:"title short";s:14:"Event Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"node_revision__field_mt_evn_event_category";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:10:"real field";s:49:"field_mt_evn_event_category-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_evn_event_category_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:37:"field_mt_evn_event_category_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:60271;s:11:"title short";s:14:"Event Category";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_evn_event_category_target_id";s:5:"table";s:42:"node_revision__field_mt_evn_event_category";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_evn_event_category_target_id";}s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_evn_event_category_target_id";s:5:"table";s:42:"node_revision__field_mt_evn_event_category";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_evn_event_category_target_id";}s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_evn_event_category_target_id";s:5:"table";s:42:"node_revision__field_mt_evn_event_category";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_evn_event_category_target_id";}s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";}}s:27:"field_mt_evn_event_category";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:27:"field_mt_evn_event_category";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:27:"field_mt_evn_event_category";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:37:"field_mt_evn_event_category_target_id";}}}s:23:"node__field_mt_evn_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_evn_date";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_evn_date";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Date";s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_evn_date";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_evn_date_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_evn_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_evn_date_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Date";s:5:"@name";s:17:"field_mt_evn_date";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_evn_date_value";s:5:"table";s:23:"node__field_mt_evn_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_date_value";}s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_evn_date_value";s:5:"table";s:23:"node__field_mt_evn_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_date_value";}s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_evn_date_value";s:5:"table";s:23:"node__field_mt_evn_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_date_value";}s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";}}s:28:"field_mt_evn_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:23882;}s:29:"field_mt_evn_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:23882;}s:27:"field_mt_evn_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:23882;}s:28:"field_mt_evn_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:23882;}s:34:"field_mt_evn_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:23882;}s:33:"field_mt_evn_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:23882;}}s:32:"node_revision__field_mt_evn_date";a:9:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_evn_date";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_evn_date-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Date";s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_evn_date";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_evn_date-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_evn_date_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_evn_date_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:60492;s:11:"title short";s:4:"Date";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_evn_date_value";s:5:"table";s:32:"node_revision__field_mt_evn_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_date_value";}s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_evn_date_value";s:5:"table";s:32:"node_revision__field_mt_evn_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_date_value";}s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_evn_date_value";s:5:"table";s:32:"node_revision__field_mt_evn_date";s:2:"id";s:8:"datetime";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_date_value";}s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";}}s:28:"field_mt_evn_date_value_year";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"year";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:13:"datetime_year";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:60699;}s:29:"field_mt_evn_date_value_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:5:"month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:14:"datetime_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:60699;}s:27:"field_mt_evn_date_value_day";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:3:"day";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:12:"datetime_day";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:60699;}s:28:"field_mt_evn_date_value_week";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:4:"week";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:13:"datetime_week";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:60699;}s:34:"field_mt_evn_date_value_year_month";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:10:"year_month";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:19:"datetime_year_month";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:60699;}s:33:"field_mt_evn_date_value_full_date";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@label@column (@argument)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"node.field_mt_evn_date";s:7:"@column";s:0:"";s:9:"@argument";s:9:"full_date";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:4:{s:5:"field";s:23:"field_mt_evn_date_value";s:2:"id";s:18:"datetime_full_date";s:11:"entity_type";s:4:"node";s:10:"field_name";s:17:"field_mt_evn_date";}s:5:"group";r:60699;}}s:23:"node__field_mt_evn_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_evn_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_evn_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_evn_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_evn_body_value";i:4;s:25:"field_mt_evn_body_summary";i:5;s:24:"field_mt_evn_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_evn_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_evn_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_evn_body_value";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_evn_body_value";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_evn_body_value";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_evn_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_evn_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_evn_body_summary";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_evn_body_summary";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_evn_body_summary";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_evn_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_evn_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_body_format";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_body_format";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_body_format";s:5:"table";s:23:"node__field_mt_evn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_evn_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_evn_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_evn_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_evn_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_evn_body_value";i:4;s:25:"field_mt_evn_body_summary";i:5;s:24:"field_mt_evn_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_evn_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:60906;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_evn_body_value";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_evn_body_value";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_evn_body_value";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_evn_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:60973;s:11:"title short";r:60980;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_evn_body_summary";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_evn_body_summary";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_evn_body_summary";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_evn_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:61046;s:11:"title short";r:61053;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_evn_body_format";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_evn_body_format";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_evn_body_format";s:5:"table";s:32:"node_revision__field_mt_evn_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_evn_body_value";i:7;s:25:"field_mt_evn_body_summary";i:8;s:24:"field_mt_evn_body_format";}s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_cnv_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_cnv_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_cnv_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_cnv_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_cnv_body_value";i:4;s:25:"field_mt_cnv_body_summary";i:5;s:24:"field_mt_cnv_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_cnv_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_cnv_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_cnv_body_value";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_cnv_body_value";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_cnv_body_value";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_cnv_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_cnv_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_cnv_body_summary";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_cnv_body_summary";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_cnv_body_summary";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_cnv_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_cnv_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_cnv_body_format";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_cnv_body_format";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_cnv_body_format";s:5:"table";s:23:"node__field_mt_cnv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_cnv_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_cnv_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_cnv_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_cnv_body_value";i:4;s:25:"field_mt_cnv_body_summary";i:5;s:24:"field_mt_cnv_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_cnv_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:61396;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_cnv_body_value";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_cnv_body_value";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_cnv_body_value";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_cnv_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:61463;s:11:"title short";r:61470;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_cnv_body_summary";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_cnv_body_summary";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_cnv_body_summary";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_cnv_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:61536;s:11:"title short";r:61543;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_canvas_page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_cnv_body_format";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_cnv_body_format";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_cnv_body_format";s:5:"table";s:32:"node_revision__field_mt_cnv_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cnv_body_value";i:7;s:25:"field_mt_cnv_body_summary";i:8;s:24:"field_mt_cnv_body_format";}s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";}}}s:24:"node__field_mt_alb_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_alb_video";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_alb_video";a:5:{s:5:"group";r:23882;s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_alb_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:24:"field_mt_alb_video_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_alb_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_alb_video_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_alb_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_video_value";s:5:"table";s:24:"node__field_mt_alb_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_video_value";s:5:"table";s:24:"node__field_mt_alb_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_video_value";s:5:"table";s:24:"node__field_mt_alb_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_alb_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_alb_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_alb_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_alb_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_alb_video";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_alb_video";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_alb_video-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Video URL";s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_alb_video";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:10:"real field";s:36:"field_mt_alb_video-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_alb_video_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_alb_video_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:61884;s:11:"title short";s:9:"Video URL";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_video_value";s:5:"table";s:33:"node_revision__field_mt_alb_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_video_value";s:5:"table";s:33:"node_revision__field_mt_alb_video";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_video_value";s:5:"table";s:33:"node_revision__field_mt_alb_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:62050;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Video URL";s:5:"@name";s:18:"field_mt_alb_video";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Video URL";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_alb_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_alb_video";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_alb_video";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_alb_video_value";}s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_alb_tags";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_alb_tags";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_alb_tags";a:6:{s:5:"group";r:23882;s:5:"title";s:4:"Tags";s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_alb_tags";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:27:"field_mt_alb_tags_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_alb_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:27:"field_mt_alb_tags_target_id";}}s:27:"field_mt_alb_tags_target_id";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_alb_tags_target_id";s:5:"table";s:23:"node__field_mt_alb_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_alb_tags_target_id";s:5:"table";s:23:"node__field_mt_alb_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_alb_tags_target_id";s:5:"table";s:23:"node__field_mt_alb_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:23:"node__field_mt_alb_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:23:"node__field_mt_alb_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:23:"node__field_mt_alb_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_alb_tags";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_alb_tags-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Tags";s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:10:"real field";s:39:"field_mt_alb_tags-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_alb_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_alb_tags_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:62238;s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_alb_tags_target_id";s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_alb_tags_target_id";s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_alb_tags_target_id";s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:62404;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:32:"node_revision__field_mt_alb_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_alb_tags_target_id";}s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";}}s:17:"field_mt_alb_tags";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:17:"field_mt_alb_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:27:"field_mt_alb_tags_target_id";}}}s:24:"node__field_mt_alb_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:24:"node__field_mt_alb_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_alb_image";a:5:{s:5:"group";r:23882;s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:28:"field_mt_alb_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_alb_image_target_id";i:4;s:22:"field_mt_alb_image_alt";i:5;s:24:"field_mt_alb_image_title";i:6;s:24:"field_mt_alb_image_width";i:7;s:25:"field_mt_alb_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_alb_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_alb_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_alb_image_target_id";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_alb_image_target_id";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_alb_image_target_id";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_alb_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_alb_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_alb_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_alb_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_alb_image_alt";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_alb_image_alt";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_alb_image_alt";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_alb_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_alb_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_image_title";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_image_title";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_image_title";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_alb_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_alb_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_image_width";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_image_width";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_image_width";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_alb_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_alb_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_alb_image_height";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_alb_image_height";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_alb_image_height";s:5:"table";s:24:"node__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}}s:33:"node_revision__field_mt_alb_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:33:"node_revision__field_mt_alb_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_alb_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:40:"field_mt_alb_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_alb_image_target_id";i:4;s:22:"field_mt_alb_image_alt";i:5;s:24:"field_mt_alb_image_title";i:6;s:24:"field_mt_alb_image_width";i:7;s:25:"field_mt_alb_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_alb_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:62597;s:11:"title short";r:62604;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_alb_image_target_id";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_alb_image_target_id";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_alb_image_target_id";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_alb_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:18:"field_mt_alb_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:22:"field_mt_alb_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:62765;s:11:"title short";r:62772;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_alb_image_alt";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_alb_image_alt";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_alb_image_alt";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_alb_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:62844;s:11:"title short";r:62851;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_image_title";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_image_title";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_image_title";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_alb_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:62923;s:11:"title short";r:62930;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_image_width";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_image_width";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_image_width";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_alb_image_height";a:7:{s:5:"group";r:63205;s:5:"title";r:63002;s:11:"title short";r:63009;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_alb_image_height";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_alb_image_height";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_alb_image_height";s:5:"table";s:33:"node_revision__field_mt_alb_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_alb_image_target_id";i:7;s:22:"field_mt_alb_image_alt";i:8;s:24:"field_mt_alb_image_title";i:9;s:24:"field_mt_alb_image_width";i:10;s:25:"field_mt_alb_image_height";}s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";}}}s:23:"node__field_mt_alb_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:23:"node__field_mt_alb_body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_alb_body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:23:"field_mt_alb_body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_alb_body_value";i:4;s:25:"field_mt_alb_body_summary";i:5;s:24:"field_mt_alb_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_alb_body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_alb_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_alb_body_value";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_alb_body_value";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_alb_body_value";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_alb_body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_alb_body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_alb_body_summary";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_alb_body_summary";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_alb_body_summary";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_alb_body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:17:"field_mt_alb_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_body_format";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_body_format";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_body_format";s:5:"table";s:23:"node__field_mt_alb_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";}}}s:32:"node_revision__field_mt_alb_body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:32:"node_revision__field_mt_alb_body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_alb_body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:10:"real field";s:35:"field_mt_alb_body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_alb_body_value";i:4;s:25:"field_mt_alb_body_summary";i:5;s:24:"field_mt_alb_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_alb_body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:63611;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_alb_body_value";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_alb_body_value";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_alb_body_value";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";}}s:25:"field_mt_alb_body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:63678;s:11:"title short";r:63685;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_alb_body_summary";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_alb_body_summary";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_alb_body_summary";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";}}s:24:"field_mt_alb_body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:63751;s:11:"title short";r:63758;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_album";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_alb_body_format";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_alb_body_format";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_alb_body_format";s:5:"table";s:32:"node_revision__field_mt_alb_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_alb_body_value";i:7;s:25:"field_mt_alb_body_summary";i:8;s:24:"field_mt_alb_body_format";}s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";}}}s:17:"node__field_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:17:"node__field_image";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:11:"field_image";a:5:{s:5:"group";r:23882;s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:17:"node__field_image";s:2:"id";s:5:"field";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:21:"field_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:21:"field_image_target_id";i:4;s:15:"field_image_alt";i:5;s:17:"field_image_title";i:6;s:17:"field_image_width";i:7;s:18:"field_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:21:"field_image_target_id";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:11:"field_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_image_target_id";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_image_target_id";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_image_target_id";s:5:"table";s:17:"node__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:11:"field_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:11:"field_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:17:"node__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:15:"field_image_alt";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:11:"field_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:15:"field_image_alt";s:5:"table";s:17:"node__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:15:"field_image_alt";s:5:"table";s:17:"node__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:15:"field_image_alt";s:5:"table";s:17:"node__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:17:"field_image_title";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:11:"field_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:17:"field_image_title";s:5:"table";s:17:"node__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:17:"field_image_title";s:5:"table";s:17:"node__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:17:"field_image_title";s:5:"table";s:17:"node__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:17:"field_image_width";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:11:"field_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:17:"field_image_width";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:17:"field_image_width";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:17:"field_image_width";s:5:"table";s:17:"node__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:18:"field_image_height";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:11:"field_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:18:"field_image_height";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:18:"field_image_height";s:5:"table";s:17:"node__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:18:"field_image_height";s:5:"table";s:17:"node__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}}s:26:"node_revision__field_image";a:8:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:26:"node_revision__field_image";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:23:"field_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"In-page Image(s)";s:11:"title short";s:16:"In-page Image(s)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:5:"field";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:10:"real field";s:33:"field_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:21:"field_image_target_id";i:4;s:15:"field_image_alt";i:5;s:17:"field_image_title";i:6;s:17:"field_image_width";i:7;s:18:"field_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:21:"field_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:64106;s:11:"title short";r:64113;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_image_target_id";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_image_target_id";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_image_target_id";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:11:"field_image";}s:10:"\0*\0options";a:0:{}}}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"In-page Image(s)";s:5:"@name";s:11:"field_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:15:"field_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:64274;s:11:"title short";r:64281;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:15:"field_image_alt";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:15:"field_image_alt";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:15:"field_image_alt";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:17:"field_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:64353;s:11:"title short";r:64360;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:17:"field_image_title";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:17:"field_image_title";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:17:"field_image_title";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:17:"field_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:64432;s:11:"title short";r:64439;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:17:"field_image_width";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:17:"field_image_width";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:17:"field_image_width";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}s:18:"field_image_height";a:7:{s:5:"group";r:64717;s:5:"title";r:64511;s:11:"title short";r:64518;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:18:"field_image_height";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:18:"field_image_height";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:18:"field_image_height";s:5:"table";s:26:"node_revision__field_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_image_target_id";i:7;s:15:"field_image_alt";i:8;s:17:"field_image_title";i:9;s:17:"field_image_width";i:10;s:18:"field_image_height";}s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";}}}s:13:"node__comment";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:13:"node__comment";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:7:"comment";a:5:{s:5:"group";r:23882;s:5:"title";s:8:"Comments";s:11:"title short";s:8:"Comments";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:13:"node__comment";s:2:"id";s:5:"field";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:10:"real field";s:14:"comment_status";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:14:"comment_status";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:14:"comment_status";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Comments";s:5:"@name";s:7:"comment";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Comments";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:14:"comment_status";s:5:"table";s:13:"node__comment";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:14:"comment_status";}s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:14:"comment_status";s:5:"table";s:13:"node__comment";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:14:"comment_status";}s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:14:"comment_status";s:5:"table";s:13:"node__comment";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:14:"comment_status";}s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";}}}s:22:"node_revision__comment";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:22:"node_revision__comment";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:19:"comment-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Comments";s:11:"title short";s:8:"Comments";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:22:"node_revision__comment";s:2:"id";s:5:"field";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:10:"real field";s:26:"comment-revision_id_status";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:14:"comment_status";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:14:"comment_status";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:65124;s:11:"title short";s:8:"Comments";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"article";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:14:"comment_status";s:5:"table";s:22:"node_revision__comment";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:14:"comment_status";}s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:14:"comment_status";s:5:"table";s:22:"node_revision__comment";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:14:"comment_status";}s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:14:"comment_status";s:5:"table";s:22:"node_revision__comment";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:14:"comment_status";}s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";}}}s:10:"node__body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:10:"node__body";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:4:"body";a:5:{s:5:"group";r:23882;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:10:"node__body";s:2:"id";s:5:"field";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:10:"real field";s:10:"body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:10:"body_value";i:4;s:12:"body_summary";i:5;s:11:"body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:10:"body_value";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:4:"body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:10:"node__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:10:"node__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:10:"body_value";s:5:"table";s:10:"node__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";}}s:12:"body_summary";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:4:"body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:10:"node__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:10:"node__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:12:"body_summary";s:5:"table";s:10:"node__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";}}s:11:"body_format";a:7:{s:5:"group";r:23882;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:4:"body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:10:"node__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:10:"node__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:11:"body_format";s:5:"table";s:10:"node__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";}}}s:19:"node_revision__body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:19:"node_field_revision";a:4:{s:5:"table";s:19:"node_revision__body";s:10:"left_field";s:3:"vid";s:5:"field";s:11:"revision_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:16:"body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:19:"node_revision__body";s:2:"id";s:5:"field";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:10:"real field";s:22:"body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:10:"body_value";i:4;s:12:"body_summary";i:5;s:11:"body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:10:"body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:65328;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:19:"node_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:19:"node_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:10:"body_value";s:5:"table";s:19:"node_revision__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";}}s:12:"body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:65395;s:11:"title short";r:65402;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:19:"node_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:19:"node_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:12:"body_summary";s:5:"table";s:19:"node_revision__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";}}s:11:"body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:65468;s:11:"title short";r:65475;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"article, page";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:19:"node_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:19:"node_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:11:"body_format";s:5:"table";s:19:"node_revision__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";}}}s:16:"font__field_tags";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:17:"fontyourface_font";a:4:{s:5:"table";s:16:"font__field_tags";s:10:"left_field";s:3:"fid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:10:"field_tags";a:6:{s:5:"group";r:24638;s:5:"title";s:4:"Tags";s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:16:"font__field_tags";s:2:"id";s:5:"field";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:10:"real field";s:20:"field_tags_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:20:"field_tags_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:24638;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:20:"field_tags_target_id";}}s:20:"field_tags_target_id";a:7:{s:5:"group";r:24638;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Tags";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:16:"font__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:16:"font__field_tags";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:20:"field_tags_target_id";s:5:"table";s:16:"font__field_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";}}s:5:"delta";a:8:{s:5:"group";r:24638;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Tags";s:5:"@name";s:10:"field_tags";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:4:"Tags";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:16:"font__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:16:"font__field_tags";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:16:"font__field_tags";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:20:"field_tags_target_id";}s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";}}}s:31:"font__field_supported_languages";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:17:"fontyourface_font";a:4:{s:5:"table";s:31:"font__field_supported_languages";s:10:"left_field";s:3:"fid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_supported_languages";a:6:{s:5:"group";r:24638;s:5:"title";s:19:"Supported Languages";s:11:"title short";s:19:"Supported Languages";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:31:"font__field_supported_languages";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:10:"real field";s:35:"field_supported_languages_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_supported_languages_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_supported_languages";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:25:"field_supported_languages";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:24638;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:35:"field_supported_languages_target_id";}}s:35:"field_supported_languages_target_id";a:7:{s:5:"group";r:24638;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Supported Languages";s:5:"@name";s:25:"field_supported_languages";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:19:"Supported Languages";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_supported_languages_target_id";s:5:"table";s:31:"font__field_supported_languages";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_supported_languages_target_id";}s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_supported_languages_target_id";s:5:"table";s:31:"font__field_supported_languages";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_supported_languages_target_id";}s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_supported_languages_target_id";s:5:"table";s:31:"font__field_supported_languages";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_supported_languages_target_id";}s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";}}s:5:"delta";a:8:{s:5:"group";r:24638;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Supported Languages";s:5:"@name";s:25:"field_supported_languages";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:19:"Supported Languages";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"font__field_supported_languages";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_supported_languages_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:31:"font__field_supported_languages";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_supported_languages_target_id";}s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:31:"font__field_supported_languages";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_supported_languages_target_id";}s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";}}}s:26:"font__field_classification";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:17:"fontyourface_font";a:4:{s:5:"table";s:26:"font__field_classification";s:10:"left_field";s:3:"fid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_classification";a:6:{s:5:"group";r:24638;s:5:"title";s:14:"Classification";s:11:"title short";s:14:"Classification";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"font__field_classification";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:10:"real field";s:30:"field_classification_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_classification_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:20:"field_classification";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:1130;s:11:"@field_name";s:20:"field_classification";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:24638;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:18:"relationship field";s:30:"field_classification_target_id";}}s:30:"field_classification_target_id";a:7:{s:5:"group";r:24638;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Classification";s:5:"@name";s:20:"field_classification";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Classification";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_classification_target_id";s:5:"table";s:26:"font__field_classification";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_classification_target_id";}s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_classification_target_id";s:5:"table";s:26:"font__field_classification";s:2:"id";s:18:"taxonomy_index_tid";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_classification_target_id";}s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_classification_target_id";s:5:"table";s:26:"font__field_classification";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_classification_target_id";}s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";}}s:5:"delta";a:8:{s:5:"group";r:24638;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Classification";s:5:"@name";s:20:"field_classification";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:14:"Classification";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:4:"font";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"font__field_classification";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_classification_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"font__field_classification";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_classification_target_id";}s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:26:"font__field_classification";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_classification_target_id";}s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";}}}s:21:"comment__comment_body";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:18:"comment_field_data";a:4:{s:5:"table";s:21:"comment__comment_body";s:10:"left_field";s:3:"cid";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:12:"comment_body";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Comment";s:11:"title short";s:7:"Comment";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"comment";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:21:"comment__comment_body";s:2:"id";s:5:"field";s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:10:"real field";s:18:"comment_body_value";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:18:"comment_body_value";i:4;s:19:"comment_body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:18:"comment_body_value";a:7:{s:5:"group";r:66362;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Comment";s:5:"@name";s:12:"comment_body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Comment";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"comment";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:18:"comment_body_value";s:5:"table";s:21:"comment__comment_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:18:"comment_body_value";i:7;s:19:"comment_body_format";}s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:18:"comment_body_value";s:5:"table";s:21:"comment__comment_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:18:"comment_body_value";i:7;s:19:"comment_body_format";}s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:18:"comment_body_value";s:5:"table";s:21:"comment__comment_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:18:"comment_body_value";i:7;s:19:"comment_body_format";}s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";}}s:19:"comment_body_format";a:7:{s:5:"group";r:66362;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:7:"Comment";s:5:"@name";s:12:"comment_body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Comment";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:7:"comment";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:19:"comment_body_format";s:5:"table";s:21:"comment__comment_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:18:"comment_body_value";i:7;s:19:"comment_body_format";}s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:19:"comment_body_format";s:5:"table";s:21:"comment__comment_body";s:2:"id";s:6:"string";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:18:"comment_body_value";i:7;s:19:"comment_body_format";}s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:19:"comment_body_format";s:5:"table";s:21:"comment__comment_body";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:18:"comment_body_value";i:7;s:19:"comment_body_format";}s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";}}}s:44:"block_content__field_mt_video_gallery_slides";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_video_gallery_slides";a:6:{s:5:"group";r:33365;s:5:"title";s:20:"Video Gallery slides";s:11:"title short";s:20:"Video Gallery slides";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:39:"field_mt_video_gallery_slides_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:39:"field_mt_video_gallery_slides_target_id";i:4;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_video_gallery_slides";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_video_gallery_slides";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:48:"field_mt_video_gallery_slides_target_revision_id";}}s:39:"field_mt_video_gallery_slides_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:20:"Video Gallery slides";s:5:"@name";s:29:"field_mt_video_gallery_slides";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Video Gallery slides";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:39:"field_mt_video_gallery_slides_target_id";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:39:"field_mt_video_gallery_slides_target_id";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:39:"field_mt_video_gallery_slides_target_id";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Video Gallery slides";s:5:"@name";s:29:"field_mt_video_gallery_slides";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:20:"Video Gallery slides";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}}s:48:"field_mt_video_gallery_slides_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:20:"Video Gallery slides";s:5:"@name";s:29:"field_mt_video_gallery_slides";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Video Gallery slides";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:48:"field_mt_video_gallery_slides_target_revision_id";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:48:"field_mt_video_gallery_slides_target_revision_id";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:48:"field_mt_video_gallery_slides_target_revision_id";s:5:"table";s:44:"block_content__field_mt_video_gallery_slides";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}}}s:53:"block_content_revision__field_mt_video_gallery_slides";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__79da35558f";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_video_gallery_slides-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:20:"Video Gallery slides";s:11:"title short";s:20:"Video Gallery slides";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:51:"field_mt_video_gallery_slides-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:39:"field_mt_video_gallery_slides_target_id";i:4;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:39:"field_mt_video_gallery_slides_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:66585;s:11:"title short";r:66592;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:39:"field_mt_video_gallery_slides_target_id";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:39:"field_mt_video_gallery_slides_target_id";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:39:"field_mt_video_gallery_slides_target_id";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Video Gallery slides";s:5:"@name";s:29:"field_mt_video_gallery_slides";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:20:"Video Gallery slides";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}}s:48:"field_mt_video_gallery_slides_target_revision_id";a:7:{s:5:"group";r:66897;s:5:"title";r:66725;s:11:"title short";r:66732;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:48:"field_mt_video_gallery_slides_target_revision_id";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:48:"field_mt_video_gallery_slides_target_revision_id";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:48:"field_mt_video_gallery_slides_target_revision_id";s:5:"table";s:27:"block_content_r__79da35558f";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_video_gallery_slides_target_id";i:7;s:48:"field_mt_video_gallery_slides_target_revision_id";}s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";}}s:29:"field_mt_video_gallery_slides";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_video_gallery_slides";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_video_gallery_slides";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:22:"mt_video_gallery_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:48:"field_mt_video_gallery_slides_target_revision_id";}}}s:45:"block_content__field_mt_tml_timeline_viewmore";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_tml_timeline_viewmore";a:5:{s:5:"group";r:33365;s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:34:"field_mt_tml_timeline_viewmore_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_tml_timeline_viewmore_uri";i:4;s:36:"field_mt_tml_timeline_viewmore_title";i:5;s:38:"field_mt_tml_timeline_viewmore_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:0;}}s:34:"field_mt_tml_timeline_viewmore_uri";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:30:"field_mt_tml_timeline_viewmore";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:3:"uri";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_viewmore_uri";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_viewmore_uri";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tml_timeline_viewmore_uri";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";}}s:36:"field_mt_tml_timeline_viewmore_title";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:30:"field_mt_tml_timeline_viewmore";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_viewmore_title";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_viewmore_title";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tml_timeline_viewmore_title";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";}}s:38:"field_mt_tml_timeline_viewmore_options";a:6:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Link";s:5:"@name";s:30:"field_mt_tml_timeline_viewmore";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Link";s:7:"@column";s:7:"options";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_tml_timeline_viewmore_options";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_tml_timeline_viewmore_options";s:5:"table";s:45:"block_content__field_mt_tml_timeline_viewmore";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}}}s:54:"block_content_revision__field_mt_tml_timeline_viewmore";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__23529b2712";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:42:"field_mt_tml_timeline_viewmore-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Link";s:11:"title short";s:4:"Link";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:46:"field_mt_tml_timeline_viewmore-revision_id_uri";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_tml_timeline_viewmore_uri";i:4;s:36:"field_mt_tml_timeline_viewmore_title";i:5;s:38:"field_mt_tml_timeline_viewmore_options";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_tml_timeline_viewmore_uri";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:67094;s:11:"title short";r:67101;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_viewmore_uri";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_tml_timeline_viewmore_uri";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_tml_timeline_viewmore_uri";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";}}s:36:"field_mt_tml_timeline_viewmore_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:67167;s:11:"title short";r:67174;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_viewmore_title";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_viewmore_title";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tml_timeline_viewmore_title";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";}}s:38:"field_mt_tml_timeline_viewmore_options";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:67240;s:11:"title short";r:67247;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_tml_timeline_viewmore_options";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_tml_timeline_viewmore_options";s:5:"table";s:27:"block_content_r__23529b2712";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_tml_timeline_viewmore_uri";i:7;s:36:"field_mt_tml_timeline_viewmore_title";i:8;s:38:"field_mt_tml_timeline_viewmore_options";}s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}}}s:41:"block_content__field_mt_tml_timeline_item";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_tml_timeline_item";a:6:{s:5:"group";r:33365;s:5:"title";s:8:"Timeline";s:11:"title short";s:8:"Timeline";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:36:"field_mt_tml_timeline_item_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_tml_timeline_item_target_id";i:4;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:26:"field_mt_tml_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:26:"field_mt_tml_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:45:"field_mt_tml_timeline_item_target_revision_id";}}s:36:"field_mt_tml_timeline_item_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Timeline";s:5:"@name";s:26:"field_mt_tml_timeline_item";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Timeline";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_item_target_id";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_item_target_id";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tml_timeline_item_target_id";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Timeline";s:5:"@name";s:26:"field_mt_tml_timeline_item";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Timeline";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}}s:45:"field_mt_tml_timeline_item_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Timeline";s:5:"@name";s:26:"field_mt_tml_timeline_item";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Timeline";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:45:"field_mt_tml_timeline_item_target_revision_id";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:45:"field_mt_tml_timeline_item_target_revision_id";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:45:"field_mt_tml_timeline_item_target_revision_id";s:5:"table";s:41:"block_content__field_mt_tml_timeline_item";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}}}s:50:"block_content_revision__field_mt_tml_timeline_item";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__18093c0f61";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:38:"field_mt_tml_timeline_item-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Timeline";s:11:"title short";s:8:"Timeline";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:48:"field_mt_tml_timeline_item-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_tml_timeline_item_target_id";i:4;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:36:"field_mt_tml_timeline_item_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:67581;s:11:"title short";r:67588;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_item_target_id";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_tml_timeline_item_target_id";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_tml_timeline_item_target_id";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Timeline";s:5:"@name";s:26:"field_mt_tml_timeline_item";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Timeline";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}}s:45:"field_mt_tml_timeline_item_target_revision_id";a:7:{s:5:"group";r:67893;s:5:"title";r:67721;s:11:"title short";r:67728;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:45:"field_mt_tml_timeline_item_target_revision_id";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:45:"field_mt_tml_timeline_item_target_revision_id";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:45:"field_mt_tml_timeline_item_target_revision_id";s:5:"table";s:27:"block_content_r__18093c0f61";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_tml_timeline_item_target_id";i:7;s:45:"field_mt_tml_timeline_item_target_revision_id";}s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";}}s:26:"field_mt_tml_timeline_item";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:26:"field_mt_tml_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:26:"field_mt_tml_timeline_item";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:17:"mt_timeline_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:45:"field_mt_tml_timeline_item_target_revision_id";}}}s:32:"block_content__field_mt_ns_slide";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:32:"block_content__field_mt_ns_slide";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_ns_slide";a:6:{s:5:"group";r:33365;s:5:"title";s:10:"Node Slide";s:11:"title short";s:10:"Node Slide";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"block_content__field_mt_ns_slide";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:27:"field_mt_ns_slide_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_ns_slide_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:27:"field_mt_ns_slide_target_id";}}s:27:"field_mt_ns_slide_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Node Slide";s:5:"@name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:10:"Node Slide";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_ns_slide_target_id";s:5:"table";s:32:"block_content__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_ns_slide_target_id";s:5:"table";s:32:"block_content__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_ns_slide_target_id";s:5:"table";s:32:"block_content__field_mt_ns_slide";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Node Slide";s:5:"@name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:10:"Node Slide";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"block_content__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"block_content__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:32:"block_content__field_mt_ns_slide";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";}}}s:41:"block_content_revision__field_mt_ns_slide";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_ns_slide-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:10:"Node Slide";s:11:"title short";s:10:"Node Slide";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:39:"field_mt_ns_slide-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_ns_slide_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_ns_slide_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:68112;s:11:"title short";s:10:"Node Slide";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_ns_slide_target_id";s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_ns_slide_target_id";s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_ns_slide_target_id";s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:68278;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:10:"Node Slide";s:5:"@name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:10:"Node Slide";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content_revision__field_mt_ns_slide";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_ns_slide_target_id";}s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";}}s:17:"field_mt_ns_slide";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:23882;s:11:"@field_name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:24:"mt_nodes_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:27:"field_mt_ns_slide_target_id";}}}s:42:"block_content__field_mt_ms_touch_swipe_nav";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:42:"block_content__field_mt_ms_touch_swipe_nav";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_ms_touch_swipe_nav";a:5:{s:5:"group";r:33365;s:5:"title";s:29:"Enable touch swipe navigation";s:11:"title short";s:29:"Enable touch swipe navigation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:42:"block_content__field_mt_ms_touch_swipe_nav";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:33:"field_mt_ms_touch_swipe_nav_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_ms_touch_swipe_nav_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_ms_touch_swipe_nav_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:29:"Enable touch swipe navigation";s:5:"@name";s:27:"field_mt_ms_touch_swipe_nav";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:29:"Enable touch swipe navigation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_ms_touch_swipe_nav_value";s:5:"table";s:42:"block_content__field_mt_ms_touch_swipe_nav";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_touch_swipe_nav_value";}s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_ms_touch_swipe_nav_value";s:5:"table";s:42:"block_content__field_mt_ms_touch_swipe_nav";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_touch_swipe_nav_value";}s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_ms_touch_swipe_nav_value";s:5:"table";s:42:"block_content__field_mt_ms_touch_swipe_nav";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_touch_swipe_nav_value";}s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";}}}s:51:"block_content_revision__field_mt_ms_touch_swipe_nav";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__a3a390ca74";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_ms_touch_swipe_nav-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:29:"Enable touch swipe navigation";s:11:"title short";s:29:"Enable touch swipe navigation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__a3a390ca74";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:45:"field_mt_ms_touch_swipe_nav-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_ms_touch_swipe_nav_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_ms_touch_swipe_nav_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:68467;s:11:"title short";s:29:"Enable touch swipe navigation";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_ms_touch_swipe_nav_value";s:5:"table";s:27:"block_content_r__a3a390ca74";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_touch_swipe_nav_value";}s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_ms_touch_swipe_nav_value";s:5:"table";s:27:"block_content_r__a3a390ca74";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_touch_swipe_nav_value";}s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_ms_touch_swipe_nav_value";s:5:"table";s:27:"block_content_r__a3a390ca74";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_touch_swipe_nav_value";}s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";}}}s:43:"block_content__field_mt_ms_navigation_style";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:43:"block_content__field_mt_ms_navigation_style";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_ms_navigation_style";a:5:{s:5:"group";r:33365;s:5:"title";s:26:"Slideshow Navigation Style";s:11:"title short";s:26:"Slideshow Navigation Style";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:43:"block_content__field_mt_ms_navigation_style";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:34:"field_mt_ms_navigation_style_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_ms_navigation_style_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_ms_navigation_style_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:26:"Slideshow Navigation Style";s:5:"@name";s:28:"field_mt_ms_navigation_style";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:26:"Slideshow Navigation Style";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_ms_navigation_style_value";s:5:"table";s:43:"block_content__field_mt_ms_navigation_style";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_navigation_style_value";}s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_ms_navigation_style_value";s:5:"table";s:43:"block_content__field_mt_ms_navigation_style";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_navigation_style_value";}s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_ms_navigation_style_value";s:5:"table";s:43:"block_content__field_mt_ms_navigation_style";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_navigation_style_value";}s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";}}}s:52:"block_content_revision__field_mt_ms_navigation_style";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__e2adef1542";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_ms_navigation_style-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:26:"Slideshow Navigation Style";s:11:"title short";s:26:"Slideshow Navigation Style";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__e2adef1542";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:46:"field_mt_ms_navigation_style-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_ms_navigation_style_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_ms_navigation_style_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:68663;s:11:"title short";s:26:"Slideshow Navigation Style";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_ms_navigation_style_value";s:5:"table";s:27:"block_content_r__e2adef1542";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_navigation_style_value";}s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_ms_navigation_style_value";s:5:"table";s:27:"block_content_r__e2adef1542";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_navigation_style_value";}s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_ms_navigation_style_value";s:5:"table";s:27:"block_content_r__e2adef1542";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_navigation_style_value";}s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";}}}s:41:"block_content__field_mt_ms_initial_height";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:41:"block_content__field_mt_ms_initial_height";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:26:"field_mt_ms_initial_height";a:5:{s:5:"group";r:33365;s:5:"title";s:24:"Slideshow Initial Height";s:11:"title short";s:24:"Slideshow Initial Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:41:"block_content__field_mt_ms_initial_height";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:32:"field_mt_ms_initial_height_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_ms_initial_height_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:32:"field_mt_ms_initial_height_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:24:"Slideshow Initial Height";s:5:"@name";s:26:"field_mt_ms_initial_height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:24:"Slideshow Initial Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_ms_initial_height_value";s:5:"table";s:41:"block_content__field_mt_ms_initial_height";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_initial_height_value";}s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_ms_initial_height_value";s:5:"table";s:41:"block_content__field_mt_ms_initial_height";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_initial_height_value";}s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_ms_initial_height_value";s:5:"table";s:41:"block_content__field_mt_ms_initial_height";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_initial_height_value";}s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";}}}s:50:"block_content_revision__field_mt_ms_initial_height";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__b159949da4";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:38:"field_mt_ms_initial_height-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:24:"Slideshow Initial Height";s:11:"title short";s:24:"Slideshow Initial Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__b159949da4";s:2:"id";s:5:"field";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:44:"field_mt_ms_initial_height-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_ms_initial_height_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:32:"field_mt_ms_initial_height_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:68859;s:11:"title short";s:24:"Slideshow Initial Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_ms_initial_height_value";s:5:"table";s:27:"block_content_r__b159949da4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_initial_height_value";}s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_ms_initial_height_value";s:5:"table";s:27:"block_content_r__b159949da4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_initial_height_value";}s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_ms_initial_height_value";s:5:"table";s:27:"block_content_r__b159949da4";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_ms_initial_height_value";}s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";}}}s:47:"block_content__field_mt_ms_ignore_header_height";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:47:"block_content__field_mt_ms_ignore_header_height";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:32:"field_mt_ms_ignore_header_height";a:5:{s:5:"group";r:33365;s:5:"title";s:20:"Ignore Header Height";s:11:"title short";s:20:"Ignore Header Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:47:"block_content__field_mt_ms_ignore_header_height";s:2:"id";s:5:"field";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:38:"field_mt_ms_ignore_header_height_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:38:"field_mt_ms_ignore_header_height_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:38:"field_mt_ms_ignore_header_height_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Ignore Header Height";s:5:"@name";s:32:"field_mt_ms_ignore_header_height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:20:"Ignore Header Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_ms_ignore_header_height_value";s:5:"table";s:47:"block_content__field_mt_ms_ignore_header_height";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_ms_ignore_header_height_value";}s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_ms_ignore_header_height_value";s:5:"table";s:47:"block_content__field_mt_ms_ignore_header_height";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_ms_ignore_header_height_value";}s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:38:"field_mt_ms_ignore_header_height_value";s:5:"table";s:47:"block_content__field_mt_ms_ignore_header_height";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_ms_ignore_header_height_value";}s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";}}}s:56:"block_content_revision__field_mt_ms_ignore_header_height";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__261b197ca8";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:44:"field_mt_ms_ignore_header_height-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:20:"Ignore Header Height";s:11:"title short";s:20:"Ignore Header Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__261b197ca8";s:2:"id";s:5:"field";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:50:"field_mt_ms_ignore_header_height-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:38:"field_mt_ms_ignore_header_height_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:38:"field_mt_ms_ignore_header_height_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:69055;s:11:"title short";s:20:"Ignore Header Height";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:38:"field_mt_ms_ignore_header_height_value";s:5:"table";s:27:"block_content_r__261b197ca8";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_ms_ignore_header_height_value";}s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:38:"field_mt_ms_ignore_header_height_value";s:5:"table";s:27:"block_content_r__261b197ca8";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_ms_ignore_header_height_value";}s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:38:"field_mt_ms_ignore_header_height_value";s:5:"table";s:27:"block_content_r__261b197ca8";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:38:"field_mt_ms_ignore_header_height_value";}s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";}}}s:42:"block_content__field_mt_ms_effect_duration";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:42:"block_content__field_mt_ms_effect_duration";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_ms_effect_duration";a:5:{s:5:"group";r:33365;s:5:"title";s:31:"Slideshow Effect duration (sec)";s:11:"title short";s:31:"Slideshow Effect duration (sec)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:42:"block_content__field_mt_ms_effect_duration";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:33:"field_mt_ms_effect_duration_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_ms_effect_duration_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_ms_effect_duration_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:31:"Slideshow Effect duration (sec)";s:5:"@name";s:27:"field_mt_ms_effect_duration";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:31:"Slideshow Effect duration (sec)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_ms_effect_duration_value";s:5:"table";s:42:"block_content__field_mt_ms_effect_duration";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_effect_duration_value";}s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_ms_effect_duration_value";s:5:"table";s:42:"block_content__field_mt_ms_effect_duration";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_effect_duration_value";}s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_ms_effect_duration_value";s:5:"table";s:42:"block_content__field_mt_ms_effect_duration";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_effect_duration_value";}s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";}}}s:51:"block_content_revision__field_mt_ms_effect_duration";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__518dec608d";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_ms_effect_duration-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:31:"Slideshow Effect duration (sec)";s:11:"title short";s:31:"Slideshow Effect duration (sec)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__518dec608d";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:45:"field_mt_ms_effect_duration-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_ms_effect_duration_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_ms_effect_duration_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:69251;s:11:"title short";s:31:"Slideshow Effect duration (sec)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_ms_effect_duration_value";s:5:"table";s:27:"block_content_r__518dec608d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_effect_duration_value";}s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_ms_effect_duration_value";s:5:"table";s:27:"block_content_r__518dec608d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_effect_duration_value";}s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_ms_effect_duration_value";s:5:"table";s:27:"block_content_r__518dec608d";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_ms_effect_duration_value";}s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";}}}s:33:"block_content__field_mt_ms_effect";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:33:"block_content__field_mt_ms_effect";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_ms_effect";a:5:{s:5:"group";r:33365;s:5:"title";s:16:"Slideshow Effect";s:11:"title short";s:16:"Slideshow Effect";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"block_content__field_mt_ms_effect";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:24:"field_mt_ms_effect_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_ms_effect_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:24:"field_mt_ms_effect_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Slideshow Effect";s:5:"@name";s:18:"field_mt_ms_effect";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:16:"Slideshow Effect";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_ms_effect_value";s:5:"table";s:33:"block_content__field_mt_ms_effect";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_ms_effect_value";}s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_ms_effect_value";s:5:"table";s:33:"block_content__field_mt_ms_effect";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_ms_effect_value";}s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_ms_effect_value";s:5:"table";s:33:"block_content__field_mt_ms_effect";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_ms_effect_value";}s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";}}}s:42:"block_content_revision__field_mt_ms_effect";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:42:"block_content_revision__field_mt_ms_effect";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_ms_effect-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"Slideshow Effect";s:11:"title short";s:16:"Slideshow Effect";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"block_content_revision__field_mt_ms_effect";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:36:"field_mt_ms_effect-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:24:"field_mt_ms_effect_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:24:"field_mt_ms_effect_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:69447;s:11:"title short";s:16:"Slideshow Effect";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_ms_effect_value";s:5:"table";s:42:"block_content_revision__field_mt_ms_effect";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_ms_effect_value";}s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_ms_effect_value";s:5:"table";s:42:"block_content_revision__field_mt_ms_effect";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_ms_effect_value";}s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_ms_effect_value";s:5:"table";s:42:"block_content_revision__field_mt_ms_effect";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:24:"field_mt_ms_effect_value";}s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";}}}s:43:"block_content__field_mt_ms_bullets_position";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:43:"block_content__field_mt_ms_bullets_position";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_ms_bullets_position";a:5:{s:5:"group";r:33365;s:5:"title";s:37:"Slideshow Navigation Bullets Position";s:11:"title short";s:37:"Slideshow Navigation Bullets Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:43:"block_content__field_mt_ms_bullets_position";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:34:"field_mt_ms_bullets_position_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_ms_bullets_position_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_ms_bullets_position_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:37:"Slideshow Navigation Bullets Position";s:5:"@name";s:28:"field_mt_ms_bullets_position";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:37:"Slideshow Navigation Bullets Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_ms_bullets_position_value";s:5:"table";s:43:"block_content__field_mt_ms_bullets_position";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_bullets_position_value";}s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_ms_bullets_position_value";s:5:"table";s:43:"block_content__field_mt_ms_bullets_position";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_bullets_position_value";}s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_ms_bullets_position_value";s:5:"table";s:43:"block_content__field_mt_ms_bullets_position";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_bullets_position_value";}s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";}}}s:52:"block_content_revision__field_mt_ms_bullets_position";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__27683698d1";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_ms_bullets_position-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:37:"Slideshow Navigation Bullets Position";s:11:"title short";s:37:"Slideshow Navigation Bullets Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__27683698d1";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:46:"field_mt_ms_bullets_position-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_ms_bullets_position_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_ms_bullets_position_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:69643;s:11:"title short";s:37:"Slideshow Navigation Bullets Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_ms_bullets_position_value";s:5:"table";s:27:"block_content_r__27683698d1";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_bullets_position_value";}s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_ms_bullets_position_value";s:5:"table";s:27:"block_content_r__27683698d1";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_bullets_position_value";}s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_ms_bullets_position_value";s:5:"table";s:27:"block_content_r__27683698d1";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_ms_bullets_position_value";}s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";}}}s:45:"block_content__field_mt_ms_background_opacity";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:45:"block_content__field_mt_ms_background_opacity";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_ms_background_opacity";a:5:{s:5:"group";r:33365;s:5:"title";s:28:"Slideshow Background Opacity";s:11:"title short";s:28:"Slideshow Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:45:"block_content__field_mt_ms_background_opacity";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:36:"field_mt_ms_background_opacity_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_ms_background_opacity_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:36:"field_mt_ms_background_opacity_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:28:"Slideshow Background Opacity";s:5:"@name";s:30:"field_mt_ms_background_opacity";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:28:"Slideshow Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_ms_background_opacity_value";s:5:"table";s:45:"block_content__field_mt_ms_background_opacity";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_background_opacity_value";}s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_ms_background_opacity_value";s:5:"table";s:45:"block_content__field_mt_ms_background_opacity";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_background_opacity_value";}s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_ms_background_opacity_value";s:5:"table";s:45:"block_content__field_mt_ms_background_opacity";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_background_opacity_value";}s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";}}}s:54:"block_content_revision__field_mt_ms_background_opacity";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__fd238027f5";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:42:"field_mt_ms_background_opacity-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:28:"Slideshow Background Opacity";s:11:"title short";s:28:"Slideshow Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__fd238027f5";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:48:"field_mt_ms_background_opacity-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_ms_background_opacity_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:36:"field_mt_ms_background_opacity_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:69839;s:11:"title short";s:28:"Slideshow Background Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_ms_background_opacity_value";s:5:"table";s:27:"block_content_r__fd238027f5";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_background_opacity_value";}s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_ms_background_opacity_value";s:5:"table";s:27:"block_content_r__fd238027f5";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_background_opacity_value";}s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_ms_background_opacity_value";s:5:"table";s:27:"block_content_r__fd238027f5";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_ms_background_opacity_value";}s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";}}}s:33:"block_content__field_mt_media_tab";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:33:"block_content__field_mt_media_tab";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_media_tab";a:6:{s:5:"group";r:33365;s:5:"title";s:9:"Media Tab";s:11:"title short";s:9:"Media Tab";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:28:"field_mt_media_tab_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_media_tab_target_id";i:4;s:37:"field_mt_media_tab_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:37:"field_mt_media_tab_target_revision_id";}}s:28:"field_mt_media_tab_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Media Tab";s:5:"@name";s:18:"field_mt_media_tab";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Media Tab";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_media_tab_target_id";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_media_tab_target_id";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_media_tab_target_id";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Media Tab";s:5:"@name";s:18:"field_mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Media Tab";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}}s:37:"field_mt_media_tab_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Media Tab";s:5:"@name";s:18:"field_mt_media_tab";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Media Tab";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_media_tab_target_revision_id";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_media_tab_target_revision_id";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_media_tab_target_revision_id";s:5:"table";s:33:"block_content__field_mt_media_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}}}s:42:"block_content_revision__field_mt_media_tab";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_media_tab-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Media Tab";s:11:"title short";s:9:"Media Tab";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:40:"field_mt_media_tab-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_media_tab_target_id";i:4;s:37:"field_mt_media_tab_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_media_tab_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:70060;s:11:"title short";r:70067;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_media_tab_target_id";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_media_tab_target_id";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_media_tab_target_id";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Media Tab";s:5:"@name";s:18:"field_mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Media Tab";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}}s:37:"field_mt_media_tab_target_revision_id";a:7:{s:5:"group";r:70372;s:5:"title";r:70200;s:11:"title short";r:70207;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_media_tab_target_revision_id";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_media_tab_target_revision_id";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_media_tab_target_revision_id";s:5:"table";s:42:"block_content_revision__field_mt_media_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_media_tab_target_id";i:7;s:37:"field_mt_media_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";}}s:18:"field_mt_media_tab";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_media_tab";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_media_tabs_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:37:"field_mt_media_tab_target_revision_id";}}}s:32:"block_content__field_mt_map_zoom";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:32:"block_content__field_mt_map_zoom";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_map_zoom";a:5:{s:5:"group";r:33365;s:5:"title";s:8:"Map zoom";s:11:"title short";s:8:"Map zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"block_content__field_mt_map_zoom";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:23:"field_mt_map_zoom_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_map_zoom_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_map_zoom_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Map zoom";s:5:"@name";s:17:"field_mt_map_zoom";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Map zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_map_zoom_value";s:5:"table";s:32:"block_content__field_mt_map_zoom";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_map_zoom_value";}s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_map_zoom_value";s:5:"table";s:32:"block_content__field_mt_map_zoom";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_map_zoom_value";}s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_map_zoom_value";s:5:"table";s:32:"block_content__field_mt_map_zoom";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_map_zoom_value";}s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";}}}s:41:"block_content_revision__field_mt_map_zoom";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:41:"block_content_revision__field_mt_map_zoom";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_map_zoom-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Map zoom";s:11:"title short";s:8:"Map zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"block_content_revision__field_mt_map_zoom";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:35:"field_mt_map_zoom-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_map_zoom_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_map_zoom_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:70567;s:11:"title short";s:8:"Map zoom";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_map_zoom_value";s:5:"table";s:41:"block_content_revision__field_mt_map_zoom";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_map_zoom_value";}s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_map_zoom_value";s:5:"table";s:41:"block_content_revision__field_mt_map_zoom";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_map_zoom_value";}s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_map_zoom_value";s:5:"table";s:41:"block_content_revision__field_mt_map_zoom";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_map_zoom_value";}s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";}}}s:36:"block_content__field_mt_map_location";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:36:"block_content__field_mt_map_location";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_map_location";a:6:{s:5:"group";r:33365;s:5:"title";s:12:"Map Location";s:11:"title short";s:12:"Map Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:31:"field_mt_map_location_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_map_location_target_id";i:4;s:40:"field_mt_map_location_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:40:"field_mt_map_location_target_revision_id";}}s:31:"field_mt_map_location_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Map Location";s:5:"@name";s:21:"field_mt_map_location";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Map Location";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_map_location_target_id";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_map_location_target_id";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_map_location_target_id";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Map Location";s:5:"@name";s:21:"field_mt_map_location";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Map Location";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}}s:40:"field_mt_map_location_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Map Location";s:5:"@name";s:21:"field_mt_map_location";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Map Location";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_map_location_target_revision_id";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_map_location_target_revision_id";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_map_location_target_revision_id";s:5:"table";s:36:"block_content__field_mt_map_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}}}s:45:"block_content_revision__field_mt_map_location";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_map_location-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Map Location";s:11:"title short";s:12:"Map Location";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:43:"field_mt_map_location-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_map_location_target_id";i:4;s:40:"field_mt_map_location_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_map_location_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:70788;s:11:"title short";r:70795;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_map_location_target_id";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_map_location_target_id";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_map_location_target_id";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Map Location";s:5:"@name";s:21:"field_mt_map_location";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Map Location";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}}s:40:"field_mt_map_location_target_revision_id";a:7:{s:5:"group";r:71100;s:5:"title";r:70928;s:11:"title short";r:70935;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:40:"field_mt_map_location_target_revision_id";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:40:"field_mt_map_location_target_revision_id";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:40:"field_mt_map_location_target_revision_id";s:5:"table";s:45:"block_content_revision__field_mt_map_location";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_map_location_target_id";i:7;s:40:"field_mt_map_location_target_revision_id";}s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";}}s:21:"field_mt_map_location";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:21:"field_mt_map_location";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:14:"mt_google_maps";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:40:"field_mt_map_location_target_revision_id";}}}s:44:"block_content__field_mt_main_slideshow_slide";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_main_slideshow_slide";a:6:{s:5:"group";r:33365;s:5:"title";s:20:"Main Slideshow Slide";s:11:"title short";s:20:"Main Slideshow Slide";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:39:"field_mt_main_slideshow_slide_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:39:"field_mt_main_slideshow_slide_target_id";i:4;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:48:"field_mt_main_slideshow_slide_target_revision_id";}}s:39:"field_mt_main_slideshow_slide_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:20:"Main Slideshow Slide";s:5:"@name";s:29:"field_mt_main_slideshow_slide";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Main Slideshow Slide";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:39:"field_mt_main_slideshow_slide_target_id";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:39:"field_mt_main_slideshow_slide_target_id";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:39:"field_mt_main_slideshow_slide_target_id";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Main Slideshow Slide";s:5:"@name";s:29:"field_mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:20:"Main Slideshow Slide";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}}s:48:"field_mt_main_slideshow_slide_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:20:"Main Slideshow Slide";s:5:"@name";s:29:"field_mt_main_slideshow_slide";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Main Slideshow Slide";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:48:"field_mt_main_slideshow_slide_target_revision_id";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:48:"field_mt_main_slideshow_slide_target_revision_id";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:48:"field_mt_main_slideshow_slide_target_revision_id";s:5:"table";s:44:"block_content__field_mt_main_slideshow_slide";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}}}s:53:"block_content_revision__field_mt_main_slideshow_slide";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__c13740b5bd";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_main_slideshow_slide-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:20:"Main Slideshow Slide";s:11:"title short";s:20:"Main Slideshow Slide";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:51:"field_mt_main_slideshow_slide-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:39:"field_mt_main_slideshow_slide_target_id";i:4;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:39:"field_mt_main_slideshow_slide_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:71320;s:11:"title short";r:71327;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:39:"field_mt_main_slideshow_slide_target_id";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:39:"field_mt_main_slideshow_slide_target_id";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:39:"field_mt_main_slideshow_slide_target_id";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:20:"Main Slideshow Slide";s:5:"@name";s:29:"field_mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:20:"Main Slideshow Slide";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}}s:48:"field_mt_main_slideshow_slide_target_revision_id";a:7:{s:5:"group";r:71632;s:5:"title";r:71460;s:11:"title short";r:71467;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:48:"field_mt_main_slideshow_slide_target_revision_id";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:48:"field_mt_main_slideshow_slide_target_revision_id";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:48:"field_mt_main_slideshow_slide_target_revision_id";s:5:"table";s:27:"block_content_r__c13740b5bd";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:39:"field_mt_main_slideshow_slide_target_id";i:7;s:48:"field_mt_main_slideshow_slide_target_revision_id";}s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";}}s:29:"field_mt_main_slideshow_slide";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:29:"field_mt_main_slideshow_slide";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:48:"field_mt_main_slideshow_slide_target_revision_id";}}}s:45:"block_content__field_mt_main_slideshow_layout";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:45:"block_content__field_mt_main_slideshow_layout";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_main_slideshow_layout";a:5:{s:5:"group";r:33365;s:5:"title";s:16:"Slideshow Layout";s:11:"title short";s:16:"Slideshow Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:45:"block_content__field_mt_main_slideshow_layout";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:36:"field_mt_main_slideshow_layout_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_main_slideshow_layout_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:36:"field_mt_main_slideshow_layout_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Slideshow Layout";s:5:"@name";s:30:"field_mt_main_slideshow_layout";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:16:"Slideshow Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_main_slideshow_layout_value";s:5:"table";s:45:"block_content__field_mt_main_slideshow_layout";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_main_slideshow_layout_value";}s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_main_slideshow_layout_value";s:5:"table";s:45:"block_content__field_mt_main_slideshow_layout";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_main_slideshow_layout_value";}s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_main_slideshow_layout_value";s:5:"table";s:45:"block_content__field_mt_main_slideshow_layout";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_main_slideshow_layout_value";}s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";}}}s:54:"block_content_revision__field_mt_main_slideshow_layout";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__f74aaa688c";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:42:"field_mt_main_slideshow_layout-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"Slideshow Layout";s:11:"title short";s:16:"Slideshow Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__f74aaa688c";s:2:"id";s:5:"field";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:48:"field_mt_main_slideshow_layout-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:36:"field_mt_main_slideshow_layout_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:36:"field_mt_main_slideshow_layout_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:71827;s:11:"title short";s:16:"Slideshow Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:23:"mt_main_slideshow_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_main_slideshow_layout_value";s:5:"table";s:27:"block_content_r__f74aaa688c";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_main_slideshow_layout_value";}s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_main_slideshow_layout_value";s:5:"table";s:27:"block_content_r__f74aaa688c";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_main_slideshow_layout_value";}s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_main_slideshow_layout_value";s:5:"table";s:27:"block_content_r__f74aaa688c";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:36:"field_mt_main_slideshow_layout_value";}s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";}}}s:26:"block_content__field_mt_if";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:26:"block_content__field_mt_if";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:11:"field_mt_if";a:6:{s:5:"group";r:33365;s:5:"title";s:12:"Icon Feature";s:11:"title short";s:12:"Icon Feature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:5:"field";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:21:"field_mt_if_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:21:"field_mt_if_target_id";i:4;s:30:"field_mt_if_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:11:"field_mt_if";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:11:"field_mt_if";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:30:"field_mt_if_target_revision_id";}}s:21:"field_mt_if_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Icon Feature";s:5:"@name";s:11:"field_mt_if";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Icon Feature";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_if_target_id";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_if_target_id";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_if_target_id";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Icon Feature";s:5:"@name";s:11:"field_mt_if";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Icon Feature";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}}s:30:"field_mt_if_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:12:"Icon Feature";s:5:"@name";s:11:"field_mt_if";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Icon Feature";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_if_target_revision_id";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_if_target_revision_id";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_if_target_revision_id";s:5:"table";s:26:"block_content__field_mt_if";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}}}s:35:"block_content_revision__field_mt_if";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:35:"block_content_revision__field_mt_if";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_if-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:12:"Icon Feature";s:11:"title short";s:12:"Icon Feature";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:5:"field";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:33:"field_mt_if-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:21:"field_mt_if_target_id";i:4;s:30:"field_mt_if_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:21:"field_mt_if_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:72048;s:11:"title short";r:72055;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:21:"field_mt_if_target_id";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:21:"field_mt_if_target_id";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:21:"field_mt_if_target_id";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:12:"Icon Feature";s:5:"@name";s:11:"field_mt_if";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:12:"Icon Feature";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}}s:30:"field_mt_if_target_revision_id";a:7:{s:5:"group";r:72360;s:5:"title";r:72188;s:11:"title short";r:72195;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_if_target_revision_id";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_if_target_revision_id";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_if_target_revision_id";s:5:"table";s:35:"block_content_revision__field_mt_if";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:21:"field_mt_if_target_id";i:7;s:30:"field_mt_if_target_revision_id";}s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";}}s:11:"field_mt_if";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:11:"field_mt_if";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:11:"field_mt_if";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:11:"mt_if_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:30:"field_mt_if_target_revision_id";}}}s:28:"block_content__field_mt_fltt";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:28:"block_content__field_mt_fltt";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:13:"field_mt_fltt";a:6:{s:5:"group";r:33365;s:5:"title";s:25:"Featured Linked Text Tile";s:11:"title short";s:25:"Featured Linked Text Tile";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:5:"field";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:23:"field_mt_fltt_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_fltt_target_id";i:4;s:32:"field_mt_fltt_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:13:"field_mt_fltt";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:13:"field_mt_fltt";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:32:"field_mt_fltt_target_revision_id";}}s:23:"field_mt_fltt_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:25:"Featured Linked Text Tile";s:5:"@name";s:13:"field_mt_fltt";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:25:"Featured Linked Text Tile";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_fltt_target_id";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_fltt_target_id";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_fltt_target_id";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:25:"Featured Linked Text Tile";s:5:"@name";s:13:"field_mt_fltt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:25:"Featured Linked Text Tile";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}}s:32:"field_mt_fltt_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:25:"Featured Linked Text Tile";s:5:"@name";s:13:"field_mt_fltt";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:25:"Featured Linked Text Tile";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_fltt_target_revision_id";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_fltt_target_revision_id";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_fltt_target_revision_id";s:5:"table";s:28:"block_content__field_mt_fltt";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}}}s:37:"block_content_revision__field_mt_fltt";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_fltt-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:25:"Featured Linked Text Tile";s:11:"title short";s:25:"Featured Linked Text Tile";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:5:"field";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:35:"field_mt_fltt-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_fltt_target_id";i:4;s:32:"field_mt_fltt_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_fltt_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:72580;s:11:"title short";r:72587;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_fltt_target_id";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_fltt_target_id";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_fltt_target_id";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:25:"Featured Linked Text Tile";s:5:"@name";s:13:"field_mt_fltt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:25:"Featured Linked Text Tile";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}}s:32:"field_mt_fltt_target_revision_id";a:7:{s:5:"group";r:72892;s:5:"title";r:72720;s:11:"title short";r:72727;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_fltt_target_revision_id";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_fltt_target_revision_id";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_fltt_target_revision_id";s:5:"table";s:37:"block_content_revision__field_mt_fltt";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_fltt_target_id";i:7;s:32:"field_mt_fltt_target_revision_id";}s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";}}s:13:"field_mt_fltt";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:13:"field_mt_fltt";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:13:"field_mt_fltt";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:13:"mt_fltt_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:32:"field_mt_fltt_target_revision_id";}}}s:33:"block_content__field_mt_fancy_tab";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_fancy_tab";a:6:{s:5:"group";r:33365;s:5:"title";s:9:"Fancy Tab";s:11:"title short";s:9:"Fancy Tab";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:28:"field_mt_fancy_tab_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_fancy_tab_target_id";i:4;s:37:"field_mt_fancy_tab_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:37:"field_mt_fancy_tab_target_revision_id";}}s:28:"field_mt_fancy_tab_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Fancy Tab";s:5:"@name";s:18:"field_mt_fancy_tab";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Fancy Tab";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_fancy_tab_target_id";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_fancy_tab_target_id";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_fancy_tab_target_id";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Fancy Tab";s:5:"@name";s:18:"field_mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Fancy Tab";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}}s:37:"field_mt_fancy_tab_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:9:"Fancy Tab";s:5:"@name";s:18:"field_mt_fancy_tab";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Fancy Tab";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_fancy_tab_target_revision_id";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_fancy_tab_target_revision_id";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_fancy_tab_target_revision_id";s:5:"table";s:33:"block_content__field_mt_fancy_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}}}s:42:"block_content_revision__field_mt_fancy_tab";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_fancy_tab-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:9:"Fancy Tab";s:11:"title short";s:9:"Fancy Tab";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:40:"field_mt_fancy_tab-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_fancy_tab_target_id";i:4;s:37:"field_mt_fancy_tab_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_fancy_tab_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:73112;s:11:"title short";r:73119;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_fancy_tab_target_id";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_fancy_tab_target_id";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_fancy_tab_target_id";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:9:"Fancy Tab";s:5:"@name";s:18:"field_mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:9:"Fancy Tab";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}}s:37:"field_mt_fancy_tab_target_revision_id";a:7:{s:5:"group";r:73424;s:5:"title";r:73252;s:11:"title short";r:73259;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_fancy_tab_target_revision_id";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_fancy_tab_target_revision_id";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_fancy_tab_target_revision_id";s:5:"table";s:42:"block_content_revision__field_mt_fancy_tab";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_fancy_tab_target_id";i:7;s:37:"field_mt_fancy_tab_target_revision_id";}s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";}}s:18:"field_mt_fancy_tab";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:18:"field_mt_fancy_tab";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:19:"mt_fancy_tabs_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:37:"field_mt_fancy_tab_target_revision_id";}}}s:42:"block_content__field_mt_fancy_linked_image";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_fancy_linked_image";a:6:{s:5:"group";r:33365;s:5:"title";s:18:"Fancy Linked Image";s:11:"title short";s:18:"Fancy Linked Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:37:"field_mt_fancy_linked_image_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_fancy_linked_image_target_id";i:4;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:27:"field_mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:27:"field_mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:46:"field_mt_fancy_linked_image_target_revision_id";}}s:37:"field_mt_fancy_linked_image_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:18:"Fancy Linked Image";s:5:"@name";s:27:"field_mt_fancy_linked_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:18:"Fancy Linked Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_fancy_linked_image_target_id";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_fancy_linked_image_target_id";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_fancy_linked_image_target_id";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:18:"Fancy Linked Image";s:5:"@name";s:27:"field_mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:18:"Fancy Linked Image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}}s:46:"field_mt_fancy_linked_image_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:18:"Fancy Linked Image";s:5:"@name";s:27:"field_mt_fancy_linked_image";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:18:"Fancy Linked Image";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:46:"field_mt_fancy_linked_image_target_revision_id";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:46:"field_mt_fancy_linked_image_target_revision_id";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:46:"field_mt_fancy_linked_image_target_revision_id";s:5:"table";s:42:"block_content__field_mt_fancy_linked_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}}}s:51:"block_content_revision__field_mt_fancy_linked_image";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_fancy_linked_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:18:"Fancy Linked Image";s:11:"title short";s:18:"Fancy Linked Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:49:"field_mt_fancy_linked_image-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:37:"field_mt_fancy_linked_image_target_id";i:4;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:37:"field_mt_fancy_linked_image_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:73644;s:11:"title short";r:73651;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:37:"field_mt_fancy_linked_image_target_id";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:37:"field_mt_fancy_linked_image_target_id";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:37:"field_mt_fancy_linked_image_target_id";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:18:"Fancy Linked Image";s:5:"@name";s:27:"field_mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:18:"Fancy Linked Image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}}s:46:"field_mt_fancy_linked_image_target_revision_id";a:7:{s:5:"group";r:73956;s:5:"title";r:73784;s:11:"title short";r:73791;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:46:"field_mt_fancy_linked_image_target_revision_id";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:46:"field_mt_fancy_linked_image_target_revision_id";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:46:"field_mt_fancy_linked_image_target_revision_id";s:5:"table";s:27:"block_content_r__4c59a7dd4d";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:37:"field_mt_fancy_linked_image_target_id";i:7;s:46:"field_mt_fancy_linked_image_target_revision_id";}s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";}}s:27:"field_mt_fancy_linked_image";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:27:"field_mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:27:"field_mt_fancy_linked_image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:28:"mt_fancy_linked_images_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:46:"field_mt_fancy_linked_image_target_revision_id";}}}s:32:"block_content__field_mt_dropdown";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:32:"block_content__field_mt_dropdown";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_dropdown";a:6:{s:5:"group";r:33365;s:5:"title";s:8:"Dropdown";s:11:"title short";s:8:"Dropdown";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:27:"field_mt_dropdown_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_dropdown_target_id";i:4;s:36:"field_mt_dropdown_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:17:"field_mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:17:"field_mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:36:"field_mt_dropdown_target_revision_id";}}s:27:"field_mt_dropdown_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Dropdown";s:5:"@name";s:17:"field_mt_dropdown";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Dropdown";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_dropdown_target_id";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_dropdown_target_id";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_dropdown_target_id";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Dropdown";s:5:"@name";s:17:"field_mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Dropdown";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}}s:36:"field_mt_dropdown_target_revision_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:8:"Dropdown";s:5:"@name";s:17:"field_mt_dropdown";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Dropdown";s:7:"@column";s:18:"target_revision_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_dropdown_target_revision_id";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_dropdown_target_revision_id";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_dropdown_target_revision_id";s:5:"table";s:32:"block_content__field_mt_dropdown";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}}}s:41:"block_content_revision__field_mt_dropdown";a:6:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_dropdown-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Dropdown";s:11:"title short";s:8:"Dropdown";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:39:"field_mt_dropdown-revision_id_target_id";s:17:"additional fields";a:5:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:27:"field_mt_dropdown_target_id";i:4;s:36:"field_mt_dropdown_target_revision_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:27:"field_mt_dropdown_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:74176;s:11:"title short";r:74183;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:27:"field_mt_dropdown_target_id";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:27:"field_mt_dropdown_target_id";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:27:"field_mt_dropdown_target_id";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Dropdown";s:5:"@name";s:17:"field_mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Dropdown";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}}s:36:"field_mt_dropdown_target_revision_id";a:7:{s:5:"group";r:74488;s:5:"title";r:74316;s:11:"title short";r:74323;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:36:"field_mt_dropdown_target_revision_id";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:36:"field_mt_dropdown_target_revision_id";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:7:"numeric";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:36:"field_mt_dropdown_target_revision_id";s:5:"table";s:41:"block_content_revision__field_mt_dropdown";s:2:"id";s:8:"standard";s:17:"additional fields";a:8:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:27:"field_mt_dropdown_target_id";i:7;s:36:"field_mt_dropdown_target_revision_id";}s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";}}s:17:"field_mt_dropdown";a:1:{s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:17:"field_mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:3707;s:11:"@field_name";s:17:"field_mt_dropdown";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:18:"mt_dropdowns_block";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity type";s:9:"paragraph";s:10:"base field";s:11:"revision_id";s:18:"relationship field";s:36:"field_mt_dropdown_target_revision_id";}}}s:43:"block_content__field_mt_cb_trigger_position";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:43:"block_content__field_mt_cb_trigger_position";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:28:"field_mt_cb_trigger_position";a:5:{s:5:"group";r:33365;s:5:"title";s:16:"Trigger Position";s:11:"title short";s:16:"Trigger Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:43:"block_content__field_mt_cb_trigger_position";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:34:"field_mt_cb_trigger_position_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_cb_trigger_position_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_cb_trigger_position_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Trigger Position";s:5:"@name";s:28:"field_mt_cb_trigger_position";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:16:"Trigger Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_cb_trigger_position_value";s:5:"table";s:43:"block_content__field_mt_cb_trigger_position";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_cb_trigger_position_value";}s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_cb_trigger_position_value";s:5:"table";s:43:"block_content__field_mt_cb_trigger_position";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_cb_trigger_position_value";}s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_cb_trigger_position_value";s:5:"table";s:43:"block_content__field_mt_cb_trigger_position";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_cb_trigger_position_value";}s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";}}}s:52:"block_content_revision__field_mt_cb_trigger_position";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__66091821cc";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:40:"field_mt_cb_trigger_position-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"Trigger Position";s:11:"title short";s:16:"Trigger Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__66091821cc";s:2:"id";s:5:"field";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:46:"field_mt_cb_trigger_position-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_cb_trigger_position_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_cb_trigger_position_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:74683;s:11:"title short";s:16:"Trigger Position";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_cb_trigger_position_value";s:5:"table";s:27:"block_content_r__66091821cc";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_cb_trigger_position_value";}s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_cb_trigger_position_value";s:5:"table";s:27:"block_content_r__66091821cc";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_cb_trigger_position_value";}s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_cb_trigger_position_value";s:5:"table";s:27:"block_content_r__66091821cc";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_cb_trigger_position_value";}s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";}}}s:32:"block_content__field_mt_cb_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:32:"block_content__field_mt_cb_title";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_cb_title";a:5:{s:5:"group";r:33365;s:5:"title";s:14:"Collapse title";s:11:"title short";s:14:"Collapse title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"block_content__field_mt_cb_title";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:23:"field_mt_cb_title_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_cb_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_cb_title_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:14:"Collapse title";s:5:"@name";s:17:"field_mt_cb_title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:14:"Collapse title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_cb_title_value";s:5:"table";s:32:"block_content__field_mt_cb_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_title_value";}s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_cb_title_value";s:5:"table";s:32:"block_content__field_mt_cb_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_title_value";}s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_cb_title_value";s:5:"table";s:32:"block_content__field_mt_cb_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_title_value";}s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";}}}s:41:"block_content_revision__field_mt_cb_title";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:41:"block_content_revision__field_mt_cb_title";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_cb_title-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:14:"Collapse title";s:11:"title short";s:14:"Collapse title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"block_content_revision__field_mt_cb_title";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:35:"field_mt_cb_title-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_cb_title_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_cb_title_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:74879;s:11:"title short";s:14:"Collapse title";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_cb_title_value";s:5:"table";s:41:"block_content_revision__field_mt_cb_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_title_value";}s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_cb_title_value";s:5:"table";s:41:"block_content_revision__field_mt_cb_title";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_title_value";}s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_cb_title_value";s:5:"table";s:41:"block_content_revision__field_mt_cb_title";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_title_value";}s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";}}}s:32:"block_content__field_mt_cb_state";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:32:"block_content__field_mt_cb_state";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:17:"field_mt_cb_state";a:5:{s:5:"group";r:33365;s:5:"title";s:22:"Collapse initial state";s:11:"title short";s:22:"Collapse initial state";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:32:"block_content__field_mt_cb_state";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:23:"field_mt_cb_state_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_cb_state_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:23:"field_mt_cb_state_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:22:"Collapse initial state";s:5:"@name";s:17:"field_mt_cb_state";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:22:"Collapse initial state";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_cb_state_value";s:5:"table";s:32:"block_content__field_mt_cb_state";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_state_value";}s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_cb_state_value";s:5:"table";s:32:"block_content__field_mt_cb_state";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_state_value";}s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_cb_state_value";s:5:"table";s:32:"block_content__field_mt_cb_state";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_state_value";}s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";}}}s:41:"block_content_revision__field_mt_cb_state";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:41:"block_content_revision__field_mt_cb_state";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_cb_state-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:22:"Collapse initial state";s:11:"title short";s:22:"Collapse initial state";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:41:"block_content_revision__field_mt_cb_state";s:2:"id";s:5:"field";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:35:"field_mt_cb_state-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:23:"field_mt_cb_state_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:23:"field_mt_cb_state_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:75075;s:11:"title short";s:22:"Collapse initial state";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:23:"field_mt_cb_state_value";s:5:"table";s:41:"block_content_revision__field_mt_cb_state";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_state_value";}s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:23:"field_mt_cb_state_value";s:5:"table";s:41:"block_content_revision__field_mt_cb_state";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_state_value";}s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:23:"field_mt_cb_state_value";s:5:"table";s:41:"block_content_revision__field_mt_cb_state";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:23:"field_mt_cb_state_value";}s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";}}}s:38:"block_content__field_mt_cb_expand_icon";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:38:"block_content__field_mt_cb_expand_icon";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_cb_expand_icon";a:5:{s:5:"group";r:33365;s:5:"title";s:11:"Expand icon";s:11:"title short";s:11:"Expand icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:38:"block_content__field_mt_cb_expand_icon";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:29:"field_mt_cb_expand_icon_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_cb_expand_icon_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_cb_expand_icon_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:11:"Expand icon";s:5:"@name";s:23:"field_mt_cb_expand_icon";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:11:"Expand icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_cb_expand_icon_value";s:5:"table";s:38:"block_content__field_mt_cb_expand_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_cb_expand_icon_value";}s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_cb_expand_icon_value";s:5:"table";s:38:"block_content__field_mt_cb_expand_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_cb_expand_icon_value";}s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_cb_expand_icon_value";s:5:"table";s:38:"block_content__field_mt_cb_expand_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_cb_expand_icon_value";}s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";}}}s:47:"block_content_revision__field_mt_cb_expand_icon";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:47:"block_content_revision__field_mt_cb_expand_icon";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_cb_expand_icon-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:11:"Expand icon";s:11:"title short";s:11:"Expand icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:47:"block_content_revision__field_mt_cb_expand_icon";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:41:"field_mt_cb_expand_icon-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_cb_expand_icon_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_cb_expand_icon_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:75271;s:11:"title short";s:11:"Expand icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_cb_expand_icon_value";s:5:"table";s:47:"block_content_revision__field_mt_cb_expand_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_cb_expand_icon_value";}s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_cb_expand_icon_value";s:5:"table";s:47:"block_content_revision__field_mt_cb_expand_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_cb_expand_icon_value";}s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_cb_expand_icon_value";s:5:"table";s:47:"block_content_revision__field_mt_cb_expand_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_cb_expand_icon_value";}s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";}}}s:40:"block_content__field_mt_cb_collapse_icon";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:40:"block_content__field_mt_cb_collapse_icon";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_cb_collapse_icon";a:5:{s:5:"group";r:33365;s:5:"title";s:13:"Collapse icon";s:11:"title short";s:13:"Collapse icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:40:"block_content__field_mt_cb_collapse_icon";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:31:"field_mt_cb_collapse_icon_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_cb_collapse_icon_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_cb_collapse_icon_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:13:"Collapse icon";s:5:"@name";s:25:"field_mt_cb_collapse_icon";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:13:"Collapse icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_cb_collapse_icon_value";s:5:"table";s:40:"block_content__field_mt_cb_collapse_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_cb_collapse_icon_value";}s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_cb_collapse_icon_value";s:5:"table";s:40:"block_content__field_mt_cb_collapse_icon";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_cb_collapse_icon_value";}s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_cb_collapse_icon_value";s:5:"table";s:40:"block_content__field_mt_cb_collapse_icon";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_cb_collapse_icon_value";}s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";}}}s:49:"block_content_revision__field_mt_cb_collapse_icon";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__97edb858ae";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_cb_collapse_icon-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:13:"Collapse icon";s:11:"title short";s:13:"Collapse icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__97edb858ae";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:43:"field_mt_cb_collapse_icon-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_cb_collapse_icon_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_cb_collapse_icon_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:75467;s:11:"title short";s:13:"Collapse icon";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:20:"mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_cb_collapse_icon_value";s:5:"table";s:27:"block_content_r__97edb858ae";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_cb_collapse_icon_value";}s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_cb_collapse_icon_value";s:5:"table";s:27:"block_content_r__97edb858ae";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_cb_collapse_icon_value";}s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_cb_collapse_icon_value";s:5:"table";s:27:"block_content_r__97edb858ae";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_cb_collapse_icon_value";}s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";}}}s:37:"block_content__field_mt_bv_video_webm";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:22:"field_mt_bv_video_webm";a:5:{s:5:"group";r:33365;s:5:"title";s:23:"Background Video (webm)";s:11:"title short";s:23:"Background Video (webm)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:32:"field_mt_bv_video_webm_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_bv_video_webm_target_id";i:4;s:30:"field_mt_bv_video_webm_display";i:5;s:34:"field_mt_bv_video_webm_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:32:"field_mt_bv_video_webm_target_id";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:23:"Background Video (webm)";s:5:"@name";s:22:"field_mt_bv_video_webm";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:23:"Background Video (webm)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_bv_video_webm_target_id";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_bv_video_webm_target_id";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_bv_video_webm_target_id";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_bv_video_webm";}s:10:"\0*\0options";a:0:{}}}}s:30:"field_mt_bv_video_webm_display";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:23:"Background Video (webm)";s:5:"@name";s:22:"field_mt_bv_video_webm";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:23:"Background Video (webm)";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_bv_video_webm_display";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_bv_video_webm_display";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_bv_video_webm_display";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";}}s:34:"field_mt_bv_video_webm_description";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:23:"Background Video (webm)";s:5:"@name";s:22:"field_mt_bv_video_webm";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:23:"Background Video (webm)";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_bv_video_webm_description";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_bv_video_webm_description";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_bv_video_webm_description";s:5:"table";s:37:"block_content__field_mt_bv_video_webm";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";}}}s:46:"block_content_revision__field_mt_bv_video_webm";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:34:"field_mt_bv_video_webm-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:23:"Background Video (webm)";s:11:"title short";s:23:"Background Video (webm)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:5:"field";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:44:"field_mt_bv_video_webm-revision_id_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:32:"field_mt_bv_video_webm_target_id";i:4;s:30:"field_mt_bv_video_webm_display";i:5;s:34:"field_mt_bv_video_webm_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:32:"field_mt_bv_video_webm_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:75665;s:11:"title short";r:75672;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_bv_video_webm_target_id";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_bv_video_webm_target_id";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_bv_video_webm_target_id";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_bv_video_webm";}s:10:"\0*\0options";a:0:{}}}}s:30:"field_mt_bv_video_webm_display";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:75748;s:11:"title short";r:75755;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_bv_video_webm_display";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_bv_video_webm_display";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_bv_video_webm_display";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";}}s:34:"field_mt_bv_video_webm_description";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:75821;s:11:"title short";r:75828;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_bv_video_webm_description";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_bv_video_webm_description";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_bv_video_webm_description";s:5:"table";s:46:"block_content_revision__field_mt_bv_video_webm";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:32:"field_mt_bv_video_webm_target_id";i:7;s:30:"field_mt_bv_video_webm_display";i:8;s:34:"field_mt_bv_video_webm_description";}s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";}}}s:36:"block_content__field_mt_bv_video_mp4";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:21:"field_mt_bv_video_mp4";a:5:{s:5:"group";r:33365;s:5:"title";s:22:"Background Video (mp4)";s:11:"title short";s:22:"Background Video (mp4)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:31:"field_mt_bv_video_mp4_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_bv_video_mp4_target_id";i:4;s:29:"field_mt_bv_video_mp4_display";i:5;s:33:"field_mt_bv_video_mp4_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_bv_video_mp4_target_id";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"Background Video (mp4)";s:5:"@name";s:21:"field_mt_bv_video_mp4";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:22:"Background Video (mp4)";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_bv_video_mp4_target_id";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_bv_video_mp4_target_id";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_bv_video_mp4_target_id";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_bv_video_mp4";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_bv_video_mp4_display";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"Background Video (mp4)";s:5:"@name";s:21:"field_mt_bv_video_mp4";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:22:"Background Video (mp4)";s:7:"@column";s:7:"display";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_bv_video_mp4_display";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_bv_video_mp4_display";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_bv_video_mp4_display";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";}}s:33:"field_mt_bv_video_mp4_description";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:22:"Background Video (mp4)";s:5:"@name";s:21:"field_mt_bv_video_mp4";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:22:"Background Video (mp4)";s:7:"@column";s:11:"description";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_bv_video_mp4_description";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_bv_video_mp4_description";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_bv_video_mp4_description";s:5:"table";s:36:"block_content__field_mt_bv_video_mp4";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";}}}s:45:"block_content_revision__field_mt_bv_video_mp4";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:33:"field_mt_bv_video_mp4-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:22:"Background Video (mp4)";s:11:"title short";s:22:"Background Video (mp4)";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:5:"field";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:43:"field_mt_bv_video_mp4-revision_id_target_id";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_bv_video_mp4_target_id";i:4;s:29:"field_mt_bv_video_mp4_display";i:5;s:33:"field_mt_bv_video_mp4_description";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_bv_video_mp4_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:76181;s:11:"title short";r:76188;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_bv_video_mp4_target_id";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_bv_video_mp4_target_id";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_bv_video_mp4_target_id";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"file from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_bv_video_mp4";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_bv_video_mp4_display";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:76264;s:11:"title short";r:76271;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_bv_video_mp4_display";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_bv_video_mp4_display";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:7:"numeric";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_bv_video_mp4_display";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";}}s:33:"field_mt_bv_video_mp4_description";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:76337;s:11:"title short";r:76344;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_bv_video_mp4_description";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_bv_video_mp4_description";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_bv_video_mp4_description";s:5:"table";s:45:"block_content_revision__field_mt_bv_video_mp4";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_video_mp4_target_id";i:7;s:29:"field_mt_bv_video_mp4_display";i:8;s:33:"field_mt_bv_video_mp4_description";}s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";}}}s:33:"block_content__field_mt_bv_poster";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:33:"block_content__field_mt_bv_poster";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:18:"field_mt_bv_poster";a:5:{s:5:"group";r:33365;s:5:"title";s:6:"Poster";s:11:"title short";s:6:"Poster";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:28:"field_mt_bv_poster_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_bv_poster_target_id";i:4;s:22:"field_mt_bv_poster_alt";i:5;s:24:"field_mt_bv_poster_title";i:6;s:24:"field_mt_bv_poster_width";i:7;s:25:"field_mt_bv_poster_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:28:"field_mt_bv_poster_target_id";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:6:"Poster";s:5:"@name";s:18:"field_mt_bv_poster";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Poster";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_bv_poster_target_id";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_bv_poster_target_id";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_bv_poster_target_id";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_bv_poster";}s:10:"\0*\0options";a:0:{}}}}s:22:"field_mt_bv_poster_alt";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:6:"Poster";s:5:"@name";s:18:"field_mt_bv_poster";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Poster";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_bv_poster_alt";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_bv_poster_alt";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_bv_poster_alt";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}s:24:"field_mt_bv_poster_title";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:6:"Poster";s:5:"@name";s:18:"field_mt_bv_poster";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Poster";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_bv_poster_title";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_bv_poster_title";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_bv_poster_title";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}s:24:"field_mt_bv_poster_width";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:6:"Poster";s:5:"@name";s:18:"field_mt_bv_poster";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Poster";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_bv_poster_width";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_bv_poster_width";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_bv_poster_width";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}s:25:"field_mt_bv_poster_height";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:6:"Poster";s:5:"@name";s:18:"field_mt_bv_poster";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:6:"Poster";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_bv_poster_height";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_bv_poster_height";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_bv_poster_height";s:5:"table";s:33:"block_content__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}}s:42:"block_content_revision__field_mt_bv_poster";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:30:"field_mt_bv_poster-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:6:"Poster";s:11:"title short";s:6:"Poster";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:5:"field";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:40:"field_mt_bv_poster-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:28:"field_mt_bv_poster_target_id";i:4;s:22:"field_mt_bv_poster_alt";i:5;s:24:"field_mt_bv_poster_title";i:6;s:24:"field_mt_bv_poster_width";i:7;s:25:"field_mt_bv_poster_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:28:"field_mt_bv_poster_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:76699;s:11:"title short";r:76706;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:28:"field_mt_bv_poster_target_id";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:28:"field_mt_bv_poster_target_id";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:28:"field_mt_bv_poster_target_id";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_bv_poster";}s:10:"\0*\0options";a:0:{}}}}s:22:"field_mt_bv_poster_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:76788;s:11:"title short";r:76795;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:22:"field_mt_bv_poster_alt";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:22:"field_mt_bv_poster_alt";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:22:"field_mt_bv_poster_alt";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}s:24:"field_mt_bv_poster_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:76867;s:11:"title short";r:76874;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_bv_poster_title";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_bv_poster_title";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_bv_poster_title";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}s:24:"field_mt_bv_poster_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:76946;s:11:"title short";r:76953;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:24:"field_mt_bv_poster_width";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:24:"field_mt_bv_poster_width";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:24:"field_mt_bv_poster_width";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}s:25:"field_mt_bv_poster_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:77025;s:11:"title short";r:77032;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:25:"field_mt_bv_poster_height";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:25:"field_mt_bv_poster_height";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:25:"field_mt_bv_poster_height";s:5:"table";s:42:"block_content_revision__field_mt_bv_poster";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:28:"field_mt_bv_poster_target_id";i:7;s:22:"field_mt_bv_poster_alt";i:8;s:24:"field_mt_bv_poster_title";i:9;s:24:"field_mt_bv_poster_width";i:10;s:25:"field_mt_bv_poster_height";}s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";}}}s:42:"block_content__field_mt_bv_overlay_opacity";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:42:"block_content__field_mt_bv_overlay_opacity";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:27:"field_mt_bv_overlay_opacity";a:5:{s:5:"group";r:33365;s:5:"title";s:32:"Background Video Overlay Opacity";s:11:"title short";s:32:"Background Video Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:42:"block_content__field_mt_bv_overlay_opacity";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:33:"field_mt_bv_overlay_opacity_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_bv_overlay_opacity_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:33:"field_mt_bv_overlay_opacity_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:32:"Background Video Overlay Opacity";s:5:"@name";s:27:"field_mt_bv_overlay_opacity";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:32:"Background Video Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_bv_overlay_opacity_value";s:5:"table";s:42:"block_content__field_mt_bv_overlay_opacity";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_bv_overlay_opacity_value";}s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_bv_overlay_opacity_value";s:5:"table";s:42:"block_content__field_mt_bv_overlay_opacity";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_bv_overlay_opacity_value";}s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_bv_overlay_opacity_value";s:5:"table";s:42:"block_content__field_mt_bv_overlay_opacity";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_bv_overlay_opacity_value";}s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";}}}s:51:"block_content_revision__field_mt_bv_overlay_opacity";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__6e405e2d16";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:39:"field_mt_bv_overlay_opacity-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:32:"Background Video Overlay Opacity";s:11:"title short";s:32:"Background Video Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__6e405e2d16";s:2:"id";s:5:"field";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:45:"field_mt_bv_overlay_opacity-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:33:"field_mt_bv_overlay_opacity_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:33:"field_mt_bv_overlay_opacity_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:77553;s:11:"title short";s:32:"Background Video Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:33:"field_mt_bv_overlay_opacity_value";s:5:"table";s:27:"block_content_r__6e405e2d16";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_bv_overlay_opacity_value";}s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:33:"field_mt_bv_overlay_opacity_value";s:5:"table";s:27:"block_content_r__6e405e2d16";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_bv_overlay_opacity_value";}s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:33:"field_mt_bv_overlay_opacity_value";s:5:"table";s:27:"block_content_r__6e405e2d16";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:33:"field_mt_bv_overlay_opacity_value";}s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";}}}s:40:"block_content__field_mt_bv_overlay_color";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:40:"block_content__field_mt_bv_overlay_color";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_bv_overlay_color";a:5:{s:5:"group";r:33365;s:5:"title";s:30:"Background Video Overlay Color";s:11:"title short";s:30:"Background Video Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:40:"block_content__field_mt_bv_overlay_color";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:31:"field_mt_bv_overlay_color_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_bv_overlay_color_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_bv_overlay_color_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:30:"Background Video Overlay Color";s:5:"@name";s:25:"field_mt_bv_overlay_color";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:30:"Background Video Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_bv_overlay_color_value";s:5:"table";s:40:"block_content__field_mt_bv_overlay_color";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_overlay_color_value";}s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_bv_overlay_color_value";s:5:"table";s:40:"block_content__field_mt_bv_overlay_color";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_overlay_color_value";}s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_bv_overlay_color_value";s:5:"table";s:40:"block_content__field_mt_bv_overlay_color";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_overlay_color_value";}s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";}}}s:49:"block_content_revision__field_mt_bv_overlay_color";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__4631ce0d7c";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_bv_overlay_color-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:30:"Background Video Overlay Color";s:11:"title short";s:30:"Background Video Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__4631ce0d7c";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:43:"field_mt_bv_overlay_color-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_bv_overlay_color_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_bv_overlay_color_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:77749;s:11:"title short";s:30:"Background Video Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_bv_overlay_color_value";s:5:"table";s:27:"block_content_r__4631ce0d7c";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_overlay_color_value";}s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_bv_overlay_color_value";s:5:"table";s:27:"block_content_r__4631ce0d7c";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_overlay_color_value";}s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_bv_overlay_color_value";s:5:"table";s:27:"block_content_r__4631ce0d7c";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bv_overlay_color_value";}s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";}}}s:38:"block_content__field_mt_bv_layout_mode";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:38:"block_content__field_mt_bv_layout_mode";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_bv_layout_mode";a:5:{s:5:"group";r:33365;s:5:"title";s:19:"Inner Blocks Layout";s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:38:"block_content__field_mt_bv_layout_mode";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:29:"field_mt_bv_layout_mode_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_bv_layout_mode_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_bv_layout_mode_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Inner Blocks Layout";s:5:"@name";s:23:"field_mt_bv_layout_mode";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_bv_layout_mode_value";s:5:"table";s:38:"block_content__field_mt_bv_layout_mode";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bv_layout_mode_value";}s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_bv_layout_mode_value";s:5:"table";s:38:"block_content__field_mt_bv_layout_mode";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bv_layout_mode_value";}s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_bv_layout_mode_value";s:5:"table";s:38:"block_content__field_mt_bv_layout_mode";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bv_layout_mode_value";}s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";}}}s:47:"block_content_revision__field_mt_bv_layout_mode";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:47:"block_content_revision__field_mt_bv_layout_mode";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_bv_layout_mode-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:19:"Inner Blocks Layout";s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:47:"block_content_revision__field_mt_bv_layout_mode";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:41:"field_mt_bv_layout_mode-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_bv_layout_mode_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_bv_layout_mode_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:77945;s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_video_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_bv_layout_mode_value";s:5:"table";s:47:"block_content_revision__field_mt_bv_layout_mode";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bv_layout_mode_value";}s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_bv_layout_mode_value";s:5:"table";s:47:"block_content_revision__field_mt_bv_layout_mode";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bv_layout_mode_value";}s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_bv_layout_mode_value";s:5:"table";s:47:"block_content_revision__field_mt_bv_layout_mode";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bv_layout_mode_value";}s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";}}}s:39:"block_content__field_mt_block_reference";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:5:{s:5:"table";s:39:"block_content__field_mt_block_reference";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:3:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}i:2;a:2:{s:5:"field";s:6:"bundle";s:5:"value";a:1:{i:0;s:13:"mt_tabs_block";}}}s:7:"join_id";s:22:"field_or_language_join";}}s:8:"provider";s:5:"views";}s:24:"field_mt_block_reference";a:5:{s:5:"group";r:33365;s:5:"title";s:15:"Block Reference";s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:89:"mt_tabs_block, mt_background_image_block, mt_background_video_block, mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:39:"block_content__field_mt_block_reference";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:34:"field_mt_block_reference_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_block_reference_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:34:"field_mt_block_reference_target_id";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Block Reference";s:5:"@name";s:24:"field_mt_block_reference";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:89:"mt_tabs_block, mt_background_image_block, mt_background_video_block, mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_block_reference_target_id";s:5:"table";s:39:"block_content__field_mt_block_reference";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_block_reference_target_id";s:5:"table";s:39:"block_content__field_mt_block_reference";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_block_reference_target_id";s:5:"table";s:39:"block_content__field_mt_block_reference";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Block Reference";s:5:"@name";s:24:"field_mt_block_reference";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:15:"Block Reference";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:89:"mt_tabs_block, mt_background_image_block, mt_background_video_block, mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:39:"block_content__field_mt_block_reference";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:39:"block_content__field_mt_block_reference";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:39:"block_content__field_mt_block_reference";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";}}}s:48:"block_content_revision__field_mt_block_reference";a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:5:{s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:3:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}i:2;a:2:{s:5:"value";a:1:{i:0;s:13:"mt_tabs_block";}s:5:"field";s:6:"bundle";}}s:7:"join_id";s:22:"field_or_language_join";}}s:8:"provider";s:5:"views";}s:36:"field_mt_block_reference-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:15:"Block Reference";s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:89:"mt_tabs_block, mt_background_image_block, mt_background_video_block, mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:2:"id";s:5:"field";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:46:"field_mt_block_reference-revision_id_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:34:"field_mt_block_reference_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:34:"field_mt_block_reference_target_id";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:78149;s:11:"title short";s:15:"Block Reference";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:89:"mt_tabs_block, mt_background_image_block, mt_background_video_block, mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:34:"field_mt_block_reference_target_id";s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:34:"field_mt_block_reference_target_id";s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:2:"id";s:6:"string";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:34:"field_mt_block_reference_target_id";s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";}}s:5:"delta";a:8:{s:5:"group";r:78323;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:15:"Block Reference";s:5:"@name";s:24:"field_mt_block_reference";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:15:"Block Reference";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:89:"mt_tabs_block, mt_background_image_block, mt_background_video_block, mt_collapsible_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:48:"block_content_revision__field_mt_block_reference";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:34:"field_mt_block_reference_target_id";}s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";}}}s:44:"block_content__field_mt_bg_image_positioning";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:44:"block_content__field_mt_bg_image_positioning";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_bg_image_positioning";a:5:{s:5:"group";r:33365;s:5:"title";s:48:"Enable fixed positioning of the background image";s:11:"title short";s:48:"Enable fixed positioning of the background image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:44:"block_content__field_mt_bg_image_positioning";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:35:"field_mt_bg_image_positioning_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_bg_image_positioning_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_bg_image_positioning_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:48:"Enable fixed positioning of the background image";s:5:"@name";s:29:"field_mt_bg_image_positioning";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:48:"Enable fixed positioning of the background image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_bg_image_positioning_value";s:5:"table";s:44:"block_content__field_mt_bg_image_positioning";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_positioning_value";}s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_bg_image_positioning_value";s:5:"table";s:44:"block_content__field_mt_bg_image_positioning";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_positioning_value";}s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_bg_image_positioning_value";s:5:"table";s:44:"block_content__field_mt_bg_image_positioning";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_positioning_value";}s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";}}}s:53:"block_content_revision__field_mt_bg_image_positioning";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__72fc733ed0";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_bg_image_positioning-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:48:"Enable fixed positioning of the background image";s:11:"title short";s:48:"Enable fixed positioning of the background image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__72fc733ed0";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:47:"field_mt_bg_image_positioning-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_bg_image_positioning_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_bg_image_positioning_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:78487;s:11:"title short";s:48:"Enable fixed positioning of the background image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_bg_image_positioning_value";s:5:"table";s:27:"block_content_r__72fc733ed0";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_positioning_value";}s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_bg_image_positioning_value";s:5:"table";s:27:"block_content_r__72fc733ed0";s:2:"id";s:7:"boolean";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_positioning_value";}s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_bg_image_positioning_value";s:5:"table";s:27:"block_content_r__72fc733ed0";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_positioning_value";}s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";}}}s:40:"block_content__field_mt_bg_image_opacity";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:40:"block_content__field_mt_bg_image_opacity";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_bg_image_opacity";a:5:{s:5:"group";r:33365;s:5:"title";s:32:"Background Image Overlay Opacity";s:11:"title short";s:32:"Background Image Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:40:"block_content__field_mt_bg_image_opacity";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:31:"field_mt_bg_image_opacity_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_bg_image_opacity_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:31:"field_mt_bg_image_opacity_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:32:"Background Image Overlay Opacity";s:5:"@name";s:25:"field_mt_bg_image_opacity";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:32:"Background Image Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_bg_image_opacity_value";s:5:"table";s:40:"block_content__field_mt_bg_image_opacity";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bg_image_opacity_value";}s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_bg_image_opacity_value";s:5:"table";s:40:"block_content__field_mt_bg_image_opacity";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bg_image_opacity_value";}s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_bg_image_opacity_value";s:5:"table";s:40:"block_content__field_mt_bg_image_opacity";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bg_image_opacity_value";}s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";}}}s:49:"block_content_revision__field_mt_bg_image_opacity";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__e46051d2e8";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_bg_image_opacity-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:32:"Background Image Overlay Opacity";s:11:"title short";s:32:"Background Image Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__e46051d2e8";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:43:"field_mt_bg_image_opacity-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:31:"field_mt_bg_image_opacity_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:31:"field_mt_bg_image_opacity_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:78683;s:11:"title short";s:32:"Background Image Overlay Opacity";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_bg_image_opacity_value";s:5:"table";s:27:"block_content_r__e46051d2e8";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bg_image_opacity_value";}s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_bg_image_opacity_value";s:5:"table";s:27:"block_content_r__e46051d2e8";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bg_image_opacity_value";}s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_bg_image_opacity_value";s:5:"table";s:27:"block_content_r__e46051d2e8";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:31:"field_mt_bg_image_opacity_value";}s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";}}}s:44:"block_content__field_mt_bg_image_layout_mode";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:44:"block_content__field_mt_bg_image_layout_mode";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:29:"field_mt_bg_image_layout_mode";a:5:{s:5:"group";r:33365;s:5:"title";s:19:"Inner Blocks Layout";s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:44:"block_content__field_mt_bg_image_layout_mode";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:35:"field_mt_bg_image_layout_mode_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_bg_image_layout_mode_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_bg_image_layout_mode_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:19:"Inner Blocks Layout";s:5:"@name";s:29:"field_mt_bg_image_layout_mode";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_bg_image_layout_mode_value";s:5:"table";s:44:"block_content__field_mt_bg_image_layout_mode";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_layout_mode_value";}s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_bg_image_layout_mode_value";s:5:"table";s:44:"block_content__field_mt_bg_image_layout_mode";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_layout_mode_value";}s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_bg_image_layout_mode_value";s:5:"table";s:44:"block_content__field_mt_bg_image_layout_mode";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_layout_mode_value";}s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";}}}s:53:"block_content_revision__field_mt_bg_image_layout_mode";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__5b9b19743c";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:41:"field_mt_bg_image_layout_mode-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:19:"Inner Blocks Layout";s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__5b9b19743c";s:2:"id";s:5:"field";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:47:"field_mt_bg_image_layout_mode-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_bg_image_layout_mode_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_bg_image_layout_mode_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:78879;s:11:"title short";s:19:"Inner Blocks Layout";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_bg_image_layout_mode_value";s:5:"table";s:27:"block_content_r__5b9b19743c";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_layout_mode_value";}s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_bg_image_layout_mode_value";s:5:"table";s:27:"block_content_r__5b9b19743c";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_layout_mode_value";}s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_bg_image_layout_mode_value";s:5:"table";s:27:"block_content_r__5b9b19743c";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_bg_image_layout_mode_value";}s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";}}}s:38:"block_content__field_mt_bg_image_color";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:38:"block_content__field_mt_bg_image_color";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:23:"field_mt_bg_image_color";a:5:{s:5:"group";r:33365;s:5:"title";s:30:"Background Image Overlay Color";s:11:"title short";s:30:"Background Image Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:38:"block_content__field_mt_bg_image_color";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:29:"field_mt_bg_image_color_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_bg_image_color_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:29:"field_mt_bg_image_color_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:30:"Background Image Overlay Color";s:5:"@name";s:23:"field_mt_bg_image_color";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:30:"Background Image Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_bg_image_color_value";s:5:"table";s:38:"block_content__field_mt_bg_image_color";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bg_image_color_value";}s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_bg_image_color_value";s:5:"table";s:38:"block_content__field_mt_bg_image_color";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bg_image_color_value";}s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_bg_image_color_value";s:5:"table";s:38:"block_content__field_mt_bg_image_color";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bg_image_color_value";}s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";}}}s:47:"block_content_revision__field_mt_bg_image_color";a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:47:"block_content_revision__field_mt_bg_image_color";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:35:"field_mt_bg_image_color-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:30:"Background Image Overlay Color";s:11:"title short";s:30:"Background Image Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:47:"block_content_revision__field_mt_bg_image_color";s:2:"id";s:5:"field";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:41:"field_mt_bg_image_color-revision_id_value";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:29:"field_mt_bg_image_color_value";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:29:"field_mt_bg_image_color_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:79075;s:11:"title short";s:30:"Background Image Overlay Color";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_bg_image_color_value";s:5:"table";s:47:"block_content_revision__field_mt_bg_image_color";s:2:"id";s:17:"string_list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bg_image_color_value";}s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_bg_image_color_value";s:5:"table";s:47:"block_content_revision__field_mt_bg_image_color";s:2:"id";s:10:"list_field";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bg_image_color_value";}s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_bg_image_color_value";s:5:"table";s:47:"block_content_revision__field_mt_bg_image_color";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:29:"field_mt_bg_image_color_value";}s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";}}}s:40:"block_content__field_mt_background_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:40:"block_content__field_mt_background_image";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:25:"field_mt_background_image";a:5:{s:5:"group";r:33365;s:5:"title";s:16:"Background Image";s:11:"title short";s:16:"Background Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:35:"field_mt_background_image_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_background_image_target_id";i:4;s:29:"field_mt_background_image_alt";i:5;s:31:"field_mt_background_image_title";i:6;s:31:"field_mt_background_image_width";i:7;s:32:"field_mt_background_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:35:"field_mt_background_image_target_id";a:8:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Background Image";s:5:"@name";s:25:"field_mt_background_image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Background Image";s:7:"@column";s:9:"target_id";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_background_image_target_id";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_background_image_target_id";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_background_image_target_id";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_background_image";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_background_image_alt";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Background Image";s:5:"@name";s:25:"field_mt_background_image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Background Image";s:7:"@column";s:3:"alt";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_background_image_alt";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_background_image_alt";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_background_image_alt";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}s:31:"field_mt_background_image_title";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Background Image";s:5:"@name";s:25:"field_mt_background_image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Background Image";s:7:"@column";s:5:"title";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_background_image_title";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_background_image_title";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_background_image_title";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}s:31:"field_mt_background_image_width";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Background Image";s:5:"@name";s:25:"field_mt_background_image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Background Image";s:7:"@column";s:5:"width";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_background_image_width";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_background_image_width";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_background_image_width";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}s:32:"field_mt_background_image_height";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:16:"Background Image";s:5:"@name";s:25:"field_mt_background_image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:16:"Background Image";s:7:"@column";s:6:"height";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_background_image_height";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_background_image_height";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_background_image_height";s:5:"table";s:40:"block_content__field_mt_background_image";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}}s:49:"block_content_revision__field_mt_background_image";a:7:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:27:"block_content_r__7b18559961";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:37:"field_mt_background_image-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:16:"Background Image";s:11:"title short";s:16:"Background Image";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:5:"field";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:47:"field_mt_background_image-revision_id_target_id";s:17:"additional fields";a:8:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:35:"field_mt_background_image_target_id";i:4;s:29:"field_mt_background_image_alt";i:5;s:31:"field_mt_background_image_title";i:6;s:31:"field_mt_background_image_width";i:7;s:32:"field_mt_background_image_height";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:35:"field_mt_background_image_target_id";a:8:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:79275;s:11:"title short";r:79282;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:35:"field_mt_background_image_target_id";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:35:"field_mt_background_image_target_id";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:35:"field_mt_background_image_target_id";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:12:"file_managed";s:11:"entity type";s:4:"file";s:10:"base field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"image from @field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_background_image";}s:10:"\0*\0options";a:0:{}}}}s:29:"field_mt_background_image_alt";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:79364;s:11:"title short";r:79371;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:29:"field_mt_background_image_alt";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:29:"field_mt_background_image_alt";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:29:"field_mt_background_image_alt";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}s:31:"field_mt_background_image_title";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:79443;s:11:"title short";r:79450;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_background_image_title";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_background_image_title";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:6:"string";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_background_image_title";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}s:31:"field_mt_background_image_width";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:79522;s:11:"title short";r:79529;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:31:"field_mt_background_image_width";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:31:"field_mt_background_image_width";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:31:"field_mt_background_image_width";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}s:32:"field_mt_background_image_height";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:79601;s:11:"title short";r:79608;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:25:"mt_background_image_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:32:"field_mt_background_image_height";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:32:"field_mt_background_image_height";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:7:"numeric";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:32:"field_mt_background_image_height";s:5:"table";s:27:"block_content_r__7b18559961";s:2:"id";s:8:"standard";s:17:"additional fields";a:11:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:35:"field_mt_background_image_target_id";i:7;s:29:"field_mt_background_image_alt";i:8;s:31:"field_mt_background_image_title";i:9;s:31:"field_mt_background_image_width";i:10;s:32:"field_mt_background_image_height";}s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";}}}s:19:"block_content__body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:24:"block_content_field_data";a:4:{s:5:"table";s:19:"block_content__body";s:10:"left_field";s:2:"id";s:5:"field";s:9:"entity_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:4:"body";a:5:{s:5:"group";r:33365;s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:19:"block_content__body";s:2:"id";s:5:"field";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:10:"body_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:10:"body_value";i:4;s:12:"body_summary";i:5;s:11:"body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}}s:10:"body_value";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:5:"@name";s:4:"body";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:19:"block_content__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:19:"block_content__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:10:"body_value";s:5:"table";s:19:"block_content__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";}}s:12:"body_summary";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:4:"body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:7:"summary";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:19:"block_content__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:19:"block_content__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:12:"body_summary";s:5:"table";s:19:"block_content__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";}}s:11:"body_format";a:7:{s:5:"group";r:33365;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@label (@name:@column)";s:12:"\0*\0arguments";a:3:{s:6:"@label";s:4:"Body";s:5:"@name";s:4:"body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label:@column";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:4:"Body";s:7:"@column";s:6:"format";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:19:"block_content__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:19:"block_content__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:11:"body_format";s:5:"table";s:19:"block_content__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";}}}s:28:"block_content_revision__body";a:5:{s:5:"table";a:2:{s:4:"join";a:1:{s:28:"block_content_field_revision";a:4:{s:5:"table";s:28:"block_content_revision__body";s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:5:"extra";a:2:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}i:1;a:2:{s:10:"left_field";s:8:"langcode";s:5:"field";s:8:"langcode";}}}}s:8:"provider";s:5:"views";}s:16:"body-revision_id";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";s:4:"Body";s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:8:{s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:5:"field";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:10:"real field";s:22:"body-revision_id_value";s:17:"additional fields";a:6:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:10:"body_value";i:4;s:12:"body_summary";i:5;s:11:"body_format";}s:12:"element type";s:3:"div";s:11:"is revision";b:1;}}s:10:"body_value";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:80134;s:11:"title short";s:4:"Body";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:10:"body_value";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:10:"body_value";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";}}s:12:"body_summary";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:80201;s:11:"title short";r:80208;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:12:"body_summary";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:12:"body_summary";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";}}s:11:"body_format";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@group (historical data)";s:12:"\0*\0arguments";a:1:{s:6:"@group";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"title";r:80274;s:11:"title short";r:80281;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:32:"basic, mt_typing_animation_block";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:11:"body_format";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:6:"string";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:11:"body_format";s:5:"table";s:28:"block_content_revision__body";s:2:"id";s:8:"standard";s:17:"additional fields";a:9:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:10:"body_value";i:7;s:12:"body_summary";i:8;s:11:"body_format";}s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";}}}s:5:"views";a:32:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Global";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:1:{s:7:"#global";a:0:{}}s:8:"provider";s:5:"views";}s:6:"random";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Random";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Randomize the display order.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"sort";a:1:{s:2:"id";s:6:"random";}}s:4:"null";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Null";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:213:"Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:1:{s:2:"id";s:4:"null";}}s:7:"nothing";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Custom text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Provide custom text or link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:6:"custom";s:14:"click sortable";b:0;}}s:7:"counter";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"View result counter";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Displays the actual position of the view result";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"counter";}}s:4:"area";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Text area";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"Provide markup for the area using any available text format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:4:"text";}}s:16:"area_text_custom";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Unfiltered text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Provide markup for the area with minimal filtering.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:11:"text_custom";}}s:5:"title";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Title override";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Override the default view title for this view. This is useful to display an alternative title when a view is empty.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:2:"id";s:5:"title";s:8:"sub_type";s:5:"empty";}}s:4:"view";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"View area";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Insert a view inside an area.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:4:"view";}}s:6:"result";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Result summary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:53:"Shows result summary, for example the items per page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:6:"result";}}s:8:"messages";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Displays messages in an area.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:8:"messages";}}s:16:"http_status_code";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Response status code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:88:"Alter the HTTP response status code used by this view, mostly helpful for empty results.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:16:"http_status_code";}}s:7:"combine";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Combine fields filter";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Combine multiple fields together and search by them.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:7:"combine";}}s:10:"dropbutton";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Dropbutton";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Display fields in a dropbutton.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:10:"dropbutton";}}s:12:"display_link";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Link to display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:141:"Displays a link to a path-based display of this view while keeping the filter criteria, sort criteria, pager settings and contextual filters.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:12:"display_link";}}s:12:"entity_block";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80756;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:5:"block";s:2:"id";s:6:"entity";}}s:20:"entity_block_content";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:13:"block_content";s:2:"id";s:6:"entity";}}s:14:"entity_comment";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:66362;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:66362;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:7:"comment";s:2:"id";s:6:"entity";}}s:22:"entity_contact_message";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80801;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:15:"contact_message";s:2:"id";s:6:"entity";}}s:11:"entity_file";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80818;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:4:"file";s:2:"id";s:6:"entity";}}s:11:"entity_node";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:4:"node";s:2:"id";s:6:"entity";}}s:17:"entity_path_alias";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80849;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:10:"path_alias";s:2:"id";s:6:"entity";}}s:15:"entity_shortcut";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80866;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:8:"shortcut";s:2:"id";s:6:"entity";}}s:20:"entity_taxonomy_term";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:13:"taxonomy_term";s:2:"id";s:6:"entity";}}s:11:"entity_tour";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80897;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:4:"tour";s:2:"id";s:6:"entity";}}s:11:"entity_user";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:334;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:334;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:4:"user";s:2:"id";s:6:"entity";}}s:25:"entity_webform_submission";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80928;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:18:"webform_submission";s:2:"id";s:6:"entity";}}s:14:"entity_webform";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80945;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:7:"webform";s:2:"id";s:6:"entity";}}s:11:"entity_font";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:24638;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:24638;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:4:"font";s:2:"id";s:6:"entity";}}s:24:"entity_menu_link_content";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80976;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:17:"menu_link_content";s:2:"id";s:6:"entity";}}s:16:"entity_paragraph";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Rendered entity - @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:3707;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Displays a rendered @label entity in an area.";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:3707;}s:10:"\0*\0options";a:0:{}}s:4:"area";a:2:{s:11:"entity_type";s:9:"paragraph";s:2:"id";s:6:"entity";}}s:16:"contextual_links";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Contextual Links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Display fields in a contextual links menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:16:"contextual_links";}}}s:7:"comment";a:11:{s:17:"comment_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Comment operations bulk form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:69:"Add a form element that lets you run operations on multiple comments.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:17:"comment_bulk_form";}}s:5:"table";a:5:{s:5:"group";r:66362;s:8:"provider";s:7:"comment";s:15:"entity revision";b:0;s:4:"join";a:1:{s:18:"comment_field_data";a:3:{s:10:"left_field";s:3:"cid";s:5:"field";s:3:"cid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:7:"comment";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:12:"view_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:66362;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:66362;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:12:"edit_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:66362;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:66362;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:14:"delete_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:66362;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:66362;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:15:"approve_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Link to approve comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Provide a simple link to approve the comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:20:"comment_link_approve";}}s:15:"replyto_comment";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Link to reply-to comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a simple link to reply to the comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"comment_link_reply";}}}s:4:"node";a:11:{s:14:"node_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Node operations bulk form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Add a form element that lets you run operations on multiple nodes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:14:"node_bulk_form";}}s:5:"table";a:5:{s:5:"group";r:23882;s:8:"provider";s:4:"node";s:15:"entity revision";b:0;s:4:"join";a:1:{s:15:"node_field_data";a:3:{s:10:"left_field";s:3:"nid";s:5:"field";s:3:"nid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:4:"node";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:9:"view_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:9:"edit_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:11:"delete_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:18:"node_listing_empty";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Empty Node Frontpage behavior";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provides a link to the node add overview page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:18:"node_listing_empty";}}s:12:"new_comments";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"New comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The number of new comments on the node.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:17:"node_new_comments";s:11:"no group by";b:1;}}}s:5:"users";a:11:{s:14:"user_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Bulk update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Add a form element that lets you run operations on multiple users.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:14:"user_bulk_form";}}s:5:"table";a:5:{s:5:"group";r:334;s:8:"provider";s:4:"user";s:15:"entity revision";b:0;s:4:"join";a:1:{s:16:"users_field_data";a:3:{s:10:"left_field";s:3:"uid";s:5:"field";s:3:"uid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:4:"user";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:9:"view_user";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:334;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:334;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:9:"edit_user";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:334;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:334;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The user UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The user language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:11:"uid_current";a:4:{s:10:"real field";s:3:"uid";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Current";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Filter the view to the currently logged in user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:2:{s:2:"id";s:12:"user_current";s:4:"type";s:6:"yes-no";}}s:4:"data";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Data";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Provides access to the user data service.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"uid";s:5:"field";a:1:{s:2:"id";s:9:"user_data";}}s:7:"contact";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide a simple link to the user contact page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:12:"contact_link";}}}s:18:"webform_submission";a:26:{s:28:"webform_submission_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Webform submission operations bulk form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Add a form element that lets you run operations on multiple submissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:28:"webform_submission_bulk_form";}}s:5:"table";a:5:{s:5:"group";r:80928;s:8:"provider";s:7:"webform";s:4:"base";a:4:{s:5:"field";s:3:"sid";s:5:"title";r:80928;s:14:"cache_contexts";a:1:{i:0;s:4:"user";}s:16:"access query tag";s:25:"webform_submission_access";}s:15:"entity revision";b:0;s:11:"entity type";s:18:"webform_submission";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:23:"view_webform_submission";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:80928;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:80928;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:23:"edit_webform_submission";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:80928;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:80928;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:25:"delete_webform_submission";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:80928;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:80928;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:3:"sid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Submission ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The ID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"sid";}s:10:"webform_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The associated webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:10:"webform_id";}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Submission UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The UUID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The submission language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"serial";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Serial number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The serial number of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"serial";}s:5:"token";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Token";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"A secure token used to look up a submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"token";}s:3:"uri";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Submission URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The URI the user submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uri";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was first saved as draft or submitted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:9:"completed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Completed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was submitted as complete (not draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:9:"completed";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"The time that the webform submission was last saved (complete or draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:8:"in_draft";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Is draft";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Is this a draft of the submission?";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"in_draft";}s:12:"current_page";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Current page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The current wizard page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"current_page";}s:11:"remote_addr";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Remote IP address";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The IP address of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"remote_addr";}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Submitted by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The username of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";r:334;s:5:"title";r:334;s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";}s:11:"entity_type";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Submitted to: Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The entity type to which this submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"entity_type";}s:9:"entity_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Submitted to: Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:73:"The ID of the entity of which this webform submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:9:"entity_id";}s:6:"locked";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Locked";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"A flag that indicates a locked webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"locked";}s:6:"sticky";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Sticky";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag that indicate the status of the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"sticky";}s:5:"notes";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Notes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Administrative notes about the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"notes";}}s:13:"block_content";a:9:{s:5:"table";a:5:{s:5:"group";r:33365;s:8:"provider";s:13:"block_content";s:15:"entity revision";b:0;s:4:"join";a:1:{s:24:"block_content_field_data";a:3:{s:10:"left_field";s:2:"id";s:5:"field";s:2:"id";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:13:"block_content";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:18:"view_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:18:"edit_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:20:"delete_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The custom block UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"The custom block language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:27:"block_content_listing_empty";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Empty block library behavior";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Provides a link to add a new block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:27:"block_content_listing_empty";}}}s:24:"block_content_field_data";a:11:{s:5:"table";a:6:{s:4:"base";a:5:{s:5:"field";s:2:"id";s:5:"title";r:33365;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:20:"block_content_access";s:8:"defaults";a:2:{s:5:"field";s:4:"info";s:5:"table";s:24:"block_content_field_data";}}s:5:"group";r:33365;s:8:"provider";s:13:"block_content";s:15:"entity revision";b:0;s:11:"entity type";s:13:"block_content";s:9:"wizard_id";s:13:"block_content";}s:2:"id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Custom block ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"The custom block ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:2:"id";}s:11:"revision_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"The revision ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"revision_id";}s:4:"type";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The block type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"type";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:81963;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:4:"info";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Block description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"A brief description of your block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:22:"link_to_entity default";b:1;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"info";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the custom block was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:8:"reusable";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Reusable";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"A boolean indicating whether this block is reusable.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"reusable";}s:16:"default_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}}s:22:"block_content_revision";a:9:{s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:5:"table";a:4:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:33365;}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:4:"join";a:2:{s:28:"block_content_field_revision";a:3:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:4:"type";s:5:"INNER";}s:24:"block_content_field_data";a:2:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";}}s:11:"entity type";s:13:"block_content";}s:15:"latest_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Is Latest Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:81:"Restrict the view to only revisions that are the latest revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:15:"latest_revision";}}s:36:"latest_translation_affected_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Is Latest Translation Affected Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:102:"Restrict the view to only revisions that are the latest translation affected revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:36:"latest_translation_affected_revision";}}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:81963;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:13:"revision_user";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:9:"user_name";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";r:334;s:5:"title";r:334;s:2:"id";s:8:"standard";}s:12:"entity field";s:13:"revision_user";}s:16:"revision_created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:16:"revision_created";}s:12:"revision_log";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The log entry explaining the changes in this revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"revision_log";}s:16:"revision_default";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"revision_default";}}s:28:"block_content_field_revision";a:12:{s:5:"table";a:6:{s:15:"entity revision";b:1;s:4:"base";a:4:{s:5:"field";s:11:"revision_id";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@entity_type revisions";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Block Content revision is a history of changes to block content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"defaults";a:1:{s:5:"title";s:4:"info";}}s:4:"join";a:1:{s:24:"block_content_field_data";a:3:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:4:"type";s:5:"INNER";}}s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:33365;}s:10:"\0*\0options";a:0:{}}s:11:"entity type";s:13:"block_content";s:8:"provider";s:5:"views";}s:2:"id";a:8:{s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:24:"block_content_field_data";s:10:"base field";s:2:"id";s:5:"title";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:82003;s:4:"help";r:82007;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:2:"id";}s:11:"revision_id";a:8:{s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:24:"block_content_field_data";s:10:"base field";s:11:"revision_id";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:33365;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:82021;s:4:"help";r:82025;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"revision_id";}s:18:"view_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:18:"edit_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:20:"delete_block_content";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:33365;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:81963;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";r:82072;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:4:"info";a:7:{s:5:"title";r:82086;s:4:"help";r:82090;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"info";}s:7:"changed";a:7:{s:5:"title";r:82105;s:4:"help";r:82109;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:16:"default_langcode";a:7:{s:5:"title";r:82141;s:4:"help";r:82145;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";r:82159;s:4:"help";r:82163;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}}s:18:"comment_field_data";a:32:{s:5:"table";a:6:{s:4:"base";a:6:{s:5:"field";s:3:"cid";s:5:"title";r:66362;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:14:"comment_access";s:8:"defaults";a:2:{s:5:"field";s:7:"subject";s:5:"table";s:18:"comment_field_data";}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Comments are responses to content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:5:"group";r:66362;s:8:"provider";s:7:"comment";s:15:"entity revision";b:0;s:11:"entity type";s:7:"comment";s:9:"wizard_id";s:7:"comment";}s:3:"cid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Comment ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The comment ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"cid";}s:12:"comment_type";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment Type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"comment_type";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:81121;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Approved status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Approved comment status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Whether the comment is approved (or still in the moderation queue).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Author uid";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:73:"If you need more fields than the uid add the comment: author relationship";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:6:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"author";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Author";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The User ID of the comment''s author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"entity field";s:3:"uid";}s:3:"pid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Parent CID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The parent comment ID if this is a reply to a comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:6:{s:4:"base";s:18:"comment_field_data";s:10:"base field";s:3:"cid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"parent";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Parent comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"The parent comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"entity field";s:3:"pid";}s:9:"entity_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The ID of the entity of which this comment is a reply.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:16:"commented_entity";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:9:"entity_id";}s:7:"subject";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:17:"comment_permalink";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"subject";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The title of the comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"name";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Author";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:85:"The name of the comment''s author. Can be rendered as a link to the author''s homepage.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:16:"comment_username";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"name";}s:4:"mail";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:88:"Email of user that posted the comment. Will be empty if the author is a registered user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"mail";}s:8:"homepage";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Author''s website";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:121:"The website address of the comment''s author. Can be rendered as a link. Will be empty if the author is a registered user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:6:"string";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"homepage";}s:8:"hostname";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Hostname";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The comment author''s hostname.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"hostname";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Post date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Date and time of when the comment was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Date and time of when the comment was last updated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:6:"thread";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Thread place";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:144:"The alphadecimal representation of the comment''s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Depth";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Display the depth of the comment if it is threaded.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:13:"comment_depth";}s:4:"sort";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Thread";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:86:"Sort by the threaded order. This will keep child comments together with their parents.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"comment_thread";}s:12:"entity field";s:6:"thread";}s:11:"entity_type";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The entity type to which this comment is attached.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"entity_type";}s:10:"field_name";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Comment field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The field name through which this comment was added.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:10:"field_name";}s:16:"default_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:16:"created_fulldata";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:13:"date_fulldate";}}s:18:"created_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Created year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:15:"date_year_month";}}s:12:"created_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_year";}}s:13:"created_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Created month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:10:"date_month";}}s:11:"created_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Created day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:8:"date_day";}}s:12:"created_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_week";}}s:16:"changed_fulldata";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Changed date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:13:"date_fulldate";}}s:18:"changed_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Changed year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:15:"date_year_month";}}s:12:"changed_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Changed year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_year";}}s:13:"changed_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Changed month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:10:"date_month";}}s:11:"changed_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Changed day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:8:"date_day";}}s:12:"changed_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Changed week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_week";}}s:4:"node";a:1:{s:12:"relationship";a:8:{s:5:"title";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The @entity_type to which the comment is a reply to.";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"base";s:15:"node_field_data";s:10:"base field";s:3:"nid";s:18:"relationship field";s:9:"entity_id";s:2:"id";s:8:"standard";s:5:"label";r:23882;s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:11:"entity_type";s:5:"value";s:4:"node";s:5:"table";s:18:"comment_field_data";}}}}}s:25:"comment_entity_statistics";a:9:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Comment Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:4:"type";s:4:"LEFT";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:11:"entity_type";s:5:"value";s:4:"node";}}}}s:8:"provider";s:5:"views";}s:22:"last_comment_timestamp";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Last comment time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Date and time of when the last comment was posted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:22:"comment_last_timestamp";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}}s:17:"last_comment_name";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Last comment author";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The name of the author of the last posted comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:29:"comment_ces_last_comment_name";s:11:"no group by";b:1;}s:4:"sort";a:2:{s:2:"id";s:29:"comment_ces_last_comment_name";s:11:"no group by";b:1;}}s:13:"comment_count";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Comment count";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The number of comments an entity has.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:8:"argument";a:1:{s:2:"id";s:8:"standard";}}s:12:"last_updated";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Updated/commented date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"The most recent of last comment posted or entity updated time.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:24:"comment_ces_last_updated";s:11:"no group by";b:1;}s:4:"sort";a:2:{s:2:"id";s:24:"comment_ces_last_updated";s:11:"no group by";b:1;}s:6:"filter";a:1:{s:2:"id";s:24:"comment_ces_last_updated";}}s:3:"cid";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Last comment CID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Display the last comment of an entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Last comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The last comment of an entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:7:"comment";s:10:"base field";s:3:"cid";s:2:"id";s:8:"standard";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Last Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:16:"last_comment_uid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Last comment uid";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The User ID of the author of the last comment of an entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Last comment author";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:5:"users";s:10:"base field";s:3:"uid";s:2:"id";s:8:"standard";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Last comment author";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}}s:11:"entity_type";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The entity type to which the comment is a reply to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:10:"field_name";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Comment field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"The field name from which the comment originated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}}s:12:"file_managed";a:45:{s:5:"table";a:6:{s:5:"group";r:80818;s:8:"provider";s:4:"file";s:4:"base";a:6:{s:5:"field";s:3:"fid";s:5:"title";r:80818;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:11:"file_access";s:8:"defaults";a:1:{s:5:"field";s:8:"filename";}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Files maintained by Drupal and various modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:15:"entity revision";b:0;s:11:"entity type";s:4:"file";s:9:"wizard_id";s:12:"file_managed";}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:3:"fid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"File ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The file ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:3:{s:2:"id";s:8:"file_fid";s:10:"name field";s:8:"filename";s:7:"numeric";b:1;}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"fid";s:12:"relationship";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"File usage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Relate file entities to their usage.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:10:"file_usage";s:10:"base field";s:3:"fid";s:5:"field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"File usage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The file UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The file language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The user ID of the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"User who uploaded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"User who uploaded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";}s:8:"filename";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Filename";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Name of the file with no path components.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"filename";}s:3:"uri";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The URI to access the file (either local or remote).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:8:"file_uri";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uri";}s:8:"filemime";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"File MIME type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The file''s MIME type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:13:"file_filemime";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"filemime";}s:8:"filesize";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File size";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The size of the file in bytes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:9:"file_size";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"filesize";}s:6:"status";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The status of the file, temporary (FALSE) and permanent (TRUE).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:26:"default_formatter_settings";a:3:{s:6:"format";s:6:"custom";s:19:"format_custom_false";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Temporary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:18:"format_custom_true";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Permanent";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:11:"file_status";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The timestamp that the file was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The timestamp that the file was last changed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:9:"extension";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Extension";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The extension of the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:8:"filename";s:5:"field";a:5:{s:11:"entity_type";s:4:"file";s:10:"field_name";s:8:"filename";s:17:"default_formatter";s:14:"file_extension";s:2:"id";s:5:"field";s:14:"click sortable";b:0;}}s:47:"reverse_field_mt_background_image_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:16:"Background Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_background_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:16:"Background Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:25:"field_mt_background_image";s:11:"field table";s:40:"block_content__field_mt_background_image";s:11:"field field";s:35:"field_mt_background_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse_field_mt_bv_poster_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:6:"Poster";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_bv_poster";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:6:"Poster";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"field table";s:33:"block_content__field_mt_bv_poster";s:11:"field field";s:28:"field_mt_bv_poster_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:43:"reverse_field_mt_bv_video_mp4_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:22:"Background Video (mp4)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_bv_video_mp4";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:22:"Background Video (mp4)";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"field table";s:36:"block_content__field_mt_bv_video_mp4";s:11:"field field";s:31:"field_mt_bv_video_mp4_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:44:"reverse_field_mt_bv_video_webm_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:23:"Background Video (webm)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_bv_video_webm";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:33365;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:33365;s:6:"@field";s:23:"Background Video (webm)";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"field table";s:37:"block_content__field_mt_bv_video_webm";s:11:"field field";s:32:"field_mt_bv_video_webm_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:24:"reverse_field_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:11:"field_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:11:"field_image";s:11:"field table";s:17:"node__field_image";s:11:"field field";s:21:"field_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_alb_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_alb_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"field table";s:24:"node__field_mt_alb_image";s:11:"field field";s:28:"field_mt_alb_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_evn_files_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_files";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"field table";s:24:"node__field_mt_evn_files";s:11:"field field";s:28:"field_mt_evn_files_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_evn_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"field table";s:24:"node__field_mt_evn_image";s:11:"field field";s:28:"field_mt_evn_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse_field_mt_prd_banner_carousel_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:33:"Internal Banner Carousel Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_banner_carousel";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:33:"Internal Banner Carousel Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"field table";s:34:"node__field_mt_prd_banner_carousel";s:11:"field field";s:38:"field_mt_prd_banner_carousel_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_prd_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prd_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"field table";s:24:"node__field_mt_prd_image";s:11:"field field";s:28:"field_mt_prd_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse_field_mt_prd_landscape_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:15:"Landscape Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_landscape_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:15:"Landscape Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"field table";s:34:"node__field_mt_prd_landscape_image";s:11:"field field";s:38:"field_mt_prd_landscape_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_prs_files_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_files";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"field table";s:24:"node__field_mt_prs_files";s:11:"field field";s:28:"field_mt_prs_files_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_prs_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"field table";s:24:"node__field_mt_prs_image";s:11:"field field";s:28:"field_mt_prs_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:37:"reverse_field_mt_slideshow_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:15:"Slideshow image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_slideshow_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:15:"Slideshow image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"field table";s:30:"node__field_mt_slideshow_image";s:11:"field field";s:34:"field_mt_slideshow_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:39:"reverse_field_mt_spk_speaker_photo_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:13:"Speaker Photo";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_spk_speaker_photo";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:13:"Speaker Photo";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"field table";s:32:"node__field_mt_spk_speaker_photo";s:11:"field field";s:36:"field_mt_spk_speaker_photo_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:30:"reverse_field_mt_spn_logo_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:4:"Logo";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_spn_logo";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:4:"Logo";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"field table";s:23:"node__field_mt_spn_logo";s:11:"field field";s:27:"field_mt_spn_logo_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:38:"reverse_field_mt_srv_banner_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:24:"Internal banner image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_srv_banner_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:24:"Internal banner image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"field table";s:31:"node__field_mt_srv_banner_image";s:11:"field field";s:35:"field_mt_srv_banner_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_srv_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_srv_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"field table";s:24:"node__field_mt_srv_image";s:11:"field field";s:28:"field_mt_srv_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:38:"reverse_field_mt_tmm_member_photo_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:12:"Member Photo";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_tmm_member_photo";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:12:"Member Photo";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"field table";s:31:"node__field_mt_tmm_member_photo";s:11:"field field";s:35:"field_mt_tmm_member_photo_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:43:"reverse_field_mt_tst_testimonial_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:17:"Testimonial Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_tst_testimonial_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:23882;s:6:"@field";s:17:"Testimonial Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:23882;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"field table";s:36:"node__field_mt_tst_testimonial_image";s:11:"field field";s:40:"field_mt_tst_testimonial_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:36:"reverse_field_mt_adf_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_adf_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"field table";s:29:"paragraph__field_mt_adf_image";s:11:"field field";s:28:"field_mt_adf_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:36:"reverse_field_mt_fli_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_fli_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"field table";s:29:"paragraph__field_mt_fli_image";s:11:"field field";s:28:"field_mt_fli_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:42:"reverse_field_mt_highlight_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_highlight_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"field table";s:35:"paragraph__field_mt_highlight_image";s:11:"field field";s:34:"field_mt_highlight_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse_field_mt_if_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_if_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:17:"field_mt_if_image";s:11:"field table";s:28:"paragraph__field_mt_if_image";s:11:"field field";s:27:"field_mt_if_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:38:"reverse_field_mt_media_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:11:"Media Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_media_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:11:"Media Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:20:"field_mt_media_image";s:11:"field table";s:31:"paragraph__field_mt_media_image";s:11:"field field";s:30:"field_mt_media_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse_field_mt_ms_slide_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:11:"Slide Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:23:"field_mt_ms_slide_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:11:"Slide Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"field table";s:34:"paragraph__field_mt_ms_slide_image";s:11:"field field";s:33:"field_mt_ms_slide_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse_field_mt_vgs_thumbnail_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:9:"Thumbnail";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_vgs_thumbnail";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:3707;s:6:"@field";s:9:"Thumbnail";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:3707;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"field table";s:33:"paragraph__field_mt_vgs_thumbnail";s:11:"field field";s:32:"field_mt_vgs_thumbnail_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:48:"reverse_field_mt_affiliation_image_taxonomy_term";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1130;s:6:"@field";s:17:"Affiliation Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_affiliation_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1130;s:6:"@field";s:17:"Affiliation Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity_type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"field table";s:41:"taxonomy_term__field_mt_affiliation_image";s:11:"field field";s:36:"field_mt_affiliation_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:47:"reverse_field_mt_collection_image_taxonomy_term";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1130;s:6:"@field";s:19:"Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_collection_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1130;s:6:"@field";s:19:"Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity_type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"field table";s:40:"taxonomy_term__field_mt_collection_image";s:11:"field field";s:35:"field_mt_collection_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:52:"reverse_field_mt_wide_collection_image_taxonomy_term";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1130;s:6:"@field";s:29:"Landscape Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_wide_collection_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1130;s:6:"@field";s:29:"Landscape Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1130;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity_type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"field table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:11:"field field";s:40:"field_mt_wide_collection_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:25:"reverse_user_picture_user";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:334;s:6:"@field";s:7:"Picture";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:12:"user_picture";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:334;s:6:"@field";s:7:"Picture";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:334;s:2:"id";s:14:"entity_reverse";s:4:"base";s:16:"users_field_data";s:11:"entity_type";s:4:"user";s:10:"base field";s:3:"uid";s:10:"field_name";s:12:"user_picture";s:11:"field table";s:18:"user__user_picture";s:11:"field field";s:22:"user_picture_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}}s:10:"file_usage";a:14:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"File Usage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:5:{s:12:"file_managed";a:2:{s:5:"field";s:3:"fid";s:10:"left_field";s:3:"fid";}s:15:"node_field_data";a:3:{s:5:"field";s:2:"id";s:10:"left_field";s:3:"nid";s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:4:"type";s:5:"value";s:4:"node";}}}s:16:"users_field_data";a:3:{s:5:"field";s:2:"id";s:10:"left_field";s:3:"uid";s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:4:"type";s:5:"value";s:4:"user";}}}s:7:"comment";a:3:{s:5:"field";s:2:"id";s:10:"left_field";s:3:"cid";s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:4:"type";s:5:"value";s:7:"comment";}}}s:18:"taxonomy_term_data";a:3:{s:5:"field";s:2:"id";s:10:"left_field";s:3:"tid";s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:4:"type";s:5:"value";s:13:"taxonomy_term";}}}}s:8:"provider";s:5:"views";}s:12:"file_to_node";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:98:"Content that is associated with this file, usually because this file is in a field on the content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:5:{i:0;s:15:"node_field_data";i:1;s:19:"node_field_revision";i:2;s:16:"users_field_data";i:3;s:18:"comment_field_data";i:4;s:24:"taxonomy_term_field_data";}s:10:"real field";s:2:"id";s:12:"relationship";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:15:"node_field_data";s:10:"base field";s:3:"nid";s:18:"relationship field";s:2:"id";s:5:"extra";a:1:{i:0;a:4:{s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:8:"operator";s:1:"=";s:5:"value";s:4:"node";}}}}s:12:"node_to_file";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:87:"A file that is associated with this node, usually because it is in a field on the node.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:4:{i:0;s:12:"file_managed";i:1;s:16:"users_field_data";i:2;s:18:"comment_field_data";i:3;s:24:"taxonomy_term_field_data";}s:10:"real field";s:3:"fid";s:12:"relationship";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:12:"file_managed";s:10:"base field";s:3:"fid";s:18:"relationship field";s:3:"fid";}}s:12:"file_to_user";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:94:"A user that is associated with this file, usually because this file is in a field on the user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:5:{i:0;s:15:"node_field_data";i:1;s:19:"node_field_revision";i:2;s:16:"users_field_data";i:3;s:18:"comment_field_data";i:4;s:24:"taxonomy_term_field_data";}s:10:"real field";s:2:"id";s:12:"relationship";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:5:"users";s:10:"base field";s:3:"uid";s:18:"relationship field";s:2:"id";s:5:"extra";a:1:{i:0;a:4:{s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:8:"operator";s:1:"=";s:5:"value";s:4:"user";}}}}s:12:"user_to_file";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:87:"A file that is associated with this user, usually because it is in a field on the user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:5:{i:0;s:12:"file_managed";i:1;s:15:"node_field_data";i:2;s:19:"node_field_revision";i:3;s:18:"comment_field_data";i:4;s:24:"taxonomy_term_field_data";}s:10:"real field";s:3:"fid";s:12:"relationship";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:12:"file_managed";s:10:"base field";s:3:"fid";s:18:"relationship field";s:3:"fid";}}s:15:"file_to_comment";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:100:"A comment that is associated with this file, usually because this file is in a field on the comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:5:{i:0;s:15:"node_field_data";i:1;s:19:"node_field_revision";i:2;s:16:"users_field_data";i:3;s:18:"comment_field_data";i:4;s:24:"taxonomy_term_field_data";}s:10:"real field";s:2:"id";s:12:"relationship";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:18:"comment_field_data";s:10:"base field";s:3:"cid";s:18:"relationship field";s:2:"id";s:5:"extra";a:1:{i:0;a:4:{s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:8:"operator";s:1:"=";s:5:"value";s:7:"comment";}}}}s:15:"comment_to_file";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"A file that is associated with this comment, usually because it is in a field on the comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:5:{i:0;s:12:"file_managed";i:1;s:15:"node_field_data";i:2;s:19:"node_field_revision";i:3;s:16:"users_field_data";i:4;s:24:"taxonomy_term_field_data";}s:10:"real field";s:3:"fid";s:12:"relationship";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:12:"file_managed";s:10:"base field";s:3:"fid";s:18:"relationship field";s:3:"fid";}}s:21:"file_to_taxonomy_term";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy Term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:112:"A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:5:{i:0;s:15:"node_field_data";i:1;s:19:"node_field_revision";i:2;s:16:"users_field_data";i:3;s:18:"comment_field_data";i:4;s:24:"taxonomy_term_field_data";}s:10:"real field";s:2:"id";s:12:"relationship";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy Term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy Term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:18:"taxonomy_term_data";s:10:"base field";s:3:"tid";s:18:"relationship field";s:2:"id";s:5:"extra";a:1:{i:0;a:4:{s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:8:"operator";s:1:"=";s:5:"value";s:13:"taxonomy_term";}}}}s:21:"taxonomy_term_to_file";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";a:5:{i:0;s:12:"file_managed";i:1;s:15:"node_field_data";i:2;s:19:"node_field_revision";i:3;s:16:"users_field_data";i:4;s:18:"comment_field_data";}s:10:"real field";s:3:"fid";s:12:"relationship";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:12:"file_managed";s:10:"base field";s:3:"fid";s:18:"relationship field";s:3:"fid";}}s:6:"module";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Module";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"The module managing this file relationship.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:4:"type";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The type of entity that is related to the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:8:"standard";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:2:"id";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"The ID of the entity that is related to the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:5:"count";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Use count";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The number of times the file is used by this entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}}s:12:"entity_label";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Entity label";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The label of the entity that is related to the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:2:"id";s:5:"field";a:2:{s:2:"id";s:12:"entity_label";s:17:"entity type field";s:4:"type";}}}s:13:"node_revision";a:9:{s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:5:"table";a:4:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:23882;}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"node";s:4:"join";a:2:{s:19:"node_field_revision";a:3:{s:10:"left_field";s:3:"vid";s:5:"field";s:3:"vid";s:4:"type";s:5:"INNER";}s:15:"node_field_data";a:2:{s:10:"left_field";s:3:"vid";s:5:"field";s:3:"vid";}}s:11:"entity type";s:4:"node";}s:15:"latest_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Is Latest Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:81:"Restrict the view to only revisions that are the latest revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:15:"latest_revision";}}s:36:"latest_translation_affected_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Is Latest Translation Affected Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:102:"Restrict the view to only revisions that are the latest translation affected revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:36:"latest_translation_affected_revision";}}s:8:"langcode";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:16:"revision_default";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"revision_default";}s:12:"revision_uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:9:"user_name";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";r:334;s:5:"title";r:334;s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"revision_uid";}s:18:"revision_timestamp";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:18:"revision_timestamp";}s:12:"revision_log";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"revision_log";}}s:19:"node_field_revision";a:19:{s:5:"table";a:7:{s:15:"entity revision";b:1;s:4:"base";a:4:{s:5:"field";s:3:"vid";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@entity_type revisions";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Content revision is a history of changes to content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"defaults";a:1:{s:5:"title";s:5:"title";}}s:4:"join";a:1:{s:15:"node_field_data";a:3:{s:10:"left_field";s:3:"vid";s:5:"field";s:3:"vid";s:4:"type";s:5:"INNER";}}s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:23882;}s:10:"\0*\0options";a:0:{}}s:11:"entity type";s:4:"node";s:9:"wizard_id";s:19:"node_field_revision";s:8:"provider";s:5:"views";}s:3:"nid";a:7:{s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:10:"base field";s:3:"nid";s:5:"title";r:23882;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:42637;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:2:{s:2:"id";s:8:"node_nid";s:7:"numeric";b:1;}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"nid";}s:3:"vid";a:7:{s:8:"argument";a:2:{s:2:"id";s:8:"node_vid";s:7:"numeric";b:1;}s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:10:"base field";s:3:"vid";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:23882;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:42654;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"vid";}s:9:"view_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:9:"edit_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:11:"delete_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:23882;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"The language of the content or translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"status";a:6:{s:5:"title";r:42693;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:4:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";s:9:"use_equal";b:1;}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:3:"uid";a:8:{s:5:"title";r:42713;s:4:"help";r:42717;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";r:334;s:5:"title";r:334;s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";}s:5:"title";a:6:{s:5:"title";r:42737;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"title";}s:7:"created";a:7:{s:5:"title";r:42754;s:4:"help";r:42758;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";r:42772;s:4:"help";r:42776;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:7:"promote";a:7:{s:5:"title";r:42790;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"promote";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"A boolean indicating whether the node is visible on the front page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"sticky";a:7:{s:5:"title";r:42813;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"sticky";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"A boolean indicating whether the node should sort to the top of content lists.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:16:"default_langcode";a:7:{s:5:"title";r:42840;s:4:"help";r:42844;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";r:42858;s:4:"help";r:42862;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}s:16:"link_to_revision";a:1:{s:5:"field";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Link to revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Provide a simple link to the revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"node_revision_link";s:14:"click sortable";b:0;}}s:15:"revert_revision";a:1:{s:5:"field";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Link to revert revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a simple link to revert to the revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:25:"node_revision_link_revert";s:14:"click sortable";b:0;}}s:15:"delete_revision";a:1:{s:5:"field";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Link to delete revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:53:"Provide a simple link to delete the content revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:25:"node_revision_link_delete";s:14:"click sortable";b:0;}}}s:11:"node_access";a:2:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Content access";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:1:{s:15:"node_field_data";a:2:{s:10:"left_field";s:3:"nid";s:5:"field";s:3:"nid";}}s:8:"provider";s:5:"views";}s:3:"nid";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Access";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Filter by access.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:2:{s:2:"id";s:11:"node_access";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:107:"Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:17:"node_search_index";a:3:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Search";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:10:"left_field";s:3:"nid";s:5:"field";s:3:"sid";s:5:"table";s:12:"search_index";s:5:"extra";s:96:"node_search_index.type = ''node_search'' AND node_search_index.langcode = node_field_data.langcode";}}s:8:"provider";s:5:"views";}s:5:"score";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Score";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"The score of the search item. This will not be used if the search filter is not also present.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:3:{s:2:"id";s:12:"search_score";s:5:"float";b:1;s:11:"no group by";b:1;}s:4:"sort";a:2:{s:2:"id";s:12:"search_score";s:11:"no group by";b:1;}}s:4:"keys";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Search Keywords";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The keywords to search for.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:3:{s:2:"id";s:15:"search_keywords";s:11:"no group by";b:1;s:11:"search_type";s:11:"node_search";}s:8:"argument";a:3:{s:2:"id";s:6:"search";s:11:"no group by";b:1;s:11:"search_type";s:11:"node_search";}}}s:17:"node_search_total";a:1:{s:5:"table";a:2:{s:4:"join";a:1:{s:17:"node_search_index";a:2:{s:10:"left_field";s:4:"word";s:5:"field";s:4:"word";}}s:8:"provider";s:5:"views";}}s:19:"node_search_dataset";a:1:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:6:{s:10:"left_field";s:3:"sid";s:10:"left_table";s:17:"node_search_index";s:5:"field";s:3:"sid";s:5:"table";s:14:"search_dataset";s:5:"extra";s:111:"node_search_index.type = node_search_dataset.type AND node_search_index.langcode = node_search_dataset.langcode";s:4:"type";s:5:"INNER";}}s:8:"provider";s:5:"views";}}s:18:"taxonomy_term_data";a:8:{s:5:"table";a:5:{s:5:"group";r:1130;s:8:"provider";s:8:"taxonomy";s:15:"entity revision";b:0;s:4:"join";a:1:{s:24:"taxonomy_term_field_data";a:3:{s:10:"left_field";s:3:"tid";s:5:"field";s:3:"tid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:13:"taxonomy_term";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:18:"view_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:18:"edit_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:20:"delete_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:24827;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}}s:22:"taxonomy_term_revision";a:9:{s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:5:"table";a:4:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:1130;}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:4:"join";a:2:{s:28:"taxonomy_term_field_revision";a:3:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:4:"type";s:5:"INNER";}s:24:"taxonomy_term_field_data";a:2:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";}}s:11:"entity type";s:13:"taxonomy_term";}s:15:"latest_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Is Latest Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:81:"Restrict the view to only revisions that are the latest revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:15:"latest_revision";}}s:36:"latest_translation_affected_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Is Latest Translation Affected Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:102:"Restrict the view to only revisions that are the latest translation affected revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:36:"latest_translation_affected_revision";}}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:24827;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:16:"revision_default";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"revision_default";}s:13:"revision_user";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";r:334;s:5:"title";r:334;s:2:"id";s:8:"standard";}s:12:"entity field";s:13:"revision_user";}s:16:"revision_created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:16:"revision_created";}s:20:"revision_log_message";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:20:"revision_log_message";}}s:28:"taxonomy_term_field_revision";a:14:{s:5:"table";a:6:{s:15:"entity revision";b:1;s:4:"base";a:2:{s:5:"field";s:11:"revision_id";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@entity_type revisions";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:1130;}s:10:"\0*\0options";a:0:{}}}s:4:"join";a:1:{s:24:"taxonomy_term_field_data";a:3:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:4:"type";s:5:"INNER";}}s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:1130;}s:10:"\0*\0options";a:0:{}}s:11:"entity type";s:13:"taxonomy_term";s:8:"provider";s:5:"views";}s:3:"tid";a:8:{s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:10:"base field";s:3:"tid";s:5:"title";r:1130;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:24759;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The term ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"tid";}s:11:"revision_id";a:7:{s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:24:"taxonomy_term_field_data";s:10:"base field";s:11:"revision_id";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:1130;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:24789;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"revision_id";}s:18:"view_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:18:"edit_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:20:"delete_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:1130;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:24827;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";r:24841;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:4:"name";a:6:{s:5:"title";r:24855;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"name";}s:18:"description__value";a:6:{s:5:"title";r:24874;s:5:"field";a:2:{s:2:"id";s:5:"field";s:6:"format";s:19:"description__format";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"description";}s:19:"description__format";a:6:{s:5:"title";s:20:"Description (format)";s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"description";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the term was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:16:"default_langcode";a:7:{s:5:"title";r:24937;s:4:"help";r:24941;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";r:24955;s:4:"help";r:24959;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}}s:21:"taxonomy_term__parent";a:2:{s:16:"parent_target_id";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:123:"The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"taxonomy";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:24:"taxonomy_term_field_data";s:10:"base field";s:3:"tid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Parent";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";r:1130;s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"parent";}s:5:"table";a:4:{s:5:"group";r:1130;s:8:"provider";s:8:"taxonomy";s:4:"join";a:2:{s:24:"taxonomy_term_field_data";a:3:{s:10:"left_field";s:3:"tid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}s:21:"taxonomy_term__parent";a:2:{s:10:"left_field";s:9:"entity_id";s:5:"field";s:16:"parent_target_id";}}s:11:"entity type";s:13:"taxonomy_term";}}s:30:"taxonomy_term_revision__parent";a:3:{s:16:"parent_target_id";a:8:{s:5:"title";r:85891;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:24:"taxonomy_term_field_data";s:10:"base field";s:3:"tid";s:5:"label";r:1130;s:5:"title";r:1130;s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"parent";}s:5:"table";a:4:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:1130;}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:4:"join";a:1:{s:28:"taxonomy_term_field_revision";a:3:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:11:"entity type";s:13:"taxonomy_term";}s:13:"revision_user";a:1:{s:6:"filter";a:1:{s:2:"id";s:9:"user_name";}}}s:14:"taxonomy_index";a:6:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:3:{s:24:"taxonomy_term_field_data";a:2:{s:10:"left_field";s:3:"tid";s:5:"field";s:3:"tid";}s:15:"node_field_data";a:2:{s:10:"left_field";s:3:"nid";s:5:"field";s:3:"nid";}s:21:"taxonomy_term__parent";a:2:{s:10:"left_field";s:9:"entity_id";s:5:"field";s:3:"tid";}}s:8:"provider";s:5:"views";}s:3:"nid";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content with term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Relate all content tagged with a term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:10:"base field";s:3:"nid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";s:15:"node_field_data";}}s:3:"tid";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Has taxonomy term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Display content if it has the selected taxonomy terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:6:{s:2:"id";s:18:"taxonomy_index_tid";s:10:"name table";s:24:"taxonomy_term_field_data";s:10:"name field";s:4:"name";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Uncategorized";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"numeric";b:1;s:9:"skip base";s:24:"taxonomy_term_field_data";}s:6:"filter";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Has taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"taxonomy_index_tid";s:15:"hierarchy table";s:21:"taxonomy_term__parent";s:7:"numeric";b:1;s:9:"skip base";s:24:"taxonomy_term_field_data";s:11:"allow empty";b:1;}}s:6:"status";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Publish status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Whether or not the content related to a term is published.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Published status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}}s:6:"sticky";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Sticky status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:55:"Whether or not the content related to a term is sticky.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Sticky status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:2:{s:2:"id";s:8:"standard";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:109:"Whether or not the content related to a term is sticky. To list sticky content first, set this to descending.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:7:"created";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Post date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The date the content related to a term was posted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}}}s:16:"users_field_data";a:29:{s:5:"table";a:6:{s:4:"base";a:5:{s:5:"field";s:3:"uid";s:5:"title";r:334;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:11:"user_access";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Users who have created accounts on your site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:5:"group";r:334;s:8:"provider";s:4:"user";s:15:"entity revision";b:0;s:11:"entity type";s:4:"user";s:9:"wizard_id";s:4:"user";}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The user ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:4:{s:2:"id";s:8:"user_uid";s:10:"name table";s:16:"users_field_data";s:10:"name field";s:4:"name";s:16:"empty field name";s:9:"Anonymous";}s:6:"filter";a:3:{s:2:"id";s:9:"user_name";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Name (autocomplete)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:119:"The user or author name. Uses an autocomplete widget to find a user name, the actual filter uses the resulting user ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";s:12:"relationship";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Content authored";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:126:"Relate content to the user who created it. This relationship will create one record for each content item created by the user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:10:"base field";s:3:"uid";s:5:"field";s:3:"uid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"nodes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Language of the translation of user information";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:18:"preferred_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Preferred language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Preferred language of the user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:18:"preferred_langcode";}s:24:"preferred_admin_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Preferred admin language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Preferred administrative language of the user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:24:"preferred_admin_langcode";}s:4:"name";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The user or author name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:9:"user_name";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:3:{s:2:"id";s:6:"string";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Name (raw)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:126:"The user or author name. This filter does not check if the user exists and allows partial matching. Does not use autocomplete.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"name";}s:4:"mail";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:104:"Email address for a given user. This field is normally not shown to users, so be cautious when using it.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"mail";}s:8:"timezone";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Timezone";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The timezone of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"timezone";}s:6:"status";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"User status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Whether the user is active or blocked.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Active";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the user was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the user was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:6:"access";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Last access";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The time that the user last accessed the site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:6:"access";}s:5:"login";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Last login";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The time that the user last logged in.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:5:"login";}s:4:"init";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Initial email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The email address used for initial account creation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"init";}s:16:"default_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:7:"uid_raw";a:3:{s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The raw numeric user ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"uid";s:6:"filter";a:2:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"The user ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:7:"numeric";}}s:18:"uid_representative";a:1:{s:12:"relationship";a:11:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Representative node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Representative node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:89:"Obtains a single representative node for each user, according to a chosen sort criterion.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:13:"groupwise_max";s:18:"relationship field";s:3:"uid";s:11:"outer field";s:20:"users_field_data.uid";s:14:"argument table";s:16:"users_field_data";s:14:"argument field";s:3:"uid";s:4:"base";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:19:"node_field_data:uid";}}s:16:"created_fulldate";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:13:"date_fulldate";}}s:18:"created_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Created year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:15:"date_year_month";}}s:12:"created_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_year";}}s:13:"created_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Created month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:10:"date_month";}}s:11:"created_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Created day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:8:"date_day";}}s:12:"created_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_week";}}s:16:"changed_fulldate";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:13:"date_fulldate";}}s:18:"changed_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Updated year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:15:"date_year_month";}}s:12:"changed_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_year";}}s:13:"changed_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Updated month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:10:"date_month";}}s:11:"changed_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Updated day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:8:"date_day";}}s:12:"changed_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_week";}}}s:11:"user__roles";a:3:{s:15:"roles_target_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Roles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The roles the user has.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:10:"user_roles";s:11:"no group by";b:1;}s:8:"argument";a:6:{s:2:"id";s:15:"user__roles_rid";s:10:"name table";s:4:"role";s:10:"name field";s:4:"name";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"No role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"zero is null";b:1;s:7:"numeric";b:0;}s:6:"filter";a:2:{s:2:"id";s:10:"user_roles";s:11:"allow empty";b:1;}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"roles";}s:5:"table";a:4:{s:5:"group";r:334;s:8:"provider";s:4:"user";s:4:"join";a:1:{s:16:"users_field_data";a:3:{s:10:"left_field";s:3:"uid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:11:"entity type";s:4:"user";}s:10:"permission";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Permission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The user permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:16:"user_permissions";s:11:"no group by";b:1;}s:6:"filter";a:2:{s:2:"id";s:16:"user_permissions";s:10:"real field";s:15:"roles_target_id";}}}s:17:"fontyourface_font";a:22:{s:5:"table";a:5:{s:5:"group";r:24638;s:8:"provider";s:12:"fontyourface";s:4:"base";a:5:{s:5:"field";s:3:"fid";s:5:"title";r:24638;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:11:"font_access";s:8:"defaults";a:1:{s:5:"field";s:4:"name";}}s:15:"entity revision";b:0;s:11:"entity type";s:4:"font";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:9:"view_font";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:24638;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:24638;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:3:"fid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The ID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"fid";}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The UUID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:3:"pid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Provider ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The font provider ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:21:"fontyourface_font_pid";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"pid";}s:3:"url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Font URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"A URL for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"url";}s:4:"name";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The name of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"name";}s:10:"css_family";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Family";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS family for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:10:"css_family";}s:9:"css_style";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"CSS Style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"CSS style for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:23:"fontyourface_font_style";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:9:"css_style";}s:10:"css_weight";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS weight for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:24:"fontyourface_font_weight";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:10:"css_weight";}s:7:"foundry";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Foundry";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Foundry for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"foundry";}s:11:"foundry_url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Foundry URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Foundry URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"foundry_url";}s:7:"license";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"License";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font License.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"license";}s:11:"license_url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"License URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"License URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"license_url";}s:8:"designer";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"designer";}s:12:"designer_url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Designer URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Designer URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"designer_url";}s:8:"metadata";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Additional Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"metadata";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The time that the entity was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The time that the entity was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:6:"status";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Font status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A boolean indicating whether the font is enabled. Mostly used for views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}}s:15:"paragraphs_item";a:4:{s:5:"table";a:5:{s:5:"group";r:3707;s:8:"provider";s:10:"paragraphs";s:15:"entity revision";b:0;s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:3:{s:10:"left_field";s:2:"id";s:5:"field";s:2:"id";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:9:"paragraph";}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:4:"uuid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:33755;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}}s:24:"paragraphs_item_revision";a:5:{s:5:"table";a:4:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:3707;}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:4:"join";a:2:{s:35:"paragraphs_item_revision_field_data";a:3:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:4:"type";s:5:"INNER";}s:26:"paragraphs_item_field_data";a:2:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";}}s:11:"entity type";s:9:"paragraph";}s:15:"latest_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Is Latest Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:81:"Restrict the view to only revisions that are the latest revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:15:"latest_revision";}}s:36:"latest_translation_affected_revision";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Is Latest Translation Affected Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:102:"Restrict the view to only revisions that are the latest translation affected revision of their entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:1:{s:2:"id";s:36:"latest_translation_affected_revision";}}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:33755;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:16:"revision_default";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"revision_default";}}s:35:"paragraphs_item_revision_field_data";a:12:{s:5:"table";a:6:{s:15:"entity revision";b:1;s:4:"base";a:2:{s:5:"field";s:11:"revision_id";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"@entity_type revisions";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:3707;}s:10:"\0*\0options";a:0:{}}}s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:3:{s:10:"left_field";s:11:"revision_id";s:5:"field";s:11:"revision_id";s:4:"type";s:5:"INNER";}}s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"@entity_type revision";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";r:3707;}s:10:"\0*\0options";a:0:{}}s:11:"entity type";s:9:"paragraph";s:8:"provider";s:5:"views";}s:2:"id";a:7:{s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:10:"base field";s:2:"id";s:5:"title";r:3707;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:33712;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:2:"id";}s:11:"revision_id";a:7:{s:12:"relationship";a:6:{s:2:"id";s:8:"standard";s:4:"base";s:26:"paragraphs_item_field_data";s:10:"base field";s:11:"revision_id";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:3707;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Get the actual @label from a @label revision";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:3707;}s:10:"\0*\0options";a:0:{}}s:5:"extra";a:1:{i:0;a:2:{s:5:"field";s:8:"langcode";s:10:"left_field";s:8:"langcode";}}}s:5:"title";r:33726;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"revision_id";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";r:33755;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";r:33769;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:7:"created";a:7:{s:5:"title";r:33783;s:4:"help";r:33787;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:9:"parent_id";a:7:{s:5:"title";r:33801;s:4:"help";r:33805;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:9:"parent_id";}s:11:"parent_type";a:7:{s:5:"title";r:33819;s:4:"help";r:33823;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"parent_type";}s:17:"parent_field_name";a:7:{s:5:"title";r:33837;s:4:"help";r:33841;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:17:"parent_field_name";}s:17:"behavior_settings";a:7:{s:5:"title";r:33855;s:4:"help";r:33859;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:17:"behavior_settings";}s:16:"default_langcode";a:7:{s:5:"title";r:33873;s:4:"help";r:33877;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";r:33891;s:4:"help";r:33895;s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}}s:26:"views_entity_taxonomy_term";a:1:{s:5:"table";a:3:{s:4:"join";a:6:{s:24:"taxonomy_term_field_data";a:1:{s:10:"left_table";s:24:"taxonomy_term_field_data";}s:18:"taxonomy_term_data";a:1:{s:10:"left_table";s:18:"taxonomy_term_data";}s:22:"taxonomy_term_revision";a:1:{s:10:"left_table";s:22:"taxonomy_term_revision";}s:28:"taxonomy_term_field_revision";a:1:{s:10:"left_table";s:28:"taxonomy_term_field_revision";}s:21:"taxonomy_term__parent";a:1:{s:10:"left_table";s:21:"taxonomy_term__parent";}s:30:"taxonomy_term_revision__parent";a:1:{s:10:"left_table";s:30:"taxonomy_term_revision__parent";}}s:11:"entity type";s:13:"taxonomy_term";s:5:"group";r:1130;}}s:22:"views_entity_paragraph";a:1:{s:5:"table";a:3:{s:4:"join";a:4:{s:26:"paragraphs_item_field_data";a:1:{s:10:"left_table";s:26:"paragraphs_item_field_data";}s:15:"paragraphs_item";a:1:{s:10:"left_table";s:15:"paragraphs_item";}s:24:"paragraphs_item_revision";a:1:{s:10:"left_table";s:24:"paragraphs_item_revision";}s:35:"paragraphs_item_revision_field_data";a:1:{s:10:"left_table";s:35:"paragraphs_item_revision_field_data";}}s:11:"entity type";s:9:"paragraph";s:5:"group";r:3707;}}s:17:"views_entity_node";a:1:{s:5:"table";a:3:{s:4:"join";a:4:{s:15:"node_field_data";a:1:{s:10:"left_table";s:15:"node_field_data";}s:4:"node";a:1:{s:10:"left_table";s:4:"node";}s:13:"node_revision";a:1:{s:10:"left_table";s:13:"node_revision";}s:19:"node_field_revision";a:1:{s:10:"left_table";s:19:"node_field_revision";}}s:11:"entity type";s:4:"node";s:5:"group";r:23882;}}s:20:"views_entity_comment";a:1:{s:5:"table";a:3:{s:4:"join";a:2:{s:7:"comment";a:1:{s:10:"left_table";s:7:"comment";}s:18:"comment_field_data";a:1:{s:10:"left_table";s:18:"comment_field_data";}}s:11:"entity type";s:7:"comment";s:5:"group";r:66362;}}s:17:"views_entity_user";a:1:{s:5:"table";a:3:{s:4:"join";a:3:{s:5:"users";a:1:{s:10:"left_table";s:5:"users";}s:16:"users_field_data";a:1:{s:10:"left_table";s:16:"users_field_data";}s:11:"user__roles";a:1:{s:10:"left_table";s:11:"user__roles";}}s:11:"entity type";s:4:"user";s:5:"group";r:334;}}s:31:"views_entity_webform_submission";a:1:{s:5:"table";a:3:{s:4:"join";a:1:{s:18:"webform_submission";a:1:{s:10:"left_table";s:18:"webform_submission";}}s:11:"entity type";s:18:"webform_submission";s:5:"group";r:80928;}}s:26:"views_entity_block_content";a:1:{s:5:"table";a:3:{s:4:"join";a:4:{s:13:"block_content";a:1:{s:10:"left_table";s:13:"block_content";}s:24:"block_content_field_data";a:1:{s:10:"left_table";s:24:"block_content_field_data";}s:22:"block_content_revision";a:1:{s:10:"left_table";s:22:"block_content_revision";}s:28:"block_content_field_revision";a:1:{s:10:"left_table";s:28:"block_content_field_revision";}}s:11:"entity type";s:13:"block_content";s:5:"group";r:33365;}}s:17:"views_entity_file";a:1:{s:5:"table";a:3:{s:4:"join";a:1:{s:12:"file_managed";a:1:{s:10:"left_table";s:12:"file_managed";}}s:11:"entity type";s:4:"file";s:5:"group";r:80818;}}s:17:"views_entity_font";a:1:{s:5:"table";a:3:{s:4:"join";a:1:{s:17:"fontyourface_font";a:1:{s:10:"left_table";s:17:"fontyourface_font";}}s:11:"entity type";s:4:"font";s:5:"group";r:24638;}}}', -1, '1681652764.733', 1, 'config:core.extension views_data', '2');
INSERT INTO `cache_default` VALUES
('views_data:file_managed:en', 'a:45:{s:5:"table";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:4:"base";a:6:{s:5:"field";s:3:"fid";s:5:"title";r:3;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:11:"file_access";s:8:"defaults";a:1:{s:5:"field";s:8:"filename";}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Files maintained by Drupal and various modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:15:"entity revision";b:0;s:11:"entity type";s:4:"file";s:9:"wizard_id";s:12:"file_managed";}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:3:"fid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"File ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The file ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:3:{s:2:"id";s:8:"file_fid";s:10:"name field";s:8:"filename";s:7:"numeric";b:1;}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"fid";s:12:"relationship";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"File usage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Relate file entities to their usage.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:10:"file_usage";s:10:"base field";s:3:"fid";s:5:"field";s:3:"fid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"File usage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The file UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The file language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The user ID of the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"User who uploaded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"User who uploaded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";}s:8:"filename";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Filename";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Name of the file with no path components.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"filename";}s:3:"uri";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The URI to access the file (either local or remote).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:8:"file_uri";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uri";}s:8:"filemime";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"File MIME type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The file''s MIME type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:13:"file_filemime";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"filemime";}s:8:"filesize";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File size";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The size of the file in bytes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:17:"default_formatter";s:9:"file_size";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"filesize";}s:6:"status";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The status of the file, temporary (FALSE) and permanent (TRUE).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:26:"default_formatter_settings";a:3:{s:6:"format";s:6:"custom";s:19:"format_custom_false";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Temporary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:18:"format_custom_true";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Permanent";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:11:"file_status";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The timestamp that the file was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The timestamp that the file was last changed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:9:"extension";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Extension";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The extension of the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:8:"filename";s:5:"field";a:5:{s:11:"entity_type";s:4:"file";s:10:"field_name";s:8:"filename";s:17:"default_formatter";s:14:"file_extension";s:2:"id";s:5:"field";s:14:"click sortable";b:0;}}s:47:"reverse_field_mt_background_image_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"@field";s:16:"Background Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_background_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:297;s:6:"@field";s:16:"Background Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:297;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:25:"field_mt_background_image";s:11:"field table";s:40:"block_content__field_mt_background_image";s:11:"field field";s:35:"field_mt_background_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse_field_mt_bv_poster_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:297;s:6:"@field";s:6:"Poster";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_bv_poster";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:297;s:6:"@field";s:6:"Poster";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:297;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"field table";s:33:"block_content__field_mt_bv_poster";s:11:"field field";s:28:"field_mt_bv_poster_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:43:"reverse_field_mt_bv_video_mp4_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:297;s:6:"@field";s:22:"Background Video (mp4)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:21:"field_mt_bv_video_mp4";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:297;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:297;s:6:"@field";s:22:"Background Video (mp4)";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"field table";s:36:"block_content__field_mt_bv_video_mp4";s:11:"field field";s:31:"field_mt_bv_video_mp4_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:44:"reverse_field_mt_bv_video_webm_block_content";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:297;s:6:"@field";s:23:"Background Video (webm)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_bv_video_webm";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:297;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:297;s:6:"@field";s:23:"Background Video (webm)";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"field table";s:37:"block_content__field_mt_bv_video_webm";s:11:"field field";s:32:"field_mt_bv_video_webm_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:24:"reverse_field_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:11:"field_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:11:"field_image";s:11:"field table";s:17:"node__field_image";s:11:"field field";s:21:"field_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_alb_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_alb_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"field table";s:24:"node__field_mt_alb_image";s:11:"field field";s:28:"field_mt_alb_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_evn_files_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_files";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"field table";s:24:"node__field_mt_evn_files";s:11:"field field";s:28:"field_mt_evn_files_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_evn_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_evn_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"field table";s:24:"node__field_mt_evn_image";s:11:"field field";s:28:"field_mt_evn_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse_field_mt_prd_banner_carousel_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:33:"Internal Banner Carousel Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_banner_carousel";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:33:"Internal Banner Carousel Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"field table";s:34:"node__field_mt_prd_banner_carousel";s:11:"field field";s:38:"field_mt_prd_banner_carousel_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_prd_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prd_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"field table";s:24:"node__field_mt_prd_image";s:11:"field field";s:28:"field_mt_prd_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse_field_mt_prd_landscape_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:15:"Landscape Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:28:"field_mt_prd_landscape_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:15:"Landscape Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"field table";s:34:"node__field_mt_prd_landscape_image";s:11:"field field";s:38:"field_mt_prd_landscape_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_prs_files_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_files";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Relate each @entity with a @field set to the file.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:5:"Files";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"field table";s:24:"node__field_mt_prs_files";s:11:"field field";s:28:"field_mt_prs_files_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_prs_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prs_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"field table";s:24:"node__field_mt_prs_image";s:11:"field field";s:28:"field_mt_prs_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:37:"reverse_field_mt_slideshow_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:15:"Slideshow image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_slideshow_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:15:"Slideshow image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"field table";s:30:"node__field_mt_slideshow_image";s:11:"field field";s:34:"field_mt_slideshow_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:39:"reverse_field_mt_spk_speaker_photo_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:13:"Speaker Photo";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_spk_speaker_photo";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:13:"Speaker Photo";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"field table";s:32:"node__field_mt_spk_speaker_photo";s:11:"field field";s:36:"field_mt_spk_speaker_photo_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:30:"reverse_field_mt_spn_logo_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:4:"Logo";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_spn_logo";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:4:"Logo";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"field table";s:23:"node__field_mt_spn_logo";s:11:"field field";s:27:"field_mt_spn_logo_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:38:"reverse_field_mt_srv_banner_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:24:"Internal banner image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_srv_banner_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:24:"Internal banner image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"field table";s:31:"node__field_mt_srv_banner_image";s:11:"field field";s:35:"field_mt_srv_banner_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:31:"reverse_field_mt_srv_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_srv_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:16:"In-page Image(s)";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"field table";s:24:"node__field_mt_srv_image";s:11:"field field";s:28:"field_mt_srv_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:38:"reverse_field_mt_tmm_member_photo_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:12:"Member Photo";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_tmm_member_photo";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:12:"Member Photo";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"field table";s:31:"node__field_mt_tmm_member_photo";s:11:"field field";s:35:"field_mt_tmm_member_photo_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:43:"reverse_field_mt_tst_testimonial_image_node";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:17:"Testimonial Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_tst_testimonial_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:428;s:6:"@field";s:17:"Testimonial Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:428;s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"field table";s:36:"node__field_mt_tst_testimonial_image";s:11:"field field";s:40:"field_mt_tst_testimonial_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:36:"reverse_field_mt_adf_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_adf_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:943;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"field table";s:29:"paragraph__field_mt_adf_image";s:11:"field field";s:28:"field_mt_adf_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:36:"reverse_field_mt_fli_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_fli_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:943;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"field table";s:29:"paragraph__field_mt_fli_image";s:11:"field field";s:28:"field_mt_fli_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:42:"reverse_field_mt_highlight_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:24:"field_mt_highlight_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:943;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"field table";s:35:"paragraph__field_mt_highlight_image";s:11:"field field";s:34:"field_mt_highlight_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse_field_mt_if_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_if_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:5:"Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:943;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:17:"field_mt_if_image";s:11:"field table";s:28:"paragraph__field_mt_if_image";s:11:"field field";s:27:"field_mt_if_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:38:"reverse_field_mt_media_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:11:"Media Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_media_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:11:"Media Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:943;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:20:"field_mt_media_image";s:11:"field table";s:31:"paragraph__field_mt_media_image";s:11:"field field";s:30:"field_mt_media_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse_field_mt_ms_slide_image_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:11:"Slide Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:23:"field_mt_ms_slide_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:11:"Slide Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:943;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"field table";s:34:"paragraph__field_mt_ms_slide_image";s:11:"field field";s:33:"field_mt_ms_slide_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:40:"reverse_field_mt_vgs_thumbnail_paragraph";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:9:"Thumbnail";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:22:"field_mt_vgs_thumbnail";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:943;s:6:"@field";s:9:"Thumbnail";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:943;s:2:"id";s:14:"entity_reverse";s:4:"base";s:26:"paragraphs_item_field_data";s:11:"entity_type";s:9:"paragraph";s:10:"base field";s:2:"id";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"field table";s:33:"paragraph__field_mt_vgs_thumbnail";s:11:"field field";s:32:"field_mt_vgs_thumbnail_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:48:"reverse_field_mt_affiliation_image_taxonomy_term";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"@field";s:17:"Affiliation Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:26:"field_mt_affiliation_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1170;s:6:"@field";s:17:"Affiliation Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1170;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity_type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"field table";s:41:"taxonomy_term__field_mt_affiliation_image";s:11:"field field";s:36:"field_mt_affiliation_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:47:"reverse_field_mt_collection_image_taxonomy_term";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1170;s:6:"@field";s:19:"Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:25:"field_mt_collection_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1170;s:6:"@field";s:19:"Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1170;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity_type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"field table";s:40:"taxonomy_term__field_mt_collection_image";s:11:"field field";s:35:"field_mt_collection_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:52:"reverse_field_mt_wide_collection_image_taxonomy_term";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1170;s:6:"@field";s:29:"Landscape Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:30:"field_mt_wide_collection_image";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1170;s:6:"@field";s:29:"Landscape Product Group Image";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1170;s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"taxonomy_term_field_data";s:11:"entity_type";s:13:"taxonomy_term";s:10:"base field";s:3:"tid";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"field table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:11:"field field";s:40:"field_mt_wide_collection_image_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:25:"reverse_user_picture_user";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@entity using @field";s:12:"\0*\0arguments";a:2:{s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"@field";s:7:"Picture";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:12:"user_picture";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Relate each @entity with a @field set to the image.";s:12:"\0*\0arguments";a:2:{s:7:"@entity";r:1269;s:6:"@field";s:7:"Picture";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:1269;s:2:"id";s:14:"entity_reverse";s:4:"base";s:16:"users_field_data";s:11:"entity_type";s:4:"user";s:10:"base field";s:3:"uid";s:10:"field_name";s:12:"user_picture";s:11:"field table";s:18:"user__user_picture";s:11:"field field";s:22:"user_picture_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}}', -1, '1681649761.908', 1, 'config:core.extension views_data', '0'),
('views_data:fontyourface_font:en', 'a:22:{s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:12:"fontyourface";s:4:"base";a:5:{s:5:"field";s:3:"fid";s:5:"title";r:3;s:14:"cache_contexts";a:0:{}s:16:"access query tag";s:11:"font_access";s:8:"defaults";a:1:{s:5:"field";s:4:"name";}}s:15:"entity revision";b:0;s:11:"entity type";s:4:"font";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:9:"view_font";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:3:"fid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The ID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"fid";}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The UUID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:3:"pid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Provider ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The font provider ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:21:"fontyourface_font_pid";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"pid";}s:3:"url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Font URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"A URL for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"url";}s:4:"name";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The name of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"name";}s:10:"css_family";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Family";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS family for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:10:"css_family";}s:9:"css_style";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"CSS Style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"CSS style for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:23:"fontyourface_font_style";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:9:"css_style";}s:10:"css_weight";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS weight for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:24:"fontyourface_font_weight";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:10:"css_weight";}s:7:"foundry";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Foundry";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Foundry for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"foundry";}s:11:"foundry_url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Foundry URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Foundry URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"foundry_url";}s:7:"license";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"License";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font License.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"license";}s:11:"license_url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"License URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"License URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"license_url";}s:8:"designer";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"designer";}s:12:"designer_url";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Designer URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Designer URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"designer_url";}s:8:"metadata";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Additional Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"metadata";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The time that the entity was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The time that the entity was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:6:"status";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Font status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A boolean indicating whether the font is enabled. Mostly used for views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}}', -1, '1681649761.915', 1, 'config:core.extension views_data', '0');
INSERT INTO `cache_default` VALUES
('views_data:menu_link_content:en', 'a:0:{}', -1, '1681649761.916', 1, 'config:core.extension views_data', '0'),
('views_data:node:en', 'a:11:{s:14:"node_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Node operations bulk form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Add a form element that lets you run operations on multiple nodes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:14:"node_bulk_form";}}s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"node";s:15:"entity revision";b:0;s:4:"join";a:1:{s:15:"node_field_data";a:3:{s:10:"left_field";s:3:"nid";s:5:"field";s:3:"nid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:4:"node";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:9:"view_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:9:"edit_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:11:"delete_node";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:18:"node_listing_empty";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Empty Node Frontpage behavior";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provides a link to the node add overview page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"area";a:1:{s:2:"id";s:18:"node_listing_empty";}}s:12:"new_comments";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"New comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The number of new comments on the node.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:17:"node_new_comments";s:11:"no group by";b:1;}}}', -1, '1681649761.911', 1, 'config:core.extension views_data', '0'),
('views_data:node__field_mt_evn_speaker:en', 'a:3:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_evn_speaker";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_evn_speaker";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";s:7:"Speaker";s:11:"title short";s:7:"Speaker";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:10:"real field";s:30:"field_mt_evn_speaker_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_evn_speaker_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:15;s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:15;s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:15;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_evn_speaker_target_id";}}s:30:"field_mt_evn_speaker_target_id";a:7:{s:5:"group";r:15;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Speaker";s:5:"@name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:7:"Speaker";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:8:"mt_event";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_evn_speaker_target_id";}s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";}}}', -1, '1681649762.179', 1, 'config:core.extension views_data', '0'),
('views_data:node__field_mt_prs_speaker:en', 'a:4:{s:5:"table";a:2:{s:4:"join";a:1:{s:15:"node_field_data";a:4:{s:5:"table";s:26:"node__field_mt_prs_speaker";s:10:"left_field";s:3:"nid";s:5:"field";s:9:"entity_id";s:5:"extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:8:"provider";s:5:"views";}s:20:"field_mt_prs_speaker";a:6:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";s:8:"Speakers";s:11:"title short";s:8:"Speakers";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:9:{s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:5:"field";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:10:"real field";s:30:"field_mt_prs_speaker_target_id";s:17:"additional fields";a:4:{i:0;s:5:"delta";i:1;s:8:"langcode";i:2;s:6:"bundle";i:3;s:30:"field_mt_prs_speaker_target_id";}s:12:"element type";s:3:"div";s:11:"is revision";b:0;s:14:"click sortable";b:1;}s:12:"relationship";a:9:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"@label referenced from @field_name";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:15;s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"@field_name: @label";s:12:"\0*\0arguments";a:2:{s:6:"@label";r:15;s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:15;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:11:"entity type";s:4:"node";s:10:"base field";s:3:"nid";s:18:"relationship field";s:30:"field_mt_prs_speaker_target_id";}}s:30:"field_mt_prs_speaker_target_id";a:7:{s:5:"group";r:15;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Speakers";s:5:"@name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:11:"title short";s:8:"Speakers";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"filter";a:7:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}}s:5:"delta";a:8:{s:5:"group";r:15;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"@label (@name:delta)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Speakers";s:5:"@name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:11:"title short";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@label:delta";s:12:"\0*\0arguments";a:1:{s:6:"@label";s:8:"Speakers";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Delta - Appears in: @bundles.";s:12:"\0*\0arguments";a:1:{s:8:"@bundles";s:15:"mt_presentation";}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:7:"numeric";}s:8:"argument";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"- No value -";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}s:6:"filter";a:7:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:7:"numeric";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:11:"allow empty";b:1;}s:4:"sort";a:6:{s:5:"field";s:5:"delta";s:5:"table";s:26:"node__field_mt_prs_speaker";s:2:"id";s:8:"standard";s:17:"additional fields";a:7:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";i:6;s:30:"field_mt_prs_speaker_target_id";}s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";}}}', -1, '1681649762.189', 1, 'config:core.extension views_data', '0'),
('views_data:node_field_data:en', 'a:40:{s:35:"reverse__node__field_mt_prs_sponsor";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"content item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"@field_name";s:20:"field_mt_prs_sponsor";s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_prs_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:12;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:20:"field_mt_prs_sponsor";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"field table";s:26:"node__field_mt_prs_sponsor";s:11:"field field";s:30:"field_mt_prs_sponsor_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__node__field_mt_prs_speaker";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:20:"field_mt_prs_speaker";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:12;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:20:"field_mt_prs_speaker";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"field table";s:26:"node__field_mt_prs_speaker";s:11:"field field";s:30:"field_mt_prs_speaker_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:33:"reverse__node__field_mt_prg_event";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:18:"field_mt_prg_event";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:18:"field_mt_prg_event";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:12;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:18:"field_mt_prg_event";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"field table";s:24:"node__field_mt_prg_event";s:11:"field field";s:28:"field_mt_prg_event_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__node__field_mt_evn_sponsor";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:20:"field_mt_evn_sponsor";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_evn_sponsor";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:12;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:20:"field_mt_evn_sponsor";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"field table";s:26:"node__field_mt_evn_sponsor";s:11:"field field";s:30:"field_mt_evn_sponsor_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:35:"reverse__node__field_mt_evn_speaker";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:20:"field_mt_evn_speaker";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:12;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:20:"field_mt_evn_speaker";s:7:"@entity";r:12;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:15:"node_field_data";s:11:"entity_type";s:4:"node";s:10:"base field";s:3:"nid";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"field table";s:26:"node__field_mt_evn_speaker";s:11:"field field";s:30:"field_mt_evn_speaker_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:41:"reverse__block_content__field_mt_ns_slide";a:1:{s:12:"relationship";a:12:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"@entity using @field_name";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:17:"field_mt_ns_slide";s:7:"@entity";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"@field_name";s:12:"\0*\0arguments";a:1:{s:11:"@field_name";s:17:"field_mt_ns_slide";}s:10:"\0*\0options";a:0:{}}s:5:"group";r:12;s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Relate each @entity with a @field_name set to the @label.";s:12:"\0*\0arguments";a:3:{s:6:"@label";r:7;s:11:"@field_name";s:17:"field_mt_ns_slide";s:7:"@entity";r:185;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"entity_reverse";s:4:"base";s:24:"block_content_field_data";s:11:"entity_type";s:13:"block_content";s:10:"base field";s:2:"id";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"field table";s:32:"block_content__field_mt_ns_slide";s:11:"field field";s:27:"field_mt_ns_slide_target_id";s:10:"join_extra";a:1:{i:0;a:3:{s:5:"field";s:7:"deleted";s:5:"value";i:0;s:7:"numeric";b:1;}}}}s:5:"table";a:6:{s:4:"base";a:6:{s:5:"field";s:3:"nid";s:5:"title";r:12;s:14:"cache_contexts";a:1:{i:0;s:21:"user.node_grants:view";}s:16:"access query tag";s:11:"node_access";s:8:"defaults";a:2:{s:5:"field";s:5:"title";s:5:"table";s:15:"node_field_data";}s:6:"weight";i:-10;}s:5:"group";r:12;s:8:"provider";s:4:"node";s:15:"entity revision";b:0;s:11:"entity type";s:4:"node";s:9:"wizard_id";s:4:"node";}s:3:"nid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:4:{s:2:"id";s:8:"node_nid";s:10:"name field";s:5:"title";s:7:"numeric";b:1;s:13:"validate type";s:3:"nid";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"nid";}s:3:"vid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"vid";}s:4:"type";a:6:{s:5:"title";s:12:"Content type";s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:9:"node_type";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"type";}s:8:"langcode";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Translation language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"status";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:4:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Published status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";s:9:"use_equal";b:1;}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"status";}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The username of the content author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:9:"user_name";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";r:327;s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";}s:5:"title";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:3:{s:2:"id";s:5:"field";s:26:"default_formatter_settings";a:1:{s:14:"link_to_entity";b:1;}s:20:"link_to_node default";b:1;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"title";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the node was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the node was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:7:"promote";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Promoted to front page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Promoted to front page status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:7:"promote";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"A boolean indicating whether the node is visible on the front page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:6:"sticky";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Sticky at top of lists";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Sticky status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:2:{s:2:"id";s:8:"standard";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:91:"Whether or not the content is sticky. To list sticky content first, set this to descending.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"entity field";s:6:"sticky";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"A boolean indicating whether the node should sort to the top of content lists.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:16:"default_langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:16:"default_langcode";}s:29:"revision_translation_affected";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:29:"revision_translation_affected";}s:12:"status_extra";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Published status or admin user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Filters out unpublished content if the current user cannot view it.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:3:{s:5:"field";s:6:"status";s:2:"id";s:11:"node_status";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Published status or admin user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:16:"created_fulldate";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:13:"date_fulldate";}}s:18:"created_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Created year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:15:"date_year_month";}}s:12:"created_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_year";}}s:13:"created_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Created month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:10:"date_month";}}s:11:"created_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Created day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:8:"date_day";}}s:12:"created_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Created week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"created";s:2:"id";s:9:"date_week";}}s:16:"changed_fulldate";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Date in the form of CCYYMMDD.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:13:"date_fulldate";}}s:18:"changed_year_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Updated year + month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Date in the form of YYYYMM.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:15:"date_year_month";}}s:12:"changed_year";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated year";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Date in the form of YYYY.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_year";}}s:13:"changed_month";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Updated month";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of MM (01 - 12).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:10:"date_month";}}s:11:"changed_day";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Updated day";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of DD (01 - 31).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:8:"date_day";}}s:12:"changed_week";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Updated week";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Date in the form of WW (01 - 53).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:2:{s:5:"field";s:7:"changed";s:2:"id";s:9:"date_week";}}s:12:"uid_revision";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"User has a revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"All nodes where a certain user has a revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"nid";s:6:"filter";a:1:{s:2:"id";s:17:"node_uid_revision";}s:8:"argument";a:1:{s:2:"id";s:17:"node_uid_revision";}}s:13:"comments_link";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add comment link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:140:"Display the standard add comment link used on regular @entity_type, which will only display if the viewing user has access to add a comment.";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";s:4:"node";}s:10:"\0*\0options";a:0:{}}s:2:"id";s:19:"comment_entity_link";}}s:9:"uid_touch";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"User posted or commented";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:86:"Display nodes only if a user posted the @entity_type or commented on the @entity_type.";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";s:4:"node";}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:7:{s:5:"field";s:3:"uid";s:10:"name table";s:16:"users_field_data";s:10:"name field";s:4:"name";s:2:"id";s:25:"argument_comment_user_uid";s:11:"no group by";b:1;s:11:"entity_type";s:4:"node";s:9:"entity_id";s:3:"nid";}s:6:"filter";a:6:{s:5:"field";s:3:"uid";s:10:"name table";s:16:"users_field_data";s:10:"name field";s:4:"name";s:2:"id";s:16:"comment_user_uid";s:11:"entity_type";s:4:"node";s:9:"entity_id";s:3:"nid";}}s:11:"comment_cid";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:53:"Comments of the @entity_type using field: @field_name";s:12:"\0*\0arguments";a:2:{s:12:"@entity_type";s:4:"node";s:11:"@field_name";s:7:"comment";}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:159:"Relate all comments on the @entity_type. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.";s:12:"\0*\0arguments";a:1:{s:12:"@entity_type";s:4:"node";}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:7:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:18:"comment_field_data";s:10:"base field";s:9:"entity_id";s:18:"relationship field";s:3:"nid";s:2:"id";s:8:"standard";s:5:"extra";a:2:{i:0;a:2:{s:5:"field";s:11:"entity_type";s:5:"value";s:4:"node";}i:1;a:2:{s:5:"field";s:10:"field_name";s:5:"value";s:7:"comment";}}}}s:13:"term_node_tid";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Taxonomy terms on node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:160:"Relate nodes to taxonomy terms, specifying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:3:{s:2:"id";s:14:"node_term_data";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"base";s:24:"taxonomy_term_field_data";}s:5:"field";a:5:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"All taxonomy terms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Display all taxonomy terms associated with a node from specified vocabularies.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"taxonomy_index_tid";s:11:"no group by";b:1;s:14:"click sortable";b:0;}}s:19:"term_node_tid_depth";a:4:{s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:175:"Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"nid";s:8:"argument";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Has taxonomy term ID (with depth)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:24:"taxonomy_index_tid_depth";s:21:"accept depth modifier";b:1;}s:6:"filter";a:2:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Has taxonomy terms (with depth)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:24:"taxonomy_index_tid_depth";}}s:28:"term_node_tid_depth_modifier";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Has taxonomy term ID depth modifier";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:111:"Allows the "depth" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:1:{s:2:"id";s:33:"taxonomy_index_tid_depth_modifier";}}}', -1, '1681652764.838', 1, 'config:core.extension views_data', '2'),
('views_data:paragraphs_item:en', 'a:4:{s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:15:"entity revision";b:0;s:4:"join";a:1:{s:26:"paragraphs_item_field_data";a:3:{s:10:"left_field";s:2:"id";s:5:"field";s:2:"id";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:9:"paragraph";}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:4:"uuid";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The paragraphs entity language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}}', -1, '1681649761.916', 1, 'config:core.extension views_data', '0'),
('views_data:path_alias:en', 'a:0:{}', -1, '1681649761.912', 1, 'config:core.extension views_data', '0'),
('views_data:shortcut:en', 'a:0:{}', -1, '1681649761.912', 1, 'config:core.extension views_data', '0'),
('views_data:taxonomy_index:en', 'a:6:{s:5:"table";a:3:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"join";a:3:{s:24:"taxonomy_term_field_data";a:2:{s:10:"left_field";s:3:"tid";s:5:"field";s:3:"tid";}s:15:"node_field_data";a:2:{s:10:"left_field";s:3:"nid";s:5:"field";s:3:"nid";}s:21:"taxonomy_term__parent";a:2:{s:10:"left_field";s:9:"entity_id";s:5:"field";s:3:"tid";}}s:8:"provider";s:5:"views";}s:3:"nid";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content with term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Relate all content tagged with a term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"relationship";a:5:{s:2:"id";s:8:"standard";s:4:"base";s:15:"node_field_data";s:10:"base field";s:3:"nid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"node";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"skip base";s:15:"node_field_data";}}s:3:"tid";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Has taxonomy term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Display content if it has the selected taxonomy terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"argument";a:6:{s:2:"id";s:18:"taxonomy_index_tid";s:10:"name table";s:24:"taxonomy_term_field_data";s:10:"name field";s:4:"name";s:16:"empty field name";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Uncategorized";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"numeric";b:1;s:9:"skip base";s:24:"taxonomy_term_field_data";}s:6:"filter";a:6:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Has taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"taxonomy_index_tid";s:15:"hierarchy table";s:21:"taxonomy_term__parent";s:7:"numeric";b:1;s:9:"skip base";s:24:"taxonomy_term_field_data";s:11:"allow empty";b:1;}}s:6:"status";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Publish status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Whether or not the content related to a term is published.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Published status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}}s:6:"sticky";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Sticky status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:55:"Whether or not the content related to a term is sticky.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:3:{s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Sticky status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";s:6:"yes-no";}s:4:"sort";a:2:{s:2:"id";s:8:"standard";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:109:"Whether or not the content related to a term is sticky. To list sticky content first, set this to descending.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:7:"created";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Post date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The date the content related to a term was posted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}}}', -1, '1681649762.182', 1, 'config:core.extension views_data', '0'),
('views_data:taxonomy_term_data:en', 'a:8:{s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:15:"entity revision";b:0;s:4:"join";a:1:{s:24:"taxonomy_term_field_data";a:3:{s:10:"left_field";s:3:"tid";s:5:"field";s:3:"tid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:13:"taxonomy_term";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:18:"view_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:18:"edit_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:20:"delete_taxonomy_term";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:3;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The term language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}}', -1, '1681649761.913', 1, 'config:core.extension views_data', '0');
INSERT INTO `cache_default` VALUES
('views_data:users:en', 'a:11:{s:14:"user_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Bulk update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Add a form element that lets you run operations on multiple users.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:14:"user_bulk_form";}}s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:15:"entity revision";b:0;s:4:"join";a:1:{s:16:"users_field_data";a:3:{s:10:"left_field";s:3:"uid";s:5:"field";s:3:"uid";s:4:"type";s:5:"INNER";}}s:11:"entity type";s:4:"user";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:9:"view_user";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:9:"edit_user";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The user UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The user language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:11:"uid_current";a:4:{s:10:"real field";s:3:"uid";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Current";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Filter the view to the currently logged in user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"filter";a:2:{s:2:"id";s:12:"user_current";s:4:"type";s:6:"yes-no";}}s:4:"data";a:4:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Data";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Provides access to the user data service.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"real field";s:3:"uid";s:5:"field";a:1:{s:2:"id";s:9:"user_data";}}s:7:"contact";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide a simple link to the user contact page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:12:"contact_link";}}}', -1, '1681649761.913', 1, 'config:core.extension views_data', '0'),
('views_data:webform_submission:en', 'a:26:{s:28:"webform_submission_bulk_form";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Webform submission operations bulk form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Add a form element that lets you run operations on multiple submissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:28:"webform_submission_bulk_form";}}s:5:"table";a:5:{s:5:"group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:4:"base";a:4:{s:5:"field";s:3:"sid";s:5:"title";r:14;s:14:"cache_contexts";a:1:{i:0;s:4:"user";}s:16:"access query tag";s:25:"webform_submission_access";}s:15:"entity revision";b:0;s:11:"entity type";s:18:"webform_submission";}s:10:"operations";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Operations links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Provides links to perform entity operations.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:17:"entity_operations";}}s:15:"rendered_entity";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Renders an entity in a view mode.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"rendered_entity";}}s:23:"view_webform_submission";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Link to @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provide a view link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"entity_link";}}s:23:"edit_webform_submission";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Link to edit @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Provide an edit link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_link_edit";}}s:25:"delete_webform_submission";a:1:{s:5:"field";a:3:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Link to delete @entity_type_label";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provide a delete link to the @entity_type_label.";s:12:"\0*\0arguments";a:1:{s:18:"@entity_type_label";r:14;}s:10:"\0*\0options";a:0:{}}s:2:"id";s:18:"entity_link_delete";}}s:3:"sid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Submission ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The ID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"sid";}s:10:"webform_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The associated webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"bundle";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:10:"webform_id";}s:4:"uuid";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Submission UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The UUID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:2:{s:2:"id";s:5:"field";s:14:"click sortable";b:0;}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:4:"uuid";}s:8:"langcode";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Original language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The submission language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:8:"language";}s:6:"filter";a:1:{s:2:"id";s:8:"language";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"langcode";}s:6:"serial";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Serial number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The serial number of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"serial";}s:5:"token";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Token";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"A secure token used to look up a submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"token";}s:3:"uri";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Submission URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The URI the user submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uri";}s:7:"created";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was first saved as draft or submitted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"created";}s:9:"completed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Completed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was submitted as complete (not draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:9:"completed";}s:7:"changed";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"The time that the webform submission was last saved (complete or draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:4:"date";}s:6:"filter";a:1:{s:2:"id";s:4:"date";}s:4:"sort";a:1:{s:2:"id";s:4:"date";}s:12:"entity field";s:7:"changed";}s:8:"in_draft";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Is draft";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Is this a draft of the submission?";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:8:"in_draft";}s:12:"current_page";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Current page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The current wizard page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:12:"current_page";}s:11:"remote_addr";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Remote IP address";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The IP address of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"remote_addr";}s:3:"uid";a:8:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Submitted by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The username of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"numeric";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"relationship";a:5:{s:4:"base";s:16:"users_field_data";s:10:"base field";s:3:"uid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"title";r:343;s:2:"id";s:8:"standard";}s:12:"entity field";s:3:"uid";}s:11:"entity_type";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Submitted to: Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The entity type to which this submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:11:"entity_type";}s:9:"entity_id";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Submitted to: Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:73:"The ID of the entity of which this webform submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:9:"entity_id";}s:6:"locked";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Locked";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"A flag that indicates a locked webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"locked";}s:6:"sticky";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Sticky";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag that indicate the status of the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:7:"numeric";}s:6:"filter";a:1:{s:2:"id";s:7:"boolean";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:6:"sticky";}s:5:"notes";a:7:{s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Notes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Administrative notes about the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"field";a:1:{s:2:"id";s:5:"field";}s:8:"argument";a:1:{s:2:"id";s:6:"string";}s:6:"filter";a:1:{s:2:"id";s:6:"string";}s:4:"sort";a:1:{s:2:"id";s:8:"standard";}s:12:"entity field";s:5:"notes";}}', -1, '1681649761.914', 1, 'config:core.extension views_data', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cache_discovery`
--

CREATE TABLE `cache_discovery` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_discovery`
--

INSERT INTO `cache_discovery` VALUES
('archiver_info_plugins', 'a:2:{s:3:"Zip";a:6:{s:2:"id";s:3:"Zip";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Zip";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Handles zip files.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"extensions";a:1:{i:0;s:3:"zip";}s:5:"class";s:33:"Drupal\\system\\Plugin\\Archiver\\Zip";s:8:"provider";s:6:"system";}s:3:"Tar";a:6:{s:2:"id";s:3:"Tar";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Tar";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Handles .tar files.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"extensions";a:4:{i:0;s:3:"tar";i:1;s:3:"tgz";i:2;s:6:"tar.gz";i:3;s:7:"tar.bz2";}s:5:"class";s:33:"Drupal\\system\\Plugin\\Archiver\\Tar";s:8:"provider";s:6:"system";}}', -1, '1681652100.782', 1, '', '0'),
('block_content.field_storage_definitions.installed', 'a:55:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Custom block ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"The custom block ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The custom block UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"The revision ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"The custom block language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:112;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"info";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:11:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Block description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"A brief description of your block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:11:"constraints";a:1:{s:11:"UniqueField";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"info";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:151;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The block type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"type";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:18:"block_content_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:195;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"revision_log";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The log entry explaining the changes in this revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:12:"revision_log";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:230;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the custom block was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:261;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:291;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:331;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:18:"block_content.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22a2d0a9-bfcd-4089-8826-e8cec286023f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:18:"block_content.body";s:13:"\0*\0field_name";s:4:"body";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_block_reference";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"block_content.field_mt_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f20586f9-91c0-4de8-9414-ddf69e44d81f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"block_content.field_mt_block_reference";s:13:"\0*\0field_name";s:24:"field_mt_block_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_map_zoom";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba947929-7f8c-463b-a0d0-0d37ddadb91a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_map_zoom";s:13:"\0*\0field_name";s:17:"field_mt_map_zoom";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fancy_tab";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_fancy_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3bda504a-27b2-4fec-9799-cea3cba0b66f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_fancy_tab";s:13:"\0*\0field_name";s:18:"field_mt_fancy_tab";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-WPsolhu-QFSCaPuAteiuhZyMgJVq0di0txNXxszdWCo";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_fancy_linked_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_fancy_linked_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f3ec65f5-0c55-4198-abb7-bbe64c6b5785";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_fancy_linked_image";s:13:"\0*\0field_name";s:27:"field_mt_fancy_linked_image";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-tCZ_XGrxbnd-XqhuiDrMHdA1YAAaCf0EqETp1hEv6jk";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_background_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_background_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"16d5fc08-5a2e-4feb-9bdc-0e4a7448244d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_background_image";s:13:"\0*\0field_name";s:25:"field_mt_background_image";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-gkDKZLmhADb9E5LfKmYAG0GC3_U9VzppvnUqczghAKw";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_bg_image_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"block_content.field_mt_bg_image_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3db39b50-af1a-4d58-a620-831ff4fc05b1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"block_content.field_mt_bg_image_color";s:13:"\0*\0field_name";s:23:"field_mt_bg_image_color";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:4:"Dark";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-pOnUBwwvA3mO_hxBsHRMv1J-TQFhsb_mVqo7aVtkgak";s:10:"form_token";s:43:"FrzYrWjJ7BiNmfIs7VF1DSs0lbhJrDC24jaUqUhnoQw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_bg_image_layout_mode";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_bg_image_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f4e8e01-4077-4234-bac5-3a75658e1822";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_bg_image_layout_mode";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_layout_mode";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"container";s:11:"Fixed Width";s:15:"container-fluid";s:10:"Full Width";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-QiFnobClOnvNYAaeBh0c_2ga1wAUGZRiCmkOyCjC9Aw";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_bg_image_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_bg_image_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"31a9f97d-a721-41b9-a379-dc006c5ae921";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_bg_image_opacity";s:13:"\0*\0field_name";s:25:"field_mt_bg_image_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-eg_LIYh4mJ4_syWXErA34oaErUEiExA0lmAWQG4mjEU";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:759;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:788;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:17:"field_mt_ns_slide";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_ns_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f6ed5339-162f-440b-a909-001f88790ad1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_ns_slide";s:13:"\0*\0field_name";s:17:"field_mt_ns_slide";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-nngNcoJF1GbogcidUULIMK2ueJUCBreHP73t6FGPwvI";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_media_tab";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_media_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2a46f5aa-0a9f-4cf3-8d61-15741b636da6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_media_tab";s:13:"\0*\0field_name";s:18:"field_mt_media_tab";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-IxSEX3id-cAiBtUXPTy1aD8qfa664HzG4E1CrlI-NbI";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:13:"field_mt_fltt";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"block_content.field_mt_fltt";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e7f6e71a-e39f-499e-a2e3-938f006edd87";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"block_content.field_mt_fltt";s:13:"\0*\0field_name";s:13:"field_mt_fltt";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-jFxAuo3cJp5AE2wASqC9vUY8c_raH77LQTJZAUQmY1M";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_main_slideshow_slide";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_main_slideshow_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"86510cb9-19ac-4f48-9da1-4945c3d81ca6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_main_slideshow_slide";s:13:"\0*\0field_name";s:29:"field_mt_main_slideshow_slide";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-l2Mcd4gfHKeUErgzHDtxC9z9hbZLfdW_cO6k_MBEtVY";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_main_slideshow_layout";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"block_content.field_mt_main_slideshow_layout";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"84f9688c-9f92-4c02-97cc-1b9a9cb1555c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"block_content.field_mt_main_slideshow_layout";s:13:"\0*\0field_name";s:30:"field_mt_main_slideshow_layout";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"fullwidth";s:10:"Full Width";s:10:"fullscreen";s:11:"Full Screen";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-kmcnQOWBDQKklUJvV_ALWGt7vW3k-YqC1d199JEgzwA";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_ms_initial_height";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"block_content.field_mt_ms_initial_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3812ab0b-108c-44c0-92c3-d62ed70aed61";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"block_content.field_mt_ms_initial_height";s:13:"\0*\0field_name";s:26:"field_mt_ms_initial_height";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-KW4Tnm4uxqz10JP9KLyfQMW-j6hrRKis6zWvB4QZSyw";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_ms_effect_duration";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_ms_effect_duration";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c240e0ca-88f5-4702-b173-fd19bbd61c52";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_ms_effect_duration";s:13:"\0*\0field_name";s:27:"field_mt_ms_effect_duration";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-M7Djh5EnWPWupHzo_mx9A5bbE8WVi7XZwoIp4wJYn7o";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_ms_navigation_style";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"block_content.field_mt_ms_navigation_style";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe621dec-b9dc-4f5b-b407-9c808562435a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"block_content.field_mt_ms_navigation_style";s:13:"\0*\0field_name";s:28:"field_mt_ms_navigation_style";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:7:"bullets";s:7:"Bullets";s:15:"titles_carousel";s:15:"Titles Carousel";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FQJt3rkVFcS6hacYh5di4R-1i4WHlI7oHMLAwpkGEEA";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_ms_effect";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_ms_effect";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0c16129a-2c39-4904-bb98-a28c620ed30a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_ms_effect";s:13:"\0*\0field_name";s:18:"field_mt_ms_effect";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:49:{s:4:"fade";s:4:"Fade";s:7:"slideup";s:12:"Slide To Top";s:9:"slidedown";s:15:"Slide To Bottom";s:10:"slideright";s:14:"Slide To Right";s:9:"slideleft";s:13:"Slide To Left";s:15:"slidehorizontal";s:16:"Slide Horizontal";s:13:"slidevertical";s:14:"Slide Vertical";s:8:"boxslide";s:11:"Slide Boxes";s:20:"slotslide-horizontal";s:22:"Slide Slots Horizontal";s:18:"slotslide-vertical";s:20:"Slide Slots Vertical";s:7:"boxfade";s:10:"Fade Boxes";s:19:"slotfade-horizontal";s:21:"Fade Slots Horizontal";s:17:"slotfade-vertical";s:19:"Fade Slots Vertical";s:13:"fadefromright";s:25:"Fade and Slide from Right";s:12:"fadefromleft";s:24:"Fade and Slide from Left";s:11:"fadefromtop";s:23:"Fade and Slide from Top";s:14:"fadefrombottom";s:26:"Fade and Slide from Bottom";s:23:"fadetoleftfadefromright";s:32:"Fade To Left and Fade From Right";s:23:"fadetorightfadefromleft";s:32:"Fade To Right and Fade From Left";s:23:"fadetotopfadefrombottom";s:32:"Fade To Top and Fade From Bottom";s:23:"fadetobottomfadefromtop";s:32:"Fade To Bottom and Fade From Top";s:15:"parallaxtoright";s:17:"Parallax to Right";s:14:"parallaxtoleft";s:16:"Parallax to Left";s:13:"parallaxtotop";s:15:"Parallax to Top";s:16:"parallaxtobottom";s:18:"Parallax to Bottom";s:18:"scaledownfromright";s:28:"Zoom Out and Fade From Right";s:17:"scaledownfromleft";s:27:"Zoom Out and Fade From Left";s:16:"scaledownfromtop";s:26:"Zoom Out and Fade From Top";s:19:"scaledownfrombottom";s:29:"Zoom Out and Fade From Bottom";s:7:"zoomout";s:7:"ZoomOut";s:6:"zoomin";s:6:"ZoomIn";s:19:"slotzoom-horizontal";s:21:"Zoom Slots Horizontal";s:17:"slotzoom-vertical";s:19:"Zoom Slots Vertical";s:9:"curtain-1";s:17:"Curtain from Left";s:9:"curtain-2";s:18:"Curtain from Right";s:9:"curtain-3";s:19:"Curtain from Middle";s:20:"3dcurtain-horizontal";s:21:"3D Curtain Horizontal";s:18:"3dcurtain-vertical";s:19:"3D Curtain Vertical";s:4:"cube";s:13:"Cube Vertical";s:15:"cube-horizontal";s:15:"Cube Horizontal";s:6:"incube";s:16:"In Cube Vertical";s:17:"incube-horizontal";s:18:"In Cube Horizontal";s:7:"turnoff";s:18:"TurnOff Horizontal";s:16:"turnoff-vertical";s:16:"TurnOff Vertical";s:8:"papercut";s:9:"Paper Cut";s:5:"flyin";s:6:"Fly In";s:13:"random-static";s:11:"Random Flat";s:14:"random-premium";s:14:"Random Premium";s:6:"random";s:31:"Random Flat and Premium/Default";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-HrhaHTb0hkUH9ZWv4OOrUlWQ2LNWZ8B_h8D_CYfRHeI";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_ms_touch_swipe_nav";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c282c20a-3e12-4ee6-92d1-311ee1d72972";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:13:"\0*\0field_name";s:27:"field_mt_ms_touch_swipe_nav";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-btAtPCQqgIx-s_hdzAPKKLcdAzUT9FjpjxrkQHu6G0g";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_ms_bullets_position";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"block_content.field_mt_ms_bullets_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"df9b82a6-6ce9-4aff-9594-af09ac953a40";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"block_content.field_mt_ms_bullets_position";s:13:"\0*\0field_name";s:28:"field_mt_ms_bullets_position";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:3:{s:4:"left";s:4:"Left";s:5:"right";s:5:"Right";s:6:"center";s:6:"Center";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-7xcXNWEFzu9uXOQCZhm1m8lT4ZGSk351mVLdyUWOmXE";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_ms_background_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"block_content.field_mt_ms_background_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9c91566-b021-4c07-9675-1c59fbe11bb3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"block_content.field_mt_ms_background_opacity";s:13:"\0*\0field_name";s:30:"field_mt_ms_background_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GM8IvLlOQkiVXp5Hm7755Vml5bencuGseoF5PZyCiUc";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_video_gallery_slides";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_video_gallery_slides";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6b8ce1be-94b6-409f-a777-a1db3df94795";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_video_gallery_slides";s:13:"\0*\0field_name";s:29:"field_mt_video_gallery_slides";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rTy0ry_i1lg-rfiTRRWsoIpMbTgsvv_F5VofC87rbIc";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:32:"field_mt_ms_ignore_header_height";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"block_content.field_mt_ms_ignore_header_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"da5267cd-4ffb-4da8-84f3-7eeae26e3132";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"block_content.field_mt_ms_ignore_header_height";s:13:"\0*\0field_name";s:32:"field_mt_ms_ignore_header_height";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-4-RfXfie1Dz-V5MfPn_64H2NKsF_HQFBubUj8Ol44YM";s:10:"form_token";s:43:"_VS9PsHVI9vvvhTz4vB34I8insibnowFTW3oyMneu3g";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_bg_image_positioning";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_bg_image_positioning";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d7cc154f-9ddf-4087-94e9-410c2cc50c72";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_bg_image_positioning";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_positioning";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0rGgPRmma5RSMbghVoZYsl7pamu7gLvYS0XyUHjSkw0";s:10:"form_token";s:43:"1p7AqqKoy2E0KpCw8SPhXfsUVE8TZDgqMGzLxw5xRj4";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_dropdown";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_dropdown";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"33b69423-ea44-41ec-aee9-ce7d25f09cdb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_dropdown";s:13:"\0*\0field_name";s:17:"field_mt_dropdown";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-t0YRipUmJADTg9nfNGvn-gcp_PlDDyl8Z0BnwjCD1Bc";s:10:"form_token";s:43:"hBQ7ImlRH4zqyQum8pafo4Jyn_vtM2B5AJbmx2GlGRM";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_map_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"block_content.field_mt_map_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7b867270-8272-4f7f-9590-a46a16167e32";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"block_content.field_mt_map_location";s:13:"\0*\0field_name";s:21:"field_mt_map_location";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:11:"field_mt_if";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"block_content.field_mt_if";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22b11c07-c927-43e7-8b82-cfc83e4214d0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"block_content.field_mt_if";s:13:"\0*\0field_name";s:11:"field_mt_if";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-71tZCV9es2haHa3OJYZIq2jvCxm-DSiK1jmFZZdRSEI";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_bv_video_mp4";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"block_content.field_mt_bv_video_mp4";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a560034a-6389-438f-8948-dec1013e9d52";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"block_content.field_mt_bv_video_mp4";s:13:"\0*\0field_name";s:21:"field_mt_bv_video_mp4";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-wnBzt82MoJ_VwfjrNhMoHzzMK7pbP-YbsSvmLoaVmzA";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_bv_video_webm";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"block_content.field_mt_bv_video_webm";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"11d2ef71-9700-4313-b6c9-67b13a5f3a81";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"block_content.field_mt_bv_video_webm";s:13:"\0*\0field_name";s:22:"field_mt_bv_video_webm";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-8bebOu9dvqrxad9oeun3sadK7WT7FycOjwAhj-P868o";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_bv_overlay_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_bv_overlay_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"193b151e-6364-4b67-a16b-7319d84e28d0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_bv_overlay_color";s:13:"\0*\0field_name";s:25:"field_mt_bv_overlay_color";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:4:"Dark";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-K8OutL3AH2JxiRDRxGWojwN8gXy_fP1_rlOhGXRKhb4";s:10:"form_token";s:43:"FrzYrWjJ7BiNmfIs7VF1DSs0lbhJrDC24jaUqUhnoQw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_bv_overlay_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_bv_overlay_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b23fcdef-1ff7-435f-afaa-f0ace9a39c74";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_bv_overlay_opacity";s:13:"\0*\0field_name";s:27:"field_mt_bv_overlay_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-PmUVFURYsZ4MasHiR0BtAGt_IyXt8Yayolpm3wow8qs";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_bv_layout_mode";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"block_content.field_mt_bv_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3ff57e43-e23f-4d7a-bc37-a00cabf21daa";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"block_content.field_mt_bv_layout_mode";s:13:"\0*\0field_name";s:23:"field_mt_bv_layout_mode";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"container";s:11:"Fixed Width";s:15:"container-fluid";s:10:"Full Width";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-q0bQ1oKynEcPialAIKN1AMPhb0Fmb0ZPJraJlMFb4GQ";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_bv_poster";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_bv_poster";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75f4013a-0861-49c9-ba7e-895c7c970ae2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_bv_poster";s:13:"\0*\0field_name";s:18:"field_mt_bv_poster";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uEO0Om8rIzL9NUq6qitw4uXOkX908O3IHS7UJmN1TG0";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_cb_expand_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"block_content.field_mt_cb_expand_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5e018863-8933-4e50-95e9-be57ab7af654";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"block_content.field_mt_cb_expand_icon";s:13:"\0*\0field_name";s:23:"field_mt_cb_expand_icon";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_cb_collapse_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_cb_collapse_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"67ae6567-0556-4ab5-8b6f-58e662ed1ad6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_cb_collapse_icon";s:13:"\0*\0field_name";s:25:"field_mt_cb_collapse_icon";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_cb_state";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_cb_state";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f3d6fea2-4b1a-4220-b617-1f1996125741";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_cb_state";s:13:"\0*\0field_name";s:17:"field_mt_cb_state";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:8:"expanded";s:8:"Expanded";s:9:"collapsed";s:9:"Collapsed";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_cb_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_cb_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1c106149-1590-48b3-bcf3-90bd79900b79";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_cb_title";s:13:"\0*\0field_name";s:17:"field_mt_cb_title";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_cb_trigger_position";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"block_content.field_mt_cb_trigger_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d020301c-6aed-4357-b8bc-5bd0a08e8943";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"block_content.field_mt_cb_trigger_position";s:13:"\0*\0field_name";s:28:"field_mt_cb_trigger_position";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:3:"top";s:3:"Top";s:6:"bottom";s:6:"Bottom";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_tml_timeline_item";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"block_content.field_mt_tml_timeline_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3b3198c2-2fe4-429c-9294-aee9112f21f5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"block_content.field_mt_tml_timeline_item";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_item";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-3Vuc1StR_9Z3xFEL8-OH3uOlOaBW9K-YXin0YVBb4z4";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_tml_timeline_viewmore";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"block_content.field_mt_tml_timeline_viewmore";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"181f66bf-6c58-4c80-8f07-f1c650410514";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"block_content.field_mt_tml_timeline_viewmore";s:13:"\0*\0field_name";s:30:"field_mt_tml_timeline_viewmore";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uamPLmJmF7vddXJzb9XidgciuWU8XHD_Y-amSxMnHkI";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"block_content";s:8:"provider";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:2205;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:13:"block_content";s:8:"provider";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:2250;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"reusable";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Reusable";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"A boolean indicating whether this block is reusable.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:0;s:12:"revisionable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:8:"reusable";s:11:"entity_type";s:13:"block_content";s:8:"provider";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:2293;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.454', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('block_plugins', 'a:159:{s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";a:8:{s:11:"admin_label";s:12:"Sidebar tabs";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Custom";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:ef75ff4d-5049-4e15-91f2-89e64289799e";}}}s:50:"block_content:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";a:8:{s:11:"admin_label";s:9:"Copyright";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";}}}s:50:"block_content:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";a:8:{s:11:"admin_label";s:16:"Social Bookmarks";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";}}}s:50:"block_content:5e872ebe-f221-48b5-8dbf-041d40eecc43";a:8:{s:11:"admin_label";s:16:"Block with image";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5e872ebe-f221-48b5-8dbf-041d40eecc43";}}}s:50:"block_content:5c386222-a853-46e7-b120-1d96242be928";a:8:{s:11:"admin_label";s:12:"Contact Info";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5c386222-a853-46e7-b120-1d96242be928";}}}s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";a:8:{s:11:"admin_label";s:13:"Generic Block";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:fae21d9e-1b0b-418f-b1a1-e4f297688838";}}}s:50:"block_content:0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a";a:8:{s:11:"admin_label";s:9:"Info text";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a";}}}s:50:"block_content:bf813f9f-c73e-4d44-a9ff-c771b0c704f3";a:8:{s:11:"admin_label";s:12:"Credit Cards";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:bf813f9f-c73e-4d44-a9ff-c771b0c704f3";}}}s:50:"block_content:8446f152-667e-4f86-8722-565b31753297";a:8:{s:11:"admin_label";s:23:"Sign Up For Text Alerts";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:8446f152-667e-4f86-8722-565b31753297";}}}s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";a:8:{s:11:"admin_label";s:9:"Subscribe";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0839439a-2bae-48e4-872e-6ff169998482";}}}s:50:"block_content:b6daebc0-8794-4969-94ad-88857e3749e6";a:8:{s:11:"admin_label";s:15:"Front Page tabs";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_fancy_tabs_block:b6daebc0-8794-4969-94ad-88857e3749e6";}}}s:50:"block_content:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";a:8:{s:11:"admin_label";s:22:"Popular Sales (Static)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";}}}s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";a:8:{s:11:"admin_label";s:17:"Icons (subfooter)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:14d16969-6207-4173-82a4-bbc2e6eef6a2";}}}s:50:"block_content:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";a:8:{s:11:"admin_label";s:12:"Social Media";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";}}}s:50:"block_content:01709e04-065c-478c-9e73-863194306720";a:8:{s:11:"admin_label";s:32:"Connect with us via social media";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:01709e04-065c-478c-9e73-863194306720";}}}s:50:"block_content:47385a7c-dff7-4f4a-8225-37b53a37da3d";a:8:{s:11:"admin_label";s:25:"Contact Info (header top)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47385a7c-dff7-4f4a-8225-37b53a37da3d";}}}s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";a:8:{s:11:"admin_label";s:11:"Fancy block";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1f5fa21d-094d-4e89-abf6-07aa1e532066";}}}s:50:"block_content:2c242b3c-5f08-49b5-9943-898d1f992ced";a:8:{s:11:"admin_label";s:19:"Fancy linked images";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:79:"block_content:mt_fancy_linked_images_block:2c242b3c-5f08-49b5-9943-898d1f992ced";}}}s:50:"block_content:8ab31d99-575f-4229-8ec8-989daa3f2dfb";a:8:{s:11:"admin_label";s:15:"Contact Details";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:8ab31d99-575f-4229-8ec8-989daa3f2dfb";}}}s:50:"block_content:b467900a-1ff8-40ea-a8b0-2de331243735";a:8:{s:11:"admin_label";s:12:"Announcement";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b467900a-1ff8-40ea-a8b0-2de331243735";}}}s:50:"block_content:d483c5ac-2ead-403b-ab10-4ede5f991371";a:8:{s:11:"admin_label";s:27:"Footer custom site branding";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d483c5ac-2ead-403b-ab10-4ede5f991371";}}}s:50:"block_content:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";a:8:{s:11:"admin_label";s:38:"Products Layout Switcher (Grid active)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";}}}s:50:"block_content:9acb6453-8126-426b-88ec-d750288e958c";a:8:{s:11:"admin_label";s:38:"Products Layout Switcher (List Active)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:9acb6453-8126-426b-88ec-d750288e958c";}}}s:50:"block_content:78f50698-8922-4e4c-ade4-531c59340958";a:8:{s:11:"admin_label";s:11:"Text blocks";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:78f50698-8922-4e4c-ade4-531c59340958";}}}s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";a:8:{s:11:"admin_label";s:19:"Google map - Banner";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}}}s:50:"block_content:2f082cb7-167a-4837-b03e-7c523b059c9c";a:8:{s:11:"admin_label";s:12:"Buy a ticket";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2f082cb7-167a-4837-b03e-7c523b059c9c";}}}s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";a:8:{s:11:"admin_label";s:14:"Call to action";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:484e39d9-79e3-484e-9855-6b935d61bd03";}}}s:50:"block_content:2ee07bbe-2afe-47d2-b802-21a37c39ea92";a:8:{s:11:"admin_label";s:46:"See a full list of the services we can provide";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:75:"block_content:mt_nodes_slideshow_block:2ee07bbe-2afe-47d2-b802-21a37c39ea92";}}}s:50:"block_content:0524307c-2048-42b8-833e-fe424b730597";a:8:{s:11:"admin_label";s:10:"Highlights";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0524307c-2048-42b8-833e-fe424b730597";}}}s:50:"block_content:a007890a-a321-4ab4-84f1-049b7b98801c";a:8:{s:11:"admin_label";s:14:"Our Newsletter";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a007890a-a321-4ab4-84f1-049b7b98801c";}}}s:50:"block_content:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";a:8:{s:11:"admin_label";s:25:"Contact Info (footer top)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";}}}s:50:"block_content:735a20a1-935e-461e-8ddf-5a4fdc521f23";a:8:{s:11:"admin_label";s:9:"Media Tab";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_media_tabs_block:735a20a1-935e-461e-8ddf-5a4fdc521f23";}}}s:50:"block_content:e063c791-93fb-43c0-a379-811a3a29ccc8";a:8:{s:11:"admin_label";s:7:"Why Me?";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_fltt_block:e063c791-93fb-43c0-a379-811a3a29ccc8";}}}s:50:"block_content:47ac0b15-76b8-42ad-b349-f76c80485472";a:8:{s:11:"admin_label";s:21:"Contact Info (Header)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47ac0b15-76b8-42ad-b349-f76c80485472";}}}s:50:"block_content:289e95e0-6f1d-40f8-961a-fe8a21410288";a:8:{s:11:"admin_label";s:23:"Contact Info (Slideout)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:289e95e0-6f1d-40f8-961a-fe8a21410288";}}}s:50:"block_content:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";a:8:{s:11:"admin_label";s:19:"Slideshow Fullwidth";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:74:"block_content:mt_main_slideshow_block:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";}}}s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";a:8:{s:11:"admin_label";s:19:"Video Gallery block";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:73:"block_content:mt_video_gallery_block:06367e41-b90b-4fdc-8dac-d2f2de5da572";}}}s:50:"block_content:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";a:8:{s:11:"admin_label";s:32:"Interested in investing with us?";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";}}}s:50:"block_content:d3c5868b-e0ca-43fd-9e80-828ad308eea5";a:8:{s:11:"admin_label";s:8:"About me";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d3c5868b-e0ca-43fd-9e80-828ad308eea5";}}}s:50:"block_content:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";a:8:{s:11:"admin_label";s:28:"Background image block - CtA";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";}}}s:50:"block_content:21239a24-9067-424a-a412-2bc4c38d3b07";a:8:{s:11:"admin_label";s:21:"Still have questions?";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:21239a24-9067-424a-a412-2bc4c38d3b07";}}}s:50:"block_content:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";a:8:{s:11:"admin_label";s:16:"Call to action 2";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";}}}s:50:"block_content:c14bd468-befe-4f30-a142-81ace2726783";a:8:{s:11:"admin_label";s:36:"Are you looking for a great service?";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:c14bd468-befe-4f30-a142-81ace2726783";}}}s:50:"block_content:b881398c-7d2f-4579-9930-9300538bd2aa";a:8:{s:11:"admin_label";s:8:"My Story";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b881398c-7d2f-4579-9930-9300538bd2aa";}}}s:50:"block_content:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";a:8:{s:11:"admin_label";s:32:"Background image block - Clients";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";}}}s:50:"block_content:18dc1432-7c77-4b0b-b804-5bd46ab9769a";a:8:{s:11:"admin_label";s:16:"Header Dropdowns";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:69:"block_content:mt_dropdowns_block:18dc1432-7c77-4b0b-b804-5bd46ab9769a";}}}s:50:"block_content:eb34fbf2-b05a-462a-bb6d-0d71197be193";a:8:{s:11:"admin_label";s:17:"Language Switcher";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:eb34fbf2-b05a-462a-bb6d-0d71197be193";}}}s:50:"block_content:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";a:8:{s:11:"admin_label";s:12:"Social Links";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";}}}s:50:"block_content:30cd384d-66e1-462a-b606-9af85d356ef1";a:8:{s:11:"admin_label";s:34:"Footer bottom custom site branding";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:30cd384d-66e1-462a-b606-9af85d356ef1";}}}s:50:"block_content:e2f49ac6-d59a-4baa-aa3e-2f7fd2077b52";a:8:{s:11:"admin_label";s:29:"Social Bookmarks (Footer top)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:e2f49ac6-d59a-4baa-aa3e-2f7fd2077b52";}}}s:50:"block_content:86c8a961-7cb4-48cb-958f-950bcb782f32";a:8:{s:11:"admin_label";s:15:"Unique Features";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:62:"block_content:mt_if_block:86c8a961-7cb4-48cb-958f-950bcb782f32";}}}s:50:"block_content:1095b191-b590-4db3-8021-af3b7bc02bb9";a:8:{s:11:"admin_label";s:22:"Video background block";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_video_block:1095b191-b590-4db3-8021-af3b7bc02bb9";}}}s:50:"block_content:75233cc9-f9ab-4278-b3a5-3ac326245760";a:8:{s:11:"admin_label";s:21:"Features (front page)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:75233cc9-f9ab-4278-b3a5-3ac326245760";}}}s:50:"block_content:72c169d2-45c6-40c2-82e4-4f0f6f243331";a:8:{s:11:"admin_label";s:23:"Highlights (front page)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:72c169d2-45c6-40c2-82e4-4f0f6f243331";}}}s:50:"block_content:31d21c04-eb31-438b-8730-00c9e7511dd7";a:8:{s:11:"admin_label";s:20:"Custom site branding";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:31d21c04-eb31-438b-8730-00c9e7511dd7";}}}s:50:"block_content:a5cb88c7-1d51-405a-b911-2ea49042a47f";a:8:{s:11:"admin_label";s:21:"Contact info (footer)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a5cb88c7-1d51-405a-b911-2ea49042a47f";}}}s:50:"block_content:56181db7-a452-44b8-bca5-8cf9de50ed1c";a:8:{s:11:"admin_label";s:14:"About (footer)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:56181db7-a452-44b8-bca5-8cf9de50ed1c";}}}s:50:"block_content:4afd36a9-3c0d-4d0e-b120-cd814ff11504";a:8:{s:11:"admin_label";s:22:"Header Top CtA buttons";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4afd36a9-3c0d-4d0e-b120-cd814ff11504";}}}s:50:"block_content:2d618db5-2ef3-4607-b59e-6c41f4dae031";a:8:{s:11:"admin_label";s:17:"Collapsible block";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:71:"block_content:mt_collapsible_block:2d618db5-2ef3-4607-b59e-6c41f4dae031";}}}s:50:"block_content:33c8086b-30a4-4b72-b741-df3e1ce3594d";a:8:{s:11:"admin_label";s:34:"Contact the conference secretariat";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:33c8086b-30a4-4b72-b741-df3e1ce3594d";}}}s:50:"block_content:165f7847-15c7-4a04-9acf-8765861ca9a1";a:8:{s:11:"admin_label";s:13:"Venue Address";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:165f7847-15c7-4a04-9acf-8765861ca9a1";}}}s:50:"block_content:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";a:8:{s:11:"admin_label";s:18:"Registration Hours";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";}}}s:50:"block_content:2097ae93-a297-410b-acc6-d59748d40e90";a:8:{s:11:"admin_label";s:42:"Background image block - Albums (carousel)";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:2097ae93-a297-410b-acc6-d59748d40e90";}}}s:50:"block_content:a6c786ea-831a-4420-bbdc-4257c37aacd4";a:8:{s:11:"admin_label";s:34:"Registration location in the venue";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a6c786ea-831a-4420-bbdc-4257c37aacd4";}}}s:50:"block_content:24e5856d-18c2-4676-bdd8-d4864a4bef39";a:8:{s:11:"admin_label";s:16:"Typing Animation";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_typing_animation_block:24e5856d-18c2-4676-bdd8-d4864a4bef39";}}}s:50:"block_content:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";a:8:{s:11:"admin_label";s:8:"Timeline";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:68:"block_content:mt_timeline_block:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";}}}s:50:"block_content:66f70a0f-8643-4142-9e65-18b27e2e59d4";a:8:{s:11:"admin_label";s:17:"Presentation Tabs";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:66f70a0f-8643-4142-9e65-18b27e2e59d4";}}}s:50:"block_content:777da137-efb6-4b98-a65c-1efdb5ebd6ec";a:8:{s:11:"admin_label";s:15:"Payment methods";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:777da137-efb6-4b98-a65c-1efdb5ebd6ec";}}}s:50:"block_content:64c7c159-c508-4191-b661-05ea9107cdd5";a:8:{s:11:"admin_label";s:8:"Benefits";s:8:"category";r:4;s:19:"context_definitions";a:0:{}s:2:"id";s:13:"block_content";s:7:"deriver";s:51:"Drupal\\block_content\\Plugin\\Derivative\\BlockContent";s:5:"class";s:51:"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock";s:8:"provider";s:13:"block_content";s:19:"config_dependencies";a:1:{s:7:"content";a:1:{i:0;s:62:"block_content:mt_if_block:64c7c159-c508-4191-b661-05ea9107cdd5";}}}s:10:"help_block";a:7:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:4:"Help";s:19:"context_definitions";a:0:{}s:2:"id";s:10:"help_block";s:5:"forms";a:1:{s:13:"settings_tray";b:0;}s:5:"class";s:34:"Drupal\\help\\Plugin\\Block\\HelpBlock";s:8:"provider";s:4:"help";}s:19:"juicerio:juicerio_1";a:7:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"@info @delta";s:12:"\0*\0arguments";a:2:{s:5:"@info";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Juicer Embed Feed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"@delta";i:1;}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Juicer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:8:"juicerio";s:7:"deriver";s:64:"Drupal\\juicerio\\Plugin\\Derivative\\JuicerEmbedFeedBlockDerivative";s:5:"class";s:49:"Drupal\\juicerio\\Plugin\\Block\\JuicerEmbedFeedBlock";s:8:"provider";s:8:"juicerio";}s:12:"mt_countdown";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"More than Themes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:12:"mt_countdown";s:5:"class";s:49:"Drupal\\mt_countdown\\Plugin\\Block\\MTCountDownBlock";s:8:"provider";s:12:"mt_countdown";}s:20:"node_syndicate_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Syndicate";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:20:"node_syndicate_block";s:5:"class";s:39:"Drupal\\node\\Plugin\\Block\\SyndicateBlock";s:8:"provider";s:4:"node";}s:17:"search_form_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Search form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:17:"search_form_block";s:5:"class";s:38:"Drupal\\search\\Plugin\\Block\\SearchBlock";s:8:"provider";s:6:"search";}s:9:"shortcuts";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:9:"shortcuts";s:5:"class";s:43:"Drupal\\shortcut\\Plugin\\Block\\ShortcutsBlock";s:8:"provider";s:8:"shortcut";}s:24:"statistics_popular_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Popular content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:10:"Statistics";s:19:"context_definitions";a:0:{}s:2:"id";s:24:"statistics_popular_block";s:5:"class";s:53:"Drupal\\statistics\\Plugin\\Block\\StatisticsPopularBlock";s:8:"provider";s:10:"statistics";}s:17:"superfish:account";a:9:{s:11:"admin_label";s:17:"User account menu";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Superfish";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:19:"system.menu.account";}}}s:15:"superfish:admin";a:9:{s:11:"admin_label";s:14:"Administration";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:17:"system.menu.admin";}}}s:16:"superfish:footer";a:9:{s:11:"admin_label";s:6:"Footer";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:18:"system.menu.footer";}}}s:33:"superfish:landing-page-navigation";a:9:{s:11:"admin_label";s:23:"Landing page navigation";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:35:"system.menu.landing-page-navigation";}}}s:14:"superfish:main";a:9:{s:11:"admin_label";s:15:"Main navigation";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}}}s:30:"superfish:mt-footer-menu-three";a:9:{s:11:"admin_label";s:12:"Useful Links";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}}}s:28:"superfish:mt-footer-menu-two";a:9:{s:11:"admin_label";s:10:"Questions?";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:30:"system.menu.mt-footer-menu-two";}}}s:22:"superfish:mt-mega-menu";a:9:{s:11:"admin_label";s:9:"Mega Menu";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"system.menu.mt-mega-menu";}}}s:27:"superfish:mt-subfooter-menu";a:9:{s:11:"admin_label";s:9:"Subfooter";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:29:"system.menu.mt-subfooter-menu";}}}s:15:"superfish:tools";a:9:{s:11:"admin_label";s:5:"Tools";s:8:"category";r:859;s:19:"context_definitions";a:0:{}s:2:"id";s:9:"superfish";s:5:"cache";i:-1;s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"class";s:44:"Drupal\\superfish\\Plugin\\Block\\SuperfishBlock";s:8:"provider";s:9:"superfish";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:17:"system.menu.tools";}}}s:21:"system_branding_block";a:7:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Site branding";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:6:"System";s:19:"context_definitions";a:0:{}s:2:"id";s:21:"system_branding_block";s:5:"forms";a:1:{s:13:"settings_tray";s:46:"Drupal\\system\\Form\\SystemBrandingOffCanvasForm";}s:5:"class";s:46:"Drupal\\system\\Plugin\\Block\\SystemBrandingBlock";s:8:"provider";s:6:"system";}s:23:"system_breadcrumb_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Breadcrumbs";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:6:"System";s:19:"context_definitions";a:0:{}s:2:"id";s:23:"system_breadcrumb_block";s:5:"class";s:48:"Drupal\\system\\Plugin\\Block\\SystemBreadcrumbBlock";s:8:"provider";s:6:"system";}s:25:"system_menu_block:account";a:9:{s:11:"admin_label";s:17:"User account menu";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:19:"system.menu.account";}}}s:23:"system_menu_block:admin";a:9:{s:11:"admin_label";s:14:"Administration";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:17:"system.menu.admin";}}}s:24:"system_menu_block:footer";a:9:{s:11:"admin_label";s:6:"Footer";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:18:"system.menu.footer";}}}s:41:"system_menu_block:landing-page-navigation";a:9:{s:11:"admin_label";s:23:"Landing page navigation";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:35:"system.menu.landing-page-navigation";}}}s:22:"system_menu_block:main";a:9:{s:11:"admin_label";s:15:"Main navigation";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}}}s:38:"system_menu_block:mt-footer-menu-three";a:9:{s:11:"admin_label";s:12:"Useful Links";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}}}s:36:"system_menu_block:mt-footer-menu-two";a:9:{s:11:"admin_label";s:10:"Questions?";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:30:"system.menu.mt-footer-menu-two";}}}s:30:"system_menu_block:mt-mega-menu";a:9:{s:11:"admin_label";s:9:"Mega Menu";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"system.menu.mt-mega-menu";}}}s:35:"system_menu_block:mt-subfooter-menu";a:9:{s:11:"admin_label";s:9:"Subfooter";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:29:"system.menu.mt-subfooter-menu";}}}s:23:"system_menu_block:tools";a:9:{s:11:"admin_label";s:5:"Tools";s:8:"category";r:1004;s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_menu_block";s:7:"deriver";s:47:"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock";s:5:"forms";a:1:{s:13:"settings_tray";s:43:"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm";}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMenuBlock";s:8:"provider";s:6:"system";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:17:"system.menu.tools";}}}s:17:"system_main_block";a:7:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Main page content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:6:"System";s:19:"context_definitions";a:0:{}s:2:"id";s:17:"system_main_block";s:5:"forms";a:1:{s:13:"settings_tray";b:0;}s:5:"class";s:42:"Drupal\\system\\Plugin\\Block\\SystemMainBlock";s:8:"provider";s:6:"system";}s:21:"system_messages_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:6:"System";s:19:"context_definitions";a:0:{}s:2:"id";s:21:"system_messages_block";s:5:"class";s:46:"Drupal\\system\\Plugin\\Block\\SystemMessagesBlock";s:8:"provider";s:6:"system";}s:23:"system_powered_by_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Powered by Drupal";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:6:"System";s:19:"context_definitions";a:0:{}s:2:"id";s:23:"system_powered_by_block";s:5:"class";s:47:"Drupal\\system\\Plugin\\Block\\SystemPoweredByBlock";s:8:"provider";s:6:"system";}s:16:"user_login_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"User login";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:16:"user_login_block";s:5:"class";s:39:"Drupal\\user\\Plugin\\Block\\UserLoginBlock";s:8:"provider";s:4:"user";}s:30:"webform_submission_limit_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Webform submission limits";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:30:"webform_submission_limit_block";s:5:"class";s:55:"Drupal\\webform\\Plugin\\Block\\WebformSubmissionLimitBlock";s:8:"provider";s:7:"webform";}s:13:"webform_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:13:"webform_block";s:5:"class";s:40:"Drupal\\webform\\Plugin\\Block\\WebformBlock";s:8:"provider";s:7:"webform";}s:35:"views_block:comments_recent-block_1";a:8:{s:8:"category";s:13:"Lists (Views)";s:11:"admin_label";s:15:"Recent comments";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:26:"views.view.comments_recent";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:34:"views_block:content_recent-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:14:"Recent content";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:25:"views.view.content_recent";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:29:"views_block:mt_albums-block_2";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:18:"Albums - 4 columns";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_albums";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:38:"views_block:mt_albums_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:17:"Albums (Carousel)";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_albums_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:42:"views_block:mt_albums_grid_style_2-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:33:"Albums - 4 columns (grid style 2)";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:33:"views.view.mt_albums_grid_style_2";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:40:"views_block:mt_articles_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:28:"Featured Articles (Carousel)";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_articles_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:36:"views_block:mt_articles_grid-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:25:"Articles - Grid 3 Columns";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_articles_grid";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:36:"views_block:mt_articles_list-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:13:"Articles list";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_articles_list";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:38:"views_block:mt_articles_list_2-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:17:"Latest blog posts";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_articles_list_2";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:43:"views_block:mt_collections_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:27:"Merchandise Groups Carousel";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_collections_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:42:"views_block:mt_collections_masonry-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:26:"Merchandise Groups Masonry";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:33:"views.view.mt_collections_masonry";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:29:"views_block:mt_latest-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:8:"Articles";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:29:"views_block:mt_latest-block_3";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:14:"Accommodations";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:29:"views_block:mt_latest-block_4";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:11:"Merchandise";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:46:"views_block:mt_other_speakers_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:25:"Other Speakers - Carousel";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_other_speakers_carousel";}}s:19:"context_definitions";a:1:{s:3:"nid";O:44:"Drupal\\Core\\Plugin\\Context\\ContextDefinition":10:{s:11:"\0*\0dataType";s:7:"integer";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@group: @title";s:12:"\0*\0arguments";a:2:{s:6:"@group";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"@title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:35:"views_block:mt_popular_tags-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:12:"Popular tags";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_popular_tags";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:37:"views_block:mt_pricing_tables-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:26:"Pricing Tables - 3 Columns";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_pricing_tables";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:37:"views_block:mt_pricing_tables-block_2";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:26:"Pricing Tables - 2 Columns";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_pricing_tables";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:37:"views_block:mt_pricing_tables-block_3";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:26:"Pricing Tables - 4 Columns";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_pricing_tables";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:31:"views_block:mt_products-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:22:"Merchandise Grid 3 Col";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:40:"views_block:mt_products_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:31:"Featured Merchandise (Carousel)";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_products_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:36:"views_block:mt_products_list-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:16:"Merchandise list";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_products_list";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:39:"views_block:mt_products_masonry-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:19:"Merchandise Masonry";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:30:"views.view.mt_products_masonry";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:38:"views_block:mt_recent_comments-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:15:"Recent Comments";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_recent_comments";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:37:"views_block:mt_related_events-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:14:"Related Events";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_related_events";}}s:19:"context_definitions";a:1:{s:30:"field_mt_evn_speaker_target_id";O:44:"Drupal\\Core\\Plugin\\Context\\ContextDefinition":10:{s:11:"\0*\0dataType";s:7:"integer";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@group: @title";s:12:"\0*\0arguments";a:2:{s:6:"@group";r:1414;s:6:"@title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:7:"Speaker";s:5:"@name";s:20:"field_mt_evn_speaker";}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:45:"views_block:mt_related_nodes_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:24:"Related Nodes (Carousel)";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:36:"views.view.mt_related_nodes_carousel";}}s:19:"context_definitions";a:1:{s:3:"nid";O:44:"Drupal\\Core\\Plugin\\Context\\ContextDefinition":10:{s:11:"\0*\0dataType";s:7:"integer";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@group: @title";s:12:"\0*\0arguments";a:2:{s:6:"@group";r:1414;s:6:"@title";r:1418;}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:44:"views_block:mt_related_presentations-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:13:"In this topic";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_related_presentations";}}s:19:"context_definitions";a:1:{s:3:"nid";O:44:"Drupal\\Core\\Plugin\\Context\\ContextDefinition":10:{s:11:"\0*\0dataType";s:7:"integer";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@group: @title";s:12:"\0*\0arguments";a:2:{s:6:"@group";r:1414;s:6:"@title";r:1418;}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:46:"views_block:mt_related_presentations_2-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:15:"In this session";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_related_presentations_2";}}s:19:"context_definitions";a:1:{s:3:"nid";O:44:"Drupal\\Core\\Plugin\\Context\\ContextDefinition":10:{s:11:"\0*\0dataType";s:7:"integer";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@group: @title";s:12:"\0*\0arguments";a:2:{s:6:"@group";r:1414;s:6:"@title";r:1418;}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:46:"views_block:mt_related_presentations_3-block_1";a:8:{s:8:"category";r:1562;s:11:"admin_label";s:31:"Related Presentations (Speaker)";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_related_presentations_3";}}s:19:"context_definitions";a:1:{s:30:"field_mt_prs_speaker_target_id";O:44:"Drupal\\Core\\Plugin\\Context\\ContextDefinition":10:{s:11:"\0*\0dataType";s:7:"integer";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@group: @title";s:12:"\0*\0arguments";a:2:{s:6:"@group";r:1414;s:6:"@title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@label (@name)";s:12:"\0*\0arguments";a:2:{s:6:"@label";s:8:"Speakers";s:5:"@name";s:20:"field_mt_prs_speaker";}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:36:"views_block:mt_services_list-block_1";a:8:{s:8:"category";r:1302;s:11:"admin_label";s:19:"Accommodations list";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_services_list";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:44:"views_block:mt_slideshow_boxed_width-block_1";a:8:{s:8:"category";r:1218;s:11:"admin_label";s:21:"Slideshow Boxed Width";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_boxed_width";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:44:"views_block:mt_slideshow_full_screen-block_1";a:8:{s:8:"category";r:1218;s:11:"admin_label";s:21:"Slideshow Full Screen";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_full_screen";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:43:"views_block:mt_slideshow_full_width-block_1";a:8:{s:8:"category";r:1218;s:11:"admin_label";s:20:"Slideshow Full Width";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_slideshow_full_width";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:40:"views_block:mt_speakers_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:19:"Speakers - Carousel";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_speakers_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:40:"views_block:mt_sponsors_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:19:"Sponsors (Carousel)";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_sponsors_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:38:"views_block:mt_sponsors_grid_2-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:8:"Sponsors";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_sponsors_grid_2";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:44:"views_block:mt_team_members_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:23:"Team Members - Carousel";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_team_members_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:40:"views_block:mt_team_members_list-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:17:"Team Members List";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_team_members_list";}}s:19:"context_definitions";a:1:{s:3:"nid";O:44:"Drupal\\Core\\Plugin\\Context\\ContextDefinition":10:{s:11:"\0*\0dataType";s:7:"integer";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"@group: @title";s:12:"\0*\0arguments";a:2:{s:6:"@group";r:1414;s:6:"@title";r:1418;}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:35:"views_block:mt_testimonials-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:27:"Testimonials Block - Latest";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:35:"views_block:mt_testimonials-block_2";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:18:"Testimonials Block";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:44:"views_block:mt_testimonials_carousel-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:21:"Testimonials Carousel";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_testimonials_carousel";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:40:"views_block:mt_testimonials_grid-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:25:"Testimonials Block - Grid";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_testimonials_grid";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:42:"views_block:mt_testimonials_grid_2-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:27:"Testimonials Block - Grid 2";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:33:"views.view.mt_testimonials_grid_2";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:43:"views_block:mt_testimonials_masonry-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:28:"Testimonials Block - Masonry";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_testimonials_masonry";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:29:"views_block:mt_videos-block_1";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:6:"Videos";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_videos";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:29:"views_block:who_s_new-block_1";a:8:{s:8:"category";s:4:"User";s:11:"admin_label";s:9:"Who''s new";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"views.view.who_s_new";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:43:"views_block:who_s_online-who_s_online_block";a:8:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Lists (Views)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"admin_label";s:12:"Who''s online";s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:23:"views.view.who_s_online";}}s:19:"context_definitions";a:0:{}s:2:"id";s:11:"views_block";s:7:"deriver";s:41:"Drupal\\views\\Plugin\\Derivative\\ViewsBlock";s:5:"class";s:36:"Drupal\\views\\Plugin\\Block\\ViewsBlock";s:8:"provider";s:5:"views";}s:46:"views_exposed_filter_block:mt_products-block_1";a:8:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Exposed form: @view-@display_id";s:12:"\0*\0arguments";a:2:{s:5:"@view";s:11:"mt_products";s:11:"@display_id";s:7:"block_1";}s:10:"\0*\0options";a:0:{}}s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}}s:8:"category";s:5:"Views";s:19:"context_definitions";a:0:{}s:2:"id";s:26:"views_exposed_filter_block";s:7:"deriver";s:54:"Drupal\\views\\Plugin\\Derivative\\ViewsExposedFilterBlock";s:5:"class";s:49:"Drupal\\views\\Plugin\\Block\\ViewsExposedFilterBlock";s:8:"provider";s:5:"views";}s:45:"views_exposed_filter_block:mt_products-page_1";a:8:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Exposed form: @view-@display_id";s:12:"\0*\0arguments";a:2:{s:5:"@view";s:11:"mt_products";s:11:"@display_id";s:6:"page_1";}s:10:"\0*\0options";a:0:{}}s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}}s:8:"category";s:5:"Views";s:19:"context_definitions";a:0:{}s:2:"id";s:26:"views_exposed_filter_block";s:7:"deriver";s:54:"Drupal\\views\\Plugin\\Derivative\\ViewsExposedFilterBlock";s:5:"class";s:49:"Drupal\\views\\Plugin\\Block\\ViewsExposedFilterBlock";s:8:"provider";s:5:"views";}s:45:"views_exposed_filter_block:mt_products-page_2";a:8:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Exposed form: @view-@display_id";s:12:"\0*\0arguments";a:2:{s:5:"@view";s:11:"mt_products";s:11:"@display_id";s:6:"page_2";}s:10:"\0*\0options";a:0:{}}s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}}s:8:"category";s:5:"Views";s:19:"context_definitions";a:0:{}s:2:"id";s:26:"views_exposed_filter_block";s:7:"deriver";s:54:"Drupal\\views\\Plugin\\Derivative\\ViewsExposedFilterBlock";s:5:"class";s:49:"Drupal\\views\\Plugin\\Block\\ViewsExposedFilterBlock";s:8:"provider";s:5:"views";}s:45:"views_exposed_filter_block:mt_products-page_3";a:8:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Exposed form: @view-@display_id";s:12:"\0*\0arguments";a:2:{s:5:"@view";s:11:"mt_products";s:11:"@display_id";s:6:"page_3";}s:10:"\0*\0options";a:0:{}}s:19:"config_dependencies";a:1:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}}s:8:"category";s:5:"Views";s:19:"context_definitions";a:0:{}s:2:"id";s:26:"views_exposed_filter_block";s:7:"deriver";s:54:"Drupal\\views\\Plugin\\Derivative\\ViewsExposedFilterBlock";s:5:"class";s:49:"Drupal\\views\\Plugin\\Block\\ViewsExposedFilterBlock";s:8:"provider";s:5:"views";}s:16:"page_title_block";a:7:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Page title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:4:"core";s:19:"context_definitions";a:0:{}s:2:"id";s:16:"page_title_block";s:5:"forms";a:1:{s:13:"settings_tray";b:0;}s:5:"class";s:45:"Drupal\\Core\\Block\\Plugin\\Block\\PageTitleBlock";s:8:"provider";s:4:"core";}s:6:"broken";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Broken/Missing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"context_definitions";a:0:{}s:2:"id";s:6:"broken";s:5:"class";s:37:"Drupal\\Core\\Block\\Plugin\\Block\\Broken";s:8:"provider";s:4:"core";}s:17:"local_tasks_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tabs";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:4:"core";s:19:"context_definitions";a:0:{}s:2:"id";s:17:"local_tasks_block";s:5:"class";s:45:"Drupal\\Core\\Menu\\Plugin\\Block\\LocalTasksBlock";s:8:"provider";s:4:"core";}s:19:"local_actions_block";a:6:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Primary admin actions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"category";s:4:"core";s:19:"context_definitions";a:0:{}s:2:"id";s:19:"local_actions_block";s:5:"class";s:47:"Drupal\\Core\\Menu\\Plugin\\Block\\LocalActionsBlock";s:8:"provider";s:4:"core";}}', -1, '1681649762.355', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('breakpoints', 'a:17:{s:14:"toolbar.narrow";a:8:{s:5:"label";s:6:"narrow";s:10:"mediaQuery";s:35:"only screen and (min-width: 16.5em)";s:6:"weight";i:0;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"toolbar";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:14:"toolbar.narrow";s:8:"provider";s:7:"toolbar";}s:16:"toolbar.standard";a:8:{s:5:"label";s:8:"standard";s:10:"mediaQuery";s:37:"only screen and (min-width: 38.125em)";s:6:"weight";i:1;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"toolbar";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:16:"toolbar.standard";s:8:"provider";s:7:"toolbar";}s:12:"toolbar.wide";a:8:{s:5:"label";s:4:"wide";s:10:"mediaQuery";s:33:"only screen and (min-width: 61em)";s:6:"weight";i:2;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"toolbar";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:12:"toolbar.wide";s:8:"provider";s:7:"toolbar";}s:10:"olivero.sm";a:8:{s:5:"label";s:5:"Small";s:10:"mediaQuery";s:26:"all and (min-width: 500px)";s:6:"weight";i:0;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:10:"olivero.sm";s:8:"provider";s:7:"olivero";}s:10:"olivero.md";a:8:{s:5:"label";s:6:"Medium";s:10:"mediaQuery";s:26:"all and (min-width: 700px)";s:6:"weight";i:1;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:10:"olivero.md";s:8:"provider";s:7:"olivero";}s:10:"olivero.lg";a:8:{s:5:"label";s:5:"Large";s:10:"mediaQuery";s:27:"all and (min-width: 1000px)";s:6:"weight";i:2;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:10:"olivero.lg";s:8:"provider";s:7:"olivero";}s:10:"olivero.xl";a:8:{s:5:"label";s:7:"X-Large";s:10:"mediaQuery";s:27:"all and (min-width: 1300px)";s:6:"weight";i:3;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:10:"olivero.xl";s:8:"provider";s:7:"olivero";}s:14:"olivero.nav-md";a:8:{s:5:"label";s:10:"Nav Medium";s:10:"mediaQuery";s:26:"all and (min-width: 500px)";s:6:"weight";i:4;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:14:"olivero.nav-md";s:8:"provider";s:7:"olivero";}s:11:"olivero.nav";a:8:{s:5:"label";s:3:"Nav";s:10:"mediaQuery";s:27:"all and (min-width: 1200px)";s:6:"weight";i:5;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:11:"olivero.nav";s:8:"provider";s:7:"olivero";}s:15:"olivero.grid-md";a:8:{s:5:"label";s:11:"Grid Medium";s:10:"mediaQuery";s:26:"all and (min-width: 700px)";s:6:"weight";i:6;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:15:"olivero.grid-md";s:8:"provider";s:7:"olivero";}s:16:"olivero.grid-max";a:8:{s:5:"label";s:8:"Grid Max";s:10:"mediaQuery";s:27:"all and (min-width: 1440px)";s:6:"weight";i:7;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"olivero";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:16:"olivero.grid-max";s:8:"provider";s:7:"olivero";}s:12:"seven.mobile";a:8:{s:5:"label";s:6:"mobile";s:10:"mediaQuery";s:16:"(min-width: 0em)";s:6:"weight";i:0;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:5:"seven";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:12:"seven.mobile";s:8:"provider";s:5:"seven";}s:10:"seven.wide";a:8:{s:5:"label";s:4:"wide";s:10:"mediaQuery";s:28:"screen and (min-width: 40em)";s:6:"weight";i:1;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:5:"seven";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:10:"seven.wide";s:8:"provider";s:5:"seven";}s:21:"conferenceplus.mobile";a:8:{s:5:"label";s:6:"mobile";s:10:"mediaQuery";s:0:"";s:6:"weight";i:0;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:14:"conferenceplus";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:21:"conferenceplus.mobile";s:8:"provider";s:14:"conferenceplus";}s:21:"conferenceplus.tablet";a:8:{s:5:"label";s:6:"tablet";s:10:"mediaQuery";s:49:"all and (min-width: 768px) and (max-width: 991px)";s:6:"weight";i:1;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:14:"conferenceplus";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:21:"conferenceplus.tablet";s:8:"provider";s:14:"conferenceplus";}s:22:"conferenceplus.desktop";a:8:{s:5:"label";s:7:"desktop";s:10:"mediaQuery";s:50:"all and (min-width: 992px) and (max-width: 1199px)";s:6:"weight";i:2;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:14:"conferenceplus";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:22:"conferenceplus.desktop";s:8:"provider";s:14:"conferenceplus";}s:19:"conferenceplus.wide";a:8:{s:5:"label";s:4:"wide";s:10:"mediaQuery";s:27:"all and (min-width: 1200px)";s:6:"weight";i:3;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:14:"conferenceplus";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:19:"conferenceplus.wide";s:8:"provider";s:14:"conferenceplus";}}', -1, '1681652749.367', 1, 'breakpoints', '5'),
('breakpoints:toolbar', 'a:3:{s:14:"toolbar.narrow";a:8:{s:5:"label";s:6:"narrow";s:10:"mediaQuery";s:35:"only screen and (min-width: 16.5em)";s:6:"weight";i:0;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"toolbar";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:14:"toolbar.narrow";s:8:"provider";s:7:"toolbar";}s:16:"toolbar.standard";a:8:{s:5:"label";s:8:"standard";s:10:"mediaQuery";s:37:"only screen and (min-width: 38.125em)";s:6:"weight";i:1;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"toolbar";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:16:"toolbar.standard";s:8:"provider";s:7:"toolbar";}s:12:"toolbar.wide";a:8:{s:5:"label";s:4:"wide";s:10:"mediaQuery";s:33:"only screen and (min-width: 61em)";s:6:"weight";i:2;s:11:"multipliers";a:1:{i:0;s:2:"1x";}s:5:"group";s:7:"toolbar";s:5:"class";s:28:"Drupal\\breakpoint\\Breakpoint";s:2:"id";s:12:"toolbar.wide";s:8:"provider";s:7:"toolbar";}}', -1, '1681652749.368', 1, 'breakpoints', '5'),
('ckeditor_plugins', 'a:7:{s:8:"language";a:4:{s:2:"id";s:8:"language";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\Language";s:8:"provider";s:8:"ckeditor";}s:11:"drupalimage";a:5:{s:2:"id";s:11:"drupalimage";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Image";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"module";s:8:"ckeditor";s:5:"class";s:49:"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\DrupalImage";s:8:"provider";s:8:"ckeditor";}s:18:"drupalimagecaption";a:5:{s:2:"id";s:18:"drupalimagecaption";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Drupal image caption widget";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"module";s:8:"ckeditor";s:5:"class";s:56:"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\DrupalImageCaption";s:8:"provider";s:8:"ckeditor";}s:8:"internal";a:4:{s:2:"id";s:8:"internal";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"CKEditor core";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\Internal";s:8:"provider";s:8:"ckeditor";}s:11:"stylescombo";a:4:{s:2:"id";s:11:"stylescombo";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Styles dropdown";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\StylesCombo";s:8:"provider";s:8:"ckeditor";}s:10:"drupallink";a:5:{s:2:"id";s:10:"drupallink";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Drupal link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"module";s:8:"ckeditor";s:5:"class";s:48:"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\DrupalLink";s:8:"provider";s:8:"ckeditor";}s:17:"drupalfontawesome";a:5:{s:2:"id";s:17:"drupalfontawesome";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Drupal Font Awesome";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"module";s:11:"fontawesome";s:5:"class";s:58:"Drupal\\fontawesome\\Plugin\\CKEditorPlugin\\DrupalFontAwesome";s:8:"provider";s:11:"fontawesome";}}', -1, '1681653975.627', 1, '', '0'),
('comment.field_storage_definitions.installed', 'a:20:{s:3:"cid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Comment ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The comment ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"cid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"pid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Parent ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The parent comment ID if this is a reply to a comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"pid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:7:"comment";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:9:"entity_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The ID of the entity of which this comment is a reply.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:9:"entity_id";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"node";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:110;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:146;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"subject";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Subject";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;}s:12:"configurable";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"subject";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:64;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:184;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:64;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The user ID of the comment author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:9:"target_id";i:0;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:220;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment author''s name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"name";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:60;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:259;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:60;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The comment author''s email address.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:296;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:7:"varchar";s:6:"length";i:254;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"homepage";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Homepage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The comment author''s home page address.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"homepage";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:14:"field_item:uri";s:8:"settings";a:2:{s:10:"max_length";i:255;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:326;}s:7:"\0*\0type";s:3:"uri";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"hostname";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Hostname";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The comment author''s hostname.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"hostname";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:22:"default_value_callback";s:49:"Drupal\\comment\\Entity\\Comment::getDefaultHostname";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:359;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The time that the comment was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"created";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:394;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The time that the comment was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:423;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"status";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";r:454;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"A boolean indicating whether the comment is published.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"status";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";r:471;s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"thread";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Thread place";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:144:"The alphadecimal representation of the comment''s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"thread";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:519;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"entity_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The entity type to which this comment is attached.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:11:"entity_type";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:8:"required";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:552;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"comment_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment Type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:12:"comment_type";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"comment_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:586;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:10:"field_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Comment field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The field name through which this comment was added.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:10:"field_name";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:8:"required";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:621;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:655;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"comment_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:20:"comment.comment_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a7a54853-d273-4f1d-bd1e-6d318ec2a3ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:20:"comment.comment_body";s:13:"\0*\0field_name";s:12:"comment_body";s:14:"\0*\0entity_type";s:7:"comment";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.487', 1, '', '0'),
('condition_plugins', 'a:14:{s:9:"node_type";a:5:{s:19:"context_definitions";a:1:{s:4:"node";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:11:"entity:node";s:8:"\0*\0label";s:4:"Node";s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:9:"node_type";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Node Bundle (Deprecated)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:37:"Drupal\\node\\Plugin\\Condition\\NodeType";s:8:"provider";s:4:"node";}s:13:"current_theme";a:5:{s:19:"context_definitions";a:0:{}s:2:"id";s:13:"current_theme";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Current Theme";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:52:"Drupal\\system\\Plugin\\Condition\\CurrentThemeCondition";s:8:"provider";s:6:"system";}s:12:"request_path";a:5:{s:19:"context_definitions";a:0:{}s:2:"id";s:12:"request_path";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Request Path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\system\\Plugin\\Condition\\RequestPath";s:8:"provider";s:6:"system";}s:9:"user_role";a:5:{s:19:"context_definitions";a:1:{s:4:"user";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:11:"entity:user";s:8:"\0*\0label";s:4:"User";s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:9:"user_role";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"User Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:37:"Drupal\\user\\Plugin\\Condition\\UserRole";s:8:"provider";s:4:"user";}s:7:"webform";a:5:{s:19:"context_definitions";a:3:{s:7:"webform";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:14:"entity:webform";s:8:"\0*\0label";s:7:"Webform";s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}s:18:"webform_submission";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:25:"entity:webform_submission";s:8:"\0*\0label";s:18:"Webform submission";s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}s:4:"node";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:11:"entity:node";s:8:"\0*\0label";s:4:"Node";s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:0;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:7:"webform";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Webforms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:39:"Drupal\\webform\\Plugin\\Condition\\Webform";s:8:"provider";s:7:"webform";}s:27:"entity_bundle:block_content";a:6:{s:19:"context_definitions";a:1:{s:13:"block_content";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:20:"entity:block_content";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:13:"block_content";s:5:"label";s:17:"Custom block type";}s:21:"entity_bundle:comment";a:6:{s:19:"context_definitions";a:1:{s:7:"comment";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:14:"entity:comment";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:7:"comment";s:5:"label";s:12:"Comment type";}s:29:"entity_bundle:contact_message";a:6:{s:19:"context_definitions";a:1:{s:15:"contact_message";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:22:"entity:contact_message";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:7:"contact";s:5:"label";s:12:"Contact form";}s:18:"entity_bundle:node";a:6:{s:19:"context_definitions";a:1:{s:4:"node";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:11:"entity:node";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:4:"node";s:5:"label";s:12:"Content type";}s:22:"entity_bundle:shortcut";a:6:{s:19:"context_definitions";a:1:{s:8:"shortcut";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:15:"entity:shortcut";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:8:"shortcut";s:5:"label";s:12:"Shortcut set";}s:27:"entity_bundle:taxonomy_term";a:6:{s:19:"context_definitions";a:1:{s:13:"taxonomy_term";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:20:"entity:taxonomy_term";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:8:"taxonomy";s:5:"label";s:10:"Vocabulary";}s:32:"entity_bundle:webform_submission";a:6:{s:19:"context_definitions";a:1:{s:18:"webform_submission";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:25:"entity:webform_submission";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:7:"webform";s:5:"label";s:7:"Webform";}s:31:"entity_bundle:menu_link_content";a:6:{s:19:"context_definitions";a:1:{s:17:"menu_link_content";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:24:"entity:menu_link_content";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:17:"menu_link_content";s:5:"label";s:23:"Custom menu link bundle";}s:23:"entity_bundle:paragraph";a:6:{s:19:"context_definitions";a:1:{s:9:"paragraph";O:50:"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition":10:{s:11:"\0*\0dataType";s:16:"entity:paragraph";s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0description";N;s:13:"\0*\0isMultiple";b:0;s:13:"\0*\0isRequired";b:1;s:15:"\0*\0defaultValue";N;s:14:"\0*\0constraints";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:19:"\0*\0typedDataManager";N;}}s:2:"id";s:13:"entity_bundle";s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\Condition\\Deriver\\EntityBundle";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\Condition\\EntityBundle";s:8:"provider";s:10:"paragraphs";s:5:"label";s:14:"Paragraph type";}}', -1, '1681649767.291', 1, '', '0'),
('contact_message.field_storage_definitions.installed', 'a:9:{s:12:"contact_form";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Form ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The ID of the associated form.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:7:"contact";s:10:"field_name";s:12:"contact_form";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"contact_form";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The message UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:28;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The message language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:7:"contact";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:54;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The sender''s name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The name of the person that is sending the contact message.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"name";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:81;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"The sender''s email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The email of the person that is sending the contact message.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:106;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"subject";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Subject";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;}s:12:"configurable";b:1;}}s:8:"provider";s:7:"contact";s:10:"field_name";s:7:"subject";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:100;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:128;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:2:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:1:{s:4:"rows";i:12;}}s:12:"configurable";b:1;}s:4:"view";a:2:{s:7:"options";a:3:{s:4:"type";s:6:"string";s:6:"weight";i:0;s:5:"label";s:5:"above";}s:12:"configurable";b:1;}}s:8:"provider";s:7:"contact";s:10:"field_name";s:7:"message";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:156;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"copy";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Copy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Whether to send a copy of the message to the sender.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"copy";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:190;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"recipient";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Recipient ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The ID of the recipient user for personal contact messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:9:"recipient";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:220;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649884.891', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('contextual_links_plugins:en', 'a:16:{s:15:"block_configure";a:8:{s:10:"route_name";s:22:"entity.block.edit_form";s:5:"group";s:5:"block";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Configure block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:15:"block_configure";s:8:"provider";s:5:"block";}s:12:"block_remove";a:8:{s:10:"route_name";s:24:"entity.block.delete_form";s:5:"group";s:5:"block";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Remove block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:12:"block_remove";s:8:"provider";s:5:"block";}s:24:"block_content.block_edit";a:8:{s:10:"route_name";s:30:"entity.block_content.canonical";s:5:"group";s:13:"block_content";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:24:"block_content.block_edit";s:8:"provider";s:13:"block_content";}s:21:"entity.menu.edit_form";a:8:{s:10:"route_name";s:21:"entity.menu.edit_form";s:5:"group";s:4:"menu";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Edit menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:21:"entity.menu.edit_form";s:8:"provider";s:7:"menu_ui";}s:21:"entity.node.edit_form";a:8:{s:10:"route_name";s:21:"entity.node.edit_form";s:5:"group";s:4:"node";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:21:"entity.node.edit_form";s:8:"provider";s:4:"node";}s:23:"entity.node.delete_form";a:8:{s:10:"route_name";s:23:"entity.node.delete_form";s:5:"group";s:4:"node";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:10;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:23:"entity.node.delete_form";s:8:"provider";s:4:"node";}s:30:"entity.taxonomy_term.edit_form";a:8:{s:10:"route_name";s:30:"entity.taxonomy_term.edit_form";s:5:"group";s:13:"taxonomy_term";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:10;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:30:"entity.taxonomy_term.edit_form";s:8:"provider";s:8:"taxonomy";}s:32:"entity.taxonomy_term.delete_form";a:8:{s:10:"route_name";s:32:"entity.taxonomy_term.delete_form";s:5:"group";s:13:"taxonomy_term";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:20;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:32:"entity.taxonomy_term.delete_form";s:8:"provider";s:8:"taxonomy";}s:38:"entity.taxonomy_vocabulary.delete_form";a:8:{s:10:"route_name";s:38:"entity.taxonomy_vocabulary.delete_form";s:5:"group";s:19:"taxonomy_vocabulary";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:20;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:38:"entity.taxonomy_vocabulary.delete_form";s:8:"provider";s:8:"taxonomy";}s:28:"entity.user_role.delete_form";a:8:{s:10:"route_name";s:28:"entity.user_role.delete_form";s:5:"group";s:4:"role";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Delete role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:10;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:28:"entity.user_role.delete_form";s:8:"provider";s:4:"user";}s:21:"entity.view.edit_form";a:8:{s:10:"route_name";s:21:"entity.view.edit_form";s:5:"group";s:21:"entity.view.edit_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Edit view";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:21:"entity.view.edit_form";s:8:"provider";s:8:"views_ui";}s:24:"entity.view.preview_form";a:8:{s:10:"route_name";s:24:"entity.view.preview_form";s:5:"group";s:24:"entity.view.preview_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Preview view";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:24:"entity.view.preview_form";s:8:"provider";s:8:"views_ui";}s:24:"entity.webform.test_form";a:8:{s:10:"route_name";s:24:"entity.webform.test_form";s:5:"group";s:7:"webform";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Test";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:0;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:24:"entity.webform.test_form";s:8:"provider";s:7:"webform";}s:34:"entity.webform.results_submissions";a:8:{s:10:"route_name";s:34:"entity.webform.results_submissions";s:5:"group";s:7:"webform";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Results";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:10;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:34:"entity.webform.results_submissions";s:8:"provider";s:7:"webform";}s:24:"entity.webform.edit_form";a:8:{s:10:"route_name";s:24:"entity.webform.edit_form";s:5:"group";s:7:"webform";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Build";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:20;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:24:"entity.webform.edit_form";s:8:"provider";s:7:"webform";}s:23:"entity.webform.settings";a:8:{s:10:"route_name";s:23:"entity.webform.settings";s:5:"group";s:7:"webform";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:30;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:23:"entity.webform.settings";s:8:"provider";s:7:"webform";}}', -1, '1681652207.847', 1, 'contextual_links_plugins', '3'),
('contextual_links_plugins:en:block', 'a:2:{s:15:"block_configure";a:8:{s:10:"route_name";s:22:"entity.block.edit_form";s:5:"group";s:5:"block";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Configure block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:15:"block_configure";s:8:"provider";s:5:"block";}s:12:"block_remove";a:8:{s:10:"route_name";s:24:"entity.block.delete_form";s:5:"group";s:5:"block";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Remove block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:12:"block_remove";s:8:"provider";s:5:"block";}}', -1, '1681652207.848', 1, '', '0'),
('contextual_links_plugins:en:entity.view.edit_form', 'a:1:{s:21:"entity.view.edit_form";a:8:{s:10:"route_name";s:21:"entity.view.edit_form";s:5:"group";s:21:"entity.view.edit_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Edit view";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:21:"entity.view.edit_form";s:8:"provider";s:8:"views_ui";}}', -1, '1681652768.180', 1, '', '0'),
('contextual_links_plugins:en:menu', 'a:1:{s:21:"entity.menu.edit_form";a:8:{s:10:"route_name";s:21:"entity.menu.edit_form";s:5:"group";s:4:"menu";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Edit menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:21:"entity.menu.edit_form";s:8:"provider";s:7:"menu_ui";}}', -1, '1681652207.855', 1, '', '0'),
('contextual_links_plugins:en:node', 'a:2:{s:21:"entity.node.edit_form";a:8:{s:10:"route_name";s:21:"entity.node.edit_form";s:5:"group";s:4:"node";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";N;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:21:"entity.node.edit_form";s:8:"provider";s:4:"node";}s:23:"entity.node.delete_form";a:8:{s:10:"route_name";s:23:"entity.node.delete_form";s:5:"group";s:4:"node";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"options";a:0:{}s:6:"weight";i:10;s:5:"class";s:38:"Drupal\\Core\\Menu\\ContextualLinkDefault";s:2:"id";s:23:"entity.node.delete_form";s:8:"provider";s:4:"node";}}', -1, '1681652711.656', 1, '', '0'),
('editor_plugins', 'a:1:{s:8:"ckeditor";a:8:{s:2:"id";s:8:"ckeditor";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"CKEditor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:26:"supports_content_filtering";b:1;s:23:"supports_inline_editing";b:1;s:11:"is_xss_safe";b:0;s:23:"supported_element_types";a:1:{i:0;s:8:"textarea";}s:5:"class";s:38:"Drupal\\ckeditor\\Plugin\\Editor\\CKEditor";s:8:"provider";s:8:"ckeditor";}}', -1, '1681653974.944', 1, '', '0'),
('element_info', 'a:142:{s:16:"contextual_links";a:3:{s:2:"id";s:16:"contextual_links";s:5:"class";s:41:"Drupal\\contextual\\Element\\ContextualLinks";s:8:"provider";s:10:"contextual";}s:28:"contextual_links_placeholder";a:3:{s:2:"id";s:28:"contextual_links_placeholder";s:5:"class";s:52:"Drupal\\contextual\\Element\\ContextualLinksPlaceholder";s:8:"provider";s:10:"contextual";}s:26:"field_group_accordion_item";a:3:{s:2:"id";s:26:"field_group_accordion_item";s:5:"class";s:40:"Drupal\\field_group\\Element\\AccordionItem";s:8:"provider";s:11:"field_group";}s:15:"horizontal_tabs";a:3:{s:2:"id";s:15:"horizontal_tabs";s:5:"class";s:41:"Drupal\\field_group\\Element\\HorizontalTabs";s:8:"provider";s:11:"field_group";}s:21:"field_group_accordion";a:3:{s:2:"id";s:21:"field_group_accordion";s:5:"class";s:36:"Drupal\\field_group\\Element\\Accordion";s:8:"provider";s:11:"field_group";}s:24:"field_group_html_element";a:3:{s:2:"id";s:24:"field_group_html_element";s:5:"class";s:38:"Drupal\\field_group\\Element\\HtmlElement";s:8:"provider";s:11:"field_group";}s:14:"field_ui_table";a:3:{s:2:"id";s:14:"field_ui_table";s:5:"class";s:36:"Drupal\\field_ui\\Element\\FieldUiTable";s:8:"provider";s:8:"field_ui";}s:12:"managed_file";a:3:{s:2:"id";s:12:"managed_file";s:5:"class";s:31:"Drupal\\file\\Element\\ManagedFile";s:8:"provider";s:4:"file";}s:11:"text_format";a:3:{s:2:"id";s:11:"text_format";s:5:"class";s:32:"Drupal\\filter\\Element\\TextFormat";s:8:"provider";s:6:"filter";}s:14:"processed_text";a:3:{s:2:"id";s:14:"processed_text";s:5:"class";s:35:"Drupal\\filter\\Element\\ProcessedText";s:8:"provider";s:6:"filter";}s:18:"status_report_page";a:3:{s:2:"id";s:18:"status_report_page";s:5:"class";s:38:"Drupal\\system\\Element\\StatusReportPage";s:8:"provider";s:6:"system";}s:12:"toolbar_item";a:3:{s:2:"id";s:12:"toolbar_item";s:5:"class";s:34:"Drupal\\toolbar\\Element\\ToolbarItem";s:8:"provider";s:7:"toolbar";}s:7:"toolbar";a:3:{s:2:"id";s:7:"toolbar";s:5:"class";s:30:"Drupal\\toolbar\\Element\\Toolbar";s:8:"provider";s:7:"toolbar";}s:18:"video_embed_iframe";a:3:{s:2:"id";s:18:"video_embed_iframe";s:5:"class";s:49:"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame";s:8:"provider";s:17:"video_embed_field";}s:17:"webform_table_row";a:3:{s:2:"id";s:17:"webform_table_row";s:5:"class";s:38:"Drupal\\webform\\Element\\WebformTableRow";s:8:"provider";s:7:"webform";}s:18:"webform_table_sort";a:3:{s:2:"id";s:18:"webform_table_sort";s:5:"class";s:39:"Drupal\\webform\\Element\\WebformTableSort";s:8:"provider";s:7:"webform";}s:29:"webform_submission_navigation";a:3:{s:2:"id";s:29:"webform_submission_navigation";s:5:"class";s:50:"Drupal\\webform\\Element\\WebformSubmissionNavigation";s:8:"provider";s:7:"webform";}s:20:"webform_radios_other";a:3:{s:2:"id";s:20:"webform_radios_other";s:5:"class";s:41:"Drupal\\webform\\Element\\WebformRadiosOther";s:8:"provider";s:7:"webform";}s:30:"webform_submission_information";a:3:{s:2:"id";s:30:"webform_submission_information";s:5:"class";s:51:"Drupal\\webform\\Element\\WebformSubmissionInformation";s:8:"provider";s:7:"webform";}s:20:"webform_select_other";a:3:{s:2:"id";s:20:"webform_select_other";s:5:"class";s:41:"Drupal\\webform\\Element\\WebformSelectOther";s:8:"provider";s:7:"webform";}s:24:"webform_image_resolution";a:3:{s:2:"id";s:24:"webform_image_resolution";s:5:"class";s:45:"Drupal\\webform\\Element\\WebformImageResolution";s:8:"provider";s:7:"webform";}s:17:"webform_signature";a:3:{s:2:"id";s:17:"webform_signature";s:5:"class";s:39:"Drupal\\webform\\Element\\WebformSignature";s:8:"provider";s:7:"webform";}s:26:"webform_element_attributes";a:3:{s:2:"id";s:26:"webform_element_attributes";s:5:"class";s:47:"Drupal\\webform\\Element\\WebformElementAttributes";s:8:"provider";s:7:"webform";}s:15:"webform_options";a:3:{s:2:"id";s:15:"webform_options";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformOptions";s:8:"provider";s:7:"webform";}s:12:"webform_time";a:3:{s:2:"id";s:12:"webform_time";s:5:"class";s:34:"Drupal\\webform\\Element\\WebformTime";s:8:"provider";s:7:"webform";}s:14:"webform_markup";a:3:{s:2:"id";s:14:"webform_markup";s:5:"class";s:36:"Drupal\\webform\\Element\\WebformMarkup";s:8:"provider";s:7:"webform";}s:25:"webform_element_composite";a:3:{s:2:"id";s:25:"webform_element_composite";s:5:"class";s:46:"Drupal\\webform\\Element\\WebformElementComposite";s:8:"provider";s:7:"webform";}s:23:"webform_location_places";a:3:{s:2:"id";s:23:"webform_location_places";s:5:"class";s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";s:8:"provider";s:7:"webform";}s:21:"webform_computed_twig";a:3:{s:2:"id";s:21:"webform_computed_twig";s:5:"class";s:42:"Drupal\\webform\\Element\\WebformComputedTwig";s:8:"provider";s:7:"webform";}s:18:"webform_audio_file";a:3:{s:2:"id";s:18:"webform_audio_file";s:5:"class";s:39:"Drupal\\webform\\Element\\WebformAudioFile";s:8:"provider";s:7:"webform";}s:19:"webform_term_select";a:3:{s:2:"id";s:19:"webform_term_select";s:5:"class";s:40:"Drupal\\webform\\Element\\WebformTermSelect";s:8:"provider";s:7:"webform";}s:25:"webform_entity_checkboxes";a:3:{s:2:"id";s:25:"webform_entity_checkboxes";s:5:"class";s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";s:8:"provider";s:7:"webform";}s:14:"webform_rating";a:3:{s:2:"id";s:14:"webform_rating";s:5:"class";s:36:"Drupal\\webform\\Element\\WebformRating";s:8:"provider";s:7:"webform";}s:14:"webform_likert";a:3:{s:2:"id";s:14:"webform_likert";s:5:"class";s:36:"Drupal\\webform\\Element\\WebformLikert";s:8:"provider";s:7:"webform";}s:18:"webform_image_file";a:3:{s:2:"id";s:18:"webform_image_file";s:5:"class";s:39:"Drupal\\webform\\Element\\WebformImageFile";s:8:"provider";s:7:"webform";}s:12:"webform_more";a:3:{s:2:"id";s:12:"webform_more";s:5:"class";s:34:"Drupal\\webform\\Element\\WebformMore";s:8:"provider";s:7:"webform";}s:24:"webform_terms_of_service";a:3:{s:2:"id";s:24:"webform_terms_of_service";s:5:"class";s:44:"Drupal\\webform\\Element\\WebformTermsOfService";s:8:"provider";s:7:"webform";}s:24:"webform_custom_composite";a:3:{s:2:"id";s:24:"webform_custom_composite";s:5:"class";s:45:"Drupal\\webform\\Element\\WebformCustomComposite";s:8:"provider";s:7:"webform";}s:24:"webform_tableselect_sort";a:3:{s:2:"id";s:24:"webform_tableselect_sort";s:5:"class";s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";s:8:"provider";s:7:"webform";}s:15:"webform_contact";a:3:{s:2:"id";s:15:"webform_contact";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformContact";s:8:"provider";s:7:"webform";}s:12:"webform_help";a:3:{s:2:"id";s:12:"webform_help";s:5:"class";s:34:"Drupal\\webform\\Element\\WebformHelp";s:8:"provider";s:7:"webform";}s:13:"webform_roles";a:3:{s:2:"id";s:13:"webform_roles";s:5:"class";s:35:"Drupal\\webform\\Element\\WebformRoles";s:8:"provider";s:7:"webform";}s:21:"webform_document_file";a:3:{s:2:"id";s:21:"webform_document_file";s:5:"class";s:42:"Drupal\\webform\\Element\\WebformDocumentFile";s:8:"provider";s:7:"webform";}s:12:"webform_name";a:3:{s:2:"id";s:12:"webform_name";s:5:"class";s:34:"Drupal\\webform\\Element\\WebformName";s:8:"provider";s:7:"webform";}s:22:"webform_checkbox_value";a:3:{s:2:"id";s:22:"webform_checkbox_value";s:5:"class";s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";s:8:"provider";s:7:"webform";}s:19:"webform_permissions";a:3:{s:2:"id";s:19:"webform_permissions";s:5:"class";s:41:"Drupal\\webform\\Element\\WebformPermissions";s:8:"provider";s:7:"webform";}s:13:"webform_scale";a:3:{s:2:"id";s:13:"webform_scale";s:5:"class";s:35:"Drupal\\webform\\Element\\WebformScale";s:8:"provider";s:7:"webform";}s:15:"webform_address";a:3:{s:2:"id";s:15:"webform_address";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformAddress";s:8:"provider";s:7:"webform";}s:23:"webform_element_options";a:3:{s:2:"id";s:23:"webform_element_options";s:5:"class";s:44:"Drupal\\webform\\Element\\WebformElementOptions";s:8:"provider";s:7:"webform";}s:22:"webform_element_states";a:3:{s:2:"id";s:22:"webform_element_states";s:5:"class";s:43:"Drupal\\webform\\Element\\WebformElementStates";s:8:"provider";s:7:"webform";}s:24:"webform_element_multiple";a:3:{s:2:"id";s:24:"webform_element_multiple";s:5:"class";s:45:"Drupal\\webform\\Element\\WebformElementMultiple";s:8:"provider";s:7:"webform";}s:19:"webform_html_editor";a:3:{s:2:"id";s:19:"webform_html_editor";s:5:"class";s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";s:8:"provider";s:7:"webform";}s:18:"webform_codemirror";a:3:{s:2:"id";s:18:"webform_codemirror";s:5:"class";s:40:"Drupal\\webform\\Element\\WebformCodeMirror";s:8:"provider";s:7:"webform";}s:15:"webform_message";a:3:{s:2:"id";s:15:"webform_message";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformMessage";s:8:"provider";s:7:"webform";}s:32:"webform_submission_views_replace";a:3:{s:2:"id";s:32:"webform_submission_views_replace";s:5:"class";s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";s:8:"provider";s:7:"webform";}s:22:"webform_computed_token";a:3:{s:2:"id";s:22:"webform_computed_token";s:5:"class";s:43:"Drupal\\webform\\Element\\WebformComputedToken";s:8:"provider";s:7:"webform";}s:23:"webform_horizontal_rule";a:3:{s:2:"id";s:23:"webform_horizontal_rule";s:5:"class";s:44:"Drupal\\webform\\Element\\WebformHorizontalRule";s:8:"provider";s:7:"webform";}s:25:"webform_excluded_elements";a:3:{s:2:"id";s:25:"webform_excluded_elements";s:5:"class";s:46:"Drupal\\webform\\Element\\WebformExcludedElements";s:8:"provider";s:7:"webform";}s:7:"webform";a:3:{s:2:"id";s:7:"webform";s:5:"class";s:30:"Drupal\\webform\\Element\\Webform";s:8:"provider";s:7:"webform";}s:16:"webform_multiple";a:3:{s:2:"id";s:16:"webform_multiple";s:5:"class";s:38:"Drupal\\webform\\Element\\WebformMultiple";s:8:"provider";s:7:"webform";}s:20:"webform_autocomplete";a:3:{s:2:"id";s:20:"webform_autocomplete";s:5:"class";s:42:"Drupal\\webform\\Element\\WebformAutocomplete";s:8:"provider";s:7:"webform";}s:24:"webform_submission_views";a:3:{s:2:"id";s:24:"webform_submission_views";s:5:"class";s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";s:8:"provider";s:7:"webform";}s:15:"webform_mapping";a:3:{s:2:"id";s:15:"webform_mapping";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformMapping";s:8:"provider";s:7:"webform";}s:14:"webform_height";a:3:{s:2:"id";s:14:"webform_height";s:5:"class";s:36:"Drupal\\webform\\Element\\WebformHeight";s:8:"provider";s:7:"webform";}s:15:"webform_section";a:3:{s:2:"id";s:15:"webform_section";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformSection";s:8:"provider";s:7:"webform";}s:24:"webform_checkboxes_other";a:3:{s:2:"id";s:24:"webform_checkboxes_other";s:5:"class";s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";s:8:"provider";s:7:"webform";}s:21:"webform_entity_radios";a:3:{s:2:"id";s:21:"webform_entity_radios";s:5:"class";s:42:"Drupal\\webform\\Element\\WebformEntityRadios";s:8:"provider";s:7:"webform";}s:15:"webform_variant";a:3:{s:2:"id";s:15:"webform_variant";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformVariant";s:8:"provider";s:7:"webform";}s:13:"webform_table";a:3:{s:2:"id";s:13:"webform_table";s:5:"class";s:35:"Drupal\\webform\\Element\\WebformTable";s:8:"provider";s:7:"webform";}s:13:"webform_users";a:3:{s:2:"id";s:13:"webform_users";s:5:"class";s:35:"Drupal\\webform\\Element\\WebformUsers";s:8:"provider";s:7:"webform";}s:12:"webform_link";a:3:{s:2:"id";s:12:"webform_link";s:5:"class";s:34:"Drupal\\webform\\Element\\WebformLink";s:8:"provider";s:7:"webform";}s:18:"webform_video_file";a:3:{s:2:"id";s:18:"webform_video_file";s:5:"class";s:39:"Drupal\\webform\\Element\\WebformVideoFile";s:8:"provider";s:7:"webform";}s:15:"webform_actions";a:3:{s:2:"id";s:15:"webform_actions";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformActions";s:8:"provider";s:7:"webform";}s:15:"webform_flexbox";a:3:{s:2:"id";s:15:"webform_flexbox";s:5:"class";s:37:"Drupal\\webform\\Element\\WebformFlexbox";s:8:"provider";s:7:"webform";}s:22:"webform_email_multiple";a:3:{s:2:"id";s:22:"webform_email_multiple";s:5:"class";s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";s:8:"provider";s:7:"webform";}s:17:"webform_telephone";a:3:{s:2:"id";s:17:"webform_telephone";s:5:"class";s:39:"Drupal\\webform\\Element\\WebformTelephone";s:8:"provider";s:7:"webform";}s:19:"webform_wizard_page";a:3:{s:2:"id";s:19:"webform_wizard_page";s:5:"class";s:40:"Drupal\\webform\\Element\\WebformWizardPage";s:8:"provider";s:7:"webform";}s:21:"webform_entity_select";a:3:{s:2:"id";s:21:"webform_entity_select";s:5:"class";s:42:"Drupal\\webform\\Element\\WebformEntitySelect";s:8:"provider";s:7:"webform";}s:21:"webform_email_confirm";a:3:{s:2:"id";s:21:"webform_email_confirm";s:5:"class";s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";s:8:"provider";s:7:"webform";}s:23:"webform_term_checkboxes";a:3:{s:2:"id";s:23:"webform_term_checkboxes";s:5:"class";s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";s:8:"provider";s:7:"webform";}s:24:"webform_excluded_columns";a:3:{s:2:"id";s:24:"webform_excluded_columns";s:5:"class";s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";s:8:"provider";s:7:"webform";}s:12:"webform_same";a:3:{s:2:"id";s:12:"webform_same";s:5:"class";s:34:"Drupal\\webform\\Element\\WebformSame";s:8:"provider";s:7:"webform";}s:4:"view";a:3:{s:2:"id";s:4:"view";s:5:"class";s:25:"Drupal\\views\\Element\\View";s:8:"provider";s:5:"views";}s:20:"paragraph_operations";a:3:{s:2:"id";s:20:"paragraph_operations";s:5:"class";s:45:"Drupal\\paragraphs\\Element\\ParagraphOperations";s:8:"provider";s:10:"paragraphs";}s:18:"paragraphs_actions";a:3:{s:2:"id";s:18:"paragraphs_actions";s:5:"class";s:43:"Drupal\\paragraphs\\Element\\ParagraphsActions";s:8:"provider";s:10:"paragraphs";}s:19:"entity_autocomplete";a:3:{s:2:"id";s:19:"entity_autocomplete";s:5:"class";s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";s:8:"provider";s:4:"core";}s:15:"break_lock_link";a:3:{s:2:"id";s:15:"break_lock_link";s:5:"class";s:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink";s:8:"provider";s:4:"core";}s:4:"html";a:3:{s:2:"id";s:4:"html";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\Html";s:8:"provider";s:4:"core";}s:9:"more_link";a:3:{s:2:"id";s:9:"more_link";s:5:"class";s:35:"Drupal\\Core\\Render\\Element\\MoreLink";s:8:"provider";s:4:"core";}s:5:"radio";a:3:{s:2:"id";s:5:"radio";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Radio";s:8:"provider";s:4:"core";}s:6:"button";a:3:{s:2:"id";s:6:"button";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Button";s:8:"provider";s:4:"core";}s:6:"select";a:3:{s:2:"id";s:6:"select";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Select";s:8:"provider";s:4:"core";}s:6:"radios";a:3:{s:2:"id";s:6:"radios";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Radios";s:8:"provider";s:4:"core";}s:6:"weight";a:3:{s:2:"id";s:6:"weight";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Weight";s:8:"provider";s:4:"core";}s:4:"link";a:3:{s:2:"id";s:4:"link";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\Link";s:8:"provider";s:4:"core";}s:5:"range";a:3:{s:2:"id";s:5:"range";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Range";s:8:"provider";s:4:"core";}s:15:"inline_template";a:3:{s:2:"id";s:15:"inline_template";s:5:"class";s:41:"Drupal\\Core\\Render\\Element\\InlineTemplate";s:8:"provider";s:4:"core";}s:8:"textarea";a:3:{s:2:"id";s:8:"textarea";s:5:"class";s:35:"Drupal\\Core\\Render\\Element\\Textarea";s:8:"provider";s:4:"core";}s:12:"image_button";a:3:{s:2:"id";s:12:"image_button";s:5:"class";s:38:"Drupal\\Core\\Render\\Element\\ImageButton";s:8:"provider";s:4:"core";}s:10:"page_title";a:3:{s:2:"id";s:10:"page_title";s:5:"class";s:36:"Drupal\\Core\\Render\\Element\\PageTitle";s:8:"provider";s:4:"core";}s:10:"dropbutton";a:3:{s:2:"id";s:10:"dropbutton";s:5:"class";s:37:"Drupal\\Core\\Render\\Element\\Dropbutton";s:8:"provider";s:4:"core";}s:5:"label";a:3:{s:2:"id";s:5:"label";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Label";s:8:"provider";s:4:"core";}s:9:"textfield";a:3:{s:2:"id";s:9:"textfield";s:5:"class";s:36:"Drupal\\Core\\Render\\Element\\Textfield";s:8:"provider";s:4:"core";}s:5:"color";a:3:{s:2:"id";s:5:"color";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Color";s:8:"provider";s:4:"core";}s:6:"submit";a:3:{s:2:"id";s:6:"submit";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Submit";s:8:"provider";s:4:"core";}s:5:"value";a:3:{s:2:"id";s:5:"value";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Value";s:8:"provider";s:4:"core";}s:13:"vertical_tabs";a:3:{s:2:"id";s:13:"vertical_tabs";s:5:"class";s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";s:8:"provider";s:4:"core";}s:5:"table";a:3:{s:2:"id";s:5:"table";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Table";s:8:"provider";s:4:"core";}s:15:"status_messages";a:3:{s:2:"id";s:15:"status_messages";s:5:"class";s:41:"Drupal\\Core\\Render\\Element\\StatusMessages";s:8:"provider";s:4:"core";}s:4:"file";a:3:{s:2:"id";s:4:"file";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\File";s:8:"provider";s:4:"core";}s:4:"form";a:3:{s:2:"id";s:4:"form";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\Form";s:8:"provider";s:4:"core";}s:3:"url";a:3:{s:2:"id";s:3:"url";s:5:"class";s:30:"Drupal\\Core\\Render\\Element\\Url";s:8:"provider";s:4:"core";}s:10:"fieldgroup";a:3:{s:2:"id";s:10:"fieldgroup";s:5:"class";s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";s:8:"provider";s:4:"core";}s:8:"password";a:3:{s:2:"id";s:8:"password";s:5:"class";s:35:"Drupal\\Core\\Render\\Element\\Password";s:8:"provider";s:4:"core";}s:6:"hidden";a:3:{s:2:"id";s:6:"hidden";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Hidden";s:8:"provider";s:4:"core";}s:5:"email";a:3:{s:2:"id";s:5:"email";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Email";s:8:"provider";s:4:"core";}s:10:"operations";a:3:{s:2:"id";s:10:"operations";s:5:"class";s:37:"Drupal\\Core\\Render\\Element\\Operations";s:8:"provider";s:4:"core";}s:16:"password_confirm";a:3:{s:2:"id";s:16:"password_confirm";s:5:"class";s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";s:8:"provider";s:4:"core";}s:8:"fieldset";a:3:{s:2:"id";s:8:"fieldset";s:5:"class";s:35:"Drupal\\Core\\Render\\Element\\Fieldset";s:8:"provider";s:4:"core";}s:8:"checkbox";a:3:{s:2:"id";s:8:"checkbox";s:5:"class";s:35:"Drupal\\Core\\Render\\Element\\Checkbox";s:8:"provider";s:4:"core";}s:4:"path";a:3:{s:2:"id";s:4:"path";s:5:"class";s:38:"Drupal\\Core\\Render\\Element\\PathElement";s:8:"provider";s:4:"core";}s:10:"checkboxes";a:3:{s:2:"id";s:10:"checkboxes";s:5:"class";s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";s:8:"provider";s:4:"core";}s:4:"page";a:3:{s:2:"id";s:4:"page";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\Page";s:8:"provider";s:4:"core";}s:9:"container";a:3:{s:2:"id";s:9:"container";s:5:"class";s:36:"Drupal\\Core\\Render\\Element\\Container";s:8:"provider";s:4:"core";}s:4:"ajax";a:3:{s:2:"id";s:4:"ajax";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\Ajax";s:8:"provider";s:4:"core";}s:4:"date";a:3:{s:2:"id";s:4:"date";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\Date";s:8:"provider";s:4:"core";}s:7:"details";a:3:{s:2:"id";s:7:"details";s:5:"class";s:34:"Drupal\\Core\\Render\\Element\\Details";s:8:"provider";s:4:"core";}s:5:"pager";a:3:{s:2:"id";s:5:"pager";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Pager";s:8:"provider";s:4:"core";}s:15:"language_select";a:3:{s:2:"id";s:15:"language_select";s:5:"class";s:41:"Drupal\\Core\\Render\\Element\\LanguageSelect";s:8:"provider";s:4:"core";}s:19:"system_compact_link";a:3:{s:2:"id";s:19:"system_compact_link";s:5:"class";s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";s:8:"provider";s:4:"core";}s:12:"machine_name";a:3:{s:2:"id";s:12:"machine_name";s:5:"class";s:38:"Drupal\\Core\\Render\\Element\\MachineName";s:8:"provider";s:4:"core";}s:6:"number";a:3:{s:2:"id";s:6:"number";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Number";s:8:"provider";s:4:"core";}s:4:"item";a:3:{s:2:"id";s:4:"item";s:5:"class";s:31:"Drupal\\Core\\Render\\Element\\Item";s:8:"provider";s:4:"core";}s:8:"html_tag";a:3:{s:2:"id";s:8:"html_tag";s:5:"class";s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";s:8:"provider";s:4:"core";}s:6:"search";a:3:{s:2:"id";s:6:"search";s:5:"class";s:33:"Drupal\\Core\\Render\\Element\\Search";s:8:"provider";s:4:"core";}s:3:"tel";a:3:{s:2:"id";s:3:"tel";s:5:"class";s:30:"Drupal\\Core\\Render\\Element\\Tel";s:8:"provider";s:4:"core";}s:11:"tableselect";a:3:{s:2:"id";s:11:"tableselect";s:5:"class";s:38:"Drupal\\Core\\Render\\Element\\Tableselect";s:8:"provider";s:4:"core";}s:5:"token";a:3:{s:2:"id";s:5:"token";s:5:"class";s:32:"Drupal\\Core\\Render\\Element\\Token";s:8:"provider";s:4:"core";}s:13:"status_report";a:3:{s:2:"id";s:13:"status_report";s:5:"class";s:39:"Drupal\\Core\\Render\\Element\\StatusReport";s:8:"provider";s:4:"core";}s:7:"actions";a:3:{s:2:"id";s:7:"actions";s:5:"class";s:34:"Drupal\\Core\\Render\\Element\\Actions";s:8:"provider";s:4:"core";}s:8:"datelist";a:3:{s:2:"id";s:8:"datelist";s:5:"class";s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";s:8:"provider";s:4:"core";}s:8:"datetime";a:3:{s:2:"id";s:8:"datetime";s:5:"class";s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";s:8:"provider";s:4:"core";}}', -1, '1681649761.362', 1, '', '0'),
('element_info_build:bartik', 'a:142:{s:16:"contextual_links";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\contextual\\Element\\ContextualLinks";i:1;s:14:"preRenderLinks";}}s:6:"#theme";s:17:"links__contextual";s:6:"#links";a:0:{}s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:16:"contextual-links";}}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:34:"contextual/drupal.contextual-links";}}s:5:"#type";s:16:"contextual_links";}s:28:"contextual_links_placeholder";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\contextual\\Element\\ContextualLinksPlaceholder";i:1;s:20:"preRenderPlaceholder";}}s:3:"#id";N;s:5:"#type";s:28:"contextual_links_placeholder";}s:26:"field_group_accordion_item";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:14:"preRenderGroup";}}s:5:"#open";b:0;s:15:"#theme_wrappers";a:1:{i:0;s:26:"field_group_accordion_item";}s:5:"#type";s:26:"field_group_accordion_item";}s:15:"horizontal_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:21:"processHorizontalTabs";}i:1;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"horizontal_tabs";}s:5:"#type";s:15:"horizontal_tabs";}s:21:"field_group_accordion";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:16:"processAccordion";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:21:"field_group_accordion";}s:5:"#type";s:21:"field_group_accordion";}s:24:"field_group_html_element";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:18:"processHtmlElement";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:24:"field_group_html_element";}s:5:"#type";s:24:"field_group_html_element";}s:14:"field_ui_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;O:36:"Drupal\\field_ui\\Element\\FieldUiTable":7:{s:11:"\0*\0pluginId";s:14:"field_ui_table";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:14:"field_ui_table";s:5:"class";s:36:"Drupal\\field_ui\\Element\\FieldUiTable";s:8:"provider";s:8:"field_ui";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:14:"tablePreRender";}i:1;a:2:{i:0;r:104;i:1;s:19:"preRenderRegionRows";}i:2;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:14:"field_ui_table";s:8:"#regions";a:1:{s:0:"";a:0:{}}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"field_ui_table";}s:12:"managed_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:20:"preRenderManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"managed_file";}s:11:"text_format";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\filter\\Element\\TextFormat";i:1;s:13:"processFormat";}}s:10:"#base_type";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:19:"text_format_wrapper";}s:5:"#type";s:11:"text_format";s:11:"#pre_render";a:1:{i:0;s:34:"element.editor:preRenderTextFormat";}}s:14:"processed_text";a:6:{s:5:"#text";s:0:"";s:7:"#format";N;s:21:"#filter_types_to_skip";a:0:{}s:9:"#langcode";s:0:"";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\filter\\Element\\ProcessedText";i:1;s:13:"preRenderText";}}s:5:"#type";s:14:"processed_text";}s:18:"status_report_page";a:3:{s:6:"#theme";s:18:"status_report_page";s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:17:"preRenderCounters";}i:1;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:20:"preRenderGeneralInfo";}i:2;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:21:"preRenderRequirements";}}s:5:"#type";s:18:"status_report_page";}s:12:"toolbar_item";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\toolbar\\Element\\ToolbarItem";i:1;s:20:"preRenderToolbarItem";}}s:3:"tab";a:3:{s:5:"#type";s:4:"link";s:6:"#title";s:0:"";s:4:"#url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:7:"<front>";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}}s:5:"#type";s:12:"toolbar_item";}s:7:"toolbar";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\toolbar\\Element\\Toolbar";i:1;s:16:"preRenderToolbar";}}s:6:"#theme";s:7:"toolbar";s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:15:"toolbar/toolbar";}}s:11:"#attributes";a:3:{s:2:"id";s:22:"toolbar-administration";s:4:"role";s:5:"group";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Site administration toolbar";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"#bar";a:2:{s:8:"#heading";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:3:{s:2:"id";s:11:"toolbar-bar";s:4:"role";s:10:"navigation";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:5:"#type";s:7:"toolbar";}s:18:"video_embed_iframe";a:8:{s:6:"#theme";s:18:"video_embed_iframe";s:9:"#provider";s:0:"";s:4:"#url";s:0:"";s:6:"#query";a:0:{}s:11:"#attributes";a:0:{}s:9:"#fragment";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:49:"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame";i:1;s:25:"preRenderInlineFrameEmbed";}}s:5:"#type";s:18:"video_embed_iframe";}s:17:"webform_table_row";a:4:{s:9:"#optional";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformTableRow";i:1;s:15:"processTableRow";}}s:11:"#pre_render";a:0:{}s:5:"#type";s:17:"webform_table_row";}s:18:"webform_table_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:25:"preRenderWebformTableSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:23:"processWebformTableSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:17:"table__table_sort";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_table_sort";}s:29:"webform_submission_navigation";a:3:{s:6:"#theme";s:29:"webform_submission_navigation";s:19:"#webform_submission";N;s:5:"#type";s:29:"webform_submission_navigation";}s:20:"webform_radios_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_radios_other";}s:30:"webform_submission_information";a:7:{s:6:"#theme";s:30:"webform_submission_information";s:19:"#webform_submission";N;s:14:"#source_entity";N;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:51:"Drupal\\webform\\Element\\WebformSubmissionInformation";i:1;s:37:"preRenderWebformSubmissionInformation";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:19:"#summary_attributes";a:0:{}s:5:"#type";s:30:"webform_submission_information";}s:20:"webform_select_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_select_other";}s:24:"webform_image_resolution";a:8:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:29:"processWebformImageResolution";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_image_resolution";}s:17:"webform_signature";a:8:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:23:"processWebformSignature";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:25:"preRenderWebformSignature";}}s:6:"#theme";s:24:"input__webform_signature";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_signature";}s:26:"webform_element_attributes";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:31:"processWebformElementAttributes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:33:"preRenderWebformElementAttributes";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:8:"#classes";s:0:"";s:15:"#value_callback";a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:13:"valueCallback";}s:5:"#type";s:26:"webform_element_attributes";}s:15:"webform_options";a:15:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:6:"#label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"option";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"#labels";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"#min_items";i:3;s:12:"#empty_items";i:1;s:15:"#add_more_items";i:1;s:24:"#options_value_maxlength";i:512;s:23:"#options_text_maxlength";i:512;s:20:"#options_description";b:0;s:30:"#options_description_maxlength";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:21:"processWebformOptions";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_options";}s:12:"webform_time";a:11:{s:6:"#input";b:1;s:6:"#theme";s:19:"input__webform_time";s:8:"#process";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:18:"processWebformTime";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:20:"preRenderWebformTime";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#timepicker";b:0;s:12:"#time_format";s:3:"H:i";s:5:"#size";i:12;s:10:"#maxlength";i:12;s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_time";}s:14:"webform_markup";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformMarkup";i:1;s:22:"preRenderWebformMarkup";}}s:5:"#type";s:14:"webform_markup";}s:25:"webform_element_composite";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:30:"processWebformElementComposite";}i:1;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_element_composite";}s:23:"webform_location_places";a:15:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:26:"webform_composite_location";s:4:"#map";b:0;s:12:"#geolocation";b:0;s:7:"#hidden";b:0;s:7:"#app_id";s:0:"";s:8:"#api_key";s:0:"";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_location_places";}s:21:"webform_computed_twig";a:11:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#whitespace";s:0:"";s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_computed_twig";}s:18:"webform_audio_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_audio_file";}s:19:"webform_term_select";a:16:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:1:"-";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:6:"#depth";N;s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_term_select";}s:25:"webform_entity_checkboxes";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_entity_checkboxes";}s:14:"webform_rating";a:13:{s:4:"#min";i:0;s:4:"#max";i:5;s:5:"#step";i:1;s:10:"#star_size";s:6:"medium";s:6:"#reset";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:20:"processWebformRating";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:22:"preRenderWebformRating";}}s:6:"#theme";s:21:"input__webform_rating";s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_rating";}s:14:"webform_likert";a:15:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:20:"processWebformLikert";}i:1;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:15:"#required_error";s:0:"";s:7:"#sticky";b:1;s:10:"#questions";a:0:{}s:30:"#questions_description_display";s:11:"description";s:8:"#answers";a:0:{}s:28:"#answers_description_display";s:11:"description";s:10:"#na_answer";b:0;s:15:"#na_answer_text";s:0:"";s:16:"#na_answer_value";s:0:"";s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_likert";}s:18:"webform_image_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_image_file";}s:12:"webform_more";a:5:{s:6:"#theme";s:20:"webform_element_more";s:5:"#more";s:0:"";s:11:"#more_title";s:0:"";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_more";}s:24:"webform_terms_of_service";a:12:{s:13:"#return_value";b:1;s:11:"#terms_type";s:5:"modal";s:12:"#terms_title";s:0:"";s:14:"#terms_content";s:0:"";s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_terms_of_service";}s:24:"webform_custom_composite";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_custom_composite";}s:24:"webform_tableselect_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:31:"preRenderWebformTableSelectSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:29:"processWebformTableSelectSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:23:"table__tableselect_sort";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_tableselect_sort";}s:15:"webform_contact";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_contact";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_contact";}s:12:"webform_help";a:5:{s:5:"#help";s:0:"";s:11:"#help_title";s:0:"";s:6:"#theme";s:20:"webform_element_help";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_help";}s:13:"webform_roles";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:20:"validateWebformRoles";}}s:18:"#include_anonymous";b:1;s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_roles";}s:21:"webform_document_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_document_file";}s:12:"webform_name";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_name";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_name";}s:22:"webform_checkbox_value";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:27:"processWebformCheckboxValue";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#states";a:0:{}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_checkbox_value";}s:19:"webform_permissions";a:12:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:26:"validateWebformPermissions";}}s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_permissions";}s:13:"webform_scale";a:13:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"processRadios";}}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:29:"preRenderCompositeFormElement";}}s:4:"#min";i:1;s:4:"#max";i:5;s:9:"#min_text";s:0:"";s:9:"#max_text";s:0:"";s:11:"#scale_size";s:6:"medium";s:11:"#scale_type";s:6:"circle";s:11:"#scale_text";s:5:"below";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_scale";}s:15:"webform_address";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_address";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_address";}s:23:"webform_element_options";a:9:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:7:"#likert";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:28:"processWebformElementOptions";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:13:"#custom__type";s:15:"webform_options";s:20:"#options_description";b:0;s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_element_options";}s:22:"webform_element_states";a:9:{s:6:"#input";b:1;s:17:"#selector_options";a:0:{}s:17:"#selector_sources";a:0:{}s:13:"#empty_states";i:3;s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:20:"processWebformStates";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#multiple";b:1;s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_element_states";}s:24:"webform_element_multiple";a:6:{s:6:"#input";b:1;s:4:"#min";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:29:"processWebformElementMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_element_multiple";}s:19:"webform_html_editor";a:7:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:24:"processWebformHtmlEditor";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#format";s:0:"";s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_html_editor";}s:18:"webform_codemirror";a:14:{s:6:"#input";b:1;s:5:"#mode";s:4:"text";s:16:"#skip_validation";b:0;s:13:"#decode_value";b:0;s:5:"#cols";i:60;s:5:"#rows";i:5;s:5:"#wrap";b:1;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:24:"processWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:26:"preRenderWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_codemirror";}s:15:"webform_message";a:10:{s:13:"#message_type";s:6:"status";s:16:"#message_message";s:0:"";s:14:"#message_close";b:0;s:21:"#message_close_effect";s:5:"slide";s:11:"#message_id";s:0:"";s:16:"#message_storage";s:0:"";s:16:"#status_headings";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMessage";i:1;s:23:"preRenderWebformMessage";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_message";}s:5:"#type";s:15:"webform_message";}s:32:"webform_submission_views_replace";a:4:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:36:"processWebformSubmissionViewsReplace";}}s:15:"#value_callback";a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:13:"valueCallback";}s:5:"#type";s:32:"webform_submission_views_replace";}s:22:"webform_computed_token";a:10:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_computed_token";}s:23:"webform_horizontal_rule";a:2:{s:6:"#theme";s:23:"webform_horizontal_rule";s:5:"#type";s:23:"webform_horizontal_rule";}s:25:"webform_excluded_elements";a:9:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#exclude_markup";b:1;s:18:"#exclude_composite";b:1;s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_excluded_elements";}s:7:"webform";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\webform\\Element\\Webform";i:1;s:23:"preRenderWebformElement";}}s:8:"#webform";N;s:13:"#default_data";a:0:{}s:7:"#action";N;s:4:"#sid";N;s:12:"#information";N;s:5:"#type";s:7:"webform";}s:16:"webform_multiple";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"webform_multiple";}s:20:"webform_autocomplete";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"preRenderGroup";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:28:"preRenderWebformAutocomplete";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_autocomplete";}s:24:"webform_submission_views";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_submission_views";}s:15:"webform_mapping";a:11:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:21:"processWebformMapping";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#filter";b:1;s:9:"#required";b:0;s:7:"#source";a:0:{}s:28:"#source__description_display";s:11:"description";s:12:"#destination";a:0:{}s:6:"#arrow";s:3:"→";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_mapping";}s:14:"webform_height";a:11:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:20:"processWebformHeight";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:12:"#height_type";s:6:"number";s:14:"#height_format";s:0:"";s:10:"#feet__min";i:0;s:10:"#feet__max";i:8;s:13:"#inches__step";i:1;s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_height";}s:15:"webform_section";a:7:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:10:"#title_tag";s:2:"h2";s:20:"#description_display";s:6:"before";s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_section";}s:5:"#type";s:15:"webform_section";}s:24:"webform_checkboxes_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_checkboxes_other";}s:21:"webform_entity_radios";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:29:"preRenderCompositeFormElement";}}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_radios";}s:15:"webform_variant";a:7:{s:6:"#input";b:1;s:8:"#variant";s:0:"";s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:21:"processWebformVariant";}}s:11:"#pre_render";a:0:{}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_variant";}s:13:"webform_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_table";}s:13:"webform_users";a:19:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";N;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";s:4:"user";s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:1:{s:17:"include_anonymous";b:0;}s:5:"#tags";b:1;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:26:"validateEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:20:"validateWebformUsers";}}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_users";}s:12:"webform_link";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_link";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_link";}s:18:"webform_video_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_video_file";}s:15:"webform_actions";a:3:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:21:"processWebformActions";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:16:"processContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_actions";}s:15:"webform_flexbox";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_flexbox";}s:22:"webform_email_multiple";a:11:{s:6:"#input";b:1;s:12:"#description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:132:"Multiple email addresses may be separated by commas. Emails are only sent to cc and bcc addresses if a To email address is provided.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#size";i:60;s:12:"#cardinality";N;s:13:"#allow_tokens";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:26:"processWebformEmailConfirm";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:29:"preRenderWebformEmailMultiple";}}s:6:"#theme";s:29:"input__webform_email_multiple";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_email_multiple";}s:17:"webform_telephone";a:9:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:27:"webform_composite_telephone";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_telephone";}s:19:"webform_wizard_page";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:19:"webform_wizard_page";}s:21:"webform_entity_select";a:14:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_select";}s:21:"webform_email_confirm";a:7:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:26:"processWebformEmailConfirm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_email_confirm";}s:23:"webform_term_checkboxes";a:12:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:18:"&nbsp;&nbsp;&nbsp;";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:7:"#scroll";b:1;s:6:"#depth";N;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_term_checkboxes";}s:24:"webform_excluded_columns";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_excluded_columns";}s:12:"webform_same";a:12:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:7:"#source";N;s:12:"#destination";N;s:18:"#destination_state";s:7:"visible";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_same";}s:4:"view";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:25:"Drupal\\views\\Element\\View";i:1;s:20:"preRenderViewElement";}}s:5:"#name";N;s:11:"#display_id";s:7:"default";s:10:"#arguments";a:0:{}s:6:"#embed";b:1;s:6:"#cache";a:0:{}s:5:"#type";s:4:"view";}s:20:"paragraph_operations";a:3:{s:6:"#theme";s:41:"links__dropbutton__operations__paragraphs";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\paragraphs\\Element\\ParagraphOperations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:20:"paragraph_operations";}s:18:"paragraphs_actions";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\paragraphs\\Element\\ParagraphsActions";i:1;s:26:"preRenderParagraphsActions";}}s:6:"#theme";s:18:"paragraphs_actions";s:5:"#type";s:18:"paragraphs_actions";}s:19:"entity_autocomplete";a:18:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:5:"#tags";b:0;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:26:"validateEntityAutocomplete";}}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"entity_autocomplete";}s:15:"break_lock_link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;O:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink":7:{s:11:"\0*\0pluginId";s:15:"break_lock_link";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:15:"break_lock_link";s:5:"class";s:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink";s:8:"provider";s:4:"core";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:3:{s:13:"dateFormatter";s:14:"date.formatter";s:17:"entityTypeManager";s:19:"entity_type.manager";s:8:"renderer";s:8:"renderer";}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:13:"preRenderLock";}}s:5:"#type";s:15:"break_lock_link";}s:4:"html";a:2:{s:6:"#theme";s:4:"html";s:5:"#type";s:4:"html";}s:9:"more_link";a:4:{s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"More";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:9:"more-link";}}}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\MoreLink";i:1;s:13:"preRenderLink";}}s:5:"#type";s:9:"more_link";}s:5:"radio";a:9:{s:6:"#input";b:1;s:14:"#default_value";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:14:"preRenderRadio";}}s:6:"#theme";s:12:"input__radio";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"radio";}s:6:"button";a:10:{s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:25:"#executes_submit_callback";b:0;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"button";}s:6:"select";a:11:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"select";}s:6:"radios";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"radios";}s:6:"weight";a:6:{s:6:"#input";b:1;s:6:"#delta";i:10;s:14:"#default_value";i:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"processWeight";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:15:"processAjaxForm";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"weight";}s:4:"link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:5:"#type";s:4:"link";}s:5:"range";a:11:{s:4:"#min";i:0;s:4:"#max";i:100;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"preRenderRange";}}s:6:"#theme";s:12:"input__range";s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"range";}s:15:"inline_template";a:4:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\InlineTemplate";i:1;s:23:"preRenderInlineTemplate";}}s:9:"#template";s:0:"";s:8:"#context";a:0:{}s:5:"#type";s:15:"inline_template";}s:8:"textarea";a:10:{s:6:"#input";b:1;s:5:"#cols";i:60;s:5:"#rows";i:5;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"textarea";}s:12:"image_button";a:13:{s:13:"#return_value";b:1;s:18:"#has_garbage_value";b:1;s:4:"#src";N;s:15:"#theme_wrappers";a:1:{i:0;s:19:"input__image_button";}s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"preRenderButton";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"image_button";}s:10:"page_title";a:3:{s:6:"#theme";s:10:"page_title";s:6:"#title";N;s:5:"#type";s:10:"page_title";}s:10:"dropbutton";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Dropbutton";i:1;s:19:"preRenderDropbutton";}}s:6:"#theme";s:17:"links__dropbutton";s:5:"#type";s:10:"dropbutton";}s:5:"label";a:2:{s:6:"#theme";s:18:"form_element_label";s:5:"#type";s:5:"label";}s:9:"textfield";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:13:"valueCallback";}s:5:"#type";s:9:"textfield";}s:5:"color";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"validateColor";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:14:"preRenderColor";}}s:6:"#theme";s:12:"input__color";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"color";}s:6:"submit";a:10:{s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"submit";}s:5:"value";a:3:{s:6:"#input";b:1;s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Value";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"value";}s:13:"vertical_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:19:"processVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:21:"preRenderVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:2:{i:0;s:13:"vertical_tabs";i:1;s:12:"form_element";}s:5:"#type";s:13:"vertical_tabs";}s:5:"table";a:17:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"table";}s:15:"status_messages";a:4:{s:8:"#display";N;s:11:"#pre_render";a:1:{i:0;s:62:"Drupal\\Core\\Render\\Element\\StatusMessages::generatePlaceholder";}s:17:"#include_fallback";b:0;s:5:"#type";s:15:"status_messages";}s:4:"file";a:9:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:11:"processFile";}}s:5:"#size";i:60;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"preRenderFile";}}s:6:"#theme";s:11:"input__file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"file";}s:4:"form";a:3:{s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:5:"#type";s:4:"form";}s:3:"url";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:255;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:11:"validateUrl";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:12:"preRenderUrl";}}s:6:"#theme";s:10:"input__url";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"url";}s:10:"fieldgroup";a:6:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:10:"fieldgroup";}}s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:10:"fieldgroup";}s:8:"password";a:9:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:17:"preRenderPassword";}}s:6:"#theme";s:15:"input__password";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"password";}s:6:"hidden";a:6:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"hidden";}s:5:"email";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:254;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"validateEmail";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"preRenderEmail";}}s:6:"#theme";s:12:"input__email";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"email";}s:10:"operations";a:3:{s:6:"#theme";s:29:"links__dropbutton__operations";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Operations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:10:"operations";}s:16:"password_confirm";a:6:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:22:"processPasswordConfirm";}i:1;s:34:"user_form_process_password_confirm";}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"password_confirm";}s:8:"fieldset";a:5:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:8:"fieldset";}s:8:"checkbox";a:9:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"checkbox";}s:4:"path";a:13:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#validate_path";b:1;s:13:"#convert_path";i:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"validateMatchedPath";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"path";}s:10:"checkboxes";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:10:"checkboxes";}s:4:"page";a:4:{s:6:"#theme";s:4:"page";s:6:"#title";s:0:"";s:5:"#type";s:4:"page";s:15:"#theme_wrappers";a:1:{s:23:"off_canvas_page_wrapper";a:1:{s:7:"#weight";i:-1000;}}}s:9:"container";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:9:"container";}s:4:"ajax";a:4:{s:7:"#header";b:1;s:9:"#commands";a:0:{}s:6:"#error";N;s:5:"#type";s:4:"ajax";}s:4:"date";a:9:{s:6:"#input";b:1;s:6:"#theme";s:11:"input__date";s:8:"#process";a:2:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:11:"processDate";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"preRenderDate";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#attributes";a:1:{s:4:"type";s:4:"date";}s:17:"#date_date_format";s:5:"Y-m-d";s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"date";}s:7:"details";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:7:"details";}s:5:"pager";a:8:{s:11:"#pre_render";a:1:{i:0;s:48:"Drupal\\Core\\Render\\Element\\Pager::preRenderPager";}s:6:"#theme";s:5:"pager";s:8:"#element";i:0;s:11:"#parameters";a:0:{}s:9:"#quantity";i:9;s:5:"#tags";a:0:{}s:11:"#route_name";s:6:"<none>";s:5:"#type";s:5:"pager";}s:15:"language_select";a:4:{s:6:"#input";b:1;s:14:"#default_value";s:3:"und";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\LanguageSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"language_select";}s:19:"system_compact_link";a:3:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:20:"preRenderCompactLink";}i:1;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:13:"preRenderLink";}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:12:"compact-link";}}}}s:5:"#type";s:19:"system_compact_link";}s:12:"machine_name";a:13:{s:6:"#input";b:1;s:14:"#default_value";N;s:9:"#required";b:1;s:10:"#maxlength";i:64;s:5:"#size";i:60;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"processMachineName";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"validateMachineName";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"preRenderTextfield";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"machine_name";}s:6:"number";a:9:{s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:14:"validateNumber";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"preRenderNumber";}}s:6:"#theme";s:13:"input__number";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"number";}s:4:"item";a:5:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Item";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"item";}s:8:"html_tag";a:4:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:28:"preRenderConditionalComments";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:16:"preRenderHtmlTag";}}s:11:"#attributes";a:0:{}s:6:"#value";N;s:5:"#type";s:8:"html_tag";}s:6:"search";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"preRenderSearch";}}s:6:"#theme";s:13:"input__search";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"search";}s:3:"tel";a:10:{s:6:"#input";b:1;s:5:"#size";i:30;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:12:"preRenderTel";}}s:6:"#theme";s:10:"input__tel";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"tel";}s:11:"tableselect";a:12:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:9:"#multiple";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:20:"preRenderTableselect";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:18:"processTableselect";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:18:"table__tableselect";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:13:"valueCallback";}s:5:"#type";s:11:"tableselect";}s:5:"token";a:5:{s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"token";}s:13:"status_report";a:4:{s:6:"#theme";s:21:"status_report_grouped";s:11:"#priorities";a:4:{i:0;s:5:"error";i:1;s:7:"warning";i:2;s:7:"checked";i:3;s:2:"ok";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\StatusReport";i:1;s:26:"preRenderGroupRequirements";}}s:5:"#type";s:13:"status_report";}s:7:"actions";a:4:{s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:7:"actions";}s:8:"datelist";a:12:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:16:"validateDatelist";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:15:"processDatelist";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:16:"#date_part_order";a:5:{i:0;s:4:"year";i:1;s:5:"month";i:2;s:3:"day";i:3;s:4:"hour";i:4;s:6:"minute";}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:20:"#date_date_callbacks";a:0:{}s:14:"#date_timezone";s:13:"Europe/Athens";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datelist";}s:8:"datetime";a:16:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:16:"validateDatetime";}}s:8:"#process";a:3:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processDatetime";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:17:"#date_date_format";s:5:"Y-m-d";s:18:"#date_date_element";s:4:"date";s:20:"#date_date_callbacks";a:0:{}s:17:"#date_time_format";s:5:"H:i:s";s:18:"#date_time_element";s:4:"time";s:20:"#date_time_callbacks";a:0:{}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datetime";}}', -1, '1681650074.943', 1, 'element_info_build', '3');
INSERT INTO `cache_discovery` VALUES
('element_info_build:claro', 'a:142:{s:16:"contextual_links";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\contextual\\Element\\ContextualLinks";i:1;s:14:"preRenderLinks";}}s:6:"#theme";s:17:"links__contextual";s:6:"#links";a:0:{}s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:16:"contextual-links";}}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:34:"contextual/drupal.contextual-links";}}s:5:"#type";s:16:"contextual_links";}s:28:"contextual_links_placeholder";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\contextual\\Element\\ContextualLinksPlaceholder";i:1;s:20:"preRenderPlaceholder";}}s:3:"#id";N;s:5:"#type";s:28:"contextual_links_placeholder";}s:26:"field_group_accordion_item";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:14:"preRenderGroup";}}s:5:"#open";b:0;s:15:"#theme_wrappers";a:1:{i:0;s:26:"field_group_accordion_item";}s:5:"#type";s:26:"field_group_accordion_item";}s:15:"horizontal_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:21:"processHorizontalTabs";}i:1;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"horizontal_tabs";}s:5:"#type";s:15:"horizontal_tabs";}s:21:"field_group_accordion";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:16:"processAccordion";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:21:"field_group_accordion";}s:5:"#type";s:21:"field_group_accordion";}s:24:"field_group_html_element";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:18:"processHtmlElement";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:24:"field_group_html_element";}s:5:"#type";s:24:"field_group_html_element";}s:14:"field_ui_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;O:36:"Drupal\\field_ui\\Element\\FieldUiTable":7:{s:11:"\0*\0pluginId";s:14:"field_ui_table";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:14:"field_ui_table";s:5:"class";s:36:"Drupal\\field_ui\\Element\\FieldUiTable";s:8:"provider";s:8:"field_ui";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:14:"tablePreRender";}i:1;a:2:{i:0;r:104;i:1;s:19:"preRenderRegionRows";}i:2;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:14:"field_ui_table";s:8:"#regions";a:1:{s:0:"";a:0:{}}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"field_ui_table";}s:12:"managed_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:27:"Drupal\\claro\\ClaroPreRender";i:1;s:11:"managedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"managed_file";}s:11:"text_format";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\filter\\Element\\TextFormat";i:1;s:13:"processFormat";}}s:10:"#base_type";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:19:"text_format_wrapper";}s:5:"#type";s:11:"text_format";s:11:"#pre_render";a:2:{i:0;s:34:"element.editor:preRenderTextFormat";i:1;a:2:{i:0;s:27:"Drupal\\claro\\ClaroPreRender";i:1;s:10:"textFormat";}}}s:14:"processed_text";a:6:{s:5:"#text";s:0:"";s:7:"#format";N;s:21:"#filter_types_to_skip";a:0:{}s:9:"#langcode";s:0:"";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\filter\\Element\\ProcessedText";i:1;s:13:"preRenderText";}}s:5:"#type";s:14:"processed_text";}s:18:"status_report_page";a:3:{s:6:"#theme";s:18:"status_report_page";s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:17:"preRenderCounters";}i:1;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:20:"preRenderGeneralInfo";}i:2;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:21:"preRenderRequirements";}}s:5:"#type";s:18:"status_report_page";}s:12:"toolbar_item";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\toolbar\\Element\\ToolbarItem";i:1;s:20:"preRenderToolbarItem";}}s:3:"tab";a:3:{s:5:"#type";s:4:"link";s:6:"#title";s:0:"";s:4:"#url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:7:"<front>";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}}s:5:"#type";s:12:"toolbar_item";}s:7:"toolbar";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\toolbar\\Element\\Toolbar";i:1;s:16:"preRenderToolbar";}}s:6:"#theme";s:7:"toolbar";s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:15:"toolbar/toolbar";}}s:11:"#attributes";a:3:{s:2:"id";s:22:"toolbar-administration";s:4:"role";s:5:"group";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Site administration toolbar";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"#bar";a:2:{s:8:"#heading";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:3:{s:2:"id";s:11:"toolbar-bar";s:4:"role";s:10:"navigation";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:5:"#type";s:7:"toolbar";}s:18:"video_embed_iframe";a:8:{s:6:"#theme";s:18:"video_embed_iframe";s:9:"#provider";s:0:"";s:4:"#url";s:0:"";s:6:"#query";a:0:{}s:11:"#attributes";a:0:{}s:9:"#fragment";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:49:"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame";i:1;s:25:"preRenderInlineFrameEmbed";}}s:5:"#type";s:18:"video_embed_iframe";}s:17:"webform_table_row";a:4:{s:9:"#optional";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformTableRow";i:1;s:15:"processTableRow";}}s:11:"#pre_render";a:0:{}s:5:"#type";s:17:"webform_table_row";}s:18:"webform_table_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:25:"preRenderWebformTableSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:23:"processWebformTableSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:17:"table__table_sort";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_table_sort";}s:29:"webform_submission_navigation";a:3:{s:6:"#theme";s:29:"webform_submission_navigation";s:19:"#webform_submission";N;s:5:"#type";s:29:"webform_submission_navigation";}s:20:"webform_radios_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_radios_other";}s:30:"webform_submission_information";a:7:{s:6:"#theme";s:30:"webform_submission_information";s:19:"#webform_submission";N;s:14:"#source_entity";N;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:51:"Drupal\\webform\\Element\\WebformSubmissionInformation";i:1;s:37:"preRenderWebformSubmissionInformation";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:19:"#summary_attributes";a:0:{}s:5:"#type";s:30:"webform_submission_information";}s:20:"webform_select_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_select_other";}s:24:"webform_image_resolution";a:8:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:29:"processWebformImageResolution";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_image_resolution";}s:17:"webform_signature";a:8:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:23:"processWebformSignature";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:25:"preRenderWebformSignature";}}s:6:"#theme";s:24:"input__webform_signature";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_signature";}s:26:"webform_element_attributes";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:31:"processWebformElementAttributes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:33:"preRenderWebformElementAttributes";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:8:"#classes";s:0:"";s:15:"#value_callback";a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:13:"valueCallback";}s:5:"#type";s:26:"webform_element_attributes";}s:15:"webform_options";a:15:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:6:"#label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"option";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"#labels";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"#min_items";i:3;s:12:"#empty_items";i:1;s:15:"#add_more_items";i:1;s:24:"#options_value_maxlength";i:512;s:23:"#options_text_maxlength";i:512;s:20:"#options_description";b:0;s:30:"#options_description_maxlength";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:21:"processWebformOptions";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_options";}s:12:"webform_time";a:11:{s:6:"#input";b:1;s:6:"#theme";s:19:"input__webform_time";s:8:"#process";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:18:"processWebformTime";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:20:"preRenderWebformTime";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#timepicker";b:0;s:12:"#time_format";s:3:"H:i";s:5:"#size";i:12;s:10:"#maxlength";i:12;s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_time";}s:14:"webform_markup";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformMarkup";i:1;s:22:"preRenderWebformMarkup";}}s:5:"#type";s:14:"webform_markup";}s:25:"webform_element_composite";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:30:"processWebformElementComposite";}i:1;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_element_composite";}s:23:"webform_location_places";a:15:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:26:"webform_composite_location";s:4:"#map";b:0;s:12:"#geolocation";b:0;s:7:"#hidden";b:0;s:7:"#app_id";s:0:"";s:8:"#api_key";s:0:"";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_location_places";}s:21:"webform_computed_twig";a:11:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#whitespace";s:0:"";s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_computed_twig";}s:18:"webform_audio_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_audio_file";}s:19:"webform_term_select";a:16:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:1:"-";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:6:"#depth";N;s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_term_select";}s:25:"webform_entity_checkboxes";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_entity_checkboxes";}s:14:"webform_rating";a:13:{s:4:"#min";i:0;s:4:"#max";i:5;s:5:"#step";i:1;s:10:"#star_size";s:6:"medium";s:6:"#reset";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:20:"processWebformRating";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:22:"preRenderWebformRating";}}s:6:"#theme";s:21:"input__webform_rating";s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_rating";}s:14:"webform_likert";a:15:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:20:"processWebformLikert";}i:1;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:15:"#required_error";s:0:"";s:7:"#sticky";b:1;s:10:"#questions";a:0:{}s:30:"#questions_description_display";s:11:"description";s:8:"#answers";a:0:{}s:28:"#answers_description_display";s:11:"description";s:10:"#na_answer";b:0;s:15:"#na_answer_text";s:0:"";s:16:"#na_answer_value";s:0:"";s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_likert";}s:18:"webform_image_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_image_file";}s:12:"webform_more";a:5:{s:6:"#theme";s:20:"webform_element_more";s:5:"#more";s:0:"";s:11:"#more_title";s:0:"";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_more";}s:24:"webform_terms_of_service";a:12:{s:13:"#return_value";b:1;s:11:"#terms_type";s:5:"modal";s:12:"#terms_title";s:0:"";s:14:"#terms_content";s:0:"";s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_terms_of_service";}s:24:"webform_custom_composite";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_custom_composite";}s:24:"webform_tableselect_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:31:"preRenderWebformTableSelectSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:29:"processWebformTableSelectSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:23:"table__tableselect_sort";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_tableselect_sort";}s:15:"webform_contact";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_contact";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_contact";}s:12:"webform_help";a:5:{s:5:"#help";s:0:"";s:11:"#help_title";s:0:"";s:6:"#theme";s:20:"webform_element_help";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_help";}s:13:"webform_roles";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:20:"validateWebformRoles";}}s:18:"#include_anonymous";b:1;s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_roles";}s:21:"webform_document_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_document_file";}s:12:"webform_name";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_name";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_name";}s:22:"webform_checkbox_value";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:27:"processWebformCheckboxValue";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#states";a:0:{}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_checkbox_value";}s:19:"webform_permissions";a:12:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:26:"validateWebformPermissions";}}s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_permissions";}s:13:"webform_scale";a:13:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"processRadios";}}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:29:"preRenderCompositeFormElement";}}s:4:"#min";i:1;s:4:"#max";i:5;s:9:"#min_text";s:0:"";s:9:"#max_text";s:0:"";s:11:"#scale_size";s:6:"medium";s:11:"#scale_type";s:6:"circle";s:11:"#scale_text";s:5:"below";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_scale";}s:15:"webform_address";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_address";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_address";}s:23:"webform_element_options";a:9:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:7:"#likert";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:28:"processWebformElementOptions";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:13:"#custom__type";s:15:"webform_options";s:20:"#options_description";b:0;s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_element_options";}s:22:"webform_element_states";a:9:{s:6:"#input";b:1;s:17:"#selector_options";a:0:{}s:17:"#selector_sources";a:0:{}s:13:"#empty_states";i:3;s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:20:"processWebformStates";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#multiple";b:1;s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_element_states";}s:24:"webform_element_multiple";a:6:{s:6:"#input";b:1;s:4:"#min";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:29:"processWebformElementMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_element_multiple";}s:19:"webform_html_editor";a:7:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:24:"processWebformHtmlEditor";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#format";s:0:"";s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_html_editor";}s:18:"webform_codemirror";a:14:{s:6:"#input";b:1;s:5:"#mode";s:4:"text";s:16:"#skip_validation";b:0;s:13:"#decode_value";b:0;s:5:"#cols";i:60;s:5:"#rows";i:5;s:5:"#wrap";b:1;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:24:"processWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:26:"preRenderWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_codemirror";}s:15:"webform_message";a:10:{s:13:"#message_type";s:6:"status";s:16:"#message_message";s:0:"";s:14:"#message_close";b:0;s:21:"#message_close_effect";s:5:"slide";s:11:"#message_id";s:0:"";s:16:"#message_storage";s:0:"";s:16:"#status_headings";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMessage";i:1;s:23:"preRenderWebformMessage";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_message";}s:5:"#type";s:15:"webform_message";}s:32:"webform_submission_views_replace";a:4:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:36:"processWebformSubmissionViewsReplace";}}s:15:"#value_callback";a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:13:"valueCallback";}s:5:"#type";s:32:"webform_submission_views_replace";}s:22:"webform_computed_token";a:10:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_computed_token";}s:23:"webform_horizontal_rule";a:2:{s:6:"#theme";s:23:"webform_horizontal_rule";s:5:"#type";s:23:"webform_horizontal_rule";}s:25:"webform_excluded_elements";a:9:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#exclude_markup";b:1;s:18:"#exclude_composite";b:1;s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_excluded_elements";}s:7:"webform";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\webform\\Element\\Webform";i:1;s:23:"preRenderWebformElement";}}s:8:"#webform";N;s:13:"#default_data";a:0:{}s:7:"#action";N;s:4:"#sid";N;s:12:"#information";N;s:5:"#type";s:7:"webform";}s:16:"webform_multiple";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"webform_multiple";}s:20:"webform_autocomplete";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"preRenderGroup";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:28:"preRenderWebformAutocomplete";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_autocomplete";}s:24:"webform_submission_views";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_submission_views";}s:15:"webform_mapping";a:11:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:21:"processWebformMapping";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#filter";b:1;s:9:"#required";b:0;s:7:"#source";a:0:{}s:28:"#source__description_display";s:11:"description";s:12:"#destination";a:0:{}s:6:"#arrow";s:3:"→";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_mapping";}s:14:"webform_height";a:11:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:20:"processWebformHeight";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:12:"#height_type";s:6:"number";s:14:"#height_format";s:0:"";s:10:"#feet__min";i:0;s:10:"#feet__max";i:8;s:13:"#inches__step";i:1;s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_height";}s:15:"webform_section";a:7:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:10:"#title_tag";s:2:"h2";s:20:"#description_display";s:6:"before";s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_section";}s:5:"#type";s:15:"webform_section";}s:24:"webform_checkboxes_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_checkboxes_other";}s:21:"webform_entity_radios";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:29:"preRenderCompositeFormElement";}}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_radios";}s:15:"webform_variant";a:7:{s:6:"#input";b:1;s:8:"#variant";s:0:"";s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:21:"processWebformVariant";}}s:11:"#pre_render";a:0:{}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_variant";}s:13:"webform_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_table";}s:13:"webform_users";a:19:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";N;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";s:4:"user";s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:1:{s:17:"include_anonymous";b:0;}s:5:"#tags";b:1;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:26:"validateEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:20:"validateWebformUsers";}}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_users";}s:12:"webform_link";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_link";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_link";}s:18:"webform_video_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_video_file";}s:15:"webform_actions";a:3:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:21:"processWebformActions";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:16:"processContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_actions";}s:15:"webform_flexbox";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_flexbox";}s:22:"webform_email_multiple";a:11:{s:6:"#input";b:1;s:12:"#description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:132:"Multiple email addresses may be separated by commas. Emails are only sent to cc and bcc addresses if a To email address is provided.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#size";i:60;s:12:"#cardinality";N;s:13:"#allow_tokens";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:26:"processWebformEmailConfirm";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:29:"preRenderWebformEmailMultiple";}}s:6:"#theme";s:29:"input__webform_email_multiple";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_email_multiple";}s:17:"webform_telephone";a:9:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:27:"webform_composite_telephone";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_telephone";}s:19:"webform_wizard_page";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:19:"webform_wizard_page";}s:21:"webform_entity_select";a:14:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_select";}s:21:"webform_email_confirm";a:7:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:26:"processWebformEmailConfirm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_email_confirm";}s:23:"webform_term_checkboxes";a:12:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:18:"&nbsp;&nbsp;&nbsp;";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:7:"#scroll";b:1;s:6:"#depth";N;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_term_checkboxes";}s:24:"webform_excluded_columns";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_excluded_columns";}s:12:"webform_same";a:12:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:7:"#source";N;s:12:"#destination";N;s:18:"#destination_state";s:7:"visible";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_same";}s:4:"view";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:25:"Drupal\\views\\Element\\View";i:1;s:20:"preRenderViewElement";}}s:5:"#name";N;s:11:"#display_id";s:7:"default";s:10:"#arguments";a:0:{}s:6:"#embed";b:1;s:6:"#cache";a:0:{}s:5:"#type";s:4:"view";}s:20:"paragraph_operations";a:3:{s:6:"#theme";s:41:"links__dropbutton__operations__paragraphs";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\paragraphs\\Element\\ParagraphOperations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:20:"paragraph_operations";}s:18:"paragraphs_actions";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\paragraphs\\Element\\ParagraphsActions";i:1;s:26:"preRenderParagraphsActions";}}s:6:"#theme";s:18:"paragraphs_actions";s:5:"#type";s:18:"paragraphs_actions";}s:19:"entity_autocomplete";a:18:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:5:"#tags";b:0;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:26:"validateEntityAutocomplete";}}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"entity_autocomplete";}s:15:"break_lock_link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;O:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink":7:{s:11:"\0*\0pluginId";s:15:"break_lock_link";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:15:"break_lock_link";s:5:"class";s:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink";s:8:"provider";s:4:"core";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:3:{s:13:"dateFormatter";s:14:"date.formatter";s:17:"entityTypeManager";s:19:"entity_type.manager";s:8:"renderer";s:8:"renderer";}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:13:"preRenderLock";}}s:5:"#type";s:15:"break_lock_link";}s:4:"html";a:2:{s:6:"#theme";s:4:"html";s:5:"#type";s:4:"html";}s:9:"more_link";a:4:{s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"More";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:9:"more-link";}}}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\MoreLink";i:1;s:13:"preRenderLink";}}s:5:"#type";s:9:"more_link";}s:5:"radio";a:9:{s:6:"#input";b:1;s:14:"#default_value";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:14:"preRenderRadio";}}s:6:"#theme";s:12:"input__radio";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"radio";}s:6:"button";a:10:{s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:25:"#executes_submit_callback";b:0;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"button";}s:6:"select";a:11:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"select";}s:6:"radios";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"radios";}s:6:"weight";a:6:{s:6:"#input";b:1;s:6:"#delta";i:10;s:14:"#default_value";i:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"processWeight";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:15:"processAjaxForm";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"weight";}s:4:"link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:5:"#type";s:4:"link";}s:5:"range";a:11:{s:4:"#min";i:0;s:4:"#max";i:100;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"preRenderRange";}}s:6:"#theme";s:12:"input__range";s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"range";}s:15:"inline_template";a:4:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\InlineTemplate";i:1;s:23:"preRenderInlineTemplate";}}s:9:"#template";s:0:"";s:8:"#context";a:0:{}s:5:"#type";s:15:"inline_template";}s:8:"textarea";a:10:{s:6:"#input";b:1;s:5:"#cols";i:60;s:5:"#rows";i:5;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"textarea";}s:12:"image_button";a:13:{s:13:"#return_value";b:1;s:18:"#has_garbage_value";b:1;s:4:"#src";N;s:15:"#theme_wrappers";a:1:{i:0;s:19:"input__image_button";}s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"preRenderButton";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"image_button";}s:10:"page_title";a:3:{s:6:"#theme";s:10:"page_title";s:6:"#title";N;s:5:"#type";s:10:"page_title";}s:10:"dropbutton";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Dropbutton";i:1;s:19:"preRenderDropbutton";}}s:6:"#theme";s:17:"links__dropbutton";s:5:"#type";s:10:"dropbutton";}s:5:"label";a:2:{s:6:"#theme";s:18:"form_element_label";s:5:"#type";s:5:"label";}s:9:"textfield";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:13:"valueCallback";}s:5:"#type";s:9:"textfield";}s:5:"color";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"validateColor";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:14:"preRenderColor";}}s:6:"#theme";s:12:"input__color";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"color";}s:6:"submit";a:10:{s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"submit";}s:5:"value";a:3:{s:6:"#input";b:1;s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Value";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"value";}s:13:"vertical_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:19:"processVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:21:"preRenderVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:14:"preRenderGroup";}i:2;a:2:{i:0;s:27:"Drupal\\claro\\ClaroPreRender";i:1;s:12:"verticalTabs";}}s:15:"#theme_wrappers";a:2:{i:0;s:13:"vertical_tabs";i:1;s:12:"form_element";}s:5:"#type";s:13:"vertical_tabs";}s:5:"table";a:17:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"table";}s:15:"status_messages";a:4:{s:8:"#display";N;s:11:"#pre_render";a:2:{i:0;s:62:"Drupal\\Core\\Render\\Element\\StatusMessages::generatePlaceholder";i:1;a:2:{i:0;s:27:"Drupal\\claro\\ClaroPreRender";i:1;s:18:"messagePlaceholder";}}s:17:"#include_fallback";b:0;s:5:"#type";s:15:"status_messages";}s:4:"file";a:9:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:11:"processFile";}}s:5:"#size";i:60;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"preRenderFile";}}s:6:"#theme";s:11:"input__file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"file";}s:4:"form";a:3:{s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:5:"#type";s:4:"form";}s:3:"url";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:255;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:11:"validateUrl";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:12:"preRenderUrl";}}s:6:"#theme";s:10:"input__url";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"url";}s:10:"fieldgroup";a:6:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:10:"fieldgroup";}}s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:10:"fieldgroup";}s:8:"password";a:9:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:17:"preRenderPassword";}}s:6:"#theme";s:15:"input__password";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"password";}s:6:"hidden";a:6:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"hidden";}s:5:"email";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:254;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"validateEmail";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"preRenderEmail";}}s:6:"#theme";s:12:"input__email";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"email";}s:10:"operations";a:3:{s:6:"#theme";s:29:"links__dropbutton__operations";s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:27:"Drupal\\claro\\ClaroPreRender";i:1;s:10:"operations";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Operations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:10:"operations";}s:16:"password_confirm";a:6:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:22:"processPasswordConfirm";}i:1;s:34:"user_form_process_password_confirm";}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"password_confirm";}s:8:"fieldset";a:5:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:8:"fieldset";}s:8:"checkbox";a:9:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"checkbox";}s:4:"path";a:13:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#validate_path";b:1;s:13:"#convert_path";i:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"validateMatchedPath";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"path";}s:10:"checkboxes";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:10:"checkboxes";}s:4:"page";a:4:{s:6:"#theme";s:4:"page";s:6:"#title";s:0:"";s:5:"#type";s:4:"page";s:15:"#theme_wrappers";a:1:{s:23:"off_canvas_page_wrapper";a:1:{s:7:"#weight";i:-1000;}}}s:9:"container";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:27:"Drupal\\claro\\ClaroPreRender";i:1;s:9:"container";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:14:"preRenderGroup";}i:2;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:9:"container";}s:4:"ajax";a:4:{s:7:"#header";b:1;s:9:"#commands";a:0:{}s:6:"#error";N;s:5:"#type";s:4:"ajax";}s:4:"date";a:9:{s:6:"#input";b:1;s:6:"#theme";s:11:"input__date";s:8:"#process";a:2:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:11:"processDate";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"preRenderDate";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#attributes";a:1:{s:4:"type";s:4:"date";}s:17:"#date_date_format";s:5:"Y-m-d";s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"date";}s:7:"details";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:7:"details";}s:5:"pager";a:8:{s:11:"#pre_render";a:1:{i:0;s:48:"Drupal\\Core\\Render\\Element\\Pager::preRenderPager";}s:6:"#theme";s:5:"pager";s:8:"#element";i:0;s:11:"#parameters";a:0:{}s:9:"#quantity";i:9;s:5:"#tags";a:0:{}s:11:"#route_name";s:6:"<none>";s:5:"#type";s:5:"pager";}s:15:"language_select";a:4:{s:6:"#input";b:1;s:14:"#default_value";s:3:"und";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\LanguageSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"language_select";}s:19:"system_compact_link";a:3:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:20:"preRenderCompactLink";}i:1;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:13:"preRenderLink";}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:12:"compact-link";}}}}s:5:"#type";s:19:"system_compact_link";}s:12:"machine_name";a:13:{s:6:"#input";b:1;s:14:"#default_value";N;s:9:"#required";b:1;s:10:"#maxlength";i:64;s:5:"#size";i:60;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"processMachineName";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"validateMachineName";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"preRenderTextfield";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"machine_name";}s:6:"number";a:9:{s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:14:"validateNumber";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"preRenderNumber";}}s:6:"#theme";s:13:"input__number";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"number";}s:4:"item";a:5:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Item";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"item";}s:8:"html_tag";a:4:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:28:"preRenderConditionalComments";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:16:"preRenderHtmlTag";}}s:11:"#attributes";a:0:{}s:6:"#value";N;s:5:"#type";s:8:"html_tag";}s:6:"search";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"preRenderSearch";}}s:6:"#theme";s:13:"input__search";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"search";}s:3:"tel";a:10:{s:6:"#input";b:1;s:5:"#size";i:30;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:12:"preRenderTel";}}s:6:"#theme";s:10:"input__tel";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"tel";}s:11:"tableselect";a:12:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:9:"#multiple";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:20:"preRenderTableselect";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:18:"processTableselect";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:18:"table__tableselect";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:13:"valueCallback";}s:5:"#type";s:11:"tableselect";}s:5:"token";a:5:{s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"token";}s:13:"status_report";a:4:{s:6:"#theme";s:21:"status_report_grouped";s:11:"#priorities";a:4:{i:0;s:5:"error";i:1;s:7:"warning";i:2;s:7:"checked";i:3;s:2:"ok";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\StatusReport";i:1;s:26:"preRenderGroupRequirements";}}s:5:"#type";s:13:"status_report";}s:7:"actions";a:4:{s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:7:"actions";}s:8:"datelist";a:12:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:16:"validateDatelist";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:15:"processDatelist";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:16:"#date_part_order";a:5:{i:0;s:4:"year";i:1;s:5:"month";i:2;s:3:"day";i:3;s:4:"hour";i:4;s:6:"minute";}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:20:"#date_date_callbacks";a:0:{}s:14:"#date_timezone";s:13:"Europe/Athens";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datelist";}s:8:"datetime";a:16:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:16:"validateDatetime";}}s:8:"#process";a:3:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processDatetime";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:17:"#date_date_format";s:0:"";s:18:"#date_date_element";s:4:"date";s:20:"#date_date_callbacks";a:0:{}s:17:"#date_time_format";s:0:"";s:18:"#date_time_element";s:4:"time";s:20:"#date_time_callbacks";a:0:{}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datetime";}}', -1, '1681652115.139', 1, 'element_info_build', '3');
INSERT INTO `cache_discovery` VALUES
('element_info_build:conferenceplus', 'a:142:{s:16:"contextual_links";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\contextual\\Element\\ContextualLinks";i:1;s:14:"preRenderLinks";}}s:6:"#theme";s:17:"links__contextual";s:6:"#links";a:0:{}s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:16:"contextual-links";}}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:34:"contextual/drupal.contextual-links";}}s:5:"#type";s:16:"contextual_links";}s:28:"contextual_links_placeholder";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\contextual\\Element\\ContextualLinksPlaceholder";i:1;s:20:"preRenderPlaceholder";}}s:3:"#id";N;s:5:"#type";s:28:"contextual_links_placeholder";}s:26:"field_group_accordion_item";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:14:"preRenderGroup";}}s:5:"#open";b:0;s:15:"#theme_wrappers";a:1:{i:0;s:26:"field_group_accordion_item";}s:5:"#type";s:26:"field_group_accordion_item";}s:15:"horizontal_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:21:"processHorizontalTabs";}i:1;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"horizontal_tabs";}s:5:"#type";s:15:"horizontal_tabs";}s:21:"field_group_accordion";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:16:"processAccordion";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:21:"field_group_accordion";}s:5:"#type";s:21:"field_group_accordion";}s:24:"field_group_html_element";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:18:"processHtmlElement";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:24:"field_group_html_element";}s:5:"#type";s:24:"field_group_html_element";}s:14:"field_ui_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;O:36:"Drupal\\field_ui\\Element\\FieldUiTable":7:{s:11:"\0*\0pluginId";s:14:"field_ui_table";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:14:"field_ui_table";s:5:"class";s:36:"Drupal\\field_ui\\Element\\FieldUiTable";s:8:"provider";s:8:"field_ui";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:14:"tablePreRender";}i:1;a:2:{i:0;r:104;i:1;s:19:"preRenderRegionRows";}i:2;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:14:"field_ui_table";s:8:"#regions";a:1:{s:0:"";a:0:{}}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"field_ui_table";}s:12:"managed_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:20:"preRenderManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"managed_file";}s:11:"text_format";a:5:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:32:"Drupal\\filter\\Element\\TextFormat";i:1;s:13:"processFormat";}i:1;s:26:"stable_process_text_format";}s:10:"#base_type";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:19:"text_format_wrapper";}s:5:"#type";s:11:"text_format";s:11:"#pre_render";a:1:{i:0;s:34:"element.editor:preRenderTextFormat";}}s:14:"processed_text";a:6:{s:5:"#text";s:0:"";s:7:"#format";N;s:21:"#filter_types_to_skip";a:0:{}s:9:"#langcode";s:0:"";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\filter\\Element\\ProcessedText";i:1;s:13:"preRenderText";}}s:5:"#type";s:14:"processed_text";}s:18:"status_report_page";a:3:{s:6:"#theme";s:18:"status_report_page";s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:17:"preRenderCounters";}i:1;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:20:"preRenderGeneralInfo";}i:2;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:21:"preRenderRequirements";}}s:5:"#type";s:18:"status_report_page";}s:12:"toolbar_item";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\toolbar\\Element\\ToolbarItem";i:1;s:20:"preRenderToolbarItem";}}s:3:"tab";a:3:{s:5:"#type";s:4:"link";s:6:"#title";s:0:"";s:4:"#url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:7:"<front>";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}}s:5:"#type";s:12:"toolbar_item";}s:7:"toolbar";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\toolbar\\Element\\Toolbar";i:1;s:16:"preRenderToolbar";}}s:6:"#theme";s:7:"toolbar";s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:15:"toolbar/toolbar";}}s:11:"#attributes";a:3:{s:2:"id";s:22:"toolbar-administration";s:4:"role";s:5:"group";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Site administration toolbar";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"#bar";a:2:{s:8:"#heading";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:3:{s:2:"id";s:11:"toolbar-bar";s:4:"role";s:10:"navigation";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:5:"#type";s:7:"toolbar";}s:18:"video_embed_iframe";a:8:{s:6:"#theme";s:18:"video_embed_iframe";s:9:"#provider";s:0:"";s:4:"#url";s:0:"";s:6:"#query";a:0:{}s:11:"#attributes";a:0:{}s:9:"#fragment";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:49:"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame";i:1;s:25:"preRenderInlineFrameEmbed";}}s:5:"#type";s:18:"video_embed_iframe";}s:17:"webform_table_row";a:4:{s:9:"#optional";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformTableRow";i:1;s:15:"processTableRow";}}s:11:"#pre_render";a:0:{}s:5:"#type";s:17:"webform_table_row";}s:18:"webform_table_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:25:"preRenderWebformTableSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:23:"processWebformTableSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:17:"table__table_sort";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_table_sort";}s:29:"webform_submission_navigation";a:3:{s:6:"#theme";s:29:"webform_submission_navigation";s:19:"#webform_submission";N;s:5:"#type";s:29:"webform_submission_navigation";}s:20:"webform_radios_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_radios_other";}s:30:"webform_submission_information";a:7:{s:6:"#theme";s:30:"webform_submission_information";s:19:"#webform_submission";N;s:14:"#source_entity";N;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:51:"Drupal\\webform\\Element\\WebformSubmissionInformation";i:1;s:37:"preRenderWebformSubmissionInformation";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:19:"#summary_attributes";a:0:{}s:5:"#type";s:30:"webform_submission_information";}s:20:"webform_select_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_select_other";}s:24:"webform_image_resolution";a:8:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:29:"processWebformImageResolution";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_image_resolution";}s:17:"webform_signature";a:8:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:23:"processWebformSignature";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:25:"preRenderWebformSignature";}}s:6:"#theme";s:24:"input__webform_signature";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_signature";}s:26:"webform_element_attributes";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:31:"processWebformElementAttributes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:33:"preRenderWebformElementAttributes";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:8:"#classes";s:0:"";s:15:"#value_callback";a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:13:"valueCallback";}s:5:"#type";s:26:"webform_element_attributes";}s:15:"webform_options";a:15:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:6:"#label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"option";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"#labels";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"#min_items";i:3;s:12:"#empty_items";i:1;s:15:"#add_more_items";i:1;s:24:"#options_value_maxlength";i:512;s:23:"#options_text_maxlength";i:512;s:20:"#options_description";b:0;s:30:"#options_description_maxlength";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:21:"processWebformOptions";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_options";}s:12:"webform_time";a:11:{s:6:"#input";b:1;s:6:"#theme";s:19:"input__webform_time";s:8:"#process";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:18:"processWebformTime";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:20:"preRenderWebformTime";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#timepicker";b:0;s:12:"#time_format";s:3:"H:i";s:5:"#size";i:12;s:10:"#maxlength";i:12;s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_time";}s:14:"webform_markup";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformMarkup";i:1;s:22:"preRenderWebformMarkup";}}s:5:"#type";s:14:"webform_markup";}s:25:"webform_element_composite";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:30:"processWebformElementComposite";}i:1;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_element_composite";}s:23:"webform_location_places";a:15:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:26:"webform_composite_location";s:4:"#map";b:0;s:12:"#geolocation";b:0;s:7:"#hidden";b:0;s:7:"#app_id";s:0:"";s:8:"#api_key";s:0:"";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_location_places";}s:21:"webform_computed_twig";a:11:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#whitespace";s:0:"";s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_computed_twig";}s:18:"webform_audio_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_audio_file";}s:19:"webform_term_select";a:16:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:1:"-";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:6:"#depth";N;s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_term_select";}s:25:"webform_entity_checkboxes";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_entity_checkboxes";}s:14:"webform_rating";a:13:{s:4:"#min";i:0;s:4:"#max";i:5;s:5:"#step";i:1;s:10:"#star_size";s:6:"medium";s:6:"#reset";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:20:"processWebformRating";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:22:"preRenderWebformRating";}}s:6:"#theme";s:21:"input__webform_rating";s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_rating";}s:14:"webform_likert";a:15:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:20:"processWebformLikert";}i:1;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:15:"#required_error";s:0:"";s:7:"#sticky";b:1;s:10:"#questions";a:0:{}s:30:"#questions_description_display";s:11:"description";s:8:"#answers";a:0:{}s:28:"#answers_description_display";s:11:"description";s:10:"#na_answer";b:0;s:15:"#na_answer_text";s:0:"";s:16:"#na_answer_value";s:0:"";s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_likert";}s:18:"webform_image_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_image_file";}s:12:"webform_more";a:5:{s:6:"#theme";s:20:"webform_element_more";s:5:"#more";s:0:"";s:11:"#more_title";s:0:"";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_more";}s:24:"webform_terms_of_service";a:12:{s:13:"#return_value";b:1;s:11:"#terms_type";s:5:"modal";s:12:"#terms_title";s:0:"";s:14:"#terms_content";s:0:"";s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_terms_of_service";}s:24:"webform_custom_composite";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_custom_composite";}s:24:"webform_tableselect_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:31:"preRenderWebformTableSelectSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:29:"processWebformTableSelectSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:23:"table__tableselect_sort";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_tableselect_sort";}s:15:"webform_contact";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_contact";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_contact";}s:12:"webform_help";a:5:{s:5:"#help";s:0:"";s:11:"#help_title";s:0:"";s:6:"#theme";s:20:"webform_element_help";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_help";}s:13:"webform_roles";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:20:"validateWebformRoles";}}s:18:"#include_anonymous";b:1;s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_roles";}s:21:"webform_document_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_document_file";}s:12:"webform_name";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_name";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_name";}s:22:"webform_checkbox_value";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:27:"processWebformCheckboxValue";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#states";a:0:{}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_checkbox_value";}s:19:"webform_permissions";a:12:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:26:"validateWebformPermissions";}}s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_permissions";}s:13:"webform_scale";a:13:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"processRadios";}}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:29:"preRenderCompositeFormElement";}}s:4:"#min";i:1;s:4:"#max";i:5;s:9:"#min_text";s:0:"";s:9:"#max_text";s:0:"";s:11:"#scale_size";s:6:"medium";s:11:"#scale_type";s:6:"circle";s:11:"#scale_text";s:5:"below";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_scale";}s:15:"webform_address";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_address";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_address";}s:23:"webform_element_options";a:9:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:7:"#likert";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:28:"processWebformElementOptions";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:13:"#custom__type";s:15:"webform_options";s:20:"#options_description";b:0;s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_element_options";}s:22:"webform_element_states";a:9:{s:6:"#input";b:1;s:17:"#selector_options";a:0:{}s:17:"#selector_sources";a:0:{}s:13:"#empty_states";i:3;s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:20:"processWebformStates";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#multiple";b:1;s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_element_states";}s:24:"webform_element_multiple";a:6:{s:6:"#input";b:1;s:4:"#min";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:29:"processWebformElementMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_element_multiple";}s:19:"webform_html_editor";a:7:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:24:"processWebformHtmlEditor";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#format";s:0:"";s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_html_editor";}s:18:"webform_codemirror";a:14:{s:6:"#input";b:1;s:5:"#mode";s:4:"text";s:16:"#skip_validation";b:0;s:13:"#decode_value";b:0;s:5:"#cols";i:60;s:5:"#rows";i:5;s:5:"#wrap";b:1;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:24:"processWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:26:"preRenderWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_codemirror";}s:15:"webform_message";a:10:{s:13:"#message_type";s:6:"status";s:16:"#message_message";s:0:"";s:14:"#message_close";b:0;s:21:"#message_close_effect";s:5:"slide";s:11:"#message_id";s:0:"";s:16:"#message_storage";s:0:"";s:16:"#status_headings";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMessage";i:1;s:23:"preRenderWebformMessage";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_message";}s:5:"#type";s:15:"webform_message";}s:32:"webform_submission_views_replace";a:4:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:36:"processWebformSubmissionViewsReplace";}}s:15:"#value_callback";a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:13:"valueCallback";}s:5:"#type";s:32:"webform_submission_views_replace";}s:22:"webform_computed_token";a:10:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_computed_token";}s:23:"webform_horizontal_rule";a:2:{s:6:"#theme";s:23:"webform_horizontal_rule";s:5:"#type";s:23:"webform_horizontal_rule";}s:25:"webform_excluded_elements";a:9:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#exclude_markup";b:1;s:18:"#exclude_composite";b:1;s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_excluded_elements";}s:7:"webform";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\webform\\Element\\Webform";i:1;s:23:"preRenderWebformElement";}}s:8:"#webform";N;s:13:"#default_data";a:0:{}s:7:"#action";N;s:4:"#sid";N;s:12:"#information";N;s:5:"#type";s:7:"webform";}s:16:"webform_multiple";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"webform_multiple";}s:20:"webform_autocomplete";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"preRenderGroup";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:28:"preRenderWebformAutocomplete";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_autocomplete";}s:24:"webform_submission_views";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_submission_views";}s:15:"webform_mapping";a:11:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:21:"processWebformMapping";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#filter";b:1;s:9:"#required";b:0;s:7:"#source";a:0:{}s:28:"#source__description_display";s:11:"description";s:12:"#destination";a:0:{}s:6:"#arrow";s:3:"→";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_mapping";}s:14:"webform_height";a:11:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:20:"processWebformHeight";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:12:"#height_type";s:6:"number";s:14:"#height_format";s:0:"";s:10:"#feet__min";i:0;s:10:"#feet__max";i:8;s:13:"#inches__step";i:1;s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_height";}s:15:"webform_section";a:7:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:10:"#title_tag";s:2:"h2";s:20:"#description_display";s:6:"before";s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_section";}s:5:"#type";s:15:"webform_section";}s:24:"webform_checkboxes_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_checkboxes_other";}s:21:"webform_entity_radios";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:29:"preRenderCompositeFormElement";}}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_radios";}s:15:"webform_variant";a:7:{s:6:"#input";b:1;s:8:"#variant";s:0:"";s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:21:"processWebformVariant";}}s:11:"#pre_render";a:0:{}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_variant";}s:13:"webform_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_table";}s:13:"webform_users";a:19:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";N;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";s:4:"user";s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:1:{s:17:"include_anonymous";b:0;}s:5:"#tags";b:1;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:26:"validateEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:20:"validateWebformUsers";}}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_users";}s:12:"webform_link";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_link";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_link";}s:18:"webform_video_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_video_file";}s:15:"webform_actions";a:3:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:21:"processWebformActions";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:16:"processContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_actions";}s:15:"webform_flexbox";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_flexbox";}s:22:"webform_email_multiple";a:11:{s:6:"#input";b:1;s:12:"#description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:132:"Multiple email addresses may be separated by commas. Emails are only sent to cc and bcc addresses if a To email address is provided.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#size";i:60;s:12:"#cardinality";N;s:13:"#allow_tokens";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:26:"processWebformEmailConfirm";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:29:"preRenderWebformEmailMultiple";}}s:6:"#theme";s:29:"input__webform_email_multiple";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_email_multiple";}s:17:"webform_telephone";a:9:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:27:"webform_composite_telephone";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_telephone";}s:19:"webform_wizard_page";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:19:"webform_wizard_page";}s:21:"webform_entity_select";a:14:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_select";}s:21:"webform_email_confirm";a:7:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:26:"processWebformEmailConfirm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_email_confirm";}s:23:"webform_term_checkboxes";a:12:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:18:"&nbsp;&nbsp;&nbsp;";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:7:"#scroll";b:1;s:6:"#depth";N;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_term_checkboxes";}s:24:"webform_excluded_columns";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_excluded_columns";}s:12:"webform_same";a:12:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:7:"#source";N;s:12:"#destination";N;s:18:"#destination_state";s:7:"visible";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_same";}s:4:"view";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:25:"Drupal\\views\\Element\\View";i:1;s:20:"preRenderViewElement";}}s:5:"#name";N;s:11:"#display_id";s:7:"default";s:10:"#arguments";a:0:{}s:6:"#embed";b:1;s:6:"#cache";a:0:{}s:5:"#type";s:4:"view";}s:20:"paragraph_operations";a:3:{s:6:"#theme";s:41:"links__dropbutton__operations__paragraphs";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\paragraphs\\Element\\ParagraphOperations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:20:"paragraph_operations";}s:18:"paragraphs_actions";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\paragraphs\\Element\\ParagraphsActions";i:1;s:26:"preRenderParagraphsActions";}}s:6:"#theme";s:18:"paragraphs_actions";s:5:"#type";s:18:"paragraphs_actions";}s:19:"entity_autocomplete";a:18:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:5:"#tags";b:0;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:26:"validateEntityAutocomplete";}}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"entity_autocomplete";}s:15:"break_lock_link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;O:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink":7:{s:11:"\0*\0pluginId";s:15:"break_lock_link";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:15:"break_lock_link";s:5:"class";s:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink";s:8:"provider";s:4:"core";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:3:{s:13:"dateFormatter";s:14:"date.formatter";s:17:"entityTypeManager";s:19:"entity_type.manager";s:8:"renderer";s:8:"renderer";}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:13:"preRenderLock";}}s:5:"#type";s:15:"break_lock_link";}s:4:"html";a:2:{s:6:"#theme";s:4:"html";s:5:"#type";s:4:"html";}s:9:"more_link";a:4:{s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"More";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:9:"more-link";}}}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\MoreLink";i:1;s:13:"preRenderLink";}}s:5:"#type";s:9:"more_link";}s:5:"radio";a:9:{s:6:"#input";b:1;s:14:"#default_value";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:14:"preRenderRadio";}}s:6:"#theme";s:12:"input__radio";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"radio";}s:6:"button";a:10:{s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:25:"#executes_submit_callback";b:0;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"button";}s:6:"select";a:11:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"select";}s:6:"radios";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"radios";}s:6:"weight";a:6:{s:6:"#input";b:1;s:6:"#delta";i:10;s:14:"#default_value";i:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"processWeight";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:15:"processAjaxForm";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"weight";}s:4:"link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:5:"#type";s:4:"link";}s:5:"range";a:11:{s:4:"#min";i:0;s:4:"#max";i:100;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"preRenderRange";}}s:6:"#theme";s:12:"input__range";s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"range";}s:15:"inline_template";a:4:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\InlineTemplate";i:1;s:23:"preRenderInlineTemplate";}}s:9:"#template";s:0:"";s:8:"#context";a:0:{}s:5:"#type";s:15:"inline_template";}s:8:"textarea";a:10:{s:6:"#input";b:1;s:5:"#cols";i:60;s:5:"#rows";i:5;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"textarea";}s:12:"image_button";a:13:{s:13:"#return_value";b:1;s:18:"#has_garbage_value";b:1;s:4:"#src";N;s:15:"#theme_wrappers";a:1:{i:0;s:19:"input__image_button";}s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"preRenderButton";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"image_button";}s:10:"page_title";a:3:{s:6:"#theme";s:10:"page_title";s:6:"#title";N;s:5:"#type";s:10:"page_title";}s:10:"dropbutton";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Dropbutton";i:1;s:19:"preRenderDropbutton";}}s:6:"#theme";s:17:"links__dropbutton";s:5:"#type";s:10:"dropbutton";}s:5:"label";a:2:{s:6:"#theme";s:18:"form_element_label";s:5:"#type";s:5:"label";}s:9:"textfield";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:13:"valueCallback";}s:5:"#type";s:9:"textfield";}s:5:"color";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"validateColor";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:14:"preRenderColor";}}s:6:"#theme";s:12:"input__color";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"color";}s:6:"submit";a:10:{s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"submit";}s:5:"value";a:3:{s:6:"#input";b:1;s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Value";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"value";}s:13:"vertical_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:19:"processVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:21:"preRenderVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:2:{i:0;s:13:"vertical_tabs";i:1;s:12:"form_element";}s:5:"#type";s:13:"vertical_tabs";}s:5:"table";a:17:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"table";}s:15:"status_messages";a:4:{s:8:"#display";N;s:11:"#pre_render";a:1:{i:0;s:62:"Drupal\\Core\\Render\\Element\\StatusMessages::generatePlaceholder";}s:17:"#include_fallback";b:0;s:5:"#type";s:15:"status_messages";}s:4:"file";a:9:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:11:"processFile";}}s:5:"#size";i:60;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"preRenderFile";}}s:6:"#theme";s:11:"input__file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"file";}s:4:"form";a:3:{s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:5:"#type";s:4:"form";}s:3:"url";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:255;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:11:"validateUrl";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:12:"preRenderUrl";}}s:6:"#theme";s:10:"input__url";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"url";}s:10:"fieldgroup";a:6:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:10:"fieldgroup";}}s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:10:"fieldgroup";}s:8:"password";a:9:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:17:"preRenderPassword";}}s:6:"#theme";s:15:"input__password";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"password";}s:6:"hidden";a:6:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"hidden";}s:5:"email";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:254;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"validateEmail";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"preRenderEmail";}}s:6:"#theme";s:12:"input__email";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"email";}s:10:"operations";a:3:{s:6:"#theme";s:29:"links__dropbutton__operations";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Operations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:10:"operations";}s:16:"password_confirm";a:6:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:22:"processPasswordConfirm";}i:1;s:34:"user_form_process_password_confirm";}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"password_confirm";}s:8:"fieldset";a:5:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:8:"fieldset";}s:8:"checkbox";a:9:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"checkbox";}s:4:"path";a:13:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#validate_path";b:1;s:13:"#convert_path";i:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"validateMatchedPath";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"path";}s:10:"checkboxes";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:10:"checkboxes";}s:4:"page";a:4:{s:6:"#theme";s:4:"page";s:6:"#title";s:0:"";s:5:"#type";s:4:"page";s:15:"#theme_wrappers";a:1:{s:23:"off_canvas_page_wrapper";a:1:{s:7:"#weight";i:-1000;}}}s:9:"container";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:9:"container";}s:4:"ajax";a:4:{s:7:"#header";b:1;s:9:"#commands";a:0:{}s:6:"#error";N;s:5:"#type";s:4:"ajax";}s:4:"date";a:9:{s:6:"#input";b:1;s:6:"#theme";s:11:"input__date";s:8:"#process";a:2:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:11:"processDate";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"preRenderDate";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#attributes";a:1:{s:4:"type";s:4:"date";}s:17:"#date_date_format";s:5:"Y-m-d";s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"date";}s:7:"details";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:7:"details";}s:5:"pager";a:8:{s:11:"#pre_render";a:1:{i:0;s:48:"Drupal\\Core\\Render\\Element\\Pager::preRenderPager";}s:6:"#theme";s:5:"pager";s:8:"#element";i:0;s:11:"#parameters";a:0:{}s:9:"#quantity";i:9;s:5:"#tags";a:0:{}s:11:"#route_name";s:6:"<none>";s:5:"#type";s:5:"pager";}s:15:"language_select";a:4:{s:6:"#input";b:1;s:14:"#default_value";s:3:"und";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\LanguageSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"language_select";}s:19:"system_compact_link";a:3:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:20:"preRenderCompactLink";}i:1;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:13:"preRenderLink";}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:12:"compact-link";}}}}s:5:"#type";s:19:"system_compact_link";}s:12:"machine_name";a:13:{s:6:"#input";b:1;s:14:"#default_value";N;s:9:"#required";b:1;s:10:"#maxlength";i:64;s:5:"#size";i:60;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"processMachineName";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"validateMachineName";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"preRenderTextfield";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"machine_name";}s:6:"number";a:9:{s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:14:"validateNumber";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"preRenderNumber";}}s:6:"#theme";s:13:"input__number";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"number";}s:4:"item";a:5:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Item";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"item";}s:8:"html_tag";a:4:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:28:"preRenderConditionalComments";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:16:"preRenderHtmlTag";}}s:11:"#attributes";a:0:{}s:6:"#value";N;s:5:"#type";s:8:"html_tag";}s:6:"search";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"preRenderSearch";}}s:6:"#theme";s:13:"input__search";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"search";}s:3:"tel";a:10:{s:6:"#input";b:1;s:5:"#size";i:30;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:12:"preRenderTel";}}s:6:"#theme";s:10:"input__tel";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"tel";}s:11:"tableselect";a:12:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:9:"#multiple";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:20:"preRenderTableselect";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:18:"processTableselect";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:18:"table__tableselect";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:13:"valueCallback";}s:5:"#type";s:11:"tableselect";}s:5:"token";a:5:{s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"token";}s:13:"status_report";a:4:{s:6:"#theme";s:21:"status_report_grouped";s:11:"#priorities";a:4:{i:0;s:5:"error";i:1;s:7:"warning";i:2;s:7:"checked";i:3;s:2:"ok";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\StatusReport";i:1;s:26:"preRenderGroupRequirements";}}s:5:"#type";s:13:"status_report";}s:7:"actions";a:4:{s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:7:"actions";}s:8:"datelist";a:12:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:16:"validateDatelist";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:15:"processDatelist";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:16:"#date_part_order";a:5:{i:0;s:4:"year";i:1;s:5:"month";i:2;s:3:"day";i:3;s:4:"hour";i:4;s:6:"minute";}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:20:"#date_date_callbacks";a:0:{}s:14:"#date_timezone";s:13:"Europe/Athens";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datelist";}s:8:"datetime";a:16:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:16:"validateDatetime";}}s:8:"#process";a:3:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processDatetime";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:17:"#date_date_format";s:5:"Y-m-d";s:18:"#date_date_element";s:4:"date";s:20:"#date_date_callbacks";a:0:{}s:17:"#date_time_format";s:5:"H:i:s";s:18:"#date_time_element";s:4:"time";s:20:"#date_time_callbacks";a:0:{}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datetime";}}', -1, '1681649767.189', 1, 'element_info_build', '3');
INSERT INTO `cache_discovery` VALUES
('element_info_build:olivero', 'a:142:{s:16:"contextual_links";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\contextual\\Element\\ContextualLinks";i:1;s:14:"preRenderLinks";}}s:6:"#theme";s:17:"links__contextual";s:6:"#links";a:0:{}s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:16:"contextual-links";}}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:34:"contextual/drupal.contextual-links";}}s:5:"#type";s:16:"contextual_links";}s:28:"contextual_links_placeholder";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\contextual\\Element\\ContextualLinksPlaceholder";i:1;s:20:"preRenderPlaceholder";}}s:3:"#id";N;s:5:"#type";s:28:"contextual_links_placeholder";}s:26:"field_group_accordion_item";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:14:"preRenderGroup";}}s:5:"#open";b:0;s:15:"#theme_wrappers";a:1:{i:0;s:26:"field_group_accordion_item";}s:5:"#type";s:26:"field_group_accordion_item";}s:15:"horizontal_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:21:"processHorizontalTabs";}i:1;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"horizontal_tabs";}s:5:"#type";s:15:"horizontal_tabs";}s:21:"field_group_accordion";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:16:"processAccordion";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:21:"field_group_accordion";}s:5:"#type";s:21:"field_group_accordion";}s:24:"field_group_html_element";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:18:"processHtmlElement";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:24:"field_group_html_element";}s:5:"#type";s:24:"field_group_html_element";}s:14:"field_ui_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;O:36:"Drupal\\field_ui\\Element\\FieldUiTable":7:{s:11:"\0*\0pluginId";s:14:"field_ui_table";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:14:"field_ui_table";s:5:"class";s:36:"Drupal\\field_ui\\Element\\FieldUiTable";s:8:"provider";s:8:"field_ui";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:14:"tablePreRender";}i:1;a:2:{i:0;r:104;i:1;s:19:"preRenderRegionRows";}i:2;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:14:"field_ui_table";s:8:"#regions";a:1:{s:0:"";a:0:{}}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"field_ui_table";}s:12:"managed_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:20:"preRenderManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"managed_file";}s:11:"text_format";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\filter\\Element\\TextFormat";i:1;s:13:"processFormat";}}s:10:"#base_type";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:19:"text_format_wrapper";}s:5:"#type";s:11:"text_format";s:11:"#pre_render";a:2:{i:0;s:34:"element.editor:preRenderTextFormat";i:1;a:2:{i:0;s:31:"Drupal\\olivero\\OliveroPreRender";i:1;s:10:"textFormat";}}}s:14:"processed_text";a:6:{s:5:"#text";s:0:"";s:7:"#format";N;s:21:"#filter_types_to_skip";a:0:{}s:9:"#langcode";s:0:"";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\filter\\Element\\ProcessedText";i:1;s:13:"preRenderText";}}s:5:"#type";s:14:"processed_text";}s:18:"status_report_page";a:3:{s:6:"#theme";s:18:"status_report_page";s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:17:"preRenderCounters";}i:1;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:20:"preRenderGeneralInfo";}i:2;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:21:"preRenderRequirements";}}s:5:"#type";s:18:"status_report_page";}s:12:"toolbar_item";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\toolbar\\Element\\ToolbarItem";i:1;s:20:"preRenderToolbarItem";}}s:3:"tab";a:3:{s:5:"#type";s:4:"link";s:6:"#title";s:0:"";s:4:"#url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:7:"<front>";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}}s:5:"#type";s:12:"toolbar_item";}s:7:"toolbar";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\toolbar\\Element\\Toolbar";i:1;s:16:"preRenderToolbar";}}s:6:"#theme";s:7:"toolbar";s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:15:"toolbar/toolbar";}}s:11:"#attributes";a:3:{s:2:"id";s:22:"toolbar-administration";s:4:"role";s:5:"group";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Site administration toolbar";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"#bar";a:2:{s:8:"#heading";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:3:{s:2:"id";s:11:"toolbar-bar";s:4:"role";s:10:"navigation";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:5:"#type";s:7:"toolbar";}s:18:"video_embed_iframe";a:8:{s:6:"#theme";s:18:"video_embed_iframe";s:9:"#provider";s:0:"";s:4:"#url";s:0:"";s:6:"#query";a:0:{}s:11:"#attributes";a:0:{}s:9:"#fragment";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:49:"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame";i:1;s:25:"preRenderInlineFrameEmbed";}}s:5:"#type";s:18:"video_embed_iframe";}s:17:"webform_table_row";a:4:{s:9:"#optional";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformTableRow";i:1;s:15:"processTableRow";}}s:11:"#pre_render";a:0:{}s:5:"#type";s:17:"webform_table_row";}s:18:"webform_table_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:25:"preRenderWebformTableSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:23:"processWebformTableSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:17:"table__table_sort";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_table_sort";}s:29:"webform_submission_navigation";a:3:{s:6:"#theme";s:29:"webform_submission_navigation";s:19:"#webform_submission";N;s:5:"#type";s:29:"webform_submission_navigation";}s:20:"webform_radios_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_radios_other";}s:30:"webform_submission_information";a:7:{s:6:"#theme";s:30:"webform_submission_information";s:19:"#webform_submission";N;s:14:"#source_entity";N;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:51:"Drupal\\webform\\Element\\WebformSubmissionInformation";i:1;s:37:"preRenderWebformSubmissionInformation";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:19:"#summary_attributes";a:0:{}s:5:"#type";s:30:"webform_submission_information";}s:20:"webform_select_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_select_other";}s:24:"webform_image_resolution";a:8:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:29:"processWebformImageResolution";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_image_resolution";}s:17:"webform_signature";a:8:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:23:"processWebformSignature";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:25:"preRenderWebformSignature";}}s:6:"#theme";s:24:"input__webform_signature";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_signature";}s:26:"webform_element_attributes";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:31:"processWebformElementAttributes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:33:"preRenderWebformElementAttributes";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:8:"#classes";s:0:"";s:15:"#value_callback";a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:13:"valueCallback";}s:5:"#type";s:26:"webform_element_attributes";}s:15:"webform_options";a:15:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:6:"#label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"option";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"#labels";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"#min_items";i:3;s:12:"#empty_items";i:1;s:15:"#add_more_items";i:1;s:24:"#options_value_maxlength";i:512;s:23:"#options_text_maxlength";i:512;s:20:"#options_description";b:0;s:30:"#options_description_maxlength";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:21:"processWebformOptions";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_options";}s:12:"webform_time";a:11:{s:6:"#input";b:1;s:6:"#theme";s:19:"input__webform_time";s:8:"#process";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:18:"processWebformTime";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:20:"preRenderWebformTime";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#timepicker";b:0;s:12:"#time_format";s:3:"H:i";s:5:"#size";i:12;s:10:"#maxlength";i:12;s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_time";}s:14:"webform_markup";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformMarkup";i:1;s:22:"preRenderWebformMarkup";}}s:5:"#type";s:14:"webform_markup";}s:25:"webform_element_composite";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:30:"processWebformElementComposite";}i:1;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_element_composite";}s:23:"webform_location_places";a:15:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:26:"webform_composite_location";s:4:"#map";b:0;s:12:"#geolocation";b:0;s:7:"#hidden";b:0;s:7:"#app_id";s:0:"";s:8:"#api_key";s:0:"";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_location_places";}s:21:"webform_computed_twig";a:11:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#whitespace";s:0:"";s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_computed_twig";}s:18:"webform_audio_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_audio_file";}s:19:"webform_term_select";a:16:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:1:"-";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:6:"#depth";N;s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_term_select";}s:25:"webform_entity_checkboxes";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_entity_checkboxes";}s:14:"webform_rating";a:13:{s:4:"#min";i:0;s:4:"#max";i:5;s:5:"#step";i:1;s:10:"#star_size";s:6:"medium";s:6:"#reset";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:20:"processWebformRating";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:22:"preRenderWebformRating";}}s:6:"#theme";s:21:"input__webform_rating";s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_rating";}s:14:"webform_likert";a:15:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:20:"processWebformLikert";}i:1;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:15:"#required_error";s:0:"";s:7:"#sticky";b:1;s:10:"#questions";a:0:{}s:30:"#questions_description_display";s:11:"description";s:8:"#answers";a:0:{}s:28:"#answers_description_display";s:11:"description";s:10:"#na_answer";b:0;s:15:"#na_answer_text";s:0:"";s:16:"#na_answer_value";s:0:"";s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_likert";}s:18:"webform_image_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_image_file";}s:12:"webform_more";a:5:{s:6:"#theme";s:20:"webform_element_more";s:5:"#more";s:0:"";s:11:"#more_title";s:0:"";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_more";}s:24:"webform_terms_of_service";a:12:{s:13:"#return_value";b:1;s:11:"#terms_type";s:5:"modal";s:12:"#terms_title";s:0:"";s:14:"#terms_content";s:0:"";s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_terms_of_service";}s:24:"webform_custom_composite";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_custom_composite";}s:24:"webform_tableselect_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:31:"preRenderWebformTableSelectSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:29:"processWebformTableSelectSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:23:"table__tableselect_sort";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_tableselect_sort";}s:15:"webform_contact";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_contact";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_contact";}s:12:"webform_help";a:5:{s:5:"#help";s:0:"";s:11:"#help_title";s:0:"";s:6:"#theme";s:20:"webform_element_help";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_help";}s:13:"webform_roles";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:20:"validateWebformRoles";}}s:18:"#include_anonymous";b:1;s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_roles";}s:21:"webform_document_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_document_file";}s:12:"webform_name";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_name";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_name";}s:22:"webform_checkbox_value";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:27:"processWebformCheckboxValue";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#states";a:0:{}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_checkbox_value";}s:19:"webform_permissions";a:12:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:26:"validateWebformPermissions";}}s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_permissions";}s:13:"webform_scale";a:13:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"processRadios";}}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:29:"preRenderCompositeFormElement";}}s:4:"#min";i:1;s:4:"#max";i:5;s:9:"#min_text";s:0:"";s:9:"#max_text";s:0:"";s:11:"#scale_size";s:6:"medium";s:11:"#scale_type";s:6:"circle";s:11:"#scale_text";s:5:"below";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_scale";}s:15:"webform_address";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_address";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_address";}s:23:"webform_element_options";a:9:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:7:"#likert";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:28:"processWebformElementOptions";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:13:"#custom__type";s:15:"webform_options";s:20:"#options_description";b:0;s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_element_options";}s:22:"webform_element_states";a:9:{s:6:"#input";b:1;s:17:"#selector_options";a:0:{}s:17:"#selector_sources";a:0:{}s:13:"#empty_states";i:3;s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:20:"processWebformStates";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#multiple";b:1;s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_element_states";}s:24:"webform_element_multiple";a:6:{s:6:"#input";b:1;s:4:"#min";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:29:"processWebformElementMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_element_multiple";}s:19:"webform_html_editor";a:7:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:24:"processWebformHtmlEditor";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#format";s:0:"";s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_html_editor";}s:18:"webform_codemirror";a:14:{s:6:"#input";b:1;s:5:"#mode";s:4:"text";s:16:"#skip_validation";b:0;s:13:"#decode_value";b:0;s:5:"#cols";i:60;s:5:"#rows";i:5;s:5:"#wrap";b:1;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:24:"processWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:26:"preRenderWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_codemirror";}s:15:"webform_message";a:10:{s:13:"#message_type";s:6:"status";s:16:"#message_message";s:0:"";s:14:"#message_close";b:0;s:21:"#message_close_effect";s:5:"slide";s:11:"#message_id";s:0:"";s:16:"#message_storage";s:0:"";s:16:"#status_headings";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMessage";i:1;s:23:"preRenderWebformMessage";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_message";}s:5:"#type";s:15:"webform_message";}s:32:"webform_submission_views_replace";a:4:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:36:"processWebformSubmissionViewsReplace";}}s:15:"#value_callback";a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:13:"valueCallback";}s:5:"#type";s:32:"webform_submission_views_replace";}s:22:"webform_computed_token";a:10:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_computed_token";}s:23:"webform_horizontal_rule";a:2:{s:6:"#theme";s:23:"webform_horizontal_rule";s:5:"#type";s:23:"webform_horizontal_rule";}s:25:"webform_excluded_elements";a:9:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#exclude_markup";b:1;s:18:"#exclude_composite";b:1;s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_excluded_elements";}s:7:"webform";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\webform\\Element\\Webform";i:1;s:23:"preRenderWebformElement";}}s:8:"#webform";N;s:13:"#default_data";a:0:{}s:7:"#action";N;s:4:"#sid";N;s:12:"#information";N;s:5:"#type";s:7:"webform";}s:16:"webform_multiple";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"webform_multiple";}s:20:"webform_autocomplete";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"preRenderGroup";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:28:"preRenderWebformAutocomplete";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_autocomplete";}s:24:"webform_submission_views";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_submission_views";}s:15:"webform_mapping";a:11:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:21:"processWebformMapping";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#filter";b:1;s:9:"#required";b:0;s:7:"#source";a:0:{}s:28:"#source__description_display";s:11:"description";s:12:"#destination";a:0:{}s:6:"#arrow";s:3:"→";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_mapping";}s:14:"webform_height";a:11:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:20:"processWebformHeight";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:12:"#height_type";s:6:"number";s:14:"#height_format";s:0:"";s:10:"#feet__min";i:0;s:10:"#feet__max";i:8;s:13:"#inches__step";i:1;s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_height";}s:15:"webform_section";a:7:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:10:"#title_tag";s:2:"h2";s:20:"#description_display";s:6:"before";s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_section";}s:5:"#type";s:15:"webform_section";}s:24:"webform_checkboxes_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_checkboxes_other";}s:21:"webform_entity_radios";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:29:"preRenderCompositeFormElement";}}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_radios";}s:15:"webform_variant";a:7:{s:6:"#input";b:1;s:8:"#variant";s:0:"";s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:21:"processWebformVariant";}}s:11:"#pre_render";a:0:{}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_variant";}s:13:"webform_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_table";}s:13:"webform_users";a:19:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";N;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";s:4:"user";s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:1:{s:17:"include_anonymous";b:0;}s:5:"#tags";b:1;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:26:"validateEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:20:"validateWebformUsers";}}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_users";}s:12:"webform_link";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_link";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_link";}s:18:"webform_video_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_video_file";}s:15:"webform_actions";a:3:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:21:"processWebformActions";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:16:"processContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_actions";}s:15:"webform_flexbox";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_flexbox";}s:22:"webform_email_multiple";a:11:{s:6:"#input";b:1;s:12:"#description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:132:"Multiple email addresses may be separated by commas. Emails are only sent to cc and bcc addresses if a To email address is provided.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#size";i:60;s:12:"#cardinality";N;s:13:"#allow_tokens";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:26:"processWebformEmailConfirm";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:29:"preRenderWebformEmailMultiple";}}s:6:"#theme";s:29:"input__webform_email_multiple";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_email_multiple";}s:17:"webform_telephone";a:9:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:27:"webform_composite_telephone";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_telephone";}s:19:"webform_wizard_page";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:19:"webform_wizard_page";}s:21:"webform_entity_select";a:14:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_select";}s:21:"webform_email_confirm";a:7:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:26:"processWebformEmailConfirm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_email_confirm";}s:23:"webform_term_checkboxes";a:12:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:18:"&nbsp;&nbsp;&nbsp;";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:7:"#scroll";b:1;s:6:"#depth";N;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_term_checkboxes";}s:24:"webform_excluded_columns";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_excluded_columns";}s:12:"webform_same";a:12:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:7:"#source";N;s:12:"#destination";N;s:18:"#destination_state";s:7:"visible";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_same";}s:4:"view";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:25:"Drupal\\views\\Element\\View";i:1;s:20:"preRenderViewElement";}}s:5:"#name";N;s:11:"#display_id";s:7:"default";s:10:"#arguments";a:0:{}s:6:"#embed";b:1;s:6:"#cache";a:0:{}s:5:"#type";s:4:"view";}s:20:"paragraph_operations";a:3:{s:6:"#theme";s:41:"links__dropbutton__operations__paragraphs";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\paragraphs\\Element\\ParagraphOperations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:20:"paragraph_operations";}s:18:"paragraphs_actions";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\paragraphs\\Element\\ParagraphsActions";i:1;s:26:"preRenderParagraphsActions";}}s:6:"#theme";s:18:"paragraphs_actions";s:5:"#type";s:18:"paragraphs_actions";}s:19:"entity_autocomplete";a:18:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:5:"#tags";b:0;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:26:"validateEntityAutocomplete";}}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"entity_autocomplete";}s:15:"break_lock_link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;O:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink":7:{s:11:"\0*\0pluginId";s:15:"break_lock_link";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:15:"break_lock_link";s:5:"class";s:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink";s:8:"provider";s:4:"core";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:3:{s:13:"dateFormatter";s:14:"date.formatter";s:17:"entityTypeManager";s:19:"entity_type.manager";s:8:"renderer";s:8:"renderer";}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:13:"preRenderLock";}}s:5:"#type";s:15:"break_lock_link";}s:4:"html";a:2:{s:6:"#theme";s:4:"html";s:5:"#type";s:4:"html";}s:9:"more_link";a:4:{s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"More";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:9:"more-link";}}}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\MoreLink";i:1;s:13:"preRenderLink";}}s:5:"#type";s:9:"more_link";}s:5:"radio";a:9:{s:6:"#input";b:1;s:14:"#default_value";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:14:"preRenderRadio";}}s:6:"#theme";s:12:"input__radio";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"radio";}s:6:"button";a:10:{s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:25:"#executes_submit_callback";b:0;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"button";}s:6:"select";a:11:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"select";}s:6:"radios";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"radios";}s:6:"weight";a:6:{s:6:"#input";b:1;s:6:"#delta";i:10;s:14:"#default_value";i:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"processWeight";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:15:"processAjaxForm";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"weight";}s:4:"link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:5:"#type";s:4:"link";}s:5:"range";a:11:{s:4:"#min";i:0;s:4:"#max";i:100;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"preRenderRange";}}s:6:"#theme";s:12:"input__range";s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"range";}s:15:"inline_template";a:4:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\InlineTemplate";i:1;s:23:"preRenderInlineTemplate";}}s:9:"#template";s:0:"";s:8:"#context";a:0:{}s:5:"#type";s:15:"inline_template";}s:8:"textarea";a:10:{s:6:"#input";b:1;s:5:"#cols";i:60;s:5:"#rows";i:5;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"textarea";}s:12:"image_button";a:13:{s:13:"#return_value";b:1;s:18:"#has_garbage_value";b:1;s:4:"#src";N;s:15:"#theme_wrappers";a:1:{i:0;s:19:"input__image_button";}s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"preRenderButton";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"image_button";}s:10:"page_title";a:3:{s:6:"#theme";s:10:"page_title";s:6:"#title";N;s:5:"#type";s:10:"page_title";}s:10:"dropbutton";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Dropbutton";i:1;s:19:"preRenderDropbutton";}}s:6:"#theme";s:17:"links__dropbutton";s:5:"#type";s:10:"dropbutton";}s:5:"label";a:2:{s:6:"#theme";s:18:"form_element_label";s:5:"#type";s:5:"label";}s:9:"textfield";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:13:"valueCallback";}s:5:"#type";s:9:"textfield";}s:5:"color";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"validateColor";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:14:"preRenderColor";}}s:6:"#theme";s:12:"input__color";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"color";}s:6:"submit";a:10:{s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"submit";}s:5:"value";a:3:{s:6:"#input";b:1;s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Value";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"value";}s:13:"vertical_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:19:"processVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:21:"preRenderVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:2:{i:0;s:13:"vertical_tabs";i:1;s:12:"form_element";}s:5:"#type";s:13:"vertical_tabs";}s:5:"table";a:17:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"table";}s:15:"status_messages";a:4:{s:8:"#display";N;s:11:"#pre_render";a:2:{i:0;s:62:"Drupal\\Core\\Render\\Element\\StatusMessages::generatePlaceholder";i:1;a:2:{i:0;s:31:"Drupal\\olivero\\OliveroPreRender";i:1;s:18:"messagePlaceholder";}}s:17:"#include_fallback";b:0;s:5:"#type";s:15:"status_messages";}s:4:"file";a:9:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:11:"processFile";}}s:5:"#size";i:60;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"preRenderFile";}}s:6:"#theme";s:11:"input__file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"file";}s:4:"form";a:3:{s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:5:"#type";s:4:"form";}s:3:"url";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:255;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:11:"validateUrl";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:12:"preRenderUrl";}}s:6:"#theme";s:10:"input__url";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"url";}s:10:"fieldgroup";a:6:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:10:"fieldgroup";}}s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:10:"fieldgroup";}s:8:"password";a:9:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:17:"preRenderPassword";}}s:6:"#theme";s:15:"input__password";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"password";}s:6:"hidden";a:6:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"hidden";}s:5:"email";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:254;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"validateEmail";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"preRenderEmail";}}s:6:"#theme";s:12:"input__email";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"email";}s:10:"operations";a:3:{s:6:"#theme";s:29:"links__dropbutton__operations";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Operations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:10:"operations";}s:16:"password_confirm";a:6:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:22:"processPasswordConfirm";}i:1;s:34:"user_form_process_password_confirm";}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"password_confirm";}s:8:"fieldset";a:5:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:8:"fieldset";}s:8:"checkbox";a:9:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"checkbox";}s:4:"path";a:13:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#validate_path";b:1;s:13:"#convert_path";i:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"validateMatchedPath";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"path";}s:10:"checkboxes";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:10:"checkboxes";}s:4:"page";a:4:{s:6:"#theme";s:4:"page";s:6:"#title";s:0:"";s:5:"#type";s:4:"page";s:15:"#theme_wrappers";a:1:{s:23:"off_canvas_page_wrapper";a:1:{s:7:"#weight";i:-1000;}}}s:9:"container";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:9:"container";}s:4:"ajax";a:4:{s:7:"#header";b:1;s:9:"#commands";a:0:{}s:6:"#error";N;s:5:"#type";s:4:"ajax";}s:4:"date";a:9:{s:6:"#input";b:1;s:6:"#theme";s:11:"input__date";s:8:"#process";a:2:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:11:"processDate";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"preRenderDate";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#attributes";a:1:{s:4:"type";s:4:"date";}s:17:"#date_date_format";s:5:"Y-m-d";s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"date";}s:7:"details";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:7:"details";}s:5:"pager";a:8:{s:11:"#pre_render";a:1:{i:0;s:48:"Drupal\\Core\\Render\\Element\\Pager::preRenderPager";}s:6:"#theme";s:5:"pager";s:8:"#element";i:0;s:11:"#parameters";a:0:{}s:9:"#quantity";i:9;s:5:"#tags";a:0:{}s:11:"#route_name";s:6:"<none>";s:5:"#type";s:5:"pager";}s:15:"language_select";a:4:{s:6:"#input";b:1;s:14:"#default_value";s:3:"und";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\LanguageSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"language_select";}s:19:"system_compact_link";a:3:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:20:"preRenderCompactLink";}i:1;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:13:"preRenderLink";}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:12:"compact-link";}}}}s:5:"#type";s:19:"system_compact_link";}s:12:"machine_name";a:13:{s:6:"#input";b:1;s:14:"#default_value";N;s:9:"#required";b:1;s:10:"#maxlength";i:64;s:5:"#size";i:60;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"processMachineName";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"validateMachineName";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"preRenderTextfield";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"machine_name";}s:6:"number";a:9:{s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:14:"validateNumber";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"preRenderNumber";}}s:6:"#theme";s:13:"input__number";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"number";}s:4:"item";a:5:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Item";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"item";}s:8:"html_tag";a:4:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:28:"preRenderConditionalComments";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:16:"preRenderHtmlTag";}}s:11:"#attributes";a:0:{}s:6:"#value";N;s:5:"#type";s:8:"html_tag";}s:6:"search";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"preRenderSearch";}}s:6:"#theme";s:13:"input__search";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"search";}s:3:"tel";a:10:{s:6:"#input";b:1;s:5:"#size";i:30;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:12:"preRenderTel";}}s:6:"#theme";s:10:"input__tel";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"tel";}s:11:"tableselect";a:12:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:9:"#multiple";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:20:"preRenderTableselect";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:18:"processTableselect";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:18:"table__tableselect";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:13:"valueCallback";}s:5:"#type";s:11:"tableselect";}s:5:"token";a:5:{s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"token";}s:13:"status_report";a:4:{s:6:"#theme";s:21:"status_report_grouped";s:11:"#priorities";a:4:{i:0;s:5:"error";i:1;s:7:"warning";i:2;s:7:"checked";i:3;s:2:"ok";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\StatusReport";i:1;s:26:"preRenderGroupRequirements";}}s:5:"#type";s:13:"status_report";}s:7:"actions";a:4:{s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:7:"actions";}s:8:"datelist";a:12:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:16:"validateDatelist";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:15:"processDatelist";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:16:"#date_part_order";a:5:{i:0;s:4:"year";i:1;s:5:"month";i:2;s:3:"day";i:3;s:4:"hour";i:4;s:6:"minute";}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:20:"#date_date_callbacks";a:0:{}s:14:"#date_timezone";s:13:"Europe/Athens";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datelist";}s:8:"datetime";a:16:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:16:"validateDatetime";}}s:8:"#process";a:3:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processDatetime";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:17:"#date_date_format";s:5:"Y-m-d";s:18:"#date_date_element";s:4:"date";s:20:"#date_date_callbacks";a:0:{}s:17:"#date_time_format";s:5:"H:i:s";s:18:"#date_time_element";s:4:"time";s:20:"#date_time_callbacks";a:0:{}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datetime";}}', -1, '1681652752.680', 1, 'element_info_build', '3');
INSERT INTO `cache_discovery` VALUES
('element_info_build:seven', 'a:142:{s:16:"contextual_links";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\contextual\\Element\\ContextualLinks";i:1;s:14:"preRenderLinks";}}s:6:"#theme";s:17:"links__contextual";s:6:"#links";a:0:{}s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:16:"contextual-links";}}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:34:"contextual/drupal.contextual-links";}}s:5:"#type";s:16:"contextual_links";}s:28:"contextual_links_placeholder";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\contextual\\Element\\ContextualLinksPlaceholder";i:1;s:20:"preRenderPlaceholder";}}s:3:"#id";N;s:5:"#type";s:28:"contextual_links_placeholder";}s:26:"field_group_accordion_item";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\field_group\\Element\\AccordionItem";i:1;s:14:"preRenderGroup";}}s:5:"#open";b:0;s:15:"#theme_wrappers";a:1:{i:0;s:26:"field_group_accordion_item";}s:5:"#type";s:26:"field_group_accordion_item";}s:15:"horizontal_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:21:"processHorizontalTabs";}i:1;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\field_group\\Element\\HorizontalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"horizontal_tabs";}s:5:"#type";s:15:"horizontal_tabs";}s:21:"field_group_accordion";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:16:"processAccordion";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_group\\Element\\Accordion";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:21:"field_group_accordion";}s:5:"#type";s:21:"field_group_accordion";}s:24:"field_group_html_element";a:4:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:18:"processHtmlElement";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\field_group\\Element\\HtmlElement";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:24:"field_group_html_element";}s:5:"#type";s:24:"field_group_html_element";}s:14:"field_ui_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;O:36:"Drupal\\field_ui\\Element\\FieldUiTable":7:{s:11:"\0*\0pluginId";s:14:"field_ui_table";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:14:"field_ui_table";s:5:"class";s:36:"Drupal\\field_ui\\Element\\FieldUiTable";s:8:"provider";s:8:"field_ui";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:14:"tablePreRender";}i:1;a:2:{i:0;r:104;i:1;s:19:"preRenderRegionRows";}i:2;a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:14:"field_ui_table";s:8:"#regions";a:1:{s:0:"";a:0:{}}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\field_ui\\Element\\FieldUiTable";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"field_ui_table";}s:12:"managed_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:20:"preRenderManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\file\\Element\\ManagedFile";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"managed_file";}s:11:"text_format";a:5:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\filter\\Element\\TextFormat";i:1;s:13:"processFormat";}}s:10:"#base_type";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:19:"text_format_wrapper";}s:5:"#type";s:11:"text_format";s:11:"#pre_render";a:1:{i:0;s:34:"element.editor:preRenderTextFormat";}}s:14:"processed_text";a:6:{s:5:"#text";s:0:"";s:7:"#format";N;s:21:"#filter_types_to_skip";a:0:{}s:9:"#langcode";s:0:"";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\filter\\Element\\ProcessedText";i:1;s:13:"preRenderText";}}s:5:"#type";s:14:"processed_text";}s:18:"status_report_page";a:3:{s:6:"#theme";s:18:"status_report_page";s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:17:"preRenderCounters";}i:1;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:20:"preRenderGeneralInfo";}i:2;a:2:{i:0;s:38:"Drupal\\system\\Element\\StatusReportPage";i:1;s:21:"preRenderRequirements";}}s:5:"#type";s:18:"status_report_page";}s:12:"toolbar_item";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\toolbar\\Element\\ToolbarItem";i:1;s:20:"preRenderToolbarItem";}}s:3:"tab";a:3:{s:5:"#type";s:4:"link";s:6:"#title";s:0:"";s:4:"#url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";s:7:"<front>";s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:0:{}s:11:"\0*\0external";b:0;s:11:"\0*\0unrouted";b:0;s:6:"\0*\0uri";N;s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}}s:5:"#type";s:12:"toolbar_item";}s:7:"toolbar";a:6:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\toolbar\\Element\\Toolbar";i:1;s:16:"preRenderToolbar";}}s:6:"#theme";s:7:"toolbar";s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:15:"toolbar/toolbar";}}s:11:"#attributes";a:3:{s:2:"id";s:22:"toolbar-administration";s:4:"role";s:5:"group";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Site administration toolbar";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:4:"#bar";a:2:{s:8:"#heading";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"#attributes";a:3:{s:2:"id";s:11:"toolbar-bar";s:4:"role";s:10:"navigation";s:10:"aria-label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Toolbar items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:5:"#type";s:7:"toolbar";}s:18:"video_embed_iframe";a:8:{s:6:"#theme";s:18:"video_embed_iframe";s:9:"#provider";s:0:"";s:4:"#url";s:0:"";s:6:"#query";a:0:{}s:11:"#attributes";a:0:{}s:9:"#fragment";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:49:"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame";i:1;s:25:"preRenderInlineFrameEmbed";}}s:5:"#type";s:18:"video_embed_iframe";}s:17:"webform_table_row";a:4:{s:9:"#optional";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformTableRow";i:1;s:15:"processTableRow";}}s:11:"#pre_render";a:0:{}s:5:"#type";s:17:"webform_table_row";}s:18:"webform_table_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:25:"preRenderWebformTableSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:23:"processWebformTableSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:17:"table__table_sort";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTableSort";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_table_sort";}s:29:"webform_submission_navigation";a:3:{s:6:"#theme";s:29:"webform_submission_navigation";s:19:"#webform_submission";N;s:5:"#type";s:29:"webform_submission_navigation";}s:20:"webform_radios_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformRadiosOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_radios_other";}s:30:"webform_submission_information";a:7:{s:6:"#theme";s:30:"webform_submission_information";s:19:"#webform_submission";N;s:14:"#source_entity";N;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:51:"Drupal\\webform\\Element\\WebformSubmissionInformation";i:1;s:37:"preRenderWebformSubmissionInformation";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:19:"#summary_attributes";a:0:{}s:5:"#type";s:30:"webform_submission_information";}s:20:"webform_select_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformSelectOther";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_select_other";}s:24:"webform_image_resolution";a:8:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:29:"processWebformImageResolution";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformImageResolution";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_image_resolution";}s:17:"webform_signature";a:8:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:23:"processWebformSignature";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:25:"preRenderWebformSignature";}}s:6:"#theme";s:24:"input__webform_signature";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformSignature";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_signature";}s:26:"webform_element_attributes";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:31:"processWebformElementAttributes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:33:"preRenderWebformElementAttributes";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:8:"#classes";s:0:"";s:15:"#value_callback";a:2:{i:0;s:47:"Drupal\\webform\\Element\\WebformElementAttributes";i:1;s:13:"valueCallback";}s:5:"#type";s:26:"webform_element_attributes";}s:15:"webform_options";a:15:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:6:"#label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"option";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"#labels";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"#min_items";i:3;s:12:"#empty_items";i:1;s:15:"#add_more_items";i:1;s:24:"#options_value_maxlength";i:512;s:23:"#options_text_maxlength";i:512;s:20:"#options_description";b:0;s:30:"#options_description_maxlength";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:21:"processWebformOptions";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_options";}s:12:"webform_time";a:11:{s:6:"#input";b:1;s:6:"#theme";s:19:"input__webform_time";s:8:"#process";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:18:"processWebformTime";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:20:"preRenderWebformTime";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#timepicker";b:0;s:12:"#time_format";s:3:"H:i";s:5:"#size";i:12;s:10:"#maxlength";i:12;s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformTime";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_time";}s:14:"webform_markup";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformMarkup";i:1;s:22:"preRenderWebformMarkup";}}s:5:"#type";s:14:"webform_markup";}s:25:"webform_element_composite";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:30:"processWebformElementComposite";}i:1;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformElementComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_element_composite";}s:23:"webform_location_places";a:15:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:26:"webform_composite_location";s:4:"#map";b:0;s:12:"#geolocation";b:0;s:7:"#hidden";b:0;s:7:"#app_id";s:0:"";s:8:"#api_key";s:0:"";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformLocationPlaces";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_location_places";}s:21:"webform_computed_twig";a:11:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#whitespace";s:0:"";s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformComputedTwig";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_computed_twig";}s:18:"webform_audio_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformAudioFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_audio_file";}s:19:"webform_term_select";a:16:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:1:"-";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:6:"#depth";N;s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformTermSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_term_select";}s:25:"webform_entity_checkboxes";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformEntityCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_entity_checkboxes";}s:14:"webform_rating";a:13:{s:4:"#min";i:0;s:4:"#max";i:5;s:5:"#step";i:1;s:10:"#star_size";s:6:"medium";s:6:"#reset";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:20:"processWebformRating";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:22:"preRenderWebformRating";}}s:6:"#theme";s:21:"input__webform_rating";s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformRating";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_rating";}s:14:"webform_likert";a:15:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:20:"processWebformLikert";}i:1;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#required";b:0;s:15:"#required_error";s:0:"";s:7:"#sticky";b:1;s:10:"#questions";a:0:{}s:30:"#questions_description_display";s:11:"description";s:8:"#answers";a:0:{}s:28:"#answers_description_display";s:11:"description";s:10:"#na_answer";b:0;s:15:"#na_answer_text";s:0:"";s:16:"#na_answer_value";s:0:"";s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformLikert";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_likert";}s:18:"webform_image_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformImageFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_image_file";}s:12:"webform_more";a:5:{s:6:"#theme";s:20:"webform_element_more";s:5:"#more";s:0:"";s:11:"#more_title";s:0:"";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_more";}s:24:"webform_terms_of_service";a:12:{s:13:"#return_value";b:1;s:11:"#terms_type";s:5:"modal";s:12:"#terms_title";s:0:"";s:14:"#terms_content";s:0:"";s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermsOfService";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_terms_of_service";}s:24:"webform_custom_composite";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCustomComposite";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_custom_composite";}s:24:"webform_tableselect_sort";a:11:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:31:"preRenderWebformTableSelectSort";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:29:"processWebformTableSelectSort";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:23:"table__tableselect_sort";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformTableSelectSort";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_tableselect_sort";}s:15:"webform_contact";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_contact";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformContact";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_contact";}s:12:"webform_help";a:5:{s:5:"#help";s:0:"";s:11:"#help_title";s:0:"";s:6:"#theme";s:20:"webform_element_help";s:11:"#attributes";a:0:{}s:5:"#type";s:12:"webform_help";}s:13:"webform_roles";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:20:"validateWebformRoles";}}s:18:"#include_anonymous";b:1;s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformRoles";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_roles";}s:21:"webform_document_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformDocumentFile";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_document_file";}s:12:"webform_name";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_name";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_name";}s:22:"webform_checkbox_value";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:27:"processWebformCheckboxValue";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#states";a:0:{}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformCheckboxValue";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_checkbox_value";}s:19:"webform_permissions";a:12:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:26:"validateWebformPermissions";}}s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\webform\\Element\\WebformPermissions";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_permissions";}s:13:"webform_scale";a:13:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"processRadios";}}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:29:"preRenderCompositeFormElement";}}s:4:"#min";i:1;s:4:"#max";i:5;s:9:"#min_text";s:0:"";s:9:"#max_text";s:0:"";s:11:"#scale_size";s:6:"medium";s:11:"#scale_type";s:6:"circle";s:11:"#scale_text";s:5:"below";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformScale";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_scale";}s:15:"webform_address";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:25:"webform_composite_address";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformAddress";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_address";}s:23:"webform_element_options";a:9:{s:6:"#input";b:1;s:5:"#yaml";b:0;s:7:"#likert";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:28:"processWebformElementOptions";}i:1;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:13:"#custom__type";s:15:"webform_options";s:20:"#options_description";b:0;s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformElementOptions";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_element_options";}s:22:"webform_element_states";a:9:{s:6:"#input";b:1;s:17:"#selector_options";a:0:{}s:17:"#selector_sources";a:0:{}s:13:"#empty_states";i:3;s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:20:"processWebformStates";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:9:"#multiple";b:1;s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformElementStates";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_element_states";}s:24:"webform_element_multiple";a:6:{s:6:"#input";b:1;s:4:"#min";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:29:"processWebformElementMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformElementMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_element_multiple";}s:19:"webform_html_editor";a:7:{s:6:"#input";b:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:24:"processWebformHtmlEditor";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#format";s:0:"";s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformHtmlEditor";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"webform_html_editor";}s:18:"webform_codemirror";a:14:{s:6:"#input";b:1;s:5:"#mode";s:4:"text";s:16:"#skip_validation";b:0;s:13:"#decode_value";b:0;s:5:"#cols";i:60;s:5:"#rows";i:5;s:5:"#wrap";b:1;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:3:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:24:"processWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:26:"preRenderWebformCodeMirror";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformCodeMirror";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_codemirror";}s:15:"webform_message";a:10:{s:13:"#message_type";s:6:"status";s:16:"#message_message";s:0:"";s:14:"#message_close";b:0;s:21:"#message_close_effect";s:5:"slide";s:11:"#message_id";s:0:"";s:16:"#message_storage";s:0:"";s:16:"#status_headings";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMessage";i:1;s:23:"preRenderWebformMessage";}}s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_message";}s:5:"#type";s:15:"webform_message";}s:32:"webform_submission_views_replace";a:4:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:36:"processWebformSubmissionViewsReplace";}}s:15:"#value_callback";a:2:{i:0;s:52:"Drupal\\webform\\Element\\WebformSubmissionViewsReplace";i:1;s:13:"valueCallback";}s:5:"#type";s:32:"webform_submission_views_replace";}s:22:"webform_computed_token";a:10:{s:8:"#process";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:22:"processWebformComputed";}}s:6:"#input";b:1;s:9:"#template";s:0:"";s:5:"#mode";N;s:11:"#hide_empty";b:0;s:5:"#ajax";b:0;s:19:"#webform_submission";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformComputedToken";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_computed_token";}s:23:"webform_horizontal_rule";a:2:{s:6:"#theme";s:23:"webform_horizontal_rule";s:5:"#type";s:23:"webform_horizontal_rule";}s:25:"webform_excluded_elements";a:9:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#exclude_markup";b:1;s:18:"#exclude_composite";b:1;s:15:"#value_callback";a:2:{i:0;s:46:"Drupal\\webform\\Element\\WebformExcludedElements";i:1;s:13:"valueCallback";}s:5:"#type";s:25:"webform_excluded_elements";}s:7:"webform";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\webform\\Element\\Webform";i:1;s:23:"preRenderWebformElement";}}s:8:"#webform";N;s:13:"#default_data";a:0:{}s:7:"#action";N;s:4:"#sid";N;s:12:"#information";N;s:5:"#type";s:7:"webform";}s:16:"webform_multiple";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\webform\\Element\\WebformMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"webform_multiple";}s:20:"webform_autocomplete";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:3:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:14:"preRenderGroup";}i:2;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:28:"preRenderWebformAutocomplete";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:20:"webform_autocomplete";}s:24:"webform_submission_views";a:28:{s:6:"#input";b:1;s:7:"#access";b:1;s:4:"#key";N;s:7:"#header";N;s:13:"#header_label";s:0:"";s:8:"#element";a:4:{s:5:"#type";s:9:"textfield";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Item value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"#title_display";s:9:"invisible";s:12:"#placeholder";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Enter value…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:12:"#cardinality";b:0;s:10:"#min_items";N;s:11:"#item_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"#no_items_message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"No items entered. Please add items below.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"#empty_items";i:1;s:9:"#add_more";b:1;s:15:"#add_more_items";i:1;s:22:"#add_more_button_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Add";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#add_more_input";b:1;s:21:"#add_more_input_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"more items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"#sorting";b:1;s:11:"#operations";b:1;s:4:"#add";b:1;s:16:"#ajax_attributes";a:0:{}s:17:"#table_attributes";a:0:{}s:25:"#table_wrapper_attributes";a:0:{}s:7:"#remove";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:22:"processWebformMultiple";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformSubmissionViews";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_submission_views";}s:15:"webform_mapping";a:11:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:21:"processWebformMapping";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:15:"processAjaxForm";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:7:"#filter";b:1;s:9:"#required";b:0;s:7:"#source";a:0:{}s:28:"#source__description_display";s:11:"description";s:12:"#destination";a:0:{}s:6:"#arrow";s:3:"→";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformMapping";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_mapping";}s:14:"webform_height";a:11:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:20:"processWebformHeight";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:12:"#height_type";s:6:"number";s:14:"#height_format";s:0:"";s:10:"#feet__min";i:0;s:10:"#feet__max";i:8;s:13:"#inches__step";i:1;s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\webform\\Element\\WebformHeight";i:1;s:13:"valueCallback";}s:5:"#type";s:14:"webform_height";}s:15:"webform_section";a:7:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformSection";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:10:"#title_tag";s:2:"h2";s:20:"#description_display";s:6:"before";s:15:"#theme_wrappers";a:1:{i:0;s:15:"webform_section";}s:5:"#type";s:15:"webform_section";}s:24:"webform_checkboxes_other";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:19:"processWebformOther";}i:1;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:8:"#options";a:0:{}s:24:"#other__option_delimiter";s:2:", ";s:7:"#states";a:0:{}s:7:"#markup";s:0:"";s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformCheckboxesOther";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_checkboxes_other";}s:21:"webform_entity_radios";a:9:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:29:"preRenderCompositeFormElement";}}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntityRadios";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_radios";}s:15:"webform_variant";a:7:{s:6:"#input";b:1;s:8:"#variant";s:0:"";s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:21:"processWebformVariant";}}s:11:"#pre_render";a:0:{}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformVariant";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"webform_variant";}s:13:"webform_table";a:18:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformTable";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_table";}s:13:"webform_users";a:19:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";N;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";s:4:"user";s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:1:{s:17:"include_anonymous";b:0;}s:5:"#tags";b:1;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:26:"validateEntityAutocomplete";}i:1;a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:20:"validateWebformUsers";}}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\webform\\Element\\WebformUsers";i:1;s:13:"valueCallback";}s:5:"#type";s:13:"webform_users";}s:12:"webform_link";a:10:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:14:"#title_display";s:9:"invisible";s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:22:"webform_composite_link";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformLink";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_link";}s:18:"webform_video_file";a:17:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:18:"processManagedFile";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:19:"validateManagedFile";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:20:"preRenderManagedFile";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:27:"preRenderWebformManagedFile";}}s:6:"#theme";s:17:"file_managed_file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:19:"#progress_indicator";s:8:"throbber";s:17:"#progress_message";N;s:18:"#upload_validators";a:0:{}s:16:"#upload_location";N;s:5:"#size";i:22;s:9:"#multiple";b:0;s:9:"#extended";b:0;s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:16:"file/drupal.file";}}s:7:"#accept";N;s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformVideoFile";i:1;s:13:"valueCallback";}s:5:"#type";s:18:"webform_video_file";}s:15:"webform_actions";a:3:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:21:"processWebformActions";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformActions";i:1;s:16:"processContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_actions";}s:15:"webform_flexbox";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:37:"Drupal\\webform\\Element\\WebformFlexbox";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:15:"webform_flexbox";}s:22:"webform_email_multiple";a:11:{s:6:"#input";b:1;s:12:"#description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:132:"Multiple email addresses may be separated by commas. Emails are only sent to cc and bcc addresses if a To email address is provided.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"#size";i:60;s:12:"#cardinality";N;s:13:"#allow_tokens";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:26:"processWebformEmailConfirm";}i:1;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:29:"preRenderWebformEmailMultiple";}}s:6:"#theme";s:29:"input__webform_email_multiple";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:43:"Drupal\\webform\\Element\\WebformEmailMultiple";i:1;s:13:"valueCallback";}s:5:"#type";s:22:"webform_email_multiple";}s:17:"webform_telephone";a:9:{s:6:"#input";b:1;s:7:"#access";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:23:"processWebformComposite";}i:1;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:8:"#flexbox";b:1;s:6:"#theme";s:27:"webform_composite_telephone";s:15:"#value_callback";a:2:{i:0;s:39:"Drupal\\webform\\Element\\WebformTelephone";i:1;s:13:"valueCallback";}s:5:"#type";s:17:"webform_telephone";}s:19:"webform_wizard_page";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:40:"Drupal\\webform\\Element\\WebformWizardPage";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:19:"webform_wizard_page";}s:21:"webform_entity_select";a:14:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEntitySelect";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_entity_select";}s:21:"webform_email_confirm";a:7:{s:6:"#input";b:1;s:5:"#size";i:60;s:8:"#process";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:26:"processWebformEmailConfirm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:36:"preRenderWebformCompositeFormElement";}}s:9:"#required";b:0;s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\webform\\Element\\WebformEmailConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:21:"webform_email_confirm";}s:23:"webform_term_checkboxes";a:12:{s:11:"#vocabulary";s:0:"";s:15:"#tree_delimiter";s:18:"&nbsp;&nbsp;&nbsp;";s:11:"#breadcrumb";b:0;s:21:"#breadcrumb_delimiter";s:5:" › ";s:7:"#scroll";b:1;s:6:"#depth";N;s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:17:"processCheckboxes";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:44:"Drupal\\webform\\Element\\WebformTermCheckboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:23:"webform_term_checkboxes";}s:24:"webform_excluded_columns";a:7:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:22:"processWebformExcluded";}}s:11:"#webform_id";N;s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#default_value";a:0:{}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\webform\\Element\\WebformExcludedColumns";i:1;s:13:"valueCallback";}s:5:"#type";s:24:"webform_excluded_columns";}s:12:"webform_same";a:12:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:7:"#source";N;s:12:"#destination";N;s:18:"#destination_state";s:7:"visible";s:15:"#value_callback";a:2:{i:0;s:34:"Drupal\\webform\\Element\\WebformSame";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"webform_same";}s:4:"view";a:7:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:25:"Drupal\\views\\Element\\View";i:1;s:20:"preRenderViewElement";}}s:5:"#name";N;s:11:"#display_id";s:7:"default";s:10:"#arguments";a:0:{}s:6:"#embed";b:1;s:6:"#cache";a:0:{}s:5:"#type";s:4:"view";}s:20:"paragraph_operations";a:3:{s:6:"#theme";s:41:"links__dropbutton__operations__paragraphs";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\paragraphs\\Element\\ParagraphOperations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:20:"paragraph_operations";}s:18:"paragraphs_actions";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:43:"Drupal\\paragraphs\\Element\\ParagraphsActions";i:1;s:26:"preRenderParagraphsActions";}}s:6:"#theme";s:18:"paragraphs_actions";s:5:"#type";s:18:"paragraphs_actions";}s:19:"entity_autocomplete";a:18:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:5:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:25:"processEntityAutocomplete";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:15:"processAjaxForm";}i:3;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"processPattern";}i:4;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:12:"#target_type";N;s:18:"#selection_handler";s:7:"default";s:19:"#selection_settings";a:0:{}s:5:"#tags";b:0;s:11:"#autocreate";N;s:19:"#validate_reference";b:1;s:22:"#process_default_value";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:26:"validateEntityAutocomplete";}}s:15:"#value_callback";a:2:{i:0;s:45:"Drupal\\Core\\Entity\\Element\\EntityAutocomplete";i:1;s:13:"valueCallback";}s:5:"#type";s:19:"entity_autocomplete";}s:15:"break_lock_link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;O:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink":7:{s:11:"\0*\0pluginId";s:15:"break_lock_link";s:19:"\0*\0pluginDefinition";a:3:{s:2:"id";s:15:"break_lock_link";s:5:"class";s:43:"Drupal\\Core\\TempStore\\Element\\BreakLockLink";s:8:"provider";s:4:"core";}s:16:"\0*\0configuration";a:0:{}s:20:"\0*\0stringTranslation";N;s:14:"\0*\0_serviceIds";a:3:{s:13:"dateFormatter";s:14:"date.formatter";s:17:"entityTypeManager";s:19:"entity_type.manager";s:8:"renderer";s:8:"renderer";}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0messenger";N;}i:1;s:13:"preRenderLock";}}s:5:"#type";s:15:"break_lock_link";}s:4:"html";a:2:{s:6:"#theme";s:4:"html";s:5:"#type";s:4:"html";}s:9:"more_link";a:4:{s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"More";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:9:"more-link";}}}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\MoreLink";i:1;s:13:"preRenderLink";}}s:5:"#type";s:9:"more_link";}s:5:"radio";a:9:{s:6:"#input";b:1;s:14:"#default_value";N;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:14:"preRenderRadio";}}s:6:"#theme";s:12:"input__radio";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Radio";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"radio";}s:6:"button";a:11:{s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:25:"#executes_submit_callback";b:0;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Button";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"button";s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:28:"core/drupal.touchevents-test";}}}s:6:"select";a:11:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:13:"#sort_options";b:0;s:11:"#sort_start";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"processSelect";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:15:"preRenderSelect";}}s:6:"#theme";s:6:"select";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:8:"#options";a:0:{}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Select";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"select";}s:6:"radios";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"processRadios";}i:1;s:23:"webform_process_options";}s:15:"#theme_wrappers";a:1:{i:0;s:6:"radios";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Radios";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"radios";}s:6:"weight";a:6:{s:6:"#input";b:1;s:6:"#delta";i:10;s:14:"#default_value";i:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"processWeight";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:15:"processAjaxForm";}}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Weight";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"weight";}s:4:"link";a:2:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Link";i:1;s:13:"preRenderLink";}}s:5:"#type";s:4:"link";}s:5:"range";a:11:{s:4:"#min";i:0;s:4:"#max";i:100;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"preRenderRange";}}s:6:"#theme";s:12:"input__range";s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:14:"validateNumber";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Range";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"range";}s:15:"inline_template";a:4:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\InlineTemplate";i:1;s:23:"preRenderInlineTemplate";}}s:9:"#template";s:0:"";s:8:"#context";a:0:{}s:5:"#type";s:15:"inline_template";}s:8:"textarea";a:10:{s:6:"#input";b:1;s:5:"#cols";i:60;s:5:"#rows";i:5;s:10:"#resizable";s:8:"vertical";s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:8:"textarea";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Textarea";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"textarea";}s:12:"image_button";a:13:{s:13:"#return_value";b:1;s:18:"#has_garbage_value";b:1;s:4:"#src";N;s:15:"#theme_wrappers";a:1:{i:0;s:19:"input__image_button";}s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:15:"preRenderButton";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\ImageButton";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"image_button";}s:10:"page_title";a:3:{s:6:"#theme";s:10:"page_title";s:6:"#title";N;s:5:"#type";s:10:"page_title";}s:10:"dropbutton";a:3:{s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Dropbutton";i:1;s:19:"preRenderDropbutton";}}s:6:"#theme";s:17:"links__dropbutton";s:5:"#type";s:10:"dropbutton";}s:5:"label";a:2:{s:6:"#theme";s:18:"form_element_label";s:5:"#type";s:5:"label";}s:9:"textfield";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Textfield";i:1;s:13:"valueCallback";}s:5:"#type";s:9:"textfield";}s:5:"color";a:8:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"validateColor";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:14:"preRenderColor";}}s:6:"#theme";s:12:"input__color";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Color";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"color";}s:6:"submit";a:10:{s:25:"#executes_submit_callback";b:1;s:6:"#input";b:1;s:5:"#name";s:2:"op";s:10:"#is_button";b:1;s:24:"#limit_validation_errors";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"processButton";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:15:"preRenderButton";}}s:15:"#theme_wrappers";a:1:{i:0;s:13:"input__submit";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Submit";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"submit";}s:5:"value";a:3:{s:6:"#input";b:1;s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Value";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"value";}s:13:"vertical_tabs";a:5:{s:12:"#default_tab";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:19:"processVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\VerticalTabs";i:1;s:21:"preRenderVerticalTabs";}i:1;a:2:{i:0;s:39:"Drupal\\field_group\\Element\\VerticalTabs";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:2:{i:0;s:13:"vertical_tabs";i:1;s:12:"form_element";}s:5:"#type";s:13:"vertical_tabs";}s:5:"table";a:17:{s:7:"#header";a:0:{}s:5:"#rows";a:0:{}s:6:"#empty";s:0:"";s:6:"#input";b:1;s:5:"#tree";b:1;s:12:"#tableselect";b:0;s:7:"#sticky";b:0;s:11:"#responsive";b:1;s:9:"#multiple";b:1;s:10:"#js_select";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:12:"processTable";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"validateTable";}}s:10:"#tabledrag";a:0:{}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:14:"preRenderTable";}}s:6:"#theme";s:5:"table";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Table";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"table";}s:15:"status_messages";a:4:{s:8:"#display";N;s:11:"#pre_render";a:1:{i:0;s:62:"Drupal\\Core\\Render\\Element\\StatusMessages::generatePlaceholder";}s:17:"#include_fallback";b:0;s:5:"#type";s:15:"status_messages";}s:4:"file";a:9:{s:6:"#input";b:1;s:9:"#multiple";b:0;s:8:"#process";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:11:"processFile";}}s:5:"#size";i:60;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"preRenderFile";}}s:6:"#theme";s:11:"input__file";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\File";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"file";}s:4:"form";a:3:{s:7:"#method";s:4:"post";s:15:"#theme_wrappers";a:1:{i:0;s:4:"form";}s:5:"#type";s:4:"form";}s:3:"url";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:255;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:11:"validateUrl";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:12:"preRenderUrl";}}s:6:"#theme";s:10:"input__url";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Url";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"url";}s:10:"fieldgroup";a:6:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:10:"fieldgroup";}}s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Fieldgroup";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:10:"fieldgroup";}s:8:"password";a:9:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:17:"preRenderPassword";}}s:6:"#theme";s:15:"input__password";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Password";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"password";}s:6:"hidden";a:6:{s:6:"#input";b:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Hidden";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"hidden";}s:5:"email";a:11:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:254;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"processPattern";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"validateEmail";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:14:"preRenderEmail";}}s:6:"#theme";s:12:"input__email";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Email";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"email";}s:10:"operations";a:3:{s:6:"#theme";s:29:"links__dropbutton__operations";s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Operations";i:1;s:19:"preRenderDropbutton";}}s:5:"#type";s:10:"operations";}s:16:"password_confirm";a:6:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:8:"#process";a:2:{i:0;a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:22:"processPasswordConfirm";}i:1;s:34:"user_form_process_password_confirm";}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:42:"Drupal\\Core\\Render\\Element\\PasswordConfirm";i:1;s:13:"valueCallback";}s:5:"#type";s:16:"password_confirm";}s:8:"fieldset";a:5:{s:8:"#process";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Fieldset";i:1;s:14:"preRenderGroup";}}s:6:"#value";N;s:15:"#theme_wrappers";a:1:{i:0;s:8:"fieldset";}s:5:"#type";s:8:"fieldset";}s:8:"checkbox";a:9:{s:6:"#input";b:1;s:13:"#return_value";i:1;s:8:"#process";a:3:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:17:"preRenderCheckbox";}i:1;a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:15:"input__checkbox";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#title_display";s:5:"after";s:15:"#value_callback";a:2:{i:0;s:35:"Drupal\\Core\\Render\\Element\\Checkbox";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"checkbox";}s:4:"path";a:13:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:4:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"processPattern";}i:3;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:18:"preRenderTextfield";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:14:"#validate_path";b:1;s:13:"#convert_path";i:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:19:"validateMatchedPath";}}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\PathElement";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"path";}s:10:"checkboxes";a:6:{s:6:"#input";b:1;s:8:"#process";a:2:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:17:"processCheckboxes";}i:1;s:23:"webform_process_options";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:29:"preRenderCompositeFormElement";}}s:15:"#theme_wrappers";a:1:{i:0;s:10:"checkboxes";}s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Render\\Element\\Checkboxes";i:1;s:13:"valueCallback";}s:5:"#type";s:10:"checkboxes";}s:4:"page";a:4:{s:6:"#theme";s:4:"page";s:6:"#title";s:0:"";s:5:"#type";s:4:"page";s:15:"#theme_wrappers";a:1:{s:23:"off_canvas_page_wrapper";a:1:{s:7:"#weight";i:-1000;}}}s:9:"container";a:5:{s:9:"#optional";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:16:"processContainer";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:14:"preRenderGroup";}i:1;a:2:{i:0;s:36:"Drupal\\Core\\Render\\Element\\Container";i:1;s:18:"preRenderContainer";}}s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:9:"container";}s:4:"ajax";a:4:{s:7:"#header";b:1;s:9:"#commands";a:0:{}s:6:"#error";N;s:5:"#type";s:4:"ajax";}s:4:"date";a:9:{s:6:"#input";b:1;s:6:"#theme";s:11:"input__date";s:8:"#process";a:2:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:15:"processAjaxForm";}i:1;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:11:"processDate";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"preRenderDate";}}s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:11:"#attributes";a:1:{s:4:"type";s:4:"date";}s:17:"#date_date_format";s:5:"Y-m-d";s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Date";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"date";}s:7:"details";a:7:{s:5:"#open";b:0;s:19:"#summary_attributes";a:0:{}s:6:"#value";N;s:8:"#process";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:12:"processGroup";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:16:"preRenderDetails";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Details";i:1;s:14:"preRenderGroup";}}s:15:"#theme_wrappers";a:1:{i:0;s:7:"details";}s:5:"#type";s:7:"details";}s:5:"pager";a:8:{s:11:"#pre_render";a:1:{i:0;s:48:"Drupal\\Core\\Render\\Element\\Pager::preRenderPager";}s:6:"#theme";s:5:"pager";s:8:"#element";i:0;s:11:"#parameters";a:0:{}s:9:"#quantity";i:9;s:5:"#tags";a:0:{}s:11:"#route_name";s:6:"<none>";s:5:"#type";s:5:"pager";}s:15:"language_select";a:4:{s:6:"#input";b:1;s:14:"#default_value";s:3:"und";s:15:"#value_callback";a:2:{i:0;s:41:"Drupal\\Core\\Render\\Element\\LanguageSelect";i:1;s:13:"valueCallback";}s:5:"#type";s:15:"language_select";}s:19:"system_compact_link";a:3:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:20:"preRenderCompactLink";}i:1;a:2:{i:0;s:44:"Drupal\\Core\\Render\\Element\\SystemCompactLink";i:1;s:13:"preRenderLink";}}s:15:"#theme_wrappers";a:1:{s:9:"container";a:1:{s:11:"#attributes";a:1:{s:5:"class";a:1:{i:0;s:12:"compact-link";}}}}s:5:"#type";s:19:"system_compact_link";}s:12:"machine_name";a:13:{s:6:"#input";b:1;s:14:"#default_value";N;s:9:"#required";b:1;s:10:"#maxlength";i:64;s:5:"#size";i:60;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"processMachineName";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"processAutocomplete";}i:2;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:19:"validateMachineName";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:18:"preRenderTextfield";}}s:6:"#theme";s:16:"input__textfield";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\MachineName";i:1;s:13:"valueCallback";}s:5:"#type";s:12:"machine_name";}s:6:"number";a:9:{s:6:"#input";b:1;s:5:"#step";i:1;s:8:"#process";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"processAjaxForm";}}s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:14:"validateNumber";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:15:"preRenderNumber";}}s:6:"#theme";s:13:"input__number";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Number";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"number";}s:4:"item";a:5:{s:6:"#input";b:1;s:7:"#markup";s:0:"";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:31:"Drupal\\Core\\Render\\Element\\Item";i:1;s:13:"valueCallback";}s:5:"#type";s:4:"item";}s:8:"html_tag";a:4:{s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:28:"preRenderConditionalComments";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\HtmlTag";i:1;s:16:"preRenderHtmlTag";}}s:11:"#attributes";a:0:{}s:6:"#value";N;s:5:"#type";s:8:"html_tag";}s:6:"search";a:10:{s:6:"#input";b:1;s:5:"#size";i:60;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:2:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"processAjaxForm";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:15:"preRenderSearch";}}s:6:"#theme";s:13:"input__search";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:33:"Drupal\\Core\\Render\\Element\\Search";i:1;s:13:"valueCallback";}s:5:"#type";s:6:"search";}s:3:"tel";a:10:{s:6:"#input";b:1;s:5:"#size";i:30;s:10:"#maxlength";i:128;s:24:"#autocomplete_route_name";b:0;s:8:"#process";a:3:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:19:"processAutocomplete";}i:1;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:14:"processPattern";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:12:"preRenderTel";}}s:6:"#theme";s:10:"input__tel";s:15:"#theme_wrappers";a:1:{i:0;s:12:"form_element";}s:15:"#value_callback";a:2:{i:0;s:30:"Drupal\\Core\\Render\\Element\\Tel";i:1;s:13:"valueCallback";}s:5:"#type";s:3:"tel";}s:11:"tableselect";a:12:{s:6:"#input";b:1;s:10:"#js_select";b:1;s:9:"#multiple";b:1;s:11:"#responsive";b:1;s:7:"#sticky";b:0;s:11:"#pre_render";a:2:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:14:"preRenderTable";}i:1;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:20:"preRenderTableselect";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:18:"processTableselect";}}s:8:"#options";a:0:{}s:6:"#empty";s:0:"";s:6:"#theme";s:18:"table__tableselect";s:15:"#value_callback";a:2:{i:0;s:38:"Drupal\\Core\\Render\\Element\\Tableselect";i:1;s:13:"valueCallback";}s:5:"#type";s:11:"tableselect";}s:5:"token";a:5:{s:6:"#input";b:1;s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:15:"preRenderHidden";}}s:6:"#theme";s:13:"input__hidden";s:15:"#value_callback";a:2:{i:0;s:32:"Drupal\\Core\\Render\\Element\\Token";i:1;s:13:"valueCallback";}s:5:"#type";s:5:"token";}s:13:"status_report";a:4:{s:6:"#theme";s:21:"status_report_grouped";s:11:"#priorities";a:4:{i:0;s:5:"error";i:1;s:7:"warning";i:2;s:7:"checked";i:3;s:2:"ok";}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:39:"Drupal\\Core\\Render\\Element\\StatusReport";i:1;s:26:"preRenderGroupRequirements";}}s:5:"#type";s:13:"status_report";}s:7:"actions";a:4:{s:8:"#process";a:3:{i:0;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:26:"preRenderActionsDropbutton";}i:1;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:14:"processActions";}i:2;a:2:{i:0;s:34:"Drupal\\Core\\Render\\Element\\Actions";i:1;s:16:"processContainer";}}s:7:"#weight";i:100;s:15:"#theme_wrappers";a:1:{i:0;s:9:"container";}s:5:"#type";s:7:"actions";}s:8:"datelist";a:12:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:16:"validateDatelist";}}s:8:"#process";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:15:"processDatelist";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:16:"#date_part_order";a:5:{i:0;s:4:"year";i:1;s:5:"month";i:2;s:3:"day";i:3;s:4:"hour";i:4;s:6:"minute";}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:20:"#date_date_callbacks";a:0:{}s:14:"#date_timezone";s:13:"Europe/Athens";s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datelist";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datelist";}s:8:"datetime";a:16:{s:6:"#input";b:1;s:17:"#element_validate";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:16:"validateDatetime";}}s:8:"#process";a:3:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processDatetime";}i:1;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:15:"processAjaxForm";}i:2;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:12:"processGroup";}}s:11:"#pre_render";a:1:{i:0;a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:14:"preRenderGroup";}}s:6:"#theme";s:13:"datetime_form";s:15:"#theme_wrappers";a:1:{i:0;s:16:"datetime_wrapper";}s:17:"#date_date_format";s:5:"Y-m-d";s:18:"#date_date_element";s:4:"date";s:20:"#date_date_callbacks";a:0:{}s:17:"#date_time_format";s:5:"H:i:s";s:18:"#date_time_element";s:4:"time";s:20:"#date_time_callbacks";a:0:{}s:16:"#date_year_range";s:9:"1900:2050";s:15:"#date_increment";i:1;s:15:"#value_callback";a:2:{i:0;s:37:"Drupal\\Core\\Datetime\\Element\\Datetime";i:1;s:13:"valueCallback";}s:5:"#type";s:8:"datetime";}}', -1, '1681649761.398', 1, 'element_info_build', '3');
INSERT INTO `cache_discovery` VALUES
('entity_base_field_definitions:block_content:en', 'a:15:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Custom block ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"The custom block ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The custom block UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"The revision ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"The custom block language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:86;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The block type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"type";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:18:"block_content_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:118;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:145;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:168;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"revision_log";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The log entry explaining the changes in this revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:25;s:8:"settings";a:1:{s:4:"rows";i:4;}}}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:12:"revision_log";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:194;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:228;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"info";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:11:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Block description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"A brief description of your block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:11:"constraints";a:1:{s:11:"UniqueField";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"info";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:259;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the custom block was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:295;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"reusable";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Reusable";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"A boolean indicating whether this block is reusable.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:0;s:12:"revisionable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:8:"reusable";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:319;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:354;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:389;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:423;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.193', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:comment:en', 'a:19:{s:3:"cid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Comment ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The comment ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"cid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"translatable";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"comment_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment Type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:12:"comment_type";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"comment_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:88;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:22:"default_value_callback";s:47:"Drupal\\comment\\Entity\\Comment::getDefaultStatus";s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"status";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:115;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:22:"default_value_callback";s:52:"Drupal\\comment\\Entity\\Comment::getDefaultEntityOwner";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The user ID of the comment author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:147;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"pid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Parent ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The parent comment ID if this is a reply to a comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"pid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:7:"comment";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:174;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"entity_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The ID of the entity of which this comment is a reply.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:9:"entity_id";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"node";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:199;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"subject";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Subject";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;}s:12:"configurable";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"subject";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:64;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:225;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment author''s name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"name";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:60;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:253;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The comment author''s email address.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:282;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"homepage";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Homepage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The comment author''s home page address.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"homepage";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:14:"field_item:uri";s:8:"settings";a:2:{s:10:"max_length";i:255;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:305;}s:7:"\0*\0type";s:3:"uri";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"hostname";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Hostname";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The comment author''s hostname.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:22:"default_value_callback";s:49:"Drupal\\comment\\Entity\\Comment::getDefaultHostname";s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"hostname";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:330;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The time that the comment was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"created";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:357;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The time that the comment was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:380;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"thread";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Thread place";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:144:"The alphadecimal representation of the comment''s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"thread";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:403;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"entity_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The entity type to which this comment is attached.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:11:"entity_type";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:428;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:10:"field_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Comment field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The field name through which this comment was added.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:10:"field_name";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:454;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:480;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.194', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:contact_message:en', 'a:9:{s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The message UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The message language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:28;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"contact_form";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Form ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The ID of the associated form.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:12:"contact_form";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"contact_form";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:58;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The sender''s name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The name of the person that is sending the contact message.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"name";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:85;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"The sender''s email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The email of the person that is sending the contact message.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:110;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"subject";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Subject";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;}s:12:"configurable";b:1;}}s:8:"provider";s:7:"contact";s:10:"field_name";s:7:"subject";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:100;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:132;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:2:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:1:{s:4:"rows";i:12;}}s:12:"configurable";b:1;}s:4:"view";a:2:{s:7:"options";a:3:{s:4:"type";s:6:"string";s:6:"weight";i:0;s:5:"label";s:5:"above";}s:12:"configurable";b:1;}}s:8:"provider";s:7:"contact";s:10:"field_name";s:7:"message";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:160;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"copy";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Copy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Whether to send a copy of the message to the sender.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"copy";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:194;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"recipient";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Recipient ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The ID of the recipient user for personal contact messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:9:"recipient";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:224;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.197', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:file:en', 'a:11:{s:3:"fid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"File ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The file ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:3:"fid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The file UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The file language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:0;s:22:"default_value_callback";s:46:"Drupal\\file\\Entity\\File::getDefaultEntityOwner";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The user ID of the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:87;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"filename";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Filename";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Name of the file with no path components.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filename";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:114;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"uri";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The URI to access the file (either local or remote).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:13:"FileUriUnique";N;}s:8:"provider";s:4:"file";s:10:"field_name";s:3:"uri";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:file_uri";s:8:"settings";a:2:{s:10:"max_length";i:255;s:14:"case_sensitive";b:1;}}s:18:"\0*\0fieldDefinition";r:139;}s:7:"\0*\0type";s:8:"file_uri";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"filemime";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"File MIME type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The file''s MIME type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filemime";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:165;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"filesize";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File size";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The size of the file in bytes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filesize";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:3:"big";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:190;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The status of the file, temporary (FALSE) and permanent (TRUE).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:4:"file";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:218;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The timestamp that the file was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:251;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The timestamp that the file was last changed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:273;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.198', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_base_field_definitions:font:en', 'a:18:{s:3:"fid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The ID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"fid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The UUID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"pid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Provider ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The font provider ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"pid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:50;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Font URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"A URL for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:191;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:98;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The name of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:4:"name";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:139;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:10:"css_family";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Family";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS family for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:10:"css_family";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:180;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"css_style";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"CSS Style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"CSS style for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:9:"css_style";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:221;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:10:"css_weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS weight for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:10:"css_weight";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:262;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"foundry";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Foundry";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Foundry for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"foundry";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:303;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"foundry_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Foundry URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Foundry URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:11:"foundry_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:344;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"license";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"License";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font License.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"license";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:385;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"license_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"License URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"License URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:11:"license_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:426;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"designer";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:8:"designer";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:467;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"designer_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Designer URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Designer URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:12:"designer_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:508;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"metadata";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Additional Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"form";a:2:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}s:12:"configurable";b:1;}s:4:"view";a:2:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:8:"metadata";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:549;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The time that the entity was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:581;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The time that the entity was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:603;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Font status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A boolean indicating whether the font is enabled. Mostly used for views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:625;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649759.937', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:menu_link_content:en', 'a:22:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"The entity ID for this menu link content entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The content menu link UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The menu link language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:82;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"bundle";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";s:23:"Custom menu link bundle";s:8:"required";b:1;s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The content menu link bundle.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"bundle";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:114;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:138;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:161;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:20:"revision_log_message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:20:"revision_log_message";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:187;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"enabled";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Enabled";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"A flag for whether the link should be enabled in menus or hidden.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:-1;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"enabled";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:218;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Menu link title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The text to be used for this link in the menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:5:"title";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:264;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Shown when hovering over the menu link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:11:"description";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:303;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"menu_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Menu name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"The menu name. All links with the same menu name (such as "tools") are part of the same menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:5:"tools";}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:9:"menu_name";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:340;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The location this menu link points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:-2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"link";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:17;}}s:18:"\0*\0fieldDefinition";r:368;}s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"external";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"External";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:120:"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:12:"revisionable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"external";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:399;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:10:"rediscover";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Indicates whether the menu link should be rediscovered";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:10:"rediscover";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:433;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:172:"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:14:"number_integer";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:6:"number";s:6:"weight";i:20;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:462;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"expanded";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Show as expanded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:164:"If selected and this menu link has children, the menu will always appear expanded. This option may be overridden for the entire menu tree when placing a menu block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"expanded";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:503;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Parent plugin ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:94:"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:547;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"The time that the menu link was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:572;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:596;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:631;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:665;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.185', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:node:en', 'a:19:{s:3:"nid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:3:"nid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:27;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:49;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:74;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";s:12:"Content type";s:8:"required";b:1;s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:4:"type";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:9:"node_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:102;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:18:"revision_timestamp";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:18:"revision_timestamp";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:122;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"revision_uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:12:"revision_uid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:145;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"revision_log";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:25;s:8:"settings";a:1:{s:4:"rows";i:4;}}}}s:8:"provider";s:4:"node";s:10:"field_name";s:12:"revision_log";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:171;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:120;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:205;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:22:"default_value_callback";s:46:"Drupal\\node\\Entity\\Node::getDefaultEntityOwner";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The username of the content author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"author";s:6:"weight";i:0;}}s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:5;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";s:2:"60";s:11:"placeholder";s:0:"";}}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:244;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:5:"title";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:287;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the node was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:9:"timestamp";s:6:"weight";i:0;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:322;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the node was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:357;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"promote";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Promoted to front page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:381;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"sticky";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Sticky at top of lists";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:6:"sticky";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:420;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:459;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:494;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:528;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"path";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:4:"path";s:6:"weight";i:30;}s:12:"configurable";b:1;}}s:8:"computed";b:1;s:8:"provider";s:4:"path";s:10:"field_name";s:4:"path";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:path";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:561;}s:7:"\0*\0type";s:4:"path";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.199', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_base_field_definitions:paragraph:en', 'a:14:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:2:"id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:27;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:49;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The paragraphs entity language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:74;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";s:14:"Paragraph type";s:8:"required";b:1;s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:4:"type";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:15:"paragraphs_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:98;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}s:12:"configurable";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:6:"status";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:118;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The time that the Paragraph was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:6:"region";s:6:"hidden";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:7:"created";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:154;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"parent_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Parent ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The ID of the parent entity of which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:9:"parent_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:184;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"parent_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Parent type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"The entity parent type to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:11:"parent_type";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:210;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:17:"parent_field_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Parent field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"The entity parent field name to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:17:"parent_field_name";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:236;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:17:"behavior_settings";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Behavior settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The behavior plugin settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"a:0:{}";}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:17:"behavior_settings";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:262;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:289;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:324;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:358;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.206', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:path_alias:en', 'a:8:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:2:"id";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:27;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:49;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:15:"language_select";s:6:"weight";i:0;s:8:"settings";a:1:{s:14:"include_locked";b:0;}}}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:3:"und";}}s:8:"provider";s:10:"path_alias";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:74;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"path";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"System path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The path that this alias belongs to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:4:"path";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:5;s:8:"settings";a:1:{s:4:"size";i:45;}}}}}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:9:"ValidPath";a:0:{}s:5:"Regex";a:2:{s:7:"pattern";s:6:"/^\\//i";s:7:"message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The source path has to start with a slash.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}}}s:18:"\0*\0fieldDefinition";r:106;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"alias";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"An alias used with this path.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:5:"alias";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;s:8:"settings";a:1:{s:4:"size";i:45;}}}}}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:5:"Regex";a:2:{s:7:"pattern";s:6:"/^\\//i";s:7:"message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The alias path has to start with a slash.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}}}s:18:"\0*\0fieldDefinition";r:150;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:10:"path_alias";s:10:"field_name";s:6:"status";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:193;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:224;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649759.918', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:shortcut:en', 'a:8:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The ID of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:2:"id";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The UUID of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"translatable";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The language code of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"shortcut_set";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The bundle of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:12:"shortcut_set";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"shortcut_set";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:88;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The name of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:1:{s:4:"size";i:40;}}}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:5:"title";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:115;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Weight among shortcuts in the same shortcut set.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:149;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The location this shortcut points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:4:"link";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:1;}}s:18:"\0*\0fieldDefinition";r:177;}s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:208;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.200', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:taxonomy_term:en', 'a:18:{s:3:"tid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The term ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"tid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The term language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:82;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The vocabulary to which the term is assigned.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:19:"taxonomy_vocabulary";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:114;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:141;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:164;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:20:"revision_log_message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:20:"revision_log_message";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:190;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:100;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:5:"class";s:22:"Drupal\\user\\StatusItem";}s:18:"\0*\0fieldDefinition";r:221;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:8:"required";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:261;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:11:"description";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:text_long";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:296;}s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The weight of this term in relation to other terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:328;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:359;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the term was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:385;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:409;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:444;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:478;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"path";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:4:"path";s:6:"weight";i:30;}s:12:"configurable";b:1;}}s:8:"computed";b:1;s:8:"provider";s:4:"path";s:10:"field_name";s:4:"path";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:path";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:511;}s:7:"\0*\0type";s:4:"path";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.202', 1, 'entity_field_info entity_types', '3'),
('entity_base_field_definitions:user:en', 'a:17:{s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The user ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The user UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}}s:12:"translatable";b:1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The user language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:57;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:18:"preferred_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Preferred language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"The user''s preferred language code for receiving emails and viewing the site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:18:"preferred_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:13:"AllowedValues";a:1:{s:8:"callback";s:60:"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes";}s:6:"Length";a:1:{s:3:"max";i:12;}}}}}s:18:"\0*\0fieldDefinition";r:87;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:24:"preferred_admin_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Preferred admin language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:68:"The user''s preferred language code for viewing administration pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";N;}}s:8:"provider";s:4:"user";s:10:"field_name";s:24:"preferred_admin_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:13:"AllowedValues";a:1:{s:8:"callback";s:60:"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes";}s:6:"Length";a:1:{s:3:"max";i:12;}}}}}s:18:"\0*\0fieldDefinition";r:116;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The name of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:11:"constraints";a:2:{s:8:"UserName";a:0:{}s:14:"UserNameUnique";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"name";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:5:"class";s:25:"\\Drupal\\user\\UserNameItem";}s:18:"\0*\0fieldDefinition";r:148;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"pass";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Password";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The password of this user (hashed).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:18:"ProtectedUserField";N;}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"pass";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:password";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:178;}s:7:"\0*\0type";s:8:"password";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The email of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:11:"constraints";a:3:{s:14:"UserMailUnique";N;s:16:"UserMailRequired";N;s:18:"ProtectedUserField";N;}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:205;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"timezone";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Timezone";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The timezone of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:8:"timezone";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:4:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:13:"AllowedValues";a:1:{s:8:"callback";s:44:"Drupal\\user\\Entity\\User::getAllowedTimezones";}}}}s:5:"class";s:24:"Drupal\\user\\TimeZoneItem";}s:18:"\0*\0fieldDefinition";r:234;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"User status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Whether the user is active or blocked.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:5:"class";s:22:"Drupal\\user\\StatusItem";}s:18:"\0*\0fieldDefinition";r:265;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the user was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:299;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the user was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:321;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"access";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Last access";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The time that the user last accessed the site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:6:"access";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:344;}s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"login";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Last login";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The time that the user last logged in.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:5:"login";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:369;}s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"init";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Initial email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The email address used for initial account creation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"init";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:394;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"roles";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Roles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The roles the user has.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:5:"roles";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:9:"user_role";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:419;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"user";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:445;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.203', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_base_field_definitions:webform_submission:en', 'a:19:{s:6:"serial";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Serial number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The serial number of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"serial";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"sid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Submission ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The ID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"sid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:31;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Submission UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The UUID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:60;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"token";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Token";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"A secure token used to look up a submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:5:"token";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:86;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"uri";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Submission URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The URI the user submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"uri";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:2000;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:112;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was first saved as draft or submitted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:7:"created";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:138;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"completed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Completed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was submitted as complete (not draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:9:"completed";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:160;}s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"The time that the webform submission was last saved (complete or draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:182;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"in_draft";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Is draft";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Is this a draft of the submission?";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:8:"in_draft";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:204;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:12:"current_page";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Current page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The current wizard page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:12:"current_page";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:237;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"remote_addr";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Remote IP address";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The IP address of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:11:"remote_addr";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:262;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Submitted by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The username of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:22:"default_value_callback";s:57:"Drupal\\webform\\Entity\\WebformSubmission::getCurrentUserId";s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:287;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The submission language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:313;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:10:"webform_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The associated webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:10:"webform_id";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:7:"webform";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:335;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:11:"entity_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Submitted to: Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The entity type to which this submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:11:"entity_type";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:360;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:9:"entity_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Submitted to: Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:73:"The ID of the entity of which this webform submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:9:"entity_id";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:385;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"locked";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Locked";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"A flag that indicates a locked webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"locked";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:410;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:6:"sticky";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Sticky";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag that indicate the status of the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"sticky";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:443;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}s:5:"notes";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Notes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Administrative notes about the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:7:"webform";s:10:"field_name";s:5:"notes";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:476;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.205', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_extra_fields:block_content:basic:en', 'a:2:{s:4:"form";a:0:{}s:7:"display";a:0:{}}', -1, '1681649767.660', 1, 'entity_field_info', '0'),
('entity_bundle_extra_fields:node:mt_canvas_page:en', 'a:2:{s:7:"display";a:1:{s:5:"links";a:4:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Node module element";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:100;s:7:"visible";b:1;}}s:4:"form";a:0:{}}', -1, '1681653973.094', 1, 'entity_field_info', '0'),
('entity_bundle_extra_fields:node:mt_speaker:en', 'a:2:{s:7:"display";a:1:{s:5:"links";a:4:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Node module element";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:100;s:7:"visible";b:1;}}s:4:"form";a:0:{}}', -1, '1681650107.736', 1, 'entity_field_info', '0'),
('entity_bundle_extra_fields:node:page:en', 'a:2:{s:7:"display";a:1:{s:5:"links";a:4:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Node module element";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:100;s:7:"visible";b:1;}}s:4:"form";a:0:{}}', -1, '1681649766.991', 1, 'entity_field_info', '0'),
('entity_bundle_field_definitions:block_content:basic:en', 'a:1:{s:4:"body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:24:"block_content.basic.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f846560e-28fe-4c24-a2e5-edde073bddae";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"R__6wc-rMfFMO8d7jcgqnqiA92j8spKhcc5MiqecrMc";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:24:"block_content.basic.body";s:13:"\0*\0field_name";s:4:"body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:5:"basic";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.571', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_background_image_block:en', 'a:6:{s:25:"field_mt_background_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:65:"block_content.mt_background_image_block.field_mt_background_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"510183e4-3805-4ba2-97f3-6d71b7e173ba";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_background_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:65:"block_content.mt_background_image_block.field_mt_background_image";s:13:"\0*\0field_name";s:25:"field_mt_background_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_image_block";s:8:"\0*\0label";s:16:"Background Image";s:14:"\0*\0description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_bg_image_color";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:63:"block_content.mt_background_image_block.field_mt_bg_image_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bc3df0d5-dd6b-4c97-b05b-6f6476b39928";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:51:"field.storage.block_content.field_mt_bg_image_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:63:"block_content.mt_background_image_block.field_mt_bg_image_color";s:13:"\0*\0field_name";s:23:"field_mt_bg_image_color";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_image_block";s:8:"\0*\0label";s:30:"Background Image Overlay Color";s:14:"\0*\0description";s:53:"From the drop-down menu, select the color you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_bg_image_layout_mode";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:69:"block_content.mt_background_image_block.field_mt_bg_image_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4614f686-f6dd-4bee-afc1-9d9bbf063c7c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_layout_mode";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_layout_mode";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_image_block";s:8:"\0*\0label";s:19:"Inner Blocks Layout";s:14:"\0*\0description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_bg_image_opacity";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:65:"block_content.mt_background_image_block.field_mt_bg_image_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c3f9e7d8-3a8b-40db-8882-a32ffa575b0f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_bg_image_opacity";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:65:"block_content.mt_background_image_block.field_mt_bg_image_opacity";s:13:"\0*\0field_name";s:25:"field_mt_bg_image_opacity";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_image_block";s:8:"\0*\0label";s:32:"Background Image Overlay Opacity";s:14:"\0*\0description";s:58:"Set the % opacity for the overlay of the background image.";s:11:"\0*\0settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_bg_image_positioning";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:69:"block_content.mt_background_image_block.field_mt_bg_image_positioning";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7b4fb691-fd2d-4460-83c8-084c7df8497a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_positioning";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_positioning";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_positioning";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_image_block";s:8:"\0*\0label";s:48:"Enable fixed positioning of the background image";s:14:"\0*\0description";s:99:"Use the checkbox to fix the position of the background image or allow it to scroll with the content";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_block_reference";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:64:"block_content.mt_background_image_block.field_mt_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8fe7e957-51c6-4af3-96ed-31b1701463b7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:64:"block_content.mt_background_image_block.field_mt_block_reference";s:13:"\0*\0field_name";s:24:"field_mt_block_reference";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_image_block";s:8:"\0*\0label";s:15:"Block Reference";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.575', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_background_video_block:en', 'a:7:{s:24:"field_mt_block_reference";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:64:"block_content.mt_background_video_block.field_mt_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9f5aeaec-f577-4b34-b516-bac71c883e2c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:64:"block_content.mt_background_video_block.field_mt_block_reference";s:13:"\0*\0field_name";s:24:"field_mt_block_reference";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_video_block";s:8:"\0*\0label";s:15:"Block Reference";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_bv_layout_mode";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:63:"block_content.mt_background_video_block.field_mt_bv_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6fa600ac-335d-4682-96fd-a998bd127b75";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:51:"field.storage.block_content.field_mt_bv_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:63:"block_content.mt_background_video_block.field_mt_bv_layout_mode";s:13:"\0*\0field_name";s:23:"field_mt_bv_layout_mode";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_video_block";s:8:"\0*\0label";s:19:"Inner Blocks Layout";s:14:"\0*\0description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_bv_overlay_color";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:65:"block_content.mt_background_video_block.field_mt_bv_overlay_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9fa17553-5cda-430c-8cde-06f12263c3d9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:53:"field.storage.block_content.field_mt_bv_overlay_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:65:"block_content.mt_background_video_block.field_mt_bv_overlay_color";s:13:"\0*\0field_name";s:25:"field_mt_bv_overlay_color";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_video_block";s:8:"\0*\0label";s:30:"Background Video Overlay Color";s:14:"\0*\0description";s:53:"From the drop-down menu, select the color you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_bv_overlay_opacity";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:67:"block_content.mt_background_video_block.field_mt_bv_overlay_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4e738158-1217-45ee-ac9c-06708611d158";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:67:"block_content.mt_background_video_block.field_mt_bv_overlay_opacity";s:13:"\0*\0field_name";s:27:"field_mt_bv_overlay_opacity";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_video_block";s:8:"\0*\0label";s:32:"Background Video Overlay Opacity";s:14:"\0*\0description";s:58:"Set the % opacity for the overlay of the background video.";s:11:"\0*\0settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_bv_poster";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:58:"block_content.mt_background_video_block.field_mt_bv_poster";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7cb6cdf9-a5a9-4383-9e57-e818a72a3cc9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:46:"field.storage.block_content.field_mt_bv_poster";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:58:"block_content.mt_background_video_block.field_mt_bv_poster";s:13:"\0*\0field_name";s:18:"field_mt_bv_poster";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_video_block";s:8:"\0*\0label";s:6:"Poster";s:14:"\0*\0description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_bv_video_mp4";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:61:"block_content.mt_background_video_block.field_mt_bv_video_mp4";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3dc8330f-5039-4bab-a393-460593651aaf";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:49:"field.storage.block_content.field_mt_bv_video_mp4";}s:6:"module";a:1:{i:0;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:61:"block_content.mt_background_video_block.field_mt_bv_video_mp4";s:13:"\0*\0field_name";s:21:"field_mt_bv_video_mp4";s:13:"\0*\0field_type";s:4:"file";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_video_block";s:8:"\0*\0label";s:22:"Background Video (mp4)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:3:"mp4";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_bv_video_webm";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:62:"block_content.mt_background_video_block.field_mt_bv_video_webm";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bbd57de8-d236-4c75-88f0-56002523dced";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:50:"field.storage.block_content.field_mt_bv_video_webm";}s:6:"module";a:1:{i:0;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:62:"block_content.mt_background_video_block.field_mt_bv_video_webm";s:13:"\0*\0field_name";s:22:"field_mt_bv_video_webm";s:13:"\0*\0field_type";s:4:"file";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_background_video_block";s:8:"\0*\0label";s:23:"Background Video (webm)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:4:"webm";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.580', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_collapsible_block:en', 'a:6:{s:24:"field_mt_block_reference";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:59:"block_content.mt_collapsible_block.field_mt_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7ee18867-5cad-424f-bd24-9e972434dac0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:59:"block_content.mt_collapsible_block.field_mt_block_reference";s:13:"\0*\0field_name";s:24:"field_mt_block_reference";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:20:"mt_collapsible_block";s:8:"\0*\0label";s:15:"Block Reference";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_cb_collapse_icon";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:60:"block_content.mt_collapsible_block.field_mt_cb_collapse_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4840933e-2edf-4262-b29e-a092b1b5e3d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:53:"field.storage.block_content.field_mt_cb_collapse_icon";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:60:"block_content.mt_collapsible_block.field_mt_cb_collapse_icon";s:13:"\0*\0field_name";s:25:"field_mt_cb_collapse_icon";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:20:"mt_collapsible_block";s:8:"\0*\0label";s:13:"Collapse icon";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_cb_expand_icon";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:58:"block_content.mt_collapsible_block.field_mt_cb_expand_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"465c50c2-9f00-4996-9c2f-c1d76faccf34";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:51:"field.storage.block_content.field_mt_cb_expand_icon";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:58:"block_content.mt_collapsible_block.field_mt_cb_expand_icon";s:13:"\0*\0field_name";s:23:"field_mt_cb_expand_icon";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:20:"mt_collapsible_block";s:8:"\0*\0label";s:11:"Expand icon";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_cb_state";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:52:"block_content.mt_collapsible_block.field_mt_cb_state";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3e82a681-b916-42a5-a0f3-7fc7d45591f3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_state";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:52:"block_content.mt_collapsible_block.field_mt_cb_state";s:13:"\0*\0field_name";s:17:"field_mt_cb_state";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:20:"mt_collapsible_block";s:8:"\0*\0label";s:22:"Collapse initial state";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:8:"expanded";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_cb_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:52:"block_content.mt_collapsible_block.field_mt_cb_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"707fd58a-e82f-4ed2-8594-af23a4c14e55";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_title";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:52:"block_content.mt_collapsible_block.field_mt_cb_title";s:13:"\0*\0field_name";s:17:"field_mt_cb_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:20:"mt_collapsible_block";s:8:"\0*\0label";s:14:"Collapse title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_cb_trigger_position";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:63:"block_content.mt_collapsible_block.field_mt_cb_trigger_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cf099eb0-f4cf-4db8-8689-32e4543691b7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:56:"field.storage.block_content.field_mt_cb_trigger_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:63:"block_content.mt_collapsible_block.field_mt_cb_trigger_position";s:13:"\0*\0field_name";s:28:"field_mt_cb_trigger_position";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:20:"mt_collapsible_block";s:8:"\0*\0label";s:16:"Trigger Position";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"bottom";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.584', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_bundle_field_definitions:block_content:mt_dropdowns_block:en', 'a:1:{s:17:"field_mt_dropdown";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"block_content.mt_dropdowns_block.field_mt_dropdown";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dceba06e-f3c2-4fab-bd63-311dbea437c9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:45:"field.storage.block_content.field_mt_dropdown";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"block_content.mt_dropdowns_block.field_mt_dropdown";s:13:"\0*\0field_name";s:17:"field_mt_dropdown";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:18:"mt_dropdowns_block";s:8:"\0*\0label";s:8:"Dropdown";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}s:24:"target_bundles_drag_drop";a:9:{s:11:"mt_collapse";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:7:"enabled";b:1;s:6:"weight";i:11;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.587', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_fancy_linked_images_block:en', 'a:1:{s:27:"field_mt_fancy_linked_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:70:"block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c96b6770-6250-4c07-9d12-1dd05990d5fe";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:2;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:70:"block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";s:13:"\0*\0field_name";s:27:"field_mt_fancy_linked_image";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:28:"mt_fancy_linked_images_block";s:8:"\0*\0label";s:18:"Fancy Linked Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:7:"enabled";b:1;s:6:"weight";i:5;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:11:"mt_ns_slide";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.590', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_fancy_tabs_block:en', 'a:1:{s:18:"field_mt_fancy_tab";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:52:"block_content.mt_fancy_tabs_block.field_mt_fancy_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cc3406c0-6618-4249-8835-9fff2ebef6a6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_fancy_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:52:"block_content.mt_fancy_tabs_block.field_mt_fancy_tab";s:13:"\0*\0field_name";s:18:"field_mt_fancy_tab";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:19:"mt_fancy_tabs_block";s:8:"\0*\0label";s:9:"Fancy Tab";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}s:24:"target_bundles_drag_drop";a:1:{s:12:"mt_fancy_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:2;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.593', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_fltt_block:en', 'a:1:{s:13:"field_mt_fltt";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.mt_fltt_block.field_mt_fltt";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b3f2234e-46f4-4172-9ee8-392185faa425";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:41:"field.storage.block_content.field_mt_fltt";i:2;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.mt_fltt_block.field_mt_fltt";s:13:"\0*\0field_name";s:13:"field_mt_fltt";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:13:"mt_fltt_block";s:8:"\0*\0label";s:25:"Featured Linked Text Tile";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}s:24:"target_bundles_drag_drop";a:6:{s:11:"mt_collapse";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:7:"enabled";b:1;s:6:"weight";i:10;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.596', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_google_maps:en', 'a:2:{s:21:"field_mt_map_location";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"block_content.mt_google_maps.field_mt_map_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6530800d-8d39-4cd5-a484-738140500835";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:49:"field.storage.block_content.field_mt_map_location";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"block_content.mt_google_maps.field_mt_map_location";s:13:"\0*\0field_name";s:21:"field_mt_map_location";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:14:"mt_google_maps";s:8:"\0*\0label";s:12:"Map Location";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:10:{s:11:"mt_collapse";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:17;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_map_zoom";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"block_content.mt_google_maps.field_mt_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e31a8f7b-fc55-4076-bb8c-e82d95b18ca5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:45:"field.storage.block_content.field_mt_map_zoom";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"block_content.mt_google_maps.field_mt_map_zoom";s:13:"\0*\0field_name";s:17:"field_mt_map_zoom";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:14:"mt_google_maps";s:8:"\0*\0label";s:8:"Map zoom";s:14:"\0*\0description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.600', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_if_block:en', 'a:1:{s:11:"field_mt_if";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"block_content.mt_if_block.field_mt_if";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"95953737-44ab-4383-a154-9283325ad37a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:39:"field.storage.block_content.field_mt_if";i:2;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"block_content.mt_if_block.field_mt_if";s:13:"\0*\0field_name";s:11:"field_mt_if";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:11:"mt_if_block";s:8:"\0*\0label";s:12:"Icon Feature";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}s:24:"target_bundles_drag_drop";a:12:{s:11:"mt_collapse";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:7:"enabled";b:1;s:6:"weight";i:19;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.603', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_main_slideshow_block:en', 'a:10:{s:30:"field_mt_main_slideshow_layout";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:68:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"91084980-ce10-4f4a-b965-812eddf014f1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:68:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";s:13:"\0*\0field_name";s:30:"field_mt_main_slideshow_layout";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:16:"Slideshow Layout";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"fullwidth";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_main_slideshow_slide";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:67:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c6550e11-7ea0-434c-b297-c2cbdf99d954";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:2;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:67:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";s:13:"\0*\0field_name";s:29:"field_mt_main_slideshow_slide";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:20:"Main Slideshow Slide";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}s:24:"target_bundles_drag_drop";a:7:{s:11:"mt_collapse";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:12;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_ms_background_opacity";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:68:"block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e1db7556-cf02-487d-869c-c5948a138216";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_ms_background_opacity";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:68:"block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";s:13:"\0*\0field_name";s:30:"field_mt_ms_background_opacity";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:28:"Slideshow Background Opacity";s:14:"\0*\0description";s:52:"Set the % opacity for the background of the caption.";s:11:"\0*\0settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_ms_bullets_position";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"046d32d1-ebf9-4d60-81bc-57076b72d6b7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_bullets_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";s:13:"\0*\0field_name";s:28:"field_mt_ms_bullets_position";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:37:"Slideshow Navigation Bullets Position";s:14:"\0*\0description";s:56:"From the drop-down menu, select the position you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"center";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_ms_effect";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:56:"block_content.mt_main_slideshow_block.field_mt_ms_effect";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"974767ed-4e6c-4913-abe3-646727e95c35";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:46:"field.storage.block_content.field_mt_ms_effect";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:56:"block_content.mt_main_slideshow_block.field_mt_ms_effect";s:13:"\0*\0field_name";s:18:"field_mt_ms_effect";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:16:"Slideshow Effect";s:14:"\0*\0description";s:64:"From the drop-down menu, select the slideshow effect you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:4:"fade";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_ms_effect_duration";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d1c071cc-0984-40da-84a4-43532908db72";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_effect_duration";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";s:13:"\0*\0field_name";s:27:"field_mt_ms_effect_duration";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:31:"Slideshow Effect duration (sec)";s:14:"\0*\0description";s:40:"Set the speed of animations, in seconds.";s:11:"\0*\0settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:9;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:32:"field_mt_ms_ignore_header_height";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:70:"block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"342f745a-3ef3-42eb-b2f6-43eecc424666";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:70:"block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";s:13:"\0*\0field_name";s:32:"field_mt_ms_ignore_header_height";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:20:"Ignore Header Height";s:14:"\0*\0description";s:65:"Ignore the Header Height when using the Full Screen Layout option";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:2:"on";s:9:"off_label";s:3:"off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_ms_initial_height";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:64:"block_content.mt_main_slideshow_block.field_mt_ms_initial_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a329c6d3-3e9a-4ec7-bbd8-37173eff9ac1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:54:"field.storage.block_content.field_mt_ms_initial_height";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:64:"block_content.mt_main_slideshow_block.field_mt_ms_initial_height";s:13:"\0*\0field_name";s:26:"field_mt_ms_initial_height";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:24:"Slideshow Initial Height";s:14:"\0*\0description";s:33:"Set the initial height, in pixels";s:11:"\0*\0settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:650;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_ms_navigation_style";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dd7b7186-fc99-4e24-ac6d-481d29194524";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_navigation_style";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";s:13:"\0*\0field_name";s:28:"field_mt_ms_navigation_style";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:26:"Slideshow Navigation Style";s:14:"\0*\0description";s:53:"From the drop-down menu, select the style you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:7:"bullets";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_ms_touch_swipe_nav";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"91c6da3d-07c1-4748-8794-4b3e2a1275a9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";s:13:"\0*\0field_name";s:27:"field_mt_ms_touch_swipe_nav";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_block";s:8:"\0*\0label";s:29:"Enable touch swipe navigation";s:14:"\0*\0description";s:79:"Use the checkbox to enable or disable touch swipe navigation in mobile devices.";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:1;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.607', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_media_tabs_block:en', 'a:1:{s:18:"field_mt_media_tab";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:52:"block_content.mt_media_tabs_block.field_mt_media_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7b21f57f-0ca1-4b0a-865e-60b58eaab5c7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_media_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:52:"block_content.mt_media_tabs_block.field_mt_media_tab";s:13:"\0*\0field_name";s:18:"field_mt_media_tab";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:19:"mt_media_tabs_block";s:8:"\0*\0label";s:9:"Media Tab";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:5;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:7;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.611', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_nodes_slideshow_block:en', 'a:1:{s:17:"field_mt_ns_slide";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:56:"block_content.mt_nodes_slideshow_block.field_mt_ns_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5e48e528-c122-4020-984a-e98c7ffe27d3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:4:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:45:"field.storage.block_content.field_mt_ns_slide";i:2;s:20:"node.type.mt_product";i:3;s:20:"node.type.mt_service";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:56:"block_content.mt_nodes_slideshow_block.field_mt_ns_slide";s:13:"\0*\0field_name";s:17:"field_mt_ns_slide";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:24:"mt_nodes_slideshow_block";s:8:"\0*\0label";s:10:"Node Slide";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:2:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.614', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_tabs_block:en', 'a:1:{s:24:"field_mt_block_reference";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:52:"block_content.mt_tabs_block.field_mt_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8500a028-bd4f-4b01-bbcf-c96c4ae70a95";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:52:"block_content.mt_tabs_block.field_mt_block_reference";s:13:"\0*\0field_name";s:24:"field_mt_block_reference";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:13:"mt_tabs_block";s:8:"\0*\0label";s:15:"Block Reference";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.616', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_timeline_block:en', 'a:2:{s:26:"field_mt_tml_timeline_item";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:58:"block_content.mt_timeline_block.field_mt_tml_timeline_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2e04f648-833e-4e53-9c7c-5f0916829e8a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:54:"field.storage.block_content.field_mt_tml_timeline_item";i:2;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:58:"block_content.mt_timeline_block.field_mt_tml_timeline_item";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_item";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:17:"mt_timeline_block";s:8:"\0*\0label";s:8:"Timeline";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:7:"enabled";b:1;s:6:"weight";i:27;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_tml_timeline_viewmore";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:62:"block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d6e9e355-572d-42fe-8d08-7db6c40dc2aa";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:58:"field.storage.block_content.field_mt_tml_timeline_viewmore";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:62:"block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";s:13:"\0*\0field_name";s:30:"field_mt_tml_timeline_viewmore";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:17:"mt_timeline_block";s:8:"\0*\0label";s:4:"Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.620', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_typing_animation_block:en', 'a:1:{s:4:"body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"block_content.mt_typing_animation_block.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"401f70f1-7f83-46d3-a195-3c85f8c072b3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"block_content.mt_typing_animation_block.body";s:13:"\0*\0field_name";s:4:"body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:25:"mt_typing_animation_block";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.622', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:block_content:mt_video_gallery_block:en', 'a:1:{s:29:"field_mt_video_gallery_slides";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:66:"block_content.mt_video_gallery_block.field_mt_video_gallery_slides";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d637e6d3-d559-42e2-9a86-7347a494ac49";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:2;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:66:"block_content.mt_video_gallery_block.field_mt_video_gallery_slides";s:13:"\0*\0field_name";s:29:"field_mt_video_gallery_slides";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:13:"block_content";s:9:"\0*\0bundle";s:22:"mt_video_gallery_block";s:8:"\0*\0label";s:20:"Video Gallery slides";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}s:24:"target_bundles_drag_drop";a:8:{s:11:"mt_collapse";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:16;}}}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.625', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:comment:comment:en', 'a:2:{s:9:"entity_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The ID of the entity of which this comment is a reply.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:9:"entity_id";s:11:"entity_type";s:7:"comment";s:6:"bundle";s:7:"comment";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"node";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"comment_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"comment.comment.comment_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c848d333-8a45-47c9-92ed-046945e890e9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:34:"field.storage.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"comment.comment.comment_body";s:13:"\0*\0field_name";s:12:"comment_body";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:7:"comment";s:9:"\0*\0bundle";s:7:"comment";s:8:"\0*\0label";s:7:"Comment";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.641', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:file:file:en', 'a:0:{}', -1, '1681650107.756', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:font:font:en', 'a:3:{s:20:"field_classification";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"font.font.field_classification";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"660f4e1e-355e-4466-9d35-c85e750dd60f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"r-AW_FTgnDVgz4PK8K26pkoqzJwJdDJt8OrDaNooDGg";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"field.storage.font.field_classification";i:1;s:39:"taxonomy.vocabulary.font_classification";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"font.font.field_classification";s:13:"\0*\0field_name";s:20:"field_classification";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"font";s:9:"\0*\0bundle";s:4:"font";s:8:"\0*\0label";s:14:"Classification";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"font_classification";s:19:"font_classification";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_supported_languages";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"font.font.field_supported_languages";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"be56227e-0f0a-4ff0-a9cf-cd2e517a9338";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"J4-E4ka4YSO-U8k25RPslraI-MBBGx8u_lZ5MMmA6VI";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.font.field_supported_languages";i:1;s:39:"taxonomy.vocabulary.languages_supported";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"font.font.field_supported_languages";s:13:"\0*\0field_name";s:25:"field_supported_languages";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"font";s:9:"\0*\0bundle";s:4:"font";s:8:"\0*\0label";s:19:"Supported Languages";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"languages_supported";s:19:"languages_supported";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:10:"field_tags";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:20:"font.font.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d919dfa9-d051-4d12-8fa7-c91ed6cc3c63";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"vFrDIkrN9IwL_67iczIOTkbiWs_AtxkloxiRoFwHLC4";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:4:{i:0;s:29:"field.storage.font.field_tags";i:1;s:33:"taxonomy.vocabulary.font_designer";i:2;s:32:"taxonomy.vocabulary.font_foundry";i:3;s:29:"taxonomy.vocabulary.font_tags";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:20:"font.font.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"font";s:9:"\0*\0bundle";s:4:"font";s:8:"\0*\0label";s:4:"Tags";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:3:{s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:12:"font_foundry";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.732', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_bundle_field_definitions:menu_link_content:menu_link_content:en', 'a:0:{}', -1, '1681649760.188', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:article:en', 'a:8:{s:4:"body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:17:"node.article.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22774150-a9d0-4c26-aead-900d5e77ef52";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"Ay3b2hq42cpQTFB_lNu8S2ZxuVIY6-dlBsc7vLeJ-YY";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:17:"node.article.body";s:13:"\0*\0field_name";s:4:"body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:7:"comment";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:20:"node.article.comment";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"052adc29-f2e6-4b8e-a837-8b0db5ac613f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"szSOp-8eNsMcuh8usDre1x76RhDKaPhNUuwzRX5cgv4";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:26:"field.storage.node.comment";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:7:"comment";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:20:"node.article.comment";s:13:"\0*\0field_name";s:7:"comment";s:13:"\0*\0field_type";s:7:"comment";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:8:"Comments";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:5:{s:12:"default_mode";i:1;s:8:"per_page";i:50;s:13:"form_location";b:1;s:9:"anonymous";i:0;s:7:"preview";i:1;}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:1:{i:0;a:6:{s:6:"status";i:2;s:3:"cid";i:0;s:17:"last_comment_name";N;s:22:"last_comment_timestamp";i:0;s:16:"last_comment_uid";i:0;s:13:"comment_count";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:11:"field_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:24:"node.article.field_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a712a34e-6e42-4df3-8340-4891b7f206e7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"tgJzhA7Swh4M_gWU5FwFe5lPxPj5rebpMbvhpdNrERs";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"field.storage.node.field_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:24:"node.article.field_image";s:13:"\0*\0field_name";s:11:"field_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:16:"In-page Image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_slideshow";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"node.article.field_mt_slideshow";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"569f4368-bc9e-41f6-937d-9c11e0426174";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_slideshow";i:1;s:17:"node.type.article";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"node.article.field_mt_slideshow";s:13:"\0*\0field_name";s:18:"field_mt_slideshow";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:31:"Promote to front page slideshow";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_slideshow_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.article.field_mt_slideshow_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"03505e3d-d874-42e5-94c7-14258e003539";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.article.field_mt_slideshow_image";s:13:"\0*\0field_name";s:24:"field_mt_slideshow_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:15:"Slideshow image";s:14:"\0*\0description";s:251:"Recommended pixel dimensions for Fullscreen Slideshow - W: 1920 px / H: 1080 px.\r\n<br>Recommended pixel dimensions for Full-Width Slideshow - W: 1920 px / H: 500 px.\r\n<br>Recommended pixel dimensions for Boxed-Width Slideshow - W: 1140 px / H: 500 px.";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_slideshow_text";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"node.article.field_mt_slideshow_text";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"af206751-4195-49c8-b4cb-b5d4cb04c5d4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_slideshow_text";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"node.article.field_mt_slideshow_text";s:13:"\0*\0field_name";s:23:"field_mt_slideshow_text";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:14:"Slideshow text";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:14:"field_mt_video";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"node.article.field_mt_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"92ac7626-1e4e-4f27-9583-5f957279d016";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"field.storage.node.field_mt_video";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"node.article.field_mt_video";s:13:"\0*\0field_name";s:14:"field_mt_video";s:13:"\0*\0field_type";s:17:"video_embed_field";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:9:"Video URL";s:14:"\0*\0description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:11:"\0*\0settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:10:"field_tags";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.article.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"518cf7f8-069b-4e72-a3d5-e463eadb4ce9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"QdUgf_beeoaPiyKorFv0q1fcJpWH_uZTqe_xoVJacrw";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:29:"field.storage.node.field_tags";i:1;s:17:"node.type.article";i:2;s:24:"taxonomy.vocabulary.tags";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.article.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:7:"article";s:8:"\0*\0label";s:4:"Tags";s:14:"\0*\0description";s:84:"Enter a comma-separated list. For example: Amsterdam, Mexico City, "Cleveland, Ohio"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.404', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_album:en', 'a:4:{s:17:"field_mt_alb_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"node.mt_album.field_mt_alb_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f434c6af-4f07-4aa0-b31f-bda05139fb53";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"node.mt_album.field_mt_alb_body";s:13:"\0*\0field_name";s:17:"field_mt_alb_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_album";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_alb_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.mt_album.field_mt_alb_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"51e65240-f907-49e5-86e4-4c49cda0a8d6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.mt_album.field_mt_alb_image";s:13:"\0*\0field_name";s:18:"field_mt_alb_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_album";s:8:"\0*\0label";s:16:"In-page Image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_alb_tags";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"node.mt_album.field_mt_alb_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"235ffff1-7343-47f9-9694-465345f7467d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_alb_tags";i:1;s:18:"node.type.mt_album";i:2;s:39:"taxonomy.vocabulary.mt_album_categories";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"node.mt_album.field_mt_alb_tags";s:13:"\0*\0field_name";s:17:"field_mt_alb_tags";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_album";s:8:"\0*\0label";s:4:"Tags";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"mt_album_categories";s:19:"mt_album_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_alb_video";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.mt_album.field_mt_alb_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1661d076-db9b-4e1c-96d0-b7fb01c2b87b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_video";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.mt_album.field_mt_alb_video";s:13:"\0*\0field_name";s:18:"field_mt_alb_video";s:13:"\0*\0field_type";s:17:"video_embed_field";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_album";s:8:"\0*\0label";s:9:"Video URL";s:14:"\0*\0description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:11:"\0*\0settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.370', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_canvas_page:en', 'a:1:{s:17:"field_mt_cnv_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.mt_canvas_page.field_mt_cnv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a542e6e4-5522-4272-af12-78e39d4a7d40";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_cnv_body";i:1;s:24:"node.type.mt_canvas_page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.mt_canvas_page.field_mt_cnv_body";s:13:"\0*\0field_name";s:17:"field_mt_cnv_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_canvas_page";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.289', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_event:en', 'a:11:{s:17:"field_mt_evn_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"node.mt_event.field_mt_evn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"54f9ec84-30f0-4e01-9913-c195cf1483fe";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"node.mt_event.field_mt_evn_body";s:13:"\0*\0field_name";s:17:"field_mt_evn_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_evn_date";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"node.mt_event.field_mt_evn_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c9c5cfe8-58f4-4fb3-bb40-9ade76dec52d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_date";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"node.mt_event.field_mt_evn_date";s:13:"\0*\0field_name";s:17:"field_mt_evn_date";s:13:"\0*\0field_type";s:8:"datetime";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:4:"Date";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_evn_event_category";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_event.field_mt_evn_event_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"97a21dea-e00a-4f83-b086-67cf94a24b38";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:46:"field.storage.node.field_mt_evn_event_category";i:1;s:18:"node.type.mt_event";i:2;s:39:"taxonomy.vocabulary.mt_event_categories";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_event.field_mt_evn_event_category";s:13:"\0*\0field_name";s:27:"field_mt_evn_event_category";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:14:"Event Category";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"mt_event_categories";s:19:"mt_event_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_files";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.mt_event.field_mt_evn_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5d26169d-e72b-4ad8-9090-2d3f3c570a46";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_files";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.mt_event.field_mt_evn_files";s:13:"\0*\0field_name";s:18:"field_mt_evn_files";s:13:"\0*\0field_type";s:4:"file";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:5:"Files";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.mt_event.field_mt_evn_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b8597cd5-9374-4804-b9eb-d78374518481";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_image";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.mt_event.field_mt_evn_image";s:13:"\0*\0field_name";s:18:"field_mt_evn_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:16:"In-page Image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_evn_location";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"node.mt_event.field_mt_evn_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cb4aa9af-87d2-439e-a4b6-09779d3495d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_evn_location";i:1;s:18:"node.type.mt_event";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"node.mt_event.field_mt_evn_location";s:13:"\0*\0field_name";s:21:"field_mt_evn_location";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:8:"Location";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:24;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:6:"weight";i:27;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_evn_map_zoom";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"node.mt_event.field_mt_evn_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dc0f7a98-8e90-4a61-b4f7-5676550f21a3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_evn_map_zoom";i:1;s:18:"node.type.mt_event";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"node.mt_event.field_mt_evn_map_zoom";s:13:"\0*\0field_name";s:21:"field_mt_evn_map_zoom";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:8:"Map Zoom";s:14:"\0*\0description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:11:"\0*\0settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_place";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.mt_event.field_mt_evn_place";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bfd78a87-aa63-4939-be4c-52eb6d6295d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_place";i:1;s:18:"node.type.mt_event";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.mt_event.field_mt_evn_place";s:13:"\0*\0field_name";s:18:"field_mt_evn_place";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:5:"Place";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_evn_speaker";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_event.field_mt_evn_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1aff6d1f-eb44-47c2-b4e1-487eda51f86a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_speaker";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_event.field_mt_evn_speaker";s:13:"\0*\0field_name";s:20:"field_mt_evn_speaker";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:7:"Speaker";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_evn_sponsor";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_event.field_mt_evn_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f239972d-00fa-495e-b0c9-64f155e995ed";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_sponsor";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_sponsor";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_event.field_mt_evn_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_evn_sponsor";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:7:"Sponsor";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_video";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.mt_event.field_mt_evn_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b403a9da-837e-4877-867a-0fba333c8e0c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_video";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.mt_event.field_mt_evn_video";s:13:"\0*\0field_name";s:18:"field_mt_evn_video";s:13:"\0*\0field_type";s:17:"video_embed_field";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:8:"mt_event";s:8:"\0*\0label";s:9:"Video URL";s:14:"\0*\0description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:11:"\0*\0settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.738', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_presentation:en', 'a:13:{s:25:"field_mt_prs_affiliations";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"node.mt_presentation.field_mt_prs_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"441d8f87-fc79-406c-9188-1d07c7ae9044";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prs_affiliations";i:1;s:25:"node.type.mt_presentation";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"node.mt_presentation.field_mt_prs_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_prs_affiliations";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:12:"Affiliations";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_authors";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_presentation.field_mt_prs_authors";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"56e92ae2-8a91-455f-a172-08a2dd950634";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"field.storage.node.field_mt_prs_authors";i:1;s:25:"node.type.mt_presentation";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_presentation.field_mt_prs_authors";s:13:"\0*\0field_name";s:20:"field_mt_prs_authors";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:7:"Authors";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prs_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"node.mt_presentation.field_mt_prs_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a14ac2c2-0aa6-40f0-bfee-2ca1a8494dff";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"node.mt_presentation.field_mt_prs_body";s:13:"\0*\0field_name";s:17:"field_mt_prs_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prs_category";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"node.mt_presentation.field_mt_prs_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"eb7aca32-d198-4871-9851-58ede3afc312";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_prs_category";i:1;s:25:"node.type.mt_presentation";i:2;s:46:"taxonomy.vocabulary.mt_presentation_categories";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"node.mt_presentation.field_mt_prs_category";s:13:"\0*\0field_name";s:21:"field_mt_prs_category";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:8:"Category";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prs_date";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"node.mt_presentation.field_mt_prs_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f95663f8-eae5-4d7e-bfcb-c8be713fd952";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_date";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"node.mt_presentation.field_mt_prs_date";s:13:"\0*\0field_name";s:17:"field_mt_prs_date";s:13:"\0*\0field_type";s:8:"datetime";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:4:"Date";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prs_files";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"node.mt_presentation.field_mt_prs_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"de785d49-7af0-4169-8879-85219002d834";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_files";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"node.mt_presentation.field_mt_prs_files";s:13:"\0*\0field_name";s:18:"field_mt_prs_files";s:13:"\0*\0field_type";s:4:"file";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:5:"Files";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:1;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prs_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"node.mt_presentation.field_mt_prs_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"92d78097-ffa0-4a75-b096-72b118c765a8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_image";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"node.mt_presentation.field_mt_prs_image";s:13:"\0*\0field_name";s:18:"field_mt_prs_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:16:"In-page Image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prs_location";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"node.mt_presentation.field_mt_prs_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d784c561-19f7-4dc0-9898-38fc2d37629d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prs_location";i:1;s:25:"node.type.mt_presentation";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"node.mt_presentation.field_mt_prs_location";s:13:"\0*\0field_name";s:21:"field_mt_prs_location";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:8:"Location";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_session";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_presentation.field_mt_prs_session";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5fd4e67c-ca7f-4372-95c9-791b73fc79ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_session";i:1;s:25:"node.type.mt_presentation";i:2;s:30:"taxonomy.vocabulary.mt_session";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_presentation.field_mt_prs_session";s:13:"\0*\0field_name";s:20:"field_mt_prs_session";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:7:"Session";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_session";s:10:"mt_session";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_speaker";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_presentation.field_mt_prs_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6854265c-fd55-4245-8de0-a87b5a880e7e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_speaker";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_presentation.field_mt_prs_speaker";s:13:"\0*\0field_name";s:20:"field_mt_prs_speaker";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:8:"Speakers";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_sponsor";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_presentation.field_mt_prs_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b63f2f87-90f9-4e22-ac09-a79d44f208be";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_sponsor";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_sponsor";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_presentation.field_mt_prs_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_prs_sponsor";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:8:"Sponsors";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_prs_topics";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"node.mt_presentation.field_mt_prs_topics";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f0fd1baf-e571-4c96-b102-2b48dd347650";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:38:"field.storage.node.field_mt_prs_topics";i:1;s:25:"node.type.mt_presentation";i:2;s:29:"taxonomy.vocabulary.mt_topics";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"node.mt_presentation.field_mt_prs_topics";s:13:"\0*\0field_name";s:19:"field_mt_prs_topics";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:6:"Topics";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prs_video";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"node.mt_presentation.field_mt_prs_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c73050a5-213e-4bd8-9eec-4e6f8421dab1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_video";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"node.mt_presentation.field_mt_prs_video";s:13:"\0*\0field_name";s:18:"field_mt_prs_video";s:13:"\0*\0field_type";s:17:"video_embed_field";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:15:"mt_presentation";s:8:"\0*\0label";s:9:"Video URL";s:14:"\0*\0description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:11:"\0*\0settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.742', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_bundle_field_definitions:node:mt_product:en', 'a:17:{s:32:"field_mt_prd_additional_features";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:48:"node.mt_product.field_mt_prd_additional_features";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0d0ca2de-0b85-4c71-b689-725e4d9f9900";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:51:"field.storage.node.field_mt_prd_additional_features";i:1;s:20:"node.type.mt_product";i:2;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:48:"node.mt_product.field_mt_prd_additional_features";s:13:"\0*\0field_name";s:32:"field_mt_prd_additional_features";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:19:"Additional Features";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:7:"enabled";b:1;s:6:"weight";i:14;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_availability";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_product.field_mt_prd_availability";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dda452e3-f319-4a83-be91-ccf7673fa96a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_availability";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_product.field_mt_prd_availability";s:13:"\0*\0field_name";s:25:"field_mt_prd_availability";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:12:"Availability";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_prd_banner_carousel";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"node.mt_product.field_mt_prd_banner_carousel";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9dd19524-de06-4b9e-bbe1-70c871b65323";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_banner_carousel";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"node.mt_product.field_mt_prd_banner_carousel";s:13:"\0*\0field_name";s:28:"field_mt_prd_banner_carousel";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:33:"Internal Banner Carousel Image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prd_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.mt_product.field_mt_prd_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d6575ee4-8157-4c81-a2d2-06af8e101d36";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.mt_product.field_mt_prd_body";s:13:"\0*\0field_name";s:17:"field_mt_prd_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prd_buy_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.mt_product.field_mt_prd_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c3f40f9b-7ed7-43c3-ae36-0808913a59c1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.mt_product.field_mt_prd_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_prd_buy_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:8:"Buy Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_prd_categories";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"node.mt_product.field_mt_prd_categories";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"36ac5121-0d74-42d0-838c-6db43f49526e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:42:"field.storage.node.field_mt_prd_categories";i:1;s:20:"node.type.mt_product";i:2;s:34:"taxonomy.vocabulary.mt_collections";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"node.mt_product.field_mt_prd_categories";s:13:"\0*\0field_name";s:23:"field_mt_prd_categories";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:10:"Categories";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_content_tabs";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_product.field_mt_prd_content_tabs";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a76cb6fa-1b6b-479b-bbd3-25c722ac8b2d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_prd_content_tabs";i:1;s:20:"node.type.mt_product";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_product.field_mt_prd_content_tabs";s:13:"\0*\0field_name";s:25:"field_mt_prd_content_tabs";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:4:"Tabs";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:25;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_prd_highlight";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"node.mt_product.field_mt_prd_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b5846f43-cde4-4029-b58d-c3cd02304edb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_prd_highlight";i:1;s:20:"node.type.mt_product";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"node.mt_product.field_mt_prd_highlight";s:13:"\0*\0field_name";s:22:"field_mt_prd_highlight";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:9:"Highlight";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prd_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_product.field_mt_prd_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8d699d38-a735-4fb3-85e4-0ac1dc6331ed";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_product.field_mt_prd_image";s:13:"\0*\0field_name";s:18:"field_mt_prd_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:16:"In-page Image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_prd_landscape_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"node.mt_product.field_mt_prd_landscape_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2d18fcde-fe25-4fb3-9ae3-62af7706af1e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_landscape_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"node.mt_product.field_mt_prd_landscape_image";s:13:"\0*\0field_name";s:28:"field_mt_prd_landscape_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:15:"Landscape Image";s:14:"\0*\0description";s:89:"Optional image, used only on selected Views-driven pages with items listed using Masonry.";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_most_popular";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_product.field_mt_prd_most_popular";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"728d24fe-81aa-4461-a52c-d83eee6d97db";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";i:1;s:20:"node.type.mt_product";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_product.field_mt_prd_most_popular";s:13:"\0*\0field_name";s:25:"field_mt_prd_most_popular";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:12:"Most Popular";s:14:"\0*\0description";s:83:"Check the box to highlight this Product as “most popular” in the pricing table.";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:12:"most popular";s:9:"off_label";s:3:"Off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prd_price";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_product.field_mt_prd_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"723f0719-8d77-42da-b1e9-7466933da6a3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_price";i:1;s:20:"node.type.mt_product";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_product.field_mt_prd_price";s:13:"\0*\0field_name";s:18:"field_mt_prd_price";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:5:"Price";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:31:"field_mt_prd_pricing_table_item";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:47:"node.mt_product.field_mt_prd_pricing_table_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fa4a9ab6-0302-45a1-903f-ac097047bfe6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.node.field_mt_prd_pricing_table_item";i:1;s:20:"node.type.mt_product";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:47:"node.mt_product.field_mt_prd_pricing_table_item";s:13:"\0*\0field_name";s:31:"field_mt_prd_pricing_table_item";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:21:"Pricing Table Feature";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_product_code";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_product.field_mt_prd_product_code";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"77823686-2655-47b6-b873-a892d9e2b2d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_product_code";i:1;s:20:"node.type.mt_product";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_product.field_mt_prd_product_code";s:13:"\0*\0field_name";s:25:"field_mt_prd_product_code";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:3:"SKU";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_prd_subheader_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"node.mt_product.field_mt_prd_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5141e284-dd7e-44a5-be00-364fe51781f4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_prd_subheader_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"node.mt_product.field_mt_prd_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_prd_subheader_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:14:"Subheader body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prd_tags";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.mt_product.field_mt_prd_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"58ea92f5-47cb-4e3c-a43c-ee50a95e27bc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_prd_tags";i:1;s:20:"node.type.mt_product";i:2;s:24:"taxonomy.vocabulary.tags";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.mt_product.field_mt_prd_tags";s:13:"\0*\0field_name";s:17:"field_mt_prd_tags";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:4:"Tags";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prd_video";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_product.field_mt_prd_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0abffa15-cd17-4135-bf22-1d34fb82a983";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_video";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_product.field_mt_prd_video";s:13:"\0*\0field_name";s:18:"field_mt_prd_video";s:13:"\0*\0field_type";s:17:"video_embed_field";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_product";s:8:"\0*\0label";s:9:"Video URL";s:14:"\0*\0description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:11:"\0*\0settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.339', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_program_entry:en', 'a:4:{s:21:"field_mt_prg_category";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"node.mt_program_entry.field_mt_prg_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"86e1ea52-9089-4a78-b695-43327a7aaf34";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_prg_category";i:1;s:26:"node.type.mt_program_entry";i:2;s:47:"taxonomy.vocabulary.mt_program_entry_categories";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"node.mt_program_entry.field_mt_prg_category";s:13:"\0*\0field_name";s:21:"field_mt_prg_category";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:16:"mt_program_entry";s:8:"\0*\0label";s:8:"Category";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prg_end_date";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"node.mt_program_entry.field_mt_prg_end_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7b424705-b0e2-4b30-a35a-5a6e695c339e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prg_end_date";i:1;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"node.mt_program_entry.field_mt_prg_end_date";s:13:"\0*\0field_name";s:21:"field_mt_prg_end_date";s:13:"\0*\0field_type";s:8:"datetime";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:16:"mt_program_entry";s:8:"\0*\0label";s:8:"End Date";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prg_event";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"node.mt_program_entry.field_mt_prg_event";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"298acee4-fcf1-42af-9112-da13e40b8afd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_prg_event";i:1;s:18:"node.type.mt_event";i:2;s:25:"node.type.mt_presentation";i:3;s:26:"node.type.mt_program_entry";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"node.mt_program_entry.field_mt_prg_event";s:13:"\0*\0field_name";s:18:"field_mt_prg_event";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:16:"mt_program_entry";s:8:"\0*\0label";s:18:"Event/Presentation";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:2:{s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:8:"mt_event";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_prg_start_date";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:45:"node.mt_program_entry.field_mt_prg_start_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d0cc1c8a-9126-48f4-b816-29b0bb812b69";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_prg_start_date";i:1;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:45:"node.mt_program_entry.field_mt_prg_start_date";s:13:"\0*\0field_name";s:23:"field_mt_prg_start_date";s:13:"\0*\0field_type";s:8:"datetime";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:16:"mt_program_entry";s:8:"\0*\0label";s:10:"Start Date";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.746', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_service:en', 'a:9:{s:25:"field_mt_srv_banner_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_service.field_mt_srv_banner_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22ecabbe-c5ad-46d8-ad32-d7364028a0f5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_srv_banner_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_service.field_mt_srv_banner_image";s:13:"\0*\0field_name";s:25:"field_mt_srv_banner_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:24:"Internal banner image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_srv_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.mt_service.field_mt_srv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6906f236-70f9-4bb9-b147-46810d13eb33";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.mt_service.field_mt_srv_body";s:13:"\0*\0field_name";s:17:"field_mt_srv_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_srv_buy_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.mt_service.field_mt_srv_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ccd0f471-d8a5-4f4d-a24a-9e3b18bd4fbe";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_srv_buy_link";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.mt_service.field_mt_srv_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_srv_buy_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:8:"Buy Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_srv_highlight";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"node.mt_service.field_mt_srv_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"99b60365-42f4-47c2-baf4-a3e44bab5407";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_srv_highlight";i:1;s:20:"node.type.mt_service";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"node.mt_service.field_mt_srv_highlight";s:13:"\0*\0field_name";s:22:"field_mt_srv_highlight";s:13:"\0*\0field_type";s:26:"entity_reference_revisions";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:9:"Highlight";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_srv_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_service.field_mt_srv_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c9b98218-f13c-469a-9427-2b3bc5d600ea";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_service.field_mt_srv_image";s:13:"\0*\0field_name";s:18:"field_mt_srv_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:16:"In-page Image(s)";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_srv_price";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_service.field_mt_srv_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"06dd9a5c-813b-4d07-9861-bb83b20f2855";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_price";i:1;s:20:"node.type.mt_service";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_service.field_mt_srv_price";s:13:"\0*\0field_name";s:18:"field_mt_srv_price";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:5:"Price";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_srv_service_tags";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_service.field_mt_srv_service_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d7fa6b65-cbde-4142-b701-0f23680ca4f6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_srv_service_tags";i:1;s:20:"node.type.mt_service";i:2;s:35:"taxonomy.vocabulary.mt_service_tags";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_service.field_mt_srv_service_tags";s:13:"\0*\0field_name";s:25:"field_mt_srv_service_tags";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:12:"Service Tags";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_srv_subheader_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"node.mt_service.field_mt_srv_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ea6328af-0cea-4c6c-ad18-c4dfd101e518";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_srv_subheader_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"node.mt_service.field_mt_srv_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_srv_subheader_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:14:"Subheader body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_srv_video";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.mt_service.field_mt_srv_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"34b90fa6-b72a-42e3-9b99-9791af8db9de";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_video";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.mt_service.field_mt_srv_video";s:13:"\0*\0field_name";s:18:"field_mt_srv_video";s:13:"\0*\0field_type";s:17:"video_embed_field";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_service";s:8:"\0*\0label";s:9:"Video URL";s:14:"\0*\0description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:11:"\0*\0settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.313', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_speaker:en', 'a:9:{s:7:"promote";O:42:"Drupal\\Core\\Field\\Entity\\BaseFieldOverride":31:{s:15:"\0*\0entityTypeId";s:19:"base_field_override";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.mt_speaker.promote";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"752d654a-6fff-4e3e-a554-938216d43b3d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.mt_speaker.promote";s:13:"\0*\0field_name";s:7:"promote";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:22:"Promoted to front page";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}}s:25:"field_mt_spk_affiliations";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_speaker.field_mt_spk_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a4d573d8-b1ab-4b93-90b5-232d471a3cbf";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_spk_affiliations";i:1;s:20:"node.type.mt_speaker";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_speaker.field_mt_spk_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_spk_affiliations";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:12:"Affiliations";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_spk_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.mt_speaker.field_mt_spk_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6573184d-fb8a-4b27-8794-df2823e33318";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spk_body";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.mt_speaker.field_mt_spk_body";s:13:"\0*\0field_name";s:17:"field_mt_spk_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_spk_facebook_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:45:"node.mt_speaker.field_mt_spk_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c304a903-454a-48c8-9ba8-836679a6b551";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:45:"node.mt_speaker.field_mt_spk_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_facebook_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:8:"Facebook";s:14:"\0*\0description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_spk_linkedin_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:45:"node.mt_speaker.field_mt_spk_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"737bcadb-82d9-4a27-b0e7-bb1d23ed980d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:1;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:45:"node.mt_speaker.field_mt_spk_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_linkedin_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:8:"Linkedin";s:14:"\0*\0description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_spk_speaker_photo";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"node.mt_speaker.field_mt_spk_speaker_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d52be9d6-c574-4b3e-8af9-6787187bfec8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"node.mt_speaker.field_mt_spk_speaker_photo";s:13:"\0*\0field_name";s:26:"field_mt_spk_speaker_photo";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:13:"Speaker Photo";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_spk_subtitle";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.mt_speaker.field_mt_spk_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0b43c71d-e59d-4f58-8fed-fd3a92a1eb5f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_spk_subtitle";i:1;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.mt_speaker.field_mt_spk_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_spk_subtitle";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:8:"Subtitle";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_spk_twitter_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"node.mt_speaker.field_mt_spk_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a66b3b85-b093-4f8c-83aa-4b16176ceaa1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_twitter_account";i:1;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"node.mt_speaker.field_mt_spk_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_twitter_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:7:"Twitter";s:14:"\0*\0description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_spk_youtube_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"node.mt_speaker.field_mt_spk_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0330cd7f-bc68-4f05-8b31-f4ace910553e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_youtube_account";i:1;s:20:"node.type.mt_speaker";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"node.mt_speaker.field_mt_spk_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_youtube_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_speaker";s:8:"\0*\0label";s:7:"YouTube";s:14:"\0*\0description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.750', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_bundle_field_definitions:node:mt_sponsor:en', 'a:2:{s:17:"field_mt_spn_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.mt_sponsor.field_mt_spn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c93449a4-013c-494d-9fe4-14299f602bc2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_body";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.mt_sponsor.field_mt_spn_body";s:13:"\0*\0field_name";s:17:"field_mt_spn_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_sponsor";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_spn_logo";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.mt_sponsor.field_mt_spn_logo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"21604998-f196-4c1d-a923-37b10a4bb54b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.mt_sponsor.field_mt_spn_logo";s:13:"\0*\0field_name";s:17:"field_mt_spn_logo";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:10:"mt_sponsor";s:8:"\0*\0label";s:4:"Logo";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.753', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_team_member:en', 'a:8:{s:7:"promote";O:42:"Drupal\\Core\\Field\\Entity\\BaseFieldOverride":31:{s:15:"\0*\0entityTypeId";s:19:"base_field_override";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"node.mt_team_member.promote";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e0894692-fd19-4dfe-b036-cb10d9f082b1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"node.type.mt_team_member";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"node.mt_team_member.promote";s:13:"\0*\0field_name";s:7:"promote";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:22:"Promoted to front page";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}}s:17:"field_mt_tmm_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.mt_team_member.field_mt_tmm_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9ae356df-db03-4d39-a138-a2f0b569b950";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tmm_body";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.mt_team_member.field_mt_tmm_body";s:13:"\0*\0field_name";s:17:"field_mt_tmm_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_tmm_facebook_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:49:"node.mt_team_member.field_mt_tmm_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e52d7ab8-3aaa-40af-b8fd-36f52663b9ea";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:24:"node.type.mt_team_member";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:49:"node.mt_team_member.field_mt_tmm_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_facebook_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:8:"Facebook";s:14:"\0*\0description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_tmm_linkedin_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:49:"node.mt_team_member.field_mt_tmm_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6040ca86-6b34-439f-ae76-57d78f1414f8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:1;s:24:"node.type.mt_team_member";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:49:"node.mt_team_member.field_mt_tmm_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_linkedin_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:8:"Linkedin";s:14:"\0*\0description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_tmm_member_photo";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:45:"node.mt_team_member.field_mt_tmm_member_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b3798000-e15f-4123-b4b6-99d507302ec0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:45:"node.mt_team_member.field_mt_tmm_member_photo";s:13:"\0*\0field_name";s:25:"field_mt_tmm_member_photo";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:12:"Member Photo";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_tmm_subtitle";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_team_member.field_mt_tmm_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4f3296df-f4b4-4ece-af56-1d24de77f3e4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tmm_subtitle";i:1;s:24:"node.type.mt_team_member";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_team_member.field_mt_tmm_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tmm_subtitle";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:8:"Subtitle";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_tmm_twitter_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:48:"node.mt_team_member.field_mt_tmm_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4edd66b7-718b-428f-bc26-43936c6ff5d7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:1;s:24:"node.type.mt_team_member";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:48:"node.mt_team_member.field_mt_tmm_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_twitter_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:7:"Twitter";s:14:"\0*\0description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_tmm_youtube_account";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:48:"node.mt_team_member.field_mt_tmm_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"82b9a147-6edb-4f09-a9d8-81e265c1149a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_youtube_account";i:1;s:24:"node.type.mt_team_member";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:48:"node.mt_team_member.field_mt_tmm_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_youtube_account";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_team_member";s:8:"\0*\0label";s:7:"YouTube";s:14:"\0*\0description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.435', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:mt_testimonial:en', 'a:4:{s:17:"field_mt_tst_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.mt_testimonial.field_mt_tst_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6ad7fa09-01a9-4b33-ad70-980512ba8fa9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.mt_testimonial.field_mt_tst_body";s:13:"\0*\0field_name";s:17:"field_mt_tst_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_testimonial";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_tst_subtitle";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"node.mt_testimonial.field_mt_tst_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"703119d5-eebc-41b9-80a6-b40096093135";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tst_subtitle";i:1;s:24:"node.type.mt_testimonial";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"node.mt_testimonial.field_mt_tst_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tst_subtitle";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_testimonial";s:8:"\0*\0label";s:8:"Subtitle";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_tst_testimonial_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"node.mt_testimonial.field_mt_tst_testimonial_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"92c94f79-5370-4102-95a6-ab40813f1992";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"node.mt_testimonial.field_mt_tst_testimonial_image";s:13:"\0*\0field_name";s:30:"field_mt_tst_testimonial_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_testimonial";s:8:"\0*\0label";s:17:"Testimonial Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:0:"";s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_tst_testimonial_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:49:"node.mt_testimonial.field_mt_tst_testimonial_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0ef202ef-8e68-4891-9ca0-36f63cd365bc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:49:"node.mt_testimonial.field_mt_tst_testimonial_link";s:13:"\0*\0field_name";s:29:"field_mt_tst_testimonial_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:14:"mt_testimonial";s:8:"\0*\0label";s:16:"Testimonial Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.756', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:node:page:en', 'a:3:{s:7:"promote";O:42:"Drupal\\Core\\Field\\Entity\\BaseFieldOverride":31:{s:15:"\0*\0entityTypeId";s:19:"base_field_override";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:17:"node.page.promote";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ef42ff06-6621-4821-8ffb-9a5b22a6283b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"fPUEnm4T5zfZRr3ttDUqq7yCDd2uW3clWD-pvos4tlQ";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:1:{i:0;s:14:"node.type.page";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:17:"node.page.promote";s:13:"\0*\0field_name";s:7:"promote";s:13:"\0*\0field_type";s:7:"boolean";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:4:"page";s:8:"\0*\0label";s:22:"Promoted to front page";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}}s:4:"body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:14:"node.page.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b05f7c01-155a-4bb4-b62a-b77b75e91fcf";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"rUop-8b6hvxxDYbv-KobTfNIBNbPY9qOPl8f6kBNSpw";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:14:"node.page.body";s:13:"\0*\0field_name";s:4:"body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:4:"page";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_subheader_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.page.field_mt_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"64def67f-327a-4207-8497-c4f740c842b8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_subheader_body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.page.field_mt_subheader_body";s:13:"\0*\0field_name";s:23:"field_mt_subheader_body";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"node";s:9:"\0*\0bundle";s:4:"page";s:8:"\0*\0label";s:14:"Subheader body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.267', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_additional_feature:en', 'a:4:{s:17:"field_mt_adf_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:49:"paragraph.mt_additional_feature.field_mt_adf_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f9c7c3e-c383-4146-88b1-5a15ee83a7dc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_adf_body";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:49:"paragraph.mt_additional_feature.field_mt_adf_body";s:13:"\0*\0field_name";s:17:"field_mt_adf_body";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_additional_feature";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_adf_fa_icon";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:52:"paragraph.mt_additional_feature.field_mt_adf_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bd90e19e-db77-48f5-b8fc-834bd9b60502";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_adf_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:52:"paragraph.mt_additional_feature.field_mt_adf_fa_icon";s:13:"\0*\0field_name";s:20:"field_mt_adf_fa_icon";s:13:"\0*\0field_type";s:16:"fontawesome_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_additional_feature";s:8:"\0*\0label";s:17:"Font Awesome Icon";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_adf_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"paragraph.mt_additional_feature.field_mt_adf_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cc8318ea-85b5-4216-86d3-d3e5b419d96f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_image";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"paragraph.mt_additional_feature.field_mt_adf_image";s:13:"\0*\0field_name";s:18:"field_mt_adf_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_additional_feature";s:8:"\0*\0label";s:5:"Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_adf_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"paragraph.mt_additional_feature.field_mt_adf_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b22fcff9-12c4-4129-938f-35edb13ef6b5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_title";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"paragraph.mt_additional_feature.field_mt_adf_title";s:13:"\0*\0field_name";s:18:"field_mt_adf_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_additional_feature";s:8:"\0*\0label";s:5:"Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.645', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_collapse:en', 'a:2:{s:22:"field_mt_collapse_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"paragraph.mt_collapse.field_mt_collapse_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2345eac5-938c-40ce-ba2a-6f8e48cf32c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_collapse_body";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"paragraph.mt_collapse.field_mt_collapse_body";s:13:"\0*\0field_name";s:22:"field_mt_collapse_body";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:11:"mt_collapse";s:8:"\0*\0label";s:13:"Collapse Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_collapse_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:45:"paragraph.mt_collapse.field_mt_collapse_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d549a8d3-fdc7-4cec-a855-59b5e0034682";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_collapse_title";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:45:"paragraph.mt_collapse.field_mt_collapse_title";s:13:"\0*\0field_name";s:23:"field_mt_collapse_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:11:"mt_collapse";s:8:"\0*\0label";s:14:"Collapse Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.648', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_dropdown:en', 'a:2:{s:23:"field_mt_dropdown_block";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:45:"paragraph.mt_dropdown.field_mt_dropdown_block";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f5d8cd86-08aa-4168-af5e-bb864823688a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:45:"paragraph.mt_dropdown.field_mt_dropdown_block";s:13:"\0*\0field_name";s:23:"field_mt_dropdown_block";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:11:"mt_dropdown";s:8:"\0*\0label";s:14:"Dropdown Block";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_dropdown_fa_icon";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:47:"paragraph.mt_dropdown.field_mt_dropdown_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b8cdf293-25a7-43ab-b965-29ddd0933646";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_dropdown_fa_icon";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:47:"paragraph.mt_dropdown.field_mt_dropdown_fa_icon";s:13:"\0*\0field_name";s:25:"field_mt_dropdown_fa_icon";s:13:"\0*\0field_type";s:16:"fontawesome_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:11:"mt_dropdown";s:8:"\0*\0label";s:21:"Dropdown Trigger Icon";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.652', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_fancy_linked_image:en', 'a:5:{s:27:"field_mt_fli_button_fa_icon";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:59:"paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"db823943-d35e-41fe-bcc0-f8fb65b77104";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_fli_button_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:59:"paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";s:13:"\0*\0field_name";s:27:"field_mt_fli_button_fa_icon";s:13:"\0*\0field_type";s:16:"fontawesome_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_fancy_linked_image";s:8:"\0*\0label";s:11:"Button Icon";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fli_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"557d23a8-a38e-46ef-b8bf-4523658ceb11";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_image";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_image";s:13:"\0*\0field_name";s:18:"field_mt_fli_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_fancy_linked_image";s:8:"\0*\0label";s:5:"Image";s:14:"\0*\0description";s:53:"Recommended pixel dimensions - W: 750 px / H: 750 px.";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_fli_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:49:"paragraph.mt_fancy_linked_image.field_mt_fli_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"da83d41f-08a4-43b0-a841-bdabb04e92a9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_fli_link";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:49:"paragraph.mt_fancy_linked_image.field_mt_fli_link";s:13:"\0*\0field_name";s:17:"field_mt_fli_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_fancy_linked_image";s:8:"\0*\0label";s:4:"Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fli_shape";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_shape";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2727f19a-5f06-4bdc-84de-a03588fa9653";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_shape";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_shape";s:13:"\0*\0field_name";s:18:"field_mt_fli_shape";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_fancy_linked_image";s:8:"\0*\0label";s:5:"Shape";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fli_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f243c35-c3e6-4c88-9213-eff2e2efe812";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_title";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_title";s:13:"\0*\0field_name";s:18:"field_mt_fli_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:21:"mt_fancy_linked_image";s:8:"\0*\0label";s:5:"Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.655', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_fancy_tab:en', 'a:3:{s:30:"field_mt_fancy_block_reference";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:53:"paragraph.mt_fancy_tab.field_mt_fancy_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"eeeef153-2eba-46fa-90d5-2eb8ee48663a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:53:"paragraph.mt_fancy_tab.field_mt_fancy_block_reference";s:13:"\0*\0field_name";s:30:"field_mt_fancy_block_reference";s:13:"\0*\0field_type";s:16:"entity_reference";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_fancy_tab";s:8:"\0*\0label";s:15:"Block Reference";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_fancy_subtitle";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"paragraph.mt_fancy_tab.field_mt_fancy_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c8bb5a18-33c7-4b9f-999e-c0122f2cb105";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"paragraph.mt_fancy_tab.field_mt_fancy_subtitle";s:13:"\0*\0field_name";s:23:"field_mt_fancy_subtitle";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_fancy_tab";s:8:"\0*\0label";s:12:"Tab Subtitle";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_fancy_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"paragraph.mt_fancy_tab.field_mt_fancy_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e078d316-f77a-4846-b985-c06a7ac7d414";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_fancy_title";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"paragraph.mt_fancy_tab.field_mt_fancy_title";s:13:"\0*\0field_name";s:20:"field_mt_fancy_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_fancy_tab";s:8:"\0*\0label";s:9:"Tab title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.658', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_featured_linked_text_tile:en', 'a:3:{s:18:"field_mt_fltt_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"877ba83b-1973-4631-8e59-1159e0a236f4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_body";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";s:13:"\0*\0field_name";s:18:"field_mt_fltt_body";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:28:"mt_featured_linked_text_tile";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fltt_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"796c42d4-74fa-41cf-972e-90e85f022d9d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_link";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";s:13:"\0*\0field_name";s:18:"field_mt_fltt_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:28:"mt_featured_linked_text_tile";s:8:"\0*\0label";s:4:"Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_fltt_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:58:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b186b011-3386-453b-b481-b2be1c3bd678";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_fltt_title";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:58:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";s:13:"\0*\0field_name";s:19:"field_mt_fltt_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:28:"mt_featured_linked_text_tile";s:8:"\0*\0label";s:5:"Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.661', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_bundle_field_definitions:paragraph:mt_highlight:en', 'a:4:{s:23:"field_mt_highlight_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"paragraph.mt_highlight.field_mt_highlight_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"489416d5-4c46-412f-a540-488ea5520eb8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_body";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"paragraph.mt_highlight.field_mt_highlight_body";s:13:"\0*\0field_name";s:23:"field_mt_highlight_body";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_highlight";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_highlight_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:47:"paragraph.mt_highlight.field_mt_highlight_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ac418b6b-61e3-4957-9d18-f521a83a5507";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_image";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:47:"paragraph.mt_highlight.field_mt_highlight_image";s:13:"\0*\0field_name";s:24:"field_mt_highlight_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_highlight";s:8:"\0*\0label";s:5:"Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_highlight_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"paragraph.mt_highlight.field_mt_highlight_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"39c1f90c-b22f-4d3e-98fd-2e6beff28835";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_link";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"paragraph.mt_highlight.field_mt_highlight_link";s:13:"\0*\0field_name";s:23:"field_mt_highlight_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_highlight";s:8:"\0*\0label";s:4:"Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_highlight_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:47:"paragraph.mt_highlight.field_mt_highlight_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"647a139e-5fa5-47f2-80ea-98be384fd40d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_title";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:47:"paragraph.mt_highlight.field_mt_highlight_title";s:13:"\0*\0field_name";s:24:"field_mt_highlight_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_highlight";s:8:"\0*\0label";s:5:"Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.665', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_icon_features:en', 'a:5:{s:16:"field_mt_if_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"paragraph.mt_icon_features.field_mt_if_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bf24cdb9-5b0e-43fc-bf96-a9309e27ccbd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_body";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"paragraph.mt_icon_features.field_mt_if_body";s:13:"\0*\0field_name";s:16:"field_mt_if_body";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_icon_features";s:8:"\0*\0label";s:4:"Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_if_fa_icon";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"paragraph.mt_icon_features.field_mt_if_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"da5f21f9-32f5-4d84-a650-b5b9071ad0ab";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_if_fa_icon";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"paragraph.mt_icon_features.field_mt_if_fa_icon";s:13:"\0*\0field_name";s:19:"field_mt_if_fa_icon";s:13:"\0*\0field_type";s:16:"fontawesome_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_icon_features";s:8:"\0*\0label";s:4:"Icon";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_if_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"paragraph.mt_icon_features.field_mt_if_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"940aacc1-364a-4ac8-9c89-959cb2d6f701";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_image";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"paragraph.mt_icon_features.field_mt_if_image";s:13:"\0*\0field_name";s:17:"field_mt_if_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_icon_features";s:8:"\0*\0label";s:5:"Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:16:"field_mt_if_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"paragraph.mt_icon_features.field_mt_if_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c390feb5-cae9-4743-a89f-82757cfe5b20";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_link";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"paragraph.mt_icon_features.field_mt_if_link";s:13:"\0*\0field_name";s:16:"field_mt_if_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_icon_features";s:8:"\0*\0label";s:4:"Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:1;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_if_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"paragraph.mt_icon_features.field_mt_if_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2411ac4b-7cca-492a-9de8-3bcd634ea6c3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_title";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"paragraph.mt_icon_features.field_mt_if_title";s:13:"\0*\0field_name";s:17:"field_mt_if_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_icon_features";s:8:"\0*\0label";s:5:"Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.668', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_main_slideshow_slide:en', 'a:9:{s:25:"field_mt_ms_slide_caption";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:59:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"12785108-0046-4edb-bf28-e3435510607b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:59:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";s:13:"\0*\0field_name";s:25:"field_mt_ms_slide_caption";s:13:"\0*\0field_type";s:11:"string_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:13:"Slide Caption";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:31:"field_mt_ms_slide_caption_color";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:65:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"033e1106-e2fd-4fec-861a-5634185014c3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:65:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";s:13:"\0*\0field_name";s:31:"field_mt_ms_slide_caption_color";s:13:"\0*\0field_type";s:11:"list_string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:30:"Slide Caption Background Color";s:14:"\0*\0description";s:53:"From the drop-down menu, select the color you prefer.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";s:48:"region--light-typography region--dark-background";}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_ms_slide_caption_opac";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:64:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4f459cf5-c75a-47d2-bc62-5a8f4fe4f626";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:64:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";s:13:"\0*\0field_name";s:30:"field_mt_ms_slide_caption_opac";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:32:"Slide Caption Background Opacity";s:14:"\0*\0description";s:52:"Set the % opacity for the background of the caption.";s:11:"\0*\0settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:90;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_ms_slide_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7703a1b1-a719-4c64-af82-69995891c91d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:11:"Slide Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_ms_slide_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:56:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7a2c2551-6edb-4854-a578-89c3e7f2f7ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:56:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";s:13:"\0*\0field_name";s:22:"field_mt_ms_slide_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:10:"Slide Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_ms_slide_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2a4620e7-c99e-4894-8184-e2db12120c20";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:11:"Slide Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_ms_slide_vimeo_id";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:60:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ec07141b-78cf-436e-b19e-24b806149761";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:60:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";s:13:"\0*\0field_name";s:26:"field_mt_ms_slide_vimeo_id";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:14:"Slide Vimeo id";s:14:"\0*\0description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_ms_slide_volume";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:58:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b0a743ac-6b06-49a4-bdf2-725ef69dd5f2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:58:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";s:13:"\0*\0field_name";s:24:"field_mt_ms_slide_volume";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:12:"Slide Volume";s:14:"\0*\0description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:11:"\0*\0settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_ms_slide_youtube_id";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:62:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e313ac40-23cf-479c-a0d6-3c24779afd3f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:62:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";s:13:"\0*\0field_name";s:28:"field_mt_ms_slide_youtube_id";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:23:"mt_main_slideshow_slide";s:8:"\0*\0label";s:16:"Slide Youtube id";s:14:"\0*\0description";s:141:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated.";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.673', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_map_location:en', 'a:3:{s:20:"field_mt_ml_latitude";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"paragraph.mt_map_location.field_mt_ml_latitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f061a972-8b30-4868-987f-925de9d42e55";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"paragraph.mt_map_location.field_mt_ml_latitude";s:13:"\0*\0field_name";s:20:"field_mt_ml_latitude";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:15:"mt_map_location";s:8:"\0*\0label";s:8:"Latitude";s:14:"\0*\0description";s:48:"Enter the Latitude of the marker. e.g. 40.726576";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_ml_location_name";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:51:"paragraph.mt_map_location.field_mt_ml_location_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7bf9a499-85be-4053-bf1b-43a19216631c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:51:"paragraph.mt_map_location.field_mt_ml_location_name";s:13:"\0*\0field_name";s:25:"field_mt_ml_location_name";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:15:"mt_map_location";s:8:"\0*\0label";s:13:"Location Name";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_ml_longitude";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:47:"paragraph.mt_map_location.field_mt_ml_longitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a43bd031-153a-40f7-acb2-f716f55adeb4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:47:"paragraph.mt_map_location.field_mt_ml_longitude";s:13:"\0*\0field_name";s:21:"field_mt_ml_longitude";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:15:"mt_map_location";s:8:"\0*\0label";s:9:"Longitude";s:14:"\0*\0description";s:50:"Enter the Longitude of the marker. e.g. -74.046822";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.677', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_media_tab:en', 'a:6:{s:19:"field_mt_media_body";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"paragraph.mt_media_tab.field_mt_media_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"38140e70-b567-4556-bb3e-abee9a438310";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_media_body";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"paragraph.mt_media_tab.field_mt_media_body";s:13:"\0*\0field_name";s:19:"field_mt_media_body";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_media_tab";s:8:"\0*\0label";s:10:"Media Body";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_media_button";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"paragraph.mt_media_tab.field_mt_media_button";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d2e7c07d-a77f-4ae6-885a-14cde6dee8bf";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_media_button";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"paragraph.mt_media_tab.field_mt_media_button";s:13:"\0*\0field_name";s:21:"field_mt_media_button";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_media_tab";s:8:"\0*\0label";s:12:"Media Button";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_media_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"paragraph.mt_media_tab.field_mt_media_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dc28e249-bce8-4b19-aea0-1217b857896e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_image";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"paragraph.mt_media_tab.field_mt_media_image";s:13:"\0*\0field_name";s:20:"field_mt_media_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_media_tab";s:8:"\0*\0label";s:11:"Media Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_media_tab_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:47:"paragraph.mt_media_tab.field_mt_media_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9aa9532c-d771-45d7-b444-02cd499867ed";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:47:"paragraph.mt_media_tab.field_mt_media_tab_title";s:13:"\0*\0field_name";s:24:"field_mt_media_tab_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_media_tab";s:8:"\0*\0label";s:15:"Media Tab Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_media_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"paragraph.mt_media_tab.field_mt_media_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0e84b8d5-880e-43c2-9923-b4d4e18e58e9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"paragraph.mt_media_tab.field_mt_media_title";s:13:"\0*\0field_name";s:20:"field_mt_media_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_media_tab";s:8:"\0*\0label";s:11:"Media Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_media_video";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"paragraph.mt_media_tab.field_mt_media_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"df52ca38-e2c4-4642-bfdf-7913b7beb37a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_video";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"paragraph.mt_media_tab.field_mt_media_video";s:13:"\0*\0field_name";s:20:"field_mt_media_video";s:13:"\0*\0field_type";s:17:"video_embed_field";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:12:"mt_media_tab";s:8:"\0*\0label";s:11:"Media Video";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.680', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_tab:en', 'a:2:{s:20:"field_mt_tab_content";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"paragraph.mt_tab.field_mt_tab_content";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"73e5c94d-e744-4da9-a15c-92742479687a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_tab_content";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"paragraph.mt_tab.field_mt_tab_content";s:13:"\0*\0field_name";s:20:"field_mt_tab_content";s:13:"\0*\0field_type";s:9:"text_long";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:6:"mt_tab";s:8:"\0*\0label";s:11:"Tab content";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_tab_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"paragraph.mt_tab.field_mt_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8f81fe8d-6554-4ac7-9be0-19c93ef40272";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_tab_title";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"paragraph.mt_tab.field_mt_tab_title";s:13:"\0*\0field_name";s:18:"field_mt_tab_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:6:"mt_tab";s:8:"\0*\0label";s:9:"Tab title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.682', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_timeline_item:en', 'a:3:{s:26:"field_mt_tml_timeline_date";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f1515804-8001-4a07-977f-6e0632e0473f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_date";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_date";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_date";s:13:"\0*\0field_type";s:8:"datetime";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_timeline_item";s:8:"\0*\0label";s:4:"Date";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_tml_timeline_link";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"01604ab2-6b80-4d72-a7fd-d1b91b54d6fb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_link";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_link";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_link";s:13:"\0*\0field_type";s:4:"link";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_timeline_item";s:8:"\0*\0label";s:4:"Link";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_tml_timeline_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:54:"paragraph.mt_timeline_item.field_mt_tml_timeline_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6e19c0a9-4d4f-4cf7-92f7-49615df0e6a0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_tml_timeline_title";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:54:"paragraph.mt_timeline_item.field_mt_tml_timeline_title";s:13:"\0*\0field_name";s:27:"field_mt_tml_timeline_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:16:"mt_timeline_item";s:8:"\0*\0label";s:5:"Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.685', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:paragraph:mt_video_gallery_slide:en', 'a:5:{s:24:"field_mt_vgs_slide_title";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:57:"paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"accbab0b-6151-461f-8b78-6629b3e991c1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:57:"paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";s:13:"\0*\0field_name";s:24:"field_mt_vgs_slide_title";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:22:"mt_video_gallery_slide";s:8:"\0*\0label";s:11:"Slide Title";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_vgs_thumbnail";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:55:"paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f79ac09c-a4af-4582-a742-8aba532ee391";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:55:"paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";s:13:"\0*\0field_name";s:22:"field_mt_vgs_thumbnail";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:22:"mt_video_gallery_slide";s:8:"\0*\0label";s:9:"Thumbnail";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_vgs_vimeo_id";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:54:"paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3f95e2d6-db73-4eb4-9992-093b8571db66";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:54:"paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";s:13:"\0*\0field_name";s:21:"field_mt_vgs_vimeo_id";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:22:"mt_video_gallery_slide";s:8:"\0*\0label";s:8:"Vimeo ID";s:14:"\0*\0description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_vgs_volume";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:52:"paragraph.mt_video_gallery_slide.field_mt_vgs_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d9c25109-2c57-4c0c-9296-67d27f8e3c6c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:52:"paragraph.mt_video_gallery_slide.field_mt_vgs_volume";s:13:"\0*\0field_name";s:19:"field_mt_vgs_volume";s:13:"\0*\0field_type";s:7:"integer";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:22:"mt_video_gallery_slide";s:8:"\0*\0label";s:6:"Volume";s:14:"\0*\0description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:11:"\0*\0settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:11:"\0*\0required";b:1;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_vgs_youtube_id";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:56:"paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6f545a9b-d554-4421-9d1d-e40b0ab1f8e4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:56:"paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";s:13:"\0*\0field_name";s:23:"field_mt_vgs_youtube_id";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:9:"paragraph";s:9:"\0*\0bundle";s:22:"mt_video_gallery_slide";s:8:"\0*\0label";s:10:"Youtube ID";s:14:"\0*\0description";s:142:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated. ";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.688', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_bundle_field_definitions:shortcut:default:en', 'a:0:{}', -1, '1681649762.459', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:font_classification:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:19:"font_classification";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:19:"font_classification";s:19:"font_classification";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.701', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:font_designer:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:13:"font_designer";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:13:"font_designer";s:13:"font_designer";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.703', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:font_foundry:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:12:"font_foundry";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:12:"font_foundry";s:12:"font_foundry";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.705', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:font_tags:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:9:"font_tags";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:9:"font_tags";s:9:"font_tags";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.706', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:languages_supported:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:19:"languages_supported";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:19:"languages_supported";s:19:"languages_supported";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.709', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_affiliations:en', 'a:2:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:26:"field_mt_affiliation_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:56:"taxonomy_term.mt_affiliations.field_mt_affiliation_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cc47cfd7-3a6d-4f98-9655-66aeab6c03e1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:54:"field.storage.taxonomy_term.field_mt_affiliation_image";i:1;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:56:"taxonomy_term.mt_affiliations.field_mt_affiliation_image";s:13:"\0*\0field_name";s:26:"field_mt_affiliation_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:9:"\0*\0bundle";s:15:"mt_affiliations";s:8:"\0*\0label";s:17:"Affiliation Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.710', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_album_categories:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:19:"mt_album_categories";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:19:"mt_album_categories";s:19:"mt_album_categories";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.712', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_collections:en', 'a:3:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:25:"field_mt_collection_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:54:"taxonomy_term.mt_collections.field_mt_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dd02e27a-e3ec-4f93-8fea-69882281b848";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:54:"taxonomy_term.mt_collections.field_mt_collection_image";s:13:"\0*\0field_name";s:25:"field_mt_collection_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:9:"\0*\0bundle";s:14:"mt_collections";s:8:"\0*\0label";s:19:"Product Group Image";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_wide_collection_image";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:59:"taxonomy_term.mt_collections.field_mt_wide_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5c99299b-1d23-4c61-8e5c-b89b1251ff5b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:2:{i:0;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:59:"taxonomy_term.mt_collections.field_mt_wide_collection_image";s:13:"\0*\0field_name";s:30:"field_mt_wide_collection_image";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:9:"\0*\0bundle";s:14:"mt_collections";s:8:"\0*\0label";s:29:"Landscape Product Group Image";s:14:"\0*\0description";s:99:"Optional image, used only on selected Views-driven pages or blocks with items listed using Masonry.";s:11:"\0*\0settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.715', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_event_categories:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:19:"mt_event_categories";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:19:"mt_event_categories";s:19:"mt_event_categories";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.717', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_presentation_categories:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:26:"mt_presentation_categories";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.719', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_program_entry_categories:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:27:"mt_program_entry_categories";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.721', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_service_tags:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_service_tags";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.723', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_session:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:10:"mt_session";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:10:"mt_session";s:10:"mt_session";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.725', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:mt_topics:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:9:"mt_topics";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:9:"mt_topics";s:9:"mt_topics";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.727', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:taxonomy_term:tags:en', 'a:1:{s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:4:"tags";}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:1:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}}}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.728', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_field_definitions:user:user:en', 'a:3:{s:18:"field_mt_full_name";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"user.user.field_mt_full_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9813a7b9-e5ea-48f4-8305-7a3d6d85432f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_full_name";}s:6:"module";a:1:{i:0;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"user.user.field_mt_full_name";s:13:"\0*\0field_name";s:18:"field_mt_full_name";s:13:"\0*\0field_type";s:6:"string";s:14:"\0*\0entity_type";s:4:"user";s:9:"\0*\0bundle";s:4:"user";s:8:"\0*\0label";s:9:"Full Name";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:0:{}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_signature";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"user.user.field_mt_signature";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"269be0cc-b9e2-469d-91bc-42e9d051e0fd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_signature";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"user.user.field_mt_signature";s:13:"\0*\0field_name";s:18:"field_mt_signature";s:13:"\0*\0field_type";s:17:"text_with_summary";s:14:"\0*\0entity_type";s:4:"user";s:9:"\0*\0bundle";s:4:"user";s:8:"\0*\0label";s:9:"Signature";s:14:"\0*\0description";s:0:"";s:11:"\0*\0settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:0;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}s:12:"user_picture";O:31:"Drupal\\field\\Entity\\FieldConfig":32:{s:15:"\0*\0entityTypeId";s:12:"field_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"user.user.user_picture";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"57b659d4-dcfe-4ef7-8d1b-1220c55574e3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"cL7i1kgJvlJa6H00f0E_fZ2KdD1ag0ASpLts0K-KNII";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:2:{s:6:"config";a:1:{i:0;s:31:"field.storage.user.user_picture";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"user.user.user_picture";s:13:"\0*\0field_name";s:12:"user_picture";s:13:"\0*\0field_type";s:5:"image";s:14:"\0*\0entity_type";s:4:"user";s:9:"\0*\0bundle";s:4:"user";s:8:"\0*\0label";s:7:"Picture";s:14:"\0*\0description";s:29:"Your virtual face or picture.";s:11:"\0*\0settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:14:"file_directory";s:40:"pictures/[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:5:"30 KB";s:9:"alt_field";b:0;s:11:"title_field";b:0;s:14:"max_resolution";s:5:"85x85";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:18:"alt_field_required";b:0;s:20:"title_field_required";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:11:"\0*\0required";b:0;s:15:"\0*\0translatable";b:1;s:16:"\0*\0default_value";a:0:{}s:25:"\0*\0default_value_callback";s:0:"";s:14:"\0*\0constraints";a:0:{}s:22:"\0*\0propertyConstraints";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.251', 1, 'entity_field_info entity_types', '3'),
('entity_bundle_info:en', 'a:42:{s:5:"block";a:1:{s:5:"block";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"block_content_type";a:1:{s:18:"block_content_type";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:13:"block_content";a:17:{s:5:"basic";a:1:{s:5:"label";s:11:"Basic block";}s:25:"mt_background_image_block";a:1:{s:5:"label";s:22:"Background Image Block";}s:25:"mt_background_video_block";a:1:{s:5:"label";s:22:"Background Video Block";}s:20:"mt_collapsible_block";a:1:{s:5:"label";s:17:"Collapsible Block";}s:18:"mt_dropdowns_block";a:1:{s:5:"label";s:15:"Dropdowns Block";}s:28:"mt_fancy_linked_images_block";a:1:{s:5:"label";s:25:"Fancy Linked Images block";}s:19:"mt_fancy_tabs_block";a:1:{s:5:"label";s:16:"Fancy Tabs block";}s:13:"mt_fltt_block";a:1:{s:5:"label";s:32:"Featured Linked Text Tiles block";}s:14:"mt_google_maps";a:1:{s:5:"label";s:10:"Google Map";}s:11:"mt_if_block";a:1:{s:5:"label";s:19:"Icon Features block";}s:23:"mt_main_slideshow_block";a:1:{s:5:"label";s:20:"Main Slideshow Block";}s:19:"mt_media_tabs_block";a:1:{s:5:"label";s:16:"Media Tabs Block";}s:24:"mt_nodes_slideshow_block";a:1:{s:5:"label";s:21:"Nodes Slideshow block";}s:13:"mt_tabs_block";a:1:{s:5:"label";s:10:"Tabs block";}s:17:"mt_timeline_block";a:1:{s:5:"label";s:14:"Timeline Block";}s:25:"mt_typing_animation_block";a:1:{s:5:"label";s:22:"Typing Animation Block";}s:22:"mt_video_gallery_block";a:1:{s:5:"label";s:19:"Video Gallery block";}}s:12:"comment_type";a:1:{s:12:"comment_type";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:7:"comment";a:1:{s:7:"comment";a:1:{s:5:"label";s:16:"Default comments";}}s:15:"contact_message";a:3:{s:11:"alternative";a:1:{s:5:"label";s:19:"Alternative Contact";}s:8:"feedback";a:1:{s:5:"label";s:12:"Get In Touch";}s:8:"personal";a:1:{s:5:"label";s:21:"Personal contact form";}}s:12:"contact_form";a:1:{s:12:"contact_form";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:6:"editor";a:1:{s:6:"editor";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text Editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:12:"field_config";a:1:{s:12:"field_config";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:20:"field_storage_config";a:1:{s:20:"field_storage_config";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Field storage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"file";a:1:{s:4:"file";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:13:"filter_format";a:1:{s:13:"filter_format";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:11:"image_style";a:1:{s:11:"image_style";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"node";a:13:{s:7:"article";a:1:{s:5:"label";s:7:"Article";}s:8:"mt_album";a:1:{s:5:"label";s:5:"Album";}s:14:"mt_canvas_page";a:1:{s:5:"label";s:16:"Layouting Canvas";}s:8:"mt_event";a:1:{s:5:"label";s:5:"Event";}s:15:"mt_presentation";a:1:{s:5:"label";s:12:"Presentation";}s:10:"mt_product";a:1:{s:5:"label";s:11:"Merchandise";}s:16:"mt_program_entry";a:1:{s:5:"label";s:13:"Program Entry";}s:10:"mt_service";a:1:{s:5:"label";s:13:"Accommodation";}s:10:"mt_speaker";a:1:{s:5:"label";s:7:"Speaker";}s:10:"mt_sponsor";a:1:{s:5:"label";s:7:"Sponsor";}s:14:"mt_team_member";a:1:{s:5:"label";s:11:"Team Member";}s:14:"mt_testimonial";a:1:{s:5:"label";s:11:"Testimonial";}s:4:"page";a:1:{s:5:"label";s:10:"Basic page";}}s:9:"node_type";a:1:{s:9:"node_type";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:10:"path_alias";a:1:{s:10:"path_alias";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:11:"rdf_mapping";a:1:{s:11:"rdf_mapping";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"RDF mapping";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:11:"search_page";a:1:{s:11:"search_page";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Search page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:12:"shortcut_set";a:1:{s:12:"shortcut_set";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:8:"shortcut";a:1:{s:7:"default";a:1:{s:5:"label";s:7:"Default";}}s:6:"action";a:1:{s:6:"action";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"menu";a:1:{s:4:"menu";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:13:"taxonomy_term";a:15:{s:19:"font_classification";a:1:{s:5:"label";s:14:"Classification";}s:13:"font_designer";a:1:{s:5:"label";s:13:"Font Designer";}s:12:"font_foundry";a:1:{s:5:"label";s:12:"Font Foundry";}s:9:"font_tags";a:1:{s:5:"label";s:9:"Font Tags";}s:19:"languages_supported";a:1:{s:5:"label";s:19:"Languages Supported";}s:15:"mt_affiliations";a:1:{s:5:"label";s:12:"Affiliations";}s:19:"mt_album_categories";a:1:{s:5:"label";s:16:"Album Categories";}s:14:"mt_collections";a:1:{s:5:"label";s:22:"Merchandise Categories";}s:19:"mt_event_categories";a:1:{s:5:"label";s:16:"Event Categories";}s:26:"mt_presentation_categories";a:1:{s:5:"label";s:23:"Presentation Categories";}s:27:"mt_program_entry_categories";a:1:{s:5:"label";s:24:"Program Entry Categories";}s:15:"mt_service_tags";a:1:{s:5:"label";s:18:"Accommodation Tags";}s:10:"mt_session";a:1:{s:5:"label";s:7:"Session";}s:9:"mt_topics";a:1:{s:5:"label";s:6:"Topics";}s:4:"tags";a:1:{s:5:"label";s:4:"Tags";}}s:19:"taxonomy_vocabulary";a:1:{s:19:"taxonomy_vocabulary";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Taxonomy vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"tour";a:1:{s:4:"tour";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:9:"user_role";a:1:{s:9:"user_role";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"user";a:1:{s:4:"user";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"webform_submission";a:1:{s:8:"register";a:1:{s:5:"label";s:8:"Register";}}s:15:"webform_options";a:1:{s:15:"webform_options";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:7:"webform";a:1:{s:7:"webform";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"font";a:1:{s:4:"font";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:12:"font_display";a:1:{s:12:"font_display";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:17:"menu_link_content";a:1:{s:17:"menu_link_content";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"view";a:1:{s:4:"view";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}}}s:15:"paragraphs_type";a:1:{s:15:"paragraphs_type";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraphs type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:9:"paragraph";a:14:{s:21:"mt_additional_feature";a:1:{s:5:"label";s:18:"Additional Feature";}s:11:"mt_collapse";a:1:{s:5:"label";s:8:"Collapse";}s:11:"mt_dropdown";a:1:{s:5:"label";s:8:"Dropdown";}s:21:"mt_fancy_linked_image";a:1:{s:5:"label";s:18:"Fancy Linked Image";}s:12:"mt_fancy_tab";a:1:{s:5:"label";s:9:"Fancy Tab";}s:28:"mt_featured_linked_text_tile";a:1:{s:5:"label";s:25:"Featured Linked Text Tile";}s:12:"mt_highlight";a:1:{s:5:"label";s:9:"Highlight";}s:16:"mt_icon_features";a:1:{s:5:"label";s:13:"Icon Features";}s:23:"mt_main_slideshow_slide";a:1:{s:5:"label";s:20:"Main Slideshow Slide";}s:15:"mt_map_location";a:1:{s:5:"label";s:12:"Map Location";}s:12:"mt_media_tab";a:1:{s:5:"label";s:9:"Media Tab";}s:6:"mt_tab";a:1:{s:5:"label";s:3:"Tab";}s:16:"mt_timeline_item";a:1:{s:5:"label";s:13:"Timeline Item";}s:22:"mt_video_gallery_slide";a:1:{s:5:"label";s:19:"Video Gallery slide";}}s:16:"entity_view_mode";a:1:{s:16:"entity_view_mode";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"View mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:19:"entity_form_display";a:1:{s:19:"entity_form_display";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:19:"entity_view_display";a:1:{s:19:"entity_view_display";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity view display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:16:"entity_form_mode";a:1:{s:16:"entity_form_mode";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Form mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:19:"base_field_override";a:1:{s:19:"base_field_override";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Base field override";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:11:"date_format";a:1:{s:11:"date_format";a:1:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Date format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}', -1, '1681649759.907', 1, 'entity_bundles entity_types', '3'),
('entity_field_map', 'a:13:{s:13:"block_content";a:55:{s:2:"id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:11:"revision_id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:4:"type";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:16:"revision_created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:13:"revision_user";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:12:"revision_log";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:4:"info";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:8:"reusable";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:16:"revision_default";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:29:"revision_translation_affected";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:17:{s:5:"basic";s:5:"basic";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";s:13:"mt_fltt_block";s:13:"mt_fltt_block";s:14:"mt_google_maps";s:14:"mt_google_maps";s:11:"mt_if_block";s:11:"mt_if_block";s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:17:"mt_timeline_block";s:17:"mt_timeline_block";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:4:"body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:2:{s:5:"basic";s:5:"basic";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";}}s:24:"field_mt_block_reference";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:4:{s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:17:"field_mt_map_zoom";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_google_maps";s:14:"mt_google_maps";}}s:18:"field_mt_fancy_tab";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";}}s:27:"field_mt_fancy_linked_image";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";}}s:25:"field_mt_background_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:23:"field_mt_bg_image_color";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:29:"field_mt_bg_image_layout_mode";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:25:"field_mt_bg_image_opacity";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:17:"field_mt_ns_slide";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";}}s:18:"field_mt_media_tab";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";}}s:13:"field_mt_fltt";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:13:"mt_fltt_block";s:13:"mt_fltt_block";}}s:29:"field_mt_main_slideshow_slide";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:30:"field_mt_main_slideshow_layout";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:26:"field_mt_ms_initial_height";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:27:"field_mt_ms_effect_duration";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:28:"field_mt_ms_navigation_style";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:18:"field_mt_ms_effect";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:27:"field_mt_ms_touch_swipe_nav";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:28:"field_mt_ms_bullets_position";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:30:"field_mt_ms_background_opacity";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:29:"field_mt_video_gallery_slides";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:32:"field_mt_ms_ignore_header_height";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:29:"field_mt_bg_image_positioning";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:17:"field_mt_dropdown";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";}}s:21:"field_mt_map_location";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:14:"mt_google_maps";s:14:"mt_google_maps";}}s:11:"field_mt_if";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:11:"mt_if_block";s:11:"mt_if_block";}}s:21:"field_mt_bv_video_mp4";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:22:"field_mt_bv_video_webm";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:25:"field_mt_bv_overlay_color";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:27:"field_mt_bv_overlay_opacity";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:23:"field_mt_bv_layout_mode";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:18:"field_mt_bv_poster";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:25:"field_mt_cb_collapse_icon";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:23:"field_mt_cb_expand_icon";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:17:"field_mt_cb_state";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:17:"field_mt_cb_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:28:"field_mt_cb_trigger_position";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:26:"field_mt_tml_timeline_item";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:17:"mt_timeline_block";s:17:"mt_timeline_block";}}s:30:"field_mt_tml_timeline_viewmore";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:17:"mt_timeline_block";s:17:"mt_timeline_block";}}}s:7:"comment";a:20:{s:3:"cid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:12:"comment_type";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:3:"uid";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:3:"pid";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:9:"entity_id";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:7:"subject";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:4:"name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:4:"mail";a:2:{s:4:"type";s:5:"email";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:8:"homepage";a:2:{s:4:"type";s:3:"uri";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:8:"hostname";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:7:"created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:6:"thread";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:11:"entity_type";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:10:"field_name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}s:12:"comment_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}}s:15:"contact_message";a:9:{s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:12:"contact_form";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:4:"name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:4:"mail";a:2:{s:4:"type";s:5:"email";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:7:"subject";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:7:"message";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:4:"copy";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}s:9:"recipient";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:3:{s:11:"alternative";s:11:"alternative";s:8:"feedback";s:8:"feedback";s:8:"personal";s:8:"personal";}}}s:4:"file";a:11:{s:3:"fid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:3:"uid";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:8:"filename";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:3:"uri";a:2:{s:4:"type";s:8:"file_uri";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:8:"filemime";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:8:"filesize";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:7:"created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:1:{s:4:"file";s:4:"file";}}}s:4:"node";a:108:{s:3:"nid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:3:"vid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:4:"type";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:18:"revision_timestamp";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:12:"revision_uid";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:12:"revision_log";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:3:"uid";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:5:"title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:7:"created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:7:"promote";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:6:"sticky";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:16:"revision_default";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:29:"revision_translation_affected";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:4:"path";a:2:{s:4:"type";s:4:"path";s:7:"bundles";a:13:{s:7:"article";s:7:"article";s:8:"mt_album";s:8:"mt_album";s:14:"mt_canvas_page";s:14:"mt_canvas_page";s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";s:10:"mt_product";s:10:"mt_product";s:16:"mt_program_entry";s:16:"mt_program_entry";s:10:"mt_service";s:10:"mt_service";s:10:"mt_speaker";s:10:"mt_speaker";s:10:"mt_sponsor";s:10:"mt_sponsor";s:14:"mt_team_member";s:14:"mt_team_member";s:14:"mt_testimonial";s:14:"mt_testimonial";s:4:"page";s:4:"page";}}s:4:"body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:2:{s:7:"article";s:7:"article";s:4:"page";s:4:"page";}}s:7:"comment";a:2:{s:4:"type";s:7:"comment";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:11:"field_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:10:"field_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:18:"field_mt_slideshow";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:24:"field_mt_slideshow_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:23:"field_mt_slideshow_text";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:23:"field_mt_subheader_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:4:"page";s:4:"page";}}s:14:"field_mt_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:18:"field_mt_alb_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:18:"field_mt_alb_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:17:"field_mt_alb_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:32:"field_mt_prd_additional_features";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_availability";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:21:"field_mt_prd_buy_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:23:"field_mt_prd_categories";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:22:"field_mt_prd_highlight";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_prd_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:18:"field_mt_prd_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:28:"field_mt_prd_landscape_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_most_popular";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:18:"field_mt_prd_price";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:31:"field_mt_prd_pricing_table_item";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_product_code";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:27:"field_mt_prd_subheader_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_content_tabs";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_prd_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:18:"field_mt_prd_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_alb_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:17:"field_mt_srv_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:21:"field_mt_srv_buy_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:22:"field_mt_srv_highlight";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:18:"field_mt_srv_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:18:"field_mt_srv_price";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:25:"field_mt_srv_service_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:18:"field_mt_srv_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:27:"field_mt_srv_subheader_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:25:"field_mt_spk_affiliations";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:17:"field_mt_spk_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:29:"field_mt_spk_facebook_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:29:"field_mt_spk_linkedin_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:26:"field_mt_spk_speaker_photo";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:21:"field_mt_spk_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:28:"field_mt_spk_twitter_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:28:"field_mt_spk_youtube_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:17:"field_mt_spn_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}}s:17:"field_mt_spn_logo";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}}s:17:"field_mt_tmm_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:29:"field_mt_tmm_facebook_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:29:"field_mt_tmm_linkedin_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:25:"field_mt_tmm_member_photo";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:21:"field_mt_tmm_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:28:"field_mt_tmm_twitter_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:28:"field_mt_tmm_youtube_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:17:"field_mt_tst_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:21:"field_mt_tst_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:30:"field_mt_tst_testimonial_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:29:"field_mt_tst_testimonial_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:25:"field_mt_srv_banner_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:28:"field_mt_prd_banner_carousel";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_evn_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:17:"field_mt_evn_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_evn_files";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_evn_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:20:"field_mt_evn_sponsor";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:20:"field_mt_evn_speaker";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_evn_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_prs_files";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:17:"field_mt_prs_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:17:"field_mt_prs_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:18:"field_mt_prs_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:21:"field_mt_prs_location";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_speaker";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_sponsor";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:18:"field_mt_prs_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_authors";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:25:"field_mt_prs_affiliations";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:19:"field_mt_prs_topics";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_session";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:18:"field_mt_evn_place";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:21:"field_mt_evn_location";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:21:"field_mt_evn_map_zoom";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:27:"field_mt_evn_event_category";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:21:"field_mt_prs_category";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:23:"field_mt_prg_start_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:21:"field_mt_prg_end_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:21:"field_mt_prg_category";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:18:"field_mt_prg_event";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:17:"field_mt_cnv_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:14:"mt_canvas_page";s:14:"mt_canvas_page";}}}s:10:"path_alias";a:8:{s:2:"id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}s:11:"revision_id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}s:4:"path";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}s:5:"alias";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}s:16:"revision_default";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:10:"path_alias";s:10:"path_alias";}}}s:8:"shortcut";a:8:{s:2:"id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}s:12:"shortcut_set";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}s:5:"title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}s:6:"weight";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}s:4:"link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:7:"default";s:7:"default";}}}s:13:"taxonomy_term";a:21:{s:3:"tid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:11:"revision_id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:3:"vid";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:16:"revision_created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:13:"revision_user";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:20:"revision_log_message";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:4:"name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:11:"description";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:6:"weight";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:6:"parent";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:16:"revision_default";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:29:"revision_translation_affected";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:4:"path";a:2:{s:4:"type";s:4:"path";s:7:"bundles";a:15:{s:19:"font_classification";s:19:"font_classification";s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";s:19:"languages_supported";s:19:"languages_supported";s:15:"mt_affiliations";s:15:"mt_affiliations";s:19:"mt_album_categories";s:19:"mt_album_categories";s:14:"mt_collections";s:14:"mt_collections";s:19:"mt_event_categories";s:19:"mt_event_categories";s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";s:15:"mt_service_tags";s:15:"mt_service_tags";s:10:"mt_session";s:10:"mt_session";s:9:"mt_topics";s:9:"mt_topics";s:4:"tags";s:4:"tags";}}s:25:"field_mt_collection_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}}s:30:"field_mt_wide_collection_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}}s:26:"field_mt_affiliation_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}}}s:4:"user";a:20:{s:3:"uid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:18:"preferred_langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:24:"preferred_admin_langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:4:"name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:4:"pass";a:2:{s:4:"type";s:8:"password";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:4:"mail";a:2:{s:4:"type";s:5:"email";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:8:"timezone";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:7:"created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:6:"access";a:2:{s:4:"type";s:9:"timestamp";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:5:"login";a:2:{s:4:"type";s:9:"timestamp";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:4:"init";a:2:{s:4:"type";s:5:"email";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:5:"roles";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:12:"user_picture";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:18:"field_mt_full_name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:18:"field_mt_signature";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}}s:18:"webform_submission";a:19:{s:6:"serial";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:3:"sid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:5:"token";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:3:"uri";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:7:"created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:9:"completed";a:2:{s:4:"type";s:9:"timestamp";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:8:"in_draft";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:12:"current_page";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:11:"remote_addr";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:3:"uid";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:10:"webform_id";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:11:"entity_type";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:9:"entity_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:6:"locked";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:6:"sticky";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}s:5:"notes";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:1:{s:8:"register";s:8:"register";}}}s:4:"font";a:21:{s:3:"fid";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:3:"pid";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:3:"url";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:4:"name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:10:"css_family";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:9:"css_style";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:10:"css_weight";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:7:"foundry";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:11:"foundry_url";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:7:"license";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:11:"license_url";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:8:"designer";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:12:"designer_url";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:8:"metadata";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:7:"created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:20:"field_classification";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:10:"field_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:25:"field_supported_languages";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}}s:17:"menu_link_content";a:22:{s:2:"id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:11:"revision_id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:6:"bundle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:16:"revision_created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:13:"revision_user";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:20:"revision_log_message";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:7:"enabled";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:5:"title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:11:"description";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:9:"menu_name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:4:"link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:8:"external";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:10:"rediscover";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:6:"weight";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:8:"expanded";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:6:"parent";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:7:"changed";a:2:{s:4:"type";s:7:"changed";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:16:"revision_default";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}s:29:"revision_translation_affected";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:17:"menu_link_content";s:17:"menu_link_content";}}}s:9:"paragraph";a:70:{s:2:"id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:4:"uuid";a:2:{s:4:"type";s:4:"uuid";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:11:"revision_id";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:8:"langcode";a:2:{s:4:"type";s:8:"language";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:4:"type";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:6:"status";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:7:"created";a:2:{s:4:"type";s:7:"created";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:9:"parent_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:11:"parent_type";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:17:"parent_field_name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:17:"behavior_settings";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:16:"default_langcode";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:16:"revision_default";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:29:"revision_translation_affected";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:14:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";s:11:"mt_collapse";s:11:"mt_collapse";s:11:"mt_dropdown";s:11:"mt_dropdown";s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";s:12:"mt_highlight";s:12:"mt_highlight";s:16:"mt_icon_features";s:16:"mt_icon_features";s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";s:15:"mt_map_location";s:15:"mt_map_location";s:12:"mt_media_tab";s:12:"mt_media_tab";s:6:"mt_tab";s:6:"mt_tab";s:16:"mt_timeline_item";s:16:"mt_timeline_item";s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:30:"field_mt_fancy_block_reference";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}}s:23:"field_mt_fancy_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}}s:20:"field_mt_fancy_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}}s:18:"field_mt_tab_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}}s:20:"field_mt_tab_content";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}}s:18:"field_mt_fli_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:18:"field_mt_fli_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:17:"field_mt_fli_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:18:"field_mt_fli_shape";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:24:"field_mt_media_tab_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:20:"field_mt_media_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:19:"field_mt_media_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:20:"field_mt_media_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:20:"field_mt_media_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:21:"field_mt_media_button";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:23:"field_mt_collapse_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:11:"mt_collapse";s:11:"mt_collapse";}}s:22:"field_mt_collapse_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:11:"mt_collapse";s:11:"mt_collapse";}}s:18:"field_mt_fltt_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}}s:19:"field_mt_fltt_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}}s:18:"field_mt_fltt_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}}s:23:"field_mt_ms_slide_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:25:"field_mt_ms_slide_caption";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:22:"field_mt_ms_slide_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:23:"field_mt_ms_slide_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:26:"field_mt_ms_slide_vimeo_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:28:"field_mt_ms_slide_youtube_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:24:"field_mt_ms_slide_volume";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:31:"field_mt_ms_slide_caption_color";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:30:"field_mt_ms_slide_caption_opac";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:24:"field_mt_vgs_slide_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:22:"field_mt_vgs_thumbnail";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:21:"field_mt_vgs_vimeo_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:19:"field_mt_vgs_volume";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:23:"field_mt_vgs_youtube_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:23:"field_mt_dropdown_block";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}}s:20:"field_mt_ml_latitude";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}}s:25:"field_mt_ml_location_name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}}s:21:"field_mt_ml_longitude";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}}s:23:"field_mt_highlight_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:24:"field_mt_highlight_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:23:"field_mt_highlight_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:24:"field_mt_highlight_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:17:"field_mt_if_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:16:"field_mt_if_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:16:"field_mt_if_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:17:"field_mt_if_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:18:"field_mt_adf_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:17:"field_mt_adf_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:18:"field_mt_adf_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:27:"field_mt_tml_timeline_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}}s:26:"field_mt_tml_timeline_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}}s:26:"field_mt_tml_timeline_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}}s:20:"field_mt_adf_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:27:"field_mt_fli_button_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:19:"field_mt_if_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:25:"field_mt_dropdown_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}}}}', -1, '1681649760.213', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_field_storage_definitions:block_content:en', 'a:40:{s:4:"body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:18:"block_content.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22a2d0a9-bfcd-4089-8826-e8cec286023f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:18:"block_content.body";s:13:"\0*\0field_name";s:4:"body";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_background_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_background_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"16d5fc08-5a2e-4feb-9bdc-0e4a7448244d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_background_image";s:13:"\0*\0field_name";s:25:"field_mt_background_image";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_bg_image_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"block_content.field_mt_bg_image_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3db39b50-af1a-4d58-a620-831ff4fc05b1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"block_content.field_mt_bg_image_color";s:13:"\0*\0field_name";s:23:"field_mt_bg_image_color";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:4:"Dark";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_bg_image_layout_mode";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_bg_image_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f4e8e01-4077-4234-bac5-3a75658e1822";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_bg_image_layout_mode";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_layout_mode";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"container";s:11:"Fixed Width";s:15:"container-fluid";s:10:"Full Width";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_bg_image_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_bg_image_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"31a9f97d-a721-41b9-a379-dc006c5ae921";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_bg_image_opacity";s:13:"\0*\0field_name";s:25:"field_mt_bg_image_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_bg_image_positioning";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_bg_image_positioning";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d7cc154f-9ddf-4087-94e9-410c2cc50c72";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_bg_image_positioning";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_positioning";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_block_reference";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"block_content.field_mt_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f20586f9-91c0-4de8-9414-ddf69e44d81f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"block_content.field_mt_block_reference";s:13:"\0*\0field_name";s:24:"field_mt_block_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_bv_layout_mode";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"block_content.field_mt_bv_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3ff57e43-e23f-4d7a-bc37-a00cabf21daa";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"block_content.field_mt_bv_layout_mode";s:13:"\0*\0field_name";s:23:"field_mt_bv_layout_mode";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"container";s:11:"Fixed Width";s:15:"container-fluid";s:10:"Full Width";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_bv_overlay_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_bv_overlay_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"193b151e-6364-4b67-a16b-7319d84e28d0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_bv_overlay_color";s:13:"\0*\0field_name";s:25:"field_mt_bv_overlay_color";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:4:"Dark";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_bv_overlay_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_bv_overlay_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b23fcdef-1ff7-435f-afaa-f0ace9a39c74";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_bv_overlay_opacity";s:13:"\0*\0field_name";s:27:"field_mt_bv_overlay_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_bv_poster";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_bv_poster";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75f4013a-0861-49c9-ba7e-895c7c970ae2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_bv_poster";s:13:"\0*\0field_name";s:18:"field_mt_bv_poster";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_bv_video_mp4";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"block_content.field_mt_bv_video_mp4";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a560034a-6389-438f-8948-dec1013e9d52";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"block_content.field_mt_bv_video_mp4";s:13:"\0*\0field_name";s:21:"field_mt_bv_video_mp4";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_bv_video_webm";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"block_content.field_mt_bv_video_webm";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"11d2ef71-9700-4313-b6c9-67b13a5f3a81";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"block_content.field_mt_bv_video_webm";s:13:"\0*\0field_name";s:22:"field_mt_bv_video_webm";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_cb_collapse_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"block_content.field_mt_cb_collapse_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"67ae6567-0556-4ab5-8b6f-58e662ed1ad6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"block_content.field_mt_cb_collapse_icon";s:13:"\0*\0field_name";s:25:"field_mt_cb_collapse_icon";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_cb_expand_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"block_content.field_mt_cb_expand_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5e018863-8933-4e50-95e9-be57ab7af654";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"block_content.field_mt_cb_expand_icon";s:13:"\0*\0field_name";s:23:"field_mt_cb_expand_icon";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_cb_state";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_cb_state";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f3d6fea2-4b1a-4220-b617-1f1996125741";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_cb_state";s:13:"\0*\0field_name";s:17:"field_mt_cb_state";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:8:"expanded";s:8:"Expanded";s:9:"collapsed";s:9:"Collapsed";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_cb_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_cb_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1c106149-1590-48b3-bcf3-90bd79900b79";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_cb_title";s:13:"\0*\0field_name";s:17:"field_mt_cb_title";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_cb_trigger_position";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"block_content.field_mt_cb_trigger_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d020301c-6aed-4357-b8bc-5bd0a08e8943";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"block_content.field_mt_cb_trigger_position";s:13:"\0*\0field_name";s:28:"field_mt_cb_trigger_position";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:3:"top";s:3:"Top";s:6:"bottom";s:6:"Bottom";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_dropdown";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_dropdown";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"33b69423-ea44-41ec-aee9-ce7d25f09cdb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_dropdown";s:13:"\0*\0field_name";s:17:"field_mt_dropdown";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_fancy_linked_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_fancy_linked_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f3ec65f5-0c55-4198-abb7-bbe64c6b5785";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_fancy_linked_image";s:13:"\0*\0field_name";s:27:"field_mt_fancy_linked_image";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fancy_tab";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_fancy_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3bda504a-27b2-4fec-9799-cea3cba0b66f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_fancy_tab";s:13:"\0*\0field_name";s:18:"field_mt_fancy_tab";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:13:"field_mt_fltt";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"block_content.field_mt_fltt";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e7f6e71a-e39f-499e-a2e3-938f006edd87";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"block_content.field_mt_fltt";s:13:"\0*\0field_name";s:13:"field_mt_fltt";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:11:"field_mt_if";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"block_content.field_mt_if";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22b11c07-c927-43e7-8b82-cfc83e4214d0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"block_content.field_mt_if";s:13:"\0*\0field_name";s:11:"field_mt_if";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_main_slideshow_layout";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"block_content.field_mt_main_slideshow_layout";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"84f9688c-9f92-4c02-97cc-1b9a9cb1555c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"block_content.field_mt_main_slideshow_layout";s:13:"\0*\0field_name";s:30:"field_mt_main_slideshow_layout";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"fullwidth";s:10:"Full Width";s:10:"fullscreen";s:11:"Full Screen";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_main_slideshow_slide";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_main_slideshow_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"86510cb9-19ac-4f48-9da1-4945c3d81ca6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_main_slideshow_slide";s:13:"\0*\0field_name";s:29:"field_mt_main_slideshow_slide";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_map_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"block_content.field_mt_map_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7b867270-8272-4f7f-9590-a46a16167e32";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"block_content.field_mt_map_location";s:13:"\0*\0field_name";s:21:"field_mt_map_location";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_map_zoom";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba947929-7f8c-463b-a0d0-0d37ddadb91a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_map_zoom";s:13:"\0*\0field_name";s:17:"field_mt_map_zoom";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_media_tab";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_media_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2a46f5aa-0a9f-4cf3-8d61-15741b636da6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_media_tab";s:13:"\0*\0field_name";s:18:"field_mt_media_tab";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_ms_background_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"block_content.field_mt_ms_background_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9c91566-b021-4c07-9675-1c59fbe11bb3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"block_content.field_mt_ms_background_opacity";s:13:"\0*\0field_name";s:30:"field_mt_ms_background_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_ms_bullets_position";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"block_content.field_mt_ms_bullets_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"df9b82a6-6ce9-4aff-9594-af09ac953a40";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"block_content.field_mt_ms_bullets_position";s:13:"\0*\0field_name";s:28:"field_mt_ms_bullets_position";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:3:{s:4:"left";s:4:"Left";s:5:"right";s:5:"Right";s:6:"center";s:6:"Center";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_ms_effect";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"block_content.field_mt_ms_effect";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0c16129a-2c39-4904-bb98-a28c620ed30a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"block_content.field_mt_ms_effect";s:13:"\0*\0field_name";s:18:"field_mt_ms_effect";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:49:{s:4:"fade";s:4:"Fade";s:7:"slideup";s:12:"Slide To Top";s:9:"slidedown";s:15:"Slide To Bottom";s:10:"slideright";s:14:"Slide To Right";s:9:"slideleft";s:13:"Slide To Left";s:15:"slidehorizontal";s:16:"Slide Horizontal";s:13:"slidevertical";s:14:"Slide Vertical";s:8:"boxslide";s:11:"Slide Boxes";s:20:"slotslide-horizontal";s:22:"Slide Slots Horizontal";s:18:"slotslide-vertical";s:20:"Slide Slots Vertical";s:7:"boxfade";s:10:"Fade Boxes";s:19:"slotfade-horizontal";s:21:"Fade Slots Horizontal";s:17:"slotfade-vertical";s:19:"Fade Slots Vertical";s:13:"fadefromright";s:25:"Fade and Slide from Right";s:12:"fadefromleft";s:24:"Fade and Slide from Left";s:11:"fadefromtop";s:23:"Fade and Slide from Top";s:14:"fadefrombottom";s:26:"Fade and Slide from Bottom";s:23:"fadetoleftfadefromright";s:32:"Fade To Left and Fade From Right";s:23:"fadetorightfadefromleft";s:32:"Fade To Right and Fade From Left";s:23:"fadetotopfadefrombottom";s:32:"Fade To Top and Fade From Bottom";s:23:"fadetobottomfadefromtop";s:32:"Fade To Bottom and Fade From Top";s:15:"parallaxtoright";s:17:"Parallax to Right";s:14:"parallaxtoleft";s:16:"Parallax to Left";s:13:"parallaxtotop";s:15:"Parallax to Top";s:16:"parallaxtobottom";s:18:"Parallax to Bottom";s:18:"scaledownfromright";s:28:"Zoom Out and Fade From Right";s:17:"scaledownfromleft";s:27:"Zoom Out and Fade From Left";s:16:"scaledownfromtop";s:26:"Zoom Out and Fade From Top";s:19:"scaledownfrombottom";s:29:"Zoom Out and Fade From Bottom";s:7:"zoomout";s:7:"ZoomOut";s:6:"zoomin";s:6:"ZoomIn";s:19:"slotzoom-horizontal";s:21:"Zoom Slots Horizontal";s:17:"slotzoom-vertical";s:19:"Zoom Slots Vertical";s:9:"curtain-1";s:17:"Curtain from Left";s:9:"curtain-2";s:18:"Curtain from Right";s:9:"curtain-3";s:19:"Curtain from Middle";s:20:"3dcurtain-horizontal";s:21:"3D Curtain Horizontal";s:18:"3dcurtain-vertical";s:19:"3D Curtain Vertical";s:4:"cube";s:13:"Cube Vertical";s:15:"cube-horizontal";s:15:"Cube Horizontal";s:6:"incube";s:16:"In Cube Vertical";s:17:"incube-horizontal";s:18:"In Cube Horizontal";s:7:"turnoff";s:18:"TurnOff Horizontal";s:16:"turnoff-vertical";s:16:"TurnOff Vertical";s:8:"papercut";s:9:"Paper Cut";s:5:"flyin";s:6:"Fly In";s:13:"random-static";s:11:"Random Flat";s:14:"random-premium";s:14:"Random Premium";s:6:"random";s:31:"Random Flat and Premium/Default";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_ms_effect_duration";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_ms_effect_duration";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c240e0ca-88f5-4702-b173-fd19bbd61c52";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_ms_effect_duration";s:13:"\0*\0field_name";s:27:"field_mt_ms_effect_duration";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:32:"field_mt_ms_ignore_header_height";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:46:"block_content.field_mt_ms_ignore_header_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"da5267cd-4ffb-4da8-84f3-7eeae26e3132";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:46:"block_content.field_mt_ms_ignore_header_height";s:13:"\0*\0field_name";s:32:"field_mt_ms_ignore_header_height";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_ms_initial_height";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"block_content.field_mt_ms_initial_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3812ab0b-108c-44c0-92c3-d62ed70aed61";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"block_content.field_mt_ms_initial_height";s:13:"\0*\0field_name";s:26:"field_mt_ms_initial_height";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_ms_navigation_style";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:42:"block_content.field_mt_ms_navigation_style";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe621dec-b9dc-4f5b-b407-9c808562435a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:42:"block_content.field_mt_ms_navigation_style";s:13:"\0*\0field_name";s:28:"field_mt_ms_navigation_style";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:7:"bullets";s:7:"Bullets";s:15:"titles_carousel";s:15:"Titles Carousel";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_ms_touch_swipe_nav";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c282c20a-3e12-4ee6-92d1-311ee1d72972";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:13:"\0*\0field_name";s:27:"field_mt_ms_touch_swipe_nav";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_ns_slide";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"block_content.field_mt_ns_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f6ed5339-162f-440b-a909-001f88790ad1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"block_content.field_mt_ns_slide";s:13:"\0*\0field_name";s:17:"field_mt_ns_slide";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_tml_timeline_item";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"block_content.field_mt_tml_timeline_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3b3198c2-2fe4-429c-9294-aee9112f21f5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"block_content.field_mt_tml_timeline_item";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_item";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_tml_timeline_viewmore";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"block_content.field_mt_tml_timeline_viewmore";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"181f66bf-6c58-4c80-8f07-f1c650410514";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"link";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"block_content.field_mt_tml_timeline_viewmore";s:13:"\0*\0field_name";s:30:"field_mt_tml_timeline_viewmore";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_video_gallery_slides";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:43:"block_content.field_mt_video_gallery_slides";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6b8ce1be-94b6-409f-a777-a1db3df94795";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:43:"block_content.field_mt_video_gallery_slides";s:13:"\0*\0field_name";s:29:"field_mt_video_gallery_slides";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.476', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_field_storage_definitions:comment:en', 'a:1:{s:12:"comment_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:20:"comment.comment_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a7a54853-d273-4f1d-bd1e-6d318ec2a3ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:20:"comment.comment_body";s:13:"\0*\0field_name";s:12:"comment_body";s:14:"\0*\0entity_type";s:7:"comment";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.490', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:contact_message:en', 'a:0:{}', -1, '1681653355.239', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:file:en', 'a:0:{}', -1, '1681649761.515', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:font:en', 'a:3:{s:20:"field_classification";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"font.field_classification";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"07f3e102-c381-474f-827d-40061f9bc979";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"ow0pX66YjSmmNFHkjtHc_kfAjCaXJ94Msu27zaUb_hk";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"font.field_classification";s:13:"\0*\0field_name";s:20:"field_classification";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_supported_languages";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"font.field_supported_languages";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a8f36d15-3e3b-4b73-8bca-a6d7b13a415d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"svUf3mifm4Fij8pp1e3TX1v-5cA6fr4_YmcCFNn3_I4";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"font.field_supported_languages";s:13:"\0*\0field_name";s:25:"field_supported_languages";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:10:"field_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:15:"font.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"452635bf-db2a-47c7-8fbc-23ec09b7b654";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"kEXAWX8HgcTM3RtpMvfkU8QeDoOGCOSh4EXqHe_u-LQ";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:15:"font.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649759.942', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:menu_link_content:en', 'a:0:{}', -1, '1681653355.266', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:node:en', 'a:89:{s:4:"body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:9:"node.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"55c47ffa-ec98-4e52-bd4e-eb9c26e35cea";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:9:"node.body";s:13:"\0*\0field_name";s:4:"body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:7:"comment";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:12:"node.comment";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b6518fb2-9112-4145-83c1-f353b3ad684a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:12:"node.comment";s:13:"\0*\0field_name";s:7:"comment";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"comment";s:9:"\0*\0module";s:7:"comment";s:11:"\0*\0settings";a:1:{s:12:"comment_type";s:7:"comment";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:11:"field_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:16:"node.field_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba1446e3-dd7e-4cf8-9703-de7e6390abbe";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:16:"node.field_image";s:13:"\0*\0field_name";s:11:"field_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_alb_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_alb_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5a08c1bb-1357-4416-a8bb-a0098072ce7d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_alb_body";s:13:"\0*\0field_name";s:17:"field_mt_alb_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_alb_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_alb_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"71918686-62dc-4f99-8da8-73b219b5b1f9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_alb_image";s:13:"\0*\0field_name";s:18:"field_mt_alb_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_alb_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_alb_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"405653ec-41d6-401b-814f-c93e960a25dd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_alb_tags";s:13:"\0*\0field_name";s:17:"field_mt_alb_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_alb_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_alb_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4455a9ab-950b-4210-b101-bf64e792a0d4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_alb_video";s:13:"\0*\0field_name";s:18:"field_mt_alb_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_cnv_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_cnv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ff311524-02b7-460f-83ff-058adf081455";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_cnv_body";s:13:"\0*\0field_name";s:17:"field_mt_cnv_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_evn_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_evn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"16663e87-ce79-463a-9d25-a6d396e2f10c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_evn_body";s:13:"\0*\0field_name";s:17:"field_mt_evn_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_evn_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_evn_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"77b5d167-f7c5-42cb-92fc-8118aafec1c4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_evn_date";s:13:"\0*\0field_name";s:17:"field_mt_evn_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_evn_event_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.field_mt_evn_event_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cef61c7a-5240-47bd-a045-1c532b47c298";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.field_mt_evn_event_category";s:13:"\0*\0field_name";s:27:"field_mt_evn_event_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_files";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"520bb678-1cf3-4cc0-9daf-bfd3c6339bcd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_files";s:13:"\0*\0field_name";s:18:"field_mt_evn_files";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b12ebed0-ffaf-4b79-9a17-3a48fac1327e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_image";s:13:"\0*\0field_name";s:18:"field_mt_evn_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_evn_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_evn_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c6bf2893-0fbe-444e-964d-512ee14ef798";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_evn_location";s:13:"\0*\0field_name";s:21:"field_mt_evn_location";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_evn_map_zoom";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_evn_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a63b3db3-3f9e-41e2-a8f7-485115e762ad";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_evn_map_zoom";s:13:"\0*\0field_name";s:21:"field_mt_evn_map_zoom";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_place";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_place";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a0fc8145-a35c-46a1-a14f-13ab1c60a39c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_place";s:13:"\0*\0field_name";s:18:"field_mt_evn_place";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_evn_speaker";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_evn_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6ee6777f-e2a3-4047-b58b-05a26c08eb15";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_evn_speaker";s:13:"\0*\0field_name";s:20:"field_mt_evn_speaker";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_evn_sponsor";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_evn_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"38d56e66-8c3a-4efb-bb91-07af0e6d8021";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_evn_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_evn_sponsor";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_evn_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"54fa2967-39c1-494d-babe-0adc81a814d8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_video";s:13:"\0*\0field_name";s:18:"field_mt_evn_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:32:"field_mt_prd_additional_features";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.field_mt_prd_additional_features";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0938f442-b0f1-4ede-92e4-0272810be1c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.field_mt_prd_additional_features";s:13:"\0*\0field_name";s:32:"field_mt_prd_additional_features";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_availability";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_availability";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d546f2a5-5609-42ee-8d9a-c126f9f57177";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_availability";s:13:"\0*\0field_name";s:25:"field_mt_prd_availability";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:8:"in_stock";s:8:"In Stock";s:12:"out_of_stock";s:12:"Out of Stock";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_prd_banner_carousel";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_prd_banner_carousel";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c9858a15-e3cb-4bf7-955e-5ab137e86d5e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_prd_banner_carousel";s:13:"\0*\0field_name";s:28:"field_mt_prd_banner_carousel";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prd_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prd_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b73c5625-e2f4-4884-943f-b23a3e1569b7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prd_body";s:13:"\0*\0field_name";s:17:"field_mt_prd_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prd_buy_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prd_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"87d33644-d499-49e8-a893-c338caf12d9a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prd_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_prd_buy_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_prd_categories";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_prd_categories";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b513fc7f-4e98-449c-b940-5a30ece271fb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_prd_categories";s:13:"\0*\0field_name";s:23:"field_mt_prd_categories";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_content_tabs";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_content_tabs";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"311ce268-9f91-4185-9950-cacffc7bb8c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_content_tabs";s:13:"\0*\0field_name";s:25:"field_mt_prd_content_tabs";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_prd_highlight";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"node.field_mt_prd_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7239379b-4bd7-4655-a9b3-e31d45d02308";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"node.field_mt_prd_highlight";s:13:"\0*\0field_name";s:22:"field_mt_prd_highlight";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prd_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prd_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe2d3505-de9d-4091-8947-c5b1f7fc764e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prd_image";s:13:"\0*\0field_name";s:18:"field_mt_prd_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_prd_landscape_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_prd_landscape_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a8eb5ef7-7656-4155-98dd-a641bd0f5302";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_prd_landscape_image";s:13:"\0*\0field_name";s:28:"field_mt_prd_landscape_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_most_popular";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_most_popular";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6d5f86fa-218c-47ff-af97-70cc7ecf06db";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_most_popular";s:13:"\0*\0field_name";s:25:"field_mt_prd_most_popular";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prd_price";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prd_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4153f528-5737-4aee-a825-9050ba3e7166";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prd_price";s:13:"\0*\0field_name";s:18:"field_mt_prd_price";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:31:"field_mt_prd_pricing_table_item";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"node.field_mt_prd_pricing_table_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba4ebccf-deee-443e-a92c-156111fe424a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"node.field_mt_prd_pricing_table_item";s:13:"\0*\0field_name";s:31:"field_mt_prd_pricing_table_item";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prd_product_code";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_product_code";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f8796200-9830-414a-8ecd-41d7080f1dbc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_product_code";s:13:"\0*\0field_name";s:25:"field_mt_prd_product_code";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_prd_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.field_mt_prd_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6e016bba-8606-4d8a-82f7-1cdf7d1d0283";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.field_mt_prd_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_prd_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prd_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prd_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"543acd0b-d450-42a8-9906-6c1f2a1b8a85";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prd_tags";s:13:"\0*\0field_name";s:17:"field_mt_prd_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prd_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prd_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bddf548c-c44b-4a0f-9ea0-742e2a68e9e2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prd_video";s:13:"\0*\0field_name";s:18:"field_mt_prd_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prg_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prg_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4810fde7-063f-4484-9736-af1f95c6f030";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prg_category";s:13:"\0*\0field_name";s:21:"field_mt_prg_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prg_end_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prg_end_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ca5ed19f-0907-4e4b-bd05-c4b68b09b67a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prg_end_date";s:13:"\0*\0field_name";s:21:"field_mt_prg_end_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prg_event";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prg_event";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f62d9501-6a67-4167-bdff-8f02bd5a4838";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prg_event";s:13:"\0*\0field_name";s:18:"field_mt_prg_event";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_prg_start_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_prg_start_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"01fca423-5a83-44b6-9e5d-4360e1e3d63e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_prg_start_date";s:13:"\0*\0field_name";s:23:"field_mt_prg_start_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_prs_affiliations";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prs_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"34af3af4-3c4f-4a03-962c-743021baae5a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prs_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_prs_affiliations";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_authors";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_authors";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6111a56a-09d6-4bd2-8ff0-5f96c1fc0a85";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_authors";s:13:"\0*\0field_name";s:20:"field_mt_prs_authors";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prs_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prs_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e6192d57-be1d-41f3-88fc-08e118f09ec3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prs_body";s:13:"\0*\0field_name";s:17:"field_mt_prs_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prs_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prs_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"66d47275-e96c-443a-a558-a20c72c27032";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prs_category";s:13:"\0*\0field_name";s:21:"field_mt_prs_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_prs_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prs_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9fc6832e-c6e1-4e94-9d43-88cd1c5decf6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prs_date";s:13:"\0*\0field_name";s:17:"field_mt_prs_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prs_files";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prs_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3713d413-2c19-4893-8376-e19b8ac769a8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prs_files";s:13:"\0*\0field_name";s:18:"field_mt_prs_files";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prs_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prs_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75d626f2-053b-4058-9367-e9959a4c193e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prs_image";s:13:"\0*\0field_name";s:18:"field_mt_prs_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_prs_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prs_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8a1d6191-b91f-4d1e-9700-c32c8f3d42f7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prs_location";s:13:"\0*\0field_name";s:21:"field_mt_prs_location";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_session";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_session";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7fd82e69-15e5-4a4f-9146-40bfa18abf8d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_session";s:13:"\0*\0field_name";s:20:"field_mt_prs_session";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_speaker";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"25257e3c-f8a1-45fd-9f5b-2a15f05476a9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_speaker";s:13:"\0*\0field_name";s:20:"field_mt_prs_speaker";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_prs_sponsor";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0310b659-5dc8-4b13-98ae-cc7810d380c7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_prs_sponsor";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_prs_topics";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:24:"node.field_mt_prs_topics";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"32eace59-1b58-4c3e-a3ee-4c5354109b58";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:24:"node.field_mt_prs_topics";s:13:"\0*\0field_name";s:19:"field_mt_prs_topics";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_prs_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prs_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"24d48946-187a-427f-a31d-4ca87ded9852";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prs_video";s:13:"\0*\0field_name";s:18:"field_mt_prs_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_slideshow";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_slideshow";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1471fc88-8de5-48f0-8729-064f91a2df45";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_slideshow";s:13:"\0*\0field_name";s:18:"field_mt_slideshow";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_slideshow_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"node.field_mt_slideshow_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ec7763f0-9dbe-4c60-9153-5c790791aeef";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"node.field_mt_slideshow_image";s:13:"\0*\0field_name";s:24:"field_mt_slideshow_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_slideshow_text";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_slideshow_text";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"38f70c30-2626-487f-8c2e-bb90b6cdd3de";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_slideshow_text";s:13:"\0*\0field_name";s:23:"field_mt_slideshow_text";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_spk_affiliations";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_spk_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d1a11029-d4db-459a-9b2b-e5a2206df914";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_spk_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_spk_affiliations";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_spk_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_spk_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"18848f68-89ce-48ce-bf32-185c155df1a6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_spk_body";s:13:"\0*\0field_name";s:17:"field_mt_spk_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_spk_facebook_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_spk_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fd035759-3cc2-43ee-9ef7-e9d7dac4b49e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_spk_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_facebook_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_spk_linkedin_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_spk_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1a80dccc-f7da-4eca-a1ed-aa3fe2b3a480";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_spk_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_linkedin_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_spk_speaker_photo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"node.field_mt_spk_speaker_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9191fcd7-831a-45b3-b932-bd495ee745b8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"node.field_mt_spk_speaker_photo";s:13:"\0*\0field_name";s:26:"field_mt_spk_speaker_photo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_spk_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_spk_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"56213120-ac5c-443e-9c10-4b110cfbbe30";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_spk_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_spk_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_spk_twitter_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_spk_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"02bb7fd0-ff84-419b-b27b-3630f012c544";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_spk_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_twitter_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_spk_youtube_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_spk_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"23216993-e812-4af4-b76f-19b6a6b97743";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_spk_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_youtube_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_spn_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_spn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e9cb60b7-569e-488d-910c-b7735cabd029";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_spn_body";s:13:"\0*\0field_name";s:17:"field_mt_spn_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_spn_logo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_spn_logo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6a9f6825-4765-4702-8bcd-9a97cfa4afd4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_spn_logo";s:13:"\0*\0field_name";s:17:"field_mt_spn_logo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_srv_banner_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_srv_banner_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f2dfd1a-3163-43a1-99f6-bca61cc01dde";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_srv_banner_image";s:13:"\0*\0field_name";s:25:"field_mt_srv_banner_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_srv_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_srv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0dae3eda-c427-426f-9588-8c94a053c3f1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_srv_body";s:13:"\0*\0field_name";s:17:"field_mt_srv_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_srv_buy_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_srv_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9b306ad-e77e-47d2-9ed7-d81b1b1ba4d8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_srv_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_srv_buy_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_srv_highlight";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"node.field_mt_srv_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5c37b63e-a20f-4a54-89a0-80cd1b025ce4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"node.field_mt_srv_highlight";s:13:"\0*\0field_name";s:22:"field_mt_srv_highlight";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_srv_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_srv_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d0efee66-e49f-4f2d-a236-dc3d665983a8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_srv_image";s:13:"\0*\0field_name";s:18:"field_mt_srv_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_srv_price";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_srv_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"78850486-6f49-458e-a357-18c3a457235d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_srv_price";s:13:"\0*\0field_name";s:18:"field_mt_srv_price";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_srv_service_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_srv_service_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3cf62ee8-4c5a-4afc-84b8-de928e1a5bc4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_srv_service_tags";s:13:"\0*\0field_name";s:25:"field_mt_srv_service_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_srv_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.field_mt_srv_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"40dea6df-38f3-483c-bdbb-0798b74dd2c4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.field_mt_srv_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_srv_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_srv_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_srv_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9d50c033-0baf-468c-810b-5051355ace40";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_srv_video";s:13:"\0*\0field_name";s:18:"field_mt_srv_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"add4ab49-0933-4384-84bb-fc3f63632656";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_subheader_body";s:13:"\0*\0field_name";s:23:"field_mt_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_tmm_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_tmm_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1398bb02-fdcc-4a5f-9a91-586130931cd4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_tmm_body";s:13:"\0*\0field_name";s:17:"field_mt_tmm_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_tmm_facebook_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_tmm_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7e53f77f-0469-434d-81d4-6108c2943b5a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_tmm_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_facebook_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_tmm_linkedin_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_tmm_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"62702c8d-027a-4937-a662-67c21e9563d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_tmm_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_linkedin_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_tmm_member_photo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_tmm_member_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e36ac1a7-eee5-4947-9b6b-e2a6736c0d01";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_tmm_member_photo";s:13:"\0*\0field_name";s:25:"field_mt_tmm_member_photo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_tmm_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_tmm_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"45c55712-bed0-49c3-b77b-849509bd6bf7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_tmm_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tmm_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_tmm_twitter_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_tmm_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f6eebd65-bc0e-4021-ab06-5d4ef4dd7059";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_tmm_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_twitter_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_tmm_youtube_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_tmm_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"eb990010-4176-496f-be00-e17240f696cd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_tmm_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_youtube_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_tst_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_tst_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9ab6972a-46db-4eda-84d6-6971ce553cf1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_tst_body";s:13:"\0*\0field_name";s:17:"field_mt_tst_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_tst_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_tst_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7499d773-1e75-4110-9d0a-2e2d93829a0d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_tst_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tst_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_tst_testimonial_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"node.field_mt_tst_testimonial_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"12dd58db-4c2f-4307-b9cd-d5b7cde44d84";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"node.field_mt_tst_testimonial_image";s:13:"\0*\0field_name";s:30:"field_mt_tst_testimonial_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:29:"field_mt_tst_testimonial_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_tst_testimonial_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cffa24e8-0fa8-42b3-9776-dc4c9295af1e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_tst_testimonial_link";s:13:"\0*\0field_name";s:29:"field_mt_tst_testimonial_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:14:"field_mt_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:19:"node.field_mt_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e28da9b4-4e23-41dd-bde4-cccc2e658110";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:19:"node.field_mt_video";s:13:"\0*\0field_name";s:14:"field_mt_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:10:"field_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:15:"node.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e5aa9ce5-66bd-404d-be2d-813277baa058";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:15:"node.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.277', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_field_storage_definitions:paragraph:en', 'a:56:{s:17:"field_mt_adf_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_adf_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2c8d6014-742a-4ed1-ae81-80597bc94f28";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_adf_body";s:13:"\0*\0field_name";s:17:"field_mt_adf_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_adf_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_adf_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bd5ad38a-f8fb-403e-ba93-1b3f66564f2d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_adf_fa_icon";s:13:"\0*\0field_name";s:20:"field_mt_adf_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_adf_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_adf_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f80919da-8c64-4b7c-bc55-2fa1226038ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_adf_image";s:13:"\0*\0field_name";s:18:"field_mt_adf_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_adf_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_adf_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f867e3b0-b47c-46ad-b4eb-280a76d01dd1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_adf_title";s:13:"\0*\0field_name";s:18:"field_mt_adf_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_collapse_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"paragraph.field_mt_collapse_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c440dcd1-bd3d-4448-97df-351c36123b2d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"paragraph.field_mt_collapse_body";s:13:"\0*\0field_name";s:22:"field_mt_collapse_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_collapse_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_collapse_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f089042b-2b79-44ee-9e7d-29f69733f15b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_collapse_title";s:13:"\0*\0field_name";s:23:"field_mt_collapse_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_dropdown_block";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_dropdown_block";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e7bdf794-5c56-42f2-a5ec-723912f16715";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_dropdown_block";s:13:"\0*\0field_name";s:23:"field_mt_dropdown_block";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_dropdown_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"paragraph.field_mt_dropdown_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"88614c60-d30f-4248-bf30-e24dc8468f67";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"paragraph.field_mt_dropdown_fa_icon";s:13:"\0*\0field_name";s:25:"field_mt_dropdown_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_fancy_block_reference";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"paragraph.field_mt_fancy_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8caef820-31c8-4ad1-b8e0-73c603d19615";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"paragraph.field_mt_fancy_block_reference";s:13:"\0*\0field_name";s:30:"field_mt_fancy_block_reference";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_fancy_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_fancy_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a089ccbd-adfc-4ded-94f6-c5958bc83399";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_fancy_subtitle";s:13:"\0*\0field_name";s:23:"field_mt_fancy_subtitle";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_fancy_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_fancy_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e5a8c98d-bb21-4ded-ba9b-9fb2b2bfada3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_fancy_title";s:13:"\0*\0field_name";s:20:"field_mt_fancy_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_fli_button_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"paragraph.field_mt_fli_button_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7a7f1471-7a26-4517-94cb-2b34ed5873e5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"paragraph.field_mt_fli_button_fa_icon";s:13:"\0*\0field_name";s:27:"field_mt_fli_button_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fli_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9f667ff-ac20-415a-b9f3-148a958ad5a6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_image";s:13:"\0*\0field_name";s:18:"field_mt_fli_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_fli_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_fli_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"acaccd17-017c-4752-950c-1887e9027c77";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_fli_link";s:13:"\0*\0field_name";s:17:"field_mt_fli_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fli_shape";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_shape";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d15e5d4e-7e8d-4662-88d7-c4a43d3aa058";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_shape";s:13:"\0*\0field_name";s:18:"field_mt_fli_shape";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:4:{s:4:"none";s:4:"None";s:9:"rectangle";s:9:"Rectangle";s:6:"circle";s:6:"Circle";s:8:"pentagon";s:8:"Pentagon";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fli_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"15b0899e-dcf0-45c3-a334-bc716152898c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_title";s:13:"\0*\0field_name";s:18:"field_mt_fli_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fltt_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fltt_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"aad212db-5687-4c24-aaa1-5c88457f6ab3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fltt_body";s:13:"\0*\0field_name";s:18:"field_mt_fltt_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_fltt_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fltt_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6838af8e-c37f-4777-87f3-eeff2b1ae726";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fltt_link";s:13:"\0*\0field_name";s:18:"field_mt_fltt_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_fltt_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_fltt_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e73c6db6-24dd-4622-becd-5ae935bd4743";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_fltt_title";s:13:"\0*\0field_name";s:19:"field_mt_fltt_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_highlight_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_highlight_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"179fd45e-975a-4f23-8b3e-38012b2f9c6b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_highlight_body";s:13:"\0*\0field_name";s:23:"field_mt_highlight_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_highlight_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_highlight_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8686529f-724b-4f7d-8574-1ea4f8e604dc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_highlight_image";s:13:"\0*\0field_name";s:24:"field_mt_highlight_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_highlight_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_highlight_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe94388f-8916-414f-8c24-363021492f00";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_highlight_link";s:13:"\0*\0field_name";s:23:"field_mt_highlight_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_highlight_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_highlight_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b873d67c-7b08-4c38-9f72-89d4424c50c1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_highlight_title";s:13:"\0*\0field_name";s:24:"field_mt_highlight_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:16:"field_mt_if_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"paragraph.field_mt_if_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"09731928-6b4a-4bf0-abfb-f31b3ff87d31";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"paragraph.field_mt_if_body";s:13:"\0*\0field_name";s:16:"field_mt_if_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_if_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_if_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fd87b624-24fb-48b9-b4c3-60fa49f5bde1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_if_fa_icon";s:13:"\0*\0field_name";s:19:"field_mt_if_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_if_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_if_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7bcaa053-3d3c-4434-b441-359b8d79f0f3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_if_image";s:13:"\0*\0field_name";s:17:"field_mt_if_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:16:"field_mt_if_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"paragraph.field_mt_if_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"26a44d40-32c5-4fd7-99f0-1f88c4bba220";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"paragraph.field_mt_if_link";s:13:"\0*\0field_name";s:16:"field_mt_if_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:17:"field_mt_if_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_if_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3b0044db-78aa-4c23-b632-ad8f4e5206f9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_if_title";s:13:"\0*\0field_name";s:17:"field_mt_if_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_media_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_media_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ff8dd6c-b9f2-40a9-8035-9333480b5f3d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_media_body";s:13:"\0*\0field_name";s:19:"field_mt_media_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_media_button";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"paragraph.field_mt_media_button";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c202ff20-5128-428f-91d2-3e892b9141e9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"paragraph.field_mt_media_button";s:13:"\0*\0field_name";s:21:"field_mt_media_button";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_media_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f7832ba2-748e-4d86-8761-3210e399511f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_media_image";s:13:"\0*\0field_name";s:20:"field_mt_media_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_media_tab_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_media_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"89fa6163-5fe3-4952-ab68-e93a9a623646";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_media_tab_title";s:13:"\0*\0field_name";s:24:"field_mt_media_tab_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_media_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f9156901-f743-4337-a41c-33c7ccf3f226";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_media_title";s:13:"\0*\0field_name";s:20:"field_mt_media_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_media_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ab1ac840-29d1-4b47-8a7a-c49a7c67d5d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_media_video";s:13:"\0*\0field_name";s:20:"field_mt_media_video";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_ml_latitude";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_ml_latitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e146d8c2-d58b-48ff-8fb4-4bb19b51e88a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_ml_latitude";s:13:"\0*\0field_name";s:20:"field_mt_ml_latitude";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_ml_location_name";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"paragraph.field_mt_ml_location_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c42cd2df-6f2d-486e-94aa-ab3c74b73414";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"paragraph.field_mt_ml_location_name";s:13:"\0*\0field_name";s:25:"field_mt_ml_location_name";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_ml_longitude";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"paragraph.field_mt_ml_longitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"31840a61-d96b-462b-8f51-baf1e38d0bb8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"paragraph.field_mt_ml_longitude";s:13:"\0*\0field_name";s:21:"field_mt_ml_longitude";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_ms_slide_caption";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"paragraph.field_mt_ms_slide_caption";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"be80686f-f1db-478d-ad52-c6032507a7d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"paragraph.field_mt_ms_slide_caption";s:13:"\0*\0field_name";s:25:"field_mt_ms_slide_caption";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:31:"field_mt_ms_slide_caption_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"paragraph.field_mt_ms_slide_caption_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75348b10-8fc5-4961-85ac-27734415b947";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"paragraph.field_mt_ms_slide_caption_color";s:13:"\0*\0field_name";s:31:"field_mt_ms_slide_caption_color";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:12:"Dark Colored";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_ms_slide_caption_opac";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dc0b97a7-c172-4930-89af-5cf5489c16fc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:13:"\0*\0field_name";s:30:"field_mt_ms_slide_caption_opac";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_ms_slide_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_ms_slide_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b21a2a87-c0c4-45be-815e-3dd8dfcafc81";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_ms_slide_image";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_ms_slide_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"paragraph.field_mt_ms_slide_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"08a6120b-4162-4793-b771-4b4d3f2b00c2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"paragraph.field_mt_ms_slide_link";s:13:"\0*\0field_name";s:22:"field_mt_ms_slide_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_ms_slide_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_ms_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ded79a92-0d9f-45ca-8218-0de7b6a02173";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_ms_slide_title";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_ms_slide_vimeo_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ab48c77f-7b0f-4932-8554-0c77b61778d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:13:"\0*\0field_name";s:26:"field_mt_ms_slide_vimeo_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_ms_slide_volume";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_ms_slide_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a6eadfdb-8d35-40b1-b64a-e0ed97d4cf01";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_ms_slide_volume";s:13:"\0*\0field_name";s:24:"field_mt_ms_slide_volume";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:28:"field_mt_ms_slide_youtube_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d7031199-ca07-441c-ac16-32e4ebd4fadb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:13:"\0*\0field_name";s:28:"field_mt_ms_slide_youtube_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_mt_tab_content";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_tab_content";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6b8a187d-cd95-47f7-af2a-37149570aa19";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_tab_content";s:13:"\0*\0field_name";s:20:"field_mt_tab_content";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_tab_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4d050aec-a3d7-428b-9c9a-071fb2f70861";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_tab_title";s:13:"\0*\0field_name";s:18:"field_mt_tab_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_tml_timeline_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"paragraph.field_mt_tml_timeline_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c518e1da-b52d-4753-8a28-bbb0fb5c7fb6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"paragraph.field_mt_tml_timeline_date";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_date";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:4:"date";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:26:"field_mt_tml_timeline_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"paragraph.field_mt_tml_timeline_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e3aac836-a3d9-43da-b1c4-1889f6e2c807";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"paragraph.field_mt_tml_timeline_link";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:27:"field_mt_tml_timeline_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"paragraph.field_mt_tml_timeline_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0a9fb0d4-50a6-452a-9e43-93728f2049f6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"paragraph.field_mt_tml_timeline_title";s:13:"\0*\0field_name";s:27:"field_mt_tml_timeline_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:24:"field_mt_vgs_slide_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_vgs_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"41fee351-a71a-4d0b-af51-5266604def6c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_vgs_slide_title";s:13:"\0*\0field_name";s:24:"field_mt_vgs_slide_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_vgs_thumbnail";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"paragraph.field_mt_vgs_thumbnail";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e135eeab-e5b4-4289-98ff-4ea88745ebb5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"paragraph.field_mt_vgs_thumbnail";s:13:"\0*\0field_name";s:22:"field_mt_vgs_thumbnail";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_vgs_vimeo_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"paragraph.field_mt_vgs_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fb7f2538-8f3c-4e44-bd67-a6af291bf090";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"paragraph.field_mt_vgs_vimeo_id";s:13:"\0*\0field_name";s:21:"field_mt_vgs_vimeo_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_vgs_volume";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_vgs_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"53d36706-a3e1-4d19-b24d-f5ce99518aa5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_vgs_volume";s:13:"\0*\0field_name";s:19:"field_mt_vgs_volume";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_vgs_youtube_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_vgs_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"febe0f55-0cb9-4218-aa61-92fb7aa664a0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_vgs_youtube_id";s:13:"\0*\0field_name";s:23:"field_mt_vgs_youtube_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.557', 1, 'entity_field_info entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_field_storage_definitions:path_alias:en', 'a:0:{}', -1, '1681649759.934', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:shortcut:en', 'a:0:{}', -1, '1681653355.253', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:taxonomy_term:en', 'a:3:{s:26:"field_mt_affiliation_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"taxonomy_term.field_mt_affiliation_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"taxonomy_term.field_mt_affiliation_image";s:13:"\0*\0field_name";s:26:"field_mt_affiliation_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"taxonomy_term.field_mt_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"taxonomy_term.field_mt_collection_image";s:13:"\0*\0field_name";s:25:"field_mt_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:30:"field_mt_wide_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"taxonomy_term.field_mt_wide_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:13:"\0*\0field_name";s:30:"field_mt_wide_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649761.529', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:user:en', 'a:3:{s:18:"field_mt_full_name";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"user.field_mt_full_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e41c0ee4-3c09-4a16-8404-7c2d5b326ca0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"user.field_mt_full_name";s:13:"\0*\0field_name";s:18:"field_mt_full_name";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_signature";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"user.field_mt_signature";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"77dbe3d4-bf6e-4615-beed-10a1d41d9fb1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"user.field_mt_signature";s:13:"\0*\0field_name";s:18:"field_mt_signature";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:12:"user_picture";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:17:"user.user_picture";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f0a7a429-9964-450b-9517-9f8312b42f58";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:17:"user.user_picture";s:13:"\0*\0field_name";s:12:"user_picture";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:10:"\0*\0deleted";b:0;}}', -1, '1681649760.253', 1, 'entity_field_info entity_types', '3'),
('entity_field_storage_definitions:webform_submission:en', 'a:0:{}', -1, '1681649761.540', 1, 'entity_field_info entity_types', '3'),
('entity_form_mode_info:en', 'a:1:{s:4:"user";a:1:{s:8:"register";a:9:{s:4:"uuid";s:36:"85abc5c1-223a-434a-bc58-df86662fa3d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"flXhTcp55yLcyy7ZLOhPGKGZobZQJdkAFVWV3LseiuI";}s:2:"id";s:13:"user.register";s:5:"label";s:8:"Register";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}}}', -1, '1681649762.482', 1, 'entity_field_info entity_types', '3'),
('entity_type', 'a:42:{s:5:"block";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:5:"block";s:8:"\0*\0class";s:25:"Drupal\\block\\Entity\\Block";s:11:"\0*\0provider";s:5:"block";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:25:"Drupal\\block\\Entity\\Block";s:11:"\0*\0handlers";a:5:{s:6:"access";s:38:"Drupal\\block\\BlockAccessControlHandler";s:12:"view_builder";s:29:"Drupal\\block\\BlockViewBuilder";s:12:"list_builder";s:29:"Drupal\\block\\BlockListBuilder";s:4:"form";a:2:{s:7:"default";s:22:"Drupal\\block\\BlockForm";s:6:"delete";s:33:"Drupal\\block\\Form\\BlockDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:44:"/admin/structure/block/manage/{block}/delete";s:9:"edit-form";s:37:"/admin/structure/block/manage/{block}";s:6:"enable";s:44:"/admin/structure/block/manage/{block}/enable";s:7:"disable";s:45:"/admin/structure/block/manage/{block}/disable";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Blocks";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"blocks";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:12:"@count block";s:6:"plural";s:13:"@count blocks";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:17:"config:block_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:2:{i:0;s:5:"theme";i:1;s:4:"uuid";}s:16:"\0*\0config_export";a:8:{i:0;s:2:"id";i:1;s:5:"theme";i:2;s:6:"region";i:3;s:6:"weight";i:4;s:8:"provider";i:5;s:6:"plugin";i:6;s:8:"settings";i:7;s:10:"visibility";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:18:"block_content_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:18:"block_content_type";s:8:"\0*\0class";s:44:"Drupal\\block_content\\Entity\\BlockContentType";s:11:"\0*\0provider";s:13:"block_content";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:44:"Drupal\\block_content\\Entity\\BlockContentType";s:11:"\0*\0handlers";a:5:{s:4:"form";a:4:{s:7:"default";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:3:"add";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:4:"edit";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:6:"delete";s:52:"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm";}s:14:"route_provider";a:2:{s:4:"html";s:49:"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider";s:11:"permissions";s:58:"Drupal\\user\\Entity\\EntityPermissionsRouteProviderWithCheck";}s:12:"list_builder";s:48:"Drupal\\block_content\\BlockContentTypeListBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:71:"/admin/structure/block/block-content/manage/{block_content_type}/delete";s:9:"edit-form";s:64:"/admin/structure/block/block-content/manage/{block_content_type}";s:23:"entity-permissions-form";s:76:"/admin/structure/block/block-content/manage/{block_content_type}/permissions";s:10:"collection";s:42:"/admin/structure/block/block-content/types";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:13:"block_content";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Custom block library";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"custom block types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:24:"@count custom block type";s:6:"plural";s:25:"@count custom block types";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:30:"config:block_content_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:8:"revision";i:3;s:11:"description";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:13:"block_content";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:13:"block_content";s:8:"\0*\0class";s:40:"Drupal\\block_content\\Entity\\BlockContent";s:11:"\0*\0provider";s:13:"block_content";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:0;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:8:"revision";s:11:"revision_id";s:6:"bundle";s:4:"type";s:5:"label";s:4:"info";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:9:"published";s:6:"status";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:40:"Drupal\\block_content\\Entity\\BlockContent";s:11:"\0*\0handlers";a:7:{s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:6:"access";s:53:"Drupal\\block_content\\BlockContentAccessControlHandler";s:12:"list_builder";s:44:"Drupal\\block_content\\BlockContentListBuilder";s:12:"view_builder";s:44:"Drupal\\block_content\\BlockContentViewBuilder";s:10:"views_data";s:42:"Drupal\\block_content\\BlockContentViewsData";s:4:"form";a:4:{s:3:"add";s:37:"Drupal\\block_content\\BlockContentForm";s:4:"edit";s:37:"Drupal\\block_content\\BlockContentForm";s:6:"delete";s:48:"Drupal\\block_content\\Form\\BlockContentDeleteForm";s:7:"default";s:37:"Drupal\\block_content\\BlockContentForm";}s:11:"translation";s:51:"Drupal\\block_content\\BlockContentTranslationHandler";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:9:"canonical";s:22:"/block/{block_content}";s:11:"delete-form";s:29:"/block/{block_content}/delete";s:9:"edit-form";s:22:"/block/{block_content}";s:10:"collection";s:36:"/admin/structure/block/block-content";s:6:"create";s:6:"/block";}s:21:"\0*\0bundle_entity_type";s:18:"block_content_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:13:"block_content";s:22:"\0*\0revision_data_table";s:28:"block_content_field_revision";s:17:"\0*\0revision_table";s:22:"block_content_revision";s:13:"\0*\0data_table";s:24:"block_content_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:1;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Custom blocks";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"custom blocks";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count custom block";s:6:"plural";s:20:"@count custom blocks";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:35:"entity.block_content_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"block_content_list";}s:14:"\0*\0constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:12:"revision_log";s:16:"revision_default";s:16:"revision_default";}}s:12:"comment_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:12:"comment_type";s:8:"\0*\0class";s:33:"Drupal\\comment\\Entity\\CommentType";s:11:"\0*\0provider";s:7:"comment";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:33:"Drupal\\comment\\Entity\\CommentType";s:11:"\0*\0handlers";a:5:{s:4:"form";a:4:{s:7:"default";s:30:"Drupal\\comment\\CommentTypeForm";s:3:"add";s:30:"Drupal\\comment\\CommentTypeForm";s:4:"edit";s:30:"Drupal\\comment\\CommentTypeForm";s:6:"delete";s:41:"Drupal\\comment\\Form\\CommentTypeDeleteForm";}s:14:"route_provider";a:1:{s:11:"permissions";s:58:"Drupal\\user\\Entity\\EntityPermissionsRouteProviderWithCheck";}s:12:"list_builder";s:37:"Drupal\\comment\\CommentTypeListBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer comment types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:11:"delete-form";s:53:"/admin/structure/comment/manage/{comment_type}/delete";s:9:"edit-form";s:46:"/admin/structure/comment/manage/{comment_type}";s:8:"add-form";s:34:"/admin/structure/comment/types/add";s:23:"entity-permissions-form";s:58:"/admin/structure/comment/manage/{comment_type}/permissions";s:10:"collection";s:24:"/admin/structure/comment";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:7:"comment";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"comment types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count comment type";s:6:"plural";s:20:"@count comment types";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:comment_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:21:"target_entity_type_id";i:3;s:11:"description";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:7:"comment";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:7:"comment";s:8:"\0*\0class";s:29:"Drupal\\comment\\Entity\\Comment";s:11:"\0*\0provider";s:7:"comment";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:10:{s:2:"id";s:3:"cid";s:6:"bundle";s:12:"comment_type";s:5:"label";s:7:"subject";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:9:"published";s:6:"status";s:5:"owner";s:3:"uid";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:29:"Drupal\\comment\\Entity\\Comment";s:11:"\0*\0handlers";a:8:{s:7:"storage";s:29:"Drupal\\comment\\CommentStorage";s:14:"storage_schema";s:35:"Drupal\\comment\\CommentStorageSchema";s:6:"access";s:42:"Drupal\\comment\\CommentAccessControlHandler";s:12:"list_builder";s:36:"Drupal\\Core\\Entity\\EntityListBuilder";s:12:"view_builder";s:33:"Drupal\\comment\\CommentViewBuilder";s:10:"views_data";s:31:"Drupal\\comment\\CommentViewsData";s:4:"form";a:2:{s:7:"default";s:26:"Drupal\\comment\\CommentForm";s:6:"delete";s:30:"Drupal\\comment\\Form\\DeleteForm";}s:11:"translation";s:40:"Drupal\\comment\\CommentTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:9:"canonical";s:18:"/comment/{comment}";s:11:"delete-form";s:25:"/comment/{comment}/delete";s:20:"delete-multiple-form";s:29:"/admin/content/comment/delete";s:9:"edit-form";s:23:"/comment/{comment}/edit";s:6:"create";s:8:"/comment";}s:21:"\0*\0bundle_entity_type";s:12:"comment_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:7:"comment";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:18:"comment_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:14:"@count comment";s:6:"plural";s:15:"@count comments";s:7:"context";N;}s:15:"\0*\0uri_callback";s:11:"comment_uri";s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:29:"entity.comment_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:12:"comment_list";}s:14:"\0*\0constraints";a:3:{s:11:"CommentName";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:15:"contact_message";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:15:"contact_message";s:8:"\0*\0class";s:29:"Drupal\\contact\\Entity\\Message";s:11:"\0*\0provider";s:7:"contact";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:6:"bundle";s:12:"contact_form";s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:29:"Drupal\\contact\\Entity\\Message";s:11:"\0*\0handlers";a:4:{s:6:"access";s:49:"Drupal\\contact\\ContactMessageAccessControlHandler";s:7:"storage";s:43:"Drupal\\Core\\Entity\\ContentEntityNullStorage";s:12:"view_builder";s:33:"Drupal\\contact\\MessageViewBuilder";s:4:"form";a:1:{s:7:"default";s:26:"Drupal\\contact\\MessageForm";}}s:19:"\0*\0admin_permission";s:24:"administer contact forms";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";s:12:"contact_form";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Contact messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"contact messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:22:"@count contact message";s:6:"plural";s:23:"@count contact messages";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:29:"entity.contact_form.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:20:"contact_message_list";}s:14:"\0*\0constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:12:"contact_form";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:12:"contact_form";s:8:"\0*\0class";s:33:"Drupal\\contact\\Entity\\ContactForm";s:11:"\0*\0provider";s:7:"contact";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:33:"Drupal\\contact\\Entity\\ContactForm";s:11:"\0*\0handlers";a:5:{s:6:"access";s:46:"Drupal\\contact\\ContactFormAccessControlHandler";s:12:"list_builder";s:37:"Drupal\\contact\\ContactFormListBuilder";s:4:"form";a:3:{s:3:"add";s:34:"Drupal\\contact\\ContactFormEditForm";s:4:"edit";s:34:"Drupal\\contact\\ContactFormEditForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}s:14:"route_provider";a:1:{s:11:"permissions";s:58:"Drupal\\user\\Entity\\EntityPermissionsRouteProviderWithCheck";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer contact forms";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:11:"delete-form";s:53:"/admin/structure/contact/manage/{contact_form}/delete";s:9:"edit-form";s:46:"/admin/structure/contact/manage/{contact_form}";s:23:"entity-permissions-form";s:58:"/admin/structure/contact/manage/{contact_form}/permissions";s:10:"collection";s:24:"/admin/structure/contact";s:9:"canonical";s:23:"/contact/{contact_form}";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:15:"contact_message";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Contact forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"contact forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count contact form";s:6:"plural";s:20:"@count contact forms";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:contact_form_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"form";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:7:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:10:"recipients";i:3;s:5:"reply";i:4;s:6:"weight";i:5;s:7:"message";i:6;s:8:"redirect";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:6:"editor";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:6:"editor";s:8:"\0*\0class";s:27:"Drupal\\editor\\Entity\\Editor";s:11:"\0*\0provider";s:6:"editor";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:6:"format";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:27:"Drupal\\editor\\Entity\\Editor";s:11:"\0*\0handlers";a:2:{s:6:"access";s:40:"Drupal\\editor\\EditorAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text Editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Text Editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"text editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"text editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:18:"@count text editor";s:6:"plural";s:19:"@count text editors";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"config:editor_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:6:"format";i:1;s:6:"editor";i:2;s:8:"settings";i:3;s:12:"image_upload";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:12:"field_config";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:12:"field_config";s:8:"\0*\0class";s:31:"Drupal\\field\\Entity\\FieldConfig";s:11:"\0*\0provider";s:5:"field";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:31:"Drupal\\field\\Entity\\FieldConfig";s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\field\\FieldConfigAccessControlHandler";s:7:"storage";s:31:"Drupal\\field\\FieldConfigStorage";s:4:"form";a:2:{s:4:"edit";s:40:"Drupal\\field_ui\\Form\\FieldConfigEditForm";s:6:"delete";s:42:"Drupal\\field_ui\\Form\\FieldConfigDeleteForm";}s:12:"list_builder";s:38:"Drupal\\field_ui\\FieldConfigListBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:12:"@count field";s:6:"plural";s:13:"@count fields";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:field_config_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:5:"field";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:6:"bundle";i:4;s:5:"label";i:5;s:11:"description";i:6;s:8:"required";i:7;s:12:"translatable";i:8;s:13:"default_value";i:9;s:22:"default_value_callback";i:10;s:8:"settings";i:11;s:10:"field_type";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:20:"field_storage_config";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:20:"field_storage_config";s:8:"\0*\0class";s:38:"Drupal\\field\\Entity\\FieldStorageConfig";s:11:"\0*\0provider";s:5:"field";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:38:"Drupal\\field\\Entity\\FieldStorageConfig";s:11:"\0*\0handlers";a:4:{s:6:"access";s:51:"Drupal\\field\\FieldStorageConfigAccessControlHandler";s:7:"storage";s:38:"Drupal\\field\\FieldStorageConfigStorage";s:4:"form";a:1:{s:4:"edit";s:47:"Drupal\\field_ui\\Form\\FieldStorageConfigEditForm";}s:12:"list_builder";s:45:"Drupal\\field_ui\\FieldStorageConfigListBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:1:{s:10:"collection";s:21:"/admin/reports/fields";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Field storage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field storages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"field storage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"field storages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:20:"@count field storage";s:6:"plural";s:21:"@count field storages";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:32:"config:field_storage_config_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:7:"storage";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:4:"type";i:4;s:8:"settings";i:5;s:6:"module";i:6;s:6:"locked";i:7;s:11:"cardinality";i:8;s:12:"translatable";i:9;s:7:"indexes";i:10;s:22:"persist_with_no_fields";i:11;s:14:"custom_storage";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:4:"file";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:4:"file";s:8:"\0*\0class";s:23:"Drupal\\file\\Entity\\File";s:11:"\0*\0provider";s:4:"file";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"fid";s:5:"label";s:8:"filename";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:5:"owner";s:3:"uid";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:23:"Drupal\\file\\Entity\\File";s:11:"\0*\0handlers";a:5:{s:7:"storage";s:23:"Drupal\\file\\FileStorage";s:14:"storage_schema";s:29:"Drupal\\file\\FileStorageSchema";s:6:"access";s:36:"Drupal\\file\\FileAccessControlHandler";s:10:"views_data";s:25:"Drupal\\file\\FileViewsData";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:12:"file_managed";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Files";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"file";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"files";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:11:"@count file";s:6:"plural";s:12:"@count files";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"file_list";}s:14:"\0*\0constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:13:"filter_format";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:13:"filter_format";s:8:"\0*\0class";s:33:"Drupal\\filter\\Entity\\FilterFormat";s:11:"\0*\0provider";s:6:"filter";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:10:{s:2:"id";s:6:"format";s:5:"label";s:4:"name";s:6:"weight";s:6:"weight";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:33:"Drupal\\filter\\Entity\\FilterFormat";s:11:"\0*\0handlers";a:4:{s:4:"form";a:3:{s:3:"add";s:33:"Drupal\\filter\\FilterFormatAddForm";s:4:"edit";s:34:"Drupal\\filter\\FilterFormatEditForm";s:7:"disable";s:36:"Drupal\\filter\\Form\\FilterDisableForm";}s:12:"list_builder";s:37:"Drupal\\filter\\FilterFormatListBuilder";s:6:"access";s:46:"Drupal\\filter\\FilterFormatAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:18:"administer filters";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:2:{s:9:"edit-form";s:52:"/admin/config/content/formats/manage/{filter_format}";s:7:"disable";s:60:"/admin/config/content/formats/manage/{filter_format}/disable";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Text formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"text formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:18:"@count text format";s:6:"plural";s:19:"@count text formats";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:25:"config:filter_format_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:6:"format";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:4:"name";i:1;s:6:"format";i:2;s:6:"weight";i:3;s:5:"roles";i:4;s:7:"filters";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:11:"image_style";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:11:"image_style";s:8:"\0*\0class";s:30:"Drupal\\image\\Entity\\ImageStyle";s:11:"\0*\0provider";s:5:"image";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:4:"name";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:30:"Drupal\\image\\Entity\\ImageStyle";s:11:"\0*\0handlers";a:4:{s:4:"form";a:4:{s:3:"add";s:35:"Drupal\\image\\Form\\ImageStyleAddForm";s:4:"edit";s:36:"Drupal\\image\\Form\\ImageStyleEditForm";s:6:"delete";s:38:"Drupal\\image\\Form\\ImageStyleDeleteForm";s:5:"flush";s:37:"Drupal\\image\\Form\\ImageStyleFlushForm";}s:12:"list_builder";s:34:"Drupal\\image\\ImageStyleListBuilder";s:7:"storage";s:30:"Drupal\\image\\ImageStyleStorage";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";s:23:"administer image styles";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:10:"flush-form";s:59:"/admin/config/media/image-styles/manage/{image_style}/flush";s:9:"edit-form";s:53:"/admin/config/media/image-styles/manage/{image_style}";s:11:"delete-form";s:60:"/admin/config/media/image-styles/manage/{image_style}/delete";s:10:"collection";s:32:"/admin/config/media/image-styles";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:18:"@count image style";s:6:"plural";s:19:"@count image styles";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:image_style_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:5:"style";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:3:{i:0;s:4:"name";i:1;s:5:"label";i:2;s:7:"effects";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:4:"node";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:4:"node";s:8:"\0*\0class";s:23:"Drupal\\node\\Entity\\Node";s:11:"\0*\0provider";s:4:"node";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:12:{s:2:"id";s:3:"nid";s:8:"revision";s:3:"vid";s:6:"bundle";s:4:"type";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"status";s:6:"status";s:9:"published";s:6:"status";s:3:"uid";s:3:"uid";s:5:"owner";s:3:"uid";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:23:"Drupal\\node\\Entity\\Node";s:11:"\0*\0handlers";a:9:{s:7:"storage";s:23:"Drupal\\node\\NodeStorage";s:14:"storage_schema";s:29:"Drupal\\node\\NodeStorageSchema";s:12:"view_builder";s:27:"Drupal\\node\\NodeViewBuilder";s:6:"access";s:36:"Drupal\\node\\NodeAccessControlHandler";s:10:"views_data";s:25:"Drupal\\node\\NodeViewsData";s:4:"form";a:4:{s:7:"default";s:20:"Drupal\\node\\NodeForm";s:6:"delete";s:31:"Drupal\\node\\Form\\NodeDeleteForm";s:4:"edit";s:20:"Drupal\\node\\NodeForm";s:23:"delete-multiple-confirm";s:31:"Drupal\\node\\Form\\DeleteMultiple";}s:14:"route_provider";a:1:{s:4:"html";s:36:"Drupal\\node\\Entity\\NodeRouteProvider";}s:12:"list_builder";s:27:"Drupal\\node\\NodeListBuilder";s:11:"translation";s:34:"Drupal\\node\\NodeTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:7:{s:9:"canonical";s:12:"/node/{node}";s:11:"delete-form";s:19:"/node/{node}/delete";s:20:"delete-multiple-form";s:26:"/admin/content/node/delete";s:9:"edit-form";s:17:"/node/{node}/edit";s:15:"version-history";s:22:"/node/{node}/revisions";s:8:"revision";s:43:"/node/{node}/revisions/{node_revision}/view";s:6:"create";s:5:"/node";}s:21:"\0*\0bundle_entity_type";s:9:"node_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:4:"node";s:22:"\0*\0revision_data_table";s:19:"node_field_revision";s:17:"\0*\0revision_table";s:13:"node_revision";s:13:"\0*\0data_table";s:15:"node_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:1;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"content item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"content items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count content item";s:6:"plural";s:20:"@count content items";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:26:"entity.node_type.edit_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:1:{i:0;s:21:"user.node_grants:view";}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"node_list";}s:14:"\0*\0constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:13:"revision_user";s:12:"revision_uid";s:16:"revision_created";s:18:"revision_timestamp";s:20:"revision_log_message";s:12:"revision_log";s:16:"revision_default";s:16:"revision_default";}}s:9:"node_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:9:"node_type";s:8:"\0*\0class";s:27:"Drupal\\node\\Entity\\NodeType";s:11:"\0*\0provider";s:4:"node";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:4:"type";s:5:"label";s:4:"name";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:27:"Drupal\\node\\Entity\\NodeType";s:11:"\0*\0handlers";a:5:{s:6:"access";s:40:"Drupal\\node\\NodeTypeAccessControlHandler";s:4:"form";a:3:{s:3:"add";s:24:"Drupal\\node\\NodeTypeForm";s:4:"edit";s:24:"Drupal\\node\\NodeTypeForm";s:6:"delete";s:38:"Drupal\\node\\Form\\NodeTypeDeleteConfirm";}s:14:"route_provider";a:1:{s:11:"permissions";s:49:"Drupal\\user\\Entity\\EntityPermissionsRouteProvider";}s:12:"list_builder";s:31:"Drupal\\node\\NodeTypeListBuilder";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer content types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"edit-form";s:41:"/admin/structure/types/manage/{node_type}";s:11:"delete-form";s:48:"/admin/structure/types/manage/{node_type}/delete";s:23:"entity-permissions-form";s:53:"/admin/structure/types/manage/{node_type}/permissions";s:10:"collection";s:22:"/admin/structure/types";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:4:"node";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Content types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"content types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count content type";s:6:"plural";s:20:"@count content types";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:21:"config:node_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:7:{i:0;s:4:"name";i:1;s:4:"type";i:2;s:11:"description";i:3;s:4:"help";i:4;s:12:"new_revision";i:5;s:12:"preview_mode";i:6;s:17:"display_submitted";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:10:"path_alias";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:10:"path_alias";s:8:"\0*\0class";s:34:"Drupal\\path_alias\\Entity\\PathAlias";s:11:"\0*\0provider";s:10:"path_alias";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:8:"revision";s:11:"revision_id";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:9:"published";s:6:"status";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:34:"Drupal\\path_alias\\Entity\\PathAlias";s:11:"\0*\0handlers";a:7:{s:7:"storage";s:34:"Drupal\\path_alias\\PathAliasStorage";s:14:"storage_schema";s:40:"Drupal\\path_alias\\PathAliasStorageSchema";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:4:"form";a:2:{s:7:"default";s:25:"Drupal\\path\\PathAliasForm";s:6:"delete";s:42:"Drupal\\Core\\Entity\\ContentEntityDeleteForm";}s:14:"route_provider";a:1:{s:4:"html";s:49:"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider";}s:12:"list_builder";s:32:"Drupal\\path\\PathAliasListBuilder";}s:19:"\0*\0admin_permission";s:22:"administer url aliases";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:10:"collection";s:25:"/admin/config/search/path";s:8:"add-form";s:29:"/admin/config/search/path/add";s:9:"edit-form";s:43:"/admin/config/search/path/edit/{path_alias}";s:11:"delete-form";s:45:"/admin/config/search/path/delete/{path_alias}";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:10:"path_alias";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";s:19:"path_alias_revision";s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:16:"@count URL alias";s:6:"plural";s:18:"@count URL aliases";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:11:"route_match";}s:14:"\0*\0constraints";a:2:{s:15:"UniquePathAlias";a:0:{}s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:11:"rdf_mapping";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:11:"rdf_mapping";s:8:"\0*\0class";s:28:"Drupal\\rdf\\Entity\\RdfMapping";s:11:"\0*\0provider";s:3:"rdf";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:28:"Drupal\\rdf\\Entity\\RdfMapping";s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:29:"administer site configuration";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"RDF mapping";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"RDF mapping item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"RDF mappings items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:23:"@count RDF mapping item";s:6:"plural";s:24:"@count RDF mapping items";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:rdf_mapping_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:7:"mapping";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:5:"types";i:4;s:13:"fieldMappings";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:11:"search_page";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:11:"search_page";s:8:"\0*\0class";s:31:"Drupal\\search\\Entity\\SearchPage";s:11:"\0*\0provider";s:6:"search";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:10:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:6:"weight";s:6:"weight";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:31:"Drupal\\search\\Entity\\SearchPage";s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\search\\SearchPageAccessControlHandler";s:12:"list_builder";s:35:"Drupal\\search\\SearchPageListBuilder";s:4:"form";a:3:{s:3:"add";s:36:"Drupal\\search\\Form\\SearchPageAddForm";s:4:"edit";s:37:"Drupal\\search\\Form\\SearchPageEditForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer search";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:6:{s:9:"edit-form";s:47:"/admin/config/search/pages/manage/{search_page}";s:11:"delete-form";s:54:"/admin/config/search/pages/manage/{search_page}/delete";s:6:"enable";s:54:"/admin/config/search/pages/manage/{search_page}/enable";s:7:"disable";s:55:"/admin/config/search/pages/manage/{search_page}/disable";s:11:"set-default";s:59:"/admin/config/search/pages/manage/{search_page}/set-default";s:10:"collection";s:26:"/admin/config/search/pages";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Search page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"search page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:18:"@count search page";s:6:"plural";s:19:"@count search pages";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:search_page_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"page";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:4:"path";i:3;s:6:"weight";i:4;s:6:"plugin";i:5;s:13:"configuration";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:12:"shortcut_set";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:12:"shortcut_set";s:8:"\0*\0class";s:34:"Drupal\\shortcut\\Entity\\ShortcutSet";s:11:"\0*\0provider";s:8:"shortcut";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:34:"Drupal\\shortcut\\Entity\\ShortcutSet";s:11:"\0*\0handlers";a:4:{s:7:"storage";s:34:"Drupal\\shortcut\\ShortcutSetStorage";s:6:"access";s:47:"Drupal\\shortcut\\ShortcutSetAccessControlHandler";s:12:"list_builder";s:38:"Drupal\\shortcut\\ShortcutSetListBuilder";s:4:"form";a:5:{s:7:"default";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:3:"add";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:4:"edit";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:9:"customize";s:33:"Drupal\\shortcut\\Form\\SetCustomize";s:6:"delete";s:42:"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm";}}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:14:"customize-form";s:69:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize";s:11:"delete-form";s:66:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete";s:9:"edit-form";s:59:"/admin/config/user-interface/shortcut/manage/{shortcut_set}";s:10:"collection";s:37:"/admin/config/user-interface/shortcut";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:8:"shortcut";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut sets";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"shortcut sets";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count shortcut set";s:6:"plural";s:20:"@count shortcut sets";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:shortcut_set_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:3:"set";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:2:{i:0;s:2:"id";i:1;s:5:"label";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:8:"shortcut";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:8:"shortcut";s:8:"\0*\0class";s:31:"Drupal\\shortcut\\Entity\\Shortcut";s:11:"\0*\0provider";s:8:"shortcut";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:12:"shortcut_set";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:31:"Drupal\\shortcut\\Entity\\Shortcut";s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\shortcut\\ShortcutAccessControlHandler";s:4:"form";a:4:{s:7:"default";s:28:"Drupal\\shortcut\\ShortcutForm";s:3:"add";s:28:"Drupal\\shortcut\\ShortcutForm";s:4:"edit";s:28:"Drupal\\shortcut\\ShortcutForm";s:6:"delete";s:39:"Drupal\\shortcut\\Form\\ShortcutDeleteForm";}s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";s:11:"delete-form";s:60:"/admin/config/user-interface/shortcut/link/{shortcut}/delete";s:9:"edit-form";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";}s:21:"\0*\0bundle_entity_type";s:12:"shortcut_set";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:8:"shortcut";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:19:"shortcut_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Shortcut links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"shortcut links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:20:"@count shortcut link";s:6:"plural";s:21:"@count shortcut links";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:shortcut_set_list";}s:14:"\0*\0constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:6:"action";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:6:"action";s:8:"\0*\0class";s:27:"Drupal\\system\\Entity\\Action";s:11:"\0*\0provider";s:6:"system";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:27:"Drupal\\system\\Entity\\Action";s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:18:"administer actions";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Actions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"actions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:13:"@count action";s:6:"plural";s:14:"@count actions";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"config:action_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:4:"type";i:3;s:6:"plugin";i:4;s:13:"configuration";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:4:"menu";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:4:"menu";s:8:"\0*\0class";s:25:"Drupal\\system\\Entity\\Menu";s:11:"\0*\0provider";s:6:"system";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:25:"Drupal\\system\\Entity\\Menu";s:11:"\0*\0handlers";a:4:{s:6:"access";s:38:"Drupal\\system\\MenuAccessControlHandler";s:7:"storage";s:25:"Drupal\\system\\MenuStorage";s:4:"form";a:3:{s:3:"add";s:23:"Drupal\\menu_ui\\MenuForm";s:4:"edit";s:23:"Drupal\\menu_ui\\MenuForm";s:6:"delete";s:34:"Drupal\\menu_ui\\Form\\MenuDeleteForm";}s:12:"list_builder";s:30:"Drupal\\menu_ui\\MenuListBuilder";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:8:"add-form";s:25:"/admin/structure/menu/add";s:11:"delete-form";s:42:"/admin/structure/menu/manage/{menu}/delete";s:9:"edit-form";s:35:"/admin/structure/menu/manage/{menu}";s:13:"add-link-form";s:39:"/admin/structure/menu/manage/{menu}/add";s:10:"collection";s:21:"/admin/structure/menu";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:11:"@count menu";s:6:"plural";s:12:"@count menus";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:menu_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:11:"description";i:3;s:6:"locked";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:13:"taxonomy_term";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:13:"taxonomy_term";s:8:"\0*\0class";s:27:"Drupal\\taxonomy\\Entity\\Term";s:11:"\0*\0provider";s:8:"taxonomy";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"tid";s:8:"revision";s:11:"revision_id";s:6:"bundle";s:3:"vid";s:5:"label";s:4:"name";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:9:"published";s:6:"status";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:27:"Drupal\\taxonomy\\Entity\\Term";s:11:"\0*\0handlers";a:8:{s:7:"storage";s:27:"Drupal\\taxonomy\\TermStorage";s:14:"storage_schema";s:33:"Drupal\\taxonomy\\TermStorageSchema";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:12:"list_builder";s:36:"Drupal\\Core\\Entity\\EntityListBuilder";s:6:"access";s:40:"Drupal\\taxonomy\\TermAccessControlHandler";s:10:"views_data";s:29:"Drupal\\taxonomy\\TermViewsData";s:4:"form";a:2:{s:7:"default";s:24:"Drupal\\taxonomy\\TermForm";s:6:"delete";s:35:"Drupal\\taxonomy\\Form\\TermDeleteForm";}s:11:"translation";s:38:"Drupal\\taxonomy\\TermTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:4:{s:9:"canonical";s:30:"/taxonomy/term/{taxonomy_term}";s:11:"delete-form";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:9:"edit-form";s:35:"/taxonomy/term/{taxonomy_term}/edit";s:6:"create";s:14:"/taxonomy/term";}s:21:"\0*\0bundle_entity_type";s:19:"taxonomy_vocabulary";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"taxonomy_term_data";s:22:"\0*\0revision_data_table";s:28:"taxonomy_term_field_revision";s:17:"\0*\0revision_table";s:22:"taxonomy_term_revision";s:13:"\0*\0data_table";s:24:"taxonomy_term_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Taxonomy terms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"taxonomy terms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:20:"@count taxonomy term";s:6:"plural";s:21:"@count taxonomy terms";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"taxonomy_term_list";}s:14:"\0*\0constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:20:"revision_log_message";s:16:"revision_default";s:16:"revision_default";}}s:19:"taxonomy_vocabulary";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:19:"taxonomy_vocabulary";s:8:"\0*\0class";s:33:"Drupal\\taxonomy\\Entity\\Vocabulary";s:11:"\0*\0provider";s:8:"taxonomy";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"vid";s:5:"label";s:4:"name";s:6:"weight";s:6:"weight";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:33:"Drupal\\taxonomy\\Entity\\Vocabulary";s:11:"\0*\0handlers";a:5:{s:7:"storage";s:33:"Drupal\\taxonomy\\VocabularyStorage";s:12:"list_builder";s:37:"Drupal\\taxonomy\\VocabularyListBuilder";s:6:"access";s:46:"Drupal\\taxonomy\\VocabularyAccessControlHandler";s:4:"form";a:4:{s:7:"default";s:30:"Drupal\\taxonomy\\VocabularyForm";s:5:"reset";s:40:"Drupal\\taxonomy\\Form\\VocabularyResetForm";s:6:"delete";s:41:"Drupal\\taxonomy\\Form\\VocabularyDeleteForm";s:8:"overview";s:34:"Drupal\\taxonomy\\Form\\OverviewTerms";}s:14:"route_provider";a:2:{s:4:"html";s:54:"Drupal\\taxonomy\\Entity\\Routing\\VocabularyRouteProvider";s:11:"permissions";s:49:"Drupal\\user\\Entity\\EntityPermissionsRouteProvider";}}s:19:"\0*\0admin_permission";s:19:"administer taxonomy";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:7:{s:8:"add-form";s:29:"/admin/structure/taxonomy/add";s:11:"delete-form";s:61:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete";s:10:"reset-form";s:60:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset";s:13:"overview-form";s:63:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview";s:9:"edit-form";s:54:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}";s:23:"entity-permissions-form";s:75:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/permissions";s:10:"collection";s:25:"/admin/structure/taxonomy";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:13:"taxonomy_term";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Taxonomy vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Taxonomy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"vocabularies";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:17:"@count vocabulary";s:6:"plural";s:19:"@count vocabularies";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:taxonomy_vocabulary_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:10:"vocabulary";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:4:"name";i:1;s:3:"vid";i:2;s:11:"description";i:3;s:6:"weight";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:4:"tour";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:4:"tour";s:8:"\0*\0class";s:23:"Drupal\\tour\\Entity\\Tour";s:11:"\0*\0provider";s:4:"tour";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:23:"Drupal\\tour\\Entity\\Tour";s:11:"\0*\0handlers";a:3:{s:12:"view_builder";s:27:"Drupal\\tour\\TourViewBuilder";s:6:"access";s:36:"Drupal\\tour\\TourAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:29:"administer site configuration";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Tours";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"tours";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:11:"@count tour";s:6:"plural";s:12:"@count tours";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:tour_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:2:{i:0;s:19:"routes.*.route_name";i:1;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"module";i:3;s:6:"routes";i:4;s:4:"tips";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:9:"user_role";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:9:"user_role";s:8:"\0*\0class";s:23:"Drupal\\user\\Entity\\Role";s:11:"\0*\0provider";s:4:"user";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:6:"weight";s:6:"weight";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:23:"Drupal\\user\\Entity\\Role";s:11:"\0*\0handlers";a:4:{s:7:"storage";s:23:"Drupal\\user\\RoleStorage";s:6:"access";s:36:"Drupal\\user\\RoleAccessControlHandler";s:12:"list_builder";s:27:"Drupal\\user\\RoleListBuilder";s:4:"form";a:2:{s:7:"default";s:20:"Drupal\\user\\RoleForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}}s:19:"\0*\0admin_permission";s:22:"administer permissions";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:45:"/admin/people/roles/manage/{user_role}/delete";s:9:"edit-form";s:38:"/admin/people/roles/manage/{user_role}";s:21:"edit-permissions-form";s:37:"/admin/people/permissions/{user_role}";s:10:"collection";s:19:"/admin/people/roles";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Roles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"roles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:11:"@count role";s:6:"plural";s:12:"@count roles";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:21:"config:user_role_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"role";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"weight";i:3;s:8:"is_admin";i:4;s:11:"permissions";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:4:"user";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:4:"user";s:8:"\0*\0class";s:23:"Drupal\\user\\Entity\\User";s:11:"\0*\0provider";s:4:"user";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:3:"uid";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:23:"Drupal\\user\\Entity\\User";s:11:"\0*\0handlers";a:9:{s:7:"storage";s:23:"Drupal\\user\\UserStorage";s:14:"storage_schema";s:29:"Drupal\\user\\UserStorageSchema";s:6:"access";s:36:"Drupal\\user\\UserAccessControlHandler";s:12:"list_builder";s:27:"Drupal\\user\\UserListBuilder";s:10:"views_data";s:25:"Drupal\\user\\UserViewsData";s:14:"route_provider";a:1:{s:4:"html";s:36:"Drupal\\user\\Entity\\UserRouteProvider";}s:4:"form";a:3:{s:7:"default";s:23:"Drupal\\user\\ProfileForm";s:6:"cancel";s:31:"Drupal\\user\\Form\\UserCancelForm";s:8:"register";s:24:"Drupal\\user\\RegisterForm";}s:11:"translation";s:37:"Drupal\\user\\ProfileTranslationHandler";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";s:16:"administer users";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:9:"canonical";s:12:"/user/{user}";s:9:"edit-form";s:17:"/user/{user}/edit";s:11:"cancel-form";s:19:"/user/{user}/cancel";s:10:"collection";s:13:"/admin/people";s:12:"contact-form";s:20:"/user/{user}/contact";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:5:"users";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:16:"users_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Users";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"users";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:11:"@count user";s:6:"plural";s:12:"@count users";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:22:"entity.user.admin_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"user_list";}s:14:"\0*\0constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:18:"webform_submission";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:18:"webform_submission";s:8:"\0*\0class";s:39:"Drupal\\webform\\Entity\\WebformSubmission";s:11:"\0*\0provider";s:7:"webform";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:3:"sid";s:6:"bundle";s:10:"webform_id";s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:39:"Drupal\\webform\\Entity\\WebformSubmission";s:11:"\0*\0handlers";a:7:{s:7:"storage";s:39:"Drupal\\webform\\WebformSubmissionStorage";s:14:"storage_schema";s:45:"Drupal\\webform\\WebformSubmissionStorageSchema";s:10:"views_data";s:41:"Drupal\\webform\\WebformSubmissionViewsData";s:12:"view_builder";s:43:"Drupal\\webform\\WebformSubmissionViewBuilder";s:12:"list_builder";s:43:"Drupal\\webform\\WebformSubmissionListBuilder";s:6:"access";s:52:"Drupal\\webform\\WebformSubmissionAccessControlHandler";s:4:"form";a:8:{s:3:"add";s:36:"Drupal\\webform\\WebformSubmissionForm";s:4:"edit";s:36:"Drupal\\webform\\WebformSubmissionForm";s:8:"edit_all";s:36:"Drupal\\webform\\WebformSubmissionForm";s:3:"api";s:36:"Drupal\\webform\\WebformSubmissionForm";s:4:"test";s:36:"Drupal\\webform\\WebformSubmissionForm";s:5:"notes";s:41:"Drupal\\webform\\WebformSubmissionNotesForm";s:9:"duplicate";s:45:"Drupal\\webform\\WebformSubmissionDuplicateForm";s:6:"delete";s:47:"Drupal\\webform\\Form\\WebformSubmissionDeleteForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:11:{s:9:"canonical";s:73:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}";s:13:"access-denied";s:87:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/access-denied";s:5:"table";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/table";s:4:"text";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/text";s:4:"yaml";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/yaml";s:9:"edit-form";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/edit";s:10:"notes-form";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/notes";s:11:"resend-form";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/resend";s:14:"duplicate-form";s:83:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/duplicate";s:11:"delete-form";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/delete";s:10:"collection";s:48:"/admin/structure/webform/submissions/manage/list";}s:21:"\0*\0bundle_entity_type";s:7:"webform";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"webform_submission";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Submissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"submissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:17:"@count submission";s:6:"plural";s:18:"@count submissions";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:1:{i:0;s:4:"user";}s:18:"\0*\0list_cache_tags";a:2:{i:0;s:19:"config:webform_list";i:1;s:23:"webform_submission_list";}s:14:"\0*\0constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:15:"webform_options";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:15:"webform_options";s:8:"\0*\0class";s:36:"Drupal\\webform\\Entity\\WebformOptions";s:11:"\0*\0provider";s:7:"webform";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:36:"Drupal\\webform\\Entity\\WebformOptions";s:11:"\0*\0handlers";a:4:{s:7:"storage";s:37:"\\Drupal\\webform\\WebformOptionsStorage";s:6:"access";s:49:"Drupal\\webform\\WebformOptionsAccessControlHandler";s:12:"list_builder";s:40:"Drupal\\webform\\WebformOptionsListBuilder";s:4:"form";a:5:{s:3:"add";s:38:"Drupal\\webform_ui\\WebformUiOptionsForm";s:4:"edit";s:38:"Drupal\\webform_ui\\WebformUiOptionsForm";s:9:"duplicate";s:38:"Drupal\\webform_ui\\WebformUiOptionsForm";s:6:"delete";s:39:"Drupal\\webform\\WebformOptionsDeleteForm";s:6:"source";s:33:"Drupal\\webform\\WebformOptionsForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:6:{s:8:"add-form";s:43:"/admin/structure/webform/options/manage/add";s:9:"edit-form";s:62:"/admin/structure/webform/options/manage/{webform_options}/edit";s:14:"duplicate-form";s:67:"/admin/structure/webform/options/manage/{webform_options}/duplicate";s:11:"delete-form";s:64:"/admin/structure/webform/options/manage/{webform_options}/delete";s:10:"collection";s:39:"/admin/structure/webform/options/manage";s:11:"source-form";s:48:"/admin/structure/webform/manage/{webform}/source";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:22:"@count webform options";s:6:"plural";s:22:"@count webform options";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:27:"config:webform_options_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:4:"uuid";i:2;s:5:"label";i:3;s:8:"category";i:4;s:6:"likert";i:5;s:7:"options";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:7:"webform";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:7:"webform";s:8:"\0*\0class";s:29:"Drupal\\webform\\Entity\\Webform";s:11:"\0*\0provider";s:7:"webform";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"title";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:29:"Drupal\\webform\\Entity\\Webform";s:11:"\0*\0handlers";a:5:{s:7:"storage";s:36:"\\Drupal\\webform\\WebformEntityStorage";s:12:"view_builder";s:39:"Drupal\\webform\\WebformEntityViewBuilder";s:12:"list_builder";s:39:"Drupal\\webform\\WebformEntityListBuilder";s:6:"access";s:48:"Drupal\\webform\\WebformEntityAccessControlHandler";s:4:"form";a:15:{s:3:"add";s:35:"Drupal\\webform\\WebformEntityAddForm";s:9:"duplicate";s:35:"Drupal\\webform\\WebformEntityAddForm";s:6:"delete";s:38:"Drupal\\webform\\WebformEntityDeleteForm";s:23:"delete-multiple-confirm";s:51:"Drupal\\webform\\Form\\WebformEntityDeleteMultipleForm";s:4:"edit";s:45:"Drupal\\webform_ui\\WebformUiEntityElementsForm";s:6:"export";s:38:"Drupal\\webform\\WebformEntityExportForm";s:8:"settings";s:62:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsGeneralForm";s:13:"settings_form";s:59:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsFormForm";s:20:"settings_submissions";s:66:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsSubmissionsForm";s:21:"settings_confirmation";s:67:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsConfirmationForm";s:15:"settings_assets";s:61:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsAssetsForm";s:15:"settings_access";s:61:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsAccessForm";s:8:"handlers";s:40:"Drupal\\webform\\WebformEntityHandlersForm";s:8:"variants";s:40:"Drupal\\webform\\WebformEntityVariantsForm";s:6:"source";s:40:"Drupal\\webform\\WebformEntityElementsForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:24:{s:9:"canonical";s:18:"/webform/{webform}";s:13:"access-denied";s:32:"/webform/{webform}/access-denied";s:11:"submissions";s:30:"/webform/{webform}/submissions";s:8:"add-form";s:18:"/webform/{webform}";s:9:"edit-form";s:50:"/admin/structure/webform/manage/{webform}/elements";s:9:"test-form";s:23:"/webform/{webform}/test";s:14:"duplicate-form";s:51:"/admin/structure/webform/manage/{webform}/duplicate";s:11:"delete-form";s:48:"/admin/structure/webform/manage/{webform}/delete";s:20:"delete-multiple-form";s:31:"/admin/structure/webform/delete";s:11:"export-form";s:48:"/admin/structure/webform/manage/{webform}/export";s:8:"settings";s:50:"/admin/structure/webform/manage/{webform}/settings";s:13:"settings-form";s:55:"/admin/structure/webform/manage/{webform}/settings/form";s:20:"settings-submissions";s:62:"/admin/structure/webform/manage/{webform}/settings/submissions";s:21:"settings-confirmation";s:63:"/admin/structure/webform/manage/{webform}/settings/confirmation";s:15:"settings-assets";s:57:"/admin/structure/webform/manage/{webform}/settings/assets";s:15:"settings-access";s:57:"/admin/structure/webform/manage/{webform}/settings/access";s:8:"handlers";s:50:"/admin/structure/webform/manage/{webform}/handlers";s:8:"variants";s:50:"/admin/structure/webform/manage/{webform}/variants";s:19:"results-submissions";s:61:"/admin/structure/webform/manage/{webform}/results/submissions";s:14:"results-export";s:58:"/admin/structure/webform/manage/{webform}/results/download";s:11:"results-log";s:53:"/admin/structure/webform/manage/{webform}/results/log";s:13:"results-clear";s:55:"/admin/structure/webform/manage/{webform}/results/clear";s:10:"collection";s:24:"/admin/structure/webform";s:11:"source-form";s:48:"/admin/structure/webform/manage/{webform}/source";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:18:"webform_submission";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Webforms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"webforms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:14:"@count webform";s:6:"plural";s:15:"@count webforms";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:19:"config:webform_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:3:{i:0;s:6:"status";i:1;s:8:"template";i:2;s:4:"uuid";}s:16:"\0*\0config_export";a:20:{i:0;s:6:"status";i:1;s:4:"open";i:2;s:5:"close";i:3;s:6:"weight";i:4;s:3:"uid";i:5;s:8:"template";i:6;s:7:"archive";i:7;s:2:"id";i:8;s:4:"uuid";i:9;s:5:"title";i:10;s:11:"description";i:11;s:8:"category";i:12;s:8:"elements";i:13;s:3:"css";i:14;s:10:"javascript";i:15;s:8:"settings";i:16;s:6:"access";i:17;s:8:"handlers";i:18;s:8:"variants";i:19;s:20:"third_party_settings";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:4:"font";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:4:"font";s:8:"\0*\0class";s:31:"Drupal\\fontyourface\\Entity\\Font";s:11:"\0*\0provider";s:12:"fontyourface";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:0;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:10:{s:2:"id";s:3:"fid";s:5:"label";s:4:"name";s:4:"uuid";s:4:"uuid";s:3:"pid";s:3:"pid";s:3:"url";s:3:"url";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:31:"Drupal\\fontyourface\\Entity\\Font";s:11:"\0*\0handlers";a:8:{s:14:"storage_schema";s:37:"Drupal\\fontyourface\\FontStorageSchema";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:12:"list_builder";s:35:"Drupal\\fontyourface\\FontListBuilder";s:10:"views_data";s:40:"Drupal\\fontyourface\\Entity\\FontViewsData";s:4:"form";a:2:{s:7:"default";s:33:"Drupal\\fontyourface\\Form\\FontForm";s:4:"edit";s:33:"Drupal\\fontyourface\\Form\\FontForm";}s:6:"access";s:44:"Drupal\\fontyourface\\FontAccessControlHandler";s:14:"route_provider";a:1:{s:4:"html";s:41:"Drupal\\fontyourface\\FontHtmlRouteProvider";}s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer font entities";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"canonical";s:29:"/admin/appearance/font/{font}";s:6:"enable";s:41:"/admin/appearance/font/{font}/{js}/enable";s:7:"disable";s:42:"/admin/appearance/font/{font}/{js}/disable";s:10:"collection";s:22:"/admin/appearance/font";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"fontyourface_font";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:13:"font.settings";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"font_list";}s:14:"\0*\0constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:12:"font_display";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:12:"font_display";s:8:"\0*\0class";s:38:"Drupal\\fontyourface\\Entity\\FontDisplay";s:11:"\0*\0provider";s:12:"fontyourface";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:14:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:4:"uuid";s:4:"uuid";s:8:"font_url";s:8:"font_url";s:5:"style";s:5:"style";s:6:"weight";s:6:"weight";s:8:"fallback";s:8:"fallback";s:9:"selectors";s:9:"selectors";s:5:"theme";s:5:"theme";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:38:"Drupal\\fontyourface\\Entity\\FontDisplay";s:11:"\0*\0handlers";a:5:{s:12:"list_builder";s:42:"Drupal\\fontyourface\\FontDisplayListBuilder";s:4:"form";a:3:{s:3:"add";s:40:"Drupal\\fontyourface\\Form\\FontDisplayForm";s:4:"edit";s:40:"Drupal\\fontyourface\\Form\\FontDisplayForm";s:6:"delete";s:46:"Drupal\\fontyourface\\Form\\FontDisplayDeleteForm";}s:14:"route_provider";a:1:{s:4:"html";s:48:"Drupal\\fontyourface\\FontDisplayHtmlRouteProvider";}s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer font entities";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:8:"add-form";s:39:"/admin/appearance/font/font_display/add";s:9:"edit-form";s:55:"/admin/appearance/font/font_display/{font_display}/edit";s:11:"delete-form";s:57:"/admin/appearance/font/font_display/{font_display}/delete";s:10:"collection";s:35:"/admin/appearance/font/font_display";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:font_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:12:"font_display";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:9:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:4:"uuid";i:3;s:8:"font_url";i:4;s:5:"style";i:5;s:6:"weight";i:6;s:8:"fallback";i:7;s:9:"selectors";i:8;s:5:"theme";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:17:"menu_link_content";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:17:"menu_link_content";s:8:"\0*\0class";s:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent";s:11:"\0*\0provider";s:17:"menu_link_content";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:8:"revision";s:11:"revision_id";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:6:"bundle";s:9:"published";s:7:"enabled";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent";s:11:"\0*\0handlers";a:6:{s:7:"storage";s:48:"\\Drupal\\menu_link_content\\MenuLinkContentStorage";s:14:"storage_schema";s:53:"Drupal\\menu_link_content\\MenuLinkContentStorageSchema";s:6:"access";s:60:"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler";s:4:"form";a:2:{s:7:"default";s:49:"Drupal\\menu_link_content\\Form\\MenuLinkContentForm";s:6:"delete";s:55:"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm";}s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:10:"moderation";s:0:"";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:9:"edit-form";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:11:"delete-form";s:53:"/admin/structure/menu/item/{menu_link_content}/delete";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"menu_link_content";s:22:"\0*\0revision_data_table";s:32:"menu_link_content_field_revision";s:17:"\0*\0revision_table";s:26:"menu_link_content_revision";s:13:"\0*\0data_table";s:22:"menu_link_content_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom menu links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"custom menu links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:23:"@count custom menu link";s:6:"plural";s:24:"@count custom menu links";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:22:"menu_link_content_list";}s:14:"\0*\0constraints";a:3:{s:17:"MenuTreeHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:20:"revision_log_message";s:16:"revision_default";s:16:"revision_default";}}s:4:"view";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:4:"view";s:8:"\0*\0class";s:24:"Drupal\\views\\Entity\\View";s:11:"\0*\0provider";s:5:"views";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:24:"Drupal\\views\\Entity\\View";s:11:"\0*\0handlers";a:4:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:4:"form";a:6:{s:4:"edit";s:28:"Drupal\\views_ui\\ViewEditForm";s:3:"add";s:27:"Drupal\\views_ui\\ViewAddForm";s:7:"preview";s:31:"Drupal\\views_ui\\ViewPreviewForm";s:9:"duplicate";s:33:"Drupal\\views_ui\\ViewDuplicateForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";s:10:"break_lock";s:34:"Drupal\\views_ui\\Form\\BreakLockForm";}s:12:"list_builder";s:31:"Drupal\\views_ui\\ViewListBuilder";}s:19:"\0*\0admin_permission";s:16:"administer views";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:9:{s:9:"edit-form";s:34:"/admin/structure/views/view/{view}";s:17:"edit-display-form";s:52:"/admin/structure/views/view/{view}/edit/{display_id}";s:12:"preview-form";s:55:"/admin/structure/views/view/{view}/preview/{display_id}";s:14:"duplicate-form";s:44:"/admin/structure/views/view/{view}/duplicate";s:11:"delete-form";s:41:"/admin/structure/views/view/{view}/delete";s:6:"enable";s:41:"/admin/structure/views/view/{view}/enable";s:7:"disable";s:42:"/admin/structure/views/view/{view}/disable";s:15:"break-lock-form";s:45:"/admin/structure/views/view/{view}/break-lock";s:10:"collection";s:22:"/admin/structure/views";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"view";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:11:"@count view";s:6:"plural";s:12:"@count views";s:7:"context";s:16:"View entity type";}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:view_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:8:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"module";i:3;s:11:"description";i:4;s:3:"tag";i:5;s:10:"base_table";i:6;s:10:"base_field";i:7;s:7:"display";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:15:"paragraphs_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:15:"paragraphs_type";s:8:"\0*\0class";s:39:"Drupal\\paragraphs\\Entity\\ParagraphsType";s:11:"\0*\0provider";s:10:"paragraphs";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:39:"Drupal\\paragraphs\\Entity\\ParagraphsType";s:11:"\0*\0handlers";a:4:{s:6:"access";s:52:"Drupal\\paragraphs\\ParagraphsTypeAccessControlHandler";s:12:"list_builder";s:54:"Drupal\\paragraphs\\Controller\\ParagraphsTypeListBuilder";s:4:"form";a:3:{s:3:"add";s:41:"Drupal\\paragraphs\\Form\\ParagraphsTypeForm";s:4:"edit";s:41:"Drupal\\paragraphs\\Form\\ParagraphsTypeForm";s:6:"delete";s:50:"Drupal\\paragraphs\\Form\\ParagraphsTypeDeleteConfirm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:27:"administer paragraphs types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:50:"/admin/structure/paragraphs_type/{paragraphs_type}";s:11:"delete-form";s:57:"/admin/structure/paragraphs_type/{paragraphs_type}/delete";s:10:"collection";s:32:"/admin/structure/paragraphs_type";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:9:"paragraph";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraphs type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Paragraphs types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraphs type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Paragraphs types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:22:"@count Paragraphs type";s:6:"plural";s:23:"@count Paragraphs types";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:27:"config:paragraphs_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:15:"paragraphs_type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:9:"icon_uuid";i:3;s:12:"icon_default";i:4;s:11:"description";i:5;s:16:"behavior_plugins";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:9:"paragraph";O:36:"Drupal\\Core\\Entity\\ContentEntityType":40:{s:5:"\0*\0id";s:9:"paragraph";s:8:"\0*\0class";s:34:"Drupal\\paragraphs\\Entity\\Paragraph";s:11:"\0*\0provider";s:10:"paragraphs";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:0;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:4:"type";s:8:"langcode";s:8:"langcode";s:8:"revision";s:11:"revision_id";s:9:"published";s:6:"status";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:34:"Drupal\\paragraphs\\Entity\\Paragraph";s:11:"\0*\0handlers";a:7:{s:12:"view_builder";s:38:"Drupal\\paragraphs\\ParagraphViewBuilder";s:6:"access";s:47:"Drupal\\paragraphs\\ParagraphAccessControlHandler";s:14:"storage_schema";s:40:"Drupal\\paragraphs\\ParagraphStorageSchema";s:4:"form";a:3:{s:7:"default";s:36:"Drupal\\Core\\Entity\\ContentEntityForm";s:6:"delete";s:42:"Drupal\\Core\\Entity\\ContentEntityDeleteForm";s:4:"edit";s:36:"Drupal\\Core\\Entity\\ContentEntityForm";}s:10:"views_data";s:28:"Drupal\\views\\EntityViewsData";s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:10:"moderation";s:0:"";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";s:15:"paragraphs_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Paragraph type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:15:"paragraphs_item";s:22:"\0*\0revision_data_table";s:35:"paragraphs_item_revision_field_data";s:17:"\0*\0revision_table";s:24:"paragraphs_item_revision";s:13:"\0*\0data_table";s:26:"paragraphs_item_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Paragraphs";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Paragraphs";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:16:"@count Paragraph";s:6:"plural";s:17:"@count Paragraphs";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:32:"entity.paragraphs_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:14:"paragraph_list";}s:14:"\0*\0constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:7:{s:33:"entity_revision_parent_type_field";s:11:"parent_type";s:31:"entity_revision_parent_id_field";s:9:"parent_id";s:39:"entity_revision_parent_field_name_field";s:17:"parent_field_name";s:33:"common_reference_revisions_target";b:1;s:27:"content_translation_ui_skip";b:1;s:35:"default_reference_revision_settings";a:4:{s:20:"field_storage_config";a:2:{s:11:"cardinality";i:-1;s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}}s:12:"field_config";a:1:{s:8:"settings";a:1:{s:7:"handler";s:17:"default:paragraph";}}s:19:"entity_form_display";a:1:{s:4:"type";s:27:"entity_reference_paragraphs";}s:19:"entity_view_display";a:1:{s:4:"type";s:38:"entity_reference_revisions_entity_view";}}s:31:"serialized_field_property_names";a:1:{s:17:"behavior_settings";a:1:{i:0;s:5:"value";}}}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}}s:16:"entity_view_mode";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:16:"entity_view_mode";s:8:"\0*\0class";s:40:"Drupal\\Core\\Entity\\Entity\\EntityViewMode";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:40:"Drupal\\Core\\Entity\\Entity\\EntityViewMode";s:11:"\0*\0handlers";a:4:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:12:"list_builder";s:44:"Drupal\\field_ui\\EntityDisplayModeListBuilder";s:4:"form";a:3:{s:3:"add";s:45:"Drupal\\field_ui\\Form\\EntityDisplayModeAddForm";s:4:"edit";s:46:"Drupal\\field_ui\\Form\\EntityDisplayModeEditForm";s:6:"delete";s:48:"Drupal\\field_ui\\Form\\EntityDisplayModeDeleteForm";}}s:19:"\0*\0admin_permission";s:24:"administer display modes";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:68:"/admin/structure/display-modes/view/manage/{entity_view_mode}/delete";s:9:"edit-form";s:61:"/admin/structure/display-modes/view/manage/{entity_view_mode}";s:8:"add-form";s:56:"/admin/structure/display-modes/view/add/{entity_type_id}";s:10:"collection";s:35:"/admin/structure/display-modes/view";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"View mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:28:"config:entity_view_mode_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:16:"targetEntityType";i:3;s:5:"cache";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:19:"entity_form_display";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:19:"entity_form_display";s:8:"\0*\0class";s:43:"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:43:"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay";s:11:"\0*\0handlers";a:3:{s:6:"access";s:71:"\\Drupal\\Core\\Entity\\Entity\\Access\\EntityFormDisplayAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:4:"form";a:1:{s:4:"edit";s:46:"Drupal\\field_ui\\Form\\EntityFormDisplayEditForm";}}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:entity_form_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:4:"mode";i:4;s:7:"content";i:5;s:6:"hidden";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:19:"entity_view_display";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:19:"entity_view_display";s:8:"\0*\0class";s:43:"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:43:"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay";s:11:"\0*\0handlers";a:3:{s:6:"access";s:71:"\\Drupal\\Core\\Entity\\Entity\\Access\\EntityViewDisplayAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:4:"form";a:1:{s:4:"edit";s:46:"Drupal\\field_ui\\Form\\EntityViewDisplayEditForm";}}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity view display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:4:"mode";i:4;s:7:"content";i:5;s:6:"hidden";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:16:"entity_form_mode";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:16:"entity_form_mode";s:8:"\0*\0class";s:40:"Drupal\\Core\\Entity\\Entity\\EntityFormMode";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:40:"Drupal\\Core\\Entity\\Entity\\EntityFormMode";s:11:"\0*\0handlers";a:4:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:12:"list_builder";s:41:"Drupal\\field_ui\\EntityFormModeListBuilder";s:4:"form";a:3:{s:3:"add";s:42:"Drupal\\field_ui\\Form\\EntityFormModeAddForm";s:4:"edit";s:46:"Drupal\\field_ui\\Form\\EntityDisplayModeEditForm";s:6:"delete";s:48:"Drupal\\field_ui\\Form\\EntityDisplayModeDeleteForm";}}s:19:"\0*\0admin_permission";s:24:"administer display modes";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:68:"/admin/structure/display-modes/form/manage/{entity_form_mode}/delete";s:9:"edit-form";s:61:"/admin/structure/display-modes/form/manage/{entity_form_mode}";s:8:"add-form";s:56:"/admin/structure/display-modes/form/add/{entity_type_id}";s:10:"collection";s:35:"/admin/structure/display-modes/form";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Form mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:28:"config:entity_form_mode_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:16:"targetEntityType";i:3;s:5:"cache";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:19:"base_field_override";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:19:"base_field_override";s:8:"\0*\0class";s:42:"Drupal\\Core\\Field\\Entity\\BaseFieldOverride";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:42:"Drupal\\Core\\Field\\Entity\\BaseFieldOverride";s:11:"\0*\0handlers";a:2:{s:7:"storage";s:42:"Drupal\\Core\\Field\\BaseFieldOverrideStorage";s:6:"access";s:55:"Drupal\\Core\\Field\\BaseFieldOverrideAccessControlHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Base field override";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:base_field_override_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:19:"base_field_override";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:6:"bundle";i:4;s:5:"label";i:5;s:11:"description";i:6;s:8:"required";i:7;s:12:"translatable";i:8;s:13:"default_value";i:9;s:22:"default_value_callback";i:10;s:8:"settings";i:11;s:10:"field_type";}s:21:"\0*\0mergedConfigExport";a:0:{}}s:11:"date_format";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":43:{s:5:"\0*\0id";s:11:"date_format";s:8:"\0*\0class";s:38:"Drupal\\Core\\Datetime\\Entity\\DateFormat";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:38:"Drupal\\Core\\Datetime\\Entity\\DateFormat";s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\system\\DateFormatAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:4:"form";a:3:{s:3:"add";s:36:"Drupal\\system\\Form\\DateFormatAddForm";s:4:"edit";s:37:"Drupal\\system\\Form\\DateFormatEditForm";s:6:"delete";s:39:"Drupal\\system\\Form\\DateFormatDeleteForm";}s:12:"list_builder";s:35:"Drupal\\system\\DateFormatListBuilder";}s:19:"\0*\0admin_permission";s:29:"administer site configuration";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:61:"/admin/config/regional/date-time/formats/manage/{date_format}";s:11:"delete-form";s:68:"/admin/config/regional/date-time/formats/manage/{date_format}/delete";s:10:"collection";s:40:"/admin/config/regional/date-time/formats";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Date format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:8:"rendered";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"locked";i:3;s:7:"pattern";}s:21:"\0*\0mergedConfigExport";a:0:{}}}', -1, '1681649759.670', 1, 'entity_types', '3');
INSERT INTO `cache_discovery` VALUES
('entity_type_definitions.installed', 'a:42:{s:6:"action";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:6:"action";s:8:"\0*\0class";s:27:"Drupal\\system\\Entity\\Action";s:11:"\0*\0provider";s:6:"system";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:18:"administer actions";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"config:action_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:4:"type";i:3;s:6:"plugin";i:4;s:13:"configuration";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:19:"base_field_override";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:19:"base_field_override";s:8:"\0*\0class";s:42:"Drupal\\Core\\Field\\Entity\\BaseFieldOverride";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:7:"storage";s:42:"Drupal\\Core\\Field\\BaseFieldOverrideStorage";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Base field override";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:base_field_override_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:19:"base_field_override";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:6:"bundle";i:4;s:5:"label";i:5;s:11:"description";i:6;s:8:"required";i:7;s:12:"translatable";i:8;s:13:"default_value";i:9;s:22:"default_value_callback";i:10;s:8:"settings";i:11;s:10:"field_type";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:5:"block";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:5:"block";s:8:"\0*\0class";s:25:"Drupal\\block\\Entity\\Block";s:11:"\0*\0provider";s:5:"block";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:6:"access";s:38:"Drupal\\block\\BlockAccessControlHandler";s:12:"view_builder";s:29:"Drupal\\block\\BlockViewBuilder";s:12:"list_builder";s:29:"Drupal\\block\\BlockListBuilder";s:4:"form";a:2:{s:7:"default";s:22:"Drupal\\block\\BlockForm";s:6:"delete";s:33:"Drupal\\block\\Form\\BlockDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:2:{s:11:"delete-form";s:44:"/admin/structure/block/manage/{block}/delete";s:9:"edit-form";s:37:"/admin/structure/block/manage/{block}";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:17:"config:block_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:2:{i:0;s:5:"theme";i:1;s:4:"uuid";}s:16:"\0*\0config_export";a:8:{i:0;s:2:"id";i:1;s:5:"theme";i:2;s:6:"region";i:3;s:6:"weight";i:4;s:8:"provider";i:5;s:6:"plugin";i:6;s:8:"settings";i:7;s:10:"visibility";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:13:"block_content";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:13:"block_content";s:8:"\0*\0class";s:40:"Drupal\\block_content\\Entity\\BlockContent";s:11:"\0*\0provider";s:13:"block_content";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:0;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:8:"revision";s:11:"revision_id";s:6:"bundle";s:4:"type";s:5:"label";s:4:"info";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:7:{s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:6:"access";s:53:"Drupal\\block_content\\BlockContentAccessControlHandler";s:12:"list_builder";s:44:"Drupal\\block_content\\BlockContentListBuilder";s:12:"view_builder";s:44:"Drupal\\block_content\\BlockContentViewBuilder";s:10:"views_data";s:42:"Drupal\\block_content\\BlockContentViewsData";s:4:"form";a:4:{s:3:"add";s:37:"Drupal\\block_content\\BlockContentForm";s:4:"edit";s:37:"Drupal\\block_content\\BlockContentForm";s:6:"delete";s:48:"Drupal\\block_content\\Form\\BlockContentDeleteForm";s:7:"default";s:37:"Drupal\\block_content\\BlockContentForm";}s:11:"translation";s:51:"Drupal\\block_content\\BlockContentTranslationHandler";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"canonical";s:22:"/block/{block_content}";s:11:"delete-form";s:29:"/block/{block_content}/delete";s:9:"edit-form";s:22:"/block/{block_content}";s:10:"collection";s:36:"/admin/structure/block/block-content";}s:21:"\0*\0bundle_entity_type";s:18:"block_content_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:13:"block_content";s:22:"\0*\0revision_data_table";s:28:"block_content_field_revision";s:17:"\0*\0revision_table";s:22:"block_content_revision";s:13:"\0*\0data_table";s:24:"block_content_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:35:"entity.block_content_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"block_content_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:12:"revision_log";s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:17:"\0*\0label_callback";N;}s:18:"block_content_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:18:"block_content_type";s:8:"\0*\0class";s:44:"Drupal\\block_content\\Entity\\BlockContentType";s:11:"\0*\0provider";s:13:"block_content";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:4:{s:7:"default";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:3:"add";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:4:"edit";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:6:"delete";s:52:"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm";}s:12:"list_builder";s:48:"Drupal\\block_content\\BlockContentTypeListBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:11:"delete-form";s:71:"/admin/structure/block/block-content/manage/{block_content_type}/delete";s:9:"edit-form";s:64:"/admin/structure/block/block-content/manage/{block_content_type}";s:10:"collection";s:42:"/admin/structure/block/block-content/types";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:13:"block_content";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:30:"config:block_content_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:8:"revision";i:3;s:11:"description";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:7:"comment";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:7:"comment";s:8:"\0*\0class";s:29:"Drupal\\comment\\Entity\\Comment";s:11:"\0*\0provider";s:7:"comment";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"cid";s:6:"bundle";s:12:"comment_type";s:5:"label";s:7:"subject";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:5:"owner";s:3:"uid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:8:{s:7:"storage";s:29:"Drupal\\comment\\CommentStorage";s:14:"storage_schema";s:35:"Drupal\\comment\\CommentStorageSchema";s:6:"access";s:42:"Drupal\\comment\\CommentAccessControlHandler";s:12:"list_builder";s:36:"Drupal\\Core\\Entity\\EntityListBuilder";s:12:"view_builder";s:33:"Drupal\\comment\\CommentViewBuilder";s:10:"views_data";s:31:"Drupal\\comment\\CommentViewsData";s:4:"form";a:2:{s:7:"default";s:26:"Drupal\\comment\\CommentForm";s:6:"delete";s:30:"Drupal\\comment\\Form\\DeleteForm";}s:11:"translation";s:40:"Drupal\\comment\\CommentTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:18:"/comment/{comment}";s:11:"delete-form";s:25:"/comment/{comment}/delete";s:9:"edit-form";s:23:"/comment/{comment}/edit";}s:21:"\0*\0bundle_entity_type";s:12:"comment_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:7:"comment";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:18:"comment_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";s:11:"comment_uri";s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:29:"entity.comment_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:12:"comment_list";}s:14:"\0*\0constraints";a:2:{s:11:"CommentName";a:0:{}s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:17:"\0*\0label_callback";N;}s:12:"comment_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:12:"comment_type";s:8:"\0*\0class";s:33:"Drupal\\comment\\Entity\\CommentType";s:11:"\0*\0provider";s:7:"comment";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:4:{s:7:"default";s:30:"Drupal\\comment\\CommentTypeForm";s:3:"add";s:30:"Drupal\\comment\\CommentTypeForm";s:4:"edit";s:30:"Drupal\\comment\\CommentTypeForm";s:6:"delete";s:41:"Drupal\\comment\\Form\\CommentTypeDeleteForm";}s:12:"list_builder";s:37:"Drupal\\comment\\CommentTypeListBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer comment types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:53:"/admin/structure/comment/manage/{comment_type}/delete";s:9:"edit-form";s:46:"/admin/structure/comment/manage/{comment_type}";s:8:"add-form";s:34:"/admin/structure/comment/types/add";s:10:"collection";s:30:"/admin/structure/comment/types";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:7:"comment";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:comment_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:21:"target_entity_type_id";i:3;s:11:"description";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:12:"contact_form";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:12:"contact_form";s:8:"\0*\0class";s:33:"Drupal\\contact\\Entity\\ContactForm";s:11:"\0*\0provider";s:7:"contact";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:46:"Drupal\\contact\\ContactFormAccessControlHandler";s:12:"list_builder";s:37:"Drupal\\contact\\ContactFormListBuilder";s:4:"form";a:3:{s:3:"add";s:34:"Drupal\\contact\\ContactFormEditForm";s:4:"edit";s:34:"Drupal\\contact\\ContactFormEditForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer contact forms";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:53:"/admin/structure/contact/manage/{contact_form}/delete";s:9:"edit-form";s:46:"/admin/structure/contact/manage/{contact_form}";s:10:"collection";s:24:"/admin/structure/contact";s:9:"canonical";s:23:"/contact/{contact_form}";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:15:"contact_message";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:contact_form_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"form";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:10:"recipients";i:3;s:5:"reply";i:4;s:6:"weight";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:15:"contact_message";O:36:"Drupal\\Core\\Entity\\ContentEntityType":41:{s:5:"\0*\0id";s:15:"contact_message";s:8:"\0*\0class";s:29:"Drupal\\contact\\Entity\\Message";s:11:"\0*\0provider";s:7:"contact";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:5:{s:6:"bundle";s:12:"contact_form";s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:49:"Drupal\\contact\\ContactMessageAccessControlHandler";s:7:"storage";s:43:"Drupal\\Core\\Entity\\ContentEntityNullStorage";s:12:"view_builder";s:33:"Drupal\\contact\\MessageViewBuilder";s:4:"form";a:1:{s:7:"default";s:26:"Drupal\\contact\\MessageForm";}}s:19:"\0*\0admin_permission";s:24:"administer contact forms";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";s:12:"contact_form";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:29:"entity.contact_form.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:20:"contact_message_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:0:{}s:17:"\0*\0label_callback";N;}s:11:"date_format";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:11:"date_format";s:8:"\0*\0class";s:38:"Drupal\\Core\\Datetime\\Entity\\DateFormat";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\system\\DateFormatAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:4:"form";a:3:{s:3:"add";s:36:"Drupal\\system\\Form\\DateFormatAddForm";s:4:"edit";s:37:"Drupal\\system\\Form\\DateFormatEditForm";s:6:"delete";s:39:"Drupal\\system\\Form\\DateFormatDeleteForm";}s:12:"list_builder";s:35:"Drupal\\system\\DateFormatListBuilder";}s:19:"\0*\0admin_permission";s:29:"administer site configuration";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:61:"/admin/config/regional/date-time/formats/manage/{date_format}";s:11:"delete-form";s:68:"/admin/config/regional/date-time/formats/manage/{date_format}/delete";s:10:"collection";s:40:"/admin/config/regional/date-time/formats";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Date format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:8:"rendered";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"locked";i:3;s:7:"pattern";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:6:"editor";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:6:"editor";s:8:"\0*\0class";s:27:"Drupal\\editor\\Entity\\Editor";s:11:"\0*\0provider";s:6:"editor";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:6:"format";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text Editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"config:editor_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:6:"format";i:1;s:6:"editor";i:2;s:8:"settings";i:3;s:12:"image_upload";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:19:"entity_form_display";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:19:"entity_form_display";s:8:"\0*\0class";s:43:"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:entity_form_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:4:"mode";i:4;s:7:"content";i:5;s:6:"hidden";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:16:"entity_form_mode";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:16:"entity_form_mode";s:8:"\0*\0class";s:40:"Drupal\\Core\\Entity\\Entity\\EntityFormMode";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Form mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:28:"config:entity_form_mode_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:16:"targetEntityType";i:3;s:5:"cache";}s:21:"\0*\0mergedConfigExport";a:10:{s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:6:"status";s:6:"status";s:12:"dependencies";s:12:"dependencies";s:20:"third_party_settings";s:20:"third_party_settings";s:5:"_core";s:5:"_core";s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:16:"targetEntityType";s:16:"targetEntityType";s:5:"cache";s:5:"cache";}s:17:"\0*\0label_callback";N;}s:19:"entity_view_display";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:19:"entity_view_display";s:8:"\0*\0class";s:43:"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity view display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:4:"mode";i:4;s:7:"content";i:5;s:6:"hidden";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:16:"entity_view_mode";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:16:"entity_view_mode";s:8:"\0*\0class";s:40:"Drupal\\Core\\Entity\\Entity\\EntityViewMode";s:11:"\0*\0provider";s:4:"core";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"View mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:28:"config:entity_view_mode_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:16:"targetEntityType";i:3;s:5:"cache";}s:21:"\0*\0mergedConfigExport";a:10:{s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:6:"status";s:6:"status";s:12:"dependencies";s:12:"dependencies";s:20:"third_party_settings";s:20:"third_party_settings";s:5:"_core";s:5:"_core";s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:16:"targetEntityType";s:16:"targetEntityType";s:5:"cache";s:5:"cache";}s:17:"\0*\0label_callback";N;}s:12:"field_config";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:12:"field_config";s:8:"\0*\0class";s:31:"Drupal\\field\\Entity\\FieldConfig";s:11:"\0*\0provider";s:5:"field";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:44:"Drupal\\field\\FieldConfigAccessControlHandler";s:7:"storage";s:31:"Drupal\\field\\FieldConfigStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:field_config_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:5:"field";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:6:"bundle";i:4;s:5:"label";i:5;s:11:"description";i:6;s:8:"required";i:7;s:12:"translatable";i:8;s:13:"default_value";i:9;s:22:"default_value_callback";i:10;s:8:"settings";i:11;s:10:"field_type";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:20:"field_storage_config";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:20:"field_storage_config";s:8:"\0*\0class";s:38:"Drupal\\field\\Entity\\FieldStorageConfig";s:11:"\0*\0provider";s:5:"field";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:7:"storage";s:38:"Drupal\\field\\FieldStorageConfigStorage";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Field storage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:32:"config:field_storage_config_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:7:"storage";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:4:"type";i:4;s:8:"settings";i:5;s:6:"module";i:6;s:6:"locked";i:7;s:11:"cardinality";i:8;s:12:"translatable";i:9;s:7:"indexes";i:10;s:22:"persist_with_no_fields";i:11;s:14:"custom_storage";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:4:"file";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:4:"file";s:8:"\0*\0class";s:23:"Drupal\\file\\Entity\\File";s:11:"\0*\0provider";s:4:"file";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:3:"fid";s:5:"label";s:8:"filename";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:5:"owner";s:3:"uid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:7:"storage";s:23:"Drupal\\file\\FileStorage";s:14:"storage_schema";s:29:"Drupal\\file\\FileStorageSchema";s:6:"access";s:36:"Drupal\\file\\FileAccessControlHandler";s:10:"views_data";s:25:"Drupal\\file\\FileViewsData";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:12:"file_managed";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"file_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:17:"\0*\0label_callback";N;}s:13:"filter_format";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:13:"filter_format";s:8:"\0*\0class";s:33:"Drupal\\filter\\Entity\\FilterFormat";s:11:"\0*\0provider";s:6:"filter";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:6:"format";s:5:"label";s:4:"name";s:6:"weight";s:6:"weight";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:3:{s:3:"add";s:33:"Drupal\\filter\\FilterFormatAddForm";s:4:"edit";s:34:"Drupal\\filter\\FilterFormatEditForm";s:7:"disable";s:36:"Drupal\\filter\\Form\\FilterDisableForm";}s:12:"list_builder";s:37:"Drupal\\filter\\FilterFormatListBuilder";s:6:"access";s:46:"Drupal\\filter\\FilterFormatAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:18:"administer filters";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:2:{s:9:"edit-form";s:52:"/admin/config/content/formats/manage/{filter_format}";s:7:"disable";s:60:"/admin/config/content/formats/manage/{filter_format}/disable";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:25:"config:filter_format_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:6:"format";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:4:"name";i:1;s:6:"format";i:2;s:6:"weight";i:3;s:5:"roles";i:4;s:7:"filters";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:4:"font";O:36:"Drupal\\Core\\Entity\\ContentEntityType":41:{s:5:"\0*\0id";s:4:"font";s:8:"\0*\0class";s:31:"Drupal\\fontyourface\\Entity\\Font";s:11:"\0*\0provider";s:12:"fontyourface";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:0;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"fid";s:5:"label";s:4:"name";s:4:"uuid";s:4:"uuid";s:3:"pid";s:3:"pid";s:3:"url";s:3:"url";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:8:{s:14:"storage_schema";s:37:"Drupal\\fontyourface\\FontStorageSchema";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:12:"list_builder";s:35:"Drupal\\fontyourface\\FontListBuilder";s:10:"views_data";s:40:"Drupal\\fontyourface\\Entity\\FontViewsData";s:4:"form";a:2:{s:7:"default";s:33:"Drupal\\fontyourface\\Form\\FontForm";s:4:"edit";s:33:"Drupal\\fontyourface\\Form\\FontForm";}s:6:"access";s:44:"Drupal\\fontyourface\\FontAccessControlHandler";s:14:"route_provider";a:1:{s:4:"html";s:41:"Drupal\\fontyourface\\FontHtmlRouteProvider";}s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer font entities";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"canonical";s:29:"/admin/appearance/font/{font}";s:6:"enable";s:41:"/admin/appearance/font/{font}/{js}/enable";s:7:"disable";s:42:"/admin/appearance/font/{font}/{js}/disable";s:10:"collection";s:22:"/admin/appearance/font";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"fontyourface_font";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:13:"font.settings";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"font_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:0:{}s:17:"\0*\0label_callback";N;}s:12:"font_display";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:12:"font_display";s:8:"\0*\0class";s:38:"Drupal\\fontyourface\\Entity\\FontDisplay";s:11:"\0*\0provider";s:12:"fontyourface";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:13:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:4:"uuid";s:4:"uuid";s:8:"font_url";s:8:"font_url";s:5:"style";s:5:"style";s:6:"weight";s:6:"weight";s:8:"fallback";s:8:"fallback";s:9:"selectors";s:9:"selectors";s:5:"theme";s:5:"theme";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:12:"list_builder";s:42:"Drupal\\fontyourface\\FontDisplayListBuilder";s:4:"form";a:3:{s:3:"add";s:40:"Drupal\\fontyourface\\Form\\FontDisplayForm";s:4:"edit";s:40:"Drupal\\fontyourface\\Form\\FontDisplayForm";s:6:"delete";s:46:"Drupal\\fontyourface\\Form\\FontDisplayDeleteForm";}s:14:"route_provider";a:1:{s:4:"html";s:48:"Drupal\\fontyourface\\FontDisplayHtmlRouteProvider";}s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:29:"administer site configuration";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:9:"canonical";s:50:"/admin/appearance/font/font_display/{font_display}";s:8:"add-form";s:39:"/admin/appearance/font/font_display/add";s:9:"edit-form";s:55:"/admin/appearance/font/font_display/{font_display}/edit";s:11:"delete-form";s:57:"/admin/appearance/font/font_display/{font_display}/delete";s:10:"collection";s:35:"/admin/appearance/font/font_display";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:font_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:12:"font_display";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:0:{}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:11:"image_style";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:11:"image_style";s:8:"\0*\0class";s:30:"Drupal\\image\\Entity\\ImageStyle";s:11:"\0*\0provider";s:5:"image";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:4:"name";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:4:{s:3:"add";s:35:"Drupal\\image\\Form\\ImageStyleAddForm";s:4:"edit";s:36:"Drupal\\image\\Form\\ImageStyleEditForm";s:6:"delete";s:38:"Drupal\\image\\Form\\ImageStyleDeleteForm";s:5:"flush";s:37:"Drupal\\image\\Form\\ImageStyleFlushForm";}s:12:"list_builder";s:34:"Drupal\\image\\ImageStyleListBuilder";s:7:"storage";s:30:"Drupal\\image\\ImageStyleStorage";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";s:23:"administer image styles";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:10:"flush-form";s:59:"/admin/config/media/image-styles/manage/{image_style}/flush";s:9:"edit-form";s:53:"/admin/config/media/image-styles/manage/{image_style}";s:11:"delete-form";s:60:"/admin/config/media/image-styles/manage/{image_style}/delete";s:10:"collection";s:32:"/admin/config/media/image-styles";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:image_style_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:5:"style";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:3:{i:0;s:4:"name";i:1;s:5:"label";i:2;s:7:"effects";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:4:"menu";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:4:"menu";s:8:"\0*\0class";s:25:"Drupal\\system\\Entity\\Menu";s:11:"\0*\0provider";s:6:"system";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:38:"Drupal\\system\\MenuAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:menu_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:11:"description";i:3;s:6:"locked";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:17:"menu_link_content";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:17:"menu_link_content";s:8:"\0*\0class";s:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent";s:11:"\0*\0provider";s:17:"menu_link_content";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:6:"bundle";s:8:"revision";s:11:"revision_id";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:7:"enabled";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:14:"storage_schema";s:53:"Drupal\\menu_link_content\\MenuLinkContentStorageSchema";s:6:"access";s:60:"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler";s:4:"form";a:2:{s:7:"default";s:49:"Drupal\\menu_link_content\\Form\\MenuLinkContentForm";s:6:"delete";s:55:"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm";}s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:9:"edit-form";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:11:"delete-form";s:53:"/admin/structure/menu/item/{menu_link_content}/delete";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"menu_link_content";s:22:"\0*\0revision_data_table";s:32:"menu_link_content_field_revision";s:17:"\0*\0revision_table";s:26:"menu_link_content_revision";s:13:"\0*\0data_table";s:22:"menu_link_content_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:22:"menu_link_content_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:16:"revision_default";s:16:"revision_default";s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:20:"revision_log_message";}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:17:"\0*\0label_callback";N;}s:4:"node";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:4:"node";s:8:"\0*\0class";s:23:"Drupal\\node\\Entity\\Node";s:11:"\0*\0provider";s:4:"node";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:12:{s:2:"id";s:3:"nid";s:8:"revision";s:3:"vid";s:6:"bundle";s:4:"type";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"status";s:6:"status";s:3:"uid";s:3:"uid";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:5:"owner";s:3:"uid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:9:{s:7:"storage";s:23:"Drupal\\node\\NodeStorage";s:14:"storage_schema";s:29:"Drupal\\node\\NodeStorageSchema";s:12:"view_builder";s:27:"Drupal\\node\\NodeViewBuilder";s:6:"access";s:36:"Drupal\\node\\NodeAccessControlHandler";s:10:"views_data";s:25:"Drupal\\node\\NodeViewsData";s:4:"form";a:3:{s:7:"default";s:20:"Drupal\\node\\NodeForm";s:6:"delete";s:31:"Drupal\\node\\Form\\NodeDeleteForm";s:4:"edit";s:20:"Drupal\\node\\NodeForm";}s:14:"route_provider";a:1:{s:4:"html";s:36:"Drupal\\node\\Entity\\NodeRouteProvider";}s:12:"list_builder";s:27:"Drupal\\node\\NodeListBuilder";s:11:"translation";s:34:"Drupal\\node\\NodeTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:5:{s:9:"canonical";s:12:"/node/{node}";s:11:"delete-form";s:19:"/node/{node}/delete";s:9:"edit-form";s:17:"/node/{node}/edit";s:15:"version-history";s:22:"/node/{node}/revisions";s:8:"revision";s:43:"/node/{node}/revisions/{node_revision}/view";}s:21:"\0*\0bundle_entity_type";s:9:"node_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:4:"node";s:22:"\0*\0revision_data_table";s:19:"node_field_revision";s:17:"\0*\0revision_table";s:13:"node_revision";s:13:"\0*\0data_table";s:15:"node_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"content item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"content items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count content item";s:6:"plural";s:20:"@count content items";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:26:"entity.node_type.edit_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:1:{i:0;s:21:"user.node_grants:view";}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"node_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:16:"revision_default";s:16:"revision_default";s:13:"revision_user";s:12:"revision_uid";s:16:"revision_created";s:18:"revision_timestamp";s:20:"revision_log_message";s:12:"revision_log";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:17:"\0*\0label_callback";N;}s:9:"node_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:9:"node_type";s:8:"\0*\0class";s:27:"Drupal\\node\\Entity\\NodeType";s:11:"\0*\0provider";s:4:"node";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:4:"type";s:5:"label";s:4:"name";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:40:"Drupal\\node\\NodeTypeAccessControlHandler";s:4:"form";a:3:{s:3:"add";s:24:"Drupal\\node\\NodeTypeForm";s:4:"edit";s:24:"Drupal\\node\\NodeTypeForm";s:6:"delete";s:38:"Drupal\\node\\Form\\NodeTypeDeleteConfirm";}s:12:"list_builder";s:31:"Drupal\\node\\NodeTypeListBuilder";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer content types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:41:"/admin/structure/types/manage/{node_type}";s:11:"delete-form";s:48:"/admin/structure/types/manage/{node_type}/delete";s:10:"collection";s:22:"/admin/structure/types";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:4:"node";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:21:"config:node_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:7:{i:0;s:4:"name";i:1;s:4:"type";i:2;s:11:"description";i:3;s:4:"help";i:4;s:12:"new_revision";i:5;s:12:"preview_mode";i:6;s:17:"display_submitted";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:9:"paragraph";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:9:"paragraph";s:8:"\0*\0class";s:34:"Drupal\\paragraphs\\Entity\\Paragraph";s:11:"\0*\0provider";s:10:"paragraphs";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:4:"type";s:8:"langcode";s:8:"langcode";s:8:"revision";s:11:"revision_id";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:6:{s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:6:"access";s:47:"Drupal\\paragraphs\\ParagraphAccessControlHandler";s:14:"storage_schema";s:40:"Drupal\\paragraphs\\ParagraphStorageSchema";s:4:"form";a:3:{s:7:"default";s:36:"Drupal\\Core\\Entity\\ContentEntityForm";s:6:"delete";s:42:"Drupal\\Core\\Entity\\ContentEntityDeleteForm";s:4:"edit";s:36:"Drupal\\Core\\Entity\\ContentEntityForm";}s:10:"views_data";s:28:"Drupal\\views\\EntityViewsData";s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";s:15:"paragraphs_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Paragraph type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:15:"paragraphs_item";s:22:"\0*\0revision_data_table";s:35:"paragraphs_item_revision_field_data";s:17:"\0*\0revision_table";s:24:"paragraphs_item_revision";s:13:"\0*\0data_table";s:26:"paragraphs_item_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:32:"entity.paragraphs_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:14:"paragraph_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:6:{s:33:"entity_revision_parent_type_field";s:11:"parent_type";s:31:"entity_revision_parent_id_field";s:9:"parent_id";s:39:"entity_revision_parent_field_name_field";s:17:"parent_field_name";s:33:"common_reference_revisions_target";b:1;s:27:"content_translation_ui_skip";b:1;s:35:"default_reference_revision_settings";a:4:{s:20:"field_storage_config";a:2:{s:11:"cardinality";i:-1;s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}}s:12:"field_config";a:1:{s:8:"settings";a:1:{s:7:"handler";s:17:"default:paragraph";}}s:19:"entity_form_display";a:1:{s:4:"type";s:27:"entity_reference_paragraphs";}s:19:"entity_view_display";a:1:{s:4:"type";s:38:"entity_reference_revisions_entity_view";}}}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:17:"\0*\0label_callback";N;}s:15:"paragraphs_type";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:15:"paragraphs_type";s:8:"\0*\0class";s:39:"Drupal\\paragraphs\\Entity\\ParagraphsType";s:11:"\0*\0provider";s:10:"paragraphs";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:12:"list_builder";s:54:"Drupal\\paragraphs\\Controller\\ParagraphsTypeListBuilder";s:4:"form";a:3:{s:3:"add";s:41:"Drupal\\paragraphs\\Form\\ParagraphsTypeForm";s:4:"edit";s:41:"Drupal\\paragraphs\\Form\\ParagraphsTypeForm";s:6:"delete";s:50:"Drupal\\paragraphs\\Form\\ParagraphsTypeDeleteConfirm";}s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:27:"administer paragraphs types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:50:"/admin/structure/paragraphs_type/{paragraphs_type}";s:11:"delete-form";s:57:"/admin/structure/paragraphs_type/{paragraphs_type}/delete";s:10:"collection";s:32:"/admin/structure/paragraphs_type";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:9:"paragraph";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraphs type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:27:"config:paragraphs_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:15:"paragraphs_type";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:2:{i:0;s:2:"id";i:1;s:5:"label";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:10:"path_alias";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:10:"path_alias";s:8:"\0*\0class";s:34:"Drupal\\path_alias\\Entity\\PathAlias";s:11:"\0*\0provider";s:10:"path_alias";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:8:"revision";s:11:"revision_id";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:9:"published";s:6:"status";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:34:"Drupal\\path_alias\\Entity\\PathAlias";s:11:"\0*\0handlers";a:7:{s:7:"storage";s:34:"Drupal\\path_alias\\PathAliasStorage";s:14:"storage_schema";s:40:"Drupal\\path_alias\\PathAliasStorageSchema";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:4:"form";a:2:{s:7:"default";s:25:"Drupal\\path\\PathAliasForm";s:6:"delete";s:42:"Drupal\\Core\\Entity\\ContentEntityDeleteForm";}s:14:"route_provider";a:1:{s:4:"html";s:49:"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider";}s:12:"list_builder";s:32:"Drupal\\path\\PathAliasListBuilder";}s:19:"\0*\0admin_permission";s:22:"administer url aliases";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:10:"collection";s:25:"/admin/config/search/path";s:8:"add-form";s:29:"/admin/config/search/path/add";s:9:"edit-form";s:43:"/admin/config/search/path/edit/{path_alias}";s:11:"delete-form";s:45:"/admin/config/search/path/delete/{path_alias}";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:10:"path_alias";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";s:19:"path_alias_revision";s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:16:"@count URL alias";s:6:"plural";s:18:"@count URL aliases";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:11:"route_match";}s:14:"\0*\0constraints";a:2:{s:15:"UniquePathAlias";a:0:{}s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:17:"\0*\0label_callback";N;}s:11:"rdf_mapping";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:11:"rdf_mapping";s:8:"\0*\0class";s:28:"Drupal\\rdf\\Entity\\RdfMapping";s:11:"\0*\0provider";s:3:"rdf";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"RDF mapping";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:rdf_mapping_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:7:"mapping";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:5:"types";i:4;s:13:"fieldMappings";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:11:"search_page";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:11:"search_page";s:8:"\0*\0class";s:31:"Drupal\\search\\Entity\\SearchPage";s:11:"\0*\0provider";s:6:"search";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:6:"weight";s:6:"weight";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\search\\SearchPageAccessControlHandler";s:12:"list_builder";s:35:"Drupal\\search\\SearchPageListBuilder";s:4:"form";a:4:{s:3:"add";s:36:"Drupal\\search\\Form\\SearchPageAddForm";s:4:"edit";s:37:"Drupal\\search\\Form\\SearchPageEditForm";s:6:"search";s:33:"Drupal\\search\\Form\\SearchPageForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer search";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:6:{s:9:"edit-form";s:47:"/admin/config/search/pages/manage/{search_page}";s:11:"delete-form";s:54:"/admin/config/search/pages/manage/{search_page}/delete";s:6:"enable";s:54:"/admin/config/search/pages/manage/{search_page}/enable";s:7:"disable";s:55:"/admin/config/search/pages/manage/{search_page}/disable";s:11:"set-default";s:59:"/admin/config/search/pages/manage/{search_page}/set-default";s:10:"collection";s:26:"/admin/config/search/pages";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Search page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:search_page_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"page";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:4:"path";i:3;s:6:"weight";i:4;s:6:"plugin";i:5;s:13:"configuration";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:8:"shortcut";O:36:"Drupal\\Core\\Entity\\ContentEntityType":41:{s:5:"\0*\0id";s:8:"shortcut";s:8:"\0*\0class";s:31:"Drupal\\shortcut\\Entity\\Shortcut";s:11:"\0*\0provider";s:8:"shortcut";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:12:"shortcut_set";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:6:"access";s:44:"Drupal\\shortcut\\ShortcutAccessControlHandler";s:4:"form";a:4:{s:7:"default";s:28:"Drupal\\shortcut\\ShortcutForm";s:3:"add";s:28:"Drupal\\shortcut\\ShortcutForm";s:4:"edit";s:28:"Drupal\\shortcut\\ShortcutForm";s:6:"delete";s:39:"Drupal\\shortcut\\Form\\ShortcutDeleteForm";}s:11:"translation";s:52:"Drupal\\content_translation\\ContentTranslationHandler";s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";s:11:"delete-form";s:60:"/admin/config/user-interface/shortcut/link/{shortcut}/delete";s:9:"edit-form";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";}s:21:"\0*\0bundle_entity_type";s:12:"shortcut_set";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:8:"shortcut";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:19:"shortcut_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:shortcut_set_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:0:{}s:17:"\0*\0label_callback";N;}s:12:"shortcut_set";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:12:"shortcut_set";s:8:"\0*\0class";s:34:"Drupal\\shortcut\\Entity\\ShortcutSet";s:11:"\0*\0provider";s:8:"shortcut";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:7:"storage";s:34:"Drupal\\shortcut\\ShortcutSetStorage";s:6:"access";s:47:"Drupal\\shortcut\\ShortcutSetAccessControlHandler";s:12:"list_builder";s:38:"Drupal\\shortcut\\ShortcutSetListBuilder";s:4:"form";a:5:{s:7:"default";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:3:"add";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:4:"edit";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:9:"customize";s:33:"Drupal\\shortcut\\Form\\SetCustomize";s:6:"delete";s:42:"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm";}}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:14:"customize-form";s:69:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize";s:11:"delete-form";s:66:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete";s:9:"edit-form";s:59:"/admin/config/user-interface/shortcut/manage/{shortcut_set}";s:10:"collection";s:37:"/admin/config/user-interface/shortcut";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:8:"shortcut";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:shortcut_set_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:3:"set";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:2:{i:0;s:2:"id";i:1;s:5:"label";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:13:"taxonomy_term";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:13:"taxonomy_term";s:8:"\0*\0class";s:27:"Drupal\\taxonomy\\Entity\\Term";s:11:"\0*\0provider";s:8:"taxonomy";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"tid";s:6:"bundle";s:3:"vid";s:5:"label";s:4:"name";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:11:"revision_id";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:7:{s:7:"storage";s:27:"Drupal\\taxonomy\\TermStorage";s:14:"storage_schema";s:33:"Drupal\\taxonomy\\TermStorageSchema";s:12:"view_builder";s:31:"Drupal\\taxonomy\\TermViewBuilder";s:6:"access";s:40:"Drupal\\taxonomy\\TermAccessControlHandler";s:10:"views_data";s:29:"Drupal\\taxonomy\\TermViewsData";s:4:"form";a:2:{s:7:"default";s:24:"Drupal\\taxonomy\\TermForm";s:6:"delete";s:35:"Drupal\\taxonomy\\Form\\TermDeleteForm";}s:11:"translation";s:38:"Drupal\\taxonomy\\TermTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:3:{s:9:"canonical";s:30:"/taxonomy/term/{taxonomy_term}";s:11:"delete-form";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:9:"edit-form";s:35:"/taxonomy/term/{taxonomy_term}/edit";}s:21:"\0*\0bundle_entity_type";s:19:"taxonomy_vocabulary";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"taxonomy_term_data";s:22:"\0*\0revision_data_table";s:28:"taxonomy_term_field_revision";s:17:"\0*\0revision_table";s:22:"taxonomy_term_revision";s:13:"\0*\0data_table";s:24:"taxonomy_term_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";s:17:"taxonomy_term_uri";s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"taxonomy_term_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:4:{s:16:"revision_default";s:16:"revision_default";s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:20:"revision_log_message";}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:17:"\0*\0label_callback";N;}s:19:"taxonomy_vocabulary";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:19:"taxonomy_vocabulary";s:8:"\0*\0class";s:33:"Drupal\\taxonomy\\Entity\\Vocabulary";s:11:"\0*\0provider";s:8:"taxonomy";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:3:"vid";s:5:"label";s:4:"name";s:6:"weight";s:6:"weight";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:7:"storage";s:33:"Drupal\\taxonomy\\VocabularyStorage";s:12:"list_builder";s:37:"Drupal\\taxonomy\\VocabularyListBuilder";s:4:"form";a:3:{s:7:"default";s:30:"Drupal\\taxonomy\\VocabularyForm";s:5:"reset";s:40:"Drupal\\taxonomy\\Form\\VocabularyResetForm";s:6:"delete";s:41:"Drupal\\taxonomy\\Form\\VocabularyDeleteForm";}s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";s:19:"administer taxonomy";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:6:{s:8:"add-form";s:58:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add";s:11:"delete-form";s:61:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete";s:10:"reset-form";s:60:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset";s:13:"overview-form";s:63:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview";s:9:"edit-form";s:54:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}";s:10:"collection";s:25:"/admin/structure/taxonomy";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:13:"taxonomy_term";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Taxonomy vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:taxonomy_vocabulary_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:10:"vocabulary";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:4:"name";i:1;s:3:"vid";i:2;s:11:"description";i:3;s:9:"hierarchy";i:4;s:6:"weight";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:4:"tour";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:4:"tour";s:8:"\0*\0class";s:23:"Drupal\\tour\\Entity\\Tour";s:11:"\0*\0provider";s:4:"tour";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:3:{s:12:"view_builder";s:27:"Drupal\\tour\\TourViewBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:tour_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:2:{i:0;s:19:"routes.*.route_name";i:1;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"module";i:3;s:6:"routes";i:4;s:4:"tips";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:4:"user";O:36:"Drupal\\Core\\Entity\\ContentEntityType":41:{s:5:"\0*\0id";s:4:"user";s:8:"\0*\0class";s:23:"Drupal\\user\\Entity\\User";s:11:"\0*\0provider";s:4:"user";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:3:"uid";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:9:{s:7:"storage";s:23:"Drupal\\user\\UserStorage";s:14:"storage_schema";s:29:"Drupal\\user\\UserStorageSchema";s:6:"access";s:36:"Drupal\\user\\UserAccessControlHandler";s:12:"list_builder";s:27:"Drupal\\user\\UserListBuilder";s:10:"views_data";s:25:"Drupal\\user\\UserViewsData";s:14:"route_provider";a:1:{s:4:"html";s:36:"Drupal\\user\\Entity\\UserRouteProvider";}s:4:"form";a:3:{s:7:"default";s:23:"Drupal\\user\\ProfileForm";s:6:"cancel";s:31:"Drupal\\user\\Form\\UserCancelForm";s:8:"register";s:24:"Drupal\\user\\RegisterForm";}s:11:"translation";s:37:"Drupal\\user\\ProfileTranslationHandler";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";s:16:"administer users";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"canonical";s:12:"/user/{user}";s:9:"edit-form";s:17:"/user/{user}/edit";s:11:"cancel-form";s:19:"/user/{user}/cancel";s:10:"collection";s:13:"/admin/people";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:5:"users";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:16:"users_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:22:"entity.user.admin_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"user_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:0:{}s:17:"\0*\0label_callback";s:16:"user_format_name";}s:9:"user_role";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:9:"user_role";s:8:"\0*\0class";s:23:"Drupal\\user\\Entity\\Role";s:11:"\0*\0provider";s:4:"user";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:6:"weight";s:6:"weight";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:7:"storage";s:23:"Drupal\\user\\RoleStorage";s:6:"access";s:36:"Drupal\\user\\RoleAccessControlHandler";s:12:"list_builder";s:27:"Drupal\\user\\RoleListBuilder";s:4:"form";a:2:{s:7:"default";s:20:"Drupal\\user\\RoleForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}}s:19:"\0*\0admin_permission";s:22:"administer permissions";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:45:"/admin/people/roles/manage/{user_role}/delete";s:9:"edit-form";s:38:"/admin/people/roles/manage/{user_role}";s:21:"edit-permissions-form";s:37:"/admin/people/permissions/{user_role}";s:10:"collection";s:19:"/admin/people/roles";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:21:"config:user_role_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";s:4:"role";s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"weight";i:3;s:8:"is_admin";i:4;s:11:"permissions";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:4:"view";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:4:"view";s:8:"\0*\0class";s:24:"Drupal\\views\\Entity\\View";s:11:"\0*\0provider";s:5:"views";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:37:"Drupal\\views\\ViewAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:16:"administer views";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:view_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:9:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"module";i:3;s:11:"description";i:4;s:3:"tag";i:5;s:10:"base_table";i:6;s:10:"base_field";i:7;s:4:"core";i:8;s:7:"display";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:7:"webform";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:7:"webform";s:8:"\0*\0class";s:29:"Drupal\\webform\\Entity\\Webform";s:11:"\0*\0provider";s:7:"webform";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"title";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:29:"Drupal\\webform\\Entity\\Webform";s:11:"\0*\0handlers";a:5:{s:7:"storage";s:36:"\\Drupal\\webform\\WebformEntityStorage";s:12:"view_builder";s:39:"Drupal\\webform\\WebformEntityViewBuilder";s:12:"list_builder";s:39:"Drupal\\webform\\WebformEntityListBuilder";s:6:"access";s:48:"Drupal\\webform\\WebformEntityAccessControlHandler";s:4:"form";a:11:{s:3:"add";s:35:"Drupal\\webform\\WebformEntityAddForm";s:9:"duplicate";s:35:"Drupal\\webform\\WebformEntityAddForm";s:6:"delete";s:38:"Drupal\\webform\\WebformEntityDeleteForm";s:4:"edit";s:40:"Drupal\\webform\\WebformEntityElementsForm";s:8:"settings";s:62:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsGeneralForm";s:13:"settings_form";s:59:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsFormForm";s:20:"settings_submissions";s:66:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsSubmissionsForm";s:21:"settings_confirmation";s:67:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsConfirmationForm";s:15:"settings_assets";s:61:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsAssetsForm";s:15:"settings_access";s:61:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsAccessForm";s:8:"handlers";s:40:"Drupal\\webform\\WebformEntityHandlersForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:20:{s:9:"canonical";s:18:"/webform/{webform}";s:11:"submissions";s:30:"/webform/{webform}/submissions";s:8:"add-form";s:18:"/webform/{webform}";s:9:"edit-form";s:50:"/admin/structure/webform/manage/{webform}/elements";s:9:"test-form";s:23:"/webform/{webform}/test";s:14:"duplicate-form";s:51:"/admin/structure/webform/manage/{webform}/duplicate";s:11:"delete-form";s:48:"/admin/structure/webform/manage/{webform}/delete";s:11:"export-form";s:48:"/admin/structure/webform/manage/{webform}/export";s:8:"settings";s:50:"/admin/structure/webform/manage/{webform}/settings";s:13:"settings-form";s:55:"/admin/structure/webform/manage/{webform}/settings/form";s:20:"settings-submissions";s:62:"/admin/structure/webform/manage/{webform}/settings/submissions";s:21:"settings-confirmation";s:63:"/admin/structure/webform/manage/{webform}/settings/confirmation";s:15:"settings-assets";s:57:"/admin/structure/webform/manage/{webform}/settings/assets";s:15:"settings-access";s:57:"/admin/structure/webform/manage/{webform}/settings/access";s:8:"handlers";s:50:"/admin/structure/webform/manage/{webform}/handlers";s:19:"results-submissions";s:61:"/admin/structure/webform/manage/{webform}/results/submissions";s:14:"results-export";s:58:"/admin/structure/webform/manage/{webform}/results/download";s:11:"results-log";s:53:"/admin/structure/webform/manage/{webform}/results/log";s:13:"results-clear";s:55:"/admin/structure/webform/manage/{webform}/results/clear";s:10:"collection";s:24:"/admin/structure/webform";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:18:"webform_submission";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:19:"config:webform_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:3:{i:0;s:6:"status";i:1;s:8:"template";i:2;s:4:"uuid";}s:16:"\0*\0config_export";a:17:{i:0;s:6:"status";i:1;s:4:"open";i:2;s:5:"close";i:3;s:3:"uid";i:4;s:8:"template";i:5;s:2:"id";i:6;s:4:"uuid";i:7;s:5:"title";i:8;s:11:"description";i:9;s:8:"category";i:10;s:8:"elements";i:11;s:3:"css";i:12;s:10:"javascript";i:13;s:8:"settings";i:14;s:6:"access";i:15;s:8:"handlers";i:16;s:20:"third_party_settings";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:15:"webform_options";O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":44:{s:5:"\0*\0id";s:15:"webform_options";s:8:"\0*\0class";s:36:"Drupal\\webform\\Entity\\WebformOptions";s:11:"\0*\0provider";s:7:"webform";s:15:"\0*\0static_cache";b:0;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:16:"\0*\0originalClass";s:36:"Drupal\\webform\\Entity\\WebformOptions";s:11:"\0*\0handlers";a:4:{s:7:"storage";s:37:"\\Drupal\\webform\\WebformOptionsStorage";s:6:"access";s:49:"Drupal\\webform\\WebformOptionsAccessControlHandler";s:12:"list_builder";s:40:"Drupal\\webform\\WebformOptionsListBuilder";s:4:"form";a:4:{s:3:"add";s:33:"Drupal\\webform\\WebformOptionsForm";s:4:"edit";s:33:"Drupal\\webform\\WebformOptionsForm";s:9:"duplicate";s:33:"Drupal\\webform\\WebformOptionsForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:8:"add-form";s:43:"/admin/structure/webform/config/options/add";s:9:"edit-form";s:69:"/admin/structure/webform/config/options/manage/{webform_options}/edit";s:14:"duplicate-form";s:74:"/admin/structure/webform/config/options/manage/{webform_options}/duplicate";s:11:"delete-form";s:71:"/admin/structure/webform/config/options/manage/{webform_options}/delete";s:10:"collection";s:46:"/admin/structure/webform/config/options/manage";}s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:27:"config:webform_options_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:16:"\0*\0config_prefix";N;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:4:"uuid";i:2;s:5:"label";i:3;s:8:"category";i:4;s:6:"likert";i:5;s:7:"options";}s:21:"\0*\0mergedConfigExport";a:0:{}s:17:"\0*\0label_callback";N;}s:18:"webform_submission";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:5:"\0*\0id";s:18:"webform_submission";s:8:"\0*\0class";s:39:"Drupal\\webform\\Entity\\WebformSubmission";s:11:"\0*\0provider";s:7:"webform";s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:3:"sid";s:6:"bundle";s:10:"webform_id";s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:16:"\0*\0originalClass";s:39:"Drupal\\webform\\Entity\\WebformSubmission";s:11:"\0*\0handlers";a:7:{s:7:"storage";s:39:"Drupal\\webform\\WebformSubmissionStorage";s:14:"storage_schema";s:45:"Drupal\\webform\\WebformSubmissionStorageSchema";s:10:"views_data";s:41:"Drupal\\webform\\WebformSubmissionViewsData";s:12:"view_builder";s:43:"Drupal\\webform\\WebformSubmissionViewBuilder";s:12:"list_builder";s:43:"Drupal\\webform\\WebformSubmissionListBuilder";s:6:"access";s:52:"Drupal\\webform\\WebformSubmissionAccessControlHandler";s:4:"form";a:8:{s:3:"add";s:36:"Drupal\\webform\\WebformSubmissionForm";s:4:"edit";s:36:"Drupal\\webform\\WebformSubmissionForm";s:8:"edit_all";s:36:"Drupal\\webform\\WebformSubmissionForm";s:3:"api";s:36:"Drupal\\webform\\WebformSubmissionForm";s:4:"test";s:36:"Drupal\\webform\\WebformSubmissionForm";s:5:"notes";s:41:"Drupal\\webform\\WebformSubmissionNotesForm";s:9:"duplicate";s:45:"Drupal\\webform\\WebformSubmissionDuplicateForm";s:6:"delete";s:47:"Drupal\\webform\\Form\\WebformSubmissionDeleteForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:10:{s:9:"canonical";s:73:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}";s:5:"table";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/table";s:4:"text";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/text";s:4:"yaml";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/yaml";s:9:"edit-form";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/edit";s:10:"notes-form";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/notes";s:11:"resend-form";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/resend";s:14:"duplicate-form";s:83:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/duplicate";s:11:"delete-form";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/delete";s:10:"collection";s:48:"/admin/structure/webform/submissions/manage/list";}s:21:"\0*\0bundle_entity_type";s:7:"webform";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"webform_submission";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:1:{i:0;s:4:"user";}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"webform_submission_list";}s:14:"\0*\0constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:17:"\0*\0label_callback";N;}}', -1, '1681649759.924', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('entity_view_mode_info:en', 'a:7:{s:13:"block_content";a:1:{s:4:"full";a:9:{s:4:"uuid";s:36:"d31285d9-0f94-454a-9ca7-41eddec3cd99";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg";}s:2:"id";s:18:"block_content.full";s:5:"label";s:4:"Full";s:16:"targetEntityType";s:13:"block_content";s:5:"cache";b:1;}}s:7:"comment";a:1:{s:4:"full";a:9:{s:4:"uuid";s:36:"30f36b6e-7d0d-4254-97f3-c5600cb7480e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"K7eNlfU7NEUajz01wItywZklr2oaPgL6s1_97fmDXLA";}s:2:"id";s:12:"comment.full";s:5:"label";s:12:"Full comment";s:16:"targetEntityType";s:7:"comment";s:5:"cache";b:1;}}s:4:"font";a:2:{s:4:"full";a:9:{s:4:"uuid";s:36:"494343ff-2220-4c36-8495-cdf3cc0e70da";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"5sNC12vR6kVFfRc3APtk2vM7XPbzJopPm2tgDWYwaaE";}s:2:"id";s:9:"font.full";s:5:"label";s:14:"Full View Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}s:6:"teaser";a:9:{s:4:"uuid";s:36:"75303881-05f4-4b3d-8fdb-fd2a36127668";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rftvifM6gdARc-tJa62RoSKjTyAnHLlkK-7F-2sO0H8";}s:2:"id";s:11:"font.teaser";s:5:"label";s:11:"Teaser Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}}s:4:"node";a:8:{s:4:"full";a:9:{s:4:"uuid";s:36:"f8fe4612-74a5-4b56-9058-e6e50ee9d0fb";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ElrtInxGjZd7GaapJ5O9n-ugi2hG2IxFivtgn0tHOsk";}s:2:"id";s:9:"node.full";s:5:"label";s:12:"Full content";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}s:15:"mt_listing_item";a:8:{s:4:"uuid";s:36:"891e050b-6c78-4ae8-bbe5-b6a3429eac8d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:20:"node.mt_listing_item";s:5:"label";s:12:"Listing Item";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}s:13:"mt_slide_view";a:8:{s:4:"uuid";s:36:"e37271ae-777c-4c26-9a0c-13044d7c9d46";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:18:"node.mt_slide_view";s:5:"label";s:10:"Slide View";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}s:18:"mt_video_grid_item";a:8:{s:4:"uuid";s:36:"ec8cc51e-8173-41db-a117-05131af2f5f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.mt_video_grid_item";s:5:"label";s:15:"Video Grid Item";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}s:3:"rss";a:9:{s:4:"uuid";s:36:"8546524f-b24c-4bfe-923e-79c2b408e26a";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vlYzr-rp2f9NMp-Qlr4sFjlqRq-90mco5-afLNGwCrU";}s:2:"id";s:8:"node.rss";s:5:"label";s:3:"RSS";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}s:12:"search_index";a:9:{s:4:"uuid";s:36:"c7bb6b4f-5590-48c0-a151-6f5c5f292689";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fVFfJv_GzBRE-wpRHbfD5a3VjnhbEOXG6lvRd3uaccY";}s:2:"id";s:17:"node.search_index";s:5:"label";s:12:"Search index";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}s:13:"search_result";a:9:{s:4:"uuid";s:36:"9584664a-2b8a-4480-b4d8-cda66b96f312";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6GCOQ-jP2RbdbHA5YWQ6bT8CfGbqrBYKOSC_XY4E3ZM";}s:2:"id";s:18:"node.search_result";s:5:"label";s:32:"Search result highlighting input";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}s:6:"teaser";a:9:{s:4:"uuid";s:36:"da926b75-afbd-41bd-bcb7-874911a84e84";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mz9qWr1kUYK0mjRAGDsr5XS6PvtZ24en_7ndt-pyWe4";}s:2:"id";s:11:"node.teaser";s:5:"label";s:6:"Teaser";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}}s:9:"paragraph";a:1:{s:7:"preview";a:9:{s:4:"uuid";s:36:"7d2f6fa1-2287-4b88-8555-48299c7e903d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2LM5HYaL3qdCzMYZVLKx6NxTHPZJXyk4S5kfC8aPYOg";}s:2:"id";s:17:"paragraph.preview";s:5:"label";s:7:"Preview";s:16:"targetEntityType";s:9:"paragraph";s:5:"cache";b:1;}}s:13:"taxonomy_term";a:1:{s:4:"full";a:9:{s:4:"uuid";s:36:"089eca0f-5c1d-4f3e-9811-0463ad7bb7e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-PPKjsNQPvoIDjOuUAvlLocYD976MNjb9Zpgyz5_BWE";}s:2:"id";s:18:"taxonomy_term.full";s:5:"label";s:18:"Taxonomy term page";s:16:"targetEntityType";s:13:"taxonomy_term";s:5:"cache";b:1;}}s:4:"user";a:2:{s:7:"compact";a:9:{s:4:"uuid";s:36:"d3c8590d-54ba-440c-a302-54c15fddc36b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"71CSAr_LNPcgu6D6jI4INl1KATkahmeyUFBETAWya8g";}s:2:"id";s:12:"user.compact";s:5:"label";s:7:"Compact";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}s:4:"full";a:9:{s:4:"uuid";s:36:"542fcebc-8bc4-4bef-8210-2b235d80f09e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mQIF_foYjmnVSr9MpcD4CTaJE_FpO1AyDd_DskztGhM";}s:2:"id";s:9:"user.full";s:5:"label";s:12:"User account";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}}}', -1, '1681649762.485', 1, 'entity_field_info entity_types', '3'),
('field_formatter_types_plugins', 'a:54:{s:15:"comment_default";a:7:{s:11:"field_types";a:1:{i:0;s:7:"comment";}s:2:"id";s:15:"comment_default";s:6:"module";s:7:"comment";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"quickedit";a:1:{s:6:"editor";s:8:"disabled";}s:5:"class";s:66:"Drupal\\comment\\Plugin\\Field\\FieldFormatter\\CommentDefaultFormatter";s:8:"provider";s:7:"comment";}s:16:"comment_username";a:7:{s:11:"field_types";a:1:{i:0;s:6:"string";}s:2:"id";s:16:"comment_username";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Author name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Display the author name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\comment\\Plugin\\Field\\FieldFormatter\\AuthorNameFormatter";s:8:"provider";s:7:"comment";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:17:"comment_permalink";a:6:{s:11:"field_types";a:2:{i:0;s:6:"string";i:1;s:3:"uri";}s:2:"id";s:17:"comment_permalink";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Comment Permalink";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"quickedit";a:1:{s:6:"editor";s:10:"plain_text";}s:5:"class";s:68:"Drupal\\comment\\Plugin\\Field\\FieldFormatter\\CommentPermalinkFormatter";s:8:"provider";s:7:"comment";}s:17:"datetime_time_ago";a:6:{s:11:"field_types";a:1:{i:0;s:8:"datetime";}s:2:"id";s:17:"datetime_time_ago";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Time ago";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:68:"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimeTimeAgoFormatter";s:8:"provider";s:8:"datetime";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:15:"datetime_custom";a:6:{s:11:"field_types";a:1:{i:0;s:8:"datetime";}s:2:"id";s:15:"datetime_custom";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Custom";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:67:"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimeCustomFormatter";s:8:"provider";s:8:"datetime";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:16:"datetime_default";a:6:{s:11:"field_types";a:1:{i:0;s:8:"datetime";}s:2:"id";s:16:"datetime_default";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Default";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:68:"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimeDefaultFormatter";s:8:"provider";s:8:"datetime";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:14:"datetime_plain";a:6:{s:11:"field_types";a:1:{i:0;s:8:"datetime";}s:2:"id";s:14:"datetime_plain";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Plain";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:66:"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimePlainFormatter";s:8:"provider";s:8:"datetime";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:38:"entity_reference_revisions_entity_view";a:7:{s:11:"field_types";a:1:{i:0;s:26:"entity_reference_revisions";}s:2:"id";s:38:"entity_reference_revisions_entity_view";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Display the referenced entities rendered by entity_view().";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:101:"Drupal\\entity_reference_revisions\\Plugin\\Field\\FieldFormatter\\EntityReferenceRevisionsEntityFormatter";s:8:"provider";s:26:"entity_reference_revisions";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:10:"file_table";a:6:{s:11:"field_types";a:1:{i:0;s:4:"file";}s:2:"id";s:10:"file_table";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Table of files";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:54:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\TableFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:13:"file_filemime";a:6:{s:11:"field_types";a:1:{i:0;s:6:"string";}s:2:"id";s:13:"file_filemime";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File MIME";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:57:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FilemimeFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:14:"file_url_plain";a:6:{s:11:"field_types";a:1:{i:0;s:4:"file";}s:2:"id";s:14:"file_url_plain";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL to file";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:57:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\UrlPlainFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:9:"file_link";a:6:{s:11:"field_types";a:1:{i:0;s:6:"string";}s:2:"id";s:9:"file_link";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:60:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\DefaultFileFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:10:"file_video";a:7:{s:11:"field_types";a:1:{i:0;s:4:"file";}s:2:"id";s:10:"file_video";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Video";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Display the file using an HTML5 video tag.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileVideoFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:14:"file_extension";a:6:{s:11:"field_types";a:1:{i:0;s:6:"string";}s:2:"id";s:14:"file_extension";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"File extension";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileExtensionFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:10:"file_audio";a:7:{s:11:"field_types";a:1:{i:0;s:4:"file";}s:2:"id";s:10:"file_audio";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Audio";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Display the file using an HTML5 audio tag.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileAudioFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:8:"file_uri";a:6:{s:11:"field_types";a:2:{i:0;s:3:"uri";i:1;s:8:"file_uri";}s:2:"id";s:8:"file_uri";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"File URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileUriFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:12:"file_default";a:6:{s:11:"field_types";a:1:{i:0;s:4:"file";}s:2:"id";s:12:"file_default";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Generic file";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:60:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\GenericFileFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:9:"file_size";a:6:{s:11:"field_types";a:1:{i:0;s:7:"integer";}s:2:"id";s:9:"file_size";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File size";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileSize";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:18:"file_rss_enclosure";a:6:{s:11:"field_types";a:1:{i:0;s:4:"file";}s:2:"id";s:18:"file_rss_enclosure";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"RSS enclosure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:61:"Drupal\\file\\Plugin\\Field\\FieldFormatter\\RSSEnclosureFormatter";s:8:"provider";s:4:"file";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:26:"fontawesome_icon_formatter";a:6:{s:11:"field_types";a:1:{i:0;s:16:"fontawesome_icon";}s:2:"id";s:26:"fontawesome_icon_formatter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Font Awesome Icon";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:71:"Drupal\\fontawesome\\Plugin\\Field\\FieldFormatter\\FontAwesomeIconFormatter";s:8:"provider";s:11:"fontawesome";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:5:"image";a:6:{s:11:"field_types";a:1:{i:0;s:5:"image";}s:2:"id";s:5:"image";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Image";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"quickedit";a:1:{s:6:"editor";s:5:"image";}s:5:"class";s:55:"Drupal\\image\\Plugin\\Field\\FieldFormatter\\ImageFormatter";s:8:"provider";s:5:"image";}s:9:"image_url";a:6:{s:11:"field_types";a:1:{i:0;s:5:"image";}s:2:"id";s:9:"image_url";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"URL to image";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\image\\Plugin\\Field\\FieldFormatter\\ImageUrlFormatter";s:8:"provider";s:5:"image";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:4:"link";a:6:{s:11:"field_types";a:1:{i:0;s:4:"link";}s:2:"id";s:4:"link";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\link\\Plugin\\Field\\FieldFormatter\\LinkFormatter";s:8:"provider";s:4:"link";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:13:"link_separate";a:6:{s:11:"field_types";a:1:{i:0;s:4:"link";}s:2:"id";s:13:"link_separate";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Separate link text and URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:61:"Drupal\\link\\Plugin\\Field\\FieldFormatter\\LinkSeparateFormatter";s:8:"provider";s:4:"link";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:12:"list_default";a:6:{s:11:"field_types";a:3:{i:0;s:12:"list_integer";i:1;s:10:"list_float";i:2;s:11:"list_string";}s:2:"id";s:12:"list_default";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Default";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:66:"Drupal\\options\\Plugin\\Field\\FieldFormatter\\OptionsDefaultFormatter";s:8:"provider";s:7:"options";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:8:"list_key";a:6:{s:11:"field_types";a:3:{i:0;s:12:"list_integer";i:1;s:10:"list_float";i:2;s:11:"list_string";}s:2:"id";s:8:"list_key";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Key";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\options\\Plugin\\Field\\FieldFormatter\\OptionsKeyFormatter";s:8:"provider";s:7:"options";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:29:"entity_reference_rss_category";a:7:{s:11:"field_types";a:1:{i:0;s:16:"entity_reference";}s:2:"id";s:29:"entity_reference_rss_category";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"RSS category";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Display reference to taxonomy term in RSS.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:83:"Drupal\\taxonomy\\Plugin\\Field\\FieldFormatter\\EntityReferenceTaxonomyTermRssFormatter";s:8:"provider";s:8:"taxonomy";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:23:"text_summary_or_trimmed";a:6:{s:11:"field_types";a:1:{i:0;s:17:"text_with_summary";}s:2:"id";s:23:"text_summary_or_trimmed";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Summary or trimmed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}s:5:"class";s:69:"Drupal\\text\\Plugin\\Field\\FieldFormatter\\TextSummaryOrTrimmedFormatter";s:8:"provider";s:4:"text";}s:12:"text_trimmed";a:6:{s:11:"field_types";a:3:{i:0;s:4:"text";i:1;s:9:"text_long";i:2;s:17:"text_with_summary";}s:2:"id";s:12:"text_trimmed";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Trimmed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}s:5:"class";s:60:"Drupal\\text\\Plugin\\Field\\FieldFormatter\\TextTrimmedFormatter";s:8:"provider";s:4:"text";}s:12:"text_default";a:6:{s:11:"field_types";a:3:{i:0;s:4:"text";i:1;s:9:"text_long";i:2;s:17:"text_with_summary";}s:2:"id";s:12:"text_default";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Default";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:60:"Drupal\\text\\Plugin\\Field\\FieldFormatter\\TextDefaultFormatter";s:8:"provider";s:4:"text";s:9:"quickedit";a:1:{s:6:"editor";s:6:"editor";}}s:9:"user_name";a:7:{s:11:"field_types";a:1:{i:0;s:6:"string";}s:2:"id";s:9:"user_name";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"User name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"Display the user or author name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:57:"Drupal\\user\\Plugin\\Field\\FieldFormatter\\UserNameFormatter";s:8:"provider";s:4:"user";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:6:"author";a:7:{s:11:"field_types";a:1:{i:0;s:16:"entity_reference";}s:2:"id";s:6:"author";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Author";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Display the referenced author user entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:55:"Drupal\\user\\Plugin\\Field\\FieldFormatter\\AuthorFormatter";s:8:"provider";s:4:"user";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:26:"video_embed_field_lazyload";a:6:{s:11:"field_types";a:1:{i:0;s:17:"video_embed_field";}s:2:"id";s:26:"video_embed_field_lazyload";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Video (lazy load)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:61:"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\LazyLoad";s:8:"provider";s:17:"video_embed_field";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:27:"video_embed_field_thumbnail";a:6:{s:11:"field_types";a:1:{i:0;s:17:"video_embed_field";}s:2:"id";s:27:"video_embed_field_thumbnail";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Thumbnail";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\Thumbnail";s:8:"provider";s:17:"video_embed_field";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:23:"video_embed_field_video";a:6:{s:11:"field_types";a:1:{i:0;s:17:"video_embed_field";}s:2:"id";s:23:"video_embed_field_video";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Video";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\Video";s:8:"provider";s:17:"video_embed_field";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:26:"video_embed_field_colorbox";a:6:{s:11:"field_types";a:1:{i:0;s:17:"video_embed_field";}s:2:"id";s:26:"video_embed_field_colorbox";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Colorbox Modal";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:61:"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\Colorbox";s:8:"provider";s:17:"video_embed_field";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:36:"webform_entity_reference_entity_view";a:7:{s:11:"field_types";a:1:{i:0;s:7:"webform";}s:2:"id";s:36:"webform_entity_reference_entity_view";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"Display the referenced webform with default submission data.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:80:"Drupal\\webform\\Plugin\\Field\\FieldFormatter\\WebformEntityReferenceEntityFormatter";s:8:"provider";s:7:"webform";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:29:"webform_entity_reference_link";a:7:{s:11:"field_types";a:1:{i:0;s:7:"webform";}s:2:"id";s:29:"webform_entity_reference_link";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Link to form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Display link to the referenced webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:78:"Drupal\\webform\\Plugin\\Field\\FieldFormatter\\WebformEntityReferenceLinkFormatter";s:8:"provider";s:7:"webform";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:28:"webform_entity_reference_url";a:7:{s:11:"field_types";a:1:{i:0;s:7:"webform";}s:2:"id";s:28:"webform_entity_reference_url";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Display URL to the referenced webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:77:"Drupal\\webform\\Plugin\\Field\\FieldFormatter\\WebformEntityReferenceUrlFormatter";s:8:"provider";s:7:"webform";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:17:"paragraph_summary";a:6:{s:11:"field_types";a:1:{i:0;s:26:"entity_reference_revisions";}s:2:"id";s:17:"paragraph_summary";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Paragraph summary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:72:"Drupal\\paragraphs\\Plugin\\Field\\FieldFormatter\\ParagraphsSummaryFormatter";s:8:"provider";s:10:"paragraphs";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:8:"language";a:6:{s:11:"field_types";a:1:{i:0;s:8:"language";}s:2:"id";s:8:"language";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:63:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\LanguageFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:14:"number_integer";a:6:{s:11:"field_types";a:1:{i:0;s:7:"integer";}s:2:"id";s:14:"number_integer";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Default";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\IntegerFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:6:"string";a:6:{s:11:"field_types";a:2:{i:0;s:6:"string";i:1;s:3:"uri";}s:2:"id";s:6:"string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Plain text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:61:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\StringFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:10:"plain_text";}}s:14:"number_decimal";a:6:{s:11:"field_types";a:2:{i:0;s:7:"decimal";i:1;s:5:"float";}s:2:"id";s:14:"number_decimal";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Default";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\DecimalFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:8:"uri_link";a:6:{s:11:"field_types";a:1:{i:0;s:3:"uri";}s:2:"id";s:8:"uri_link";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Link to URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\UriLinkFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:7:"boolean";a:6:{s:11:"field_types";a:1:{i:0;s:7:"boolean";}s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Boolean";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:62:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\BooleanFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:18:"number_unformatted";a:6:{s:11:"field_types";a:3:{i:0;s:7:"integer";i:1;s:7:"decimal";i:2;s:5:"float";}s:2:"id";s:18:"number_unformatted";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Unformatted";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:73:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\NumericUnformattedFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:13:"timestamp_ago";a:6:{s:11:"field_types";a:3:{i:0;s:9:"timestamp";i:1;s:7:"created";i:2;s:7:"changed";}s:2:"id";s:13:"timestamp_ago";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Time ago";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:67:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\TimestampAgoFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:28:"entity_reference_entity_view";a:7:{s:11:"field_types";a:1:{i:0;s:16:"entity_reference";}s:2:"id";s:28:"entity_reference_entity_view";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Rendered entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"Display the referenced entities rendered by entity_view().";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:76:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\EntityReferenceEntityFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:12:"email_mailto";a:6:{s:11:"field_types";a:1:{i:0;s:5:"email";}s:2:"id";s:12:"email_mailto";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:61:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\MailToFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:9:"timestamp";a:6:{s:11:"field_types";a:3:{i:0;s:9:"timestamp";i:1;s:7:"created";i:2;s:7:"changed";}s:2:"id";s:9:"timestamp";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Default";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:64:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\TimestampFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:26:"entity_reference_entity_id";a:7:{s:11:"field_types";a:1:{i:0;s:16:"entity_reference";}s:2:"id";s:26:"entity_reference_entity_id";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Display the ID of the referenced entities.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:72:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\EntityReferenceIdFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}s:12:"basic_string";a:6:{s:11:"field_types";a:2:{i:0;s:11:"string_long";i:1;s:5:"email";}s:2:"id";s:12:"basic_string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Plain text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:66:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\BasicStringFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:10:"plain_text";}}s:22:"entity_reference_label";a:7:{s:11:"field_types";a:1:{i:0;s:16:"entity_reference";}s:2:"id";s:22:"entity_reference_label";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Label";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Display the label of the referenced entities.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:75:"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\EntityReferenceLabelFormatter";s:8:"provider";s:4:"core";s:9:"quickedit";a:1:{s:6:"editor";s:4:"form";}}}', -1, '1681649767.057', 1, '', '0'),
('field_types_plugins', 'a:33:{s:7:"comment";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"comment";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"This field manages configuration and presentation of comments on an entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"list_class";s:36:"\\Drupal\\comment\\CommentFieldItemList";s:14:"default_widget";s:15:"comment_default";s:17:"default_formatter";s:15:"comment_default";s:11:"cardinality";i:1;s:5:"class";s:49:"Drupal\\comment\\Plugin\\Field\\FieldType\\CommentItem";s:8:"provider";s:7:"comment";}s:8:"datetime";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:8:"datetime";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Create and store date values.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:16:"datetime_default";s:17:"default_formatter";s:16:"datetime_default";s:10:"list_class";s:61:"\\Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeFieldItemList";s:11:"constraints";a:1:{s:14:"DateTimeFormat";a:0:{}}s:5:"class";s:51:"Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeItem";s:8:"provider";s:8:"datetime";}s:26:"entity_reference_revisions";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Reference revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:26:"entity_reference_revisions";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Entity reference revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:70:"An entity field containing an entity reference to a specific revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:85:"Drupal\\entity_reference_revisions\\Plugin\\Field\\FieldType\\EntityReferenceRevisionsItem";s:10:"list_class";s:72:"\\Drupal\\entity_reference_revisions\\EntityReferenceRevisionsFieldItemList";s:17:"default_formatter";s:38:"entity_reference_revisions_entity_view";s:14:"default_widget";s:39:"entity_reference_revisions_autocomplete";s:8:"provider";s:26:"entity_reference_revisions";}s:4:"file";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:4:"file";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:55:"This field stores the ID of a file as an integer value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:12:"file_generic";s:17:"default_formatter";s:12:"file_default";s:10:"list_class";s:53:"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList";s:11:"constraints";a:2:{s:15:"ReferenceAccess";a:0:{}s:14:"FileValidation";a:0:{}}s:5:"class";s:43:"Drupal\\file\\Plugin\\Field\\FieldType\\FileItem";s:8:"provider";s:4:"file";}s:8:"file_uri";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:8:"file_uri";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"File URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"An entity field containing a file URI, and a computed root-relative file URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:8:"file_uri";s:14:"default_widget";s:3:"uri";s:5:"class";s:46:"Drupal\\file\\Plugin\\Field\\FieldType\\FileUriItem";s:8:"provider";s:4:"file";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:16:"fontawesome_icon";a:15:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Icons";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:16:"fontawesome_icon";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Font Awesome Icon";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"module";s:11:"fontawesome";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"A Font Awesome icon";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:26:"fontawesome_icon_formatter";s:14:"default_widget";s:23:"fontawesome_icon_widget";s:25:"serialized_property_names";a:1:{i:0;s:8:"settings";}s:5:"class";s:57:"Drupal\\fontawesome\\Plugin\\Field\\FieldType\\FontAwesomeIcon";s:8:"provider";s:11:"fontawesome";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:5:"image";a:15:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:5:"image";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Image";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"This field stores the ID of an image file as an integer value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:11:"image_image";s:17:"default_formatter";s:5:"image";s:13:"column_groups";a:3:{s:4:"file";a:3:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"columns";a:3:{i:0;s:9:"target_id";i:1;s:5:"width";i:2;s:6:"height";}s:34:"require_all_groups_for_translation";b:1;}s:3:"alt";a:2:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Alt";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;}s:5:"title";a:2:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;}}s:10:"list_class";s:53:"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList";s:11:"constraints";a:2:{s:15:"ReferenceAccess";a:0:{}s:14:"FileValidation";a:0:{}}s:5:"class";s:45:"Drupal\\image\\Plugin\\Field\\FieldType\\ImageItem";s:8:"provider";s:5:"image";}s:4:"link";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:4:"link";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:100:"Stores a URL string, optional varchar link text, and optional blob of attributes to assemble a link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:12:"link_default";s:17:"default_formatter";s:4:"link";s:11:"constraints";a:4:{s:8:"LinkType";a:0:{}s:10:"LinkAccess";a:0:{}s:21:"LinkExternalProtocols";a:0:{}s:23:"LinkNotExistingInternal";a:0:{}}s:5:"class";s:43:"Drupal\\link\\Plugin\\Field\\FieldType\\LinkItem";s:8:"provider";s:4:"link";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:12:"list_integer";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:12:"list_integer";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"List (integer)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:144:"This field stores integer values from a list of allowed ''value => label'' pairs, i.e. ''Lifetime in days'': 1 => 1 day, 7 => 1 week, 31 => 1 month.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"options_select";s:17:"default_formatter";s:12:"list_default";s:5:"class";s:53:"Drupal\\options\\Plugin\\Field\\FieldType\\ListIntegerItem";s:8:"provider";s:7:"options";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:10:"list_float";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:10:"list_float";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"List (float)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:134:"This field stores float values from a list of allowed ''value => label'' pairs, i.e. ''Fraction'': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"options_select";s:17:"default_formatter";s:12:"list_default";s:5:"class";s:51:"Drupal\\options\\Plugin\\Field\\FieldType\\ListFloatItem";s:8:"provider";s:7:"options";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:11:"list_string";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:11:"list_string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"List (text)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:137:"This field stores text values from a list of allowed ''value => label'' pairs, i.e. ''US States'': IL => Illinois, IA => Iowa, IN => Indiana.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"options_select";s:17:"default_formatter";s:12:"list_default";s:5:"class";s:52:"Drupal\\options\\Plugin\\Field\\FieldType\\ListStringItem";s:8:"provider";s:7:"options";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:4:"path";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:4:"path";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"An entity field containing a path alias and related data.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:4:"path";s:10:"list_class";s:53:"\\Drupal\\path\\Plugin\\Field\\FieldType\\PathFieldItemList";s:11:"constraints";a:1:{s:9:"PathAlias";a:0:{}}s:5:"class";s:43:"Drupal\\path\\Plugin\\Field\\FieldType\\PathItem";s:8:"provider";s:4:"path";}s:9:"text_long";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:9:"text_long";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Text (formatted, long)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"This field stores a long text with a text format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:13:"text_textarea";s:17:"default_formatter";s:12:"text_default";s:5:"class";s:47:"Drupal\\text\\Plugin\\Field\\FieldType\\TextLongItem";s:8:"provider";s:4:"text";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:4:"text";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:4:"text";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Text (formatted)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"This field stores a text with a text format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"text_textfield";s:17:"default_formatter";s:12:"text_default";s:5:"class";s:43:"Drupal\\text\\Plugin\\Field\\FieldType\\TextItem";s:8:"provider";s:4:"text";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:17:"text_with_summary";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:17:"text_with_summary";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Text (formatted, long, with summary)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"This field stores long text with a format and an optional summary.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:26:"text_textarea_with_summary";s:17:"default_formatter";s:12:"text_default";s:5:"class";s:54:"Drupal\\text\\Plugin\\Field\\FieldType\\TextWithSummaryItem";s:8:"provider";s:4:"text";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:17:"video_embed_field";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:17:"video_embed_field";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Video Embed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Stores a video and then outputs some embed code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:27:"video_embed_field_textfield";s:17:"default_formatter";s:23:"video_embed_field_video";s:11:"constraints";a:1:{s:20:"VideoEmbedValidation";a:0:{}}s:5:"class";s:63:"Drupal\\video_embed_field\\Plugin\\Field\\FieldType\\VideoEmbedField";s:8:"provider";s:17:"video_embed_field";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:7:"webform";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"webform";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"A webform containing default submission values.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:31:"webform_entity_reference_select";s:17:"default_formatter";s:36:"webform_entity_reference_entity_view";s:10:"list_class";s:74:"\\Drupal\\webform\\Plugin\\Field\\FieldType\\WebformEntityReferenceFieldItemList";s:5:"class";s:64:"Drupal\\webform\\Plugin\\Field\\FieldType\\WebformEntityReferenceItem";s:8:"provider";s:7:"webform";}s:7:"boolean";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Boolean";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"An entity field containing a boolean value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:16:"boolean_checkbox";s:17:"default_formatter";s:7:"boolean";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\BooleanItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:7:"changed";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"changed";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Last changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:85:"An entity field containing a UNIX timestamp of when the entity has been last updated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:18:"datetime_timestamp";s:17:"default_formatter";s:9:"timestamp";s:10:"list_class";s:39:"\\Drupal\\Core\\Field\\ChangedFieldItemList";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\ChangedItem";s:8:"provider";s:4:"core";}s:5:"email";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:5:"email";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"An entity field containing an email value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:13:"email_default";s:17:"default_formatter";s:12:"basic_string";s:5:"class";s:50:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EmailItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:3:"map";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:3:"map";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Map";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"An entity field for storing a serialized array of values.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"list_class";s:35:"\\Drupal\\Core\\Field\\MapFieldItemList";s:5:"class";s:48:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\MapItem";s:8:"provider";s:4:"core";}s:7:"created";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"created";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:80:"An entity field containing a UNIX timestamp of when the entity has been created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:18:"datetime_timestamp";s:17:"default_formatter";s:9:"timestamp";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\CreatedItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:7:"decimal";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"decimal";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Number (decimal)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:69:"This field stores a number in the database in a fixed decimal format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:6:"number";s:17:"default_formatter";s:14:"number_decimal";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\DecimalItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:6:"string";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Text (plain)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"A field containing a plain string value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:16:"string_textfield";s:17:"default_formatter";s:6:"string";s:5:"class";s:51:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:9:"timestamp";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:9:"timestamp";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Timestamp";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"An entity field containing a UNIX timestamp value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:18:"datetime_timestamp";s:17:"default_formatter";s:9:"timestamp";s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:5:"Range";a:2:{s:3:"min";s:11:"-2147483648";s:3:"max";s:10:"2147483648";}}}}s:5:"class";s:54:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\TimestampItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:4:"uuid";a:12:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:4:"uuid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"An entity field containing a UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:6:"string";s:5:"class";s:49:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UuidItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:3:"uri";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:3:"uri";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"An entity field containing a URI.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:8:"uri_link";s:14:"default_widget";s:3:"uri";s:5:"class";s:48:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UriItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:16:"entity_reference";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:16:"entity_reference";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Entity reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"An entity field containing an entity reference.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:29:"entity_reference_autocomplete";s:17:"default_formatter";s:22:"entity_reference_label";s:10:"list_class";s:47:"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList";s:5:"class";s:60:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EntityReferenceItem";s:8:"provider";s:4:"core";}s:5:"float";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:5:"float";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Number (float)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:70:"This field stores a number in the database in a floating point format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:6:"number";s:17:"default_formatter";s:14:"number_decimal";s:5:"class";s:50:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\FloatItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:8:"password";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:8:"password";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Password";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"An entity field containing a password value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\PasswordItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:11:"string_long";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:11:"string_long";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Text (plain, long)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"A field containing a long string value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:15:"string_textarea";s:17:"default_formatter";s:12:"basic_string";s:5:"class";s:55:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringLongItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:7:"integer";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"integer";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Number (integer)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"This field stores a number in the database as an integer.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:6:"number";s:17:"default_formatter";s:14:"number_integer";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\IntegerItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:8:"language";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:8:"language";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"An entity field referencing a language.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:15:"language_select";s:17:"default_formatter";s:8:"language";s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:6:"Length";a:1:{s:3:"max";i:12;}}}}s:5:"class";s:53:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\LanguageItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}}', -1, '1681649759.885', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('file.field_storage_definitions.installed', 'a:11:{s:3:"fid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"File ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The file ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"file";s:10:"field_name";s:3:"fid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The file UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"file";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The file language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The user ID of the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:104;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"filename";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Filename";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Name of the file with no path components.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filename";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:139;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"uri";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The URI to access the file (either local or remote).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:13:"FileUriUnique";N;}s:8:"provider";s:4:"file";s:10:"field_name";s:3:"uri";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:14:"field_item:uri";s:8:"settings";a:2:{s:10:"max_length";i:255;s:14:"case_sensitive";b:1;}}s:18:"\0*\0fieldDefinition";r:172;}s:7:"\0*\0type";s:3:"uri";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:1;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"filemime";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"File MIME type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The file''s MIME type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filemime";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:206;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"filesize";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File size";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The size of the file in bytes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filesize";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:3:"big";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:239;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The status of the file, temporary (FALSE) and permanent (TRUE).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:4:"file";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:275;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The timestamp that the file was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:315;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The timestamp that the file was last changed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:343;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.513', 1, '', '0'),
('filter_plugins', 'a:10:{s:21:"editor_file_reference";a:9:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:84:"Ensures that the latest versions of images uploaded via a Text Editor are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:0;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:21:"editor_file_reference";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Track images uploaded via a Text Editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:2;s:5:"class";s:47:"Drupal\\editor\\Plugin\\Filter\\EditorFileReference";s:8:"provider";s:6:"editor";}s:20:"filter_htmlcorrector";a:9:{s:11:"description";s:0:"";s:6:"weight";i:10;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:20:"filter_htmlcorrector";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Correct faulty and chopped off HTML";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:3;s:5:"class";s:47:"Drupal\\filter\\Plugin\\Filter\\FilterHtmlCorrector";s:8:"provider";s:6:"filter";}s:24:"filter_html_image_secure";a:9:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:119:"Disallows usage of &lt;img&gt; tag sources that are not hosted on this site by replacing them with a placeholder image.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:9;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:24:"filter_html_image_secure";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Restrict images to this site";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:3;s:5:"class";s:49:"Drupal\\filter\\Plugin\\Filter\\FilterHtmlImageSecure";s:8:"provider";s:6:"filter";}s:14:"filter_caption";a:9:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:94:"Uses a <code>data-caption</code> attribute on <code>&lt;img&gt;</code> tags to caption images.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:0;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:14:"filter_caption";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Caption images";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:2;s:5:"class";s:41:"Drupal\\filter\\Plugin\\Filter\\FilterCaption";s:8:"provider";s:6:"filter";}s:11:"filter_null";a:9:{s:11:"description";s:0:"";s:6:"weight";i:-10;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:11:"filter_null";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Provides a fallback for missing filters. Do not use.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:1;s:5:"class";s:38:"Drupal\\filter\\Plugin\\Filter\\FilterNull";s:8:"provider";s:6:"filter";}s:12:"filter_autop";a:9:{s:11:"description";s:0:"";s:6:"weight";i:0;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:12:"filter_autop";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:87:"Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:0;s:5:"class";s:39:"Drupal\\filter\\Plugin\\Filter\\FilterAutoP";s:8:"provider";s:6:"filter";}s:11:"filter_html";a:9:{s:11:"description";s:0:"";s:6:"weight";i:-10;s:6:"status";b:0;s:8:"settings";a:3:{s:12:"allowed_html";s:166:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type=''1 A I''> <li> <dl> <dt> <dd> <h2 id=''jump-*''> <h3 id> <h4 id> <h5 id> <h6 id>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}s:2:"id";s:11:"filter_html";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Limit allowed HTML tags and correct faulty HTML";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:1;s:5:"class";s:38:"Drupal\\filter\\Plugin\\Filter\\FilterHtml";s:8:"provider";s:6:"filter";}s:10:"filter_url";a:9:{s:11:"description";s:0:"";s:6:"weight";i:0;s:6:"status";b:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}s:2:"id";s:10:"filter_url";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Convert URLs into links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:0;s:5:"class";s:37:"Drupal\\filter\\Plugin\\Filter\\FilterUrl";s:8:"provider";s:6:"filter";}s:18:"filter_html_escape";a:9:{s:11:"description";s:0:"";s:6:"weight";i:-10;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:18:"filter_html_escape";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Display any HTML as plain text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:1;s:5:"class";s:44:"Drupal\\filter\\Plugin\\Filter\\FilterHtmlEscape";s:8:"provider";s:6:"filter";}s:12:"filter_align";a:9:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Uses a <code>data-align</code> attribute on <code>&lt;img&gt;</code> tags to align images.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:0;s:6:"status";b:0;s:8:"settings";a:0:{}s:2:"id";s:12:"filter_align";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Align images";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"type";i:2;s:5:"class";s:39:"Drupal\\filter\\Plugin\\Filter\\FilterAlign";s:8:"provider";s:6:"filter";}}', -1, '1681650107.825', 1, '', '0'),
('font.field_storage_definitions.installed', 'a:21:{s:3:"fid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The ID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"fid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The UUID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"pid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Provider ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The font provider ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"pid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:50;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:50;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Font URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"A URL for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:191;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:124;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:191;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The name of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:4:"name";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:173;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:10:"css_family";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Family";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS family for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:10:"css_family";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:222;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:9:"css_style";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"CSS Style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"CSS style for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:9:"css_style";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:271;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:10:"css_weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS weight for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:10:"css_weight";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:320;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"foundry";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Foundry";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Foundry for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"foundry";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:369;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"foundry_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Foundry URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Foundry URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:11:"foundry_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:418;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"license";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"License";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font License.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"license";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:467;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"license_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"License URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"License URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:11:"license_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:516;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"designer";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:8:"designer";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:565;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"designer_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Designer URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Designer URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:12:"designer_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}s:18:"\0*\0fieldDefinition";r:614;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"metadata";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Additional Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"form";a:2:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}s:12:"configurable";b:1;}s:4:"view";a:2:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:8:"metadata";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:663;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The time that the entity was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:702;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The time that the entity was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:730;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Font status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A boolean indicating whether the font is enabled. Mostly used for views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:758;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:10:"field_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:15:"font.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"452635bf-db2a-47c7-8fbc-23ec09b7b654";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"kEXAWX8HgcTM3RtpMvfkU8QeDoOGCOSh4EXqHe_u-LQ";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:15:"font.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_supported_languages";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"font.field_supported_languages";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a8f36d15-3e3b-4b73-8bca-a6d7b13a415d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"svUf3mifm4Fij8pp1e3TX1v-5cA6fr4_YmcCFNn3_I4";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"font.field_supported_languages";s:13:"\0*\0field_name";s:25:"field_supported_languages";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:20:"field_classification";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"font.field_classification";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"07f3e102-c381-474f-827d-40061f9bc979";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"ow0pX66YjSmmNFHkjtHc_kfAjCaXJ94Msu27zaUb_hk";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"font.field_classification";s:13:"\0*\0field_name";s:20:"field_classification";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}}', -1, '1681649759.939', 1, '', '0'),
('image_effect_plugins', 'a:7:{s:16:"image_desaturate";a:5:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Desaturate converts an image to grayscale.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"image_desaturate";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Desaturate";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\image\\Plugin\\ImageEffect\\DesaturateImageEffect";s:8:"provider";s:5:"image";}s:20:"image_scale_and_crop";a:5:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:191:"Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:20:"image_scale_and_crop";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Scale and crop";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:55:"Drupal\\image\\Plugin\\ImageEffect\\ScaleAndCropImageEffect";s:8:"provider";s:5:"image";}s:13:"image_convert";a:5:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Converts an image to a format (such as JPEG).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:13:"image_convert";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Convert";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:50:"Drupal\\image\\Plugin\\ImageEffect\\ConvertImageEffect";s:8:"provider";s:5:"image";}s:12:"image_rotate";a:5:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:87:"Rotating an image may cause the dimensions of an image to increase to fit the diagonal.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:12:"image_rotate";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Rotate";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\image\\Plugin\\ImageEffect\\RotateImageEffect";s:8:"provider";s:5:"image";}s:12:"image_resize";a:5:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:121:"Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:12:"image_resize";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Resize";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\image\\Plugin\\ImageEffect\\ResizeImageEffect";s:8:"provider";s:5:"image";}s:10:"image_crop";a:5:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:121:"Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:10:"image_crop";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Crop";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:47:"Drupal\\image\\Plugin\\ImageEffect\\CropImageEffect";s:8:"provider";s:5:"image";}s:11:"image_scale";a:5:{s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:142:"Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"image_scale";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Scale";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\image\\Plugin\\ImageEffect\\ScaleImageEffect";s:8:"provider";s:5:"image";}}', -1, '1681650107.789', 1, '', '0'),
('image_toolkit_plugins', 'a:1:{s:2:"gd";a:4:{s:2:"id";s:2:"gd";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"GD2 image manipulation toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:43:"Drupal\\system\\Plugin\\ImageToolkit\\GDToolkit";s:8:"provider";s:6:"system";}}', -1, '1681649884.541', 1, '', '0'),
('library_info:bartik', 'a:15:{s:11:"fontawesome";a:14:{s:15:"fontawesome.svg";a:7:{s:6:"remote";s:76:"https://use.fontawesome.com/releases/v5.12.0/fontawesome-free-5.12.0-web.zip";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"5.12.0";s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:20:"fontawesome.svg.shim";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:58:"https://use.fontawesome.com/releases/v5.0.1/js/v4-shims.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:27:"fontawesome/fontawesome.svg";}s:3:"css";a:0:{}}s:20:"fontawesome.svg.base";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:61:"https://use.fontawesome.com/releases/v5.0.6/js/fontawesome.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:21:"fontawesome.svg.solid";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:55:"https://use.fontawesome.com/releases/v5.0.6/js/solid.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:23:"fontawesome.svg.regular";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:57:"https://use.fontawesome.com/releases/v5.0.6/js/regular.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:21:"fontawesome.svg.light";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:55:"https://use.fontawesome.com/releases/v5.0.6/js/light.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:22:"fontawesome.svg.brands";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:56:"https://use.fontawesome.com/releases/v5.0.6/js/brands.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:20:"fontawesome.webfonts";a:6:{s:6:"remote";s:76:"https://use.fontawesome.com/releases/v5.12.0/fontawesome-free-5.12.0-web.zip";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"5.12.0";s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"libraries/fontawesome/css/all.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:25:"fontawesome.webfonts.base";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"libraries/fontawesome/css/fontawesome.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:26:"fontawesome.webfonts.solid";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"libraries/fontawesome/css/solid.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:28:"fontawesome.webfonts.regular";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"libraries/fontawesome/css/regular.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:26:"fontawesome.webfonts.light";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"libraries/fontawesome/css/light.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:27:"fontawesome.webfonts.brands";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:40:"libraries/fontawesome/css/brands.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:25:"fontawesome.webfonts.shim";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"libraries/fontawesome/css/v4-shims.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.webfonts";}s:2:"js";a:0:{}}}s:16:"mt_cookieconsent";a:1:{s:16:"mt_cookieconsent";a:5:{s:7:"version";s:3:"1.x";s:3:"css";a:2:{i:0;a:7:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";s:7:"version";s:3:"1.x";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"modules/custom/mt_cookieconsent/css/mt_cookieconsent.css";s:7:"version";s:3:"1.x";}}s:2:"js";a:2:{i:0;a:6:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"bartik";a:20:{s:14:"global-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:54:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/themes/bartik/css/base/elements.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/components/block.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/book.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/bartik/css/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/bartik/css/components/captions.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/bartik/css/components/comments.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/bartik/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/bartik/css/components/contextual.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/bartik/css/components/demo-block.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/bartik/css/components/dropbutton.component.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/components/featured-top.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/bartik/css/components/feed-icon.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/components/field.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/form.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/components/forum.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/bartik/css/components/header.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/help.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/components/highlighted.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/bartik/css/components/item-list.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/bartik/css/components/list-group.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/list.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/components/main-content.css";s:7:"version";s:5:"9.5.7";}i:22;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/menu.css";s:7:"version";s:5:"9.5.7";}i:23;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/bartik/css/components/messages.css";s:7:"version";s:5:"9.5.7";}i:24;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/node.css";s:7:"version";s:5:"9.5.7";}i:25;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/components/node-preview.css";s:7:"version";s:5:"9.5.7";}i:26;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/bartik/css/components/page-title.css";s:7:"version";s:5:"9.5.7";}i:27;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/components/pager.css";s:7:"version";s:5:"9.5.7";}i:28;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/components/panel.css";s:7:"version";s:5:"9.5.7";}i:29;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/components/primary-menu.css";s:7:"version";s:5:"9.5.7";}i:30;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/components/search-form.css";s:7:"version";s:5:"9.5.7";}i:31;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/bartik/css/components/search-results.css";s:7:"version";s:5:"9.5.7";}i:32;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/bartik/css/components/secondary-menu.css";s:7:"version";s:5:"9.5.7";}i:33;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/bartik/css/components/shortcut.css";s:7:"version";s:5:"9.5.7";}i:34;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/bartik/css/components/skip-link.css";s:7:"version";s:5:"9.5.7";}i:35;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/bartik/css/components/sidebar.css";s:7:"version";s:5:"9.5.7";}i:36;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/bartik/css/components/site-branding.css";s:7:"version";s:5:"9.5.7";}i:37;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/components/site-footer.css";s:7:"version";s:5:"9.5.7";}i:38;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/components/table.css";s:7:"version";s:5:"9.5.7";}i:39;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/bartik/css/components/tablesort-indicator.css";s:7:"version";s:5:"9.5.7";}i:40;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/tabs.css";s:7:"version";s:5:"9.5.7";}i:41;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/bartik/css/components/text-formatted.css";s:7:"version";s:5:"9.5.7";}i:42;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/bartik/css/components/toolbar.css";s:7:"version";s:5:"9.5.7";}i:43;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/bartik/css/components/featured-bottom.css";s:7:"version";s:5:"9.5.7";}i:44;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/bartik/css/components/password-suggestions.css";s:7:"version";s:5:"9.5.7";}i:45;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/bartik/css/components/ui.widget.css";s:7:"version";s:5:"9.5.7";}i:46;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/bartik/css/components/vertical-tabs.component.css";s:7:"version";s:5:"9.5.7";}i:47;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/components/views.css";s:7:"version";s:5:"9.5.7";}i:48;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/bartik/css/components/buttons.css";s:7:"version";s:5:"9.5.7";}i:49;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/components/image-button.css";s:7:"version";s:5:"9.5.7";}i:50;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/bartik/css/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";}i:51;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/themes/bartik/css/layout.css";s:7:"version";s:5:"9.5.7";}i:52;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/themes/bartik/css/colors.css";s:7:"version";s:5:"9.5.7";}i:53;a:6:{s:5:"media";s:5:"print";s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/bartik/css/print.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"messages";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/bartik/css/components/messages.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"color.preview";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/bartik/color/preview.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/themes/bartik/color/preview.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:18:"color/drupal.color";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"maintenance_page";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/bartik/css/maintenance-page.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:2:{i:0;s:18:"system/maintenance";i:1;s:21:"bartik/global-styling";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"classy.base";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:23:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/bartik/css/classy/components/action-links.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/bartik/css/classy/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/bartik/css/classy/components/button.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"core/themes/bartik/css/classy/components/collapse-processed.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/bartik/css/classy/components/container-inline.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/bartik/css/classy/components/details.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/bartik/css/classy/components/exposed-filters.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/classy/components/field.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/classy/components/form.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/classy/components/icons.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/bartik/css/classy/components/inline-form.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/bartik/css/classy/components/item-list.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/classy/components/link.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/classy/components/links.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/classy/components/menu.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/bartik/css/classy/components/more-link.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/classy/components/pager.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/bartik/css/classy/components/tabledrag.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/bartik/css/classy/components/tableselect.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/bartik/css/classy/components/tablesort.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/classy/components/tabs.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/bartik/css/classy/components/textarea.css";s:7:"version";s:5:"9.5.7";}i:22;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/bartik/css/classy/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"tour";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/tour.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"user";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/user.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"filter";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/bartik/css/theme/filter.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"classy.book-navigation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/bartik/css/classy/components/book-navigation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"classy.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/bartik/css/classy/components/dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"classy.dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/bartik/css/classy/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"classy.file";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/classy/components/file.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"classy.forum";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/bartik/css/classy/components/forum.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"classy.media_embed_ckeditor_theme";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/bartik/js/classy/media_embed_ckeditor.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"classy.media_embed_error";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"core/themes/bartik/css/classy/components/media-embed-error.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"classy.media_library";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/bartik/css/classy/layout/media-library.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"classy.messages";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/bartik/css/classy/components/messages.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"classy.node";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/bartik/css/classy/components/node.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"classy.progress";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/bartik/css/classy/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"classy.search-results";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/bartik/css/classy/components/search-results.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"core";a:99:{s:8:"backbone";a:7:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:15:"core/underscore";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:17:"internal.backbone";a:6:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:24:"core/internal.underscore";}s:3:"css";a:0:{}}s:8:"ckeditor";a:7:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.5.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3304481";s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor4";s:7:"version";s:6:"4.21.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:70:"https://raw.githubusercontent.com/ckeditor/ckeditor4/4.21.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/ckeditor/ckeditor.js";s:7:"version";s:6:"4.21.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:9:"ckeditor5";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/ckeditor5-dll/ckeditor5-dll.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.editorClassic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/editor-classic/editor-classic.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:25:"ckeditor5.editorDecoupled";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"core/assets/vendor/ckeditor5/editor-decoupled/editor-decoupled.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:26:"core/ckeditor5.htmlSupport";}s:3:"css";a:0:{}}s:20:"ckeditor5.essentials";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.1.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:61:"https://github.com/ckeditor/ckeditor5/blob/v35.1.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/essentials/essentials.js";s:7:"version";s:6:"35.1.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:22:"core/ckeditor5.heading";}s:3:"css";a:0:{}}s:17:"ckeditor5.heading";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/ckeditor5/heading/heading.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.basic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/basic-styles/basic-styles.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:27:"ckeditor5.specialCharacters";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:69:"core/assets/vendor/ckeditor5/special-characters/special-characters.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:20:"ckeditor5.blockquote";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/ckeditor5/block-quote/block-quote.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.image";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/image/image.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.link";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/link/link.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.list";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/list/list.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:24:"ckeditor5.horizontalLine";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:63:"core/assets/vendor/ckeditor5/horizontal-line/horizontal-line.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:21:"ckeditor5.htmlSupport";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/html-support/html-support.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.alignment";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/ckeditor5/alignment/alignment.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.removeFormat";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/remove-format/remove-format.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:25:"ckeditor5.pasteFromOffice";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"core/assets/vendor/ckeditor5/paste-from-office/paste-from-office.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:16:"ckeditor5.indent";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/ckeditor5/indent/indent.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.sourceEditing";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/source-editing/source-editing.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.table";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/table/table.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:18:"ckeditor5.language";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/ckeditor5/language/language.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.codeBlock";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/code-block/code-block.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.style";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/style/style.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.translations";a:4:{s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/translation.js";s:7:"version";i:-1;s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"css.escape";a:6:{s:6:"remote";s:43:"https://github.com/mathiasbynens/CSS.escape";s:7:"version";s:5:"1.5.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:81:"https://raw.githubusercontent.com/mathiasbynens/CSS.escape/v1.5.1/LICENSE-MIT.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"drupal";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";i:-17;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"core/drupalSettings";}s:14:"drupalSettings";a:1:{s:25:"suppressDeprecationErrors";b:1;}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupalSettings";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.active-link";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.ajax";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";N;s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}s:12:"dependencies";a:10:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";i:7;s:13:"core/tabbable";i:8;s:11:"core/loadjs";i:9;s:16:"core/es6-promise";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.announce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"loadjs";a:6:{s:6:"remote";s:32:"https://github.com/muicss/loadjs";s:7:"version";s:5:"4.2.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/muicss/loadjs/4.2.0/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"drupal.autocomplete";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:18:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/autocomplete.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:5:"9.5.7";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:3;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:4:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:25:"core/tabbable.jquery.shim";i:5;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.array.find";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.array.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/polyfills/array.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"drupal.batch";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:5:"cache";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:18:"core/misc/batch.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.checkbox";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/checkbox.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.collapse";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:3:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:14:"core/modernizr";i:2;s:11:"core/drupal";i:3;s:16:"core/drupal.form";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.customevent";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/polyfills/customevent.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.date";a:6:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3258267";s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:14:"core/modernizr";i:2;s:9:"core/once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.debounce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:26:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:22;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:23;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:24;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:25;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:8:{i:0;a:5:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/dialog.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/bartik/css/classy/components/dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:20:"core/drupal.debounce";i:4;s:20:"core/drupal.displace";i:5;s:25:"core/tabbable.jquery.shim";i:6;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.dialog.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/dialog/dialog.ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:18:"core/drupal.dialog";i:5;s:13:"core/tabbable";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.displace";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/dropbutton/dropbutton.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dropbutton/dropbutton.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/bartik/css/classy/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.closest";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.closest.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.matches";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.entity-form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/entity-form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"drupal.machine-name";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/machine-name.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupal.message";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:20:"core/misc/message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.nodelist.foreach";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.object.assign";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.progress";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:19:"core/drupalSettings";}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/bartik/css/classy/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.states";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/states.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.string.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/string.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.tabbingmanager";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:13:"core/tabbable";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"drupal.tabledrag";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:22:"core/misc/tabledrag.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:28:"core/drupal.touchevents-test";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableheader";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableheader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:20:"core/drupal.displace";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.tableresponsive";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/misc/tableresponsive.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableselect";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableselect.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.checkbox";i:2;s:11:"core/jquery";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.timezone";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/timezone.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:28:"core/drupal.nodelist.foreach";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";i:4;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.touchevents-test";a:6:{s:6:"header";b:1;s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-22;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.vertical-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/vertical-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/vertical-tabs.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"es6-promise";a:5:{s:7:"version";s:5:"4.2.8";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/stefanpenner/es6-promise/v4.2.8/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"jquery";a:6:{s:6:"remote";s:32:"https://github.com/jquery/jquery";s:7:"version";s:5:"3.6.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery/jquery/3.6.3/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:13:"jquery.cookie";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/jquery.cookie.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:14:"core/js-cookie";}s:10:"deprecated";s:178:"The %library_id% asset library is deprecated in Drupal 9.0.0 and will be removed in Drupal 10.0.0. Use the core/js-cookie library instead. See https://www.drupal.org/node/3104677";s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"jquery.farbtastic";a:7:{s:6:"remote";s:40:"https://github.com/mattfarina/farbtastic";s:7:"version";s:3:"1.2";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:74:"https://raw.githubusercontent.com/mattfarina/farbtastic/master/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/farbtastic/farbtastic.js";s:7:"version";s:3:"1.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/farbtastic/farbtastic.css";s:7:"version";s:3:"1.2";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:163:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3306232";}s:11:"jquery.form";a:7:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:20:"internal.jquery.form";a:6:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:14:"jquery.joyride";a:7:{s:6:"remote";s:31:"https://github.com/zurb/joyride";s:7:"version";s:7:"2.1.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/zurb/joyride/v2.1.0/README.markdown";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js";s:7:"version";s:7:"2.1.0.1";s:8:"minified";b:0;}}s:10:"deprecated";s:138:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3195234.";s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:8:"shepherd";a:7:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:17:"internal.shepherd";a:6:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:11:"jquery.once";a:7:{s:6:"remote";s:39:"https://github.com/RobLoach/jquery-once";s:7:"version";s:5:"2.2.3";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/RobLoach/jquery-once/2.2.3/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:19:"core/jquery.once.bc";}s:10:"deprecated";s:173:"The %library_id% asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256";s:3:"css";a:0:{}}s:14:"jquery.once.bc";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:25:"core/drupal.object.assign";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"jquery.ui";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:14:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:22:"jquery.ui.autocomplete";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:4:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:23:"core/jquery.ui.position";i:3;s:19:"core/jquery.ui.menu";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.button";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:3:{i:0;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.dialog";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:23:{i:0;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}i:22;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:7:{i:0;a:5:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/dialog.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:3;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}i:4;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}i:5;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:6;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";i:2;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:19:"jquery.ui.draggable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:20:"core/jquery.ui.mouse";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:14:"jquery.ui.menu";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:23:"core/jquery.ui.position";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:15:"jquery.ui.mouse";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:2:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:22:"drupal.jquery.position";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"jquery.ui.position";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:2:"js";a:0:{}s:3:"css";a:0:{}}s:19:"jquery.ui.resizable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:20:"core/jquery.ui.mouse";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.widget";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:14:"core/jquery.ui";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:9:"modernizr";a:7:{s:6:"header";b:1;s:6:"remote";s:38:"https://github.com/Modernizr/Modernizr";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:30:"https://modernizr.com/license/";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"3.11.7";s:2:"js";a:2:{i:0;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-21;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";}i:1;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:9:"normalize";a:6:{s:6:"remote";s:40:"https://github.com/necolas/normalize.css";s:7:"version";s:5:"8.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:72:"https://raw.githubusercontent.com/necolas/normalize.css/8.0.1/LICENSE.md";s:14:"gpl-compatible";b:1;}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:-220;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/normalize-css/normalize.css";s:7:"version";s:5:"8.0.1";}i:1;a:5:{s:6:"weight";i:-219;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/normalize-fixes.css";s:7:"version";s:5:"8.0.1";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:4:"once";a:6:{s:6:"remote";s:39:"https://git.drupalcode.org/project/once";s:7:"version";s:5:"1.0.1";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:63:"https://git.drupalcode.org/project/once/-/raw/v1.0.1/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}}s:11:"picturefill";a:6:{s:6:"remote";s:40:"https://github.com/scottjehl/picturefill";s:7:"version";s:5:"3.0.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/scottjehl/picturefill/3.0.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-10;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/picturefill/picturefill.min.js";s:7:"version";s:5:"3.0.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"popperjs";a:6:{s:7:"version";s:6:"2.11.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/popperjs/popper-core/v2.11.6/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";}}s:12:"dependencies";a:3:{i:0;s:22:"core/drupal.array.find";i:1;s:16:"core/es6-promise";i:2;s:25:"core/drupal.object.assign";}s:10:"deprecated";s:165:"The "%library_id%" asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3307518";s:3:"css";a:0:{}}s:8:"sortable";a:6:{s:6:"remote";s:38:"https://github.com/SortableJS/Sortable";s:7:"version";s:6:"1.15.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/SortableJS/Sortable/1.15.0/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/sortable/Sortable.min.js";s:7:"version";s:6:"1.15.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"tabbable";a:6:{s:6:"remote";s:38:"https://github.com/focus-trap/tabbable";s:7:"version";s:5:"5.3.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/focus-trap/tabbable/v5.3.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";}}s:12:"dependencies";a:1:{i:0;s:15:"core/css.escape";}s:3:"css";a:0:{}}s:20:"tabbable.jquery.shim";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:13:"core/tabbable";i:2;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"underscore";a:7:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"internal.underscore";a:6:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:24:"drupal.dialog.off_canvas";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:30:"core/misc/dialog/off-canvas.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:12:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.reset.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/off-canvas.base.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/dialog/off-canvas.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:5:"group";i:0;s:6:"weight";i:-200;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.theme.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.motion.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.button.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/off-canvas.form.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.table.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/dialog/off-canvas.details.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"core/misc/dialog/off-canvas.tabledrag.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/misc/dialog/off-canvas.dropbutton.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.layout.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:9:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:16:"core/drupal.ajax";i:5;s:20:"core/drupal.announce";i:6;s:18:"core/drupal.dialog";i:7;s:23:"core/drupal.dialog.ajax";i:8;s:28:"core/drupal.touchevents-test";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"js-cookie";a:6:{s:6:"remote";s:38:"https://github.com/js-cookie/js-cookie";s:7:"version";s:5:"3.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/js-cookie/js-cookie/v3.0.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/js-cookie/js.cookie.min.js";s:7:"version";s:5:"3.0.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}}s:12:"mt_countdown";a:1:{s:12:"mt_countdown";a:5:{s:7:"version";s:3:"1.x";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/custom/mt_countdown/css/mt_countdown.css";s:7:"version";s:3:"1.x";}}s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:16:"core/jquery.once";i:2;s:11:"core/drupal";i:3;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"system";a:7:{s:4:"base";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:22:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/modules/system/css/components/ajax-progress.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/system/css/components/align.module.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:66:"core/modules/system/css/components/autocomplete-loading.module.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/fieldgroup.module.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/clearfix.module.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/system/css/components/details.module.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/hidden.module.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/item-list.module.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/system/css/components/js.module.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/nowrap.module.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/modules/system/css/components/position-container.module.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/progress.module.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/reset-appearance.module.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/resize.module.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/modules/system/css/components/sticky-header.module.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:60:"core/modules/system/css/components/system-status-counter.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:68:"core/modules/system/css/components/system-status-report-counters.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:72:"core/modules/system/css/components/system-status-report-general-info.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tabledrag.module.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tablesort.module.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/tree-child.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:190;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/css/system.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:11:"system/base";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"maintenance";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:190;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/system/css/system.maintenance.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:2:{i:0;s:11:"system/base";i:1;s:12:"system/admin";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.system";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/modules/system/js/system.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.system.modules";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/js/system.modules.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"diff";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/system/css/system.diff.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.system.date";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/system/js/system.date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:28:"core/drupal.nodelist.foreach";i:3;s:19:"core/drupalSettings";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:10:"statistics";a:1:{s:17:"drupal.statistics";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/statistics/statistics.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:5:"views";a:2:{s:12:"views.module";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/views/css/views.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"views.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/modules/views/js/base.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/views/js/ajax_view.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:25:"core/internal.jquery.form";i:6;s:16:"core/drupal.ajax";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:10:"contextual";a:2:{s:23:"drupal.contextual-links";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:6:{i:0;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/contextual/css/contextual.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/css/contextual.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/css/contextual.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:8:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/drupal.ajax";i:3;s:19:"core/drupalSettings";i:4;s:22:"core/internal.backbone";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";i:7;s:28:"core/drupal.touchevents-test";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"drupal.contextual-toolbar";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:4:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/contextual/css/contextual.toolbar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:22:"core/internal.backbone";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:26:"core/drupal.tabbingmanager";i:6;s:20:"core/drupal.announce";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:9:"quickedit";a:6:{s:9:"quickedit";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:15:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/quickedit/js/quickedit.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/modules/quickedit/js/util.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/models/BaseModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/js/models/AppModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EntityModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/js/models/FieldModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:6;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EditorModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:7;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/views/AppView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:8;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:9;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:10;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:11;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:12;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:13;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/views/EditorView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:14;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/quickedit/js/theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:4:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/css/quickedit.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/css/quickedit.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/css/quickedit.icons.theme.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/seven/css/components/quickedit.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:14:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:24:"core/internal.underscore";i:4;s:22:"core/internal.backbone";i:5;s:25:"core/internal.jquery.form";i:6;s:11:"core/drupal";i:7;s:20:"core/drupal.displace";i:8;s:16:"core/drupal.form";i:9;s:16:"core/drupal.ajax";i:10;s:20:"core/drupal.debounce";i:11;s:19:"core/drupalSettings";i:12;s:18:"core/drupal.dialog";i:13;s:13:"core/popperjs";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:28:"quickedit.inPlaceEditor.form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/editors/formEditor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"quickedit/quickedit";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:41:"quickedit.ckeditor5-temporary-work-around";a:4:{s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:73:"core/modules/quickedit/css/editors/formattedText/ckeditor5.workaround.css";s:7:"version";i:-1;}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:37:"quickedit.inPlaceEditor.formattedText";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:61:"core/modules/quickedit/css/editors/formattedText.ckeditor.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/quickedit/css/editors/formattedText.ckeditor5.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:10:"attributes";a:1:{s:5:"defer";b:1;}s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/quickedit/js/editors/formattedTextEditor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:19:"quickedit/quickedit";i:1;s:20:"editor/drupal.editor";i:2;s:16:"core/drupal.ajax";i:3;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"quickedit.inPlaceEditor.plainText";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/editors/plainTextEditor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"quickedit/quickedit";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:29:"quickedit.inPlaceEditor.image";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/editors/image.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/css/editors/image.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/quickedit/css/editors/image.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:15:"core/underscore";i:3;s:19:"quickedit/quickedit";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:7:"history";a:2:{s:3:"api";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/history/js/history.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:19:"core/drupalSettings";i:2;s:11:"core/drupal";i:3;s:16:"core/drupal.ajax";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"mark-as-read";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/history/js/mark-as-read.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"history/api";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:7:"toolbar";a:3:{s:7:"toolbar";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:7:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:6;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/css/toolbar.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/toolbar/css/toolbar.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/toolbar/css/toolbar.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:12:{i:0;s:14:"core/modernizr";i:1;s:28:"core/drupal.touchevents-test";i:2;s:11:"core/jquery";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.ajax";i:6;s:20:"core/drupal.announce";i:7;s:22:"core/internal.backbone";i:8;s:9:"core/once";i:9;s:19:"core/jquery.once.bc";i:10;s:20:"core/drupal.displace";i:11;s:20:"toolbar/toolbar.menu";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"toolbar.menu";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:100;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"core/modules/toolbar/css/toolbar.menu.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"toolbar.escapeAdmin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"user";a:4:{s:11:"drupal.user";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/modules/user/user.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/modules/user/user.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/user/css/user.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/user.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.user.admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/modules/user/css/user.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.user.permissions";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/user/user.permissions.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:22:"user/drupal.user.admin";i:6;s:20:"core/drupal.checkbox";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.user.icons";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/user/css/user.icons.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"tour";a:2:{s:4:"tour";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:22:"core/internal.backbone";i:5;s:22:"core/internal.shepherd";i:6;s:17:"tour/tour-styling";}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/bartik/css/components/tour.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"tour-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:5:"media";s:6:"screen";s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/tour/css/tour.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:8:"shortcut";a:1:{s:15:"drupal.shortcut";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/shortcut/css/shortcut.theme.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/shortcut/css/shortcut.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}}', -1, '1681652203.261', 1, 'library_info', '0');
INSERT INTO `cache_discovery` VALUES
('library_info:conferenceplus', 'a:5:{s:6:"system";a:7:{s:4:"base";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:22:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:65:"core/themes/stable/css/system/components/ajax-progress.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/stable/css/system/components/align.module.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:72:"core/themes/stable/css/system/components/autocomplete-loading.module.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/themes/stable/css/system/components/fieldgroup.module.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:68:"core/themes/stable/css/system/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/stable/css/system/components/clearfix.module.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/stable/css/system/components/details.module.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/stable/css/system/components/hidden.module.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/stable/css/system/components/item-list.module.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/stable/css/system/components/js.module.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/stable/css/system/components/nowrap.module.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:70:"core/themes/stable/css/system/components/position-container.module.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/stable/css/system/components/progress.module.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:68:"core/themes/stable/css/system/components/reset-appearance.module.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/stable/css/system/components/resize.module.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:65:"core/themes/stable/css/system/components/sticky-header.module.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/stable/css/system/components/system-status-counter.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:74:"core/themes/stable/css/system/components/system-status-report-counters.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:78:"core/themes/stable/css/system/components/system-status-report-general-info.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/stable/css/system/components/tabledrag.module.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/stable/css/system/components/tablesort.module.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/themes/stable/css/system/components/tree-child.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:190;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/stable/css/system/system.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:11:"system/base";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"maintenance";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:190;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/stable/css/system/system.maintenance.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:2:{i:0;s:11:"system/base";i:1;s:12:"system/admin";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.system";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/modules/system/js/system.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.system.modules";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/js/system.modules.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"diff";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/stable/css/system/system.diff.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.system.date";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/system/js/system.date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:28:"core/drupal.nodelist.foreach";i:3;s:19:"core/drupalSettings";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"classy";a:16:{s:4:"base";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:21:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/classy/css/components/action-links.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/classy/css/components/button.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/classy/css/components/collapse-processed.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/classy/css/components/container-inline.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/classy/css/components/details.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/classy/css/components/exposed-filters.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/classy/css/components/field.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/classy/css/components/form.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/classy/css/components/icons.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/classy/css/components/inline-form.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/classy/css/components/item-list.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/classy/css/components/link.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/classy/css/components/links.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/classy/css/components/menu.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/classy/css/components/more-link.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/classy/css/components/tabledrag.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/classy/css/components/tableselect.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/classy/css/components/tablesort.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/classy/css/components/tabs.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/classy/css/components/textarea.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/classy/css/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"book-navigation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/classy/css/components/book-navigation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"dialog";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/classy/css/components/dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/classy/css/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"file";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/classy/css/components/file.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"forum";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/classy/css/components/forum.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"image-widget";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/classy/css/components/image-widget.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"indented";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/classy/css/components/indented.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"media_library";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/classy/css/layout/media-library.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"messages";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/classy/css/components/messages.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"node";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/classy/css/components/node.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"progress";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/classy/css/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"search-results";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/classy/css/components/search-results.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"user";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/classy/css/components/user.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"media_embed_error";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/classy/css/components/media-embed-error.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"media_embed_ckeditor_theme";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/classy/js/media_embed_ckeditor.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"stable";a:4:{s:11:"drupal.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/themes/stable/js/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.user";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/themes/stable/js/user.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"normalize";a:6:{s:6:"remote";s:40:"https://github.com/necolas/normalize.css";s:7:"version";s:5:"3.0.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:62:"https://github.com/necolas/normalize.css/blob/3.0.3/LICENSE.md";s:14:"gpl-compatible";b:1;}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:-220;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:69:"core/themes/stable/css/core/assets/vendor/normalize-css/normalize.css";s:7:"version";s:5:"3.0.3";}i:1;a:5:{s:6:"weight";i:-219;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/stable/css/core/normalize-fixes.css";s:7:"version";s:5:"3.0.3";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:4:"tour";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/themes/stable/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"core";a:99:{s:8:"backbone";a:7:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:15:"core/underscore";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:17:"internal.backbone";a:6:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:24:"core/internal.underscore";}s:3:"css";a:0:{}}s:8:"ckeditor";a:7:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.5.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3304481";s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor4";s:7:"version";s:6:"4.21.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:70:"https://raw.githubusercontent.com/ckeditor/ckeditor4/4.21.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/ckeditor/ckeditor.js";s:7:"version";s:6:"4.21.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:9:"ckeditor5";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/ckeditor5-dll/ckeditor5-dll.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.editorClassic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/editor-classic/editor-classic.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:25:"ckeditor5.editorDecoupled";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"core/assets/vendor/ckeditor5/editor-decoupled/editor-decoupled.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:26:"core/ckeditor5.htmlSupport";}s:3:"css";a:0:{}}s:20:"ckeditor5.essentials";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.1.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:61:"https://github.com/ckeditor/ckeditor5/blob/v35.1.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/essentials/essentials.js";s:7:"version";s:6:"35.1.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:22:"core/ckeditor5.heading";}s:3:"css";a:0:{}}s:17:"ckeditor5.heading";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/ckeditor5/heading/heading.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.basic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/basic-styles/basic-styles.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:27:"ckeditor5.specialCharacters";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:69:"core/assets/vendor/ckeditor5/special-characters/special-characters.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:20:"ckeditor5.blockquote";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/ckeditor5/block-quote/block-quote.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.image";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/image/image.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.link";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/link/link.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.list";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/list/list.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:24:"ckeditor5.horizontalLine";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:63:"core/assets/vendor/ckeditor5/horizontal-line/horizontal-line.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:21:"ckeditor5.htmlSupport";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/html-support/html-support.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.alignment";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/ckeditor5/alignment/alignment.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.removeFormat";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/remove-format/remove-format.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:25:"ckeditor5.pasteFromOffice";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"core/assets/vendor/ckeditor5/paste-from-office/paste-from-office.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:16:"ckeditor5.indent";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/ckeditor5/indent/indent.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.sourceEditing";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/source-editing/source-editing.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.table";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/table/table.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:18:"ckeditor5.language";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/ckeditor5/language/language.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.codeBlock";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/code-block/code-block.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.style";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/style/style.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.translations";a:4:{s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/translation.js";s:7:"version";i:-1;s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"css.escape";a:6:{s:6:"remote";s:43:"https://github.com/mathiasbynens/CSS.escape";s:7:"version";s:5:"1.5.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:81:"https://raw.githubusercontent.com/mathiasbynens/CSS.escape/v1.5.1/LICENSE-MIT.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"drupal";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";i:-17;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"core/drupalSettings";}s:14:"drupalSettings";a:1:{s:25:"suppressDeprecationErrors";b:1;}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupalSettings";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.active-link";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.ajax";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/themes/stable/js/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";N;s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}s:12:"dependencies";a:10:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";i:7;s:13:"core/tabbable";i:8;s:11:"core/loadjs";i:9;s:16:"core/es6-promise";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.announce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"loadjs";a:6:{s:6:"remote";s:32:"https://github.com/muicss/loadjs";s:7:"version";s:5:"4.2.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/muicss/loadjs/4.2.0/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"drupal.autocomplete";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:18:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/autocomplete.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:5:"9.5.7";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:3;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:4:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:25:"core/tabbable.jquery.shim";i:5;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.array.find";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.array.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/polyfills/array.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"drupal.batch";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:5:"cache";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:18:"core/misc/batch.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.checkbox";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/checkbox.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.collapse";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:3:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:14:"core/modernizr";i:2;s:11:"core/drupal";i:3;s:16:"core/drupal.form";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.customevent";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/polyfills/customevent.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.date";a:6:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3258267";s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:14:"core/modernizr";i:2;s:9:"core/once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.debounce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:26:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:22;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:23;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:24;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:25;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:8:{i:0;a:5:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/dialog.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/classy/css/components/dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:20:"core/drupal.debounce";i:4;s:20:"core/drupal.displace";i:5;s:25:"core/tabbable.jquery.shim";i:6;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.dialog.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/dialog/dialog.ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:18:"core/drupal.dialog";i:5;s:13:"core/tabbable";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.displace";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/dropbutton/dropbutton.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/stable/css/core/dropbutton/dropbutton.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/classy/css/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.closest";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.closest.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.matches";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.entity-form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/entity-form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"drupal.machine-name";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/machine-name.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupal.message";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:20:"core/misc/message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.nodelist.foreach";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.object.assign";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.progress";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:19:"core/drupalSettings";}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/classy/css/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.states";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/states.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.string.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/string.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.tabbingmanager";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:13:"core/tabbable";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"drupal.tabledrag";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:22:"core/misc/tabledrag.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:28:"core/drupal.touchevents-test";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableheader";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableheader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:20:"core/drupal.displace";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.tableresponsive";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/misc/tableresponsive.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableselect";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableselect.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.checkbox";i:2;s:11:"core/jquery";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.timezone";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/timezone.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:28:"core/drupal.nodelist.foreach";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";i:4;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.touchevents-test";a:6:{s:6:"header";b:1;s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-22;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.vertical-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/vertical-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/stable/css/core/vertical-tabs.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"es6-promise";a:5:{s:7:"version";s:5:"4.2.8";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/stefanpenner/es6-promise/v4.2.8/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"jquery";a:6:{s:6:"remote";s:32:"https://github.com/jquery/jquery";s:7:"version";s:5:"3.6.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery/jquery/3.6.3/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:13:"jquery.cookie";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/jquery.cookie.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:14:"core/js-cookie";}s:10:"deprecated";s:178:"The %library_id% asset library is deprecated in Drupal 9.0.0 and will be removed in Drupal 10.0.0. Use the core/js-cookie library instead. See https://www.drupal.org/node/3104677";s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"jquery.farbtastic";a:7:{s:6:"remote";s:40:"https://github.com/mattfarina/farbtastic";s:7:"version";s:3:"1.2";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:74:"https://raw.githubusercontent.com/mattfarina/farbtastic/master/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/farbtastic/farbtastic.js";s:7:"version";s:3:"1.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/farbtastic/farbtastic.css";s:7:"version";s:3:"1.2";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:163:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3306232";}s:11:"jquery.form";a:7:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:20:"internal.jquery.form";a:6:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:14:"jquery.joyride";a:7:{s:6:"remote";s:31:"https://github.com/zurb/joyride";s:7:"version";s:7:"2.1.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/zurb/joyride/v2.1.0/README.markdown";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js";s:7:"version";s:7:"2.1.0.1";s:8:"minified";b:0;}}s:10:"deprecated";s:138:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3195234.";s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:8:"shepherd";a:7:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:17:"internal.shepherd";a:6:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:11:"jquery.once";a:7:{s:6:"remote";s:39:"https://github.com/RobLoach/jquery-once";s:7:"version";s:5:"2.2.3";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/RobLoach/jquery-once/2.2.3/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:19:"core/jquery.once.bc";}s:10:"deprecated";s:173:"The %library_id% asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256";s:3:"css";a:0:{}}s:14:"jquery.once.bc";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:25:"core/drupal.object.assign";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"jquery.ui";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:14:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:22:"jquery.ui.autocomplete";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:4:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:23:"core/jquery.ui.position";i:3;s:19:"core/jquery.ui.menu";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.button";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:3:{i:0;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.dialog";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:23:{i:0;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}i:22;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:7:{i:0;a:5:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/dialog.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:3;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}i:4;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}i:5;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:6;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";i:2;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:19:"jquery.ui.draggable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:20:"core/jquery.ui.mouse";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:14:"jquery.ui.menu";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:23:"core/jquery.ui.position";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:15:"jquery.ui.mouse";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:2:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:22:"drupal.jquery.position";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"jquery.ui.position";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:2:"js";a:0:{}s:3:"css";a:0:{}}s:19:"jquery.ui.resizable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:20:"core/jquery.ui.mouse";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.widget";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:14:"core/jquery.ui";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:9:"modernizr";a:7:{s:6:"header";b:1;s:6:"remote";s:38:"https://github.com/Modernizr/Modernizr";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:30:"https://modernizr.com/license/";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"3.11.7";s:2:"js";a:2:{i:0;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-21;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";}i:1;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:9:"normalize";a:6:{s:6:"remote";s:40:"https://github.com/necolas/normalize.css";s:7:"version";s:5:"3.0.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:62:"https://github.com/necolas/normalize.css/blob/3.0.3/LICENSE.md";s:14:"gpl-compatible";b:1;}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:-220;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:69:"core/themes/stable/css/core/assets/vendor/normalize-css/normalize.css";s:7:"version";s:5:"3.0.3";}i:1;a:5:{s:6:"weight";i:-219;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/stable/css/core/normalize-fixes.css";s:7:"version";s:5:"3.0.3";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:4:"once";a:6:{s:6:"remote";s:39:"https://git.drupalcode.org/project/once";s:7:"version";s:5:"1.0.1";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:63:"https://git.drupalcode.org/project/once/-/raw/v1.0.1/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}}s:11:"picturefill";a:6:{s:6:"remote";s:40:"https://github.com/scottjehl/picturefill";s:7:"version";s:5:"3.0.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/scottjehl/picturefill/3.0.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-10;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/picturefill/picturefill.min.js";s:7:"version";s:5:"3.0.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"popperjs";a:6:{s:7:"version";s:6:"2.11.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/popperjs/popper-core/v2.11.6/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";}}s:12:"dependencies";a:3:{i:0;s:22:"core/drupal.array.find";i:1;s:16:"core/es6-promise";i:2;s:25:"core/drupal.object.assign";}s:10:"deprecated";s:165:"The "%library_id%" asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3307518";s:3:"css";a:0:{}}s:8:"sortable";a:6:{s:6:"remote";s:38:"https://github.com/SortableJS/Sortable";s:7:"version";s:6:"1.15.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/SortableJS/Sortable/1.15.0/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/sortable/Sortable.min.js";s:7:"version";s:6:"1.15.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"tabbable";a:6:{s:6:"remote";s:38:"https://github.com/focus-trap/tabbable";s:7:"version";s:5:"5.3.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/focus-trap/tabbable/v5.3.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";}}s:12:"dependencies";a:1:{i:0;s:15:"core/css.escape";}s:3:"css";a:0:{}}s:20:"tabbable.jquery.shim";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:13:"core/tabbable";i:2;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"underscore";a:7:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"internal.underscore";a:6:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:24:"drupal.dialog.off_canvas";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:30:"core/misc/dialog/off-canvas.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:12:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/stable/css/core/dialog/off-canvas.reset.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/stable/css/core/dialog/off-canvas.base.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/stable/css/core/dialog/off-canvas.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:5:"group";i:0;s:6:"weight";i:-200;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/stable/css/core/dialog/off-canvas.theme.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/stable/css/core/dialog/off-canvas.motion.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/stable/css/core/dialog/off-canvas.button.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/stable/css/core/dialog/off-canvas.form.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/stable/css/core/dialog/off-canvas.table.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/stable/css/core/dialog/off-canvas.details.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/stable/css/core/dialog/off-canvas.tabledrag.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/stable/css/core/dialog/off-canvas.dropbutton.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/stable/css/core/dialog/off-canvas.layout.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:9:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:16:"core/drupal.ajax";i:5;s:20:"core/drupal.announce";i:6;s:18:"core/drupal.dialog";i:7;s:23:"core/drupal.dialog.ajax";i:8;s:28:"core/drupal.touchevents-test";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"js-cookie";a:6:{s:6:"remote";s:38:"https://github.com/js-cookie/js-cookie";s:7:"version";s:5:"3.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/js-cookie/js-cookie/v3.0.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/js-cookie/js.cookie.min.js";s:7:"version";s:5:"3.0.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}}s:14:"conferenceplus";a:196:{s:9:"bootstrap";a:5:{s:7:"version";s:5:"4.3.1";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/bootstrap/css/bootstrap.min.css";s:7:"version";s:5:"4.3.1";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/bootstrap/js/bootstrap.bundle.min.js";s:7:"version";s:5:"4.3.1";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"popper-cdn";a:6:{s:7:"version";s:6:"1.12.9";s:6:"remote";s:54:"//cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/";s:2:"js";a:1:{i:0;a:4:{s:5:"group";i:-100;s:4:"type";s:8:"external";s:4:"data";s:67:"//cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js";s:7:"version";s:6:"1.12.9";}}s:7:"license";a:3:{s:4:"name";s:21:"The MIT License (MIT)";s:3:"url";s:55:"//github.com/FezVrasta/popper.js/blob/master/LICENSE.md";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:13:"bootstrap-cdn";a:6:{s:7:"version";s:5:"4.3.1";s:6:"remote";s:41:"//maxcdn.bootstrapcdn.com/bootstrap/4.3.1";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:8:"external";s:4:"data";s:63:"//maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css";s:7:"version";s:5:"4.3.1";}}s:2:"js";a:1:{i:0;a:4:{s:5:"group";i:-100;s:4:"type";s:8:"external";s:4:"data";s:61:"//maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js";s:7:"version";s:5:"4.3.1";}}s:7:"license";a:3:{s:4:"name";s:21:"The MIT License (MIT)";s:3:"url";s:47:"//github.com/twbs/bootstrap/blob/master/LICENSE";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:25:"conferenceplus/popper-cdn";}}s:14:"global-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:49:{i:0;a:5:{s:6:"weight";i:-199;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"themes/custom/conferenceplus/css/base/elements.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"themes/custom/conferenceplus/css/base/layout.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/css/base/typography.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/components/alert.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"themes/custom/conferenceplus/css/components/accordion.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/components/block.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/css/components/buttons.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/better-exposed-filters.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/contact-info.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"themes/custom/conferenceplus/css/components/call-to-action.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/credit-cards.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"themes/custom/conferenceplus/css/components/dropdowns.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/css/components/fancy-block.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/fancy-block-2.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/highlights.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/more-links.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/fa-icons-list.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/components/forms.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/css/components/field-taxonomy-term.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/icons-list.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/social-links.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/social-media.css";s:7:"version";s:5:"9.5.7";}i:22;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"themes/custom/conferenceplus/css/components/item-list.css";s:7:"version";s:5:"9.5.7";}i:23;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/css/components/inline-list.css";s:7:"version";s:5:"9.5.7";}i:24;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/image-overlay.css";s:7:"version";s:5:"9.5.7";}i:25;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/node-sponsor.css";s:7:"version";s:5:"9.5.7";}i:26;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/css/components/node-testimonial.css";s:7:"version";s:5:"9.5.7";}i:27;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/node-links.css";s:7:"version";s:5:"9.5.7";}i:28;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/separators.css";s:7:"version";s:5:"9.5.7";}i:29;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"themes/custom/conferenceplus/css/components/subscribe-forms.css";s:7:"version";s:5:"9.5.7";}i:30;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"themes/custom/conferenceplus/css/components/search.css";s:7:"version";s:5:"9.5.7";}i:31;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/site-branding.css";s:7:"version";s:5:"9.5.7";}i:32;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:75:"themes/custom/conferenceplus/css/components/static-promoted-images-grid.css";s:7:"version";s:5:"9.5.7";}i:33;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"themes/custom/conferenceplus/css/components/pricing-tables.css";s:7:"version";s:5:"9.5.7";}i:34;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/css/components/text-blocks.css";s:7:"version";s:5:"9.5.7";}i:35;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"themes/custom/conferenceplus/css/components/tables.css";s:7:"version";s:5:"9.5.7";}i:36;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/css/components/tabs.css";s:7:"version";s:5:"9.5.7";}i:37;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/team-members.css";s:7:"version";s:5:"9.5.7";}i:38;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/components/pills.css";s:7:"version";s:5:"9.5.7";}i:39;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/progress-bars.css";s:7:"version";s:5:"9.5.7";}i:40;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"themes/custom/conferenceplus/css/components/layout-switcher.css";s:7:"version";s:5:"9.5.7";}i:41;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/css/components/language-switcher.css";s:7:"version";s:5:"9.5.7";}i:42;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/css/components/menu.css";s:7:"version";s:5:"9.5.7";}i:43;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/css/components/username.css";s:7:"version";s:5:"9.5.7";}i:44;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/components/views.css";s:7:"version";s:5:"9.5.7";}i:45;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"themes/custom/conferenceplus/css/components/juicer.css";s:7:"version";s:5:"9.5.7";}i:46;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:79:"themes/custom/conferenceplus/css/components/view-presentations-grid-filters.css";s:7:"version";s:5:"9.5.7";}i:47;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/view-calendar.css";s:7:"version";s:5:"9.5.7";}i:48;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/fonts/fontello/css/fontello.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"to-top";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"themes/custom/conferenceplus/css/components/to-top.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"themes/custom/conferenceplus/js/custom/to-top.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"fixed-header";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/fixed-header.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/js/init/waypoints-fixed-header-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:24:"conferenceplus/waypoints";i:1;s:31:"conferenceplus/waypoints-sticky";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"fixed-share-links";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:72:"themes/custom/conferenceplus/js/init/waypoints-fixed-share-links-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:24:"conferenceplus/waypoints";i:1;s:31:"conferenceplus/waypoints-inview";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"transparent-header";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/transparent-header.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/js/custom/transparent-header.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"inverted-header";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"themes/custom/conferenceplus/css/components/inverted-header.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"animate";a:5:{s:7:"version";s:5:"3.4.0";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"themes/custom/conferenceplus/js/animate/animate.css";s:7:"version";s:5:"3.4.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"animate-global";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:201;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/theme/animations.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:22:"conferenceplus/animate";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"slideout";a:5:{s:7:"version";s:6:"0.1.12";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/js/slideout/slideout.css";s:7:"version";s:6:"0.1.12";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/js/slideout/slideout.min.js";s:7:"version";s:6:"0.1.12";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"slideout-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/css/components/slideout.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/js/init/slideout-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:23:"conferenceplus/slideout";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"waypoints";a:5:{s:7:"version";s:5:"4.0.1";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/waypoints/jquery.waypoints.min.js";s:7:"version";s:5:"4.0.1";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"waypoints-sticky";a:5:{s:7:"version";s:5:"4.0.1";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/waypoints/shortcuts/sticky.min.js";s:7:"version";s:5:"4.0.1";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"waypoints-inview";a:5:{s:7:"version";s:5:"4.0.1";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/waypoints/shortcuts/inview.min.js";s:7:"version";s:5:"4.0.1";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"waypoints-animations-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/init/waypoints-animations-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:24:"conferenceplus/waypoints";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"magnific-popup";a:5:{s:7:"version";s:5:"1.1.0";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/magnific-popup/magnific-popup.css";s:7:"version";s:5:"1.1.0";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:75:"themes/custom/conferenceplus/js/magnific-popup/jquery.magnific-popup.min.js";s:7:"version";s:5:"1.1.0";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"magnific-popup-field-image-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:71:"themes/custom/conferenceplus/js/init/magnific-popup-field-image-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:38:"magnific-popup-field-mt-alb-image-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/js/init/magnific-popup-field-mt-alb-image-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:38:"magnific-popup-field-mt-bnf-image-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/js/init/magnific-popup-field-mt-bnf-image-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:38:"magnific-popup-field-mt-shw-image-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/js/init/magnific-popup-field-mt-shw-image-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:41:"magnific-popup-field-highlight-image-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:81:"themes/custom/conferenceplus/js/init/magnific-popup-field-highlight-image-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:45:"magnific-popup-field-mt-tmm-member-photo-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:85:"themes/custom/conferenceplus/js/init/magnific-popup-field-mt-tmm-member-photo-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:46:"magnific-popup-field-mt-spk-speaker-photo-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:86:"themes/custom/conferenceplus/js/init/magnific-popup-field-mt-spk-speaker-photo-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:38:"magnific-popup-field-image-slider-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/js/init/magnific-popup-field-image-slider-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"magnific-popup-field-video-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:71:"themes/custom/conferenceplus/js/init/magnific-popup-field-video-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:38:"magnific-popup-field-mt-adf-image-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/js/init/magnific-popup-field-mt-adf-image-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:29:"conferenceplus/magnific-popup";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"flexslider";a:5:{s:7:"version";s:5:"2.7.1";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"themes/custom/conferenceplus/js/flexslider/flexslider.css";s:7:"version";s:5:"2.7.1";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/js/flexslider/jquery.flexslider-min.js";s:7:"version";s:5:"2.7.1";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"flexslider-global";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/css/components/flexslider-global.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:25:"conferenceplus/flexslider";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"flexslider-in-page-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/flexslider-in-page.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:63:"themes/custom/conferenceplus/js/init/flexslider-in-page-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:32:"conferenceplus/flexslider-global";i:1;s:19:"core/drupalSettings";i:2;s:11:"core/drupal";i:3;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"flexslider-nodes-slideshow";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:74:"themes/custom/conferenceplus/css/components/flexslider-nodes-slideshow.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:71:"themes/custom/conferenceplus/js/init/flexslider-nodes-slideshow-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:32:"conferenceplus/flexslider-global";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"owl-carousel";a:5:{s:7:"version";s:5:"2.2.1";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:72:"themes/custom/conferenceplus/js/owl-carousel/assets/owl.carousel.min.css";s:7:"version";s:5:"2.2.1";}i:1;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:77:"themes/custom/conferenceplus/js/owl-carousel/assets/owl.theme.default.min.css";s:7:"version";s:5:"2.2.1";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/js/owl-carousel/owl.carousel.min.js";s:7:"version";s:5:"2.2.1";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"owl-carousel-global";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/css/components/owl-carousel-global.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:3:{i:0;s:27:"conferenceplus/owl-carousel";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"owl-carousel-products-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/view-products-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/js/init/owl-carousel-products-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:33:"conferenceplus/view-products-grid";i:1;s:34:"conferenceplus/owl-carousel-global";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"owl-carousel-albums-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:68:"themes/custom/conferenceplus/css/components/view-albums-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/js/init/owl-carousel-albums-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:31:"conferenceplus/view-albums-grid";i:1;s:34:"conferenceplus/owl-carousel-global";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"owl-carousel-team-members-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:74:"themes/custom/conferenceplus/css/components/view-team-members-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/js/init/owl-carousel-team-members-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:34:"conferenceplus/owl-carousel-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"owl-carousel-speakers-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/view-speakers-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/js/init/owl-carousel-speakers-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:34:"conferenceplus/owl-carousel-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"owl-carousel-testimonials-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:74:"themes/custom/conferenceplus/css/components/view-testimonials-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/js/init/owl-carousel-testimonials-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:37:"conferenceplus/view-testimonials-grid";i:1;s:34:"conferenceplus/owl-carousel-global";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"owl-carousel-articles-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/view-articles-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/js/init/owl-carousel-articles-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:33:"conferenceplus/view-articles-grid";i:1;s:34:"conferenceplus/owl-carousel-global";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"owl-carousel-related-nodes-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:75:"themes/custom/conferenceplus/css/components/view-related-nodes-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:71:"themes/custom/conferenceplus/js/init/owl-carousel-related-nodes-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:33:"conferenceplus/view-products-grid";i:1;s:34:"conferenceplus/owl-carousel-global";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"owl-carousel-sponsors-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/view-sponsors-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/js/init/owl-carousel-sponsors-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:34:"conferenceplus/owl-carousel-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:29:"owl-carousel-collections-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/css/components/view-collections-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:69:"themes/custom/conferenceplus/js/init/owl-carousel-collections-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:34:"conferenceplus/owl-carousel-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"in-page-navigation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/in-page-navigation.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/js/custom/in-page-navigation-scroll.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/js/custom/in-page-navigation-scrollspy.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"slider-revolution";a:5:{s:7:"version";s:5:"5.4.8";s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/js/revolution/css/settings.css";s:7:"version";s:5:"5.4.8";}i:1;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"themes/custom/conferenceplus/js/revolution/css/layers.css";s:7:"version";s:5:"5.4.8";}i:2;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/js/revolution/css/navigation.css";s:7:"version";s:5:"5.4.8";}}s:2:"js";a:2:{i:0;a:6:{s:10:"preprocess";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:76:"themes/custom/conferenceplus/js/revolution/js/jquery.themepunch.tools.min.js";s:7:"version";s:5:"5.4.8";s:8:"minified";b:0;}i:1;a:6:{s:10:"preprocess";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:81:"themes/custom/conferenceplus/js/revolution/js/jquery.themepunch.revolution.min.js";s:7:"version";s:5:"5.4.8";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"slider-revolution-global";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:1;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:72:"themes/custom/conferenceplus/css/components/slider-revolution-global.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:32:"conferenceplus/slider-revolution";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:34:"slider-revolution-full-screen-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:77:"themes/custom/conferenceplus/css/components/slider-revolution-full-screen.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:74:"themes/custom/conferenceplus/js/init/slider-revolution-full-screen-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"conferenceplus/slider-revolution-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"slider-revolution-full-width-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/js/init/slider-revolution-full-width-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"conferenceplus/slider-revolution-global";i:1;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:34:"slider-revolution-boxed-width-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:77:"themes/custom/conferenceplus/css/components/slider-revolution-boxed-width.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:74:"themes/custom/conferenceplus/js/init/slider-revolution-boxed-width-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"conferenceplus/slider-revolution-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:38:"slider-revolution-internal-banner-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:74:"themes/custom/conferenceplus/css/components/slider-revolution-internal.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/js/init/slider-revolution-internal-banner-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"conferenceplus/slider-revolution-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:47:"slider-revolution-internal-banner-carousel-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:83:"themes/custom/conferenceplus/css/components/slider-revolution-internal-carousel.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:87:"themes/custom/conferenceplus/js/init/slider-revolution-internal-banner-carousel-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"conferenceplus/slider-revolution-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:36:"slider-revolution-video-gallery-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:79:"themes/custom/conferenceplus/css/components/slider-revolution-video-gallery.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:76:"themes/custom/conferenceplus/js/init/slider-revolution-video-gallery-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"conferenceplus/slider-revolution-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"main-slideshow-block-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:68:"themes/custom/conferenceplus/css/components/main-slideshow-block.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/init/main-slideshow-block-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"conferenceplus/slider-revolution-global";i:1;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"typedjs";a:5:{s:7:"version";s:5:"2.0.6";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/js/typedjs/typed.min.js";s:7:"version";s:5:"2.0.6";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"typedjs-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/css/components/typedjs.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/js/init/typedjs-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:22:"conferenceplus/typedjs";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"front-page-background";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:69:"themes/custom/conferenceplus/css/components/front-page-background.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"header-background-image";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:71:"themes/custom/conferenceplus/css/components/header-background-image.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"view-recent-comments";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:68:"themes/custom/conferenceplus/css/components/view-recent-comments.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"view-promoted-items";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/css/components/view-promoted-items.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"view-items-list";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"themes/custom/conferenceplus/css/components/view-items-list.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:27:"view-promoted-items-masonry";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:75:"themes/custom/conferenceplus/css/components/view-promoted-items-masonry.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"view-grid-style-2";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/css/components/view-grid-style-2.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"view-products-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/view-products-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"view-products-list";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/view-products-list.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"view-albums-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/css/components/view-albums-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"view-albums-grid-2";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/view-albums-grid-2.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"view-events-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/css/components/view-events-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"view-sponsors-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/view-sponsors-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"view-presentations-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:71:"themes/custom/conferenceplus/css/components/view-presentations-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"view-services-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/view-services-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"view-articles-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/view-articles-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"view-articles-list-2";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:68:"themes/custom/conferenceplus/css/components/view-articles-list-2.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"view-popular-taxonomy";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:69:"themes/custom/conferenceplus/css/components/view-popular-taxonomy.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"view-latest-items";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/css/components/view-latest-items.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"view-speakers";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/view-speakers.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"view-testimonials-list";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/view-testimonials-list.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"view-testimonials-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/view-testimonials-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"view-testimonials-grid-2";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:72:"themes/custom/conferenceplus/css/components/view-testimonials-grid-2.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"view-testimonials-masonry";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/css/components/view-testimonials-masonry.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/js/init/isotope-testimonials-masonry-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:27:"conferenceplus/imagesloaded";i:1;s:22:"conferenceplus/isotope";i:2;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"view-team-members-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/view-team-members-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"view-team-members-grid-2";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:72:"themes/custom/conferenceplus/css/components/view-team-members-grid-2.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"view-titles-list";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/css/components/view-titles-list.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"view-pricing-tables";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/css/components/view-pricing-tables.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"view-collections-grid";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:69:"themes/custom/conferenceplus/css/components/view-collections-grid.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"view-collections-image-overlay";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/css/components/view-collections-image-overlay.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"view-calendar";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/view-calendar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"google-maps-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/google-map.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/js/init/google-map-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:34:"conferenceplus/google-maps-dynamic";i:1;s:11:"core/jquery";i:2;s:19:"core/drupalSettings";i:3;s:11:"core/drupal";i:4;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"event-location-google-maps-init";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/css/components/event-location-google-map.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:71:"themes/custom/conferenceplus/js/init/event-location-google-maps-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:34:"conferenceplus/google-maps-dynamic";i:1;s:11:"core/jquery";i:2;s:19:"core/drupalSettings";i:3;s:11:"core/drupal";i:4;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"imagesloaded";a:5:{s:7:"version";s:5:"3.2.0";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:69:"themes/custom/conferenceplus/js/imagesloaded/imagesloaded.pkgd.min.js";s:7:"version";s:5:"3.2.0";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"isotope";a:5:{s:7:"version";s:5:"2.2.2";s:2:"js";a:1:{i:0;a:6:{s:5:"scope";s:6:"header";s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/js/isotope/isotope.pkgd.min.js";s:7:"version";s:5:"2.2.2";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"isotope-global";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:1;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"themes/custom/conferenceplus/css/components/isotope-global.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:22:"conferenceplus/isotope";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"isotope-filters-grid-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/js/init/isotope-filters-grid-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:27:"conferenceplus/imagesloaded";i:1;s:29:"conferenceplus/isotope-global";i:2;s:11:"core/jquery";i:3;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"isotope-masonry-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/js/init/isotope-masonry-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:27:"conferenceplus/imagesloaded";i:1;s:22:"conferenceplus/isotope";i:2;s:42:"conferenceplus/view-promoted-items-masonry";i:3;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"tooltip";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/css/components/tooltip.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/js/init/tooltip-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"count-to";a:5:{s:7:"version";s:5:"1.2.0";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/js/count-to/jquery.countTo.js";s:7:"version";s:5:"1.2.0";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"count-to-init";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/js/init/count-to-init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:23:"conferenceplus/count-to";i:1;s:24:"conferenceplus/waypoints";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"node";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/css/components/node.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"node-article";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/node-article.css";s:7:"version";s:5:"9.5.7";}i:1;a:6:{s:5:"media";s:5:"print";s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/css/theme/article-print.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"node-product";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/node-product.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:80:"themes/custom/conferenceplus/css/components/field-mt-prd-additional-features.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"node-program-entry";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"themes/custom/conferenceplus/css/components/node-program-entry.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"node-view-mode-slide-view";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/css/components/node-view-mode-slide-view.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"node-service";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/node-service.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"node-presentation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/css/components/node-presentation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"node-event";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/node-event.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"node-team-member";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/css/components/node-team-member.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"node-speaker";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/node-speaker.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"highlight";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"themes/custom/conferenceplus/css/components/highlight.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"post-progress";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/post-progress.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/js/custom/post-progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"reading-time";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/css/components/reading-time.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"share-links";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/css/components/share-links.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"font-resize";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/css/components/font-resize.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/js/custom/font-resize.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"affix";a:5:{s:7:"version";s:5:"3.3.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"themes/custom/conferenceplus/js/affix/affix.min.js";s:7:"version";s:5:"3.3.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"node-side-affix";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"themes/custom/conferenceplus/css/components/node-side-affix.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"themes/custom/conferenceplus/js/custom/node-side-affix.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:20:"conferenceplus/affix";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"node-images";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/css/components/node-images.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"field-mt-video";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"themes/custom/conferenceplus/css/components/field-mt-video.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"field-mt-prd-content-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/css/components/field-mt-prd-content-tabs.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"field-mt-shw-content-collapses";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:78:"themes/custom/conferenceplus/css/components/field-mt-shw-content-collapses.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"media-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/media-tabs.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"collapsible-block";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"themes/custom/conferenceplus/css/components/collapsible-block.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"fancy-linked-images-block";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:73:"themes/custom/conferenceplus/css/components/fancy-linked-images-block.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"themes/custom/conferenceplus/js/custom/fancy-linked-images-block.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/js/custom/clip-path-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:32:"featured-linked-text-tiles-block";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:80:"themes/custom/conferenceplus/css/components/featured-linked-text-tiles-block.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"icon-features";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/icon-features.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"timeline";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/css/components/timeline.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"background-image-block";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/background-image-block.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:14:"core/modernizr";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"background-video-block";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"themes/custom/conferenceplus/css/components/background-video-block.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"themes/custom/conferenceplus/js/mt-modernizr/mt-modernizr.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"fontawesome";a:6:{s:7:"version";s:5:"5.0.8";s:6:"remote";s:22:"//use.fontawesome.com/";s:2:"js";a:1:{i:0;a:4:{s:5:"group";i:-100;s:4:"type";s:8:"external";s:4:"data";s:47:"//use.fontawesome.com/releases/v5.0.8/js/all.js";s:7:"version";s:5:"5.0.8";}}s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:42:"//opensource.org/licenses/mit-license.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:15:"fontawesome-css";a:6:{s:7:"version";s:5:"5.0.8";s:6:"remote";s:22:"//use.fontawesome.com/";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:49:"//use.fontawesome.com/releases/v5.0.8/css/all.css";s:7:"version";s:5:"5.0.8";}}s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:42:"//opensource.org/licenses/mit-license.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:10:"breadcrumb";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"pager";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/components/pager.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"mini-pager";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"themes/custom/conferenceplus/css/components/mini-pager.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"detailed-pager";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"themes/custom/conferenceplus/css/components/detailed-pager.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"mt-count-down";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"themes/custom/conferenceplus/css/components/mt-count-down.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"messages";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/css/components/messages.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"comments";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"themes/custom/conferenceplus/css/components/comments.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"comment";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/css/components/comment.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"theme-settings";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"themes/custom/conferenceplus/css/components/theme-settings.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"maintenance-page";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/css/components/maintenance-page.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"local-stylesheets";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/css/base/local-base.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"themes/custom/conferenceplus/css/components/local-components.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:350;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"themes/custom/conferenceplus/css/theme/local-theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"color-blue";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/theme/color-blue.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"color-khaki";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"themes/custom/conferenceplus/css/theme/color-khaki.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"color-gold";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/theme/color-gold.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"color-gray";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/theme/color-gray.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"color-green";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"themes/custom/conferenceplus/css/theme/color-green.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"color-night-blue";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"themes/custom/conferenceplus/css/theme/color-night-blue.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"color-orange";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/css/theme/color-orange.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"color-pink";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"themes/custom/conferenceplus/css/theme/color-pink.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"color-purple";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"themes/custom/conferenceplus/css/theme/color-purple.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"color-red";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:6:"weight";i:300;s:10:"preprocess";b:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"themes/custom/conferenceplus/css/theme/color-red.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"fonts-id-01";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:107:"//fonts.googleapis.com/css?family=Merriweather:400,300italic,300,400italic,700,700italic&subset=latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-02";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:110:"//fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,900,400italic,700italic,900italic&subset=latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-03";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:87:"//fonts.googleapis.com/css?family=Ubuntu:400,700,400italic,700italic&subset=latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:24:"Ubuntu Font Licence, 1.0";s:3:"url";s:22:"//font.ubuntu.com/ufl/";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-04";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:88:"//fonts.googleapis.com/css?family=PT+Sans:400,700,400italic,700italic&subset=latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-05";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:101:"//fonts.googleapis.com/css?family=Roboto:400,400italic,700,300,700italic&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-06";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:96:"//fonts.googleapis.com/css?family=Open+Sans:400,400i,600,600i,700,700i,800,800i&amp;subset=greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-07";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:94:"//fonts.googleapis.com/css?family=Lato:300,400,700,900,300italic,400italic,700italic,900italic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-08";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:111:"//fonts.googleapis.com/css?family=Roboto+Condensed:400italic,700italic,400,300,700&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-09";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:98:"//fonts.googleapis.com/css?family=Exo:400,700,800,400italic,700italic,800italic&subset=latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-10";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:86:"//fonts.googleapis.com/css?family=Roboto+Slab:400,300,700&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-11";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:86:"//fonts.googleapis.com/css?family=Raleway:400,700,500,300&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-12";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:121:"//fonts.googleapis.com/css?family=Josefin+Sans:300,400,600,700,400italic,600italic,700italic&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-14";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:107:"//fonts.googleapis.com/css?family=Playfair+Display:400,700,400italic,700italic&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-15";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:102:"//fonts.googleapis.com/css?family=Philosopher:400,700,400italic,700italic&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-16";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:81:"//fonts.googleapis.com/css?family=Cinzel:400,700,900&subset=latin-ext,latin,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-17";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:75:"//fonts.googleapis.com/css?family=Oswald:400,300,700&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-18";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:110:"//fonts.googleapis.com/css?family=Playfair+Display+SC:400,400italic,700,700italic&subset=latin,greek,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-19";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:67:"//fonts.googleapis.com/css?family=Cabin:400,700,400italic,700italic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-20";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:71:"//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic,700italic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-22";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:73:"//fonts.googleapis.com/css?family=Droid+Serif:400,700,400italic,700italic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-23";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:93:"//fonts.googleapis.com/css?family=PT+Serif:400,700,400italic,700italic&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-24";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:70:"//fonts.googleapis.com/css?family=Vollkorn:400italic,700italic,400,700";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-25";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:97:"//fonts.googleapis.com/css?family=Alegreya:400italic,700italic,400,700,900&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-26";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:101:"//fonts.googleapis.com/css?family=Noto+Serif:400,700,400italic,700italic&subset=latin,latin-ext,greek";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-27";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:78:"//fonts.googleapis.com/css?family=Crimson+Text:400,400italic,600,700,600italic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-28";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:80:"//fonts.googleapis.com/css?family=Gentium+Book+Basic:400,400italic,700,700italic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-29";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:69:"//fonts.googleapis.com/css?family=Volkhov:400,400italic,700,700italic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-31";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:100:"//fonts.googleapis.com/css?family=Alegreya+SC:400,400italic,700,700italic,900&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-32";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:119:"//fonts.googleapis.com/css?family=Montserrat:300,300i,400,400i,500,500i,600,600i,700,700i,900,900i&amp;subset=latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-33";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:29:"//code.cdn.mozilla.net/fonts/";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:37:"//code.cdn.mozilla.net/fonts/fira.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-34";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:89:"//fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-35";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:102:"//fonts.googleapis.com/css?family=Quattrocento+Sans:400,400italic,700,700italic&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-36";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:72:"//fonts.googleapis.com/css?family=Julius+Sans+One&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-37";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:82:"//fonts.googleapis.com/css?family=Work+Sans:400,700,300,900&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-38";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:120:"//fonts.googleapis.com/css?family=Open+Sans+Condensed:300,300italic,700&subset=latin,vietnamese,greek,cyrillic,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-39";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:88:"//fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700&subset=latin,latin-ext,cyrillic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-40";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:99:"//fonts.googleapis.com/css?family=Archivo+Narrow:400,400italic,700,700italic&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-41";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:88:"//fonts.googleapis.com/css?family=Ubuntu+Condensed&subset=latin,greek,cyrillic,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-42";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:95:"//fonts.googleapis.com/css?family=Arimo:400,400italic,700,700italic&subset=latin,greek,cyrillic";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:27:"Apache License, version 2.0";s:3:"url";s:42:"//www.apache.org/licenses/LICENSE-2.0.html";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-43";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:99:"//fonts.googleapis.com/css?family=Libre+Franklin:300,400,400i,500,500i,600,700&amp;subset=latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-44";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:66:"//fonts.googleapis.com/css?family=Cantata+One&amp;subset=latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-45";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:110:"//fonts.googleapis.com/css?family=Zilla+Slab:300,300i,400,400i,500,500i,600,600i,700,700i&amp;subset=latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-46";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:111:"//fonts.googleapis.com/css?family=Nunito+Sans:300,300i,400,400i,600,600i,700,700i,900,900i&amp;subset=latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-47";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:104:"//fonts.googleapis.com/css?family=Muli:300,300i,400,400i,600,600i,700,700i,900,900i&amp;subset=latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:11:"fonts-id-48";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:104:"//fonts.googleapis.com/css?family=Encode+Sans+Condensed:300,400,500,600,700,800,900&amp;subset=latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:19:"fonts-sourcecodepro";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:72:"//fonts.googleapis.com/css?family=Source+Code+Pro&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:14:"fonts-pt-serif";a:6:{s:7:"version";s:5:"9.5.7";s:6:"remote";s:26:"//fonts.googleapis.com/css";s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:200;s:5:"group";i:100;s:4:"data";s:93:"//fonts.googleapis.com/css?family=PT+Serif:400,700,400italic,700italic&subset=latin,latin-ext";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:26:"SIL Open Font License, 1.1";s:3:"url";s:21:"//scripts.sil.org/OFL";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:19:"google-maps-dynamic";a:6:{s:7:"version";s:1:"3";s:6:"remote";s:39:"https://maps.googleapis.com/maps/api/js";s:2:"js";a:1:{i:0;a:5:{s:5:"scope";a:1:{i:0;s:6:"footer";}s:5:"group";i:-100;s:4:"type";s:8:"external";s:4:"data";s:87:"https://maps.googleapis.com/maps/api/js?v=3&key=AIzaSyDyL-4KyWw_3hp-0jmZLGcJ3zMWkkJ44VI";s:7:"version";s:1:"3";}}s:7:"license";a:2:{s:4:"name";a:1:{i:0;s:23:"Google Terms of Service";}s:3:"url";a:1:{i:0;s:40:"https://developers.google.com/maps/terms";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}}}', -1, '1681649817.706', 1, 'library_info', '0');
INSERT INTO `cache_discovery` VALUES
('library_info:olivero', 'a:18:{s:10:"contextual";a:2:{s:23:"drupal.contextual-links";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:6:{i:0;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/contextual/css/contextual.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/css/contextual.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/css/contextual.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:8:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/drupal.ajax";i:3;s:19:"core/drupalSettings";i:4;s:22:"core/internal.backbone";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";i:7;s:28:"core/drupal.touchevents-test";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"drupal.contextual-toolbar";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:4:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/contextual/css/contextual.toolbar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:22:"core/internal.backbone";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:26:"core/drupal.tabbingmanager";i:6;s:20:"core/drupal.announce";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:7:"olivero";a:35:{s:14:"global-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:45:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/olivero/css/base/fonts.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/themes/olivero/css/base/base.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/themes/olivero/css/base/utility.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/olivero/css/layout/layout.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/olivero/css/layout/grid.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/olivero/css/layout/layout-content-narrow.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/olivero/css/layout/layout-content-medium.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/olivero/css/layout/layout-footer.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/olivero/css/layout/region.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/layout/region-content.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/olivero/css/layout/region-hero.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/olivero/css/layout/region-secondary-menu.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/olivero/css/layout/social-bar.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/themes/olivero/css/layout/views.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/olivero/css/components/block.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/olivero/css/components/embedded-media.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/olivero/css/components/footer.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/olivero/css/components/button.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"core/themes/olivero/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/olivero/css/components/fieldset.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/olivero/css/components/field.css";s:7:"version";s:5:"9.5.7";}i:22;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/olivero/css/components/form.css";s:7:"version";s:5:"9.5.7";}i:23;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/olivero/css/components/form-boolean.css";s:7:"version";s:5:"9.5.7";}i:24;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/olivero/css/components/form-text.css";s:7:"version";s:5:"9.5.7";}i:25;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/olivero/css/components/form-textarea.css";s:7:"version";s:5:"9.5.7";}i:26;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/olivero/css/components/form-select.css";s:7:"version";s:5:"9.5.7";}i:27;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/olivero/css/components/header-buttons-mobile.css";s:7:"version";s:5:"9.5.7";}i:28;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/olivero/css/components/header-navigation.css";s:7:"version";s:5:"9.5.7";}i:29;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/olivero/css/components/header-site-branding.css";s:7:"version";s:5:"9.5.7";}i:30;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/olivero/css/components/header-sticky-toggle.css";s:7:"version";s:5:"9.5.7";}i:31;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/olivero/css/components/hero.css";s:7:"version";s:5:"9.5.7";}i:32;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/olivero/css/components/links.css";s:7:"version";s:5:"9.5.7";}i:33;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/olivero/css/components/messages.css";s:7:"version";s:5:"9.5.7";}i:34;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:67:"core/themes/olivero/css/components/navigation/nav-button-mobile.css";s:7:"version";s:5:"9.5.7";}i:35;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/olivero/css/components/node.css";s:7:"version";s:5:"9.5.7";}i:36;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/olivero/css/components/node-teaser.css";s:7:"version";s:5:"9.5.7";}i:37;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/page-title.css";s:7:"version";s:5:"9.5.7";}i:38;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/olivero/css/components/site-header.css";s:7:"version";s:5:"9.5.7";}i:39;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/olivero/css/components/skip-link.css";s:7:"version";s:5:"9.5.7";}i:40;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/olivero/css/components/pager.css";s:7:"version";s:5:"9.5.7";}i:41;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/olivero/css/components/table.css";s:7:"version";s:5:"9.5.7";}i:42;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/olivero/css/components/text-content.css";s:7:"version";s:5:"9.5.7";}i:43;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/olivero/css/components/tabledrag.css";s:7:"version";s:5:"9.5.7";}i:44;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/wide-image.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/checkbox.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/olivero/js/navigation-utils.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:27:"core/drupal.element.closest";i:1;s:27:"core/drupal.element.matches";i:2;s:28:"core/drupal.nodelist.foreach";i:3;s:11:"core/drupal";i:4;s:9:"core/once";i:5;s:13:"core/tabbable";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"book";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/olivero/css/components/book.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"cke-dialog";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/cke-dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"comments";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/olivero/css/components/comments.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/comments.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"content-below";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/olivero/css/layout/region-content-below.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"content_moderation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/olivero/css/components/content-moderation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"details";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/olivero/css/components/details.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"dialog.off_canvas";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/off-canvas.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/olivero/css/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupal.message";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/olivero/js/message.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:16:"olivero/messages";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"drupal.node.preview";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/olivero/css/components/node-preview-container.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"feed";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/olivero/css/components/feed.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"filter.theme";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/olivero/css/theme/filter.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"forum";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/olivero/css/components/forum.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"layout_builder_fourcol_section";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:65:"core/themes/olivero/css/layout/layout-builder-fourcol-section.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"layout_builder_threecol_section";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/olivero/css/layout/layout-builder-threecol-section.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:29:"layout_builder_twocol_section";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:64:"core/themes/olivero/css/layout/layout-builder-twocol-section.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:32:"olivero/layout_discovery_section";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"layout_discovery_section";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/olivero/css/layout/layout-discovery-section-layout.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:28:"layout-views-grid-horizontal";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"core/themes/olivero/css/layout/layout-views-grid-horizontal.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"layout-views-grid-vertical";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/olivero/css/layout/layout-views-grid-vertical.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"local-actions";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/olivero/css/components/action-links.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"maintenance-page";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/olivero/css/components/maintenance-page.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"menu-sidebar";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"core/themes/olivero/css/components/navigation/menu-sidebar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"messages";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/themes/olivero/js/messages.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:26:"core/drupal.array.includes";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"navigation-primary";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/olivero/css/components/navigation/nav-primary.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:68:"core/themes/olivero/css/components/navigation/nav-primary-button.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/olivero/css/components/navigation/nav-primary-wide.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:3:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/js/second-level-navigation.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/olivero/js/nav-resize.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:9:"core/once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"navigation-secondary";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:63:"core/themes/olivero/css/components/navigation/nav-secondary.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"powered-by-block";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/olivero/css/components/powered-by-block.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:8:"progress";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/olivero/css/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"search-narrow";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/olivero/css/components/header-search-narrow.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"search-results";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/olivero/css/components/search-results.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"search-wide";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/olivero/css/components/header-search-wide.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/olivero/js/search.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"sidebar";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/layout/layout-sidebar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"tabs";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/olivero/css/components/tabs.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:30:"core/themes/olivero/js/tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"tags";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/olivero/css/components/tags.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"core";a:98:{s:8:"backbone";a:7:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:15:"core/underscore";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:17:"internal.backbone";a:6:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:24:"core/internal.underscore";}s:3:"css";a:0:{}}s:8:"ckeditor";a:7:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.5.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3304481";s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor4";s:7:"version";s:5:"9.5.7";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/ckeditor/ckeditor.js";s:7:"version";s:6:"4.21.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/cke-dialog.css";s:7:"version";s:5:"9.5.7";}}}s:9:"ckeditor5";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/ckeditor5-dll/ckeditor5-dll.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.editorClassic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/editor-classic/editor-classic.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:25:"ckeditor5.editorDecoupled";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"core/assets/vendor/ckeditor5/editor-decoupled/editor-decoupled.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:26:"core/ckeditor5.htmlSupport";}s:3:"css";a:0:{}}s:20:"ckeditor5.essentials";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.1.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:61:"https://github.com/ckeditor/ckeditor5/blob/v35.1.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/essentials/essentials.js";s:7:"version";s:6:"35.1.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:22:"core/ckeditor5.heading";}s:3:"css";a:0:{}}s:17:"ckeditor5.heading";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/ckeditor5/heading/heading.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.basic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/basic-styles/basic-styles.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:27:"ckeditor5.specialCharacters";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:69:"core/assets/vendor/ckeditor5/special-characters/special-characters.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:20:"ckeditor5.blockquote";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/ckeditor5/block-quote/block-quote.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.image";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/image/image.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.link";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/link/link.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.list";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/list/list.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:24:"ckeditor5.horizontalLine";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:63:"core/assets/vendor/ckeditor5/horizontal-line/horizontal-line.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:21:"ckeditor5.htmlSupport";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/html-support/html-support.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.alignment";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/ckeditor5/alignment/alignment.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.removeFormat";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/remove-format/remove-format.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:25:"ckeditor5.pasteFromOffice";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"core/assets/vendor/ckeditor5/paste-from-office/paste-from-office.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:16:"ckeditor5.indent";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/ckeditor5/indent/indent.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.sourceEditing";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/source-editing/source-editing.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.table";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/table/table.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:18:"ckeditor5.language";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/ckeditor5/language/language.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.codeBlock";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/code-block/code-block.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.style";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/style/style.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.translations";a:4:{s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/translation.js";s:7:"version";i:-1;s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"css.escape";a:6:{s:6:"remote";s:43:"https://github.com/mathiasbynens/CSS.escape";s:7:"version";s:5:"1.5.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:81:"https://raw.githubusercontent.com/mathiasbynens/CSS.escape/v1.5.1/LICENSE-MIT.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"drupal";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";i:-17;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"core/drupalSettings";}s:14:"drupalSettings";a:1:{s:25:"suppressDeprecationErrors";b:1;}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupalSettings";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.active-link";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.ajax";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";N;s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}s:12:"dependencies";a:10:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";i:7;s:13:"core/tabbable";i:8;s:11:"core/loadjs";i:9;s:16:"core/es6-promise";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.announce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"loadjs";a:6:{s:6:"remote";s:32:"https://github.com/muicss/loadjs";s:7:"version";s:5:"4.2.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/muicss/loadjs/4.2.0/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"drupal.autocomplete";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:18:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/autocomplete.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:5:"9.5.7";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:3;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:4:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:25:"core/tabbable.jquery.shim";i:5;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.array.find";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.array.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/polyfills/array.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"drupal.batch";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:5:"cache";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:18:"core/misc/batch.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.collapse";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:3:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:14:"core/modernizr";i:2;s:11:"core/drupal";i:3;s:16:"core/drupal.form";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/olivero/css/components/details.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.customevent";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/polyfills/customevent.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.date";a:6:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3258267";s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:14:"core/modernizr";i:2;s:9:"core/once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.debounce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:26:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:22;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:23;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:24;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:25;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:8:{i:0;a:5:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/dialog.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/olivero/css/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:20:"core/drupal.debounce";i:4;s:20:"core/drupal.displace";i:5;s:25:"core/tabbable.jquery.shim";i:6;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.dialog.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/dialog/dialog.ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:18:"core/drupal.dialog";i:5;s:13:"core/tabbable";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.displace";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/dropbutton/dropbutton.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.closest";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.closest.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.matches";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.entity-form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/entity-form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"drupal.machine-name";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/machine-name.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupal.message";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:20:"core/misc/message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/olivero/js/message.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.announce";i:2;s:16:"olivero/messages";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.nodelist.foreach";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.object.assign";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.progress";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:19:"core/drupalSettings";}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/olivero/css/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.states";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/states.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.string.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/string.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.tabbingmanager";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:13:"core/tabbable";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"drupal.tabledrag";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:22:"core/misc/tabledrag.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:28:"core/drupal.touchevents-test";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableheader";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableheader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:20:"core/drupal.displace";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.tableresponsive";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/misc/tableresponsive.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableselect";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableselect.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.checkbox";i:2;s:11:"core/jquery";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.timezone";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/timezone.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:28:"core/drupal.nodelist.foreach";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";i:4;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.touchevents-test";a:6:{s:6:"header";b:1;s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-22;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.vertical-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/vertical-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/olivero/css/components/vertical-tabs.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"es6-promise";a:5:{s:7:"version";s:5:"4.2.8";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/stefanpenner/es6-promise/v4.2.8/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"jquery";a:6:{s:6:"remote";s:32:"https://github.com/jquery/jquery";s:7:"version";s:5:"3.6.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery/jquery/3.6.3/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:13:"jquery.cookie";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/jquery.cookie.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:14:"core/js-cookie";}s:10:"deprecated";s:178:"The %library_id% asset library is deprecated in Drupal 9.0.0 and will be removed in Drupal 10.0.0. Use the core/js-cookie library instead. See https://www.drupal.org/node/3104677";s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"jquery.farbtastic";a:7:{s:6:"remote";s:40:"https://github.com/mattfarina/farbtastic";s:7:"version";s:3:"1.2";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:74:"https://raw.githubusercontent.com/mattfarina/farbtastic/master/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/farbtastic/farbtastic.js";s:7:"version";s:3:"1.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/farbtastic/farbtastic.css";s:7:"version";s:3:"1.2";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:163:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3306232";}s:11:"jquery.form";a:7:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:20:"internal.jquery.form";a:6:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:14:"jquery.joyride";a:7:{s:6:"remote";s:31:"https://github.com/zurb/joyride";s:7:"version";s:7:"2.1.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/zurb/joyride/v2.1.0/README.markdown";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js";s:7:"version";s:7:"2.1.0.1";s:8:"minified";b:0;}}s:10:"deprecated";s:138:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3195234.";s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:8:"shepherd";a:7:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:17:"internal.shepherd";a:6:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:11:"jquery.once";a:7:{s:6:"remote";s:39:"https://github.com/RobLoach/jquery-once";s:7:"version";s:5:"2.2.3";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/RobLoach/jquery-once/2.2.3/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:19:"core/jquery.once.bc";}s:10:"deprecated";s:173:"The %library_id% asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256";s:3:"css";a:0:{}}s:14:"jquery.once.bc";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:25:"core/drupal.object.assign";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"jquery.ui";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:14:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:22:"jquery.ui.autocomplete";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:4:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:23:"core/jquery.ui.position";i:3;s:19:"core/jquery.ui.menu";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.button";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:3:{i:0;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.dialog";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:23:{i:0;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}i:22;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:7:{i:0;a:5:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/dialog.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:3;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}i:4;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}i:5;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:6;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";i:2;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:19:"jquery.ui.draggable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:20:"core/jquery.ui.mouse";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:14:"jquery.ui.menu";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:23:"core/jquery.ui.position";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:15:"jquery.ui.mouse";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:2:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:22:"drupal.jquery.position";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"jquery.ui.position";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:2:"js";a:0:{}s:3:"css";a:0:{}}s:19:"jquery.ui.resizable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:20:"core/jquery.ui.mouse";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.widget";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:14:"core/jquery.ui";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:9:"modernizr";a:7:{s:6:"header";b:1;s:6:"remote";s:38:"https://github.com/Modernizr/Modernizr";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:30:"https://modernizr.com/license/";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"3.11.7";s:2:"js";a:2:{i:0;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-21;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";}i:1;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:9:"normalize";a:6:{s:6:"remote";s:40:"https://github.com/necolas/normalize.css";s:7:"version";s:5:"8.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:72:"https://raw.githubusercontent.com/necolas/normalize.css/8.0.1/LICENSE.md";s:14:"gpl-compatible";b:1;}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:-220;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/normalize-css/normalize.css";s:7:"version";s:5:"8.0.1";}i:1;a:5:{s:6:"weight";i:-219;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/normalize-fixes.css";s:7:"version";s:5:"8.0.1";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:4:"once";a:6:{s:6:"remote";s:39:"https://git.drupalcode.org/project/once";s:7:"version";s:5:"1.0.1";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:63:"https://git.drupalcode.org/project/once/-/raw/v1.0.1/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}}s:11:"picturefill";a:6:{s:6:"remote";s:40:"https://github.com/scottjehl/picturefill";s:7:"version";s:5:"3.0.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/scottjehl/picturefill/3.0.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-10;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/picturefill/picturefill.min.js";s:7:"version";s:5:"3.0.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"popperjs";a:6:{s:7:"version";s:6:"2.11.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/popperjs/popper-core/v2.11.6/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";}}s:12:"dependencies";a:3:{i:0;s:22:"core/drupal.array.find";i:1;s:16:"core/es6-promise";i:2;s:25:"core/drupal.object.assign";}s:10:"deprecated";s:165:"The "%library_id%" asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3307518";s:3:"css";a:0:{}}s:8:"sortable";a:6:{s:6:"remote";s:38:"https://github.com/SortableJS/Sortable";s:7:"version";s:6:"1.15.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/SortableJS/Sortable/1.15.0/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/sortable/Sortable.min.js";s:7:"version";s:6:"1.15.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"tabbable";a:6:{s:6:"remote";s:38:"https://github.com/focus-trap/tabbable";s:7:"version";s:5:"5.3.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/focus-trap/tabbable/v5.3.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";}}s:12:"dependencies";a:1:{i:0;s:15:"core/css.escape";}s:3:"css";a:0:{}}s:20:"tabbable.jquery.shim";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:13:"core/tabbable";i:2;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"underscore";a:7:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"internal.underscore";a:6:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:24:"drupal.dialog.off_canvas";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:30:"core/misc/dialog/off-canvas.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:13:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.reset.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/off-canvas.base.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/dialog/off-canvas.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:5:"group";i:0;s:6:"weight";i:-200;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.theme.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.motion.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.button.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/off-canvas.form.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.table.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/dialog/off-canvas.details.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"core/misc/dialog/off-canvas.tabledrag.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/misc/dialog/off-canvas.dropbutton.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.layout.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/olivero/css/components/off-canvas.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:9:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:16:"core/drupal.ajax";i:5;s:20:"core/drupal.announce";i:6;s:18:"core/drupal.dialog";i:7;s:23:"core/drupal.dialog.ajax";i:8;s:28:"core/drupal.touchevents-test";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"js-cookie";a:6:{s:6:"remote";s:38:"https://github.com/js-cookie/js-cookie";s:7:"version";s:5:"3.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/js-cookie/js-cookie/v3.0.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/js-cookie/js.cookie.min.js";s:7:"version";s:5:"3.0.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}}s:16:"mt_cookieconsent";a:1:{s:16:"mt_cookieconsent";a:5:{s:7:"version";s:3:"1.x";s:3:"css";a:2:{i:0;a:7:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";s:7:"version";s:3:"1.x";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"modules/custom/mt_cookieconsent/css/mt_cookieconsent.css";s:7:"version";s:3:"1.x";}}s:2:"js";a:2:{i:0;a:6:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:12:"mt_countdown";a:1:{s:12:"mt_countdown";a:5:{s:7:"version";s:3:"1.x";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/custom/mt_countdown/css/mt_countdown.css";s:7:"version";s:3:"1.x";}}s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:16:"core/jquery.once";i:2;s:11:"core/drupal";i:3;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:9:"quickedit";a:6:{s:9:"quickedit";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:15:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/quickedit/js/quickedit.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/modules/quickedit/js/util.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/models/BaseModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/js/models/AppModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EntityModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/js/models/FieldModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:6;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/models/EditorModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:7;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/views/AppView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:8;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/quickedit/js/views/FieldDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:9;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/quickedit/js/views/EntityDecorationView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:10;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/views/EntityToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:11;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/quickedit/js/views/ContextualLinkView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:12;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/quickedit/js/views/FieldToolbarView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:13;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/quickedit/js/views/EditorView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:14;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/quickedit/js/theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:4:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/css/quickedit.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/quickedit/css/quickedit.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/css/quickedit.icons.theme.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/seven/css/components/quickedit.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:14:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:24:"core/internal.underscore";i:4;s:22:"core/internal.backbone";i:5;s:25:"core/internal.jquery.form";i:6;s:11:"core/drupal";i:7;s:20:"core/drupal.displace";i:8;s:16:"core/drupal.form";i:9;s:16:"core/drupal.ajax";i:10;s:20:"core/drupal.debounce";i:11;s:19:"core/drupalSettings";i:12;s:18:"core/drupal.dialog";i:13;s:13:"core/popperjs";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:28:"quickedit.inPlaceEditor.form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/quickedit/js/editors/formEditor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"quickedit/quickedit";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:41:"quickedit.ckeditor5-temporary-work-around";a:4:{s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:73:"core/modules/quickedit/css/editors/formattedText/ckeditor5.workaround.css";s:7:"version";i:-1;}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:37:"quickedit.inPlaceEditor.formattedText";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:61:"core/modules/quickedit/css/editors/formattedText.ckeditor.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/quickedit/css/editors/formattedText.ckeditor5.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:10:"attributes";a:1:{s:5:"defer";b:1;}s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/quickedit/js/editors/formattedTextEditor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:19:"quickedit/quickedit";i:1;s:20:"editor/drupal.editor";i:2;s:16:"core/drupal.ajax";i:3;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"quickedit.inPlaceEditor.plainText";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/quickedit/js/editors/plainTextEditor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"quickedit/quickedit";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:29:"quickedit.inPlaceEditor.image";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/quickedit/js/editors/image.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/quickedit/css/editors/image.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/quickedit/css/editors/image.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:15:"core/underscore";i:3;s:19:"quickedit/quickedit";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"system";a:7:{s:4:"base";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:22:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/system/css/components/align.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/fieldgroup.module.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/clearfix.module.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/system/css/components/details.module.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/hidden.module.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/item-list.module.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/system/css/components/js.module.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/nowrap.module.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/modules/system/css/components/position-container.module.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/progress.module.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/reset-appearance.module.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/resize.module.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/modules/system/css/components/sticky-header.module.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:60:"core/modules/system/css/components/system-status-counter.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:68:"core/modules/system/css/components/system-status-report-counters.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:72:"core/modules/system/css/components/system-status-report-general-info.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tabledrag.module.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tablesort.module.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/tree-child.module.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/olivero/css/components/ajax-progress.module.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/olivero/css/components/autocomplete-loading.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:0:{}s:12:"dependencies";a:1:{i:0;s:11:"system/base";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"maintenance";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:190;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/system/css/system.maintenance.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:2:{i:0;s:11:"system/base";i:1;s:12:"system/admin";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.system";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/modules/system/js/system.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.system.modules";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/js/system.modules.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"diff";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/system/css/system.diff.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.system.date";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/system/js/system.date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:28:"core/drupal.nodelist.foreach";i:3;s:19:"core/drupalSettings";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:10:"statistics";a:1:{s:17:"drupal.statistics";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/statistics/statistics.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:7:"history";a:2:{s:3:"api";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/history/js/history.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:19:"core/drupalSettings";i:2;s:11:"core/drupal";i:3;s:16:"core/drupal.ajax";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"mark-as-read";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/history/js/mark-as-read.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"history/api";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:7:"toolbar";a:3:{s:7:"toolbar";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:7:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:6;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/css/toolbar.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/toolbar/css/toolbar.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/toolbar/css/toolbar.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:12:{i:0;s:14:"core/modernizr";i:1;s:28:"core/drupal.touchevents-test";i:2;s:11:"core/jquery";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.ajax";i:6;s:20:"core/drupal.announce";i:7;s:22:"core/internal.backbone";i:8;s:9:"core/once";i:9;s:19:"core/jquery.once.bc";i:10;s:20:"core/drupal.displace";i:11;s:20:"toolbar/toolbar.menu";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"toolbar.menu";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:100;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"core/modules/toolbar/css/toolbar.menu.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"toolbar.escapeAdmin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"user";a:4:{s:11:"drupal.user";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/modules/user/user.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/modules/user/user.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/user/css/user.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.user.admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/modules/user/css/user.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.user.permissions";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/user/user.permissions.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:22:"user/drupal.user.admin";i:6;s:20:"core/drupal.checkbox";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.user.icons";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/user/css/user.icons.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"tour";a:2:{s:4:"tour";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:22:"core/internal.backbone";i:5;s:22:"core/internal.shepherd";i:6;s:17:"tour/tour-styling";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"tour-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:6:{s:5:"media";s:6:"screen";s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/tour/css/tour.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:8:"shortcut";a:1:{s:15:"drupal.shortcut";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/shortcut/css/shortcut.theme.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/shortcut/css/shortcut.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:5:"views";a:2:{s:12:"views.module";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/views/css/views.module.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"views.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/modules/views/js/base.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/views/js/ajax_view.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:25:"core/internal.jquery.form";i:6;s:16:"core/drupal.ajax";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:11:"fontawesome";a:18:{s:15:"fontawesome.svg";a:7:{s:6:"remote";s:74:"https://use.fontawesome.com/releases/v6.1.0/fontawesome-free-6.1.0-web.zip";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:7:"version";s:5:"6.1.0";s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:20:"fontawesome.svg.shim";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:58:"https://use.fontawesome.com/releases/v5.0.1/js/v4-shims.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:20:"fontawesome.svg.base";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:61:"https://use.fontawesome.com/releases/v5.0.6/js/fontawesome.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:21:"fontawesome.svg.solid";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:55:"https://use.fontawesome.com/releases/v5.0.6/js/solid.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:23:"fontawesome.svg.regular";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:57:"https://use.fontawesome.com/releases/v5.0.6/js/regular.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:21:"fontawesome.svg.light";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:55:"https://use.fontawesome.com/releases/v5.0.6/js/light.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:22:"fontawesome.svg.brands";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:56:"https://use.fontawesome.com/releases/v5.0.6/js/brands.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:23:"fontawesome.svg.duotone";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:1:{s:5:"defer";b:1;}s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"libraries/fontawesome/js/duotone.min.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:20:"fontawesome.svg.thin";a:6:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:1:{s:5:"defer";b:1;}s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"libraries/fontawesome/js/thin.min.js";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:20:"fontawesome.webfonts";a:6:{s:6:"remote";s:74:"https://use.fontawesome.com/releases/v6.1.0/fontawesome-free-6.1.0-web.zip";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:7:"version";s:5:"6.1.0";s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"libraries/fontawesome/css/all.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:25:"fontawesome.webfonts.base";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"libraries/fontawesome/css/fontawesome.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:26:"fontawesome.webfonts.solid";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"libraries/fontawesome/css/solid.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:28:"fontawesome.webfonts.regular";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"libraries/fontawesome/css/regular.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:26:"fontawesome.webfonts.light";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"libraries/fontawesome/css/light.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:27:"fontawesome.webfonts.brands";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:40:"libraries/fontawesome/css/brands.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:28:"fontawesome.webfonts.duotone";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"libraries/fontawesome/css/duotone.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:25:"fontawesome.webfonts.thin";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"libraries/fontawesome/css/thin.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:25:"fontawesome.webfonts.shim";a:5:{s:7:"version";s:5:"6.1.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"libraries/fontawesome/css/v4-shims.min.css";s:7:"version";s:5:"6.1.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}}s:8:"ckeditor";a:8:{s:15:"drupal.ckeditor";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/modules/ckeditor/js/ckeditor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/modules/ckeditor/js/ckeditor.off-canvas-css-reset.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:100;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/ckeditor/css/ckeditor.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:20:"core/drupal.debounce";i:4;s:20:"core/drupal.displace";i:5;s:13:"core/ckeditor";i:6;s:20:"editor/drupal.editor";}s:14:"drupalSettings";a:1:{s:8:"ckeditor";a:1:{s:9:"timestamp";s:6:"rt7l9b";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:42:"drupal.ckeditor.plugins.drupalimagecaption";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:84:"core/modules/ckeditor/css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:14:"filter/caption";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:32:"drupal.ckeditor.plugins.language";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/modules/ckeditor/css/plugins/language/ckeditor.language.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.ckeditor.admin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:6:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/ckeditor/js/ckeditor.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/ckeditor/js/models/Model.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/ckeditor/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/ckeditor/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/ckeditor/js/views/ControllerView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/ckeditor/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/ckeditor/css/ckeditor.admin.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/ckeditor/skins/moono-lisa/editor.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:12:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:22:"core/internal.backbone";i:6;s:18:"core/drupal.dialog";i:7;s:20:"core/drupal.announce";i:8;s:13:"core/ckeditor";i:9;s:13:"core/sortable";i:10;s:26:"editor/drupal.editor.admin";i:11;s:25:"core/drupal.vertical-tabs";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"drupal.ckeditor.drupalimage.admin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/ckeditor/js/ckeditor.drupalimage.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";i:4;s:25:"core/drupal.vertical-tabs";i:5;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"drupal.ckeditor.stylescombo.admin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/ckeditor/js/ckeditor.stylescombo.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:25:"core/drupal.vertical-tabs";i:3;s:19:"core/drupalSettings";i:4;s:30:"ckeditor/drupal.ckeditor.admin";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"drupal.ckeditor.language.admin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/ckeditor/js/ckeditor.language.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:25:"core/drupal.vertical-tabs";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:35:"drupal.ckeditor.plugins.drupalmedia";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/ckeditor/js/ckeditor.drupalmedia.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"editor";a:3:{s:19:"drupal.editor.admin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/editor/js/editor.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:26:"core/drupal.array.includes";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.editor";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/modules/editor/js/editor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:18:"core/drupal.dialog";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.editor.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/editor/js/editor.dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:18:"core/drupal.dialog";i:2;s:16:"core/drupal.ajax";i:3;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"filter";a:4:{s:19:"drupal.filter.admin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/modules/filter/filter.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";i:4;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"drupal.filter.filter_html.admin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/filter/filter.filter_html.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:26:"core/drupal.array.includes";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.filter";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/modules/filter/filter.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:7:"caption";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/filter/css/filter.caption.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}}', -1, '1681653975.748', 1, 'library_info', '0');
INSERT INTO `cache_discovery` VALUES
('library_info:seven', 'a:13:{s:10:"contextual";a:2:{s:23:"drupal.contextual-links";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:6:{i:0;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/contextual/js/contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/contextual/js/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/modules/contextual/js/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/views/KeyboardView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/RegionView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:6:{s:6:"weight";i:-2;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/contextual/js/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/contextual/css/contextual.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/css/contextual.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/css/contextual.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:8:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:16:"core/drupal.ajax";i:3;s:19:"core/drupalSettings";i:4;s:22:"core/internal.backbone";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";i:7;s:28:"core/drupal.touchevents-test";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"drupal.contextual-toolbar";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:4:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/contextual/js/contextual.toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/contextual/js/toolbar/models/StateModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/contextual/js/toolbar/views/AuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/contextual/js/toolbar/views/VisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/contextual/css/contextual.toolbar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:22:"core/internal.backbone";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:26:"core/drupal.tabbingmanager";i:6;s:20:"core/drupal.announce";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:5:"seven";a:30:{s:14:"global-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:56:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/seven/css/base/elements.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/base/typography.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/themes/seven/css/base/print.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/seven/css/classy/components/action-links.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/seven/css/classy/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/seven/css/classy/components/button.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:62:"core/themes/seven/css/classy/components/collapse-processed.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/seven/css/classy/components/container-inline.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/seven/css/classy/components/exposed-filters.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/seven/css/classy/components/field.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/classy/components/form.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/seven/css/classy/components/icons.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/seven/css/classy/components/inline-form.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/seven/css/classy/components/item-list.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/classy/components/link.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/seven/css/classy/components/links.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/classy/components/menu.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/seven/css/classy/components/more-link.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/seven/css/classy/components/pager.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/seven/css/classy/components/tabledrag.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/themes/seven/css/classy/components/tableselect.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/seven/css/classy/components/tablesort.css";s:7:"version";s:5:"9.5.7";}i:22;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/classy/components/tabs.css";s:7:"version";s:5:"9.5.7";}i:23;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/classy/components/textarea.css";s:7:"version";s:5:"9.5.7";}i:24;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/seven/css/classy/components/ui-dialog.css";s:7:"version";s:5:"9.5.7";}i:25;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/seven/css/components/admin-list.css";s:7:"version";s:5:"9.5.7";}i:26;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/themes/seven/css/components/content-header.css";s:7:"version";s:5:"9.5.7";}i:27;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/themes/seven/css/components/container-inline.css";s:7:"version";s:5:"9.5.7";}i:28;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/themes/seven/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";}i:29;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/seven/css/components/breadcrumb.css";s:7:"version";s:5:"9.5.7";}i:30;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/seven/css/components/buttons.css";s:7:"version";s:5:"9.5.7";}i:31;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/seven/css/components/details.css";s:7:"version";s:5:"9.5.7";}i:32;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/seven/css/components/messages.css";s:7:"version";s:5:"9.5.7";}i:33;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/seven/css/components/dropbutton.component.css";s:7:"version";s:5:"9.5.7";}i:34;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/components/entity-meta.css";s:7:"version";s:5:"9.5.7";}i:35;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/seven/css/components/field-ui.css";s:7:"version";s:5:"9.5.7";}i:36;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/components/form.css";s:7:"version";s:5:"9.5.7";}i:37;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/components/help.css";s:7:"version";s:5:"9.5.7";}i:38;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/components/menus-and-lists.css";s:7:"version";s:5:"9.5.7";}i:39;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/seven/css/components/modules-page.css";s:7:"version";s:5:"9.5.7";}i:40;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/components/node.css";s:7:"version";s:5:"9.5.7";}i:41;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/seven/css/components/page-title.css";s:7:"version";s:5:"9.5.7";}i:42;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/seven/css/components/pager.css";s:7:"version";s:5:"9.5.7";}i:43;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/seven/css/components/panel.css";s:7:"version";s:5:"9.5.7";}i:44;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/seven/css/components/skip-link.css";s:7:"version";s:5:"9.5.7";}i:45;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/seven/css/components/tables.css";s:7:"version";s:5:"9.5.7";}i:46;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/seven/css/components/search-admin-settings.css";s:7:"version";s:5:"9.5.7";}i:47;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/seven/css/components/tablesort-indicator.css";s:7:"version";s:5:"9.5.7";}i:48;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:70:"core/themes/seven/css/components/system-status-report-general-info.css";s:7:"version";s:5:"9.5.7";}i:49;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/seven/css/components/system-status-report.css";s:7:"version";s:5:"9.5.7";}i:50;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/seven/css/components/system-status-report-counters.css";s:7:"version";s:5:"9.5.7";}i:51;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/seven/css/components/system-status-counter.css";s:7:"version";s:5:"9.5.7";}i:52;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/components/tabs.css";s:7:"version";s:5:"9.5.7";}i:53;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/seven/css/components/views-ui.css";s:7:"version";s:5:"9.5.7";}i:54;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/seven/css/theme/colors.css";s:7:"version";s:5:"9.5.7";}i:55;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/themes/seven/css/layout/layout.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:12:"system/admin";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"node-form";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/layout/node-add.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:9:"node/form";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"maintenance-page";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/seven/js/mobile.install.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/theme/maintenance-page.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:2:{i:0;s:18:"system/maintenance";i:1;s:20:"seven/global-styling";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"update-report";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/seven/css/theme/update-report.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"install-page";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/themes/seven/js/mobile.install.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/seven/css/theme/install-page.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:22:"seven/maintenance-page";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.nav-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/themes/seven/js/nav-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:20:"core/drupal.debounce";i:4;s:13:"core/collapse";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"drupal.responsive-detail";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/seven/js/responsive-details.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:13:"core/collapse";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"vertical-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/seven/css/components/vertical-tabs.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"seven.jquery.ui";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-1;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/components/jquery.ui/theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"seven.drupal.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/seven/css/components/dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"ckeditor-admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/seven/css/theme/ckeditor-admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"ckeditor-dialog";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/seven/css/theme/ckeditor-dialog.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"tour-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/seven/css/components/tour.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"media-form";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:42:"core/themes/seven/css/components/media.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:10:"media/form";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"media_library";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/themes/seven/css/theme/media-library.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:40:"layout_builder_content_translation_admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:71:"core/themes/seven/css/components/layout-builder-content-translation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"user";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/components/user.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"filter";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/themes/seven/css/theme/filter.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"classy.book-navigation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/themes/seven/css/classy/components/book-navigation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"classy.dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/seven/css/classy/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"classy.file";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/classy/components/file.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"classy.forum";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/themes/seven/css/classy/components/forum.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"classy.image-widget";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/themes/seven/css/classy/components/image-widget.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"classy.indented";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/classy/components/indented.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"classy.media_embed_ckeditor_theme";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/themes/seven/js/classy/media_embed_ckeditor.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"classy.media_embed_error";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/themes/seven/css/classy/components/media-embed-error.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"classy.messages";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/classy/components/messages.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"classy.node";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/themes/seven/css/classy/components/node.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"classy.progress";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/classy/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"classy.search-results";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/seven/css/classy/components/search-results.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"core";a:99:{s:8:"backbone";a:7:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:15:"core/underscore";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:17:"internal.backbone";a:6:{s:6:"remote";s:37:"https://github.com/jashkenas/backbone";s:7:"version";s:5:"1.4.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:66:"https://raw.githubusercontent.com/jashkenas/backbone/1.4.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/backbone/backbone-min.js";s:7:"version";s:5:"1.4.1";}}s:12:"dependencies";a:1:{i:0;s:24:"core/internal.underscore";}s:3:"css";a:0:{}}s:8:"ckeditor";a:7:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.5.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3304481";s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor4";s:7:"version";s:5:"9.5.7";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/ckeditor/ckeditor.js";s:7:"version";s:6:"4.21.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/seven/css/theme/ckeditor-dialog.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/themes/seven/css/theme/ckeditor-admin.css";s:7:"version";s:5:"9.5.7";}}}s:9:"ckeditor5";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/ckeditor5-dll/ckeditor5-dll.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.editorClassic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/editor-classic/editor-classic.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:25:"ckeditor5.editorDecoupled";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:65:"core/assets/vendor/ckeditor5/editor-decoupled/editor-decoupled.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:26:"core/ckeditor5.htmlSupport";}s:3:"css";a:0:{}}s:20:"ckeditor5.essentials";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.1.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:61:"https://github.com/ckeditor/ckeditor5/blob/v35.1.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/essentials/essentials.js";s:7:"version";s:6:"35.1.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:22:"core/ckeditor5.heading";}s:3:"css";a:0:{}}s:17:"ckeditor5.heading";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/ckeditor5/heading/heading.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.basic";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/basic-styles/basic-styles.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:27:"ckeditor5.specialCharacters";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:69:"core/assets/vendor/ckeditor5/special-characters/special-characters.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:20:"ckeditor5.blockquote";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/ckeditor5/block-quote/block-quote.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.image";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/image/image.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.link";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/link/link.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:14:"ckeditor5.list";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/ckeditor5/list/list.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:24:"ckeditor5.horizontalLine";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:63:"core/assets/vendor/ckeditor5/horizontal-line/horizontal-line.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:21:"ckeditor5.htmlSupport";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/ckeditor5/html-support/html-support.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.alignment";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/ckeditor5/alignment/alignment.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.removeFormat";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/ckeditor5/remove-format/remove-format.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:25:"ckeditor5.pasteFromOffice";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:67:"core/assets/vendor/ckeditor5/paste-from-office/paste-from-office.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:1:{i:0;s:14:"core/ckeditor5";}s:3:"css";a:0:{}}s:16:"ckeditor5.indent";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/ckeditor5/indent/indent.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:23:"ckeditor5.sourceEditing";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:61:"core/assets/vendor/ckeditor5/source-editing/source-editing.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.table";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/table/table.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:18:"ckeditor5.language";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/ckeditor5/language/language.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:19:"ckeditor5.codeBlock";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/ckeditor5/code-block/code-block.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:15:"ckeditor5.style";a:6:{s:6:"remote";s:37:"https://github.com/ckeditor/ckeditor5";s:7:"version";s:6:"35.4.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/ckeditor/ckeditor5/v35.4.0/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/style/style.js";s:7:"version";s:6:"35.4.0";}}s:12:"dependencies";a:2:{i:0;s:14:"core/ckeditor5";i:1;s:27:"core/ckeditor5.translations";}s:3:"css";a:0:{}}s:22:"ckeditor5.translations";a:4:{s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/ckeditor5/translation.js";s:7:"version";i:-1;s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"css.escape";a:6:{s:6:"remote";s:43:"https://github.com/mathiasbynens/CSS.escape";s:7:"version";s:5:"1.5.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:81:"https://raw.githubusercontent.com/mathiasbynens/CSS.escape/v1.5.1/LICENSE-MIT.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/css-escape/css.escape.js";s:7:"version";s:5:"1.5.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"drupal";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/drupal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";i:-17;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/drupal.init.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:19:"core/drupalSettings";}s:14:"drupalSettings";a:1:{s:25:"suppressDeprecationErrors";b:1;}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupalSettings";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-18;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/drupalSettingsLoader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:4:"path";a:7:{s:7:"baseUrl";N;s:10:"scriptPath";N;s:10:"pathPrefix";N;s:11:"currentPath";N;s:18:"currentPathIsAdmin";N;s:7:"isFront";N;s:15:"currentLanguage";N;}s:15:"pluralDelimiter";N;}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.active-link";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/active-link.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:19:"core/drupalSettings";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.ajax";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:14:"drupalSettings";a:2:{s:13:"ajaxPageState";a:3:{s:9:"libraries";N;s:5:"theme";N;s:11:"theme_token";N;}s:14:"ajaxTrustedUrl";a:0:{}}s:12:"dependencies";a:10:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";i:7;s:13:"core/tabbable";i:8;s:11:"core/loadjs";i:9;s:16:"core/es6-promise";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.announce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:6:"loadjs";a:6:{s:6:"remote";s:32:"https://github.com/muicss/loadjs";s:7:"version";s:5:"4.2.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/muicss/loadjs/4.2.0/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/loadjs/loadjs.min.js";s:7:"version";s:5:"4.2.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"drupal.autocomplete";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:18:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/autocomplete.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:5:"9.5.7";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:3;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:4:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-1;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/components/jquery.ui/theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:25:"core/tabbable.jquery.shim";i:5;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.array.find";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/polyfills/array.find.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.array.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/polyfills/array.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"drupal.batch";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:5:"cache";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:18:"core/misc/batch.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:20:"core/drupal.progress";i:5;s:9:"core/once";i:6;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.checkbox";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/checkbox.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.collapse";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:3:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/details-summarized-content.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/details-aria.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/collapse.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:14:"core/modernizr";i:2;s:11:"core/drupal";i:3;s:16:"core/drupal.form";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.customevent";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/polyfills/customevent.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.date";a:6:{s:10:"deprecated";s:162:"The "%library_id%" asset library is deprecated in drupal:9.4.0 and is removed from drupal:10.0.0. There is no replacement. See https://www.drupal.org/node/3258267";s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:14:"core/modernizr";i:2;s:9:"core/once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.debounce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/debounce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:26:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/dialog/dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dialog/dialog.position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/dialog.jquery-ui.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:5:"9.5.7";}i:4;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:5:"9.5.7";}i:5;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:5:"9.5.7";}i:6;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:5:"9.5.7";}i:7;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:5:"9.5.7";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:5:"9.5.7";}i:9;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:5:"9.5.7";}i:10;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:5:"9.5.7";}i:11;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:5:"9.5.7";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:5:"9.5.7";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:5:"9.5.7";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:5:"9.5.7";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:5:"9.5.7";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:5:"9.5.7";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:5:"9.5.7";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:5:"9.5.7";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:5:"9.5.7";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:5:"9.5.7";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:5:"9.5.7";}i:22;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:5:"9.5.7";}i:23;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:5:"9.5.7";}i:24;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:5:"9.5.7";}i:25;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:5:"9.5.7";}}s:3:"css";a:7:{i:0;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/themes/seven/css/components/dialog.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-1;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/components/jquery.ui/theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:20:"core/drupal.debounce";i:4;s:20:"core/drupal.displace";i:5;s:25:"core/tabbable.jquery.shim";i:6;s:27:"core/drupal.jquery.position";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.dialog.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/dialog/dialog.ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/drupal.ajax";i:4;s:18:"core/drupal.dialog";i:5;s:13:"core/tabbable";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.displace";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/displace.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/misc/dropbutton/dropbutton.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:35:"core/misc/dropbutton/dropbutton.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/themes/seven/css/classy/components/dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.closest";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.closest.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.element.matches";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/element.matches.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.entity-form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/entity-form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"drupal.form";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:17:"core/misc/form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"drupal.machine-name";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/misc/machine-name.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"drupal.message";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:20:"core/misc/message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.nodelist.foreach";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/polyfills/nodelist.foreach.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.object.assign";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/polyfills/object.assign.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.progress";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/progress.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:19:"core/drupalSettings";}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/classy/components/progress.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.states";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:19:"core/misc/states.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.string.includes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/polyfills/string.includes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.tabbingmanager";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/tabbingmanager.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:13:"core/tabbable";}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-1;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/themes/seven/css/components/jquery.ui/theme.css";s:7:"version";s:5:"9.5.7";}}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"drupal.tabledrag";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:22:"core/misc/tabledrag.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:28:"core/drupal.touchevents-test";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableheader";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableheader.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";i:5;s:20:"core/drupal.displace";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"drupal.tableresponsive";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/misc/tableresponsive.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.tableselect";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:24:"core/misc/tableselect.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.checkbox";i:2;s:11:"core/jquery";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"drupal.timezone";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/timezone.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:28:"core/drupal.nodelist.foreach";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";i:4;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.touchevents-test";a:6:{s:6:"header";b:1;s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-22;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/touchevents-test.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"drupal.vertical-tabs";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:26:"core/misc/vertical-tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/themes/seven/css/components/vertical-tabs.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:6:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.form";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"es6-promise";a:5:{s:7:"version";s:5:"4.2.8";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/stefanpenner/es6-promise/v4.2.8/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/es6-promise/es6-promise.auto.min.js";s:7:"version";s:5:"4.2.8";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:6:"jquery";a:6:{s:6:"remote";s:32:"https://github.com/jquery/jquery";s:7:"version";s:5:"3.6.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery/jquery/3.6.3/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/assets/vendor/jquery/jquery.min.js";s:7:"version";s:5:"3.6.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:13:"jquery.cookie";a:6:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/jquery.cookie.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:14:"core/js-cookie";}s:10:"deprecated";s:178:"The %library_id% asset library is deprecated in Drupal 9.0.0 and will be removed in Drupal 10.0.0. Use the core/js-cookie library instead. See https://www.drupal.org/node/3104677";s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"jquery.farbtastic";a:7:{s:6:"remote";s:40:"https://github.com/mattfarina/farbtastic";s:7:"version";s:3:"1.2";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:74:"https://raw.githubusercontent.com/mattfarina/farbtastic/master/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/farbtastic/farbtastic.js";s:7:"version";s:3:"1.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/farbtastic/farbtastic.css";s:7:"version";s:3:"1.2";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:163:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3306232";}s:11:"jquery.form";a:7:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:3:"css";a:0:{}}s:20:"internal.jquery.form";a:6:{s:6:"remote";s:35:"https://github.com/jquery-form/form";s:7:"version";s:5:"4.3.0";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:65:"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-form/jquery.form.min.js";s:7:"version";s:5:"4.3.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:14:"jquery.joyride";a:7:{s:6:"remote";s:31:"https://github.com/zurb/joyride";s:7:"version";s:7:"2.1.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/zurb/joyride/v2.1.0/README.markdown";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js";s:7:"version";s:7:"2.1.0.1";s:8:"minified";b:0;}}s:10:"deprecated";s:138:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3195234.";s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:8:"shepherd";a:7:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:17:"internal.shepherd";a:6:{s:6:"remote";s:41:"https://github.com/shipshapecode/shepherd";s:7:"version";s:5:"9.1.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:71:"https://raw.githubusercontent.com/shipshapecode/shepherd/v9.1.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/shepherd/shepherd.min.js";s:7:"version";s:5:"9.1.1";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:11:"jquery.once";a:7:{s:6:"remote";s:39:"https://github.com/RobLoach/jquery-once";s:7:"version";s:5:"2.2.3";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:71:"https://raw.githubusercontent.com/RobLoach/jquery-once/2.2.3/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"2.2.3";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:19:"core/jquery.once.bc";}s:10:"deprecated";s:173:"The %library_id% asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256";s:3:"css";a:0:{}}s:14:"jquery.once.bc";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery-once/jquery.once.min.js";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:27:"core/misc/jquery.once.bc.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";i:2;s:9:"core/once";i:3;s:25:"core/drupal.object.assign";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"jquery.ui";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:14:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:22:"jquery.ui.autocomplete";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/autocomplete.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:4:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:23:"core/jquery.ui.position";i:3;s:19:"core/jquery.ui.menu";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.button";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:3:{i:0;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:2:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.dialog";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:23:{i:0;a:6:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.5;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"core/assets/vendor/jquery.ui/ui/widgets/button-min.js";s:7:"version";s:6:"1.13.2";}i:2;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:60:"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js";s:7:"version";s:6:"1.13.2";}i:3;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}i:4;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}i:5;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:59:"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js";s:7:"version";s:6:"1.13.2";}i:6;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js";s:7:"version";s:6:"1.13.2";}i:7;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/labels-min.js";s:7:"version";s:6:"1.13.2";}i:8;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:9;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/data-min.js";s:7:"version";s:6:"1.13.2";}i:10;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/disable-selection-min.js";s:7:"version";s:6:"1.13.2";}i:11;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/focusable-min.js";s:7:"version";s:6:"1.13.2";}i:12;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/jquery.ui/ui/form-min.js";s:7:"version";s:6:"1.13.2";}i:13;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}i:14;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/jquery-patch-min.js";s:7:"version";s:6:"1.13.2";}i:15;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/keycode-min.js";s:7:"version";s:6:"1.13.2";}i:16;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/plugin-min.js";s:7:"version";s:6:"1.13.2";}i:17;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js";s:7:"version";s:6:"1.13.2";}i:18;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/safe-blur-min.js";s:7:"version";s:6:"1.13.2";}i:19;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js";s:7:"version";s:6:"1.13.2";}i:20;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"core/assets/vendor/jquery.ui/ui/unique-id-min.js";s:7:"version";s:6:"1.13.2";}i:21;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}i:22;a:6:{s:6:"weight";d:-11.9000000000000003552713678800500929355621337890625;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/jquery.ui/ui/version-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:7:{i:0;a:5:{s:6:"weight";d:-11.4000000000000003552713678800500929355621337890625;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/dialog.css";s:7:"version";s:6:"1.13.2";}i:1;a:5:{s:6:"weight";d:-11.5;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/themes/base/button.css";s:7:"version";s:6:"1.13.2";}i:2;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css";s:7:"version";s:6:"1.13.2";}i:3;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}i:4;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"core/assets/vendor/jquery.ui/themes/base/controlgroup.css";s:7:"version";s:6:"1.13.2";}i:5;a:5:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/core.css";s:7:"version";s:6:"1.13.2";}i:6;a:5:{s:6:"weight";d:188.19999999999998863131622783839702606201171875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/assets/vendor/jquery.ui/themes/base/theme.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:25:"core/tabbable.jquery.shim";i:2;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:19:"jquery.ui.draggable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:20:"core/jquery.ui.mouse";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:14:"jquery.ui.menu";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/jquery.ui/themes/base/menu.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:23:"core/jquery.ui.position";i:2;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:15:"jquery.ui.mouse";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:2:{i:0;a:6:{s:6:"weight";d:-11.699999999999999289457264239899814128875732421875;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js";s:7:"version";s:6:"1.13.2";}i:1;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/jquery.ui/ui/ie-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:21:"core/jquery.ui.widget";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:22:"drupal.jquery.position";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:21:"core/misc/position.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"jquery.ui.position";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.jquery.position";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:2:"js";a:0:{}s:3:"css";a:0:{}}s:19:"jquery.ui.resizable";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:56:"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js";s:7:"version";s:6:"1.13.2";}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";d:-11.5999999999999996447286321199499070644378662109375;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/assets/vendor/jquery.ui/themes/base/resizable.css";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:3:{i:0;s:14:"core/jquery.ui";i:1;s:21:"core/jquery.ui.widget";i:2;s:20:"core/jquery.ui.mouse";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";}s:16:"jquery.ui.widget";a:6:{s:7:"version";s:6:"1.13.2";s:7:"license";a:3:{s:4:"name";s:13:"Public Domain";s:3:"url";s:69:"https://raw.githubusercontent.com/jquery/jquery-ui/1.13.2/LICENSE.txt";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";d:-11.800000000000000710542735760100185871124267578125;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/jquery.ui/ui/widget-min.js";s:7:"version";s:6:"1.13.2";}}s:12:"dependencies";a:1:{i:0;s:14:"core/jquery.ui";}s:10:"deprecated";s:137:"The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969";s:3:"css";a:0:{}}s:9:"modernizr";a:7:{s:6:"header";b:1;s:6:"remote";s:38:"https://github.com/Modernizr/Modernizr";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:30:"https://modernizr.com/license/";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"3.11.7";s:2:"js";a:2:{i:0;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-21;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/modernizr/modernizr.min.js";s:7:"version";s:6:"3.11.7";}i:1;a:7:{s:10:"preprocess";i:0;s:6:"weight";i:-20;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/modernizr-additional-tests.js";s:7:"version";s:6:"3.11.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:9:"normalize";a:6:{s:6:"remote";s:40:"https://github.com/necolas/normalize.css";s:7:"version";s:5:"8.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:72:"https://raw.githubusercontent.com/necolas/normalize.css/8.0.1/LICENSE.md";s:14:"gpl-compatible";b:1;}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:-220;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/assets/vendor/normalize-css/normalize.css";s:7:"version";s:5:"8.0.1";}i:1;a:5:{s:6:"weight";i:-219;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:29:"core/misc/normalize-fixes.css";s:7:"version";s:5:"8.0.1";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:4:"once";a:6:{s:6:"remote";s:39:"https://git.drupalcode.org/project/once";s:7:"version";s:5:"1.0.1";s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:63:"https://git.drupalcode.org/project/once/-/raw/v1.0.1/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-19;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"core/assets/vendor/once/once.min.js";s:7:"version";s:5:"1.0.1";}}s:12:"dependencies";a:1:{i:0;s:27:"core/drupal.element.matches";}s:3:"css";a:0:{}}s:11:"picturefill";a:6:{s:6:"remote";s:40:"https://github.com/scottjehl/picturefill";s:7:"version";s:5:"3.0.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/scottjehl/picturefill/3.0.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-10;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/assets/vendor/picturefill/picturefill.min.js";s:7:"version";s:5:"3.0.3";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"popperjs";a:6:{s:7:"version";s:6:"2.11.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:73:"https://raw.githubusercontent.com/popperjs/popper-core/v2.11.6/LICENSE.md";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/assets/vendor/popperjs/popper.min.js";s:7:"version";s:6:"2.11.6";}}s:12:"dependencies";a:3:{i:0;s:22:"core/drupal.array.find";i:1;s:16:"core/es6-promise";i:2;s:25:"core/drupal.object.assign";}s:10:"deprecated";s:165:"The "%library_id%" asset library is deprecated in Drupal 9.5.0 and will be removed in Drupal 10.0.0. There is no replacement. See https://www.drupal.org/node/3307518";s:3:"css";a:0:{}}s:8:"sortable";a:6:{s:6:"remote";s:38:"https://github.com/SortableJS/Sortable";s:7:"version";s:6:"1.15.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/SortableJS/Sortable/1.15.0/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/assets/vendor/sortable/Sortable.min.js";s:7:"version";s:6:"1.15.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:8:"tabbable";a:6:{s:6:"remote";s:38:"https://github.com/focus-trap/tabbable";s:7:"version";s:5:"5.3.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/focus-trap/tabbable/v5.3.3/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"core/assets/vendor/tabbable/index.umd.min.js";s:7:"version";s:5:"5.3.3";}}s:12:"dependencies";a:1:{i:0;s:15:"core/css.escape";}s:3:"css";a:0:{}}s:20:"tabbable.jquery.shim";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:33:"core/misc/jquery.tabbable.shim.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:13:"core/tabbable";i:2;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"underscore";a:7:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:10:"deprecated";s:98:"The %library_id% asset library is deprecated in Drupal 9.4.0 and will be removed in Drupal 10.0.0.";s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:19:"internal.underscore";a:6:{s:6:"remote";s:39:"https://github.com/jashkenas/underscore";s:7:"version";s:6:"1.13.6";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:69:"https://raw.githubusercontent.com/jashkenas/underscore/1.13.6/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-20;s:8:"minified";b:1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/assets/vendor/underscore/underscore-min.js";s:7:"version";s:6:"1.13.6";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:24:"drupal.dialog.off_canvas";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:30:"core/misc/dialog/off-canvas.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:12:{i:0;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.reset.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/off-canvas.base.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:31:"core/misc/dialog/off-canvas.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:5:"group";i:0;s:6:"weight";i:-200;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.theme.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.motion.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.button.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/misc/dialog/off-canvas.form.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/misc/dialog/off-canvas.table.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/misc/dialog/off-canvas.details.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"core/misc/dialog/off-canvas.tabledrag.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/misc/dialog/off-canvas.dropbutton.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"core/misc/dialog/off-canvas.layout.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:9:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:16:"core/drupal.ajax";i:5;s:20:"core/drupal.announce";i:6;s:18:"core/drupal.dialog";i:7;s:23:"core/drupal.dialog.ajax";i:8;s:28:"core/drupal.touchevents-test";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:9:"js-cookie";a:6:{s:6:"remote";s:38:"https://github.com/js-cookie/js-cookie";s:7:"version";s:5:"3.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:68:"https://raw.githubusercontent.com/js-cookie/js-cookie/v3.0.1/LICENSE";s:14:"gpl-compatible";b:1;}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"core/assets/vendor/js-cookie/js.cookie.min.js";s:7:"version";s:5:"3.0.1";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}}s:11:"fontawesome";a:14:{s:15:"fontawesome.svg";a:7:{s:6:"remote";s:76:"https://use.fontawesome.com/releases/v5.12.0/fontawesome-free-5.12.0-web.zip";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"5.12.0";s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:20:"fontawesome.svg.shim";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:58:"https://use.fontawesome.com/releases/v5.0.1/js/v4-shims.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:27:"fontawesome/fontawesome.svg";}s:3:"css";a:0:{}}s:20:"fontawesome.svg.base";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:61:"https://use.fontawesome.com/releases/v5.0.6/js/fontawesome.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:21:"fontawesome.svg.solid";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:55:"https://use.fontawesome.com/releases/v5.0.6/js/solid.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:23:"fontawesome.svg.regular";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:57:"https://use.fontawesome.com/releases/v5.0.6/js/regular.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:21:"fontawesome.svg.light";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:55:"https://use.fontawesome.com/releases/v5.0.6/js/light.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:22:"fontawesome.svg.brands";a:6:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:9:"CC BY 4.0";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:8:"minified";b:1;s:10:"attributes";a:2:{s:5:"defer";b:1;s:11:"crossorigin";s:9:"anonymous";}s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:56:"https://use.fontawesome.com/releases/v5.0.6/js/brands.js";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.svg.base";}s:3:"css";a:0:{}}s:20:"fontawesome.webfonts";a:6:{s:6:"remote";s:76:"https://use.fontawesome.com/releases/v5.12.0/fontawesome-free-5.12.0-web.zip";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:7:"version";s:6:"5.12.0";s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"libraries/fontawesome/css/all.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:25:"fontawesome.webfonts.base";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"libraries/fontawesome/css/fontawesome.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:26:"fontawesome.webfonts.solid";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"libraries/fontawesome/css/solid.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:28:"fontawesome.webfonts.regular";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"libraries/fontawesome/css/regular.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:26:"fontawesome.webfonts.light";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"libraries/fontawesome/css/light.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:27:"fontawesome.webfonts.brands";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:40:"libraries/fontawesome/css/brands.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:37:"fontawesome/fontawesome.webfonts.base";}s:2:"js";a:0:{}}s:25:"fontawesome.webfonts.shim";a:5:{s:7:"version";s:6:"5.12.0";s:7:"license";a:3:{s:4:"name";s:11:"SIL OFL 1.1";s:3:"url";s:31:"https://fontawesome.com/license";s:14:"gpl-compatible";b:1;}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"libraries/fontawesome/css/v4-shims.min.css";s:7:"version";s:6:"5.12.0";}}s:12:"dependencies";a:1:{i:0;s:32:"fontawesome/fontawesome.webfonts";}s:2:"js";a:0:{}}}s:16:"mt_cookieconsent";a:1:{s:16:"mt_cookieconsent";a:5:{s:7:"version";s:3:"1.x";s:3:"css";a:2:{i:0;a:7:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:6:"weight";i:200;s:5:"group";i:0;s:4:"data";s:75:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css";s:7:"version";s:3:"1.x";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"modules/custom/mt_cookieconsent/css/mt_cookieconsent.css";s:7:"version";s:3:"1.x";}}s:2:"js";a:2:{i:0;a:6:{s:10:"preprocess";b:0;s:4:"type";s:8:"external";s:8:"minified";b:1;s:5:"group";i:-100;s:4:"data";s:74:"//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js";s:7:"version";s:3:"1.x";}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_cookieconsent/js/mt_cookieconsent.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:12:"mt_countdown";a:1:{s:12:"mt_countdown";a:5:{s:7:"version";s:3:"1.x";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/custom/mt_countdown/css/mt_countdown.css";s:7:"version";s:3:"1.x";}}s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/custom/mt_countdown/js/mt_countdown.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/custom/mt_countdown/js/jquery.countdown.min.js";s:7:"version";s:3:"1.x";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:16:"core/jquery.once";i:2;s:11:"core/drupal";i:3;s:19:"core/drupalSettings";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:6:"system";a:7:{s:4:"base";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:22:{i:0;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/modules/system/css/components/ajax-progress.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"core/modules/system/css/components/align.module.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:66:"core/modules/system/css/components/autocomplete-loading.module.css";s:7:"version";s:5:"9.5.7";}i:3;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/fieldgroup.module.css";s:7:"version";s:5:"9.5.7";}i:4;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/container-inline.module.css";s:7:"version";s:5:"9.5.7";}i:5;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/clearfix.module.css";s:7:"version";s:5:"9.5.7";}i:6;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:53:"core/modules/system/css/components/details.module.css";s:7:"version";s:5:"9.5.7";}i:7;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/hidden.module.css";s:7:"version";s:5:"9.5.7";}i:8;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/item-list.module.css";s:7:"version";s:5:"9.5.7";}i:9;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/system/css/components/js.module.css";s:7:"version";s:5:"9.5.7";}i:10;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/nowrap.module.css";s:7:"version";s:5:"9.5.7";}i:11;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:64:"core/modules/system/css/components/position-container.module.css";s:7:"version";s:5:"9.5.7";}i:12;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"core/modules/system/css/components/progress.module.css";s:7:"version";s:5:"9.5.7";}i:13;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:62:"core/modules/system/css/components/reset-appearance.module.css";s:7:"version";s:5:"9.5.7";}i:14;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"core/modules/system/css/components/resize.module.css";s:7:"version";s:5:"9.5.7";}i:15;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:59:"core/modules/system/css/components/sticky-header.module.css";s:7:"version";s:5:"9.5.7";}i:16;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tabledrag.module.css";s:7:"version";s:5:"9.5.7";}i:17;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"core/modules/system/css/components/tablesort.module.css";s:7:"version";s:5:"9.5.7";}i:18;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"core/modules/system/css/components/tree-child.module.css";s:7:"version";s:5:"9.5.7";}i:19;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:58:"core/themes/seven/css/components/system-status-counter.css";s:7:"version";s:5:"9.5.7";}i:20;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:66:"core/themes/seven/css/components/system-status-report-counters.css";s:7:"version";s:5:"9.5.7";}i:21;a:5:{s:6:"weight";i:-10;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:70:"core/themes/seven/css/components/system-status-report-general-info.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:5:"admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:190;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/css/system.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:11:"system/base";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:11:"maintenance";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:190;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/system/css/system.maintenance.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:2:{i:0;s:11:"system/base";i:1;s:12:"system/admin";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.system";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:32:"core/modules/system/js/system.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"drupal.system.modules";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"core/modules/system/js/system.modules.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.debounce";i:3;s:28:"core/drupal.nodelist.foreach";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:4:"diff";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/system/css/system.diff.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"drupal.system.date";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/system/js/system.date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:28:"core/drupal.nodelist.foreach";i:3;s:19:"core/drupalSettings";i:4;s:9:"core/once";i:5;s:19:"core/jquery.once.bc";i:6;s:16:"core/drupal.form";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:8:"shortcut";a:1:{s:15:"drupal.shortcut";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"core/modules/shortcut/css/shortcut.theme.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/shortcut/css/shortcut.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:7:"toolbar";a:3:{s:7:"toolbar";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:7:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"core/modules/toolbar/js/toolbar.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/js/models/MenuModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:2;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/toolbar/js/models/ToolbarModel.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:3;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/BodyVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:4;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/modules/toolbar/js/views/MenuVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:5;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"core/modules/toolbar/js/views/ToolbarAuralView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:6;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"core/modules/toolbar/js/views/ToolbarVisualView.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:3:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:43:"core/modules/toolbar/css/toolbar.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/toolbar/css/toolbar.theme.css";s:7:"version";s:5:"9.5.7";}i:2;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"core/modules/toolbar/css/toolbar.icons.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:12:{i:0;s:14:"core/modernizr";i:1;s:28:"core/drupal.touchevents-test";i:2;s:11:"core/jquery";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:16:"core/drupal.ajax";i:6;s:20:"core/drupal.announce";i:7;s:22:"core/internal.backbone";i:8;s:9:"core/once";i:9;s:19:"core/jquery.once.bc";i:10;s:20:"core/drupal.displace";i:11;s:20:"toolbar/toolbar.menu";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"toolbar.menu";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"core/modules/toolbar/js/toolbar.menu.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:100;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"core/modules/toolbar/css/toolbar.menu.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"toolbar.escapeAdmin";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"core/modules/toolbar/js/escapeAdmin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:9:"core/once";i:4;s:19:"core/jquery.once.bc";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"user";a:4:{s:11:"drupal.user";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:2:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:25:"core/modules/user/user.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}i:1;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:31:"core/modules/user/user.theme.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/user/css/user.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:-10;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:41:"core/themes/seven/css/components/user.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:9:"core/once";i:3;s:19:"core/jquery.once.bc";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.user.admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"core/modules/user/css/user.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"drupal.user.permissions";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/user/user.permissions.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:19:"core/drupalSettings";i:5;s:22:"user/drupal.user.admin";i:6;s:20:"core/drupal.checkbox";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"drupal.user.icons";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"core/modules/user/css/user.icons.admin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:4:"tour";a:2:{s:4:"tour";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:28:"core/modules/tour/js/tour.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/jquery";i:1;s:9:"core/once";i:2;s:19:"core/jquery.once.bc";i:3;s:11:"core/drupal";i:4;s:22:"core/internal.backbone";i:5;s:22:"core/internal.shepherd";i:6;s:17:"tour/tour-styling";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"tour-styling";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:2:{i:0;a:6:{s:5:"media";s:6:"screen";s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"core/modules/tour/css/tour.module.css";s:7:"version";s:5:"9.5.7";}i:1;a:5:{s:6:"weight";i:200;s:5:"group";i:100;s:4:"type";s:4:"file";s:4:"data";s:47:"core/themes/seven/css/components/tour.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}s:7:"webform";a:120:{s:13:"webform.admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"modules/webform/css/webform.admin.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"modules/webform/js/webform.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"webform/webform.form";i:3;s:22:"webform/webform.filter";i:4;s:32:"webform/webform.admin.dropbutton";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"webform.filter";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"modules/webform/css/webform.filter.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/js/webform.filter.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:11:"core/drupal";i:2;s:20:"core/drupal.announce";i:3;s:20:"core/drupal.debounce";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.admin.composite";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.admin.composite.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.admin.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"modules/webform/css/webform.admin.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"modules/webform/js/webform.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:12:{i:0;s:23:"core/drupal.dialog.ajax";i:1;s:21:"webform/drupal.dialog";i:2;s:20:"webform/webform.ajax";i:3;s:20:"webform/webform.form";i:4;s:25:"webform/webform.form.tabs";i:5;s:32:"webform/webform.admin.dropbutton";i:6;s:39:"webform/webform.element.codemirror.yaml";i:7;s:28:"webform/webform.element.help";i:8;s:35:"webform/webform.element.html_editor";i:9;s:29:"webform/webform.element.other";i:10;s:31:"webform/webform.element.message";i:11;s:31:"webform/webform.element.select2";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.admin.dropbutton";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/css/webform.admin.dropbutton.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/js/webform.admin.dropbutton.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:22:"core/drupal.dropbutton";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.admin.off_canvas";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/js/webform.admin.off-canvas.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:20:"core/drupal.debounce";i:1;s:29:"core/drupal.dialog.off_canvas";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"webform.admin.settings";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/css/webform.admin.settings.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.admin.tabledrag";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.admin.tabledrag.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.admin.tabledrag.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:21:"core/drupal.tabledrag";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.admin.toolbar";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/css/webform.admin.toolbar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"webform.admin.translation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"modules/webform/css/webform.admin.translation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"webform.addons";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:38:"modules/webform/css/webform.addons.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:4:{i:0;s:20:"webform/webform.ajax";i:1;s:38:"webform/webform.element.details.toggle";i:2;s:36:"webform/webform.element.details.save";i:3;s:26:"webform/webform.promotions";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"webform.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/css/webform.ajax.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"modules/webform/js/webform.ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:7:{i:0;s:11:"core/drupal";i:1;s:19:"core/drupalSettings";i:2;s:16:"core/drupal.ajax";i:3;s:20:"core/drupal.announce";i:4;s:16:"core/jquery.once";i:5;s:16:"core/jquery.form";i:6;s:22:"webform/webform.scroll";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"webform.announce";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:38:"modules/webform/js/webform.announce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/jquery";i:1;s:16:"core/jquery.once";i:2;s:11:"core/drupal";i:3;s:20:"core/drupal.announce";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"webform.behaviors";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"modules/webform/js/webform.behaviors.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"webform.block";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:35:"modules/webform/js/webform.block.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:39:"webform/webform.element.codemirror.yaml";i:1;s:31:"webform/webform.element.select2";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"webform.block.submission_limit";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/webform/css/webform.block.submission_limit.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.confirmation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.confirmation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"webform.confirmation.modal";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.confirmation.modal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:11:"core/drupal";i:1;s:18:"core/drupal.dialog";i:2;s:27:"core/drupal.dialog.position";i:3;s:16:"core/jquery.once";i:4;s:28:"webform/webform.confirmation";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"webform.contextual";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:40:"modules/webform/js/webform.contextual.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"webform.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/js/webform.dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:23:"core/drupal.dialog.ajax";i:1;s:21:"webform/drupal.dialog";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"drupal.dialog";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"modules/webform/js/webform.drupal.dialog.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:18:"core/drupal.dialog";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"webform.help";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/css/webform.help.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"modules/webform/js/webform.help.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.help.support";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.help.support.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.element.more";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.element.more.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.element.more.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"webform.navigation";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/css/webform.navigation.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:16:"webform.progress";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:40:"modules/webform/css/webform.progress.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.progress.bar";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.progress.bar.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.progress.tracker";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/css/webform.progress.tracker.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:34:"webform/libraries.progress-tracker";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"webform.off_canvas";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/css/webform.off-canvas.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:18:"webform.promotions";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/css/webform.promotions.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"webform.scroll";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/js/webform.scroll.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:14:"webform.states";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/js/webform.states.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:25:"webform/webform.behaviors";i:1;s:18:"core/drupal.states";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:13:"webform.token";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:37:"modules/webform/css/webform.token.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:28:"webform/webform.element.more";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:15:"webform.tooltip";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:37:"modules/webform/js/webform.tooltip.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";i:2;s:25:"webform/libraries.tippyjs";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"webform.theme.claro";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:43:"modules/webform/css/webform.theme.claro.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.theme.classy";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.theme.classy.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.theme.bartik";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.theme.bartik.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"webform.theme.gin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"modules/webform/css/webform.theme.gin.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.theme.olivero";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/css/webform.theme.olivero.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:19:"webform.theme.seven";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:43:"modules/webform/css/webform.theme.seven.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:12:"webform.form";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/css/webform.form.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"modules/webform/js/webform.form.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/drupal";i:1;s:16:"core/drupal.form";i:2;s:16:"core/jquery.once";i:3;s:22:"webform/webform.states";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.form.auto_focus";a:6:{s:7:"version";s:5:"9.5.7";s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.form.auto_focus.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"webform.form.disable_back";a:6:{s:7:"version";s:5:"9.5.7";s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/js/webform.form.disable_back.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.form.submit_back";a:6:{s:7:"version";s:5:"9.5.7";s:6:"header";b:1;s:2:"js";a:1:{i:0;a:6:{s:10:"preprocess";b:0;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/js/webform.form.submit_back.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.form.submit_once";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/js/webform.form.submit_once.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/drupal";i:1;s:16:"core/drupal.ajax";i:2;s:16:"core/jquery.once";i:3;s:11:"system/base";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"webform.form.tabs";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"modules/webform/css/webform.form.tabs.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:39:"modules/webform/js/webform.form.tabs.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";i:2;s:23:"webform/libraries.tabby";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.form.unsaved";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.form.unsaved.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:16:"core/jquery.once";i:1;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.wizard.pages";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.wizard.pages.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.wizard.pages.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:16:"core/jquery.once";i:1;s:11:"core/drupal";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.wizard.track";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.wizard.track.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:16:"core/jquery.once";i:1;s:11:"core/drupal";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.element.ajax";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.element.ajax.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"webform.element.checkboxes";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.checkboxes.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"webform.element.checkbox_value";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/webform/css/webform.element.checkbox_value.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.choices";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.element.choices.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.element.choices.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";i:2;s:25:"webform/libraries.choices";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"webform.element.chosen";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/js/webform.element.chosen.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"webform.element.codemirror.text";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"webform.element.codemirror.yaml";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"webform.element.codemirror.html";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:36:"webform.element.codemirror.htmlmixed";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"webform.element.codemirror.css";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:37:"webform.element.codemirror.javascript";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"webform.element.codemirror.php";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"webform.element.codemirror.twig";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.codemirror.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:6:{s:6:"weight";i:-1;s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/js/webform.element.codemirror.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.element.color";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/css/webform.element.color.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"modules/webform/js/webform.element.color.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:14:"core/modernizr";i:1;s:33:"webform/webform.element.inputmask";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"webform.element.composite";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"modules/webform/css/webform.element.composite.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/js/webform.element.composite.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.element.computed";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/css/webform.element.computed.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/js/webform.element.computed.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:16:"core/jquery.once";i:1;s:24:"webform/webform.announce";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.counter";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.element.counter.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.element.counter.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";i:2;s:36:"webform/libraries.jquery.textcounter";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.element.date";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.element.date.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.element.date.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:5:{i:0;s:19:"core/drupalSettings";i:1;s:16:"core/drupal.date";i:2;s:14:"core/modernizr";i:3;s:16:"core/jquery.once";i:4;s:31:"jquery_ui_datepicker/datepicker";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.element.datelist";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/css/webform.element.datelist.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.details";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.element.details.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:28:"webform.element.details.save";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/js/webform.element.details.save.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:30:"webform.element.details.toggle";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/webform/css/webform.element.details.toggle.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:52:"modules/webform/js/webform.element.details.toggle.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.announce";i:2;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:33:"webform.element.excluded_elements";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:57:"modules/webform/css/webform.element.excluded_elements.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:55:"modules/webform/js/webform.element.excluded_elements.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:27:"webform.element.file.button";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"modules/webform/css/webform.element.file.button.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.flexbox";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:-100;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.element.flexbox.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.element.help";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.element.help.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.element.help.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";i:2;s:25:"webform/libraries.tippyjs";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:27:"webform.element.html_editor";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"modules/webform/css/webform.element.html_editor.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"modules/webform/js/webform.element.html_editor.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:13:"core/ckeditor";i:1;s:11:"core/drupal";i:2;s:19:"core/drupalSettings";i:3;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"webform.element.horizontal_rule";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"modules/webform/css/webform.element.horizontal_rule.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"webform.element.image_file";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.image_file.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:32:"webform.element.image_file.modal";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/webform/js/webform.element.image_file.modal.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:4:{i:0;s:11:"core/drupal";i:1;s:19:"core/drupalSettings";i:2;s:23:"core/drupal.dialog.ajax";i:3;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"webform.element.inputmask";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/js/webform.element.inputmask.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"webform.element.inputhide";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/js/webform.element.inputhide.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"webform.element.likert";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/js/webform.element.likert.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/css/webform.element.likert.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"webform.element.location.places";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"modules/webform/css/webform.element.location.places.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:53:"modules/webform/js/webform.element.location.places.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";i:2;s:32:"webform/libraries.algolia.places";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:28:"webform.element.managed_file";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"modules/webform/css/webform.element.managed_file.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/js/webform.element.managed_file.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";i:2;s:16:"file/drupal.file";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.mapping";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.element.mapping.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.message";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.element.message.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.element.message.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:28:"webform.element.message.info";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:52:"modules/webform/css/webform.element.message.info.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:24:"webform.element.multiple";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:48:"modules/webform/css/webform.element.multiple.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/js/webform.element.multiple.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.options";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.element.options.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.element.options.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:29:"webform.element.options.admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:36:"modules/webform/css/webform.form.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:51:"modules/webform/js/webform.element.options.admin.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.element.other";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/css/webform.element.other.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"modules/webform/js/webform.element.other.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.element.range";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/css/webform.element.range.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"modules/webform/js/webform.element.range.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:14:"core/modernizr";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"webform.element.rating";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/css/webform.element.rating.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/js/webform.element.rating.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:31:"webform/libraries.jquery.rateit";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.element.roles";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"modules/webform/js/webform.element.roles.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.element.scale";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/css/webform.element.scale.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"webform.element.select";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/js/webform.element.select.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:23:"webform.element.select2";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/css/webform.element.select2.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/js/webform.element.select2.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"webform.element.signature";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:49:"modules/webform/css/webform.element.signature.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/js/webform.element.signature.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:20:"core/drupal.debounce";i:2;s:31:"webform/libraries.signature_pad";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:22:"webform.element.states";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"modules/webform/css/webform.element.states.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/js/webform.element.states.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:24:"core/drupal.autocomplete";i:2;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:25:"webform.element.telephone";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:47:"modules/webform/js/webform.element.telephone.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:16:"core/jquery.once";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:31:"webform.element.term_checkboxes";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:55:"modules/webform/css/webform.element.term_checkboxes.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:32:"webform.element.terms_of_service";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"modules/webform/css/webform.element.terms_of_service.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:54:"modules/webform/js/webform.element.terms_of_service.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:3:{i:0;s:11:"core/drupal";i:1;s:23:"core/drupal.dialog.ajax";i:2;s:16:"core/jquery.once";}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:27:"webform.element.text_format";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"modules/webform/css/webform.element.text_format.css";s:7:"version";s:5:"9.5.7";}}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"modules/webform/js/webform.element.text_format.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:21:"webform.element.table";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:45:"modules/webform/css/webform.element.table.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:27:"webform.element.tableselect";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:49:"modules/webform/js/webform.element.tableselect.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"modules/webform/css/webform.element.tableselect.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:32:"webform.element.tableselect_sort";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:56:"modules/webform/css/webform.element.tableselect_sort.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:20:"webform.element.time";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:42:"modules/webform/js/webform.element.time.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:2:{i:0;s:11:"core/drupal";i:1;s:35:"webform/libraries.jquery.timepicker";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:26:"webform.element.video_file";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:50:"modules/webform/css/webform.element.video_file.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"webform.composite";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:41:"modules/webform/css/webform.composite.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:27:"webform.composite.telephone";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:51:"modules/webform/css/webform.composite.telephone.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:1:{i:0;s:25:"webform/webform.composite";}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:10:"imce.input";a:5:{s:7:"version";s:5:"9.5.7";s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:34:"modules/webform/js/webform.imce.js";s:7:"version";s:5:"9.5.7";s:8:"minified";b:0;}}s:12:"dependencies";a:1:{i:0;s:22:"imce/drupal.imce.input";}s:3:"css";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}s:17:"libraries.choices";a:8:{s:6:"remote";s:37:"https://github.com/Choices-js/Choices";s:7:"version";s:5:"9.0.1";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:57:"https://github.com/Choices-js/Choices/blob/master/LICENSE";s:14:"gpl-compatible";b:1;}s:9:"directory";s:7:"choices";s:3:"cdn";a:1:{s:19:"/libraries/choices/";s:54:"https://cdn.jsdelivr.net/gh/Choices-js/Choices@v9.0.1/";}s:3:"css";a:2:{i:0;a:5:{s:6:"weight";i:0;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:44:"modules/webform/css/webform.choices.base.css";s:7:"version";s:5:"9.0.1";}i:1;a:6:{s:8:"minified";b:1;s:4:"type";s:8:"external";s:6:"weight";i:0;s:5:"group";i:0;s:4:"data";s:90:"https://cdn.jsdelivr.net/gh/Choices-js/Choices@v9.0.1/public/assets/styles/choices.min.css";s:7:"version";s:5:"9.0.1";}}s:2:"js";a:2:{i:0;a:6:{s:6:"weight";i:-1;s:8:"browsers";a:1:{s:2:"IE";s:9:"lte IE 11";}s:5:"group";i:-100;s:4:"type";s:8:"external";s:4:"data";s:164:"https://polyfill.io/v3/polyfill.min.js?features=es5%2Ces6%2CArray.prototype.includes%2Cfetch%2CCustomEvent%2CElement.prototype.closest%2CElement.prototype.classList";s:7:"version";s:5:"9.0.1";}i:1;a:5:{s:8:"minified";b:1;s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:90:"https://cdn.jsdelivr.net/gh/Choices-js/Choices@v9.0.1/public/assets/scripts/choices.min.js";s:7:"version";s:5:"9.0.1";}}s:12:"dependencies";a:0:{}}s:24:"libraries.algolia.places";a:7:{s:6:"remote";s:33:"https://github.com/algolia/places";s:7:"version";s:6:"1.19.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:53:"https://github.com/algolia/places/blob/master/LICENSE";s:14:"gpl-compatible";b:1;}s:3:"cdn";a:1:{s:35:"/libraries/algolia.places/dist/cdn/";s:55:"https://cdn.jsdelivr.net/npm/places.js@1.19.0/dist/cdn/";}s:2:"js";a:1:{i:0;a:5:{s:5:"group";i:-100;s:4:"type";s:4:"file";s:4:"data";s:43:"libraries/algolia.places/dist/cdn/places.js";s:7:"version";s:6:"1.19.0";s:8:"minified";b:0;}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:23:"libraries.jquery.rateit";a:8:{s:6:"remote";s:35:"https://github.com/gjunge/rateit.js";s:7:"version";s:5:"1.1.5";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:58:"https://github.com/gjunge/rateit.js/blob/master/LICENSE.md";s:14:"gpl-compatible";b:1;}s:9:"directory";s:13:"jquery.rateit";s:3:"cdn";a:1:{s:25:"/libraries/jquery.rateit/";s:51:"https://cdn.jsdelivr.net/gh/gjunge/rateit.js@1.1.5/";}s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:0;s:5:"group";i:0;s:4:"data";s:69:"https://cdn.jsdelivr.net/gh/gjunge/rateit.js@1.1.5/scripts/rateit.css";s:7:"version";s:5:"1.1.5";}}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:79:"https://cdn.jsdelivr.net/gh/gjunge/rateit.js@1.1.5/scripts/jquery.rateit.min.js";s:7:"version";s:5:"1.1.5";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}}s:28:"libraries.jquery.textcounter";a:8:{s:6:"remote";s:46:"https://github.com/ractoon/jQuery-Text-Counter";s:7:"version";s:5:"0.9.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:46:"http://opensource.org/licenses/mit-license.php";s:14:"gpl-compatible";b:1;}s:9:"directory";s:18:"jquery.textcounter";s:3:"cdn";a:1:{s:30:"/libraries/jquery.textcounter/";s:62:"https://cdn.jsdelivr.net/gh/ractoon/jQuery-Text-Counter@0.9.0/";}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:80:"https://cdn.jsdelivr.net/gh/ractoon/jQuery-Text-Counter@0.9.0/textcounter.min.js";s:7:"version";s:5:"0.9.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}s:3:"css";a:0:{}}s:27:"libraries.jquery.timepicker";a:8:{s:6:"remote";s:48:"https://github.com/jonthornton/jquery-timepicker";s:7:"version";s:6:"1.14.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:46:"http://opensource.org/licenses/mit-license.php";s:14:"gpl-compatible";b:1;}s:9:"directory";s:17:"jquery.timepicker";s:3:"cdn";a:1:{s:29:"/libraries/jquery.timepicker/";s:65:"https://cdn.jsdelivr.net/gh/jonthornton/jquery-timepicker@1.14.0/";}s:3:"css";a:1:{i:0;a:6:{s:8:"minified";b:1;s:4:"type";s:8:"external";s:6:"weight";i:0;s:5:"group";i:0;s:4:"data";s:90:"https://cdn.jsdelivr.net/gh/jonthornton/jquery-timepicker@1.14.0/jquery.timepicker.min.css";s:7:"version";s:6:"1.14.0";}}s:2:"js";a:1:{i:0;a:5:{s:8:"minified";b:1;s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:89:"https://cdn.jsdelivr.net/gh/jonthornton/jquery-timepicker@1.14.0/jquery.timepicker.min.js";s:7:"version";s:6:"1.14.0";}}s:12:"dependencies";a:1:{i:0;s:11:"core/jquery";}}s:26:"libraries.progress-tracker";a:8:{s:6:"remote";s:47:"https://github.com/NigelOToole/progress-tracker";s:7:"version";s:5:"2.0.7";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:67:"https://github.com/NigelOToole/progress-tracker/blob/master/LICENSE";s:14:"gpl-compatible";b:1;}s:9:"directory";s:16:"progress-tracker";s:3:"cdn";a:1:{s:28:"/libraries/progress-tracker/";s:64:"https://cdn.jsdelivr.net/gh/NigelOToole/progress-tracker@v2.0.7/";}s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:0;s:5:"group";i:0;s:4:"data";s:95:"https://cdn.jsdelivr.net/gh/NigelOToole/progress-tracker@v2.0.7/src/styles/progress-tracker.css";s:7:"version";s:5:"2.0.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}}s:23:"libraries.signature_pad";a:8:{s:6:"remote";s:39:"https://github.com/szimek/signature_pad";s:7:"version";s:5:"2.3.0";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:46:"http://opensource.org/licenses/mit-license.php";s:14:"gpl-compatible";b:1;}s:9:"directory";s:13:"signature_pad";s:3:"cdn";a:1:{s:25:"/libraries/signature_pad/";s:56:"https://cdn.jsdelivr.net/gh/szimek/signature_pad@v2.3.0/";}s:2:"js";a:1:{i:0;a:4:{s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:83:"https://cdn.jsdelivr.net/gh/szimek/signature_pad@v2.3.0/example/js/signature_pad.js";s:7:"version";s:5:"2.3.0";}}s:12:"dependencies";a:0:{}s:3:"css";a:0:{}}s:15:"libraries.tabby";a:8:{s:6:"remote";s:36:"https://github.com/cferdinandi/tabby";s:7:"version";s:6:"12.0.3";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:59:"https://github.com/cferdinandi/tabby/blob/master/LICENSE.md";s:14:"gpl-compatible";b:1;}s:9:"directory";s:5:"tabby";s:3:"cdn";a:1:{s:17:"/libraries/tabby/";s:53:"https://cdn.jsdelivr.net/gh/cferdinandi/tabby@12.0.3/";}s:3:"css";a:1:{i:0;a:5:{s:4:"type";s:8:"external";s:6:"weight";i:0;s:5:"group";i:0;s:4:"data";s:78:"https://cdn.jsdelivr.net/gh/cferdinandi/tabby@12.0.3/dist/css/tabby-ui.min.css";s:7:"version";s:6:"12.0.3";}}s:2:"js";a:1:{i:0;a:4:{s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:73:"https://cdn.jsdelivr.net/gh/cferdinandi/tabby@12.0.3/dist/js/tabby.min.js";s:7:"version";s:6:"12.0.3";}}s:12:"dependencies";a:0:{}}s:17:"libraries.tippyjs";a:8:{s:6:"remote";s:34:"https://github.com/atomiks/tippyjs";s:7:"version";s:5:"6.3.7";s:7:"license";a:3:{s:4:"name";s:3:"MIT";s:3:"url";s:54:"https://github.com/atomiks/tippyjs/blob/master/LICENSE";s:14:"gpl-compatible";b:1;}s:9:"directory";s:11:"tippyjs/6.x";s:3:"cdn";a:1:{s:23:"/libraries/tippyjs/6.x/";s:38:"https://unpkg.com/tippy.js@6.3.7/dist/";}s:2:"js";a:1:{i:0;a:4:{s:4:"type";s:8:"external";s:5:"group";i:-100;s:4:"data";s:61:"https://unpkg.com/tippy.js@6.3.7/dist/tippy-bundle.umd.min.js";s:7:"version";s:5:"6.3.7";}}s:12:"dependencies";a:1:{i:0;s:13:"core/popperjs";}s:3:"css";a:0:{}}}s:6:"update";a:1:{s:19:"drupal.update.admin";a:5:{s:7:"version";s:5:"9.5.7";s:3:"css";a:1:{i:0;a:5:{s:6:"weight";i:200;s:5:"group";i:0;s:4:"type";s:4:"file";s:4:"data";s:46:"core/modules/update/css/update.admin.theme.css";s:7:"version";s:5:"9.5.7";}}s:12:"dependencies";a:0:{}s:2:"js";a:0:{}s:7:"license";a:3:{s:4:"name";s:20:"GNU-GPL-2.0-or-later";s:3:"url";s:36:"https://www.drupal.org/licensing/faq";s:14:"gpl-compatible";b:1;}}}}', -1, '1681652068.595', 1, 'library_info', '0');
INSERT INTO `cache_discovery` VALUES
('local_action_plugins:en', 'a:74:{s:22:"block_content_type_add";a:9:{s:2:"id";s:22:"block_content_type_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Add custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:22:"block_content.type_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:36:"entity.block_content_type.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:13:"block_content";}s:24:"block_content_add_action";a:9:{s:2:"id";s:24:"block_content_add_action";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:22:"block_content.add_page";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:2:{i:0;s:19:"block.admin_library";i:1;s:31:"entity.block_content.collection";}s:5:"class";s:71:"Drupal\\block_content\\Plugin\\Menu\\LocalAction\\BlockContentAddLocalAction";s:8:"provider";s:13:"block_content";}s:16:"comment_type_add";a:9:{s:2:"id";s:16:"comment_type_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:28:"entity.comment_type.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:30:"entity.comment_type.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:7:"comment";}s:16:"contact.form_add";a:9:{s:2:"id";s:16:"contact.form_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:1;s:10:"route_name";s:16:"contact.form_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:30:"entity.contact_form.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:7:"contact";}s:70:"field_group.field_group_add:field_group_add_block_content_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:51:"field_ui.field_group_add_block_content.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:48:"entity.entity_form_display.block_content.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:80:"field_group.field_group_add:field_group_add_block_content_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:61;s:6:"weight";N;s:10:"route_name";s:61:"field_ui.field_group_add_block_content.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:50:"entity.entity_form_display.block_content.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:65:"field_group.field_group_add:field_group_add_block_content_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:61;s:6:"weight";N;s:10:"route_name";s:46:"field_ui.field_group_add_block_content.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:48:"entity.entity_view_display.block_content.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:75:"field_group.field_group_add:field_group_add_block_content_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:61;s:6:"weight";N;s:10:"route_name";s:56:"field_ui.field_group_add_block_content.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:50:"entity.entity_view_display.block_content.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:64:"field_group.field_group_add:field_group_add_comment_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:45:"field_ui.field_group_add_comment.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:42:"entity.entity_form_display.comment.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:74:"field_group.field_group_add:field_group_add_comment_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:112;s:6:"weight";N;s:10:"route_name";s:55:"field_ui.field_group_add_comment.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:44:"entity.entity_form_display.comment.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:59:"field_group.field_group_add:field_group_add_comment_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:112;s:6:"weight";N;s:10:"route_name";s:40:"field_ui.field_group_add_comment.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:42:"entity.entity_view_display.comment.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:69:"field_group.field_group_add:field_group_add_comment_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:112;s:6:"weight";N;s:10:"route_name";s:50:"field_ui.field_group_add_comment.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:44:"entity.entity_view_display.comment.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:72:"field_group.field_group_add:field_group_add_contact_message_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:53:"field_ui.field_group_add_contact_message.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:50:"entity.entity_form_display.contact_message.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:82:"field_group.field_group_add:field_group_add_contact_message_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:163;s:6:"weight";N;s:10:"route_name";s:63:"field_ui.field_group_add_contact_message.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:52:"entity.entity_form_display.contact_message.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:67:"field_group.field_group_add:field_group_add_contact_message_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:163;s:6:"weight";N;s:10:"route_name";s:48:"field_ui.field_group_add_contact_message.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:50:"entity.entity_view_display.contact_message.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:77:"field_group.field_group_add:field_group_add_contact_message_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:163;s:6:"weight";N;s:10:"route_name";s:58:"field_ui.field_group_add_contact_message.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:52:"entity.entity_view_display.contact_message.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:61:"field_group.field_group_add:field_group_add_node_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:42:"field_ui.field_group_add_node.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:39:"entity.entity_form_display.node.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:71:"field_group.field_group_add:field_group_add_node_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:214;s:6:"weight";N;s:10:"route_name";s:52:"field_ui.field_group_add_node.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:41:"entity.entity_form_display.node.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:56:"field_group.field_group_add:field_group_add_node_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:214;s:6:"weight";N;s:10:"route_name";s:37:"field_ui.field_group_add_node.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:39:"entity.entity_view_display.node.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:66:"field_group.field_group_add:field_group_add_node_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:214;s:6:"weight";N;s:10:"route_name";s:47:"field_ui.field_group_add_node.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:41:"entity.entity_view_display.node.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:70:"field_group.field_group_add:field_group_add_taxonomy_term_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:51:"field_ui.field_group_add_taxonomy_term.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:48:"entity.entity_form_display.taxonomy_term.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:80:"field_group.field_group_add:field_group_add_taxonomy_term_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:265;s:6:"weight";N;s:10:"route_name";s:61:"field_ui.field_group_add_taxonomy_term.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:50:"entity.entity_form_display.taxonomy_term.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:65:"field_group.field_group_add:field_group_add_taxonomy_term_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:265;s:6:"weight";N;s:10:"route_name";s:46:"field_ui.field_group_add_taxonomy_term.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:48:"entity.entity_view_display.taxonomy_term.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:75:"field_group.field_group_add:field_group_add_taxonomy_term_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:265;s:6:"weight";N;s:10:"route_name";s:56:"field_ui.field_group_add_taxonomy_term.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:50:"entity.entity_view_display.taxonomy_term.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:61:"field_group.field_group_add:field_group_add_user_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:42:"field_ui.field_group_add_user.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:39:"entity.entity_form_display.user.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:71:"field_group.field_group_add:field_group_add_user_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:316;s:6:"weight";N;s:10:"route_name";s:52:"field_ui.field_group_add_user.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:41:"entity.entity_form_display.user.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:56:"field_group.field_group_add:field_group_add_user_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:316;s:6:"weight";N;s:10:"route_name";s:37:"field_ui.field_group_add_user.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:39:"entity.entity_view_display.user.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:66:"field_group.field_group_add:field_group_add_user_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:316;s:6:"weight";N;s:10:"route_name";s:47:"field_ui.field_group_add_user.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:41:"entity.entity_view_display.user.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:61:"field_group.field_group_add:field_group_add_font_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:42:"field_ui.field_group_add_font.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:39:"entity.entity_form_display.font.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:71:"field_group.field_group_add:field_group_add_font_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:367;s:6:"weight";N;s:10:"route_name";s:52:"field_ui.field_group_add_font.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:41:"entity.entity_form_display.font.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:56:"field_group.field_group_add:field_group_add_font_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:367;s:6:"weight";N;s:10:"route_name";s:37:"field_ui.field_group_add_font.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:39:"entity.entity_view_display.font.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:66:"field_group.field_group_add:field_group_add_font_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:367;s:6:"weight";N;s:10:"route_name";s:47:"field_ui.field_group_add_font.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:41:"entity.entity_view_display.font.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:66:"field_group.field_group_add:field_group_add_paragraph_form_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add field group";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:47:"field_ui.field_group_add_paragraph.form_display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:44:"entity.entity_form_display.paragraph.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:76:"field_group.field_group_add:field_group_add_paragraph_form_display_form_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:418;s:6:"weight";N;s:10:"route_name";s:57:"field_ui.field_group_add_paragraph.form_display.form_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:46:"entity.entity_form_display.paragraph.form_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:61:"field_group.field_group_add:field_group_add_paragraph_display";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:418;s:6:"weight";N;s:10:"route_name";s:42:"field_ui.field_group_add_paragraph.display";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:44:"entity.entity_view_display.paragraph.default";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:71:"field_group.field_group_add:field_group_add_paragraph_display_view_mode";a:10:{s:2:"id";s:27:"field_group.field_group_add";s:5:"title";r:418;s:6:"weight";N;s:10:"route_name";s:52:"field_ui.field_group_add_paragraph.display.view_mode";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:46:"entity.entity_view_display.paragraph.view_mode";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:59:"\\Drupal\\field_group\\Plugin\\Derivative\\FieldGroupLocalAction";s:8:"provider";s:11:"field_group";}s:29:"field_ui.entity_view_mode_add";a:9:{s:2:"id";s:29:"field_ui.entity_view_mode_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Add view mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:1;s:10:"route_name";s:29:"field_ui.entity_view_mode_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:34:"entity.entity_view_mode.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:8:"field_ui";}s:29:"field_ui.entity_form_mode_add";a:9:{s:2:"id";s:29:"field_ui.entity_form_mode_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Add form mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:1;s:10:"route_name";s:29:"field_ui.entity_form_mode_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:34:"entity.entity_form_mode.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:8:"field_ui";}s:72:"field_ui.field_storage_config_add:field_storage_config_add_block_content";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:47:"field_ui.field_storage_config_add_block_content";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:36:"entity.block_content.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:66:"field_ui.field_storage_config_add:field_storage_config_add_comment";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:41:"field_ui.field_storage_config_add_comment";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:30:"entity.comment.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:74:"field_ui.field_storage_config_add:field_storage_config_add_contact_message";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:49:"field_ui.field_storage_config_add_contact_message";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:38:"entity.contact_message.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:63:"field_ui.field_storage_config_add:field_storage_config_add_node";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:38:"field_ui.field_storage_config_add_node";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:27:"entity.node.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:72:"field_ui.field_storage_config_add:field_storage_config_add_taxonomy_term";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:47:"field_ui.field_storage_config_add_taxonomy_term";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:36:"entity.taxonomy_term.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:63:"field_ui.field_storage_config_add:field_storage_config_add_user";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:38:"field_ui.field_storage_config_add_user";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:27:"entity.user.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:63:"field_ui.field_storage_config_add:field_storage_config_add_font";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:38:"field_ui.field_storage_config_add_font";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:27:"entity.font.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:68:"field_ui.field_storage_config_add:field_storage_config_add_paragraph";a:10:{s:2:"id";s:33:"field_ui.field_storage_config_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:43:"field_ui.field_storage_config_add_paragraph";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:32:"entity.paragraph.field_ui_fields";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:7:"deriver";s:53:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction";s:8:"provider";s:8:"field_ui";}s:30:"filter_format_add_local_action";a:9:{s:2:"id";s:30:"filter_format_add_local_action";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:17:"filter.format_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:21:"filter.admin_overview";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:6:"filter";}s:22:"image_style_add_action";a:9:{s:2:"id";s:22:"image_style_add_action";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Add image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:15:"image.style_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:29:"entity.image_style.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:5:"image";}s:25:"entity.menu.add_link_form";a:9:{s:2:"id";s:25:"entity.menu.add_link_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Add link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:25:"entity.menu.add_link_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:21:"entity.menu.edit_form";}s:5:"class";s:50:"Drupal\\menu_ui\\Plugin\\Menu\\LocalAction\\MenuLinkAdd";s:8:"provider";s:7:"menu_ui";}s:20:"entity.menu.add_form";a:9:{s:2:"id";s:20:"entity.menu.add_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Add menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:20:"entity.menu.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:22:"entity.menu.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:7:"menu_ui";}s:13:"node.type_add";a:9:{s:2:"id";s:13:"node.type_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:13:"node.type_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:27:"entity.node_type.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:4:"node";}s:13:"node.add_page";a:9:{s:2:"id";s:13:"node.add_page";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:13:"node.add_page";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:20:"system.admin_content";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:4:"node";}s:26:"entity.path_alias.add_form";a:9:{s:2:"id";s:26:"entity.path_alias.add_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:26:"entity.path_alias.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:28:"entity.path_alias.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:4:"path";}s:29:"shortcut_set_add_local_action";a:9:{s:2:"id";s:29:"shortcut_set_add_local_action";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:16:"shortcut.set_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:30:"entity.shortcut_set.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:8:"shortcut";}s:17:"shortcut.link_add";a:9:{s:2:"id";s:17:"shortcut.link_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Add shortcut";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:17:"shortcut.link_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:34:"entity.shortcut_set.customize_form";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:8:"shortcut";}s:22:"system.date_format_add";a:9:{s:2:"id";s:22:"system.date_format_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Add format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:-10;s:10:"route_name";s:22:"system.date_format_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:29:"entity.date_format.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:6:"system";}s:35:"entity.taxonomy_vocabulary.add_form";a:9:{s:2:"id";s:35:"entity.taxonomy_vocabulary.add_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Add vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:35:"entity.taxonomy_vocabulary.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:37:"entity.taxonomy_vocabulary.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:8:"taxonomy";}s:29:"entity.taxonomy_term.add_form";a:9:{s:2:"id";s:29:"entity.taxonomy_term.add_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Add term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:29:"entity.taxonomy_term.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:40:"entity.taxonomy_vocabulary.overview_form";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:8:"taxonomy";}s:21:"update.report_install";a:9:{s:2:"id";s:21:"update.report_install";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Add new module or theme";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:25;s:10:"route_name";s:21:"update.report_install";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:13:"update.status";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:6:"update";}s:21:"update.module_install";a:9:{s:2:"id";s:21:"update.module_install";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Add new module";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:25;s:10:"route_name";s:21:"update.module_install";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:19:"system.modules_list";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:6:"update";}s:20:"update.theme_install";a:9:{s:2:"id";s:20:"update.theme_install";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Add new theme";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:25;s:10:"route_name";s:20:"update.theme_install";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:18:"system.themes_page";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:6:"update";}s:17:"user_admin_create";a:9:{s:2:"id";s:17:"user_admin_create";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Add user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:17:"user.admin_create";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:22:"entity.user.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:4:"user";}s:13:"user.role_add";a:9:{s:2:"id";s:13:"user.role_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Add role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:13:"user.role_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:27:"entity.user_role.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:4:"user";}s:22:"views_add_local_action";a:9:{s:2:"id";s:22:"views_add_local_action";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Add view";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:12:"views_ui.add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:22:"entity.view.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:8:"views_ui";}s:23:"entity.webform.add_form";a:10:{s:2:"id";s:23:"entity.webform.add_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:23:"entity.webform.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:25:"entity.webform.collection";}s:5:"class";s:63:"Drupal\\webform\\Plugin\\Menu\\LocalAction\\WebformDialogLocalAction";s:6:"dialog";s:6:"narrow";s:8:"provider";s:7:"webform";}s:31:"entity.webform_options.add_form";a:9:{s:2:"id";s:31:"entity.webform_options.add_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:31:"entity.webform_options.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:33:"entity.webform_options.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:7:"webform";}s:32:"entity.webform.handler.add_email";a:10:{s:2:"id";s:32:"entity.webform.handler.add_email";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Add email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:32:"entity.webform.handler.add_email";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:23:"entity.webform.handlers";}s:5:"class";s:63:"Drupal\\webform\\Plugin\\Menu\\LocalAction\\WebformDialogLocalAction";s:10:"off_canvas";s:6:"normal";s:8:"provider";s:7:"webform";}s:22:"entity.webform.handler";a:10:{s:2:"id";s:22:"entity.webform.handler";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add handler";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:22:"entity.webform.handler";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:23:"entity.webform.handlers";}s:5:"class";s:63:"Drupal\\webform\\Plugin\\Menu\\LocalAction\\WebformDialogLocalAction";s:6:"dialog";s:6:"normal";s:8:"provider";s:7:"webform";}s:22:"entity.webform.variant";a:10:{s:2:"id";s:22:"entity.webform.variant";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add variant";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:22:"entity.webform.variant";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:23:"entity.webform.variants";}s:5:"class";s:63:"Drupal\\webform\\Plugin\\Menu\\LocalAction\\WebformDialogLocalAction";s:6:"dialog";s:6:"normal";s:8:"provider";s:7:"webform";}s:25:"entity.webform_ui.element";a:11:{s:2:"id";s:25:"entity.webform_ui.element";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add element";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:0;s:10:"route_name";s:25:"entity.webform_ui.element";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:24:"entity.webform.edit_form";}s:5:"class";s:63:"Drupal\\webform\\Plugin\\Menu\\LocalAction\\WebformDialogLocalAction";s:6:"dialog";s:6:"normal";s:10:"attributes";a:1:{s:2:"id";s:22:"webform-ui-add-element";}s:8:"provider";s:10:"webform_ui";}s:30:"entity.webform_ui.element.page";a:11:{s:2:"id";s:30:"entity.webform_ui.element.page";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Add page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:10;s:10:"route_name";s:34:"entity.webform_ui.element.add_page";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:24:"entity.webform.edit_form";}s:5:"class";s:63:"Drupal\\webform\\Plugin\\Menu\\LocalAction\\WebformDialogLocalAction";s:10:"off_canvas";s:6:"normal";s:10:"attributes";a:1:{s:2:"id";s:19:"webform-ui-add-page";}s:8:"provider";s:10:"webform_ui";}s:32:"entity.webform_ui.element.layout";a:11:{s:2:"id";s:32:"entity.webform_ui.element.layout";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Add layout";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";i:30;s:10:"route_name";s:36:"entity.webform_ui.element.add_layout";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:24:"entity.webform.edit_form";}s:5:"class";s:63:"Drupal\\webform\\Plugin\\Menu\\LocalAction\\WebformDialogLocalAction";s:10:"off_canvas";s:6:"normal";s:10:"attributes";a:1:{s:2:"id";s:21:"webform-ui-add-layout";}s:8:"provider";s:10:"webform_ui";}s:28:"entity.font_display.add_form";a:9:{s:2:"id";s:28:"entity.font_display.add_form";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Add Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:28:"entity.font_display.add_form";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:30:"entity.font_display.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:12:"fontyourface";}s:19:"paragraphs.type_add";a:9:{s:2:"id";s:19:"paragraphs.type_add";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Add paragraph type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"weight";N;s:10:"route_name";s:19:"paragraphs.type_add";s:16:"route_parameters";a:0:{}s:7:"options";a:0:{}s:10:"appears_on";a:1:{i:0;s:33:"entity.paragraphs_type.collection";}s:5:"class";s:35:"Drupal\\Core\\Menu\\LocalActionDefault";s:8:"provider";s:10:"paragraphs";}}', -1, '1681649762.592', 1, 'local_action', '3'),
('local_task_plugins:en', 'a:243:{s:22:"entity.block.edit_form";a:10:{s:10:"route_name";s:22:"entity.block.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Configure block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.block.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"entity.block.edit_form";s:8:"provider";s:5:"block";}s:19:"block.admin_display";a:10:{s:10:"route_name";s:19:"block.admin_display";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Block layout";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"block.admin_display";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"block.admin_display";s:8:"provider";s:5:"block";}s:33:"block.admin_display_theme:olivero";a:11:{s:10:"route_name";s:19:"block.admin_display";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Olivero";s:10:"base_route";s:0:"";s:9:"parent_id";s:19:"block.admin_display";s:6:"weight";i:-10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:25:"block.admin_display_theme";s:7:"deriver";s:45:"Drupal\\block\\Plugin\\Derivative\\ThemeLocalTask";s:8:"provider";s:5:"block";}s:31:"block.admin_display_theme:seven";a:11:{s:10:"route_name";s:25:"block.admin_display_theme";s:16:"route_parameters";a:1:{s:5:"theme";s:5:"seven";}s:5:"title";s:5:"Seven";s:10:"base_route";s:0:"";s:9:"parent_id";s:19:"block.admin_display";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:25:"block.admin_display_theme";s:7:"deriver";s:45:"Drupal\\block\\Plugin\\Derivative\\ThemeLocalTask";s:8:"provider";s:5:"block";}s:40:"block.admin_display_theme:conferenceplus";a:11:{s:10:"route_name";s:25:"block.admin_display_theme";s:16:"route_parameters";a:1:{s:5:"theme";s:14:"conferenceplus";}s:5:"title";s:11:"Conference+";s:10:"base_route";s:0:"";s:9:"parent_id";s:19:"block.admin_display";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:25:"block.admin_display_theme";s:7:"deriver";s:45:"Drupal\\block\\Plugin\\Derivative\\ThemeLocalTask";s:8:"provider";s:5:"block";}s:31:"entity.block_content.collection";a:10:{s:10:"route_name";s:31:"entity.block_content.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Custom block library";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"block.admin_display";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:31:"entity.block_content.collection";s:8:"provider";s:13:"block_content";}s:22:"block_content.list_sub";a:10:{s:10:"route_name";s:31:"entity.block_content.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Blocks";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:31:"entity.block_content.collection";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"block_content.list_sub";s:8:"provider";s:13:"block_content";}s:36:"entity.block_content_type.collection";a:10:{s:10:"route_name";s:36:"entity.block_content_type.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Block types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:31:"entity.block_content.collection";s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:36:"entity.block_content_type.collection";s:8:"provider";s:13:"block_content";}s:30:"entity.block_content.canonical";a:10:{s:10:"route_name";s:30:"entity.block_content.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.block_content.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.block_content.canonical";s:8:"provider";s:13:"block_content";}s:32:"entity.block_content.delete_form";a:10:{s:10:"route_name";s:32:"entity.block_content.delete_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.block_content.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"entity.block_content.delete_form";s:8:"provider";s:13:"block_content";}s:35:"entity.block_content_type.edit_form";a:10:{s:10:"route_name";s:35:"entity.block_content_type.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:35:"entity.block_content_type.edit_form";s:8:"provider";s:13:"block_content";}s:28:"entity.comment.canonical_tab";a:10:{s:10:"route_name";s:24:"entity.comment.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"View comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.comment.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"entity.comment.canonical_tab";s:8:"provider";s:7:"comment";}s:28:"entity.comment.edit_form_tab";a:10:{s:10:"route_name";s:24:"entity.comment.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.comment.canonical";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"entity.comment.edit_form_tab";s:8:"provider";s:7:"comment";}s:30:"entity.comment.delete_form_tab";a:10:{s:10:"route_name";s:26:"entity.comment.delete_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.comment.canonical";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.comment.delete_form_tab";s:8:"provider";s:7:"comment";}s:13:"comment.admin";a:10:{s:10:"route_name";s:13:"comment.admin";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_content";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:13:"comment.admin";s:8:"provider";s:7:"comment";}s:17:"comment.admin_new";a:10:{s:10:"route_name";s:13:"comment.admin";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Published comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:13:"comment.admin";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:17:"comment.admin_new";s:8:"provider";s:7:"comment";}s:22:"comment.admin_approval";a:11:{s:10:"route_name";s:22:"comment.admin_approval";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Unapproved comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:13:"comment.admin";s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:55:"Drupal\\comment\\Plugin\\Menu\\LocalTask\\UnapprovedComments";s:2:"id";s:22:"comment.admin_approval";s:10:"cache_tags";a:1:{i:0;s:12:"comment_list";}s:8:"provider";s:7:"comment";}s:29:"entity.comment_type.edit_form";a:10:{s:10:"route_name";s:29:"entity.comment_type.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.comment_type.edit_form";s:8:"provider";s:7:"comment";}s:11:"config.sync";a:10:{s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Synchronize";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:11:"config.sync";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:11:"config.sync";s:8:"provider";s:6:"config";}s:13:"config.import";a:10:{s:10:"route_name";s:18:"config.import_full";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Import";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:11:"config.sync";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:13:"config.import";s:8:"provider";s:6:"config";}s:13:"config.export";a:10:{s:10:"route_name";s:18:"config.export_full";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Export";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:11:"config.sync";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:13:"config.export";s:8:"provider";s:6:"config";}s:18:"config.export_full";a:10:{s:10:"route_name";s:18:"config.export_full";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Full archive";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:13:"config.export";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:18:"config.export_full";s:8:"provider";s:6:"config";}s:18:"config.import_full";a:10:{s:10:"route_name";s:18:"config.import_full";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Full archive";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:13:"config.import";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:18:"config.import_full";s:8:"provider";s:6:"config";}s:20:"config.export_single";a:10:{s:10:"route_name";s:20:"config.export_single";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Single item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:13:"config.export";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"config.export_single";s:8:"provider";s:6:"config";}s:20:"config.import_single";a:10:{s:10:"route_name";s:20:"config.import_single";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Single item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:13:"config.import";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"config.import_single";s:8:"provider";s:6:"config";}s:29:"entity.contact_form.canonical";a:10:{s:10:"route_name";s:29:"entity.contact_form.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.contact_form.canonical";s:8:"provider";s:7:"contact";}s:29:"entity.contact_form.edit_form";a:10:{s:10:"route_name";s:29:"entity.contact_form.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.contact_form.edit_form";s:8:"provider";s:7:"contact";}s:24:"entity.user.contact_form";a:10:{s:10:"route_name";s:24:"entity.user.contact_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Contact";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.user.canonical";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"entity.user.contact_form";s:8:"provider";s:7:"contact";}s:15:"dblog.view_logs";a:10:{s:10:"route_name";s:14:"dblog.overview";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:14:"dblog.overview";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"dblog.view_logs";s:8:"provider";s:5:"dblog";}s:16:"dblog.clear_logs";a:10:{s:10:"route_name";s:13:"dblog.confirm";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:14:"dblog.overview";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:16:"dblog.clear_logs";s:8:"provider";s:5:"dblog";}s:38:"entity.field_storage_config.collection";a:10:{s:10:"route_name";s:38:"entity.field_storage_config.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:38:"entity.field_storage_config.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:38:"entity.field_storage_config.collection";s:8:"provider";s:8:"field_ui";}s:38:"field_ui.fields:overview_block_content";a:11:{s:10:"route_name";s:36:"entity.block_content.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:51:"field_ui.fields:form_display_overview_block_content";a:11:{s:10:"route_name";s:48:"entity.entity_form_display.block_content.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:46:"field_ui.fields:display_overview_block_content";a:11:{s:10:"route_name";s:48:"entity.entity_view_display.block_content.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:40:"field_ui.fields:field_edit_block_content";a:11:{s:10:"route_name";s:49:"entity.field_config.block_content_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:49:"entity.field_config.block_content_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:43:"field_ui.fields:field_storage_block_content";a:11:{s:10:"route_name";s:51:"entity.field_config.block_content_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:49:"entity.field_config.block_content_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:56:"field_ui.fields:field_form_display_default_block_content";a:11:{s:10:"route_name";s:48:"entity.entity_form_display.block_content.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";s:51:"field_ui.fields:form_display_overview_block_content";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:51:"field_ui.fields:field_display_default_block_content";a:11:{s:10:"route_name";s:48:"entity.entity_view_display.block_content.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";s:46:"field_ui.fields:display_overview_block_content";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:48:"field_ui.fields:field_display_full_block_content";a:12:{s:10:"route_name";s:50:"entity.entity_view_display.block_content.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:4:"full";}s:5:"title";s:4:"Full";s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";s:46:"field_ui.fields:display_overview_block_content";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:32:"field_ui.fields:overview_comment";a:11:{s:10:"route_name";s:30:"entity.comment.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:45:"field_ui.fields:form_display_overview_comment";a:11:{s:10:"route_name";s:42:"entity.entity_form_display.comment.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:40:"field_ui.fields:display_overview_comment";a:11:{s:10:"route_name";s:42:"entity.entity_view_display.comment.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:34:"field_ui.fields:field_edit_comment";a:11:{s:10:"route_name";s:43:"entity.field_config.comment_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:43:"entity.field_config.comment_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:37:"field_ui.fields:field_storage_comment";a:11:{s:10:"route_name";s:45:"entity.field_config.comment_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:43:"entity.field_config.comment_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:50:"field_ui.fields:field_form_display_default_comment";a:11:{s:10:"route_name";s:42:"entity.entity_form_display.comment.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";s:45:"field_ui.fields:form_display_overview_comment";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:45:"field_ui.fields:field_display_default_comment";a:11:{s:10:"route_name";s:42:"entity.entity_view_display.comment.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";s:40:"field_ui.fields:display_overview_comment";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:field_display_full_comment";a:12:{s:10:"route_name";s:44:"entity.entity_view_display.comment.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:4:"full";}s:5:"title";s:12:"Full comment";s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";s:40:"field_ui.fields:display_overview_comment";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:40:"field_ui.fields:overview_contact_message";a:11:{s:10:"route_name";s:38:"entity.contact_message.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:53:"field_ui.fields:form_display_overview_contact_message";a:11:{s:10:"route_name";s:50:"entity.entity_form_display.contact_message.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:48:"field_ui.fields:display_overview_contact_message";a:11:{s:10:"route_name";s:50:"entity.entity_view_display.contact_message.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:field_edit_contact_message";a:11:{s:10:"route_name";s:51:"entity.field_config.contact_message_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:51:"entity.field_config.contact_message_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:45:"field_ui.fields:field_storage_contact_message";a:11:{s:10:"route_name";s:53:"entity.field_config.contact_message_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:51:"entity.field_config.contact_message_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:58:"field_ui.fields:field_form_display_default_contact_message";a:11:{s:10:"route_name";s:50:"entity.entity_form_display.contact_message.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";s:53:"field_ui.fields:form_display_overview_contact_message";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:53:"field_ui.fields:field_display_default_contact_message";a:11:{s:10:"route_name";s:50:"entity.entity_view_display.contact_message.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";s:48:"field_ui.fields:display_overview_contact_message";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:29:"field_ui.fields:overview_node";a:11:{s:10:"route_name";s:27:"entity.node.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:form_display_overview_node";a:11:{s:10:"route_name";s:39:"entity.entity_form_display.node.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:37:"field_ui.fields:display_overview_node";a:11:{s:10:"route_name";s:39:"entity.entity_view_display.node.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:31:"field_ui.fields:field_edit_node";a:11:{s:10:"route_name";s:40:"entity.field_config.node_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.field_config.node_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:34:"field_ui.fields:field_storage_node";a:11:{s:10:"route_name";s:42:"entity.field_config.node_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.field_config.node_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:47:"field_ui.fields:field_form_display_default_node";a:11:{s:10:"route_name";s:39:"entity.entity_form_display.node.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:42:"field_ui.fields:form_display_overview_node";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:field_display_default_node";a:11:{s:10:"route_name";s:39:"entity.entity_view_display.node.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:39:"field_ui.fields:field_display_full_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:4:"full";}s:5:"title";s:12:"Full content";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:50:"field_ui.fields:field_display_mt_listing_item_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:15:"mt_listing_item";}s:5:"title";s:12:"Listing Item";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:48:"field_ui.fields:field_display_mt_slide_view_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:13:"mt_slide_view";}s:5:"title";s:10:"Slide View";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:53:"field_ui.fields:field_display_mt_video_grid_item_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:18:"mt_video_grid_item";}s:5:"title";s:15:"Video Grid Item";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:38:"field_ui.fields:field_display_rss_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:3:"rss";}s:5:"title";s:3:"RSS";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:4;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:47:"field_ui.fields:field_display_search_index_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:12:"search_index";}s:5:"title";s:12:"Search index";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:5;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:48:"field_ui.fields:field_display_search_result_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:13:"search_result";}s:5:"title";s:32:"Search result highlighting input";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:6;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:41:"field_ui.fields:field_display_teaser_node";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.node.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:6:"teaser";}s:5:"title";s:6:"Teaser";s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_node";s:6:"weight";i:7;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:38:"field_ui.fields:overview_taxonomy_term";a:11:{s:10:"route_name";s:36:"entity.taxonomy_term.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:51:"field_ui.fields:form_display_overview_taxonomy_term";a:11:{s:10:"route_name";s:48:"entity.entity_form_display.taxonomy_term.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:46:"field_ui.fields:display_overview_taxonomy_term";a:11:{s:10:"route_name";s:48:"entity.entity_view_display.taxonomy_term.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:40:"field_ui.fields:field_edit_taxonomy_term";a:11:{s:10:"route_name";s:49:"entity.field_config.taxonomy_term_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:49:"entity.field_config.taxonomy_term_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:43:"field_ui.fields:field_storage_taxonomy_term";a:11:{s:10:"route_name";s:51:"entity.field_config.taxonomy_term_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:49:"entity.field_config.taxonomy_term_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:56:"field_ui.fields:field_form_display_default_taxonomy_term";a:11:{s:10:"route_name";s:48:"entity.entity_form_display.taxonomy_term.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";s:51:"field_ui.fields:form_display_overview_taxonomy_term";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:51:"field_ui.fields:field_display_default_taxonomy_term";a:11:{s:10:"route_name";s:48:"entity.entity_view_display.taxonomy_term.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";s:46:"field_ui.fields:display_overview_taxonomy_term";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:48:"field_ui.fields:field_display_full_taxonomy_term";a:12:{s:10:"route_name";s:50:"entity.entity_view_display.taxonomy_term.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:4:"full";}s:5:"title";s:18:"Taxonomy term page";s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";s:46:"field_ui.fields:display_overview_taxonomy_term";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:29:"field_ui.fields:overview_user";a:11:{s:10:"route_name";s:27:"entity.user.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:form_display_overview_user";a:11:{s:10:"route_name";s:39:"entity.entity_form_display.user.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:37:"field_ui.fields:display_overview_user";a:11:{s:10:"route_name";s:39:"entity.entity_view_display.user.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:31:"field_ui.fields:field_edit_user";a:11:{s:10:"route_name";s:40:"entity.field_config.user_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.field_config.user_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:34:"field_ui.fields:field_storage_user";a:11:{s:10:"route_name";s:42:"entity.field_config.user_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.field_config.user_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:47:"field_ui.fields:field_form_display_default_user";a:11:{s:10:"route_name";s:39:"entity.entity_form_display.user.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";s:42:"field_ui.fields:form_display_overview_user";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:field_display_default_user";a:11:{s:10:"route_name";s:39:"entity.entity_view_display.user.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_user";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:48:"field_ui.fields:field_form_display_register_user";a:12:{s:10:"route_name";s:41:"entity.entity_form_display.user.form_mode";s:16:"route_parameters";a:1:{s:14:"form_mode_name";s:8:"register";}s:5:"title";s:8:"Register";s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";s:42:"field_ui.fields:form_display_overview_user";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_form_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:field_display_compact_user";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.user.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:7:"compact";}s:5:"title";s:7:"Compact";s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_user";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:39:"field_ui.fields:field_display_full_user";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.user.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:4:"full";}s:5:"title";s:12:"User account";s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";s:37:"field_ui.fields:display_overview_user";s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:29:"field_ui.fields:overview_font";a:11:{s:10:"route_name";s:27:"entity.font.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:13:"font.settings";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:form_display_overview_font";a:11:{s:10:"route_name";s:39:"entity.entity_form_display.font.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:13:"font.settings";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:37:"field_ui.fields:display_overview_font";a:11:{s:10:"route_name";s:39:"entity.entity_view_display.font.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:13:"font.settings";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:31:"field_ui.fields:field_edit_font";a:11:{s:10:"route_name";s:40:"entity.field_config.font_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.field_config.font_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:34:"field_ui.fields:field_storage_font";a:11:{s:10:"route_name";s:42:"entity.field_config.font_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.field_config.font_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:47:"field_ui.fields:field_form_display_default_font";a:11:{s:10:"route_name";s:39:"entity.entity_form_display.font.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:13:"font.settings";s:9:"parent_id";s:42:"field_ui.fields:form_display_overview_font";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:field_display_default_font";a:11:{s:10:"route_name";s:39:"entity.entity_view_display.font.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:13:"font.settings";s:9:"parent_id";s:37:"field_ui.fields:display_overview_font";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:39:"field_ui.fields:field_display_full_font";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.font.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:4:"full";}s:5:"title";s:14:"Full View Mode";s:10:"base_route";s:13:"font.settings";s:9:"parent_id";s:37:"field_ui.fields:display_overview_font";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:41:"field_ui.fields:field_display_teaser_font";a:12:{s:10:"route_name";s:41:"entity.entity_view_display.font.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:6:"teaser";}s:5:"title";s:11:"Teaser Mode";s:10:"base_route";s:13:"font.settings";s:9:"parent_id";s:37:"field_ui.fields:display_overview_font";s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:34:"field_ui.fields:overview_paragraph";a:11:{s:10:"route_name";s:32:"entity.paragraph.field_ui_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Manage fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"entity.paragraphs_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:47:"field_ui.fields:form_display_overview_paragraph";a:11:{s:10:"route_name";s:44:"entity.entity_form_display.paragraph.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Manage form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"entity.paragraphs_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:2;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:42:"field_ui.fields:display_overview_paragraph";a:11:{s:10:"route_name";s:44:"entity.entity_view_display.paragraph.default";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Manage display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"entity.paragraphs_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:3;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:36:"field_ui.fields:field_edit_paragraph";a:11:{s:10:"route_name";s:45:"entity.field_config.paragraph_field_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:45:"entity.field_config.paragraph_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:39:"field_ui.fields:field_storage_paragraph";a:11:{s:10:"route_name";s:47:"entity.field_config.paragraph_storage_edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:45:"entity.field_config.paragraph_field_edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:52:"field_ui.fields:field_form_display_default_paragraph";a:11:{s:10:"route_name";s:44:"entity.entity_form_display.paragraph.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:32:"entity.paragraphs_type.edit_form";s:9:"parent_id";s:47:"field_ui.fields:form_display_overview_paragraph";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:47:"field_ui.fields:field_display_default_paragraph";a:11:{s:10:"route_name";s:44:"entity.entity_view_display.paragraph.default";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Default";s:10:"base_route";s:32:"entity.paragraphs_type.edit_form";s:9:"parent_id";s:42:"field_ui.fields:display_overview_paragraph";s:6:"weight";i:-1;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:47:"field_ui.fields:field_display_preview_paragraph";a:12:{s:10:"route_name";s:46:"entity.entity_view_display.paragraph.view_mode";s:16:"route_parameters";a:1:{s:14:"view_mode_name";s:7:"preview";}s:5:"title";s:7:"Preview";s:10:"base_route";s:32:"entity.paragraphs_type.edit_form";s:9:"parent_id";s:42:"field_ui.fields:display_overview_paragraph";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"field_ui.fields";s:10:"cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:7:"deriver";s:51:"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask";s:8:"provider";s:8:"field_ui";}s:33:"entity.entity_view_mode.edit_form";a:10:{s:10:"route_name";s:33:"entity.entity_view_mode.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:33:"entity.entity_view_mode.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:33:"entity.entity_view_mode.edit_form";s:8:"provider";s:8:"field_ui";}s:33:"entity.entity_form_mode.edit_form";a:10:{s:10:"route_name";s:33:"entity.entity_form_mode.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:33:"entity.entity_form_mode.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:33:"entity.entity_form_mode.edit_form";s:8:"provider";s:8:"field_ui";}s:34:"entity.entity_view_mode.collection";a:10:{s:10:"route_name";s:34:"entity.entity_view_mode.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:34:"entity.entity_view_mode.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:34:"entity.entity_view_mode.collection";s:8:"provider";s:8:"field_ui";}s:34:"entity.entity_form_mode.collection";a:10:{s:10:"route_name";s:34:"entity.entity_form_mode.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:34:"entity.entity_form_mode.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:34:"entity.entity_form_mode.collection";s:8:"provider";s:8:"field_ui";}s:34:"entity.filter_format.edit_form_tab";a:10:{s:10:"route_name";s:30:"entity.filter_format.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Configure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.filter_format.edit_form";s:9:"parent_id";N;s:6:"weight";i:-10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:34:"entity.filter_format.edit_form_tab";s:8:"provider";s:6:"filter";}s:21:"filter.admin_overview";a:10:{s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"filter.admin_overview";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"filter.admin_overview";s:8:"provider";s:6:"filter";}s:28:"entity.image_style.edit_form";a:10:{s:10:"route_name";s:28:"entity.image_style.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:28:"entity.image_style.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"entity.image_style.edit_form";s:8:"provider";s:5:"image";}s:29:"entity.image_style.collection";a:10:{s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.image_style.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.image_style.collection";s:8:"provider";s:5:"image";}s:21:"entity.menu.edit_form";a:10:{s:10:"route_name";s:21:"entity.menu.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Edit menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.menu.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.menu.edit_form";s:8:"provider";s:7:"menu_ui";}s:22:"entity.menu.collection";a:10:{s:10:"route_name";s:22:"entity.menu.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.menu.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"entity.menu.collection";s:8:"provider";s:7:"menu_ui";}s:21:"entity.node.canonical";a:10:{s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.node.canonical";s:8:"provider";s:4:"node";}s:21:"entity.node.edit_form";a:10:{s:10:"route_name";s:21:"entity.node.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.node.edit_form";s:8:"provider";s:4:"node";}s:23:"entity.node.delete_form";a:10:{s:10:"route_name";s:23:"entity.node.delete_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"entity.node.delete_form";s:8:"provider";s:4:"node";}s:27:"entity.node.version_history";a:10:{s:10:"route_name";s:27:"entity.node.version_history";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"entity.node.version_history";s:8:"provider";s:4:"node";}s:26:"entity.node_type.edit_form";a:10:{s:10:"route_name";s:26:"entity.node_type.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:26:"entity.node_type.edit_form";s:8:"provider";s:4:"node";}s:27:"entity.node_type.collection";a:10:{s:10:"route_name";s:27:"entity.node_type.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:27:"entity.node_type.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"entity.node_type.collection";s:8:"provider";s:4:"node";}s:28:"entity.path_alias.collection";a:10:{s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:28:"entity.path_alias.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"entity.path_alias.collection";s:8:"provider";s:4:"path";}s:26:"search.plugins:node_search";a:9:{s:10:"route_name";s:23:"search.view_node_search";s:16:"route_parameters";a:0:{}s:5:"title";s:7:"Content";s:10:"base_route";s:26:"search.plugins:node_search";s:9:"parent_id";N;s:6:"weight";i:-10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:0:"";}s:26:"search.plugins:user_search";a:9:{s:10:"route_name";s:23:"search.view_user_search";s:16:"route_parameters";a:0:{}s:5:"title";s:5:"Users";s:10:"base_route";s:26:"search.plugins:node_search";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:0:"";}s:19:"shortcut.set_switch";a:10:{s:10:"route_name";s:19:"shortcut.set_switch";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.user.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"shortcut.set_switch";s:8:"provider";s:8:"shortcut";}s:34:"entity.shortcut_set.customize_form";a:10:{s:10:"route_name";s:34:"entity.shortcut_set.customize_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"List links";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:34:"entity.shortcut_set.customize_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:34:"entity.shortcut_set.customize_form";s:8:"provider";s:8:"shortcut";}s:29:"entity.shortcut_set.edit_form";a:10:{s:10:"route_name";s:29:"entity.shortcut_set.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Edit set name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:34:"entity.shortcut_set.customize_form";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.shortcut_set.edit_form";s:8:"provider";s:8:"shortcut";}s:25:"entity.shortcut.canonical";a:10:{s:10:"route_name";s:25:"entity.shortcut.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"entity.shortcut.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:25:"entity.shortcut.canonical";s:8:"provider";s:8:"shortcut";}s:29:"system.rss_feeds_settings_tab";a:10:{s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"system.rss_feeds_settings";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"system.rss_feeds_settings_tab";s:8:"provider";s:6:"system";}s:32:"system.site_maintenance_mode_tab";a:10:{s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:28:"system.site_maintenance_mode";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"system.site_maintenance_mode_tab";s:8:"provider";s:6:"system";}s:36:"system.site_information_settings_tab";a:10:{s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"system.site_information_settings";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:36:"system.site_information_settings_tab";s:8:"provider";s:6:"system";}s:18:"system.themes_page";a:10:{s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:18:"system.themes_page";s:8:"provider";s:6:"system";}s:21:"system.theme_settings";a:10:{s:10:"route_name";s:21:"system.theme_settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";i:100;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"system.theme_settings";s:8:"provider";s:6:"system";}s:28:"system.theme_settings_global";a:10:{s:10:"route_name";s:21:"system.theme_settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Global settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:21:"system.theme_settings";s:6:"weight";i:-100;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"system.theme_settings_global";s:8:"provider";s:6:"system";}s:35:"system.theme_settings_theme:olivero";a:11:{s:10:"route_name";s:27:"system.theme_settings_theme";s:16:"route_parameters";a:1:{s:5:"theme";s:7:"olivero";}s:5:"title";s:7:"Olivero";s:10:"base_route";s:0:"";s:9:"parent_id";s:21:"system.theme_settings";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"system.theme_settings_theme";s:7:"deriver";s:46:"Drupal\\system\\Plugin\\Derivative\\ThemeLocalTask";s:8:"provider";s:6:"system";}s:33:"system.theme_settings_theme:seven";a:11:{s:10:"route_name";s:27:"system.theme_settings_theme";s:16:"route_parameters";a:1:{s:5:"theme";s:5:"seven";}s:5:"title";s:5:"Seven";s:10:"base_route";s:0:"";s:9:"parent_id";s:21:"system.theme_settings";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"system.theme_settings_theme";s:7:"deriver";s:46:"Drupal\\system\\Plugin\\Derivative\\ThemeLocalTask";s:8:"provider";s:6:"system";}s:42:"system.theme_settings_theme:conferenceplus";a:11:{s:10:"route_name";s:27:"system.theme_settings_theme";s:16:"route_parameters";a:1:{s:5:"theme";s:14:"conferenceplus";}s:5:"title";s:11:"Conference+";s:10:"base_route";s:0:"";s:9:"parent_id";s:21:"system.theme_settings";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"system.theme_settings_theme";s:7:"deriver";s:46:"Drupal\\system\\Plugin\\Derivative\\ThemeLocalTask";s:8:"provider";s:6:"system";}s:19:"system.modules_list";a:10:{s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"system.modules_list";s:8:"provider";s:6:"system";}s:24:"system.modules_uninstall";a:10:{s:10:"route_name";s:24:"system.modules_uninstall";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Uninstall";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"system.modules_uninstall";s:8:"provider";s:6:"system";}s:12:"system.admin";a:10:{s:10:"route_name";s:12:"system.admin";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Tasks";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:12:"system.admin";s:9:"parent_id";N;s:6:"weight";i:-20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:12:"system.admin";s:8:"provider";s:6:"system";}s:18:"system.admin_index";a:10:{s:10:"route_name";s:18:"system.admin_index";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Index";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:12:"system.admin";s:9:"parent_id";N;s:6:"weight";i:-18;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:18:"system.admin_index";s:8:"provider";s:6:"system";}s:29:"entity.date_format.collection";a:10:{s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.date_format.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.date_format.collection";s:8:"provider";s:6:"system";}s:28:"entity.date_format.edit_form";a:10:{s:10:"route_name";s:28:"entity.date_format.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:28:"entity.date_format.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"entity.date_format.edit_form";s:8:"provider";s:6:"system";}s:20:"system.admin_content";a:10:{s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_content";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"system.admin_content";s:8:"provider";s:6:"system";}s:27:"system.performance_settings";a:10:{s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:27:"system.performance_settings";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"system.performance_settings";s:8:"provider";s:6:"system";}s:30:"entity.taxonomy_term.canonical";a:10:{s:10:"route_name";s:30:"entity.taxonomy_term.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.taxonomy_term.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.taxonomy_term.canonical";s:8:"provider";s:8:"taxonomy";}s:30:"entity.taxonomy_term.edit_form";a:10:{s:10:"route_name";s:30:"entity.taxonomy_term.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.taxonomy_term.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.taxonomy_term.edit_form";s:8:"provider";s:8:"taxonomy";}s:32:"entity.taxonomy_term.delete_form";a:10:{s:10:"route_name";s:32:"entity.taxonomy_term.delete_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.taxonomy_term.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"entity.taxonomy_term.delete_form";s:8:"provider";s:8:"taxonomy";}s:40:"entity.taxonomy_vocabulary.overview_form";a:10:{s:10:"route_name";s:40:"entity.taxonomy_vocabulary.overview_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:40:"entity.taxonomy_vocabulary.overview_form";s:8:"provider";s:8:"taxonomy";}s:36:"entity.taxonomy_vocabulary.edit_form";a:10:{s:10:"route_name";s:36:"entity.taxonomy_vocabulary.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:36:"entity.taxonomy_vocabulary.edit_form";s:8:"provider";s:8:"taxonomy";}s:13:"update.status";a:10:{s:10:"route_name";s:13:"update.status";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_reports";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:13:"update.status";s:8:"provider";s:6:"update";}s:15:"update.settings";a:10:{s:10:"route_name";s:15:"update.settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_reports";s:9:"parent_id";N;s:6:"weight";i:50;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"update.settings";s:8:"provider";s:6:"update";}s:20:"update.report_update";a:10:{s:10:"route_name";s:20:"update.report_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_reports";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"update.report_update";s:8:"provider";s:6:"update";}s:20:"update.module_update";a:10:{s:10:"route_name";s:20:"update.module_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"update.module_update";s:8:"provider";s:6:"update";}s:19:"update.theme_update";a:10:{s:10:"route_name";s:19:"update.theme_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"update.theme_update";s:8:"provider";s:6:"update";}s:26:"entity.user_role.edit_form";a:10:{s:10:"route_name";s:26:"entity.user_role.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:26:"entity.user_role.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:26:"entity.user_role.edit_form";s:8:"provider";s:4:"user";}s:25:"user.account_settings_tab";a:10:{s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.admin_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:25:"user.account_settings_tab";s:8:"provider";s:4:"user";}s:13:"user.register";a:10:{s:10:"route_name";s:13:"user.register";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Create new account";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:9:"user.page";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:13:"user.register";s:8:"provider";s:4:"user";}s:9:"user.pass";a:10:{s:10:"route_name";s:9:"user.pass";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Reset your password";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:9:"user.page";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:9:"user.pass";s:8:"provider";s:4:"user";}s:10:"user.login";a:10:{s:10:"route_name";s:10:"user.login";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Log in";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:9:"user.page";s:9:"parent_id";N;s:6:"weight";i:-10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:10:"user.login";s:8:"provider";s:4:"user";}s:21:"entity.user.canonical";a:10:{s:10:"route_name";s:21:"entity.user.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.user.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.user.canonical";s:8:"provider";s:4:"user";}s:21:"entity.user.edit_form";a:10:{s:10:"route_name";s:21:"entity.user.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.user.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.user.edit_form";s:8:"provider";s:4:"user";}s:22:"entity.user.collection";a:10:{s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"entity.user.collection";s:8:"provider";s:4:"user";}s:22:"user.admin_permissions";a:10:{s:10:"route_name";s:22:"user.admin_permissions";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Permissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"user.admin_permissions";s:8:"provider";s:4:"user";}s:60:"entity.bundle.permission_form:permissions_block_content_type";a:11:{s:10:"route_name";s:49:"entity.block_content_type.entity_permissions_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Manage permissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.block_content_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.bundle.permission_form";s:7:"deriver";s:44:"\\Drupal\\user\\Plugin\\Derivative\\UserLocalTask";s:8:"provider";s:4:"user";}s:54:"entity.bundle.permission_form:permissions_comment_type";a:11:{s:10:"route_name";s:43:"entity.comment_type.entity_permissions_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Manage permissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.comment_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.bundle.permission_form";s:7:"deriver";s:44:"\\Drupal\\user\\Plugin\\Derivative\\UserLocalTask";s:8:"provider";s:4:"user";}s:54:"entity.bundle.permission_form:permissions_contact_form";a:11:{s:10:"route_name";s:43:"entity.contact_form.entity_permissions_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Manage permissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:29:"entity.contact_form.edit_form";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.bundle.permission_form";s:7:"deriver";s:44:"\\Drupal\\user\\Plugin\\Derivative\\UserLocalTask";s:8:"provider";s:4:"user";}s:51:"entity.bundle.permission_form:permissions_node_type";a:11:{s:10:"route_name";s:40:"entity.node_type.entity_permissions_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Manage permissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:26:"entity.node_type.edit_form";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.bundle.permission_form";s:7:"deriver";s:44:"\\Drupal\\user\\Plugin\\Derivative\\UserLocalTask";s:8:"provider";s:4:"user";}s:61:"entity.bundle.permission_form:permissions_taxonomy_vocabulary";a:11:{s:10:"route_name";s:50:"entity.taxonomy_vocabulary.entity_permissions_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Manage permissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.bundle.permission_form";s:7:"deriver";s:44:"\\Drupal\\user\\Plugin\\Derivative\\UserLocalTask";s:8:"provider";s:4:"user";}s:27:"entity.user_role.collection";a:10:{s:10:"route_name";s:27:"entity.user_role.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Roles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.collection";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"entity.user_role.collection";s:8:"provider";s:4:"user";}s:18:"user.role.settings";a:10:{s:10:"route_name";s:18:"user.role.settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Role settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.user.collection";s:9:"parent_id";N;s:6:"weight";i:11;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:18:"user.role.settings";s:8:"provider";s:4:"user";}s:21:"views_ui.settings_tab";a:10:{s:10:"route_name";s:23:"views_ui.settings_basic";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.view.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"views_ui.settings_tab";s:8:"provider";s:8:"views_ui";}s:27:"views_ui.settings_basic_tab";a:10:{s:10:"route_name";s:23:"views_ui.settings_basic";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Basic";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:21:"views_ui.settings_tab";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"views_ui.settings_basic_tab";s:8:"provider";s:8:"views_ui";}s:30:"views_ui.settings_advanced_tab";a:10:{s:10:"route_name";s:26:"views_ui.settings_advanced";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Advanced";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:21:"views_ui.settings_tab";s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"views_ui.settings_advanced_tab";s:8:"provider";s:8:"views_ui";}s:17:"views_ui.list_tab";a:10:{s:10:"route_name";s:22:"entity.view.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:22:"entity.view.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:17:"views_ui.list_tab";s:8:"provider";s:8:"views_ui";}s:23:"views_ui.reports_fields";a:10:{s:10:"route_name";s:23:"views_ui.reports_fields";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Used in views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:38:"entity.field_storage_config.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"views_ui.reports_fields";s:8:"provider";s:8:"views_ui";}s:21:"entity.view.edit_form";a:10:{s:10:"route_name";s:21:"entity.view.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.view.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.view.edit_form";s:8:"provider";s:8:"views_ui";}s:25:"entity.webform.collection";a:10:{s:10:"route_name";s:25:"entity.webform.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"entity.webform.collection";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:25:"entity.webform.collection";s:8:"provider";s:7:"webform";}s:36:"entity.webform_submission.collection";a:10:{s:10:"route_name";s:36:"entity.webform_submission.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Submissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"entity.webform.collection";s:9:"parent_id";N;s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:36:"entity.webform_submission.collection";s:8:"provider";s:7:"webform";}s:43:"entity.webform_submission.collection_manage";a:10:{s:10:"route_name";s:36:"entity.webform_submission.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Manage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:36:"entity.webform_submission.collection";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:43:"entity.webform_submission.collection_manage";s:8:"provider";s:7:"webform";}s:42:"entity.webform_submission.collection_purge";a:10:{s:10:"route_name";s:42:"entity.webform_submission.collection_purge";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Purge";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:36:"entity.webform_submission.collection";s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:42:"entity.webform_submission.collection_purge";s:8:"provider";s:7:"webform";}s:15:"webform.options";a:10:{s:10:"route_name";s:33:"entity.webform_options.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"entity.webform.collection";s:9:"parent_id";N;s:6:"weight";i:30;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"webform.options";s:8:"provider";s:7:"webform";}s:22:"webform.config.options";a:10:{s:10:"route_name";s:33:"entity.webform_options.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:15:"webform.options";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"webform.config.options";s:8:"provider";s:7:"webform";}s:14:"webform.config";a:10:{s:10:"route_name";s:14:"webform.config";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"entity.webform.collection";s:9:"parent_id";N;s:6:"weight";i:40;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:14:"webform.config";s:8:"provider";s:7:"webform";}s:20:"webform.config.forms";a:10:{s:10:"route_name";s:14:"webform.config";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"webform.config.forms";s:8:"provider";s:7:"webform";}s:23:"webform.config.elements";a:10:{s:10:"route_name";s:23:"webform.config.elements";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"webform.config.elements";s:8:"provider";s:7:"webform";}s:26:"webform.config.submissions";a:10:{s:10:"route_name";s:26:"webform.config.submissions";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Submissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:40;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:26:"webform.config.submissions";s:8:"provider";s:7:"webform";}s:23:"webform.config.handlers";a:10:{s:10:"route_name";s:23:"webform.config.handlers";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Handlers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:50;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"webform.config.handlers";s:8:"provider";s:7:"webform";}s:23:"webform.config.variants";a:10:{s:10:"route_name";s:23:"webform.config.variants";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Variants";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:60;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"webform.config.variants";s:8:"provider";s:7:"webform";}s:24:"webform.config.exporters";a:10:{s:10:"route_name";s:24:"webform.config.exporters";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Exporters";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:70;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"webform.config.exporters";s:8:"provider";s:7:"webform";}s:24:"webform.config.libraries";a:10:{s:10:"route_name";s:24:"webform.config.libraries";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Libraries";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:80;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"webform.config.libraries";s:8:"provider";s:7:"webform";}s:23:"webform.config.advanced";a:10:{s:10:"route_name";s:23:"webform.config.advanced";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Advanced";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:14:"webform.config";s:6:"weight";i:90;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"webform.config.advanced";s:8:"provider";s:7:"webform";}s:14:"webform.addons";a:10:{s:10:"route_name";s:14:"webform.addons";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Add-ons";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"entity.webform.collection";s:9:"parent_id";N;s:6:"weight";i:50;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:14:"webform.addons";s:8:"provider";s:7:"webform";}s:12:"webform.help";a:10:{s:10:"route_name";s:12:"webform.help";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:25:"entity.webform.collection";s:9:"parent_id";N;s:6:"weight";i:60;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:12:"webform.help";s:8:"provider";s:7:"webform";}s:24:"entity.webform.canonical";a:10:{s:10:"route_name";s:24:"entity.webform.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"entity.webform.canonical";s:8:"provider";s:7:"webform";}s:24:"entity.webform.test_form";a:10:{s:10:"route_name";s:24:"entity.webform.test_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Test";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"entity.webform.test_form";s:8:"provider";s:7:"webform";}s:22:"entity.webform.results";a:10:{s:10:"route_name";s:34:"entity.webform.results_submissions";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Results";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";N;s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"entity.webform.results";s:8:"provider";s:7:"webform";}s:34:"entity.webform.results_submissions";a:10:{s:10:"route_name";s:34:"entity.webform.results_submissions";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Submissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.webform.results";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:34:"entity.webform.results_submissions";s:8:"provider";s:7:"webform";}s:29:"entity.webform.results_export";a:10:{s:10:"route_name";s:29:"entity.webform.results_export";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Download";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.webform.results";s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:29:"entity.webform.results_export";s:8:"provider";s:7:"webform";}s:28:"entity.webform.results_clear";a:10:{s:10:"route_name";s:28:"entity.webform.results_clear";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Clear";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.webform.results";s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"entity.webform.results_clear";s:8:"provider";s:7:"webform";}s:24:"entity.webform.edit_form";a:10:{s:10:"route_name";s:24:"entity.webform.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Build";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";N;s:6:"weight";i:30;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"entity.webform.edit_form";s:8:"provider";s:7:"webform";}s:23:"entity.webform.settings";a:10:{s:10:"route_name";s:23:"entity.webform.settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";N;s:6:"weight";i:40;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"entity.webform.settings";s:8:"provider";s:7:"webform";}s:31:"entity.webform.settings_general";a:10:{s:10:"route_name";s:23:"entity.webform.settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:23:"entity.webform.settings";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:31:"entity.webform.settings_general";s:8:"provider";s:7:"webform";}s:28:"entity.webform.settings_form";a:10:{s:10:"route_name";s:28:"entity.webform.settings_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:23:"entity.webform.settings";s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:28:"entity.webform.settings_form";s:8:"provider";s:7:"webform";}s:35:"entity.webform.settings_submissions";a:10:{s:10:"route_name";s:35:"entity.webform.settings_submissions";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Submissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:23:"entity.webform.settings";s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:35:"entity.webform.settings_submissions";s:8:"provider";s:7:"webform";}s:36:"entity.webform.settings_confirmation";a:10:{s:10:"route_name";s:36:"entity.webform.settings_confirmation";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Confirmation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:23:"entity.webform.settings";s:6:"weight";i:30;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:36:"entity.webform.settings_confirmation";s:8:"provider";s:7:"webform";}s:32:"entity.webform.settings_handlers";a:10:{s:10:"route_name";s:23:"entity.webform.handlers";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Emails / Handlers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:23:"entity.webform.settings";s:6:"weight";i:40;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"entity.webform.settings_handlers";s:8:"provider";s:7:"webform";}s:30:"entity.webform.settings_assets";a:10:{s:10:"route_name";s:30:"entity.webform.settings_assets";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"CSS / JS";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:23:"entity.webform.settings";s:6:"weight";i:50;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.webform.settings_assets";s:8:"provider";s:7:"webform";}s:30:"entity.webform.settings_access";a:10:{s:10:"route_name";s:30:"entity.webform.settings_access";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Access";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:23:"entity.webform.settings";s:6:"weight";i:60;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.webform.settings_access";s:8:"provider";s:7:"webform";}s:23:"entity.webform.variants";a:10:{s:10:"route_name";s:23:"entity.webform.variants";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Variants";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";N;s:6:"weight";i:50;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"entity.webform.variants";s:8:"provider";s:7:"webform";}s:21:"entity.webform.export";a:10:{s:10:"route_name";s:26:"entity.webform.export_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Export";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";N;s:6:"weight";i:60;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.webform.export";s:8:"provider";s:7:"webform";}s:26:"entity.webform.export_form";a:10:{s:10:"route_name";s:26:"entity.webform.export_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Config";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:24:"entity.webform.canonical";s:9:"parent_id";s:21:"entity.webform.export";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:26:"entity.webform.export_form";s:8:"provider";s:7:"webform";}s:35:"entity.webform_submission.canonical";a:10:{s:10:"route_name";s:35:"entity.webform_submission.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.webform_submission.canonical";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:35:"entity.webform_submission.canonical";s:8:"provider";s:7:"webform";}s:30:"entity.webform_submission.html";a:10:{s:10:"route_name";s:35:"entity.webform_submission.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"HTML";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:35:"entity.webform_submission.canonical";s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.webform_submission.html";s:8:"provider";s:7:"webform";}s:31:"entity.webform_submission.table";a:10:{s:10:"route_name";s:31:"entity.webform_submission.table";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Table";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:35:"entity.webform_submission.canonical";s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:31:"entity.webform_submission.table";s:8:"provider";s:7:"webform";}s:30:"entity.webform_submission.text";a:10:{s:10:"route_name";s:30:"entity.webform_submission.text";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Plain text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:35:"entity.webform_submission.canonical";s:6:"weight";i:30;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.webform_submission.text";s:8:"provider";s:7:"webform";}s:30:"entity.webform_submission.yaml";a:10:{s:10:"route_name";s:30:"entity.webform_submission.yaml";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Data (YAML)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:35:"entity.webform_submission.canonical";s:6:"weight";i:40;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.webform_submission.yaml";s:8:"provider";s:7:"webform";}s:35:"entity.webform_submission.edit_form";a:10:{s:10:"route_name";s:35:"entity.webform_submission.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.webform_submission.canonical";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:35:"entity.webform_submission.edit_form";s:8:"provider";s:7:"webform";}s:40:"entity.webform_submission.edit_form.page";a:10:{s:10:"route_name";s:35:"entity.webform_submission.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:35:"entity.webform_submission.edit_form";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:40:"entity.webform_submission.edit_form.page";s:8:"provider";s:7:"webform";}s:39:"entity.webform_submission.edit_form.all";a:10:{s:10:"route_name";s:39:"entity.webform_submission.edit_form.all";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"All";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:35:"entity.webform_submission.edit_form";s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:39:"entity.webform_submission.edit_form.all";s:8:"provider";s:7:"webform";}s:36:"entity.webform_submission.notes_form";a:10:{s:10:"route_name";s:36:"entity.webform_submission.notes_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Notes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.webform_submission.canonical";s:9:"parent_id";N;s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:36:"entity.webform_submission.notes_form";s:8:"provider";s:7:"webform";}s:37:"entity.webform_submission.resend_form";a:10:{s:10:"route_name";s:37:"entity.webform_submission.resend_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Resend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:35:"entity.webform_submission.canonical";s:9:"parent_id";N;s:6:"weight";i:30;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:37:"entity.webform_submission.resend_form";s:8:"provider";s:7:"webform";}s:30:"entity.webform.user.submission";a:10:{s:10:"route_name";s:30:"entity.webform.user.submission";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.webform.user.submission";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.webform.user.submission";s:8:"provider";s:7:"webform";}s:35:"entity.webform.user.submission.edit";a:10:{s:10:"route_name";s:35:"entity.webform.user.submission.edit";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.webform.user.submission";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:35:"entity.webform.user.submission.edit";s:8:"provider";s:7:"webform";}s:40:"entity.webform.user.submission.duplicate";a:10:{s:10:"route_name";s:40:"entity.webform.user.submission.duplicate";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Duplicate";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:30:"entity.webform.user.submission";s:9:"parent_id";N;s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:40:"entity.webform.user.submission.duplicate";s:8:"provider";s:7:"webform";}s:32:"webform.reports_plugins.elements";a:10:{s:10:"route_name";s:32:"webform.reports_plugins.elements";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"webform.reports_plugins.elements";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"webform.reports_plugins.elements";s:8:"provider";s:7:"webform";}s:32:"webform.reports_plugins.handlers";a:10:{s:10:"route_name";s:32:"webform.reports_plugins.handlers";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Handlers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"webform.reports_plugins.elements";s:9:"parent_id";N;s:6:"weight";i:10;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"webform.reports_plugins.handlers";s:8:"provider";s:7:"webform";}s:32:"webform.reports_plugins.variants";a:10:{s:10:"route_name";s:32:"webform.reports_plugins.variants";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Variants";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"webform.reports_plugins.elements";s:9:"parent_id";N;s:6:"weight";i:20;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"webform.reports_plugins.variants";s:8:"provider";s:7:"webform";}s:33:"webform.reports_plugins.exporters";a:10:{s:10:"route_name";s:33:"webform.reports_plugins.exporters";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Exporters";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"webform.reports_plugins.elements";s:9:"parent_id";N;s:6:"weight";i:30;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:33:"webform.reports_plugins.exporters";s:8:"provider";s:7:"webform";}s:30:"entity.webform_submission.user";a:10:{s:10:"route_name";s:30:"entity.webform_submission.user";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Submissions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.user.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.webform_submission.user";s:8:"provider";s:7:"webform";}s:26:"entity.webform.edit_manage";a:10:{s:10:"route_name";s:24:"entity.webform.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:24:"entity.webform.edit_form";s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:26:"entity.webform.edit_manage";s:8:"provider";s:10:"webform_ui";}s:26:"entity.webform.source_form";a:10:{s:10:"route_name";s:26:"entity.webform.source_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Source";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:24:"entity.webform.edit_form";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:26:"entity.webform.source_form";s:8:"provider";s:10:"webform_ui";}s:22:"entity.webform_options";a:10:{s:10:"route_name";s:32:"entity.webform_options.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"entity.webform_options.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"entity.webform_options";s:8:"provider";s:10:"webform_ui";}s:32:"entity.webform_options.edit_form";a:10:{s:10:"route_name";s:32:"entity.webform_options.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.webform_options";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"entity.webform_options.edit_form";s:8:"provider";s:10:"webform_ui";}s:34:"entity.webform_options.source_form";a:10:{s:10:"route_name";s:34:"entity.webform_options.source_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Source";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.webform_options";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:34:"entity.webform_options.source_form";s:8:"provider";s:10:"webform_ui";}s:21:"entity.font.canonical";a:10:{s:10:"route_name";s:21:"entity.font.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.font.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.font.canonical";s:8:"provider";s:12:"fontyourface";}s:22:"entity.font.collection";a:10:{s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@font-your-face";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"entity.font.collection";s:8:"provider";s:12:"fontyourface";}s:18:"entity.font.browse";a:10:{s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Browse";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.font.collection";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:18:"entity.font.browse";s:8:"provider";s:12:"fontyourface";}s:30:"entity.font_display.collection";a:11:{s:10:"route_name";s:30:"entity.font_display.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.font.collection";s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:30:"entity.font_display.collection";s:11:"description";s:27:"List Font display (bundles)";s:8:"provider";s:12:"fontyourface";}s:17:"font.settings_tab";a:10:{s:10:"route_name";s:13:"font.settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:0:"";s:9:"parent_id";s:22:"entity.font.collection";s:6:"weight";i:100;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:17:"font.settings_tab";s:8:"provider";s:12:"fontyourface";}s:34:"entity.menu_link_content.canonical";a:10:{s:10:"route_name";s:34:"entity.menu_link_content.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:34:"entity.menu_link_content.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:34:"entity.menu_link_content.canonical";s:8:"provider";s:17:"menu_link_content";}s:28:"views_view:view.files.page_1";a:11:{s:10:"route_name";s:17:"view.files.page_1";s:16:"route_parameters";a:0:{}s:5:"title";s:5:"Files";s:10:"base_route";s:20:"system.admin_content";s:9:"parent_id";N;s:6:"weight";i:0;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:10:"views_view";s:7:"deriver";s:46:"\\Drupal\\views\\Plugin\\Derivative\\ViewsLocalTask";s:8:"provider";s:5:"views";}s:32:"entity.paragraphs_type.edit_form";a:10:{s:10:"route_name";s:32:"entity.paragraphs_type.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:32:"entity.paragraphs_type.edit_form";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"entity.paragraphs_type.edit_form";s:8:"provider";s:10:"paragraphs";}s:33:"entity.paragraphs_type.collection";a:10:{s:10:"route_name";s:33:"entity.paragraphs_type.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:33:"entity.paragraphs_type.collection";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:33:"entity.paragraphs_type.collection";s:8:"provider";s:10:"paragraphs";}}', -1, '1681652749.527', 1, 'local_task', '8');
INSERT INTO `cache_discovery` VALUES
('local_task_plugins:en:entity.node.canonical', 'a:3:{s:11:"base_routes";a:1:{s:21:"entity.node.canonical";s:21:"entity.node.canonical";}s:7:"parents";a:1:{s:21:"entity.node.canonical";b:1;}s:8:"children";a:1:{s:23:"> entity.node.canonical";a:4:{s:21:"entity.node.canonical";a:10:{s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.node.canonical";s:8:"provider";s:4:"node";}s:21:"entity.node.edit_form";a:10:{s:10:"route_name";s:21:"entity.node.edit_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Edit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"entity.node.edit_form";s:8:"provider";s:4:"node";}s:23:"entity.node.delete_form";a:10:{s:10:"route_name";s:23:"entity.node.delete_form";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Delete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";d:10.000066000000000343561623594723641872406005859375;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:23:"entity.node.delete_form";s:8:"provider";s:4:"node";}s:27:"entity.node.version_history";a:10:{s:10:"route_name";s:27:"entity.node.version_history";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:21:"entity.node.canonical";s:9:"parent_id";N;s:6:"weight";d:20.00006700000000137151801027357578277587890625;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"entity.node.version_history";s:8:"provider";s:4:"node";}}}}', -1, '1681652753.094', 1, 'local_task', '8'),
('local_task_plugins:en:system.admin_config', 'a:3:{s:11:"base_routes";a:0:{}s:7:"parents";a:0:{}s:8:"children";a:0:{}}', -1, '1681652775.957', 1, 'local_task', '8'),
('local_task_plugins:en:system.modules_list', 'a:3:{s:11:"base_routes";a:1:{s:19:"system.modules_list";s:19:"system.modules_list";}s:7:"parents";a:1:{s:19:"system.modules_list";b:1;}s:8:"children";a:1:{s:21:"> system.modules_list";a:3:{s:19:"system.modules_list";a:10:{s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"system.modules_list";s:8:"provider";s:6:"system";}s:24:"system.modules_uninstall";a:10:{s:10:"route_name";s:24:"system.modules_uninstall";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Uninstall";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";d:20.0000730000000004338289727456867694854736328125;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"system.modules_uninstall";s:8:"provider";s:6:"system";}s:20:"update.module_update";a:10:{s:10:"route_name";s:20:"update.module_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";d:10.0000780000000002445403879391960799694061279296875;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"update.module_update";s:8:"provider";s:6:"update";}}}}', -1, '1681653299.072', 1, 'local_task', '8'),
('local_task_plugins:en:system.modules_uninstall', 'a:3:{s:11:"base_routes";a:1:{s:19:"system.modules_list";s:19:"system.modules_list";}s:7:"parents";a:1:{s:24:"system.modules_uninstall";b:1;}s:8:"children";a:1:{s:21:"> system.modules_list";a:3:{s:19:"system.modules_list";a:10:{s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"system.modules_list";s:8:"provider";s:6:"system";}s:24:"system.modules_uninstall";a:10:{s:10:"route_name";s:24:"system.modules_uninstall";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Uninstall";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";d:20.0000730000000004338289727456867694854736328125;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"system.modules_uninstall";s:8:"provider";s:6:"system";}s:20:"update.module_update";a:10:{s:10:"route_name";s:20:"update.module_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";d:10.0000780000000002445403879391960799694061279296875;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"update.module_update";s:8:"provider";s:6:"update";}}}}', -1, '1681653323.655', 1, 'local_task', '8'),
('local_task_plugins:en:system.modules_uninstall_confirm', 'a:3:{s:11:"base_routes";a:0:{}s:7:"parents";a:0:{}s:8:"children";a:0:{}}', -1, '1681653349.982', 1, 'local_task', '8'),
('local_task_plugins:en:system.performance_settings', 'a:3:{s:11:"base_routes";a:1:{s:27:"system.performance_settings";s:27:"system.performance_settings";}s:7:"parents";a:1:{s:27:"system.performance_settings";b:1;}s:8:"children";a:1:{s:29:"> system.performance_settings";a:1:{s:27:"system.performance_settings";a:10:{s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:27:"system.performance_settings";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:27:"system.performance_settings";s:8:"provider";s:6:"system";}}}}', -1, '1681649762.556', 1, 'local_task', '4'),
('local_task_plugins:en:system.site_maintenance_mode', 'a:3:{s:11:"base_routes";a:1:{s:28:"system.site_maintenance_mode";s:28:"system.site_maintenance_mode";}s:7:"parents";a:1:{s:32:"system.site_maintenance_mode_tab";b:1;}s:8:"children";a:1:{s:30:"> system.site_maintenance_mode";a:1:{s:32:"system.site_maintenance_mode_tab";a:10:{s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:28:"system.site_maintenance_mode";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:32:"system.site_maintenance_mode_tab";s:8:"provider";s:6:"system";}}}}', -1, '1681649787.505', 1, 'local_task', '4'),
('local_task_plugins:en:system.status', 'a:3:{s:11:"base_routes";a:0:{}s:7:"parents";a:0:{}s:8:"children";a:0:{}}', -1, '1681652781.717', 1, 'local_task', '8'),
('local_task_plugins:en:system.themes_page', 'a:3:{s:11:"base_routes";a:1:{s:18:"system.themes_page";s:18:"system.themes_page";}s:7:"parents";a:1:{s:18:"system.themes_page";b:1;}s:8:"children";a:1:{s:20:"> system.themes_page";a:4:{s:18:"system.themes_page";a:10:{s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:18:"system.themes_page";s:8:"provider";s:6:"system";}s:21:"system.theme_settings";a:10:{s:10:"route_name";s:21:"system.theme_settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";d:100.0000710000000054833435569889843463897705078125;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:21:"system.theme_settings";s:8:"provider";s:6:"system";}s:19:"update.theme_update";a:10:{s:10:"route_name";s:19:"update.theme_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";d:10.000078999999999496139935217797756195068359375;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"update.theme_update";s:8:"provider";s:6:"update";}s:22:"entity.font.collection";a:10:{s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@font-your-face";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:18:"system.themes_page";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:22:"entity.font.collection";s:8:"provider";s:12:"fontyourface";}}}}', -1, '1681652749.532', 1, 'local_task', '8'),
('local_task_plugins:en:update.confirmation_page', 'a:3:{s:11:"base_routes";a:0:{}s:7:"parents";a:0:{}s:8:"children";a:0:{}}', -1, '1681652109.606', 1, 'local_task', '5'),
('local_task_plugins:en:update.module_update', 'a:3:{s:11:"base_routes";a:1:{s:19:"system.modules_list";s:19:"system.modules_list";}s:7:"parents";a:1:{s:20:"update.module_update";b:1;}s:8:"children";a:1:{s:21:"> system.modules_list";a:3:{s:19:"system.modules_list";a:10:{s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:19:"system.modules_list";s:8:"provider";s:6:"system";}s:24:"system.modules_uninstall";a:10:{s:10:"route_name";s:24:"system.modules_uninstall";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Uninstall";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";d:20.0000730000000004338289727456867694854736328125;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:24:"system.modules_uninstall";s:8:"provider";s:6:"system";}s:20:"update.module_update";a:10:{s:10:"route_name";s:20:"update.module_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:19:"system.modules_list";s:9:"parent_id";N;s:6:"weight";d:10.0000780000000002445403879391960799694061279296875;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"update.module_update";s:8:"provider";s:6:"update";}}}}', -1, '1681653330.222', 1, 'local_task', '8'),
('local_task_plugins:en:update.report_update', 'a:3:{s:11:"base_routes";a:1:{s:20:"system.admin_reports";s:20:"system.admin_reports";}s:7:"parents";a:1:{s:20:"update.report_update";b:1;}s:8:"children";a:1:{s:22:"> system.admin_reports";a:3:{s:13:"update.status";a:10:{s:10:"route_name";s:13:"update.status";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_reports";s:9:"parent_id";N;s:6:"weight";N;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:13:"update.status";s:8:"provider";s:6:"update";}s:15:"update.settings";a:10:{s:10:"route_name";s:15:"update.settings";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_reports";s:9:"parent_id";N;s:6:"weight";d:50.00007599999999996498445398174226284027099609375;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:15:"update.settings";s:8:"provider";s:6:"update";}s:20:"update.report_update";a:10:{s:10:"route_name";s:20:"update.report_update";s:16:"route_parameters";a:0:{}s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Update";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"base_route";s:20:"system.admin_reports";s:9:"parent_id";N;s:6:"weight";d:10.0000769999999992165840012603439390659332275390625;s:7:"options";a:0:{}s:5:"class";s:33:"Drupal\\Core\\Menu\\LocalTaskDefault";s:2:"id";s:20:"update.report_update";s:8:"provider";s:6:"update";}}}}', -1, '1681652068.083', 1, 'local_task', '5'),
('local_task_plugins:en:view.mt_speakers.page_1', 'a:3:{s:11:"base_routes";a:0:{}s:7:"parents";a:0:{}s:8:"children";a:0:{}}', -1, '1681652765.099', 1, 'local_task', '8'),
('mail_backend_plugins', 'a:3:{s:16:"webform_php_mail";a:5:{s:2:"id";s:16:"webform_php_mail";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform PHP mailer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:76:"Sends the message as plain text or HTML, using PHP''s native mail() function.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:41:"Drupal\\webform\\Plugin\\Mail\\WebformPhpMail";s:8:"provider";s:7:"webform";}s:19:"test_mail_collector";a:5:{s:2:"id";s:19:"test_mail_collector";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Mail collector";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"Does not send the message, but stores it in Drupal within the state system. Used for testing.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\Core\\Mail\\Plugin\\Mail\\TestMailCollector";s:8:"provider";s:4:"core";}s:8:"php_mail";a:5:{s:2:"id";s:8:"php_mail";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Default PHP mailer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:68:"Sends the message as plain text, using PHP''s native mail() function.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:36:"Drupal\\Core\\Mail\\Plugin\\Mail\\PhpMail";s:8:"provider";s:4:"core";}}', -1, '1681649885.305', 1, '', '0'),
('menu_link_content.field_storage_definitions.installed', 'a:22:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"The entity ID for this menu link content entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The content menu link UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"bundle";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Bundle";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The content menu link bundle.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"bundle";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Menu link title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The text to be used for this link in the menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:5:"title";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:109;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Shown when hovering over the menu link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:11:"description";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:156;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:9:"menu_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Menu name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"The menu name. All links with the same menu name (such as "tools") are part of the same menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:5:"tools";}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:9:"menu_name";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:201;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The location this menu link points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:-2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"link";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:17;}}s:18:"\0*\0fieldDefinition";r:237;}s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";a:4:{s:7:"columns";a:3:{s:3:"uri";a:3:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;}s:5:"title";a:3:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;}s:7:"options";a:4:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;}}s:7:"indexes";a:1:{s:3:"uri";a:1:{i:0;a:2:{i:0;s:3:"uri";i:1;i:30;}}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"external";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"External";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:120:"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"external";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:289;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:10:"rediscover";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Indicates whether the menu link should be rediscovered";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:10:"rediscover";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:330;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:172:"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"integer";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:6:"number";s:6:"weight";i:20;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:366;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"expanded";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Show as expanded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"If selected and this menu link has children, the menu will always appear expanded.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"expanded";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:415;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"enabled";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Enabled";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"A flag for whether the link should be enabled in menus or hidden.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:-1;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"enabled";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:466;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The menu link language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:518;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Parent plugin ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:94:"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:557;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"The time that the menu link was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:590;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:620;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:662;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:695;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:736;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:776;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:805;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:20:"revision_log_message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:10:"field_name";s:20:"revision_log_message";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:841;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649760.173', 1, '', '0'),
('node.field_storage_definitions.installed', 'a:107:{s:3:"nid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:3:"nid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:35;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:67;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:100;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";s:12:"Content type";s:8:"required";b:1;s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:4:"type";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:9:"node_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:135;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:5:"title";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:165;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The username of the content author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:22:"default_value_callback";s:41:"Drupal\\node\\Entity\\Node::getCurrentUserId";s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"author";s:6:"weight";i:0;}}s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:5;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";s:2:"60";s:11:"placeholder";s:0:"";}}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:208;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"A boolean indicating whether the node is published.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:261;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the node was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:9:"timestamp";s:6:"weight";i:0;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:303;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the node was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:344;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"promote";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Promoted to front page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:374;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"sticky";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Sticky at top of lists";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:6:"sticky";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:420;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:18:"revision_timestamp";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Revision timestamp";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"queryable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:18:"revision_timestamp";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:466;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"revision_uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Revision user ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"queryable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:12:"revision_uid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:496;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"revision_log";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:25;s:8:"settings";a:1:{s:4:"rows";i:4;}}}}s:8:"provider";s:4:"node";s:10:"field_name";s:12:"revision_log";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:533;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:574;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:614;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:9:"node.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"55c47ffa-ec98-4e52-bd4e-eb9c26e35cea";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:9:"node.body";s:13:"\0*\0field_name";s:4:"body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:7:"comment";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:12:"node.comment";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b6518fb2-9112-4145-83c1-f353b3ad684a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:12:"node.comment";s:13:"\0*\0field_name";s:7:"comment";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"comment";s:9:"\0*\0module";s:7:"comment";s:11:"\0*\0settings";a:1:{s:12:"comment_type";s:7:"comment";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:11:"field_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:16:"node.field_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba1446e3-dd7e-4cf8-9703-de7e6390abbe";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:16:"node.field_image";s:13:"\0*\0field_name";s:11:"field_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rqikSVG02rAbNHiaadXxp1pG13O0v1M-jZVk8BKbghc";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:10:"field_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:15:"node.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e5aa9ce5-66bd-404d-be2d-813277baa058";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:15:"node.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_slideshow";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_slideshow";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1471fc88-8de5-48f0-8729-064f91a2df45";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_slideshow";s:13:"\0*\0field_name";s:18:"field_mt_slideshow";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-_BBF0z5wlGyS8abowmkDS8VHSq6mYGIsqx_iQHR8d3U";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_slideshow_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"node.field_mt_slideshow_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ec7763f0-9dbe-4c60-9153-5c790791aeef";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"node.field_mt_slideshow_image";s:13:"\0*\0field_name";s:24:"field_mt_slideshow_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Y6ot9wtG482-yA8qADaMMVolwf2_1jXBmUeyGiygJN0";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_slideshow_text";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_slideshow_text";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"38f70c30-2626-487f-8c2e-bb90b6cdd3de";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_slideshow_text";s:13:"\0*\0field_name";s:23:"field_mt_slideshow_text";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-zsB75d1Map9Uvi1UoNa88EqlI_HLOwVWIkUPs_9-s-8";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"add4ab49-0933-4384-84bb-fc3f63632656";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_subheader_body";s:13:"\0*\0field_name";s:23:"field_mt_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rlTTU5octKah9Is-dPLUBBJzJ4b0YyHz063QcTSJWL8";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:14:"field_mt_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:19:"node.field_mt_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e28da9b4-4e23-41dd-bde4-cccc2e658110";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:19:"node.field_mt_video";s:13:"\0*\0field_name";s:14:"field_mt_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_alb_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_alb_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"71918686-62dc-4f99-8da8-73b219b5b1f9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_alb_image";s:13:"\0*\0field_name";s:18:"field_mt_alb_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FTMDy5rwUBpZeax7J3Gg3cQn7GbgzmCsexvZKdwNtQI";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_alb_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_alb_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4455a9ab-950b-4210-b101-bf64e792a0d4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_alb_video";s:13:"\0*\0field_name";s:18:"field_mt_alb_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Srwn9lcsAK-1HVkbI5BrVSiQCTJF5kOvuQRY3YoRS9o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_alb_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_alb_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"405653ec-41d6-401b-814f-c93e960a25dd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_alb_tags";s:13:"\0*\0field_name";s:17:"field_mt_alb_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-klABrAXL5quKLUZ-JLTbTAWNfBF_Mi8K6-X4CFfPKeg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:32:"field_mt_prd_additional_features";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"node.field_mt_prd_additional_features";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0938f442-b0f1-4ede-92e4-0272810be1c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"node.field_mt_prd_additional_features";s:13:"\0*\0field_name";s:32:"field_mt_prd_additional_features";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-1aihlD_XsRLWzMaZERPuOTFD_eZkGXHdysb7jeIYG7s";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_availability";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_availability";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d546f2a5-5609-42ee-8d9a-c126f9f57177";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_availability";s:13:"\0*\0field_name";s:25:"field_mt_prd_availability";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:8:"in_stock";s:8:"In Stock";s:12:"out_of_stock";s:12:"Out of Stock";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-2A30_a-7vGe84_DKpsYjDUfLL1o-yebZSe1KXAQ_ed4";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prd_buy_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prd_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"87d33644-d499-49e8-a893-c338caf12d9a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prd_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_prd_buy_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-HBUUWOvhySVL_NxTnuuR38BrseJ2aQQ_jAvNRAbpPSk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_prd_categories";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_prd_categories";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b513fc7f-4e98-449c-b940-5a30ece271fb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_prd_categories";s:13:"\0*\0field_name";s:23:"field_mt_prd_categories";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GolLYEEJ8YdGd4tcWLFhpwePpnuT3Cpahb38EML87Yc";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_prd_highlight";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"node.field_mt_prd_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7239379b-4bd7-4655-a9b3-e31d45d02308";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"node.field_mt_prd_highlight";s:13:"\0*\0field_name";s:22:"field_mt_prd_highlight";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-t4oWkTco4Cr4ye-xZxkqtQDslX5Sqr8mFKlWq1ai-gY";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prd_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prd_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b73c5625-e2f4-4884-943f-b23a3e1569b7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prd_body";s:13:"\0*\0field_name";s:17:"field_mt_prd_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-C3cQEM87tD10xSs4nBbFN5_jgH7ditq7bux8kJ7oNW0";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prd_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prd_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe2d3505-de9d-4091-8947-c5b1f7fc764e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prd_image";s:13:"\0*\0field_name";s:18:"field_mt_prd_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-X-nDFRPFj6C7Angayo8fcp0jbdle7UP1d-IXUJeId_o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_prd_landscape_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_prd_landscape_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a8eb5ef7-7656-4155-98dd-a641bd0f5302";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_prd_landscape_image";s:13:"\0*\0field_name";s:28:"field_mt_prd_landscape_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-zR3LXn9lixzOwmsjkrDpxo5wxE-n02iPs35XyTQRgjw";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_most_popular";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_most_popular";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6d5f86fa-218c-47ff-af97-70cc7ecf06db";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_most_popular";s:13:"\0*\0field_name";s:25:"field_mt_prd_most_popular";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-5zd9kqBF25gLbXA9VE4cu-jpWPn_MssMyKC9xfmwRkg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prd_price";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prd_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4153f528-5737-4aee-a825-9050ba3e7166";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prd_price";s:13:"\0*\0field_name";s:18:"field_mt_prd_price";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Oy2s9pQRypGeFeJsxIiKBRYKHySFZ1NQZBDBx6Irm_A";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:31:"field_mt_prd_pricing_table_item";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"node.field_mt_prd_pricing_table_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba4ebccf-deee-443e-a92c-156111fe424a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"node.field_mt_prd_pricing_table_item";s:13:"\0*\0field_name";s:31:"field_mt_prd_pricing_table_item";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-B0fG31eX_dIjSsd30c3RrnXumMEmHfq_b6SjVe-_imI";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_product_code";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_product_code";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f8796200-9830-414a-8ecd-41d7080f1dbc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_product_code";s:13:"\0*\0field_name";s:25:"field_mt_prd_product_code";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-4CEwuiCtoZsB3PzXlT-igZdlAGfHB9_yoX3ODpK1E_Y";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_prd_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.field_mt_prd_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6e016bba-8606-4d8a-82f7-1cdf7d1d0283";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.field_mt_prd_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_prd_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-G2zPZxP6IfabDo__owDNDm42YcXn0aI2nqXzccOIQbU";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_content_tabs";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prd_content_tabs";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"311ce268-9f91-4185-9950-cacffc7bb8c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prd_content_tabs";s:13:"\0*\0field_name";s:25:"field_mt_prd_content_tabs";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-hOr6rSxxGKEqg6xsKropJOOgCBQ-GGL3-i14XulF2M4";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prd_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prd_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"543acd0b-d450-42a8-9906-6c1f2a1b8a85";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prd_tags";s:13:"\0*\0field_name";s:17:"field_mt_prd_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-EBg7VQA3uvWDiN8p_t8uuKRwq1Re2bcXPXGcbKUlL1c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prd_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prd_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bddf548c-c44b-4a0f-9ea0-742e2a68e9e2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prd_video";s:13:"\0*\0field_name";s:18:"field_mt_prd_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-ox0t3Xe77Fero9SicCRzk_3KU_ULq2KpOi-Qm6GXPQ0";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_alb_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_alb_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5a08c1bb-1357-4416-a8bb-a0098072ce7d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_alb_body";s:13:"\0*\0field_name";s:17:"field_mt_alb_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Zig4Bs1soKbv8KD9Eo_SizL-8ZFkueRDPpeMl-YviBs";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_srv_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_srv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0dae3eda-c427-426f-9588-8c94a053c3f1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_srv_body";s:13:"\0*\0field_name";s:17:"field_mt_srv_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-umiBlcnqhxn_juIj78x8-6_5uY-PmwRn7grhje5AaTs";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_srv_buy_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_srv_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9b306ad-e77e-47d2-9ed7-d81b1b1ba4d8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_srv_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_srv_buy_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-2U6iJ2qsVLDmMw8zxKGpvcLgAZZJ-ioDBqQqx9g_3LE";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_srv_highlight";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"node.field_mt_srv_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5c37b63e-a20f-4a54-89a0-80cd1b025ce4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"node.field_mt_srv_highlight";s:13:"\0*\0field_name";s:22:"field_mt_srv_highlight";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0hXPJ6IacTadD5sEs7dE2y4opu30g1Y2EGoMcGI0yjg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_srv_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_srv_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d0efee66-e49f-4f2d-a236-dc3d665983a8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_srv_image";s:13:"\0*\0field_name";s:18:"field_mt_srv_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-jB55xYcrkmLgUAxMSClxp8ESZpFPB_qDng5HzXHCUCM";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_srv_price";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_srv_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"78850486-6f49-458e-a357-18c3a457235d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_srv_price";s:13:"\0*\0field_name";s:18:"field_mt_srv_price";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FAlMFbC2ZzIoiyBrZzQo_DZ6i1OVQ1XG4QzlSO_mDmQ";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_srv_service_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_srv_service_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3cf62ee8-4c5a-4afc-84b8-de928e1a5bc4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_srv_service_tags";s:13:"\0*\0field_name";s:25:"field_mt_srv_service_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-qX4wv12X3wSGzRSxHx_DwjftGeKQnLCa4zaulSz6slY";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_srv_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_srv_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9d50c033-0baf-468c-810b-5051355ace40";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_srv_video";s:13:"\0*\0field_name";s:18:"field_mt_srv_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-XE7Rxp_oOjZlQ-A39OpHulpaCbX4c5XrE_5DU-OoKmk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_srv_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.field_mt_srv_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"40dea6df-38f3-483c-bdbb-0798b74dd2c4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.field_mt_srv_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_srv_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form--Fd6AwDNeAO7WtlckrC-x2dth80yLNkqS0NwUbZSnjk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_spk_affiliations";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_spk_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d1a11029-d4db-459a-9b2b-e5a2206df914";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_spk_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_spk_affiliations";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0zL7psKfO5UgwbAp70LK8T9vsmzP1IlADzAIQuPw4Rs";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_spk_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_spk_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"18848f68-89ce-48ce-bf32-185c155df1a6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_spk_body";s:13:"\0*\0field_name";s:17:"field_mt_spk_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-7mny8tnk8tI7Uk0EqsEn0MPu4Z5bCIRVWneAzsv4xyM";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_spk_facebook_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_spk_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fd035759-3cc2-43ee-9ef7-e9d7dac4b49e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_spk_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_facebook_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uISaBI6krigW19vphF7yNWiTRRjfTHkMsuYq8RQV8dk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_spk_linkedin_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_spk_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1a80dccc-f7da-4eca-a1ed-aa3fe2b3a480";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_spk_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_linkedin_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-j8hMVcDoJRpASpZIn9yGTCsUFdrJ4JauD4j6yJLaarg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_spk_speaker_photo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"node.field_mt_spk_speaker_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9191fcd7-831a-45b3-b932-bd495ee745b8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"node.field_mt_spk_speaker_photo";s:13:"\0*\0field_name";s:26:"field_mt_spk_speaker_photo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-50WBBHz_cSTmMsIphiIVlppASzzMEfTMUanUQagrF0c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_spk_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_spk_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"56213120-ac5c-443e-9c10-4b110cfbbe30";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_spk_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_spk_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Q0dRutfh-NjT5viKg88pzb8Cosab35fy9bdySRTmQzQ";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_spk_twitter_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_spk_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"02bb7fd0-ff84-419b-b27b-3630f012c544";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_spk_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_twitter_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-xr3gzrurP0_whjUpXWdW9VJ0BTtjuplr8PtQ7QNG5ec";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_spk_youtube_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_spk_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"23216993-e812-4af4-b76f-19b6a6b97743";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_spk_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_youtube_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-qPkgWLaLM14ycBeWs967vk70nNiedV9ic-xmARTS7f0";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_spn_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_spn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e9cb60b7-569e-488d-910c-b7735cabd029";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_spn_body";s:13:"\0*\0field_name";s:17:"field_mt_spn_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-r-Psf9L53e7HG_Svl6qBIsd_4GXP0CpIP21X_5AKsic";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_spn_logo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_spn_logo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6a9f6825-4765-4702-8bcd-9a97cfa4afd4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_spn_logo";s:13:"\0*\0field_name";s:17:"field_mt_spn_logo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-r1HxXQytoB_oPIIQO905SV-V6qvfzhm_TL1ScQpHrCc";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_tmm_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_tmm_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1398bb02-fdcc-4a5f-9a91-586130931cd4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_tmm_body";s:13:"\0*\0field_name";s:17:"field_mt_tmm_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-WFdza3NoLdVihoB1zWpcB13ra4kQcb8ZnGX5ZfL45EA";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_tmm_facebook_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_tmm_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7e53f77f-0469-434d-81d4-6108c2943b5a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_tmm_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_facebook_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-eDqlDruvYFwNx3DtoDipD8e6Nsv9CJCoGtLgL5Yni5A";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_tmm_linkedin_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_tmm_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"62702c8d-027a-4937-a662-67c21e9563d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_tmm_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_linkedin_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-vPudgnALKJ_H87_w6IiQBJ7OJ7Ay5ppv2cTVyFxoVpE";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_tmm_member_photo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_tmm_member_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e36ac1a7-eee5-4947-9b6b-e2a6736c0d01";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_tmm_member_photo";s:13:"\0*\0field_name";s:25:"field_mt_tmm_member_photo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GI-n75BxkJquofkx3cdVJ9Jttt-KTRWrMFJoe1G4RJw";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_tmm_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_tmm_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"45c55712-bed0-49c3-b77b-849509bd6bf7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_tmm_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tmm_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-bECrG1R0cKPviKNVZFpN1adGWo2R7LdyxtjwK57Xq0c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_tmm_twitter_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_tmm_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f6eebd65-bc0e-4021-ab06-5d4ef4dd7059";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_tmm_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_twitter_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-oXn-GomQ-uXsOE1oJeqGCYcfd0eDMiYcc9HbaCTn14c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_tmm_youtube_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_tmm_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"eb990010-4176-496f-be00-e17240f696cd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_tmm_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_youtube_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-87Zl2BUFOA17RqA_bc66WirX_kYaMCeUqC8FElzQedI";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_tst_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_tst_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9ab6972a-46db-4eda-84d6-6971ce553cf1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_tst_body";s:13:"\0*\0field_name";s:17:"field_mt_tst_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-DDruQFkTY6LVXyH_1nWwA71VJEzDKwJPYMq8dIi6GnU";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_tst_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_tst_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7499d773-1e75-4110-9d0a-2e2d93829a0d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_tst_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tst_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-1IujF5IopNhkO5D1E1OWNTgZCVH98cp00u8R_dOWZYQ";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_tst_testimonial_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"node.field_mt_tst_testimonial_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"12dd58db-4c2f-4307-b9cd-d5b7cde44d84";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"node.field_mt_tst_testimonial_image";s:13:"\0*\0field_name";s:30:"field_mt_tst_testimonial_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form--1MNVpFUevv8GrM0T1BmWMV6qBL-C1Yx7Y9CSuE2SgM";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_tst_testimonial_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"node.field_mt_tst_testimonial_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cffa24e8-0fa8-42b3-9776-dc4c9295af1e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"node.field_mt_tst_testimonial_link";s:13:"\0*\0field_name";s:29:"field_mt_tst_testimonial_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-sSfiAxSvxbl4UsxZw1Lt1t4y4r9G5MgxFCZ8nnK8s3Y";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_srv_banner_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_srv_banner_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f2dfd1a-3163-43a1-99f6-bca61cc01dde";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_srv_banner_image";s:13:"\0*\0field_name";s:25:"field_mt_srv_banner_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-S3ekTQzSE4ZBWiQhieLnVNe8TN6KijcKEXYEraeXxns";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_prd_banner_carousel";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"node.field_mt_prd_banner_carousel";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c9858a15-e3cb-4bf7-955e-5ab137e86d5e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"node.field_mt_prd_banner_carousel";s:13:"\0*\0field_name";s:28:"field_mt_prd_banner_carousel";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-dd9S9v_cYKiGUjxciEkTSaqwBzJpxQxjfvvUq7hYMcE";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_evn_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_evn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"16663e87-ce79-463a-9d25-a6d396e2f10c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_evn_body";s:13:"\0*\0field_name";s:17:"field_mt_evn_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fgGojKPAL_GdwsFbyJvNKvSxyWeVPKgEEHAnU9S_ktM";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_evn_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_evn_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"77b5d167-f7c5-42cb-92fc-8118aafec1c4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_evn_date";s:13:"\0*\0field_name";s:17:"field_mt_evn_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-ofg_lZ2KuCNeD1nHCsCKWiXy8Mm3yli8p5NNXWpa_UU";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_files";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"520bb678-1cf3-4cc0-9daf-bfd3c6339bcd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_files";s:13:"\0*\0field_name";s:18:"field_mt_evn_files";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-MMT3dD9CDbjMu73dvgW_qDzileTcu2mn99nP5kXxNg8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b12ebed0-ffaf-4b79-9a17-3a48fac1327e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_image";s:13:"\0*\0field_name";s:18:"field_mt_evn_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-tbXqydOxeRqClpSxwcasoad7_FN6GbbYCR2M_hgvVZg";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_evn_sponsor";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_evn_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"38d56e66-8c3a-4efb-bb91-07af0e6d8021";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_evn_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_evn_sponsor";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-bytFnfwYQLhNJP6-cviVV89_qfczFT7v4x4Wn7yZ_SU";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_evn_speaker";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_evn_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6ee6777f-e2a3-4047-b58b-05a26c08eb15";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_evn_speaker";s:13:"\0*\0field_name";s:20:"field_mt_evn_speaker";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-8IHDGFciPY1VP1vGBn3OCP4JKlCdfl5s9UNIEwKP71M";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"54fa2967-39c1-494d-babe-0adc81a814d8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_video";s:13:"\0*\0field_name";s:18:"field_mt_evn_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-f1K_ughyl0UT02vYtjnc81flmvfsk4CdvEyWiqnYBl8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prs_files";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prs_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3713d413-2c19-4893-8376-e19b8ac769a8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prs_files";s:13:"\0*\0field_name";s:18:"field_mt_prs_files";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-I3b9IUs0_88xC9PzqmNYp1EVFVqAGrbVRE9JB8SPSx8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prs_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prs_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e6192d57-be1d-41f3-88fc-08e118f09ec3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prs_body";s:13:"\0*\0field_name";s:17:"field_mt_prs_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uPJ_uXT84-ATDdDw7cdJzVW8HMp-R0Pcelxna6ArJC8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prs_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_prs_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9fc6832e-c6e1-4e94-9d43-88cd1c5decf6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_prs_date";s:13:"\0*\0field_name";s:17:"field_mt_prs_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-wUtraDYlzr7ZNW0L9Yy18A0BOqrSEk7voKVf68ZLnRg";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prs_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prs_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75d626f2-053b-4058-9367-e9959a4c193e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prs_image";s:13:"\0*\0field_name";s:18:"field_mt_prs_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rAIgQ-gRKGirt3hAuoiDemGAGpSRGWjSfgd82C1zl6k";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prs_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prs_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8a1d6191-b91f-4d1e-9700-c32c8f3d42f7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prs_location";s:13:"\0*\0field_name";s:21:"field_mt_prs_location";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-h5bWVChC3FhWkAEkL9XWw-Vz334o9jqGIgnV4gb1v-Y";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_speaker";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"25257e3c-f8a1-45fd-9f5b-2a15f05476a9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_speaker";s:13:"\0*\0field_name";s:20:"field_mt_prs_speaker";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fk1syX6VJHK5nuVZLK-REGUvjFX0hNA13lDk8JYEhds";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_sponsor";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0310b659-5dc8-4b13-98ae-cc7810d380c7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_prs_sponsor";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-mXPMEj1E4l_NvhozVo3L1Y_SZyeFpLGxnfBsK2b7oUI";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prs_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prs_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"24d48946-187a-427f-a31d-4ca87ded9852";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prs_video";s:13:"\0*\0field_name";s:18:"field_mt_prs_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fBDDNAWGC3EwLvTg-snjuRf2idevyircm1tECrODB5I";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_authors";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_authors";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6111a56a-09d6-4bd2-8ff0-5f96c1fc0a85";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_authors";s:13:"\0*\0field_name";s:20:"field_mt_prs_authors";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-pviZ3p1rsxIR71GiBL4tXSzTtZjVnSCwzF5jC9D_aJA";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prs_affiliations";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"node.field_mt_prs_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"34af3af4-3c4f-4a03-962c-743021baae5a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"node.field_mt_prs_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_prs_affiliations";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-41n2lcZDtz-G6sqBDbPphcQAD8QzAZc-QY9jvxOCTW8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_prs_topics";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:24:"node.field_mt_prs_topics";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"32eace59-1b58-4c3e-a3ee-4c5354109b58";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:24:"node.field_mt_prs_topics";s:13:"\0*\0field_name";s:19:"field_mt_prs_topics";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-pvGKQasoRkdMp2DQ4Wl31sW5F_mZpx4DzKmBxOg6yLo";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_session";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:25:"node.field_mt_prs_session";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7fd82e69-15e5-4a4f-9146-40bfa18abf8d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:25:"node.field_mt_prs_session";s:13:"\0*\0field_name";s:20:"field_mt_prs_session";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fb3HIM_6veJTcqXdaEu-JShqc3vtSkthLaZ3O038f7s";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_place";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_evn_place";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a0fc8145-a35c-46a1-a14f-13ab1c60a39c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_evn_place";s:13:"\0*\0field_name";s:18:"field_mt_evn_place";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Xey3JEVn0oIqGJxkjTqhYnL556NTFgt1MDpAkULXFTM";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_evn_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_evn_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c6bf2893-0fbe-444e-964d-512ee14ef798";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_evn_location";s:13:"\0*\0field_name";s:21:"field_mt_evn_location";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-DwAnynngXYOWdYBCCYhC4WGp3aOADsN1crOgHkpFSjw";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_evn_map_zoom";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_evn_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a63b3db3-3f9e-41e2-a8f7-485115e762ad";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_evn_map_zoom";s:13:"\0*\0field_name";s:21:"field_mt_evn_map_zoom";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-TxV-ueShAcK-ZgpPeuxsNnkjCzGPE8mIHo8xPdch46E";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_evn_event_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"node.field_mt_evn_event_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cef61c7a-5240-47bd-a045-1c532b47c298";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"node.field_mt_evn_event_category";s:13:"\0*\0field_name";s:27:"field_mt_evn_event_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-o3aJ21xaOWdmXrPGtC4XzVB4T31a5q3XbIhzgwXWpnA";s:10:"form_token";s:43:"aG0VFDADX1y-Y2b3x1umMlmqtZJmPEWmyXa1VvJEWSk";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prs_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prs_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"66d47275-e96c-443a-a558-a20c72c27032";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prs_category";s:13:"\0*\0field_name";s:21:"field_mt_prs_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-HsbRivCtrOvLqi5fzSpAAOJWL-SFs77fjRVdAuoF7DE";s:10:"form_token";s:43:"aG0VFDADX1y-Y2b3x1umMlmqtZJmPEWmyXa1VvJEWSk";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:4:"node";s:8:"provider";s:4:"node";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:4384;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:23:"field_mt_prg_start_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"node.field_mt_prg_start_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"01fca423-5a83-44b6-9e5d-4360e1e3d63e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"node.field_mt_prg_start_date";s:13:"\0*\0field_name";s:23:"field_mt_prg_start_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-f7jlO_tQ6q7TEUegwKeCkXz6BZg-67sX1kr9Q--EZ-E";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prg_end_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prg_end_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ca5ed19f-0907-4e4b-bd05-c4b68b09b67a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prg_end_date";s:13:"\0*\0field_name";s:21:"field_mt_prg_end_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GbNZbh5INQbrFUG89unlkicF8bS_Kpfgp-bGMaopHCk";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prg_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"node.field_mt_prg_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4810fde7-063f-4484-9736-af1f95c6f030";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"node.field_mt_prg_category";s:13:"\0*\0field_name";s:21:"field_mt_prg_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0ggDlSq30Vw0Xv2_6x12_6zJpA_z7m2gc9_F2gLkmg4";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prg_event";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"node.field_mt_prg_event";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f62d9501-6a67-4167-bdff-8f02bd5a4838";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"node.field_mt_prg_event";s:13:"\0*\0field_name";s:18:"field_mt_prg_event";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-QAM75CurvADs8UPaQtcW_4gGU6lwTPA_t9guP0qSn1w";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_cnv_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:22:"node.field_mt_cnv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ff311524-02b7-460f-83ff-058adf081455";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:22:"node.field_mt_cnv_body";s:13:"\0*\0field_name";s:17:"field_mt_cnv_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-ybgfgBtpND8wc3f5A4Xl6k7Btk12oFtpGd3jGruk1Ck";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}}', -1, '1681649760.257', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('paragraph.field_storage_definitions.installed', 'a:70:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"The ID of the Paragraphs entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:2:"id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The UUID of the paragraphs entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The paragraphs entity revision ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"The paragraphs type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:4:"type";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:15:"paragraphs_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:112;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The paragraphs entity language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:148;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}s:12:"configurable";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:6:"status";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:179;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The time that the Paragraph was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:2:{s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:7:"created";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:222;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:9:"parent_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Parent ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The ID of the parent entity of which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:9:"parent_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:263;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"parent_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Parent type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"The entity parent type to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:11:"parent_type";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:297;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:17:"parent_field_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Parent field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"The entity parent field name to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:17:"parent_field_name";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:331;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:365;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:30:"field_mt_fancy_block_reference";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"paragraph.field_mt_fancy_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8caef820-31c8-4ad1-b8e0-73c603d19615";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"paragraph.field_mt_fancy_block_reference";s:13:"\0*\0field_name";s:30:"field_mt_fancy_block_reference";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-NQeAAHGH8DhjtSqOg0dz0CpfQnmbjHiRgT6xTqrOIVc";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_fancy_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_fancy_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a089ccbd-adfc-4ded-94f6-c5958bc83399";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_fancy_subtitle";s:13:"\0*\0field_name";s:23:"field_mt_fancy_subtitle";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-vk7t_7-_iSjd0vvV6IQipBULMYmxRvZCp_292VjW0dI";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_fancy_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_fancy_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e5a8c98d-bb21-4ded-ba9b-9fb2b2bfada3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_fancy_title";s:13:"\0*\0field_name";s:20:"field_mt_fancy_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-48VGyArU3PITE_PTDDLo2pXhPwCggfXAskJUzaukuyQ";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_tab_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4d050aec-a3d7-428b-9c9a-071fb2f70861";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_tab_title";s:13:"\0*\0field_name";s:18:"field_mt_tab_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-svrqtShPyZsux4HgnUKNiIFXfrdMkIjrrdNEV5BO900";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_tab_content";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_tab_content";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6b8a187d-cd95-47f7-af2a-37149570aa19";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_tab_content";s:13:"\0*\0field_name";s:20:"field_mt_tab_content";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-wRyxVuMZ-3iur9pftLzdqBJtoFFrFMkXGmf8Si53np0";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fli_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9f667ff-ac20-415a-b9f3-148a958ad5a6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_image";s:13:"\0*\0field_name";s:18:"field_mt_fli_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Vhcvdoar1-QdY66Ty-fubpTvLb6uBR2nO7kaE00UFm0";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fli_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"15b0899e-dcf0-45c3-a334-bc716152898c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_title";s:13:"\0*\0field_name";s:18:"field_mt_fli_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-VDCx5BkbOgrm7mCBDzw2pQzboOmqaurpq2KAvvz043k";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_fli_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_fli_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"acaccd17-017c-4752-950c-1887e9027c77";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_fli_link";s:13:"\0*\0field_name";s:17:"field_mt_fli_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-_6fbFkY5ZGZB_cmkrurv3QvdemzMAY7_Lz-AqkE7DR0";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fli_shape";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_shape";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d15e5d4e-7e8d-4662-88d7-c4a43d3aa058";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_shape";s:13:"\0*\0field_name";s:18:"field_mt_fli_shape";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:4:{s:4:"none";s:4:"None";s:9:"rectangle";s:9:"Rectangle";s:6:"circle";s:6:"Circle";s:8:"pentagon";s:8:"Pentagon";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-8mEQi9pUzKELxNJWrvWEJ6KZXmLhH-f_Bg8QD2fNG9k";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_media_tab_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_media_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"89fa6163-5fe3-4952-ab68-e93a9a623646";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_media_tab_title";s:13:"\0*\0field_name";s:24:"field_mt_media_tab_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-oaMY7r2nGqSk6ByAhqUmD20YMhYPhVg3WwcRuCadM_8";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_media_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f9156901-f743-4337-a41c-33c7ccf3f226";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_media_title";s:13:"\0*\0field_name";s:20:"field_mt_media_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-PR00xOT2J-kb-WP_1HcqlA37xXt0ONajiAnoJpuqeo4";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_media_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_media_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ff8dd6c-b9f2-40a9-8035-9333480b5f3d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_media_body";s:13:"\0*\0field_name";s:19:"field_mt_media_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GWa3pqSD4dDy3K1fynPISsPjO6_mAVpPTWb9qd9-E1E";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_media_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f7832ba2-748e-4d86-8761-3210e399511f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_media_image";s:13:"\0*\0field_name";s:20:"field_mt_media_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-9DTd-HMfN7VzvhNo3A0Vl9oBlmdVuMqGopU-VeQ6oZE";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_media_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ab1ac840-29d1-4b47-8a7a-c49a7c67d5d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_media_video";s:13:"\0*\0field_name";s:20:"field_mt_media_video";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-_Ek39SkGfNYXa1hfQeW0xiTJnhI-9iIOgMDzfLhSFtg";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_media_button";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"paragraph.field_mt_media_button";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c202ff20-5128-428f-91d2-3e892b9141e9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"paragraph.field_mt_media_button";s:13:"\0*\0field_name";s:21:"field_mt_media_button";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-mfX_z-7FE8MQ26PxWePBr7l-RVi4eNrcJ6Yz-2GBc3k";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_collapse_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_collapse_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f089042b-2b79-44ee-9e7d-29f69733f15b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_collapse_title";s:13:"\0*\0field_name";s:23:"field_mt_collapse_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-O4neiCK27aQmjCihyc1YSzIWYPmENHuiV7kCdALfRhQ";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_collapse_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"paragraph.field_mt_collapse_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c440dcd1-bd3d-4448-97df-351c36123b2d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"paragraph.field_mt_collapse_body";s:13:"\0*\0field_name";s:22:"field_mt_collapse_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-53AlfcILS32_hR7B5W5As6vLbJ0I-5dS5Os4ZVYz_zk";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fltt_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fltt_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"aad212db-5687-4c24-aaa1-5c88457f6ab3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fltt_body";s:13:"\0*\0field_name";s:18:"field_mt_fltt_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-YgRb21MejsFwiXNgU2LGBH6GcWwrj9c_mm6QG-ckyEo";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_fltt_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_fltt_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e73c6db6-24dd-4622-becd-5ae935bd4743";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_fltt_title";s:13:"\0*\0field_name";s:19:"field_mt_fltt_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-blmjE25QA10mt-UxQ1cMeZJ1USj5LwY5oITtO0tBsEY";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fltt_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fltt_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6838af8e-c37f-4777-87f3-eeff2b1ae726";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_fltt_link";s:13:"\0*\0field_name";s:18:"field_mt_fltt_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-SJh7sGy1e2VnLXwYLr8ziikOImsG1-leXPJMBNZwGhA";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_ms_slide_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_ms_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ded79a92-0d9f-45ca-8218-0de7b6a02173";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_ms_slide_title";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-AqKxYDFRphq7iAuGzgIaZ6ftSYPuWqBORT7moevzGTI";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_ms_slide_caption";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"paragraph.field_mt_ms_slide_caption";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"be80686f-f1db-478d-ad52-c6032507a7d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"paragraph.field_mt_ms_slide_caption";s:13:"\0*\0field_name";s:25:"field_mt_ms_slide_caption";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-chvnB1yOrM47p_1272JpOO7PTTSsQPL5rlmiZuTaSaU";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_ms_slide_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"paragraph.field_mt_ms_slide_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"08a6120b-4162-4793-b771-4b4d3f2b00c2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"paragraph.field_mt_ms_slide_link";s:13:"\0*\0field_name";s:22:"field_mt_ms_slide_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-UDQ5oDnbi7gVCVdYVbigpPJBn6bg4vvPFV-t7yimNGk";s:10:"form_token";s:43:"1p7AqqKoy2E0KpCw8SPhXfsUVE8TZDgqMGzLxw5xRj4";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_ms_slide_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_ms_slide_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b21a2a87-c0c4-45be-815e-3dd8dfcafc81";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_ms_slide_image";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form--IdIZ-Hpgo_WapuiZk3UWoN1XFV9s3pP-Kmg62TOEh8";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_ms_slide_vimeo_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ab48c77f-7b0f-4932-8554-0c77b61778d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:13:"\0*\0field_name";s:26:"field_mt_ms_slide_vimeo_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-zIQHJMfdDUrEydw0p0Rcz37CFuETJqYAY-o5oYzS21k";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_ms_slide_youtube_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d7031199-ca07-441c-ac16-32e4ebd4fadb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:13:"\0*\0field_name";s:28:"field_mt_ms_slide_youtube_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-sECiCbpLMJSYTE-et2JT_6af0IZ9OeNjUr84KIgsQAY";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_ms_slide_volume";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_ms_slide_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a6eadfdb-8d35-40b1-b64a-e0ed97d4cf01";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_ms_slide_volume";s:13:"\0*\0field_name";s:24:"field_mt_ms_slide_volume";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-g2JqlwxhFxJDrypzSJ7jFz9LchCZWgH-qsBbWGPpqps";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:31:"field_mt_ms_slide_caption_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:41:"paragraph.field_mt_ms_slide_caption_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75348b10-8fc5-4961-85ac-27734415b947";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:41:"paragraph.field_mt_ms_slide_caption_color";s:13:"\0*\0field_name";s:31:"field_mt_ms_slide_caption_color";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:12:"Dark Colored";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-i9hR5k7uPm1HLx6pVa6-SdjyDdhdd4p4kjhQ4M0CXUE";s:10:"form_token";s:43:"FrzYrWjJ7BiNmfIs7VF1DSs0lbhJrDC24jaUqUhnoQw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_ms_slide_caption_opac";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dc0b97a7-c172-4930-89af-5cf5489c16fc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:13:"\0*\0field_name";s:30:"field_mt_ms_slide_caption_opac";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FSFQjuFSlq3jB89er9a96-IaFsJ2dojUU9H2L_Ir2O0";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_vgs_slide_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_vgs_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"41fee351-a71a-4d0b-af51-5266604def6c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_vgs_slide_title";s:13:"\0*\0field_name";s:24:"field_mt_vgs_slide_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:22:"field_mt_vgs_thumbnail";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:32:"paragraph.field_mt_vgs_thumbnail";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e135eeab-e5b4-4289-98ff-4ea88745ebb5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:32:"paragraph.field_mt_vgs_thumbnail";s:13:"\0*\0field_name";s:22:"field_mt_vgs_thumbnail";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_vgs_vimeo_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"paragraph.field_mt_vgs_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fb7f2538-8f3c-4e44-bd67-a6af291bf090";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"paragraph.field_mt_vgs_vimeo_id";s:13:"\0*\0field_name";s:21:"field_mt_vgs_vimeo_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:19:"field_mt_vgs_volume";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_vgs_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"53d36706-a3e1-4d19-b24d-f5ce99518aa5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_vgs_volume";s:13:"\0*\0field_name";s:19:"field_mt_vgs_volume";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_vgs_youtube_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_vgs_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"febe0f55-0cb9-4218-aa61-92fb7aa664a0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_vgs_youtube_id";s:13:"\0*\0field_name";s:23:"field_mt_vgs_youtube_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_dropdown_block";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_dropdown_block";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e7bdf794-5c56-42f2-a5ec-723912f16715";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_dropdown_block";s:13:"\0*\0field_name";s:23:"field_mt_dropdown_block";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-RU1E0j3B49nED2Ohx2W0W9S-jS1hq-FcahKBTLx4FR0";s:10:"form_token";s:43:"hBQ7ImlRH4zqyQum8pafo4Jyn_vtM2B5AJbmx2GlGRM";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"behavior_settings";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Behavior settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The behavior plugin settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"a:0:{}";}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:17:"behavior_settings";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:1928;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:20:"field_mt_ml_latitude";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_ml_latitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e146d8c2-d58b-48ff-8fb4-4bb19b51e88a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_ml_latitude";s:13:"\0*\0field_name";s:20:"field_mt_ml_latitude";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:25:"field_mt_ml_location_name";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"paragraph.field_mt_ml_location_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c42cd2df-6f2d-486e-94aa-ab3c74b73414";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"paragraph.field_mt_ml_location_name";s:13:"\0*\0field_name";s:25:"field_mt_ml_location_name";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:21:"field_mt_ml_longitude";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:31:"paragraph.field_mt_ml_longitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"31840a61-d96b-462b-8f51-baf1e38d0bb8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:31:"paragraph.field_mt_ml_longitude";s:13:"\0*\0field_name";s:21:"field_mt_ml_longitude";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;}s:23:"field_mt_highlight_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_highlight_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"179fd45e-975a-4f23-8b3e-38012b2f9c6b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_highlight_body";s:13:"\0*\0field_name";s:23:"field_mt_highlight_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-3h8KLdHZdLBzGPpi97OX7MP6W9f4-GB1YNyOc3qKMy4";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_highlight_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_highlight_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8686529f-724b-4f7d-8574-1ea4f8e604dc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_highlight_image";s:13:"\0*\0field_name";s:24:"field_mt_highlight_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-MdUxBheZYlHUoIqXOqKvriw00r6HEH5Vt0jz-euIbEo";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_highlight_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:33:"paragraph.field_mt_highlight_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe94388f-8916-414f-8c24-363021492f00";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:33:"paragraph.field_mt_highlight_link";s:13:"\0*\0field_name";s:23:"field_mt_highlight_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-dQ1zmsnfwFiI3JoqjK0ZkZ_eyEY7VHr9A4GzQ5uj3Q8";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_highlight_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:34:"paragraph.field_mt_highlight_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b873d67c-7b08-4c38-9f72-89d4424c50c1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:34:"paragraph.field_mt_highlight_title";s:13:"\0*\0field_name";s:24:"field_mt_highlight_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-qlsIFJfciTSOtYKLiw5ldy7BFwvkrUwMexon6nkezbY";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_if_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_if_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3b0044db-78aa-4c23-b632-ad8f4e5206f9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_if_title";s:13:"\0*\0field_name";s:17:"field_mt_if_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-2kPFBGbL5U0QPUzoRS3iWUvtDkagA8w1mSCWeFUleek";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"field_mt_if_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"paragraph.field_mt_if_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"09731928-6b4a-4bf0-abfb-f31b3ff87d31";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"paragraph.field_mt_if_body";s:13:"\0*\0field_name";s:16:"field_mt_if_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-52FCpPBeaT7uJUBk5cjZs15gbZhPRPDw0lWCHNGv-kk";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"field_mt_if_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:26:"paragraph.field_mt_if_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"26a44d40-32c5-4fd7-99f0-1f88c4bba220";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:26:"paragraph.field_mt_if_link";s:13:"\0*\0field_name";s:16:"field_mt_if_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-b0Jk41yUJdA76x4gvDAlGUHswyVlHeZ9Cocx-H14iUk";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_if_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_if_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7bcaa053-3d3c-4434-b441-359b8d79f0f3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_if_image";s:13:"\0*\0field_name";s:17:"field_mt_if_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Klgz0ib47uVfz_CNvJVHVQyI9B8Byj9Y0WXAukyxpBM";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_adf_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_adf_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f80919da-8c64-4b7c-bc55-2fa1226038ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_adf_image";s:13:"\0*\0field_name";s:18:"field_mt_adf_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-RBfVqoUq2JUv9DmLs1MT9ftEowUPA_6p4vf5xY71lvg";s:10:"form_token";s:43:"D-q6-R6MQmqXMOu5jtNjQDMWq7ZXIXRtCAF3PzHmu1E";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_adf_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:27:"paragraph.field_mt_adf_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2c8d6014-742a-4ed1-ae81-80597bc94f28";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:27:"paragraph.field_mt_adf_body";s:13:"\0*\0field_name";s:17:"field_mt_adf_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-G0AkboCmhNJBEPShGlQu7H-4DLFZl3XEW61k5hfMUlU";s:10:"form_token";s:43:"D-q6-R6MQmqXMOu5jtNjQDMWq7ZXIXRtCAF3PzHmu1E";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_adf_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:28:"paragraph.field_mt_adf_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f867e3b0-b47c-46ad-b4eb-280a76d01dd1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:28:"paragraph.field_mt_adf_title";s:13:"\0*\0field_name";s:18:"field_mt_adf_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Vjnv4mfuSX8ufOV0WwiOJbuV4uuTcM5PFe1VIs6NEZg";s:10:"form_token";s:43:"D-q6-R6MQmqXMOu5jtNjQDMWq7ZXIXRtCAF3PzHmu1E";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:9:"paragraph";s:8:"provider";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:2571;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:27:"field_mt_tml_timeline_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"paragraph.field_mt_tml_timeline_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0a9fb0d4-50a6-452a-9e43-93728f2049f6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"paragraph.field_mt_tml_timeline_title";s:13:"\0*\0field_name";s:27:"field_mt_tml_timeline_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-eLsyJHCHfpbLE73VkGtHGpswNbx3Snn6KI7JM4B72pk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_tml_timeline_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"paragraph.field_mt_tml_timeline_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c518e1da-b52d-4753-8a28-bbb0fb5c7fb6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"paragraph.field_mt_tml_timeline_date";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_date";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:4:"date";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-TfjZcef53Gv5tDOhAsXdoR2-h581eNgca3kqPU_tdkA";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_tml_timeline_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:36:"paragraph.field_mt_tml_timeline_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e3aac836-a3d9-43da-b1c4-1889f6e2c807";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:36:"paragraph.field_mt_tml_timeline_link";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-gdlwKHikyv6mtekyGJA9fOocNz5V6p0-808tFkN0C3c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_adf_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:30:"paragraph.field_mt_adf_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bd5ad38a-f8fb-403e-ba93-1b3f66564f2d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:30:"paragraph.field_mt_adf_fa_icon";s:13:"\0*\0field_name";s:20:"field_mt_adf_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-xdzchbBh0trYyleXCKlVOe7rt5XoPhF9JgZduuceMOg";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_fli_button_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:37:"paragraph.field_mt_fli_button_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7a7f1471-7a26-4517-94cb-2b34ed5873e5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:37:"paragraph.field_mt_fli_button_fa_icon";s:13:"\0*\0field_name";s:27:"field_mt_fli_button_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-NqdKSR7Fa3Oi1F5qP-73G3Qq5tI42t2ifcgrclhKA6I";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_if_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:29:"paragraph.field_mt_if_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fd87b624-24fb-48b9-b4c3-60fa49f5bde1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:29:"paragraph.field_mt_if_fa_icon";s:13:"\0*\0field_name";s:19:"field_mt_if_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Bi_QGoKsabHf3Hh1jClEUuqXOHTqVVJX4tHbhM0v6rs";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_dropdown_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:35:"paragraph.field_mt_dropdown_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"88614c60-d30f-4248-bf30-e24dc8468f67";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:35:"paragraph.field_mt_dropdown_fa_icon";s:13:"\0*\0field_name";s:25:"field_mt_dropdown_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-AFtVcWPzJ2ROBYoWEXF3f0q_3-foqEdNUFR46u8MpHk";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:9:"paragraph";s:8:"provider";s:9:"paragraph";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:2911;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.544', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('path_alias.field_storage_definitions.installed', 'a:8:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:2:"id";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:36;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:69;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:15:"language_select";s:6:"weight";i:0;s:8:"settings";a:1:{s:14:"include_locked";b:0;}}}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:3:"und";}}s:8:"provider";s:10:"path_alias";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:103;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"path";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"System path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The path that this alias belongs to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:4:"path";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:5;s:8:"settings";a:1:{s:4:"size";i:45;}}}}s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:9:"ValidPath";a:0:{}s:5:"Regex";a:2:{s:7:"pattern";s:6:"/^\\//i";s:7:"message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The source path has to start with a slash.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}}}s:18:"\0*\0fieldDefinition";r:143;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"alias";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"An alias used with this path.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:5:"alias";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;s:8:"settings";a:1:{s:4:"size";i:45;}}}}s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:5:"Regex";a:2:{s:7:"pattern";s:6:"/^\\//i";s:7:"message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The alias path has to start with a slash.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}}}s:18:"\0*\0fieldDefinition";r:196;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:10:"path_alias";s:10:"field_name";s:6:"status";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:248;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:11:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:287;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649759.931', 1, '', '0'),
('quickedit:editor', 'a:4:{s:6:"editor";a:3:{s:2:"id";s:6:"editor";s:8:"provider";s:6:"editor";s:5:"class";s:44:"Drupal\\quickedit\\Plugin\\InPlaceEditor\\Editor";}s:5:"image";a:3:{s:2:"id";s:5:"image";s:5:"class";s:43:"Drupal\\quickedit\\Plugin\\InPlaceEditor\\Image";s:8:"provider";s:9:"quickedit";}s:4:"form";a:3:{s:2:"id";s:4:"form";s:5:"class";s:48:"Drupal\\quickedit\\Plugin\\InPlaceEditor\\FormEditor";s:8:"provider";s:9:"quickedit";}s:10:"plain_text";a:3:{s:2:"id";s:10:"plain_text";s:5:"class";s:53:"Drupal\\quickedit\\Plugin\\InPlaceEditor\\PlainTextEditor";s:8:"provider";s:9:"quickedit";}}', -1, '1681652207.856', 1, '', '0'),
('search_plugins', 'a:2:{s:11:"node_search";a:5:{s:15:"use_admin_theme";b:0;s:2:"id";s:11:"node_search";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:36:"Drupal\\node\\Plugin\\Search\\NodeSearch";s:8:"provider";s:4:"node";}s:11:"user_search";a:5:{s:15:"use_admin_theme";b:0;s:2:"id";s:11:"user_search";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Users";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:36:"Drupal\\user\\Plugin\\Search\\UserSearch";s:8:"provider";s:4:"user";}}', -1, '1681649759.680', 1, '', '0'),
('shortcut.field_storage_definitions.installed', 'a:8:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The ID of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"shortcut";s:10:"field_name";s:2:"id";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The UUID of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"shortcut";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"shortcut_set";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The bundle of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:8:"shortcut";s:10:"field_name";s:12:"shortcut_set";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"shortcut_set";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The name of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:1:{s:4:"size";i:40;}}}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:5:"title";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:111;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Weight among shortcuts in the same shortcut set.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:153;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The location this shortcut points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:4:"link";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:1;}}s:18:"\0*\0fieldDefinition";r:189;}s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";a:4:{s:7:"columns";a:3:{s:3:"uri";a:3:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;}s:5:"title";a:3:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;}s:7:"options";a:4:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;}}s:7:"indexes";a:1:{s:3:"uri";a:1:{i:0;a:2:{i:0;s:3:"uri";i:1;i:30;}}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The language code of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:241;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:279;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649762.455', 1, '', '0'),
('taxonomy_term.field_storage_definitions.installed', 'a:20:{s:3:"tid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The term ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"tid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The vocabulary to which the term is assigned.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:19:"taxonomy_vocabulary";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The term language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:110;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"required";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:149;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"A description of the term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:11:"description";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:text_long";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:196;}s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:2:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}s:6:"format";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The weight of this term in relation to other terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:244;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:14:"custom_storage";b:0;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:283;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the term was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:320;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:350;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:25:"field_mt_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:39:"taxonomy_term.field_mt_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:39:"taxonomy_term.field_mt_collection_image";s:13:"\0*\0field_name";s:25:"field_mt_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-lR5c9_tUf2-ia5m2Pp2NrbexnvAg20VvfhEaiAusrXc";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_wide_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:44:"taxonomy_term.field_mt_wide_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:13:"\0*\0field_name";s:30:"field_mt_wide_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Dny-6e8rMd8eqZ51C4w8LPWJeAASFPLtS_V45MfI1t4";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_affiliation_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:40:"taxonomy_term.field_mt_affiliation_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:40:"taxonomy_term.field_mt_affiliation_image";s:13:"\0*\0field_name";s:26:"field_mt_affiliation_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-XUGpAywA2DuVWGLYDvnLUka6Exz4cej4bpJ3Q2lkV9o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"taxonomy_term";s:8:"provider";s:13:"taxonomy_term";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:551;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:596;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:10:{s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:629;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:670;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:710;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:739;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:20:"revision_log_message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:10:"field_name";s:20:"revision_log_message";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:13:"initial_value";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:775;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.526', 1, '', '0'),
('typed_data_types_plugins', 'a:270:{s:15:"entity_revision";a:10:{s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Entity Revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"All kind of entities with revision information, e.g. nodes, comments or users.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:5:"class";s:72:"Drupal\\entity_reference_revisions\\Plugin\\DataType\\EntityRevisionsAdapter";s:8:"provider";s:26:"entity_reference_revisions";}s:21:"entity_revision:block";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:34:"entity_revision:block_content_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:29:"entity_revision:block_content";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:block_content:basic";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Basic block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:55:"entity_revision:block_content:mt_background_image_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Background Image Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:55:"entity_revision:block_content:mt_background_video_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Background Video Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:50:"entity_revision:block_content:mt_collapsible_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:17:"Collapsible Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:48:"entity_revision:block_content:mt_dropdowns_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:15:"Dropdowns Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:58:"entity_revision:block_content:mt_fancy_linked_images_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:25:"Fancy Linked Images block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:49:"entity_revision:block_content:mt_fancy_tabs_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Fancy Tabs block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:43:"entity_revision:block_content:mt_fltt_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:32:"Featured Linked Text Tiles block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:44:"entity_revision:block_content:mt_google_maps";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:10:"Google Map";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:41:"entity_revision:block_content:mt_if_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Icon Features block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:53:"entity_revision:block_content:mt_main_slideshow_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:20:"Main Slideshow Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:49:"entity_revision:block_content:mt_media_tabs_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Media Tabs Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:54:"entity_revision:block_content:mt_nodes_slideshow_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:21:"Nodes Slideshow block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:43:"entity_revision:block_content:mt_tabs_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:10:"Tabs block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:47:"entity_revision:block_content:mt_timeline_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:14:"Timeline Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:55:"entity_revision:block_content:mt_typing_animation_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Typing Animation Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:52:"entity_revision:block_content:mt_video_gallery_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Video Gallery block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:28:"entity_revision:comment_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:23:"entity_revision:comment";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:3:{s:11:"CommentName";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:comment:comment";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Default comments";s:11:"constraints";a:3:{s:11:"CommentName";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:contact_message";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:43:"entity_revision:contact_message:alternative";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Alternative Contact";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:40:"entity_revision:contact_message:feedback";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Get In Touch";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:40:"entity_revision:contact_message:personal";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:21:"Personal contact form";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:28:"entity_revision:contact_form";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:22:"entity_revision:editor";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text Editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:28:"entity_revision:field_config";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:36:"entity_revision:field_storage_config";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Field storage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:20:"entity_revision:file";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:29:"entity_revision:filter_format";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:27:"entity_revision:image_style";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:20:"entity_revision:node";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:28:"entity_revision:node:article";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Article";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:29:"entity_revision:node:mt_album";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:5:"Album";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:node:mt_canvas_page";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Layouting Canvas";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:29:"entity_revision:node:mt_event";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:5:"Event";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:36:"entity_revision:node:mt_presentation";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Presentation";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:node:mt_product";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Merchandise";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:37:"entity_revision:node:mt_program_entry";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Program Entry";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:node:mt_service";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Accommodation";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:node:mt_speaker";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Speaker";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:node:mt_sponsor";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Sponsor";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:node:mt_team_member";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Team Member";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:node:mt_testimonial";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Testimonial";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:25:"entity_revision:node:page";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:10:"Basic page";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:25:"entity_revision:node_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:26:"entity_revision:path_alias";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:2:{s:15:"UniquePathAlias";a:0:{}s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:27:"entity_revision:rdf_mapping";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"RDF mapping";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:27:"entity_revision:search_page";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Search page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:28:"entity_revision:shortcut_set";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:24:"entity_revision:shortcut";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:32:"entity_revision:shortcut:default";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Default";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:22:"entity_revision:action";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:20:"entity_revision:menu";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:29:"entity_revision:taxonomy_term";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:49:"entity_revision:taxonomy_term:font_classification";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:14:"Classification";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:43:"entity_revision:taxonomy_term:font_designer";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Font Designer";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:42:"entity_revision:taxonomy_term:font_foundry";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Font Foundry";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:39:"entity_revision:taxonomy_term:font_tags";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Font Tags";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:49:"entity_revision:taxonomy_term:languages_supported";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Languages Supported";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:45:"entity_revision:taxonomy_term:mt_affiliations";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Affiliations";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:49:"entity_revision:taxonomy_term:mt_album_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Album Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:44:"entity_revision:taxonomy_term:mt_collections";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Merchandise Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:49:"entity_revision:taxonomy_term:mt_event_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Event Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:56:"entity_revision:taxonomy_term:mt_presentation_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:23:"Presentation Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:57:"entity_revision:taxonomy_term:mt_program_entry_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:24:"Program Entry Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:45:"entity_revision:taxonomy_term:mt_service_tags";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:18:"Accommodation Tags";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:40:"entity_revision:taxonomy_term:mt_session";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Session";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:39:"entity_revision:taxonomy_term:mt_topics";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:6:"Topics";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:34:"entity_revision:taxonomy_term:tags";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:4:"Tags";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:taxonomy_vocabulary";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Taxonomy vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:20:"entity_revision:tour";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:25:"entity_revision:user_role";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:20:"entity_revision:user";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:34:"entity_revision:webform_submission";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:43:"entity_revision:webform_submission:register";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:8:"Register";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:webform_options";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:23:"entity_revision:webform";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:20:"entity_revision:font";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:28:"entity_revision:font_display";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:33:"entity_revision:menu_link_content";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:3:{s:17:"MenuTreeHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:51:"entity_revision:menu_link_content:menu_link_content";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:1293;s:11:"constraints";a:3:{s:17:"MenuTreeHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:20:"entity_revision:view";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:31:"entity_revision:paragraphs_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraphs type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:25:"entity_revision:paragraph";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:47:"entity_revision:paragraph:mt_additional_feature";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:18:"Additional Feature";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:37:"entity_revision:paragraph:mt_collapse";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:8:"Collapse";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:37:"entity_revision:paragraph:mt_dropdown";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:8:"Dropdown";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:47:"entity_revision:paragraph:mt_fancy_linked_image";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:18:"Fancy Linked Image";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:38:"entity_revision:paragraph:mt_fancy_tab";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Fancy Tab";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:54:"entity_revision:paragraph:mt_featured_linked_text_tile";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:25:"Featured Linked Text Tile";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:38:"entity_revision:paragraph:mt_highlight";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Highlight";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:42:"entity_revision:paragraph:mt_icon_features";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Icon Features";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:49:"entity_revision:paragraph:mt_main_slideshow_slide";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:20:"Main Slideshow Slide";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:41:"entity_revision:paragraph:mt_map_location";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Map Location";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:38:"entity_revision:paragraph:mt_media_tab";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Media Tab";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:32:"entity_revision:paragraph:mt_tab";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:3:"Tab";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:42:"entity_revision:paragraph:mt_timeline_item";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Timeline Item";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:48:"entity_revision:paragraph:mt_video_gallery_slide";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Video Gallery slide";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:32:"entity_revision:entity_view_mode";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"View mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:entity_form_display";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:entity_view_display";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity view display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:32:"entity_revision:entity_form_mode";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Form mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:35:"entity_revision:base_field_override";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Base field override";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:27:"entity_revision:date_format";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Date format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:73:"\\Drupal\\entity_reference_revisions\\TypedData\\EntityRevisionDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:15:"entity_revision";s:11:"description";r:12;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:26:"entity_reference_revisions";}s:25:"entity_revision_reference";a:8:{s:16:"definition_class";s:46:"\\Drupal\\Core\\TypedData\\DataReferenceDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:25:"entity_revision_reference";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Entity reference revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:74:"Drupal\\entity_reference_revisions\\Plugin\\DataType\\EntityReferenceRevisions";s:8:"provider";s:26:"entity_reference_revisions";}s:13:"filter_format";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:13:"filter_format";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Filter format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\filter\\Plugin\\DataType\\FilterFormat";s:8:"provider";s:6:"filter";}s:6:"entity";a:10:{s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Entity";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"All kind of entities, e.g. nodes, comments or users.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:8:"provider";s:4:"core";}s:12:"entity:block";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:21;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:25:"entity:block_content_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:37;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:20:"entity:block_content";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:53;s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:block_content:basic";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Basic block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:46:"entity:block_content:mt_background_image_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Background Image Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:46:"entity:block_content:mt_background_video_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Background Video Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:41:"entity:block_content:mt_collapsible_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:17:"Collapsible Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:39:"entity:block_content:mt_dropdowns_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:15:"Dropdowns Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:49:"entity:block_content:mt_fancy_linked_images_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:25:"Fancy Linked Images block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:40:"entity:block_content:mt_fancy_tabs_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Fancy Tabs block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:34:"entity:block_content:mt_fltt_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:32:"Featured Linked Text Tiles block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:35:"entity:block_content:mt_google_maps";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:10:"Google Map";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:32:"entity:block_content:mt_if_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Icon Features block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:44:"entity:block_content:mt_main_slideshow_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:20:"Main Slideshow Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:40:"entity:block_content:mt_media_tabs_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Media Tabs Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:45:"entity:block_content:mt_nodes_slideshow_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:21:"Nodes Slideshow block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:34:"entity:block_content:mt_tabs_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:10:"Tabs block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:38:"entity:block_content:mt_timeline_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:14:"Timeline Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:46:"entity:block_content:mt_typing_animation_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Typing Animation Block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:43:"entity:block_content:mt_video_gallery_block";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Video Gallery block";s:11:"constraints";a:2:{s:26:"EntityUntranslatableFields";N;s:25:"BlockContentEntityChanged";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:19:"entity:comment_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:309;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:14:"entity:comment";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:325;s:11:"constraints";a:3:{s:11:"CommentName";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:comment:comment";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Default comments";s:11:"constraints";a:3:{s:11:"CommentName";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:contact_message";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:359;s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:34:"entity:contact_message:alternative";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Alternative Contact";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:31:"entity:contact_message:feedback";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Get In Touch";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:31:"entity:contact_message:personal";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:21:"Personal contact form";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:19:"entity:contact_form";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:415;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:13:"entity:editor";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:431;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:19:"entity:field_config";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:447;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:27:"entity:field_storage_config";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:463;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:11:"entity:file";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:479;s:11:"constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:20:"entity:filter_format";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:497;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:18:"entity:image_style";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:513;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:11:"entity:node";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:529;s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:19:"entity:node:article";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Article";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:20:"entity:node:mt_album";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:5:"Album";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:node:mt_canvas_page";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Layouting Canvas";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:20:"entity:node:mt_event";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:5:"Event";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:27:"entity:node:mt_presentation";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Presentation";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:node:mt_product";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Merchandise";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:28:"entity:node:mt_program_entry";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Program Entry";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:node:mt_service";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Accommodation";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:node:mt_speaker";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Speaker";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:node:mt_sponsor";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Sponsor";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:node:mt_team_member";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Team Member";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:node:mt_testimonial";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:11:"Testimonial";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:16:"entity:node:page";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:10:"Basic page";s:11:"constraints";a:3:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;s:12:"MenuSettings";a:0:{}}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:16:"entity:node_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:743;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:17:"entity:path_alias";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:759;s:11:"constraints";a:2:{s:15:"UniquePathAlias";a:0:{}s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:18:"entity:rdf_mapping";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:777;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:18:"entity:search_page";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:793;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:19:"entity:shortcut_set";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:809;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:15:"entity:shortcut";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:825;s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:23:"entity:shortcut:default";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Default";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:13:"entity:action";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:855;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:11:"entity:menu";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:871;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:20:"entity:taxonomy_term";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:887;s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:40:"entity:taxonomy_term:font_classification";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:14:"Classification";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:34:"entity:taxonomy_term:font_designer";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Font Designer";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:33:"entity:taxonomy_term:font_foundry";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Font Foundry";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:30:"entity:taxonomy_term:font_tags";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Font Tags";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:40:"entity:taxonomy_term:languages_supported";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Languages Supported";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:36:"entity:taxonomy_term:mt_affiliations";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Affiliations";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:40:"entity:taxonomy_term:mt_album_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Album Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:35:"entity:taxonomy_term:mt_collections";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:22:"Merchandise Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:40:"entity:taxonomy_term:mt_event_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:16:"Event Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:47:"entity:taxonomy_term:mt_presentation_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:23:"Presentation Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:48:"entity:taxonomy_term:mt_program_entry_categories";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:24:"Program Entry Categories";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:36:"entity:taxonomy_term:mt_service_tags";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:18:"Accommodation Tags";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:31:"entity:taxonomy_term:mt_session";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:7:"Session";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:30:"entity:taxonomy_term:mt_topics";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:6:"Topics";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:25:"entity:taxonomy_term:tags";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:4:"Tags";s:11:"constraints";a:3:{s:17:"TaxonomyHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:taxonomy_vocabulary";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1131;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:11:"entity:tour";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1147;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:16:"entity:user_role";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1163;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:11:"entity:user";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:1179;s:11:"constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:25:"entity:webform_submission";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:1197;s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:34:"entity:webform_submission:register";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:8:"Register";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:webform_options";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1227;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:14:"entity:webform";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1243;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:11:"entity:font";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:1259;s:11:"constraints";a:2:{s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:19:"entity:font_display";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1277;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:24:"entity:menu_link_content";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:1293;s:11:"constraints";a:3:{s:17:"MenuTreeHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:42:"entity:menu_link_content:menu_link_content";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:1293;s:11:"constraints";a:3:{s:17:"MenuTreeHierarchy";a:0:{}s:13:"EntityChanged";N;s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:11:"entity:view";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1327;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:22:"entity:paragraphs_type";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1344;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:16:"entity:paragraph";a:12:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";r:1360;s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:38:"entity:paragraph:mt_additional_feature";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:18:"Additional Feature";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:28:"entity:paragraph:mt_collapse";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:8:"Collapse";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:28:"entity:paragraph:mt_dropdown";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:8:"Dropdown";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:38:"entity:paragraph:mt_fancy_linked_image";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:18:"Fancy Linked Image";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:29:"entity:paragraph:mt_fancy_tab";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Fancy Tab";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:45:"entity:paragraph:mt_featured_linked_text_tile";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:25:"Featured Linked Text Tile";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:29:"entity:paragraph:mt_highlight";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Highlight";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:33:"entity:paragraph:mt_icon_features";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Icon Features";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:40:"entity:paragraph:mt_main_slideshow_slide";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:20:"Main Slideshow Slide";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:32:"entity:paragraph:mt_map_location";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:12:"Map Location";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:29:"entity:paragraph:mt_media_tab";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:9:"Media Tab";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:23:"entity:paragraph:mt_tab";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:3:"Tab";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:33:"entity:paragraph:mt_timeline_item";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:13:"Timeline Item";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:39:"entity:paragraph:mt_video_gallery_slide";a:11:{s:5:"class";s:48:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter";s:5:"label";s:19:"Video Gallery slide";s:11:"constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:23:"entity:entity_view_mode";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1559;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:entity_form_display";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1575;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:entity_view_display";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1591;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:23:"entity:entity_form_mode";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1607;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:26:"entity:base_field_override";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1623;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:18:"entity:date_format";a:12:{s:5:"class";s:54:"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter";s:5:"label";r:1639;s:11:"constraints";a:0:{}s:8:"internal";b:0;s:16:"definition_class";s:50:"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"entity";s:11:"description";r:1687;s:7:"deriver";s:57:"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver";s:8:"provider";s:4:"core";}s:16:"entity_reference";a:8:{s:16:"definition_class";s:46:"\\Drupal\\Core\\TypedData\\DataReferenceDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:16:"entity_reference";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Entity reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:50:"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityReference";s:8:"provider";s:4:"core";}s:18:"field_item:comment";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:7:"comment";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"This field manages configuration and presentation of comments on an entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"list_class";s:36:"\\Drupal\\comment\\CommentFieldItemList";s:14:"default_widget";s:15:"comment_default";s:17:"default_formatter";s:15:"comment_default";s:11:"cardinality";i:1;s:5:"class";s:49:"Drupal\\comment\\Plugin\\Field\\FieldType\\CommentItem";s:8:"provider";s:7:"comment";}s:19:"field_item:datetime";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:8:"datetime";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Create and store date values.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:16:"datetime_default";s:17:"default_formatter";s:16:"datetime_default";s:10:"list_class";s:61:"\\Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeFieldItemList";s:11:"constraints";a:1:{s:14:"DateTimeFormat";a:0:{}}s:5:"class";s:51:"Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeItem";s:8:"provider";s:8:"datetime";}s:37:"field_item:entity_reference_revisions";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Reference revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:26:"entity_reference_revisions";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Entity reference revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:70:"An entity field containing an entity reference to a specific revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:85:"Drupal\\entity_reference_revisions\\Plugin\\Field\\FieldType\\EntityReferenceRevisionsItem";s:10:"list_class";s:72:"\\Drupal\\entity_reference_revisions\\EntityReferenceRevisionsFieldItemList";s:17:"default_formatter";s:38:"entity_reference_revisions_entity_view";s:14:"default_widget";s:39:"entity_reference_revisions_autocomplete";s:8:"provider";s:26:"entity_reference_revisions";}s:15:"field_item:file";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:4:"file";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:55:"This field stores the ID of a file as an integer value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:12:"file_generic";s:17:"default_formatter";s:12:"file_default";s:10:"list_class";s:53:"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList";s:11:"constraints";a:2:{s:15:"ReferenceAccess";a:0:{}s:14:"FileValidation";a:0:{}}s:5:"class";s:43:"Drupal\\file\\Plugin\\Field\\FieldType\\FileItem";s:8:"provider";s:4:"file";}s:19:"field_item:file_uri";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:8:"file_uri";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"File URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"An entity field containing a file URI, and a computed root-relative file URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:8:"file_uri";s:14:"default_widget";s:3:"uri";s:5:"class";s:46:"Drupal\\file\\Plugin\\Field\\FieldType\\FileUriItem";s:8:"provider";s:4:"file";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:27:"field_item:fontawesome_icon";a:15:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Icons";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:16:"fontawesome_icon";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Font Awesome Icon";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"module";s:11:"fontawesome";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"A Font Awesome icon";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:26:"fontawesome_icon_formatter";s:14:"default_widget";s:23:"fontawesome_icon_widget";s:25:"serialized_property_names";a:1:{i:0;s:8:"settings";}s:5:"class";s:57:"Drupal\\fontawesome\\Plugin\\Field\\FieldType\\FontAwesomeIcon";s:8:"provider";s:11:"fontawesome";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:16:"field_item:image";a:15:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:5:"image";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Image";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"This field stores the ID of an image file as an integer value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:11:"image_image";s:17:"default_formatter";s:5:"image";s:13:"column_groups";a:3:{s:4:"file";a:3:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"columns";a:3:{i:0;s:9:"target_id";i:1;s:5:"width";i:2;s:6:"height";}s:34:"require_all_groups_for_translation";b:1;}s:3:"alt";a:2:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Alt";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;}s:5:"title";a:2:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;}}s:10:"list_class";s:53:"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList";s:11:"constraints";a:2:{s:15:"ReferenceAccess";a:0:{}s:14:"FileValidation";a:0:{}}s:5:"class";s:45:"Drupal\\image\\Plugin\\Field\\FieldType\\ImageItem";s:8:"provider";s:5:"image";}s:15:"field_item:link";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:4:"link";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:100:"Stores a URL string, optional varchar link text, and optional blob of attributes to assemble a link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:12:"link_default";s:17:"default_formatter";s:4:"link";s:11:"constraints";a:4:{s:8:"LinkType";a:0:{}s:10:"LinkAccess";a:0:{}s:21:"LinkExternalProtocols";a:0:{}s:23:"LinkNotExistingInternal";a:0:{}}s:5:"class";s:43:"Drupal\\link\\Plugin\\Field\\FieldType\\LinkItem";s:8:"provider";s:4:"link";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:23:"field_item:list_integer";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:12:"list_integer";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"List (integer)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:144:"This field stores integer values from a list of allowed ''value => label'' pairs, i.e. ''Lifetime in days'': 1 => 1 day, 7 => 1 week, 31 => 1 month.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"options_select";s:17:"default_formatter";s:12:"list_default";s:5:"class";s:53:"Drupal\\options\\Plugin\\Field\\FieldType\\ListIntegerItem";s:8:"provider";s:7:"options";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:21:"field_item:list_float";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:10:"list_float";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"List (float)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:134:"This field stores float values from a list of allowed ''value => label'' pairs, i.e. ''Fraction'': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"options_select";s:17:"default_formatter";s:12:"list_default";s:5:"class";s:51:"Drupal\\options\\Plugin\\Field\\FieldType\\ListFloatItem";s:8:"provider";s:7:"options";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:22:"field_item:list_string";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:11:"list_string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"List (text)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:137:"This field stores text values from a list of allowed ''value => label'' pairs, i.e. ''US States'': IL => Illinois, IA => Iowa, IN => Indiana.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"options_select";s:17:"default_formatter";s:12:"list_default";s:5:"class";s:52:"Drupal\\options\\Plugin\\Field\\FieldType\\ListStringItem";s:8:"provider";s:7:"options";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:15:"field_item:path";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:4:"path";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"An entity field containing a path alias and related data.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:4:"path";s:10:"list_class";s:53:"\\Drupal\\path\\Plugin\\Field\\FieldType\\PathFieldItemList";s:11:"constraints";a:1:{s:9:"PathAlias";a:0:{}}s:5:"class";s:43:"Drupal\\path\\Plugin\\Field\\FieldType\\PathItem";s:8:"provider";s:4:"path";}s:20:"field_item:text_long";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:9:"text_long";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Text (formatted, long)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"This field stores a long text with a text format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:13:"text_textarea";s:17:"default_formatter";s:12:"text_default";s:5:"class";s:47:"Drupal\\text\\Plugin\\Field\\FieldType\\TextLongItem";s:8:"provider";s:4:"text";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:15:"field_item:text";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:4:"text";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Text (formatted)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"This field stores a text with a text format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:14:"text_textfield";s:17:"default_formatter";s:12:"text_default";s:5:"class";s:43:"Drupal\\text\\Plugin\\Field\\FieldType\\TextItem";s:8:"provider";s:4:"text";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:28:"field_item:text_with_summary";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:17:"text_with_summary";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Text (formatted, long, with summary)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"This field stores long text with a format and an optional summary.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:26:"text_textarea_with_summary";s:17:"default_formatter";s:12:"text_default";s:5:"class";s:54:"Drupal\\text\\Plugin\\Field\\FieldType\\TextWithSummaryItem";s:8:"provider";s:4:"text";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:28:"field_item:video_embed_field";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:17:"video_embed_field";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Video Embed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Stores a video and then outputs some embed code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:27:"video_embed_field_textfield";s:17:"default_formatter";s:23:"video_embed_field_video";s:11:"constraints";a:1:{s:20:"VideoEmbedValidation";a:0:{}}s:5:"class";s:63:"Drupal\\video_embed_field\\Plugin\\Field\\FieldType\\VideoEmbedField";s:8:"provider";s:17:"video_embed_field";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:18:"field_item:webform";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:7:"webform";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"A webform containing default submission values.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:31:"webform_entity_reference_select";s:17:"default_formatter";s:36:"webform_entity_reference_entity_view";s:10:"list_class";s:74:"\\Drupal\\webform\\Plugin\\Field\\FieldType\\WebformEntityReferenceFieldItemList";s:5:"class";s:64:"Drupal\\webform\\Plugin\\Field\\FieldType\\WebformEntityReferenceItem";s:8:"provider";s:7:"webform";}s:18:"field_item:boolean";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Boolean";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"An entity field containing a boolean value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:16:"boolean_checkbox";s:17:"default_formatter";s:7:"boolean";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\BooleanItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:18:"field_item:changed";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:7:"changed";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Last changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:85:"An entity field containing a UNIX timestamp of when the entity has been last updated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:18:"datetime_timestamp";s:17:"default_formatter";s:9:"timestamp";s:10:"list_class";s:39:"\\Drupal\\Core\\Field\\ChangedFieldItemList";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\ChangedItem";s:8:"provider";s:4:"core";}s:16:"field_item:email";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:5:"email";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"An entity field containing an email value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:13:"email_default";s:17:"default_formatter";s:12:"basic_string";s:5:"class";s:50:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EmailItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:14:"field_item:map";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:3:"map";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Map";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"An entity field for storing a serialized array of values.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:10:"list_class";s:35:"\\Drupal\\Core\\Field\\MapFieldItemList";s:5:"class";s:48:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\MapItem";s:8:"provider";s:4:"core";}s:18:"field_item:created";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:7:"created";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:80:"An entity field containing a UNIX timestamp of when the entity has been created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:18:"datetime_timestamp";s:17:"default_formatter";s:9:"timestamp";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\CreatedItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:18:"field_item:decimal";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:7:"decimal";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Number (decimal)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:69:"This field stores a number in the database in a fixed decimal format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:6:"number";s:17:"default_formatter";s:14:"number_decimal";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\DecimalItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:17:"field_item:string";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:6:"string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Text (plain)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"A field containing a plain string value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:16:"string_textfield";s:17:"default_formatter";s:6:"string";s:5:"class";s:51:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:20:"field_item:timestamp";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:9:"timestamp";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Timestamp";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"An entity field containing a UNIX timestamp value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:18:"datetime_timestamp";s:17:"default_formatter";s:9:"timestamp";s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:5:"Range";a:2:{s:3:"min";s:11:"-2147483648";s:3:"max";s:10:"2147483648";}}}}s:5:"class";s:54:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\TimestampItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:15:"field_item:uuid";a:12:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:4:"uuid";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"An entity field containing a UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:6:"string";s:5:"class";s:49:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UuidItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:14:"field_item:uri";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:3:"uri";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"An entity field containing a URI.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"default_formatter";s:8:"uri_link";s:14:"default_widget";s:3:"uri";s:5:"class";s:48:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UriItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:27:"field_item:entity_reference";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:16:"entity_reference";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Entity reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"An entity field containing an entity reference.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:29:"entity_reference_autocomplete";s:17:"default_formatter";s:22:"entity_reference_label";s:10:"list_class";s:47:"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList";s:5:"class";s:60:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EntityReferenceItem";s:8:"provider";s:4:"core";}s:16:"field_item:float";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:5:"float";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Number (float)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:70:"This field stores a number in the database in a floating point format.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:6:"number";s:17:"default_formatter";s:14:"number_decimal";s:5:"class";s:50:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\FloatItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:19:"field_item:password";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:8:"password";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Password";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"An entity field containing a password value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\PasswordItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:22:"field_item:string_long";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:11:"string_long";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Text (plain, long)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"A field containing a long string value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:15:"string_textarea";s:17:"default_formatter";s:12:"basic_string";s:5:"class";s:55:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringLongItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:18:"field_item:integer";a:13:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:0;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:7:"integer";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Number (integer)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"This field stores a number in the database as an integer.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:6:"number";s:17:"default_formatter";s:14:"number_integer";s:5:"class";s:52:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\IntegerItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:19:"field_item:language";a:14:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"General";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"no_ui";b:1;s:16:"definition_class";s:52:"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition";s:21:"list_definition_class";s:38:"\\Drupal\\Core\\Field\\BaseFieldDefinition";s:35:"unwrap_for_canonical_representation";b:0;s:2:"id";s:8:"language";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"An entity field referencing a language.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"default_widget";s:15:"language_select";s:17:"default_formatter";s:8:"language";s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:6:"Length";a:1:{s:3:"max";i:12;}}}}s:5:"class";s:53:"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\LanguageItem";s:8:"provider";s:4:"core";s:10:"list_class";s:32:"\\Drupal\\Core\\Field\\FieldItemList";}s:8:"language";a:9:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:8:"language";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"A language object.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\Core\\TypedData\\Plugin\\DataType\\Language";s:8:"provider";s:4:"core";}s:8:"timespan";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:8:"timespan";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Time span in seconds";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\Core\\TypedData\\Plugin\\DataType\\TimeSpan";s:8:"provider";s:4:"core";}s:4:"list";a:8:{s:16:"definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:4:"list";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"List of items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:8:"provider";s:4:"core";}s:6:"binary";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"binary";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Binary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\Core\\TypedData\\Plugin\\DataType\\BinaryData";s:8:"provider";s:4:"core";}s:6:"string";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:6:"string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"String";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\Core\\TypedData\\Plugin\\DataType\\StringData";s:8:"provider";s:4:"core";}s:16:"datetime_iso8601";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:16:"datetime_iso8601";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\Core\\TypedData\\Plugin\\DataType\\DateTimeIso8601";s:8:"provider";s:4:"core";}s:7:"integer";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"integer";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Integer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\Core\\TypedData\\Plugin\\DataType\\IntegerData";s:8:"provider";s:4:"core";}s:3:"any";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:3:"any";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Any data";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:41:"Drupal\\Core\\TypedData\\Plugin\\DataType\\Any";s:8:"provider";s:4:"core";}s:16:"duration_iso8601";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:16:"duration_iso8601";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Duration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\Core\\TypedData\\Plugin\\DataType\\DurationIso8601";s:8:"provider";s:4:"core";}s:5:"float";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:5:"float";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Float";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:47:"Drupal\\Core\\TypedData\\Plugin\\DataType\\FloatData";s:8:"provider";s:4:"core";}s:5:"email";a:9:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:5:"email";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:5:"Email";a:0:{}}s:5:"class";s:43:"Drupal\\Core\\TypedData\\Plugin\\DataType\\Email";s:8:"provider";s:4:"core";}s:9:"timestamp";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:9:"timestamp";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Timestamp";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:47:"Drupal\\Core\\TypedData\\Plugin\\DataType\\Timestamp";s:8:"provider";s:4:"core";}s:3:"map";a:8:{s:16:"definition_class";s:40:"\\Drupal\\Core\\TypedData\\MapDataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:3:"map";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Map";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:41:"Drupal\\Core\\TypedData\\Plugin\\DataType\\Map";s:8:"provider";s:4:"core";}s:18:"language_reference";a:8:{s:16:"definition_class";s:46:"\\Drupal\\Core\\TypedData\\DataReferenceDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:18:"language_reference";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Language reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:55:"Drupal\\Core\\TypedData\\Plugin\\DataType\\LanguageReference";s:8:"provider";s:4:"core";}s:7:"boolean";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:7:"boolean";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Boolean";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\Core\\TypedData\\Plugin\\DataType\\BooleanData";s:8:"provider";s:4:"core";}s:3:"uri";a:8:{s:16:"definition_class";s:37:"\\Drupal\\Core\\TypedData\\DataDefinition";s:10:"list_class";s:47:"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList";s:21:"list_definition_class";s:41:"\\Drupal\\Core\\TypedData\\ListDataDefinition";s:35:"unwrap_for_canonical_representation";b:1;s:2:"id";s:3:"uri";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:41:"Drupal\\Core\\TypedData\\Plugin\\DataType\\Uri";s:8:"provider";s:4:"core";}}', -1, '1681649759.909', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('user.field_storage_definitions.installed', 'a:20:{s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The user ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The user UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The user language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:75;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:18:"preferred_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Preferred language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"The user''s preferred language code for receiving emails and viewing the site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:18:"preferred_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:13:"AllowedValues";a:1:{s:8:"callback";s:60:"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes";}s:6:"Length";a:1:{s:3:"max";i:12;}}}}}s:18:"\0*\0fieldDefinition";r:105;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:24:"preferred_admin_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Preferred admin language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:68:"The user''s preferred language code for viewing administration pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";N;}}s:8:"provider";s:4:"user";s:10:"field_name";s:24:"preferred_admin_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:13:"AllowedValues";a:1:{s:8:"callback";s:60:"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes";}s:6:"Length";a:1:{s:3:"max";i:12;}}}}}s:18:"\0*\0fieldDefinition";r:141;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The name of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:11:"constraints";a:2:{s:8:"UserName";a:0:{}s:14:"UserNameUnique";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"name";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:5:"class";s:25:"\\Drupal\\user\\UserNameItem";}s:18:"\0*\0fieldDefinition";r:180;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"pass";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Password";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The password of this user (hashed).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:18:"ProtectedUserField";N;}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"pass";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:password";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:218;}s:7:"\0*\0type";s:8:"password";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The email of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:11:"constraints";a:3:{s:14:"UserMailUnique";N;s:16:"UserMailRequired";N;s:18:"ProtectedUserField";N;}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:253;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:7:"varchar";s:6:"length";i:254;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"timezone";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Timezone";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The timezone of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:8:"timezone";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:13:"AllowedValues";a:1:{s:8:"callback";s:44:"Drupal\\user\\Entity\\User::getAllowedTimezones";}}}}}s:18:"\0*\0fieldDefinition";r:289;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"User status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Whether the user is active or blocked.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:327;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the user was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:367;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the user was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:395;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"access";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Last access";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The time that the user last accessed the site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:6:"access";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:424;}s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"login";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Last login";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The time that the user last logged in.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:5:"login";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:455;}s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"init";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Initial email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The email address used for initial account creation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"init";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:486;}s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:7:"varchar";s:6:"length";i:254;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"roles";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Roles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The roles the user has.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:5:"roles";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:9:"user_role";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:518;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"user";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:554;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"user_picture";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:17:"user.user_picture";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f0a7a429-9964-450b-9517-9f8312b42f58";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:17:"user.user_picture";s:13:"\0*\0field_name";s:12:"user_picture";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:10:"\0*\0deleted";b:0;}s:18:"field_mt_full_name";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"user.field_mt_full_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e41c0ee4-3c09-4a16-8404-7c2d5b326ca0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"user.field_mt_full_name";s:13:"\0*\0field_name";s:18:"field_mt_full_name";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-7MWzSGxa_U6e1mMeAFjTJN6UA0J7OfYaBaJ7_BJCzUo";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_signature";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:13:"\0*\0originalId";s:23:"user.field_mt_signature";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"77dbe3d4-bf6e-4615-beed-10a1d41d9fb1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:12:"\0*\0isSyncing";b:0;s:5:"\0*\0id";s:23:"user.field_mt_signature";s:13:"\0*\0field_name";s:18:"field_mt_signature";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-VUfGMCYSV7JRxyh7Xtm5m_qu1_wXAEeifFJCLgyLr5M";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}}', -1, '1681649760.246', 1, '', '0'),
('variant_plugins', 'a:2:{s:10:"block_page";a:4:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Page with blocks";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:10:"block_page";s:5:"class";s:51:"Drupal\\block\\Plugin\\DisplayVariant\\BlockPageVariant";s:8:"provider";s:5:"block";}s:11:"simple_page";a:4:{s:11:"admin_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Simple page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"simple_page";s:5:"class";s:58:"Drupal\\Core\\Render\\Plugin\\DisplayVariant\\SimplePageVariant";s:8:"provider";s:4:"core";}}', -1, '1681649762.026', 1, '', '0'),
('views:access', 'a:3:{s:4:"role";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:6:"access";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Access will be granted to users with any of the specified roles.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"role";s:5:"class";s:36:"Drupal\\user\\Plugin\\views\\access\\Role";s:8:"provider";s:4:"user";}s:4:"perm";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:6:"access";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Permission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:69:"Access will be granted to users with the specified permission string.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"perm";s:5:"class";s:42:"Drupal\\user\\Plugin\\views\\access\\Permission";s:8:"provider";s:4:"user";}s:4:"none";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:6:"access";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Unrestricted";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Will be available to all users.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"none";s:5:"class";s:37:"Drupal\\views\\Plugin\\views\\access\\None";s:8:"provider";s:5:"views";}}', -1, '1681649759.766', 1, '', '0'),
('views:argument', 'a:39:{s:25:"argument_comment_user_uid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:25:"argument_comment_user_uid";s:5:"class";s:44:"Drupal\\comment\\Plugin\\views\\argument\\UserUid";s:8:"provider";s:7:"comment";}s:19:"datetime_year_month";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:19:"datetime_year_month";s:5:"class";s:51:"Drupal\\datetime\\Plugin\\views\\argument\\YearMonthDate";s:8:"provider";s:8:"datetime";}s:14:"datetime_month";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:14:"datetime_month";s:5:"class";s:47:"Drupal\\datetime\\Plugin\\views\\argument\\MonthDate";s:8:"provider";s:8:"datetime";}s:18:"datetime_full_date";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:18:"datetime_full_date";s:5:"class";s:46:"Drupal\\datetime\\Plugin\\views\\argument\\FullDate";s:8:"provider";s:8:"datetime";}s:8:"datetime";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"datetime";s:5:"class";s:42:"Drupal\\datetime\\Plugin\\views\\argument\\Date";s:8:"provider";s:8:"datetime";}s:13:"datetime_week";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:13:"datetime_week";s:5:"class";s:46:"Drupal\\datetime\\Plugin\\views\\argument\\WeekDate";s:8:"provider";s:8:"datetime";}s:12:"datetime_day";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:12:"datetime_day";s:5:"class";s:45:"Drupal\\datetime\\Plugin\\views\\argument\\DayDate";s:8:"provider";s:8:"datetime";}s:13:"datetime_year";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:13:"datetime_year";s:5:"class";s:46:"Drupal\\datetime\\Plugin\\views\\argument\\YearDate";s:8:"provider";s:8:"datetime";}s:8:"file_fid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"file_fid";s:5:"class";s:37:"Drupal\\file\\Plugin\\views\\argument\\Fid";s:8:"provider";s:4:"file";}s:8:"node_nid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"node_nid";s:5:"class";s:37:"Drupal\\node\\Plugin\\views\\argument\\Nid";s:8:"provider";s:4:"node";}s:17:"node_uid_revision";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:17:"node_uid_revision";s:5:"class";s:45:"Drupal\\node\\Plugin\\views\\argument\\UidRevision";s:8:"provider";s:4:"node";}s:8:"node_vid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"node_vid";s:5:"class";s:37:"Drupal\\node\\Plugin\\views\\argument\\Vid";s:8:"provider";s:4:"node";}s:9:"node_type";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:9:"node_type";s:5:"class";s:38:"Drupal\\node\\Plugin\\views\\argument\\Type";s:8:"provider";s:4:"node";}s:17:"number_list_field";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:17:"number_list_field";s:5:"class";s:52:"Drupal\\options\\Plugin\\views\\argument\\NumberListField";s:8:"provider";s:7:"options";}s:17:"string_list_field";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:17:"string_list_field";s:5:"class";s:52:"Drupal\\options\\Plugin\\views\\argument\\StringListField";s:8:"provider";s:7:"options";}s:6:"search";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:6:"search";s:5:"class";s:42:"Drupal\\search\\Plugin\\views\\argument\\Search";s:8:"provider";s:6:"search";}s:24:"taxonomy_index_tid_depth";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:24:"taxonomy_index_tid_depth";s:5:"class";s:51:"Drupal\\taxonomy\\Plugin\\views\\argument\\IndexTidDepth";s:8:"provider";s:8:"taxonomy";}s:8:"taxonomy";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"taxonomy";s:5:"class";s:46:"Drupal\\taxonomy\\Plugin\\views\\argument\\Taxonomy";s:8:"provider";s:8:"taxonomy";}s:14:"vocabulary_vid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:14:"vocabulary_vid";s:5:"class";s:51:"Drupal\\taxonomy\\Plugin\\views\\argument\\VocabularyVid";s:8:"provider";s:8:"taxonomy";}s:18:"taxonomy_index_tid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:18:"taxonomy_index_tid";s:5:"class";s:46:"Drupal\\taxonomy\\Plugin\\views\\argument\\IndexTid";s:8:"provider";s:8:"taxonomy";}s:33:"taxonomy_index_tid_depth_modifier";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:33:"taxonomy_index_tid_depth_modifier";s:5:"class";s:59:"Drupal\\taxonomy\\Plugin\\views\\argument\\IndexTidDepthModifier";s:8:"provider";s:8:"taxonomy";}s:8:"user_uid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"user_uid";s:5:"class";s:37:"Drupal\\user\\Plugin\\views\\argument\\Uid";s:8:"provider";s:4:"user";}s:15:"user__roles_rid";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:15:"user__roles_rid";s:5:"class";s:42:"Drupal\\user\\Plugin\\views\\argument\\RolesRid";s:8:"provider";s:4:"user";}s:7:"formula";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:7:"formula";s:5:"class";s:42:"Drupal\\views\\Plugin\\views\\argument\\Formula";s:8:"provider";s:5:"views";}s:15:"groupby_numeric";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:15:"groupby_numeric";s:5:"class";s:49:"Drupal\\views\\Plugin\\views\\argument\\GroupByNumeric";s:8:"provider";s:5:"views";}s:6:"string";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:6:"string";s:5:"class";s:49:"Drupal\\views\\Plugin\\views\\argument\\StringArgument";s:8:"provider";s:5:"views";}s:15:"date_year_month";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:15:"date_year_month";s:5:"class";s:48:"Drupal\\views\\Plugin\\views\\argument\\YearMonthDate";s:8:"provider";s:5:"views";}s:8:"standard";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"standard";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\argument\\Standard";s:8:"provider";s:5:"views";}s:4:"null";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:4:"null";s:5:"class";s:47:"Drupal\\views\\Plugin\\views\\argument\\NullArgument";s:8:"provider";s:5:"views";}s:11:"many_to_one";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:11:"many_to_one";s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\argument\\ManyToOne";s:8:"provider";s:5:"views";}s:8:"language";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"language";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument\\LanguageArgument";s:8:"provider";s:5:"views";}s:10:"date_month";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:10:"date_month";s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\argument\\MonthDate";s:8:"provider";s:5:"views";}s:7:"numeric";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:7:"numeric";s:5:"class";s:50:"Drupal\\views\\Plugin\\views\\argument\\NumericArgument";s:8:"provider";s:5:"views";}s:13:"date_fulldate";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:13:"date_fulldate";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\argument\\FullDate";s:8:"provider";s:5:"views";}s:4:"date";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:4:"date";s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\argument\\Date";s:8:"provider";s:5:"views";}s:9:"date_week";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:9:"date_week";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\argument\\WeekDate";s:8:"provider";s:5:"views";}s:8:"date_day";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:8:"date_day";s:5:"class";s:42:"Drupal\\views\\Plugin\\views\\argument\\DayDate";s:8:"provider";s:5:"views";}s:9:"date_year";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:9:"date_year";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\argument\\YearDate";s:8:"provider";s:5:"views";}s:6:"broken";a:4:{s:11:"plugin_type";s:8:"argument";s:2:"id";s:6:"broken";s:5:"class";s:41:"Drupal\\views\\Plugin\\views\\argument\\Broken";s:8:"provider";s:5:"views";}}', -1, '1681649762.153', 1, '', '0'),
('views:argument_validator', 'a:46:{s:18:"taxonomy_term_name";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Taxonomy term name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:2:"id";s:18:"taxonomy_term_name";s:11:"entity_type";s:13:"taxonomy_term";s:5:"class";s:56:"Drupal\\taxonomy\\Plugin\\views\\argument_validator\\TermName";s:8:"provider";s:8:"taxonomy";}s:9:"user_name";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"User name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:2:"id";s:9:"user_name";s:11:"entity_type";s:4:"user";s:5:"class";s:52:"Drupal\\user\\Plugin\\views\\argument_validator\\UserName";s:8:"provider";s:4:"user";}s:7:"numeric";a:8:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Numeric";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:2:"id";s:7:"numeric";s:5:"class";s:69:"Drupal\\views\\Plugin\\views\\argument_validator\\NumericArgumentValidator";s:8:"provider";s:5:"views";}s:12:"entity:block";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:12:"entity:block";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:46;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:5:"block";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:25:"entity:block_content_type";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:25:"entity:block_content_type";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:63;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:18:"block_content_type";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:20:"entity:block_content";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:20:"entity:block_content";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:80;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:13:"block_content";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:19:"entity:comment_type";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:19:"entity:comment_type";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:97;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:12:"comment_type";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:14:"entity:comment";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:14:"entity:comment";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:114;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:7:"comment";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:22:"entity:contact_message";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:22:"entity:contact_message";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:131;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:15:"contact_message";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:19:"entity:contact_form";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:19:"entity:contact_form";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:148;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:12:"contact_form";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:13:"entity:editor";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:13:"entity:editor";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text Editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:165;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:6:"editor";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:19:"entity:field_config";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:19:"entity:field_config";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:182;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:12:"field_config";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:27:"entity:field_storage_config";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:27:"entity:field_storage_config";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Field storage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:199;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:20:"field_storage_config";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:11:"entity:file";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:file";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:216;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:4:"file";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:20:"entity:filter_format";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:20:"entity:filter_format";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:233;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:13:"filter_format";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:18:"entity:image_style";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:18:"entity:image_style";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:250;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:11:"image_style";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:11:"entity:node";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:node";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:267;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:4:"node";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:16:"entity:node_type";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:16:"entity:node_type";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:284;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:9:"node_type";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:17:"entity:path_alias";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:17:"entity:path_alias";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:301;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:10:"path_alias";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:18:"entity:rdf_mapping";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:18:"entity:rdf_mapping";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"RDF mapping";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:318;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:11:"rdf_mapping";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:18:"entity:search_page";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:18:"entity:search_page";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Search page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:335;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:11:"search_page";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:19:"entity:shortcut_set";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:19:"entity:shortcut_set";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:352;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:12:"shortcut_set";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:15:"entity:shortcut";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:15:"entity:shortcut";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:369;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:8:"shortcut";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:13:"entity:action";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:13:"entity:action";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:386;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:6:"action";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:11:"entity:menu";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:menu";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:403;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:4:"menu";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:20:"entity:taxonomy_term";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:20:"entity:taxonomy_term";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:420;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:26:"entity:taxonomy_vocabulary";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:26:"entity:taxonomy_vocabulary";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Taxonomy vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:437;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:19:"taxonomy_vocabulary";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:11:"entity:tour";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:tour";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:454;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:4:"tour";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:16:"entity:user_role";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:16:"entity:user_role";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:471;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:9:"user_role";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:11:"entity:user";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:user";s:8:"provider";s:4:"user";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:4:"user";s:5:"class";s:48:"Drupal\\user\\Plugin\\views\\argument_validator\\User";}s:25:"entity:webform_submission";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:25:"entity:webform_submission";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:508;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:22:"entity:webform_options";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:22:"entity:webform_options";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:525;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:15:"webform_options";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:14:"entity:webform";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:14:"entity:webform";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:542;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:7:"webform";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:11:"entity:font";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:font";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:559;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:4:"font";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:19:"entity:font_display";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:19:"entity:font_display";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:576;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:12:"font_display";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:24:"entity:menu_link_content";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:24:"entity:menu_link_content";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:593;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:17:"menu_link_content";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:11:"entity:view";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:view";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:610;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:4:"view";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:22:"entity:paragraphs_type";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:22:"entity:paragraphs_type";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraphs type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:628;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:15:"paragraphs_type";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:16:"entity:paragraph";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:16:"entity:paragraph";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:645;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:9:"paragraph";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:23:"entity:entity_view_mode";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:23:"entity:entity_view_mode";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"View mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:662;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:16:"entity_view_mode";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:26:"entity:entity_form_display";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:26:"entity:entity_form_display";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:679;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:19:"entity_form_display";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:26:"entity:entity_view_display";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:26:"entity:entity_view_display";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity view display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:696;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:19:"entity_view_display";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:23:"entity:entity_form_mode";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:23:"entity:entity_form_mode";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Form mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:713;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:16:"entity_form_mode";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:26:"entity:base_field_override";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:26:"entity:base_field_override";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Base field override";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:730;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:19:"base_field_override";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:18:"entity:date_format";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:2:"id";s:18:"entity:date_format";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Date format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Validate @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:747;}s:10:"\0*\0options";a:0:{}}s:11:"entity_type";s:11:"date_format";s:5:"class";s:51:"Drupal\\views\\Plugin\\views\\argument_validator\\Entity";}s:4:"none";a:8:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:18:"argument_validator";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:" - Basic validation - ";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:2:"id";s:4:"none";s:5:"class";s:49:"Drupal\\views\\Plugin\\views\\argument_validator\\None";s:8:"provider";s:5:"views";}}', -1, '1681649762.159', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('views:cache', 'a:3:{s:3:"tag";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"cache";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Tag based";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:92:"Tag based caching of data. Caches will persist until any related cache tags are invalidated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:3:"tag";s:5:"class";s:35:"Drupal\\views\\Plugin\\views\\cache\\Tag";s:8:"provider";s:5:"views";}s:4:"time";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"cache";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Time-based";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Simple time-based caching of data.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"time";s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\cache\\Time";s:8:"provider";s:5:"views";}s:4:"none";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"cache";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"None";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"No caching of Views data.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"none";s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\cache\\None";s:8:"provider";s:5:"views";}}', -1, '1681650107.629', 1, '', '0'),
('views:display', 'a:8:{s:26:"entity_reference_revisions";a:14:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Entity Reference Revisions";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Entity Reference Revisions Source";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:71:"Selects referenceable entities for an entity reference revisions field.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:26:"entity_reference_revisions";s:5:"theme";s:10:"views_view";s:15:"uses_menu_links";b:0;s:34:"entity_reference_revisions_display";b:1;s:5:"class";s:79:"Drupal\\entity_reference_revisions\\Plugin\\views\\display\\EntityReferenceRevisions";s:8:"provider";s:26:"entity_reference_revisions";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}s:5:"embed";a:13:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Embed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"Provide a display which can be embedded using the views api.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:5:"embed";s:5:"theme";s:10:"views_view";s:15:"uses_menu_links";b:0;s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\display\\Embed";s:8:"provider";s:5:"views";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}s:5:"block";a:14:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Display the view as a block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:5:"block";s:5:"theme";s:10:"views_view";s:15:"uses_hook_block";b:1;s:26:"contextual_links_locations";a:1:{i:0;s:5:"block";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\display\\Block";s:8:"provider";s:5:"views";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}s:4:"page";a:15:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Display the view as a page, with a URL and menu links.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"page";s:15:"uses_menu_links";b:1;s:10:"uses_route";b:1;s:26:"contextual_links_locations";a:1:{i:0;s:4:"page";}s:5:"theme";s:10:"views_view";s:5:"class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:8:"provider";s:5:"views";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}s:7:"default";a:13:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Default";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Default settings for this view.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:7:"default";s:5:"theme";s:10:"views_view";s:5:"no_ui";b:1;s:5:"class";s:48:"Drupal\\views\\Plugin\\views\\display\\DefaultDisplay";s:8:"provider";s:5:"views";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}s:16:"entity_reference";a:14:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Entity Reference";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Entity Reference Source";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Selects referenceable entities for an entity reference field.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_reference";s:5:"theme";s:10:"views_view";s:15:"uses_menu_links";b:0;s:24:"entity_reference_display";b:1;s:5:"class";s:49:"Drupal\\views\\Plugin\\views\\display\\EntityReference";s:8:"provider";s:5:"views";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}s:4:"feed";a:13:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Feed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Feed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Display the view as a feed, such as an RSS feed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"feed";s:10:"uses_route";b:1;s:16:"returns_response";b:1;s:5:"class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:8:"provider";s:5:"views";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}s:10:"attachment";a:13:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:7:"display";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Attachment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:5:"admin";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:79:"Attachments added to other displays to achieve multiple views in the same view.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:10:"attachment";s:5:"theme";s:10:"views_view";s:26:"contextual_links_locations";a:1:{i:0;s:0:"";}s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\display\\Attachment";s:8:"provider";s:5:"views";s:16:"contextual links";a:1:{s:21:"entity.view.edit_form";a:2:{s:10:"route_name";s:21:"entity.view.edit_form";s:22:"route_parameters_names";a:1:{s:4:"view";s:2:"id";}}}}}', -1, '1681649759.693', 1, '', '0'),
('views:exposed_form', 'a:3:{s:3:"bef";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:12:"exposed_form";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Better Exposed Filters";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Provides additional options for exposed form elements.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:3:"bef";s:5:"class";s:76:"Drupal\\better_exposed_filters\\Plugin\\views\\exposed_form\\BetterExposedFilters";s:8:"provider";s:22:"better_exposed_filters";}s:5:"basic";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:12:"exposed_form";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Basic";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Basic exposed form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:5:"basic";s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\exposed_form\\Basic";s:8:"provider";s:5:"views";}s:14:"input_required";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:12:"exposed_form";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Input required";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:73:"An exposed form that only renders a view if the form contains user input.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:14:"input_required";s:5:"class";s:52:"Drupal\\views\\Plugin\\views\\exposed_form\\InputRequired";s:8:"provider";s:5:"views";}}', -1, '1681649761.924', 1, '', '0'),
('views:field', 'a:54:{s:17:"node_new_comments";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:17:"node_new_comments";s:5:"class";s:49:"Drupal\\comment\\Plugin\\views\\field\\NodeNewComments";s:8:"provider";s:7:"comment";}s:18:"comment_link_reply";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:18:"comment_link_reply";s:5:"class";s:43:"Drupal\\comment\\Plugin\\views\\field\\LinkReply";s:8:"provider";s:7:"comment";}s:22:"comment_last_timestamp";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:22:"comment_last_timestamp";s:5:"class";s:47:"Drupal\\comment\\Plugin\\views\\field\\LastTimestamp";s:8:"provider";s:7:"comment";}s:29:"comment_ces_last_comment_name";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:29:"comment_ces_last_comment_name";s:5:"class";s:59:"Drupal\\comment\\Plugin\\views\\field\\StatisticsLastCommentName";s:8:"provider";s:7:"comment";}s:24:"comment_ces_last_updated";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:24:"comment_ces_last_updated";s:5:"class";s:55:"Drupal\\comment\\Plugin\\views\\field\\StatisticsLastUpdated";s:8:"provider";s:7:"comment";}s:13:"comment_depth";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:13:"comment_depth";s:5:"class";s:39:"Drupal\\comment\\Plugin\\views\\field\\Depth";s:8:"provider";s:7:"comment";}s:19:"comment_entity_link";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:19:"comment_entity_link";s:5:"class";s:44:"Drupal\\comment\\Plugin\\views\\field\\EntityLink";s:8:"provider";s:7:"comment";}s:20:"comment_link_approve";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:20:"comment_link_approve";s:5:"class";s:45:"Drupal\\comment\\Plugin\\views\\field\\LinkApprove";s:8:"provider";s:7:"comment";}s:16:"commented_entity";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:16:"commented_entity";s:5:"class";s:49:"Drupal\\comment\\Plugin\\views\\field\\CommentedEntity";s:8:"provider";s:7:"comment";}s:17:"comment_bulk_form";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:17:"comment_bulk_form";s:5:"class";s:49:"Drupal\\comment\\Plugin\\views\\field\\CommentBulkForm";s:8:"provider";s:7:"comment";}s:12:"contact_link";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:12:"contact_link";s:5:"class";s:45:"Drupal\\contact\\Plugin\\views\\field\\ContactLink";s:8:"provider";s:7:"contact";}s:16:"contextual_links";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:16:"contextual_links";s:5:"class";s:52:"Drupal\\contextual\\Plugin\\views\\field\\ContextualLinks";s:8:"provider";s:10:"contextual";}s:16:"dblog_operations";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:16:"dblog_operations";s:5:"class";s:47:"Drupal\\dblog\\Plugin\\views\\field\\DblogOperations";s:8:"provider";s:5:"dblog";}s:13:"dblog_message";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:13:"dblog_message";s:5:"class";s:44:"Drupal\\dblog\\Plugin\\views\\field\\DblogMessage";s:8:"provider";s:5:"dblog";}s:4:"file";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:4:"file";s:5:"class";s:35:"Drupal\\file\\Plugin\\views\\field\\File";s:8:"provider";s:4:"file";}s:22:"history_user_timestamp";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:22:"history_user_timestamp";s:5:"class";s:54:"Drupal\\history\\Plugin\\views\\field\\HistoryUserTimestamp";s:8:"provider";s:7:"history";}s:4:"node";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:4:"node";s:5:"class";s:35:"Drupal\\node\\Plugin\\views\\field\\Node";s:8:"provider";s:4:"node";}s:18:"node_revision_link";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:18:"node_revision_link";s:5:"class";s:43:"Drupal\\node\\Plugin\\views\\field\\RevisionLink";s:8:"provider";s:4:"node";}s:25:"node_revision_link_revert";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:25:"node_revision_link_revert";s:5:"class";s:49:"Drupal\\node\\Plugin\\views\\field\\RevisionLinkRevert";s:8:"provider";s:4:"node";}s:14:"node_bulk_form";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:14:"node_bulk_form";s:5:"class";s:43:"Drupal\\node\\Plugin\\views\\field\\NodeBulkForm";s:8:"provider";s:4:"node";}s:25:"node_revision_link_delete";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:25:"node_revision_link_delete";s:5:"class";s:49:"Drupal\\node\\Plugin\\views\\field\\RevisionLinkDelete";s:8:"provider";s:4:"node";}s:12:"search_score";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:12:"search_score";s:5:"class";s:38:"Drupal\\search\\Plugin\\views\\field\\Score";s:8:"provider";s:6:"search";}s:22:"node_counter_timestamp";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:22:"node_counter_timestamp";s:5:"class";s:57:"Drupal\\statistics\\Plugin\\views\\field\\NodeCounterTimestamp";s:8:"provider";s:10:"statistics";}s:18:"statistics_numeric";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:18:"statistics_numeric";s:5:"class";s:54:"Drupal\\statistics\\Plugin\\views\\field\\StatisticsNumeric";s:8:"provider";s:10:"statistics";}s:9:"term_name";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:9:"term_name";s:5:"class";s:43:"Drupal\\taxonomy\\Plugin\\views\\field\\TermName";s:8:"provider";s:8:"taxonomy";}s:18:"taxonomy_index_tid";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:18:"taxonomy_index_tid";s:5:"class";s:51:"Drupal\\taxonomy\\Plugin\\views\\field\\TaxonomyIndexTid";s:8:"provider";s:8:"taxonomy";}s:9:"user_data";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:9:"user_data";s:5:"class";s:39:"Drupal\\user\\Plugin\\views\\field\\UserData";s:8:"provider";s:4:"user";}s:14:"user_bulk_form";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:14:"user_bulk_form";s:5:"class";s:43:"Drupal\\user\\Plugin\\views\\field\\UserBulkForm";s:8:"provider";s:4:"user";}s:10:"user_roles";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:10:"user_roles";s:5:"class";s:36:"Drupal\\user\\Plugin\\views\\field\\Roles";s:8:"provider";s:4:"user";}s:16:"user_permissions";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:16:"user_permissions";s:5:"class";s:42:"Drupal\\user\\Plugin\\views\\field\\Permissions";s:8:"provider";s:4:"user";}s:28:"webform_submission_bulk_form";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:28:"webform_submission_bulk_form";s:5:"class";s:59:"Drupal\\webform\\Plugin\\views\\field\\WebformSubmissionBulkForm";s:8:"provider";s:7:"webform";}s:12:"entity_label";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:12:"entity_label";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\field\\EntityLabel";s:8:"provider";s:5:"views";}s:9:"bulk_form";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:9:"bulk_form";s:5:"class";s:40:"Drupal\\views\\Plugin\\views\\field\\BulkForm";s:8:"provider";s:5:"views";}s:13:"time_interval";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:13:"time_interval";s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\field\\TimeInterval";s:8:"provider";s:5:"views";}s:10:"serialized";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:10:"serialized";s:5:"class";s:42:"Drupal\\views\\Plugin\\views\\field\\Serialized";s:8:"provider";s:5:"views";}s:7:"numeric";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:7:"numeric";s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\field\\NumericField";s:8:"provider";s:5:"views";}s:10:"dropbutton";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:10:"dropbutton";s:5:"class";s:42:"Drupal\\views\\Plugin\\views\\field\\Dropbutton";s:8:"provider";s:5:"views";}s:8:"standard";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:8:"standard";s:5:"class";s:40:"Drupal\\views\\Plugin\\views\\field\\Standard";s:8:"provider";s:5:"views";}s:16:"entity_link_edit";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:16:"entity_link_edit";s:5:"class";s:46:"Drupal\\views\\Plugin\\views\\field\\EntityLinkEdit";s:8:"provider";s:5:"views";}s:6:"markup";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:6:"markup";s:5:"class";s:38:"Drupal\\views\\Plugin\\views\\field\\Markup";s:8:"provider";s:5:"views";}s:7:"boolean";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:7:"boolean";s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\field\\Boolean";s:8:"provider";s:5:"views";}s:3:"url";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:3:"url";s:5:"class";s:35:"Drupal\\views\\Plugin\\views\\field\\Url";s:8:"provider";s:5:"views";}s:15:"rendered_entity";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:15:"rendered_entity";s:5:"class";s:46:"Drupal\\views\\Plugin\\views\\field\\RenderedEntity";s:8:"provider";s:5:"views";}s:18:"entity_link_delete";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:18:"entity_link_delete";s:5:"class";s:48:"Drupal\\views\\Plugin\\views\\field\\EntityLinkDelete";s:8:"provider";s:5:"views";}s:17:"entity_operations";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:17:"entity_operations";s:5:"class";s:48:"Drupal\\views\\Plugin\\views\\field\\EntityOperations";s:8:"provider";s:5:"views";}s:5:"field";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:5:"field";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\field\\EntityField";s:8:"provider";s:5:"views";}s:6:"custom";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:6:"custom";s:5:"class";s:38:"Drupal\\views\\Plugin\\views\\field\\Custom";s:8:"provider";s:5:"views";}s:8:"language";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:8:"language";s:5:"class";s:45:"Drupal\\views\\Plugin\\views\\field\\LanguageField";s:8:"provider";s:5:"views";}s:11:"entity_link";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:11:"entity_link";s:5:"class";s:42:"Drupal\\views\\Plugin\\views\\field\\EntityLink";s:8:"provider";s:5:"views";}s:4:"date";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:4:"date";s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\field\\Date";s:8:"provider";s:5:"views";}s:7:"counter";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:7:"counter";s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\field\\Counter";s:8:"provider";s:5:"views";}s:12:"machine_name";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:12:"machine_name";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\field\\MachineName";s:8:"provider";s:5:"views";}s:9:"file_size";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:9:"file_size";s:5:"class";s:40:"Drupal\\views\\Plugin\\views\\field\\FileSize";s:8:"provider";s:5:"views";}s:6:"broken";a:4:{s:11:"plugin_type";s:5:"field";s:2:"id";s:6:"broken";s:5:"class";s:38:"Drupal\\views\\Plugin\\views\\field\\Broken";s:8:"provider";s:5:"views";}}', -1, '1681650107.574', 1, '', '0'),
('views:filter', 'a:37:{s:12:"node_comment";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:12:"node_comment";s:5:"class";s:46:"Drupal\\comment\\Plugin\\views\\filter\\NodeComment";s:8:"provider";s:7:"comment";}s:24:"comment_ces_last_updated";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:24:"comment_ces_last_updated";s:5:"class";s:56:"Drupal\\comment\\Plugin\\views\\filter\\StatisticsLastUpdated";s:8:"provider";s:7:"comment";}s:16:"comment_user_uid";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:16:"comment_user_uid";s:5:"class";s:42:"Drupal\\comment\\Plugin\\views\\filter\\UserUid";s:8:"provider";s:7:"comment";}s:8:"datetime";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:8:"datetime";s:5:"class";s:40:"Drupal\\datetime\\Plugin\\views\\filter\\Date";s:8:"provider";s:8:"datetime";}s:11:"dblog_types";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:11:"dblog_types";s:5:"class";s:43:"Drupal\\dblog\\Plugin\\views\\filter\\DblogTypes";s:8:"provider";s:5:"dblog";}s:11:"file_status";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:11:"file_status";s:5:"class";s:38:"Drupal\\file\\Plugin\\views\\filter\\Status";s:8:"provider";s:4:"file";}s:22:"history_user_timestamp";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:22:"history_user_timestamp";s:5:"class";s:55:"Drupal\\history\\Plugin\\views\\filter\\HistoryUserTimestamp";s:8:"provider";s:7:"history";}s:11:"node_access";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:11:"node_access";s:5:"class";s:38:"Drupal\\node\\Plugin\\views\\filter\\Access";s:8:"provider";s:4:"node";}s:11:"node_status";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:11:"node_status";s:5:"class";s:38:"Drupal\\node\\Plugin\\views\\filter\\Status";s:8:"provider";s:4:"node";}s:17:"node_uid_revision";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:17:"node_uid_revision";s:5:"class";s:43:"Drupal\\node\\Plugin\\views\\filter\\UidRevision";s:8:"provider";s:4:"node";}s:10:"list_field";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:10:"list_field";s:5:"class";s:44:"Drupal\\options\\Plugin\\views\\filter\\ListField";s:8:"provider";s:7:"options";}s:15:"search_keywords";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:15:"search_keywords";s:5:"class";s:40:"Drupal\\search\\Plugin\\views\\filter\\Search";s:8:"provider";s:6:"search";}s:18:"taxonomy_index_tid";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:18:"taxonomy_index_tid";s:5:"class";s:52:"Drupal\\taxonomy\\Plugin\\views\\filter\\TaxonomyIndexTid";s:8:"provider";s:8:"taxonomy";}s:24:"taxonomy_index_tid_depth";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:24:"taxonomy_index_tid_depth";s:5:"class";s:57:"Drupal\\taxonomy\\Plugin\\views\\filter\\TaxonomyIndexTidDepth";s:8:"provider";s:8:"taxonomy";}s:10:"user_roles";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:10:"user_roles";s:5:"class";s:37:"Drupal\\user\\Plugin\\views\\filter\\Roles";s:8:"provider";s:4:"user";}s:16:"user_permissions";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:16:"user_permissions";s:5:"class";s:43:"Drupal\\user\\Plugin\\views\\filter\\Permissions";s:8:"provider";s:4:"user";}s:12:"user_current";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:12:"user_current";s:5:"class";s:39:"Drupal\\user\\Plugin\\views\\filter\\Current";s:8:"provider";s:4:"user";}s:9:"user_name";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:9:"user_name";s:5:"class";s:36:"Drupal\\user\\Plugin\\views\\filter\\Name";s:8:"provider";s:4:"user";}s:24:"fontyourface_font_weight";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:24:"fontyourface_font_weight";s:5:"class";s:64:"Drupal\\fontyourface\\Plugin\\views\\filter\\FontYourFaceWeightFilter";s:8:"provider";s:12:"fontyourface";}s:23:"fontyourface_font_style";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:23:"fontyourface_font_style";s:5:"class";s:63:"Drupal\\fontyourface\\Plugin\\views\\filter\\FontYourFaceStyleFilter";s:8:"provider";s:12:"fontyourface";}s:21:"fontyourface_font_pid";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:21:"fontyourface_font_pid";s:5:"class";s:66:"Drupal\\fontyourface\\Plugin\\views\\filter\\FontYourFaceProviderFilter";s:8:"provider";s:12:"fontyourface";}s:15:"latest_revision";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:15:"latest_revision";s:5:"class";s:47:"Drupal\\views\\Plugin\\views\\filter\\LatestRevision";s:8:"provider";s:5:"views";}s:8:"equality";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:8:"equality";s:5:"class";s:41:"Drupal\\views\\Plugin\\views\\filter\\Equality";s:8:"provider";s:5:"views";}s:15:"groupby_numeric";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:15:"groupby_numeric";s:5:"class";s:47:"Drupal\\views\\Plugin\\views\\filter\\GroupByNumeric";s:8:"provider";s:5:"views";}s:11:"in_operator";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:11:"in_operator";s:5:"class";s:43:"Drupal\\views\\Plugin\\views\\filter\\InOperator";s:8:"provider";s:5:"views";}s:8:"standard";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:8:"standard";s:5:"class";s:41:"Drupal\\views\\Plugin\\views\\filter\\Standard";s:8:"provider";s:5:"views";}s:6:"bundle";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:6:"bundle";s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\filter\\Bundle";s:8:"provider";s:5:"views";}s:8:"language";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:8:"language";s:5:"class";s:47:"Drupal\\views\\Plugin\\views\\filter\\LanguageFilter";s:8:"provider";s:5:"views";}s:7:"boolean";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:7:"boolean";s:5:"class";s:48:"Drupal\\views\\Plugin\\views\\filter\\BooleanOperator";s:8:"provider";s:5:"views";}s:6:"string";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:6:"string";s:5:"class";s:45:"Drupal\\views\\Plugin\\views\\filter\\StringFilter";s:8:"provider";s:5:"views";}s:11:"many_to_one";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:11:"many_to_one";s:5:"class";s:42:"Drupal\\views\\Plugin\\views\\filter\\ManyToOne";s:8:"provider";s:5:"views";}s:36:"latest_translation_affected_revision";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:36:"latest_translation_affected_revision";s:5:"class";s:66:"Drupal\\views\\Plugin\\views\\filter\\LatestTranslationAffectedRevision";s:8:"provider";s:5:"views";}s:7:"numeric";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:7:"numeric";s:5:"class";s:46:"Drupal\\views\\Plugin\\views\\filter\\NumericFilter";s:8:"provider";s:5:"views";}s:7:"combine";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:7:"combine";s:5:"class";s:40:"Drupal\\views\\Plugin\\views\\filter\\Combine";s:8:"provider";s:5:"views";}s:4:"date";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:4:"date";s:5:"class";s:37:"Drupal\\views\\Plugin\\views\\filter\\Date";s:8:"provider";s:5:"views";}s:14:"boolean_string";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:14:"boolean_string";s:5:"class";s:54:"Drupal\\views\\Plugin\\views\\filter\\BooleanOperatorString";s:8:"provider";s:5:"views";}s:6:"broken";a:4:{s:11:"plugin_type";s:6:"filter";s:2:"id";s:6:"broken";s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\filter\\Broken";s:8:"provider";s:5:"views";}}', -1, '1681650107.612', 1, '', '0'),
('views:pager', 'a:4:{s:4:"full";a:10:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"pager";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Paged output, full pager";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Full";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Paged output, full Drupal style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"full";s:5:"theme";s:5:"pager";s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\pager\\Full";s:8:"provider";s:5:"views";}s:4:"some";a:10:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"pager";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Display a specified number of items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Display a limited number items that this view might find.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"some";s:13:"display_types";a:1:{i:0;s:5:"basic";}s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\pager\\Some";s:8:"provider";s:5:"views";}s:4:"none";a:10:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"pager";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Display all items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Display all items that this view might find.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"none";s:13:"display_types";a:1:{i:0;s:5:"basic";}s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\pager\\None";s:8:"provider";s:5:"views";}s:4:"mini";a:10:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"pager";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Paged output, mini pager";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Mini";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"A simple pager containing previous and next links.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"mini";s:5:"theme";s:16:"views_mini_pager";s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\pager\\Mini";s:8:"provider";s:5:"views";}}', -1, '1681649761.424', 1, '', '0'),
('views:query', 'a:1:{s:11:"views_query";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"query";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"SQL Query";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Query will be generated and run using the Drupal database API.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"views_query";s:5:"class";s:35:"Drupal\\views\\Plugin\\views\\query\\Sql";s:8:"provider";s:5:"views";}}', -1, '1681650107.620', 1, '', '0'),
('views:row', 'a:17:{s:11:"comment_rss";a:12:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Display the comment as RSS.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"comment_rss";s:5:"theme";s:18:"views_view_row_rss";s:4:"base";a:1:{i:0;s:18:"comment_field_data";}s:13:"display_types";a:1:{i:0;s:4:"feed";}s:5:"class";s:35:"Drupal\\comment\\Plugin\\views\\row\\Rss";s:8:"provider";s:7:"comment";}s:26:"entity_reference_revisions";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Entity Reference inline fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Displays the fields with an optional template.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:26:"entity_reference_revisions";s:5:"theme";s:17:"views_view_fields";s:13:"display_types";a:1:{i:0;s:16:"entity_reference";}s:5:"class";s:75:"Drupal\\entity_reference_revisions\\Plugin\\views\\row\\EntityReferenceRevisions";s:8:"provider";s:26:"entity_reference_revisions";}s:8:"node_rss";a:12:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Display the content with standard node view.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:8:"node_rss";s:5:"theme";s:18:"views_view_row_rss";s:4:"base";a:1:{i:0;s:15:"node_field_data";}s:13:"display_types";a:1:{i:0;s:4:"feed";}s:5:"class";s:32:"Drupal\\node\\Plugin\\views\\row\\Rss";s:8:"provider";s:4:"node";}s:11:"entity:node";a:12:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:node";s:5:"class";s:36:"Drupal\\node\\Plugin\\views\\row\\NodeRow";s:8:"provider";s:4:"node";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:70;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:15:"node_field_data";}s:11:"entity_type";s:4:"node";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:11:"short_title";s:0:"";}s:11:"search_view";a:9:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Search results";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provides a row plugin to display search results.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"search_view";s:5:"class";s:40:"Drupal\\search\\Plugin\\views\\row\\SearchRow";s:8:"provider";s:6:"search";}s:11:"entity:user";a:12:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:user";s:5:"class";s:36:"Drupal\\user\\Plugin\\views\\row\\UserRow";s:8:"provider";s:4:"user";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:108;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:16:"users_field_data";}s:11:"entity_type";s:4:"user";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:11:"short_title";s:0:"";}s:20:"entity:block_content";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:20:"entity:block_content";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:129;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:24:"block_content_field_data";}s:11:"entity_type";s:13:"block_content";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\EntityRow";}s:14:"entity:comment";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:14:"entity:comment";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:150;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:18:"comment_field_data";}s:11:"entity_type";s:7:"comment";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\EntityRow";}s:11:"entity:file";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:file";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:171;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:12:"file_managed";}s:11:"entity_type";s:4:"file";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\EntityRow";}s:20:"entity:taxonomy_term";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:20:"entity:taxonomy_term";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:192;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:24:"taxonomy_term_field_data";}s:11:"entity_type";s:13:"taxonomy_term";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\EntityRow";}s:25:"entity:webform_submission";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:25:"entity:webform_submission";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:213;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:18:"webform_submission";}s:11:"entity_type";s:18:"webform_submission";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\EntityRow";}s:11:"entity:font";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:11:"entity:font";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:234;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:17:"fontyourface_font";}s:11:"entity_type";s:4:"font";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\EntityRow";}s:16:"entity:paragraph";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:2:"id";s:16:"entity:paragraph";s:8:"provider";s:5:"views";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Display the @label";s:12:"\0*\0arguments";a:1:{s:6:"@label";r:255;}s:10:"\0*\0options";a:0:{}}s:4:"base";a:1:{i:0;s:26:"paragraphs_item_field_data";}s:11:"entity_type";s:9:"paragraph";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\EntityRow";}s:11:"opml_fields";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"OPML fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Display fields as OPML items.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:11:"opml_fields";s:5:"theme";s:19:"views_view_row_opml";s:13:"display_types";a:1:{i:0;s:4:"feed";}s:5:"class";s:40:"Drupal\\views\\Plugin\\views\\row\\OpmlFields";s:8:"provider";s:5:"views";}s:16:"entity_reference";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"Entity Reference inline fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Displays the fields with an optional template.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_reference";s:5:"theme";s:17:"views_view_fields";s:13:"display_types";a:1:{i:0;s:16:"entity_reference";}s:5:"class";s:45:"Drupal\\views\\Plugin\\views\\row\\EntityReference";s:8:"provider";s:5:"views";}s:10:"rss_fields";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Display fields as RSS items.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:10:"rss_fields";s:5:"theme";s:18:"views_view_row_rss";s:13:"display_types";a:1:{i:0;s:4:"feed";}s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\row\\RssFields";s:8:"provider";s:5:"views";}s:6:"fields";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:3:"row";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Fields";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Displays the fields with an optional template.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:6:"fields";s:5:"theme";s:17:"views_view_fields";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\row\\Fields";s:8:"provider";s:5:"views";}}', -1, '1681649761.917', 1, '', '0'),
('views:sort', 'a:10:{s:29:"comment_ces_last_comment_name";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:29:"comment_ces_last_comment_name";s:5:"class";s:58:"Drupal\\comment\\Plugin\\views\\sort\\StatisticsLastCommentName";s:8:"provider";s:7:"comment";}s:24:"comment_ces_last_updated";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:24:"comment_ces_last_updated";s:5:"class";s:54:"Drupal\\comment\\Plugin\\views\\sort\\StatisticsLastUpdated";s:8:"provider";s:7:"comment";}s:14:"comment_thread";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:14:"comment_thread";s:5:"class";s:39:"Drupal\\comment\\Plugin\\views\\sort\\Thread";s:8:"provider";s:7:"comment";}s:8:"datetime";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:8:"datetime";s:5:"class";s:38:"Drupal\\datetime\\Plugin\\views\\sort\\Date";s:8:"provider";s:8:"datetime";}s:12:"search_score";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:12:"search_score";s:5:"class";s:37:"Drupal\\search\\Plugin\\views\\sort\\Score";s:8:"provider";s:6:"search";}s:15:"groupby_numeric";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:15:"groupby_numeric";s:5:"class";s:45:"Drupal\\views\\Plugin\\views\\sort\\GroupByNumeric";s:8:"provider";s:5:"views";}s:8:"standard";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:8:"standard";s:5:"class";s:39:"Drupal\\views\\Plugin\\views\\sort\\Standard";s:8:"provider";s:5:"views";}s:4:"date";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:4:"date";s:5:"class";s:35:"Drupal\\views\\Plugin\\views\\sort\\Date";s:8:"provider";s:5:"views";}s:6:"random";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:6:"random";s:5:"class";s:37:"Drupal\\views\\Plugin\\views\\sort\\Random";s:8:"provider";s:5:"views";}s:6:"broken";a:4:{s:11:"plugin_type";s:4:"sort";s:2:"id";s:6:"broken";s:5:"class";s:37:"Drupal\\views\\Plugin\\views\\sort\\Broken";s:8:"provider";s:5:"views";}}', -1, '1681650107.604', 1, '', '0'),
('views:style', 'a:11:{s:26:"entity_reference_revisions";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"Entity Reference Revisions list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Returns results as a PHP array of labels and rendered rows.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:26:"entity_reference_revisions";s:5:"theme";s:22:"views_view_unformatted";s:13:"display_types";a:1:{i:0;s:26:"entity_reference_revisions";}s:5:"class";s:77:"Drupal\\entity_reference_revisions\\Plugin\\views\\style\\EntityReferenceRevisions";s:8:"provider";s:26:"entity_reference_revisions";}s:25:"fullcalendar_view_display";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Full Calendar Display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Render contents in Full Calendar view.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:25:"fullcalendar_view_display";s:5:"theme";s:23:"views_view_fullcalendar";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:63:"Drupal\\fullcalendar_view\\Plugin\\views\\style\\FullCalendarDisplay";s:8:"provider";s:17:"fullcalendar_view";}s:4:"grid";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Grid";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Displays rows in a grid.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"grid";s:5:"theme";s:15:"views_view_grid";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\style\\Grid";s:8:"provider";s:5:"views";}s:15:"default_summary";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Displays the default summary as a list.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:15:"default_summary";s:5:"theme";s:18:"views_view_summary";s:13:"display_types";a:1:{i:0;s:7:"summary";}s:5:"class";s:46:"Drupal\\views\\Plugin\\views\\style\\DefaultSummary";s:8:"provider";s:5:"views";}s:7:"default";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Unformatted list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"Displays rows one after another.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:7:"default";s:5:"theme";s:22:"views_view_unformatted";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:44:"Drupal\\views\\Plugin\\views\\style\\DefaultStyle";s:8:"provider";s:5:"views";}s:4:"opml";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"OPML Feed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Generates an OPML feed from a view.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:4:"opml";s:5:"theme";s:15:"views_view_opml";s:13:"display_types";a:1:{i:0;s:4:"feed";}s:5:"class";s:36:"Drupal\\views\\Plugin\\views\\style\\Opml";s:8:"provider";s:5:"views";}s:3:"rss";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"RSS Feed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Generates an RSS feed from a view.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:3:"rss";s:5:"theme";s:14:"views_view_rss";s:13:"display_types";a:1:{i:0;s:4:"feed";}s:5:"class";s:35:"Drupal\\views\\Plugin\\views\\style\\Rss";s:8:"provider";s:5:"views";}s:5:"table";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Table";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Displays rows in a table.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:5:"table";s:5:"theme";s:16:"views_view_table";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:37:"Drupal\\views\\Plugin\\views\\style\\Table";s:8:"provider";s:5:"views";}s:9:"html_list";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"HTML List";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Displays rows as HTML list.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:9:"html_list";s:5:"theme";s:15:"views_view_list";s:13:"display_types";a:1:{i:0;s:6:"normal";}s:5:"class";s:40:"Drupal\\views\\Plugin\\views\\style\\HtmlList";s:8:"provider";s:5:"views";}s:19:"unformatted_summary";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:1;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Unformatted";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Displays the summary unformatted, with option for one after another or inline.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:19:"unformatted_summary";s:5:"theme";s:30:"views_view_summary_unformatted";s:13:"display_types";a:1:{i:0;s:7:"summary";}s:5:"class";s:50:"Drupal\\views\\Plugin\\views\\style\\UnformattedSummary";s:8:"provider";s:5:"views";}s:16:"entity_reference";a:11:{s:6:"parent";s:6:"parent";s:11:"plugin_type";s:5:"style";s:14:"register_theme";b:0;s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Entity Reference list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"short_title";s:0:"";s:4:"help";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Returns results as a PHP array of labels and rendered rows.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:2:"id";s:16:"entity_reference";s:5:"theme";s:22:"views_view_unformatted";s:13:"display_types";a:1:{i:0;s:16:"entity_reference";}s:5:"class";s:47:"Drupal\\views\\Plugin\\views\\style\\EntityReference";s:8:"provider";s:5:"views";}}', -1, '1681649761.922', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('webform_element_plugins', 'a:83:{s:17:"webform_table_row";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Provides an element to render a table row.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:1;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:17:"webform_table_row";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Table row";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:52:"Drupal\\webform\\Plugin\\WebformElement\\WebformTableRow";s:8:"provider";s:7:"webform";}s:18:"webform_table_sort";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"Provides a form element for a table of values that can be sorted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:18:"webform_table_sort";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Table sort";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\webform\\Plugin\\WebformElement\\WebformTableSort";s:8:"provider";s:7:"webform";}s:20:"webform_radios_other";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"Provides a form element for a set of radio buttons, with the ability to enter a custom value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:20:"webform_radios_other";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Radios other";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:55:"Drupal\\webform\\Plugin\\WebformElement\\WebformRadiosOther";s:8:"provider";s:7:"webform";}s:6:"select";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Provides a form element for a drop-down menu or scrolling selection box.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:6:"select";s:3:"api";s:93:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Select.php/class/Select";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Select";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformElement\\Select";s:8:"provider";s:7:"webform";}s:6:"radios";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Provides a form element for a set of radio buttons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:6:"radios";s:3:"api";s:93:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Radios.php/class/Radios";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Radios";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformElement\\Radios";s:8:"provider";s:7:"webform";}s:20:"webform_select_other";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:114:"Provides a form element for a drop-down menu or scrolling selection box, with the ability to enter a custom value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:20:"webform_select_other";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Select other";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:55:"Drupal\\webform\\Plugin\\WebformElement\\WebformSelectOther";s:8:"provider";s:7:"webform";}s:5:"range";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:85:"Provides a form element for input of a number within a specific range using a slider.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:5:"range";s:3:"api";s:91:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Range.php/class/Range";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Range";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\webform\\Plugin\\WebformElement\\Range";s:8:"provider";s:7:"webform";}s:8:"textarea";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Basic elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:56:"Provides a form element for input of multiple-line text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:8:"textarea";s:3:"api";s:97:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Textarea.php/class/Textarea";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Textarea";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:45:"Drupal\\webform\\Plugin\\WebformElement\\Textarea";s:8:"provider";s:7:"webform";}s:17:"webform_signature";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:182:"Provides a form element to collect electronic signatures from users. Signature support is provided by the <a href="https://github.com/szimek/signature_pad">Signature Pad</a> library.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:17:"webform_signature";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Signature";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\webform\\Plugin\\WebformElement\\WebformSignature";s:8:"provider";s:7:"webform";}s:12:"webform_time";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Date/time elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Provides a form element for time selection.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:12:"webform_time";s:3:"api";s:62:"https://developer.mozilla.org/en-US/docs/Web/HTML/Element/time";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\WebformTime";s:8:"provider";s:7:"webform";}s:11:"text_format";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Provides a text format form element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:11:"text_format";s:3:"api";s:97:"https://api.drupal.org/api/drupal/core!modules!filter!src!Element!TextFormat.php/class/TextFormat";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:47:"Drupal\\webform\\Plugin\\WebformElement\\TextFormat";s:8:"provider";s:7:"webform";}s:14:"webform_markup";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:6:"markup";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provides an element to render basic HTML markup.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:14:"webform_markup";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Basic HTML";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:50:"Drupal\\webform\\Plugin\\WebformElement\\WebformMarkup";s:8:"provider";s:7:"webform";}s:23:"webform_location_places";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Composite elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:127:"Provides a form element to collect valid location information (address, longitude, latitude, geolocation) using Algolia Places.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:23:"webform_location_places";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Location (Algolia Places)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\webform\\Plugin\\WebformElement\\WebformLocationPlaces";s:8:"provider";s:7:"webform";}s:21:"webform_computed_twig";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Computed Elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Provides an item to display computed webform submission values using Twig.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:21:"webform_computed_twig";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Computed Twig";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformElement\\WebformComputedTwig";s:8:"provider";s:7:"webform";}s:11:"tableselect";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Provides a form element for a table with radios or checkboxes in left column.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:11:"tableselect";s:3:"api";s:103:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Tableselect.php/class/Tableselect";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Table select";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\TableSelect";s:8:"provider";s:7:"webform";}s:18:"webform_audio_file";a:14:{s:12:"dependencies";a:1:{i:0;s:4:"file";}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"File upload elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"Provides a form element for uploading and saving an audio file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:18:"webform_audio_file";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Audio file";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\webform\\Plugin\\WebformElement\\WebformAudioFile";s:8:"provider";s:7:"webform";}s:19:"webform_term_select";a:14:{s:12:"dependencies";a:1:{i:0;s:8:"taxonomy";}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Entity reference elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:130:"Provides a form element to select a single or multiple terms displayed as hierarchical tree or as breadcrumbs using a select menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:19:"webform_term_select";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Term select";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:54:"Drupal\\webform\\Plugin\\WebformElement\\WebformTermSelect";s:8:"provider";s:7:"webform";}s:25:"webform_entity_checkboxes";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Entity reference elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Provides a form element to select multiple entity references using checkboxes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:25:"webform_entity_checkboxes";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Entity checkboxes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:60:"Drupal\\webform\\Plugin\\WebformElement\\WebformEntityCheckboxes";s:8:"provider";s:7:"webform";}s:14:"webform_rating";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:175:"Provides a form element to rate something using an attractive voting widget. Rating widget is provided by the <a href="https://github.com/gjunge/rateit.js">RateIt</a> library.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:14:"webform_rating";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Rating";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:50:"Drupal\\webform\\Plugin\\WebformElement\\WebformRating";s:8:"provider";s:7:"webform";}s:14:"webform_likert";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:148:"Provides a form element where users can respond to multiple questions using a <a href="https://en.wikipedia.org/wiki/Likert_scale">Likert</a> scale.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:14:"webform_likert";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Likert";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:50:"Drupal\\webform\\Plugin\\WebformElement\\WebformLikert";s:8:"provider";s:7:"webform";}s:5:"label";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Provides an element for displaying the label for a form element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:5:"label";s:3:"api";s:91:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Label.php/class/Label";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Label";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\webform\\Plugin\\WebformElement\\Label";s:8:"provider";s:7:"webform";}s:8:"datetime";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Date/time elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Provides a form element for date & time selection.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:8:"datetime";s:3:"api";s:99:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Datetime!Element!Datetime.php/class/Datetime";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Date/time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:45:"Drupal\\webform\\Plugin\\WebformElement\\DateTime";s:8:"provider";s:7:"webform";}s:18:"webform_image_file";a:14:{s:12:"dependencies";a:1:{i:0;s:4:"file";}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"File upload elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"Provides a form element for uploading and saving an image file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:18:"webform_image_file";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Image file";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\webform\\Plugin\\WebformElement\\WebformImageFile";s:8:"provider";s:7:"webform";}s:12:"webform_more";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Provides a more slideout element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:12:"webform_more";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"More";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\WebformMore";s:8:"provider";s:7:"webform";}s:5:"color";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Provides a form element for choosing a color.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:5:"color";s:3:"api";s:91:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Color.php/class/Color";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Color";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\webform\\Plugin\\WebformElement\\Color";s:8:"provider";s:7:"webform";}s:24:"webform_terms_of_service";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:16:"terms_of_service";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Provides a terms of service element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:24:"webform_terms_of_service";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Terms of service";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\webform\\Plugin\\WebformElement\\WebformTermsOfService";s:8:"provider";s:7:"webform";}s:24:"webform_custom_composite";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Composite elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Provides a form element to create custom composites using a grid/table layout.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:24:"webform_custom_composite";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom composite";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:59:"Drupal\\webform\\Plugin\\WebformElement\\WebformCustomComposite";s:8:"provider";s:7:"webform";}s:24:"webform_tableselect_sort";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:96:"Provides a form element for a table with radios or checkboxes in left column that can be sorted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:24:"webform_tableselect_sort";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Tableselect sort";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:59:"Drupal\\webform\\Plugin\\WebformElement\\WebformTableSelectSort";s:8:"provider";s:7:"webform";}s:5:"value";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"Provides a form element for storage of internal information.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:5:"value";s:3:"api";s:91:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Value.php/class/Value";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Value";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\webform\\Plugin\\WebformElement\\Value";s:8:"provider";s:7:"webform";}s:15:"webform_contact";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Composite elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:85:"Provides a form element to collect contact information (name, address, phone, email).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_contact";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Contact";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformContact";s:8:"provider";s:7:"webform";}s:13:"vertical_tabs";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"Provides a vertical tabs element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:1;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:13:"vertical_tabs";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Vertical tabs";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\webform\\Plugin\\WebformElement\\VerticalTabs";s:8:"provider";s:7:"webform";}s:5:"table";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";s:0:"";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Provides an element to render a table.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:1;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:5:"table";s:3:"api";s:91:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Table.php/class/Table";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Table";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\webform\\Plugin\\WebformElement\\Table";s:8:"provider";s:7:"webform";}s:21:"webform_document_file";a:14:{s:12:"dependencies";a:1:{i:0;s:4:"file";}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"File upload elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"Provides a form element for uploading and saving a document.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:21:"webform_document_file";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Document file";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformElement\\WebformDocumentFile";s:8:"provider";s:7:"webform";}s:12:"webform_name";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Composite elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:56:"Provides a form element to collect a person''s full name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:12:"webform_name";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\WebformName";s:8:"provider";s:7:"webform";}s:13:"webform_scale";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:53:"Provides a form element for input of a numeric scale.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:13:"webform_scale";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Scale";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\webform\\Plugin\\WebformElement\\WebformScale";s:8:"provider";s:7:"webform";}s:15:"webform_address";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Composite elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"Provides a form element to collect address information (street, city, state, zip).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_address";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Address";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformAddress";s:8:"provider";s:7:"webform";}s:3:"url";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Provides a form element for input of a URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:3:"url";s:3:"api";s:87:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Url.php/class/Url";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:40:"Drupal\\webform\\Plugin\\WebformElement\\Url";s:8:"provider";s:7:"webform";}s:18:"webform_codemirror";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:186:"Provides a form element for editing code in a number of programming languages and markup. Code editing support is provided by the <a href="https://codemirror.net">CodeMirror</a> library.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:18:"webform_codemirror";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CodeMirror";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:54:"Drupal\\webform\\Plugin\\WebformElement\\WebformCodeMirror";s:8:"provider";s:7:"webform";}s:8:"password";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Basic elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Provides a form element for entering a password, with hidden text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:8:"password";s:3:"api";s:97:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Password.php/class/Password";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Password";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:45:"Drupal\\webform\\Plugin\\WebformElement\\Password";s:8:"provider";s:7:"webform";}s:6:"hidden";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Basic elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Provides a form element for an HTML ''hidden'' input element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:6:"hidden";s:3:"api";s:93:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Hidden.php/class/Hidden";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Hidden";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformElement\\Hidden";s:8:"provider";s:7:"webform";}s:15:"webform_message";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Provides an element to render custom, dismissible, inline status messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_message";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformMessage";s:8:"provider";s:7:"webform";}s:15:"webform_element";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";s:0:"";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"Provides a generic form element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:1;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_element";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Generic element";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformElement";s:8:"provider";s:7:"webform";}s:22:"webform_computed_token";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Computed Elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:76:"Provides an item to display computed webform submission values using tokens.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:22:"webform_computed_token";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Computed token";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:57:"Drupal\\webform\\Plugin\\WebformElement\\WebformComputedToken";s:8:"provider";s:7:"webform";}s:5:"email";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Provides a form element for entering an email address.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:5:"email";s:3:"api";s:91:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Email.php/class/Email";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:42:"Drupal\\webform\\Plugin\\WebformElement\\Email";s:8:"provider";s:7:"webform";}s:23:"webform_horizontal_rule";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:15:"horizontal_rule";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Provides a horizontal rule element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:23:"webform_horizontal_rule";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Horizontal rule";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\webform\\Plugin\\WebformElement\\WebformHorizontalRule";s:8:"provider";s:7:"webform";}s:16:"password_confirm";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Provides a form element for double-input of passwords.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:16:"password_confirm";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Password confirm";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:52:"Drupal\\webform\\Plugin\\WebformElement\\PasswordConfirm";s:8:"provider";s:7:"webform";}s:8:"fieldset";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Provides an element for a group of form elements.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:8:"fieldset";s:3:"api";s:97:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Fieldset.php/class/Fieldset";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Fieldset";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:45:"Drupal\\webform\\Plugin\\WebformElement\\Fieldset";s:8:"provider";s:7:"webform";}s:8:"checkbox";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Basic elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Provides a form element for a single checkbox.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:8:"checkbox";s:3:"api";s:97:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Checkbox.php/class/Checkbox";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Checkbox";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:45:"Drupal\\webform\\Plugin\\WebformElement\\Checkbox";s:8:"provider";s:7:"webform";}s:20:"webform_autocomplete";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Provides a text field element with auto completion.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:20:"webform_autocomplete";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Autocomplete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformElement\\WebformAutocomplete";s:8:"provider";s:7:"webform";}s:10:"checkboxes";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Provides a form element for a set of checkboxes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:10:"checkboxes";s:3:"api";s:101:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Checkboxes.php/class/Checkboxes";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Checkboxes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:47:"Drupal\\webform\\Plugin\\WebformElement\\Checkboxes";s:8:"provider";s:7:"webform";}s:4:"view";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:134:"Provides a view embed element. Only users who can ''Administer views'' or ''Edit webform source code'' can create and update this element.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:4:"view";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:41:"Drupal\\webform\\Plugin\\WebformElement\\View";s:8:"provider";s:7:"webform";}s:15:"webform_mapping";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Provides a form element where source values can mapped to destination values.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:1;s:9:"composite";b:1;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_mapping";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Mapping";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformMapping";s:8:"provider";s:7:"webform";}s:14:"webform_height";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Provides a form element to collect height in feet and inches.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:14:"webform_height";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Height (feet/inches)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:50:"Drupal\\webform\\Plugin\\WebformElement\\WebformHeight";s:8:"provider";s:7:"webform";}s:8:"datelist";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Date/time elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:85:"Provides a form element for date & time selection using select menus and text fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:8:"datelist";s:3:"api";s:99:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Datetime!Element!Datelist.php/class/Datelist";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Date list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:45:"Drupal\\webform\\Plugin\\WebformElement\\DateList";s:8:"provider";s:7:"webform";}s:15:"webform_section";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:57:"Provides an element for a section/group of form elements.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_section";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Section";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformSection";s:8:"provider";s:7:"webform";}s:24:"webform_checkboxes_other";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Options elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Provides a form element for a set of checkboxes, with the ability to enter a custom value.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:24:"webform_checkboxes_other";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Checkboxes other";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:59:"Drupal\\webform\\Plugin\\WebformElement\\WebformCheckboxesOther";s:8:"provider";s:7:"webform";}s:9:"container";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:9:"container";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Provides an element that wraps child elements in a container.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:9:"container";s:3:"api";s:99:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Container.php/class/Container";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Container";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\webform\\Plugin\\WebformElement\\Container";s:8:"provider";s:7:"webform";}s:19:"entity_autocomplete";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Entity reference elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Provides a form element to select an entity reference using an autocompletion.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:19:"entity_autocomplete";s:3:"api";s:117:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Entity!Element!EntityAutocomplete.php/class/EntityAutocomplete";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity autocomplete";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:55:"Drupal\\webform\\Plugin\\WebformElement\\EntityAutocomplete";s:8:"provider";s:7:"webform";}s:21:"webform_entity_radios";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Entity reference elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:80:"Provides a form element to select a single entity reference using radio buttons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:21:"webform_entity_radios";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Entity radios";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformElement\\WebformEntityRadios";s:8:"provider";s:7:"webform";}s:15:"webform_variant";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Provides a form element for enabling and tracking webform variants.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_variant";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Variant";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformVariant";s:8:"provider";s:7:"webform";}s:4:"date";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Date/time elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Provides a form element for date selection.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:4:"date";s:3:"api";s:89:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Date.php/class/Date";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Date";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:41:"Drupal\\webform\\Plugin\\WebformElement\\Date";s:8:"provider";s:7:"webform";}s:7:"details";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"Provides an interactive element that a user can open and close.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:7:"details";s:3:"api";s:95:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Details.php/class/Details";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Details";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:44:"Drupal\\webform\\Plugin\\WebformElement\\Details";s:8:"provider";s:7:"webform";}s:13:"webform_table";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Provides an element to render a table.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:13:"webform_table";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Table";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:49:"Drupal\\webform\\Plugin\\WebformElement\\WebformTable";s:8:"provider";s:7:"webform";}s:15:"language_select";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";s:0:"";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Provides a form element for selecting a language.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:1;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"language_select";s:3:"api";s:109:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!LanguageSelect.php/class/LanguageSelect";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Language select";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\LanguageSelect";s:8:"provider";s:7:"webform";}s:9:"textfield";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Basic elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:56:"Provides a form element for input of a single-line text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:9:"textfield";s:3:"api";s:99:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Textfield.php/class/Textfield";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Text field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\webform\\Plugin\\WebformElement\\TextField";s:8:"provider";s:7:"webform";}s:12:"machine_name";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";s:0:"";s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:145:"Provides a form element to enter a machine name, which is validated to ensure that the name is unique and does not contain disallowed characters.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:1;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:12:"machine_name";s:3:"api";s:103:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!MachineName.php/class/MachineName";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Machine name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\MachineName";s:8:"provider";s:7:"webform";}s:6:"number";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"Provides a form element for numeric input, with special numeric validation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:6:"number";s:3:"api";s:93:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Number.php/class/Number";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformElement\\Number";s:8:"provider";s:7:"webform";}s:12:"webform_link";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Composite elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"Provides a form element to display a link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:12:"webform_link";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\WebformLink";s:8:"provider";s:7:"webform";}s:4:"item";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:76:"Provides a display-only form element with an optional title and description.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:4:"item";s:3:"api";s:89:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Item.php/class/Item";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:41:"Drupal\\webform\\Plugin\\WebformElement\\Item";s:8:"provider";s:7:"webform";}s:18:"webform_video_file";a:14:{s:12:"dependencies";a:1:{i:0;s:4:"file";}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"File upload elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Provides a form element for uploading and saving a video file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:18:"webform_video_file";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Video file";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\webform\\Plugin\\WebformElement\\WebformVideoFile";s:8:"provider";s:7:"webform";}s:15:"webform_actions";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:7:"actions";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Buttons";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:92:"Provides an element that contains a Webform''s submit, draft, wizard, and/or preview buttons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_actions";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Submit button(s)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformActions";s:8:"provider";s:7:"webform";}s:15:"webform_flexbox";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:7:"flexbox";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Containers";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:80:"Provides a flex(ible) box container used to layout elements in multiple columns.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:15:"webform_flexbox";s:3:"api";s:69:"https://developer.mozilla.org/en-US/docs/Learn/CSS/CSS_layout/Flexbox";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Flexbox layout";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:51:"Drupal\\webform\\Plugin\\WebformElement\\WebformFlexbox";s:8:"provider";s:7:"webform";}s:6:"search";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Provides form element for entering a search phrase.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:6:"search";s:3:"api";s:93:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Search.php/class/Search";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Search";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:43:"Drupal\\webform\\Plugin\\WebformElement\\Search";s:8:"provider";s:7:"webform";}s:22:"webform_email_multiple";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:53:"Provides a form element for multiple email addresses.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:22:"webform_email_multiple";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Email multiple";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:57:"Drupal\\webform\\Plugin\\WebformElement\\WebformEmailMultiple";s:8:"provider";s:7:"webform";}s:17:"webform_telephone";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Composite elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Provides a form element to display a telephone number with type and extension.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:1;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:17:"webform_telephone";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Telephone advanced";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:53:"Drupal\\webform\\Plugin\\WebformElement\\WebformTelephone";s:8:"provider";s:7:"webform";}s:19:"webform_wizard_page";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Wizard";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:92:"Provides an element to display multiple form elements as a page in a multi-step form wizard.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:1;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:19:"webform_wizard_page";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Wizard page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:54:"Drupal\\webform\\Plugin\\WebformElement\\WebformWizardPage";s:8:"provider";s:7:"webform";}s:14:"processed_text";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:14:"processed_text";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Markup elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:70:"Provides an element to render advanced HTML markup and processed text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:14:"processed_text";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Advanced HTML/Text";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:50:"Drupal\\webform\\Plugin\\WebformElement\\ProcessedText";s:8:"provider";s:7:"webform";}s:21:"webform_entity_select";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Entity reference elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"Provides a form element to select a single or multiple entity references using a select menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:21:"webform_entity_select";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Entity select";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformElement\\WebformEntitySelect";s:8:"provider";s:7:"webform";}s:21:"webform_email_confirm";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"Provides a form element for double-input of email addresses.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:21:"webform_email_confirm";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Email confirm";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformElement\\WebformEmailConfirm";s:8:"provider";s:7:"webform";}s:12:"managed_file";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"File upload elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:56:"Provides a form element for uploading and saving a file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:1;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:12:"managed_file";s:3:"api";s:97:"https://api.drupal.org/api/drupal/core!modules!file!src!Element!ManagedFile.php/class/ManagedFile";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\ManagedFile";s:8:"provider";s:7:"webform";}s:23:"webform_term_checkboxes";a:14:{s:12:"dependencies";a:1:{i:0;s:8:"taxonomy";}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Entity reference elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:127:"Provides a form element to select a single or multiple terms displayed as hierarchical tree or as breadcrumbs using checkboxes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:23:"webform_term_checkboxes";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Term checkboxes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:58:"Drupal\\webform\\Plugin\\WebformElement\\WebformTermCheckboxes";s:8:"provider";s:7:"webform";}s:12:"webform_same";a:14:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Provides a form element for syncing the value of two elements.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:12:"webform_same";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Same as…";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:48:"Drupal\\webform\\Plugin\\WebformElement\\WebformSame";s:8:"provider";s:7:"webform";}s:3:"tel";a:15:{s:12:"dependencies";a:0:{}s:11:"default_key";s:0:"";s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Advanced elements";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:56:"Provides a form element for entering a telephone number.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"hidden";b:0;s:9:"multiline";b:0;s:9:"composite";b:0;s:14:"states_wrapper";b:0;s:10:"deprecated";b:0;s:18:"deprecated_message";s:0:"";s:2:"id";s:3:"tel";s:3:"api";s:87:"https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Tel.php/class/Tel";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Telephone";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:46:"Drupal\\webform\\Plugin\\WebformElement\\Telephone";s:8:"provider";s:7:"webform";}}', -1, '1681649932.815', 1, '', '0');
INSERT INTO `cache_discovery` VALUES
('webform_handler_plugins', 'a:6:{s:5:"debug";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Debug webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:1;s:7:"results";i:1;s:10:"conditions";b:1;s:6:"tokens";b:0;s:10:"submission";i:0;s:2:"id";s:5:"debug";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Debug";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformHandler\\DebugWebformHandler";s:8:"provider";s:7:"webform";}s:6:"action";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Trigger an action on a submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:7:"results";i:1;s:10:"conditions";b:1;s:6:"tokens";b:1;s:10:"submission";i:0;s:2:"id";s:6:"action";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:57:"Drupal\\webform\\Plugin\\WebformHandler\\ActionWebformHandler";s:8:"provider";s:7:"webform";}s:6:"broken";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Broken";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Broken/missing webform handler plugin.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:7:"results";i:0;s:10:"conditions";b:1;s:6:"tokens";b:0;s:10:"submission";i:0;s:2:"id";s:6:"broken";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Broken/Missing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:57:"Drupal\\webform\\Plugin\\WebformHandler\\BrokenWebformHandler";s:8:"provider";s:7:"webform";}s:8:"settings";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:104:"Allows Webform settings to be overridden based on submission data, source entity fields, and conditions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:7:"results";i:1;s:10:"conditions";b:1;s:6:"tokens";b:1;s:10:"submission";i:0;s:2:"id";s:8:"settings";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:59:"Drupal\\webform\\Plugin\\WebformHandler\\SettingsWebformHandler";s:8:"provider";s:7:"webform";}s:11:"remote_post";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"External";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Posts webform submissions to a URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:7:"results";i:1;s:10:"conditions";b:1;s:6:"tokens";b:1;s:10:"submission";i:0;s:2:"id";s:11:"remote_post";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Remote post";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:61:"Drupal\\webform\\Plugin\\WebformHandler\\RemotePostWebformHandler";s:8:"provider";s:7:"webform";}s:5:"email";a:11:{s:8:"category";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Notification";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Sends a webform submission via an email.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:7:"results";i:1;s:10:"conditions";b:1;s:6:"tokens";b:1;s:10:"submission";i:0;s:2:"id";s:5:"email";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:56:"Drupal\\webform\\Plugin\\WebformHandler\\EmailWebformHandler";s:8:"provider";s:7:"webform";}}', -1, '1681649932.842', 1, '', '0'),
('webform_source_entity_info_plugins', 'a:2:{s:12:"query_string";a:7:{s:11:"description";s:0:"";s:6:"weight";i:0;s:12:"dependencies";a:0:{}s:2:"id";s:12:"query_string";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Query string";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:72:"Drupal\\webform\\Plugin\\WebformSourceEntity\\QueryStringWebformSourceEntity";s:8:"provider";s:7:"webform";}s:16:"route_parameters";a:7:{s:11:"description";s:0:"";s:6:"weight";i:100;s:12:"dependencies";a:0:{}s:2:"id";s:16:"route_parameters";s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Route parameters";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:76:"Drupal\\webform\\Plugin\\WebformSourceEntity\\RouteParametersWebformSourceEntity";s:8:"provider";s:7:"webform";}}', -1, '1681649932.582', 1, '', '0'),
('webform_submission.field_storage_definitions.installed', 'a:19:{s:6:"serial";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Serial number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The serial number of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"serial";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:2;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"sid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Submission ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The ID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"sid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}s:18:"\0*\0fieldDefinition";r:39;}s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Submission UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The UUID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:76;}s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"token";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Token";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"A secure token used to look up a submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:5:"token";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:112;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"uri";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Submission URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The URI the user submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"uri";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:2000;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:146;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:2000;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was first saved as draft or submitted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:7:"created";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:180;}s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:9:"completed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Completed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was submitted as complete (not draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:9:"completed";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:208;}s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"The time that the webform submission was last saved (complete or draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:236;}s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"in_draft";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Is draft";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Is this a draft of the submission?";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:8:"in_draft";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:264;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:12:"current_page";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Current page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The current wizard page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:12:"current_page";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:304;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"remote_addr";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Remote IP address";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The IP address of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:11:"remote_addr";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:337;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Submitted by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The username of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:22:"default_value_callback";s:57:"Drupal\\webform\\Entity\\WebformSubmission::getCurrentUserId";s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:370;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The submission language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}s:18:"\0*\0fieldDefinition";r:406;}s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:10:"webform_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The associated webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:10:"webform_id";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:7:"webform";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}s:18:"\0*\0fieldDefinition";r:435;}s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:11:"entity_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Submitted to: Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The entity type to which this submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:11:"entity_type";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:470;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:9:"entity_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Submitted to: Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:73:"The ID of the entity of which this webform submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:9:"entity_id";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:503;}s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"locked";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Locked";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"A flag that indicates a locked webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"locked";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:536;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:6:"sticky";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Sticky";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag that indicate the status of the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"sticky";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:18:"\0*\0fieldDefinition";r:576;}s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}s:5:"notes";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Notes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Administrative notes about the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:7:"webform";s:10:"field_name";s:5:"notes";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}s:18:"\0*\0fieldDefinition";r:616;}s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}}}', -1, '1681649761.535', 1, '', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cache_dynamic_page_cache`
--

CREATE TABLE `cache_dynamic_page_cache` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_dynamic_page_cache`
--

INSERT INTO `cache_dynamic_page_cache` VALUES
('response:[languages:language_interface]=en:[request_format]=html:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=bartik:[timezone]=Europe/Athens:[url.path.is_e3LKF9VvpTzIfbUoh-jCzehuVtqr71xbvbn_BGPAcs0', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";s:0:"";s:6:"#cache";a:3:{s:8:"contexts";a:15:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:31:"route.menu_active_trails:footer";i:4;s:30:"route.menu_active_trails:tools";i:5;s:8:"url.site";i:6;s:24:"user.roles:authenticated";i:7;s:8:"timezone";i:8;s:5:"route";i:9;s:15:"url.path.parent";i:10;s:17:"url.path.is_front";i:11;s:29:"route.menu_active_trails:main";i:12;s:32:"route.menu_active_trails:account";i:13;s:30:"url.query_args:_wrapper_format";i:15;s:14:"request_format";}s:4:"tags";a:32:{i:0;s:17:"config:block_list";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:34:"config:block.block.bartik_branding";i:3;s:37:"config:block.block.bartik_breadcrumbs";i:4;s:33:"config:block.block.bartik_content";i:5;s:30:"config:block.block.bartik_help";i:6;s:39:"config:block.block.bartik_local_actions";i:7;s:37:"config:block.block.bartik_local_tasks";i:8;s:36:"config:block.block.bartik_page_title";i:9;s:32:"config:block.block.bartik_footer";i:10;s:33:"config:block.block.bartik_powered";i:11;s:35:"config:block.block.bartik_main_menu";i:12;s:34:"config:block.block.bartik_messages";i:13;s:32:"config:block.block.bartik_search";i:14;s:31:"config:block.block.bartik_tools";i:15;s:10:"block_view";i:16;s:25:"config:system.menu.footer";i:17;s:6:"node:2";i:18;s:6:"node:1";i:19;s:24:"config:system.menu.tools";i:20;s:21:"config:node_type_list";i:21;s:22:"config:search.settings";i:22;s:9:"node_view";i:23;s:7:"node:35";i:24;s:6:"user:1";i:25;s:10:"local_task";i:26;s:23:"config:system.menu.main";i:27;s:7:"node:94";i:28;s:18:"config:system.site";i:29;s:25:"config:color.theme.bartik";i:30;s:26:"config:system.menu.account";i:31;s:8:"rendered";}s:7:"max-age";i:3600;}s:17:"#cache_properties";a:1:{i:0;s:9:"#response";}s:9:"#response";O:31:"Drupal\\Core\\Render\\HtmlResponse":8:{s:7:"headers";O:50:"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag":5:{s:10:"\0*\0headers";a:3:{s:12:"content-type";a:1:{i:0;s:24:"text/html; charset=UTF-8";}s:13:"cache-control";a:1:{i:0;s:17:"no-cache, private";}s:4:"date";a:1:{i:0;s:29:"Sun, 16 Apr 2023 13:01:15 GMT";}}s:15:"\0*\0cacheControl";a:0:{}s:23:"\0*\0computedCacheControl";a:2:{s:8:"no-cache";b:1;s:7:"private";b:1;}s:10:"\0*\0cookies";a:0:{}s:14:"\0*\0headerNames";a:3:{s:12:"content-type";s:12:"Content-Type";s:13:"cache-control";s:13:"Cache-Control";s:4:"date";s:4:"Date";}}s:10:"\0*\0content";s:9821:"<!DOCTYPE html>\n<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">\n  <head>\n    <head-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">\n    <title>Front page | Conference+</title>\n    <css-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">\n    <js-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">\n  </head>\n  <body class="fontyourface layout-one-sidebar layout-sidebar-first path-frontpage page-node-type-page">\n        <a href="#main-content" class="visually-hidden focusable skip-link">\n      Skip to main content\n    </a>\n    \n      <div class="dialog-off-canvas-main-canvas" data-off-canvas-main-canvas>\n    <div id="page-wrapper">\n  <div id="page">\n    <header id="header" class="header" role="banner">\n      <div class="section layout-container clearfix">\n          <div class="region region-secondary-menu">\n    \n<nav role="navigation" aria-labelledby="block-bartik-account-menu-menu" id="block-bartik-account-menu" class="block block-menu navigation menu--account">\n            \n  <h2 class="visually-hidden" id="block-bartik-account-menu-menu">User account menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-account-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-account-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-account-menu">Show &mdash; User account menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-account-menu">Hide &mdash; User account menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/user/login" data-drupal-link-system-path="user/login">Log in</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n\n  </div>\n\n          <div class="clearfix region region-header">\n    <div id="block-bartik-branding" class="clearfix site-branding block block-system block-system-branding-block">\n  \n    \n        <a href="/" rel="home" class="site-branding__logo">\n      <img src="/core/themes/bartik/logo.svg" alt="Home" />\n    </a>\n        <div class="site-branding__text">\n              <div class="site-branding__name">\n          <a href="/" rel="home">Conference+</a>\n        </div>\n                    <div class="site-branding__slogan">A top quality Drupal 8 theme</div>\n          </div>\n  </div>\n\n  </div>\n\n          <div class="region region-primary-menu">\n    \n<nav role="navigation" aria-labelledby="block-bartik-main-menu-menu" id="block-bartik-main-menu" class="block block-menu navigation menu--main">\n            \n  <h2 class="visually-hidden" id="block-bartik-main-menu-menu">Main navigation</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-main-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-main-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-main-menu">Show &mdash; Main navigation</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-main-menu">Hide &mdash; Main navigation</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item menu-item--collapsed">\n        <a href="/program" data-drupal-link-system-path="program">Program</a>\n              </li>\n                <li class="menu-item">\n        <a href="/speakers" data-drupal-link-system-path="speakers">Speakers</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/presentations" data-drupal-link-system-path="presentations">Presentations</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/events" data-drupal-link-system-path="events">Events</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/about-us" data-drupal-link-system-path="node/94">About</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n\n  </div>\n\n      </div>\n    </header>\n          <div class="highlighted">\n        <aside class="layout-container section clearfix" role="complementary">\n            <div class="region region-highlighted">\n    <div data-drupal-messages-fallback class="hidden"></div><drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>\n\n  </div>\n\n        </aside>\n      </div>\n            <div id="main-wrapper" class="layout-main-wrapper layout-container clearfix">\n      <div id="main" class="layout-main clearfix">\n        \n        <main id="content" class="column main-content" role="main">\n          <section class="section">\n            <a id="main-content" tabindex="-1"></a>\n              <div class="region region-content">\n    <div id="block-bartik-page-title" class="block block-core block-page-title-block">\n  \n    \n      <div class="content">\n      \n\n  <h1 class="title page-title"><span property="schema:name" class="field field--name-title field--type-string field--label-hidden">Front page</span>\n</h1>\n\n\n    </div>\n  </div>\n<div id="block-bartik-content" class="block block-system block-system-main-block">\n  \n    \n      <div class="content">\n      \n<article data-history-node-id="35" role="article" about="/node/35" typeof="schema:WebPage" class="node node--type-page node--view-mode-full clearfix">\n  <header>\n    \n            <span property="schema:name" content="Front page" class="rdf-meta hidden"></span>\n\n      </header>\n  <div class="node__content clearfix">\n      <div class="node__links">\n    <ul class="links inline"><li class="statistics-counter">446 views</li></ul>  </div>\n\n  </div>\n</article>\n\n    </div>\n  </div>\n\n  </div>\n\n          </section>\n        </main>\n                  <div id="sidebar-first" class="column sidebar">\n            <aside class="section" role="complementary">\n                <div class="region region-sidebar-first">\n    <div class="search-block-form block block-search container-inline" data-drupal-selector="search-block-form" id="block-bartik-search" role="search">\n  \n      <h2>Search</h2>\n    \n      <div class="content container-inline">\n      <form action="/search/node" method="get" id="search-block-form" accept-charset="UTF-8" class="search-form search-block-form">\n  <div class="js-form-item form-item js-form-type-search form-type-search js-form-item-keys form-item-keys form-no-label">\n      <label for="edit-keys" class="visually-hidden">Search</label>\n        <input title="Enter the terms you wish to search for." data-drupal-selector="edit-keys" type="search" id="edit-keys" name="keys" value="" size="15" maxlength="128" class="form-search" />\n\n        </div>\n<div data-drupal-selector="edit-actions" class="form-actions js-form-wrapper form-wrapper" id="edit-actions"><input class="search-form__submit button js-form-submit form-submit" data-drupal-selector="edit-submit" type="submit" id="edit-submit" value="Search" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n\n  </div>\n\n            </aside>\n          </div>\n                      </div>\n    </div>\n        <footer class="site-footer">\n      <div class="layout-container">\n                          <div class="site-footer__bottom">\n              <div class="region region-footer-fifth">\n    \n<nav role="navigation" aria-labelledby="block-bartik-footer-menu" id="block-bartik-footer" class="block block-menu navigation menu--footer">\n            \n  <h2 class="visually-hidden" id="block-bartik-footer-menu">Footer menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-footer"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-footer"></div>\n      <a class="menu-toggle" href="#show-block-bartik-footer">Show &mdash; Footer menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-footer">Hide &mdash; Footer menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n                <li class="menu-item">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/" data-drupal-link-system-path="&lt;front&gt;">Home</a>\n              </li>\n                <li class="menu-item">\n        <a href="/style-guide" data-drupal-link-system-path="node/1">Typography</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n<div id="block-bartik-powered" class="block block-system block-system-powered-by-block">\n  \n    \n      <div class="content">\n      <span>Powered by <a href="https://www.drupal.org">Drupal</a></span>\n    </div>\n  </div>\n\n  </div>\n\n          </div>\n              </div>\n    </footer>\n  </div>\n</div>\n\n  </div>\n\n    \n    <js-bottom-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">\n  </body>\n</html>\n";s:10:"\0*\0version";s:3:"1.0";s:13:"\0*\0statusCode";i:200;s:13:"\0*\0statusText";s:2:"OK";s:10:"\0*\0charset";N;s:23:"\0*\0cacheabilityMetadata";O:35:"Drupal\\Core\\Cache\\CacheableMetadata":3:{s:16:"\0*\0cacheContexts";a:14:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:31:"route.menu_active_trails:footer";i:4;s:30:"route.menu_active_trails:tools";i:5;s:8:"url.site";i:6;s:24:"user.roles:authenticated";i:7;s:8:"timezone";i:8;s:5:"route";i:9;s:15:"url.path.parent";i:10;s:17:"url.path.is_front";i:11;s:29:"route.menu_active_trails:main";i:12;s:32:"route.menu_active_trails:account";i:13;s:30:"url.query_args:_wrapper_format";}s:12:"\0*\0cacheTags";a:32:{i:0;s:17:"config:block_list";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:34:"config:block.block.bartik_branding";i:3;s:37:"config:block.block.bartik_breadcrumbs";i:4;s:33:"config:block.block.bartik_content";i:5;s:30:"config:block.block.bartik_help";i:6;s:39:"config:block.block.bartik_local_actions";i:7;s:37:"config:block.block.bartik_local_tasks";i:8;s:36:"config:block.block.bartik_page_title";i:9;s:32:"config:block.block.bartik_footer";i:10;s:33:"config:block.block.bartik_powered";i:11;s:35:"config:block.block.bartik_main_menu";i:12;s:34:"config:block.block.bartik_messages";i:13;s:32:"config:block.block.bartik_search";i:14;s:31:"config:block.block.bartik_tools";i:15;s:10:"block_view";i:18;s:25:"config:system.menu.footer";i:19;s:6:"node:2";i:20;s:6:"node:1";i:22;s:24:"config:system.menu.tools";i:23;s:21:"config:node_type_list";i:25;s:22:"config:search.settings";i:27;s:9:"node_view";i:28;s:7:"node:35";i:29;s:6:"user:1";i:33;s:10:"local_task";i:38;s:23:"config:system.menu.main";i:39;s:7:"node:94";i:41;s:18:"config:system.site";i:42;s:25:"config:color.theme.bartik";i:44;s:26:"config:system.menu.account";i:45;s:8:"rendered";}s:14:"\0*\0cacheMaxAge";i:3600;}s:14:"\0*\0attachments";a:6:{s:7:"library";a:10:{i:0;s:27:"fontawesome/fontawesome.svg";i:1;s:33:"mt_cookieconsent/mt_cookieconsent";i:2;s:25:"mt_countdown/mt_countdown";i:3;s:11:"system/base";i:4;s:18:"bartik/classy.base";i:5;s:22:"bartik/classy.messages";i:6;s:14:"core/normalize";i:7;s:21:"bartik/global-styling";i:8;s:28:"statistics/drupal.statistics";i:9;s:18:"bartik/classy.node";}s:14:"html_head_link";a:3:{i:0;a:1:{i:0;a:3:{s:3:"rel";s:4:"icon";s:4:"href";s:31:"/core/themes/bartik/favicon.ico";s:4:"type";s:24:"image/vnd.microsoft.icon";}}i:1;a:1:{i:0;a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:2;a:1:{i:0;a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}}s:9:"html_head";a:5:{i:0;a:2:{i:0;a:3:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:1:{s:7:"charset";s:5:"utf-8";}s:7:"#weight";i:-1000;}i:1;s:24:"system_meta_content_type";}i:1;a:2:{i:0;a:3:{s:5:"#type";s:8:"html_tag";s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:9:"Generator";s:7:"content";s:33:"Drupal 9 (https://www.drupal.org)";}}i:1;s:21:"system_meta_generator";}i:2;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:15:"MobileOptimized";s:7:"content";s:5:"width";}}i:1;s:15:"MobileOptimized";}i:3;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:16:"HandheldFriendly";s:7:"content";s:4:"true";}}i:1;s:16:"HandheldFriendly";}i:4;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:8:"viewport";s:7:"content";s:37:"width=device-width, initial-scale=1.0";}}i:1;s:8:"viewport";}}s:12:"placeholders";a:1:{s:190:"<drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:57:"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages";i:1;a:1:{i:0;N;}}}}s:14:"drupalSettings";a:4:{s:16:"mt_cookieconsent";a:3:{s:12:"theme_select";s:5:"block";s:13:"alert_message";s:135:"(This is a demo message of the Module this theme is bundled with) This website uses cookies to help us provide you a better experience.";s:10:"target_url";s:29:"http://www.morethanthemes.com";}s:12:"mt_countdown";a:1:{s:15:"expiration_date";s:19:"2018-12-15 17:17:00";}s:14:"ajaxTrustedUrl";a:1:{s:12:"/search/node";b:1;}s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"35";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}}s:37:"html_response_attachment_placeholders";a:4:{s:6:"styles";s:100:"<css-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">";s:7:"scripts";s:99:"<js-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">";s:14:"scripts_bottom";s:106:"<js-bottom-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">";s:4:"head";s:101:"<head-placeholder token="mwTtAp9b3v5hgVF81RTCj8D6j8Sj9UPklnbno2bNcbgVTJumoY7n9NaqbXnDF1dGrWYgH3jMVQ">";}}}}', 1681653674, '1681650075.165', 1, 'block_view config:block.block.bartik_account_menu config:block.block.bartik_branding config:block.block.bartik_breadcrumbs config:block.block.bartik_content config:block.block.bartik_footer config:block.block.bartik_help config:block.block.bartik_local_actions config:block.block.bartik_local_tasks config:block.block.bartik_main_menu config:block.block.bartik_messages config:block.block.bartik_page_title config:block.block.bartik_powered config:block.block.bartik_search config:block.block.bartik_tools config:block_list config:color.theme.bartik config:node_type_list config:search.settings config:system.menu.account config:system.menu.footer config:system.menu.main config:system.menu.tools config:system.site local_task node:1 node:2 node:35 node:94 node_view rendered user:1', '26'),
('response:[request_format]=html:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:8:"response";}s:8:"contexts";a:15:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:31:"route.menu_active_trails:footer";i:4;s:30:"route.menu_active_trails:tools";i:5;s:8:"url.site";i:6;s:24:"user.roles:authenticated";i:7;s:8:"timezone";i:8;s:5:"route";i:9;s:15:"url.path.parent";i:10;s:17:"url.path.is_front";i:11;s:29:"route.menu_active_trails:main";i:12;s:32:"route.menu_active_trails:account";i:13;s:30:"url.query_args:_wrapper_format";i:15;s:14:"request_format";}s:4:"tags";a:32:{i:0;s:17:"config:block_list";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:34:"config:block.block.bartik_branding";i:3;s:37:"config:block.block.bartik_breadcrumbs";i:4;s:33:"config:block.block.bartik_content";i:5;s:30:"config:block.block.bartik_help";i:6;s:39:"config:block.block.bartik_local_actions";i:7;s:37:"config:block.block.bartik_local_tasks";i:8;s:36:"config:block.block.bartik_page_title";i:9;s:32:"config:block.block.bartik_footer";i:10;s:33:"config:block.block.bartik_powered";i:11;s:35:"config:block.block.bartik_main_menu";i:12;s:34:"config:block.block.bartik_messages";i:13;s:32:"config:block.block.bartik_search";i:14;s:31:"config:block.block.bartik_tools";i:15;s:10:"block_view";i:16;s:25:"config:system.menu.footer";i:17;s:6:"node:2";i:18;s:6:"node:1";i:19;s:24:"config:system.menu.tools";i:20;s:21:"config:node_type_list";i:21;s:22:"config:search.settings";i:22;s:9:"node_view";i:23;s:7:"node:35";i:24;s:6:"user:1";i:25;s:10:"local_task";i:26;s:23:"config:system.menu.main";i:27;s:7:"node:94";i:28;s:18:"config:system.site";i:29;s:25:"config:color.theme.bartik";i:30;s:26:"config:system.menu.account";i:31;s:8:"rendered";}s:7:"max-age";i:3600;s:3:"bin";s:18:"dynamic_page_cache";}}', 1681653674, '1681650075.165', 1, 'block_view config:block.block.bartik_account_menu config:block.block.bartik_branding config:block.block.bartik_breadcrumbs config:block.block.bartik_content config:block.block.bartik_footer config:block.block.bartik_help config:block.block.bartik_local_actions config:block.block.bartik_local_tasks config:block.block.bartik_main_menu config:block.block.bartik_messages config:block.block.bartik_page_title config:block.block.bartik_powered config:block.block.bartik_search config:block.block.bartik_tools config:block_list config:color.theme.bartik config:node_type_list config:search.settings config:system.menu.account config:system.menu.footer config:system.menu.main config:system.menu.tools config:system.site local_task node:1 node:2 node:35 node:94 node_view rendered user:1', '26');

-- --------------------------------------------------------

--
-- Table structure for table `cache_entity`
--

CREATE TABLE `cache_entity` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_entity`
--

INSERT INTO `cache_entity` VALUES
('values:block_content:1', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:1:"1";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"1";}s:4:"type";a:1:{s:9:"x-default";s:13:"mt_tabs_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ef75ff4d-5049-4e15-91f2-89e64289799e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:12:"Sidebar tabs";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1507899001";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:2:{i:0;a:1:{s:9:"target_id";s:45:"conferenceplus_views_block__mt_latest_block_1";}i:1;a:1:{s:9:"target_id";s:45:"conferenceplus_views_block__mt_latest_block_3";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:13:"mt_tabs_block";s:2:"id";s:1:"1";s:8:"revision";s:1:"1";s:4:"uuid";s:36:"ef75ff4d-5049-4e15-91f2-89e64289799e";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:12:"Sidebar tabs";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"1";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:10', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"10";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"10";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:9:"Info text";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1468598234";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:59:"<p>Free Shipping Over $50 &amp; Free In-Store Returns</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"10";s:8:"revision";s:2:"10";s:4:"uuid";s:36:"0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:9:"Info text";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"10";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:12', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"12";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"12";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"bf813f9f-c73e-4d44-a9ff-c771b0c704f3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:12:"Credit Cards";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516970686";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:13150:"<p>We accept all major credit cards, as well as a number of other ways to pay.</p>\r\n\r\n<ul class="credit-cards">\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-visa fa-w-18" data-fa-processed="" data-icon="cc-visa" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M470.1 231.3s7.6 37.2 9.3 45H446c3.3-8.9 16-43.5 16-43.5-.2.3 3.3-9.1 5.3-14.9l2.8 13.4zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM152.5 331.2L215.7 176h-42.5l-39.3 106-4.3-21.5-14-71.4c-2.3-9.9-9.4-12.7-18.2-13.1H32.7l-.7 3.1c15.8 4 29.9 9.8 42.2 17.1l35.8 135h42.5zm94.4.2L272.1 176h-40.2l-25.1 155.4h40.1zm139.9-50.8c.2-17.7-10.6-31.2-33.7-42.3-14.1-7.1-22.7-11.9-22.7-19.2.2-6.6 7.3-13.4 23.1-13.4 13.1-.3 22.7 2.8 29.9 5.9l3.6 1.7 5.5-33.6c-7.9-3.1-20.5-6.6-36-6.6-39.7 0-67.6 21.2-67.8 51.4-.3 22.3 20 34.7 35.2 42.2 15.5 7.6 20.8 12.6 20.8 19.3-.2 10.4-12.6 15.2-24.1 15.2-16 0-24.6-2.5-37.7-8.3l-5.3-2.5-5.6 34.9c9.4 4.3 26.8 8.1 44.8 8.3 42.2.1 69.7-20.8 70-53zM528 331.4L495.6 176h-31.1c-9.6 0-16.9 2.8-21 12.9l-59.7 142.5H426s6.9-19.2 8.4-23.3H486c1.2 5.5 4.8 23.3 4.8 23.3H528z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-visa"><span class="sr-only">cc-visa</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-mastercard fa-w-18" data-fa-processed="" data-icon="cc-mastercard" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M482.9 410.3c0 6.8-4.6 11.7-11.2 11.7-6.8 0-11.2-5.2-11.2-11.7 0-6.5 4.4-11.7 11.2-11.7 6.6 0 11.2 5.2 11.2 11.7zm-310.8-11.7c-7.1 0-11.2 5.2-11.2 11.7 0 6.5 4.1 11.7 11.2 11.7 6.5 0 10.9-4.9 10.9-11.7-.1-6.5-4.4-11.7-10.9-11.7zm117.5-.3c-5.4 0-8.7 3.5-9.5 8.7h19.1c-.9-5.7-4.4-8.7-9.6-8.7zm107.8.3c-6.8 0-10.9 5.2-10.9 11.7 0 6.5 4.1 11.7 10.9 11.7 6.8 0 11.2-4.9 11.2-11.7 0-6.5-4.4-11.7-11.2-11.7zm105.9 26.1c0 .3.3.5.3 1.1 0 .3-.3.5-.3 1.1-.3.3-.3.5-.5.8-.3.3-.5.5-1.1.5-.3.3-.5.3-1.1.3-.3 0-.5 0-1.1-.3-.3 0-.5-.3-.8-.5-.3-.3-.5-.5-.5-.8-.3-.5-.3-.8-.3-1.1 0-.5 0-.8.3-1.1 0-.5.3-.8.5-1.1.3-.3.5-.3.8-.5.5-.3.8-.3 1.1-.3.5 0 .8 0 1.1.3.5.3.8.3 1.1.5s.2.6.5 1.1zm-2.2 1.4c.5 0 .5-.3.8-.3.3-.3.3-.5.3-.8 0-.3 0-.5-.3-.8-.3 0-.5-.3-1.1-.3h-1.6v3.5h.8V426h.3l1.1 1.4h.8l-1.1-1.3zM576 81v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V81c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM64 220.6c0 76.5 62.1 138.5 138.5 138.5 27.2 0 53.9-8.2 76.5-23.1-72.9-59.3-72.4-171.2 0-230.5-22.6-15-49.3-23.1-76.5-23.1-76.4-.1-138.5 62-138.5 138.2zm224 108.8c70.5-55 70.2-162.2 0-217.5-70.2 55.3-70.5 162.6 0 217.5zm-142.3 76.3c0-8.7-5.7-14.4-14.7-14.7-4.6 0-9.5 1.4-12.8 6.5-2.4-4.1-6.5-6.5-12.2-6.5-3.8 0-7.6 1.4-10.6 5.4V392h-8.2v36.7h8.2c0-18.9-2.5-30.2 9-30.2 10.2 0 8.2 10.2 8.2 30.2h7.9c0-18.3-2.5-30.2 9-30.2 10.2 0 8.2 10 8.2 30.2h8.2v-23zm44.9-13.7h-7.9v4.4c-2.7-3.3-6.5-5.4-11.7-5.4-10.3 0-18.2 8.2-18.2 19.3 0 11.2 7.9 19.3 18.2 19.3 5.2 0 9-1.9 11.7-5.4v4.6h7.9V392zm40.5 25.6c0-15-22.9-8.2-22.9-15.2 0-5.7 11.9-4.8 18.5-1.1l3.3-6.5c-9.4-6.1-30.2-6-30.2 8.2 0 14.3 22.9 8.3 22.9 15 0 6.3-13.5 5.8-20.7.8l-3.5 6.3c11.2 7.6 32.6 6 32.6-7.5zm35.4 9.3l-2.2-6.8c-3.8 2.1-12.2 4.4-12.2-4.1v-16.6h13.1V392h-13.1v-11.2h-8.2V392h-7.6v7.3h7.6V416c0 17.6 17.3 14.4 22.6 10.9zm13.3-13.4h27.5c0-16.2-7.4-22.6-17.4-22.6-10.6 0-18.2 7.9-18.2 19.3 0 20.5 22.6 23.9 33.8 14.2l-3.8-6c-7.8 6.4-19.6 5.8-21.9-4.9zm59.1-21.5c-4.6-2-11.6-1.8-15.2 4.4V392h-8.2v36.7h8.2V408c0-11.6 9.5-10.1 12.8-8.4l2.4-7.6zm10.6 18.3c0-11.4 11.6-15.1 20.7-8.4l3.8-6.5c-11.6-9.1-32.7-4.1-32.7 15 0 19.8 22.4 23.8 32.7 15l-3.8-6.5c-9.2 6.5-20.7 2.6-20.7-8.6zm66.7-18.3H408v4.4c-8.3-11-29.9-4.8-29.9 13.9 0 19.2 22.4 24.7 29.9 13.9v4.6h8.2V392zm33.7 0c-2.4-1.2-11-2.9-15.2 4.4V392h-7.9v36.7h7.9V408c0-11 9-10.3 12.8-8.4l2.4-7.6zm40.3-14.9h-7.9v19.3c-8.2-10.9-29.9-5.1-29.9 13.9 0 19.4 22.5 24.6 29.9 13.9v4.6h7.9v-51.7zm7.6-75.1v4.6h.8V302h1.9v-.8h-4.6v.8h1.9zm6.6 123.8c0-.5 0-1.1-.3-1.6-.3-.3-.5-.8-.8-1.1-.3-.3-.8-.5-1.1-.8-.5 0-1.1-.3-1.6-.3-.3 0-.8.3-1.4.3-.5.3-.8.5-1.1.8-.5.3-.8.8-.8 1.1-.3.5-.3 1.1-.3 1.6 0 .3 0 .8.3 1.4 0 .3.3.8.8 1.1.3.3.5.5 1.1.8.5.3 1.1.3 1.4.3.5 0 1.1 0 1.6-.3.3-.3.8-.5 1.1-.8.3-.3.5-.8.8-1.1.3-.6.3-1.1.3-1.4zm3.2-124.7h-1.4l-1.6 3.5-1.6-3.5h-1.4v5.4h.8v-4.1l1.6 3.5h1.1l1.4-3.5v4.1h1.1v-5.4zm4.4-80.5c0-76.2-62.1-138.3-138.5-138.3-27.2 0-53.9 8.2-76.5 23.1 72.1 59.3 73.2 171.5 0 230.5 22.6 15 49.5 23.1 76.5 23.1 76.4.1 138.5-61.9 138.5-138.4z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-mastercard"><span class="sr-only">cc-mastercard</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-amex fa-w-18" data-fa-processed="" data-icon="cc-amex" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M576 255.4c-37.9-.2-44.2-.9-54.5 5v-5c-45.3 0-53.5-1.7-64.9 5.2v-5.2h-78.2v5.1c-11.4-6.5-21.4-5.1-75.7-5.1v5.6c-6.3-3.7-14.5-5.6-24.3-5.6h-58c-3.5 3.8-12.5 13.7-15.7 17.2-12.7-14.1-10.5-11.6-15.5-17.2h-83.1v92.3h82c3.3-3.5 12.9-13.9 16.1-17.4 12.7 14.3 10.3 11.7 15.4 17.4h48.9c0-14.7.1-8.3.1-23 11.5.2 24.3-.2 34.3-6.2 0 13.9-.1 17.1-.1 29.2h39.6c0-18.5.1-7.4.1-25.3 6.2 0 7.7 0 9.4.1.1 1.3 0 0 0 25.2 152.8 0 145.9 1.1 156.7-4.5v4.5c34.8 0 54.8 2.2 67.5-6.1V432c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V228.3h26.6c4.2-10.1 2.2-5.3 6.4-15.3h19.2c4.2 10 2.2 5.2 6.4 15.3h52.9v-11.4c2.2 5 1.1 2.5 5.1 11.4h29.5c2.4-5.5 2.6-5.8 5.1-11.4v11.4h135.5v-25.1c6.4 0 8-.1 9.8.2 0 0-.2 10.9.1 24.8h66.5v-8.9c7.4 5.9 17.4 8.9 29.7 8.9h26.8c4.2-10.1 2.2-5.3 6.4-15.3h19c6.5 15 .2.5 6.6 15.3h52.8v-21.9c11.8 19.7 7.8 12.9 13.2 21.9h41.6v-92h-39.9v18.4c-12.2-20.2-6.3-10.4-11.2-18.4h-43.3v20.6c-6.2-14.6-4.6-10.8-8.8-20.6h-32.4c-.4 0-2.3.2-2.3-.3h-27.6c-12.8 0-23.1 3.2-30.7 9.3v-9.3h-39.9v5.3c-10.8-6.1-20.7-5.1-64.4-5.3-.1 0-11.6-.1-11.6 0h-103c-2.5 6.1-6.8 16.4-12.6 30-2.8-6-11-23.8-13.9-30h-46V157c-7.4-17.4-4.7-11-9-21.1H22.9c-3.4 7.9-13.7 32-23.1 53.9V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48v175.4zm-186.6-80.6c-.3.2-1.4 2.2-1.4 7.6 0 6 .9 7.7 1.1 7.9.2.1 1.1.5 3.4.5l7.3-16.9c-1.1 0-2.1-.1-3.1-.1-5.6 0-7 .7-7.3 1zm-19.9 130.9c9.2 3.3 11 9.5 11 18.4l-.1 13.8h-16.6l.1-11.5c0-11.8-3.8-13.8-14.8-13.8h-17.6l-.1 25.3h-16.6l.1-69.3h39.4c13 0 27.1 2.3 27.1 18.7-.1 7.6-4.2 15.3-11.9 18.4zm-6.3-15.4c0-6.4-5.6-7.4-10.7-7.4h-21v15.6h20.7c5.6 0 11-1.3 11-8.2zm181.7-7.1H575v-14.6h-32.9c-12.8 0-23.8 6.6-23.8 20.7 0 33 42.7 12.8 42.7 27.4 0 5.1-4.3 6.4-8.4 6.4h-32l-.1 14.8h32c8.4 0 17.6-1.8 22.5-8.9v-25.8c-10.5-13.8-39.3-1.3-39.3-13.5 0-5.8 4.6-6.5 9.2-6.5zm-99.2-.3v-14.3h-55.2l-.1 69.3h55.2l.1-14.3-38.6-.3v-13.8H445v-14.1h-37.8v-12.5h38.5zm42.2 40.1h-32.2l-.1 14.8h32.2c14.8 0 26.2-5.6 26.2-22 0-33.2-42.9-11.2-42.9-26.3 0-5.6 4.9-6.4 9.2-6.4h30.4v-14.6h-33.2c-12.8 0-23.5 6.6-23.5 20.7 0 33 42.7 12.5 42.7 27.4-.1 5.4-4.7 6.4-8.8 6.4zm-78.1-158.7c-17.4-.3-33.2-4.1-33.2 19.7 0 11.8 2.8 19.9 16.1 19.9h7.4l23.5-54.5h24.8l27.9 65.4v-65.4h25.3l29.1 48.1v-48.1h16.9v69H524l-31.2-51.9v51.9h-33.7l-6.6-15.3h-34.3l-6.4 15.3h-19.2c-22.8 0-33-11.8-33-34 0-23.3 10.5-35.3 34-35.3h16.1v15.2zm14.3 24.5h22.8l-11.2-27.6-11.6 27.6zm-72.6-39.6h-16.9v69.3h16.9v-69.3zm-38.1 37.3c9.5 3.3 11 9.2 11 18.4v13.5h-16.6c-.3-14.8 3.6-25.1-14.8-25.1h-18v25.1h-16.4v-69.3l39.1.3c13.3 0 27.4 2 27.4 18.4.1 8-4.3 15.7-11.7 18.7zm-6.7-15.3c0-6.4-5.6-7.4-10.7-7.4h-21v15.3h20.7c5.7 0 11-1.3 11-7.9zm-59.5-7.4v-14.6h-55.5v69.3h55.5v-14.3h-38.9v-13.8h37.8v-14.1h-37.8v-12.5h38.9zm-84.6 54.7v-54.2l-24 54.2H124l-24-54.2v54.2H66.2l-6.4-15.3H25.3l-6.4 15.3H1l29.7-69.3h24.5l28.1 65.7v-65.7h27.1l21.7 47 19.7-47h27.6v69.3h-16.8zM53.9 188.8l-11.5-27.6-11.2 27.6h22.7zm253 102.5c0 27.9-30.4 23.3-49.3 23.3l-.1 23.3h-32.2l-20.4-23-21.3 23h-65.4l.1-69.3h66.5l20.5 22.8 21-22.8H279c15.6 0 27.9 5.4 27.9 22.7zm-112.7 11.8l-17.9-20.2h-41.7v12.5h36.3v14.1h-36.3v13.8h40.6l19-20.2zM241 276l-25.3 27.4 25.3 28.1V276zm48.3 15.3c0-6.1-4.6-8.4-10.2-8.4h-21.5v17.6h21.2c5.9 0 10.5-2.8 10.5-9.2z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-amex"><span class="sr-only">cc-amex</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-paypal fa-w-18" data-fa-processed="" data-icon="cc-paypal" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M186.3 258.2c0 12.2-9.7 21.5-22 21.5-9.2 0-16-5.2-16-15 0-12.2 9.5-22 21.7-22 9.3 0 16.3 5.7 16.3 15.5zM80.5 209.7h-4.7c-1.5 0-3 1-3.2 2.7l-4.3 26.7 8.2-.3c11 0 19.5-1.5 21.5-14.2 2.3-13.4-6.2-14.9-17.5-14.9zm284 0H360c-1.8 0-3 1-3.2 2.7l-4.2 26.7 8-.3c13 0 22-3 22-18-.1-10.6-9.6-11.1-18.1-11.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM128.3 215.4c0-21-16.2-28-34.7-28h-40c-2.5 0-5 2-5.2 4.7L32 294.2c-.3 2 1.2 4 3.2 4h19c2.7 0 5.2-2.9 5.5-5.7l4.5-26.6c1-7.2 13.2-4.7 18-4.7 28.6 0 46.1-17 46.1-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.2 8.2-5.8-8.5-14.2-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9 0 20.2-4.9 26.5-11.9-.5 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H200c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm40.5 97.9l63.7-92.6c.5-.5.5-1 .5-1.7 0-1.7-1.5-3.5-3.2-3.5h-19.2c-1.7 0-3.5 1-4.5 2.5l-26.5 39-11-37.5c-.8-2.2-3-4-5.5-4h-18.7c-1.7 0-3.2 1.8-3.2 3.5 0 1.2 19.5 56.8 21.2 62.1-2.7 3.8-20.5 28.6-20.5 31.6 0 1.8 1.5 3.2 3.2 3.2h19.2c1.8-.1 3.5-1.1 4.5-2.6zm159.3-106.7c0-21-16.2-28-34.7-28h-39.7c-2.7 0-5.2 2-5.5 4.7l-16.2 102c-.2 2 1.3 4 3.2 4h20.5c2 0 3.5-1.5 4-3.2l4.5-29c1-7.2 13.2-4.7 18-4.7 28.4 0 45.9-17 45.9-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.3 8.2-5.5-8.5-14-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9.3 0 20.5-4.9 26.5-11.9-.3 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H484c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm47.5-33.3c0-2-1.5-3.5-3.2-3.5h-18.5c-1.5 0-3 1.2-3.2 2.7l-16.2 104-.3.5c0 1.8 1.5 3.5 3.5 3.5h16.5c2.5 0 5-2.9 5.2-5.7L544 191.2v-.3zm-90 51.8c-12.2 0-21.7 9.7-21.7 22 0 9.7 7 15 16.2 15 12 0 21.7-9.2 21.7-21.5.1-9.8-6.9-15.5-16.2-15.5z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-paypal"><span class="sr-only">cc-paypal</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-stripe fa-w-18" data-fa-processed="" data-icon="cc-stripe" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M396.9 256.5c0 19.1-8.8 33.4-21.9 33.4-8.3 0-13.3-3-16.8-6.7l-.2-52.8c3.7-4.1 8.8-7 17-7 12.9-.1 21.9 14.5 21.9 33.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM122.2 281.1c0-42.3-54.3-34.7-54.3-50.7 0-5.5 4.6-7.7 12.1-7.7 10.8 0 24.5 3.3 35.3 9.1v-33.4c-11.8-4.7-23.5-6.5-35.3-6.5-28.8 0-48 15-48 40.2 0 39.3 54 32.9 54 49.9 0 6.6-5.7 8.7-13.6 8.7-11.8 0-26.9-4.9-38.9-11.3v33.9c13.2 5.7 26.6 8.1 38.8 8.1 29.6-.2 49.9-14.7 49.9-40.3zm68.9-86.9h-27v-30.8l-34.7 7.4-.2 113.9c0 21 15.8 36.5 36.9 36.5 11.6 0 20.2-2.1 24.9-4.7v-28.9c-4.5 1.8-27 8.3-27-12.6v-50.5h27v-30.3zm73.8 0c-4.7-1.7-21.3-4.8-29.6 10.5l-2.2-10.5h-30.7v124.5h35.5v-84.4c8.4-11 22.6-8.9 27.1-7.4v-32.7zm44.2 0h-35.7v124.5h35.7V194.2zm0-47.3l-35.7 7.6v28.9l35.7-7.6v-28.9zm122.7 108.8c0-41.3-23.5-63.8-48.4-63.8-13.9 0-22.9 6.6-27.8 11.1l-1.8-8.8h-31.3V360l35.5-7.5.1-40.2c5.1 3.7 12.7 9 25.1 9 25.4-.1 48.6-20.5 48.6-65.6zm112.2 1.2c0-36.4-17.6-65.1-51.3-65.1-33.8 0-54.3 28.7-54.3 64.9 0 42.8 24.2 64.5 58.8 64.5 17 0 29.7-3.9 39.4-9.2v-28.6c-9.7 4.9-20.8 7.9-34.9 7.9-13.8 0-26-4.9-27.6-21.5h69.5c.1-2 .4-9.4.4-12.9zm-51.6-36.1c-8.9 0-18.7 6.7-18.7 22.7h36.7c0-16-9.3-22.7-18-22.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-stripe"><span class="sr-only">cc-stripe</span></i> --></li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-cc-discover fa-w-18" data-fa-processed="" data-icon="cc-discover" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M83 212.1c0 7.9-3.2 15.5-8.9 20.7-4.9 4.4-11.6 6.4-21.9 6.4H48V185h4.2c10.3 0 16.7 1.7 21.9 6.6 5.7 5 8.9 12.6 8.9 20.5zM504.8 184h-4.9v24.9h4.7c10.3 0 15.8-4.4 15.8-12.8 0-7.9-5.5-12.1-15.6-12.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM428 253h45.3v-13.8H444V217h28.3v-13.8H444V185h29.3v-14H428v82zm-86.2-82l35 84.2h8.6l35.5-84.2h-17.5l-22.2 55.2-21.9-55.2h-17.5zm-83 41.6c0 24.6 19.9 44.6 44.6 44.6 24.6 0 44.6-19.9 44.6-44.6 0-24.6-19.9-44.6-44.6-44.6-24.6 0-44.6 19.9-44.6 44.6zm-68-.5c0 32.5 33.6 52.5 63.3 38.2v-19c-19.3 19.3-46.8 5.8-46.8-19.2 0-23.7 26.7-39.1 46.8-19v-19c-30.2-15-63.3 6.8-63.3 38zm-33.9 28.3c-7.6 0-13.8-3.7-17.5-10.8l-10.3 9.9c17.8 26.1 56.6 18.2 56.6-11.3 0-13.1-5.4-19-23.6-25.6-9.6-3.4-12.3-5.9-12.3-10.3 0-8.7 14.5-14.1 24.9-2.5l8.4-10.8c-19.1-17.1-49.7-8.9-49.7 14.3 0 11.3 5.2 17.2 20.2 22.7 25.7 9.1 14.7 24.4 3.3 24.4zm-57.4-28.3c0-24.1-18-41.1-44.1-41.1H32v82h23.4c30.9 0 44.1-22.4 44.1-40.9zm23.4-41.1h-16v82h16v-82zM544 288c-33.3 20.8-226.4 124.4-416 160h401c8.2 0 15-6.8 15-15V288zm0-35l-25.9-34.5c12.1-2.5 18.7-10.6 18.7-23.2 0-28.5-30.3-24.4-52.9-24.4v82h16v-32.8h2.2l22.2 32.8H544z" fill="currentColor"></path></svg><!-- <i class="fab fa-cc-discover"><span class="sr-only">cc-discover</span></i> --></li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"12";s:8:"revision";s:2:"12";s:4:"uuid";s:36:"bf813f9f-c73e-4d44-a9ff-c771b0c704f3";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:12:"Credit Cards";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"12";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:13', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"13";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"13";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"8446f152-667e-4f86-8722-565b31753297";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:23:"Sign Up For Text Alerts";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1471889296";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:58:"<p class="more-link"><a href="#">Get text alerts</a></p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"13";s:8:"revision";s:2:"13";s:4:"uuid";s:36:"8446f152-667e-4f86-8722-565b31753297";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:23:"Sign Up For Text Alerts";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"13";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:14', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"14";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"14";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"0839439a-2bae-48e4-872e-6ff169998482";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:9:"Subscribe";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521546385";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:755:"<div class="row align-items-center">\r\n<div class="col-12 col-xl-3 mb-3 mb-xl-0 text-xl-left text-center">\r\n<p class="subscribe-form-text">Join our mailing list to keep up to date on future events.</p>\r\n</div>\r\n\r\n<div class="col-12 col-xl-9">\r\n<form action="#" class="subscribe-form" data-drupal-form-fields="subscribe-submit">\r\n<div class="form-row">\r\n<div class="form-group col-12 col-sm-8 col-lg-9 mb-3 mb-sm-0">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="email" placeholder="Email" type="email" /></div>\r\n</div>\r\n\r\n<div class="form-actions col-12 col-sm-4 col-lg-3"><input class="form-submit w-100" id="subscribe-submit" name="subscribe-submit" type="submit" value="Subscribe" /></div>\r\n</div>\r\n</form>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"14";s:8:"revision";s:2:"14";s:4:"uuid";s:36:"0839439a-2bae-48e4-872e-6ff169998482";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:9:"Subscribe";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"14";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:15', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"15";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"15";}s:4:"type";a:1:{s:9:"x-default";s:19:"mt_fancy_tabs_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b6daebc0-8794-4969-94ad-88857e3749e6";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:15:"Front Page tabs";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1507898731";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:18:"field_mt_fancy_tab";a:1:{s:9:"x-default";a:3:{i:0;a:2:{s:9:"target_id";s:1:"1";s:18:"target_revision_id";s:1:"1";}i:1;a:2:{s:9:"target_id";s:1:"2";s:18:"target_revision_id";s:1:"2";}i:2;a:2:{s:9:"target_id";s:2:"19";s:18:"target_revision_id";s:2:"19";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:19:"mt_fancy_tabs_block";s:2:"id";s:2:"15";s:8:"revision";s:2:"15";s:4:"uuid";s:36:"b6daebc0-8794-4969-94ad-88857e3749e6";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:15:"Front Page tabs";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"15";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:16', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"16";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"16";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:22:"Popular Sales (Static)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517312803";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:3359:"<div class="static-promoted-images-grid">\r\n  <div class="row">\r\n    <div class="col-md-3">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/23"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/23"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-1.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/22"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/22"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-2.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-5">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/21"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/21"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-3.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="clearfix"></div>\r\n    <div class="col-md-9">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/20"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/20"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-4.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-3">\r\n      <div class="static-promoted-images-item">\r\n        <div class="overlay-container">\r\n          <span class="overlay overlay--white">\r\n            <a class="overlay-target-link" href="node/19"></a>\r\n            <span class="overlay-inner">\r\n              <a class="button button--black overlay-animated overlay-fade-bottom" href="node/19"><i class="fas fa-shopping-bag"></i> Shop Now</a>\r\n            </span>\r\n          </span>\r\n          <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-masonry-block-5.jpg" alt="">\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"16";s:8:"revision";s:2:"16";s:4:"uuid";s:36:"1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:22:"Popular Sales (Static)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"16";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:17', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"17";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"17";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"14d16969-6207-4173-82a4-bbc2e6eef6a2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:17:"Icons (subfooter)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1513857459";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:840:"<ul class="icons-list icons-list--extra-large text-center">\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-left-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-middle-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n  <li>\r\n    <a href="#" data-toggle="tooltip" data-placement="top" title="Trust Icon Secured">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/footer-icon-right-55x55.svg" alt="">\r\n    </a>\r\n  </li>\r\n</ul>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"17";s:8:"revision";s:2:"17";s:4:"uuid";s:36:"14d16969-6207-4173-82a4-bbc2e6eef6a2";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"Icons (subfooter)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"17";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:18', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"18";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"18";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d4a7f7e5-a159-4436-91e3-09d3aabdfff8";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:12:"Social Media";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1513857485";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:2131:"<div class="social-media">\r\n  <div class="row grid-gutter-0">\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">OUR BLOG</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-1.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">INSTAGRAM</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-2.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">YOUTUBE</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-3.jpg" alt="">\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-6">\r\n      <div class="overlay-container">\r\n        <span class="overlay overlay--visible">\r\n          <a class="overlay-target-link" href="#"></a>\r\n          <span class="overlay-caption-container">\r\n            <a href="#" class="overlay-caption overlay-caption--black">FACEBOOK</a>\r\n          </span>\r\n        </span>\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/social-media-4.jpg" alt="">\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"18";s:8:"revision";s:2:"18";s:4:"uuid";s:36:"d4a7f7e5-a159-4436-91e3-09d3aabdfff8";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:12:"Social Media";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"18";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:19', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"19";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"19";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"01709e04-065c-478c-9e73-863194306720";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:32:"Connect with us via social media";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516970395";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:3723:"<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\r\n	<li><a class="background-color-facebook" href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a class="background-color-twitter" href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a class="background-color-youtube" href="http://www.youtube.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-youtube fa-w-18" data-fa-processed="" data-icon="youtube" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z" fill="currentColor"></path></svg><!-- <i class="fab fa-youtube"><span class="sr-only">youtube</span></i> --></a></li>\r\n	<li><a class="background-color-linkedin" href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"19";s:8:"revision";s:2:"19";s:4:"uuid";s:36:"01709e04-065c-478c-9e73-863194306720";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:32:"Connect with us via social media";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"19";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:20', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"20";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"20";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"47385a7c-dff7-4f4a-8225-37b53a37da3d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:25:"Contact Info (header top)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1507900159";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:176:"<div class="company-info"><p><small>Have any questions? Contact us at +1-800-corporate or <a href="mailto:info@conferenceplus.com">info@conferenceplus.com</a></small></p></div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"20";s:8:"revision";s:2:"20";s:4:"uuid";s:36:"47385a7c-dff7-4f4a-8225-37b53a37da3d";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:25:"Contact Info (header top)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"20";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0');
INSERT INTO `cache_entity` VALUES
('values:block_content:21', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"21";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"21";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"1f5fa21d-094d-4e89-abf6-07aa1e532066";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:11:"Fancy block";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1513857520";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1438:"<div class="fancy-block-container">\r\n<div class="fancy-block fancy-block-text fancy-top-left col-md-7 col-lg-6 fade" data-animate-effect="fadeInLeft">\r\n<h3>FAST DELIVERY</h3>\r\n<div class="separator"></div>\r\n<p>We provide you with fast &amp; delivery <br>regardless of the product size and value.</p>\r\n<p>Your order will be delivered surely!</p>\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-top-right col-md-3 fade" data-animate-effect="fadeInRight">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-2.jpg" alt="">\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-bottom-left col-xl-5 col-md-6 fade" data-animate-effect="fadeInLeft">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-3.jpg" alt="">\r\n</div>\r\n<div class="fancy-block fancy-block-image fancy-top-middle col-md-5 fade" data-animate-effect="fadeInDown">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-fancy-block-1.jpg" alt="">\r\n</div>\r\n<div class="clearfix d-block d-md-none"></div>\r\n<div class="fancy-block fancy-block-text fancy-bottom-right col-md-7 col-lg-5 fade" data-animate-effect="fadeInRight">\r\n<h3>100% MONEY BACK GUARANTEED</h3>\r\n<div class="separator"></div>\r\n<p>Within 60 days of payment we offer 100% money back guaranteed.</p>\r\n</div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"21";s:8:"revision";s:2:"21";s:4:"uuid";s:36:"1f5fa21d-094d-4e89-abf6-07aa1e532066";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:11:"Fancy block";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"21";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:24', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"24";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"24";}s:4:"type";a:1:{s:9:"x-default";s:28:"mt_fancy_linked_images_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2c242b3c-5f08-49b5-9943-898d1f992ced";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:19:"Fancy linked images";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1519147352";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:27:"field_mt_fancy_linked_image";a:1:{s:9:"x-default";a:3:{i:0;a:2:{s:9:"target_id";s:2:"16";s:18:"target_revision_id";s:2:"16";}i:1;a:2:{s:9:"target_id";s:2:"17";s:18:"target_revision_id";s:2:"17";}i:2;a:2:{s:9:"target_id";s:2:"18";s:18:"target_revision_id";s:2:"18";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:2:"id";s:2:"24";s:8:"revision";s:2:"24";s:4:"uuid";s:36:"2c242b3c-5f08-49b5-9943-898d1f992ced";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:19:"Fancy linked images";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"24";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:25', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"25";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"25";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"8ab31d99-575f-4229-8ec8-989daa3f2dfb";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:15:"Contact Details";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517326979";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:2343:"<h2 class="block-title">Contact Details</h2>\r\n\r\n<p>Email us with any <strong>questions or inquiries</strong> or use our contact data. We would be happy to answer your questions.</p>\r\n\r\n<ul class="contact-info">\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-map-marker fa-w-12" data-fa-processed="" data-icon="map-marker" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker"><span class="sr-only">map-marker</span></i> -->1673 Nutters Barn Lane Des Moines, IA 503043</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone"><span class="sr-only">phone</span></i> --> Ph: (012) 345 - 6789<br />\r\n	Fa: 555 - 674 5534</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope"><span class="sr-only">envelope</span></i> --> conferenceplus@contact.com<br />\r\n	conferenceplus@sales.com</li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"25";s:8:"revision";s:2:"25";s:4:"uuid";s:36:"8ab31d99-575f-4229-8ec8-989daa3f2dfb";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:15:"Contact Details";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"25";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:28', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"28";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"28";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b467900a-1ff8-40ea-a8b0-2de331243735";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:12:"Announcement";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1480512027";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:347:"<div class="alert alert-dismissible" role="alert">\r\n  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>\r\n  This site uses cookies. By continuing to browse the site, you are agreeing to our use of cookies. <a href="#" class="link--bordered">Find out more</a>.\r\n</div>\r\n\r\n\r\n";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"28";s:8:"revision";s:2:"28";s:4:"uuid";s:36:"b467900a-1ff8-40ea-a8b0-2de331243735";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:12:"Announcement";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"28";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:29', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"29";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"29";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d483c5ac-2ead-403b-ab10-4ede5f991371";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:27:"Footer custom site branding";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517327104";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:511:"<div class="logo-and-site-name-wrapper clearfix">\r\n  <div class="logo">\r\n    <a href="#" title="Home" rel="home" class="site-branding__logo">\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-bright.svg" alt="Home">\r\n    </a>\r\n  </div>\r\n  <div class="site-name site-branding__name">\r\n    <a href="#" title="Home" rel="home">Conference+</a>\r\n  </div>\r\n  <div class="site-slogan site-branding__slogan">A DRUPAL 8 THEME FOR CORPORATE SITES</div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"29";s:8:"revision";s:2:"29";s:4:"uuid";s:36:"d483c5ac-2ead-403b-ab10-4ede5f991371";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:27:"Footer custom site branding";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"29";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:3', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:1:"3";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"3";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:9:"Copyright";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1515063628";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:95:"<div class="text-center text-lg-left">Copyright © 2018 Conference+. All rights reserved.</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:1:"3";s:8:"revision";s:1:"3";s:4:"uuid";s:36:"77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:9:"Copyright";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"3";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:30', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"30";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"30";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:38:"Products Layout Switcher (Grid active)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520532718";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:386:"<div class="layout-switcher">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item active"><a href="merchandise-3-col" title="Grid Layout"><i class="fas fa-th fa-sm"><span class="sr-only">th</span></i></a></li>\r\n	<li class="inline-list__item"><a href="merchandise-list" title="List Layout"><i class="fas fa-list fa-sm"><span class="sr-only">list</span></i></a></li>\r\n</ul>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"30";s:8:"revision";s:2:"30";s:4:"uuid";s:36:"a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:38:"Products Layout Switcher (Grid active)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"30";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:31', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"31";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"31";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9acb6453-8126-426b-88ec-d750288e958c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:38:"Products Layout Switcher (List Active)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522342405";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:374:"<div class="layout-switcher">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item"><a href="merchandise-2-col" title="Grid Layout"><i class="fas fa-th"><span class="sr-only">th</span></i></a></li>\r\n	<li class="inline-list__item active"><a href="merchandise-list" title="List Layout"><i class="fas fa-list"><span class="sr-only">list</span></i></a></li>\r\n</ul>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"31";s:8:"revision";s:2:"31";s:4:"uuid";s:36:"9acb6453-8126-426b-88ec-d750288e958c";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:38:"Products Layout Switcher (List Active)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"31";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:34', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"34";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"34";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"78f50698-8922-4e4c-ade4-531c59340958";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1475695702";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:11:"Text blocks";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516873815";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:720:"<div class="mt-text-blocks">\r\n<div class="row">\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>FAST DELIVERY</h4>\r\n<div class="separator"></div>\r\n<p>We provide you with fast &amp; delivery regardless of the product size and value.</p>\r\n</div>\r\n</div>\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>PRICE COMPARISON</h4>\r\n<div class="separator"></div>\r\n<p>The advanced innovation of search engine allows you to easily check prices and compare with just a few clicks.</p>\r\n</div>\r\n</div>\r\n<div class="col-md-4">\r\n<div class="mt-text-block">\r\n<h4>100% MONEY BACK</h4>\r\n<div class="separator"></div>\r\n<p>Within 60 days of payment we offer 100% money back guaranteed.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"34";s:8:"revision";s:2:"34";s:4:"uuid";s:36:"78f50698-8922-4e4c-ade4-531c59340958";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:11:"Text blocks";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"34";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:35', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:18:{s:2:"id";a:1:{s:9:"x-default";s:2:"35";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"35";}s:4:"type";a:1:{s:9:"x-default";s:14:"mt_google_maps";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"3a7d6304-c55c-48d0-a559-ee212ac34069";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1476896345";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:19:"Google map - Banner";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1496415685";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:21:"field_mt_map_location";a:1:{s:9:"x-default";a:4:{i:0;a:2:{s:9:"target_id";s:2:"44";s:18:"target_revision_id";s:2:"44";}i:1;a:2:{s:9:"target_id";s:2:"45";s:18:"target_revision_id";s:2:"45";}i:2;a:2:{s:9:"target_id";s:2:"46";s:18:"target_revision_id";s:2:"46";}i:3;a:2:{s:9:"target_id";s:2:"47";s:18:"target_revision_id";s:2:"47";}}}s:17:"field_mt_map_zoom";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:14:"mt_google_maps";s:2:"id";s:2:"35";s:8:"revision";s:2:"35";s:4:"uuid";s:36:"3a7d6304-c55c-48d0-a559-ee212ac34069";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:19:"Google map - Banner";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"35";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:38', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"38";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"38";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2f082cb7-167a-4837-b03e-7c523b059c9c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1478174564";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:12:"Buy a ticket";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1515089034";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:179:"<h4 class="text-center mt-5 mb-4">Aren’t you convinced yet? You should come.</h4>\r\n<p class="text-center"><a class="button button--hover-style-2" href="#">Buy a Ticket</a></p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"38";s:8:"revision";s:2:"38";s:4:"uuid";s:36:"2f082cb7-167a-4837-b03e-7c523b059c9c";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:12:"Buy a ticket";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"38";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:39', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"39";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"39";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"484e39d9-79e3-484e-9855-6b935d61bd03";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1478179650";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:14:"Call to action";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516965867";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:3861:"<div class="call-to-action">\r\n<div class="row">\r\n<div class="col-md-6">\r\n<h2 class="title">Enjoy a Gorgeous Look and Feel.</h2>\r\n\r\n<h5>Get to know all about our meeting</h5>\r\n\r\n<p>International Conference on Applied Physics and Mathematics is a prestigious event organized with a motivation to provide an excellent international platform for the academicians, researchers, engineers, industrial participants.</p>\r\n<a class="button" href="#">Buy a ticket</a></div>\r\n\r\n<div class="col-md-6">\r\n<div class="highlights-grid">\r\n<div class="row no-gutters">\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-right border-bottom"><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt"></i> -->\r\n\r\n<h5>Location</h5>\r\n\r\n<p>New York</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-bottom"><svg aria-hidden="true" class="svg-inline--fa fa-calendar fa-w-14" data-fa-processed="" data-icon="calendar" data-prefix="fas" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm436-44v-36c0-26.5-21.5-48-48-48h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v36c0 6.6 5.4 12 12 12h424c6.6 0 12-5.4 12-12z" fill="currentColor"></path></svg><!-- <i class="fas fa-calendar"></i> -->\r\n\r\n<h5>Date</h5>\r\n\r\n<p>17 - 20 September, 2017</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item border-right"><svg aria-hidden="true" class="svg-inline--fa fa-microphone fa-w-12" data-fa-processed="" data-icon="microphone" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M96 256V96c0-53.019 42.981-96 96-96s96 42.981 96 96v160c0 53.019-42.981 96-96 96s-96-42.981-96-96zm252-56h-24c-6.627 0-12 5.373-12 12v42.68c0 66.217-53.082 120.938-119.298 121.318C126.213 376.38 72 322.402 72 256v-44c0-6.627-5.373-12-12-12H36c-6.627 0-12 5.373-12 12v44c0 84.488 62.693 154.597 144 166.278V468h-68c-6.627 0-12 5.373-12 12v20c0 6.627 5.373 12 12 12h184c6.627 0 12-5.373 12-12v-20c0-6.627-5.373-12-12-12h-68v-45.722c81.307-11.681 144-81.79 144-166.278v-44c0-6.627-5.373-12-12-12z" fill="currentColor"></path></svg><!-- <i class="fas fa-microphone"></i> -->\r\n\r\n<h5>Speakers</h5>\r\n\r\n<p>32</p>\r\n</div>\r\n</div>\r\n\r\n<div class="col-sm-6">\r\n<div class="highlights-grid-item"><svg aria-hidden="true" class="svg-inline--fa fa-user fa-w-16" data-fa-processed="" data-icon="user" data-prefix="far" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M399.326 288.908C422.188 258.886 436 221.085 436 180 436 80.591 355.414 0 256 0 156.591 0 76 80.586 76 180c0 41.073 13.806 78.878 36.674 108.908C50.028 296.336 0 349.651 0 416v28.5C0 481.72 30.28 512 67.5 512h377c37.22 0 67.5-30.28 67.5-67.5V416c0-66.374-50.052-119.667-112.674-127.092zM256 48c72.902 0 132 59.098 132 132s-59.098 132-132 132-132-59.098-132-132S183.098 48 256 48zm208 396.5c0 10.77-8.73 19.5-19.5 19.5h-377c-10.77 0-19.5-8.73-19.5-19.5V416c0-44.183 35.817-80 80-80h38.14c55.486 31.968 124.026 32.087 179.72 0H384c44.183 0 80 35.817 80 80v28.5z" fill="currentColor"></path></svg><!-- <i class="far fa-user"></i> -->\r\n\r\n<h5>Seats</h5>\r\n\r\n<p>1,200 Available</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"39";s:8:"revision";s:2:"39";s:4:"uuid";s:36:"484e39d9-79e3-484e-9855-6b935d61bd03";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:14:"Call to action";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"39";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:4', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:1:"4";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"4";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2054bf17-957d-43d6-a736-6b7ac3ba0f2f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:16:"Social Bookmarks";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521726119";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:677:"<ul class="icons-list icons-list--bordered icons-list--no-margin p-0 text-center text-md-right d-md-block d-none">\r\n  <li><a class="background-color-inverted-facebook" href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a></li>\r\n  <li><a class="background-color-inverted-twitter" href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a></li>\r\n  <li><a class="background-color-inverted-linkedin" href="#"><i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i></a></li>\r\n  <li><a class="background-color-inverted-youtube" href="#"><i class="fab fa-youtube"><span class="sr-only">youtube</span></i></a></li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:1:"4";s:8:"revision";s:1:"4";s:4:"uuid";s:36:"2054bf17-957d-43d6-a736-6b7ac3ba0f2f";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:16:"Social Bookmarks";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"4";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:40', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"40";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"40";}s:4:"type";a:1:{s:9:"x-default";s:24:"mt_nodes_slideshow_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2ee07bbe-2afe-47d2-b802-21a37c39ea92";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1478204410";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:46:"See a full list of the services we can provide";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1478279261";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_ns_slide";a:1:{s:9:"x-default";a:6:{i:0;a:1:{s:9:"target_id";s:1:"9";}i:1;a:1:{s:9:"target_id";s:1:"8";}i:2;a:1:{s:9:"target_id";s:1:"7";}i:3;a:1:{s:9:"target_id";s:1:"6";}i:4;a:1:{s:9:"target_id";s:1:"5";}i:5;a:1:{s:9:"target_id";s:1:"4";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:2:"id";s:2:"40";s:8:"revision";s:2:"40";s:4:"uuid";s:36:"2ee07bbe-2afe-47d2-b802-21a37c39ea92";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:46:"See a full list of the services we can provide";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"40";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:41', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"41";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"41";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"0524307c-2048-42b8-833e-fe424b730597";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1478244577";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:10:"Highlights";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1506086173";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1311:"<div class="highlights">\r\n  <p class="text-center bottom-spacing-medium">Some times numbers do tell the truth. Perhaps, then, there’s no better <br> way to figure out more about us, than checking out these highlights.</p>\r\n  <div class="row">\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="1000000" data-speed="2000">1000000</div>\r\n        <div class="highlight-body">unique <br> visitors</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="112000" data-speed="2000">112000</div>\r\n        <div class="highlight-body">subscribers to <br> our newsletter</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="55000" data-speed="2000">55000</div>\r\n        <div class="highlight-body">first time <br> customers</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-lg-3 col-md-6">\r\n      <div class="highlight">\r\n        <div class="highlight-head" data-from="0" data-to="43000" data-speed="2000">43000</div>\r\n        <div class="highlight-body">returning <br> customers</div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"41";s:8:"revision";s:2:"41";s:4:"uuid";s:36:"0524307c-2048-42b8-833e-fe424b730597";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:10:"Highlights";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"41";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0');
INSERT INTO `cache_entity` VALUES
('values:block_content:42', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"42";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"42";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a007890a-a321-4ab4-84f1-049b7b98801c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1478265982";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:14:"Our Newsletter";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517327179";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1500:"<div class="subscribe-full-width">\r\n<div class="row">\r\n<div class="col-lg-4 col-xl-3">\r\n<h4 class="mt-0"><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope"></i> --> Newsletter</h4>\r\n</div>\r\n\r\n<div class="col-lg-8 col-xl-9">\r\n<form action="#">\r\n<div class="form-group">\r\n<div class="row">\r\n<div class="col-xl-9 col-lg-8 col-md-7">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Your email address'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Your email address" /></div>\r\n</div>\r\n\r\n<div class="col-xl-3 col-lg-4 col-md-5">\r\n<div class="form-actions"><input class="form-submit btn-block" type="submit" value="Subscribe" /></div>\r\n</div>\r\n</div>\r\n</div>\r\n</form>\r\n</div>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"42";s:8:"revision";s:2:"42";s:4:"uuid";s:36:"a007890a-a321-4ab4-84f1-049b7b98801c";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:14:"Our Newsletter";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"42";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:43', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"43";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"43";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1478272604";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:25:"Contact Info (footer top)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517327215";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:973:"<div class="contact-info-items-grid">\r\n  <div class="row">\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item contact-info-item--bordered text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-phone"></i></div>\r\n        <div class="contact-info-item__text">(012) 345 - 6789</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item contact-info-item--bordered text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-location-arrow"></i></div>\r\n        <div class="contact-info-item__text">1949 Lochmere Lane <br> Jewett City, CT 06351</div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4 col-12">\r\n      <div class="contact-info-item text-center">\r\n        <div class="contact-info-item__icon"><i class="fas fa-envelope-square"></i></div>\r\n        <div class="contact-info-item__text">info@conferenceplus.com</div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"43";s:8:"revision";s:2:"43";s:4:"uuid";s:36:"4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:25:"Contact Info (footer top)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"43";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:44', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"44";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"44";}s:4:"type";a:1:{s:9:"x-default";s:19:"mt_media_tabs_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"735a20a1-935e-461e-8ddf-5a4fdc521f23";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1478622671";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:9:"Media Tab";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1506082869";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:18:"field_mt_media_tab";a:1:{s:9:"x-default";a:3:{i:0;a:2:{s:9:"target_id";s:2:"20";s:18:"target_revision_id";s:2:"20";}i:1;a:2:{s:9:"target_id";s:2:"21";s:18:"target_revision_id";s:2:"21";}i:2;a:2:{s:9:"target_id";s:2:"22";s:18:"target_revision_id";s:2:"22";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:19:"mt_media_tabs_block";s:2:"id";s:2:"44";s:8:"revision";s:2:"44";s:4:"uuid";s:36:"735a20a1-935e-461e-8ddf-5a4fdc521f23";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:9:"Media Tab";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"44";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:45', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"45";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"45";}s:4:"type";a:1:{s:9:"x-default";s:13:"mt_fltt_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e063c791-93fb-43c0-a379-811a3a29ccc8";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1479316482";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:7:"Why Me?";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1512750083";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:13:"field_mt_fltt";a:1:{s:9:"x-default";a:6:{i:0;a:2:{s:9:"target_id";s:2:"26";s:18:"target_revision_id";s:2:"26";}i:1;a:2:{s:9:"target_id";s:2:"27";s:18:"target_revision_id";s:2:"27";}i:2;a:2:{s:9:"target_id";s:2:"28";s:18:"target_revision_id";s:2:"28";}i:3;a:2:{s:9:"target_id";s:2:"29";s:18:"target_revision_id";s:2:"29";}i:4;a:2:{s:9:"target_id";s:2:"30";s:18:"target_revision_id";s:2:"30";}i:5;a:2:{s:9:"target_id";s:2:"31";s:18:"target_revision_id";s:2:"31";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:13:"mt_fltt_block";s:2:"id";s:2:"45";s:8:"revision";s:2:"45";s:4:"uuid";s:36:"e063c791-93fb-43c0-a379-811a3a29ccc8";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:7:"Why Me?";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"45";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:46', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"46";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"46";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"47ac0b15-76b8-42ad-b349-f76c80485472";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1479732353";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:21:"Contact Info (Header)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516988856";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:636:"<div class="row text-lg-right">\r\n<div class="col-md-7 col-xl-8 xs-text-center">\r\n<ul class="inline-list">\r\n	<li class="inline-list__item"><i class="inline-list__icon fas fa-map-marker"><span class="sr-only">map-marker</span></i> 3246 Sussex Court, Jonesboro, TX 76538</li>\r\n	<li class="inline-list__item"><i class="inline-list__icon fas fa-phone"><span class="sr-only">phone</span></i> (012) 555-123-4567</li>\r\n</ul>\r\n</div>\r\n\r\n<div class="col-md-5 col-xl-4 text-center text-md-right"><a class="button button--colored button--no-margins button--hover-style-2" href="#"><i class="fas fa-envelope mr-2"></i> Contact Us</a></div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"46";s:8:"revision";s:2:"46";s:4:"uuid";s:36:"47ac0b15-76b8-42ad-b349-f76c80485472";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:21:"Contact Info (Header)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"46";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:47', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"47";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"47";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"289e95e0-6f1d-40f8-961a-fe8a21410288";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1479749981";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:23:"Contact Info (Slideout)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516988997";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:2732:"<ul class="icons-list icons-list--large icons-list--bordered text-center">\r\n	<li><a href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"47";s:8:"revision";s:2:"47";s:4:"uuid";s:36:"289e95e0-6f1d-40f8-961a-fe8a21410288";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:23:"Contact Info (Slideout)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"47";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:48', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:26:{s:2:"id";a:1:{s:9:"x-default";s:2:"48";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"48";}s:4:"type";a:1:{s:9:"x-default";s:23:"mt_main_slideshow_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b2f629fe-21d9-4f21-b60a-3f820c8be0a9";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1479923268";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:19:"Slideshow Fullwidth";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518434763";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:30:"field_mt_main_slideshow_layout";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:9:"fullwidth";}}}s:29:"field_mt_main_slideshow_slide";a:1:{s:9:"x-default";a:2:{i:0;a:2:{s:9:"target_id";s:2:"32";s:18:"target_revision_id";s:2:"32";}i:1;a:2:{s:9:"target_id";s:2:"33";s:18:"target_revision_id";s:2:"33";}}}s:30:"field_mt_ms_background_opacity";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"60";}}}s:28:"field_mt_ms_bullets_position";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:5:"right";}}}s:18:"field_mt_ms_effect";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:10:"slideright";}}}s:27:"field_mt_ms_effect_duration";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"9";}}}s:32:"field_mt_ms_ignore_header_height";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}s:26:"field_mt_ms_initial_height";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:3:"650";}}}s:28:"field_mt_ms_navigation_style";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:7:"bullets";}}}s:27:"field_mt_ms_touch_swipe_nav";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"1";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:23:"mt_main_slideshow_block";s:2:"id";s:2:"48";s:8:"revision";s:2:"48";s:4:"uuid";s:36:"b2f629fe-21d9-4f21-b60a-3f820c8be0a9";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:19:"Slideshow Fullwidth";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"48";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:49', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"49";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"49";}s:4:"type";a:1:{s:9:"x-default";s:22:"mt_video_gallery_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1480420339";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:19:"Video Gallery block";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1480423979";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:29:"field_mt_video_gallery_slides";a:1:{s:9:"x-default";a:6:{i:0;a:2:{s:9:"target_id";s:2:"35";s:18:"target_revision_id";s:2:"35";}i:1;a:2:{s:9:"target_id";s:2:"36";s:18:"target_revision_id";s:2:"36";}i:2;a:2:{s:9:"target_id";s:2:"37";s:18:"target_revision_id";s:2:"37";}i:3;a:2:{s:9:"target_id";s:2:"38";s:18:"target_revision_id";s:2:"38";}i:4;a:2:{s:9:"target_id";s:2:"39";s:18:"target_revision_id";s:2:"39";}i:5;a:2:{s:9:"target_id";s:2:"40";s:18:"target_revision_id";s:2:"40";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:22:"mt_video_gallery_block";s:2:"id";s:2:"49";s:8:"revision";s:2:"49";s:4:"uuid";s:36:"06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:19:"Video Gallery block";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"49";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:5', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:1:"5";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"5";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"5e872ebe-f221-48b5-8dbf-041d40eecc43";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:16:"Block with image";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1513857350";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:438:"<div class="overlay-container"><img alt="sidebar image" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/block-img.jpg" /></div>\r\n\r\n<h3><a href="#">Sidebar block with image</a></h3>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do <a href="#">eiusmod tempor</a> incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<p><a class="link--bordered" href="#">Read more</a></p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:1:"5";s:8:"revision";s:1:"5";s:4:"uuid";s:36:"5e872ebe-f221-48b5-8dbf-041d40eecc43";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:16:"Block with image";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"5";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:50', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"50";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"50";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ac329bb8-6f7c-4394-90aa-c4dbcdff8764";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1480592538";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:32:"Interested in investing with us?";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520857908";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:421:"<h3 class="block-title text-center">Interested in<br />\r\n<span>investing with us?</span></h3>\r\n\r\n<div class="separator separator--gray">&nbsp;</div>\r\n\r\n<p class="text-center">We are an international private company found and led by the team of investors,<br />\r\nmanagers and entrepreneurs.</p>\r\n\r\n<p class="text-center"><a class="button button--hover-style-2" href="#"><i class="fas fa-envelope"></i> contact us</a></p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"50";s:8:"revision";s:2:"50";s:4:"uuid";s:36:"ac329bb8-6f7c-4394-90aa-c4dbcdff8764";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:32:"Interested in investing with us?";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"50";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:51', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"51";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"51";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d3c5868b-e0ca-43fd-9e80-828ad308eea5";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1484653861";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:8:"About me";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517312356";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1594:"<h2 class="text-center bottom-spacing-small">“ENTHUSIASM IS EXCITEMENT WITH INSPIRATION &amp; <br> A PINCH OF CREATIVITY.” <span class="text--colored">-BO BENNET</span></h2>\r\n<div class="row">\r\n<div class="col-lg-6 order-lg-2">\r\n<p>\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-about-me-1.jpg" alt="">\r\n</p>\r\n</div>\r\n<div class="col-lg-6 order-lg-1">\r\n<p>I spent a lot of years trying to outrun or outsmart vulnerability by making things certain and definite, black and white, good and bad.</p>\r\n<p>My inability to lean into the discomfort of vulnerability limited the fullness of those important experiences that are wrought with uncertainty.</p>\r\n<div class="progress-title">Photoshop</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%">\r\n    <span class="sr-only">78% Photoshop</span>\r\n  </div>\r\n</div>\r\n<div class="progress-title">UI / UX DESIGN</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width: 50%">\r\n    <span class="sr-only">50% UI / UX DESIGN</span>\r\n  </div>\r\n</div>\r\n<div class="progress-title">WEB DEVELOPMENT</div>\r\n<div class="progress">\r\n  <div class="progress-bar progress-bar-default" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">\r\n    <span class="sr-only">80% WEB DEVELOPMENT</span>\r\n  </div>\r\n</div>\r\n</div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"51";s:8:"revision";s:2:"51";s:4:"uuid";s:36:"d3c5868b-e0ca-43fd-9e80-828ad308eea5";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:8:"About me";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"51";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:52', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:2:"id";a:1:{s:9:"x-default";s:2:"52";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"52";}s:4:"type";a:1:{s:9:"x-default";s:25:"mt_background_image_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"f80a84a8-6e49-4b3c-a2a8-2dec831316dc";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1484733033";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:28:"Background image block - CtA";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1515080435";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:12:"calltoaction";}}}s:25:"field_mt_background_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"111";s:3:"alt";s:20:"Background Image CtA";s:5:"title";s:0:"";s:5:"width";s:4:"1920";s:6:"height";s:4:"1080";}}}s:23:"field_mt_bg_image_color";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:48:"region--dark-typography region--white-background";}}}s:29:"field_mt_bg_image_layout_mode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}}s:25:"field_mt_bg_image_opacity";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"95";}}}s:29:"field_mt_bg_image_positioning";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:25:"mt_background_image_block";s:2:"id";s:2:"52";s:8:"revision";s:2:"52";s:4:"uuid";s:36:"f80a84a8-6e49-4b3c-a2a8-2dec831316dc";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:28:"Background image block - CtA";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"52";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:53', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"53";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"53";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"21239a24-9067-424a-a412-2bc4c38d3b07";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1484900773";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:21:"Still have questions?";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520358592";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:266:"<div class="contact-info__text-secondary text-center mb-0">Questions? Contact the Association Management office at</div>\r\n\r\n<div class="contact-info__text-primary text-center">(012) 345 - 6789 or <a class="link--bordered" href="#">info@conferenceplus.edu</a></div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"53";s:8:"revision";s:2:"53";s:4:"uuid";s:36:"21239a24-9067-424a-a412-2bc4c38d3b07";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:21:"Still have questions?";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"53";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:54', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:2:"id";a:1:{s:9:"x-default";s:2:"54";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"54";}s:4:"type";a:1:{s:9:"x-default";s:25:"mt_background_image_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1484901066";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:16:"Call to action 2";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1506069390";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:18:"stillhavequestions";}}}s:25:"field_mt_background_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"112";s:3:"alt";s:16:"Background Image";s:5:"title";s:0:"";s:5:"width";s:4:"1920";s:6:"height";s:4:"1080";}}}s:23:"field_mt_bg_image_color";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}}s:29:"field_mt_bg_image_layout_mode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}}s:25:"field_mt_bg_image_opacity";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"70";}}}s:29:"field_mt_bg_image_positioning";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:25:"mt_background_image_block";s:2:"id";s:2:"54";s:8:"revision";s:2:"54";s:4:"uuid";s:36:"304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:16:"Call to action 2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"54";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:55', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"55";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"55";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c14bd468-befe-4f30-a142-81ace2726783";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1485360717";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:36:"Are you looking for a great service?";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517327370";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1176:"<div class="row">\r\n<div class="col-lg-6 col-12 order-lg-2">\r\n<div class="fancy-block-2-container bottom-spacing-small"><img alt="service image" class="fancy-image-top-left fade" data-animate-effect="fadeInDown" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-service-1.jpg" /> <img alt="service image" class="fancy-image-bottom-right fancy-image--box-shadow fancy-image--position-absolute fade" data-animate-effect="fadeInRight" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-service-2.jpg" /></div>\r\n</div>\r\n\r\n<div class="col-lg-6 col-12 order-lg-1">\r\n<div class="fade" data-animate-effect="fadeInLeft">\r\n<h2 class="bottom-spacing-small">ARE YOU LOOKING FOR A GREAT SERVICE?</h2>\r\n\r\n<p>The most obvious benefit of remaining independent is that we have no boundaries except those we put on ourselves.</p>\r\n\r\n<ul class="list--fa-check-circle">\r\n	<li>Surviving 21 years in any industry</li>\r\n	<li>Focused on delivering outcomes</li>\r\n	<li>I have no boundaries</li>\r\n</ul>\r\n\r\n<p><a class="button button--hover-style-2" href="#">Let''s talk</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"55";s:8:"revision";s:2:"55";s:4:"uuid";s:36:"c14bd468-befe-4f30-a142-81ace2726783";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:36:"Are you looking for a great service?";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"55";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0');
INSERT INTO `cache_entity` VALUES
('values:block_content:57', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"57";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"57";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b881398c-7d2f-4579-9930-9300538bd2aa";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1485448921";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:8:"My Story";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1506010905";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1334:"<div class="row text-center">\r\n<div class="col-lg-10 ml-lg-auto mr-lg-auto">\r\n<h2 class="bottom-spacing-small">MY STORY</h2>\r\n<p class="highlighted">Controversy is part of the nature of art &amp; creativity.</p>\r\n<div class="bottom-spacing-medium">\r\n<p>One very important aspect of motivation is the willingness to stop and to look at things that no one else has bothered to look at. This simple process of focusing on things that are normally taken for granted.</p>\r\n</div>\r\n<div class="bottom-spacing-small">\r\n<p>\r\n<a href="#" class="button button--hover-style-2">About Me</a>\r\n</p>\r\n</div>\r\n</div>\r\n</div>\r\n<hr>\r\n<div class="highlights-2">\r\n<div class="row">\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">1</div>\r\n<div class="highlight-2-body">Web Design</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">2</div>\r\n<div class="highlight-2-body">UI/UX Design</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">3</div>\r\n<div class="highlight-2-body">Web Development</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-3">\r\n<div class="highlight-2">\r\n<div class="highlight-2-head">4</div>\r\n<div class="highlight-2-body">Branding</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"57";s:8:"revision";s:2:"57";s:4:"uuid";s:36:"b881398c-7d2f-4579-9930-9300538bd2aa";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:8:"My Story";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"57";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:58', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:2:"id";a:1:{s:9:"x-default";s:2:"58";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"58";}s:4:"type";a:1:{s:9:"x-default";s:25:"mt_background_image_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e0a56362-68eb-45ec-8e2f-feefbf1e35d8";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1485544173";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:32:"Background image block - Clients";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1507900765";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:54:"conferenceplus_views_block__mt_brands_carousel_block_1";}}}s:25:"field_mt_background_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"114";s:3:"alt";s:26:"Background Image - Clients";s:5:"title";s:0:"";s:5:"width";s:4:"1920";s:6:"height";s:4:"1080";}}}s:23:"field_mt_bg_image_color";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}}s:29:"field_mt_bg_image_layout_mode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}}s:25:"field_mt_bg_image_opacity";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"70";}}}s:29:"field_mt_bg_image_positioning";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:25:"mt_background_image_block";s:2:"id";s:2:"58";s:8:"revision";s:2:"58";s:4:"uuid";s:36:"e0a56362-68eb-45ec-8e2f-feefbf1e35d8";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:32:"Background image block - Clients";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"58";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:59', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"59";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"59";}s:4:"type";a:1:{s:9:"x-default";s:18:"mt_dropdowns_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"18dc1432-7c77-4b0b-b804-5bd46ab9769a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1485777533";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:16:"Header Dropdowns";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1519233059";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_dropdown";a:1:{s:9:"x-default";a:1:{i:0;a:2:{s:9:"target_id";s:2:"41";s:18:"target_revision_id";s:2:"41";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:18:"mt_dropdowns_block";s:2:"id";s:2:"59";s:8:"revision";s:2:"59";s:4:"uuid";s:36:"18dc1432-7c77-4b0b-b804-5bd46ab9769a";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:16:"Header Dropdowns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"59";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:73', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"73";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"73";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"eb34fbf2-b05a-462a-bb6d-0d71197be193";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1486116779";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:17:"Language Switcher";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486117885";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:211:"<div class="language-switcher-language-url block-language">\r\n<ul class="links">\r\n	<li><a class="language-link" href="#">English</a></li>\r\n	<li><a class="language-link" href="#">Deutsche</a></li>\r\n</ul>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"73";s:8:"revision";s:2:"73";s:4:"uuid";s:36:"eb34fbf2-b05a-462a-bb6d-0d71197be193";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"Language Switcher";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"73";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:74', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"74";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"74";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"af6f94ee-1e69-4b04-b8e0-aa57e603e25c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1486470868";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:12:"Social Links";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486483362";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:465:"<ul class="social-links social-links--inline text-center">\r\n<li>\r\n<a href="#" class="hover-color-facebook">Facebook</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-twitter">Twitter</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-behance">Behance</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-dribbble">Dribbble</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-instagram">Instagram</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-vimeo">Vimeo</a>\r\n</li>\r\n</ul>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"74";s:8:"revision";s:2:"74";s:4:"uuid";s:36:"af6f94ee-1e69-4b04-b8e0-aa57e603e25c";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:12:"Social Links";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"74";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:75', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"75";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"75";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"30cd384d-66e1-462a-b606-9af85d356ef1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";s:1:"1";}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1486475715";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:34:"Footer bottom custom site branding";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516362384";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1062:"<div class="row">\r\n\r\n  <div class="col-md-3">\r\n    <div class="logo-centered">\r\n      <a href="#" title="Home" rel="home" class="site-branding__logo">\r\n        <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-white.svg" alt="Home">\r\n      </a>\r\n    </div>\r\n    <div class="text-center clearfix">\r\n      <div class="site-name site-branding__name">\r\n        <a href="#" title="Home" rel="home">Association</a>\r\n      </div>\r\n      <div class="site-slogan site-branding__slogan">A top quality Drupal 8 theme</div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-md-9">\r\n    <h2 class="title mb-0">Sint optio aut deserunt saepe ex rerum</h2>\r\n    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dolore commodi, rerum saepe aliquam, iste iure nihil. Quasi assumenda magni, ex saepe? Saepe ut delectus soluta dignissimos dolorum voluptates.</p>\r\n    <p>Mollitia repellendus eos in doloribus hic eligendi rem facere laboriosam, provident nemo iste qui id deleniti.</p>\r\n  </div>\r\n\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"75";s:8:"revision";s:2:"75";s:4:"uuid";s:36:"30cd384d-66e1-462a-b606-9af85d356ef1";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:34:"Footer bottom custom site branding";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"75";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:76', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"76";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"76";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e2f49ac6-d59a-4baa-aa3e-2f7fd2077b52";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1497350232";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:29:"Social Bookmarks (Footer top)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517327458";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:7211:"<ul class="icons-list icons-list--bordered">\r\n	<li><a href="http://www.facebook.com/morethan.just.themes/"><svg aria-hidden="true" class="svg-inline--fa fa-facebook fa-w-14" data-fa-processed="" data-icon="facebook" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M448 56.7v398.5c0 13.7-11.1 24.7-24.7 24.7H309.1V306.5h58.2l8.7-67.6h-67v-43.2c0-19.6 5.4-32.9 33.5-32.9h35.8v-60.5c-6.2-.8-27.4-2.7-52.2-2.7-51.6 0-87 31.5-87 89.4v49.9h-58.4v67.6h58.4V480H24.7C11.1 480 0 468.9 0 455.3V56.7C0 43.1 11.1 32 24.7 32h398.5c13.7 0 24.8 11.1 24.8 24.7z" fill="currentColor"></path></svg><!-- <i class="fab fa-facebook"><span class="sr-only">facebook</span></i> --></a></li>\r\n	<li><a href="http://twitter.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-twitter fa-w-16" data-fa-processed="" data-icon="twitter" data-prefix="fab" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" fill="currentColor"></path></svg><!-- <i class="fab fa-twitter"><span class="sr-only">twitter</span></i> --></a></li>\r\n	<li><a href="https://plus.google.com/118354321025436191714/posts"><svg aria-hidden="true" class="svg-inline--fa fa-google-plus fa-w-16" data-fa-processed="" data-icon="google-plus" data-prefix="fab" role="img" viewbox="0 0 496 512" xmlns="http://www.w3.org/2000/svg"><path d="M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm-70.7 372c-68.8 0-124-55.5-124-124s55.2-124 124-124c31.3 0 60.1 11 83 32.3l-33.6 32.6c-13.2-12.9-31.3-19.1-49.4-19.1-42.9 0-77.2 35.5-77.2 78.1s34.2 78.1 77.2 78.1c32.6 0 64.9-19.1 70.1-53.3h-70.1v-42.6h116.9c1.3 6.8 1.9 13.6 1.9 20.7 0 70.8-47.5 121.2-118.8 121.2zm230.2-106.2v35.5H372v-35.5h-35.5v-35.5H372v-35.5h35.5v35.5h35.2v35.5h-35.2z" fill="currentColor"></path></svg><!-- <i class="fab fa-google-plus"><span class="sr-only">google-plus</span></i> --></a></li>\r\n	<li><a href="http://www.linkedin.com/company/more-than-themes/"><svg aria-hidden="true" class="svg-inline--fa fa-linkedin fa-w-14" data-fa-processed="" data-icon="linkedin" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" fill="currentColor"></path></svg><!-- <i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i> --></a></li>\r\n	<li><a href="http://www.youtube.com/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-youtube fa-w-18" data-fa-processed="" data-icon="youtube" data-prefix="fab" role="img" viewbox="0 0 576 512" xmlns="http://www.w3.org/2000/svg"><path d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z" fill="currentColor"></path></svg><!-- <i class="fab fa-youtube-play"><span class="sr-only">youtube</span></i> --></a></li>\r\n	<li><a href="http://instagram.com/"><svg aria-hidden="true" class="svg-inline--fa fa-instagram fa-w-14" data-fa-processed="" data-icon="instagram" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z" fill="currentColor"></path></svg><!-- <i class="fab fa-instagram"><span class="sr-only">instagram</span></i> --></a></li>\r\n	<li><a href="http://www.flickr.com/photos/morethanthemes/"><svg aria-hidden="true" class="svg-inline--fa fa-flickr fa-w-14" data-fa-processed="" data-icon="flickr" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z" fill="currentColor"></path></svg><!-- <i class="fab fa-flickr"><span class="sr-only">flickr</span></i> --></a></li>\r\n	<li><a href="http://vimeo.com/morethanthemes"><svg aria-hidden="true" class="svg-inline--fa fa-vimeo-square fa-w-14" data-fa-processed="" data-icon="vimeo-square" data-prefix="fab" role="img" viewbox="0 0 448 512" xmlns="http://www.w3.org/2000/svg"><path d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-16.2 149.6c-1.4 31.1-23.2 73.8-65.3 127.9-43.5 56.5-80.3 84.8-110.4 84.8-18.7 0-34.4-17.2-47.3-51.6-25.2-92.3-35.9-146.4-56.7-146.4-2.4 0-10.8 5-25.1 15.1L64 192c36.9-32.4 72.1-68.4 94.1-70.4 24.9-2.4 40.2 14.6 46 51.1 20.5 129.6 29.6 149.2 66.8 90.5 13.4-21.2 20.6-37.2 21.5-48.3 3.4-32.8-25.6-30.6-45.2-22.2 15.7-51.5 45.8-76.5 90.1-75.1 32.9 1 48.4 22.4 46.5 64z" fill="currentColor"></path></svg><!-- <i class="fab fa-vimeo-square"><span class="sr-only">vimeo-square</span></i> --></a></li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"76";s:8:"revision";s:2:"76";s:4:"uuid";s:36:"e2f49ac6-d59a-4baa-aa3e-2f7fd2077b52";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:29:"Social Bookmarks (Footer top)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"76";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:77', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"77";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"77";}s:4:"type";a:1:{s:9:"x-default";s:11:"mt_if_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"86c8a961-7cb4-48cb-958f-950bcb782f32";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1498040780";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:15:"Unique Features";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520414449";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:11:"field_mt_if";a:1:{s:9:"x-default";a:6:{i:0;a:2:{s:9:"target_id";s:2:"53";s:18:"target_revision_id";s:2:"53";}i:1;a:2:{s:9:"target_id";s:2:"54";s:18:"target_revision_id";s:2:"54";}i:2;a:2:{s:9:"target_id";s:2:"55";s:18:"target_revision_id";s:2:"55";}i:3;a:2:{s:9:"target_id";s:2:"56";s:18:"target_revision_id";s:2:"56";}i:4;a:2:{s:9:"target_id";s:2:"60";s:18:"target_revision_id";s:2:"60";}i:5;a:2:{s:9:"target_id";s:2:"61";s:18:"target_revision_id";s:2:"61";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:11:"mt_if_block";s:2:"id";s:2:"77";s:8:"revision";s:2:"77";s:4:"uuid";s:36:"86c8a961-7cb4-48cb-958f-950bcb782f32";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:15:"Unique Features";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"77";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:78', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"78";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"78";}s:4:"type";a:1:{s:9:"x-default";s:25:"mt_background_video_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"1095b191-b590-4db3-8021-af3b7bc02bb9";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1498660588";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:22:"Video background block";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1498729912";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:10:"highlights";}}}s:23:"field_mt_bv_layout_mode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}}s:25:"field_mt_bv_overlay_color";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}}s:27:"field_mt_bv_overlay_opacity";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"65";}}}s:18:"field_mt_bv_poster";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"132";s:3:"alt";s:12:"video poster";s:5:"title";s:0:"";s:5:"width";s:4:"1920";s:6:"height";s:4:"1080";}}}s:21:"field_mt_bv_video_mp4";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:9:"target_id";s:3:"130";s:7:"display";s:1:"1";s:11:"description";s:0:"";}}}s:22:"field_mt_bv_video_webm";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:9:"target_id";s:3:"131";s:7:"display";s:1:"1";s:11:"description";s:0:"";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:25:"mt_background_video_block";s:2:"id";s:2:"78";s:8:"revision";s:2:"78";s:4:"uuid";s:36:"1095b191-b590-4db3-8021-af3b7bc02bb9";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:22:"Video background block";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"78";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:79', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"79";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"79";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"75233cc9-f9ab-4278-b3a5-3ac326245760";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1506524211";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:21:"Features (front page)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517312523";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:2252:"<div class="row">\r\n  <div class="col-12 col-lg-10 ml-lg-auto mr-lg-auto">\r\n    <h2 class="block-title--extra-large text-center">Beautiful solutions for intelligent companies</h2>\r\n    <p class="extra-large text-center mt-5 mb-5">Skyrocket your business <br> with the best-in-market solution around.</p>\r\n  </div>\r\n</div>\r\n<div class="row mt-5 pb-5">\r\n  <div class="col-xl-4 col-lg-6 col-12 ml-xl-auto mr-xl-auto order-lg-2">\r\n    <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-feature-1.jpg" alt="feature">\r\n  </div>\r\n  <div class="col-xl-5 col-lg-6 col-12 ml-xl-auto mr-xl-auto order-lg-1">\r\n    <h2 class="block-title--medium-large mt-lg-0">Multi-platform Support</h2>\r\n    <p class="large">If you own an iPhone, you’ve probably already worked out how much fun it is to use it to watch movies-it has that nice big screen, and the sound quality is surprisingly good too.</p>\r\n  </div>\r\n</div>\r\n<div class="row mt-5 mb-5">\r\n  <div class="col-xl-4 col-lg-6 col-12 ml-xl-auto mr-xl-auto">\r\n    <ul class="icons-list icons-list--extra-large icons-list--bordered-square d-xl-flex justify-content-around mb-5 text-center">\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-internet-explorer"><span class="sr-only">internet-explorer</span></i>\r\n        </span>\r\n      </li>\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-firefox"><span class="sr-only">firefox</span></i>\r\n        </span>\r\n      </li>\r\n    </ul>\r\n    <ul class="icons-list icons-list--extra-large icons-list--bordered-square d-xl-flex justify-content-around text-center">\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-chrome"><span class="sr-only">chrome</span></i>\r\n        </span>\r\n      </li>\r\n      <li>\r\n        <span>\r\n          <i class="fab fa-safari"><span class="sr-only">safari</span></i>\r\n        </span>\r\n      </li>\r\n    </ul>\r\n  </div>\r\n  <div class="col-xl-5 col-lg-6 col-12 ml-xl-auto">\r\n    <h2 class="block-title--medium-large mt-lg-0">Multi-browser Support</h2>\r\n    <p class="large">If you own an iPhone, you’ve probably already worked out how much fun it is to use it to watch movies-it has that nice big screen, and the sound quality is surprisingly good too.</p>\r\n  </div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"79";s:8:"revision";s:2:"79";s:4:"uuid";s:36:"75233cc9-f9ab-4278-b3a5-3ac326245760";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:21:"Features (front page)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"79";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:8', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:1:"8";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"8";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"5c386222-a853-46e7-b120-1d96242be928";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:12:"Contact Info";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517317155";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:987:"<div class="contact-info"><span class="icon"><i class="fa fa-globe"><span class="sr-only">globe</span></i></span>\r\n<h3>Contact info</h3>\r\n\r\n<p class="bottom-spacing-medium">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<ul>\r\n	<li><i class="fas fa-map-marker-alt"><span class="sr-only">map-marker-alt</span></i> 1600 Amphitheatre Parkway,<br />\r\n	Mountain View, CA 94043</li>\r\n	<li><i class="fas fa-phone"><span class="sr-only">phone</span></i> +321 123 456 7<br />\r\n	+012 123 123 12</li>\r\n	<li><i class="fas fa-print"><span class="sr-only">fax</span></i> +321 123 456 8<br />\r\n	+21 123 456 87</li>\r\n	<li><i class="far fa-envelope"><span class="sr-only">envelope</span></i>For general enquiries:<br />\r\n	<a href="mailto:info@conferenceplus.com">info@conferenceplus.com</a><br />\r\n	For sales enquiries:<br />\r\n	<a href="mailto:sales@conferenceplus.com">sales@conferenceplus.com</a></li>\r\n</ul>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:1:"8";s:8:"revision";s:1:"8";s:4:"uuid";s:36:"5c386222-a853-46e7-b120-1d96242be928";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:12:"Contact Info";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"8";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:80', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"80";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"80";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"72c169d2-45c6-40c2-82e4-4f0f6f243331";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1506531400";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:23:"Highlights (front page)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517327540";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:3033:"<div class="row">\r\n<div class="col-12 col-xl-6"><img alt="highlight" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-highlight-1.jpg" /></div>\r\n\r\n<div class="col-12 col-xl-6">\r\n<h2 class="block-title--medium text--colored mb-4 font-weight-normal">Ideal for all your business needs</h2>\r\n\r\n<ul class="list-unstyled mb-4">\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Lorem ipsum dolor sit amet, consectetur adipisicing elit</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Aut sit, labore eos odio fugiat ducimus alias</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Explicabo dolores harum soluta asperiores et ipsum rem</li>\r\n	<li class="mb-1"><svg aria-hidden="true" class="svg-inline--fa fa-check fa-w-16 text--colored mr-2" data-fa-processed="" data-icon="check" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z" fill="currentColor"></path></svg><!-- <i class="fas fa-check text--colored mr-2"></i> --> Debitis deleniti. Incidunt molestias iusto saepe</li>\r\n</ul>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"80";s:8:"revision";s:2:"80";s:4:"uuid";s:36:"72c169d2-45c6-40c2-82e4-4f0f6f243331";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:23:"Highlights (front page)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"80";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:82', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"82";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"82";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"31d21c04-eb31-438b-8730-00c9e7511dd7";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1507622832";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:20:"Custom site branding";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1513858309";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:465:"<div class="logo-centered"><a class="site-branding__logo" href="#" rel="home" title="Home"><img alt="Home" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/logo-white.svg" /> </a></div>\r\n\r\n<div class="text-center clearfix">\r\n<div class="site-name site-branding__name"><a href="#" rel="home" title="Home">Conference+</a></div>\r\n\r\n<div class="site-slogan site-branding__slogan">A top quality Drupal 8 theme</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"82";s:8:"revision";s:2:"82";s:4:"uuid";s:36:"31d21c04-eb31-438b-8730-00c9e7511dd7";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:20:"Custom site branding";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"82";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0');
INSERT INTO `cache_entity` VALUES
('values:block_content:83', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"83";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"83";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a5cb88c7-1d51-405a-b911-2ea49042a47f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1508930223";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:21:"Contact info (footer)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516969020";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:2341:"<div class="contact-info d-md-block d-inline-block text-left">\r\n<ul>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt"><span class="sr-only">map-marker-alt</span></i> --> 787 Virginia Street New York,<br />\r\n	NY 213421</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone"><span class="sr-only">phone</span></i> --> +321 123 456 7</li>\r\n	<li><svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16" data-fa-processed="" data-icon="envelope" data-prefix="far" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M464 64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm0 48v40.805c-22.422 18.259-58.168 46.651-134.587 106.49-16.841 13.247-50.201 45.072-73.413 44.701-23.208.375-56.579-31.459-73.413-44.701C106.18 199.465 70.425 171.067 48 152.805V112h416zM48 400V214.398c22.914 18.251 55.409 43.862 104.938 82.646 21.857 17.205 60.134 55.186 103.062 54.955 42.717.231 80.509-37.199 103.053-54.947 49.528-38.783 82.032-64.401 104.947-82.653V400H48z" fill="currentColor"></path></svg><!-- <i class="far fa-envelope"><span class="sr-only">envelope</span></i> --> <a class="link--bordered" href="mailto:info@conferenceplus.com">info@conferenceplus.com</a></li>\r\n</ul>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"83";s:8:"revision";s:2:"83";s:4:"uuid";s:36:"a5cb88c7-1d51-405a-b911-2ea49042a47f";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:21:"Contact info (footer)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"83";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:84', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"84";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"84";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"56181db7-a452-44b8-bca5-8cf9de50ed1c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1509453602";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:14:"About (footer)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518523239";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:867:"<h2 class="title"><i class="fas fa-gem mr-3"></i>About The Association</h2>\r\n\r\n<p class="mb-3">The International Association of Analytics and the Society of Analytics are imaginary organizations used for demo purposes in this Drupal theme distribution.</p>\r\n\r\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\r\n	<li><a class="background-color-facebook" href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a></li>\r\n	<li><a class="background-color-twitter" href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a></li>\r\n	<li><a class="background-color-linkedin" href="#"><i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i></a></li>\r\n	<li><a class="background-color-youtube" href="#"><i class="fab fa-youtube"><span class="sr-only">youtube</span></i></a></li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"84";s:8:"revision";s:2:"84";s:4:"uuid";s:36:"56181db7-a452-44b8-bca5-8cf9de50ed1c";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:14:"About (footer)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"84";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:85', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"85";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"85";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"4afd36a9-3c0d-4d0e-b120-cd814ff11504";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1509540324";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:22:"Header Top CtA buttons";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520419294";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:443:"<div class="d-md-block d-none py-2">\r\n<div class="row">\r\n<div class="col-12 col-lg-6 text-center text-lg-left">\r\n<p class="py-2"><i class="fas fa-gem mr-3 fa-lg"></i>International Association of Analytics</p>\r\n</div>\r\n\r\n<div class="col-12 col-lg-6 text-center text-lg-right"><a class="mr-3" href="user"><i class="fas fa-lock fa-sm mr-2"></i> Sign In</a> <a class="button button--small my-1 my-md-0" href="#">Sign Up</a></div>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"85";s:8:"revision";s:2:"85";s:4:"uuid";s:36:"4afd36a9-3c0d-4d0e-b120-cd814ff11504";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:22:"Header Top CtA buttons";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"85";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:86', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:2:"id";a:1:{s:9:"x-default";s:2:"86";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"86";}s:4:"type";a:1:{s:9:"x-default";s:20:"mt_collapsible_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2d618db5-2ef3-4607-b59e-6c41f4dae031";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1509647852";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:17:"Collapsible block";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520266463";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:17:"googlemapbanner_3";}}}s:25:"field_mt_cb_collapse_icon";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:11:"fa-angle-up";}}}s:23:"field_mt_cb_expand_icon";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:13:"fa-angle-down";}}}s:17:"field_mt_cb_state";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:8:"expanded";}}}s:17:"field_mt_cb_title";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:15:"Show / Hide Map";}}}s:28:"field_mt_cb_trigger_position";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:3:"top";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:20:"mt_collapsible_block";s:2:"id";s:2:"86";s:8:"revision";s:2:"86";s:4:"uuid";s:36:"2d618db5-2ef3-4607-b59e-6c41f4dae031";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"Collapsible block";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"86";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:87', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"87";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"87";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"33c8086b-30a4-4b72-b741-df3e1ce3594d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1512742658";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:34:"Contact the conference secretariat";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517327585";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1478:"<p><svg aria-hidden="true" class="svg-inline--fa fa-phone fa-w-16 mr-2 ml-1" data-fa-processed="" data-icon="phone" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M493.397 24.615l-104-23.997c-11.314-2.611-22.879 3.252-27.456 13.931l-48 111.997a24 24 0 0 0 6.862 28.029l60.617 49.596c-35.973 76.675-98.938 140.508-177.249 177.248l-49.596-60.616a24 24 0 0 0-28.029-6.862l-111.997 48C3.873 366.516-1.994 378.08.618 389.397l23.997 104C27.109 504.204 36.748 512 48 512c256.087 0 464-207.532 464-464 0-11.176-7.714-20.873-18.603-23.385z" fill="currentColor"></path></svg><!-- <i class="fas fa-phone mr-2 ml-1"></i> --> (012) 345 - 6789<br />\r\n<svg aria-hidden="true" class="svg-inline--fa fa-envelope fa-w-16 mr-2 ml-1" data-fa-processed="" data-icon="envelope" data-prefix="fas" role="img" viewbox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><path d="M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z" fill="currentColor"></path></svg><!-- <i class="fas fa-envelope mr-2 ml-1"></i> --> info@conferenceplus.edu</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"87";s:8:"revision";s:2:"87";s:4:"uuid";s:36:"33c8086b-30a4-4b72-b741-df3e1ce3594d";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:34:"Contact the conference secretariat";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"87";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:88', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"88";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"88";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"165f7847-15c7-4a04-9acf-8765861ca9a1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1512742799";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:13:"Venue Address";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517309068";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:610:"<p><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12 mr-2 ml-1" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fas" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fas fa-map-marker-alt mr-2 ml-1"></i> --> 787 Virginia Street New York, NY 213421</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"88";s:8:"revision";s:2:"88";s:4:"uuid";s:36:"165f7847-15c7-4a04-9acf-8765861ca9a1";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:13:"Venue Address";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"88";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:89', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"89";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"89";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1512743093";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:18:"Registration Hours";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517309122";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:190:"<i class="far fa-clock mr-2 ml-1 mt-1 d-inline-block align-top"></i> <div class="d-inline-block align-top">Fri:  8:00am - 5:00pm <br>\r\nSat: 9:00am - 5:30pm <br>\r\nSun: 9:00am - 11:00am </div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"89";s:8:"revision";s:2:"89";s:4:"uuid";s:36:"4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:18:"Registration Hours";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"89";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:9', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:1:"9";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"9";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"fae21d9e-1b0b-418f-b1a1-e4f297688838";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:13:"Generic Block";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517316067";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:332:"<p>Aliquam ullamcorper velit ligula, in aliquet sapien molestie semper. Praesent tellus nisi, porttitor eget ligula vitae, commodo vulputate dui. Donec varius arcu eget risus tincidunt, sed ultrices mi porta. Nulla faucibus sed nisi ac consequat. Cras at lectus arcu.</p>\r\n\r\n<p><a class="link--bordered" href="#">Read more</a></p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:1:"9";s:8:"revision";s:1:"9";s:4:"uuid";s:36:"fae21d9e-1b0b-418f-b1a1-e4f297688838";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:13:"Generic Block";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"9";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.066', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:90', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:2:"id";a:1:{s:9:"x-default";s:2:"90";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"90";}s:4:"type";a:1:{s:9:"x-default";s:25:"mt_background_image_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2097ae93-a297-410b-acc6-d59748d40e90";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1515084401";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:42:"Background image block - Albums (carousel)";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522340217";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:2:{i:0;a:1:{s:9:"target_id";s:39:"views_block__mt_albums_carousel_block_1";}i:1;a:1:{s:9:"target_id";s:22:"tellusaboutyourproject";}}}s:25:"field_mt_background_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"144";s:3:"alt";s:6:"albums";s:5:"title";s:0:"";s:5:"width";s:4:"1920";s:6:"height";s:4:"1080";}}}s:23:"field_mt_bg_image_color";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:48:"region--light-typography region--dark-background";}}}s:29:"field_mt_bg_image_layout_mode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}}s:25:"field_mt_bg_image_opacity";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"80";}}}s:29:"field_mt_bg_image_positioning";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:25:"mt_background_image_block";s:2:"id";s:2:"90";s:8:"revision";s:2:"90";s:4:"uuid";s:36:"2097ae93-a297-410b-acc6-d59748d40e90";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:42:"Background image block - Albums (carousel)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"90";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:91', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"91";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"91";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a6c786ea-831a-4420-bbdc-4257c37aacd4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1516192294";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:34:"Registration location in the venue";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1517309089";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:637:"<p><svg aria-hidden="true" class="svg-inline--fa fa-map-marker-alt fa-w-12 mr-2 ml-1" data-fa-processed="" data-icon="map-marker-alt" data-prefix="fa" role="img" viewbox="0 0 384 512" xmlns="http://www.w3.org/2000/svg"><path d="M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z" fill="currentColor"></path></svg><!-- <i class="fa fa-map-marker-alt mr-2 ml-1"></i> --> Big venue, South Entrance on 787 Virginia Street New York, NY 213421</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"91";s:8:"revision";s:2:"91";s:4:"uuid";s:36:"a6c786ea-831a-4420-bbdc-4257c37aacd4";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:34:"Registration location in the venue";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"91";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:92', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"92";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"92";}s:4:"type";a:1:{s:9:"x-default";s:25:"mt_typing_animation_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"24e5856d-18c2-4676-bdd8-d4864a4bef39";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1518191285";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:16:"Typing Animation";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520265663";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:493:"<div class="mt-1 pt-1 text-center">\r\n<h2>The event that unlocks success to <br> your business goals.</h2>\r\n\r\n<div class="d-flex justify-content-center align-items-center mt-1">\r\n<div class="typed-strings">\r\n<p>Meet leading experts, engage in high impact discussions.</p>\r\n<p>Learn about state-of-the-art advancements in your field.</p>\r\n<p>Network with leading figures in the market.</p>\r\n<p>Join today, be part of tomorrow.</p>\r\n</div>\r\n<div class="typed text-center"></div>\r\n</div>\r\n\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:25:"mt_typing_animation_block";s:2:"id";s:2:"92";s:8:"revision";s:2:"92";s:4:"uuid";s:36:"24e5856d-18c2-4676-bdd8-d4864a4bef39";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:16:"Typing Animation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"92";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:93', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:18:{s:2:"id";a:1:{s:9:"x-default";s:2:"93";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"93";}s:4:"type";a:1:{s:9:"x-default";s:17:"mt_timeline_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1518447646";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:8:"Timeline";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518683991";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:26:"field_mt_tml_timeline_item";a:1:{s:9:"x-default";a:4:{i:0;a:2:{s:9:"target_id";s:2:"74";s:18:"target_revision_id";s:2:"74";}i:1;a:2:{s:9:"target_id";s:2:"75";s:18:"target_revision_id";s:2:"75";}i:2;a:2:{s:9:"target_id";s:2:"76";s:18:"target_revision_id";s:2:"76";}i:3;a:2:{s:9:"target_id";s:2:"77";s:18:"target_revision_id";s:2:"77";}}}s:30:"field_mt_tml_timeline_viewmore";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:9:"View More";s:7:"options";a:0:{}}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:17:"mt_timeline_block";s:2:"id";s:2:"93";s:8:"revision";s:2:"93";s:4:"uuid";s:36:"d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:8:"Timeline";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"93";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:94', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"94";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"94";}s:4:"type";a:1:{s:9:"x-default";s:13:"mt_tabs_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"66f70a0f-8643-4142-9e65-18b27e2e59d4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1519988516";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:17:"Presentation Tabs";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1519988533";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:24:"field_mt_block_reference";a:1:{s:9:"x-default";a:2:{i:0;a:1:{s:9:"target_id";s:45:"views_block__mt_related_presentations_block_1";}i:1;a:1:{s:9:"target_id";s:47:"views_block__mt_related_presentations_2_block_1";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:13:"mt_tabs_block";s:2:"id";s:2:"94";s:8:"revision";s:2:"94";s:4:"uuid";s:36:"66f70a0f-8643-4142-9e65-18b27e2e59d4";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"Presentation Tabs";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"94";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:95', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"95";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"95";}s:4:"type";a:1:{s:9:"x-default";s:5:"basic";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"777da137-efb6-4b98-a65c-1efdb5ebd6ec";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1521563640";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:15:"Payment methods";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521563833";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:382:"<p>We accept all major credit cards, as well as a number of other ways to pay.</p>\r\n\r\n<ul class="credit-cards">\r\n	<li><i class="fab fa-cc-visa"></i></li>\r\n	<li><i class="fab fa-cc-mastercard"></i></li>\r\n	<li><i class="fab fa-cc-amex"></li>\r\n	<li><i class="fab fa-cc-paypal"></i></li>\r\n	<li><i class="fab fa-cc-stripe"></i></li>\r\n	<li><i class="fab fa-cc-discover"></i></li>\r\n</ul>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:5:"basic";s:2:"id";s:2:"95";s:8:"revision";s:2:"95";s:4:"uuid";s:36:"777da137-efb6-4b98-a65c-1efdb5ebd6ec";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:15:"Payment methods";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"95";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:block_content:96', 'O:40:"Drupal\\block_content\\Entity\\BlockContent":30:{s:15:"\0*\0entityTypeId";s:13:"block_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:17:{s:2:"id";a:1:{s:9:"x-default";s:2:"96";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"96";}s:4:"type";a:1:{s:9:"x-default";s:11:"mt_if_block";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"64c7c159-c508-4191-b661-05ea9107cdd5";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";s:10:"1521738021";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"info";a:1:{s:9:"x-default";s:8:"Benefits";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521738080";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:8:"reusable";a:1:{s:9:"x-default";s:1:"1";}s:11:"field_mt_if";a:1:{s:9:"x-default";a:3:{i:0;a:2:{s:9:"target_id";s:2:"84";s:18:"target_revision_id";s:2:"96";}i:1;a:2:{s:9:"target_id";s:2:"85";s:18:"target_revision_id";s:2:"97";}i:2;a:2:{s:9:"target_id";s:2:"86";s:18:"target_revision_id";s:2:"98";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:11:"mt_if_block";s:2:"id";s:2:"96";s:8:"revision";s:2:"96";s:4:"uuid";s:36:"64c7c159-c508-4191-b661-05ea9107cdd5";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:8:"Benefits";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"96";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:8:"\0*\0theme";N;s:19:"\0*\0accessDependency";N;}', -1, '1681649762.067', 1, 'block_content_values entity_field_info', '0'),
('values:file:217', 'O:23:"Drupal\\file\\Entity\\File":28:{s:15:"\0*\0entityTypeId";s:4:"file";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:11:{s:3:"fid";a:1:{s:9:"x-default";s:3:"217";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a897b7d2-256e-4874-82ef-f2217954c063";}s:8:"langcode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"en";}}}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:8:"filename";a:1:{s:9:"x-default";s:16:"mt-speaker-1.jpg";}s:3:"uri";a:1:{s:9:"x-default";s:33:"public://2018-02/mt-speaker-1.jpg";}s:8:"filemime";a:1:{s:9:"x-default";s:10:"image/jpeg";}s:8:"filesize";a:1:{s:9:"x-default";s:5:"12753";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1518002138";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518002163";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:6:{s:6:"bundle";s:4:"file";s:2:"id";s:3:"217";s:5:"label";s:16:"mt-speaker-1.jpg";s:8:"langcode";s:2:"en";s:4:"uuid";s:36:"a897b7d2-256e-4874-82ef-f2217954c063";s:5:"owner";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:1:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.757', 1, 'entity_field_info file_values', '0'),
('values:file:218', 'O:23:"Drupal\\file\\Entity\\File":28:{s:15:"\0*\0entityTypeId";s:4:"file";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:11:{s:3:"fid";a:1:{s:9:"x-default";s:3:"218";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e6b8f476-7016-4b2b-88aa-8bfc61fd7a29";}s:8:"langcode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"en";}}}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:8:"filename";a:1:{s:9:"x-default";s:16:"mt-speaker-2.jpg";}s:3:"uri";a:1:{s:9:"x-default";s:33:"public://2018-02/mt-speaker-2.jpg";}s:8:"filemime";a:1:{s:9:"x-default";s:10:"image/jpeg";}s:8:"filesize";a:1:{s:9:"x-default";s:5:"12753";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1518002187";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518002211";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:6:{s:6:"bundle";s:4:"file";s:2:"id";s:3:"218";s:5:"label";s:16:"mt-speaker-2.jpg";s:8:"langcode";s:2:"en";s:4:"uuid";s:36:"e6b8f476-7016-4b2b-88aa-8bfc61fd7a29";s:5:"owner";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:1:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.861', 1, 'entity_field_info file_values', '0');
INSERT INTO `cache_entity` VALUES
('values:file:219', 'O:23:"Drupal\\file\\Entity\\File":28:{s:15:"\0*\0entityTypeId";s:4:"file";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:11:{s:3:"fid";a:1:{s:9:"x-default";s:3:"219";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"0d973056-62d2-4fa2-a518-69d8c56dfd80";}s:8:"langcode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"en";}}}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:8:"filename";a:1:{s:9:"x-default";s:16:"mt-speaker-3.jpg";}s:3:"uri";a:1:{s:9:"x-default";s:33:"public://2018-02/mt-speaker-3.jpg";}s:8:"filemime";a:1:{s:9:"x-default";s:10:"image/jpeg";}s:8:"filesize";a:1:{s:9:"x-default";s:5:"12753";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1518002233";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518002263";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:6:{s:6:"bundle";s:4:"file";s:2:"id";s:3:"219";s:5:"label";s:16:"mt-speaker-3.jpg";s:8:"langcode";s:2:"en";s:4:"uuid";s:36:"0d973056-62d2-4fa2-a518-69d8c56dfd80";s:5:"owner";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:1:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.871', 1, 'entity_field_info file_values', '0'),
('values:file:221', 'O:23:"Drupal\\file\\Entity\\File":28:{s:15:"\0*\0entityTypeId";s:4:"file";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:11:{s:3:"fid";a:1:{s:9:"x-default";s:3:"221";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"01aead7c-7c99-4339-9783-796432dbe35e";}s:8:"langcode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"en";}}}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:8:"filename";a:1:{s:9:"x-default";s:16:"mt-speaker-4.jpg";}s:3:"uri";a:1:{s:9:"x-default";s:35:"public://2018-02/mt-speaker-4_0.jpg";}s:8:"filemime";a:1:{s:9:"x-default";s:10:"image/jpeg";}s:8:"filesize";a:1:{s:9:"x-default";s:5:"12753";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1518002353";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518002383";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:6:{s:6:"bundle";s:4:"file";s:2:"id";s:3:"221";s:5:"label";s:16:"mt-speaker-4.jpg";s:8:"langcode";s:2:"en";s:4:"uuid";s:36:"01aead7c-7c99-4339-9783-796432dbe35e";s:5:"owner";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:1:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.836', 1, 'entity_field_info file_values', '0'),
('values:file:222', 'O:23:"Drupal\\file\\Entity\\File":28:{s:15:"\0*\0entityTypeId";s:4:"file";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:11:{s:3:"fid";a:1:{s:9:"x-default";s:3:"222";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"fffadc4c-5d74-460e-8e15-d1f99b956620";}s:8:"langcode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"en";}}}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:8:"filename";a:1:{s:9:"x-default";s:16:"mt-speaker-5.jpg";}s:3:"uri";a:1:{s:9:"x-default";s:33:"public://2018-02/mt-speaker-5.jpg";}s:8:"filemime";a:1:{s:9:"x-default";s:10:"image/jpeg";}s:8:"filesize";a:1:{s:9:"x-default";s:5:"12753";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1518002399";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518002421";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:6:{s:6:"bundle";s:4:"file";s:2:"id";s:3:"222";s:5:"label";s:16:"mt-speaker-5.jpg";s:8:"langcode";s:2:"en";s:4:"uuid";s:36:"fffadc4c-5d74-460e-8e15-d1f99b956620";s:5:"owner";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:1:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.881', 1, 'entity_field_info file_values', '0'),
('values:file:223', 'O:23:"Drupal\\file\\Entity\\File":28:{s:15:"\0*\0entityTypeId";s:4:"file";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:11:{s:3:"fid";a:1:{s:9:"x-default";s:3:"223";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"412cf2f8-9aaf-443d-9915-38bc55b2aaae";}s:8:"langcode";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:2:"en";}}}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:8:"filename";a:1:{s:9:"x-default";s:16:"mt-speaker-6.jpg";}s:3:"uri";a:1:{s:9:"x-default";s:33:"public://2018-02/mt-speaker-6.jpg";}s:8:"filemime";a:1:{s:9:"x-default";s:10:"image/jpeg";}s:8:"filesize";a:1:{s:9:"x-default";s:5:"12753";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1518002437";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518002464";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:6:{s:6:"bundle";s:4:"file";s:2:"id";s:3:"223";s:5:"label";s:16:"mt-speaker-6.jpg";s:8:"langcode";s:2:"en";s:4:"uuid";s:36:"412cf2f8-9aaf-443d-9915-38bc55b2aaae";s:5:"owner";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:1:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.847', 1, 'entity_field_info file_values', '0'),
('values:menu_link_content:100', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"100";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"100";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"38c113cc-ed8e-4c6e-89f9-0eea95f6a764";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:25:"Leadership & Management 2";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/team-members-2";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-94";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"100";s:8:"revision";s:3:"100";s:4:"uuid";s:36:"38c113cc-ed8e-4c6e-89f9-0eea95f6a764";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:25:"Leadership & Management 2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"100";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:101', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"101";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"101";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ea83656c-4196-4016-b1b7-ce2683133f01";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:26:"Photo Albums - Alternative";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:30:"internal:/albums-3-col-style-2";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741067";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-76";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"101";s:8:"revision";s:3:"101";s:4:"uuid";s:36:"ea83656c-4196-4016-b1b7-ce2683133f01";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:26:"Photo Albums - Alternative";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"101";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:104', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"104";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"104";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"dfe4e87c-b750-4274-8a33-42e9511ef462";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:22:"Testimonials - Masonry";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:30:"internal:/testimonials-masonry";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338776";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-79";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"104";s:8:"revision";s:3:"104";s:4:"uuid";s:36:"dfe4e87c-b750-4274-8a33-42e9511ef462";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:22:"Testimonials - Masonry";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"104";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:109', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"109";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"109";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"27773c78-6e23-4e95-a49a-ce29c10d1739";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"Testimonials - Grid 2";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:30:"internal:/testimonials-3-col-2";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338764";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-81";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"109";s:8:"revision";s:3:"109";s:4:"uuid";s:36:"27773c78-6e23-4e95-a49a-ce29c10d1739";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:21:"Testimonials - Grid 2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"109";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:11', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"11";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"11";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d2dbe641-ddd9-49a5-ac0d-73cfa65ec2f2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Slideshow - Full Screen";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/17";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1505469205";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"11";s:8:"revision";s:2:"11";s:4:"uuid";s:36:"d2dbe641-ddd9-49a5-ac0d-73cfa65ec2f2";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Slideshow - Full Screen";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"11";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:110', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"110";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"110";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"628f53d2-9894-41e9-8258-3ee56ac5e123";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:20:"Alternative header 2";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/53";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611360";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-92";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"110";s:8:"revision";s:3:"110";s:4:"uuid";s:36:"628f53d2-9894-41e9-8258-3ee56ac5e123";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:20:"Alternative header 2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"110";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:111', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"111";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"111";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"529004c5-ee96-4898-91c1-c96f2d69141f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:18:"Alternative header";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611766";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-90";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"111";s:8:"revision";s:3:"111";s:4:"uuid";s:36:"529004c5-ee96-4898-91c1-c96f2d69141f";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:18:"Alternative header";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"111";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:115', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"115";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"115";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d5a57270-ad64-4078-9ae4-2fa74c473d09";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:29:"Static - Call to Action block";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1505469293";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"115";s:8:"revision";s:3:"115";s:4:"uuid";s:36:"d5a57270-ad64-4078-9ae4-2fa74c473d09";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:29:"Static - Call to Action block";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"115";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:118', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"118";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"118";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"6062f6ce-04c0-4c72-b574-839305ea7ada";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:16:"Additional Pages";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-96";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"118";s:8:"revision";s:3:"118";s:4:"uuid";s:36:"6062f6ce-04c0-4c72-b574-839305ea7ada";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:16:"Additional Pages";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"118";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:12', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"12";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"12";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"aac7ac25-9547-42a5-97b3-4d6ad5a19734";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:22:"Slideshow - Full Width";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/59";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1484678368";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"12";s:8:"revision";s:2:"12";s:4:"uuid";s:36:"aac7ac25-9547-42a5-97b3-4d6ad5a19734";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:22:"Slideshow - Full Width";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"12";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:120', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"120";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"120";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"50a0e873-392f-47d7-9ac8-7fdc2313fffc";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:19:"Alternative Footers";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486463175";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-89";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"120";s:8:"revision";s:3:"120";s:4:"uuid";s:36:"50a0e873-392f-47d7-9ac8-7fdc2313fffc";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:19:"Alternative Footers";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"120";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:121', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"121";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"121";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Services";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/services-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670647";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"121";s:8:"revision";s:3:"121";s:4:"uuid";s:36:"78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Services";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"121";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:122', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"122";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"122";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9c6c595e-a457-4583-bb16-1c43c80f6598";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Services - First Column";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:39:"internal:/services-3-col/services-2-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486671131";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"122";s:8:"revision";s:3:"122";s:4:"uuid";s:36:"9c6c595e-a457-4583-bb16-1c43c80f6598";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Services - First Column";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"122";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:123', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"123";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"123";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c3cf9603-75d2-4750-bf01-8d3fa4d091f1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"First Service";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:38:"internal:/services-3-col/first-service";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"123";s:8:"revision";s:3:"123";s:4:"uuid";s:36:"c3cf9603-75d2-4750-bf01-8d3fa4d091f1";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"First Service";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"123";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:124', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"124";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"124";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"77e4b263-d12a-4e53-8812-4e80a6ce5942";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:14:"Second Service";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:39:"internal:/services-3-col/second-service";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"124";s:8:"revision";s:3:"124";s:4:"uuid";s:36:"77e4b263-d12a-4e53-8812-4e80a6ce5942";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:14:"Second Service";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"124";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0');
INSERT INTO `cache_entity` VALUES
('values:menu_link_content:125', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"125";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"125";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"636cd3bc-86c2-497a-b53e-c093a9fd09c4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Third Service";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:23:"internal:/third-service";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"125";s:8:"revision";s:3:"125";s:4:"uuid";s:36:"636cd3bc-86c2-497a-b53e-c093a9fd09c4";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Third Service";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"125";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:126', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"126";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"126";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"69b1c99b-1625-45a1-9c08-c9323fe184a9";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:14:"Fourth Service";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:39:"internal:/services-3-col/fourth-service";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"126";s:8:"revision";s:3:"126";s:4:"uuid";s:36:"69b1c99b-1625-45a1-9c08-c9323fe184a9";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:14:"Fourth Service";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"126";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:127', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"127";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"127";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"8ba02371-4d02-4f94-a50c-1eca14192dc2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:24:"Services - Second Column";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/services-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486671141";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"127";s:8:"revision";s:3:"127";s:4:"uuid";s:36:"8ba02371-4d02-4f94-a50c-1eca14192dc2";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:24:"Services - Second Column";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"127";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:128', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"128";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"128";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9723492c-1562-4b50-a072-7591560ea73d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Fifth Service";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:38:"internal:/services-3-col/fifth-service";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"128";s:8:"revision";s:3:"128";s:4:"uuid";s:36:"9723492c-1562-4b50-a072-7591560ea73d";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Fifth Service";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"128";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:129', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"129";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"129";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c112ad51-86f9-4817-a6dc-e36b04a20b46";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Sixth Service";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:38:"internal:/services-3-col/sixth-service";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"129";s:8:"revision";s:3:"129";s:4:"uuid";s:36:"c112ad51-86f9-4817-a6dc-e36b04a20b46";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Sixth Service";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"129";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:13', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"13";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"13";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"819ad9da-c46a-41a9-9d32-2943791ce48b";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Features";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/2";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465586186";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:6:"footer";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"13";s:8:"revision";s:2:"13";s:4:"uuid";s:36:"819ad9da-c46a-41a9-9d32-2943791ce48b";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Features";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"13";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:130', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"130";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"130";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"0dddf63f-8702-4e97-8a12-91604468968e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:16:"Services Isotope";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:26:"internal:/services-isotope";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"130";s:8:"revision";s:3:"130";s:4:"uuid";s:36:"0dddf63f-8702-4e97-8a12-91604468968e";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:16:"Services Isotope";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"130";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:131', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"131";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"131";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e40bc484-f1ca-4d41-95f5-c14c1c75731c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Services List";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:23:"internal:/services-list";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670545";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"131";s:8:"revision";s:3:"131";s:4:"uuid";s:36:"e40bc484-f1ca-4d41-95f5-c14c1c75731c";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Services List";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"131";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:132', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"132";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"132";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"35356869-6cc7-4780-aec3-495ad4906b4d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Products";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/products-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670662";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"132";s:8:"revision";s:3:"132";s:4:"uuid";s:36:"35356869-6cc7-4780-aec3-495ad4906b4d";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Products";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"132";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:133', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"133";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"133";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"30680075-2a20-4ce9-bdb4-b0dd21dc1e95";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:9:"Showcases";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:25:"internal:/showcases-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670662";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"133";s:8:"revision";s:3:"133";s:4:"uuid";s:36:"30680075-2a20-4ce9-bdb4-b0dd21dc1e95";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:9:"Showcases";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"133";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:134', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"134";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"134";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9125f74a-30ce-48ee-a3a9-e5c92d614f82";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:5:"About";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:/about-us";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670662";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"134";s:8:"revision";s:3:"134";s:4:"uuid";s:36:"9125f74a-30ce-48ee-a3a9-e5c92d614f82";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:5:"About";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"134";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:135', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"135";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"135";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b8282728-08a0-49df-a3bb-5e7a9eeb7a88";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Features";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:20:"internal:/shortcodes";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670662";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-46";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"135";s:8:"revision";s:3:"135";s:4:"uuid";s:36:"b8282728-08a0-49df-a3bb-5e7a9eeb7a88";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Features";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"135";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:136', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"136";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"136";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"613bc0cf-f6fd-43b7-b74c-d28650a45368";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:7:"Contact";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/contact";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670662";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:12:"mt-mega-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-45";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"136";s:8:"revision";s:3:"136";s:4:"uuid";s:36:"613bc0cf-f6fd-43b7-b74c-d28650a45368";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:7:"Contact";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"136";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:137', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"137";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"137";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b15e8053-394a-4127-917c-29d9f4821388";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:9:"Mega Menu";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:19:"internal:/mega-menu";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611766";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-88";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"137";s:8:"revision";s:3:"137";s:4:"uuid";s:36:"b15e8053-394a-4127-917c-29d9f4821388";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:9:"Mega Menu";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"137";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:139', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"139";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"139";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"992d67ca-2c8a-4c22-afd9-7ce75542504e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Pricing Tables (Static)";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/62";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1499245468";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"139";s:8:"revision";s:3:"139";s:4:"uuid";s:36:"992d67ca-2c8a-4c22-afd9-7ce75542504e";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Pricing Tables (Static)";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"139";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:141', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"141";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"141";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d18a5e03-6a2b-4e4d-bb47-9dd5e1208ce0";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:7:"Gallery";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:#content-bottom";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516883682";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:23:"landing-page-navigation";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"141";s:8:"revision";s:3:"141";s:4:"uuid";s:36:"d18a5e03-6a2b-4e4d-bb47-9dd5e1208ce0";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:7:"Gallery";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"141";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:142', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"142";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"142";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"646a9bf3-02b0-40e5-a32c-1633c607e6d7";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Speakers";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:#featured";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516883582";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:23:"landing-page-navigation";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"142";s:8:"revision";s:3:"142";s:4:"uuid";s:36:"646a9bf3-02b0-40e5-a32c-1633c607e6d7";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Speakers";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"142";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:143', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"143";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"143";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"6cd9d972-5ec3-41c1-ab9e-bd7c9da308c7";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Sponsors";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:21:"internal:#highlighted";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516883682";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:23:"landing-page-navigation";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-46";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"143";s:8:"revision";s:3:"143";s:4:"uuid";s:36:"6cd9d972-5ec3-41c1-ab9e-bd7c9da308c7";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Sponsors";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"143";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0');
INSERT INTO `cache_entity` VALUES
('values:menu_link_content:144', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"144";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"144";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"620a77e8-7f6a-439d-8bff-3073d09e9a5d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:4:"News";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:25:"internal:#highlighted-top";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516883682";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:23:"landing-page-navigation";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"144";s:8:"revision";s:3:"144";s:4:"uuid";s:36:"620a77e8-7f6a-439d-8bff-3073d09e9a5d";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:4:"News";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"144";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:145', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"145";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"145";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"311318c2-6a78-4f3d-b231-4a039894a343";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Landing Page";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/63";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1499269536";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"145";s:8:"revision";s:3:"145";s:4:"uuid";s:36:"311318c2-6a78-4f3d-b231-4a039894a343";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:12:"Landing Page";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"145";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:146', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"146";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"146";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"3ebb6549-59dd-4434-ada0-cd9247827dd2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Style Guide";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:21:"internal:/style-guide";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1509472798";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:20:"mt-footer-menu-three";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"146";s:8:"revision";s:3:"146";s:4:"uuid";s:36:"3ebb6549-59dd-4434-ada0-cd9247827dd2";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Style Guide";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"146";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:147', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"147";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"147";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9214ce65-ffa1-408c-ae8d-76fde4380101";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Features";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:22:"internal:#featured-top";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516883682";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:23:"landing-page-navigation";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"147";s:8:"revision";s:3:"147";s:4:"uuid";s:36:"9214ce65-ffa1-408c-ae8d-76fde4380101";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Features";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"147";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:148', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"148";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"148";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"5b42e52b-11c0-4b0c-adca-55ac10e758aa";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:9:"Subscribe";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:20:"internal:#footer-top";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516883682";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:23:"landing-page-navigation";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-45";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"148";s:8:"revision";s:3:"148";s:4:"uuid";s:36:"5b42e52b-11c0-4b0c-adca-55ac10e758aa";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:9:"Subscribe";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"148";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:149', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"149";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"149";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"6b0c0519-d617-4b85-87ee-60645657efef";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:6:"Events";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/events";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741114";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-96";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"149";s:8:"revision";s:3:"149";s:4:"uuid";s:36:"6b0c0519-d617-4b85-87ee-60645657efef";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:6:"Events";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"149";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:15', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"15";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"15";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ff0055e1-2453-4bda-9436-0473cabce714";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:4:"Home";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465586226";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:6:"footer";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"15";s:8:"revision";s:2:"15";s:4:"uuid";s:36:"ff0055e1-2453-4bda-9436-0473cabce714";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:4:"Home";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"15";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:150', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"150";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"150";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"31546571-3294-4362-a08f-fb0fd0115c9d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:18:"Events - 3 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:22:"internal:/events-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611960";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-94";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"150";s:8:"revision";s:3:"150";s:4:"uuid";s:36:"31546571-3294-4362-a08f-fb0fd0115c9d";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:18:"Events - 3 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"150";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:151', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"151";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"151";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"5558911e-ba7c-4c9e-9ed2-e35567693508";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:18:"Events - 2 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:22:"internal:/events-2-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611960";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-95";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"151";s:8:"revision";s:3:"151";s:4:"uuid";s:36:"5558911e-ba7c-4c9e-9ed2-e35567693508";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:18:"Events - 2 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"151";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:152', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"152";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"152";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"f0df3a78-8db5-465b-a22c-dcfdff6a56da";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Presentations";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:23:"internal:/presentations";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741114";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-97";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"152";s:8:"revision";s:3:"152";s:4:"uuid";s:36:"f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Presentations";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"152";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:154', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"154";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"154";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"bbd49726-99c2-4550-8d07-98c2a8537880";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:25:"Presentations - 3 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:29:"internal:/presentations-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521564694";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"154";s:8:"revision";s:3:"154";s:4:"uuid";s:36:"bbd49726-99c2-4550-8d07-98c2a8537880";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:25:"Presentations - 3 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"154";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:155', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"155";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"155";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"56b0d28d-f3ce-458c-9923-9bef3deed0f9";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Sponsors";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:/sponsors";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521136842";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-95";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"155";s:8:"revision";s:3:"155";s:4:"uuid";s:36:"56b0d28d-f3ce-458c-9923-9bef3deed0f9";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Sponsors";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"155";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:156', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"156";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"156";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"4618e30d-7fd6-4972-ac8d-bfde8b236485";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Speakers";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:/speakers";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741114";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-98";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"156";s:8:"revision";s:3:"156";s:4:"uuid";s:36:"4618e30d-7fd6-4972-ac8d-bfde8b236485";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Speakers";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"156";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.220', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:158', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:3:"158";}s:11:"revision_id";a:1:{s:9:"x-default";s:3:"158";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a030d70e-aca1-406a-b486-7cc0af36e492";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:7:"Program";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/program";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741114";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-99";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:3:"158";s:8:"revision";s:3:"158";s:4:"uuid";s:36:"a030d70e-aca1-406a-b486-7cc0af36e492";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:7:"Program";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"158";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.220', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:16', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"16";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"16";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"7c08d680-4d48-471f-92ae-efed8cbe00b6";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Typography";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/1";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465586244";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:6:"footer";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"16";s:8:"revision";s:2:"16";s:4:"uuid";s:36:"7c08d680-4d48-471f-92ae-efed8cbe00b6";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:10:"Typography";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"16";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:19', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"19";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"19";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"150fae1b-8c12-4f20-812b-680ce5cc429a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Typography";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/1";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465587232";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:17:"mt-subfooter-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"19";s:8:"revision";s:2:"19";s:4:"uuid";s:36:"150fae1b-8c12-4f20-812b-680ce5cc429a";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:10:"Typography";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"19";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:20', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"20";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"20";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"7b33e2ce-9ae0-422a-9b4c-9a8fa296981f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Features";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/2";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465587232";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:17:"mt-subfooter-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"20";s:8:"revision";s:2:"20";s:4:"uuid";s:36:"7b33e2ce-9ae0-422a-9b4c-9a8fa296981f";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Features";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"20";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:21', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"21";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"21";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"bc25bc25-3670-4c2f-9559-4d8ce6b952a6";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:7:"Contact";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/contact";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465587232";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:17:"mt-subfooter-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-46";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"21";s:8:"revision";s:2:"21";s:4:"uuid";s:36:"bc25bc25-3670-4c2f-9559-4d8ce6b952a6";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:7:"Contact";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"21";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0');
INSERT INTO `cache_entity` VALUES
('values:menu_link_content:22', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"22";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"22";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"14496e50-e17c-4842-b670-d720ed26b3e9";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:4:"Home";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465587226";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:17:"mt-subfooter-menu";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"22";s:8:"revision";s:2:"22";s:4:"uuid";s:36:"14496e50-e17c-4842-b670-d720ed26b3e9";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:4:"Home";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"22";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:23', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"23";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"23";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ff13cfc3-b32c-48a3-b135-8529d5dd12f1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Accommodation";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/accommodations";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741008";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-96";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"23";s:8:"revision";s:2:"23";s:4:"uuid";s:36:"ff13cfc3-b32c-48a3-b135-8529d5dd12f1";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Accommodation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"23";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:24', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"24";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"24";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"6ca70e43-62d1-45ab-bceb-2bd9e449bc80";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:26:"Accommodations - 2 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:30:"internal:/accommodations-2-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513854";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-88";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"24";s:8:"revision";s:2:"24";s:4:"uuid";s:36:"6ca70e43-62d1-45ab-bceb-2bd9e449bc80";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:26:"Accommodations - 2 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"24";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:25', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"25";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"25";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c61d6cf1-9d36-48d3-9aad-eba9971fc5a1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:26:"Accommodations - 3 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/accommodations";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521136976";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-87";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"25";s:8:"revision";s:2:"25";s:4:"uuid";s:36:"c61d6cf1-9d36-48d3-9aad-eba9971fc5a1";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:26:"Accommodations - 3 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"25";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:26', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"26";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"26";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"58a26d4a-d78e-449a-9938-7a5351fe4644";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:26:"Accommodations - 4 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:30:"internal:/accommodations-4-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513860";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-86";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"26";s:8:"revision";s:2:"26";s:4:"uuid";s:36:"58a26d4a-d78e-449a-9938-7a5351fe4644";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:26:"Accommodations - 4 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"26";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:27', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"27";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"27";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ff9a11ff-f17d-4a50-834e-6baf68dbb119";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 1";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/9";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520442712";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"27";s:8:"revision";s:2:"27";s:4:"uuid";s:36:"ff9a11ff-f17d-4a50-834e-6baf68dbb119";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"27";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:28', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"28";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"28";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"dace7424-33df-4648-9f9f-2ad1eeca9079";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 2";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/8";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520442717";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"28";s:8:"revision";s:2:"28";s:4:"uuid";s:36:"dace7424-33df-4648-9f9f-2ad1eeca9079";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"28";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:29', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"29";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"29";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"54900fd2-9dc8-4c1a-8609-14d2001f244b";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 3";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/7";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520442722";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"29";s:8:"revision";s:2:"29";s:4:"uuid";s:36:"54900fd2-9dc8-4c1a-8609-14d2001f244b";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"29";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:3', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:1:"3";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"3";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"619f6fb8-9500-4e06-9d96-c99657a5a3c3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:7:"Contact";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/contact";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521029487";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-93";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:1:"3";s:8:"revision";s:1:"3";s:4:"uuid";s:36:"619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:7:"Contact";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"3";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:30', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"30";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"30";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"be7b613a-6626-466c-80c4-dea9a4c336e3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 4";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/6";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520442727";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"30";s:8:"revision";s:2:"30";s:4:"uuid";s:36:"be7b613a-6626-466c-80c4-dea9a4c336e3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"30";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:31', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"31";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"31";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d69f1890-a005-48af-a01a-87dedcb06adf";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Merchandise";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:21:"internal:/merchandise";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741008";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-95";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"31";s:8:"revision";s:2:"31";s:4:"uuid";s:36:"d69f1890-a005-48af-a01a-87dedcb06adf";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Merchandise";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"31";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:32', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"32";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"32";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"35cba033-55ae-4e59-8ef1-93e1bd6b72e4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Merchandise - 2 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:27:"internal:/merchandise-2-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520531695";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-78";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"32";s:8:"revision";s:2:"32";s:4:"uuid";s:36:"35cba033-55ae-4e59-8ef1-93e1bd6b72e4";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Merchandise - 2 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"32";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:33', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"33";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"33";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d11ff201-ce68-476d-b3c7-078f68c5ac37";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Merchandise - 3 columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:21:"internal:/merchandise";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521136990";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-76";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"33";s:8:"revision";s:2:"33";s:4:"uuid";s:36:"d11ff201-ce68-476d-b3c7-078f68c5ac37";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Merchandise - 3 columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"33";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:34', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"34";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"34";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"30062ec7-50ae-4f75-94c7-78a958ef8a92";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Merchandise - 4 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:27:"internal:/merchandise-4-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520531703";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-75";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"34";s:8:"revision";s:2:"34";s:4:"uuid";s:36:"30062ec7-50ae-4f75-94c7-78a958ef8a92";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Merchandise - 4 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"34";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:35', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"35";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"35";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9a7cc794-b7c2-4c34-abdb-41ed4d5a00e8";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"First T-shirt";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/23";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520440485";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"35";s:8:"revision";s:2:"35";s:4:"uuid";s:36:"9a7cc794-b7c2-4c34-abdb-41ed4d5a00e8";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"First T-shirt";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"35";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:36', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"36";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"36";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"91eff73f-c8fc-43c3-be2e-1d1021b31b94";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:14:"Second T-shirt";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/22";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520440498";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"36";s:8:"revision";s:2:"36";s:4:"uuid";s:36:"91eff73f-c8fc-43c3-be2e-1d1021b31b94";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:14:"Second T-shirt";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"36";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:37', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"37";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"37";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e61eab73-2915-4717-a269-71c754fe1d1d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Longsleeve";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/21";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520440511";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"37";s:8:"revision";s:2:"37";s:4:"uuid";s:36:"e61eab73-2915-4717-a269-71c754fe1d1d";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:10:"Longsleeve";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"37";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:38', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"38";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"38";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"aa6234db-421d-4b9c-88ab-d52f67396385";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:6:"Hoodie";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/20";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520440520";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"38";s:8:"revision";s:2:"38";s:4:"uuid";s:36:"aa6234db-421d-4b9c-88ab-d52f67396385";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:6:"Hoodie";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"38";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0');
INSERT INTO `cache_entity` VALUES
('values:menu_link_content:39', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"39";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"39";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"adf7f4d2-ffc5-45fb-b354-47a136fb8f79";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Photo Albums";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/albums";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741076";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-97";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"39";s:8:"revision";s:2:"39";s:4:"uuid";s:36:"adf7f4d2-ffc5-45fb-b354-47a136fb8f79";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:12:"Photo Albums";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"39";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:4', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:1:"4";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"4";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b71ef69d-3e76-4aeb-9dbd-cdd461c28187";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Shortcodes";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/2";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-93";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:1:"4";s:8:"revision";s:1:"4";s:4:"uuid";s:36:"b71ef69d-3e76-4aeb-9dbd-cdd461c28187";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:10:"Shortcodes";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"4";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:40', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"40";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"40";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"1ffa5919-0721-44cc-81a0-0ed8ae8cbe8b";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:24:"Photo Albums - 2 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:22:"internal:/albums-2-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741059";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-79";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"40";s:8:"revision";s:2:"40";s:4:"uuid";s:36:"1ffa5919-0721-44cc-81a0-0ed8ae8cbe8b";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:24:"Photo Albums - 2 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"40";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:41', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"41";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"41";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ce0423a4-8e5b-41bc-bc6b-7ebf92480565";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:24:"Photo Albums - 3 Columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/albums";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741062";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-78";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"41";s:8:"revision";s:2:"41";s:4:"uuid";s:36:"ce0423a4-8e5b-41bc-bc6b-7ebf92480565";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:24:"Photo Albums - 3 Columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"41";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:43', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"43";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"43";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a47935fa-6da5-4f2b-a1cc-f22110b535f3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"First Album";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/81";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520606616";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"43";s:8:"revision";s:2:"43";s:4:"uuid";s:36:"a47935fa-6da5-4f2b-a1cc-f22110b535f3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"First Album";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"43";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:44', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"44";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"44";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9a6aeb08-fa1d-45ff-8bff-735206f163e7";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Second Album";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/80";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520606633";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"44";s:8:"revision";s:2:"44";s:4:"uuid";s:36:"9a6aeb08-fa1d-45ff-8bff-735206f163e7";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:12:"Second Album";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"44";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:45', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"45";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"45";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ed3ae2f3-4b6a-4ca8-b49a-33e726e0b091";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Third Album";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/79";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520606656";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"45";s:8:"revision";s:2:"45";s:4:"uuid";s:36:"ed3ae2f3-4b6a-4ca8-b49a-33e726e0b091";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Third Album";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"45";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:46', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"46";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"46";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"58b51955-7a6c-4cdc-a3a7-e8cc9f9451b1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Fourth Album";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/78";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520606674";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"46";s:8:"revision";s:2:"46";s:4:"uuid";s:36:"58b51955-7a6c-4cdc-a3a7-e8cc9f9451b1";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:12:"Fourth Album";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"46";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:47', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"47";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"47";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"4c5d8134-1740-4203-ac12-0f8a99e2d5c2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Testimonials";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:22:"internal:/testimonials";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-90";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"47";s:8:"revision";s:2:"47";s:4:"uuid";s:36:"4c5d8134-1740-4203-ac12-0f8a99e2d5c2";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:12:"Testimonials";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"47";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:48', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"48";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"48";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c5d1ad7c-9f51-4739-a1bb-2a314cf4fa5e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:22:"Photo Albums - Isotope";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/albums-isotope";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521741071";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-75";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"48";s:8:"revision";s:2:"48";s:4:"uuid";s:36:"c5d1ad7c-9f51-4739-a1bb-2a314cf4fa5e";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:22:"Photo Albums - Isotope";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"48";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:49', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"49";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"49";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d728e857-6891-40ce-982b-38166d6ae9eb";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:24:"Accommodations - Isotope";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:32:"internal:/accommodations-isotope";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513865";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-85";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"49";s:8:"revision";s:2:"49";s:4:"uuid";s:36:"d728e857-6891-40ce-982b-38166d6ae9eb";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:24:"Accommodations - Isotope";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"49";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:50', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"50";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"50";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e493b484-6770-4386-80a9-b04d0ad1be22";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"Merchandise - Isotope";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:29:"internal:/merchandise-isotope";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520531707";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-74";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"50";s:8:"revision";s:2:"50";s:4:"uuid";s:36:"e493b484-6770-4386-80a9-b04d0ad1be22";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:21:"Merchandise - Isotope";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"50";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:51', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"51";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"51";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a264aad3-3826-482d-8e27-8b95eb25bd12";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:19:"Alternative Contact";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:29:"internal:/contact/alternative";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486463175";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-88";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"51";s:8:"revision";s:2:"51";s:4:"uuid";s:36:"a264aad3-3826-482d-8e27-8b95eb25bd12";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:19:"Alternative Contact";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"51";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:52', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"52";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"52";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"74a12bfb-fecb-4c33-af66-8f2648611ce3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:15:"Responsive Grid";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/36";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-89";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"52";s:8:"revision";s:2:"52";s:4:"uuid";s:36:"74a12bfb-fecb-4c33-af66-8f2648611ce3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:15:"Responsive Grid";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"52";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:53', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"53";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"53";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"6389ddae-6271-4615-9295-61674f44b990";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:17:"Grid - No Sidebar";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/36";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1479213330";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-83";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"53";s:8:"revision";s:2:"53";s:4:"uuid";s:36:"6389ddae-6271-4615-9295-61674f44b990";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:17:"Grid - No Sidebar";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"53";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:54', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"54";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"54";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"14aa4e63-6a31-4c10-b3f2-456555e8877d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:19:"Grid - With Sidebar";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/37";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1479213330";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-82";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"54";s:8:"revision";s:2:"54";s:4:"uuid";s:36:"14aa4e63-6a31-4c10-b3f2-456555e8877d";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:19:"Grid - With Sidebar";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"54";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:55', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"55";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"55";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"fe0fa09b-181f-4cef-9ad8-a297162ce3bc";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:16:"Internal Layouts";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/9";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-97";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"55";s:8:"revision";s:2:"55";s:4:"uuid";s:36:"fe0fa09b-181f-4cef-9ad8-a297162ce3bc";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:16:"Internal Layouts";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"55";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:57', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"57";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"57";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b700fea9-6998-421d-84e7-3f659bf73f4f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"One sidebar";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/9";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1472059850";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-57";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"57";s:8:"revision";s:2:"57";s:4:"uuid";s:36:"b700fea9-6998-421d-84e7-3f659bf73f4f";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"One sidebar";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"57";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0');
INSERT INTO `cache_entity` VALUES
('values:menu_link_content:58', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"58";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"58";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"98c995be-c2d9-4813-a9a7-e714edf59114";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Two sidebars";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/5";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1472059850";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-55";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"58";s:8:"revision";s:2:"58";s:4:"uuid";s:36:"98c995be-c2d9-4813-a9a7-e714edf59114";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:12:"Two sidebars";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"58";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:59', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"59";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"59";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ea018f77-4dd8-48ff-8930-10b0ce2e9084";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:18:"Page with comments";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/15";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1472059850";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-56";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"59";s:8:"revision";s:2:"59";s:4:"uuid";s:36:"ea018f77-4dd8-48ff-8930-10b0ce2e9084";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:18:"Page with comments";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"59";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:6', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:1:"6";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"6";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"46d71c54-fa86-4922-832e-5b85197258b2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:5:"About";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:/about-us";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521029487";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-95";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:1:"6";s:8:"revision";s:1:"6";s:4:"uuid";s:36:"46d71c54-fa86-4922-832e-5b85197258b2";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:5:"About";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"6";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:60', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"60";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"60";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9a8899a4-6547-40ac-a043-c2547e167918";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:6:"Videos";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/videos";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-88";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"60";s:8:"revision";s:2:"60";s:4:"uuid";s:36:"9a8899a4-6547-40ac-a043-c2547e167918";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:6:"Videos";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"60";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:61', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"61";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"61";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9db72736-10bd-4f84-b110-08423df4e416";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Articles";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:/articles";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-91";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"61";s:8:"revision";s:2:"61";s:4:"uuid";s:36:"9db72736-10bd-4f84-b110-08423df4e416";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Articles";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"61";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:63', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"63";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"63";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e17c1216-c7e8-444a-bfec-5139b1f2a9a2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:18:"Merchandise - List";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:26:"internal:/merchandise-list";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338734";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-73";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"63";s:8:"revision";s:2:"63";s:4:"uuid";s:36:"e17c1216-c7e8-444a-bfec-5139b1f2a9a2";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:18:"Merchandise - List";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"63";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:64', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"64";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"64";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"cf7b31c8-2f90-432b-877b-9203b12b1f8d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"Accommodations - List";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:29:"internal:/accommodations-list";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338729";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-84";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"64";s:8:"revision";s:2:"64";s:4:"uuid";s:36:"cf7b31c8-2f90-432b-877b-9203b12b1f8d";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:21:"Accommodations - List";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"64";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:65', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"65";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"65";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"0bb8fa3f-64cc-4084-9f09-a75a2d49e89a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:20:"Articles - 2 columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/articles-2-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611766";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-93";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"65";s:8:"revision";s:2:"65";s:4:"uuid";s:36:"0bb8fa3f-64cc-4084-9f09-a75a2d49e89a";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:20:"Articles - 2 columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"65";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:66', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"66";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"66";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b2aa9ae0-8454-4247-806d-e07ce9b9ee7c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:20:"Articles - 3 columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/articles-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611766";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-92";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"66";s:8:"revision";s:2:"66";s:4:"uuid";s:36:"b2aa9ae0-8454-4247-806d-e07ce9b9ee7c";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:20:"Articles - 3 columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"66";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:67', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"67";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"67";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e513ba0a-7451-468b-b56e-9d6c44f7946c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:20:"Articles - 4 columns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/articles-4-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611766";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-91";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"67";s:8:"revision";s:2:"67";s:4:"uuid";s:36:"e513ba0a-7451-468b-b56e-9d6c44f7946c";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:20:"Articles - 4 columns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"67";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:68', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"68";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"68";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"cd2e6dc8-d6f0-4677-9e13-f826adf4333c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:18:"Articles - teasers";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:/articles";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338755";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-87";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"68";s:8:"revision";s:2:"68";s:4:"uuid";s:36:"cd2e6dc8-d6f0-4677-9e13-f826adf4333c";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:18:"Articles - teasers";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"68";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:69', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"69";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"69";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"6b617081-dd99-41cd-b895-9c4d730a7c06";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:15:"Articles - list";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:23:"internal:/articles-list";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338744";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-90";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"69";s:8:"revision";s:2:"69";s:4:"uuid";s:36:"6b617081-dd99-41cd-b895-9c4d730a7c06";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:15:"Articles - list";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"69";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:7', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:1:"7";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"7";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"Features";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:16:"internal:/node/2";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521029487";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-94";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:1:"7";s:8:"revision";s:1:"7";s:4:"uuid";s:36:"ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:8:"Features";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"7";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:70', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"70";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"70";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"bf6e2e6e-719c-4d0f-9c58-652c6dff4573";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Help Support";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:21:"internal:/style-guide";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1471887374";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:18:"mt-footer-menu-two";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"70";s:8:"revision";s:2:"70";s:4:"uuid";s:36:"bf6e2e6e-719c-4d0f-9c58-652c6dff4573";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:12:"Help Support";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"70";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:71', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"71";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"71";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"39b3c326-cbfc-4ba6-b0ff-fb189687221a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Track Order";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/contact";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1471887374";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:18:"mt-footer-menu-two";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-47";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"71";s:8:"revision";s:2:"71";s:4:"uuid";s:36:"39b3c326-cbfc-4ba6-b0ff-fb189687221a";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Track Order";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"71";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:72', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"72";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"72";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"33cf538c-c38c-4b93-9647-3ff85adcde4c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:7:"Returns";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/contact";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1471887374";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:18:"mt-footer-menu-two";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"72";s:8:"revision";s:2:"72";s:4:"uuid";s:36:"33cf538c-c38c-4b93-9647-3ff85adcde4c";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:7:"Returns";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"72";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:73', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"73";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"73";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"91b616bb-a24a-4829-b510-71b79daa22d4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Shipping Info";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:20:"internal:/shortcodes";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1471887374";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:18:"mt-footer-menu-two";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"73";s:8:"revision";s:2:"73";s:4:"uuid";s:36:"91b616bb-a24a-4829-b510-71b79daa22d4";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Shipping Info";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"73";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:74', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"74";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"74";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"47123056-5045-42bd-9fd8-524e872e201e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:4:"FAQs";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:13:"internal:/faq";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1472044034";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:18:"mt-footer-menu-two";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-46";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"74";s:8:"revision";s:2:"74";s:4:"uuid";s:36:"47123056-5045-42bd-9fd8-524e872e201e";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:4:"FAQs";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"74";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0');
INSERT INTO `cache_entity` VALUES
('values:menu_link_content:75', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"75";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"75";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c8fd0bcc-25fe-4f82-88fb-4753ef1511bc";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Shortcodes";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:20:"internal:/shortcodes";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1509472798";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:20:"mt-footer-menu-three";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-48";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"75";s:8:"revision";s:2:"75";s:4:"uuid";s:36:"c8fd0bcc-25fe-4f82-88fb-4753ef1511bc";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:10:"Shortcodes";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"75";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:76', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"76";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"76";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"98ce31d5-5281-48ff-a951-e361ad538153";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:4:"Blog";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:18:"internal:/articles";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1509472798";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:20:"mt-footer-menu-three";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-49";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"76";s:8:"revision";s:2:"76";s:4:"uuid";s:36:"98ce31d5-5281-48ff-a951-e361ad538153";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:4:"Blog";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"76";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:78', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"78";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"78";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"cb3ba90d-f7a6-4c09-aa1f-1ad4975c76a2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:7:"Contact";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/contact";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1509472798";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:20:"mt-footer-menu-three";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-46";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"78";s:8:"revision";s:2:"78";s:4:"uuid";s:36:"cb3ba90d-f7a6-4c09-aa1f-1ad4975c76a2";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:7:"Contact";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"78";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:79', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"79";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"79";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"fa6c18d9-3d2f-47be-b8c2-7772f0d3c31f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:5:"Login";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:20:"internal:/user/login";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520421684";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:20:"mt-footer-menu-three";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-50";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";N;}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"79";s:8:"revision";s:2:"79";s:4:"uuid";s:36:"fa6c18d9-3d2f-47be-b8c2-7772f0d3c31f";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:5:"Login";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"79";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:8', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:1:"8";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"8";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d885efac-4a83-4c84-bc8f-68f41300bacd";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"Alternative Homepages";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/16";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486463175";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-91";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:1:"8";s:8:"revision";s:1:"8";s:4:"uuid";s:36:"d885efac-4a83-4c84-bc8f-68f41300bacd";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:21:"Alternative Homepages";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"8";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:80', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"80";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"80";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"233c90c6-cf4c-445f-918e-98996a936196";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:3:"FAQ";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:13:"internal:/faq";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486463175";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-87";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"80";s:8:"revision";s:2:"80";s:4:"uuid";s:36:"233c90c6-cf4c-445f-918e-98996a936196";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:3:"FAQ";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"80";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:81', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"81";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"81";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"83b37503-f515-42e6-9276-3c3667c07a5a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"Merchandise - Masonry";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:29:"internal:/merchandise-masonry";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338738";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-72";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"81";s:8:"revision";s:2:"81";s:4:"uuid";s:36:"83b37503-f515-42e6-9276-3c3667c07a5a";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:21:"Merchandise - Masonry";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"81";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:83', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"83";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"83";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2e02705b-3329-4f5e-b2fc-6c4bc6a686f3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:19:"Alternative Headers";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:10:"internal:/";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486463175";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-90";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"83";s:8:"revision";s:2:"83";s:4:"uuid";s:36:"2e02705b-3329-4f5e-b2fc-6c4bc6a686f3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:19:"Alternative Headers";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"83";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:84', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"84";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"84";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"420b8104-48c7-4570-b3b8-bd30a38f6043";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"CtA navigation header";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/17";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611766";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-89";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"84";s:8:"revision";s:2:"84";s:4:"uuid";s:36:"420b8104-48c7-4570-b3b8-bd30a38f6043";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:21:"CtA navigation header";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"84";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:86', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"86";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"86";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"456805c4-f7f2-4126-ba37-0d3ee662160e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:20:"Alternative header 3";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/40";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520611766";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-91";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"86";s:8:"revision";s:2:"86";s:4:"uuid";s:36:"456805c4-f7f2-4126-ba37-0d3ee662160e";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:20:"Alternative header 3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"86";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:87', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"87";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"87";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"74f7aa62-7466-4059-bd02-2fe75fbcfd6e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:18:"Merchandise Groups";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:28:"internal:/merchandise-groups";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520938880";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-84";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"87";s:8:"revision";s:2:"87";s:4:"uuid";s:36:"74f7aa62-7466-4059-bd02-2fe75fbcfd6e";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:18:"Merchandise Groups";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"87";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:88', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"88";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"88";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2b9bf63c-e26e-4a2b-9fbf-b12ef7ec0cc1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"John Smith";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/45";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-99";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"88";s:8:"revision";s:2:"88";s:4:"uuid";s:36:"2b9bf63c-e26e-4a2b-9fbf-b12ef7ec0cc1";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:10:"John Smith";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"88";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:89', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"89";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"89";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e111820b-4474-4d74-9849-47f82c2a4fa3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Terry Smith";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/44";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-98";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"89";s:8:"revision";s:2:"89";s:4:"uuid";s:36:"e111820b-4474-4d74-9849-47f82c2a4fa3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:11:"Terry Smith";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"89";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:9', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:1:"9";}s:11:"revision_id";a:1:{s:9:"x-default";s:1:"9";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d0ef304a-5246-4977-98a7-dfc835e2a4d8";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Slideshow - Boxed Width";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/16";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1465554673";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:1:"9";s:8:"revision";s:1:"9";s:4:"uuid";s:36:"d0ef304a-5246-4977-98a7-dfc835e2a4d8";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Slideshow - Boxed Width";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"9";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.217', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:90', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"90";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"90";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"f9da2d12-b06f-4f14-91d4-ef517018ab94";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:15:"Nikki Dickinson";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/43";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-97";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"90";s:8:"revision";s:2:"90";s:4:"uuid";s:36:"f9da2d12-b06f-4f14-91d4-ef517018ab94";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:15:"Nikki Dickinson";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"90";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:91', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"91";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"91";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"93af63bc-239a-49ca-b12d-f0958d8eeed3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Stevie Zonder";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/42";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-96";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"91";s:8:"revision";s:2:"91";s:4:"uuid";s:36:"93af63bc-239a-49ca-b12d-f0958d8eeed3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Stevie Zonder";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"91";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:92', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"92";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"92";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9803cd36-9e28-48f9-9565-c796b7718fa4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Bekki Versace";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:17:"internal:/node/41";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-95";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"92";s:8:"revision";s:2:"92";s:4:"uuid";s:36:"9803cd36-9e28-48f9-9565-c796b7718fa4";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:13:"Bekki Versace";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"92";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:93', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"93";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"93";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"d46f67bc-5e1f-4286-a9b8-41486bb6e3af";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:25:"Merchandise - Groups Grid";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:28:"internal:/merchandise-groups";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338782";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"93";s:8:"revision";s:2:"93";s:4:"uuid";s:36:"d46f67bc-5e1f-4286-a9b8-41486bb6e3af";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:25:"Merchandise - Groups Grid";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"93";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0');
INSERT INTO `cache_entity` VALUES
('values:menu_link_content:94', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"94";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"94";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"27c39f44-547f-4498-90a3-26db1e6d01f3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:28:"Merchandise - Groups Masonry";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:36:"internal:/merchandise-groups-masonry";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338788";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"94";s:8:"revision";s:2:"94";s:4:"uuid";s:36:"27c39f44-547f-4498-90a3-26db1e6d01f3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:28:"Merchandise - Groups Masonry";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"94";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:95', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"95";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"95";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"19d0386c-1e6c-41b1-824f-3f08110cef8a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:23:"Leadership & Management";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:22:"internal:/team-members";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-99";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"95";s:8:"revision";s:2:"95";s:4:"uuid";s:36:"19d0386c-1e6c-41b1-824f-3f08110cef8a";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:23:"Leadership & Management";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"95";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:96', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"96";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"96";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"57249075-93aa-40ca-ad1e-69d459470fd3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:14:"Pricing Tables";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:24:"internal:/pricing-tables";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1505318670";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-86";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"96";s:8:"revision";s:2:"96";s:4:"uuid";s:36:"57249075-93aa-40ca-ad1e-69d459470fd3";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:14:"Pricing Tables";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"96";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:97', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"97";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"97";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"87d9d3a4-f55c-4376-a1cf-0c6d8d50b2f4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:19:"Testimonials - List";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:22:"internal:/testimonials";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338770";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-80";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"97";s:8:"revision";s:2:"97";s:4:"uuid";s:36:"87d9d3a4-f55c-4376-a1cf-0c6d8d50b2f4";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:19:"Testimonials - List";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"97";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:98', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"98";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"98";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ec2a42f2-8b1f-44a8-9ad6-0a341538acdb";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:19:"Testimonials - Grid";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:28:"internal:/testimonials-3-col";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522338760";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-82";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"98";s:8:"revision";s:2:"98";s:4:"uuid";s:36:"ec2a42f2-8b1f-44a8-9ad6-0a341538acdb";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:19:"Testimonials - Grid";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"98";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.218', 1, 'entity_field_info menu_link_content_values', '0'),
('values:menu_link_content:99', 'O:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent":29:{s:15:"\0*\0entityTypeId";s:17:"menu_link_content";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:23:{s:2:"id";a:1:{s:9:"x-default";s:2:"99";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"99";}s:6:"bundle";a:1:{s:9:"x-default";s:17:"menu_link_content";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"187c2768-dfc7-453f-9924-6e34ad9526f1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:28:"Leadership & Management List";}s:11:"description";a:1:{s:9:"x-default";N;}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:27:"internal:/team-members-list";s:5:"title";s:0:"";s:7:"options";a:0:{}}}s:8:"external";a:1:{s:9:"x-default";s:1:"0";}s:7:"enabled";a:1:{s:9:"x-default";s:1:"1";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521802177";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:9:"menu_name";a:1:{s:9:"x-default";s:4:"main";}s:10:"rediscover";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-93";}s:8:"expanded";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:5:{s:6:"bundle";s:17:"menu_link_content";s:2:"id";s:2:"99";s:8:"revision";s:2:"99";s:4:"uuid";s:36:"187c2768-dfc7-453f-9924-6e34ad9526f1";s:9:"published";s:1:"1";}s:25:"\0*\0translatableEntityKeys";a:4:{s:5:"label";a:1:{s:9:"x-default";s:28:"Leadership & Management List";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"99";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:15:"\0*\0insidePlugin";b:0;}', -1, '1681649760.219', 1, 'entity_field_info menu_link_content_values', '0'),
('values:node:1', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:20:{s:3:"nid";a:1:{s:9:"x-default";s:1:"1";}s:3:"vid";a:1:{s:9:"x-default";s:1:"1";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"eea72d82-666c-4fcd-aa04-5c05e0210fb1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1464800380";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Style guide";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1464800333";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516122071";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:7320:"<p class="large">Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n\r\n<h2>Heading 2</h2>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h2><a href="#">Linked Heading 2</a></h2>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit, esse, quo distinctio dolores magni reprehenderit id est at fugiat veritatis fugit dignissimos sed ut facere molestias illo impedit. Tempora, iure!</p>\r\n\r\n<h3>Heading 3</h3>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h4>Heading 4</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h5>Heading 5</h5>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<p><a href="#">Default link</a></p>\r\n\r\n<p><a class="link--bordered" href="#">Bordered link</a></p>\r\n\r\n<p><a class="link--hover-style-2" href="#">Hover effect 2</a></p>\r\n\r\n<p><a class="link--hover-style-3" href="#">Hover effect 3</a></p>\r\n\r\n<h3>Blockquote</h3>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested <a href="#">expertise with quote link</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing.</p>\r\n</blockquote>\r\n\r\n<h3>Messages</h3>\r\n\r\n<div aria-label="Status message" class="messages messages--status" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample status message. Page <em><strong>Typography</strong></em> has been updated.</div>\r\n\r\n<div aria-label="Error message" class="messages messages--error" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample error message. There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately! See the available updates page for more information.</div>\r\n\r\n<div aria-label="Warningmessage" class="messages messages--warning" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample warning message. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<h3>Paragraph With Links</h3>\r\n\r\n<p>Lorem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<h3>Dropcaps</h3>\r\n\r\n<p class="text--drop-cap">Lorem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<p><span class="drop-cap">L</span>orem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<h3>Ordered List</h3>\r\n\r\n<ol>\r\n	<li>This is a sample Ordered List.</li>\r\n	<li>Lorem ipsum dolor sit amet consectetuer.</li>\r\n	<li>Congue Quisque augue elit dolor.\r\n	<ol>\r\n		<li>Something goes here.</li>\r\n		<li>And another here</li>\r\n	</ol>\r\n	</li>\r\n	<li>Congue Quisque augue elit dolor nibh.</li>\r\n</ol>\r\n\r\n<h3>Unordered List</h3>\r\n\r\n<ul>\r\n	<li>This is a sample <strong>Unordered List</strong>.</li>\r\n	<li>Condimentum quis.</li>\r\n	<li>Congue Quisque augue elit dolor.\r\n	<ul>\r\n		<li>Something goes here.</li>\r\n		<li>And another here\r\n		<ul>\r\n			<li>Something here as well</li>\r\n			<li>Something here as well</li>\r\n			<li>Something here as well</li>\r\n		</ul>\r\n		</li>\r\n		<li>Then one more</li>\r\n	</ul>\r\n	</li>\r\n	<li>Nunc cursus sem et pretium sapien eget.</li>\r\n</ul>\r\n\r\n<h3>Fieldset</h3>\r\n\r\n<fieldset><legend>Account information</legend></fieldset>\r\n\r\n<h3>Buttons &amp; Text fields</h3>\r\n\r\n<p><a class="button" href="#">Find out more</a></p>\r\n\r\n<h4>Text Fields</h4>\r\n\r\n<form action="#">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Your email address'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Your email address" /></div>\r\n\r\n<div class="form-actions"><input class="form-submit" id="edit-submit-3" name="subscribe" type="submit" value="Subscribe" /></div>\r\n</form>\r\n\r\n<form action="#" class="container-inline">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Inline form items'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Inline form items" /></div>\r\n\r\n<div class="form-actions"><input class="form-submit" id="edit-submit-4" name="subscribe" type="submit" value="Subscribe" /></div>\r\n</form>\r\n\r\n<h4>Select Dropdown</h4>\r\n\r\n<p><select class="form-select" name="select_field"><option selected="selected" value="All">- Any -</option><option value="6">Apartment</option><option value="7">Family House</option><option value="8">Office</option></select></p>\r\n\r\n<h3>Table</h3>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th>Header 1</th>\r\n			<th>Header 2</th>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>row 1, cell 1</td>\r\n			<td>row 1, cell 2</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>row 2, cell 1</td>\r\n			<td>row 2, cell 2</td>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>row 3, cell 1</td>\r\n			<td>row 3, cell 2</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th scope="row">Heading 1</th>\r\n			<td>Item 1</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Heading 2</th>\r\n			<td>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Heading 3</th>\r\n			<td>$5.99</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Total</th>\r\n			<td>$5.99</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table>\r\n	<thead>\r\n		<tr>\r\n			<th>#</th>\r\n			<th>First Name</th>\r\n			<th>Last Name</th>\r\n			<th>Username</th>\r\n		</tr>\r\n	</thead>\r\n	<tbody>\r\n		<tr>\r\n			<th scope="row">1</th>\r\n			<td>Mark</td>\r\n			<td>Otto</td>\r\n			<td>@mdo</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">2</th>\r\n			<td>Jacob</td>\r\n			<td>Thornton</td>\r\n			<td>@fat</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">3</th>\r\n			<td>Larry</td>\r\n			<td>the Bird</td>\r\n			<td>@twitter</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:1:"1";s:8:"revision";s:1:"1";s:4:"uuid";s:36:"eea72d82-666c-4fcd-aa04-5c05e0210fb1";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Style guide";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"1";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.303', 1, 'entity_field_info node_values', '0'),
('values:node:15', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:26:{s:3:"nid";a:1:{s:9:"x-default";s:2:"15";}s:3:"vid";a:1:{s:9:"x-default";s:2:"15";}s:4:"type";a:1:{s:9:"x-default";s:7:"article";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"bc4a99ec-28e7-4fbe-b0f9-9905121864d0";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465328986";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"First Article";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465328961";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518631675";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1500:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}s:7:"comment";a:1:{s:9:"x-default";a:1:{i:0;a:6:{s:6:"status";s:1:"2";s:3:"cid";s:1:"8";s:22:"last_comment_timestamp";s:10:"1520416665";s:17:"last_comment_name";s:0:"";s:16:"last_comment_uid";s:1:"1";s:13:"comment_count";s:1:"5";}}}s:11:"field_image";a:1:{s:9:"x-default";a:5:{i:0;a:5:{s:9:"target_id";s:2:"13";s:3:"alt";s:13:"First Article";s:5:"title";s:11:"First Image";s:5:"width";s:3:"750";s:6:"height";s:3:"500";}i:1;a:5:{s:9:"target_id";s:2:"15";s:3:"alt";s:13:"First Article";s:5:"title";s:12:"Second Image";s:5:"width";s:3:"750";s:6:"height";s:3:"500";}i:2;a:5:{s:9:"target_id";s:2:"16";s:3:"alt";s:13:"First Article";s:5:"title";s:11:"Third Image";s:5:"width";s:3:"750";s:6:"height";s:3:"500";}i:3;a:5:{s:9:"target_id";s:2:"17";s:3:"alt";s:13:"First Article";s:5:"title";s:12:"Fourth Image";s:5:"width";s:3:"750";s:6:"height";s:3:"500";}i:4;a:5:{s:9:"target_id";s:2:"18";s:3:"alt";s:13:"First Article";s:5:"title";s:11:"Fifth Image";s:5:"width";s:3:"750";s:6:"height";s:3:"500";}}}s:18:"field_mt_slideshow";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"1";}}}s:24:"field_mt_slideshow_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"242";s:3:"alt";s:13:"First Article";s:5:"title";s:13:"First Article";s:5:"width";s:4:"1920";s:6:"height";s:3:"650";}}}s:23:"field_mt_slideshow_text";a:1:{s:9:"x-default";a:1:{i:0;a:2:{s:5:"value";s:167:"<p>Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:6:"format";s:10:"basic_html";}}}s:10:"field_tags";a:1:{s:9:"x-default";a:3:{i:0;a:1:{s:9:"target_id";s:2:"12";}i:1;a:1:{s:9:"target_id";s:2:"13";}i:2;a:1:{s:9:"target_id";s:1:"9";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:7:"article";s:2:"id";s:2:"15";s:8:"revision";s:2:"15";s:4:"uuid";s:36:"bc4a99ec-28e7-4fbe-b0f9-9905121864d0";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:13:"First Article";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"15";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.408', 1, 'entity_field_info node_values', '0'),
('values:node:16', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"16";}s:3:"vid";a:1:{s:9:"x-default";s:2:"16";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2d2fb123-b153-4b5e-9122-2aa0aec63bc5";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465554433";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"Slideshow Boxed Width";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465554383";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1467988502";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"16";s:8:"revision";s:2:"16";s:4:"uuid";s:36:"2d2fb123-b153-4b5e-9122-2aa0aec63bc5";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:21:"Slideshow Boxed Width";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"16";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.293', 1, 'entity_field_info node_values', '0'),
('values:node:17', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"17";}s:3:"vid";a:1:{s:9:"x-default";s:2:"17";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"553f5e51-7426-40d3-bf76-9727052f3a4c";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465558057";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:21:"Full Screen Slideshow";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465558027";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1508762941";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"17";s:8:"revision";s:2:"17";s:4:"uuid";s:36:"553f5e51-7426-40d3-bf76-9727052f3a4c";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:21:"Full Screen Slideshow";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"17";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.297', 1, 'entity_field_info node_values', '0'),
('values:node:2', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:20:{s:3:"nid";a:1:{s:9:"x-default";s:1:"2";}s:3:"vid";a:1:{s:9:"x-default";s:1:"2";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"f7183c79-30cf-419d-be1e-84b0517a5c69";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1464949293";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Shortcodes";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1464949248";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516971027";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:53304:"<h3 id="brands">Icons List</h3>\r\n<ul class="icons-list">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List Bordered</h3>\r\n<ul class="icons-list icons-list--bordered">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--bordered"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List - Large</h3>\r\n<ul class="icons-list icons-list--large">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List - Extra large</h3>\r\n<ul class="icons-list icons-list--extra-large">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--extra-large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List with images</h3>\r\n<ul class="icons-list icons-list--extra-large">\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-left-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-middle-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-right-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--extra-large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List with tooltips</h3>\r\n<ul class="icons-list">\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-apple"><span class="sr-only">apple</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-android"><span class="sr-only">android</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-github"><span class="sr-only">github</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-windows"><span class="sr-only">windows</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-linux"><span class="sr-only">linux</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-skype"><span class="sr-only">skype</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-btc"><span class="sr-only">btc</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-css3"><span class="sr-only">css3</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-html5"><span class="sr-only">html5</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\r\n</a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Social Links</h3>\r\n<ul class="social-links social-links--inline text-center">\r\n<li>\r\n<a href="#" class="hover-color-facebook">Facebook</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-twitter">Twitter</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-behance">Behance</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-dribbble">Dribbble</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-instagram">Instagram</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-vimeo">Vimeo</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-youtube">Youtube</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-googleplus">Google+</a>\r\n</li>\r\n</ul>\r\n<pre>\r\n  &lt;ul class="social-links social-links--inline text-center">\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-facebook"&gt;Facebook&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-twitter"&gt;Twitter&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-behance"&gt;Behance&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-dribbble"&gt;Dribbble&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-instagram"&gt;Instagram&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-vimeo"&gt;Vimeo&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n    &lt;a href="#" class="hover-color-youtube"&gt;Youtube&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n    &lt;a href="#" class="hover-color-googleplus"&gt;Google+&lt;/a&gt;\r\n    &lt;/li&gt;\r\n  &lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Lists - With Font Awesome Icons</h3>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-star">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-star"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-caret-right">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-caret-right"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-plus">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-plus"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-square">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-square"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-caret-right">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-caret-right"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-check">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-check"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-check-circle">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-check-circle"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-custom">\r\n      <li><i class="fa fa-map-marker"></i>Item 1</li>\r\n      <li><i class="fa fa-phone"></i>Item 2</li>\r\n      <li><i class="fa fa-fax"></i>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-custom"&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-map-marker"&gt;&lt;/i&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-phone"&gt;&lt;/i&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-fax"&gt;&lt;/i&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n\r\n<h3 id="tabs">Tabs</h3>\r\n<div role="tabpanel">\r\n\r\n<!-- Nav tabs -->\r\n<ul class="nav nav-tabs" role="tablist">\r\n<li role="presentation" class="nav-item"><a class="active nav-link" href="#home" aria-controls="home" role="tab" data-toggle="tab">Home</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#profile" aria-controls="profile" role="tab" data-toggle="tab">Profile</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#messages" aria-controls="messages" role="tab" data-toggle="tab">Messages</a></li>\r\n</ul>\r\n\r\n<!-- Tab panes -->\r\n<div class="tab-content">\r\n<div role="tabpanel" class="tab-pane fade show active" id="home"><p><strong>Home</strong> ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="profile"><p><strong>Profile</strong> ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="messages"><p><strong>Messages</strong> ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.</p></div>\r\n</div>\r\n\r\n</div>\r\n\r\n<pre>\r\n&lt;div role="tabpanel"&gt;\r\n\r\n&lt;!-- Nav tabs --&gt;\r\n&lt;ul class="nav nav-tabs" role="tablist"&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="active nav-link" href="#home" aria-controls="home" role="tab" data-toggle="tab"&gt;Home&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#profile" aria-controls="profile" role="tab" data-toggle="tab"&gt;Profile&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#messages" aria-controls="messages" role="tab" data-toggle="tab"&gt;Messages&lt;/a&gt;\r\n  &lt;/li&gt;\r\n&lt;/ul&gt;\r\n\r\n&lt;!-- Tab panes --&gt;\r\n&lt;div class="tab-content"&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade show active" id="home"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Home&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="profile"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Profile&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="messages"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Messages&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<hr>\r\n<br>\r\n<h3 id="vertical-tabs">Vertical Tabs</h3>\r\n<div role="tabpanel" class="nav-tabs-vertical-container">\r\n\r\n<!-- Nav tabs -->\r\n<ul class="nav nav-tabs nav-tabs--vertical" role="tablist">\r\n<li role="presentation" class="nav-item"><a class="nav-link active" href="#vertical-tab-1" aria-controls="vertical-tab-1" role="tab" data-toggle="tab">Home</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#vertical-tab-2" aria-controls="vertical-tab-2" role="tab" data-toggle="tab">Profile</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#vertical-tab-3" aria-controls="vertical-tab-3" role="tab" data-toggle="tab">Messages</a></li>\r\n</ul>\r\n\r\n<!-- Tab panes -->\r\n<div class="tab-content">\r\n<div role="tabpanel" class="tab-pane fade show active" id="vertical-tab-1"><p><strong>Home</strong> ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="vertical-tab-2"><p><strong>Profile</strong> ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="vertical-tab-3"><p><strong>Messages</strong> ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.</p></div>\r\n</div>\r\n\r\n</div>\r\n\r\n<pre>\r\n&lt;div role="tabpanel" class="nav-tabs-vertical-container"&gt;\r\n\r\n&lt;!-- Nav tabs --&gt;\r\n&lt;ul class="nav nav-tabs nav-tabs--vertical" role="tablist"&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link active" href="#vertical-tab-1" aria-controls="vertical-tab-1" role="tab" data-toggle="tab"&gt;Home&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#vertical-tab-2" aria-controls="vertical-tab-2" role="tab" data-toggle="tab"&gt;Profile&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#vertical-tab-3" aria-controls="vertical-tab-3" role="tab" data-toggle="tab"&gt;Messages&lt;/a&gt;\r\n  &lt;/li&gt;\r\n&lt;/ul&gt;\r\n\r\n&lt;!-- Tab panes --&gt;\r\n&lt;div class="tab-content"&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade show active" id="vertical-tab-1"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Home&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="vertical-tab-2"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Profile&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="vertical-tab-3"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Messages&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<hr>\r\n<br>\r\n<h3 id="accordion">Accordion - Style 1</h3>\r\n<div class="collapse-group" id="accordion-example1" role="tablist" aria-multiselectable="true">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingOne">\r\n<div class="card-title"><a data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne"><span>1.</span> Home</a></div>\r\n</div>\r\n<div id="collapseOne" class="collapse show" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingOne">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingTwo">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" data-parent="#accordion-example1" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"><span>2.</span> Configure</a></div>\r\n</div>\r\n<div id="collapseTwo" class="collapse"  data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingTwo">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingThree">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" data-parent="#accordion-example1" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree"><span>3.</span> Download</a></div>\r\n</div>\r\n<div id="collapseThree" class="collapse"  data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingThree">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="collapse-group" id="accordion-example1" role="tablist" aria-multiselectable="true"&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingOne"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne"&gt;\r\n          &lt;span&gt;1.&lt;/span&gt; Home\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseOne" class="collapse show" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingOne"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingTwo"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"&gt;\r\n          &lt;span&gt;2.&lt;/span&gt; Configure\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseTwo" class="collapse" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingTwo"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingThree"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree"&gt;\r\n          &lt;span&gt;3.&lt;/span&gt; Download\r\n        &lt;/a&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseThree" class="collapse" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingThree"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="accordion-2">Accordion - Style 2</h3>\r\n<div class="collapse-group collapse-group--style-2" id="accordion-example2" role="tablist" aria-multiselectable="true">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingFour">\r\n<div class="card-title"><a data-toggle="collapse" href="#collapseFour" aria-expanded="true" aria-controls="collapseFour"><span>1.</span> Home</a></div>\r\n</div>\r\n<div id="collapseFour" class="collapse show" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFour">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingFive">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive"><span>2.</span> Configure</a></div>\r\n</div>\r\n<div id="collapseFive" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFive">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingSix">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" href="#collapseSix" aria-expanded="false" aria-controls="collapseSix"><span>3.</span> Download</a></div>\r\n</div>\r\n<div id="collapseSix" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingSix">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="collapse-group collapse-group--style-2" id="accordion-example2" role="tablist" aria-multiselectable="true"&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingFour"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a data-toggle="collapse" href="#collapseFour" aria-expanded="true" aria-controls="collapseFour"&gt;\r\n          &lt;span&gt;1.&lt;/span&gt; Home\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseFour" class="collapse show" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFour"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingFive"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive"&gt;\r\n          &lt;span&gt;2.&lt;/span&gt; Configure\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseFive" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFive"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingSix"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseSix" aria-expanded="false" aria-controls="collapseSix"&gt;\r\n          &lt;span&gt;3.&lt;/span&gt; Download\r\n        &lt;/a&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseSix" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingSix"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="buttons">Button</h3>\r\n<div>\r\n<a href="#" class="button">Button</a> <br>\r\n<a href="#" class="button button--small">Button Small</a> <br>\r\n<a href="#" class="button button--outline">Button Outline</a>\r\n</div>\r\n<pre>\r\n&lt;a href="#" class="button"&gt;Button&lt;/a&gt;\r\n&lt;a href="#" class="button button--small"&gt;Button Small&lt;/a&gt;\r\n&lt;a href="#" class="button button--outline"&gt;Button Outline&lt;/a&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="buttons-hover-style-2">Button - Hover Style 2</h3>\r\n<div>\r\n<a href="#" class="button button--hover-style-2">Button</a>\r\n</div>\r\n<pre>\r\n&lt;a href="#" class="button button--hover-style-2"&gt;Button&lt;/a&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="progressbars">Progress Bars</h3>\r\n<div class="progress-title">78% Complete (default)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%">\r\n<span class="sr-only">78% Complete (success)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">40% Complete (success)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%">\r\n<span class="sr-only">40% Complete (success)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">20% Complete (info)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-info" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width: 20%">\r\n<span class="sr-only">20% Complete</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">60% Complete (warning)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%">\r\n<span class="sr-only">60% Complete (warning)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">80% Complete (danger)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-danger" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">\r\n<span class="sr-only">80% Complete</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">Results</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-success" style="width: 40%">\r\n<span class="sr-only">35% A</span>\r\n</div>\r\n<div class="progress-bar bg-info" style="width: 30%">\r\n<span class="sr-only">20% B</span>\r\n</div>\r\n<div class="progress-bar bg-warning" style="width: 20%">\r\n<span class="sr-only">20% C</span>\r\n</div>\r\n<div class="progress-bar bg-danger" style="width: 10%">\r\n<span class="sr-only">10% D</span>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="progress-title"&gt;78% Complete (default)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%"&gt;\r\n    &lt;span class="sr-only"&gt;78% Complete (success)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;40% Complete (success)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%"&gt;\r\n    &lt;span class="sr-only"&gt;40% Complete (success)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;20% Complete (info)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-info" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width: 20%"&gt;\r\n    &lt;span class="sr-only"&gt;20% Complete&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;60% Complete (warning)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%"&gt;\r\n    &lt;span class="sr-only"&gt;60% Complete (warning)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;80% Complete (danger)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-danger" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%"&gt;\r\n    &lt;span class="sr-only"&gt;80% Complete&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;Results&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-success" style="width: 40%"&gt;\r\n    &lt;span class="sr-only"&gt;35% A&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-info" style="width: 30%"&gt;\r\n    &lt;span class="sr-only"&gt;20% B&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-warning" style="width: 20%"&gt;\r\n    &lt;span class="sr-only"&gt;20% C&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-danger" style="width: 10%"&gt;\r\n    &lt;span class="sr-only"&gt;10% D&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<div class="alert alert-info"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>Check all available Font Awesome icons at <a  target="_blank" href="https://fontawesome.com/icons" class="alert-link">https://fontawesome.com/icons</a></div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:1:"2";s:8:"revision";s:1:"2";s:4:"uuid";s:36:"f7183c79-30cf-419d-be1e-84b0517a5c69";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:10:"Shortcodes";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"2";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.282', 1, 'entity_field_info node_values', '0');
INSERT INTO `cache_entity` VALUES
('values:node:20', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:28:{s:3:"nid";a:1:{s:9:"x-default";s:2:"20";}s:3:"vid";a:1:{s:9:"x-default";s:2:"20";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_product";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"59a1893a-fa2f-47bf-9334-14c40369b252";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465831647";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:6:"Hoodie";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465831603";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520534086";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_prd_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1121:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:21:"field_mt_prd_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:7:"Buy Now";s:7:"options";a:0:{}}}}s:23:"field_mt_prd_categories";a:1:{s:9:"x-default";a:2:{i:0;a:1:{s:9:"target_id";s:2:"45";}i:1;a:1:{s:9:"target_id";s:2:"47";}}}s:18:"field_mt_prd_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"193";s:3:"alt";s:14:"Fourth Product";s:5:"title";s:14:"Fourth Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:28:"field_mt_prd_landscape_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"197";s:3:"alt";s:9:"Product 2";s:5:"title";s:9:"Product 2";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:25:"field_mt_prd_most_popular";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}s:18:"field_mt_prd_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:6:"$39.00";}}}s:27:"field_mt_prd_subheader_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:185:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:17:"field_mt_prd_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"9";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_product";s:2:"id";s:2:"20";s:8:"revision";s:2:"20";s:4:"uuid";s:36:"59a1893a-fa2f-47bf-9334-14c40369b252";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:6:"Hoodie";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"20";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.363', 1, 'entity_field_info node_values', '0'),
('values:node:21', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:28:{s:3:"nid";a:1:{s:9:"x-default";s:2:"21";}s:3:"vid";a:1:{s:9:"x-default";s:2:"21";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_product";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"af74abaa-8086-4af3-8da8-a51668a64642";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465831717";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Longsleeve";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465831692";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520440826";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_prd_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1121:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:21:"field_mt_prd_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:7:"Buy Now";s:7:"options";a:0:{}}}}s:23:"field_mt_prd_categories";a:1:{s:9:"x-default";a:2:{i:0;a:1:{s:9:"target_id";s:2:"45";}i:1;a:1:{s:9:"target_id";s:2:"48";}}}s:18:"field_mt_prd_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"192";s:3:"alt";s:13:"Third Product";s:5:"title";s:13:"Third Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:25:"field_mt_prd_most_popular";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}s:18:"field_mt_prd_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:6:"$49.00";}}}s:31:"field_mt_prd_pricing_table_item";a:1:{s:9:"x-default";a:4:{i:0;a:1:{s:5:"value";s:15:"Account Balance";}i:1;a:1:{s:5:"value";s:16:"Online Interface";}i:2;a:1:{s:5:"value";s:14:"Weekly Reports";}i:3;a:1:{s:5:"value";s:13:"Email support";}}}s:27:"field_mt_prd_subheader_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:185:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:17:"field_mt_prd_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"12";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_product";s:2:"id";s:2:"21";s:8:"revision";s:2:"21";s:4:"uuid";s:36:"af74abaa-8086-4af3-8da8-a51668a64642";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:10:"Longsleeve";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"21";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.357', 1, 'entity_field_info node_values', '0'),
('values:node:22', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:28:{s:3:"nid";a:1:{s:9:"x-default";s:2:"22";}s:3:"vid";a:1:{s:9:"x-default";s:2:"22";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_product";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b7ff09bc-a14c-4b2e-b678-9a2d264a24d0";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465831772";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:14:"Second T-shirt";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465831746";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520534166";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_prd_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1121:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:21:"field_mt_prd_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:7:"Buy Now";s:7:"options";a:0:{}}}}s:23:"field_mt_prd_categories";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"45";}}}s:18:"field_mt_prd_image";a:1:{s:9:"x-default";a:6:{i:0;a:5:{s:9:"target_id";s:3:"186";s:3:"alt";s:14:"Second Product";s:5:"title";s:14:"Second Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:1;a:5:{s:9:"target_id";s:3:"187";s:3:"alt";s:14:"Second Product";s:5:"title";s:14:"Second Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:2;a:5:{s:9:"target_id";s:3:"188";s:3:"alt";s:14:"Second Product";s:5:"title";s:14:"Second Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:3;a:5:{s:9:"target_id";s:3:"189";s:3:"alt";s:14:"Second Product";s:5:"title";s:14:"Second Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:4;a:5:{s:9:"target_id";s:3:"190";s:3:"alt";s:14:"Second Product";s:5:"title";s:14:"Second Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:5;a:5:{s:9:"target_id";s:3:"191";s:3:"alt";s:14:"Second Product";s:5:"title";s:14:"Second Product";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:25:"field_mt_prd_most_popular";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"1";}}}s:18:"field_mt_prd_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:6:"$29.00";}}}s:31:"field_mt_prd_pricing_table_item";a:1:{s:9:"x-default";a:5:{i:0;a:1:{s:5:"value";s:15:"Account Balance";}i:1;a:1:{s:5:"value";s:16:"Online Interface";}i:2;a:1:{s:5:"value";s:21:"Investment Monitoring";}i:3;a:1:{s:5:"value";s:14:"Weekly Reports";}i:4;a:1:{s:5:"value";s:23:"One-on-one consultation";}}}s:27:"field_mt_prd_subheader_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:185:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:17:"field_mt_prd_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"11";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_product";s:2:"id";s:2:"22";s:8:"revision";s:2:"22";s:4:"uuid";s:36:"b7ff09bc-a14c-4b2e-b678-9a2d264a24d0";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:14:"Second T-shirt";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"22";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.351', 1, 'entity_field_info node_values', '0'),
('values:node:23', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:34:{s:3:"nid";a:1:{s:9:"x-default";s:2:"23";}s:3:"vid";a:1:{s:9:"x-default";s:2:"23";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_product";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"855a0103-2cab-4e72-beb8-ac3a74e70372";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465832030";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"First T-shirt";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465831991";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520534155";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:32:"field_mt_prd_additional_features";a:1:{s:9:"x-default";a:3:{i:0;a:2:{s:9:"target_id";s:2:"62";s:18:"target_revision_id";s:2:"62";}i:1;a:2:{s:9:"target_id";s:2:"63";s:18:"target_revision_id";s:2:"63";}i:2;a:2:{s:9:"target_id";s:2:"64";s:18:"target_revision_id";s:2:"64";}}}s:25:"field_mt_prd_availability";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:8:"in_stock";}}}s:28:"field_mt_prd_banner_carousel";a:1:{s:9:"x-default";a:3:{i:0;a:5:{s:9:"target_id";s:3:"247";s:3:"alt";s:16:"Banner Image One";s:5:"title";s:27:"Title of first banner image";s:5:"width";s:4:"1920";s:6:"height";s:3:"650";}i:1;a:5:{s:9:"target_id";s:3:"248";s:3:"alt";s:16:"Banner Image Two";s:5:"title";s:28:"Title of second banner image";s:5:"width";s:4:"1920";s:6:"height";s:3:"650";}i:2;a:5:{s:9:"target_id";s:3:"249";s:3:"alt";s:18:"Banner Image Three";s:5:"title";s:27:"Title of third banner image";s:5:"width";s:4:"1920";s:6:"height";s:3:"650";}}}s:17:"field_mt_prd_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:903:"<div class="row">\r\n<div class="col-lg-8 ml-lg-auto mr-lg-auto">\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n</div>\r\n</div>\r\n\r\n<div class="call-to-action">\r\n<div class="row">\r\n<div class="col-12 col-lg-8 col-xl-6 ml-lg-auto mr-lg-auto">\r\n<h2 class="title text-center">Enjoy a Gorgeous Look and Feel.</h2>\r\n</div>\r\n\r\n<div class="col-12 col-lg-8 col-xl-5 ml-lg-auto mr-lg-auto mr-xl-0">\r\n<p class="large top-spacing-small bottom-spacing-small">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<div class="text-center"><a class="button" href="#">Free Trial</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:183:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>";s:6:"format";s:9:"full_html";}}}s:21:"field_mt_prd_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:7:"Buy Now";s:7:"options";a:0:{}}}}s:23:"field_mt_prd_categories";a:1:{s:9:"x-default";a:2:{i:0;a:1:{s:9:"target_id";s:2:"45";}i:1;a:1:{s:9:"target_id";s:2:"47";}}}s:25:"field_mt_prd_content_tabs";a:1:{s:9:"x-default";a:2:{i:0;a:2:{s:9:"target_id";s:2:"69";s:18:"target_revision_id";s:2:"69";}i:1;a:2:{s:9:"target_id";s:2:"70";s:18:"target_revision_id";s:2:"70";}}}s:22:"field_mt_prd_highlight";a:1:{s:9:"x-default";a:4:{i:0;a:2:{s:9:"target_id";s:2:"65";s:18:"target_revision_id";s:2:"65";}i:1;a:2:{s:9:"target_id";s:2:"66";s:18:"target_revision_id";s:2:"66";}i:2;a:2:{s:9:"target_id";s:2:"67";s:18:"target_revision_id";s:2:"67";}i:3;a:2:{s:9:"target_id";s:2:"68";s:18:"target_revision_id";s:2:"68";}}}s:25:"field_mt_prd_most_popular";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}s:18:"field_mt_prd_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:6:"$12.00";}}}s:31:"field_mt_prd_pricing_table_item";a:1:{s:9:"x-default";a:3:{i:0;a:1:{s:5:"value";s:15:"Account Balance";}i:1;a:1:{s:5:"value";s:16:"Online Interface";}i:2;a:1:{s:5:"value";s:14:"Weekly Reports";}}}s:25:"field_mt_prd_product_code";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:6:"800413";}}}s:27:"field_mt_prd_subheader_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:185:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:17:"field_mt_prd_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"10";}}}s:18:"field_mt_prd_video";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:43:"https://www.youtube.com/watch?v=T7SqK5RizWY";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_product";s:2:"id";s:2:"23";s:8:"revision";s:2:"23";s:4:"uuid";s:36:"855a0103-2cab-4e72-beb8-ac3a74e70372";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:13:"First T-shirt";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"23";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.346', 1, 'entity_field_info node_values', '0'),
('values:node:35', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"35";}s:3:"vid";a:1:{s:9:"x-default";s:2:"35";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2a568ced-2420-4388-b8e7-dab483097e5f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465902807";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Front page";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465902779";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1477038521";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"35";s:8:"revision";s:2:"35";s:4:"uuid";s:36:"2a568ced-2420-4388-b8e7-dab483097e5f";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:10:"Front page";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"35";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649766.858', 1, 'entity_field_info node_values', '0'),
('values:node:36', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:20:{s:3:"nid";a:1:{s:9:"x-default";s:2:"36";}s:3:"vid";a:1:{s:9:"x-default";s:2:"36";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"01c394be-3575-4f8a-be9e-187b44597ff6";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1466103087";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:15:"Responsive Grid";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1466103051";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1506418727";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:7207:"<div class="row">\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n</div>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-6"&gt;\r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-6"&gt; \r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"36";s:8:"revision";s:2:"36";s:4:"uuid";s:36:"01c394be-3575-4f8a-be9e-187b44597ff6";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:15:"Responsive Grid";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"36";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.391', 1, 'entity_field_info node_values', '0'),
('values:node:37', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:20:{s:3:"nid";a:1:{s:9:"x-default";s:2:"37";}s:3:"vid";a:1:{s:9:"x-default";s:2:"37";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"f6f9f0b4-a4a7-49f3-85ab-8987212b6f5a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1466103196";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:15:"Responsive Grid";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1466103168";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1506418678";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:7207:"<div class="row">\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n</div>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-6"&gt;\r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-6"&gt; \r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"37";s:8:"revision";s:2:"37";s:4:"uuid";s:36:"f6f9f0b4-a4a7-49f3-85ab-8987212b6f5a";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:15:"Responsive Grid";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"37";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.394', 1, 'entity_field_info node_values', '0'),
('values:node:39', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:20:{s:3:"nid";a:1:{s:9:"x-default";s:2:"39";}s:3:"vid";a:1:{s:9:"x-default";s:2:"39";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"7cf22c14-9a81-4f22-9fff-09805aa1bce3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1472025689";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:3:"FAQ";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1472025546";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1506340198";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:5437:"<div aria-multiselectable="true" class="collapse-group" id="accordion" role="tablist">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingOne" role="tab">\r\n<div class="card-title"><a aria-controls="collapseOne" aria-expanded="true" data-toggle="collapse" href="#collapseOne" role="button"><span>Q1.</span> First Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingOne" class="collapse show" id="collapseOne" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingTwo" role="tab">\r\n<div class="card-title"><a aria-controls="collapseTwo" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseTwo" role="button"><span>Q2.</span> Second Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingTwo" class="collapse" id="collapseTwo" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingThree" role="tab">\r\n<div class="card-title"><a aria-controls="collapseThree" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseThree" role="button"><span>Q3.</span> Third Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingThree" class="collapse" id="collapseThree" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingFour" role="tab">\r\n<div class="card-title"><a aria-controls="collapseFour" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseFour" role="button"><span>Q4.</span> Fourth Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingFour" class="collapse" id="collapseFour" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingFive" role="tab">\r\n<div class="card-title"><a aria-controls="collapseFive" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseFive" role="button"><span>Q5.</span> Fifth Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingFive" class="collapse" id="collapseFive" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"39";s:8:"revision";s:2:"39";s:4:"uuid";s:36:"7cf22c14-9a81-4f22-9fff-09805aa1bce3";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:3:"FAQ";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"39";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.422', 1, 'entity_field_info node_values', '0');
INSERT INTO `cache_entity` VALUES
('values:node:40', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"40";}s:3:"vid";a:1:{s:9:"x-default";s:2:"40";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"057419f2-be6c-45a6-9c99-80b9587ca97f";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1472825136";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:20:"Alternative header 3";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1472825123";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1509560124";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"40";s:8:"revision";s:2:"40";s:4:"uuid";s:36:"057419f2-be6c-45a6-9c99-80b9587ca97f";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:20:"Alternative header 3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"40";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.430', 1, 'entity_field_info node_values', '0'),
('values:node:41', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:26:{s:3:"nid";a:1:{s:9:"x-default";s:2:"41";}s:3:"vid";a:1:{s:9:"x-default";s:2:"41";}s:4:"type";a:1:{s:9:"x-default";s:14:"mt_team_member";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a97fc371-5df1-4d48-97c6-d2015c8f2524";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1474914587";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Bekki Versace";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1474914526";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520424974";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_tmm_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_tmm_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_tmm_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:25:"field_mt_tmm_member_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"230";s:3:"alt";s:16:"Team member five";s:5:"title";s:16:"Team member five";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_tmm_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:26:"Director of Communications";}}}s:28:"field_mt_tmm_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_tmm_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:14:"mt_team_member";s:2:"id";s:2:"41";s:8:"revision";s:2:"41";s:4:"uuid";s:36:"a97fc371-5df1-4d48-97c6-d2015c8f2524";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:13:"Bekki Versace";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"41";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.453', 1, 'entity_field_info node_values', '0'),
('values:node:42', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:26:{s:3:"nid";a:1:{s:9:"x-default";s:2:"42";}s:3:"vid";a:1:{s:9:"x-default";s:2:"42";}s:4:"type";a:1:{s:9:"x-default";s:14:"mt_team_member";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"2a13f23b-db75-4875-810f-57affc8c9c3b";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1474914693";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Stevie Zonder";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1474914674";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520424961";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_tmm_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_tmm_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_tmm_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:25:"field_mt_tmm_member_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"231";s:3:"alt";s:16:"Team member four";s:5:"title";s:16:"Team member four";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_tmm_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:23:"Program Committee Chair";}}}s:28:"field_mt_tmm_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_tmm_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:14:"mt_team_member";s:2:"id";s:2:"42";s:8:"revision";s:2:"42";s:4:"uuid";s:36:"2a13f23b-db75-4875-810f-57affc8c9c3b";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:13:"Stevie Zonder";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"42";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.449', 1, 'entity_field_info node_values', '0'),
('values:node:43', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:26:{s:3:"nid";a:1:{s:9:"x-default";s:2:"43";}s:3:"vid";a:1:{s:9:"x-default";s:2:"43";}s:4:"type";a:1:{s:9:"x-default";s:14:"mt_team_member";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"8b4b3b40-fbaf-4e34-850b-20d7ded67af9";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1474914797";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:15:"Nikki Dickinson";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1474914788";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518025069";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_tmm_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_tmm_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_tmm_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:25:"field_mt_tmm_member_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"232";s:3:"alt";s:17:"Team member three";s:5:"title";s:17:"Team member three";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_tmm_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:14:"Vice President";}}}s:28:"field_mt_tmm_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_tmm_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:14:"mt_team_member";s:2:"id";s:2:"43";s:8:"revision";s:2:"43";s:4:"uuid";s:36:"8b4b3b40-fbaf-4e34-850b-20d7ded67af9";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:15:"Nikki Dickinson";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"43";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.445', 1, 'entity_field_info node_values', '0'),
('values:node:44', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:26:{s:3:"nid";a:1:{s:9:"x-default";s:2:"44";}s:3:"vid";a:1:{s:9:"x-default";s:2:"44";}s:4:"type";a:1:{s:9:"x-default";s:14:"mt_team_member";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b23c504a-f1bf-4bf3-a529-22428f3d4b60";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1474914887";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Terry Smith";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1474914853";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520424937";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_tmm_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_tmm_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_tmm_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:25:"field_mt_tmm_member_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"233";s:3:"alt";s:15:"Team member two";s:5:"title";s:15:"Team member two";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_tmm_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:21:"Senior Vice President";}}}s:28:"field_mt_tmm_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_tmm_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:14:"mt_team_member";s:2:"id";s:2:"44";s:8:"revision";s:2:"44";s:4:"uuid";s:36:"b23c504a-f1bf-4bf3-a529-22428f3d4b60";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Terry Smith";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"44";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.442', 1, 'entity_field_info node_values', '0'),
('values:node:45', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:26:{s:3:"nid";a:1:{s:9:"x-default";s:2:"45";}s:3:"vid";a:1:{s:9:"x-default";s:2:"45";}s:4:"type";a:1:{s:9:"x-default";s:14:"mt_team_member";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ae2004bf-f6ea-4bda-9e30-2c2f94eb8d25";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1474914948";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"John Smith";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1474914934";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520424915";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_tmm_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_tmm_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_tmm_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:25:"field_mt_tmm_member_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"234";s:3:"alt";s:15:"Team member one";s:5:"title";s:15:"Team member one";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_tmm_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:9:"President";}}}s:28:"field_mt_tmm_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_tmm_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:14:"mt_team_member";s:2:"id";s:2:"45";s:8:"revision";s:2:"45";s:4:"uuid";s:36:"ae2004bf-f6ea-4bda-9e30-2c2f94eb8d25";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:10:"John Smith";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"45";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.438', 1, 'entity_field_info node_values', '0'),
('values:node:5', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:24:{s:3:"nid";a:1:{s:9:"x-default";s:1:"5";}s:3:"vid";a:1:{s:9:"x-default";s:1:"5";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_service";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"3fd00865-461f-4add-b44e-339c05461cfa";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465321812";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 5";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465321750";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513390";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_srv_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1110:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:21:"field_mt_srv_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:8:"Book now";s:7:"options";a:0:{}}}}s:18:"field_mt_srv_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"205";s:3:"alt";s:19:"Fifth accommodation";s:5:"title";s:19:"Fifth accommodation";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:18:"field_mt_srv_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:4:"$349";}}}s:25:"field_mt_srv_service_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"2";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_service";s:2:"id";s:1:"5";s:8:"revision";s:1:"5";s:4:"uuid";s:36:"3fd00865-461f-4add-b44e-339c05461cfa";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 5";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"5";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.400', 1, 'entity_field_info node_values', '0'),
('values:node:53', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"53";}s:3:"vid";a:1:{s:9:"x-default";s:2:"53";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c3b896cb-1cc3-407b-8271-e6714ee89811";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1479151059";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:20:"Alternative header 2";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1479151052";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1504802016";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"53";s:8:"revision";s:2:"53";s:4:"uuid";s:36:"c3b896cb-1cc3-407b-8271-e6714ee89811";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:20:"Alternative header 2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"53";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.466', 1, 'entity_field_info node_values', '0'),
('values:node:59', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"59";}s:3:"vid";a:1:{s:9:"x-default";s:2:"59";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"0f650371-efc2-44dc-8f01-7a5baf75ccf6";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1484677665";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:22:"Slideshow - Full Width";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1484677652";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1484677733";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"59";s:8:"revision";s:2:"59";s:4:"uuid";s:36:"0f650371-efc2-44dc-8f01-7a5baf75ccf6";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:22:"Slideshow - Full Width";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"59";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.300', 1, 'entity_field_info node_values', '0'),
('values:node:6', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:24:{s:3:"nid";a:1:{s:9:"x-default";s:1:"6";}s:3:"vid";a:1:{s:9:"x-default";s:1:"6";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_service";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"216c4c73-5f4c-49b2-be41-c9e92e748ab5";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465321903";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 4";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465321848";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513372";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_srv_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1110:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:21:"field_mt_srv_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:8:"Book now";s:7:"options";a:0:{}}}}s:18:"field_mt_srv_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"206";s:3:"alt";s:20:"Fourth accommodation";s:5:"title";s:20:"Fourth accommodation";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:18:"field_mt_srv_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:4:"$299";}}}s:25:"field_mt_srv_service_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"1";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_service";s:2:"id";s:1:"6";s:8:"revision";s:1:"6";s:4:"uuid";s:36:"216c4c73-5f4c-49b2-be41-c9e92e748ab5";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 4";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"6";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.330', 1, 'entity_field_info node_values', '0'),
('values:node:61', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"61";}s:3:"vid";a:1:{s:9:"x-default";s:2:"61";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a6b4c899-7eec-49e1-bfd5-4df19b85141d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1486670765";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:9:"Mega Menu";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1486670682";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1486670765";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"61";s:8:"revision";s:2:"61";s:4:"uuid";s:36:"a6b4c899-7eec-49e1-bfd5-4df19b85141d";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:9:"Mega Menu";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"61";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.483', 1, 'entity_field_info node_values', '0'),
('values:node:62', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:20:{s:3:"nid";a:1:{s:9:"x-default";s:2:"62";}s:3:"vid";a:1:{s:9:"x-default";s:2:"62";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"689b9489-63b4-4962-a5fc-3dfb6467e672";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1499243159";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:14:"Pricing Tables";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1499243124";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1505990307";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:4:"body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:10760:"<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--blue">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--gold">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--gray">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--green">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--khaki">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--lime">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--night-blue">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--orange">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--pink">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--purple">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--red">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"62";s:8:"revision";s:2:"62";s:4:"uuid";s:36:"689b9489-63b4-4962-a5fc-3dfb6467e672";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:14:"Pricing Tables";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"62";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.486', 1, 'entity_field_info node_values', '0');
INSERT INTO `cache_entity` VALUES
('values:node:63', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"nid";a:1:{s:9:"x-default";s:2:"63";}s:3:"vid";a:1:{s:9:"x-default";s:2:"63";}s:4:"type";a:1:{s:9:"x-default";s:4:"page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"a9fb72c6-6ef2-4177-a70b-70bfb6343c39";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1499268165";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:12:"Text Rotator";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1499268138";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522423367";}s:7:"promote";a:1:{s:9:"x-default";s:1:"0";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:4:"page";s:2:"id";s:2:"63";s:8:"revision";s:2:"63";s:4:"uuid";s:36:"a9fb72c6-6ef2-4177-a70b-70bfb6343c39";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:12:"Text Rotator";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"63";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.489', 1, 'entity_field_info node_values', '0'),
('values:node:64', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:27:{s:3:"nid";a:1:{s:9:"x-default";s:2:"64";}s:3:"vid";a:1:{s:9:"x-default";s:2:"64";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_speaker";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"48e4833b-835a-4529-b7ef-80ba92c2e24d";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1513947375";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Marcus Cruz";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1513946890";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521726881";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:25:"field_mt_spk_affiliations";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"58";}}}s:17:"field_mt_spk_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_spk_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_spk_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:26:"field_mt_spk_speaker_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"223";s:3:"alt";s:11:"Speaker Six";s:5:"title";s:0:"";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_spk_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:8:"Engineer";}}}s:28:"field_mt_spk_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_spk_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.youtube.com/";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_speaker";s:2:"id";s:2:"64";s:8:"revision";s:2:"64";s:4:"uuid";s:36:"48e4833b-835a-4529-b7ef-80ba92c2e24d";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Marcus Cruz";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"64";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681650107.656', 1, 'entity_field_info node_values', '0'),
('values:node:65', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:27:{s:3:"nid";a:1:{s:9:"x-default";s:2:"65";}s:3:"vid";a:1:{s:9:"x-default";s:2:"65";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_speaker";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"69446f10-f29c-47e3-aff2-c5bcfa7d31b0";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1513947699";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Waylon Dalton";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1513947666";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521726841";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:25:"field_mt_spk_affiliations";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"57";}}}s:17:"field_mt_spk_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_spk_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_spk_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:26:"field_mt_spk_speaker_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"222";s:3:"alt";s:12:"Speaker Five";s:5:"title";s:0:"";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_spk_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:7:"Manager";}}}s:28:"field_mt_spk_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_spk_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_speaker";s:2:"id";s:2:"65";s:8:"revision";s:2:"65";s:4:"uuid";s:36:"69446f10-f29c-47e3-aff2-c5bcfa7d31b0";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:13:"Waylon Dalton";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"65";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681650107.657', 1, 'entity_field_info node_values', '0'),
('values:node:66', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:27:{s:3:"nid";a:1:{s:9:"x-default";s:2:"66";}s:3:"vid";a:1:{s:9:"x-default";s:2:"66";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_speaker";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"47d8e48a-920d-4c4f-a0f1-d543c11df312";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1513947781";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:17:"Justine Henderson";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1513947739";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521726854";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:25:"field_mt_spk_affiliations";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"56";}}}s:17:"field_mt_spk_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_spk_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_spk_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:26:"field_mt_spk_speaker_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"221";s:3:"alt";s:12:"Speaker Four";s:5:"title";s:0:"";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_spk_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:12:"Web Designer";}}}s:28:"field_mt_spk_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_spk_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_speaker";s:2:"id";s:2:"66";s:8:"revision";s:2:"66";s:4:"uuid";s:36:"47d8e48a-920d-4c4f-a0f1-d543c11df312";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:17:"Justine Henderson";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"66";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681650107.657', 1, 'entity_field_info node_values', '0'),
('values:node:67', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:27:{s:3:"nid";a:1:{s:9:"x-default";s:2:"67";}s:3:"vid";a:1:{s:9:"x-default";s:2:"67";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_speaker";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"cebc72cc-4567-4ae0-9209-6cab09534f81";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1513947857";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Thalia Cobb";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1513947825";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521726894";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:25:"field_mt_spk_affiliations";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"55";}}}s:17:"field_mt_spk_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_spk_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_spk_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:26:"field_mt_spk_speaker_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"219";s:3:"alt";s:13:"Speaker Three";s:5:"title";s:0:"";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_spk_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:5:"Medic";}}}s:28:"field_mt_spk_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_spk_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_speaker";s:2:"id";s:2:"67";s:8:"revision";s:2:"67";s:4:"uuid";s:36:"cebc72cc-4567-4ae0-9209-6cab09534f81";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Thalia Cobb";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"67";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681650107.657', 1, 'entity_field_info node_values', '0'),
('values:node:68', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:27:{s:3:"nid";a:1:{s:9:"x-default";s:2:"68";}s:3:"vid";a:1:{s:9:"x-default";s:2:"68";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_speaker";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c0a11c0a-f5f4-469e-9931-51cc9041f41e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1513947941";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:14:"Mathias Little";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1513947902";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521726909";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:25:"field_mt_spk_affiliations";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"54";}}}s:17:"field_mt_spk_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_spk_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_spk_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:26:"field_mt_spk_speaker_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"218";s:3:"alt";s:11:"Speaker Two";s:5:"title";s:0:"";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_spk_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:8:"Engineer";}}}s:28:"field_mt_spk_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_spk_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_speaker";s:2:"id";s:2:"68";s:8:"revision";s:2:"68";s:4:"uuid";s:36:"c0a11c0a-f5f4-469e-9931-51cc9041f41e";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:14:"Mathias Little";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"68";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681650107.657', 1, 'entity_field_info node_values', '0'),
('values:node:69', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:27:{s:3:"nid";a:1:{s:9:"x-default";s:2:"69";}s:3:"vid";a:1:{s:9:"x-default";s:2:"69";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_speaker";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"559183cb-2fd6-409b-9edb-33be062722a5";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1513948005";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:13:"Abdullah Lang";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1513947978";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521726866";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:25:"field_mt_spk_affiliations";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"53";}}}s:17:"field_mt_spk_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:29:"field_mt_spk_facebook_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.facebook.com";}}}s:29:"field_mt_spk_linkedin_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:24:"https://www.linkedin.com";}}}s:26:"field_mt_spk_speaker_photo";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"217";s:3:"alt";s:11:"Speaker One";s:5:"title";s:0:"";s:5:"width";s:3:"750";s:6:"height";s:3:"750";}}}s:21:"field_mt_spk_subtitle";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:7:"Manager";}}}s:28:"field_mt_spk_twitter_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:20:"https://twitter.com/";}}}s:28:"field_mt_spk_youtube_account";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:19:"https://youtube.com";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_speaker";s:2:"id";s:2:"69";s:8:"revision";s:2:"69";s:4:"uuid";s:36:"559183cb-2fd6-409b-9edb-33be062722a5";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:13:"Abdullah Lang";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"69";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681650107.657', 1, 'entity_field_info node_values', '0'),
('values:node:7', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:24:{s:3:"nid";a:1:{s:9:"x-default";s:1:"7";}s:3:"vid";a:1:{s:9:"x-default";s:1:"7";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_service";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"73f7c2e6-8e71-484a-b137-ca7dc3ac1c46";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465321981";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 3";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465321934";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513350";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_srv_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1110:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:21:"field_mt_srv_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:8:"Book now";s:7:"options";a:0:{}}}}s:18:"field_mt_srv_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"207";s:3:"alt";s:19:"Third accommodation";s:5:"title";s:19:"Third accommodation";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:18:"field_mt_srv_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:4:"$199";}}}s:25:"field_mt_srv_service_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"4";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_service";s:2:"id";s:1:"7";s:8:"revision";s:1:"7";s:4:"uuid";s:36:"73f7c2e6-8e71-484a-b137-ca7dc3ac1c46";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 3";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"7";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.325', 1, 'entity_field_info node_values', '0'),
('values:node:78', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:3:"nid";a:1:{s:9:"x-default";s:2:"78";}s:3:"vid";a:1:{s:9:"x-default";s:3:"173";}s:4:"type";a:1:{s:9:"x-default";s:8:"mt_album";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"fe336ce3-8111-4c65-8bda-d2065738b868";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1521196614";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:10:"Album Four";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1516375683";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521196614";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_alb_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:18:"field_mt_alb_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"176";s:3:"alt";s:11:"album image";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:17:"field_mt_alb_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"79";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:8:"mt_album";s:2:"id";s:2:"78";s:8:"revision";s:3:"173";s:4:"uuid";s:36:"fe336ce3-8111-4c65-8bda-d2065738b868";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:10:"Album Four";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"173";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.382', 1, 'entity_field_info node_values', '0'),
('values:node:79', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:3:"nid";a:1:{s:9:"x-default";s:2:"79";}s:3:"vid";a:1:{s:9:"x-default";s:3:"172";}s:4:"type";a:1:{s:9:"x-default";s:8:"mt_album";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"344b49bc-f604-4aa1-a46d-67ab0df8b98b";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1521196604";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Album Three";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1516375716";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521196604";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_alb_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:18:"field_mt_alb_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"175";s:3:"alt";s:11:"album image";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:17:"field_mt_alb_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"81";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:8:"mt_album";s:2:"id";s:2:"79";s:8:"revision";s:3:"172";s:4:"uuid";s:36:"344b49bc-f604-4aa1-a46d-67ab0df8b98b";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Album Three";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"172";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.379', 1, 'entity_field_info node_values', '0'),
('values:node:8', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:24:{s:3:"nid";a:1:{s:9:"x-default";s:1:"8";}s:3:"vid";a:1:{s:9:"x-default";s:1:"8";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_service";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"ca34f8f3-de5c-4a38-bc10-da6b4a0a2707";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465322068";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 2";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465322004";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513333";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_srv_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:1110:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:21:"field_mt_srv_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:8:"Book now";s:7:"options";a:0:{}}}}s:18:"field_mt_srv_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"208";s:3:"alt";s:20:"Second accommodation";s:5:"title";s:20:"Second accommodation";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:18:"field_mt_srv_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:4:"$399";}}}s:25:"field_mt_srv_service_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"3";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_service";s:2:"id";s:1:"8";s:8:"revision";s:1:"8";s:4:"uuid";s:36:"ca34f8f3-de5c-4a38-bc10-da6b4a0a2707";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 2";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"8";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.321', 1, 'entity_field_info node_values', '0'),
('values:node:80', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:3:"nid";a:1:{s:9:"x-default";s:2:"80";}s:3:"vid";a:1:{s:9:"x-default";s:3:"171";}s:4:"type";a:1:{s:9:"x-default";s:8:"mt_album";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"1584d290-806e-4b59-a12f-20b0446d9257";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1521196592";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:9:"Album Two";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1516375753";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521196592";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_alb_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:18:"field_mt_alb_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"174";s:3:"alt";s:11:"album image";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:17:"field_mt_alb_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"80";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:8:"mt_album";s:2:"id";s:2:"80";s:8:"revision";s:3:"171";s:4:"uuid";s:36:"1584d290-806e-4b59-a12f-20b0446d9257";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:9:"Album Two";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"171";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.375', 1, 'entity_field_info node_values', '0'),
('values:node:81', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:22:{s:3:"nid";a:1:{s:9:"x-default";s:2:"81";}s:3:"vid";a:1:{s:9:"x-default";s:3:"170";}s:4:"type";a:1:{s:9:"x-default";s:8:"mt_album";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"c4dcda10-fd3b-4d2f-b158-4f1e31f5313e";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1521196580";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:9:"Album One";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1516375782";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1521196580";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_alb_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:18:"field_mt_alb_image";a:1:{s:9:"x-default";a:6:{i:0;a:5:{s:9:"target_id";s:3:"168";s:3:"alt";s:5:"album";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:1;a:5:{s:9:"target_id";s:3:"169";s:3:"alt";s:5:"album";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:2;a:5:{s:9:"target_id";s:3:"170";s:3:"alt";s:5:"album";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:3;a:5:{s:9:"target_id";s:3:"171";s:3:"alt";s:5:"album";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:4;a:5:{s:9:"target_id";s:3:"172";s:3:"alt";s:5:"album";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:5;a:5:{s:9:"target_id";s:3:"173";s:3:"alt";s:5:"album";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:17:"field_mt_alb_tags";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:2:"79";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:8:"mt_album";s:2:"id";s:2:"81";s:8:"revision";s:3:"170";s:4:"uuid";s:36:"c4dcda10-fd3b-4d2f-b158-4f1e31f5313e";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:9:"Album One";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"170";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.372', 1, 'entity_field_info node_values', '0'),
('values:node:9', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:27:{s:3:"nid";a:1:{s:9:"x-default";s:1:"9";}s:3:"vid";a:1:{s:9:"x-default";s:1:"9";}s:4:"type";a:1:{s:9:"x-default";s:10:"mt_service";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"e3e11e03-d2ba-4948-bcd5-a2855c4501f9";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1465322160";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:11:"Room type 1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1465322101";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1520513311";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:25:"field_mt_srv_banner_image";a:1:{s:9:"x-default";a:2:{i:0;a:5:{s:9:"target_id";s:3:"245";s:3:"alt";s:19:"First accommodation";s:5:"title";s:11:"First Slide";s:5:"width";s:4:"1920";s:6:"height";s:3:"650";}i:1;a:5:{s:9:"target_id";s:3:"246";s:3:"alt";s:19:"First accommodation";s:5:"title";s:12:"Second Slide";s:5:"width";s:4:"1920";s:6:"height";s:3:"650";}}}s:17:"field_mt_srv_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:2237:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3 class="description-title">Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th>Service</th>\r\n			<th>Quantity</th>\r\n			<th>Price</th>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>Lorem ipsum dolor sit amet</td>\r\n			<td>24 pieces in stock</td>\r\n			<td><s>$279.00</s> $189.00</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>Praesent luctus fermentum tincidunt</td>\r\n			<td>132 pieces in stock</td>\r\n			<td><s>$453.00</s> $379.00</td>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>Morbi venenatis, ligula ut tincidunt</td>\r\n			<td>1231 pieces in stock</td>\r\n			<td><s>$1193.00</s> $1089.00</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>Duis vitae odio ac ante faucibus faucibus</td>\r\n			<td>978 pieces in stock</td>\r\n			<td><s>$687.00</s> $620.00</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n";s:7:"summary";s:183:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>";s:6:"format";s:9:"full_html";}}}s:21:"field_mt_srv_buy_link";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:3:"uri";s:94:"http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents";s:5:"title";s:8:"Book now";s:7:"options";a:0:{}}}}s:18:"field_mt_srv_image";a:1:{s:9:"x-default";a:6:{i:0;a:5:{s:9:"target_id";s:3:"198";s:3:"alt";s:13:"First Service";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:1;a:5:{s:9:"target_id";s:3:"199";s:3:"alt";s:13:"First Service";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:2;a:5:{s:9:"target_id";s:3:"200";s:3:"alt";s:13:"First Service";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:3;a:5:{s:9:"target_id";s:3:"201";s:3:"alt";s:13:"First Service";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:4;a:5:{s:9:"target_id";s:3:"202";s:3:"alt";s:13:"First Service";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}i:5;a:5:{s:9:"target_id";s:3:"203";s:3:"alt";s:13:"First Service";s:5:"title";s:0:"";s:5:"width";s:4:"1280";s:6:"height";s:3:"690";}}}s:18:"field_mt_srv_price";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:4:"$299";}}}s:25:"field_mt_srv_service_tags";a:1:{s:9:"x-default";a:2:{i:0;a:1:{s:9:"target_id";s:1:"3";}i:1;a:1:{s:9:"target_id";s:1:"2";}}}s:27:"field_mt_srv_subheader_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:185:"<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n";s:7:"summary";s:0:"";s:6:"format";s:10:"basic_html";}}}s:18:"field_mt_srv_video";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:43:"https://www.youtube.com/watch?v=T7SqK5RizWY";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:10:"mt_service";s:2:"id";s:1:"9";s:8:"revision";s:1:"9";s:4:"uuid";s:36:"e3e11e03-d2ba-4948-bcd5-a2855c4501f9";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:11:"Room type 1";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:1:"9";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.317', 1, 'entity_field_info node_values', '0');
INSERT INTO `cache_entity` VALUES
('values:node:94', 'O:23:"Drupal\\node\\Entity\\Node":29:{s:15:"\0*\0entityTypeId";s:4:"node";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:20:{s:3:"nid";a:1:{s:9:"x-default";s:2:"94";}s:3:"vid";a:1:{s:9:"x-default";s:3:"169";}s:4:"type";a:1:{s:9:"x-default";s:14:"mt_canvas_page";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b8dcd4c0-abe4-492d-a824-289edd1460aa";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:12:"revision_uid";a:1:{s:9:"x-default";s:1:"1";}s:18:"revision_timestamp";a:1:{s:9:"x-default";s:10:"1521136039";}s:12:"revision_log";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:5:"title";a:1:{s:9:"x-default";s:8:"About Us";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1521135809";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1522234187";}s:7:"promote";a:1:{s:9:"x-default";s:1:"1";}s:6:"sticky";a:1:{s:9:"x-default";s:1:"0";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:17:"field_mt_cnv_body";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:810:"<div class="row mt-5">\r\n<div class="col-xl-5 col-md-6"><img alt="about us" class="mb-3" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-about-us-1.jpg" /></div>\r\n\r\n<div class="col-md-6 ml-xl-auto">\r\n<h3 class="mt-0 mb-4">Conference+ dedicated to helping young people worldwide achieve great success</h3>\r\n\r\n<p class="pt-2">Conference+ foundation is a non-profit organization dedicated to helping young people worldwide achieve great success through a unique curriculum. Makes a commitment to instill each student or young adult with real-life keys to success such as goal-setting, mentorship, self-motivation, professionalism and advanced communication.</p>\r\n\r\n<h5 class="mb-0">Brian A. King</h5>\r\n\r\n<p>Founder &amp; CEO of Conference+</p>\r\n</div>\r\n</div>\r\n";s:7:"summary";s:0:"";s:6:"format";s:9:"full_html";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:14:"mt_canvas_page";s:2:"id";s:2:"94";s:8:"revision";s:3:"169";s:4:"uuid";s:36:"b8dcd4c0-abe4-492d-a824-289edd1460aa";}s:25:"\0*\0translatableEntityKeys";a:8:{s:5:"label";a:1:{s:9:"x-default";s:8:"About Us";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:5:"owner";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:3:"169";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;s:10:"in_preview";N;}', -1, '1681649760.290', 1, 'entity_field_info node_values', '0'),
('values:shortcut:2', 'O:31:"Drupal\\shortcut\\Entity\\Shortcut":28:{s:15:"\0*\0entityTypeId";s:8:"shortcut";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:8:{s:2:"id";a:1:{s:9:"x-default";s:1:"2";}s:12:"shortcut_set";a:1:{s:9:"x-default";s:7:"default";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"470fe853-cde5-47dd-ab0d-afa37c765bff";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:5:"title";a:1:{s:9:"x-default";s:11:"All content";}s:6:"weight";a:1:{s:9:"x-default";s:3:"-19";}s:4:"link";a:1:{s:9:"x-default";a:3:{s:3:"uri";s:23:"internal:/admin/content";s:5:"title";N;s:7:"options";a:0:{}}}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:3:{s:6:"bundle";s:7:"default";s:2:"id";s:1:"2";s:4:"uuid";s:36:"470fe853-cde5-47dd-ab0d-afa37c765bff";}s:25:"\0*\0translatableEntityKeys";a:3:{s:5:"label";a:1:{s:9:"x-default";s:11:"All content";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681649762.459', 1, 'entity_field_info shortcut_values', '0'),
('values:taxonomy_term:53', 'O:27:"Drupal\\taxonomy\\Entity\\Term":28:{s:15:"\0*\0entityTypeId";s:13:"taxonomy_term";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"tid";a:1:{s:9:"x-default";s:2:"53";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"53";}s:3:"vid";a:1:{s:9:"x-default";s:15:"mt_affiliations";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"3594b590-e252-44ef-a7f0-801429706283";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"name";a:1:{s:9:"x-default";s:17:"First Affiliation";}s:11:"description";a:1:{s:9:"x-default";a:2:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:6:"format";s:10:"basic_html";}}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516796311";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"0";}}}s:26:"field_mt_affiliation_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"162";s:3:"alt";s:11:"Affiliation";s:5:"title";s:0:"";s:5:"width";s:3:"240";s:6:"height";s:3:"240";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:15:"mt_affiliations";s:2:"id";s:2:"53";s:8:"revision";s:2:"53";s:4:"uuid";s:36:"3594b590-e252-44ef-a7f0-801429706283";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"First Affiliation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"53";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.748', 1, 'entity_field_info taxonomy_term_values', '0'),
('values:taxonomy_term:54', 'O:27:"Drupal\\taxonomy\\Entity\\Term":28:{s:15:"\0*\0entityTypeId";s:13:"taxonomy_term";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"tid";a:1:{s:9:"x-default";s:2:"54";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"54";}s:3:"vid";a:1:{s:9:"x-default";s:15:"mt_affiliations";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"8102b910-ebf7-4b00-ad09-23c0fbfa7454";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"name";a:1:{s:9:"x-default";s:18:"Second Affiliation";}s:11:"description";a:1:{s:9:"x-default";a:2:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:6:"format";s:10:"basic_html";}}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516796334";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"0";}}}s:26:"field_mt_affiliation_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"163";s:3:"alt";s:11:"Affiliation";s:5:"title";s:0:"";s:5:"width";s:3:"240";s:6:"height";s:3:"240";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:15:"mt_affiliations";s:2:"id";s:2:"54";s:8:"revision";s:2:"54";s:4:"uuid";s:36:"8102b910-ebf7-4b00-ad09-23c0fbfa7454";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:18:"Second Affiliation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"54";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.860', 1, 'entity_field_info taxonomy_term_values', '0'),
('values:taxonomy_term:55', 'O:27:"Drupal\\taxonomy\\Entity\\Term":28:{s:15:"\0*\0entityTypeId";s:13:"taxonomy_term";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"tid";a:1:{s:9:"x-default";s:2:"55";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"55";}s:3:"vid";a:1:{s:9:"x-default";s:15:"mt_affiliations";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"805dd296-07e4-4dde-8c73-f1966fe6d8fc";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"name";a:1:{s:9:"x-default";s:17:"Third Affiliation";}s:11:"description";a:1:{s:9:"x-default";a:2:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:6:"format";s:10:"basic_html";}}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516796352";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"0";}}}s:26:"field_mt_affiliation_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"164";s:3:"alt";s:11:"Affiliation";s:5:"title";s:0:"";s:5:"width";s:3:"240";s:6:"height";s:3:"240";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:15:"mt_affiliations";s:2:"id";s:2:"55";s:8:"revision";s:2:"55";s:4:"uuid";s:36:"805dd296-07e4-4dde-8c73-f1966fe6d8fc";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"Third Affiliation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"55";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.870', 1, 'entity_field_info taxonomy_term_values', '0'),
('values:taxonomy_term:56', 'O:27:"Drupal\\taxonomy\\Entity\\Term":28:{s:15:"\0*\0entityTypeId";s:13:"taxonomy_term";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"tid";a:1:{s:9:"x-default";s:2:"56";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"56";}s:3:"vid";a:1:{s:9:"x-default";s:15:"mt_affiliations";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"4860315d-611c-492a-b432-3837ed1953a7";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"name";a:1:{s:9:"x-default";s:18:"Fourth Affiliation";}s:11:"description";a:1:{s:9:"x-default";a:2:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:6:"format";s:10:"basic_html";}}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516796370";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"0";}}}s:26:"field_mt_affiliation_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"165";s:3:"alt";s:11:"Affiliation";s:5:"title";s:0:"";s:5:"width";s:3:"240";s:6:"height";s:3:"240";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:15:"mt_affiliations";s:2:"id";s:2:"56";s:8:"revision";s:2:"56";s:4:"uuid";s:36:"4860315d-611c-492a-b432-3837ed1953a7";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:18:"Fourth Affiliation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"56";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.834', 1, 'entity_field_info taxonomy_term_values', '0'),
('values:taxonomy_term:57', 'O:27:"Drupal\\taxonomy\\Entity\\Term":28:{s:15:"\0*\0entityTypeId";s:13:"taxonomy_term";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"tid";a:1:{s:9:"x-default";s:2:"57";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"57";}s:3:"vid";a:1:{s:9:"x-default";s:15:"mt_affiliations";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"19021be9-d15d-4cc5-a596-602758f723ae";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"name";a:1:{s:9:"x-default";s:17:"Fifth Affiliation";}s:11:"description";a:1:{s:9:"x-default";a:2:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:6:"format";s:10:"basic_html";}}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516796387";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"0";}}}s:26:"field_mt_affiliation_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"166";s:3:"alt";s:11:"Affiliation";s:5:"title";s:0:"";s:5:"width";s:3:"240";s:6:"height";s:3:"240";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:15:"mt_affiliations";s:2:"id";s:2:"57";s:8:"revision";s:2:"57";s:4:"uuid";s:36:"19021be9-d15d-4cc5-a596-602758f723ae";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"Fifth Affiliation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"57";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.880', 1, 'entity_field_info taxonomy_term_values', '0'),
('values:taxonomy_term:58', 'O:27:"Drupal\\taxonomy\\Entity\\Term":28:{s:15:"\0*\0entityTypeId";s:13:"taxonomy_term";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:19:{s:3:"tid";a:1:{s:9:"x-default";s:2:"58";}s:11:"revision_id";a:1:{s:9:"x-default";s:2:"58";}s:3:"vid";a:1:{s:9:"x-default";s:15:"mt_affiliations";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"5e113c02-12a3-4aef-9e5b-99da2688cd8a";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"revision_default";a:1:{s:9:"x-default";s:1:"1";}s:13:"revision_user";a:1:{s:9:"x-default";N;}s:16:"revision_created";a:1:{s:9:"x-default";N;}s:20:"revision_log_message";a:1:{s:9:"x-default";N;}s:17:"isDefaultRevision";a:1:{s:9:"x-default";s:1:"1";}s:4:"name";a:1:{s:9:"x-default";s:17:"Sixth Affiliation";}s:11:"description";a:1:{s:9:"x-default";a:2:{s:5:"value";s:455:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n";s:6:"format";s:10:"basic_html";}}s:7:"changed";a:1:{s:9:"x-default";s:10:"1516796407";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}s:6:"weight";a:1:{s:9:"x-default";s:1:"0";}s:6:"parent";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:1:"0";}}}s:26:"field_mt_affiliation_image";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:3:"167";s:3:"alt";s:11:"Affiliation";s:5:"title";s:0:"";s:5:"width";s:3:"240";s:6:"height";s:3:"240";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";s:1:"1";s:13:"\0*\0entityKeys";a:4:{s:6:"bundle";s:15:"mt_affiliations";s:2:"id";s:2:"58";s:8:"revision";s:2:"58";s:4:"uuid";s:36:"5e113c02-12a3-4aef-9e5b-99da2688cd8a";}s:25:"\0*\0translatableEntityKeys";a:5:{s:5:"label";a:1:{s:9:"x-default";s:17:"Sixth Affiliation";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:9:"published";a:1:{s:9:"x-default";s:1:"1";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:29:"revision_translation_affected";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";s:2:"58";s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681650107.845', 1, 'entity_field_info taxonomy_term_values', '0'),
('values:user:0', 'O:23:"Drupal\\user\\Entity\\User":28:{s:15:"\0*\0entityTypeId";s:4:"user";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:9:"\0*\0values";a:16:{s:3:"uid";a:1:{s:9:"x-default";s:1:"0";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"b342adc7-ba96-4512-87e8-c720882b3096";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:18:"preferred_langcode";a:1:{s:9:"x-default";s:2:"en";}s:24:"preferred_admin_langcode";a:1:{s:9:"x-default";N;}s:4:"name";a:1:{s:9:"x-default";s:0:"";}s:4:"pass";a:1:{s:9:"x-default";N;}s:4:"mail";a:1:{s:9:"x-default";N;}s:8:"timezone";a:1:{s:9:"x-default";s:0:"";}s:6:"status";a:1:{s:9:"x-default";s:1:"0";}s:7:"created";a:1:{s:9:"x-default";s:10:"1464712824";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1464712824";}s:6:"access";a:1:{s:9:"x-default";s:1:"0";}s:5:"login";a:1:{s:9:"x-default";s:1:"0";}s:4:"init";a:1:{s:9:"x-default";N;}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:3:{s:6:"bundle";s:4:"user";s:2:"id";s:1:"0";s:4:"uuid";s:36:"b342adc7-ba96-4512-87e8-c720882b3096";}s:25:"\0*\0translatableEntityKeys";a:2:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681649817.119', 1, 'entity_field_info user_values', '0'),
('values:user:1', 'O:23:"Drupal\\user\\Entity\\User":28:{s:9:"\0*\0values";a:20:{s:3:"uid";a:1:{s:9:"x-default";s:1:"1";}s:4:"uuid";a:1:{s:9:"x-default";s:36:"9793666b-8825-4dc0-af5c-e1f3ece3b391";}s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:18:"preferred_langcode";a:1:{s:9:"x-default";s:2:"en";}s:24:"preferred_admin_langcode";a:1:{s:9:"x-default";N;}s:4:"name";a:1:{s:9:"x-default";s:5:"admin";}s:4:"pass";a:1:{s:9:"x-default";s:55:"$S$E2dhtXgCTFmM0Q7rmFevqtkgFGqci.mpqKj8mJgVdTNnnv60qhKA";}s:4:"mail";a:1:{s:9:"x-default";s:18:"noreply@domain.com";}s:8:"timezone";a:1:{s:9:"x-default";s:13:"Europe/Athens";}s:6:"status";a:1:{s:9:"x-default";s:1:"1";}s:7:"created";a:1:{s:9:"x-default";s:10:"1464712824";}s:7:"changed";a:1:{s:9:"x-default";s:10:"1518543799";}s:6:"access";a:1:{s:9:"x-default";s:10:"1681653962";}s:5:"login";a:1:{s:9:"x-default";s:10:"1681465233";}s:4:"init";a:1:{s:9:"x-default";s:38:"dev+startupgrowthd8@morethanthemes.com";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}s:5:"roles";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:9:"target_id";s:13:"administrator";}}}s:18:"field_mt_full_name";a:1:{s:9:"x-default";a:1:{i:0;a:1:{s:5:"value";s:8:"Josn Doe";}}}s:18:"field_mt_signature";a:1:{s:9:"x-default";a:1:{i:0;a:3:{s:5:"value";s:232:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.";s:7:"summary";s:0:"";s:6:"format";s:8:"raw_html";}}}s:12:"user_picture";a:1:{s:9:"x-default";a:1:{i:0;a:5:{s:9:"target_id";s:2:"14";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";s:2:"85";s:6:"height";s:2:"85";}}}}s:9:"\0*\0fields";a:0:{}s:19:"\0*\0fieldDefinitions";N;s:12:"\0*\0languages";N;s:14:"\0*\0langcodeKey";s:8:"langcode";s:21:"\0*\0defaultLangcodeKey";s:16:"default_langcode";s:17:"\0*\0activeLangcode";s:9:"x-default";s:18:"\0*\0defaultLangcode";s:2:"en";s:15:"\0*\0translations";a:1:{s:9:"x-default";a:1:{s:6:"status";i:1;}}s:24:"\0*\0translationInitialize";b:0;s:14:"\0*\0newRevision";b:0;s:20:"\0*\0isDefaultRevision";b:1;s:13:"\0*\0entityKeys";a:3:{s:6:"bundle";s:4:"user";s:2:"id";s:1:"1";s:4:"uuid";s:36:"9793666b-8825-4dc0-af5c-e1f3ece3b391";}s:25:"\0*\0translatableEntityKeys";a:2:{s:8:"langcode";a:1:{s:9:"x-default";s:2:"en";}s:16:"default_langcode";a:1:{s:9:"x-default";s:1:"1";}}s:12:"\0*\0validated";b:0;s:21:"\0*\0validationRequired";b:0;s:19:"\0*\0loadedRevisionId";N;s:33:"\0*\0revisionTranslationAffectedKey";s:29:"revision_translation_affected";s:37:"\0*\0enforceRevisionTranslationAffected";a:0:{}s:15:"\0*\0entityTypeId";s:4:"user";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:12:"\0*\0isSyncing";b:0;}', -1, '1681653964.263', 1, 'entity_field_info user_values', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cache_menu`
--

CREATE TABLE `cache_menu` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_menu`
--

INSERT INTO `cache_menu` VALUES
('active-trail:route:entity.node.canonical:route_parameters:a:1:{s:4:"node";s:2:"35";}', 'a:2:{s:4:"main";a:1:{s:0:"";s:0:"";}s:7:"account";a:1:{s:0:"";s:0:"";}}', -1, '1681652754.383', 1, 'config:system.menu.account config:system.menu.main', '16'),
('active-trail:route:entity.node.canonical:route_parameters:a:1:{s:4:"node";s:2:"94";}', 'a:2:{s:4:"main";a:2:{s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:0:"";s:0:"";}s:7:"account";a:1:{s:0:"";s:0:"";}}', -1, '1681653973.250', 1, 'config:system.menu.account config:system.menu.main', '16'),
('active-trail:route:view.mt_speakers.page_1:route_parameters:a:0:{}', 'a:2:{s:4:"main";a:2:{s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:0:"";s:0:"";}s:7:"account";a:1:{s:0:"";s:0:"";}}', -1, '1681652765.563', 1, 'config:system.menu.account config:system.menu.main', '16'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":175:{a:6:{s:4:"root";s:16:"user.admin_index";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:1:{s:22:"entity.user.admin_form";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Account settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"Configure default user account settings, including fields, registration requirements, and email messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:1:{s:22:"entity.user.admin_form";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:22:"entity.user.admin_form";}}', -1, '1681652775.874', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":178:{a:6:{s:4:"root";s:19:"system.admin_config";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:12:{s:25:"system.admin_config_media";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:28:"system.admin_config_services";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Web services";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:31:"system.admin_config_development";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Configure and use development tools.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:28:"system.admin_config_regional";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Regional and language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Configure regional settings, localization, and translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:26:"system.admin_config_search";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Search and metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Configure site search, metadata, and search engine optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:26:"system.admin_config_system";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Configure basic site settings, actions, and cron.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:22:"system.admin_config_ui";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"User interface";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the administrative user interface.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:28:"system.admin_config_workflow";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Workflow";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage the content workflow.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:27:"system.admin_config_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content authoring";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure content formatting and authoring.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:16:"user.admin_index";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Configure user accounts.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:26:"mt_countdown.settings_menu";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:0:"";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:38:"mt_cookieconsent.admin.config.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:11:"definitions";a:12:{s:25:"system.admin_config_media";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_services";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:36;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:31:"system.admin_config_development";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:61;s:11:"description";r:65;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_regional";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:89;s:11:"description";r:93;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_search";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:117;s:11:"description";r:121;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_system";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:145;s:11:"description";r:149;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_config_ui";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:173;s:11:"description";r:177;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_workflow";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:201;s:11:"description";r:205;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.admin_config_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:229;s:11:"description";r:233;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:16:"user.admin_index";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:257;s:11:"description";r:261;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"mt_countdown.settings_menu";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:285;s:11:"description";r:289;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:38:"mt_cookieconsent.admin.config.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:313;s:11:"description";r:317;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:12:{i:0;s:25:"system.admin_config_media";i:1;s:28:"system.admin_config_services";i:2;s:31:"system.admin_config_development";i:3;s:28:"system.admin_config_regional";i:4;s:26:"system.admin_config_search";i:5;s:26:"system.admin_config_system";i:6;s:22:"system.admin_config_ui";i:7;s:28:"system.admin_config_workflow";i:8;s:27:"system.admin_config_content";i:9;s:16:"user.admin_index";i:10;s:24:"mt_countdown.admin_index";i:11;s:25:"mt_cookieconsent.settings";}}', -1, '1681652775.870', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":181:{a:6:{s:4:"root";s:22:"system.admin_config_ui";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:1:{s:30:"entity.shortcut_set.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Add and modify shortcut sets.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:1:{s:30:"entity.shortcut_set.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:30:"entity.shortcut_set.collection";}}', -1, '1681652775.881', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":184:{a:6:{s:4:"root";s:25:"system.admin_config_media";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:3:{s:27:"system.file_system_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"File system";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Configure the location of uploaded files and how they are accessed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"system.image_toolkit_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Image toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.image_style.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Configure styles that can be used for resizing or adjusting images on display.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:3:{s:27:"system.file_system_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"system.image_toolkit_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.image_style.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:67;s:11:"description";r:71;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:3:{i:0;s:27:"system.file_system_settings";i:1;s:29:"system.image_toolkit_settings";i:2;s:29:"entity.image_style.collection";}}', -1, '1681652775.885', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":185:{a:6:{s:4:"root";s:26:"mt_countdown.settings_menu";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:1:{s:26:"mt_countdown.settings_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Count Down settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Configure the content and layout of the MtT Count Down module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:1:{s:26:"mt_countdown.settings_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:21:"mt_countdown.settings";}}', -1, '1681652775.892', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":185:{a:6:{s:4:"root";s:26:"system.admin_config_search";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:2:{s:29:"entity.search_page.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Configure search pages and search indexing options.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:28:"entity.path_alias.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Add custom URLs to existing paths.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:2:{s:29:"entity.search_page.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"entity.path_alias.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:2:{i:0;s:29:"entity.search_page.collection";i:1;s:28:"entity.path_alias.collection";}}', -1, '1681652775.887', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":185:{a:6:{s:4:"root";s:26:"system.admin_config_system";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:4:{s:32:"system.site_information_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Basic site settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Change site name, email address, slogan, default front page, and error pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:20:"system.cron_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Cron";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Manage automatic site maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"statistics.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the logging of content statistics.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:41:"entity_reference_revisions.delete_orphans";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Delete orphaned composite entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Delete revisions of entities that are no longer used in Entity Reference Revisions fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:4:{s:32:"system.site_information_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.cron_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"statistics.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:67;s:11:"description";r:71;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:41:"entity_reference_revisions.delete_orphans";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:95;s:11:"description";r:99;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:4:{i:0;s:32:"system.site_information_settings";i:1;s:20:"system.cron_settings";i:2;s:19:"statistics.settings";i:3;s:41:"entity_reference_revisions.delete_orphans";}}', -1, '1681652775.876', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":186:{a:6:{s:4:"root";s:27:"system.admin_config_content";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:3:{s:21:"filter.admin_overview";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Text formats and editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Select and configure text editors, and how content is filtered when displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:26:"fontawesome.admin_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Font Awesome Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Global settings for the display of Font Awesome icons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"paragraphs.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Paragraphs settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:3:{s:21:"filter.admin_overview";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"fontawesome.admin_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"paragraphs.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:67;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:3:{i:0;s:21:"filter.admin_overview";i:1;s:26:"fontawesome.admin_settings";i:2;s:19:"paragraphs.settings";}}', -1, '1681652775.878', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":187:{a:6:{s:4:"root";s:28:"system.admin_config_regional";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:2:{s:24:"system.regional_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Regional settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure the locale and timezone settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.date_format.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Date and time formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure how dates and times are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:2:{s:24:"system.regional_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.date_format.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:2:{i:0;s:24:"system.regional_settings";i:1;s:29:"entity.date_format.collection";}}', -1, '1681652775.890', 1, 'config:system.menu.', '0');
INSERT INTO `cache_menu` VALUES
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":187:{a:6:{s:4:"root";s:28:"system.admin_config_services";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:2:{s:25:"system.rss_feeds_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"RSS publishing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:14:"juicerio.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Juicer settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Juicer IO social media feed settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:2:{s:25:"system.rss_feeds_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:14:"juicerio.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:2:{i:0;s:25:"system.rss_feeds_settings";i:1;s:14:"juicerio.admin";}}', -1, '1681652775.895', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":187:{a:6:{s:4:"root";s:28:"system.admin_config_workflow";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:0:{}s:11:"definitions";a:0:{}s:11:"route_names";a:0:{}}', -1, '1681652775.897', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":190:{a:6:{s:4:"root";s:31:"system.admin_config_development";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:5:{s:28:"system.site_maintenance_mode";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Maintenance mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Take the site offline for updates and other maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:27:"system.performance_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Configure caching and bandwidth optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:23:"system.logging_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Logging and errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Configure the display of error messages and database logging.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:11:"config.sync";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Configuration synchronization";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Import and export your configuration.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:22:"mt_cookieconsent.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:5:{s:28:"system.site_maintenance_mode";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.performance_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:23:"system.logging_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:67;s:11:"description";r:71;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"config.sync";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:95;s:11:"description";r:99;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"mt_cookieconsent.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:123;s:11:"description";r:127;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:5:{i:0;s:28:"system.site_maintenance_mode";i:1;s:27:"system.performance_settings";i:2;s:23:"system.logging_settings";i:3;s:11:"config.sync";i:4;s:25:"mt_cookieconsent.settings";}}', -1, '1681652775.883', 1, 'config:system.menu.', '0'),
('tree-data::C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":197:{a:6:{s:4:"root";s:38:"mt_cookieconsent.admin.config.settings";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{PM5xa39orPWH6lSo7YihlgiI0OVLSm8BSmyrlpLWxJU', 'a:3:{s:4:"tree";a:0:{}s:11:"definitions";a:0:{}s:11:"route_names";a:0:{}}', -1, '1681652775.894', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:16:"user.admin_index";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:1:{s:22:"entity.user.admin_form";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Account settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"Configure default user account settings, including fields, registration requirements, and email messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:1:{s:22:"entity.user.admin_form";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Account settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"Configure default user account settings, including fields, registration requirements, and email messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:22:"entity.user.admin_form";}}', 1681652746, '1681652211.183', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:19:"system.admin_config";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:12:{s:25:"system.admin_config_media";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:28:"system.admin_config_services";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Web services";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:31:"system.admin_config_development";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Configure and use development tools.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:28:"system.admin_config_regional";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Regional and language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Configure regional settings, localization, and translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:26:"system.admin_config_search";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Search and metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Configure site search, metadata, and search engine optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:26:"system.admin_config_system";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Configure basic site settings, actions, and cron.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:22:"system.admin_config_ui";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"User interface";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the administrative user interface.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:28:"system.admin_config_workflow";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Workflow";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage the content workflow.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:27:"system.admin_config_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content authoring";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure content formatting and authoring.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:16:"user.admin_index";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Configure user accounts.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:26:"mt_countdown.settings_menu";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:0:"";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:38:"mt_cookieconsent.admin.config.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:11:"definitions";a:12:{s:25:"system.admin_config_media";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_services";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Web services";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:31:"system.admin_config_development";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Configure and use development tools.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_regional";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Regional and language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Configure regional settings, localization, and translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_search";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Search and metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Configure site search, metadata, and search engine optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_system";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Configure basic site settings, actions, and cron.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_config_ui";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"User interface";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the administrative user interface.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_workflow";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Workflow";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage the content workflow.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.admin_config_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content authoring";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure content formatting and authoring.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:16:"user.admin_index";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Configure user accounts.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"mt_countdown.settings_menu";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:0:"";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:38:"mt_cookieconsent.admin.config.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:12:{i:0;s:25:"system.admin_config_media";i:1;s:28:"system.admin_config_services";i:2;s:31:"system.admin_config_development";i:3;s:28:"system.admin_config_regional";i:4;s:26:"system.admin_config_search";i:5;s:26:"system.admin_config_system";i:6;s:22:"system.admin_config_ui";i:7;s:28:"system.admin_config_workflow";i:8;s:27:"system.admin_config_content";i:9;s:16:"user.admin_index";i:10;s:24:"mt_countdown.admin_index";i:11;s:25:"mt_cookieconsent.settings";}}', 1681652746, '1681652211.178', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:22:"system.admin_config_ui";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:1:{s:30:"entity.shortcut_set.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Add and modify shortcut sets.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:1:{s:30:"entity.shortcut_set.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Add and modify shortcut sets.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:30:"entity.shortcut_set.collection";}}', 1681652746, '1681652211.191', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:25:"system.admin_config_media";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:3:{s:27:"system.file_system_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"File system";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Configure the location of uploaded files and how they are accessed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"system.image_toolkit_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Image toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.image_style.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Configure styles that can be used for resizing or adjusting images on display.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:3:{s:27:"system.file_system_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"File system";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Configure the location of uploaded files and how they are accessed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"system.image_toolkit_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Image toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.image_style.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Configure styles that can be used for resizing or adjusting images on display.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:3:{i:0;s:27:"system.file_system_settings";i:1;s:29:"system.image_toolkit_settings";i:2;s:29:"entity.image_style.collection";}}', 1681652746, '1681652211.196', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:26:"mt_countdown.settings_menu";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:1:{s:26:"mt_countdown.settings_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Count Down settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Configure the content and layout of the MtT Count Down module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:1:{s:26:"mt_countdown.settings_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Count Down settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Configure the content and layout of the MtT Count Down module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:21:"mt_countdown.settings";}}', 1681652746, '1681652211.204', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:26:"system.admin_config_search";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:2:{s:29:"entity.search_page.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Configure search pages and search indexing options.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:28:"entity.path_alias.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Add custom URLs to existing paths.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:2:{s:29:"entity.search_page.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Configure search pages and search indexing options.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"entity.path_alias.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Add custom URLs to existing paths.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:2:{i:0;s:29:"entity.search_page.collection";i:1;s:28:"entity.path_alias.collection";}}', 1681652746, '1681652211.199', 1, 'config:system.menu.', '0');
INSERT INTO `cache_menu` VALUES
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:26:"system.admin_config_system";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:4:{s:32:"system.site_information_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Basic site settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Change site name, email address, slogan, default front page, and error pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:20:"system.cron_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Cron";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Manage automatic site maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"statistics.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the logging of content statistics.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:41:"entity_reference_revisions.delete_orphans";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Delete orphaned composite entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Delete revisions of entities that are no longer used in Entity Reference Revisions fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:4:{s:32:"system.site_information_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Basic site settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Change site name, email address, slogan, default front page, and error pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.cron_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Cron";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Manage automatic site maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"statistics.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the logging of content statistics.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:41:"entity_reference_revisions.delete_orphans";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Delete orphaned composite entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Delete revisions of entities that are no longer used in Entity Reference Revisions fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:4:{i:0;s:32:"system.site_information_settings";i:1;s:20:"system.cron_settings";i:2;s:19:"statistics.settings";i:3;s:41:"entity_reference_revisions.delete_orphans";}}', 1681652746, '1681652211.185', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:27:"system.admin_config_content";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:3:{s:21:"filter.admin_overview";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Text formats and editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Select and configure text editors, and how content is filtered when displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:26:"fontawesome.admin_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Font Awesome Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Global settings for the display of Font Awesome icons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"paragraphs.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Paragraphs settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:3:{s:21:"filter.admin_overview";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Text formats and editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Select and configure text editors, and how content is filtered when displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"fontawesome.admin_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Font Awesome Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Global settings for the display of Font Awesome icons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"paragraphs.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Paragraphs settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:3:{i:0;s:21:"filter.admin_overview";i:1;s:26:"fontawesome.admin_settings";i:2;s:19:"paragraphs.settings";}}', 1681652746, '1681652211.188', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:28:"system.admin_config_regional";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:2:{s:24:"system.regional_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Regional settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure the locale and timezone settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.date_format.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Date and time formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure how dates and times are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:2:{s:24:"system.regional_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Regional settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure the locale and timezone settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.date_format.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Date and time formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure how dates and times are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:2:{i:0;s:24:"system.regional_settings";i:1;s:29:"entity.date_format.collection";}}', 1681652746, '1681652211.201', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:28:"system.admin_config_services";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:2:{s:25:"system.rss_feeds_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"RSS publishing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:14:"juicerio.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Juicer settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Juicer IO social media feed settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:2:{s:25:"system.rss_feeds_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"RSS publishing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:14:"juicerio.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Juicer settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Juicer IO social media feed settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:2:{i:0;s:25:"system.rss_feeds_settings";i:1;s:14:"juicerio.admin";}}', 1681652746, '1681652211.207', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:28:"system.admin_config_workflow";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:0:{}s:11:"definitions";a:0:{}s:11:"route_names";a:0:{}}', 1681652746, '1681652211.210', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:31:"system.admin_config_development";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:5:{s:28:"system.site_maintenance_mode";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Maintenance mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Take the site offline for updates and other maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:27:"system.performance_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Configure caching and bandwidth optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:23:"system.logging_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Logging and errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Configure the display of error messages and database logging.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:11:"config.sync";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Configuration synchronization";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Import and export your configuration.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:22:"mt_cookieconsent.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:11:"definitions";a:5:{s:28:"system.site_maintenance_mode";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Maintenance mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Take the site offline for updates and other maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.performance_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Configure caching and bandwidth optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:23:"system.logging_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Logging and errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Configure the display of error messages and database logging.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"config.sync";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Configuration synchronization";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Import and export your configuration.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"mt_cookieconsent.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:5:{i:0;s:28:"system.site_maintenance_mode";i:1;s:27:"system.performance_settings";i:2;s:23:"system.logging_settings";i:3;s:11:"config.sync";i:4;s:25:"mt_cookieconsent.settings";}}', 1681652746, '1681652211.193', 1, 'config:system.menu.', '0'),
('tree-data::O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:38:"mt_cookieconsent.admin.config.settings";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:0:{}s:11:"definitions";a:0:{}s:11:"route_names";a:0:{}}', 1681652746, '1681652211.206', 1, 'config:system.menu.', '0'),
('tree-data:account:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":151:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}}', 'a:3:{s:4:"tree";a:2:{s:9:"user.page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:9:"user.page";s:6:"parent";s:0:"";s:10:"route_name";s:9:"user.page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"My account";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:11:"user.logout";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:11:"user.logout";s:6:"parent";s:0:"";s:10:"route_name";s:0:"";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:0:"";s:11:"description";s:0:"";s:5:"class";s:43:"Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:2:{s:9:"user.page";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:9:"user.page";s:6:"parent";s:0:"";s:10:"route_name";s:9:"user.page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"user.logout";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:11:"user.logout";s:6:"parent";s:0:"";s:10:"route_name";s:0:"";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:0:"";s:11:"description";s:0:"";s:5:"class";s:43:"Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:9:"user.page";}}', -1, '1681652753.064', 1, 'config:system.menu.account', '8'),
('tree-data:account:O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}', 'a:3:{s:4:"tree";a:2:{s:9:"user.page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:9:"user.page";s:6:"parent";s:0:"";s:10:"route_name";s:9:"user.page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"My account";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:11:"user.logout";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:11:"user.logout";s:6:"parent";s:0:"";s:10:"route_name";s:0:"";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:0:"";s:11:"description";s:0:"";s:5:"class";s:43:"Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:2:{s:9:"user.page";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:9:"user.page";s:6:"parent";s:0:"";s:10:"route_name";s:9:"user.page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"My account";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"user.logout";a:16:{s:9:"menu_name";s:7:"account";s:2:"id";s:11:"user.logout";s:6:"parent";s:0:"";s:10:"route_name";s:0:"";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:0:"";s:11:"description";s:0:"";s:5:"class";s:43:"Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:1:{i:0;s:9:"user.page";}}', 1681652746, '1681650075.030', 1, 'config:system.menu.account', '5'),
('tree-data:admin:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":158:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:2;s:8:"maxDepth";i:2;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:8:{s:20:"system.admin_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Find and manage content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:22:"system.admin_structure";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Structure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Administer blocks, content types, menus, etc.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:18:"system.themes_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Appearance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Select and configure themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:19:"system.modules_list";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Extend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Add and enable modules to extend site functionality.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:19:"system.admin_config";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Administer settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:20:"system.admin_reports";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Reports";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"View reports, updates, and errors.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:22:"entity.user.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Manage user accounts, roles, and permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:9:"help.main";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Reference for usage, configuration, and modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:11:"definitions";a:8:{s:20:"system.admin_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_structure";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:39;s:11:"description";r:43;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:18:"system.themes_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:67;s:11:"description";r:71;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.modules_list";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:95;s:11:"description";r:99;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.admin_config";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:123;s:11:"description";r:127;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.admin_reports";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:151;s:11:"description";r:155;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.user.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:179;s:11:"description";r:183;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:9:"help.main";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:207;s:11:"description";r:211;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:8:{i:0;s:20:"system.admin_content";i:1;s:22:"system.admin_structure";i:2;s:18:"system.themes_page";i:3;s:19:"system.modules_list";i:4;s:19:"system.admin_config";i:5;s:20:"system.admin_reports";i:6;s:22:"entity.user.collection";i:7;s:9:"help.main";}}', -1, '1681652749.394', 1, 'config:system.menu.admin', '8');
INSERT INTO `cache_menu` VALUES
('tree-data:admin:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":158:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:2;s:8:"maxDepth";i:4;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}}', 'a:3:{s:4:"tree";a:8:{s:20:"system.admin_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Find and manage content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:13:"comment.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"comment.admin";s:6:"parent";s:20:"system.admin_content";s:10:"route_name";s:13:"comment.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"List and edit site comments and the comment approval queue.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:22:"system.admin_structure";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Structure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Administer blocks, content types, menus, etc.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:10:{s:19:"block.admin_display";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"block.admin_display";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:19:"block.admin_display";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Block layout";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:79:"Configure what block content appears in your site''s sidebars and other regions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"block";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:27:"entity.node_type.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"entity.node_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:27:"entity.node_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Content types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:71:"Create and manage fields, forms, and display settings for your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:30:"entity.comment_type.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.comment_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.comment_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Comment types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Manage form and displays settings of comments.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:30:"entity.contact_form.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.contact_form.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.contact_form.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Contact forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"Create and manage contact forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:21:"field_ui.display_mode";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"field_ui.display_mode";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:21:"field_ui.display_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Display modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"Configure what displays are available for your content and forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:34:"entity.entity_view_mode.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_view_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_view_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"View modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom view modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:34:"entity.entity_form_mode.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_form_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_form_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Form modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom form modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:37:"entity.taxonomy_vocabulary.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:37:"entity.taxonomy_vocabulary.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:37:"entity.taxonomy_vocabulary.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Taxonomy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Manage tagging, categorization, and classification of your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"taxonomy";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:22:"entity.menu.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.menu.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.menu.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage menus and menu links.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"menu_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:22:"entity.view.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.view.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.view.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Manage customized lists of content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:33:"entity.paragraphs_type.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:33:"entity.paragraphs_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:33:"entity.paragraphs_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraph types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Create and manage Paragraph types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:19:"paragraphs.type_add";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.type_add";s:6:"parent";s:33:"entity.paragraphs_type.collection";s:10:"route_name";s:19:"paragraphs.type_add";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Add paragraph type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:25:"entity.webform.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"entity.webform.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:25:"entity.webform.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Webforms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Create webforms and manage submissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:18:"system.themes_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Appearance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Select and configure themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:22:"entity.font.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.font.collection";s:6:"parent";s:18:"system.themes_page";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@font-your-face";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:3:{s:18:"entity.font.browse";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"entity.font.browse";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Browse";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:30:"entity.font_display.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.font_display.collection";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:30:"entity.font_display.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"List Font display (bundles)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:30:"font.admin.appearance.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"font.admin.appearance.settings";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:13:"font.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@font-your-face settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:19:"system.modules_list";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Extend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Add and enable modules to extend site functionality.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:19:"system.admin_config";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Administer settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:12:{s:25:"system.admin_config_media";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:3:{s:27:"system.file_system_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"File system";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Configure the location of uploaded files and how they are accessed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"system.image_toolkit_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Image toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.image_style.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Configure styles that can be used for resizing or adjusting images on display.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:28:"system.admin_config_services";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Web services";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:25:"system.rss_feeds_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"RSS publishing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:14:"juicerio.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Juicer settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Juicer IO social media feed settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:31:"system.admin_config_development";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Configure and use development tools.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:5:{s:28:"system.site_maintenance_mode";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Maintenance mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Take the site offline for updates and other maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:27:"system.performance_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Configure caching and bandwidth optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:23:"system.logging_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Logging and errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Configure the display of error messages and database logging.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:11:"config.sync";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Configuration synchronization";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Import and export your configuration.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:22:"mt_cookieconsent.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:28:"system.admin_config_regional";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Regional and language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Configure regional settings, localization, and translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:24:"system.regional_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Regional settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure the locale and timezone settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.date_format.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Date and time formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure how dates and times are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:26:"system.admin_config_search";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Search and metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Configure site search, metadata, and search engine optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:29:"entity.search_page.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Configure search pages and search indexing options.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:28:"entity.path_alias.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Add custom URLs to existing paths.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:26:"system.admin_config_system";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Configure basic site settings, actions, and cron.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:4:{s:32:"system.site_information_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Basic site settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Change site name, email address, slogan, default front page, and error pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:20:"system.cron_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Cron";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Manage automatic site maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"statistics.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the logging of content statistics.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:41:"entity_reference_revisions.delete_orphans";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Delete orphaned composite entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Delete revisions of entities that are no longer used in Entity Reference Revisions fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:22:"system.admin_config_ui";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"User interface";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the administrative user interface.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:30:"entity.shortcut_set.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Add and modify shortcut sets.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:28:"system.admin_config_workflow";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Workflow";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage the content workflow.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:27:"system.admin_config_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content authoring";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure content formatting and authoring.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:3:{s:21:"filter.admin_overview";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Text formats and editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Select and configure text editors, and how content is filtered when displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:26:"fontawesome.admin_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Font Awesome Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Global settings for the display of Font Awesome icons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"paragraphs.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Paragraphs settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:16:"user.admin_index";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Configure user accounts.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:22:"entity.user.admin_form";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Account settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"Configure default user account settings, including fields, registration requirements, and email messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:26:"mt_countdown.settings_menu";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:0:"";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:26:"mt_countdown.settings_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Count Down settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Configure the content and layout of the MtT Count Down module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:38:"mt_cookieconsent.admin.config.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:20:"system.admin_reports";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Reports";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"View reports, updates, and errors.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:9:{s:13:"system.status";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"system.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"system.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Status report";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Get a status report about your site''s operation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-60";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:14:"dblog.overview";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"dblog.overview";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:14:"dblog.overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Recent log messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"View events that have recently been logged.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:20:"dblog.page_not_found";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"dblog.page_not_found";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:20:"dblog.page_not_found";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Top ''page not found'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"View ''page not found'' errors (404s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:19:"dblog.access_denied";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"dblog.access_denied";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:19:"dblog.access_denied";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Top ''access denied'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"View ''access denied'' errors (403s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:38:"entity.field_storage_config.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"entity.field_storage_config.collection";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:38:"entity.field_storage_config.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Field list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Overview of fields on all entity types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:12:"dblog.search";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:12:"dblog.search";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:12:"dblog.search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Top search phrases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"View most popular search phrases.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:0:"";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:24:"views_ui.reports_plugins";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"views_ui.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:24:"views_ui.reports_plugins";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Views plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Overview of plugins used in all views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:13:"update.status";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"update.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"update.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Available updates";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"Get a status report about available updates for your installed modules and themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"update";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-50";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:23:"webform.reports_plugins";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"webform.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:32:"webform.reports_plugins.elements";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Overview of plugins used by the Webform module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:22:"entity.user.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Manage user accounts, roles, and permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:9:"help.main";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Reference for usage, configuration, and modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:11:"definitions";a:71:{s:20:"system.admin_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";r:15;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"comment.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"comment.admin";s:6:"parent";s:20:"system.admin_content";s:10:"route_name";s:13:"comment.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:38;s:11:"description";r:42;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_structure";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:67;s:11:"description";r:71;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"block.admin_display";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"block.admin_display";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:19:"block.admin_display";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:94;s:11:"description";r:98;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"block";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"entity.node_type.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"entity.node_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:27:"entity.node_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:122;s:11:"description";r:126;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.comment_type.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.comment_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.comment_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:150;s:11:"description";r:154;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.contact_form.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.contact_form.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.contact_form.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:178;s:11:"description";r:182;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:21:"field_ui.display_mode";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"field_ui.display_mode";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:21:"field_ui.display_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:206;s:11:"description";r:210;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:34:"entity.entity_view_mode.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_view_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_view_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:233;s:11:"description";r:237;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:34:"entity.entity_form_mode.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_form_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_form_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:261;s:11:"description";r:265;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:37:"entity.taxonomy_vocabulary.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:37:"entity.taxonomy_vocabulary.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:37:"entity.taxonomy_vocabulary.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:290;s:11:"description";r:294;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"taxonomy";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.menu.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.menu.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.menu.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:318;s:11:"description";r:322;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"menu_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.view.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.view.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.view.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:346;s:11:"description";r:350;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:33:"entity.paragraphs_type.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:33:"entity.paragraphs_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:33:"entity.paragraphs_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:374;s:11:"description";r:378;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"paragraphs.type_add";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.type_add";s:6:"parent";s:33:"entity.paragraphs_type.collection";s:10:"route_name";s:19:"paragraphs.type_add";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:401;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:25:"entity.webform.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"entity.webform.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:25:"entity.webform.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:427;s:11:"description";r:431;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:18:"system.themes_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:456;s:11:"description";r:460;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.font.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.font.collection";s:6:"parent";s:18:"system.themes_page";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:483;s:11:"description";r:487;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:18:"entity.font.browse";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"entity.font.browse";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:510;s:11:"description";r:514;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.font_display.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.font_display.collection";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:30:"entity.font_display.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:538;s:11:"description";r:542;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"font.admin.appearance.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"font.admin.appearance.settings";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:13:"font.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:566;s:11:"description";r:570;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.modules_list";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:596;s:11:"description";r:600;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.admin_config";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:624;s:11:"description";r:628;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:25:"system.admin_config_media";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:651;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.file_system_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:675;s:11:"description";r:679;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"system.image_toolkit_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:703;s:11:"description";r:707;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.image_style.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:731;s:11:"description";r:735;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_services";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:760;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:25:"system.rss_feeds_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:784;s:11:"description";r:788;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:14:"juicerio.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:812;s:11:"description";r:816;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:31:"system.admin_config_development";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:841;s:11:"description";r:845;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.site_maintenance_mode";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:868;s:11:"description";r:872;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.performance_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:896;s:11:"description";r:900;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:23:"system.logging_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:924;s:11:"description";r:928;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"config.sync";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:952;s:11:"description";r:956;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"mt_cookieconsent.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:980;s:11:"description";r:984;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_regional";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1009;s:11:"description";r:1013;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:24:"system.regional_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1036;s:11:"description";r:1040;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.date_format.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1064;s:11:"description";r:1068;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_search";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1093;s:11:"description";r:1097;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.search_page.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1120;s:11:"description";r:1124;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"entity.path_alias.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1148;s:11:"description";r:1152;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_system";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1177;s:11:"description";r:1181;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:32:"system.site_information_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1204;s:11:"description";r:1208;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.cron_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1232;s:11:"description";r:1236;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"statistics.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1260;s:11:"description";r:1264;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:41:"entity_reference_revisions.delete_orphans";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1288;s:11:"description";r:1292;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_config_ui";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1317;s:11:"description";r:1321;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.shortcut_set.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1344;s:11:"description";r:1348;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_workflow";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1373;s:11:"description";r:1377;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.admin_config_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1401;s:11:"description";r:1405;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:21:"filter.admin_overview";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1428;s:11:"description";r:1432;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"fontawesome.admin_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1456;s:11:"description";r:1460;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"paragraphs.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1484;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:16:"user.admin_index";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1510;s:11:"description";r:1514;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.user.admin_form";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1537;s:11:"description";r:1541;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"mt_countdown.settings_menu";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1566;s:11:"description";r:1570;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"mt_countdown.settings_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1593;s:11:"description";r:1597;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:38:"mt_cookieconsent.admin.config.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1622;s:11:"description";r:1626;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.admin_reports";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1651;s:11:"description";r:1655;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"system.status";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"system.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"system.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1678;s:11:"description";r:1682;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-60";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:14:"dblog.overview";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"dblog.overview";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:14:"dblog.overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1706;s:11:"description";r:1710;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"dblog.page_not_found";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"dblog.page_not_found";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:20:"dblog.page_not_found";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1734;s:11:"description";r:1738;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"dblog.access_denied";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"dblog.access_denied";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:19:"dblog.access_denied";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1762;s:11:"description";r:1766;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:38:"entity.field_storage_config.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"entity.field_storage_config.collection";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:38:"entity.field_storage_config.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1790;s:11:"description";r:1794;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"dblog.search";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:12:"dblog.search";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:12:"dblog.search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1818;s:11:"description";r:1822;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:0:"";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:24:"views_ui.reports_plugins";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"views_ui.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:24:"views_ui.reports_plugins";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1846;s:11:"description";r:1850;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"update.status";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"update.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"update.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1874;s:11:"description";r:1878;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"update";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-50";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:23:"webform.reports_plugins";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"webform.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:32:"webform.reports_plugins.elements";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1902;s:11:"description";r:1906;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.user.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1931;s:11:"description";r:1935;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:9:"help.main";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:1959;s:11:"description";r:1963;s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:69:{i:0;s:20:"system.admin_content";i:1;s:13:"comment.admin";i:2;s:22:"system.admin_structure";i:3;s:19:"block.admin_display";i:4;s:27:"entity.node_type.collection";i:5;s:30:"entity.comment_type.collection";i:6;s:30:"entity.contact_form.collection";i:7;s:21:"field_ui.display_mode";i:8;s:34:"entity.entity_view_mode.collection";i:9;s:34:"entity.entity_form_mode.collection";i:10;s:37:"entity.taxonomy_vocabulary.collection";i:11;s:22:"entity.menu.collection";i:12;s:22:"entity.view.collection";i:13;s:33:"entity.paragraphs_type.collection";i:14;s:19:"paragraphs.type_add";i:15;s:25:"entity.webform.collection";i:16;s:18:"system.themes_page";i:17;s:22:"entity.font.collection";i:18;s:30:"entity.font_display.collection";i:19;s:13:"font.settings";i:20;s:19:"system.modules_list";i:21;s:19:"system.admin_config";i:22;s:25:"system.admin_config_media";i:23;s:27:"system.file_system_settings";i:24;s:29:"system.image_toolkit_settings";i:25;s:29:"entity.image_style.collection";i:26;s:28:"system.admin_config_services";i:27;s:25:"system.rss_feeds_settings";i:28;s:14:"juicerio.admin";i:29;s:31:"system.admin_config_development";i:30;s:28:"system.site_maintenance_mode";i:31;s:27:"system.performance_settings";i:32;s:23:"system.logging_settings";i:33;s:11:"config.sync";i:34;s:25:"mt_cookieconsent.settings";i:35;s:28:"system.admin_config_regional";i:36;s:24:"system.regional_settings";i:37;s:29:"entity.date_format.collection";i:38;s:26:"system.admin_config_search";i:39;s:29:"entity.search_page.collection";i:40;s:28:"entity.path_alias.collection";i:41;s:26:"system.admin_config_system";i:42;s:32:"system.site_information_settings";i:43;s:20:"system.cron_settings";i:44;s:19:"statistics.settings";i:45;s:41:"entity_reference_revisions.delete_orphans";i:46;s:22:"system.admin_config_ui";i:47;s:30:"entity.shortcut_set.collection";i:48;s:28:"system.admin_config_workflow";i:49;s:27:"system.admin_config_content";i:50;s:21:"filter.admin_overview";i:51;s:26:"fontawesome.admin_settings";i:52;s:19:"paragraphs.settings";i:53;s:16:"user.admin_index";i:54;s:22:"entity.user.admin_form";i:55;s:24:"mt_countdown.admin_index";i:56;s:21:"mt_countdown.settings";i:57;s:20:"system.admin_reports";i:58;s:13:"system.status";i:59;s:14:"dblog.overview";i:60;s:20:"dblog.page_not_found";i:61;s:19:"dblog.access_denied";i:62;s:38:"entity.field_storage_config.collection";i:63;s:12:"dblog.search";i:64;s:24:"views_ui.reports_plugins";i:65;s:13:"update.status";i:66;s:32:"webform.reports_plugins.elements";i:67;s:22:"entity.user.collection";i:68;s:9:"help.main";}}', -1, '1681652749.373', 1, 'config:system.menu.admin', '8');
INSERT INTO `cache_menu` VALUES
('tree-data:admin:O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:0:"";s:8:"minDepth";i:2;s:8:"maxDepth";i:2;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:8:{s:20:"system.admin_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Find and manage content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:22:"system.admin_structure";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Structure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Administer blocks, content types, menus, etc.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:18:"system.themes_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Appearance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Select and configure themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:19:"system.modules_list";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Extend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Add and enable modules to extend site functionality.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:19:"system.admin_config";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Administer settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:20:"system.admin_reports";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Reports";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"View reports, updates, and errors.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:22:"entity.user.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Manage user accounts, roles, and permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:9:"help.main";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Reference for usage, configuration, and modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:11:"definitions";a:8:{s:20:"system.admin_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Find and manage content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_structure";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Structure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Administer blocks, content types, menus, etc.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:18:"system.themes_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Appearance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Select and configure themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.modules_list";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Extend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Add and enable modules to extend site functionality.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.admin_config";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Administer settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.admin_reports";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Reports";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"View reports, updates, and errors.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.user.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Manage user accounts, roles, and permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:9:"help.main";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Reference for usage, configuration, and modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:8:{i:0;s:20:"system.admin_content";i:1;s:22:"system.admin_structure";i:2;s:18:"system.themes_page";i:3;s:19:"system.modules_list";i:4;s:19:"system.admin_config";i:5;s:20:"system.admin_reports";i:6;s:22:"entity.user.collection";i:7;s:9:"help.main";}}', 1681652746, '1681650067.833', 1, 'config:system.menu.admin', '5'),
('tree-data:admin:O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:0:"";s:8:"minDepth";i:2;s:8:"maxDepth";i:4;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:1:{s:7:"enabled";i:1;}}', 'a:3:{s:4:"tree";a:8:{s:20:"system.admin_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Find and manage content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:13:"comment.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"comment.admin";s:6:"parent";s:20:"system.admin_content";s:10:"route_name";s:13:"comment.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"List and edit site comments and the comment approval queue.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:22:"system.admin_structure";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Structure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Administer blocks, content types, menus, etc.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:10:{s:19:"block.admin_display";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"block.admin_display";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:19:"block.admin_display";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Block layout";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:79:"Configure what block content appears in your site''s sidebars and other regions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"block";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:27:"entity.node_type.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"entity.node_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:27:"entity.node_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Content types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:71:"Create and manage fields, forms, and display settings for your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:30:"entity.comment_type.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.comment_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.comment_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Comment types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Manage form and displays settings of comments.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:30:"entity.contact_form.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.contact_form.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.contact_form.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Contact forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"Create and manage contact forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:21:"field_ui.display_mode";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"field_ui.display_mode";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:21:"field_ui.display_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Display modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"Configure what displays are available for your content and forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:34:"entity.entity_view_mode.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_view_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_view_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"View modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom view modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:34:"entity.entity_form_mode.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_form_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_form_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Form modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom form modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:37:"entity.taxonomy_vocabulary.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:37:"entity.taxonomy_vocabulary.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:37:"entity.taxonomy_vocabulary.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Taxonomy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Manage tagging, categorization, and classification of your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"taxonomy";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:22:"entity.menu.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.menu.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.menu.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage menus and menu links.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"menu_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:22:"entity.view.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.view.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.view.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Manage customized lists of content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:33:"entity.paragraphs_type.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:33:"entity.paragraphs_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:33:"entity.paragraphs_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraph types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Create and manage Paragraph types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:25:"entity.webform.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"entity.webform.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:25:"entity.webform.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Webforms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Create webforms and manage submissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:18:"system.themes_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Appearance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Select and configure themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:22:"entity.font.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.font.collection";s:6:"parent";s:18:"system.themes_page";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@font-your-face";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:3:{s:18:"entity.font.browse";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"entity.font.browse";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Browse";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:30:"entity.font_display.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.font_display.collection";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:30:"entity.font_display.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"List Font display (bundles)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:30:"font.admin.appearance.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"font.admin.appearance.settings";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:13:"font.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@font-your-face settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:19:"system.modules_list";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Extend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Add and enable modules to extend site functionality.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:19:"system.admin_config";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Administer settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:12:{s:25:"system.admin_config_media";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:3:{s:27:"system.file_system_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"File system";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Configure the location of uploaded files and how they are accessed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"system.image_toolkit_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Image toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.image_style.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Configure styles that can be used for resizing or adjusting images on display.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:28:"system.admin_config_services";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Web services";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:25:"system.rss_feeds_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"RSS publishing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:14:"juicerio.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Juicer settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Juicer IO social media feed settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:31:"system.admin_config_development";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Configure and use development tools.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:5:{s:28:"system.site_maintenance_mode";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Maintenance mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Take the site offline for updates and other maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:27:"system.performance_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Configure caching and bandwidth optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:23:"system.logging_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Logging and errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Configure the display of error messages and database logging.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:11:"config.sync";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Configuration synchronization";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Import and export your configuration.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:22:"mt_cookieconsent.admin";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:28:"system.admin_config_regional";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Regional and language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Configure regional settings, localization, and translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:24:"system.regional_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Regional settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure the locale and timezone settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:29:"entity.date_format.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Date and time formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure how dates and times are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:26:"system.admin_config_search";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Search and metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Configure site search, metadata, and search engine optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:29:"entity.search_page.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Configure search pages and search indexing options.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:28:"entity.path_alias.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Add custom URLs to existing paths.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:26:"system.admin_config_system";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Configure basic site settings, actions, and cron.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:4:{s:32:"system.site_information_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Basic site settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Change site name, email address, slogan, default front page, and error pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:20:"system.cron_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Cron";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Manage automatic site maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"statistics.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the logging of content statistics.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:41:"entity_reference_revisions.delete_orphans";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Delete orphaned composite entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Delete revisions of entities that are no longer used in Entity Reference Revisions fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:22:"system.admin_config_ui";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"User interface";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the administrative user interface.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:30:"entity.shortcut_set.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Add and modify shortcut sets.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:28:"system.admin_config_workflow";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Workflow";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage the content workflow.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:27:"system.admin_config_content";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content authoring";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure content formatting and authoring.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:3:{s:21:"filter.admin_overview";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Text formats and editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Select and configure text editors, and how content is filtered when displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:26:"fontawesome.admin_settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Font Awesome Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Global settings for the display of Font Awesome icons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}s:19:"paragraphs.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Paragraphs settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:16:"user.admin_index";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Configure user accounts.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:22:"entity.user.admin_form";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Account settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"Configure default user account settings, including fields, registration requirements, and email messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:26:"mt_countdown.settings_menu";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:0:"";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:26:"mt_countdown.settings_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Count Down settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Configure the content and layout of the MtT Count Down module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"4";}}s:5:"depth";s:1:"3";}s:38:"mt_cookieconsent.admin.config.settings";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:20:"system.admin_reports";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Reports";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"View reports, updates, and errors.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:9:{s:13:"system.status";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"system.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"system.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Status report";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Get a status report about your site''s operation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-60";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:14:"dblog.overview";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"dblog.overview";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:14:"dblog.overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Recent log messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"View events that have recently been logged.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:20:"dblog.page_not_found";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"dblog.page_not_found";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:20:"dblog.page_not_found";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Top ''page not found'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"View ''page not found'' errors (404s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:19:"dblog.access_denied";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"dblog.access_denied";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:19:"dblog.access_denied";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Top ''access denied'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"View ''access denied'' errors (403s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:38:"entity.field_storage_config.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"entity.field_storage_config.collection";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:38:"entity.field_storage_config.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Field list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Overview of fields on all entity types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:12:"dblog.search";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:12:"dblog.search";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:12:"dblog.search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Top search phrases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"View most popular search phrases.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:0:"";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:24:"views_ui.reports_plugins";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"views_ui.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:24:"views_ui.reports_plugins";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Views plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Overview of plugins used in all views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:13:"update.status";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"update.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"update.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Available updates";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"Get a status report about available updates for your installed modules and themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"update";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-50";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}s:23:"webform.reports_plugins";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"webform.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:32:"webform.reports_plugins.elements";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Overview of plugins used by the Webform module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"3";}}s:5:"depth";s:1:"2";}s:22:"entity.user.collection";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Manage user accounts, roles, and permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:9:"help.main";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Reference for usage, configuration, and modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:11:"definitions";a:70:{s:20:"system.admin_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_content";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Find and manage content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"comment.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"comment.admin";s:6:"parent";s:20:"system.admin_content";s:10:"route_name";s:13:"comment.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"List and edit site comments and the comment approval queue.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_structure";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_structure";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"system.admin_structure";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Structure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Administer blocks, content types, menus, etc.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-8";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"block.admin_display";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"block.admin_display";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:19:"block.admin_display";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Block layout";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:79:"Configure what block content appears in your site''s sidebars and other regions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"block";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"entity.node_type.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"entity.node_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:27:"entity.node_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Content types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:71:"Create and manage fields, forms, and display settings for your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.comment_type.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.comment_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.comment_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Comment types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Manage form and displays settings of comments.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"comment";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.contact_form.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.contact_form.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:30:"entity.contact_form.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Contact forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"Create and manage contact forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:21:"field_ui.display_mode";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"field_ui.display_mode";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:21:"field_ui.display_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Display modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"Configure what displays are available for your content and forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:34:"entity.entity_view_mode.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_view_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_view_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"View modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom view modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:34:"entity.entity_form_mode.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:34:"entity.entity_form_mode.collection";s:6:"parent";s:21:"field_ui.display_mode";s:10:"route_name";s:34:"entity.entity_form_mode.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Form modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom form modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:37:"entity.taxonomy_vocabulary.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:37:"entity.taxonomy_vocabulary.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:37:"entity.taxonomy_vocabulary.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Taxonomy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Manage tagging, categorization, and classification of your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"taxonomy";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.menu.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.menu.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.menu.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage menus and menu links.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"menu_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.view.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.view.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:22:"entity.view.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Manage customized lists of content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:33:"entity.paragraphs_type.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:33:"entity.paragraphs_type.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:33:"entity.paragraphs_type.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraph types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Create and manage Paragraph types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:25:"entity.webform.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"entity.webform.collection";s:6:"parent";s:22:"system.admin_structure";s:10:"route_name";s:25:"entity.webform.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Webforms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Create webforms and manage submissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:18:"system.themes_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"system.themes_page";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:18:"system.themes_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Appearance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Select and configure themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-6";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.font.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.font.collection";s:6:"parent";s:18:"system.themes_page";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@font-your-face";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:18:"entity.font.browse";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:18:"entity.font.browse";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:22:"entity.font.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Browse";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.font_display.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.font_display.collection";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:30:"entity.font_display.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"List Font display (bundles)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"font.admin.appearance.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"font.admin.appearance.settings";s:6:"parent";s:22:"entity.font.collection";s:10:"route_name";s:13:"font.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@font-your-face settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"fontyourface";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.modules_list";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.modules_list";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.modules_list";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Extend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Add and enable modules to extend site functionality.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-2";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"system.admin_config";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"system.admin_config";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:19:"system.admin_config";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Administer settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:25:"system.admin_config_media";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.admin_config_media";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"system.admin_config_media";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.file_system_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.file_system_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:27:"system.file_system_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"File system";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Configure the location of uploaded files and how they are accessed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"system.image_toolkit_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"system.image_toolkit_settings";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"system.image_toolkit_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Image toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.image_style.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.image_style.collection";s:6:"parent";s:25:"system.admin_config_media";s:10:"route_name";s:29:"entity.image_style.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Configure styles that can be used for resizing or adjusting images on display.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"image";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_services";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_services";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_services";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Web services";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:25:"system.rss_feeds_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:25:"system.rss_feeds_settings";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:25:"system.rss_feeds_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"RSS publishing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:14:"juicerio.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"juicerio.admin";s:6:"parent";s:28:"system.admin_config_services";s:10:"route_name";s:14:"juicerio.admin";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Juicer settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Juicer IO social media feed settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"juicerio";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:31:"system.admin_config_development";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:31:"system.admin_config_development";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:31:"system.admin_config_development";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Configure and use development tools.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.site_maintenance_mode";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.site_maintenance_mode";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:28:"system.site_maintenance_mode";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Maintenance mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Take the site offline for updates and other maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.performance_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.performance_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:27:"system.performance_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Configure caching and bandwidth optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:23:"system.logging_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"system.logging_settings";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:23:"system.logging_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Logging and errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Configure the display of error messages and database logging.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"config.sync";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:11:"config.sync";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:11:"config.sync";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Configuration synchronization";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Import and export your configuration.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"config";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"mt_cookieconsent.admin";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"mt_cookieconsent.admin";s:6:"parent";s:31:"system.admin_config_development";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"100";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_regional";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_regional";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_regional";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Regional and language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Configure regional settings, localization, and translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:24:"system.regional_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"system.regional_settings";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:24:"system.regional_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Regional settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure the locale and timezone settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.date_format.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.date_format.collection";s:6:"parent";s:28:"system.admin_config_regional";s:10:"route_name";s:29:"entity.date_format.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Date and time formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure how dates and times are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_search";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_search";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Search and metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Configure site search, metadata, and search engine optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:29:"entity.search_page.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:29:"entity.search_page.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:29:"entity.search_page.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Configure search pages and search indexing options.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"entity.path_alias.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"entity.path_alias.collection";s:6:"parent";s:26:"system.admin_config_search";s:10:"route_name";s:28:"entity.path_alias.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Add custom URLs to existing paths.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"path";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"system.admin_config_system";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"system.admin_config_system";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:26:"system.admin_config_system";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Configure basic site settings, actions, and cron.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:32:"system.site_information_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:32:"system.site_information_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:32:"system.site_information_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Basic site settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Change site name, email address, slogan, default front page, and error pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.cron_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.cron_settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:20:"system.cron_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Cron";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Manage automatic site maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"statistics.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"statistics.settings";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:19:"statistics.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the logging of content statistics.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"statistics";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:41:"entity_reference_revisions.delete_orphans";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:41:"entity_reference_revisions.delete_orphans";s:6:"parent";s:26:"system.admin_config_system";s:10:"route_name";s:41:"entity_reference_revisions.delete_orphans";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Delete orphaned composite entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Delete revisions of entities that are no longer used in Entity Reference Revisions fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:26:"entity_reference_revisions";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"30";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"system.admin_config_ui";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"system.admin_config_ui";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:22:"system.admin_config_ui";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"User interface";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the administrative user interface.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:30:"entity.shortcut_set.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:30:"entity.shortcut_set.collection";s:6:"parent";s:22:"system.admin_config_ui";s:10:"route_name";s:30:"entity.shortcut_set.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Add and modify shortcut sets.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"shortcut";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:28:"system.admin_config_workflow";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:28:"system.admin_config_workflow";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:28:"system.admin_config_workflow";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Workflow";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage the content workflow.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:27:"system.admin_config_content";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:27:"system.admin_config_content";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:27:"system.admin_config_content";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content authoring";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure content formatting and authoring.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-15";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:21:"filter.admin_overview";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:21:"filter.admin_overview";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:21:"filter.admin_overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Text formats and editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Select and configure text editors, and how content is filtered when displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"fontawesome.admin_settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"fontawesome.admin_settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:26:"fontawesome.admin_settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Font Awesome Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Global settings for the display of Font Awesome icons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:11:"fontawesome";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"paragraphs.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"paragraphs.settings";s:6:"parent";s:27:"system.admin_config_content";s:10:"route_name";s:19:"paragraphs.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Paragraphs settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:10:"paragraphs";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:16:"user.admin_index";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:16:"user.admin_index";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:16:"user.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Configure user accounts.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-20";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.user.admin_form";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.admin_form";s:6:"parent";s:16:"user.admin_index";s:10:"route_name";s:22:"entity.user.admin_form";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Account settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"Configure default user account settings, including fields, registration requirements, and email messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-10";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"mt_countdown.settings_menu";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_menu";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:24:"mt_countdown.admin_index";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:0:"";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:26:"mt_countdown.settings_page";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:26:"mt_countdown.settings_page";s:6:"parent";s:26:"mt_countdown.settings_menu";s:10:"route_name";s:21:"mt_countdown.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Count Down settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Configure the content and layout of the MtT Count Down module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:12:"mt_countdown";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:38:"mt_cookieconsent.admin.config.settings";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"mt_cookieconsent.admin.config.settings";s:6:"parent";s:19:"system.admin_config";s:10:"route_name";s:25:"mt_cookieconsent.settings";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:16:"mt_cookieconsent";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"system.admin_reports";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"system.admin_reports";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:20:"system.admin_reports";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Reports";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"View reports, updates, and errors.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"5";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"system.status";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"system.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"system.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Status report";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Get a status report about your site''s operation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"system";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-60";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:14:"dblog.overview";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:14:"dblog.overview";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:14:"dblog.overview";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Recent log messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"View events that have recently been logged.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:2:"-1";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:20:"dblog.page_not_found";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:20:"dblog.page_not_found";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:20:"dblog.page_not_found";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Top ''page not found'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"View ''page not found'' errors (404s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:19:"dblog.access_denied";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:19:"dblog.access_denied";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:19:"dblog.access_denied";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Top ''access denied'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"View ''access denied'' errors (403s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:5:"dblog";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:38:"entity.field_storage_config.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:38:"entity.field_storage_config.collection";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:38:"entity.field_storage_config.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Field list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Overview of fields on all entity types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"field_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"dblog.search";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:12:"dblog.search";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:12:"dblog.search";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Top search phrases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"View most popular search phrases.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:0:"";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:24:"views_ui.reports_plugins";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:24:"views_ui.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:24:"views_ui.reports_plugins";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Views plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Overview of plugins used in all views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"views_ui";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"update.status";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:13:"update.status";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:13:"update.status";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Available updates";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"Get a status report about available updates for your installed modules and themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"update";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-50";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:23:"webform.reports_plugins";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:23:"webform.reports_plugins";s:6:"parent";s:20:"system.admin_reports";s:10:"route_name";s:32:"webform.reports_plugins.elements";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Overview of plugins used by the Webform module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"webform";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:22:"entity.user.collection";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:22:"entity.user.collection";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:22:"entity.user.collection";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Manage user accounts, roles, and permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"user";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"4";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:9:"help.main";a:16:{s:9:"menu_name";s:5:"admin";s:2:"id";s:9:"help.main";s:6:"parent";s:12:"system.admin";s:10:"route_name";s:9:"help.main";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Reference for usage, configuration, and modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"help";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"9";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:68:{i:0;s:20:"system.admin_content";i:1;s:13:"comment.admin";i:2;s:22:"system.admin_structure";i:3;s:19:"block.admin_display";i:4;s:27:"entity.node_type.collection";i:5;s:30:"entity.comment_type.collection";i:6;s:30:"entity.contact_form.collection";i:7;s:21:"field_ui.display_mode";i:8;s:34:"entity.entity_view_mode.collection";i:9;s:34:"entity.entity_form_mode.collection";i:10;s:37:"entity.taxonomy_vocabulary.collection";i:11;s:22:"entity.menu.collection";i:12;s:22:"entity.view.collection";i:13;s:33:"entity.paragraphs_type.collection";i:14;s:25:"entity.webform.collection";i:15;s:18:"system.themes_page";i:16;s:22:"entity.font.collection";i:17;s:30:"entity.font_display.collection";i:18;s:13:"font.settings";i:19;s:19:"system.modules_list";i:20;s:19:"system.admin_config";i:21;s:25:"system.admin_config_media";i:22;s:27:"system.file_system_settings";i:23;s:29:"system.image_toolkit_settings";i:24;s:29:"entity.image_style.collection";i:25;s:28:"system.admin_config_services";i:26;s:25:"system.rss_feeds_settings";i:27;s:14:"juicerio.admin";i:28;s:31:"system.admin_config_development";i:29;s:28:"system.site_maintenance_mode";i:30;s:27:"system.performance_settings";i:31;s:23:"system.logging_settings";i:32;s:11:"config.sync";i:33;s:25:"mt_cookieconsent.settings";i:34;s:28:"system.admin_config_regional";i:35;s:24:"system.regional_settings";i:36;s:29:"entity.date_format.collection";i:37;s:26:"system.admin_config_search";i:38;s:29:"entity.search_page.collection";i:39;s:28:"entity.path_alias.collection";i:40;s:26:"system.admin_config_system";i:41;s:32:"system.site_information_settings";i:42;s:20:"system.cron_settings";i:43;s:19:"statistics.settings";i:44;s:41:"entity_reference_revisions.delete_orphans";i:45;s:22:"system.admin_config_ui";i:46;s:30:"entity.shortcut_set.collection";i:47;s:28:"system.admin_config_workflow";i:48;s:27:"system.admin_config_content";i:49;s:21:"filter.admin_overview";i:50;s:26:"fontawesome.admin_settings";i:51;s:19:"paragraphs.settings";i:52;s:16:"user.admin_index";i:53;s:22:"entity.user.admin_form";i:54;s:24:"mt_countdown.admin_index";i:55;s:21:"mt_countdown.settings";i:56;s:20:"system.admin_reports";i:57;s:13:"system.status";i:58;s:14:"dblog.overview";i:59;s:20:"dblog.page_not_found";i:60;s:19:"dblog.access_denied";i:61;s:38:"entity.field_storage_config.collection";i:62;s:12:"dblog.search";i:63;s:24:"views_ui.reports_plugins";i:64;s:13:"update.status";i:65;s:32:"webform.reports_plugins.elements";i:66;s:22:"entity.user.collection";i:67;s:9:"help.main";}}', 1681652746, '1681650067.808', 1, 'config:system.menu.admin', '5');
INSERT INTO `cache_menu` VALUES
('tree-data:footer:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":149:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";N;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}}', 'a:3:{s:4:"tree";a:4:{s:17:"contact.site_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:17:"contact.site_page";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Contact";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"13";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:4:"Home";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"15";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:10:"Typography";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"16";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:4:{s:17:"contact.site_page";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:17:"contact.site_page";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"13";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:4:"Home";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"15";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:10:"Typography";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"16";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}}s:11:"route_names";a:3:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:7:"<front>";}}', 1681652746, '1681652709.503', 1, 'config:system.menu.footer', '6'),
('tree-data:footer:O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";N;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}', 'a:3:{s:4:"tree";a:4:{s:17:"contact.site_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:17:"contact.site_page";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Contact";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"13";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:4:"Home";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"15";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:10:"Typography";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"16";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:4:{s:17:"contact.site_page";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:17:"contact.site_page";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Contact";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:7:"contact";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"13";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:4:"Home";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"15";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";a:16:{s:9:"menu_name";s:6:"footer";s:2:"id";s:54:"menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:10:"Typography";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"16";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}}s:11:"route_names";a:3:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:7:"<front>";}}', 1681652746, '1681650075.156', 1, 'config:system.menu.footer', '5'),
('tree-data:main:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":140:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:2;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}}', 'a:3:{s:4:"tree";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:4:{s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_services.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Accommodation";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"23";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_products.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:11:"Merchandise";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"31";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:34:"view.mt_albums_grid_style_2.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Photo Albums";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"39";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:32:"view.mt_team_members_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:23:"Leadership & Management";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"95";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:12:{s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:11:"Style Guide";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"1";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:10:"Shortcodes";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"4";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:27:"view.mt_testimonials.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Testimonials";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-90";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"47";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"36";}s:3:"url";s:0:"";s:5:"title";s:15:"Responsive Grid";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-89";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"52";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"9";}s:3:"url";s:0:"";s:5:"title";s:16:"Internal Layouts";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"55";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"view.mt_videos.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Videos";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-88";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"60";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:23:"view.mt_articles.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Articles";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-91";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"61";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:31:"view.mt_collections_grid.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Merchandise Groups";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-84";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"87";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"56";}s:3:"url";s:0:"";s:5:"title";s:13:"Our Investors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-85";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"113";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"58";}s:3:"url";s:0:"";s:5:"title";s:15:"Reusable Blocks";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-92";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"114";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:16:"Additional Pages";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"118";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:28:"view.mt_sponsors_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Sponsors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"155";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"150";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 2 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"151";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";s:6:"parent";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:10:"route_name";s:33:"view.mt_presentations_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:25:"Presentations - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"154";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";s:6:"parent";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"95";}s:3:"url";s:0:"";s:5:"title";s:19:"Alternative Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"159";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:19:"standard.front_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:28:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_services.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Accommodation";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"23";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_products.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:11:"Merchandise";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"31";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:34:"view.mt_albums_grid_style_2.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Photo Albums";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"39";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:32:"view.mt_team_members_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:23:"Leadership & Management";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"95";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:11:"Style Guide";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"1";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:10:"Shortcodes";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"4";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:27:"view.mt_testimonials.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Testimonials";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-90";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"47";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"36";}s:3:"url";s:0:"";s:5:"title";s:15:"Responsive Grid";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-89";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"52";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"9";}s:3:"url";s:0:"";s:5:"title";s:16:"Internal Layouts";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"55";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"view.mt_videos.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Videos";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-88";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"60";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:23:"view.mt_articles.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Articles";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-91";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"61";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:31:"view.mt_collections_grid.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Merchandise Groups";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-84";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"87";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"56";}s:3:"url";s:0:"";s:5:"title";s:13:"Our Investors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-85";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"113";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"58";}s:3:"url";s:0:"";s:5:"title";s:15:"Reusable Blocks";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-92";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"114";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:16:"Additional Pages";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"118";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:28:"view.mt_sponsors_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Sponsors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"155";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"150";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 2 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"151";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";s:6:"parent";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:10:"route_name";s:33:"view.mt_presentations_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:25:"Presentations - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"154";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";s:6:"parent";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"95";}s:3:"url";s:0:"";s:5:"title";s:19:"Alternative Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"159";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:19:"standard.front_page";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:663;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:19:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:23:"view.mt_services.page_2";i:3;s:23:"view.mt_products.page_2";i:4;s:34:"view.mt_albums_grid_style_2.page_2";i:5;s:32:"view.mt_team_members_grid.page_2";i:6;s:27:"view.mt_testimonials.page_1";i:7;s:21:"view.mt_videos.page_1";i:8;s:23:"view.mt_articles.page_1";i:9;s:31:"view.mt_collections_grid.page_1";i:10;s:7:"<front>";i:11;s:28:"view.mt_sponsors_grid.page_2";i:12;s:26:"view.mt_events_list.page_1";i:13;s:26:"view.mt_events_grid.page_2";i:14;s:26:"view.mt_events_grid.page_3";i:15;s:33:"view.mt_presentations_grid.page_3";i:16;s:33:"view.mt_presentations_grid.page_2";i:17;s:23:"view.mt_speakers.page_1";i:18;s:22:"view.mt_program.page_1";}}', -1, '1681652753.006', 1, 'config:system.menu.main', '8');
INSERT INTO `cache_menu` VALUES
('tree-data:main:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":151:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}}', 'a:3:{s:4:"tree";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:19:"standard.front_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:19:"standard.front_page";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:181;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:7:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:26:"view.mt_events_list.page_1";i:3;s:33:"view.mt_presentations_grid.page_3";i:4;s:23:"view.mt_speakers.page_1";i:5;s:22:"view.mt_program.page_1";i:6;s:7:"<front>";}}', 1681652746, '1681652709.140', 1, 'config:system.menu.main', '6'),
('tree-data:main:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":206:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:2;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:1:{i:0;s:54:"menu_link_content:4618e30eLkySWkzwQOj51Ji-02MYTVDy9lPM3soGeRIqta2WWI', 'a:3:{s:4:"tree";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:4:{s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_services.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Accommodation";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"23";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_products.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:11:"Merchandise";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"31";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:34:"view.mt_albums_grid_style_2.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Photo Albums";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"39";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:32:"view.mt_team_members_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:23:"Leadership & Management";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"95";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:12:{s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:11:"Style Guide";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"1";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:10:"Shortcodes";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"4";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:27:"view.mt_testimonials.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Testimonials";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-90";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"47";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"36";}s:3:"url";s:0:"";s:5:"title";s:15:"Responsive Grid";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-89";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"52";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"9";}s:3:"url";s:0:"";s:5:"title";s:16:"Internal Layouts";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"55";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"view.mt_videos.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Videos";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-88";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"60";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:23:"view.mt_articles.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Articles";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-91";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"61";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:31:"view.mt_collections_grid.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Merchandise Groups";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-84";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"87";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"56";}s:3:"url";s:0:"";s:5:"title";s:13:"Our Investors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-85";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"113";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"58";}s:3:"url";s:0:"";s:5:"title";s:15:"Reusable Blocks";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-92";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"114";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:16:"Additional Pages";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"118";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:28:"view.mt_sponsors_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Sponsors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"155";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"150";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 2 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"151";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";s:6:"parent";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:10:"route_name";s:33:"view.mt_presentations_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:25:"Presentations - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"154";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:1;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";s:6:"parent";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"95";}s:3:"url";s:0:"";s:5:"title";s:19:"Alternative Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"159";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:19:"standard.front_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:28:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_services.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Accommodation";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"23";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_products.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:11:"Merchandise";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"31";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:34:"view.mt_albums_grid_style_2.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Photo Albums";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"39";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:32:"view.mt_team_members_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:23:"Leadership & Management";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"95";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:11:"Style Guide";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"1";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:10:"Shortcodes";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"4";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:27:"view.mt_testimonials.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Testimonials";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-90";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"47";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"36";}s:3:"url";s:0:"";s:5:"title";s:15:"Responsive Grid";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-89";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"52";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"9";}s:3:"url";s:0:"";s:5:"title";s:16:"Internal Layouts";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"55";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"view.mt_videos.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Videos";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-88";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"60";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:23:"view.mt_articles.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Articles";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-91";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"61";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:31:"view.mt_collections_grid.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Merchandise Groups";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-84";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"87";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"56";}s:3:"url";s:0:"";s:5:"title";s:13:"Our Investors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-85";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"113";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"58";}s:3:"url";s:0:"";s:5:"title";s:15:"Reusable Blocks";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-92";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"114";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:16:"Additional Pages";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"118";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:28:"view.mt_sponsors_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Sponsors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"155";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"150";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 2 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"151";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";s:6:"parent";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:10:"route_name";s:33:"view.mt_presentations_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:25:"Presentations - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"154";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";s:6:"parent";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"95";}s:3:"url";s:0:"";s:5:"title";s:19:"Alternative Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"159";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:19:"standard.front_page";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:663;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:19:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:23:"view.mt_services.page_2";i:3;s:23:"view.mt_products.page_2";i:4;s:34:"view.mt_albums_grid_style_2.page_2";i:5;s:32:"view.mt_team_members_grid.page_2";i:6;s:27:"view.mt_testimonials.page_1";i:7;s:21:"view.mt_videos.page_1";i:8;s:23:"view.mt_articles.page_1";i:9;s:31:"view.mt_collections_grid.page_1";i:10;s:7:"<front>";i:11;s:28:"view.mt_sponsors_grid.page_2";i:12;s:26:"view.mt_events_list.page_1";i:13;s:26:"view.mt_events_grid.page_2";i:14;s:26:"view.mt_events_grid.page_3";i:15;s:33:"view.mt_presentations_grid.page_3";i:16;s:33:"view.mt_presentations_grid.page_2";i:17;s:23:"view.mt_speakers.page_1";i:18;s:22:"view.mt_program.page_1";}}', -1, '1681652765.079', 1, 'config:system.menu.main', '8');
INSERT INTO `cache_menu` VALUES
('tree-data:main:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":206:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:2;s:15:"expandedParents";a:0:{}s:11:"activeTrail";a:1:{i:0;s:54:"menu_link_content:46d71c58vVuj7h0eDDGsI6M_VbQMkQFA8ar4Vts0EVKa3NpdtE', 'a:3:{s:4:"tree";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:1;s:7:"subtree";a:4:{s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_services.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Accommodation";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"23";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_products.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:11:"Merchandise";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"31";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:34:"view.mt_albums_grid_style_2.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Photo Albums";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"39";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:32:"view.mt_team_members_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:23:"Leadership & Management";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"95";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:12:{s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:11:"Style Guide";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"1";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:10:"Shortcodes";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"4";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:27:"view.mt_testimonials.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Testimonials";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-90";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"47";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"36";}s:3:"url";s:0:"";s:5:"title";s:15:"Responsive Grid";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-89";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"52";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"9";}s:3:"url";s:0:"";s:5:"title";s:16:"Internal Layouts";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"55";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"view.mt_videos.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Videos";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-88";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"60";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:23:"view.mt_articles.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Articles";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-91";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"61";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:31:"view.mt_collections_grid.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Merchandise Groups";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-84";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"87";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"56";}s:3:"url";s:0:"";s:5:"title";s:13:"Our Investors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-85";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"113";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"58";}s:3:"url";s:0:"";s:5:"title";s:15:"Reusable Blocks";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-92";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"114";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:16:"Additional Pages";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"118";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:28:"view.mt_sponsors_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Sponsors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"155";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:2:{s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"150";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 2 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"151";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";s:6:"parent";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:10:"route_name";s:33:"view.mt_presentations_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:25:"Presentations - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"154";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:1:{s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";s:6:"parent";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"95";}s:3:"url";s:0:"";s:5:"title";s:19:"Alternative Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"159";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"2";}}s:5:"depth";s:1:"1";}s:19:"standard.front_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:28:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_services.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Accommodation";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"23";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:23:"view.mt_products.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:11:"Merchandise";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"31";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:34:"view.mt_albums_grid_style_2.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Photo Albums";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"39";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a";s:6:"parent";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:10:"route_name";s:32:"view.mt_team_members_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:23:"Leadership & Management";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"95";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"1";}s:3:"url";s:0:"";s:5:"title";s:11:"Style Guide";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"1";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:10:"Shortcodes";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"4";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:27:"view.mt_testimonials.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:12:"Testimonials";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-90";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"47";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"36";}s:3:"url";s:0:"";s:5:"title";s:15:"Responsive Grid";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-89";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"52";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"9";}s:3:"url";s:0:"";s:5:"title";s:16:"Internal Layouts";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"55";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"view.mt_videos.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Videos";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-88";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"60";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:9db72736-10bd-4f84-b110-08423df4e416";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:23:"view.mt_articles.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Articles";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-91";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"61";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:31:"view.mt_collections_grid.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Merchandise Groups";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-84";s:8:"metadata";a:1:{s:9:"entity_id";s:2:"87";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"56";}s:3:"url";s:0:"";s:5:"title";s:13:"Our Investors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-85";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"113";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"58";}s:3:"url";s:0:"";s:5:"title";s:15:"Reusable Blocks";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-92";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"114";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:16:"Additional Pages";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"118";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9";s:6:"parent";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:10:"route_name";s:28:"view.mt_sponsors_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Sponsors";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"155";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"150";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508";s:6:"parent";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:10:"route_name";s:26:"view.mt_events_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:18:"Events - 2 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"151";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880";s:6:"parent";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:10:"route_name";s:33:"view.mt_presentations_grid.page_2";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:25:"Presentations - 3 Columns";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"154";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1";s:6:"parent";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"95";}s:3:"url";s:0:"";s:5:"title";s:19:"Alternative Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:0:{}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"159";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:19:"standard.front_page";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:663;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:19:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:23:"view.mt_services.page_2";i:3;s:23:"view.mt_products.page_2";i:4;s:34:"view.mt_albums_grid_style_2.page_2";i:5;s:32:"view.mt_team_members_grid.page_2";i:6;s:27:"view.mt_testimonials.page_1";i:7;s:21:"view.mt_videos.page_1";i:8;s:23:"view.mt_articles.page_1";i:9;s:31:"view.mt_collections_grid.page_1";i:10;s:7:"<front>";i:11;s:28:"view.mt_sponsors_grid.page_2";i:12;s:26:"view.mt_events_list.page_1";i:13;s:26:"view.mt_events_grid.page_2";i:14;s:26:"view.mt_events_grid.page_3";i:15;s:33:"view.mt_presentations_grid.page_3";i:16;s:33:"view.mt_presentations_grid.page_2";i:17;s:23:"view.mt_speakers.page_1";i:18;s:22:"view.mt_program.page_1";}}', -1, '1681653973.178', 1, 'config:system.menu.main', '8'),
('tree-data:main:O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}', 'a:3:{s:4:"tree";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:19:"standard.front_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:19:"standard.front_page";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:7:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:26:"view.mt_events_list.page_1";i:3;s:33:"view.mt_presentations_grid.page_3";i:4;s:23:"view.mt_speakers.page_1";i:5;s:22:"view.mt_program.page_1";i:6;s:7:"<front>";}}', 1681652746, '1681650075.085', 1, 'config:system.menu.main', '5');
INSERT INTO `cache_menu` VALUES
('tree-data:main:O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";i:1;s:15:"expandedParents";a:2:{i:0;s:0:"";i:1;s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfdeqC-VoTb9mrAJAxOTJ_HxgnpYN_dn9qRDuV5eBgRfhcA', 'a:3:{s:4:"tree";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:1;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:12:"has_children";s:1:"1";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:19:"standard.front_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:8:{s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3";s:6:"parent";s:0:"";s:10:"route_name";s:17:"contact.site_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Contact";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-93";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"3";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:2:"94";}s:3:"url";s:0:"";s:5:"title";s:5:"About";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-95";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"6";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd";s:6:"parent";s:0:"";s:10:"route_name";s:21:"entity.node.canonical";s:16:"route_parameters";a:1:{s:4:"node";s:1:"2";}s:3:"url";s:0:"";s:5:"title";s:8:"Features";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-94";s:8:"metadata";a:1:{s:9:"entity_id";s:1:"7";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef";s:6:"parent";s:0:"";s:10:"route_name";s:26:"view.mt_events_list.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:6:"Events";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-96";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"149";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da";s:6:"parent";s:0:"";s:10:"route_name";s:33:"view.mt_presentations_grid.page_3";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:13:"Presentations";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-97";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"152";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485";s:6:"parent";s:0:"";s:10:"route_name";s:23:"view.mt_speakers.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:8:"Speakers";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-98";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"156";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:54:"menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492";s:6:"parent";s:0:"";s:10:"route_name";s:22:"view.mt_program.page_1";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";s:7:"Program";s:11:"description";N;s:5:"class";s:52:"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent";s:7:"options";a:1:{s:5:"query";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:1:{s:9:"entity_id";s:3:"158";}s:10:"form_class";s:50:"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm";}s:19:"standard.front_page";a:16:{s:9:"menu_name";s:4:"main";s:2:"id";s:19:"standard.front_page";s:6:"parent";s:0:"";s:10:"route_name";s:7:"<front>";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:8:"standard";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:3:"-99";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:7:{i:0;s:17:"contact.site_page";i:1;s:21:"entity.node.canonical";i:2;s:26:"view.mt_events_list.page_1";i:3;s:33:"view.mt_presentations_grid.page_3";i:4;s:23:"view.mt_speakers.page_1";i:5;s:22:"view.mt_program.page_1";i:6;s:7:"<front>";}}', 1681652746, '1681650107.928', 1, 'config:system.menu.main', '5'),
('tree-data:tools:C:35:"Drupal\\Core\\Menu\\MenuTreeParameters":149:{a:6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";N;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}}', 'a:3:{s:4:"tree";a:3:{s:15:"filter.tips_all";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:15:"filter.tips_all";s:6:"parent";s:0:"";s:10:"route_name";s:15:"filter.tips_all";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Compose tips";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:13:"node.add_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:13:"node.add_page";s:6:"parent";s:0:"";s:10:"route_name";s:13:"node.add_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:11:"search.view";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:11:"search.view";s:6:"parent";s:0:"";s:10:"route_name";s:11:"search.view";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Search";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:3:{s:15:"filter.tips_all";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:15:"filter.tips_all";s:6:"parent";s:0:"";s:10:"route_name";s:15:"filter.tips_all";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:11;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"node.add_page";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:13:"node.add_page";s:6:"parent";s:0:"";s:10:"route_name";s:13:"node.add_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:36;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"search.view";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:11:"search.view";s:6:"parent";s:0:"";s:10:"route_name";s:11:"search.view";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";r:61;s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:3:{i:0;s:15:"filter.tips_all";i:1;s:13:"node.add_page";i:2;s:11:"search.view";}}', 1681652746, '1681652709.499', 1, 'config:system.menu.tools', '6'),
('tree-data:tools:O:35:"Drupal\\Core\\Menu\\MenuTreeParameters":6:{s:4:"root";s:0:"";s:8:"minDepth";i:1;s:8:"maxDepth";N;s:15:"expandedParents";a:1:{i:0;s:0:"";}s:11:"activeTrail";a:0:{}s:10:"conditions";a:0:{}}', 'a:3:{s:4:"tree";a:3:{s:15:"filter.tips_all";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:15:"filter.tips_all";s:6:"parent";s:0:"";s:10:"route_name";s:15:"filter.tips_all";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Compose tips";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:13:"node.add_page";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:13:"node.add_page";s:6:"parent";s:0:"";s:10:"route_name";s:13:"node.add_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}s:11:"search.view";a:5:{s:10:"definition";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:11:"search.view";s:6:"parent";s:0:"";s:10:"route_name";s:11:"search.view";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Search";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:12:"has_children";s:1:"0";s:15:"in_active_trail";b:0;s:7:"subtree";a:0:{}s:5:"depth";s:1:"1";}}s:11:"definitions";a:3:{s:15:"filter.tips_all";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:15:"filter.tips_all";s:6:"parent";s:0:"";s:10:"route_name";s:15:"filter.tips_all";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Compose tips";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"filter";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:13:"node.add_page";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:13:"node.add_page";s:6:"parent";s:0:"";s:10:"route_name";s:13:"node.add_page";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:4:"node";s:7:"enabled";s:1:"1";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}s:11:"search.view";a:16:{s:9:"menu_name";s:5:"tools";s:2:"id";s:11:"search.view";s:6:"parent";s:0:"";s:10:"route_name";s:11:"search.view";s:16:"route_parameters";a:0:{}s:3:"url";s:0:"";s:5:"title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Search";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";s:0:"";s:5:"class";s:32:"Drupal\\Core\\Menu\\MenuLinkDefault";s:7:"options";a:0:{}s:8:"provider";s:6:"search";s:7:"enabled";s:1:"0";s:8:"expanded";s:1:"0";s:6:"weight";s:1:"0";s:8:"metadata";a:0:{}s:10:"form_class";s:41:"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm";}}s:11:"route_names";a:3:{i:0;s:15:"filter.tips_all";i:1;s:13:"node.add_page";i:2;s:11:"search.view";}}', 1681652746, '1681650075.148', 1, 'config:system.menu.tools', '5');

-- --------------------------------------------------------

--
-- Table structure for table `cache_page`
--

CREATE TABLE `cache_page` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_page`
--

INSERT INTO `cache_page` VALUES
('https://ictm2023.isser.edu.gh/:', 'O:31:"Drupal\\Core\\Render\\HtmlResponse":8:{s:7:"headers";O:50:"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag":5:{s:10:"\0*\0headers";a:10:{s:12:"content-type";a:1:{i:0;s:24:"text/html; charset=UTF-8";}s:13:"cache-control";a:1:{i:0;s:34:"must-revalidate, no-cache, private";}s:4:"date";a:1:{i:0;s:29:"Sun, 16 Apr 2023 13:01:15 GMT";}s:22:"x-drupal-dynamic-cache";a:1:{i:0;s:4:"MISS";}s:15:"x-ua-compatible";a:1:{i:0;s:7:"IE=edge";}s:16:"content-language";a:1:{i:0;s:2:"en";}s:22:"x-content-type-options";a:1:{i:0;s:7:"nosniff";}s:15:"x-frame-options";a:1:{i:0;s:10:"SAMEORIGIN";}s:7:"expires";a:1:{i:0;s:29:"Sun, 19 Nov 1978 05:00:00 GMT";}s:11:"x-generator";a:1:{i:0;s:33:"Drupal 9 (https://www.drupal.org)";}}s:15:"\0*\0cacheControl";a:2:{s:15:"must-revalidate";b:1;s:8:"no-cache";b:1;}s:23:"\0*\0computedCacheControl";a:3:{s:15:"must-revalidate";b:1;s:8:"no-cache";b:1;s:7:"private";b:1;}s:10:"\0*\0cookies";a:0:{}s:14:"\0*\0headerNames";a:10:{s:12:"content-type";s:12:"Content-Type";s:13:"cache-control";s:13:"Cache-Control";s:4:"date";s:4:"Date";s:22:"x-drupal-dynamic-cache";s:22:"X-Drupal-Dynamic-Cache";s:15:"x-ua-compatible";s:15:"X-UA-Compatible";s:16:"content-language";s:16:"Content-language";s:22:"x-content-type-options";s:22:"X-Content-Type-Options";s:15:"x-frame-options";s:15:"X-Frame-Options";s:7:"expires";s:7:"Expires";s:11:"x-generator";s:11:"X-Generator";}}s:10:"\0*\0content";s:11579:"<!DOCTYPE html>\n<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">\n  <head>\n    <meta charset="utf-8" />\n<meta name="Generator" content="Drupal 9 (https://www.drupal.org)" />\n<meta name="MobileOptimized" content="width" />\n<meta name="HandheldFriendly" content="true" />\n<meta name="viewport" content="width=device-width, initial-scale=1.0" />\n<link rel="icon" href="/core/themes/bartik/favicon.ico" type="image/vnd.microsoft.icon" />\n<link rel="canonical" href="https://ictm2023.isser.edu.gh/node/35" />\n<link rel="shortlink" href="https://ictm2023.isser.edu.gh/node/35" />\n\n    <title>Front page | Conference+</title>\n    <link rel="stylesheet" media="all" href="/sites/default/files/css/css_cMx5LBIbzJ_oG8zVwXpppulTI4h2UleDDQtBhsZSyRo.css" />\n<link rel="stylesheet" media="all" href="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css" />\n<link rel="stylesheet" media="all" href="/sites/default/files/css/css_WiCgzwCR3v0zdNwEMuJeznkPW_tW4TnGeAZNUxh_bQM.css" />\n<link rel="stylesheet" media="all" href="/sites/default/files/css/css_zb7Sq_IdABuAqEIkmYNol_ZVzM6_PGnK0lDPkVLHJaw.css" />\n<link rel="stylesheet" media="print" href="/sites/default/files/css/css_Z5jMg7P_bjcW9iUzujI7oaechMyxQTUqZhHJ_aYSq04.css" />\n\n    <script src="https://use.fontawesome.com/releases/v5.0.6/js/all.js" defer crossorigin="anonymous"></script>\n\n  </head>\n  <body class="fontyourface layout-one-sidebar layout-sidebar-first path-frontpage page-node-type-page">\n        <a href="#main-content" class="visually-hidden focusable skip-link">\n      Skip to main content\n    </a>\n    \n      <div class="dialog-off-canvas-main-canvas" data-off-canvas-main-canvas>\n    <div id="page-wrapper">\n  <div id="page">\n    <header id="header" class="header" role="banner">\n      <div class="section layout-container clearfix">\n          <div class="region region-secondary-menu">\n    \n<nav role="navigation" aria-labelledby="block-bartik-account-menu-menu" id="block-bartik-account-menu" class="block block-menu navigation menu--account">\n            \n  <h2 class="visually-hidden" id="block-bartik-account-menu-menu">User account menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-account-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-account-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-account-menu">Show &mdash; User account menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-account-menu">Hide &mdash; User account menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/user/login" data-drupal-link-system-path="user/login">Log in</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n\n  </div>\n\n          <div class="clearfix region region-header">\n    <div id="block-bartik-branding" class="clearfix site-branding block block-system block-system-branding-block">\n  \n    \n        <a href="/" rel="home" class="site-branding__logo">\n      <img src="/core/themes/bartik/logo.svg" alt="Home" />\n    </a>\n        <div class="site-branding__text">\n              <div class="site-branding__name">\n          <a href="/" rel="home">Conference+</a>\n        </div>\n                    <div class="site-branding__slogan">A top quality Drupal 8 theme</div>\n          </div>\n  </div>\n\n  </div>\n\n          <div class="region region-primary-menu">\n    \n<nav role="navigation" aria-labelledby="block-bartik-main-menu-menu" id="block-bartik-main-menu" class="block block-menu navigation menu--main">\n            \n  <h2 class="visually-hidden" id="block-bartik-main-menu-menu">Main navigation</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-main-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-main-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-main-menu">Show &mdash; Main navigation</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-main-menu">Hide &mdash; Main navigation</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item menu-item--collapsed">\n        <a href="/program" data-drupal-link-system-path="program">Program</a>\n              </li>\n                <li class="menu-item">\n        <a href="/speakers" data-drupal-link-system-path="speakers">Speakers</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/presentations" data-drupal-link-system-path="presentations">Presentations</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/events" data-drupal-link-system-path="events">Events</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/about-us" data-drupal-link-system-path="node/94">About</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n\n  </div>\n\n      </div>\n    </header>\n          <div class="highlighted">\n        <aside class="layout-container section clearfix" role="complementary">\n            <div class="region region-highlighted">\n    <div data-drupal-messages-fallback class="hidden"></div>\n\n  </div>\n\n        </aside>\n      </div>\n            <div id="main-wrapper" class="layout-main-wrapper layout-container clearfix">\n      <div id="main" class="layout-main clearfix">\n        \n        <main id="content" class="column main-content" role="main">\n          <section class="section">\n            <a id="main-content" tabindex="-1"></a>\n              <div class="region region-content">\n    <div id="block-bartik-page-title" class="block block-core block-page-title-block">\n  \n    \n      <div class="content">\n      \n\n  <h1 class="title page-title"><span property="schema:name" class="field field--name-title field--type-string field--label-hidden">Front page</span>\n</h1>\n\n\n    </div>\n  </div>\n<div id="block-bartik-content" class="block block-system block-system-main-block">\n  \n    \n      <div class="content">\n      \n<article data-history-node-id="35" role="article" about="/node/35" typeof="schema:WebPage" class="node node--type-page node--view-mode-full clearfix">\n  <header>\n    \n            <span property="schema:name" content="Front page" class="rdf-meta hidden"></span>\n\n      </header>\n  <div class="node__content clearfix">\n      <div class="node__links">\n    <ul class="links inline"><li class="statistics-counter">446 views</li></ul>  </div>\n\n  </div>\n</article>\n\n    </div>\n  </div>\n\n  </div>\n\n          </section>\n        </main>\n                  <div id="sidebar-first" class="column sidebar">\n            <aside class="section" role="complementary">\n                <div class="region region-sidebar-first">\n    <div class="search-block-form block block-search container-inline" data-drupal-selector="search-block-form" id="block-bartik-search" role="search">\n  \n      <h2>Search</h2>\n    \n      <div class="content container-inline">\n      <form action="/search/node" method="get" id="search-block-form" accept-charset="UTF-8" class="search-form search-block-form">\n  <div class="js-form-item form-item js-form-type-search form-type-search js-form-item-keys form-item-keys form-no-label">\n      <label for="edit-keys" class="visually-hidden">Search</label>\n        <input title="Enter the terms you wish to search for." data-drupal-selector="edit-keys" type="search" id="edit-keys" name="keys" value="" size="15" maxlength="128" class="form-search" />\n\n        </div>\n<div data-drupal-selector="edit-actions" class="form-actions js-form-wrapper form-wrapper" id="edit-actions"><input class="search-form__submit button js-form-submit form-submit" data-drupal-selector="edit-submit" type="submit" id="edit-submit" value="Search" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n\n  </div>\n\n            </aside>\n          </div>\n                      </div>\n    </div>\n        <footer class="site-footer">\n      <div class="layout-container">\n                          <div class="site-footer__bottom">\n              <div class="region region-footer-fifth">\n    \n<nav role="navigation" aria-labelledby="block-bartik-footer-menu" id="block-bartik-footer" class="block block-menu navigation menu--footer">\n            \n  <h2 class="visually-hidden" id="block-bartik-footer-menu">Footer menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-footer"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-footer"></div>\n      <a class="menu-toggle" href="#show-block-bartik-footer">Show &mdash; Footer menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-footer">Hide &mdash; Footer menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n                <li class="menu-item">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/" data-drupal-link-system-path="&lt;front&gt;" class="is-active">Home</a>\n              </li>\n                <li class="menu-item">\n        <a href="/style-guide" data-drupal-link-system-path="node/1">Typography</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n<div id="block-bartik-powered" class="block block-system block-system-powered-by-block">\n  \n    \n      <div class="content">\n      <span>Powered by <a href="https://www.drupal.org">Drupal</a></span>\n    </div>\n  </div>\n\n  </div>\n\n          </div>\n              </div>\n    </footer>\n  </div>\n</div>\n\n  </div>\n\n    \n    <script type="application/json" data-drupal-selector="drupal-settings-json">{"path":{"baseUrl":"\\/","scriptPath":null,"pathPrefix":"","currentPath":"node\\/35","currentPathIsAdmin":false,"isFront":true,"currentLanguage":"en"},"pluralDelimiter":"\\u0003","suppressDeprecationErrors":true,"mt_cookieconsent":{"theme_select":"block","alert_message":"(This is a demo message of the Module this theme is bundled with) This website uses cookies to help us provide you a better experience.","target_url":"http:\\/\\/www.morethanthemes.com"},"mt_countdown":{"expiration_date":"2018-12-15 17:17:00"},"ajaxTrustedUrl":{"\\/search\\/node":true},"statistics":{"data":{"nid":"35"},"url":"\\/core\\/modules\\/statistics\\/statistics.php"},"user":{"uid":0,"permissionsHash":"da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88"}}</script>\n<script src="/sites/default/files/js/js_y57geBL-K47QfSLZFcl_jtxJKKl-i8yIkHt048E1tQc.js"></script>\n<script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js"></script>\n<script src="/sites/default/files/js/js_kI3-qcNH9s1doPOLnmDTBUEugbEAfJIYWFRiGiA4AtM.js"></script>\n\n  </body>\n</html>\n";s:10:"\0*\0version";s:3:"1.0";s:13:"\0*\0statusCode";i:200;s:13:"\0*\0statusText";s:2:"OK";s:10:"\0*\0charset";N;s:23:"\0*\0cacheabilityMetadata";O:35:"Drupal\\Core\\Cache\\CacheableMetadata":3:{s:16:"\0*\0cacheContexts";a:14:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:31:"route.menu_active_trails:footer";i:4;s:30:"route.menu_active_trails:tools";i:5;s:8:"url.site";i:6;s:24:"user.roles:authenticated";i:7;s:8:"timezone";i:8;s:5:"route";i:9;s:15:"url.path.parent";i:10;s:17:"url.path.is_front";i:11;s:29:"route.menu_active_trails:main";i:12;s:32:"route.menu_active_trails:account";i:13;s:30:"url.query_args:_wrapper_format";}s:12:"\0*\0cacheTags";a:34:{i:0;s:17:"config:block_list";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:34:"config:block.block.bartik_branding";i:3;s:37:"config:block.block.bartik_breadcrumbs";i:4;s:33:"config:block.block.bartik_content";i:5;s:30:"config:block.block.bartik_help";i:6;s:39:"config:block.block.bartik_local_actions";i:7;s:37:"config:block.block.bartik_local_tasks";i:8;s:36:"config:block.block.bartik_page_title";i:9;s:32:"config:block.block.bartik_footer";i:10;s:33:"config:block.block.bartik_powered";i:11;s:35:"config:block.block.bartik_main_menu";i:12;s:34:"config:block.block.bartik_messages";i:13;s:32:"config:block.block.bartik_search";i:14;s:31:"config:block.block.bartik_tools";i:15;s:10:"block_view";i:16;s:25:"config:system.menu.footer";i:17;s:6:"node:2";i:18;s:6:"node:1";i:19;s:24:"config:system.menu.tools";i:20;s:21:"config:node_type_list";i:21;s:22:"config:search.settings";i:22;s:9:"node_view";i:23;s:7:"node:35";i:24;s:6:"user:1";i:25;s:10:"local_task";i:26;s:23:"config:system.menu.main";i:27;s:7:"node:94";i:28;s:18:"config:system.site";i:29;s:25:"config:color.theme.bartik";i:30;s:26:"config:system.menu.account";i:31;s:8:"rendered";i:32;s:13:"http_response";i:33;s:26:"config:user.role.anonymous";}s:14:"\0*\0cacheMaxAge";i:3600;}s:14:"\0*\0attachments";a:4:{s:7:"library";a:10:{i:0;s:27:"fontawesome/fontawesome.svg";i:1;s:33:"mt_cookieconsent/mt_cookieconsent";i:2;s:25:"mt_countdown/mt_countdown";i:3;s:11:"system/base";i:4;s:18:"bartik/classy.base";i:5;s:22:"bartik/classy.messages";i:6;s:14:"core/normalize";i:7;s:21:"bartik/global-styling";i:8;s:28:"statistics/drupal.statistics";i:9;s:18:"bartik/classy.node";}s:9:"html_head";a:8:{i:0;a:2:{i:0;a:3:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:1:{s:7:"charset";s:5:"utf-8";}s:7:"#weight";i:-1000;}i:1;s:24:"system_meta_content_type";}i:1;a:2:{i:0;a:3:{s:5:"#type";s:8:"html_tag";s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:9:"Generator";s:7:"content";s:33:"Drupal 9 (https://www.drupal.org)";}}i:1;s:21:"system_meta_generator";}i:2;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:15:"MobileOptimized";s:7:"content";s:5:"width";}}i:1;s:15:"MobileOptimized";}i:3;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:16:"HandheldFriendly";s:7:"content";s:4:"true";}}i:1;s:16:"HandheldFriendly";}i:4;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:8:"viewport";s:7:"content";s:37:"width=device-width, initial-scale=1.0";}}i:1;s:8:"viewport";}i:5;a:2:{i:0;a:2:{s:4:"#tag";s:4:"link";s:11:"#attributes";a:3:{s:3:"rel";s:4:"icon";s:4:"href";s:31:"/core/themes/bartik/favicon.ico";s:4:"type";s:24:"image/vnd.microsoft.icon";}}i:1;s:51:"html_head_link:icon:/core/themes/bartik/favicon.ico";}i:6;a:2:{i:0;a:2:{s:4:"#tag";s:4:"link";s:11:"#attributes";a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:1;s:62:"html_head_link:canonical:https://ictm2023.isser.edu.gh/node/35";}i:7;a:2:{i:0;a:2:{s:4:"#tag";s:4:"link";s:11:"#attributes";a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:1;s:62:"html_head_link:shortlink:https://ictm2023.isser.edu.gh/node/35";}}s:12:"placeholders";a:0:{}s:14:"drupalSettings";a:8:{s:4:"path";a:7:{s:7:"baseUrl";s:1:"/";s:10:"scriptPath";N;s:10:"pathPrefix";s:0:"";s:11:"currentPath";s:7:"node/35";s:18:"currentPathIsAdmin";b:0;s:7:"isFront";b:1;s:15:"currentLanguage";s:2:"en";}s:15:"pluralDelimiter";s:1:"";s:25:"suppressDeprecationErrors";b:1;s:16:"mt_cookieconsent";a:3:{s:12:"theme_select";s:5:"block";s:13:"alert_message";s:135:"(This is a demo message of the Module this theme is bundled with) This website uses cookies to help us provide you a better experience.";s:10:"target_url";s:29:"http://www.morethanthemes.com";}s:12:"mt_countdown";a:1:{s:15:"expiration_date";s:19:"2018-12-15 17:17:00";}s:14:"ajaxTrustedUrl";a:1:{s:12:"/search/node";b:1;}s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"35";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}s:4:"user";a:2:{s:3:"uid";i:0;s:15:"permissionsHash";s:64:"da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88";}}}}', -1, '1681650075.400', 1, 'block_view config:block.block.bartik_account_menu config:block.block.bartik_branding config:block.block.bartik_breadcrumbs config:block.block.bartik_content config:block.block.bartik_footer config:block.block.bartik_help config:block.block.bartik_local_actions config:block.block.bartik_local_tasks config:block.block.bartik_main_menu config:block.block.bartik_messages config:block.block.bartik_page_title config:block.block.bartik_powered config:block.block.bartik_search config:block.block.bartik_tools config:block_list config:color.theme.bartik config:node_type_list config:search.settings config:system.menu.account config:system.menu.footer config:system.menu.main config:system.menu.tools config:system.site config:user.role.anonymous http_response local_task node:1 node:2 node:35 node:94 node_view rendered user:1', '31'),
('https://ictm2023.isser.edu.gh/speakers:', 'O:31:"Drupal\\Core\\Render\\HtmlResponse":8:{s:7:"headers";O:50:"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag":5:{s:10:"\0*\0headers";a:10:{s:12:"content-type";a:1:{i:0;s:24:"text/html; charset=UTF-8";}s:13:"cache-control";a:1:{i:0;s:34:"must-revalidate, no-cache, private";}s:4:"date";a:1:{i:0;s:29:"Sun, 16 Apr 2023 13:01:47 GMT";}s:22:"x-drupal-dynamic-cache";a:1:{i:0;s:11:"UNCACHEABLE";}s:15:"x-ua-compatible";a:1:{i:0;s:7:"IE=edge";}s:16:"content-language";a:1:{i:0;s:2:"en";}s:22:"x-content-type-options";a:1:{i:0;s:7:"nosniff";}s:15:"x-frame-options";a:1:{i:0;s:10:"SAMEORIGIN";}s:7:"expires";a:1:{i:0;s:29:"Sun, 19 Nov 1978 05:00:00 GMT";}s:11:"x-generator";a:1:{i:0;s:33:"Drupal 9 (https://www.drupal.org)";}}s:15:"\0*\0cacheControl";a:2:{s:15:"must-revalidate";b:1;s:8:"no-cache";b:1;}s:23:"\0*\0computedCacheControl";a:3:{s:15:"must-revalidate";b:1;s:8:"no-cache";b:1;s:7:"private";b:1;}s:10:"\0*\0cookies";a:0:{}s:14:"\0*\0headerNames";a:10:{s:12:"content-type";s:12:"Content-Type";s:13:"cache-control";s:13:"Cache-Control";s:4:"date";s:4:"Date";s:22:"x-drupal-dynamic-cache";s:22:"X-Drupal-Dynamic-Cache";s:15:"x-ua-compatible";s:15:"X-UA-Compatible";s:16:"content-language";s:16:"Content-language";s:22:"x-content-type-options";s:22:"X-Content-Type-Options";s:15:"x-frame-options";s:15:"X-Frame-Options";s:7:"expires";s:7:"Expires";s:11:"x-generator";s:11:"X-Generator";}}s:10:"\0*\0content";s:24860:"<!DOCTYPE html>\n<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">\n  <head>\n    <meta charset="utf-8" />\n<meta name="Generator" content="Drupal 9 (https://www.drupal.org)" />\n<meta name="MobileOptimized" content="width" />\n<meta name="HandheldFriendly" content="true" />\n<meta name="viewport" content="width=device-width, initial-scale=1.0" />\n<link rel="icon" href="/core/themes/bartik/favicon.ico" type="image/vnd.microsoft.icon" />\n\n    <title>Speakers | Conference+</title>\n    <link rel="stylesheet" media="all" href="/sites/default/files/css/css_f_MGmZ1Ex8S2_E6r8X9jmSm57nsPGLrfaSvHaMRPJ9E.css" />\n<link rel="stylesheet" media="all" href="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css" />\n<link rel="stylesheet" media="all" href="/sites/default/files/css/css_WiCgzwCR3v0zdNwEMuJeznkPW_tW4TnGeAZNUxh_bQM.css" />\n<link rel="stylesheet" media="all" href="/sites/default/files/css/css_zb7Sq_IdABuAqEIkmYNol_ZVzM6_PGnK0lDPkVLHJaw.css" />\n<link rel="stylesheet" media="print" href="/sites/default/files/css/css_Z5jMg7P_bjcW9iUzujI7oaechMyxQTUqZhHJ_aYSq04.css" />\n\n    <script src="https://use.fontawesome.com/releases/v5.0.6/js/all.js" defer crossorigin="anonymous"></script>\n\n  </head>\n  <body class="fontyourface layout-one-sidebar layout-sidebar-first path-speakers">\n        <a href="#main-content" class="visually-hidden focusable skip-link">\n      Skip to main content\n    </a>\n    \n      <div class="dialog-off-canvas-main-canvas" data-off-canvas-main-canvas>\n    <div id="page-wrapper">\n  <div id="page">\n    <header id="header" class="header" role="banner">\n      <div class="section layout-container clearfix">\n          <div class="region region-secondary-menu">\n    \n<nav role="navigation" aria-labelledby="block-bartik-account-menu-menu" id="block-bartik-account-menu" class="block block-menu navigation menu--account">\n            \n  <h2 class="visually-hidden" id="block-bartik-account-menu-menu">User account menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-account-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-account-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-account-menu">Show &mdash; User account menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-account-menu">Hide &mdash; User account menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/user/login" data-drupal-link-system-path="user/login">Log in</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n\n  </div>\n\n          <div class="clearfix region region-header">\n    <div id="block-bartik-branding" class="clearfix site-branding block block-system block-system-branding-block">\n  \n    \n        <a href="/" rel="home" class="site-branding__logo">\n      <img src="/core/themes/bartik/logo.svg" alt="Home" />\n    </a>\n        <div class="site-branding__text">\n              <div class="site-branding__name">\n          <a href="/" rel="home">Conference+</a>\n        </div>\n                    <div class="site-branding__slogan">A top quality Drupal 8 theme</div>\n          </div>\n  </div>\n\n  </div>\n\n          <div class="region region-primary-menu">\n    \n<nav role="navigation" aria-labelledby="block-bartik-main-menu-menu" id="block-bartik-main-menu" class="block block-menu navigation menu--main">\n            \n  <h2 class="visually-hidden" id="block-bartik-main-menu-menu">Main navigation</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-main-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-main-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-main-menu">Show &mdash; Main navigation</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-main-menu">Hide &mdash; Main navigation</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item menu-item--collapsed">\n        <a href="/program" data-drupal-link-system-path="program">Program</a>\n              </li>\n                <li class="menu-item menu-item--active-trail">\n        <a href="/speakers" data-drupal-link-system-path="speakers" class="is-active">Speakers</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/presentations" data-drupal-link-system-path="presentations">Presentations</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/events" data-drupal-link-system-path="events">Events</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/about-us" data-drupal-link-system-path="node/94">About</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n\n  </div>\n\n      </div>\n    </header>\n          <div class="highlighted">\n        <aside class="layout-container section clearfix" role="complementary">\n            <div class="region region-highlighted">\n    <div data-drupal-messages-fallback class="hidden"></div>\n\n  </div>\n\n        </aside>\n      </div>\n            <div id="main-wrapper" class="layout-main-wrapper layout-container clearfix">\n      <div id="main" class="layout-main clearfix">\n          <div class="region region-breadcrumb">\n    <div id="block-bartik-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n      <div class="content">\n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n        </ol>\n  </nav>\n\n    </div>\n  </div>\n\n  </div>\n\n        <main id="content" class="column main-content" role="main">\n          <section class="section">\n            <a id="main-content" tabindex="-1"></a>\n              <div class="region region-content">\n    <div id="block-bartik-page-title" class="block block-core block-page-title-block">\n  \n    \n      <div class="content">\n      \n\n  <h1 class="title page-title">Speakers</h1>\n\n\n    </div>\n  </div>\n<div id="block-bartik-content" class="block block-system block-system-main-block">\n  \n    \n      <div class="content">\n      <div class="views-element-container"><div class="view-speakers view view-mt-speakers view-id-mt_speakers view-display-id-page_1 js-view-dom-id-5fc5c2acd38a86cd720eeada2f5988246bf045fe9b7f48ca2b65652a4c054884">\n  \n    \n      \n      <div class="view-content">\n        <h3>A</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="69" role="article" about="/node/69" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/69" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Abdullah Lang</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/69" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-1.jpg?itok=IT47rQcT" width="750" height="750" alt="Speaker One" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/53" hreflang="en">First Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>J</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="66" role="article" about="/node/66" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/66" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Justine Henderson</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/66" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-4_0.jpg?itok=2w3QyaLo" width="750" height="750" alt="Speaker Four" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Web Designer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/56" hreflang="en">Fourth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>M</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="64" role="article" about="/node/64" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/64" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Marcus Cruz</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/64" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-6.jpg?itok=fG0Fb5Fi" width="750" height="750" alt="Speaker Six" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/58" hreflang="en">Sixth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://www.youtube.com/</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="68" role="article" about="/node/68" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/68" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Mathias Little</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/68" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-2.jpg?itok=XeeVlqgF" width="750" height="750" alt="Speaker Two" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/54" hreflang="en">Second Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>T</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="67" role="article" about="/node/67" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/67" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Thalia Cobb</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/67" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-3.jpg?itok=cb5gyDfD" width="750" height="750" alt="Speaker Three" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Medic</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/55" hreflang="en">Third Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>W</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="65" role="article" about="/node/65" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/65" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Waylon Dalton</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/65" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-5.jpg?itok=bleOI9x-" width="750" height="750" alt="Speaker Five" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/57" hreflang="en">Fifth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n\n    </div>\n  \n      \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n          </section>\n        </main>\n                  <div id="sidebar-first" class="column sidebar">\n            <aside class="section" role="complementary">\n                <div class="region region-sidebar-first">\n    <div class="search-block-form block block-search container-inline" data-drupal-selector="search-block-form" id="block-bartik-search" role="search">\n  \n      <h2>Search</h2>\n    \n      <div class="content container-inline">\n      <form action="/search/node" method="get" id="search-block-form" accept-charset="UTF-8" class="search-form search-block-form">\n  <div class="js-form-item form-item js-form-type-search form-type-search js-form-item-keys form-item-keys form-no-label">\n      <label for="edit-keys" class="visually-hidden">Search</label>\n        <input title="Enter the terms you wish to search for." data-drupal-selector="edit-keys" type="search" id="edit-keys" name="keys" value="" size="15" maxlength="128" class="form-search" />\n\n        </div>\n<div data-drupal-selector="edit-actions" class="form-actions js-form-wrapper form-wrapper" id="edit-actions"><input class="search-form__submit button js-form-submit form-submit" data-drupal-selector="edit-submit" type="submit" id="edit-submit" value="Search" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n\n  </div>\n\n            </aside>\n          </div>\n                      </div>\n    </div>\n        <footer class="site-footer">\n      <div class="layout-container">\n                          <div class="site-footer__bottom">\n              <div class="region region-footer-fifth">\n    \n<nav role="navigation" aria-labelledby="block-bartik-footer-menu" id="block-bartik-footer" class="block block-menu navigation menu--footer">\n            \n  <h2 class="visually-hidden" id="block-bartik-footer-menu">Footer menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-footer"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-footer"></div>\n      <a class="menu-toggle" href="#show-block-bartik-footer">Show &mdash; Footer menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-footer">Hide &mdash; Footer menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n                <li class="menu-item">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/" data-drupal-link-system-path="&lt;front&gt;">Home</a>\n              </li>\n                <li class="menu-item">\n        <a href="/style-guide" data-drupal-link-system-path="node/1">Typography</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n<div id="block-bartik-powered" class="block block-system block-system-powered-by-block">\n  \n    \n      <div class="content">\n      <span>Powered by <a href="https://www.drupal.org">Drupal</a></span>\n    </div>\n  </div>\n\n  </div>\n\n          </div>\n              </div>\n    </footer>\n  </div>\n</div>\n\n  </div>\n\n    \n    <script type="application/json" data-drupal-selector="drupal-settings-json">{"path":{"baseUrl":"\\/","scriptPath":null,"pathPrefix":"","currentPath":"speakers","currentPathIsAdmin":false,"isFront":false,"currentLanguage":"en"},"pluralDelimiter":"\\u0003","suppressDeprecationErrors":true,"mt_cookieconsent":{"theme_select":"block","alert_message":"(This is a demo message of the Module this theme is bundled with) This website uses cookies to help us provide you a better experience.","target_url":"http:\\/\\/www.morethanthemes.com"},"mt_countdown":{"expiration_date":"2018-12-15 17:17:00"},"ajaxTrustedUrl":{"\\/search\\/node":true},"user":{"uid":0,"permissionsHash":"da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88"}}</script>\n<script src="/sites/default/files/js/js_y57geBL-K47QfSLZFcl_jtxJKKl-i8yIkHt048E1tQc.js"></script>\n<script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js"></script>\n<script src="/sites/default/files/js/js_eRHDJXENX535nI1cLiVTSGYJ1gX7owibVLOP6LryIeM.js"></script>\n\n  </body>\n</html>\n";s:10:"\0*\0version";s:3:"1.0";s:13:"\0*\0statusCode";i:200;s:13:"\0*\0statusText";s:2:"OK";s:10:"\0*\0charset";N;s:23:"\0*\0cacheabilityMetadata";O:35:"Drupal\\Core\\Cache\\CacheableMetadata":3:{s:16:"\0*\0cacheContexts";a:17:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:31:"route.menu_active_trails:footer";i:4;s:30:"route.menu_active_trails:tools";i:5;s:26:"languages:language_content";i:6;s:14:"url.query_args";i:7;s:4:"user";i:8;s:21:"user.node_grants:view";i:9;s:8:"timezone";i:10;s:5:"route";i:11;s:15:"url.path.parent";i:12;s:17:"url.path.is_front";i:13;s:29:"route.menu_active_trails:main";i:14;s:32:"route.menu_active_trails:account";i:15;s:24:"user.roles:authenticated";i:16;s:30:"url.query_args:_wrapper_format";}s:12:"\0*\0cacheTags";a:56:{i:0;s:17:"config:block_list";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:34:"config:block.block.bartik_branding";i:3;s:37:"config:block.block.bartik_breadcrumbs";i:4;s:33:"config:block.block.bartik_content";i:5;s:30:"config:block.block.bartik_help";i:6;s:39:"config:block.block.bartik_local_actions";i:7;s:37:"config:block.block.bartik_local_tasks";i:8;s:36:"config:block.block.bartik_page_title";i:9;s:32:"config:block.block.bartik_footer";i:10;s:33:"config:block.block.bartik_powered";i:11;s:35:"config:block.block.bartik_main_menu";i:12;s:34:"config:block.block.bartik_messages";i:13;s:32:"config:block.block.bartik_search";i:14;s:31:"config:block.block.bartik_tools";i:15;s:10:"block_view";i:16;s:25:"config:system.menu.footer";i:17;s:6:"node:2";i:18;s:6:"node:1";i:19;s:24:"config:system.menu.tools";i:20;s:21:"config:node_type_list";i:21;s:22:"config:search.settings";i:22;s:29:"config:views.view.mt_speakers";i:23;s:9:"node_list";i:24;s:7:"node:65";i:25;s:7:"node:67";i:26;s:7:"node:68";i:27;s:7:"node:64";i:28;s:7:"node:66";i:29;s:7:"node:69";i:30;s:6:"user:0";i:31;s:26:"config:user.role.anonymous";i:32;s:9:"node_view";i:33;s:31:"config:filter.format.basic_html";i:34;s:16:"taxonomy_term:57";i:35;s:34:"config:image.style.mt_member_photo";i:36;s:8:"file:222";i:37;s:6:"user:1";i:38;s:16:"taxonomy_term:55";i:39;s:8:"file:219";i:40;s:16:"taxonomy_term:54";i:41;s:8:"file:218";i:42;s:16:"taxonomy_term:58";i:43;s:8:"file:223";i:44;s:16:"taxonomy_term:56";i:45;s:8:"file:221";i:46;s:16:"taxonomy_term:53";i:47;s:8:"file:217";i:48;s:10:"local_task";i:49;s:23:"config:system.menu.main";i:50;s:7:"node:94";i:51;s:18:"config:system.site";i:52;s:25:"config:color.theme.bartik";i:53;s:26:"config:system.menu.account";i:54;s:8:"rendered";i:55;s:13:"http_response";}s:14:"\0*\0cacheMaxAge";i:-1;}s:14:"\0*\0attachments";a:4:{s:7:"library";a:10:{i:0;s:27:"fontawesome/fontawesome.svg";i:1;s:33:"mt_cookieconsent/mt_cookieconsent";i:2;s:25:"mt_countdown/mt_countdown";i:3;s:11:"system/base";i:4;s:18:"bartik/classy.base";i:5;s:22:"bartik/classy.messages";i:6;s:14:"core/normalize";i:7;s:21:"bartik/global-styling";i:8;s:18:"views/views.module";i:9;s:18:"bartik/classy.node";}s:9:"html_head";a:6:{i:0;a:2:{i:0;a:3:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:1:{s:7:"charset";s:5:"utf-8";}s:7:"#weight";i:-1000;}i:1;s:24:"system_meta_content_type";}i:1;a:2:{i:0;a:3:{s:5:"#type";s:8:"html_tag";s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:9:"Generator";s:7:"content";s:33:"Drupal 9 (https://www.drupal.org)";}}i:1;s:21:"system_meta_generator";}i:2;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:15:"MobileOptimized";s:7:"content";s:5:"width";}}i:1;s:15:"MobileOptimized";}i:3;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:16:"HandheldFriendly";s:7:"content";s:4:"true";}}i:1;s:16:"HandheldFriendly";}i:4;a:2:{i:0;a:2:{s:4:"#tag";s:4:"meta";s:11:"#attributes";a:2:{s:4:"name";s:8:"viewport";s:7:"content";s:37:"width=device-width, initial-scale=1.0";}}i:1;s:8:"viewport";}i:5;a:2:{i:0;a:2:{s:4:"#tag";s:4:"link";s:11:"#attributes";a:3:{s:3:"rel";s:4:"icon";s:4:"href";s:31:"/core/themes/bartik/favicon.ico";s:4:"type";s:24:"image/vnd.microsoft.icon";}}i:1;s:51:"html_head_link:icon:/core/themes/bartik/favicon.ico";}}s:12:"placeholders";a:0:{}s:14:"drupalSettings";a:7:{s:4:"path";a:7:{s:7:"baseUrl";s:1:"/";s:10:"scriptPath";N;s:10:"pathPrefix";s:0:"";s:11:"currentPath";s:8:"speakers";s:18:"currentPathIsAdmin";b:0;s:7:"isFront";b:0;s:15:"currentLanguage";s:2:"en";}s:15:"pluralDelimiter";s:1:"";s:25:"suppressDeprecationErrors";b:1;s:16:"mt_cookieconsent";a:3:{s:12:"theme_select";s:5:"block";s:13:"alert_message";s:135:"(This is a demo message of the Module this theme is bundled with) This website uses cookies to help us provide you a better experience.";s:10:"target_url";s:29:"http://www.morethanthemes.com";}s:12:"mt_countdown";a:1:{s:15:"expiration_date";s:19:"2018-12-15 17:17:00";}s:14:"ajaxTrustedUrl";a:1:{s:12:"/search/node";b:1;}s:4:"user";a:2:{s:3:"uid";i:0;s:15:"permissionsHash";s:64:"da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88";}}}}', -1, '1681650107.988', 1, 'block_view config:block.block.bartik_account_menu config:block.block.bartik_branding config:block.block.bartik_breadcrumbs config:block.block.bartik_content config:block.block.bartik_footer config:block.block.bartik_help config:block.block.bartik_local_actions config:block.block.bartik_local_tasks config:block.block.bartik_main_menu config:block.block.bartik_messages config:block.block.bartik_page_title config:block.block.bartik_powered config:block.block.bartik_search config:block.block.bartik_tools config:block_list config:color.theme.bartik config:filter.format.basic_html config:image.style.mt_member_photo config:node_type_list config:search.settings config:system.menu.account config:system.menu.footer config:system.menu.main config:system.menu.tools config:system.site config:user.role.anonymous config:views.view.mt_speakers file:217 file:218 file:219 file:221 file:222 file:223 http_response local_task node:1 node:2 node:64 node:65 node:66 node:67 node:68 node:69 node:94 node_list node_view rendered taxonomy_term:53 taxonomy_term:54 taxonomy_term:55 taxonomy_term:56 taxonomy_term:57 taxonomy_term:58 user:0 user:1', '31');
INSERT INTO `cache_page` VALUES
('https://ictm2023.isser.edu.gh/user:', 'O:41:"Drupal\\Core\\Routing\\LocalRedirectResponse":9:{s:7:"headers";O:50:"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag":5:{s:10:"\0*\0headers";a:9:{s:13:"cache-control";a:1:{i:0;s:34:"must-revalidate, no-cache, private";}s:4:"date";a:1:{i:0;s:29:"Sun, 16 Apr 2023 12:57:31 GMT";}s:8:"location";a:1:{i:0;s:40:"https://ictm2023.isser.edu.gh/user/login";}s:15:"x-ua-compatible";a:1:{i:0;s:7:"IE=edge";}s:16:"content-language";a:1:{i:0;s:2:"en";}s:22:"x-content-type-options";a:1:{i:0;s:7:"nosniff";}s:15:"x-frame-options";a:1:{i:0;s:10:"SAMEORIGIN";}s:7:"expires";a:1:{i:0;s:29:"Sun, 19 Nov 1978 05:00:00 GMT";}s:11:"x-generator";a:1:{i:0;s:33:"Drupal 9 (https://www.drupal.org)";}}s:15:"\0*\0cacheControl";a:3:{s:15:"must-revalidate";b:1;s:8:"no-cache";b:1;s:7:"private";b:1;}s:23:"\0*\0computedCacheControl";a:3:{s:15:"must-revalidate";b:1;s:8:"no-cache";b:1;s:7:"private";b:1;}s:10:"\0*\0cookies";a:0:{}s:14:"\0*\0headerNames";a:9:{s:13:"cache-control";s:13:"Cache-Control";s:4:"date";s:4:"Date";s:8:"location";s:8:"Location";s:15:"x-ua-compatible";s:15:"X-UA-Compatible";s:16:"content-language";s:16:"Content-language";s:22:"x-content-type-options";s:22:"X-Content-Type-Options";s:15:"x-frame-options";s:15:"X-Frame-Options";s:7:"expires";s:7:"Expires";s:11:"x-generator";s:11:"X-Generator";}}s:10:"\0*\0content";s:406:"<!DOCTYPE html>\n<html>\n    <head>\n        <meta charset="UTF-8" />\n        <meta http-equiv="refresh" content="0;url=''https://ictm2023.isser.edu.gh/user/login''" />\n\n        <title>Redirecting to https://ictm2023.isser.edu.gh/user/login</title>\n    </head>\n    <body>\n        Redirecting to <a href="https://ictm2023.isser.edu.gh/user/login">https://ictm2023.isser.edu.gh/user/login</a>.\n    </body>\n</html>";s:10:"\0*\0version";s:3:"1.0";s:13:"\0*\0statusCode";i:302;s:13:"\0*\0statusText";s:5:"Found";s:10:"\0*\0charset";N;s:12:"\0*\0targetUrl";s:40:"https://ictm2023.isser.edu.gh/user/login";s:23:"\0*\0cacheabilityMetadata";O:35:"Drupal\\Core\\Cache\\CacheableMetadata":3:{s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:0;}s:17:"\0*\0requestContext";O:34:"Drupal\\Core\\Routing\\RequestContext":10:{s:49:"\0Symfony\\Component\\Routing\\RequestContext\0baseUrl";s:0:"";s:50:"\0Symfony\\Component\\Routing\\RequestContext\0pathInfo";s:5:"/user";s:48:"\0Symfony\\Component\\Routing\\RequestContext\0method";s:3:"GET";s:46:"\0Symfony\\Component\\Routing\\RequestContext\0host";s:21:"ictm2023.isser.edu.gh";s:48:"\0Symfony\\Component\\Routing\\RequestContext\0scheme";s:5:"https";s:50:"\0Symfony\\Component\\Routing\\RequestContext\0httpPort";i:80;s:51:"\0Symfony\\Component\\Routing\\RequestContext\0httpsPort";i:443;s:53:"\0Symfony\\Component\\Routing\\RequestContext\0queryString";s:0:"";s:52:"\0Symfony\\Component\\Routing\\RequestContext\0parameters";a:0:{}s:18:"\0*\0completeBaseUrl";s:29:"https://ictm2023.isser.edu.gh";}}', -1, '1681649851.755', 1, '', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cache_render`
--

CREATE TABLE `cache_render` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

--
-- Dumping data for table `cache_render`
--

INSERT INTO `cache_render` VALUES
('entity_view:block:bartik_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:19:"bartik_account_menu";}s:8:"contexts";a:5:{i:0;s:32:"route.menu_active_trails:account";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:26:"config:system.menu.account";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650075.055', 1, 'block_view config:block.block.bartik_account_menu config:system.menu.account rendered', '6'),
('entity_view:block:bartik_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88:[user.roles:authenticated]=1', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:940:"\n<nav role="navigation" aria-labelledby="block-bartik-account-menu-menu" id="block-bartik-account-menu" class="block block-menu navigation menu--account">\n            \n  <h2 class="visually-hidden" id="block-bartik-account-menu-menu">User account menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-account-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-account-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-account-menu">Show &mdash; User account menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-account-menu">Hide &mdash; User account menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/user/login" data-drupal-link-system-path="user/login">Log in</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:32:"route.menu_active_trails:account";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:26:"config:system.menu.account";}s:7:"max-age";i:-1;}}', -1, '1681650075.055', 1, 'block_view config:block.block.bartik_account_menu config:system.menu.account rendered', '6'),
('entity_view:block:bartik_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:19:"bartik_account_menu";}s:8:"contexts";a:5:{i:0;s:32:"route.menu_active_trails:account";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:5;s:24:"user.roles:authenticated";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:26:"config:system.menu.account";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652709.128', 1, 'block_view config:block.block.bartik_account_menu config:system.menu.account rendered', '7'),
('entity_view:block:bartik_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be15706546f_Cn0oFxmMJIFnVaHodbaCl9qCkPxuy4yzBxRRxKTh8', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1269:"\n<nav role="navigation" aria-labelledby="block-bartik-account-menu-menu" id="block-bartik-account-menu" class="contextual-region block block-menu navigation menu--account">\n            \n  <h2 class="visually-hidden" id="block-bartik-account-menu-menu">User account menu</h2>\n  <div data-contextual-id="block:block=bartik_account_menu:langcode=en|menu:menu=account:langcode=en" data-contextual-token="q1pfAWSSImamkKdatuxbCOHa-uZY1IMRKXEzxBmudcA"></div>\n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-account-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-account-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-account-menu">Show &mdash; User account menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-account-menu">Hide &mdash; User account menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/user" data-drupal-link-system-path="user">My account</a>\n              </li>\n                <li class="menu-item">\n        <a href="/user/logout" data-drupal-link-system-path="user/logout">Log out</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:32:"route.menu_active_trails:account";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:5;s:24:"user.roles:authenticated";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.bartik_account_menu";i:2;s:26:"config:system.menu.account";}s:7:"max-age";i:-1;}}', -1, '1681652709.129', 1, 'block_view config:block.block.bartik_account_menu config:system.menu.account rendered', '7'),
('entity_view:block:bartik_branding:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:518:"<div id="block-bartik-branding" class="clearfix site-branding block block-system block-system-branding-block">\n  \n    \n        <a href="/" rel="home" class="site-branding__logo">\n      <img src="/core/themes/bartik/logo.svg" alt="Home" />\n    </a>\n        <div class="site-branding__text">\n              <div class="site-branding__name">\n          <a href="/" rel="home">Conference+</a>\n        </div>\n                    <div class="site-branding__slogan">A top quality Drupal 8 theme</div>\n          </div>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:10:"block_view";i:1;s:34:"config:block.block.bartik_branding";i:2;s:18:"config:system.site";i:3;s:25:"config:color.theme.bartik";}s:7:"max-age";i:-1;}}', -1, '1681650075.077', 1, 'block_view config:block.block.bartik_branding config:color.theme.bartik config:system.site rendered', '1'),
('entity_view:block:bartik_branding:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:676:"<div id="block-bartik-branding" class="contextual-region clearfix site-branding block block-system block-system-branding-block">\n  \n    <div data-contextual-id="block:block=bartik_branding:langcode=en" data-contextual-token="zk7UhiCEsubkxFoZwdCVwMJri5eDeMsNWDMrAc4aqKU"></div>\n        <a href="/" rel="home" class="site-branding__logo">\n      <img src="/core/themes/bartik/logo.svg" alt="Home" />\n    </a>\n        <div class="site-branding__text">\n              <div class="site-branding__name">\n          <a href="/" rel="home">Conference+</a>\n        </div>\n                    <div class="site-branding__slogan">A top quality Drupal 8 theme</div>\n          </div>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:10:"block_view";i:1;s:34:"config:block.block.bartik_branding";i:2;s:18:"config:system.site";i:3;s:25:"config:color.theme.bartik";}s:7:"max-age";i:-1;}}', -1, '1681652203.054', 1, 'block_view config:block.block.bartik_branding config:color.theme.bartik config:system.site rendered', '1'),
('entity_view:block:bartik_breadcrumbs:[languages:language_interface]=en:[theme]=bartik:[url.path.is_front]=is_front.0:[url.path.parent]=:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:414:"<div id="block-bartik-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n      <div class="content">\n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n        </ol>\n  </nav>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681650107.951', 1, 'block_view config:block.block.bartik_breadcrumbs rendered', '1'),
('entity_view:block:bartik_breadcrumbs:[languages:language_interface]=en:[theme]=bartik:[url.path.is_front]=is_front.1:[url.path.parent]=:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681650075.095', 1, 'block_view config:block.block.bartik_breadcrumbs rendered', '1'),
('entity_view:block:bartik_breadcrumbs:[languages:language_interface]=en:[theme]=bartik:[url.path.is_front]=is_front.1:[url.path.parent]=:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681652203.062', 1, 'block_view config:block.block.bartik_breadcrumbs rendered', '1'),
('entity_view:block:bartik_breadcrumbs:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:18:"bartik_breadcrumbs";}s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_breadcrumbs";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650075.094', 1, 'block_view config:block.block.bartik_breadcrumbs rendered', '1'),
('entity_view:block:bartik_breadcrumbs:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:18:"bartik_breadcrumbs";}s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_breadcrumbs";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652203.062', 1, 'block_view config:block.block.bartik_breadcrumbs rendered', '1'),
('entity_view:block:bartik_footer:[languages:language_interface]=en:[route.menu_active_trails:footer]=menu_trail.footer|:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1290:"\n<nav role="navigation" aria-labelledby="block-bartik-footer-menu" id="block-bartik-footer" class="block block-menu navigation menu--footer">\n            \n  <h2 class="visually-hidden" id="block-bartik-footer-menu">Footer menu</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-footer"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-footer"></div>\n      <a class="menu-toggle" href="#show-block-bartik-footer">Show &mdash; Footer menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-footer">Hide &mdash; Footer menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n                <li class="menu-item">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/" data-drupal-link-system-path="&lt;front&gt;">Home</a>\n              </li>\n                <li class="menu-item">\n        <a href="/style-guide" data-drupal-link-system-path="node/1">Typography</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:31:"route.menu_active_trails:footer";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:10:"block_view";i:1;s:32:"config:block.block.bartik_footer";i:2;s:25:"config:system.menu.footer";i:3;s:6:"node:2";i:4;s:6:"node:1";}s:7:"max-age";i:-1;}}', -1, '1681650075.159', 1, 'block_view config:block.block.bartik_footer config:system.menu.footer node:1 node:2 rendered', '6'),
('entity_view:block:bartik_footer:[languages:language_interface]=en:[route.menu_active_trails:footer]=menu_trail.footer|:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1475:"\n<nav role="navigation" aria-labelledby="block-bartik-footer-menu" id="block-bartik-footer" class="contextual-region block block-menu navigation menu--footer">\n            \n  <h2 class="visually-hidden" id="block-bartik-footer-menu">Footer menu</h2>\n  <div data-contextual-id="block:block=bartik_footer:langcode=en|menu:menu=footer:langcode=en" data-contextual-token="ZNSTyiOIksev_lDswLSe-g3o3DH9Y6Ea8jDQT6QvtmQ"></div>\n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-footer"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-footer"></div>\n      <a class="menu-toggle" href="#show-block-bartik-footer">Show &mdash; Footer menu</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-footer">Hide &mdash; Footer menu</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n                <li class="menu-item">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/" data-drupal-link-system-path="&lt;front&gt;">Home</a>\n              </li>\n                <li class="menu-item">\n        <a href="/style-guide" data-drupal-link-system-path="node/1">Typography</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:31:"route.menu_active_trails:footer";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:32:"config:block.block.bartik_footer";i:2;s:25:"config:system.menu.footer";}s:7:"max-age";i:-1;}}', -1, '1681652709.505', 1, 'block_view config:block.block.bartik_footer config:system.menu.footer rendered', '7'),
('entity_view:block:bartik_help:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6fzec5nK_Dw7_08_iMvkPn7aXutz0PH1v8__zx0orCNk', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:30:"config:block.block.bartik_help";}s:7:"max-age";i:-1;}}', -1, '1681650075.107', 1, 'block_view config:block.block.bartik_help rendered', '1'),
('entity_view:block:bartik_help:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=bartik:[user.permissions]=fceea594f4ece42da198oy4pakUSHwPuFAJN6VGKHNERGh5D4m2FjOLkYJAzR2A', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:30:"config:block.block.bartik_help";}s:7:"max-age";i:-1;}}', -1, '1681652203.093', 1, 'block_view config:block.block.bartik_help rendered', '1'),
('entity_view:block:bartik_help:[languages:language_interface]=en:[route]=view.mt_speakers.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0LgxfArdGJPCK_gryI3xsZeJvsRxaJ-OFHDXSQSG1Cok', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:30:"config:block.block.bartik_help";}s:7:"max-age";i:-1;}}', -1, '1681650107.956', 1, 'block_view config:block.block.bartik_help rendered', '1'),
('entity_view:block:bartik_local_actions:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=bartik:[user.permissions]=da1be2425beQbLIFlUcgLMtW2ztoRNQxrXtPIs0Hoh-QsbeRXya-Ng', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:39:"config:block.block.bartik_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681650075.109', 1, 'block_view config:block.block.bartik_local_actions rendered', '1'),
('entity_view:block:bartik_local_actions:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=bartik:[user.permissions]=fceea594f4eUsYgPzVimo53bRIljsqmpJTnGwpeDq6YXaJKqSKutIA', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:39:"config:block.block.bartik_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681652203.094', 1, 'block_view config:block.block.bartik_local_actions rendered', '1'),
('entity_view:block:bartik_local_actions:[languages:language_interface]=en:[route]=view.mt_speakers.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=bartik:[user.permissions]=da1be24250fGvxK4rbVU9XyYnGqv-ynr-0TUxYlR9hyhNQfYytbE', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:39:"config:block.block.bartik_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681650107.958', 1, 'block_view config:block.block.bartik_local_actions rendered', '1'),
('entity_view:block:bartik_local_actions:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:20:"bartik_local_actions";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:39:"config:block.block.bartik_local_actions";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650075.109', 1, 'block_view config:block.block.bartik_local_actions rendered', '1'),
('entity_view:block:bartik_local_actions:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:20:"bartik_local_actions";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:39:"config:block.block.bartik_local_actions";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652203.094', 1, 'block_view config:block.block.bartik_local_actions rendered', '1'),
('entity_view:block:bartik_local_tasks:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=bartik:[user.permissions]=da1be2425bed0v-w2SnP1B_rjjqNKMR07lJi6pDXwxm5Q8iSN0_gw8oA', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:4:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_local_tasks";i:2;s:10:"local_task";i:3;s:7:"node:35";}s:7:"max-age";i:-1;}}', -1, '1681650075.106', 1, 'block_view config:block.block.bartik_local_tasks local_task node:35 rendered', '6'),
('entity_view:block:bartik_local_tasks:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=bartik:[user.permissions]=fceea594f4ece6tLiRrbbbRUyz6Dkvjn98wIc3mMY9o_wdLvD1kyjcb4', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:847:"<div id="block-bartik-local-tasks" class="contextual-region block block-core block-local-tasks-block">\n  \n    <div data-contextual-id="block:block=bartik_local_tasks:langcode=en" data-contextual-token="e8f19jHB91tWTxERAvEVoZxkoQ7EiGRiQeR84caeCTU"></div>\n        <nav class="tabs" role="navigation" aria-label="Tabs">\n        <h2 class="visually-hidden">Primary tabs</h2>\n  <ul class="tabs primary"><li class="is-active"><a href="/node/35" data-drupal-link-system-path="node/35">View<span class="visually-hidden">(active tab)</span></a></li>\n<li><a href="/node/35/edit" data-drupal-link-system-path="node/35/edit">Edit</a></li>\n<li><a href="/node/35/delete" data-drupal-link-system-path="node/35/delete">Delete</a></li>\n<li><a href="/node/35/revisions" data-drupal-link-system-path="node/35/revisions">Revisions</a></li>\n</ul>\n\n    </nav>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652709.496', 1, 'block_view config:block.block.bartik_local_tasks local_task rendered', '7'),
('entity_view:block:bartik_local_tasks:[languages:language_interface]=en:[route]=view.mt_speakers.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=bartik:[user.permissions]=da1be2425beFlWf7Q52D-epaJqI72VlQBFKhplRXP4inaZ34hF7cpQ', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681650107.955', 1, 'block_view config:block.block.bartik_local_tasks local_task rendered', '6'),
('entity_view:block:bartik_local_tasks:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:18:"bartik_local_tasks";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:4:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_local_tasks";i:2;s:10:"local_task";i:3;s:7:"node:35";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650075.106', 1, 'block_view config:block.block.bartik_local_tasks local_task node:35 rendered', '6'),
('entity_view:block:bartik_local_tasks:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:18:"bartik_local_tasks";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:37:"config:block.block.bartik_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652709.496', 1, 'block_view config:block.block.bartik_local_tasks local_task rendered', '7'),
('entity_view:block:bartik_main_menu:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1852:"\n<nav role="navigation" aria-labelledby="block-bartik-main-menu-menu" id="block-bartik-main-menu" class="block block-menu navigation menu--main">\n            \n  <h2 class="visually-hidden" id="block-bartik-main-menu-menu">Main navigation</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-main-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-main-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-main-menu">Show &mdash; Main navigation</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-main-menu">Hide &mdash; Main navigation</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item menu-item--collapsed">\n        <a href="/program" data-drupal-link-system-path="program">Program</a>\n              </li>\n                <li class="menu-item">\n        <a href="/speakers" data-drupal-link-system-path="speakers">Speakers</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/presentations" data-drupal-link-system-path="presentations">Presentations</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/events" data-drupal-link-system-path="events">Events</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/about-us" data-drupal-link-system-path="node/94">About</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:29:"route.menu_active_trails:main";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:10:"block_view";i:1;s:35:"config:block.block.bartik_main_menu";i:2;s:23:"config:system.menu.main";i:3;s:7:"node:94";i:4;s:6:"node:2";}s:7:"max-age";i:-1;}}', -1, '1681650075.091', 1, 'block_view config:block.block.bartik_main_menu config:system.menu.main node:2 node:94 rendered', '6'),
('entity_view:block:bartik_main_menu:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2038:"\n<nav role="navigation" aria-labelledby="block-bartik-main-menu-menu" id="block-bartik-main-menu" class="contextual-region block block-menu navigation menu--main">\n            \n  <h2 class="visually-hidden" id="block-bartik-main-menu-menu">Main navigation</h2>\n  <div data-contextual-id="block:block=bartik_main_menu:langcode=en|menu:menu=main:langcode=en" data-contextual-token="F7rTeaXnqg7fBMKDV7poiGJEYoGw2IvxfhGKRgqyFjY"></div>\n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-main-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-main-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-main-menu">Show &mdash; Main navigation</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-main-menu">Hide &mdash; Main navigation</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item menu-item--collapsed">\n        <a href="/program" data-drupal-link-system-path="program">Program</a>\n              </li>\n                <li class="menu-item">\n        <a href="/speakers" data-drupal-link-system-path="speakers">Speakers</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/presentations" data-drupal-link-system-path="presentations">Presentations</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/events" data-drupal-link-system-path="events">Events</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/about-us" data-drupal-link-system-path="node/94">About</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:29:"route.menu_active_trails:main";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:35:"config:block.block.bartik_main_menu";i:2;s:23:"config:system.menu.main";}s:7:"max-age";i:-1;}}', -1, '1681652709.143', 1, 'block_view config:block.block.bartik_main_menu config:system.menu.main rendered', '7'),
('entity_view:block:bartik_main_menu:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485|:[theme]=bartik:[user.permissions]=da1belYn8fAW7SX3OcfPsQ-h3OGPlqZMpuNQ5IgrKvuuKbUs', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1876:"\n<nav role="navigation" aria-labelledby="block-bartik-main-menu-menu" id="block-bartik-main-menu" class="block block-menu navigation menu--main">\n            \n  <h2 class="visually-hidden" id="block-bartik-main-menu-menu">Main navigation</h2>\n  \n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-main-menu"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-main-menu"></div>\n      <a class="menu-toggle" href="#show-block-bartik-main-menu">Show &mdash; Main navigation</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-main-menu">Hide &mdash; Main navigation</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item menu-item--collapsed">\n        <a href="/program" data-drupal-link-system-path="program">Program</a>\n              </li>\n                <li class="menu-item menu-item--active-trail">\n        <a href="/speakers" data-drupal-link-system-path="speakers">Speakers</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/presentations" data-drupal-link-system-path="presentations">Presentations</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/events" data-drupal-link-system-path="events">Events</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/about-us" data-drupal-link-system-path="node/94">About</a>\n              </li>\n                <li class="menu-item menu-item--collapsed">\n        <a href="/shortcodes" data-drupal-link-system-path="node/2">Features</a>\n              </li>\n                <li class="menu-item">\n        <a href="/contact" data-drupal-link-system-path="contact">Contact</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:29:"route.menu_active_trails:main";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:10:"block_view";i:1;s:35:"config:block.block.bartik_main_menu";i:2;s:23:"config:system.menu.main";i:3;s:7:"node:94";i:4;s:6:"node:2";}s:7:"max-age";i:-1;}}', -1, '1681650107.941', 1, 'block_view config:block.block.bartik_main_menu config:system.menu.main node:2 node:94 rendered', '6'),
('entity_view:block:bartik_messages:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:247:"<div data-drupal-messages-fallback class="hidden"></div><drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>\n";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:190:"<drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:57:"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages";i:1;a:1:{i:0;N;}}}}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:34:"config:block.block.bartik_messages";}s:7:"max-age";i:-1;}}', -1, '1681650075.093', 1, 'block_view config:block.block.bartik_messages rendered', '1'),
('entity_view:block:bartik_messages:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:247:"<div data-drupal-messages-fallback class="hidden"></div><drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>\n";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:190:"<drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:57:"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages";i:1;a:1:{i:0;N;}}}}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:34:"config:block.block.bartik_messages";}s:7:"max-age";i:-1;}}', -1, '1681652203.060', 1, 'block_view config:block.block.bartik_messages rendered', '1'),
('entity_view:block:bartik_powered:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:219:"<div id="block-bartik-powered" class="block block-system block-system-powered-by-block">\n  \n    \n      <div class="content">\n      <span>Powered by <a href="https://www.drupal.org">Drupal</a></span>\n    </div>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:33:"config:block.block.bartik_powered";}s:7:"max-age";i:-1;}}', -1, '1681650075.160', 1, 'block_view config:block.block.bartik_powered rendered', '1'),
('entity_view:block:bartik_powered:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:376:"<div id="block-bartik-powered" class="contextual-region block block-system block-system-powered-by-block">\n  \n    <div data-contextual-id="block:block=bartik_powered:langcode=en" data-contextual-token="NG7TiMc4-MB794fRjLwAJHJr0gZTEM3rgHPqvCj1_A8"></div>\n      <div class="content">\n      <span>Powered by <a href="https://www.drupal.org">Drupal</a></span>\n    </div>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:33:"config:block.block.bartik_powered";}s:7:"max-age";i:-1;}}', -1, '1681652203.110', 1, 'block_view config:block.block.bartik_powered rendered', '1'),
('entity_view:block:bartik_search:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1056:"<div class="search-block-form block block-search container-inline" data-drupal-selector="search-block-form" id="block-bartik-search" role="search">\n  \n      <h2>Search</h2>\n    \n      <div class="content container-inline">\n      <form action="/search/node" method="get" id="search-block-form" accept-charset="UTF-8" class="search-form search-block-form">\n  <div class="js-form-item form-item js-form-type-search form-type-search js-form-item-keys form-item-keys form-no-label">\n      <label for="edit-keys" class="visually-hidden">Search</label>\n        <input title="Enter the terms you wish to search for." data-drupal-selector="edit-keys" type="search" id="edit-keys" name="keys" value="" size="15" maxlength="128" class="form-search" />\n\n        </div>\n<div data-drupal-selector="edit-actions" class="form-actions js-form-wrapper form-wrapper" id="edit-actions"><input class="search-form__submit button js-form-submit form-submit" data-drupal-selector="edit-submit" type="submit" id="edit-submit" value="Search" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:1:{s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:12:"/search/node";b:1;}}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:32:"config:block.block.bartik_search";i:2;s:22:"config:search.settings";}s:7:"max-age";i:-1;}}', -1, '1681650075.146', 1, 'block_view config:block.block.bartik_search config:search.settings rendered', '1'),
('entity_view:block:bartik_search:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1212:"<div class="search-block-form contextual-region block block-search container-inline" data-drupal-selector="search-block-form" id="block-bartik-search" role="search">\n  \n      <h2>Search</h2>\n    <div data-contextual-id="block:block=bartik_search:langcode=en" data-contextual-token="ncmbdjm6t7XpnMMvPixrwAX8R3mFEzYKaEv314vWnF0"></div>\n      <div class="content container-inline">\n      <form action="/search/node" method="get" id="search-block-form" accept-charset="UTF-8" class="search-form search-block-form">\n  <div class="js-form-item form-item js-form-type-search form-type-search js-form-item-keys form-item-keys form-no-label">\n      <label for="edit-keys" class="visually-hidden">Search</label>\n        <input title="Enter the terms you wish to search for." data-drupal-selector="edit-keys" type="search" id="edit-keys" name="keys" value="" size="15" maxlength="128" class="form-search" />\n\n        </div>\n<div data-drupal-selector="edit-actions" class="form-actions js-form-wrapper form-wrapper" id="edit-actions"><input class="search-form__submit button js-form-submit form-submit" data-drupal-selector="edit-submit" type="submit" id="edit-submit" value="Search" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:1:{s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:12:"/search/node";b:1;}}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:32:"config:block.block.bartik_search";i:2;s:22:"config:search.settings";}s:7:"max-age";i:-1;}}', -1, '1681652203.103', 1, 'block_view config:block.block.bartik_search config:search.settings rendered', '1'),
('entity_view:block:bartik_tools:[languages:language_interface]=en:[route.menu_active_trails:tools]=menu_trail.tools|:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:30:"route.menu_active_trails:tools";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:10:"block_view";i:1;s:31:"config:block.block.bartik_tools";i:2;s:24:"config:system.menu.tools";i:3;s:21:"config:node_type_list";}s:7:"max-age";i:-1;}}', -1, '1681650075.154', 1, 'block_view config:block.block.bartik_tools config:node_type_list config:system.menu.tools rendered', '6'),
('entity_view:block:bartik_tools:[languages:language_interface]=en:[route.menu_active_trails:tools]=menu_trail.tools|:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1007:"\n<nav role="navigation" aria-labelledby="block-bartik-tools-menu" id="block-bartik-tools" class="contextual-region block block-menu navigation menu--tools">\n      \n  <h2 id="block-bartik-tools-menu">Tools</h2>\n  <div data-contextual-id="block:block=bartik_tools:langcode=en|menu:menu=tools:langcode=en" data-contextual-token="awBzdZUrEJrABjm1WZpGzWAemN-jgmafR_KOGKYJhpY"></div>\n\n        <div class="content">\n            <div class="menu-toggle-target menu-toggle-target-show" id="show-block-bartik-tools"></div>\n      <div class="menu-toggle-target" id="hide-block-bartik-tools"></div>\n      <a class="menu-toggle" href="#show-block-bartik-tools">Show &mdash; Tools</a>\n      <a class="menu-toggle menu-toggle--hide" href="#hide-block-bartik-tools">Hide &mdash; Tools</a>\n      \n              <ul class="clearfix menu">\n                    <li class="menu-item">\n        <a href="/node/add" data-drupal-link-system-path="node/add">Add content</a>\n              </li>\n        </ul>\n  \n\n\n    </div>\n  </nav>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:30:"route.menu_active_trails:tools";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:31:"config:block.block.bartik_tools";i:2;s:24:"config:system.menu.tools";}s:7:"max-age";i:-1;}}', -1, '1681652709.501', 1, 'block_view config:block.block.bartik_tools config:system.menu.tools rendered', '7'),
('entity_view:block:olivero_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:20:"olivero_account_menu";}s:8:"contexts";a:5:{i:0;s:32:"route.menu_active_trails:account";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:5;s:24:"user.roles:authenticated";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:39:"config:block.block.olivero_account_menu";i:2;s:26:"config:system.menu.account";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652753.082', 1, 'block_view config:block.block.olivero_account_menu config:system.menu.account rendered', '11'),
('entity_view:block:olivero_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065jssC6isVVg9iSgfhwyCohJMjKGaVsQOWrijDxUcO3jY', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1335:"<nav  id="block-olivero-account-menu" class="contextual-region block block-menu navigation menu--account secondary-nav" aria-labelledby="block-olivero-account-menu-menu" role="navigation">\n            \n  <span class="visually-hidden" id="block-olivero-account-menu-menu">User account menu</span>\n  <div data-contextual-id="block:block=olivero_account_menu:langcode=en|menu:menu=account:langcode=en" data-contextual-token="OrStcUpsYeZ5TMV7z72htvF1FQsqHPOZh_hOH-W5CYc"></div>\n        \n\n\n          <ul class="menu secondary-nav__menu secondary-nav__menu--level-1">\n            \n                          \n        \n        \n        <li class="secondary-nav__menu-item secondary-nav__menu-item--link secondary-nav__menu-item--level-1">\n          <a href="/user" class="secondary-nav__menu-link secondary-nav__menu-link--link secondary-nav__menu-link--level-1" data-drupal-link-system-path="user">My account</a>\n\n                  </li>\n      \n                          \n        \n        \n        <li class="secondary-nav__menu-item secondary-nav__menu-item--link secondary-nav__menu-item--level-1">\n          <a href="/user/logout" class="secondary-nav__menu-link secondary-nav__menu-link--link secondary-nav__menu-link--level-1" data-drupal-link-system-path="user/logout">Log out</a>\n\n                  </li>\n          </ul>\n  \n\n\n  </nav>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:28:"olivero/navigation-secondary";}}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:32:"route.menu_active_trails:account";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:5;s:24:"user.roles:authenticated";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:39:"config:block.block.olivero_account_menu";i:2;s:26:"config:system.menu.account";}s:7:"max-age";i:-1;}}', -1, '1681652753.082', 1, 'block_view config:block.block.olivero_account_menu config:system.menu.account rendered', '11'),
('entity_view:block:olivero_breadcrumbs:[languages:language_interface]=en:[theme]=olivero:[url.path.is_front]=is_front.0:[url.path.parent]=:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:742:"\n\n<div id="block-olivero-breadcrumbs" class="contextual-region block block-system block-system-breadcrumb-block">\n  \n    <div data-contextual-id="block:block=olivero_breadcrumbs:langcode=en" data-contextual-token="WceY4OyT5uEj-pPJhgK56DhHYAWYafM5S2AD31mlhek"></div>\n      <div class="block__content">\n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <div class="breadcrumb__content">\n      <ol class="breadcrumb__list">\n                  <li class="breadcrumb__item">\n                          <a href="/" class="breadcrumb__link">Home</a>\n                      </li>\n              </ol>\n    </div>\n  </nav>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.olivero_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681652765.358', 1, 'block_view config:block.block.olivero_breadcrumbs rendered', '3'),
('entity_view:block:olivero_breadcrumbs:[languages:language_interface]=en:[theme]=olivero:[url.path.is_front]=is_front.1:[url.path.parent]=:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.olivero_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681652753.119', 1, 'block_view config:block.block.olivero_breadcrumbs rendered', '3'),
('entity_view:block:olivero_breadcrumbs:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:19:"olivero_breadcrumbs";}s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.olivero_breadcrumbs";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652753.118', 1, 'block_view config:block.block.olivero_breadcrumbs rendered', '3'),
('entity_view:block:olivero_help:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=olivero:[user.permissions]=fceea594f4ece42da1XM-oCxAllBhwlG5bnxmHc5CBWvg4MMvd2nCQdjmIAg8', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:31:"config:block.block.olivero_help";}s:7:"max-age";i:-1;}}', -1, '1681652753.143', 1, 'block_view config:block.block.olivero_help rendered', '3'),
('entity_view:block:olivero_help:[languages:language_interface]=en:[route]=entity.node.canonical5f70e689c86593036e92af200949b14034cdd65f36d1e22da3550155243d279c:[theme]=olivero:[user.permissions]=fceea594f4ece42da1DxHOWX4dAWSGEkDPRUsSF_jyMaeh4bIOllkL5Ln5JH4', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:31:"config:block.block.olivero_help";}s:7:"max-age";i:-1;}}', -1, '1681653973.220', 1, 'block_view config:block.block.olivero_help rendered', '3');
INSERT INTO `cache_render` VALUES
('entity_view:block:olivero_help:[languages:language_interface]=en:[route]=view.mt_speakers.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=olivero:[user.permissions]=fceea594f4ece42dWVB_3r66rqyMMkGSOCNyi_BNWig0U21MGn3RQTgpB_U', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:31:"config:block.block.olivero_help";}s:7:"max-age";i:-1;}}', -1, '1681652765.368', 1, 'block_view config:block.block.olivero_help rendered', '3'),
('entity_view:block:olivero_main_menu:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:19926:"<nav  id="block-olivero-main-menu" class="contextual-region primary-nav block block-menu navigation menu--main" aria-labelledby="block-olivero-main-menu-menu" role="navigation">\n            \n  <h2 class="visually-hidden block__title" id="block-olivero-main-menu-menu">Main navigation</h2>\n  <div data-contextual-id="block:block=olivero_main_menu:langcode=en|menu:menu=main:langcode=en" data-contextual-token="cZ9fVzoPVXJ6yqZA5omHt1kw_8UO_enDQDJZtjLy3CQ"></div>\n        \n\n\n          \n        \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-1" data-drupal-selector="primary-nav-menu--level-1">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/program" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="program">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Program</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-1" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Program sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-1">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/program-google" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/95">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Alternative Program</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1">\n                              \n                      <a href="/speakers" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="speakers">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Speakers</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/presentations" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="presentations">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Presentations</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-123" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Presentations sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-123">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/presentations-3-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="presentations-3-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Presentations - 3 Columns</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/events" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="events">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Events</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-1234" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Events sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-1234">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/events-2-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="events-2-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Events - 2 Columns</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/events-3-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="events-3-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Events - 3 Columns</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/about-us" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="node/94">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">About</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-12345" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">About sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-12345">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/team-members" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="team-members">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Leadership &amp; Management</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/albums" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="albums">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Photo Albums</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/accommodations" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="accommodations">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Accommodation</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/merchandise" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="merchandise">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Merchandise</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/shortcodes" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="node/2">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Features</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-123456" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Features sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-123456">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/accommodations-3-col/first-accommodation" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/9">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Internal Layouts</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="&lt;front&gt;">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Additional Pages</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/sponsors" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="sponsors">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Sponsors</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/style-guide" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/1">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Style Guide</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/shortcodes" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/2">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Shortcodes</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/blocks" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/58">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Reusable Blocks</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/articles" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="articles">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Articles</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/testimonials" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="testimonials">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Testimonials</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/responsive-grid" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/36">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Responsive Grid</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/videos" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="videos">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Videos</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/investors" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/56">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Our Investors</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/merchandise-groups" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="merchandise-groups">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Merchandise Groups</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1">\n                              \n                      <a href="/contact" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="contact">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Contact</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n\n\n  </nav>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:26:"olivero/navigation-primary";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:29:"route.menu_active_trails:main";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.olivero_main_menu";i:2;s:23:"config:system.menu.main";}s:7:"max-age";i:-1;}}', -1, '1681652753.043', 1, 'block_view config:block.block.olivero_main_menu config:system.menu.main rendered', '11'),
('entity_view:block:olivero_main_menu:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485|:[theme]=olivero:[user.permissions]=fceRzdCbm68VvlMfdnXaTn0pDZZmKvZsidWww4vmEAUHF4', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:20000:"<nav  id="block-olivero-main-menu" class="contextual-region primary-nav block block-menu navigation menu--main" aria-labelledby="block-olivero-main-menu-menu" role="navigation">\n            \n  <h2 class="visually-hidden block__title" id="block-olivero-main-menu-menu">Main navigation</h2>\n  <div data-contextual-id="block:block=olivero_main_menu:langcode=en|menu:menu=main:langcode=en" data-contextual-token="cZ9fVzoPVXJ6yqZA5omHt1kw_8UO_enDQDJZtjLy3CQ"></div>\n        \n\n\n          \n        \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-1" data-drupal-selector="primary-nav-menu--level-1">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/program" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="program">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Program</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-1" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Program sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-1">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/program-google" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/95">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Alternative Program</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--active-trail">\n                              \n                      <a href="/speakers" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--active-trail" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="speakers">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Speakers</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/presentations" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="presentations">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Presentations</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-123" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Presentations sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-123">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/presentations-3-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="presentations-3-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Presentations - 3 Columns</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/events" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="events">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Events</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-1234" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Events sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-1234">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/events-2-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="events-2-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Events - 2 Columns</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/events-3-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="events-3-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Events - 3 Columns</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/about-us" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="node/94">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">About</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-12345" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">About sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-12345">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/team-members" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="team-members">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Leadership &amp; Management</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/albums" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="albums">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Photo Albums</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/accommodations" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="accommodations">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Accommodation</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/merchandise" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="merchandise">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Merchandise</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/shortcodes" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="node/2">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Features</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-123456" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Features sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-123456">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/accommodations-3-col/first-accommodation" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/9">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Internal Layouts</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="&lt;front&gt;">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Additional Pages</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/sponsors" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="sponsors">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Sponsors</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/style-guide" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/1">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Style Guide</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/shortcodes" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/2">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Shortcodes</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/blocks" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/58">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Reusable Blocks</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/articles" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="articles">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Articles</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/testimonials" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="testimonials">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Testimonials</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/responsive-grid" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/36">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Responsive Grid</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/videos" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="videos">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Videos</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/investors" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/56">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Our Investors</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/merchandise-groups" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="merchandise-groups">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Merchandise Groups</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1">\n                              \n                      <a href="/contact" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="contact">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Contact</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n\n\n  </nav>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:26:"olivero/navigation-primary";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:29:"route.menu_active_trails:main";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.olivero_main_menu";i:2;s:23:"config:system.menu.main";}s:7:"max-age";i:-1;}}', -1, '1681652765.091', 1, 'block_view config:block.block.olivero_main_menu config:system.menu.main rendered', '11'),
('entity_view:block:olivero_main_menu:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2|:[theme]=olivero:[user.permissions]=fcev3LEvRXymHu6LLh7cyhDILqEinaUxzp27gLiMlUioGk', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:20000:"<nav  id="block-olivero-main-menu" class="contextual-region primary-nav block block-menu navigation menu--main" aria-labelledby="block-olivero-main-menu-menu" role="navigation">\n            \n  <h2 class="visually-hidden block__title" id="block-olivero-main-menu-menu">Main navigation</h2>\n  <div data-contextual-id="block:block=olivero_main_menu:langcode=en|menu:menu=main:langcode=en" data-contextual-token="cZ9fVzoPVXJ6yqZA5omHt1kw_8UO_enDQDJZtjLy3CQ"></div>\n        \n\n\n          \n        \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-1" data-drupal-selector="primary-nav-menu--level-1">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/program" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="program">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Program</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-1" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Program sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-1">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/program-google" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/95">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Alternative Program</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1">\n                              \n                      <a href="/speakers" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="speakers">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Speakers</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/presentations" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="presentations">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Presentations</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-123" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Presentations sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-123">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/presentations-3-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="presentations-3-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Presentations - 3 Columns</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/events" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="events">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Events</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-1234" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Events sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-1234">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/events-2-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="events-2-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Events - 2 Columns</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/events-3-col" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="events-3-col">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Events - 3 Columns</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--active-trail primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/about-us" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--active-trail primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="node/94">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">About</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-12345" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">About sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-12345">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/team-members" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="team-members">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Leadership &amp; Management</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/albums" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="albums">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Photo Albums</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/accommodations" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="accommodations">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Accommodation</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/merchandise" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="merchandise">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Merchandise</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1 primary-nav__menu-item--has-children" data-drupal-selector="primary-nav-menu-item-has-children">\n                              \n                      <a href="/shortcodes" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1 primary-nav__menu-link--has-children" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="node/2">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Features</span>\n          </a>\n\n                                                        \n                <button class="primary-nav__button-toggle" data-drupal-selector="primary-nav-submenu-toggle-button" aria-controls="primary-menu-item-123456" aria-expanded="false" aria-hidden="true" tabindex="-1">\n                  <span class="visually-hidden">Features sub-navigation</span>\n                  <span class="icon--menu-toggle"></span>\n                </button>\n              \n                                      \n              <span data-drupal-selector="primary-nav-menu-🥕" class="primary-nav__menu-🥕"></span>\n    \n    <ul  class="menu primary-nav__menu primary-nav__menu--level-2" data-drupal-selector="primary-nav-menu--level-2" id="primary-menu-item-123456">\n            \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/accommodations-3-col/first-accommodation" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/9">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Internal Layouts</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="&lt;front&gt;">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Additional Pages</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/sponsors" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="sponsors">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Sponsors</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/style-guide" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/1">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Style Guide</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/shortcodes" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/2">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Shortcodes</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/blocks" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/58">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Reusable Blocks</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/articles" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="articles">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Articles</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/testimonials" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="testimonials">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Testimonials</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/responsive-grid" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/36">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Responsive Grid</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/videos" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="videos">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Videos</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/investors" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="node/56">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Our Investors</span>\n          </a>\n\n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-2">\n                              \n                      <a href="/merchandise-groups" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-2" data-drupal-link-system-path="merchandise-groups">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-2">Merchandise Groups</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n            \n                  </li>\n      \n                          \n        \n        \n        <li class="primary-nav__menu-item primary-nav__menu-item--link primary-nav__menu-item--level-1">\n                              \n                      <a href="/contact" class="primary-nav__menu-link primary-nav__menu-link--link primary-nav__menu-link--level-1" data-drupal-selector="primary-nav-menu-link-has-children" data-drupal-link-system-path="contact">            <span class="primary-nav__menu-link-inner primary-nav__menu-link-inner--level-1">Contact</span>\n          </a>\n\n            \n                  </li>\n          </ul>\n  \n\n\n  </nav>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:26:"olivero/navigation-primary";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:29:"route.menu_active_trails:main";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.olivero_main_menu";i:2;s:23:"config:system.menu.main";}s:7:"max-age";i:-1;}}', -1, '1681653973.190', 1, 'block_view config:block.block.olivero_main_menu config:system.menu.main rendered', '11');
INSERT INTO `cache_render` VALUES
('entity_view:block:olivero_messages:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:261:"<div data-drupal-messages-fallback class="hidden messages-list"></div><drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>\n";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:190:"<drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:57:"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages";i:1;a:1:{i:0;N;}}}}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:35:"config:block.block.olivero_messages";}s:7:"max-age";i:-1;}}', -1, '1681652753.091', 1, 'block_view config:block.block.olivero_messages rendered', '3'),
('entity_view:block:olivero_powered:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1452:"\n\n<div id="block-olivero-powered" class="contextual-region block block-system block-system-powered-by-block">\n  \n    <div data-contextual-id="block:block=olivero_powered:langcode=en" data-contextual-token="lU0ZcgYqcXdIwg_EKvHvmCiEWy3eVhXBX9EHj1ixqC4"></div>\n    \n  <span>\n    Powered by    <a href="https://www.drupal.org">Drupal</a>\n    <span class="drupal-logo" aria-label="Drupal Logo">\n      <svg width="14" height="19" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 42.15 55.08" fill="none" aria-label="Drupal Logo" role="img">\n        <path d="M29.75 11.73C25.87 7.86 22.18 4.16 21.08 0 20 4.16 16.28 7.86 12.4 11.73 6.59 17.54 0 24.12 0 34a21.08 21.08 0 1042.15 0c0-9.88-6.59-16.46-12.4-22.27zM10.84 35.92a14.13 14.13 0 00-1.65 2.62.54.54 0 01-.36.3h-.18c-.47 0-1-.92-1-.92-.14-.22-.27-.45-.4-.69l-.09-.19C5.94 34.25 7 30.28 7 30.28a17.42 17.42 0 012.52-5.41 31.53 31.53 0 012.28-3l1 1 4.72 4.82a.54.54 0 010 .72l-4.93 5.47zm10.48 13.81a7.29 7.29 0 01-5.4-12.14c1.54-1.83 3.42-3.63 5.46-6 2.42 2.58 4 4.35 5.55 6.29a3.08 3.08 0 01.32.48 7.15 7.15 0 011.3 4.12 7.23 7.23 0 01-7.23 7.25zM35 38.14a.84.84 0 01-.67.58h-.14a1.22 1.22 0 01-.68-.55 37.77 37.77 0 00-4.28-5.31l-1.93-2-6.41-6.65a54 54 0 01-3.84-3.94 1.3 1.3 0 00-.1-.15 3.84 3.84 0 01-.51-1v-.19a3.4 3.4 0 011-3c1.24-1.24 2.49-2.49 3.67-3.79 1.3 1.44 2.69 2.82 4.06 4.19a57.6 57.6 0 017.55 8.58A16 16 0 0135.65 34a14.55 14.55 0 01-.65 4.14z"/>\n      </svg>\n    </span>\n  </span>\n</div>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:24:"olivero/powered-by-block";}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:34:"config:block.block.olivero_powered";}s:7:"max-age";i:-1;}}', -1, '1681652753.186', 1, 'block_view config:block.block.olivero_powered rendered', '3'),
('entity_view:block:olivero_primary_admin_actions:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=olivero:[user.permissions]=fkOkL-RLG3E738qDIETMqwpJEA3f8yESrApRGeNp3i4c', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_primary_admin_actions";}s:7:"max-age";i:-1;}}', -1, '1681652753.089', 1, 'block_view config:block.block.olivero_primary_admin_actions rendered', '3'),
('entity_view:block:olivero_primary_admin_actions:[languages:language_interface]=en:[route]=entity.node.canonical5f70e689c86593036e92af200949b14034cdd65f36d1e22da3550155243d279c:[theme]=olivero:[user.permissions]=fF1zFUT-nDsSsaEJYeegOaoke9KDV4XAvatE1uQrSj24', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_primary_admin_actions";}s:7:"max-age";i:-1;}}', -1, '1681653973.195', 1, 'block_view config:block.block.olivero_primary_admin_actions rendered', '3'),
('entity_view:block:olivero_primary_admin_actions:[languages:language_interface]=en:[route]=view.mt_speakers.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=olivero:[user.permissions]3WE_aa1Zd6hBqDNR5rAaXA-J6AG66M1UI_mIO0X7jgU', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_primary_admin_actions";}s:7:"max-age";i:-1;}}', -1, '1681652765.096', 1, 'block_view config:block.block.olivero_primary_admin_actions rendered', '3'),
('entity_view:block:olivero_primary_admin_actions:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:29:"olivero_primary_admin_actions";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_primary_admin_actions";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652753.089', 1, 'block_view config:block.block.olivero_primary_admin_actions rendered', '3'),
('entity_view:block:olivero_primary_local_tasks:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=olivero:[user.permissions]=fcekweSYIgclkF-8f8WJD0oCetgRRFB_IgeBa0aM0-i0PQ', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1448:"\n\n<div id="block-olivero-primary-local-tasks" class="contextual-region block block-core block-local-tasks-block">\n  \n    <div data-contextual-id="block:block=olivero_primary_local_tasks:langcode=en" data-contextual-token="WXy2t9aym4zwyMVUYAwx6xHA9SAutQHVC16Ie4sdXTY"></div>\n      <div class="block__content">\n      \n\n\n  <h2 id="primary-tabs-title" class="visually-hidden">Primary tabs</h2>\n  <nav role="navigation" class="tabs-wrapper" aria-labelledby="primary-tabs-title" data-drupal-nav-primary-tabs>\n    <ul class="tabs tabs--primary"><li class="tabs__tab is-active">\n  <a href="/node/35" class="tabs__link js-tabs-link is-active" data-drupal-link-system-path="node/35">View<span class="visually-hidden">(active tab)</span></a>\n      <button class="tabs__trigger" aria-label="Tabs display toggle" aria-expanded="false">\n      <span class="tabs__trigger-icon">\n        <span></span>\n        <span></span>\n        <span></span>\n      </span>\n    </button>\n  </li>\n<li class="tabs__tab">\n  <a href="/node/35/edit" class="tabs__link js-tabs-link" data-drupal-link-system-path="node/35/edit">Edit</a>\n  </li>\n<li class="tabs__tab">\n  <a href="/node/35/delete" class="tabs__link js-tabs-link" data-drupal-link-system-path="node/35/delete">Delete</a>\n  </li>\n<li class="tabs__tab">\n  <a href="/node/35/revisions" class="tabs__link js-tabs-link" data-drupal-link-system-path="node/35/revisions">Revisions</a>\n  </li>\n</ul>\n  </nav>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:12:"olivero/tabs";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.olivero_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652753.110', 1, 'block_view config:block.block.olivero_primary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_primary_local_tasks:[languages:language_interface]=en:[route]=entity.node.canonical5f70e689c86593036e92af200949b14034cdd65f36d1e22da3550155243d279c:[theme]=olivero:[user.permissions]=fce8jI5SdEc_dJOuapXbGqmquxeTBeSK4HlAfKbMRQWXMg', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1449:"\n\n<div id="block-olivero-primary-local-tasks" class="contextual-region block block-core block-local-tasks-block">\n  \n    <div data-contextual-id="block:block=olivero_primary_local_tasks:langcode=en" data-contextual-token="WXy2t9aym4zwyMVUYAwx6xHA9SAutQHVC16Ie4sdXTY"></div>\n      <div class="block__content">\n      \n\n\n  <h2 id="primary-tabs-title" class="visually-hidden">Primary tabs</h2>\n  <nav role="navigation" class="tabs-wrapper" aria-labelledby="primary-tabs-title" data-drupal-nav-primary-tabs>\n    <ul class="tabs tabs--primary"><li class="tabs__tab is-active">\n  <a href="/about-us" class="tabs__link js-tabs-link is-active" data-drupal-link-system-path="node/94">View<span class="visually-hidden">(active tab)</span></a>\n      <button class="tabs__trigger" aria-label="Tabs display toggle" aria-expanded="false">\n      <span class="tabs__trigger-icon">\n        <span></span>\n        <span></span>\n        <span></span>\n      </span>\n    </button>\n  </li>\n<li class="tabs__tab">\n  <a href="/node/94/edit" class="tabs__link js-tabs-link" data-drupal-link-system-path="node/94/edit">Edit</a>\n  </li>\n<li class="tabs__tab">\n  <a href="/node/94/delete" class="tabs__link js-tabs-link" data-drupal-link-system-path="node/94/delete">Delete</a>\n  </li>\n<li class="tabs__tab">\n  <a href="/node/94/revisions" class="tabs__link js-tabs-link" data-drupal-link-system-path="node/94/revisions">Revisions</a>\n  </li>\n</ul>\n  </nav>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:12:"olivero/tabs";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.olivero_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681653973.205', 1, 'block_view config:block.block.olivero_primary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_primary_local_tasks:[languages:language_interface]=en:[route]=view.mt_speakers.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=olivero:[user.permissions]=fOIAA52U8sa-3_YOG6_iFs47uMyB311Wqf69QKyjyuSA', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.olivero_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652765.100', 1, 'block_view config:block.block.olivero_primary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_primary_local_tasks:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:27:"olivero_primary_local_tasks";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.olivero_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652753.109', 1, 'block_view config:block.block.olivero_primary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_search_form_narrow:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1409:"<div class="search-block-form contextual-region block block-search-narrow" data-drupal-selector="search-block-form" id="block-olivero-search-form-narrow" role="search">\n  \n    <div data-contextual-id="block:block=olivero_search_form_narrow:langcode=en" data-contextual-token="8jATskV832BHw6Y8Yq_mf0naxb51DWxTjIHVkgOZmkA"></div>\n      <div class="content">\n      <form action="/search/node" method="get" id="search-block-form" accept-charset="UTF-8" class="search-form search-block-form">\n  <div class="js-form-item form-item js-form-type-search form-item-keys js-form-item-keys form-no-label">\n      <label for="edit-keys" class="form-item__label visually-hidden">Search</label>\n        <input title="Enter the terms you wish to search for." placeholder="Search by keyword or phrase." data-drupal-selector="edit-keys" type="search" id="edit-keys" name="keys" value="" size="15" maxlength="128" class="form-search form-element form-element--type-search form-element--api-search" />\n\n        </div>\n<div data-drupal-selector="edit-actions" class="form-actions js-form-wrapper form-wrapper" id="edit-actions"><button class="button--primary search-form__submit button js-form-submit form-submit" data-drupal-selector="edit-submit" type="submit" id="edit-submit" value="Search">\n    <span class="icon--search"></span>\n    <span class="visually-hidden">Search</span>\n</button>\n\n</div>\n\n</form>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:2:{s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:12:"/search/node";b:1;}}s:7:"library";a:1:{i:0;s:21:"olivero/search-narrow";}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:45:"config:block.block.olivero_search_form_narrow";i:2;s:22:"config:search.settings";}s:7:"max-age";i:-1;}}', -1, '1681652753.002', 1, 'block_view config:block.block.olivero_search_form_narrow config:search.settings rendered', '3'),
('entity_view:block:olivero_search_form_wide:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2174:"<div class="search-block-form contextual-region block block-search-wide" data-drupal-selector="search-block-form-2" id="block-olivero-search-form-wide" role="search">\n  \n    <div data-contextual-id="block:block=olivero_search_form_wide:langcode=en" data-contextual-token="fIGGsOYkcOzyOYqqogJwh1hc3064Rgs1IaLgml8tp0Y"></div>\n      <button class="block-search-wide__button" aria-label="Search Form" data-drupal-selector="block-search-wide-button">\n      <svg xmlns="http://www.w3.org/2000/svg" width="22" height="23" viewBox="0 0 22 23">\n  <path fill="currentColor" d="M21.7,21.3l-4.4-4.4C19,15.1,20,12.7,20,10c0-5.5-4.5-10-10-10S0,4.5,0,10s4.5,10,10,10c2.1,0,4.1-0.7,5.8-1.8l4.5,4.5c0.4,0.4,1,0.4,1.4,0S22.1,21.7,21.7,21.3z M10,18c-4.4,0-8-3.6-8-8s3.6-8,8-8s8,3.6,8,8S14.4,18,10,18z"/>\n</svg>\n      <span class="block-search-wide__button-close"></span>\n    </button>\n\n        <div class="block-search-wide__wrapper" data-drupal-selector="block-search-wide-wrapper" tabindex="-1">\n      <div class="block-search-wide__container">\n        <div class="block-search-wide__grid">\n          <form action="/search/node" method="get" id="search-block-form--2" accept-charset="UTF-8" class="search-form search-block-form">\n  <div class="js-form-item form-item js-form-type-search form-item-keys js-form-item-keys form-no-label">\n      <label for="edit-keys--2" class="form-item__label visually-hidden">Search</label>\n        <input title="Enter the terms you wish to search for." placeholder="Search by keyword or phrase." data-drupal-selector="edit-keys" type="search" id="edit-keys--2" name="keys" value="" size="15" maxlength="128" class="form-search form-element form-element--type-search form-element--api-search" />\n\n        </div>\n<div data-drupal-selector="edit-actions" class="form-actions js-form-wrapper form-wrapper" id="edit-actions--2"><button class="button--primary search-form__submit button js-form-submit form-submit" data-drupal-selector="edit-submit" type="submit" id="edit-submit--2" value="Search">\n    <span class="icon--search"></span>\n    <span class="visually-hidden">Search</span>\n</button>\n\n</div>\n\n</form>\n\n        </div>\n      </div>\n    </div>\n  </div>\n";}s:9:"#attached";a:2:{s:14:"drupalSettings";a:1:{s:14:"ajaxTrustedUrl";a:1:{s:12:"/search/node";b:1;}}s:7:"library";a:1:{i:0;s:19:"olivero/search-wide";}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:43:"config:block.block.olivero_search_form_wide";i:2;s:22:"config:search.settings";}s:7:"max-age";i:-1;}}', -1, '1681652753.062', 1, 'block_view config:block.block.olivero_search_form_wide config:search.settings rendered', '3'),
('entity_view:block:olivero_secondary_local_tasks:[languages:language_interface]=en:[route]=entity.node.canonical08cffbb14ae3e829a971e16d1817414ccdac8f160755436209c85001b27ad3be:[theme]=olivero:[user.permissions]=fWr3wFJ3TC80gyaEKogtorkno8GNjLTEF7QuLfp-Jy-0', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652753.111', 1, 'block_view config:block.block.olivero_secondary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_secondary_local_tasks:[languages:language_interface]=en:[route]=entity.node.canonical5f70e689c86593036e92af200949b14034cdd65f36d1e22da3550155243d279c:[theme]=olivero:[user.permissions]=f3wAHrsaIqHCEbspNnUCvEjzTEjRosdo-GWiJsISHr_I', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681653973.207', 1, 'block_view config:block.block.olivero_secondary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_secondary_local_tasks:[languages:language_interface]=en:[route]=view.mt_speakers.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=olivero:[user.permissions]pB1uih8nT-4gNZYVGktBLd1aWy2rxaPXTyB9aEcyv5A', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652765.101', 1, 'block_view config:block.block.olivero_secondary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_secondary_local_tasks:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:29:"olivero_secondary_local_tasks";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:48:"config:block.block.olivero_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652753.111', 1, 'block_view config:block.block.olivero_secondary_local_tasks local_task rendered', '11'),
('entity_view:block:olivero_site_branding:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:521:"\n\n<div id="block-olivero-site-branding" class="contextual-region site-branding block block-system block-system-branding-block">\n  \n    <div data-contextual-id="block:block=olivero_site_branding:langcode=en" data-contextual-token="nU_ksyCpgRpr7VcJNgxZn71HGBBBbIh01X2Jdfm9Xl4"></div>\n    <div class="site-branding__inner">\n              <div class="site-branding__text">\n        <div class="site-branding__name">\n          <a href="/" title="Home" rel="home">Conference+</a>\n        </div>\n      </div>\n      </div>\n</div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:10:"block_view";i:1;s:40:"config:block.block.olivero_site_branding";i:2;s:18:"config:system.site";i:3;s:26:"config:color.theme.olivero";}s:7:"max-age";i:-1;}}', -1, '1681652752.956', 1, 'block_view config:block.block.olivero_site_branding config:color.theme.olivero config:system.site rendered', '3'),
('entity_view:block:olivero_syndicate:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:933:"\n\n<div id="block-olivero-syndicate" class="contextual-region block block-node block-node-syndicate-block" role="complementary">\n  \n    <div data-contextual-id="block:block=olivero_syndicate:langcode=en" data-contextual-token="FTmiWBnSrwyCu7BEFwn9d5ixu4jUMCOjQtObV80Bl_8"></div>\n      <div class="block__content">\n      \n\n\n\n<a href="/rss.xml" class="feed-icon">\n  <span class="feed-icon__label">\n    RSS feed\n  </span>\n  <span class="feed-icon__icon" aria-hidden="true">\n    <svg xmlns="http://www.w3.org/2000/svg" width="14.2" height="14.2" viewBox="0 0 14.2 14.2">\n  <path d="M4,12.2c0-2.5-3.9-2.4-3.9,0C0.1,14.7,4,14.6,4,12.2z M9.1,13.4C8.7,9,5.2,5.5,0.8,5.1c-1,0-1,2.7-0.1,2.7c3.1,0.3,5.5,2.7,5.8,5.8c0,0.7,2.1,0.7,2.5,0.3C9.1,13.7,9.1,13.6,9.1,13.4z M14.2,13.5c-0.1-3.5-1.6-6.9-4.1-9.3C7.6,1.7,4.3,0.2,0.8,0c-1,0-1,2.6-0.1,2.6c5.8,0.3,10.5,5,10.8,10.8C11.5,14.5,14.3,14.4,14.2,13.5z"/>\n</svg>\n  </span>\n</a>\n\n    </div>\n  </div>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:12:"olivero/feed";}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.olivero_syndicate";}s:7:"max-age";i:-1;}}', -1, '1681652753.175', 1, 'block_view config:block.block.olivero_syndicate rendered', '3'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/config/development:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:663:"<div id="block-seven-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n          <li>\n                  <a href="/admin">Administration</a>\n              </li>\n          <li>\n                  <a href="/admin/config">Configuration</a>\n              </li>\n          <li>\n                  <a href="/admin/config/development">Development</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681649762.578', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '0'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/modules/uninstall:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:654:"<div id="block-seven-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n          <li>\n                  <a href="/admin">Administration</a>\n              </li>\n          <li>\n                  <a href="/admin/modules">Extend</a>\n              </li>\n          <li>\n                  <a href="/admin/modules/uninstall">Uninstall</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681653349.989', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '2'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/modules:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:552:"<div id="block-seven-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n          <li>\n                  <a href="/admin">Administration</a>\n              </li>\n          <li>\n                  <a href="/admin/modules">Extend</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681653323.664', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '2'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/reports/updates:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:661:"<div id="block-seven-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n          <li>\n                  <a href="/admin">Administration</a>\n              </li>\n          <li>\n                  <a href="/admin/reports">Reports</a>\n              </li>\n          <li>\n                  <a href="/admin/reports/updates">Available updates</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681652068.119', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '1'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/reports:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:553:"<div id="block-seven-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n          <li>\n                  <a href="/admin">Administration</a>\n              </li>\n          <li>\n                  <a href="/admin/reports">Reports</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681652781.726', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '2'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/update:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:463:"<div id="block-seven-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n          <li>\n                  <a href="/admin">Administration</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681652109.614', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '1'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:463:"<div id="block-seven-breadcrumbs" class="block block-system block-system-breadcrumb-block">\n  \n    \n        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">\n    <h2 id="system-breadcrumb" class="visually-hidden">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href="/">Home</a>\n              </li>\n          <li>\n                  <a href="/admin">Administration</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;}}', -1, '1681652743.214', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '2'),
('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:17:"seven_breadcrumbs";}s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:15:"url.path.parent";i:4;s:17:"url.path.is_front";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:36:"config:block.block.seven_breadcrumbs";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652743.214', 1, 'block_view config:block.block.seven_breadcrumbs rendered', '2'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681652775.963', 1, 'block_view config:block.block.seven_help rendered', '2'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.modules_uninstall35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19n4Skzvcm2rv_dCnTdVIg5sfg9xG8rbozWU6PAYHnf4E', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:181:"<div id="block-seven-help" role="complementary" class="block block-help block-help-block">\n  \n    \n      <p>The uninstall process removes all data related to a module.</p>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681653323.666', 1, 'block_view config:block.block.seven_help rendered', '2'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.modules_uninstall_confirm35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4eZmNLKDMe-tPx5bct9fqJsXUR9loao1cjAc8pXpKguQI', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681653349.991', 1, 'block_view config:block.block.seven_help rendered', '2'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.performance_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42dWwuHE2_TgCxEw1T894O2umz2tExPMtprViq0mmdeWRc', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681649762.586', 1, 'block_view config:block.block.seven_help rendered', '0'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.site_maintenance_mode35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece426OVMfZ8MM5_klo6BE35-Pd9hidv8dI5ZSirsbTUxF_I', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:367:"<div id="block-seven-help" role="complementary" class="block block-help block-help-block">\n  \n    \n      <p>Use maintenance mode when making major updates, particularly if the updates could disrupt visitors or the update process. Examples include upgrading, importing or exporting content, modifying a theme, modifying content types, and making backups.</p>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681649787.511', 1, 'block_view config:block.block.seven_help rendered', '0'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.status35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:530:"<div id="block-seven-help" role="complementary" class="block block-help block-help-block">\n  \n    \n      <p>Here you can find a short overview of your site''s parameters as well as any problems detected with your installation. It may be useful to copy and paste this information into support requests filed on Drupal.org''s support forums and project issue queues. Before filing a support request, ensure that your web server meets the <a href="https://www.drupal.org/docs/system-requirements">system requirements.</a></p>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681652781.728', 1, 'block_view config:block.block.seven_help rendered', '2'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.themes_page35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:367:"<div id="block-seven-help" role="complementary" class="block block-help block-help-block">\n  \n    \n      <p>Set and configure the default theme for your website.  Alternative <a href="https://www.drupal.org/project/themes">themes</a> are available.</p><p>You can place blocks for each theme on the <a href="/admin/structure/block">block layout</a> page.</p>\n  </div>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681652743.222', 1, 'block_view config:block.block.seven_help rendered', '2'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=update.confirmation_page35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19HArCWRYYrfB_mzCSXWZwkOsRwSQNcMVKdCjPHiD1AY8', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681652109.615', 1, 'block_view config:block.block.seven_help rendered', '1'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=update.module_update35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681653330.230', 1, 'block_view config:block.block.seven_help rendered', '2'),
('entity_view:block:seven_help:[languages:language_interface]=en:[route]=update.report_update35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:5:"route";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:29:"config:block.block.seven_help";}s:7:"max-age";i:-1;}}', -1, '1681652068.121', 1, 'block_view config:block.block.seven_help rendered', '1'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42t05Nse1MMWhmIRlx2H3Ockqq0tS8ojtJf_Ld0e25KRQ', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681652775.965', 1, 'block_view config:block.block.seven_local_actions rendered', '2'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.modules_uninstall35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4Tf4kvN69ZrgvmBV8Vkn11YTFCiAangLvFXBXvW4dbpg', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681653323.668', 1, 'block_view config:block.block.seven_local_actions rendered', '2'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.modules_uninstall_confirm35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fcskt36GKNUWppCDsipEq5ZquoN0Mx8HptX5UcYhqm1Wk', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681653349.993', 1, 'block_view config:block.block.seven_local_actions rendered', '2'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.performance_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea59ed_s8-fr395pJ5hIHtBFOpUgWDMiSJckga4Q_E4W_tE', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681649762.595', 1, 'block_view config:block.block.seven_local_actions rendered', '0'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.site_maintenance_mode35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea5_Sa1Y_cWdbOHnmncBzFzvJ9DJgVaWSJxGyugxr_qOq0', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681649787.513', 1, 'block_view config:block.block.seven_local_actions rendered', '0'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.status35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681652781.730', 1, 'block_view config:block.block.seven_local_actions rendered', '2'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=update.confirmation_page35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4y_SizJO4N0vdbeZNsu3O--3_2R369JqNTErAFeb3Uko', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681652109.617', 1, 'block_view config:block.block.seven_local_actions rendered', '1'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=update.module_update35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece4cxi4ERKOt-8LUI3OB4YuZsakxsswYzZgQygl9TuzImY', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681653330.232', 1, 'block_view config:block.block.seven_local_actions rendered', '2'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=update.report_update35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece4Arxhk7NZh9uHq-u7dYqzb5elhZV4N6VKDTr7PvlV6Js', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;}}', -1, '1681652068.123', 1, 'block_view config:block.block.seven_local_actions rendered', '1'),
('entity_view:block:seven_local_actions:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:19:"seven_local_actions";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:38:"config:block.block.seven_local_actions";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652775.965', 1, 'block_view config:block.block.seven_local_actions rendered', '2'),
('entity_view:block:seven_messages:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:247:"<div data-drupal-messages-fallback class="hidden"></div><drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>\n";}s:9:"#attached";a:1:{s:12:"placeholders";a:1:{s:190:"<drupal-render-placeholder callback="Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages" arguments="0" token="_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:57:"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages";i:1;a:1:{i:0;N;}}}}}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:10:"block_view";i:1;s:33:"config:block.block.seven_messages";}s:7:"max-age";i:-1;}}', -1, '1681652743.220', 1, 'block_view config:block.block.seven_messages rendered', '2'),
('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594fWH-g-pdow27oIatOfMGN0krCuRKIie-sSbhUvKNqZmM', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:44:"config:block.block.seven_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652775.958', 1, 'block_view config:block.block.seven_primary_local_tasks local_task rendered', '10'),
('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=system.modules_uninstall_confirm35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissioqrkpGwE1xQkM7oMUYgOs1uKVLDwdQcfCkSeAAdZwtAo', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:44:"config:block.block.seven_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681653349.982', 1, 'block_view config:block.block.seven_primary_local_tasks local_task rendered', '10'),
('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=system.performance_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fC3pQH4Gf1FDytcS7Yucljlcg67Sy5buvV2Xzn87WP1E', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:44:"config:block.block.seven_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681649762.558', 1, 'block_view config:block.block.seven_primary_local_tasks local_task rendered', '4'),
('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=system.site_maintenance_mode35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=qsSfd0iOxUAFNNgpKQxEkN4cFCrNFlVdj0sOqaZShbU', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:44:"config:block.block.seven_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681649787.507', 1, 'block_view config:block.block.seven_primary_local_tasks local_task rendered', '4'),
('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=system.status35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ece42BY5uIX6XntdLqgWc4jJvWHI47L-SkSyfp-3ZYJ6mPrY', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:44:"config:block.block.seven_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652781.718', 1, 'block_view config:block.block.seven_primary_local_tasks local_task rendered', '10');
INSERT INTO `cache_render` VALUES
('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=update.confirmation_page35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceelBXLmmf5jYvYDcAto09t6mf4CNjD532i3h1l6sV5dV0', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:44:"config:block.block.seven_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652109.607', 1, 'block_view config:block.block.seven_primary_local_tasks local_task rendered', '6'),
('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:25:"seven_primary_local_tasks";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:44:"config:block.block.seven_primary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652775.958', 1, 'block_view config:block.block.seven_primary_local_tasks local_task rendered', '10'),
('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea59LgA-fon0V4YUSZsbPN0N-KfA5VMSimmht2Nv9VEsyAo', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.seven_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652775.960', 1, 'block_view config:block.block.seven_secondary_local_tasks local_task rendered', '10'),
('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=system.modules_uninstall_confirm35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissDgqgCrnQ1rSu9yrjPvPC4Ot12LcnNkX9Ut1IRlgJv8o', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.seven_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681653349.984', 1, 'block_view config:block.block.seven_secondary_local_tasks local_task rendered', '10'),
('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=system.performance_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]Yps4RGkiJ2CBsxJlkgsBov3K1tJ4jx1xPNQ5JmRZUpY', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.seven_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681649762.565', 1, 'block_view config:block.block.seven_secondary_local_tasks local_task rendered', '4'),
('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=system.site_maintenance_mode35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissionsGKM2PnbkL1ak-jDZC5j-CYPPK8KuRveSZSL1YAh3Z3g', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.seven_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681649787.508', 1, 'block_view config:block.block.seven_secondary_local_tasks local_task rendered', '4'),
('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=system.status35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fceea594f4ecewwTawHfdSCHJrocBz1vg6Hp4g_psIxjZjaWhU_kyfGc', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.seven_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652781.720', 1, 'block_view config:block.block.seven_secondary_local_tasks local_task rendered', '10'),
('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=update.confirmation_page35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=fc1AD2tr4XBvYGNOwQAQowa7PWhDbY7qtj4cBRBCLZHa0', 'a:3:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.seven_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;}}', -1, '1681652109.609', 1, 'block_view config:block.block.seven_secondary_local_tasks local_task rendered', '6'),
('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:3:{i:0;s:11:"entity_view";i:1;s:5:"block";i:2;s:27:"seven_secondary_local_tasks";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:3;s:5:"route";}s:4:"tags";a:3:{i:0;s:10:"block_view";i:1;s:46:"config:block.block.seven_secondary_local_tasks";i:2;s:10:"local_task";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652775.960', 1, 'block_view config:block.block.seven_secondary_local_tasks local_task rendered', '10'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88:[user.roles:authenticated]=1', 'a:5:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:459:"\n<article data-history-node-id="35" role="article" about="/node/35" typeof="schema:WebPage" class="node node--type-page node--view-mode-full clearfix">\n  <header>\n    \n            <span property="schema:name" content="Front page" class="rdf-meta hidden"></span>\n\n      </header>\n  <div class="node__content clearfix">\n      <div class="node__links">\n    <ul class="links inline"><li class="statistics-counter">446 views</li></ul>  </div>\n\n  </div>\n</article>\n";}s:9:"#attached";a:3:{s:14:"html_head_link";a:2:{i:0;a:1:{i:0;a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:1;a:1:{i:0;a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}}s:7:"library";a:2:{i:0;s:28:"statistics/drupal.statistics";i:1;s:18:"bartik/classy.node";}s:14:"drupalSettings";a:1:{s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"35";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}}}s:6:"#cache";a:3:{s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;}s:17:"#cache_properties";a:1:{i:0;s:6:"#title";}s:6:"#title";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:118:"<span property="schema:name" class="field field--name-title field--type-string field--label-hidden">Front page</span>\n";}}', 1681653674, '1681650074.992', 1, 'node:35 node_view rendered user:1', '1'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c2OqqgW4klG_tkwEwP7kE_Xpl8LNUugNKrcw-eTiE1ks', 'a:5:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:660:"\n<article data-history-node-id="35" data-quickedit-entity-id="node/35" role="article" class="contextual-region node node--type-page node--view-mode-full clearfix" about="/node/35" typeof="schema:WebPage">\n  <header>\n    \n          <div data-contextual-id="node:node=35:changed=1477038521&amp;langcode=en" data-contextual-token="eF1vcC4XoYK7n1JCXBOqZj17eRkmUW0PxZ_WHGC1-zs"></div>  <span property="schema:name" content="Front page" class="rdf-meta hidden"></span>\n\n      </header>\n  <div class="node__content clearfix">\n      <div class="node__links">\n    <ul class="links inline"><li class="statistics-counter">447 views</li></ul>  </div>\n\n  </div>\n</article>\n";}s:9:"#attached";a:3:{s:14:"html_head_link";a:2:{i:0;a:1:{i:0;a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:1;a:1:{i:0;a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}}s:7:"library";a:3:{i:0;s:28:"statistics/drupal.statistics";i:1;s:20:"history/mark-as-read";i:2;s:18:"bartik/classy.node";}s:14:"drupalSettings";a:2:{s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"35";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}s:7:"history";a:1:{s:17:"nodesToMarkAsRead";a:1:{i:35;b:1;}}}}s:6:"#cache";a:3:{s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;}s:17:"#cache_properties";a:1:{i:0;s:6:"#title";}s:6:"#title";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:166:"<span property="schema:name" data-quickedit-field-id="node/35/title/en/full" class="field field--name-title field--type-string field--label-hidden">Front page</span>\n";}}', 1681655802, '1681652202.968', 1, 'node:35 node_view rendered user:1', '1'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=bartik:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"35";i:3;s:4:"full";}s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;s:3:"bin";s:6:"render";}}', 1681653674, '1681650074.992', 1, 'node:35 node_view rendered user:1', '1'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=bartik:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"35";i:3;s:4:"full";}s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;s:3:"bin";s:6:"render";}}', 1681655802, '1681652202.968', 1, 'node:35 node_view rendered user:1', '1'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=conferenceplus:[timezone]=Europe/Athens:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70C98_5tsLG7H71xPA3hS8k3lnMqei0HlruWvagZkX0Gw', 'a:5:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:601:"\n\n<article data-history-node-id="35" role="article" about="/node/35" typeof="schema:WebPage" class="node node--type-page node--view-mode-full clearfix">\n  <div class="node__container">\n            <div class="node__main-content clearfix">\n      <header class="node__header">\n                  \n                      <span property="schema:name" content="Front page" class="rdf-meta hidden"></span>\n\n                        </header>\n                <div class="node__links">\n    <ul class="links inline"><li class="statistics-counter">446 views</li></ul>  </div>\n\n          </div>\n  </div>\n</article>\n";}s:9:"#attached";a:3:{s:14:"html_head_link";a:2:{i:0;a:1:{i:0;a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:1;a:1:{i:0;a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}}s:7:"library";a:3:{i:0;s:28:"statistics/drupal.statistics";i:1;s:19:"conferenceplus/node";i:2;s:11:"classy/node";}s:14:"drupalSettings";a:1:{s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"35";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}}}s:6:"#cache";a:3:{s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;}s:17:"#cache_properties";a:1:{i:0;s:6:"#title";}s:6:"#title";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:118:"<span property="schema:name" class="field field--name-title field--type-string field--label-hidden">Front page</span>\n";}}', 1681653519, '1681649919.358', 1, 'node:35 node_view rendered user:1', '0'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=conferenceplus:[timezone]=Europe/Athens:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be15QQfuTiFBUN19AGXQV6qZIAq3-E6Qr5_Cv2ILnAVjOSw', 'a:5:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:802:"\n\n<article data-history-node-id="35" data-quickedit-entity-id="node/35" role="article" class="contextual-region node node--type-page node--view-mode-full clearfix" about="/node/35" typeof="schema:WebPage">\n  <div class="node__container">\n            <div class="node__main-content clearfix">\n      <header class="node__header">\n                  \n                    <div data-contextual-id="node:node=35:changed=1477038521&amp;langcode=en" data-contextual-token="eF1vcC4XoYK7n1JCXBOqZj17eRkmUW0PxZ_WHGC1-zs"></div>  <span property="schema:name" content="Front page" class="rdf-meta hidden"></span>\n\n                        </header>\n                <div class="node__links">\n    <ul class="links inline"><li class="statistics-counter">446 views</li></ul>  </div>\n\n          </div>\n  </div>\n</article>\n";}s:9:"#attached";a:3:{s:14:"html_head_link";a:2:{i:0;a:1:{i:0;a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:1;a:1:{i:0;a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}}s:7:"library";a:4:{i:0;s:28:"statistics/drupal.statistics";i:1;s:20:"history/mark-as-read";i:2;s:19:"conferenceplus/node";i:3;s:11:"classy/node";}s:14:"drupalSettings";a:2:{s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"35";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}s:7:"history";a:1:{s:17:"nodesToMarkAsRead";a:1:{i:35;b:1;}}}}s:6:"#cache";a:3:{s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;}s:17:"#cache_properties";a:1:{i:0;s:6:"#title";}s:6:"#title";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:166:"<span property="schema:name" data-quickedit-field-id="node/35/title/en/full" class="field field--name-title field--type-string field--label-hidden">Front page</span>\n";}}', 1681653366, '1681649767.342', 1, 'node:35 node_view rendered user:1', '0'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=conferenceplus:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"35";i:3;s:4:"full";}s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;s:3:"bin";s:6:"render";}}', 1681653519, '1681649919.357', 1, 'node:35 node_view rendered user:1', '0'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=conferenceplus:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"35";i:3;s:4:"full";}s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;s:3:"bin";s:6:"render";}}', 1681653366, '1681649767.278', 1, 'node:35 node_view rendered user:1', '0'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469LyTD3SRZc8stqujSSQKbb8PJjrQwtN0gi7F9FkogWZ0', 'a:5:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:599:"\n\n<article data-history-node-id="35" data-quickedit-entity-id="node/35" role="article" class="contextual-region node node--type-page node--view-mode-full" about="/node/35" typeof="schema:WebPage">\n  <header class="">\n    \n          <div data-contextual-id="node:node=35:changed=1477038521&amp;langcode=en" data-contextual-token="eF1vcC4XoYK7n1JCXBOqZj17eRkmUW0PxZ_WHGC1-zs"></div>  <span property="schema:name" content="Front page" class="hidden"></span>\n\n      </header>\n  <div class="node__content">\n        <ul class="links inline">\n          <li>449 views</li>\n      </ul>\n  </div>\n  </article>\n";}s:9:"#attached";a:3:{s:14:"html_head_link";a:2:{i:0;a:1:{i:0;a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}i:1;a:1:{i:0;a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/35";}}}s:7:"library";a:2:{i:0;s:28:"statistics/drupal.statistics";i:1;s:20:"history/mark-as-read";}s:14:"drupalSettings";a:2:{s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"35";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}s:7:"history";a:1:{s:17:"nodesToMarkAsRead";a:1:{i:35;b:1;}}}}s:6:"#cache";a:3:{s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;}s:17:"#cache_properties";a:1:{i:0;s:6:"#title";}s:6:"#title";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:96:"\n<span property="schema:name" data-quickedit-field-id="node/35/title/en/full">Front page</span>\n";}}', 1681656352, '1681652752.865', 1, 'node:35 node_view rendered user:1', '2'),
('entity_view:node:35:full:[languages:language_interface]=en:[theme]=olivero:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"35";i:3;s:4:"full";}s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:3:{i:0;s:9:"node_view";i:1;s:7:"node:35";i:2;s:6:"user:1";}s:7:"max-age";i:3600;s:3:"bin";s:6:"render";}}', 1681656352, '1681652752.865', 1, 'node:35 node_view rendered user:1', '2'),
('entity_view:node:64:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2150:"\n<article data-history-node-id="64" role="article" about="/node/64" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/64" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Marcus Cruz</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/64" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-6.jpg?itok=fG0Fb5Fi" width="750" height="750" alt="Speaker Six" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/58" hreflang="en">Sixth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://www.youtube.com/</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:18:"bartik/classy.node";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:64";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:58";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:223";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681650107.856', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:223 node:64 node_view rendered taxonomy_term:58 user:1', '1'),
('entity_view:node:64:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"64";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:64";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:58";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:223";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650107.855', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:223 node:64 node_view rendered taxonomy_term:58 user:1', '1'),
('entity_view:node:64:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2935:"\n\n<article data-history-node-id="64" data-quickedit-entity-id="node/64" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/64">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/64" rel="bookmark">\n<span data-quickedit-field-id="node/64/title/en/mt_listing_item">Marcus Cruz</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=64:changed=1521726881&amp;langcode=en" data-contextual-token="MHHgDaERgIgUxN9uCzUBpqN8PY8G4sDPLBYRfuzdCq4"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/64/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/64" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-6.jpg?itok=fG0Fb5Fi" width="750" height="750" alt="Speaker Six" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div data-quickedit-field-id="node/64/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/58" hreflang="en">Sixth Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/64/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://www.youtube.com/</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:64";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:58";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:223";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681652765.012', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:223 node:64 node_view rendered taxonomy_term:58 user:1', '2'),
('entity_view:node:64:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"64";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:64";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:58";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:223";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652765.011', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:223 node:64 node_view rendered taxonomy_term:58 user:1', '2'),
('entity_view:node:65:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2147:"\n<article data-history-node-id="65" role="article" about="/node/65" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/65" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Waylon Dalton</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/65" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-5.jpg?itok=bleOI9x-" width="750" height="750" alt="Speaker Five" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/57" hreflang="en">Fifth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:18:"bartik/classy.node";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:65";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:57";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:222";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681650107.887', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:222 node:65 node_view rendered taxonomy_term:57 user:1', '1'),
('entity_view:node:65:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"65";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:65";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:57";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:222";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650107.887', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:222 node:65 node_view rendered taxonomy_term:57 user:1', '1'),
('entity_view:node:65:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2932:"\n\n<article data-history-node-id="65" data-quickedit-entity-id="node/65" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/65">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/65" rel="bookmark">\n<span data-quickedit-field-id="node/65/title/en/mt_listing_item">Waylon Dalton</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=65:changed=1521726841&amp;langcode=en" data-contextual-token="_PXUxZ-C4ZmPMEnsSrR-WtM6PT2iwiLdOoPC9JD26gg"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/65/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/65" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-5.jpg?itok=bleOI9x-" width="750" height="750" alt="Speaker Five" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div data-quickedit-field-id="node/65/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/57" hreflang="en">Fifth Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/65/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:65";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:57";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:222";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681652765.038', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:222 node:65 node_view rendered taxonomy_term:57 user:1', '2'),
('entity_view:node:65:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"65";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:65";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:57";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:222";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652765.037', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:222 node:65 node_view rendered taxonomy_term:57 user:1', '2'),
('entity_view:node:66:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2159:"\n<article data-history-node-id="66" role="article" about="/node/66" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/66" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Justine Henderson</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/66" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-4_0.jpg?itok=2w3QyaLo" width="750" height="750" alt="Speaker Four" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Web Designer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/56" hreflang="en">Fourth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:18:"bartik/classy.node";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:66";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:56";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:221";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681650107.842', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:221 node:66 node_view rendered taxonomy_term:56 user:1', '1'),
('entity_view:node:66:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"66";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:66";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:56";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:221";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650107.841', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:221 node:66 node_view rendered taxonomy_term:56 user:1', '1'),
('entity_view:node:66:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2944:"\n\n<article data-history-node-id="66" data-quickedit-entity-id="node/66" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/66">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/66" rel="bookmark">\n<span data-quickedit-field-id="node/66/title/en/mt_listing_item">Justine Henderson</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=66:changed=1521726854&amp;langcode=en" data-contextual-token="KUoCbfvVJ27C6tVB699UzccIuNwWJ1_8EbSWDkehUKE"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/66/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/66" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-4_0.jpg?itok=2w3QyaLo" width="750" height="750" alt="Speaker Four" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Web Designer</div>\n      \n      <div data-quickedit-field-id="node/66/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/56" hreflang="en">Fourth Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/66/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:66";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:56";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:221";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681652765.003', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:221 node:66 node_view rendered taxonomy_term:56 user:1', '2'),
('entity_view:node:66:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"66";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:66";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:56";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:221";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652765.003', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:221 node:66 node_view rendered taxonomy_term:56 user:1', '2'),
('entity_view:node:67:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2144:"\n<article data-history-node-id="67" role="article" about="/node/67" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/67" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Thalia Cobb</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/67" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-3.jpg?itok=cb5gyDfD" width="750" height="750" alt="Speaker Three" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Medic</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/55" hreflang="en">Third Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:18:"bartik/classy.node";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:67";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:55";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:219";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681650107.877', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:219 node:67 node_view rendered taxonomy_term:55 user:1', '1'),
('entity_view:node:67:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"67";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:67";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:55";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:219";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650107.877', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:219 node:67 node_view rendered taxonomy_term:55 user:1', '1'),
('entity_view:node:67:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2929:"\n\n<article data-history-node-id="67" data-quickedit-entity-id="node/67" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/67">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/67" rel="bookmark">\n<span data-quickedit-field-id="node/67/title/en/mt_listing_item">Thalia Cobb</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=67:changed=1521726894&amp;langcode=en" data-contextual-token="NvsRlSYN3j-YMcJCelst_f7vBFfYnu52jYkxexAqUM0"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/67/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/67" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-3.jpg?itok=cb5gyDfD" width="750" height="750" alt="Speaker Three" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Medic</div>\n      \n      <div data-quickedit-field-id="node/67/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/55" hreflang="en">Third Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/67/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:67";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:55";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:219";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681652765.029', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:219 node:67 node_view rendered taxonomy_term:55 user:1', '2');
INSERT INTO `cache_render` VALUES
('entity_view:node:67:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"67";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:67";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:55";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:219";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652765.028', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:219 node:67 node_view rendered taxonomy_term:55 user:1', '2'),
('entity_view:node:68:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2149:"\n<article data-history-node-id="68" role="article" about="/node/68" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/68" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Mathias Little</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/68" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-2.jpg?itok=XeeVlqgF" width="750" height="750" alt="Speaker Two" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/54" hreflang="en">Second Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:18:"bartik/classy.node";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:68";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:54";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:218";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681650107.867', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:218 node:68 node_view rendered taxonomy_term:54 user:1', '1'),
('entity_view:node:68:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"68";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:68";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:54";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:218";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650107.867', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:218 node:68 node_view rendered taxonomy_term:54 user:1', '1'),
('entity_view:node:68:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2934:"\n\n<article data-history-node-id="68" data-quickedit-entity-id="node/68" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/68">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/68" rel="bookmark">\n<span data-quickedit-field-id="node/68/title/en/mt_listing_item">Mathias Little</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=68:changed=1521726909&amp;langcode=en" data-contextual-token="JLpm2rywHn98HBRSX8gKjg7zxClQdlXMgWgY_mkrR7E"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/68/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/68" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-2.jpg?itok=XeeVlqgF" width="750" height="750" alt="Speaker Two" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div data-quickedit-field-id="node/68/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/54" hreflang="en">Second Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/68/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:68";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:54";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:218";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681652765.020', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:218 node:68 node_view rendered taxonomy_term:54 user:1', '2'),
('entity_view:node:68:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"68";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:68";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:54";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:218";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652765.020', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:218 node:68 node_view rendered taxonomy_term:54 user:1', '2'),
('entity_view:node:69:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2146:"\n<article data-history-node-id="69" role="article" about="/node/69" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/69" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Abdullah Lang</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/69" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-1.jpg?itok=IT47rQcT" width="750" height="750" alt="Speaker One" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/53" hreflang="en">First Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n";}s:9:"#attached";a:1:{s:7:"library";a:1:{i:0;s:18:"bartik/classy.node";}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:69";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:53";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:217";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681650107.831', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:217 node:69 node_view rendered taxonomy_term:53 user:1', '1'),
('entity_view:node:69:mt_listing_item:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"69";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:69";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:53";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:217";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650107.830', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:217 node:69 node_view rendered taxonomy_term:53 user:1', '1'),
('entity_view:node:69:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:2931:"\n\n<article data-history-node-id="69" data-quickedit-entity-id="node/69" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/69">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/69" rel="bookmark">\n<span data-quickedit-field-id="node/69/title/en/mt_listing_item">Abdullah Lang</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=69:changed=1521726866&amp;langcode=en" data-contextual-token="Q3gkkNNL9vQ192SUH9Xvhs6jPzCqbRDyv6tQDOA2yxg"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/69/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/69" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-1.jpg?itok=IT47rQcT" width="750" height="750" alt="Speaker One" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div data-quickedit-field-id="node/69/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/53" hreflang="en">First Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/69/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:69";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:53";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:217";i:6;s:6:"user:1";}s:7:"max-age";i:-1;}}', -1, '1681652764.994', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:217 node:69 node_view rendered taxonomy_term:53 user:1', '2'),
('entity_view:node:69:mt_listing_item:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"69";i:3;s:15:"mt_listing_item";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";i:5;s:8:"timezone";}s:4:"tags";a:7:{i:0;s:9:"node_view";i:1;s:7:"node:69";i:2;s:31:"config:filter.format.basic_html";i:3;s:16:"taxonomy_term:53";i:4;s:34:"config:image.style.mt_member_photo";i:5;s:8:"file:217";i:6;s:6:"user:1";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652764.993', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo file:217 node:69 node_view rendered taxonomy_term:53 user:1', '2'),
('entity_view:node:94:full:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469kb7xiZGu5ZNTVtAooXhmop9Dzu37NiSUNN2qKRiuqSk', 'a:5:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1541:"\n\n<article data-history-node-id="94" data-quickedit-entity-id="node/94" role="article" class="contextual-region node node--type-mt-canvas-page node--promoted node--view-mode-full" about="/about-us">\n  <header class="">\n    \n          <div data-contextual-id="node:node=94:changed=1522234187&amp;langcode=en" data-contextual-token="RAsdwwbc1psJ35OOKXRR31ts5JShexuE5vRoPH5DRsw"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/94/field_mt_cnv_body/en/full" class="text-content clearfix field field--name-field-mt-cnv-body field--type-text-with-summary field--label-hidden field__item"><div class="row mt-5">\n<div class="col-xl-5 col-md-6"><img alt="about us" class="mb-3" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-about-us-1.jpg" /></div>\n\n<div class="col-md-6 ml-xl-auto">\n<h3 class="mt-0 mb-4">Conference+ dedicated to helping young people worldwide achieve great success</h3>\n\n<p class="pt-2">Conference+ foundation is a non-profit organization dedicated to helping young people worldwide achieve great success through a unique curriculum. Makes a commitment to instill each student or young adult with real-life keys to success such as goal-setting, mentorship, self-motivation, professionalism and advanced communication.</p>\n\n<h5 class="mb-0">Brian A. King</h5>\n\n<p>Founder &amp; CEO of Conference+</p>\n</div>\n</div>\n</div>\n      <ul class="links inline">\n          <li>17 views</li>\n      </ul>\n  </div>\n  </article>\n";}s:9:"#attached";a:3:{s:14:"html_head_link";a:2:{i:0;a:1:{i:0;a:2:{s:3:"rel";s:9:"canonical";s:4:"href";s:38:"https://ictm2023.isser.edu.gh/about-us";}}i:1;a:1:{i:0;a:2:{s:3:"rel";s:9:"shortlink";s:4:"href";s:37:"https://ictm2023.isser.edu.gh/node/94";}}}s:7:"library";a:2:{i:0;s:28:"statistics/drupal.statistics";i:1;s:20:"history/mark-as-read";}s:14:"drupalSettings";a:2:{s:10:"statistics";a:2:{s:4:"data";a:1:{s:3:"nid";s:2:"94";}s:3:"url";s:39:"/core/modules/statistics/statistics.php";}s:7:"history";a:1:{s:17:"nodesToMarkAsRead";a:1:{i:94;b:1;}}}}s:6:"#cache";a:3:{s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:4:{i:0;s:9:"node_view";i:1;s:7:"node:94";i:2;s:30:"config:filter.format.full_html";i:3;s:6:"user:1";}s:7:"max-age";i:3600;}s:17:"#cache_properties";a:1:{i:0;s:6:"#title";}s:6:"#title";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:71:"\n<span data-quickedit-field-id="node/94/title/en/full">About Us</span>\n";}}', 1681657572, '1681653973.146', 1, 'config:filter.format.full_html node:94 node_view rendered user:1', '2'),
('entity_view:node:94:full:[languages:language_interface]=en:[theme]=olivero:[url.site]=https://ictm2023.isser.edu.gh:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:11:"entity_view";i:1;s:4:"node";i:2;s:2:"94";i:3;s:4:"full";}s:8:"contexts";a:6:{i:0;s:8:"url.site";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:16:"user.permissions";i:4;s:24:"user.roles:authenticated";i:7;s:8:"timezone";}s:4:"tags";a:4:{i:0;s:9:"node_view";i:1;s:7:"node:94";i:2;s:30:"config:filter.format.full_html";i:3;s:6:"user:1";}s:7:"max-age";i:3600;s:3:"bin";s:6:"render";}}', 1681657572, '1681653973.145', 1, 'config:filter.format.full_html node:94 node_view rendered user:1', '2'),
('shortcut_set_toolbar_links:[languages:language_interface]=en:[theme]=bartik:[user]=1', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:193:"<ul class="toolbar-menu"><li><a href="/admin/content">All content</a></li></ul><a href="/admin/config/user-interface/shortcut/manage/default/customize" class="edit-shortcuts">Edit shortcuts</a>";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:4:"user";i:3;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:27:"config:shortcut.set.default";i:1;s:6:"user:1";i:2;s:30:"config:user.role.authenticated";i:3;s:30:"config:user.role.administrator";}s:7:"max-age";i:-1;}}', -1, '1681652203.122', 1, 'config:shortcut.set.default config:user.role.administrator config:user.role.authenticated rendered user:1', '1'),
('shortcut_set_toolbar_links:[languages:language_interface]=en:[theme]=olivero:[user]=1', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:211:"<ul class="toolbar-menu">\n          <li><a href="/admin/content">All content</a></li>\n      </ul><a href="/admin/config/user-interface/shortcut/manage/default/customize" class="edit-shortcuts">Edit shortcuts</a>";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:4:"user";i:3;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:27:"config:shortcut.set.default";i:1;s:6:"user:1";i:2;s:30:"config:user.role.authenticated";i:3;s:30:"config:user.role.administrator";}s:7:"max-age";i:-1;}}', -1, '1681652753.203', 1, 'config:shortcut.set.default config:user.role.administrator config:user.role.authenticated rendered user:1', '2'),
('shortcut_set_toolbar_links:[languages:language_interface]=en:[theme]=seven:[user]=1', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:193:"<ul class="toolbar-menu"><li><a href="/admin/content">All content</a></li></ul><a href="/admin/config/user-interface/shortcut/manage/default/customize" class="edit-shortcuts">Edit shortcuts</a>";}s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:4:"user";i:3;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:27:"config:shortcut.set.default";i:1;s:6:"user:1";i:2;s:30:"config:user.role.authenticated";i:3;s:30:"config:user.role.administrator";}s:7:"max-age";i:-1;}}', -1, '1681652743.236', 1, 'config:shortcut.set.default config:user.role.administrator config:user.role.authenticated rendered user:1', '2'),
('toolbar:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:7:"toolbar";}s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652709.099', 1, 'config:system.menu.admin config:system.theme rendered', '8'),
('toolbar:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469:[user.roles:anonymous]=is-super-user', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:5599:"<div id="toolbar-administration" role="group" aria-label="Site administration toolbar" class="toolbar">\n  <nav id="toolbar-bar" role="navigation" aria-label="Toolbar items" class="toolbar-bar clearfix">\n    <h2 class="visually-hidden">Toolbar items</h2>\n                <div class="home-toolbar-tab toolbar-tab">\n        <a href="/" title="Return to site content" class="toolbar-icon toolbar-icon-escape-admin toolbar-item" data-toolbar-escape-admin>Back to site</a>\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin" title="Admin menu" class="toolbar-icon toolbar-icon-menu trigger toolbar-item" data-drupal-subtrees="" id="toolbar-item-administration" data-toolbar-tray="toolbar-item-administration-tray" role="button" aria-pressed="false">Manage</a>\n        <div id="toolbar-item-administration-tray" data-toolbar-tray="toolbar-item-administration-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="Administration menu"><h3 class="toolbar-tray-name visually-hidden">Administration menu</h3><div class="toolbar-menu-administration"><ul class="clearfix toolbar-menu"><li class="menu-item menu-item--collapsed"><a href="/admin/content" title="Find and manage content." id="toolbar-link-system-admin_content" class="toolbar-icon toolbar-icon-system-admin-content" data-drupal-link-system-path="admin/content">Content</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/structure" title="Administer blocks, content types, menus, etc." id="toolbar-link-system-admin_structure" class="toolbar-icon toolbar-icon-system-admin-structure" data-drupal-link-system-path="admin/structure">Structure</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/appearance" title="Select and configure themes." id="toolbar-link-system-themes_page" class="toolbar-icon toolbar-icon-system-themes-page" data-drupal-link-system-path="admin/appearance">Appearance</a></li><li class="menu-item"><a href="/admin/modules" title="Add and enable modules to extend site functionality." id="toolbar-link-system-modules_list" class="toolbar-icon toolbar-icon-system-modules-list" data-drupal-link-system-path="admin/modules">Extend</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/config" title="Administer settings." id="toolbar-link-system-admin_config" class="toolbar-icon toolbar-icon-system-admin-config" data-drupal-link-system-path="admin/config">Configuration</a></li><li class="menu-item"><a href="/admin/people" title="Manage user accounts, roles, and permissions." id="toolbar-link-entity-user-collection" class="toolbar-icon toolbar-icon-entity-user-collection" data-drupal-link-system-path="admin/people">People</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/reports" title="View reports, updates, and errors." id="toolbar-link-system-admin_reports" class="toolbar-icon toolbar-icon-system-admin-reports" data-drupal-link-system-path="admin/reports">Reports</a></li><li class="menu-item"><a href="/admin/help" title="Reference for usage, configuration, and modules." id="toolbar-link-help-main" class="toolbar-icon toolbar-icon-help-main" data-drupal-link-system-path="admin/help">Help</a></li></ul></div></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin/config/user-interface/shortcut" title="Shortcuts" class="toolbar-icon toolbar-icon-shortcut trigger toolbar-item" id="toolbar-item-shortcuts" data-toolbar-tray="toolbar-item-shortcuts-tray" role="button" aria-pressed="false">Shortcuts</a>\n        <div id="toolbar-item-shortcuts-tray" data-toolbar-tray="toolbar-item-shortcuts-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User-defined shortcuts"><h3 class="toolbar-tray-name visually-hidden">User-defined shortcuts</h3><drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder></nav></div>      </div>\n                <div class="hidden contextual-toolbar-tab toolbar-tab">\n        <button class="toolbar-icon toolbar-icon-edit toolbar-item" aria-pressed="false" type="button">Edit</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="tour-toolbar-tab hidden toolbar-tab" id="toolbar-tab-tour">\n        <button class="toolbar-icon toolbar-icon-help toolbar-item" aria-pressed="false" type="button">Tour</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/user" title="My account" class="toolbar-icon toolbar-icon-user trigger toolbar-item" id="toolbar-item-user" data-toolbar-tray="toolbar-item-user-tray" role="button" aria-pressed="false"><drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder></a>\n        <div id="toolbar-item-user-tray" data-toolbar-tray="toolbar-item-user-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User account actions"><h3 class="toolbar-tray-name visually-hidden">User account actions</h3><drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder></nav></div>      </div>\n      </nav>\n  \n</div>\n";}s:9:"#attached";a:3:{s:7:"library";a:6:{i:0;s:15:"toolbar/toolbar";i:1;s:22:"user/drupal.user.icons";i:2;s:9:"tour/tour";i:3;s:36:"contextual/drupal.contextual-toolbar";i:4;s:24:"shortcut/drupal.shortcut";i:5;s:27:"toolbar/toolbar.escapeAdmin";}s:12:"placeholders";a:3:{s:176:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:44:"user.toolbar_link_builder:renderToolbarLinks";i:1;a:0:{}}}s:175:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:43:"user.toolbar_link_builder:renderDisplayName";i:1;a:0:{}}}s:164:"<drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder>";a:2:{s:13:"#lazy_builder";a:2:{i:0;s:32:"shortcut.lazy_builders:lazyLinks";i:1;a:0:{}}s:6:"#cache";a:2:{s:4:"keys";a:1:{i:0;s:26:"shortcut_set_toolbar_links";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:4:"user";i:3;s:16:"user.permissions";}}}}s:14:"drupalSettings";a:1:{s:7:"toolbar";a:2:{s:11:"breakpoints";a:3:{s:14:"toolbar.narrow";s:35:"only screen and (min-width: 16.5em)";s:16:"toolbar.standard";s:37:"only screen and (min-width: 38.125em)";s:12:"toolbar.wide";s:33:"only screen and (min-width: 61em)";}s:12:"subtreesHash";s:43:"wQFqlnKxp5ec-sX4v0J-omE5SHeK3OQhTpOlN-OA68A";}}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;}}', -1, '1681652709.099', 1, 'config:system.menu.admin config:system.theme rendered', '8'),
('toolbar:[languages:language_interface]=en:[theme]=conferenceplus:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:7:"toolbar";}s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681649767.555', 1, 'config:system.menu.admin config:system.theme rendered', '4'),
('toolbar:[languages:language_interface]=en:[theme]=conferenceplus:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469:[user.roles:anonymous]=is-super-user', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:5599:"<div id="toolbar-administration" role="group" aria-label="Site administration toolbar" class="toolbar">\n  <nav id="toolbar-bar" role="navigation" aria-label="Toolbar items" class="toolbar-bar clearfix">\n    <h2 class="visually-hidden">Toolbar items</h2>\n                <div class="home-toolbar-tab toolbar-tab">\n        <a href="/" title="Return to site content" class="toolbar-icon toolbar-icon-escape-admin toolbar-item" data-toolbar-escape-admin>Back to site</a>\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin" title="Admin menu" class="toolbar-icon toolbar-icon-menu trigger toolbar-item" data-drupal-subtrees="" id="toolbar-item-administration" data-toolbar-tray="toolbar-item-administration-tray" role="button" aria-pressed="false">Manage</a>\n        <div id="toolbar-item-administration-tray" data-toolbar-tray="toolbar-item-administration-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="Administration menu"><h3 class="toolbar-tray-name visually-hidden">Administration menu</h3><div class="toolbar-menu-administration"><ul class="clearfix toolbar-menu"><li class="menu-item menu-item--collapsed"><a href="/admin/content" title="Find and manage content." id="toolbar-link-system-admin_content" class="toolbar-icon toolbar-icon-system-admin-content" data-drupal-link-system-path="admin/content">Content</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/structure" title="Administer blocks, content types, menus, etc." id="toolbar-link-system-admin_structure" class="toolbar-icon toolbar-icon-system-admin-structure" data-drupal-link-system-path="admin/structure">Structure</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/appearance" title="Select and configure themes." id="toolbar-link-system-themes_page" class="toolbar-icon toolbar-icon-system-themes-page" data-drupal-link-system-path="admin/appearance">Appearance</a></li><li class="menu-item"><a href="/admin/modules" title="Add and enable modules to extend site functionality." id="toolbar-link-system-modules_list" class="toolbar-icon toolbar-icon-system-modules-list" data-drupal-link-system-path="admin/modules">Extend</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/config" title="Administer settings." id="toolbar-link-system-admin_config" class="toolbar-icon toolbar-icon-system-admin-config" data-drupal-link-system-path="admin/config">Configuration</a></li><li class="menu-item"><a href="/admin/people" title="Manage user accounts, roles, and permissions." id="toolbar-link-entity-user-collection" class="toolbar-icon toolbar-icon-entity-user-collection" data-drupal-link-system-path="admin/people">People</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/reports" title="View reports, updates, and errors." id="toolbar-link-system-admin_reports" class="toolbar-icon toolbar-icon-system-admin-reports" data-drupal-link-system-path="admin/reports">Reports</a></li><li class="menu-item"><a href="/admin/help" title="Reference for usage, configuration, and modules." id="toolbar-link-help-main" class="toolbar-icon toolbar-icon-help-main" data-drupal-link-system-path="admin/help">Help</a></li></ul></div></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin/config/user-interface/shortcut" title="Shortcuts" class="toolbar-icon toolbar-icon-shortcut trigger toolbar-item" id="toolbar-item-shortcuts" data-toolbar-tray="toolbar-item-shortcuts-tray" role="button" aria-pressed="false">Shortcuts</a>\n        <div id="toolbar-item-shortcuts-tray" data-toolbar-tray="toolbar-item-shortcuts-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User-defined shortcuts"><h3 class="toolbar-tray-name visually-hidden">User-defined shortcuts</h3><drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder></nav></div>      </div>\n                <div class="hidden contextual-toolbar-tab toolbar-tab">\n        <button class="toolbar-icon toolbar-icon-edit toolbar-item" aria-pressed="false" type="button">Edit</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="tour-toolbar-tab hidden toolbar-tab" id="toolbar-tab-tour">\n        <button class="toolbar-icon toolbar-icon-help toolbar-item" aria-pressed="false" type="button">Tour</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/user" title="My account" class="toolbar-icon toolbar-icon-user trigger toolbar-item" id="toolbar-item-user" data-toolbar-tray="toolbar-item-user-tray" role="button" aria-pressed="false"><drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder></a>\n        <div id="toolbar-item-user-tray" data-toolbar-tray="toolbar-item-user-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User account actions"><h3 class="toolbar-tray-name visually-hidden">User account actions</h3><drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder></nav></div>      </div>\n      </nav>\n  \n</div>\n";}s:9:"#attached";a:3:{s:7:"library";a:6:{i:0;s:15:"toolbar/toolbar";i:1;s:22:"user/drupal.user.icons";i:2;s:9:"tour/tour";i:3;s:36:"contextual/drupal.contextual-toolbar";i:4;s:24:"shortcut/drupal.shortcut";i:5;s:27:"toolbar/toolbar.escapeAdmin";}s:12:"placeholders";a:3:{s:176:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:44:"user.toolbar_link_builder:renderToolbarLinks";i:1;a:0:{}}}s:175:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:43:"user.toolbar_link_builder:renderDisplayName";i:1;a:0:{}}}s:164:"<drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder>";a:2:{s:13:"#lazy_builder";a:2:{i:0;s:32:"shortcut.lazy_builders:lazyLinks";i:1;a:0:{}}s:6:"#cache";a:2:{s:4:"keys";a:1:{i:0;s:26:"shortcut_set_toolbar_links";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:4:"user";i:3;s:16:"user.permissions";}}}}s:14:"drupalSettings";a:1:{s:7:"toolbar";a:2:{s:11:"breakpoints";a:3:{s:14:"toolbar.narrow";s:35:"only screen and (min-width: 16.5em)";s:16:"toolbar.standard";s:37:"only screen and (min-width: 38.125em)";s:12:"toolbar.wide";s:33:"only screen and (min-width: 61em)";}s:12:"subtreesHash";s:43:"jXrWpkZYCJILVbr2h9DgCnwhQ5pgz1CYTbRYYXqlExo";}}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;}}', -1, '1681649767.556', 1, 'config:system.menu.admin config:system.theme rendered', '4'),
('toolbar:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:7:"toolbar";}s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652752.933', 1, 'config:system.menu.admin config:system.theme rendered', '12'),
('toolbar:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469:[user.roles:anonymous]=is-super-user', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:5590:"<div id="toolbar-administration" role="group" aria-label="Site administration toolbar" class="toolbar">\n  <nav id="toolbar-bar" role="navigation" aria-label="Toolbar items" class="toolbar-bar clearfix">\n    <h2 class="visually-hidden">Toolbar items</h2>\n                <div class="home-toolbar-tab toolbar-tab">\n        <a href="/" title="Return to site content" class="toolbar-icon toolbar-icon-escape-admin toolbar-item" data-toolbar-escape-admin>Back to site</a>\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin" title="Admin menu" class="toolbar-icon toolbar-icon-menu trigger toolbar-item" data-drupal-subtrees="" id="toolbar-item-administration" data-toolbar-tray="toolbar-item-administration-tray" role="button" aria-pressed="false">Manage</a>\n        <div id="toolbar-item-administration-tray" data-toolbar-tray="toolbar-item-administration-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="Administration menu"><h3 class="toolbar-tray-name visually-hidden">Administration menu</h3><div class="toolbar-menu-administration"><ul class="toolbar-menu"><li class="menu-item menu-item--collapsed"><a href="/admin/content" title="Find and manage content." id="toolbar-link-system-admin_content" class="toolbar-icon toolbar-icon-system-admin-content" data-drupal-link-system-path="admin/content">Content</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/structure" title="Administer blocks, content types, menus, etc." id="toolbar-link-system-admin_structure" class="toolbar-icon toolbar-icon-system-admin-structure" data-drupal-link-system-path="admin/structure">Structure</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/appearance" title="Select and configure themes." id="toolbar-link-system-themes_page" class="toolbar-icon toolbar-icon-system-themes-page" data-drupal-link-system-path="admin/appearance">Appearance</a></li><li class="menu-item"><a href="/admin/modules" title="Add and enable modules to extend site functionality." id="toolbar-link-system-modules_list" class="toolbar-icon toolbar-icon-system-modules-list" data-drupal-link-system-path="admin/modules">Extend</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/config" title="Administer settings." id="toolbar-link-system-admin_config" class="toolbar-icon toolbar-icon-system-admin-config" data-drupal-link-system-path="admin/config">Configuration</a></li><li class="menu-item"><a href="/admin/people" title="Manage user accounts, roles, and permissions." id="toolbar-link-entity-user-collection" class="toolbar-icon toolbar-icon-entity-user-collection" data-drupal-link-system-path="admin/people">People</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/reports" title="View reports, updates, and errors." id="toolbar-link-system-admin_reports" class="toolbar-icon toolbar-icon-system-admin-reports" data-drupal-link-system-path="admin/reports">Reports</a></li><li class="menu-item"><a href="/admin/help" title="Reference for usage, configuration, and modules." id="toolbar-link-help-main" class="toolbar-icon toolbar-icon-help-main" data-drupal-link-system-path="admin/help">Help</a></li></ul></div></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin/config/user-interface/shortcut" title="Shortcuts" class="toolbar-icon toolbar-icon-shortcut trigger toolbar-item" id="toolbar-item-shortcuts" data-toolbar-tray="toolbar-item-shortcuts-tray" role="button" aria-pressed="false">Shortcuts</a>\n        <div id="toolbar-item-shortcuts-tray" data-toolbar-tray="toolbar-item-shortcuts-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User-defined shortcuts"><h3 class="toolbar-tray-name visually-hidden">User-defined shortcuts</h3><drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder></nav></div>      </div>\n                <div class="hidden contextual-toolbar-tab toolbar-tab">\n        <button class="toolbar-icon toolbar-icon-edit toolbar-item" aria-pressed="false" type="button">Edit</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="tour-toolbar-tab hidden toolbar-tab" id="toolbar-tab-tour">\n        <button class="toolbar-icon toolbar-icon-help toolbar-item" aria-pressed="false" type="button">Tour</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/user" title="My account" class="toolbar-icon toolbar-icon-user trigger toolbar-item" id="toolbar-item-user" data-toolbar-tray="toolbar-item-user-tray" role="button" aria-pressed="false"><drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder></a>\n        <div id="toolbar-item-user-tray" data-toolbar-tray="toolbar-item-user-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User account actions"><h3 class="toolbar-tray-name visually-hidden">User account actions</h3><drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder></nav></div>      </div>\n      </nav>\n  \n</div>\n";}s:9:"#attached";a:3:{s:7:"library";a:6:{i:0;s:15:"toolbar/toolbar";i:1;s:22:"user/drupal.user.icons";i:2;s:9:"tour/tour";i:3;s:36:"contextual/drupal.contextual-toolbar";i:4;s:24:"shortcut/drupal.shortcut";i:5;s:27:"toolbar/toolbar.escapeAdmin";}s:12:"placeholders";a:3:{s:176:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:44:"user.toolbar_link_builder:renderToolbarLinks";i:1;a:0:{}}}s:175:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:43:"user.toolbar_link_builder:renderDisplayName";i:1;a:0:{}}}s:164:"<drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder>";a:2:{s:13:"#lazy_builder";a:2:{i:0;s:32:"shortcut.lazy_builders:lazyLinks";i:1;a:0:{}}s:6:"#cache";a:2:{s:4:"keys";a:1:{i:0;s:26:"shortcut_set_toolbar_links";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:4:"user";i:3;s:16:"user.permissions";}}}}s:14:"drupalSettings";a:1:{s:7:"toolbar";a:2:{s:11:"breakpoints";a:3:{s:14:"toolbar.narrow";s:35:"only screen and (min-width: 16.5em)";s:16:"toolbar.standard";s:37:"only screen and (min-width: 38.125em)";s:12:"toolbar.wide";s:33:"only screen and (min-width: 61em)";}s:12:"subtreesHash";s:43:"5vLaSY-p6L0tAGV_hvMtbF4ejf_SEGay06bhO-0jxsE";}}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;}}', -1, '1681652752.933', 1, 'config:system.menu.admin config:system.theme rendered', '12'),
('toolbar:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:7:"toolbar";}s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652749.398', 1, 'config:system.menu.admin config:system.theme rendered', '12'),
('toolbar:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469:[user.roles:anonymous]=is-super-user', 'a:3:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:5590:"<div id="toolbar-administration" role="group" aria-label="Site administration toolbar" class="toolbar">\n  <nav id="toolbar-bar" role="navigation" aria-label="Toolbar items" class="toolbar-bar clearfix">\n    <h2 class="visually-hidden">Toolbar items</h2>\n                <div class="home-toolbar-tab toolbar-tab">\n        <a href="/" title="Return to site content" class="toolbar-icon toolbar-icon-escape-admin toolbar-item" data-toolbar-escape-admin>Back to site</a>\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin" title="Admin menu" class="toolbar-icon toolbar-icon-menu trigger toolbar-item" data-drupal-subtrees="" id="toolbar-item-administration" data-toolbar-tray="toolbar-item-administration-tray" role="button" aria-pressed="false">Manage</a>\n        <div id="toolbar-item-administration-tray" data-toolbar-tray="toolbar-item-administration-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="Administration menu"><h3 class="toolbar-tray-name visually-hidden">Administration menu</h3><div class="toolbar-menu-administration"><ul class="toolbar-menu"><li class="menu-item menu-item--collapsed"><a href="/admin/content" title="Find and manage content." id="toolbar-link-system-admin_content" class="toolbar-icon toolbar-icon-system-admin-content" data-drupal-link-system-path="admin/content">Content</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/structure" title="Administer blocks, content types, menus, etc." id="toolbar-link-system-admin_structure" class="toolbar-icon toolbar-icon-system-admin-structure" data-drupal-link-system-path="admin/structure">Structure</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/appearance" title="Select and configure themes." id="toolbar-link-system-themes_page" class="toolbar-icon toolbar-icon-system-themes-page" data-drupal-link-system-path="admin/appearance">Appearance</a></li><li class="menu-item"><a href="/admin/modules" title="Add and enable modules to extend site functionality." id="toolbar-link-system-modules_list" class="toolbar-icon toolbar-icon-system-modules-list" data-drupal-link-system-path="admin/modules">Extend</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/config" title="Administer settings." id="toolbar-link-system-admin_config" class="toolbar-icon toolbar-icon-system-admin-config" data-drupal-link-system-path="admin/config">Configuration</a></li><li class="menu-item"><a href="/admin/people" title="Manage user accounts, roles, and permissions." id="toolbar-link-entity-user-collection" class="toolbar-icon toolbar-icon-entity-user-collection" data-drupal-link-system-path="admin/people">People</a></li><li class="menu-item menu-item--collapsed"><a href="/admin/reports" title="View reports, updates, and errors." id="toolbar-link-system-admin_reports" class="toolbar-icon toolbar-icon-system-admin-reports" data-drupal-link-system-path="admin/reports">Reports</a></li><li class="menu-item"><a href="/admin/help" title="Reference for usage, configuration, and modules." id="toolbar-link-help-main" class="toolbar-icon toolbar-icon-help-main" data-drupal-link-system-path="admin/help">Help</a></li></ul></div></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/admin/config/user-interface/shortcut" title="Shortcuts" class="toolbar-icon toolbar-icon-shortcut trigger toolbar-item" id="toolbar-item-shortcuts" data-toolbar-tray="toolbar-item-shortcuts-tray" role="button" aria-pressed="false">Shortcuts</a>\n        <div id="toolbar-item-shortcuts-tray" data-toolbar-tray="toolbar-item-shortcuts-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User-defined shortcuts"><h3 class="toolbar-tray-name visually-hidden">User-defined shortcuts</h3><drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder></nav></div>      </div>\n                <div class="hidden contextual-toolbar-tab toolbar-tab">\n        <button class="toolbar-icon toolbar-icon-edit toolbar-item" aria-pressed="false" type="button">Edit</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="tour-toolbar-tab hidden toolbar-tab" id="toolbar-tab-tour">\n        <button class="toolbar-icon toolbar-icon-help toolbar-item" aria-pressed="false" type="button">Tour</button>\n\n        <div><nav class="toolbar-lining clearfix" role="navigation"></nav></div>      </div>\n                <div class="toolbar-tab">\n        <a href="/user" title="My account" class="toolbar-icon toolbar-icon-user trigger toolbar-item" id="toolbar-item-user" data-toolbar-tray="toolbar-item-user-tray" role="button" aria-pressed="false"><drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder></a>\n        <div id="toolbar-item-user-tray" data-toolbar-tray="toolbar-item-user-tray" class="toolbar-tray"><nav class="toolbar-lining clearfix" role="navigation" aria-label="User account actions"><h3 class="toolbar-tray-name visually-hidden">User account actions</h3><drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder></nav></div>      </div>\n      </nav>\n  \n</div>\n";}s:9:"#attached";a:3:{s:7:"library";a:6:{i:0;s:15:"toolbar/toolbar";i:1;s:22:"user/drupal.user.icons";i:2;s:9:"tour/tour";i:3;s:36:"contextual/drupal.contextual-toolbar";i:4;s:24:"shortcut/drupal.shortcut";i:5;s:27:"toolbar/toolbar.escapeAdmin";}s:12:"placeholders";a:3:{s:176:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderToolbarLinks" arguments="" token="xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:44:"user.toolbar_link_builder:renderToolbarLinks";i:1;a:0:{}}}s:175:"<drupal-render-placeholder callback="user.toolbar_link_builder:renderDisplayName" arguments="" token="-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI"></drupal-render-placeholder>";a:1:{s:13:"#lazy_builder";a:2:{i:0;s:43:"user.toolbar_link_builder:renderDisplayName";i:1;a:0:{}}}s:164:"<drupal-render-placeholder callback="shortcut.lazy_builders:lazyLinks" arguments="" token="N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I"></drupal-render-placeholder>";a:2:{s:13:"#lazy_builder";a:2:{i:0;s:32:"shortcut.lazy_builders:lazyLinks";i:1;a:0:{}}s:6:"#cache";a:2:{s:4:"keys";a:1:{i:0;s:26:"shortcut_set_toolbar_links";}s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:4:"user";i:3;s:16:"user.permissions";}}}}s:14:"drupalSettings";a:1:{s:7:"toolbar";a:2:{s:11:"breakpoints";a:3:{s:14:"toolbar.narrow";s:35:"only screen and (min-width: 16.5em)";s:16:"toolbar.standard";s:37:"only screen and (min-width: 38.125em)";s:12:"toolbar.wide";s:33:"only screen and (min-width: 61em)";}s:12:"subtreesHash";s:43:"5vLaSY-p6L0tAGV_hvMtbF4ejf_SEGay06bhO-0jxsE";}}}s:6:"#cache";a:3:{s:8:"contexts";a:4:{i:0;s:16:"user.permissions";i:1;s:28:"languages:language_interface";i:2;s:5:"theme";i:3;s:20:"user.roles:anonymous";}s:4:"tags";a:2:{i:0;s:19:"config:system.theme";i:1;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;}}', -1, '1681652749.399', 1, 'config:system.menu.admin config:system.theme rendered', '12');
INSERT INTO `cache_render` VALUES
('toolbar_rendered_subtrees:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:25:"toolbar_rendered_subtrees";}s:8:"contexts";a:1:{i:0;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652709.080', 1, 'config:system.menu.admin rendered', '7'),
('toolbar_rendered_subtrees:[languages:language_interface]=en:[theme]=conferenceplus:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:25:"toolbar_rendered_subtrees";}s:8:"contexts";a:1:{i:0;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681649767.487', 1, 'config:system.menu.admin rendered', '4'),
('toolbar_rendered_subtrees:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:25:"toolbar_rendered_subtrees";}s:8:"contexts";a:1:{i:0;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652752.920', 1, 'config:system.menu.admin rendered', '10'),
('toolbar_rendered_subtrees:[languages:language_interface]=en:[theme]=seven:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:1:{i:0;s:25:"toolbar_rendered_subtrees";}s:8:"contexts";a:1:{i:0;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652749.390', 1, 'config:system.menu.admin rendered', '10'),
('toolbar_rendered_subtrees:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:1:{i:0;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:24:"config:system.menu.admin";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:9:"#subtrees";}s:9:"#subtrees";a:8:{s:20:"system-admin_content";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:377:"\n              <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/content/comment" title="List and edit site comments and the comment approval queue." id="toolbar-link-comment-admin" class="toolbar-icon toolbar-icon-comment-admin" data-drupal-link-system-path="admin/content/comment">Comments</a>\n              </li>\n        </ul>\n  \n\n";}s:22:"system-admin_structure";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:4666:"\n              <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/structure/block" title="Configure what block content appears in your site&#039;s sidebars and other regions." id="toolbar-link-block-admin_display" class="toolbar-icon toolbar-icon-block-admin-display" data-drupal-link-system-path="admin/structure/block">Block layout</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/comment" title="Manage form and displays settings of comments." id="toolbar-link-entity-comment_type-collection" class="toolbar-icon toolbar-icon-entity-comment-type-collection" data-drupal-link-system-path="admin/structure/comment">Comment types</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/contact" title="Create and manage contact forms." id="toolbar-link-entity-contact_form-collection" class="toolbar-icon toolbar-icon-entity-contact-form-collection" data-drupal-link-system-path="admin/structure/contact">Contact forms</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/types" title="Create and manage fields, forms, and display settings for your content." id="toolbar-link-entity-node_type-collection" class="toolbar-icon toolbar-icon-entity-node-type-collection" data-drupal-link-system-path="admin/structure/types">Content types</a>\n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/structure/display-modes" title="Configure what displays are available for your content and forms." id="toolbar-link-field_ui-display_mode" class="toolbar-icon toolbar-icon-field-ui-display-mode" data-drupal-link-system-path="admin/structure/display-modes">Display modes</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/structure/display-modes/form" title="Manage custom form modes." id="toolbar-link-entity-entity_form_mode-collection" class="toolbar-icon toolbar-icon-entity-entity-form-mode-collection" data-drupal-link-system-path="admin/structure/display-modes/form">Form modes</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/display-modes/view" title="Manage custom view modes." id="toolbar-link-entity-entity_view_mode-collection" class="toolbar-icon toolbar-icon-entity-entity-view-mode-collection" data-drupal-link-system-path="admin/structure/display-modes/view">View modes</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/menu" title="Manage menus and menu links." id="toolbar-link-entity-menu-collection" class="toolbar-icon toolbar-icon-entity-menu-collection" data-drupal-link-system-path="admin/structure/menu">Menus</a>\n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/structure/paragraphs_type" title="Create and manage Paragraph types." id="toolbar-link-entity-paragraphs_type-collection" class="toolbar-icon toolbar-icon-entity-paragraphs-type-collection" data-drupal-link-system-path="admin/structure/paragraphs_type">Paragraph types</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/structure/paragraphs_type/add" id="toolbar-link-paragraphs-type_add" class="toolbar-icon toolbar-icon-paragraphs-type-add" title="" data-drupal-link-system-path="admin/structure/paragraphs_type/add">Add paragraph type</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/taxonomy" title="Manage tagging, categorization, and classification of your content." id="toolbar-link-entity-taxonomy_vocabulary-collection" class="toolbar-icon toolbar-icon-entity-taxonomy-vocabulary-collection" data-drupal-link-system-path="admin/structure/taxonomy">Taxonomy</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/views" title="Manage customized lists of content." id="toolbar-link-entity-view-collection" class="toolbar-icon toolbar-icon-entity-view-collection" data-drupal-link-system-path="admin/structure/views">Views</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/structure/webform" title="Create webforms and manage submissions." id="toolbar-link-entity-webform-collection" class="toolbar-icon toolbar-icon-entity-webform-collection" data-drupal-link-system-path="admin/structure/webform">Webforms</a>\n              </li>\n        </ul>\n  \n\n";}s:18:"system-themes_page";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1405:"\n              <ul class="toolbar-menu">\n                    <li class="menu-item menu-item--expanded">\n        <a href="/admin/appearance/font" title="List Font entities" id="toolbar-link-entity-font-collection" class="toolbar-icon toolbar-icon-entity-font-collection" data-drupal-link-system-path="admin/appearance/font">@font-your-face</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/appearance/font" title="List Font entities" id="toolbar-link-entity-font-collection" class="toolbar-icon toolbar-icon-entity-font-browse" data-drupal-link-system-path="admin/appearance/font">Browse</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/appearance/font/font_display" title="List Font display (bundles)" id="toolbar-link-entity-font_display-collection" class="toolbar-icon toolbar-icon-entity-font-display-collection" data-drupal-link-system-path="admin/appearance/font/font_display">Font display</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/appearance/font/settings" title="@font-your-face settings" id="toolbar-link-font-settings" class="toolbar-icon toolbar-icon-font-admin-appearance-settings" data-drupal-link-system-path="admin/appearance/font/settings">Settings</a>\n              </li>\n        </ul>\n  \n              </li>\n        </ul>\n  \n\n";}s:19:"system-modules_list";s:0:"";s:19:"system-admin_config";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:13712:"\n              <ul class="toolbar-menu">\n                    <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/people" title="Configure user accounts." id="toolbar-link-user-admin_index" class="toolbar-icon toolbar-icon-user-admin-index" data-drupal-link-system-path="admin/config/people">People</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/people/accounts" title="Configure default user account settings, including fields, registration requirements, and email messages." id="toolbar-link-entity-user-admin_form" class="toolbar-icon toolbar-icon-entity-user-admin-form" data-drupal-link-system-path="admin/config/people/accounts">Account settings</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/system" title="Configure basic site settings, actions, and cron." id="toolbar-link-system-admin_config_system" class="toolbar-icon toolbar-icon-system-admin-config-system" data-drupal-link-system-path="admin/config/system">System</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/system/site-information" title="Change site name, email address, slogan, default front page, and error pages." id="toolbar-link-system-site_information_settings" class="toolbar-icon toolbar-icon-system-site-information-settings" data-drupal-link-system-path="admin/config/system/site-information">Basic site settings</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/system/statistics" title="Configure the logging of content statistics." id="toolbar-link-statistics-settings" class="toolbar-icon toolbar-icon-statistics-settings" data-drupal-link-system-path="admin/config/system/statistics">Statistics</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/system/cron" title="Manage automatic site maintenance tasks." id="toolbar-link-system-cron_settings" class="toolbar-icon toolbar-icon-system-cron-settings" data-drupal-link-system-path="admin/config/system/cron">Cron</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/system/delete-orphans" title="Delete revisions of entities that are no longer used in Entity Reference Revisions fields." id="toolbar-link-entity_reference_revisions-delete_orphans" class="toolbar-icon toolbar-icon-entity-reference-revisions-delete-orphans" data-drupal-link-system-path="admin/config/system/delete-orphans">Delete orphaned composite entities</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/content" title="Configure content formatting and authoring." id="toolbar-link-system-admin_config_content" class="toolbar-icon toolbar-icon-system-admin-config-content" data-drupal-link-system-path="admin/config/content">Content authoring</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/content/fontawesome" title="Global settings for the display of Font Awesome icons." id="toolbar-link-fontawesome-admin_settings" class="toolbar-icon toolbar-icon-fontawesome-admin-settings" data-drupal-link-system-path="admin/config/content/fontawesome">Font Awesome Settings</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/content/paragraphs" id="toolbar-link-paragraphs-settings" class="toolbar-icon toolbar-icon-paragraphs-settings" title="" data-drupal-link-system-path="admin/config/content/paragraphs">Paragraphs settings</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/content/formats" title="Select and configure text editors, and how content is filtered when displayed." id="toolbar-link-filter-admin_overview" class="toolbar-icon toolbar-icon-filter-admin-overview" data-drupal-link-system-path="admin/config/content/formats">Text formats and editors</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/user-interface" title="Configure the administrative user interface." id="toolbar-link-system-admin_config_ui" class="toolbar-icon toolbar-icon-system-admin-config-ui" data-drupal-link-system-path="admin/config/user-interface">User interface</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/user-interface/shortcut" title="Add and modify shortcut sets." id="toolbar-link-entity-shortcut_set-collection" class="toolbar-icon toolbar-icon-entity-shortcut-set-collection" data-drupal-link-system-path="admin/config/user-interface/shortcut">Shortcuts</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/development" title="Configure and use development tools." id="toolbar-link-system-admin_config_development" class="toolbar-icon toolbar-icon-system-admin-config-development" data-drupal-link-system-path="admin/config/development">Development</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/development/performance" title="Configure caching and bandwidth optimization." id="toolbar-link-system-performance_settings" class="toolbar-icon toolbar-icon-system-performance-settings" data-drupal-link-system-path="admin/config/development/performance">Performance</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/development/logging" title="Configure the display of error messages and database logging." id="toolbar-link-system-logging_settings" class="toolbar-icon toolbar-icon-system-logging-settings" data-drupal-link-system-path="admin/config/development/logging">Logging and errors</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/development/maintenance" title="Take the site offline for updates and other maintenance tasks." id="toolbar-link-system-site_maintenance_mode" class="toolbar-icon toolbar-icon-system-site-maintenance-mode" data-drupal-link-system-path="admin/config/development/maintenance">Maintenance mode</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/development/configuration" title="Import and export your configuration." id="toolbar-link-config-sync" class="toolbar-icon toolbar-icon-config-sync" data-drupal-link-system-path="admin/config/development/configuration">Configuration synchronization</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/mt_cookieconsent" title="Configure the content and layout of the MtT Cookie Consent module." id="toolbar-link-mt_cookieconsent-settings" class="toolbar-icon toolbar-icon-mt-cookieconsent-admin" data-drupal-link-system-path="admin/config/mt_cookieconsent">MtT Cookie Consent Module settings</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/media" id="toolbar-link-system-admin_config_media" class="toolbar-icon toolbar-icon-system-admin-config-media" title="" data-drupal-link-system-path="admin/config/media">Media</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/media/file-system" title="Configure the location of uploaded files and how they are accessed." id="toolbar-link-system-file_system_settings" class="toolbar-icon toolbar-icon-system-file-system-settings" data-drupal-link-system-path="admin/config/media/file-system">File system</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/media/image-styles" title="Configure styles that can be used for resizing or adjusting images on display." id="toolbar-link-entity-image_style-collection" class="toolbar-icon toolbar-icon-entity-image-style-collection" data-drupal-link-system-path="admin/config/media/image-styles">Image styles</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/media/image-toolkit" title="Choose which image toolkit to use if you have installed optional toolkits." id="toolbar-link-system-image_toolkit_settings" class="toolbar-icon toolbar-icon-system-image-toolkit-settings" data-drupal-link-system-path="admin/config/media/image-toolkit">Image toolkit</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/search" title="Configure site search, metadata, and search engine optimization." id="toolbar-link-system-admin_config_search" class="toolbar-icon toolbar-icon-system-admin-config-search" data-drupal-link-system-path="admin/config/search">Search and metadata</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/search/pages" title="Configure search pages and search indexing options." id="toolbar-link-entity-search_page-collection" class="toolbar-icon toolbar-icon-entity-search-page-collection" data-drupal-link-system-path="admin/config/search/pages">Search pages</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/search/path" title="Add custom URLs to existing paths." id="toolbar-link-entity-path_alias-collection" class="toolbar-icon toolbar-icon-entity-path-alias-collection" data-drupal-link-system-path="admin/config/search/path">URL aliases</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/regional" title="Configure regional settings, localization, and translation." id="toolbar-link-system-admin_config_regional" class="toolbar-icon toolbar-icon-system-admin-config-regional" data-drupal-link-system-path="admin/config/regional">Regional and language</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/regional/settings" title="Configure the locale and timezone settings." id="toolbar-link-system-regional_settings" class="toolbar-icon toolbar-icon-system-regional-settings" data-drupal-link-system-path="admin/config/regional/settings">Regional settings</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/regional/date-time" title="Configure how dates and times are displayed." id="toolbar-link-entity-date_format-collection" class="toolbar-icon toolbar-icon-entity-date-format-collection" data-drupal-link-system-path="admin/config/regional/date-time">Date and time formats</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/count_down" id="toolbar-link-mt_countdown-admin_index" class="toolbar-icon toolbar-icon-mt-countdown-settings-menu" title="" data-drupal-link-system-path="admin/config/count_down">Count Down</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/mt_countdown" title="Configure the content and layout of the MtT Count Down module." id="toolbar-link-mt_countdown-settings" class="toolbar-icon toolbar-icon-mt-countdown-settings-page" data-drupal-link-system-path="admin/config/mt_countdown">Count Down settings</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/mt_cookieconsent" title="Configure the content and layout of the MtT Cookie Consent module." id="toolbar-link-mt_cookieconsent-settings" class="toolbar-icon toolbar-icon-mt-cookieconsent-admin-config-settings" data-drupal-link-system-path="admin/config/mt_cookieconsent">MtT Cookie Consent Module settings</a>\n              </li>\n                <li class="menu-item menu-item--expanded">\n        <a href="/admin/config/services" id="toolbar-link-system-admin_config_services" class="toolbar-icon toolbar-icon-system-admin-config-services" title="" data-drupal-link-system-path="admin/config/services">Web services</a>\n                                <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/config/services/rss-publishing" title="Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text." id="toolbar-link-system-rss_feeds_settings" class="toolbar-icon toolbar-icon-system-rss-feeds-settings" data-drupal-link-system-path="admin/config/services/rss-publishing">RSS publishing</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/services/juicerio" title="Juicer IO social media feed settings." id="toolbar-link-juicerio-admin" class="toolbar-icon toolbar-icon-juicerio-admin" data-drupal-link-system-path="admin/config/services/juicerio">Juicer settings</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class="menu-item">\n        <a href="/admin/config/workflow" title="Manage the content workflow." id="toolbar-link-system-admin_config_workflow" class="toolbar-icon toolbar-icon-system-admin-config-workflow" data-drupal-link-system-path="admin/config/workflow">Workflow</a>\n              </li>\n        </ul>\n  \n\n";}s:22:"entity-user-collection";s:0:"";s:20:"system-admin_reports";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:3079:"\n              <ul class="toolbar-menu">\n                    <li class="menu-item">\n        <a href="/admin/reports/status" title="Get a status report about your site&#039;s operation." id="toolbar-link-system-status" class="toolbar-icon toolbar-icon-system-status" data-drupal-link-system-path="admin/reports/status">Status report</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/updates" title="Get a status report about available updates for your installed modules and themes." id="toolbar-link-update-status" class="toolbar-icon toolbar-icon-update-status" data-drupal-link-system-path="admin/reports/updates">Available updates</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/dblog" title="View events that have recently been logged." id="toolbar-link-dblog-overview" class="toolbar-icon toolbar-icon-dblog-overview" data-drupal-link-system-path="admin/reports/dblog">Recent log messages</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/fields" title="Overview of fields on all entity types." id="toolbar-link-entity-field_storage_config-collection" class="toolbar-icon toolbar-icon-entity-field-storage-config-collection" data-drupal-link-system-path="admin/reports/fields">Field list</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/access-denied" title="View &#039;access denied&#039; errors (403s)." id="toolbar-link-dblog-access_denied" class="toolbar-icon toolbar-icon-dblog-access-denied" data-drupal-link-system-path="admin/reports/access-denied">Top &#039;access denied&#039; errors</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/page-not-found" title="View &#039;page not found&#039; errors (404s)." id="toolbar-link-dblog-page_not_found" class="toolbar-icon toolbar-icon-dblog-page-not-found" data-drupal-link-system-path="admin/reports/page-not-found">Top &#039;page not found&#039; errors</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/search" title="View most popular search phrases." id="toolbar-link-dblog-search" class="toolbar-icon toolbar-icon-dblog-search" data-drupal-link-system-path="admin/reports/search">Top search phrases</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/views-plugins" title="Overview of plugins used in all views." id="toolbar-link-views_ui-reports_plugins" class="toolbar-icon toolbar-icon-views-ui-reports-plugins" data-drupal-link-system-path="admin/reports/views-plugins">Views plugins</a>\n              </li>\n                <li class="menu-item">\n        <a href="/admin/reports/webform-plugins/elements" title="Overview of plugins used by the Webform module." id="toolbar-link-webform-reports_plugins-elements" class="toolbar-icon toolbar-icon-webform-reports-plugins" data-drupal-link-system-path="admin/reports/webform-plugins/elements">Webform plugins</a>\n              </li>\n        </ul>\n  \n\n";}s:9:"help-main";s:0:"";}}', -1, '1681652752.920', 1, 'config:system.menu.admin rendered', '10'),
('view:mt_speakers:display:page_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=bartik:[timezone]=Europe/Athens:[url.query_args]=:[user]=0', 'a:8:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:13606:"<div class="views-element-container"><div class="view-speakers view view-mt-speakers view-id-mt_speakers view-display-id-page_1 js-view-dom-id-5fc5c2acd38a86cd720eeada2f5988246bf045fe9b7f48ca2b65652a4c054884">\n  \n    \n      \n      <div class="view-content">\n        <h3>A</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="69" role="article" about="/node/69" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/69" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Abdullah Lang</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/69" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-1.jpg?itok=IT47rQcT" width="750" height="750" alt="Speaker One" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/53" hreflang="en">First Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>J</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="66" role="article" about="/node/66" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/66" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Justine Henderson</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/66" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-4_0.jpg?itok=2w3QyaLo" width="750" height="750" alt="Speaker Four" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Web Designer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/56" hreflang="en">Fourth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>M</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="64" role="article" about="/node/64" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/64" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Marcus Cruz</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/64" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-6.jpg?itok=fG0Fb5Fi" width="750" height="750" alt="Speaker Six" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/58" hreflang="en">Sixth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://www.youtube.com/</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="68" role="article" about="/node/68" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/68" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Mathias Little</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/68" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-2.jpg?itok=XeeVlqgF" width="750" height="750" alt="Speaker Two" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/54" hreflang="en">Second Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>T</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="67" role="article" about="/node/67" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/67" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Thalia Cobb</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/67" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-3.jpg?itok=cb5gyDfD" width="750" height="750" alt="Speaker Three" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Medic</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/55" hreflang="en">Third Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n  <h3>W</h3>\n    <div class="clearfix listing-item views-row">\n<article data-history-node-id="65" role="article" about="/node/65" class="node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item clearfix">\n  <header>\n    \n            <h2 class="node__title">\n        <a href="/node/65" rel="bookmark"><span class="field field--name-title field--type-string field--label-hidden">Waylon Dalton</span>\n</a>\n      </h2>\n        \n      </header>\n  <div class="node__content clearfix">\n    \n            <div class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/65" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-5.jpg?itok=bleOI9x-" width="750" height="750" alt="Speaker Five" typeof="foaf:Image" class="image-style-mt-member-photo" />\n\n</a>\n</div>\n      \n            <div class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/57" hreflang="en">Fifth Affiliation</a></div>\n          </div>\n  \n            <div class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div class="clearfix text-formatted field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n</article>\n</div>\n\n    </div>\n  \n      \n          </div>\n</div>\n";}s:9:"#attached";a:2:{s:7:"library";a:14:{i:0;s:18:"views/views.module";i:1;s:18:"bartik/classy.node";i:2;s:18:"bartik/classy.node";i:3;s:18:"bartik/classy.node";i:4;s:18:"bartik/classy.node";i:5;s:18:"bartik/classy.node";i:6;s:18:"bartik/classy.node";i:7;s:18:"views/views.module";i:8;s:18:"bartik/classy.node";i:9;s:18:"bartik/classy.node";i:10;s:18:"bartik/classy.node";i:11;s:18:"bartik/classy.node";i:12;s:18:"bartik/classy.node";i:13;s:18:"bartik/classy.node";}s:14:"drupalSettings";a:0:{}}s:6:"#cache";a:3:{s:8:"contexts";a:8:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";i:6;s:5:"theme";i:7;s:8:"timezone";}s:4:"tags";a:26:{i:0;s:29:"config:views.view.mt_speakers";i:1;s:9:"node_list";i:2;s:7:"node:65";i:3;s:7:"node:67";i:4;s:7:"node:68";i:5;s:7:"node:64";i:6;s:7:"node:66";i:7;s:7:"node:69";i:8;s:6:"user:0";i:9;s:26:"config:user.role.anonymous";i:10;s:9:"node_view";i:11;s:31:"config:filter.format.basic_html";i:12;s:16:"taxonomy_term:57";i:13;s:34:"config:image.style.mt_member_photo";i:14;s:8:"file:222";i:15;s:6:"user:1";i:16;s:16:"taxonomy_term:55";i:17;s:8:"file:219";i:18;s:16:"taxonomy_term:54";i:19;s:8:"file:218";i:20;s:16:"taxonomy_term:58";i:21;s:8:"file:223";i:22;s:16:"taxonomy_term:56";i:23;s:8:"file:221";i:24;s:16:"taxonomy_term:53";i:25;s:8:"file:217";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:4:{i:0;s:8:"#view_id";i:1;s:30:"#view_display_show_admin_links";i:2;s:23:"#view_display_plugin_id";i:3;s:6:"#title";}s:8:"#view_id";s:11:"mt_speakers";s:23:"#view_display_plugin_id";s:4:"page";s:30:"#view_display_show_admin_links";b:1;s:6:"#title";a:2:{s:7:"#markup";s:8:"Speakers";s:13:"#allowed_tags";a:12:{i:0;s:1:"a";i:1;s:2:"em";i:2;s:6:"strong";i:3;s:4:"cite";i:4;s:10:"blockquote";i:5;s:4:"code";i:6;s:2:"ul";i:7;s:2:"ol";i:8;s:2:"li";i:9;s:2:"dl";i:10;s:2:"dt";i:11;s:2:"dd";}}}', -1, '1681650107.899', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo config:user.role.anonymous config:views.view.mt_speakers file:217 file:218 file:219 file:221 file:222 file:223 node:64 node:65 node:66 node:67 node:68 node:69 node_list node_view rendered taxonomy_term:53 taxonomy_term:54 taxonomy_term:55 taxonomy_term:56 taxonomy_term:57 taxonomy_term:58 user:0 user:1', '1'),
('view:mt_speakers:display:page_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=olivero:[timezone]=Europe/Athens:[url.query_args]=:[user]=1', 'a:8:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:18564:"<div class="views-element-container contextual-region"><div class="view-speakers contextual-region view view-mt-speakers view-id-mt_speakers view-display-id-page_1 js-view-dom-id-e2b5b3d290bcfc6e1ebb542ba4e89de1e5cf7a30aa047e7e4f772158d96b64e8">\n  \n    <div data-contextual-id="entity.view.edit_form:view=mt_speakers:location=page&amp;name=mt_speakers&amp;display_id=page_1&amp;langcode=en" data-contextual-token="ZHZ78mSq9rqCuyQNUX_uMsTUT7aQNFErvZqCyJrh0QU"></div>\n      \n      <div class="view-content">\n        <h3>A</h3>\n    <div class="clearfix listing-item views-row">\n\n<article data-history-node-id="69" data-quickedit-entity-id="node/69" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/69">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/69" rel="bookmark">\n<span data-quickedit-field-id="node/69/title/en/mt_listing_item">Abdullah Lang</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=69:changed=1521726866&amp;langcode=en" data-contextual-token="Q3gkkNNL9vQ192SUH9Xvhs6jPzCqbRDyv6tQDOA2yxg"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/69/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/69" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-1.jpg?itok=IT47rQcT" width="750" height="750" alt="Speaker One" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div data-quickedit-field-id="node/69/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/53" hreflang="en">First Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/69/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/69/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n</div>\n  <h3>J</h3>\n    <div class="clearfix listing-item views-row">\n\n<article data-history-node-id="66" data-quickedit-entity-id="node/66" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/66">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/66" rel="bookmark">\n<span data-quickedit-field-id="node/66/title/en/mt_listing_item">Justine Henderson</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=66:changed=1521726854&amp;langcode=en" data-contextual-token="KUoCbfvVJ27C6tVB699UzccIuNwWJ1_8EbSWDkehUKE"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/66/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/66" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-4_0.jpg?itok=2w3QyaLo" width="750" height="750" alt="Speaker Four" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Web Designer</div>\n      \n      <div data-quickedit-field-id="node/66/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/56" hreflang="en">Fourth Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/66/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/66/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n</div>\n  <h3>M</h3>\n    <div class="clearfix listing-item views-row">\n\n<article data-history-node-id="64" data-quickedit-entity-id="node/64" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/64">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/64" rel="bookmark">\n<span data-quickedit-field-id="node/64/title/en/mt_listing_item">Marcus Cruz</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=64:changed=1521726881&amp;langcode=en" data-contextual-token="MHHgDaERgIgUxN9uCzUBpqN8PY8G4sDPLBYRfuzdCq4"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/64/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/64" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-6.jpg?itok=fG0Fb5Fi" width="750" height="750" alt="Speaker Six" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div data-quickedit-field-id="node/64/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/58" hreflang="en">Sixth Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/64/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://www.youtube.com/</div>\n      \n            <div data-quickedit-field-id="node/64/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n</div>\n    <div class="clearfix listing-item views-row">\n\n<article data-history-node-id="68" data-quickedit-entity-id="node/68" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/68">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/68" rel="bookmark">\n<span data-quickedit-field-id="node/68/title/en/mt_listing_item">Mathias Little</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=68:changed=1521726909&amp;langcode=en" data-contextual-token="JLpm2rywHn98HBRSX8gKjg7zxClQdlXMgWgY_mkrR7E"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/68/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/68" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-2.jpg?itok=XeeVlqgF" width="750" height="750" alt="Speaker Two" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Engineer</div>\n      \n      <div data-quickedit-field-id="node/68/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/54" hreflang="en">Second Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/68/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/68/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n</div>\n  <h3>T</h3>\n    <div class="clearfix listing-item views-row">\n\n<article data-history-node-id="67" data-quickedit-entity-id="node/67" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/67">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/67" rel="bookmark">\n<span data-quickedit-field-id="node/67/title/en/mt_listing_item">Thalia Cobb</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=67:changed=1521726894&amp;langcode=en" data-contextual-token="NvsRlSYN3j-YMcJCelst_f7vBFfYnu52jYkxexAqUM0"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/67/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/67" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-3.jpg?itok=cb5gyDfD" width="750" height="750" alt="Speaker Three" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Medic</div>\n      \n      <div data-quickedit-field-id="node/67/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/55" hreflang="en">Third Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/67/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/67/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n</div>\n  <h3>W</h3>\n    <div class="clearfix listing-item views-row">\n\n<article data-history-node-id="65" data-quickedit-entity-id="node/65" role="article" class="contextual-region node node--type-mt-speaker node--promoted node--view-mode-mt-listing-item" about="/node/65">\n  <header class="">\n    \n            <h2 class="node__title">\n        <a href="/node/65" rel="bookmark">\n<span data-quickedit-field-id="node/65/title/en/mt_listing_item">Waylon Dalton</span>\n</a>\n      </h2>\n        <div data-contextual-id="node:node=65:changed=1521726841&amp;langcode=en" data-contextual-token="_PXUxZ-C4ZmPMEnsSrR-WtM6PT2iwiLdOoPC9JD26gg"></div>\n      </header>\n  <div class="node__content">\n        \n            <div data-quickedit-field-id="node/65/field_mt_spk_speaker_photo/en/mt_listing_item" class="field field--name-field-mt-spk-speaker-photo field--type-image field--label-hidden field__item">  <a href="/node/65" hreflang="en"><img loading="lazy" src="/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-5.jpg?itok=bleOI9x-" width="750" height="750" alt="Speaker Five" typeof="foaf:Image" />\n\n</a>\n</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_subtitle/en/mt_listing_item" class="field field--name-field-mt-spk-subtitle field--type-string field--label-hidden field__item">Manager</div>\n      \n      <div data-quickedit-field-id="node/65/field_mt_spk_affiliations/en/mt_listing_item" class="field field--name-field-mt-spk-affiliations field--type-entity-reference field--label-hidden field__items">\n              <div class="field__item"><a href="/taxonomy/term/57" hreflang="en">Fifth Affiliation</a></div>\n          </div>\n  \n            <div data-quickedit-field-id="node/65/field_mt_spk_facebook_account/en/mt_listing_item" class="field field--name-field-mt-spk-facebook-account field--type-string field--label-hidden field__item">https://www.facebook.com</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_twitter_account/en/mt_listing_item" class="field field--name-field-mt-spk-twitter-account field--type-string field--label-hidden field__item">https://twitter.com/</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_linkedin_account/en/mt_listing_item" class="field field--name-field-mt-spk-linkedin-account field--type-string field--label-hidden field__item">https://www.linkedin.com</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_youtube_account/en/mt_listing_item" class="field field--name-field-mt-spk-youtube-account field--type-string field--label-hidden field__item">https://youtube.com</div>\n      \n            <div data-quickedit-field-id="node/65/field_mt_spk_body/en/mt_listing_item" class="text-content clearfix field field--name-field-mt-spk-body field--type-text-with-summary field--label-hidden field__item"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut lab</p></div>\n      \n  </div>\n  </article>\n</div>\n\n    </div>\n  \n      \n          </div>\n</div>\n";}s:9:"#attached";a:2:{s:7:"library";a:2:{i:0;s:18:"views/views.module";i:1;s:18:"views/views.module";}s:14:"drupalSettings";a:0:{}}s:6:"#cache";a:3:{s:8:"contexts";a:8:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";i:6;s:5:"theme";i:7;s:8:"timezone";}s:4:"tags";a:26:{i:0;s:29:"config:views.view.mt_speakers";i:1;s:9:"node_list";i:2;s:7:"node:65";i:3;s:7:"node:67";i:4;s:7:"node:68";i:5;s:7:"node:64";i:6;s:7:"node:66";i:7;s:7:"node:69";i:8;s:6:"user:1";i:9;s:30:"config:user.role.authenticated";i:10;s:30:"config:user.role.administrator";i:11;s:9:"node_view";i:12;s:31:"config:filter.format.basic_html";i:13;s:16:"taxonomy_term:57";i:14;s:34:"config:image.style.mt_member_photo";i:15;s:8:"file:222";i:16;s:16:"taxonomy_term:55";i:17;s:8:"file:219";i:18;s:16:"taxonomy_term:54";i:19;s:8:"file:218";i:20;s:16:"taxonomy_term:58";i:21;s:8:"file:223";i:22;s:16:"taxonomy_term:56";i:23;s:8:"file:221";i:24;s:16:"taxonomy_term:53";i:25;s:8:"file:217";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:4:{i:0;s:8:"#view_id";i:1;s:30:"#view_display_show_admin_links";i:2;s:23:"#view_display_plugin_id";i:3;s:6:"#title";}s:8:"#view_id";s:11:"mt_speakers";s:23:"#view_display_plugin_id";s:4:"page";s:30:"#view_display_show_admin_links";b:1;s:6:"#title";a:2:{s:7:"#markup";s:8:"Speakers";s:13:"#allowed_tags";a:12:{i:0;s:1:"a";i:1;s:2:"em";i:2;s:6:"strong";i:3;s:4:"cite";i:4;s:10:"blockquote";i:5;s:4:"code";i:6;s:2:"ul";i:7;s:2:"ol";i:8;s:2:"li";i:9;s:2:"dl";i:10;s:2:"dt";i:11;s:2:"dd";}}}', -1, '1681652765.049', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo config:user.role.administrator config:user.role.authenticated config:views.view.mt_speakers file:217 file:218 file:219 file:221 file:222 file:223 node:64 node:65 node:66 node:67 node:68 node:69 node_list node_view rendered taxonomy_term:53 taxonomy_term:54 taxonomy_term:55 taxonomy_term:56 taxonomy_term:57 taxonomy_term:58 user:1', '2');
INSERT INTO `cache_render` VALUES
('view:mt_speakers:display:page_1:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:4:"view";i:1;s:11:"mt_speakers";i:2;s:7:"display";i:3;s:6:"page_1";}s:8:"contexts";a:8:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";i:6;s:5:"theme";i:7;s:8:"timezone";}s:4:"tags";a:26:{i:0;s:29:"config:views.view.mt_speakers";i:1;s:9:"node_list";i:2;s:7:"node:65";i:3;s:7:"node:67";i:4;s:7:"node:68";i:5;s:7:"node:64";i:6;s:7:"node:66";i:7;s:7:"node:69";i:8;s:6:"user:0";i:9;s:26:"config:user.role.anonymous";i:10;s:9:"node_view";i:11;s:31:"config:filter.format.basic_html";i:12;s:16:"taxonomy_term:57";i:13;s:34:"config:image.style.mt_member_photo";i:14;s:8:"file:222";i:15;s:6:"user:1";i:16;s:16:"taxonomy_term:55";i:17;s:8:"file:219";i:18;s:16:"taxonomy_term:54";i:19;s:8:"file:218";i:20;s:16:"taxonomy_term:58";i:21;s:8:"file:223";i:22;s:16:"taxonomy_term:56";i:23;s:8:"file:221";i:24;s:16:"taxonomy_term:53";i:25;s:8:"file:217";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681650107.898', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo config:user.role.anonymous config:views.view.mt_speakers file:217 file:218 file:219 file:221 file:222 file:223 node:64 node:65 node:66 node:67 node:68 node:69 node_list node_view rendered taxonomy_term:53 taxonomy_term:54 taxonomy_term:55 taxonomy_term:56 taxonomy_term:57 taxonomy_term:58 user:0 user:1', '1'),
('view:mt_speakers:display:page_1:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:2:{s:15:"#cache_redirect";b:1;s:6:"#cache";a:5:{s:4:"keys";a:4:{i:0;s:4:"view";i:1;s:11:"mt_speakers";i:2;s:7:"display";i:3;s:6:"page_1";}s:8:"contexts";a:8:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";i:6;s:5:"theme";i:7;s:8:"timezone";}s:4:"tags";a:26:{i:0;s:29:"config:views.view.mt_speakers";i:1;s:9:"node_list";i:2;s:7:"node:65";i:3;s:7:"node:67";i:4;s:7:"node:68";i:5;s:7:"node:64";i:6;s:7:"node:66";i:7;s:7:"node:69";i:8;s:6:"user:1";i:9;s:30:"config:user.role.authenticated";i:10;s:30:"config:user.role.administrator";i:11;s:9:"node_view";i:12;s:31:"config:filter.format.basic_html";i:13;s:16:"taxonomy_term:57";i:14;s:34:"config:image.style.mt_member_photo";i:15;s:8:"file:222";i:16;s:16:"taxonomy_term:55";i:17;s:8:"file:219";i:18;s:16:"taxonomy_term:54";i:19;s:8:"file:218";i:20;s:16:"taxonomy_term:58";i:21;s:8:"file:223";i:22;s:16:"taxonomy_term:56";i:23;s:8:"file:221";i:24;s:16:"taxonomy_term:53";i:25;s:8:"file:217";}s:7:"max-age";i:-1;s:3:"bin";s:6:"render";}}', -1, '1681652765.048', 1, 'config:filter.format.basic_html config:image.style.mt_member_photo config:user.role.administrator config:user.role.authenticated config:views.view.mt_speakers file:217 file:218 file:219 file:221 file:222 file:223 node:64 node:65 node:66 node:67 node:68 node:69 node_list node_view rendered taxonomy_term:53 taxonomy_term:54 taxonomy_term:55 taxonomy_term:56 taxonomy_term:57 taxonomy_term:58 user:1', '2'),
('views:fields:mt_speakers:page_1:3527d57e3cee06376a8dfe1bad38cd4a1891f6ae9a07eab4df4259846bbf69af:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:67";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"T";}}}', -1, '1681650107.714', 1, 'config:views.view.mt_speakers node:67 rendered', '1'),
('views:fields:mt_speakers:page_1:3527d57e3cee06376a8dfe1bad38cd4a1891f6ae9a07eab4df4259846bbf69af:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:67";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"T";}}}', -1, '1681652764.914', 1, 'config:views.view.mt_speakers node:67 rendered', '2'),
('views:fields:mt_speakers:page_1:42677517ec475ff8b230b6392ce3ae3524c5f8b5ae7f87c8ce7e9b535d83e312:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:65";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"W";}}}', -1, '1681650107.715', 1, 'config:views.view.mt_speakers node:65 rendered', '1'),
('views:fields:mt_speakers:page_1:42677517ec475ff8b230b6392ce3ae3524c5f8b5ae7f87c8ce7e9b535d83e312:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:65";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"W";}}}', -1, '1681652764.915', 1, 'config:views.view.mt_speakers node:65 rendered', '2'),
('views:fields:mt_speakers:page_1:7b1e1cbcf80beea5ea241dacfe45c97f55576919ff10c31f41dcb957542091a0:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:66";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"J";}}}', -1, '1681650107.710', 1, 'config:views.view.mt_speakers node:66 rendered', '1'),
('views:fields:mt_speakers:page_1:7b1e1cbcf80beea5ea241dacfe45c97f55576919ff10c31f41dcb957542091a0:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:66";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"J";}}}', -1, '1681652764.911', 1, 'config:views.view.mt_speakers node:66 rendered', '2'),
('views:fields:mt_speakers:page_1:a410e7cfe12dd28eac4196bf98136fc165a8951d0519f9a40c1f20e3402e307b:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:64";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"M";}}}', -1, '1681650107.712', 1, 'config:views.view.mt_speakers node:64 rendered', '1'),
('views:fields:mt_speakers:page_1:a410e7cfe12dd28eac4196bf98136fc165a8951d0519f9a40c1f20e3402e307b:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:64";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"M";}}}', -1, '1681652764.912', 1, 'config:views.view.mt_speakers node:64 rendered', '2'),
('views:fields:mt_speakers:page_1:ba8ef44f1874ed3008cdb6ae198673ca2d9e63b797cd11a41275dc6444bee673:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:68";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"M";}}}', -1, '1681650107.713', 1, 'config:views.view.mt_speakers node:68 rendered', '1'),
('views:fields:mt_speakers:page_1:ba8ef44f1874ed3008cdb6ae198673ca2d9e63b797cd11a41275dc6444bee673:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:68";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"M";}}}', -1, '1681652764.913', 1, 'config:views.view.mt_speakers node:68 rendered', '2'),
('views:fields:mt_speakers:page_1:bf533608c4622a9bef0af1b574d68722002c7c72930ebae2b3157d6b8ce5d10e:[languages:language_interface]=en:[theme]=bartik:[user.permissions]=da1be2425bed08ffb0f6de34e1152cc915067f6e22f70acbcacd2dc0a3d51a88', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:69";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"A";}}}', -1, '1681650107.709', 1, 'config:views.view.mt_speakers node:69 rendered', '1'),
('views:fields:mt_speakers:page_1:bf533608c4622a9bef0af1b574d68722002c7c72930ebae2b3157d6b8ce5d10e:[languages:language_interface]=en:[theme]=olivero:[user.permissions]=fceea594f4ece42da19857b775046f09535240045be157065469c1c302442469', 'a:5:{s:7:"#markup";s:0:"";s:9:"#attached";a:0:{}s:6:"#cache";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:5:"theme";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:7:"node:69";i:1;s:29:"config:views.view.mt_speakers";}s:7:"max-age";i:-1;}s:17:"#cache_properties";a:1:{i:0;s:5:"title";}s:5:"title";a:1:{s:7:"#markup";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:1:"A";}}}', -1, '1681652764.910', 1, 'config:views.view.mt_speakers node:69 rendered', '2');

-- --------------------------------------------------------

--
-- Table structure for table `cache_toolbar`
--

CREATE TABLE `cache_toolbar` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Storage for the cache API.';

-- --------------------------------------------------------

--
-- Table structure for table `comment`
--

CREATE TABLE `comment` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `comment_type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`cid`),
  UNIQUE KEY `comment_field__uuid__value` (`uuid`),
  KEY `comment_field__comment_type__target_id` (`comment_type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for comment entities.';

--
-- Dumping data for table `comment`
--

INSERT INTO `comment` VALUES
(1, 'comment', '288ca664-a37e-464f-ab7a-eccde4421427', 'en'),
(2, 'comment', '1df7a4b8-221a-4f79-93be-845150214c02', 'en'),
(3, 'comment', '7c97b3fa-e62e-476c-a4ff-fd58c4ccbcc6', 'en'),
(6, 'comment', '1af9a8eb-c4c3-4152-a7a3-3b0794219785', 'en'),
(8, 'comment', '92d13309-96d8-479d-a6bc-082cb87a046e', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `comment_entity_statistics`
--

CREATE TABLE `comment_entity_statistics` (
  `entity_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The entity_id of the entity for which the statistics are compiled.',
  `entity_type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT 'node' COMMENT 'The entity_type of the entity to which this comment is a reply.',
  `field_name` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field_name of the field that was used to add this comment.',
  `cid` int(11) NOT NULL DEFAULT 0 COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The total number of comments on this entity.',
  PRIMARY KEY (`entity_id`,`entity_type`,`field_name`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Maintains statistics of entity and comments posts to show …';

--
-- Dumping data for table `comment_entity_statistics`
--

INSERT INTO `comment_entity_statistics` VALUES
(10, 'node', 'comment', 0, 1465328627, NULL, 1, 0),
(11, 'node', 'comment', 0, 1465328736, NULL, 1, 0),
(12, 'node', 'comment', 0, 1465328812, NULL, 1, 0),
(13, 'node', 'comment', 0, 1518631760, '', 1, 0),
(14, 'node', 'comment', 0, 1465328948, NULL, 1, 0),
(15, 'node', 'comment', 8, 1520416665, '', 1, 5),
(23, 'node', 'comment', 0, 1517589270, '', 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `comment_field_data`
--

CREATE TABLE `comment_field_data` (
  `cid` int(10) unsigned NOT NULL,
  `comment_type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `pid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `entity_id` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `subject` varchar(64) DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `name` varchar(60) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `homepage` varchar(255) DEFAULT NULL,
  `hostname` varchar(128) DEFAULT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `thread` varchar(255) NOT NULL,
  `entity_type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `field_name` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`cid`,`langcode`),
  KEY `comment_field__comment_type__target_id` (`comment_type`),
  KEY `comment_field__created` (`created`),
  KEY `comment__id__default_langcode__langcode` (`cid`,`default_langcode`,`langcode`),
  KEY `comment__status_comment_type` (`status`,`comment_type`,`cid`),
  KEY `comment__status_pid` (`pid`,`status`),
  KEY `comment__num_new` (`entity_id`,`entity_type`,`comment_type`,`status`,`created`,`cid`,`thread`(191)),
  KEY `comment__entity_langcode` (`entity_id`,`entity_type`,`comment_type`,`default_langcode`),
  KEY `comment_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for comment entities.';

--
-- Dumping data for table `comment_field_data`
--

INSERT INTO `comment_field_data` VALUES
(1, 'comment', 'en', NULL, 15, 'Duis egestas convallis', 1, NULL, NULL, NULL, '::1', 1465331062, 1520416631, 1, '01/', 'node', 'comment', 1),
(2, 'comment', 'en', 1, 15, 'Habitant morbi tristique', 1, NULL, NULL, NULL, '::1', 1465331089, 1520416639, 1, '01.00/', 'node', 'comment', 1),
(3, 'comment', 'en', NULL, 15, 'Commodo sit amet vehicula', 1, NULL, NULL, NULL, '::1', 1465331111, 1520416647, 1, '02/', 'node', 'comment', 1),
(6, 'comment', 'en', NULL, 15, 'Morbi tristique senectus', 1, NULL, NULL, NULL, '::1', 1475863774, 1520416657, 1, '03/', 'node', 'comment', 1),
(8, 'comment', 'en', NULL, 15, 'Malesuada fames ac turpis', 1, NULL, NULL, NULL, '::1', 1485462508, 1520416665, 1, '04/', 'node', 'comment', 1);

-- --------------------------------------------------------

--
-- Table structure for table `comment__comment_body`
--

CREATE TABLE `comment__comment_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext NOT NULL,
  `comment_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for comment field comment_body.';

--
-- Dumping data for table `comment__comment_body`
--

INSERT INTO `comment__comment_body` VALUES
('comment', 0, 1, 1, 'en', 0, '<p>Duis egestas convallis elit sit amet tempus. Morbi arcu arcu, commodo sit amet vehicula nec, aliquam ac tellus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n', 'basic_html'),
('comment', 0, 2, 2, 'en', 0, '<p>Duis egestas convallis elit sit amet tempus. Morbi arcu arcu, commodo sit amet vehicula nec, aliquam ac tellus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n', 'basic_html'),
('comment', 0, 3, 3, 'en', 0, '<p>Duis egestas convallis elit sit amet tempus. Morbi arcu arcu, commodo sit amet vehicula nec, aliquam ac tellus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n', 'basic_html'),
('comment', 0, 6, 6, 'en', 0, '<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html'),
('comment', 0, 8, 8, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `config`
--

CREATE TABLE `config` (
  `collection` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object collection.',
  `name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object name.',
  `data` longblob DEFAULT NULL COMMENT 'A serialized configuration object data.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for configuration data.';

--
-- Dumping data for table `config`
--

INSERT INTO `config` VALUES
('', 'automated_cron.settings', 'a:2:{s:8:"interval";i:10800;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fUksROt4FfkAU9BV4hV2XvhTBSS2nTNrZS4U7S-tKrs";}}'),
('', 'block.block.aboutfooter', 'a:12:{s:4:"uuid";s:36:"e6fbdcd2-4e1a-4a59-ae05-dc851d0776c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:56181db7-a452-44b8-bca5-8cf9de50ed1c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"aboutfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:56181db7-a452-44b8-bca5-8cf9de50ed1c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:56181db7-a452-44b8-bca5-8cf9de50ed1c";s:5:"label";s:14:"About (footer)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.aboutme', 'a:12:{s:4:"uuid";s:36:"59c5de11-9b4c-4dd4-aeb1-aa1320cba44f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d3c5868b-e0ca-43fd-9e80-828ad308eea5";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"aboutme";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d3c5868b-e0ca-43fd-9e80-828ad308eea5";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d3c5868b-e0ca-43fd-9e80-828ad308eea5";s:5:"label";s:8:"About me";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.address', 'a:12:{s:4:"uuid";s:36:"d3f88b9c-42d5-4e86-9f4e-364ff7c2e313";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:165f7847-15c7-4a04-9acf-8765861ca9a1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"address";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:50:"block_content:165f7847-15c7-4a04-9acf-8765861ca9a1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:165f7847-15c7-4a04-9acf-8765861ca9a1";s:5:"label";s:13:"Venue Address";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.areyoulookingforagreatservice', 'a:12:{s:4:"uuid";s:36:"dd417b8b-815a-4deb-90b3-7fe1bcaf0a04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:c14bd468-befe-4f30-a142-81ace2726783";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:29:"areyoulookingforagreatservice";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:50:"block_content:c14bd468-befe-4f30-a142-81ace2726783";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:c14bd468-befe-4f30-a142-81ace2726783";s:5:"label";s:36:"Are you looking for a great service?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.backgroundimageblockclients', 'a:12:{s:4:"uuid";s:36:"2ba18c03-f53f-45cc-a558-48112d6faf19";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"backgroundimageblockclients";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";s:5:"label";s:32:"Background image block - Clients";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.backgroundimageblockcta', 'a:12:{s:4:"uuid";s:36:"c2fe3bfd-3728-4cc7-9c81-718ba5a5f84f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:23:"backgroundimageblockcta";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:50:"block_content:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";s:5:"label";s:28:"Background image block - CtA";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.backgroundimageblockshowcasescarousel', 'a:12:{s:4:"uuid";s:36:"34f50f77-7219-4f36-a963-1adb0b3c2f12";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:2097ae93-a297-410b-acc6-d59748d40e90";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:37:"backgroundimageblockshowcasescarousel";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:20:"content_bottom_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2097ae93-a297-410b-acc6-d59748d40e90";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2097ae93-a297-410b-acc6-d59748d40e90";s:5:"label";s:42:"Background image block - Albums (carousel)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.benefits', 'a:12:{s:4:"uuid";s:36:"d1f99bfd-23ce-4195-9e73-73a7141be77a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:62:"block_content:mt_if_block:64c7c159-c508-4191-b661-05ea9107cdd5";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"benefits";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:64c7c159-c508-4191-b661-05ea9107cdd5";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:64c7c159-c508-4191-b661-05ea9107cdd5";s:5:"label";s:8:"Benefits";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.calltoaction', 'a:12:{s:4:"uuid";s:36:"2b69e964-be88-49ac-a4d8-05e1e2b2c847";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:484e39d9-79e3-484e-9855-6b935d61bd03";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"calltoaction";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:5:"label";s:14:"Call to action";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.calltoaction2', 'a:12:{s:4:"uuid";s:36:"c0036d15-91a7-4700-bc8a-053eae359499";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"calltoaction2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";s:5:"label";s:16:"Call to action 2";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.calltoaction_2', 'a:12:{s:4:"uuid";s:36:"63759610-6f81-43c5-bd6c-64ee7d363a15";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:484e39d9-79e3-484e-9855-6b935d61bd03";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"calltoaction_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:5:"label";s:14:"Call to action";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.collapsibleblock', 'a:12:{s:4:"uuid";s:36:"b894d68d-a55f-411f-8988-82ab71fd6ac9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:71:"block_content:mt_collapsible_block:2d618db5-2ef3-4607-b59e-6c41f4dae031";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"collapsibleblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2d618db5-2ef3-4607-b59e-6c41f4dae031";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2d618db5-2ef3-4607-b59e-6c41f4dae031";s:5:"label";s:17:"Collapsible block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_announcement', 'a:12:{s:4:"uuid";s:36:"3a24a11c-4802-4158-9511-e3ea5ba4bf33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b467900a-1ff8-40ea-a8b0-2de331243735";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"conferenceplus_announcement";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:28:"header_top_highlighted_first";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b467900a-1ff8-40ea-a8b0-2de331243735";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b467900a-1ff8-40ea-a8b0-2de331243735";s:5:"label";s:12:"Announcement";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/40";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_blockwithimage', 'a:12:{s:4:"uuid";s:36:"7fdf28cc-3d55-4944-af9c-f6430c954771";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5e872ebe-f221-48b5-8dbf-041d40eecc43";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:29:"conferenceplus_blockwithimage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-52;s:8:"provider";N;s:6:"plugin";s:50:"block_content:5e872ebe-f221-48b5-8dbf-041d40eecc43";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:5e872ebe-f221-48b5-8dbf-041d40eecc43";s:5:"label";s:16:"Block with image";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:963:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/events*\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_branding', 'a:13:{s:4:"uuid";s:36:"b527b37d-492a-490b-8891-00034ef5854f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HWfLOQ4PlgxyPPLuQJCudZyyo5NDMNMOOajK3WsVgTA";}s:2:"id";s:23:"conferenceplus_branding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"header_first";s:6:"weight";i:-6;s:8:"provider";N;s:6:"plugin";s:21:"system_branding_block";s:8:"settings";a:7:{s:2:"id";s:21:"system_branding_block";s:5:"label";s:13:"Site branding";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:13:"use_site_logo";b:1;s:13:"use_site_name";b:1;s:15:"use_site_slogan";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"235d4489-7492-45bf-800f-4f4ba08aba1d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eWFfzfS_ToFrvA7wiGjzzwxhUEfe_-HyKewJBlOd4v8";}s:2:"id";s:26:"conferenceplus_breadcrumbs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"system_messages";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:17:"<front>\r\n/node/82";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_connectwithuslarge', 'a:12:{s:4:"uuid";s:36:"2cbc947a-99cc-4f99-ba0e-19a3ca84c67f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:01709e04-065c-478c-9e73-863194306720";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:33:"conferenceplus_connectwithuslarge";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-53;s:8:"provider";N;s:6:"plugin";s:50:"block_content:01709e04-065c-478c-9e73-863194306720";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:01709e04-065c-478c-9e73-863194306720";s:5:"label";s:32:"Connect with us via social media";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:959:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/contact/alternative\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_contactinfo', 'a:12:{s:4:"uuid";s:36:"8c4cac00-3310-4e42-8bf0-4f4d753ada6e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5c386222-a853-46e7-b120-1d96242be928";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:26:"conferenceplus_contactinfo";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:5c386222-a853-46e7-b120-1d96242be928";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:5c386222-a853-46e7-b120-1d96242be928";s:5:"label";s:12:"Contact Info";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:20:"/contact/alternative";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_contactinfoheadertop', 'a:12:{s:4:"uuid";s:36:"7ba9f362-014d-478e-a169-25be92964cd6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47385a7c-dff7-4f4a-8225-37b53a37da3d";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:35:"conferenceplus_contactinfoheadertop";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"header_top_first";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:47385a7c-dff7-4f4a-8225-37b53a37da3d";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:47385a7c-dff7-4f4a-8225-37b53a37da3d";s:5:"label";s:25:"Contact Info (header top)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_content', 'a:13:{s:4:"uuid";s:36:"e900a9d5-c9d8-4e6d-91dc-9f44aaf85525";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8p7XNVKfUx-9eWJNpNOovI4Xtic06HLRtrlzw123OBU";}s:2:"id";s:22:"conferenceplus_content";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_copyright', 'a:12:{s:4:"uuid";s:36:"11641027-cc8b-4b33-9229-d63288aceaee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:24:"conferenceplus_copyright";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"sub_footer_first";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";s:5:"label";s:9:"Copyright";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_exposedformmt_productspage_1', 'a:12:{s:4:"uuid";s:36:"59c4ba3a-e73b-46f0-8f39-8c1eaa27da42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-54;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_1";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:0:"";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_exposedformmt_productspage_2', 'a:12:{s:4:"uuid";s:36:"ccf0d776-467c-4abf-abc7-7ff23e0f608d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-53;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_2";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_2";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/merchandise-3-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_exposedformmt_productspage_3', 'a:12:{s:4:"uuid";s:36:"f12f4bf7-1fb4-4d57-bd03-b8fbab02b55a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-52;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_3";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/merchandise-2-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_fancylinkedimages', 'a:12:{s:4:"uuid";s:36:"2bec5add-0843-4a4b-a1e5-309c432f9ad2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:79:"block_content:mt_fancy_linked_images_block:2c242b3c-5f08-49b5-9943-898d1f992ced";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:32:"conferenceplus_fancylinkedimages";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2c242b3c-5f08-49b5-9943-898d1f992ced";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2c242b3c-5f08-49b5-9943-898d1f992ced";s:5:"label";s:19:"Fancy linked images";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_footer', 'a:13:{s:4:"uuid";s:36:"d92aa69a-58d1-4e6e-8443-eb17c7e4df42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:18:"system.menu.footer";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tOKRee5a0v12MNZ4qugrUf_tN2BpYaQqyvisHARARLg";}s:2:"id";s:21:"conferenceplus_footer";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"footer";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:24:"system_menu_block:footer";s:8:"settings";a:7:{s:2:"id";s:24:"system_menu_block:footer";s:5:"label";s:11:"Footer menu";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_frontpagetabs', 'a:12:{s:4:"uuid";s:36:"ed699ab4-610a-4b74-b839-c35ac836e998";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_fancy_tabs_block:b6daebc0-8794-4969-94ad-88857e3749e6";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:28:"conferenceplus_frontpagetabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b6daebc0-8794-4969-94ad-88857e3749e6";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b6daebc0-8794-4969-94ad-88857e3749e6";s:5:"label";s:15:"Front Page tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_genericblock', 'a:12:{s:4:"uuid";s:36:"245666af-c45e-4c0e-9f1e-f3f351a05410";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:fae21d9e-1b0b-418f-b1a1-e4f297688838";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"conferenceplus_genericblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:5:"label";s:13:"Generic Block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/node/5";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_help', 'a:13:{s:4:"uuid";s:36:"fd5d8f8d-69f9-4584-a429-962b1fbf6cc9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HWyVkM_vrMjl9s6bvE0rcsiojM6FCs7TD2mpjqLEezQ";}s:2:"id";s:19:"conferenceplus_help";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:8:"provider";s:4:"help";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_local_actions', 'a:13:{s:4:"uuid";s:36:"5b0f1b48-ca64-4949-95e5-9becf8ef094d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mrve08uLfK1QjlfgulH1PFiicHywfZBbv4S-drXIHRE";}s:2:"id";s:28:"conferenceplus_local_actions";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_local_tasks', 'a:13:{s:4:"uuid";s:36:"a0b85f8f-fe1d-46fd-8257-6fd40cc4fdb2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gvQQbPnUIQvkX7OhhiBGW8MGSoIDmPdyTZ63EySAfqQ";}s:2:"id";s:26:"conferenceplus_local_tasks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:4:"Tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:1;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_mainnavigation_2', 'a:12:{s:4:"uuid";s:36:"8ae72d31-e6eb-4441-88cf-d31b20db68c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:31:"conferenceplus_mainnavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:1;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"15";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:28:"cta-active cta-active--email";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:50:"/node/54\r\n/node/53\r\n/node/17\r\n/node/63\r\n/mega-menu";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_main_menu', 'a:13:{s:4:"uuid";s:36:"c95e4ec6-ad8b-45dd-8526-ebfe6d7630bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"dC5dZ_1mZRGvj35u_oYK64ZOB1aJEAZqFvl8FmbPUSc";}s:2:"id";s:24:"conferenceplus_main_menu";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:22:"system_menu_block:main";s:8:"settings";a:7:{s:2:"id";s:22:"system_menu_block:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:981:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/events*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_messages', 'a:13:{s:4:"uuid";s:36:"19b8eee9-a89d-4ded-84bc-bd0a2a593d54";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cD-1Zml8FeQT53O7roSR-kYl5Wm5SBzpwmw_zwLGjkE";}s:2:"id";s:23:"conferenceplus_messages";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"system_messages";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_page_title', 'a:13:{s:4:"uuid";s:36:"f7a6be46-2344-4820-8fdf-b49578e6a2c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6JlyFDpCLptKyEp6Q5AIUuhX9loH6iTrv_QCxEM7bxA";}s:2:"id";s:25:"conferenceplus_page_title";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:439:"/node/35\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/58\r\n/node/59\r\n/node/63\r\n/node/82\r\n/showcases-3-col\r\n/showcases-2-col\r\n/about-us\r\n/investors\r\n/services-3-col\r\n/services-2-col\r\n/services-list\r\n/services-isotope\r\n/products-2-col\r\n/products-3-col\r\n/products-isotope\r\n/products-list\r\n/products-masonry\r\n/showcases-2-col\r\n/showcases-3-col\r\n/showcases-3-col-style-2\r\n/showcases-isotope\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_popularsalesstatic', 'a:12:{s:4:"uuid";s:36:"91d5cd18-b645-4931-a189-da31fa3fc74e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:33:"conferenceplus_popularsalesstatic";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";s:5:"label";s:22:"Popular Sales (Static)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_productslayoutswitcherlistactive', 'a:12:{s:4:"uuid";s:36:"612fa5b3-9c73-4a4d-823f-2d4e4c953f4e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:9acb6453-8126-426b-88ec-d750288e958c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"conferenceplus_productslayoutswitcherlistactive";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:9acb6453-8126-426b-88ec-d750288e958c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:9acb6453-8126-426b-88ec-d750288e958c";s:5:"label";s:41:"Merchandise Layout Switcher (List Active)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:17:"/merchandise-list";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_productslayoutswithergridactive', 'a:12:{s:4:"uuid";s:36:"7fbfc9b3-e614-4cf4-b9d3-7097078d7a55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:46:"conferenceplus_productslayoutswithergridactive";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";s:5:"label";s:40:"Merchandise Layout Swither (Grid active)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:58:"/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-2-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_search', 'a:13:{s:4:"uuid";s:36:"8050817f-48b9-4b28-8abc-8d485939aafb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:6:"search";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mz4tcVV9g3nGzo00bXK28wbUDa1j2rrH9p4Jbhinxps";}s:2:"id";s:21:"conferenceplus_search";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:6:"Search";s:8:"provider";s:6:"search";s:13:"label_display";s:7:"visible";s:7:"page_id";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:971:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_sidebartabs', 'a:12:{s:4:"uuid";s:36:"120b6030-cd0e-45b1-aa88-ccfcac607122";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:ef75ff4d-5049-4e15-91f2-89e64289799e";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:26:"conferenceplus_sidebartabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:5:"label";s:12:"Sidebar tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:980:"<front>\r\n/node/3\r\n/node/5\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/presentations*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_socialbookmarks', 'a:12:{s:4:"uuid";s:36:"386bcb7e-59a6-45ed-881a-e7d32c1ba23c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"conferenceplus_socialbookmarks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:17:"header_top_second";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";s:5:"label";s:16:"Social Bookmarks";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/node/40\r\n/node/63";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_textblocks', 'a:12:{s:4:"uuid";s:36:"edf9f999-1021-4b99-9b16-790a40493b4c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:78f50698-8922-4e4c-ade4-531c59340958";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:25:"conferenceplus_textblocks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:78f50698-8922-4e4c-ade4-531c59340958";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:78f50698-8922-4e4c-ade4-531c59340958";s:5:"label";s:11:"Text blocks";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_collections_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"0efc1f50-254a-46c5-aa3c-836705892d93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_collections_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:59:"conferenceplus_views_block__mt_collections_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:43:"views_block:mt_collections_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:43:"views_block:mt_collections_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_collections_masonry_block_1', 'a:12:{s:4:"uuid";s:36:"9e00754d-db97-4126-8933-86d757bf4a57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:33:"views.view.mt_collections_masonry";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:58:"conferenceplus_views_block__mt_collections_masonry_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:42:"views_block:mt_collections_masonry-block_1";s:8:"settings";a:6:{s:2:"id";s:42:"views_block:mt_collections_masonry-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_latest_block_1', 'a:12:{s:4:"uuid";s:36:"8592efcd-ab10-4322-a84d-a5c31d90529b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"conferenceplus_views_block__mt_latest_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_latest_block_3', 'a:12:{s:4:"uuid";s:36:"691edf14-7bd9-4a23-9525-d53ade64cd55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"conferenceplus_views_block__mt_latest_block_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_3";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_popular_tags_block_1', 'a:12:{s:4:"uuid";s:36:"d24c3972-6788-4628-b837-51186597afcd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_popular_tags";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_popular_tags_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-51;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_popular_tags-block_1";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_popular_tags-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:969:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}');
INSERT INTO `config` VALUES
('', 'block.block.conferenceplus_views_block__mt_pricing_tables_block_1', 'a:12:{s:4:"uuid";s:36:"184c47f2-6b01-45d6-b835-b2910a04ebee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_pricing_tables";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:53:"conferenceplus_views_block__mt_pricing_tables_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:37:"views_block:mt_pricing_tables-block_1";s:8:"settings";a:6:{s:2:"id";s:37:"views_block:mt_pricing_tables-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_products_list_block_1', 'a:12:{s:4:"uuid";s:36:"261f9a48-9380-4025-b725-8b67f250af9c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_products_list";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:52:"conferenceplus_views_block__mt_products_list_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:36:"views_block:mt_products_list-block_1";s:8:"settings";a:6:{s:2:"id";s:36:"views_block:mt_products_list-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_products_masonry_block_1', 'a:12:{s:4:"uuid";s:36:"b3527c50-3d2f-45e5-836e-7b018d155a2f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:30:"views.view.mt_products_masonry";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:55:"conferenceplus_views_block__mt_products_masonry_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:39:"views_block:mt_products_masonry-block_1";s:8:"settings";a:6:{s:2:"id";s:39:"views_block:mt_products_masonry-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_slideshow_boxed_width_block_1', 'a:12:{s:4:"uuid";s:36:"33f02150-fa55-4d26-89cd-765c9f74d85d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_boxed_width";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:60:"conferenceplus_views_block__mt_slideshow_boxed_width_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_slideshow_boxed_width-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_slideshow_boxed_width-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/16";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_slideshow_full_screen_block_1', 'a:12:{s:4:"uuid";s:36:"42edd28e-3462-4ed5-8ec6-57177ff08f59";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_full_screen";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:60:"conferenceplus_views_block__mt_slideshow_full_screen_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_slideshow_full_screen-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_slideshow_full_screen-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_slideshow_full_width_block_1', 'a:12:{s:4:"uuid";s:36:"67d0e0cc-1727-4b15-b9dd-3c2b528b57b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_slideshow_full_width";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:59:"conferenceplus_views_block__mt_slideshow_full_width_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:43:"views_block:mt_slideshow_full_width-block_1";s:8:"settings";a:6:{s:2:"id";s:43:"views_block:mt_slideshow_full_width-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_testimonials_block_1', 'a:12:{s:4:"uuid";s:36:"4c25018e-f5da-41d8-8b07-df33e1b73b14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_testimonials_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_testimonials-block_1";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_testimonials-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_testimonials_block_2', 'a:12:{s:4:"uuid";s:36:"0dd6732e-0540-4619-94f1-24ebd8f579be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_testimonials_block_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_testimonials-block_2";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_testimonials-block_2";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:965:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/presentations*\r\n/events*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfofooter', 'a:12:{s:4:"uuid";s:36:"8e14267d-4c47-47fd-900a-7ac2186d236b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a5cb88c7-1d51-405a-b911-2ea49042a47f";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"contactinfofooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_second";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a5cb88c7-1d51-405a-b911-2ea49042a47f";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a5cb88c7-1d51-405a-b911-2ea49042a47f";s:5:"label";s:23:"Contact the Association";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfofootertop', 'a:12:{s:4:"uuid";s:36:"dcb5d477-b33f-46c7-849d-20dfbfbded53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:20:"contactinfofootertop";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";s:5:"label";s:12:"Contact Info";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfoheader', 'a:12:{s:4:"uuid";s:36:"582d083b-d922-409f-9a43-e0d21e647825";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47ac0b15-76b8-42ad-b349-f76c80485472";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"contactinfoheader";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:47ac0b15-76b8-42ad-b349-f76c80485472";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:47ac0b15-76b8-42ad-b349-f76c80485472";s:5:"label";s:21:"Contact Info (Header)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfoslideout', 'a:12:{s:4:"uuid";s:36:"19fbd9e1-d81e-4714-a1e2-fb520093f7d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:289e95e0-6f1d-40f8-961a-fe8a21410288";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"contactinfoslideout";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:289e95e0-6f1d-40f8-961a-fe8a21410288";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:289e95e0-6f1d-40f8-961a-fe8a21410288";s:5:"label";s:23:"Contact Info (Slideout)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.countdown', 'a:12:{s:4:"uuid";s:36:"37ca0b46-35f4-4dd4-b763-6bcdf96e974a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:12:"mt_countdown";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:9:"countdown";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:12:"mt_countdown";s:8:"settings";a:5:{s:2:"id";s:12:"mt_countdown";s:5:"label";s:10:"Count Down";s:8:"provider";s:12:"mt_countdown";s:13:"label_display";s:1:"0";s:27:"mt_countdown_block_settings";N;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:80:"<front>\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/63\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.customsitebranding', 'a:12:{s:4:"uuid";s:36:"b1913af5-1acb-4c6f-a1b7-7fabda0567bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:31d21c04-eb31-438b-8730-00c9e7511dd7";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"customsitebranding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:31d21c04-eb31-438b-8730-00c9e7511dd7";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:31d21c04-eb31-438b-8730-00c9e7511dd7";s:5:"label";s:20:"Custom site branding";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.fancyblock', 'a:12:{s:4:"uuid";s:36:"b76de573-35bc-4a48-9394-c7f2643c835f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1f5fa21d-094d-4e89-abf6-07aa1e532066";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:10:"fancyblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:5:"label";s:11:"Fancy block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.featuresfrontpage', 'a:12:{s:4:"uuid";s:36:"4789b551-d544-4938-9997-9874595380fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:75233cc9-f9ab-4278-b3a5-3ac326245760";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"featuresfrontpage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:75233cc9-f9ab-4278-b3a5-3ac326245760";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:75233cc9-f9ab-4278-b3a5-3ac326245760";s:5:"label";s:21:"Features (front page)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.footerbottomcustomsitebranding', 'a:12:{s:4:"uuid";s:36:"4e216a01-764f-4790-8c2a-bcc96f1bad5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:30cd384d-66e1-462a-b606-9af85d356ef1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"footerbottomcustomsitebranding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:30cd384d-66e1-462a-b606-9af85d356ef1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:30cd384d-66e1-462a-b606-9af85d356ef1";s:5:"label";s:34:"Footer bottom custom site branding";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.fullwidthslideshow', 'a:12:{s:4:"uuid";s:36:"a7228b23-8adb-481b-a519-4b8f3feb63b6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:74:"block_content:mt_main_slideshow_block:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"fullwidthslideshow";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";s:5:"label";s:19:"Fullwidth Slideshow";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/59";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.googlemapbanner', 'a:12:{s:4:"uuid";s:36:"6a02ab02-7255-412a-8132-d9fe56612676";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"googlemapbanner";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.googlemapbanner_2', 'a:12:{s:4:"uuid";s:36:"3b1c87e1-518e-4d8d-8283-50c1c41ff2fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"googlemapbanner_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:20:"/contact/alternative";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.googlemapbanner_3', 'a:12:{s:4:"uuid";s:36:"fc8a649e-aaeb-4335-b614-ae99f196df32";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"googlemapbanner_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.headerdropdowns', 'a:12:{s:4:"uuid";s:36:"5b108211-d855-47e5-ab36-4b43b07beb96";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:69:"block_content:mt_dropdowns_block:18dc1432-7c77-4b0b-b804-5bd46ab9769a";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"headerdropdowns";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"header_third";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:18dc1432-7c77-4b0b-b804-5bd46ab9769a";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:18dc1432-7c77-4b0b-b804-5bd46ab9769a";s:5:"label";s:16:"Header Dropdowns";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.headertopctabuttons', 'a:12:{s:4:"uuid";s:36:"a7a028b7-625b-4f84-99ee-037bce14ee9f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4afd36a9-3c0d-4d0e-b120-cd814ff11504";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"headertopctabuttons";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:28:"header_top_highlighted_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4afd36a9-3c0d-4d0e-b120-cd814ff11504";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4afd36a9-3c0d-4d0e-b120-cd814ff11504";s:5:"label";s:22:"Header Top CtA buttons";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:38:"/node/63\r\n/node/53\r\n/node/40\r\n/node/17";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.highlights', 'a:12:{s:4:"uuid";s:36:"584f76a5-06a8-49f8-802a-49362220ab53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0524307c-2048-42b8-833e-fe424b730597";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:10:"highlights";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0524307c-2048-42b8-833e-fe424b730597";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0524307c-2048-42b8-833e-fe424b730597";s:5:"label";s:25:"Our highlights, in short.";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.highlightsfrontpage', 'a:12:{s:4:"uuid";s:36:"7a02f097-db7f-4b5d-bc0f-65ff642d46c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:72c169d2-45c6-40c2-82e4-4f0f6f243331";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"highlightsfrontpage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:72c169d2-45c6-40c2-82e4-4f0f6f243331";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:72c169d2-45c6-40c2-82e4-4f0f6f243331";s:5:"label";s:23:"Highlights (front page)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.iconssubfooter', 'a:12:{s:4:"uuid";s:36:"69c542e9-888c-4797-bdbe-7a04ed5adc2e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:14d16969-6207-4173-82a4-bbc2e6eef6a2";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"iconssubfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:5:"label";s:17:"Icons (subfooter)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.interestedininvestingwithus', 'a:12:{s:4:"uuid";s:36:"925dad75-2bb5-4c8d-ae40-377b64669731";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"interestedininvestingwithus";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";s:5:"label";s:32:"Interested in investing with us?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:10:"/investors";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.juicerembedfeed1', 'a:12:{s:4:"uuid";s:36:"8bef6587-3720-427b-ad76-ed7d5037416d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:8:"juicerio";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"juicerembedfeed1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"highlighted";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:19:"juicerio:juicerio_1";s:8:"settings";a:9:{s:2:"id";s:19:"juicerio:juicerio_1";s:5:"label";s:11:"Social Feed";s:8:"provider";s:8:"juicerio";s:13:"label_display";s:7:"visible";s:22:"juicerio_1_post_number";s:2:"20";s:25:"juicerio_1_infinite_pages";s:1:"1";s:21:"juicerio_1_gutter_amt";s:2:"30";s:24:"juicerio_1_column_number";s:1:"4";s:17:"juicerio_1_filter";s:0:"";}s:10:"visibility";a:0:{}}'),
('', 'block.block.landingpagenavigation_2', 'a:12:{s:4:"uuid";s:36:"4c40df7d-982b-43a3-96e8-9b4c86ded561";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"system.menu.landing-page-navigation";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:23:"landingpagenavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:33:"superfish:landing-page-navigation";s:8:"settings";a:52:{s:2:"id";s:33:"superfish:landing-page-navigation";s:5:"label";s:23:"Landing page navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:0;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"12";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:30:"in-page-navigation nav d-block";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:28:"link--smooth-scroll nav-link";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/63";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.languageswitcher', 'a:12:{s:4:"uuid";s:36:"6b1c8b70-5c53-427b-8091-3fa772e60fe5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:eb34fbf2-b05a-462a-bb6d-0d71197be193";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"languageswitcher";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:eb34fbf2-b05a-462a-bb6d-0d71197be193";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:eb34fbf2-b05a-462a-bb6d-0d71197be193";s:5:"label";s:17:"Language Switcher";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.mainnavigation_2', 'a:12:{s:4:"uuid";s:36:"b4d91453-f46d-454d-98cb-e3605ace2f7a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"mainnavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:1;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"15";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:0:"";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/node/54\r\n/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.mainnavigation_4', 'a:12:{s:4:"uuid";s:36:"301bb505-1dfd-4723-b70a-523b3d993aeb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"mainnavigation_4";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:0;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:5:"10000";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"12";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:28:"cta-active cta-active--email";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.mediatab', 'a:12:{s:4:"uuid";s:36:"e9dcb22d-2737-4612-90f0-7cc2e4707b30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_media_tabs_block:735a20a1-935e-461e-8ddf-5a4fdc521f23";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"mediatab";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:735a20a1-935e-461e-8ddf-5a4fdc521f23";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:735a20a1-935e-461e-8ddf-5a4fdc521f23";s:5:"label";s:9:"Media Tab";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.megamenu', 'a:12:{s:4:"uuid";s:36:"6f4b6dd8-e877-49af-a99a-87fd21304918";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:24:"system.menu.mt-mega-menu";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"megamenu";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:22:"superfish:mt-mega-menu";s:8:"settings";a:52:{s:2:"id";s:22:"superfish:mt-mega-menu";s:5:"label";s:9:"Mega Menu";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"17";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:1;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:0:"";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:10:"/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.mystory', 'a:12:{s:4:"uuid";s:36:"4a2b38dd-f09b-4d8e-a086-c3bde3f1549c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b881398c-7d2f-4579-9930-9300538bd2aa";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"mystory";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b881398c-7d2f-4579-9930-9300538bd2aa";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b881398c-7d2f-4579-9930-9300538bd2aa";s:5:"label";s:8:"My Story";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.olivero_account_menu', 'a:13:{s:4:"uuid";s:36:"7da21122-1a94-42eb-ab06-6f48902948ef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:19:"system.menu.account";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gmxYWWHmgbe0Pnv8y48ZLSLH5mEHejOjAP6RLxUfdzU";}s:2:"id";s:20:"olivero_account_menu";s:5:"theme";s:7:"olivero";s:6:"region";s:14:"secondary_menu";s:6:"weight";i:-4;s:8:"provider";N;s:6:"plugin";s:25:"system_menu_block:account";s:8:"settings";a:7:{s:2:"id";s:25:"system_menu_block:account";s:5:"label";s:17:"User account menu";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";s:5:"level";i:1;s:5:"depth";i:1;s:16:"expand_all_items";b:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"7207fb8b-2abc-4328-ad2f-fc056e51d670";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"VhBzWb7lMRtIOg9G7VSw_0uopi-7zXeHq4vXqqV1HFE";}s:2:"id";s:19:"olivero_breadcrumbs";s:5:"theme";s:7:"olivero";s:6:"region";s:10:"breadcrumb";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_content', 'a:13:{s:4:"uuid";s:36:"d4d3c2f4-dd15-46fd-95f0-84330a09d16e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"erQSEZF2XUjNmgTl0uNRBzmg18ZGXwUcw2FhApoeuHk";}s:2:"id";s:15:"olivero_content";s:5:"theme";s:7:"olivero";s:6:"region";s:7:"content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_help', 'a:13:{s:4:"uuid";s:36:"df55a70e-aadc-444d-beca-a00ffd650fc2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"VfPFqqxfkomud5CO8DUijw85QIl9GIxh_nIxLOYESxg";}s:2:"id";s:12:"olivero_help";s:5:"theme";s:7:"olivero";s:6:"region";s:13:"content_above";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"help";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_main_menu', 'a:13:{s:4:"uuid";s:36:"8f91f2e5-61a9-4c7f-b2a9-1320dfa6253b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KWAiziL39uEzmOJEql_wbUP2RtqGceL3WM2CfxhMelE";}s:2:"id";s:17:"olivero_main_menu";s:5:"theme";s:7:"olivero";s:6:"region";s:12:"primary_menu";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:22:"system_menu_block:main";s:8:"settings";a:7:{s:2:"id";s:22:"system_menu_block:main";s:5:"label";s:15:"Main navigation";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";s:5:"level";i:1;s:5:"depth";i:2;s:16:"expand_all_items";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_messages', 'a:13:{s:4:"uuid";s:36:"b8e993e5-2532-4f3c-9d2c-710d282727ca";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"BZ5tpW7H8X4PVGRm3MImTIHd2tN0eF7zOtp4SpRYUA0";}s:2:"id";s:16:"olivero_messages";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_page_title', 'a:13:{s:4:"uuid";s:36:"bfc74345-e26b-4c67-a81d-78f3561d6627";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6aOgWsNTXjqrDm98TXSAjP6qd2nCijD1xw45MrnbK-Y";}s:2:"id";s:18:"olivero_page_title";s:5:"theme";s:7:"olivero";s:6:"region";s:13:"content_above";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_powered', 'a:13:{s:4:"uuid";s:36:"6317a94d-3486-43d3-86f7-280cfe6e35b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eYL19CLDyinGTWYQfBD1DswWzglEotE_kHnHx3AxTXM";}s:2:"id";s:15:"olivero_powered";s:5:"theme";s:7:"olivero";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_powered_by_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_powered_by_block";s:5:"label";s:17:"Powered by Drupal";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_primary_admin_actions', 'a:13:{s:4:"uuid";s:36:"efe3ca24-6c86-4612-b252-fae200ac3356";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q9_2whdOj1YIomfvsIfopROW4FT_X5pY0DjdOiOaQ5U";}s:2:"id";s:29:"olivero_primary_admin_actions";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_primary_local_tasks', 'a:13:{s:4:"uuid";s:36:"288afbea-8976-44ef-9390-670452d7c669";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nGE3EoPQQaQCuqTUtZgw0-KIzmrqdKDzdNQf2JyPUt4";}s:2:"id";s:27:"olivero_primary_local_tasks";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-4;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:12:"Primary tabs";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";s:7:"primary";b:1;s:9:"secondary";b:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_search_form_narrow', 'a:13:{s:4:"uuid";s:36:"ce4cfd14-3e23-4e8e-a6ba-7b24c39b8dd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"yEBET0cqDbk8dkWzaJw-8CKft0961VBflsISoSR6Lj8";}s:2:"id";s:26:"olivero_search_form_narrow";s:5:"theme";s:7:"olivero";s:6:"region";s:12:"primary_menu";s:6:"weight";i:-4;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:20:"Search form (narrow)";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"search";s:7:"page_id";s:0:"";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_search_form_wide', 'a:13:{s:4:"uuid";s:36:"4faf678b-2df9-46c0-b87f-8109723a1692";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"imMyHD6LYci0gtXq56qr9ZKGHzbEG9uFydrN5EhKtSU";}s:2:"id";s:24:"olivero_search_form_wide";s:5:"theme";s:7:"olivero";s:6:"region";s:14:"secondary_menu";s:6:"weight";i:-5;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:18:"Search form (wide)";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"search";s:7:"page_id";s:0:"";}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_secondary_local_tasks', 'a:13:{s:4:"uuid";s:36:"9cc9ef5e-7e89-49ab-b070-772a4dbf2887";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ydSxdq7R66I8UMC460rOzlfzvlUL4VRbdwc6z9DWaUI";}s:2:"id";s:29:"olivero_secondary_local_tasks";s:5:"theme";s:7:"olivero";s:6:"region";s:11:"highlighted";s:6:"weight";i:-2;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:14:"Secondary tabs";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"core";s:7:"primary";b:0;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_site_branding', 'a:13:{s:4:"uuid";s:36:"12a47add-bd79-4175-b219-1be1dd263221";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"n_nlgjggHVfQt2H__zvLOKB2YtjPDbQ5tHijF9LE1aM";}s:2:"id";s:21:"olivero_site_branding";s:5:"theme";s:7:"olivero";s:6:"region";s:6:"header";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:21:"system_branding_block";s:8:"settings";a:7:{s:2:"id";s:21:"system_branding_block";s:5:"label";s:13:"Site branding";s:13:"label_display";s:1:"0";s:8:"provider";s:6:"system";s:13:"use_site_logo";b:1;s:13:"use_site_name";b:1;s:15:"use_site_slogan";b:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.olivero_syndicate', 'a:13:{s:4:"uuid";s:36:"f50a670e-3eae-4584-a00f-4c53506eef60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"node";}s:5:"theme";a:1:{i:0;s:7:"olivero";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"0gq3VPg-_UM69FCCWurLFIrrnIjC2HLKhwo9iQNtcUo";}s:2:"id";s:17:"olivero_syndicate";s:5:"theme";s:7:"olivero";s:6:"region";s:6:"social";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:20:"node_syndicate_block";s:8:"settings";a:5:{s:2:"id";s:20:"node_syndicate_block";s:5:"label";s:8:"RSS feed";s:13:"label_display";s:1:"0";s:8:"provider";s:4:"node";s:11:"block_count";i:10;}s:10:"visibility";a:0:{}}'),
('', 'block.block.ournewsletter', 'a:12:{s:4:"uuid";s:36:"7ab65d6a-a18a-4dd2-9e82-9baaa225289c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a007890a-a321-4ab4-84f1-049b7b98801c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"ournewsletter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a007890a-a321-4ab4-84f1-049b7b98801c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a007890a-a321-4ab4-84f1-049b7b98801c";s:5:"label";s:14:"Our Newsletter";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.paymentmethods', 'a:12:{s:4:"uuid";s:36:"95853e93-2d3a-4042-86f2-491b12d5f8e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:777da137-efb6-4b98-a65c-1efdb5ebd6ec";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"paymentmethods";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-50;s:8:"provider";N;s:6:"plugin";s:50:"block_content:777da137-efb6-4b98-a65c-1efdb5ebd6ec";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:777da137-efb6-4b98-a65c-1efdb5ebd6ec";s:5:"label";s:15:"Payment methods";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:14:"/form/register";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.phone', 'a:12:{s:4:"uuid";s:36:"b602253b-5f9f-4b88-8b81-047a8e95b56f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:33c8086b-30a4-4b72-b741-df3e1ce3594d";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:5:"phone";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:50:"block_content:33c8086b-30a4-4b72-b741-df3e1ce3594d";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:33c8086b-30a4-4b72-b741-df3e1ce3594d";s:5:"label";s:34:"Contact the conference secretariat";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}');
INSERT INTO `config` VALUES
('', 'block.block.presentationtabs', 'a:12:{s:4:"uuid";s:36:"e92bd59f-0f63-4072-9913-e9bc91bb21af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:66f70a0f-8643-4142-9e65-18b27e2e59d4";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"presentationtabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:66f70a0f-8643-4142-9e65-18b27e2e59d4";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:66f70a0f-8643-4142-9e65-18b27e2e59d4";s:5:"label";s:17:"Presentation Tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}'),
('', 'block.block.registrationlocationinthevenue', 'a:12:{s:4:"uuid";s:36:"886dcb82-e300-45ee-ace2-9eb4f6c977bb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a6c786ea-831a-4420-bbdc-4257c37aacd4";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"registrationlocationinthevenue";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a6c786ea-831a-4420-bbdc-4257c37aacd4";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a6c786ea-831a-4420-bbdc-4257c37aacd4";s:5:"label";s:34:"Registration location in the venue";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.searchform_3', 'a:12:{s:4:"uuid";s:36:"275c0f18-d478-4a9c-afc5-b3c2acc4b188";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:6:"search";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"searchform_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"header_top_first";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:11:"Search form";s:8:"provider";s:6:"search";s:13:"label_display";s:1:"0";s:7:"page_id";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:28:"/node/40\r\n/node/53\r\n/node/63";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.searchform_4', 'a:12:{s:4:"uuid";s:36:"af56190b-ddd8-4886-b51d-2fb00478fcc4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"searchform_4";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-48;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:5:{s:2:"id";s:17:"search_form_block";s:5:"label";s:11:"Search form";s:8:"provider";s:6:"search";s:13:"label_display";s:1:"0";s:7:"page_id";s:0:"";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seeafulllistoftheserviceswecanprovide', 'a:12:{s:4:"uuid";s:36:"b1b7de06-62c9-4e40-86e1-9e254ad980be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:75:"block_content:mt_nodes_slideshow_block:2ee07bbe-2afe-47d2-b802-21a37c39ea92";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:37:"seeafulllistoftheserviceswecanprovide";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2ee07bbe-2afe-47d2-b802-21a37c39ea92";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2ee07bbe-2afe-47d2-b802-21a37c39ea92";s:5:"label";s:46:"See a full list of the services we can provide";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.seven_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"c1244a35-1ab3-4aff-aadd-ec21512ba4d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"WWu2OQswgCztl9OeXjD1stexIEMZsSgPMYIdC-JHx9c";}s:2:"id";s:17:"seven_breadcrumbs";s:5:"theme";s:5:"seven";s:6:"region";s:10:"breadcrumb";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_content', 'a:13:{s:4:"uuid";s:36:"d111352d-97ce-4f9b-879a-5d71883f4bb4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YRY68JWkaUiGeZlWMv1nzeIgDm0ZZwXYgpqUpLFzwAY";}s:2:"id";s:13:"seven_content";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_help', 'a:13:{s:4:"uuid";s:36:"08cb2d52-2717-4af3-a32e-6caf294b74b0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NU5A_49mwLHfs5xFzMFrZ850w9pgUolxMS9NNF3vv4c";}s:2:"id";s:10:"seven_help";s:5:"theme";s:5:"seven";s:6:"region";s:4:"help";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:8:"provider";s:4:"help";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_local_actions', 'a:13:{s:4:"uuid";s:36:"f1896df8-0898-4ed3-a33a-98726d4e5117";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HHryZVJbeKi9WnuBGC8FOhBZmBnk2G1H6KxFuy-rC9A";}s:2:"id";s:19:"seven_local_actions";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:-10;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_login', 'a:13:{s:4:"uuid";s:36:"3b4dac48-e513-4c4c-b1fc-a965eb97202f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"user";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"IItlF4SKHgxduIysVQdvirDJ_v3HGuAviOkidAOJYRE";}s:2:"id";s:11:"seven_login";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:10;s:8:"provider";N;s:6:"plugin";s:16:"user_login_block";s:8:"settings";a:4:{s:2:"id";s:16:"user_login_block";s:5:"label";s:10:"User login";s:8:"provider";s:4:"user";s:13:"label_display";s:7:"visible";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_messages', 'a:13:{s:4:"uuid";s:36:"23867c08-8ba0-4650-8114-60806f07b8f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"XJqWwLt1LDCnazcEN6QkJmCLjk4R0__-8s0OO9xeNjg";}s:2:"id";s:14:"seven_messages";s:5:"theme";s:5:"seven";s:6:"region";s:11:"highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_page_title', 'a:13:{s:4:"uuid";s:36:"d517aa40-ba8a-4f5c-ac7a-08464050b66a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ZSpc3IoSaLd0PkB02nxjVPBMztIdsTdHek9SiGaqZ_c";}s:2:"id";s:16:"seven_page_title";s:5:"theme";s:5:"seven";s:6:"region";s:6:"header";s:6:"weight";i:-30;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_primary_local_tasks', 'a:13:{s:4:"uuid";s:36:"032040f6-1518-4134-8f6e-cc2e3530b0a7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ddy1OsBbWxjwEI8VL1viD4I69qcLHOkul4BxbTqLBTs";}s:2:"id";s:25:"seven_primary_local_tasks";s:5:"theme";s:5:"seven";s:6:"region";s:6:"header";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:12:"Primary tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:1;s:9:"secondary";b:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_secondary_local_tasks', 'a:13:{s:4:"uuid";s:36:"1de34cc7-105e-4cdc-bba2-d5e9ccc619c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"QeZBeCilQfeET3GeW6ZtJkEiwROADTZktFgKWwPieD4";}s:2:"id";s:27:"seven_secondary_local_tasks";s:5:"theme";s:5:"seven";s:6:"region";s:11:"pre_content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:14:"Secondary tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:0;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.sociallinks', 'a:12:{s:4:"uuid";s:36:"df4fe143-d4e1-457f-ae15-b2bcc6d0fba1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"sociallinks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";s:5:"label";s:12:"Social Links";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.socialmedia', 'a:12:{s:4:"uuid";s:36:"8f25e8a6-4214-481a-8a09-5dce40e3dd91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"socialmedia";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";s:5:"label";s:12:"Social Media";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.stillhavequestions', 'a:12:{s:4:"uuid";s:36:"017937c5-2c7f-4119-a4a4-ae80e1022e0c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:21239a24-9067-424a-a412-2bc4c38d3b07";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"stillhavequestions";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:21239a24-9067-424a-a412-2bc4c38d3b07";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:21239a24-9067-424a-a412-2bc4c38d3b07";s:5:"label";s:21:"Still have questions?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.subscribe_2', 'a:12:{s:4:"uuid";s:36:"5149169e-91a8-4f9f-88d0-916ded6b7d78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0839439a-2bae-48e4-872e-6ff169998482";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"subscribe_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:5:"label";s:9:"Subscribe";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:27:"<front>\r\n/node/63\r\n/node/82";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.tellusaboutyourproject', 'a:12:{s:4:"uuid";s:36:"5739756b-4957-4eee-a4e4-2828c96f9345";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2f082cb7-167a-4837-b03e-7c523b059c9c";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:22:"tellusaboutyourproject";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2f082cb7-167a-4837-b03e-7c523b059c9c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2f082cb7-167a-4837-b03e-7c523b059c9c";s:5:"label";s:12:"Buy a Ticket";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.timeline', 'a:12:{s:4:"uuid";s:36:"5cb79725-1721-47cc-92a2-5e24596b9ab8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:68:"block_content:mt_timeline_block:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"timeline";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";s:5:"label";s:26:"Important Dates and Events";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.typinganimation', 'a:12:{s:4:"uuid";s:36:"23978d02-fa16-4e5f-9e67-5fc844dc4fe6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_typing_animation_block:24e5856d-18c2-4676-bdd8-d4864a4bef39";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"typinganimation";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:24e5856d-18c2-4676-bdd8-d4864a4bef39";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:24e5856d-18c2-4676-bdd8-d4864a4bef39";s:5:"label";s:16:"Typing Animation";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:80:"<front>\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/63\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.uniquefeatures', 'a:12:{s:4:"uuid";s:36:"ce597708-c746-4729-a8dc-03b02d8b8020";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:62:"block_content:mt_if_block:86c8a961-7cb4-48cb-958f-950bcb782f32";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"uniquefeatures";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:86c8a961-7cb4-48cb-958f-950bcb782f32";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:86c8a961-7cb4-48cb-958f-950bcb782f32";s:5:"label";s:15:"Topics & Fields";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.usefullinks', 'a:12:{s:4:"uuid";s:36:"9ef0fbc8-8b03-4724-8324-4ffeb63aad42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"usefullinks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_third";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:38:"system_menu_block:mt-footer-menu-three";s:8:"settings";a:7:{s:2:"id";s:38:"system_menu_block:mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.usefullinks_2', 'a:12:{s:4:"uuid";s:36:"1adba593-91fc-4156-875a-84e26a8bcba9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"usefullinks_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_second";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:38:"system_menu_block:mt-footer-menu-three";s:8:"settings";a:7:{s:2:"id";s:38:"system_menu_block:mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;s:16:"expand_all_items";b:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.videobackgroundblock', 'a:12:{s:4:"uuid";s:36:"4295e030-0c05-4306-ac57-f12f0f9a7aee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_video_block:1095b191-b590-4db3-8021-af3b7bc02bb9";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:20:"videobackgroundblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1095b191-b590-4db3-8021-af3b7bc02bb9";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1095b191-b590-4db3-8021-af3b7bc02bb9";s:5:"label";s:22:"Video background block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.videogalleryblock', 'a:12:{s:4:"uuid";s:36:"32a48f5b-2bb7-4e4d-85f8-71cdb7f0d6d9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:73:"block_content:mt_video_gallery_block:06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"videogalleryblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:5:"label";s:19:"Video Gallery block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/55";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.videogalleryblock_2', 'a:12:{s:4:"uuid";s:36:"d4f78299-2284-414b-b3af-295755977262";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:73:"block_content:mt_video_gallery_block:06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"videogalleryblock_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:5:"label";s:19:"Video Gallery block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_albums_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"47cbec45-aff5-4825-a53e-6095acd2c301";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_albums_carousel";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_albums_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_albums_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_albums_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.views_block__mt_articles_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"42957dee-4e6b-4866-ad35-39fe6cbc332e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_articles_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_articles_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"highlighted_top";s:6:"weight";i:-45;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_articles_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_articles_carousel-block_1";s:5:"label";s:11:"Latest News";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:11:"Latest News";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_articles_list_2_block_1', 'a:12:{s:4:"uuid";s:36:"92e6d6a7-baca-4fdd-9750-be49a080d11f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_articles_list_2";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_articles_list_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_articles_list_2-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_articles_list_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:969:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/presentations*\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_other_speakers_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"7e808777-e818-46c8-8b5a-6dfd8777aee6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_other_speakers_carousel";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_other_speakers_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"featured";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_other_speakers_carousel-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_other_speakers_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}'),
('', 'block.block.views_block__mt_products_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"7e0feb68-df9c-40f6-a79f-ec0635b951be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_products_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_products_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_products_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_products_carousel-block_1";s:5:"label";s:20:"Merchandise Carousel";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:20:"Merchandise Carousel";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_recent_comments_block_1', 'a:12:{s:4:"uuid";s:36:"afdb7db5-0679-497e-99fd-272991ca6324";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_recent_comments";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_recent_comments_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_fourth";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_recent_comments-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_recent_comments-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_related_events_block_1', 'a:12:{s:4:"uuid";s:36:"551f49ae-6e25-46ba-94fd-97857339fa33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_related_events";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:38:"views_block__mt_related_events_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:37:"views_block:mt_related_events-block_1";s:8:"settings";a:7:{s:2:"id";s:37:"views_block:mt_related_events-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}'),
('', 'block.block.views_block__mt_related_presentations_2_block_1', 'a:12:{s:4:"uuid";s:36:"f919370f-158b-4d67-a9a3-1d5c07958590";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_related_presentations_2";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_related_presentations_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_related_presentations_2-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_related_presentations_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:0:{}}'),
('', 'block.block.views_block__mt_related_presentations_3_block_1', 'a:12:{s:4:"uuid";s:36:"7c95fd8c-69ff-4020-89c5-7dd93915cf34";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_related_presentations_3";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_related_presentations_3_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_related_presentations_3-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_related_presentations_3-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}'),
('', 'block.block.views_block__mt_related_presentations_block_1', 'a:12:{s:4:"uuid";s:36:"3ca3546b-5d3f-4b9a-8b53-e043679faa9f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_related_presentations";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_related_presentations_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_related_presentations-block_1";s:8:"settings";a:7:{s:2:"id";s:44:"views_block:mt_related_presentations-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:0:{}}'),
('', 'block.block.views_block__mt_speakers_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"39f0a9a7-a677-45cb-9d15-47c576b4048f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_speakers_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_speakers_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"featured";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_speakers_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_speakers_carousel-block_1";s:5:"label";s:14:"Event Speakers";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:14:"Event Speakers";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_sponsors_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"fcbcf865-bdde-499c-a704-51026a70e919";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_sponsors_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_sponsors_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"highlighted";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_sponsors_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_sponsors_carousel-block_1";s:5:"label";s:12:"Our Sponsors";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:12:"Our Sponsors";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:149:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/node/94\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_sponsors_grid_2_block_1', 'a:12:{s:4:"uuid";s:36:"6d4d095e-d879-4aa7-ac57-332535d3bfac";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_sponsors_grid_2";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_sponsors_grid_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_sponsors_grid_2-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_sponsors_grid_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:980:"<front>\r\n/node/3\r\n/node/5\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/events-3-col\r\n/merchandise-4-col\r\n/merchandise\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/presentations*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/form/register\r\n/program\r\n/program-google";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_team_members_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"bdff3748-a1ef-4554-bc18-08d201a5c543";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_team_members_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_team_members_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_team_members_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_team_members_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/94";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_testimonials_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"8ad54f83-876a-4b9a-9d39-e1ba2b41491b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_testimonials_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_testimonials_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"highlighted_top";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_testimonials_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_testimonials_carousel-block_1";s:5:"label";s:15:"What People Say";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:15:"What People Say";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/blocks\r\n/about-us";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.whyme', 'a:12:{s:4:"uuid";s:36:"45978682-cf35-4968-9c9c-44d2c11d0e70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_fltt_block:e063c791-93fb-43c0-a379-811a3a29ccc8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:5:"whyme";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:50:"block_content:e063c791-93fb-43c0-a379-811a3a29ccc8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:e063c791-93fb-43c0-a379-811a3a29ccc8";s:5:"label";s:7:"Why Us?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.workinghours', 'a:12:{s:4:"uuid";s:36:"1e822d9d-d1fb-4d4e-9c41-667ec450ffa3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"workinghours";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-54;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";s:5:"label";s:18:"Registration Hours";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block_content.type.basic', 'a:9:{s:4:"uuid";s:36:"3e60a524-ec02-4b6c-9e39-097d5c30ef0b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zglzjmYxi0G0ag9MZ02y0LSJOdpWRwJxyP_OvFojFyo";}s:2:"id";s:5:"basic";s:5:"label";s:11:"Basic block";s:8:"revision";i:0;s:11:"description";s:42:"A basic block contains a title and a body.";}'),
('', 'block_content.type.mt_background_image_block', 'a:8:{s:4:"uuid";s:36:"cacd24d9-115f-420b-b539-1d3835fc0ba9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_background_image_block";s:5:"label";s:22:"Background Image Block";s:8:"revision";i:0;s:11:"description";s:67:"Use this custom block type to create blocks with background images.";}'),
('', 'block_content.type.mt_background_video_block', 'a:8:{s:4:"uuid";s:36:"88712612-0078-4fc6-b562-a1e14fb2f043";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_background_video_block";s:5:"label";s:22:"Background Video Block";s:8:"revision";i:0;s:11:"description";s:67:"Use this custom block type to create blocks with background videos.";}'),
('', 'block_content.type.mt_collapsible_block', 'a:8:{s:4:"uuid";s:36:"c8bb8728-cde4-4615-b450-56b25a16a077";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:20:"mt_collapsible_block";s:5:"label";s:17:"Collapsible Block";s:8:"revision";i:0;s:11:"description";s:108:"Use this custom block type to display other blocks in a collapse, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_dropdowns_block', 'a:8:{s:4:"uuid";s:36:"63ece5a9-51fb-44bd-a560-87e58f555b60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:18:"mt_dropdowns_block";s:5:"label";s:15:"Dropdowns Block";s:8:"revision";i:0;s:11:"description";s:115:"Use this custom block type to display other blocks as dropdown elements, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_fancy_linked_images_block', 'a:8:{s:4:"uuid";s:36:"a056708b-5a10-4f7c-b26d-96512fe8e8b9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:28:"mt_fancy_linked_images_block";s:5:"label";s:25:"Fancy Linked Images block";s:8:"revision";i:0;s:11:"description";s:71:"Use this custom block type to create blocks that display linked images.";}'),
('', 'block_content.type.mt_fancy_tabs_block', 'a:8:{s:4:"uuid";s:36:"8ef02d16-8d1e-429d-9abe-9955bdc07683";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:19:"mt_fancy_tabs_block";s:5:"label";s:16:"Fancy Tabs block";s:8:"revision";i:0;s:11:"description";s:113:"Use this custom block type to display other blocks in a tabbed design, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_fltt_block', 'a:8:{s:4:"uuid";s:36:"dd8d418d-f141-45ee-85f9-3fdc434c0edd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:13:"mt_fltt_block";s:5:"label";s:32:"Featured Linked Text Tiles block";s:8:"revision";i:0;s:11:"description";s:84:"Use this custom block type to create blocks that display featured linked text tiles.";}'),
('', 'block_content.type.mt_google_maps', 'a:8:{s:4:"uuid";s:36:"54860869-169a-4b75-8143-39e8fdce0b3b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:14:"mt_google_maps";s:5:"label";s:10:"Google Map";s:8:"revision";i:0;s:11:"description";s:91:"Use this custom block type to create blocks that display a Google Map with a simple marker.";}'),
('', 'block_content.type.mt_if_block', 'a:8:{s:4:"uuid";s:36:"727d7d81-0a6d-4acf-ac08-8857c7c722b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_if_block";s:5:"label";s:19:"Icon Features block";s:8:"revision";i:0;s:11:"description";s:71:"Use this custom block type to create blocks that display icon features.";}'),
('', 'block_content.type.mt_main_slideshow_block', 'a:8:{s:4:"uuid";s:36:"e67b5a79-74be-4a62-b1b5-c44cb8918296";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Main Slideshow Block";s:8:"revision";i:0;s:11:"description";s:59:"Use this custom block type to create main slideshow blocks.";}'),
('', 'block_content.type.mt_media_tabs_block', 'a:8:{s:4:"uuid";s:36:"e6ac96b7-5e1a-40de-99a6-b4795ddce610";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:19:"mt_media_tabs_block";s:5:"label";s:16:"Media Tabs Block";s:8:"revision";i:0;s:11:"description";s:105:"Use this custom block type to create blocks in a tabbed design, using the corresponding Bootstrap feature";}'),
('', 'block_content.type.mt_nodes_slideshow_block', 'a:8:{s:4:"uuid";s:36:"eaa98d97-7b17-4adf-91c4-67ae129c6989";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:24:"mt_nodes_slideshow_block";s:5:"label";s:21:"Nodes Slideshow block";s:8:"revision";i:0;s:11:"description";s:59:"Use this custom block type to display nodes in a slideshow.";}'),
('', 'block_content.type.mt_tabs_block', 'a:8:{s:4:"uuid";s:36:"a6cd2a36-e4ad-43ad-85ff-b6d44a316a60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:13:"mt_tabs_block";s:5:"label";s:10:"Tabs block";s:8:"revision";i:0;s:11:"description";s:113:"Use this custom block type to display other blocks in a tabbed design, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_timeline_block', 'a:8:{s:4:"uuid";s:36:"355bea42-ffd1-4e33-b819-0f410a396e1c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:17:"mt_timeline_block";s:5:"label";s:14:"Timeline Block";s:8:"revision";i:0;s:11:"description";s:0:"";}'),
('', 'block_content.type.mt_typing_animation_block', 'a:8:{s:4:"uuid";s:36:"e3e6a291-88ce-4f12-8aaa-216db3a29ff0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_typing_animation_block";s:5:"label";s:22:"Typing Animation Block";s:8:"revision";i:0;s:11:"description";s:66:"Use this custom block type to create blocks with typing animation.";}'),
('', 'block_content.type.mt_video_gallery_block', 'a:8:{s:4:"uuid";s:36:"d2edbc11-0f7b-42e4-a260-0587b8ca3e66";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:22:"mt_video_gallery_block";s:5:"label";s:19:"Video Gallery block";s:8:"revision";i:0;s:11:"description";s:61:"Display Youtube and Vimeo videos in a gallery slideshow block";}'),
('', 'comment.settings', 'a:1:{s:16:"log_ip_addresses";b:1;}'),
('', 'comment.type.comment', 'a:9:{s:4:"uuid";s:36:"49514a7c-35d6-4c53-b0c2-e2e92cffcaf8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"bqZsN31T2n0UjcbyCpOPi9D2iO0sAOHR7FnEs9qMvaA";}s:2:"id";s:7:"comment";s:5:"label";s:16:"Default comments";s:21:"target_entity_type_id";s:4:"node";s:11:"description";s:28:"Allows commenting on content";}'),
('', 'conferenceplus.settings', 'a:217:{s:20:"breadcrumb_separator";s:14:"fa-angle-right";s:21:"scroll_to_top_display";i:1;s:18:"scroll_to_top_icon";s:18:"fa-angle-double-up";s:21:"bootstrap_remote_type";s:5:"local";s:12:"color_scheme";s:4:"blue";s:21:"page_container_border";i:0;s:16:"animations_state";i:1;s:25:"slideout_background_color";s:47:"region--dark-typography region--gray-background";s:13:"slideout_side";s:5:"right";s:20:"slideout_touch_swipe";i:0;s:24:"slideout_blocks_paddings";i:0;s:24:"slideout_region_paddings";i:0;s:39:"header_top_highlighted_layout_container";s:9:"container";s:39:"header_top_highlighted_background_color";s:48:"region--dark-typography region--white-background";s:39:"header_top_highlighted_animation_effect";s:6:"fadeIn";s:38:"header_top_highlighted_blocks_paddings";i:0;s:38:"header_top_highlighted_region_paddings";i:1;s:27:"header_top_layout_container";s:9:"container";s:27:"header_top_background_color";s:48:"region--dark-typography region--white-background";s:27:"header_top_animation_effect";s:6:"fadeIn";s:26:"header_top_blocks_paddings";i:0;s:26:"header_top_region_paddings";i:1;s:23:"header_layout_container";s:9:"container";s:23:"header_background_color";s:51:"region--light-typography region--colored-background";s:12:"fixed_header";i:1;s:22:"header_blocks_paddings";i:0;s:22:"header_region_paddings";i:0;s:23:"banner_layout_container";s:15:"container-fluid";s:23:"banner_background_color";s:48:"region--dark-typography region--white-background";s:22:"banner_blocks_paddings";i:1;s:22:"banner_region_paddings";i:1;s:28:"content_top_layout_container";s:9:"container";s:28:"content_top_background_color";s:48:"region--dark-typography region--white-background";s:28:"content_top_animation_effect";s:6:"fadeIn";s:27:"content_top_blocks_paddings";i:0;s:27:"content_top_region_paddings";i:0;s:40:"content_top_highlighted_layout_container";s:15:"container-fluid";s:33:"content_top_highlighted_separator";s:20:"region--no-separator";s:40:"content_top_highlighted_background_color";s:48:"region--dark-typography region--white-background";s:40:"content_top_highlighted_animation_effect";s:6:"fadeIn";s:39:"content_top_highlighted_blocks_paddings";i:1;s:39:"content_top_highlighted_region_paddings";i:1;s:22:"main_content_separator";s:20:"region--no-separator";s:29:"main_content_animation_effect";s:6:"fadeIn";s:28:"main_content_blocks_paddings";i:0;s:28:"main_content_region_paddings";i:0;s:30:"sidebar_first_animation_effect";s:6:"fadeIn";s:29:"sidebar_first_blocks_paddings";i:0;s:29:"sidebar_first_region_paddings";i:0;s:31:"sidebar_second_animation_effect";s:6:"fadeIn";s:30:"sidebar_second_blocks_paddings";i:0;s:30:"sidebar_second_region_paddings";i:0;s:31:"content_bottom_layout_container";s:15:"container-fluid";s:24:"content_bottom_separator";s:20:"region--no-separator";s:31:"content_bottom_background_color";s:49:"region--light-typography region--black-background";s:31:"content_bottom_animation_effect";s:6:"fadeIn";s:30:"content_bottom_blocks_paddings";i:0;s:30:"content_bottom_region_paddings";i:1;s:29:"featured_top_layout_container";s:9:"container";s:22:"featured_top_separator";s:20:"region--no-separator";s:29:"featured_top_background_color";s:48:"region--dark-typography region--white-background";s:29:"featured_top_animation_effect";s:6:"fadeIn";s:28:"featured_top_blocks_paddings";i:0;s:28:"featured_top_region_paddings";i:0;s:25:"featured_layout_container";s:9:"container";s:18:"featured_separator";s:20:"region--no-separator";s:25:"featured_background_color";s:47:"region--dark-typography region--gray-background";s:25:"featured_animation_effect";s:6:"fadeIn";s:24:"featured_blocks_paddings";i:0;s:24:"featured_region_paddings";i:0;s:32:"featured_bottom_layout_container";s:9:"container";s:25:"featured_bottom_separator";s:20:"region--no-separator";s:32:"featured_bottom_background_color";s:48:"region--dark-typography region--white-background";s:32:"featured_bottom_animation_effect";s:10:"fadeInLeft";s:31:"featured_bottom_blocks_paddings";i:0;s:31:"featured_bottom_region_paddings";i:0;s:29:"sub_featured_layout_container";s:9:"container";s:22:"sub_featured_separator";s:20:"region--no-separator";s:29:"sub_featured_background_color";s:51:"region--light-typography region--colored-background";s:29:"sub_featured_animation_effect";s:6:"fadeIn";s:28:"sub_featured_blocks_paddings";i:0;s:28:"sub_featured_region_paddings";i:0;s:32:"highlighted_top_layout_container";s:9:"container";s:25:"highlighted_top_separator";s:20:"region--no-separator";s:32:"highlighted_top_background_color";s:47:"region--dark-typography region--gray-background";s:32:"highlighted_top_animation_effect";s:6:"fadeIn";s:31:"highlighted_top_blocks_paddings";i:0;s:31:"highlighted_top_region_paddings";i:0;s:28:"highlighted_layout_container";s:9:"container";s:21:"highlighted_separator";s:20:"region--no-separator";s:28:"highlighted_background_color";s:48:"region--dark-typography region--white-background";s:28:"highlighted_animation_effect";s:6:"fadeIn";s:27:"highlighted_blocks_paddings";i:0;s:27:"highlighted_region_paddings";i:0;s:27:"footer_top_layout_container";s:9:"container";s:20:"footer_top_separator";s:20:"region--no-separator";s:27:"footer_top_background_color";s:48:"region--light-typography region--dark-background";s:27:"footer_top_animation_effect";s:6:"fadeIn";s:26:"footer_top_blocks_paddings";i:0;s:26:"footer_top_region_paddings";i:0;s:23:"footer_layout_container";s:9:"container";s:16:"footer_separator";s:20:"region--no-separator";s:23:"footer_background_color";s:51:"region--light-typography region--colored-background";s:23:"footer_animation_effect";s:12:"no-animation";s:22:"footer_blocks_paddings";i:0;s:22:"footer_region_paddings";i:0;s:30:"footer_bottom_layout_container";s:9:"container";s:23:"footer_bottom_separator";s:20:"region--no-separator";s:30:"footer_bottom_background_color";s:48:"region--dark-typography region--white-background";s:29:"footer_bottom_blocks_paddings";i:0;s:29:"footer_bottom_region_paddings";i:0;s:26:"subfooter_layout_container";s:9:"container";s:19:"subfooter_separator";s:28:"region--separator-border-top";s:26:"subfooter_background_color";s:48:"region--dark-typography region--white-background";s:32:"subfooter_bottom_blocks_paddings";b:0;s:32:"subfooter_bottom_region_paddings";b:0;s:12:"reading_time";i:1;s:11:"share_links";i:1;s:26:"share_links_print_position";s:6:"bottom";s:12:"print_button";i:1;s:11:"font_resize";i:1;s:13:"post_progress";i:1;s:10:"affix_side";i:1;s:11:"layout_mode";s:4:"wide";s:20:"headings_font_family";s:6:"hff-02";s:21:"headings_wide_spacing";i:0;s:21:"paragraph_font_family";s:6:"pff-02";s:20:"sitename_font_family";s:6:"sff-02";s:18:"slogan_font_family";s:7:"slff-02";s:30:"rs_slideshow_fullscreen_effect";s:6:"random";s:35:"rs_slideshow_fullscreen_effect_time";s:2:"10";s:40:"rs_slideshow_fullscreen_navigation_style";s:7:"bullets";s:40:"rs_slideshow_fullscreen_bullets_position";s:5:"right";s:35:"rs_slideshow_fullscreen_touch_swipe";i:1;s:24:"transparent_header_state";i:1;s:26:"transparent_header_opacity";s:2:"85";s:21:"inverted_header_state";i:0;s:29:"rs_slideshow_fullwidth_effect";s:6:"random";s:34:"rs_slideshow_fullwidth_effect_time";s:2:"10";s:37:"rs_slideshow_fullwidth_initial_height";s:3:"650";s:39:"rs_slideshow_fullwidth_navigation_style";s:7:"bullets";s:39:"rs_slideshow_fullwidth_bullets_position";s:5:"right";s:34:"rs_slideshow_fullwidth_touch_swipe";i:1;s:30:"rs_slideshow_boxedwidth_effect";s:6:"random";s:35:"rs_slideshow_boxedwidth_effect_time";s:2:"10";s:38:"rs_slideshow_boxedwidth_initial_height";s:3:"650";s:40:"rs_slideshow_boxedwidth_navigation_style";s:15:"titles_carousel";s:40:"rs_slideshow_boxedwidth_bullets_position";s:5:"right";s:35:"rs_slideshow_boxedwidth_touch_swipe";i:1;s:28:"rs_slideshow_internal_effect";s:4:"fade";s:33:"rs_slideshow_internal_effect_time";s:2:"10";s:36:"rs_slideshow_internal_initial_height";s:3:"540";s:38:"rs_slideshow_internal_navigation_style";s:7:"bullets";s:45:"rs_slideshow_internal_banner_bullets_position";s:4:"left";s:33:"rs_slideshow_internal_touch_swipe";i:1;s:37:"rs_slideshow_internal_carousel_effect";s:4:"fade";s:45:"rs_slideshow_internal_carousel_initial_height";s:3:"540";s:47:"rs_slideshow_internal_carousel_bullets_position";s:6:"center";s:42:"rs_slideshow_internal_carousel_touch_swipe";i:1;s:28:"rs_slideshow_caption_opacity";s:1:"0";s:31:"rs_slideshow_background_opacity";s:2:"50";s:21:"in_page_slider_effect";s:5:"slide";s:21:"owl_products_autoplay";i:1;s:24:"owl_products_effect_time";s:1:"5";s:25:"owl_team_members_autoplay";i:0;s:28:"owl_team_members_effect_time";s:1:"5";s:27:"owl_promoted_posts_autoplay";i:0;s:30:"owl_promoted_posts_effect_time";s:1:"5";s:21:"owl_articles_autoplay";i:1;s:24:"owl_articles_effect_time";s:1:"5";s:25:"owl_testimonials_autoplay";i:1;s:28:"owl_testimonials_effect_time";s:1:"5";s:26:"owl_related_nodes_autoplay";i:0;s:29:"owl_related_nodes_effect_time";s:1:"5";s:19:"owl_brands_autoplay";i:1;s:22:"owl_brands_effect_time";s:1:"5";s:24:"owl_collections_autoplay";i:0;s:27:"owl_collections_effect_time";s:1:"5";s:25:"in_page_navigation_offset";s:2:"74";s:9:"banner_id";s:6:"banner";s:14:"content_top_id";s:11:"content-top";s:26:"content_top_highlighted_id";s:23:"content-top-highlighted";s:15:"main_content_id";s:12:"main-content";s:17:"content_bottom_id";s:14:"content-bottom";s:15:"featured_top_id";s:12:"featured-top";s:11:"featured_id";s:8:"featured";s:18:"featured_bottom_id";s:15:"featured-bottom";s:15:"sub_featured_id";s:12:"sub-featured";s:18:"highlighted_top_id";s:15:"highlighted-top";s:14:"highlighted_id";s:11:"highlighted";s:13:"footer_top_id";s:10:"footer-top";s:9:"footer_id";s:6:"footer";s:16:"footer_bottom_id";s:13:"footer-bottom";s:12:"subfooter_id";s:9:"subfooter";s:19:"isotope_layout_mode";s:7:"masonry";s:20:"isotope_filters_text";s:3:"All";s:15:"google_maps_key";s:39:"AIzaSyDyL-4KyWw_3hp-0jmZLGcJ3zMWkkJ44VI";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"VK8la7FVN8ETcaek5VyMjic_Z957OnP0jwGf4WIKQ2g";}s:8:"features";a:4:{s:17:"node_user_picture";b:1;s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;}s:4:"logo";a:1:{s:11:"use_default";b:1;}s:7:"favicon";a:1:{s:11:"use_default";b:1;}s:25:"subfooter_blocks_paddings";i:0;s:25:"subfooter_region_paddings";i:0;s:10:"font_title";s:0:"";s:38:"rs_slideshow_internal_bullets_position";s:4:"left";s:21:"owl_speakers_autoplay";i:0;s:24:"owl_speakers_effect_time";s:0:"";s:22:"owl_showcases_autoplay";i:0;s:25:"owl_showcases_effect_time";s:0:"";s:21:"owl_sponsors_autoplay";i:1;s:24:"owl_sponsors_effect_time";s:1:"5";s:27:"front_page_background_state";i:1;s:29:"front_page_background_opacity";s:2:"85";s:29:"header_background_image_state";i:0;s:31:"paragraph_responsive_typography";i:1;s:19:"owl_albums_autoplay";i:0;s:22:"owl_albums_effect_time";s:0:"";}');
INSERT INTO `config` VALUES
('', 'contact.form.alternative', 'a:11:{s:4:"uuid";s:36:"c04f9bc4-1a2c-4170-855d-4f9a0073373d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"alternative";s:5:"label";s:19:"Alternative Contact";s:10:"recipients";a:1:{i:0;s:18:"noreply@domain.com";}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}'),
('', 'contact.form.feedback', 'a:12:{s:4:"uuid";s:36:"d5496ce4-af1c-42d0-898a-99058d1b898d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"c4zaT5cyPxuTXI6JOWt3qRtMvICT9tHB6d9a5VG-CmQ";}s:2:"id";s:8:"feedback";s:5:"label";s:12:"Get In Touch";s:10:"recipients";a:1:{i:0;s:18:"noreply@domain.com";}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}'),
('', 'contact.form.personal', 'a:12:{s:4:"uuid";s:36:"aca09177-c586-4c02-975c-b22f9a106494";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4w1vDIuPlVqNIiynysHZHU-9sBCpx5uiEIPlo4SW1tw";}s:2:"id";s:8:"personal";s:5:"label";s:21:"Personal contact form";s:10:"recipients";a:0:{}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}'),
('', 'contact.settings', 'a:4:{s:12:"default_form";s:8:"feedback";s:5:"flood";a:2:{s:5:"limit";i:5;s:8:"interval";i:3600;}s:20:"user_default_enabled";b:1;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U69DBeuvXuNVOC15rVNaBjDPK2fWFbo9v4takdYSSO8";}}'),
('', 'core.base_field_override.node.mt_speaker.promote', 'a:16:{s:4:"uuid";s:36:"752d654a-6fff-4e3e-a554-938216d43b3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"node.type.mt_speaker";}}s:2:"id";s:23:"node.mt_speaker.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'core.base_field_override.node.mt_team_member.promote', 'a:16:{s:4:"uuid";s:36:"e0894692-fd19-4dfe-b036-cb10d9f082b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"node.type.mt_team_member";}}s:2:"id";s:27:"node.mt_team_member.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'core.base_field_override.node.page.promote', 'a:17:{s:4:"uuid";s:36:"ef42ff06-6621-4821-8ffb-9a5b22a6283b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:14:"node.type.page";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fPUEnm4T5zfZRr3ttDUqq7yCDd2uW3clWD-pvos4tlQ";}s:2:"id";s:17:"node.page.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'core.date_format.fallback', 'a:9:{s:4:"uuid";s:36:"5560b95d-cd3b-4acf-9196-df895f083350";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7klS5IWXrwzVaPpYZFAs6wcx8U2FF1X73OfrtTsvuvE";}s:2:"id";s:8:"fallback";s:5:"label";s:20:"Fallback date format";s:6:"locked";b:1;s:7:"pattern";s:14:"D, m/d/Y - H:i";}'),
('', 'core.date_format.html_date', 'a:9:{s:4:"uuid";s:36:"16774ce5-6184-402b-80ef-85f1e3b4fd64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"EOQltUQPmgc6UQ2rcJ4Xi_leCEJj5ui0TR-12duS-Tk";}s:2:"id";s:9:"html_date";s:5:"label";s:9:"HTML Date";s:6:"locked";b:1;s:7:"pattern";s:5:"Y-m-d";}'),
('', 'core.date_format.html_datetime', 'a:9:{s:4:"uuid";s:36:"61577c3c-0cc9-4311-b83e-07b2972ff37e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jxfClwZIRXIdcvMrE--WkcZxDGUVoOIE3Sm2NRZlFuE";}s:2:"id";s:13:"html_datetime";s:5:"label";s:13:"HTML Datetime";s:6:"locked";b:1;s:7:"pattern";s:13:"Y-m-d\\TH:i:sO";}'),
('', 'core.date_format.html_month', 'a:9:{s:4:"uuid";s:36:"bea23acd-be17-4c08-a92f-199ce61bfd3b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Z7KuCUwM_WdTNvLcoltuX3_8d-s-8FZkTN6KgNwF0eM";}s:2:"id";s:10:"html_month";s:5:"label";s:10:"HTML Month";s:6:"locked";b:1;s:7:"pattern";s:3:"Y-m";}'),
('', 'core.date_format.html_time', 'a:9:{s:4:"uuid";s:36:"4676d758-bbfb-4221-a689-80c15a8378bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"M7yqicYkU36hRy5p9drAaGBBihhUD1OyujFrAaQ93ZE";}s:2:"id";s:9:"html_time";s:5:"label";s:9:"HTML Time";s:6:"locked";b:1;s:7:"pattern";s:5:"H:i:s";}'),
('', 'core.date_format.html_week', 'a:9:{s:4:"uuid";s:36:"a171df48-885a-4562-a882-ce09a15c647c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"wKD4WsoV_wFgv2vgI4mcAAFSIzrye17ykzdwrnApkfY";}s:2:"id";s:9:"html_week";s:5:"label";s:9:"HTML Week";s:6:"locked";b:1;s:7:"pattern";s:5:"Y-\\WW";}'),
('', 'core.date_format.html_year', 'a:9:{s:4:"uuid";s:36:"6718b0cb-5556-4df6-8dfd-2bbda5ad1cb6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"OjekiQuX9RbVQ2_8jOHBL94RgYLePqX7wpfNGgcQzrk";}s:2:"id";s:9:"html_year";s:5:"label";s:9:"HTML Year";s:6:"locked";b:1;s:7:"pattern";s:1:"Y";}'),
('', 'core.date_format.html_yearless_date', 'a:9:{s:4:"uuid";s:36:"ef5e3569-3f0f-4039-bd2f-853f96ded465";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"5VpawMrKPEPCkoO4YpPa0TDFO2dgiIHfTziJtwlmUxc";}s:2:"id";s:18:"html_yearless_date";s:5:"label";s:18:"HTML Yearless date";s:6:"locked";b:1;s:7:"pattern";s:3:"m-d";}'),
('', 'core.date_format.long', 'a:9:{s:4:"uuid";s:36:"a08d9435-0103-4a77-8fb8-9c458d26c9ab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"og8sWXhBuHbLMw3CoiBEZjgqSyhFBFmcbUW_wLcfNbo";}s:2:"id";s:4:"long";s:5:"label";s:17:"Default long date";s:6:"locked";b:0;s:7:"pattern";s:15:"l, F j, Y - H:i";}'),
('', 'core.date_format.medium', 'a:9:{s:4:"uuid";s:36:"4faad2dd-5cc8-4f5f-bc6d-493732bdb8e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nzL5d024NjXIX_8TlT6uFAu973lmfkmHklJC-2i9rAE";}s:2:"id";s:6:"medium";s:5:"label";s:19:"Default medium date";s:6:"locked";b:0;s:7:"pattern";s:14:"D, m/d/Y - H:i";}'),
('', 'core.date_format.mt_time', 'a:8:{s:4:"uuid";s:36:"0c5c8810-50b9-43a1-8350-1546e0a47eef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:7:"mt_time";s:5:"label";s:11:"Custom time";s:6:"locked";b:0;s:7:"pattern";s:5:"h:i a";}'),
('', 'core.date_format.mt_yearless_date', 'a:8:{s:4:"uuid";s:36:"8bd0c3fa-d550-4c87-a2f9-ef4a2020bd5e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_yearless_date";s:5:"label";s:13:"Yearless date";s:6:"locked";b:0;s:7:"pattern";s:3:"M d";}'),
('', 'core.date_format.olivero_medium', 'a:9:{s:4:"uuid";s:36:"a9825677-3e63-4a61-9c64-cb6ebb02f6a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:5:"theme";a:1:{i:0;s:7:"olivero";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mt6cmxUbDZ9XxD6p25WQ8tj3_JcX8ylfcddwZc8gcAE";}s:2:"id";s:14:"olivero_medium";s:5:"label";s:14:"Olivero Medium";s:6:"locked";b:0;s:7:"pattern";s:8:"j  F,  Y";}'),
('', 'core.date_format.short', 'a:9:{s:4:"uuid";s:36:"460367c2-78f3-42db-ae80-31a6b3741475";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AlzeyytA8InBgxIG9H2UDJYs3CG98Zj6yRsDKmlbZwA";}s:2:"id";s:5:"short";s:5:"label";s:18:"Default short date";s:6:"locked";b:0;s:7:"pattern";s:11:"m/d/Y - H:i";}'),
('', 'core.entity_form_display.block_content.basic.default', 'a:11:{s:4:"uuid";s:36:"a61d0399-56d3-4451-bf56-20d8b46f5a91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:36:"field.field.block_content.basic.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kv6gwb6PJ8DcMSj5kgsd52qCIHl1xkxBDL5_AMm-g8k";}s:2:"id";s:27:"block_content.basic.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:5:"basic";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:-4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_background_image_block.default', 'a:10:{s:4:"uuid";s:36:"d8fdcf29-f7e0-4ff1-87c2-6626554d08cc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:2;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:3;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:4;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:5;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:6;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:7;s:21:"image.style.thumbnail";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:47:"block_content.mt_background_image_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:25:"field_mt_background_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_bg_image_color";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:29:"field_mt_bg_image_layout_mode";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:25:"field_mt_bg_image_opacity";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:29:"field_mt_bg_image_positioning";a:5:{s:6:"weight";i:2;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_background_video_block.default', 'a:10:{s:4:"uuid";s:36:"1fbd22d1-4b25-4399-8276-4f38d567980d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:2;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:3;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:4;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:5;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:6;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:7;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:8;s:21:"image.style.thumbnail";}s:6:"module";a:2:{i:0;s:4:"file";i:1;s:5:"image";}}s:2:"id";s:47:"block_content.mt_background_video_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:7;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_bv_layout_mode";a:5:{s:6:"weight";i:6;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:25:"field_mt_bv_overlay_color";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_bv_overlay_opacity";a:5:{s:6:"weight";i:5;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:18:"field_mt_bv_poster";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_bv_video_mp4";a:5:{s:6:"weight";i:1;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:22:"field_mt_bv_video_webm";a:5:{s:6:"weight";i:2;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_collapsible_block.default', 'a:10:{s:4:"uuid";s:36:"8196430b-f257-4769-9d66-d636dd23222a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:71:"field.field.block_content.mt_collapsible_block.field_mt_block_reference";i:2;s:72:"field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon";i:3;s:70:"field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon";i:4;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_state";i:5;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_title";i:6;s:75:"field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position";}}s:2:"id";s:42:"block_content.mt_collapsible_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:25:"field_mt_cb_collapse_icon";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:23:"field_mt_cb_expand_icon";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:17:"field_mt_cb_state";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:17:"field_mt_cb_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_cb_trigger_position";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_dropdowns_block.default', 'a:10:{s:4:"uuid";s:36:"4da315a2-89b9-48ce-a469-5f1ccc114c9d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:40:"block_content.mt_dropdowns_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_dropdown";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_fancy_linked_images_block.default', 'a:10:{s:4:"uuid";s:36:"8fcde634-491c-44f8-b37c-f65f9db24187";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:50:"block_content.mt_fancy_linked_images_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:27:"field_mt_fancy_linked_image";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_fancy_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"9e486985-b11b-4a11-a202-71cca9344902";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.mt_fancy_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:18:"field_mt_fancy_tab";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_fltt_block.default', 'a:10:{s:4:"uuid";s:36:"c9c775d4-52d7-4947-8832-d928c4a49bb2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"block_content.mt_fltt_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:13:"field_mt_fltt";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_google_maps.default', 'a:10:{s:4:"uuid";s:36:"1e40ff88-865a-4cb0-a6df-2a5e312f4e57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:2;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:36:"block_content.mt_google_maps.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:21:"field_mt_map_location";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:1;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_map_zoom";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_if_block.default', 'a:10:{s:4:"uuid";s:36:"7713358b-d7bb-4f61-b16f-38d653cc9af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:49:"field.field.block_content.mt_if_block.field_mt_if";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"block_content.mt_if_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:11:"field_mt_if";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:27;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_main_slideshow_block.default', 'a:11:{s:4:"uuid";s:36:"8f489796-f547-45ff-8672-f73f68415ff1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:2;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:3;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:4;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:5;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:6;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:7;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:8;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:9;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:10;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";}s:6:"module";a:2:{i:0;s:11:"field_group";i:1;s:10:"paragraphs";}}s:20:"third_party_settings";a:1:{s:11:"field_group";a:1:{s:20:"group_mt_ms_settings";a:7:{s:8:"children";a:9:{i:0;s:18:"field_mt_ms_effect";i:1;s:27:"field_mt_ms_effect_duration";i:2;s:30:"field_mt_main_slideshow_layout";i:3;s:32:"field_mt_ms_ignore_header_height";i:4;s:26:"field_mt_ms_initial_height";i:5;s:28:"field_mt_ms_navigation_style";i:6;s:28:"field_mt_ms_bullets_position";i:7;s:27:"field_mt_ms_touch_swipe_nav";i:8;s:30:"field_mt_ms_background_opacity";}s:11:"parent_name";s:0:"";s:6:"weight";i:8;s:11:"format_type";s:7:"details";s:15:"format_settings";a:5:{s:5:"label";s:23:"Main Slideshow Settings";s:4:"open";b:1;s:15:"required_fields";b:1;s:2:"id";s:0:"";s:7:"classes";s:0:"";}s:5:"label";s:23:"Main Slideshow Settings";s:6:"region";s:7:"content";}}}s:2:"id";s:45:"block_content.mt_main_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:30:"field_mt_main_slideshow_layout";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:29:"field_mt_main_slideshow_slide";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:1;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_ms_background_opacity";a:5:{s:6:"weight";i:12;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_bullets_position";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_ms_effect";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_ms_effect_duration";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:32:"field_mt_ms_ignore_header_height";a:5:{s:6:"weight";i:6;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:26:"field_mt_ms_initial_height";a:5:{s:6:"weight";i:7;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_navigation_style";a:5:{s:6:"weight";i:9;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_ms_touch_swipe_nav";a:5:{s:6:"weight";i:11;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_media_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"eee40aac-d896-4135-834d-abb714fbace3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.mt_media_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:18:"field_mt_media_tab";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_nodes_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"142a8db9-15bc-4622-a6bb-a44f90231838";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";}}s:2:"id";s:46:"block_content.mt_nodes_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_ns_slide";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"f72667f3-48e6-4e09-9ca8-84e210a81e20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";}}s:2:"id";s:35:"block_content.mt_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_timeline_block.default', 'a:10:{s:4:"uuid";s:36:"ea94e29c-8e2b-42ef-9a8c-59934fcb1f86";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:70:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item";i:2;s:74:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";}s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:39:"block_content.mt_timeline_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_item";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:27;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_tml_timeline_viewmore";a:5:{s:6:"weight";i:28;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_typing_animation_block.default', 'a:10:{s:4:"uuid";s:36:"d9fe5a47-3f17-4466-bf54-cb5e635860c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:56:"field.field.block_content.mt_typing_animation_block.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:47:"block_content.mt_typing_animation_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:26;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_video_gallery_block.default', 'a:10:{s:4:"uuid";s:36:"8efc2e26-37ec-4457-8e21-0d53c55466bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:44:"block_content.mt_video_gallery_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:29:"field_mt_video_gallery_slides";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.comment.comment.default', 'a:11:{s:4:"uuid";s:36:"00cefa62-75f7-4282-af89-ce34005cbe87";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:40:"field.field.comment.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ooVjelXSXbiQtp-hYb7LS44vR5UO-Kqu4vf484ggR8w";}s:2:"id";s:23:"comment.comment.default";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:6:"author";a:4:{s:6:"weight";i:-2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"comment_body";a:5:{s:4:"type";s:13:"text_textarea";s:6:"weight";i:11;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.contact_message.alternative.default', 'a:10:{s:4:"uuid";s:36:"5f5aae53-9318-4c34-bdb9-789d5631101f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"contact.form.alternative";}}s:2:"id";s:35:"contact_message.alternative.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:11:"alternative";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"copy";a:4:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:4:{s:6:"weight";i:40;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.contact_message.feedback.default', 'a:10:{s:4:"uuid";s:36:"f3863b3c-9dd7-40be-a844-b0812855716b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:21:"contact.form.feedback";}}s:2:"id";s:32:"contact_message.feedback.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:8:"feedback";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"copy";a:4:{s:6:"weight";i:50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:-40;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:-50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:4:{s:6:"weight";i:40;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.contact_message.personal.default', 'a:10:{s:4:"uuid";s:36:"bb22db0d-bc11-4582-9ecf-de76dd8185f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:21:"contact.form.personal";}}s:2:"id";s:32:"contact_message.personal.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:8:"personal";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:4:"copy";a:4:{s:6:"weight";i:50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:-40;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:-50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:4:{s:6:"weight";i:40;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:9:"recipient";a:4:{s:6:"weight";i:-30;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.article.default', 'a:11:{s:4:"uuid";s:36:"eea34379-0502-4f6d-b1f7-2a3acbdd3d70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:29:"field.field.node.article.body";i:1;s:32:"field.field.node.article.comment";i:2;s:36:"field.field.node.article.field_image";i:3;s:43:"field.field.node.article.field_mt_slideshow";i:4;s:49:"field.field.node.article.field_mt_slideshow_image";i:5;s:48:"field.field.node.article.field_mt_slideshow_text";i:6;s:39:"field.field.node.article.field_mt_video";i:7;s:35:"field.field.node.article.field_tags";i:8;s:21:"image.style.thumbnail";i:9;s:17:"node.type.article";}s:6:"module";a:5:{i:0;s:7:"comment";i:1;s:5:"image";i:2;s:4:"path";i:3;s:4:"text";i:4;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7CvVDwPYotAZFBa36mcpMKZOfVRRp_iGuPHpHaavI6E";}s:2:"id";s:20:"node.article.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:7:"default";s:7:"content";a:15:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"comment";a:5:{s:4:"type";s:15:"comment_default";s:6:"weight";i:13;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:11:"field_image";a:5:{s:4:"type";s:11:"image_image";s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_slideshow";a:5:{s:6:"weight";i:8;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:24:"field_mt_slideshow_image";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_slideshow_text";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:14:"field_mt_video";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:10:"field_tags";a:5:{s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"weight";i:5;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:14;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:12;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:9;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_album.default', 'a:10:{s:4:"uuid";s:36:"ef0d5a12-7bbb-4103-9936-579a0244f61d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_body";i:1;s:44:"field.field.node.mt_album.field_mt_alb_image";i:2;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:3;s:44:"field.field.node.mt_album.field_mt_alb_video";i:4;s:21:"image.style.thumbnail";i:5;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";i:3;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_album.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:7;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_alb_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:18:"field_mt_alb_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_alb_tags";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:9;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_canvas_page.default', 'a:10:{s:4:"uuid";s:36:"609a1c77-67d4-4adf-b951-65da61c9f352";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.field.node.mt_canvas_page.field_mt_cnv_body";i:1;s:24:"node.type.mt_canvas_page";}s:6:"module";a:2:{i:0;s:4:"path";i:1;s:4:"text";}}s:2:"id";s:27:"node.mt_canvas_page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_cnv_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:4;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:7;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:5;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:2;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_event.default', 'a:10:{s:4:"uuid";s:36:"b8964e63-5165-479e-a3ea-d87f1a987f07";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:13:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_body";i:1;s:43:"field.field.node.mt_event.field_mt_evn_date";i:2;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:3;s:44:"field.field.node.mt_event.field_mt_evn_files";i:4;s:44:"field.field.node.mt_event.field_mt_evn_image";i:5;s:47:"field.field.node.mt_event.field_mt_evn_location";i:6;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:7;s:44:"field.field.node.mt_event.field_mt_evn_place";i:8;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:9;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:10;s:44:"field.field.node.mt_event.field_mt_evn_video";i:11;s:21:"image.style.thumbnail";i:12;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:10:"paragraphs";i:4;s:4:"path";i:5;s:4:"text";i:6;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_event.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:7:"default";s:7:"content";a:18:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_evn_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:5:{s:6:"weight";i:11;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:8;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:21:"field_mt_evn_map_zoom";a:5:{s:6:"weight";i:9;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:5:{s:6:"weight";i:7;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:16;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:17;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:12;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}');
INSERT INTO `config` VALUES
('', 'core.entity_form_display.node.mt_presentation.default', 'a:10:{s:4:"uuid";s:36:"d1b119c6-52c0-43a6-8aaf-a1446a64f846";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:15:{i:0;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:1;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:2;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:3;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:4;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:5;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:7;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:8;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:11;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:12;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:13;s:21:"image.style.thumbnail";i:14;s:25:"node.type.mt_presentation";}s:6:"module";a:6:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:28:"node.mt_presentation.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:7:"default";s:7:"content";a:20:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:15;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_prs_affiliations";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_prs_authors";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:17:"field_mt_prs_body";a:5:{s:6:"weight";i:7;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_prs_category";a:5:{s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:17:"field_mt_prs_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_files";a:5:{s:6:"weight";i:9;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:18:"field_mt_prs_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_prs_location";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_prs_session";a:5:{s:6:"weight";i:11;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:20:"field_mt_prs_speaker";a:5:{s:6:"weight";i:4;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:20:"field_mt_prs_sponsor";a:5:{s:6:"weight";i:13;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:19:"field_mt_prs_topics";a:5:{s:6:"weight";i:10;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_prs_video";a:5:{s:6:"weight";i:8;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:18;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:19;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:17;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:14;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_product.default', 'a:10:{s:4:"uuid";s:36:"813a86f2-e86b-4f2b-8f04-24cdbbfc8cbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:19:{i:0;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:1;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:2;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:3;s:45:"field.field.node.mt_product.field_mt_prd_body";i:4;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:5;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:6;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:7;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:8;s:46:"field.field.node.mt_product.field_mt_prd_image";i:9;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:10;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:11;s:46:"field.field.node.mt_product.field_mt_prd_price";i:12;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:13;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:14;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:15;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:16;s:46:"field.field.node.mt_product.field_mt_prd_video";i:17;s:21:"image.style.thumbnail";i:18;s:20:"node.type.mt_product";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:10:"paragraphs";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_product.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:7:"default";s:7:"content";a:24:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:20;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:32:"field_mt_prd_additional_features";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:7;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_prd_availability";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:28:"field_mt_prd_banner_carousel";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_prd_body";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_prd_buy_link";a:5:{s:6:"weight";i:14;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:23:"field_mt_prd_categories";a:5:{s:6:"weight";i:11;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:25:"field_mt_prd_content_tabs";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:15;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:22:"field_mt_prd_highlight";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:5;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_prd_image";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:28:"field_mt_prd_landscape_image";a:5:{s:6:"weight";i:18;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:25:"field_mt_prd_most_popular";a:5:{s:6:"weight";i:17;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:18:"field_mt_prd_price";a:5:{s:6:"weight";i:13;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:31:"field_mt_prd_pricing_table_item";a:5:{s:6:"weight";i:16;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_prd_product_code";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:27:"field_mt_prd_subheader_body";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_prd_tags";a:5:{s:6:"weight";i:12;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_prd_video";a:5:{s:6:"weight";i:8;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:23;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:21;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:22;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:19;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_program_entry.default', 'a:10:{s:4:"uuid";s:36:"b9e4801e-9842-4570-bd8a-8628532b688d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:55:"field.field.node.mt_program_entry.field_mt_prg_category";i:1;s:55:"field.field.node.mt_program_entry.field_mt_prg_end_date";i:2;s:52:"field.field.node.mt_program_entry.field_mt_prg_event";i:3;s:57:"field.field.node.mt_program_entry.field_mt_prg_start_date";i:4;s:26:"node.type.mt_program_entry";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"path";}}s:2:"id";s:29:"node.mt_program_entry.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:7;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:21:"field_mt_prg_category";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:21:"field_mt_prg_end_date";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prg_event";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_prg_start_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:9;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:6;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_service.default', 'a:10:{s:4:"uuid";s:36:"7f86e331-8cca-4643-9f80-f5dbcc3124e6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:1;s:45:"field.field.node.mt_service.field_mt_srv_body";i:2;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:3;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:4;s:46:"field.field.node.mt_service.field_mt_srv_image";i:5;s:46:"field.field.node.mt_service.field_mt_srv_price";i:6;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:7;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:8;s:46:"field.field.node.mt_service.field_mt_srv_video";i:9;s:21:"image.style.thumbnail";i:10;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:10:"paragraphs";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_service.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:7:"default";s:7:"content";a:16:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_srv_banner_image";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_srv_body";a:5:{s:6:"weight";i:6;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_srv_buy_link";a:5:{s:6:"weight";i:10;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:22:"field_mt_srv_highlight";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:5;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_srv_image";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:18:"field_mt_srv_price";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_srv_service_tags";a:5:{s:6:"weight";i:8;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:27:"field_mt_srv_subheader_body";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:5:{s:6:"weight";i:7;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:15;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:13;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:11;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_speaker.default', 'a:10:{s:4:"uuid";s:36:"72450637-0088-42cd-8c14-28a5fe22d47b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:1;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:2;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:4;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:5;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:6;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:8;s:21:"image.style.thumbnail";i:9;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:23:"node.mt_speaker.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:7:"default";s:7:"content";a:15:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_spk_affiliations";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:5:{s:6:"weight";i:8;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:12;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:9;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_sponsor.default', 'a:10:{s:4:"uuid";s:36:"e0c2d206-b3b9-4557-a7b4-ca33ce3a5757";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:2;s:21:"image.style.thumbnail";i:3;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:23:"node.mt_sponsor.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_spn_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_spn_logo";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:9;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:7;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:10;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:5;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_team_member.default', 'a:10:{s:4:"uuid";s:36:"11c06597-e0d0-441a-ac58-558b4036a669";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:1;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:3;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:4;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:5;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:7;s:21:"image.style.thumbnail";i:8;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:27:"node.mt_team_member.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:20;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_tmm_body";a:5:{s:6:"weight";i:15;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_facebook_account";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_linkedin_account";a:5:{s:6:"weight";i:11;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_tmm_member_photo";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_tmm_subtitle";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_twitter_account";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_youtube_account";a:5:{s:6:"weight";i:13;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:23;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:21;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:22;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:19;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_testimonial.default', 'a:10:{s:4:"uuid";s:36:"75a5b5eb-cde2-40b0-a343-eeb416b4682e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:1;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:2;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:3;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"path";i:3;s:4:"text";}}s:2:"id";s:27:"node.mt_testimonial.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:14;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_tst_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_tst_subtitle";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:30:"field_mt_tst_testimonial_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:29:"field_mt_tst_testimonial_link";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:17;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:18;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:13;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.page.default', 'a:11:{s:4:"uuid";s:36:"42c86e3c-5f41-4f65-97c6-5bdd0dd1dc0f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:26:"field.field.node.page.body";i:1;s:45:"field.field.node.page.field_mt_subheader_body";i:2;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"path";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KSvzyFhdLuxniTsunUnUfpfMmod2l57GibtVjL8ymHM";}s:2:"id";s:17:"node.page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:9;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:23:"field_mt_subheader_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:10;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:121;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:8;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.paragraph.mt_additional_feature.default', 'a:10:{s:4:"uuid";s:36:"d26fa8bc-555a-4c12-b614-2ee51df1e025";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:61:"field.field.paragraph.mt_additional_feature.field_mt_adf_body";i:1;s:64:"field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon";i:2;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_image";i:3;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_title";i:4;s:21:"image.style.thumbnail";i:5;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"text";}}s:2:"id";s:39:"paragraph.mt_additional_feature.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:17:"field_mt_adf_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:20:"field_mt_adf_fa_icon";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:18:"field_mt_adf_image";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:18:"field_mt_adf_title";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_collapse.default', 'a:10:{s:4:"uuid";s:36:"74f0f725-170b-481c-b405-e4e7735ad171";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:1;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:2;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:29:"paragraph.mt_collapse.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:22:"field_mt_collapse_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:23:"field_mt_collapse_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_dropdown.default', 'a:10:{s:4:"uuid";s:36:"898680fd-963a-42a7-a292-ca4d30525d61";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:1;s:59:"field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:29:"paragraph.mt_dropdown.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:23:"field_mt_dropdown_block";a:5:{s:6:"weight";i:2;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:25:"field_mt_dropdown_fa_icon";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_fancy_linked_image.default', 'a:10:{s:4:"uuid";s:36:"c21a131b-0c05-44e5-863e-925cad05f171";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:71:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";i:1;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:2;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:3;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:4;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:5;s:21:"image.style.thumbnail";i:6;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";}}s:2:"id";s:39:"paragraph.mt_fancy_linked_image.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:27:"field_mt_fli_button_fa_icon";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:18:"field_mt_fli_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_fli_link";a:5:{s:4:"type";s:12:"link_default";s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_fli_shape";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_fli_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_fancy_tab.default', 'a:10:{s:4:"uuid";s:36:"907285b5-06ed-4d87-b482-1d56b154ebdf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:1;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:2;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:3;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:30:"paragraph.mt_fancy_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:30:"field_mt_fancy_block_reference";a:5:{s:6:"weight";i:2;s:8:"settings";a:4:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";s:11:"match_limit";i:10;}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_fancy_subtitle";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_fancy_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_featured_linked_text_tile.default', 'a:10:{s:4:"uuid";s:36:"ef9e5f11-e359-4b1f-abbf-353761059e14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:1;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:2;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:3;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_featured_linked_text_tile.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:18:"field_mt_fltt_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:18:"field_mt_fltt_link";a:5:{s:4:"type";s:12:"link_default";s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:19:"field_mt_fltt_title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_highlight.default', 'a:10:{s:4:"uuid";s:36:"b78c9233-ee52-4ce7-939c-6d3b9189c67f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:1;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:2;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:3;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:4;s:21:"image.style.thumbnail";i:5;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_highlight.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:23:"field_mt_highlight_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_image";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_highlight_link";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_icon_features.default', 'a:10:{s:4:"uuid";s:36:"02bba738-478b-4c3b-9b77-6e4e36355a82";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:1;s:58:"field.field.paragraph.mt_icon_features.field_mt_if_fa_icon";i:2;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:3;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:4;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:5;s:21:"image.style.thumbnail";i:6;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:4:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";}}s:2:"id";s:34:"paragraph.mt_icon_features.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:16:"field_mt_if_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:19:"field_mt_if_fa_icon";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:17:"field_mt_if_image";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:16:"field_mt_if_link";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:17:"field_mt_if_title";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_main_slideshow_slide.default', 'a:10:{s:4:"uuid";s:36:"2f4c3b21-c151-4111-978c-b2d4edfdce2e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:1;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:2;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:3;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:4;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:5;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:6;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:7;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:8;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:9;s:21:"image.style.thumbnail";i:10;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"link";}}s:2:"id";s:41:"paragraph.mt_main_slideshow_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:25:"field_mt_ms_slide_caption";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:15:"string_textarea";s:6:"region";s:7:"content";}s:31:"field_mt_ms_slide_caption_color";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:30:"field_mt_ms_slide_caption_opac";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_image";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:22:"field_mt_ms_slide_link";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:26:"field_mt_ms_slide_vimeo_id";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:24:"field_mt_ms_slide_volume";a:5:{s:6:"weight";i:8;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_slide_youtube_id";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}');
INSERT INTO `config` VALUES
('', 'core.entity_form_display.paragraph.mt_map_location.default', 'a:10:{s:4:"uuid";s:36:"fb3e5e5d-bad3-4d2b-af1c-c80d125c3a10";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:1;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:2;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:3;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:33:"paragraph.mt_map_location.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:20:"field_mt_ml_latitude";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_ml_location_name";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:21:"field_mt_ml_longitude";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_media_tab.default', 'a:10:{s:4:"uuid";s:36:"f8df525a-0299-4fe8-95d9-6ae418dabfd3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:1;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:2;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:3;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:4;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:5;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:6;s:21:"image.style.thumbnail";i:7;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";i:3;s:17:"video_embed_field";}}s:2:"id";s:30:"paragraph.mt_media_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:19:"field_mt_media_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:21:"field_mt_media_button";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:20:"field_mt_media_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:24:"field_mt_media_tab_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_media_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_media_video";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_tab.default', 'a:10:{s:4:"uuid";s:36:"c60c5aa4-1928-4818-90fe-54aa3e8f6fa6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:1;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:24:"paragraph.mt_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:20:"field_mt_tab_content";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:18:"field_mt_tab_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_timeline_item.default', 'a:10:{s:4:"uuid";s:36:"8e4ae787-0a8a-48de-a52a-6b2b8ff35ea3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date";i:1;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link";i:2;s:66:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title";i:3;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"link";}}s:2:"id";s:34:"paragraph.mt_timeline_item.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:26:"field_mt_tml_timeline_link";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:27:"field_mt_tml_timeline_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_video_gallery_slide.default', 'a:10:{s:4:"uuid";s:36:"f9c092ec-32a2-4fd6-8db4-cf73105ce8f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:1;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:2;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:3;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:4;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:5;s:21:"image.style.thumbnail";i:6;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:40:"paragraph.mt_video_gallery_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:24:"field_mt_vgs_slide_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:22:"field_mt_vgs_thumbnail";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_vgs_vimeo_id";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:19:"field_mt_vgs_volume";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:23:"field_mt_vgs_youtube_id";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.taxonomy_term.mt_affiliations.default', 'a:10:{s:4:"uuid";s:36:"0c8f9c68-92e4-46ab-960c-0590e1517862";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:68:"field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image";i:1;s:21:"image.style.thumbnail";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:37:"taxonomy_term.mt_affiliations.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:11:"description";a:5:{s:4:"type";s:13:"text_textarea";s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:11:"placeholder";s:0:"";s:4:"rows";i:5;}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_affiliation_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"name";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.taxonomy_term.mt_collections.default', 'a:10:{s:4:"uuid";s:36:"a5d7a563-7318-45ad-9f36-900a2fc638ca";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:1;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:2;s:21:"image.style.thumbnail";i:3;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_collections.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:11:"description";a:5:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_collection_image";a:5:{s:6:"weight";i:31;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:30:"field_mt_wide_collection_image";a:5:{s:6:"weight";i:32;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"name";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:30;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.user.user.default', 'a:11:{s:4:"uuid";s:36:"4c08e0a8-5971-46fc-879f-ad962dc81471";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.field.user.user.field_mt_full_name";i:1;s:40:"field.field.user.user.field_mt_signature";i:2;s:34:"field.field.user.user.user_picture";i:3;s:21:"image.style.thumbnail";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"LLAieeozVsoZDb-2PbFxRJpQqnKmpR7-4OoRJnduz-U";}s:2:"id";s:17:"user.user.default";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:7:"account";a:4:{s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"contact";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_full_name";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:18:"field_mt_signature";a:5:{s:6:"weight";i:3;s:8:"settings";a:4:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";s:12:"show_summary";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:8:"language";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:8:"timezone";a:4:{s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"user_picture";a:5:{s:4:"type";s:11:"image_image";s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:6:"weight";i:1;s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_mode.user.register', 'a:9:{s:4:"uuid";s:36:"85abc5c1-223a-434a-bc58-df86662fa3d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"flXhTcp55yLcyy7ZLOhPGKGZobZQJdkAFVWV3LseiuI";}s:2:"id";s:13:"user.register";s:5:"label";s:8:"Register";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}'),
('', 'core.entity_view_display.block_content.basic.default', 'a:11:{s:4:"uuid";s:36:"3021ae9c-fbd0-439d-aaaf-069fa3c90536";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:36:"field.field.block_content.basic.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zCrrHAjrsQgWjBXBsshAZjND21czBy8sH_L5v_xDKSA";}s:2:"id";s:27:"block_content.basic.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:5:"basic";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_background_image_block.default', 'a:10:{s:4:"uuid";s:36:"ddcc87b0-50a3-4e35-a0a5-4fb5968c0aea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:2;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:3;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:4;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:5;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:6;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";}}s:2:"id";s:47:"block_content.mt_background_image_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:5:{s:25:"field_mt_background_image";b:1;s:23:"field_mt_bg_image_color";b:1;s:29:"field_mt_bg_image_layout_mode";b:1;s:25:"field_mt_bg_image_opacity";b:1;s:29:"field_mt_bg_image_positioning";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_background_video_block.default', 'a:10:{s:4:"uuid";s:36:"d8e6a67d-156e-458b-a248-969111195826";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:8:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:2;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:3;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:4;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:5;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:6;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:7;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";}}s:2:"id";s:47:"block_content.mt_background_video_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:6:{s:23:"field_mt_bv_layout_mode";b:1;s:25:"field_mt_bv_overlay_color";b:1;s:27:"field_mt_bv_overlay_opacity";b:1;s:18:"field_mt_bv_poster";b:1;s:21:"field_mt_bv_video_mp4";b:1;s:22:"field_mt_bv_video_webm";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_collapsible_block.default', 'a:10:{s:4:"uuid";s:36:"671d497d-6d6a-4b22-8555-8122bf67ac0b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:71:"field.field.block_content.mt_collapsible_block.field_mt_block_reference";i:2;s:72:"field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon";i:3;s:70:"field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon";i:4;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_state";i:5;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_title";i:6;s:75:"field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position";}}s:2:"id";s:42:"block_content.mt_collapsible_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:5:{s:25:"field_mt_cb_collapse_icon";b:1;s:23:"field_mt_cb_expand_icon";b:1;s:17:"field_mt_cb_state";b:1;s:17:"field_mt_cb_title";b:1;s:28:"field_mt_cb_trigger_position";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_dropdowns_block.default', 'a:10:{s:4:"uuid";s:36:"1a8abdd8-32e9-43ca-a55f-c231e05a240b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:40:"block_content.mt_dropdowns_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:17:"field_mt_dropdown";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_fancy_linked_images_block.default', 'a:10:{s:4:"uuid";s:36:"187fcbab-b85d-44fb-9af3-f1bf6a34865b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_fancy_linked_images_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:27:"field_mt_fancy_linked_image";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_fancy_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"02aa789c-e09a-4921-ba95-db9a210f9af5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_fancy_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fancy_tab";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_fltt_block.default', 'a:10:{s:4:"uuid";s:36:"fe5314e6-33a1-4beb-82e5-2cfa537b957d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:35:"block_content.mt_fltt_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:13:"field_mt_fltt";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_google_maps.default', 'a:10:{s:4:"uuid";s:36:"27bffcb5-39e6-42bc-a34d-2ffed0abeb1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:2;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:36:"block_content.mt_google_maps.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:21:"field_mt_map_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:1:{s:17:"field_mt_map_zoom";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_if_block.default', 'a:10:{s:4:"uuid";s:36:"acb2e8f2-f1d9-44a9-905f-ff4bc0df9af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:49:"field.field.block_content.mt_if_block.field_mt_if";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:33:"block_content.mt_if_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:11:"field_mt_if";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_main_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"b912651f-d6b5-430c-8d9d-2ab6cce4d153";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:2;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:3;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:4;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:5;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:6;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:7;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:8;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:9;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:10;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:45:"block_content.mt_main_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:29:"field_mt_main_slideshow_slide";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:9:{s:30:"field_mt_main_slideshow_layout";b:1;s:30:"field_mt_ms_background_opacity";b:1;s:28:"field_mt_ms_bullets_position";b:1;s:18:"field_mt_ms_effect";b:1;s:27:"field_mt_ms_effect_duration";b:1;s:32:"field_mt_ms_ignore_header_height";b:1;s:26:"field_mt_ms_initial_height";b:1;s:28:"field_mt_ms_navigation_style";b:1;s:27:"field_mt_ms_touch_swipe_nav";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_media_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"67b362fb-d8bb-481a-a917-2306096dcdc7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_media_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_media_tab";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_nodes_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"b2c71c2c-8bdb-41c9-add1-c2814f182a73";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";}}s:2:"id";s:46:"block_content.mt_nodes_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:17:"field_mt_ns_slide";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:13:"mt_slide_view";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"98949051-6c07-442c-84ac-38b0eefae150";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";}}s:2:"id";s:35:"block_content.mt_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_timeline_block.default', 'a:10:{s:4:"uuid";s:36:"1a1bcc99-a2f9-439c-9a2c-2a1958e13065";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:70:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item";i:2;s:74:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";}s:6:"module";a:2:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"link";}}s:2:"id";s:39:"block_content.mt_timeline_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:26:"field_mt_tml_timeline_item";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_tml_timeline_viewmore";a:6:{s:6:"weight";i:2;s:5:"label";s:15:"visually_hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_typing_animation_block.default', 'a:10:{s:4:"uuid";s:36:"343daf9f-99e2-4f6a-acd6-1f80b766679d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:56:"field.field.block_content.mt_typing_animation_block.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:47:"block_content.mt_typing_animation_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_video_gallery_block.default', 'a:10:{s:4:"uuid";s:36:"d2d59f86-d41d-4c05-91f0-3c612f6a9323";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:44:"block_content.mt_video_gallery_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:29:"field_mt_video_gallery_slides";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.comment.comment.default', 'a:11:{s:4:"uuid";s:36:"29569baf-13c0-4450-8e19-6737bfeeac7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:40:"field.field.comment.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"1yBeJcGufCbnbSolmaYgTIXZWYUaO7kw6xszGA8TYs8";}s:2:"id";s:23:"comment.comment.default";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:12:"comment_body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:100;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.contact_message.alternative.default', 'a:10:{s:4:"uuid";s:36:"6c017005-bc62-4b27-8796-ddb249b3256a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"contact.form.alternative";}}s:2:"id";s:35:"contact_message.alternative.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:11:"alternative";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:7:"message";a:6:{s:4:"type";s:12:"basic_string";s:6:"weight";i:1;s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.article.default', 'a:11:{s:4:"uuid";s:36:"16771de1-8af0-4cb1-b872-288631e830fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:48:"core.entity_view_display.comment.comment.default";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:5:{i:0;s:7:"comment";i:1;s:5:"image";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JtAg_-waIt1quMtdDtHIaXJMxvTuSmxW7bWyO6Zd68E";}s:2:"id";s:20:"node.article.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:7:"comment";a:6:{s:5:"label";s:5:"above";s:4:"type";s:15:"comment_default";s:6:"weight";i:4;s:8:"settings";a:2:{s:8:"pager_id";i:0;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:11:"field_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:14:"field_mt_video";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:10:"field_tags";a:6:{s:4:"type";s:22:"entity_reference_label";s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:3:{s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;}}'),
('', 'core.entity_view_display.node.article.mt_video_grid_item', 'a:11:{s:4:"uuid";s:36:"549c3a30-b97a-40b8-b0db-115a77a79e1b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:2:{i:0;s:4:"user";i:1;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JtAg_-waIt1quMtdDtHIaXJMxvTuSmxW7bWyO6Zd68E";}s:2:"id";s:31:"node.article.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:1:{s:14:"field_mt_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:4:"body";b:1;s:7:"comment";b:1;s:11:"field_image";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:10:"field_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.article.rss', 'a:11:{s:4:"uuid";s:36:"57f7772a-3cfe-4e19-9055-a9c3f56ba339";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:30:"core.entity_view_mode.node.rss";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q90X1FmFdOkTx8udckWPoAgleOstOerbgDnNpoP6PO4";}s:2:"id";s:16:"node.article.rss";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:3:"rss";s:7:"content";a:1:{s:5:"links";a:4:{s:6:"weight";i:100;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:8:{s:4:"body";b:1;s:7:"comment";b:1;s:11:"field_image";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:14:"field_mt_video";b:1;s:10:"field_tags";b:1;}}'),
('', 'core.entity_view_display.node.article.teaser', 'a:11:{s:4:"uuid";s:36:"f58e136a-3bf6-455e-b04d-85bb5a366486";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U8ghxJXn8JE2p6Q2wLpPWAxpz4r_8crL1LxtapSrHAE";}s:2:"id";s:19:"node.article.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:4:"body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:11:"field_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:7:"comment";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:14:"field_mt_video";b:1;s:10:"field_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_album.default', 'a:10:{s:4:"uuid";s:36:"a227dbcf-75d1-4235-87c0-68db32110152";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_body";i:1;s:44:"field.field.node.mt_album.field_mt_alb_image";i:2;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:3;s:44:"field.field.node.mt_album.field_mt_alb_video";i:4;s:17:"image.style.large";i:5;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_album.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:17:"field_mt_alb_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:18:"field_mt_alb_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_alb_tags";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_album.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"76fcebaf-409c-4dfe-9f9c-3e5a0de1f7cc";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:43:"field.field.node.mt_album.field_mt_alb_body";i:2;s:44:"field.field.node.mt_album.field_mt_alb_image";i:3;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:4;s:44:"field.field.node.mt_album.field_mt_alb_video";i:5;s:17:"image.style.large";i:6;s:18:"node.type.mt_album";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_album.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_alb_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:18:"field_mt_alb_image";b:1;s:17:"field_mt_alb_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_album.teaser', 'a:10:{s:4:"uuid";s:36:"4e754196-0fa0-40d3-83ea-fc7f597ea1c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:43:"field.field.node.mt_album.field_mt_alb_body";i:2;s:44:"field.field.node.mt_album.field_mt_alb_image";i:3;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:4;s:44:"field.field.node.mt_album.field_mt_alb_video";i:5;s:17:"image.style.large";i:6;s:18:"node.type.mt_album";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:20:"node.mt_album.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_alb_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:2;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_alb_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:2:{s:17:"field_mt_alb_tags";b:1;s:18:"field_mt_alb_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_canvas_page.default', 'a:10:{s:4:"uuid";s:36:"88bf21a9-6a65-4d9b-8512-f6d9d511966e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.field.node.mt_canvas_page.field_mt_cnv_body";i:1;s:24:"node.type.mt_canvas_page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:27:"node.mt_canvas_page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_cnv_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:1;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_canvas_page.teaser', 'a:10:{s:4:"uuid";s:36:"6d5ee254-fdeb-4033-8687-244722a305c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_canvas_page.field_mt_cnv_body";i:2;s:24:"node.type.mt_canvas_page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:26:"node.mt_canvas_page.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:17:"field_mt_cnv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:1;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_event.default', 'a:10:{s:4:"uuid";s:36:"caac6962-9909-4237-b0ba-6ea80dc671e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:13:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_body";i:1;s:43:"field.field.node.mt_event.field_mt_evn_date";i:2;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:3;s:44:"field.field.node.mt_event.field_mt_evn_files";i:4;s:44:"field.field.node.mt_event.field_mt_evn_image";i:5;s:47:"field.field.node.mt_event.field_mt_evn_location";i:6;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:7;s:44:"field.field.node.mt_event.field_mt_evn_place";i:8;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:9;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:10;s:44:"field.field.node.mt_event.field_mt_evn_video";i:11;s:17:"image.style.large";i:12;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:26:"entity_reference_revisions";i:2;s:4:"file";i:3;s:5:"image";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_event.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:17:"field_mt_evn_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:28:"use_description_as_link_text";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:24:"mt_get_directions_button";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:21:"field_mt_evn_map_zoom";b:1;}}'),
('', 'core.entity_view_display.node.mt_event.mt_listing_item', 'a:10:{s:4:"uuid";s:36:"e77041ec-7e62-4132-ba57-10a3b832b971";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:14:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:43:"field.field.node.mt_event.field_mt_evn_body";i:2;s:43:"field.field.node.mt_event.field_mt_evn_date";i:3;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:4;s:44:"field.field.node.mt_event.field_mt_evn_files";i:5;s:44:"field.field.node.mt_event.field_mt_evn_image";i:6;s:47:"field.field.node.mt_event.field_mt_evn_location";i:7;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:8;s:44:"field.field.node.mt_event.field_mt_evn_place";i:9;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:10;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:11;s:44:"field.field.node.mt_event.field_mt_evn_video";i:12;s:17:"image.style.large";i:13;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:26:"entity_reference_revisions";i:2;s:4:"file";i:3;s:5:"image";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:29:"node.mt_event.mt_listing_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:15:"mt_listing_item";s:7:"content";a:11:{s:17:"field_mt_evn_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:24:"mt_get_directions_button";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:21:"field_mt_evn_map_zoom";b:1;}}');
INSERT INTO `config` VALUES
('', 'core.entity_view_display.node.mt_event.teaser', 'a:10:{s:4:"uuid";s:36:"f4280b6a-3f28-4d72-a30c-e7a053c1ec39";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:14:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:43:"field.field.node.mt_event.field_mt_evn_body";i:2;s:43:"field.field.node.mt_event.field_mt_evn_date";i:3;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:4;s:44:"field.field.node.mt_event.field_mt_evn_files";i:5;s:44:"field.field.node.mt_event.field_mt_evn_image";i:6;s:47:"field.field.node.mt_event.field_mt_evn_location";i:7;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:8;s:44:"field.field.node.mt_event.field_mt_evn_place";i:9;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:10;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:11;s:44:"field.field.node.mt_event.field_mt_evn_video";i:12;s:17:"image.style.large";i:13;s:18:"node.type.mt_event";}s:6:"module";a:4:{i:0;s:8:"datetime";i:1;s:5:"image";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:20:"node.mt_event.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:6:"teaser";s:7:"content";a:4:{s:17:"field_mt_evn_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_evn_date";a:6:{s:4:"type";s:16:"datetime_default";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"format_type";s:6:"medium";s:17:"timezone_override";s:0:"";}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_evn_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:2;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_evn_place";a:6:{s:4:"type";s:6:"string";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:8:{s:27:"field_mt_evn_event_category";b:1;s:18:"field_mt_evn_files";b:1;s:21:"field_mt_evn_location";b:1;s:21:"field_mt_evn_map_zoom";b:1;s:20:"field_mt_evn_speaker";b:1;s:20:"field_mt_evn_sponsor";b:1;s:18:"field_mt_evn_video";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_presentation.default', 'a:10:{s:4:"uuid";s:36:"7e69d613-711d-4659-a521-75104d35342c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:15:{i:0;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:1;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:2;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:3;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:4;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:5;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:7;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:8;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:11;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:12;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:13;s:17:"image.style.large";i:14;s:25:"node.type.mt_presentation";}s:6:"module";a:6:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:28:"node.mt_presentation.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:25:"field_mt_prs_affiliations";a:6:{s:6:"weight";i:5;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_prs_authors";a:6:{s:6:"weight";i:4;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:17:"field_mt_prs_body";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_prs_category";a:6:{s:6:"weight";i:10;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_prs_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"format_type";s:6:"medium";s:17:"timezone_override";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_files";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:28:"use_description_as_link_text";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_prs_location";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_prs_session";a:6:{s:6:"weight";i:12;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:20:"field_mt_prs_speaker";a:6:{s:6:"weight";i:3;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:20:"field_mt_prs_sponsor";a:6:{s:6:"weight";i:9;s:5:"label";s:5:"above";s:8:"settings";a:2:{s:9:"view_mode";s:15:"mt_listing_item";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:19:"field_mt_prs_topics";a:6:{s:6:"weight";i:11;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_prs_video";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_presentation.teaser', 'a:10:{s:4:"uuid";s:36:"8da06888-c4cd-4bae-b68b-e727c8097702";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:16:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:2;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:3;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:4;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:5;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:7;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:8;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:11;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:12;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:13;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:14;s:17:"image.style.large";i:15;s:25:"node.type.mt_presentation";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:27:"node.mt_presentation.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_prs_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prs_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:11:{s:25:"field_mt_prs_affiliations";b:1;s:20:"field_mt_prs_authors";b:1;s:21:"field_mt_prs_category";b:1;s:17:"field_mt_prs_date";b:1;s:18:"field_mt_prs_files";b:1;s:21:"field_mt_prs_location";b:1;s:20:"field_mt_prs_session";b:1;s:20:"field_mt_prs_speaker";b:1;s:20:"field_mt_prs_sponsor";b:1;s:19:"field_mt_prs_topics";b:1;s:18:"field_mt_prs_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.default', 'a:10:{s:4:"uuid";s:36:"117dc762-2666-45b3-ab31-dc6c238e5182";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:19:{i:0;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:1;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:2;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:3;s:45:"field.field.node.mt_product.field_mt_prd_body";i:4;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:5;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:6;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:7;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:8;s:46:"field.field.node.mt_product.field_mt_prd_image";i:9;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:10;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:11;s:46:"field.field.node.mt_product.field_mt_prd_price";i:12;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:13;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:14;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:15;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:16;s:46:"field.field.node.mt_product.field_mt_prd_video";i:17;s:17:"image.style.large";i:18;s:20:"node.type.mt_product";}s:6:"module";a:7:{i:0;s:26:"entity_reference_revisions";i:1;s:5:"image";i:2;s:4:"link";i:3;s:7:"options";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_product.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:32:"field_mt_prd_additional_features";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:8;s:5:"label";s:5:"above";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_prd_availability";a:6:{s:6:"weight";i:15;s:5:"label";s:6:"inline";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"list_default";s:6:"region";s:7:"content";}s:28:"field_mt_prd_banner_carousel";a:6:{s:6:"weight";i:23;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_prd_body";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_prd_buy_link";a:6:{s:6:"weight";i:19;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:25:"field_mt_prd_content_tabs";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:21;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:22:"field_mt_prd_highlight";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_prd_image";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_prd_price";a:6:{s:6:"weight";i:17;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_prd_product_code";a:6:{s:6:"weight";i:14;s:5:"label";s:6:"inline";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:27:"field_mt_prd_subheader_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_prd_tags";a:6:{s:6:"weight";i:12;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_prd_video";a:6:{s:6:"weight";i:10;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:22;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:4:{s:23:"field_mt_prd_categories";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.mt_slide_view', 'a:10:{s:4:"uuid";s:36:"d2686508-614d-420d-ba28-afafc7079fb3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:40:"core.entity_view_mode.node.mt_slide_view";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:29:"node.mt_product.mt_slide_view";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:13:"mt_slide_view";s:7:"content";a:2:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:300;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:16:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:18:"field_mt_prd_video";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"173ae27c-4a33-4d13-9083-4dfbb94b92e8";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_product.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:16:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:18:"field_mt_prd_image";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.teaser', 'a:10:{s:4:"uuid";s:36:"7e23721c-bb88-421f-abe9-7a2575d0b241";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_product.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:15:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:18:"field_mt_prd_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_program_entry.default', 'a:10:{s:4:"uuid";s:36:"571a2255-4b9d-47fd-b63e-bf8fe9a8a691";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:55:"field.field.node.mt_program_entry.field_mt_prg_category";i:1;s:55:"field.field.node.mt_program_entry.field_mt_prg_end_date";i:2;s:52:"field.field.node.mt_program_entry.field_mt_prg_event";i:3;s:57:"field.field.node.mt_program_entry.field_mt_prg_start_date";i:4;s:26:"node.type.mt_program_entry";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"user";}}s:2:"id";s:29:"node.mt_program_entry.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:21:"field_mt_prg_end_date";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prg_event";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:23:"field_mt_prg_start_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:21:"field_mt_prg_category";b:1;}}'),
('', 'core.entity_view_display.node.mt_program_entry.teaser', 'a:10:{s:4:"uuid";s:36:"5d2481c4-938d-4605-95b5-0075e89e97e7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:55:"field.field.node.mt_program_entry.field_mt_prg_category";i:2;s:55:"field.field.node.mt_program_entry.field_mt_prg_end_date";i:3;s:52:"field.field.node.mt_program_entry.field_mt_prg_event";i:4;s:57:"field.field.node.mt_program_entry.field_mt_prg_start_date";i:5;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:28:"node.mt_program_entry.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:4:"mode";s:6:"teaser";s:7:"content";a:1:{s:5:"links";a:4:{s:6:"weight";i:100;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:4:{s:21:"field_mt_prg_category";b:1;s:21:"field_mt_prg_end_date";b:1;s:18:"field_mt_prg_event";b:1;s:23:"field_mt_prg_start_date";b:1;}}'),
('', 'core.entity_view_display.node.mt_service.default', 'a:10:{s:4:"uuid";s:36:"09e4d23f-08bf-419e-8686-91267d5a2601";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:1;s:45:"field.field.node.mt_service.field_mt_srv_body";i:2;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:3;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:4;s:46:"field.field.node.mt_service.field_mt_srv_image";i:5;s:46:"field.field.node.mt_service.field_mt_srv_price";i:6;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:7;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:8;s:46:"field.field.node.mt_service.field_mt_srv_video";i:9;s:17:"image.style.large";i:10;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:26:"entity_reference_revisions";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_service.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:7:"default";s:7:"content";a:10:{s:25:"field_mt_srv_banner_image";a:6:{s:6:"weight";i:10;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_srv_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_srv_buy_link";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:22:"field_mt_srv_highlight";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_srv_image";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_srv_price";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_srv_service_tags";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:27:"field_mt_srv_subheader_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:8;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_service.mt_slide_view', 'a:10:{s:4:"uuid";s:36:"d4408096-6c43-48db-8f36-301e98f6dd67";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:40:"core.entity_view_mode.node.mt_slide_view";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:29:"node.mt_service.mt_slide_view";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:13:"mt_slide_view";s:7:"content";a:2:{s:17:"field_mt_srv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:300;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_srv_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:8:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:18:"field_mt_srv_video";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_service.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"9f9acc6e-12f7-4fe7-aaaf-e38cea563693";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_service.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_srv_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_image";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_service.teaser', 'a:10:{s:4:"uuid";s:36:"d4ba0d95-afe7-4974-bdf3-36608970e257";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_service.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_srv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_srv_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:7:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:18:"field_mt_srv_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_speaker.default', 'a:10:{s:4:"uuid";s:36:"bbd780a7-569d-447e-b724-0f0937970483";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:1;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:2;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:4;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:5;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:6;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:8;s:27:"image.style.mt_member_photo";i:9;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:23:"node.mt_speaker.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:25:"field_mt_spk_affiliations";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_speaker.mt_listing_item', 'a:10:{s:4:"uuid";s:36:"bdc44654-1674-4e55-a59b-232179ed3e60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:2;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:4;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:5;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:6;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:8;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:9;s:27:"image.style.mt_member_photo";i:10;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:31:"node.mt_speaker.mt_listing_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:15:"mt_listing_item";s:7:"content";a:8:{s:25:"field_mt_spk_affiliations";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:1:{s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_speaker.teaser', 'a:10:{s:4:"uuid";s:36:"f391486b-464c-4a66-8129-735ceb4742f0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:2;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:4;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:5;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:6;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:8;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:9;s:27:"image.style.mt_member_photo";i:10;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_speaker.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_spk_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_spk_speaker_photo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:6:{s:25:"field_mt_spk_affiliations";b:1;s:29:"field_mt_spk_facebook_account";b:1;s:29:"field_mt_spk_linkedin_account";b:1;s:21:"field_mt_spk_subtitle";b:1;s:28:"field_mt_spk_twitter_account";b:1;s:28:"field_mt_spk_youtube_account";b:1;}}'),
('', 'core.entity_view_display.node.mt_sponsor.default', 'a:10:{s:4:"uuid";s:36:"661201be-0e59-4ab0-b0bb-e5bc673ec683";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:2;s:20:"image.style.mt_logos";i:3;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:23:"node.mt_sponsor.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:17:"field_mt_spn_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_spn_logo";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_sponsor.mt_listing_item', 'a:10:{s:4:"uuid";s:36:"d08d6598-4f43-40fc-9bb0-1cff37f2aef2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:2;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:3;s:20:"image.style.mt_logos";i:4;s:20:"node.type.mt_sponsor";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:2:"id";s:31:"node.mt_sponsor.mt_listing_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:15:"mt_listing_item";s:7:"content";a:1:{s:17:"field_mt_spn_logo";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:17:"field_mt_spn_body";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_sponsor.teaser', 'a:10:{s:4:"uuid";s:36:"c0cf4165-406d-47a9-97ea-117eb5215fce";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:2;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:3;s:21:"image.style.mt_brands";i:4;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_sponsor.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_spn_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_spn_logo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_team_member.default', 'a:10:{s:4:"uuid";s:36:"ee529fc4-ebc5-4f06-8deb-359001ebc3fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:1;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:3;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:4;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:5;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:7;s:27:"image.style.mt_member_photo";i:8;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:27:"node.mt_team_member.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:17:"field_mt_tmm_body";a:6:{s:6:"weight";i:13;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_facebook_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_linkedin_account";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_tmm_member_photo";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_tmm_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_twitter_account";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_youtube_account";a:6:{s:6:"weight";i:11;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:14;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_team_member.teaser', 'a:10:{s:4:"uuid";s:36:"ab11fbef-c5ef-427c-ae70-838c206a3523";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:3;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:4;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:5;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:7;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:8;s:27:"image.style.mt_member_photo";i:9;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:26:"node.mt_team_member.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_tmm_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_tmm_member_photo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:5:{s:29:"field_mt_tmm_facebook_account";b:1;s:29:"field_mt_tmm_linkedin_account";b:1;s:21:"field_mt_tmm_subtitle";b:1;s:28:"field_mt_tmm_twitter_account";b:1;s:28:"field_mt_tmm_youtube_account";b:1;}}'),
('', 'core.entity_view_display.node.mt_testimonial.default', 'a:10:{s:4:"uuid";s:36:"30711c7b-450f-40e2-a034-36111d0222e6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:1;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:2;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:3;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:4;s:32:"image.style.mt_testimonial_image";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:27:"node.mt_testimonial.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:17:"field_mt_tst_body";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_tst_subtitle";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:30:"field_mt_tst_testimonial_image";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:29:"field_mt_tst_testimonial_link";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:8;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}');
INSERT INTO `config` VALUES
('', 'core.entity_view_display.node.mt_testimonial.teaser', 'a:10:{s:4:"uuid";s:36:"76e93c0c-e8dd-4e00-9bb5-85240cb6e5d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:2;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:3;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:4;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:5;s:32:"image.style.mt_testimonial_image";i:6;s:24:"node.type.mt_testimonial";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:26:"node.mt_testimonial.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:6:"teaser";s:7:"content";a:4:{s:17:"field_mt_tst_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:5;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:21:"field_mt_tst_subtitle";a:6:{s:4:"type";s:6:"string";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}}s:30:"field_mt_tst_testimonial_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:29:"field_mt_tst_testimonial_link";b:1;}}'),
('', 'core.entity_view_display.node.page.default', 'a:11:{s:4:"uuid";s:36:"3c83f4f8-4f03-41d4-b090-506c51f23482";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:26:"field.field.node.page.body";i:1;s:45:"field.field.node.page.field_mt_subheader_body";i:2;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"oZ-7vpIJxjxL2up9B5KrJGD0lazQ9aN0P-fIPo6OrSU";}s:2:"id";s:17:"node.page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:23:"field_mt_subheader_body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.page.teaser', 'a:11:{s:4:"uuid";s:36:"6914ed2a-3603-4769-8474-677c5a7a6ec7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:26:"field.field.node.page.body";i:2;s:45:"field.field.node.page.field_mt_subheader_body";i:3;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rN2zrScZAJ9xB16hm_Deb9QJKy6JXnn0PdI2n5Z3KRs";}s:2:"id";s:16:"node.page.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:100;s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:101;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:23:"field_mt_subheader_body";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_additional_feature.default', 'a:10:{s:4:"uuid";s:36:"cb83fc12-0efe-4958-9b6d-68cd870db8f7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:61:"field.field.paragraph.mt_additional_feature.field_mt_adf_body";i:1;s:64:"field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon";i:2;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_image";i:3;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_title";i:4;s:17:"image.style.large";i:5;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"text";}}s:2:"id";s:39:"paragraph.mt_additional_feature.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:17:"field_mt_adf_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:20:"field_mt_adf_fa_icon";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:6:"layers";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"fontawesome_icon_formatter";s:6:"region";s:7:"content";}s:18:"field_mt_adf_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_adf_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_collapse.default', 'a:10:{s:4:"uuid";s:36:"7f6245de-56cf-4a75-86b1-bbd5d3c8527e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:1;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:2;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:29:"paragraph.mt_collapse.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:22:"field_mt_collapse_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:23:"field_mt_collapse_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_dropdown.default', 'a:10:{s:4:"uuid";s:36:"25297fff-e7d3-4d89-931b-5ca13af018d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:1;s:59:"field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}}s:2:"id";s:29:"paragraph.mt_dropdown.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:23:"field_mt_dropdown_block";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:25:"field_mt_dropdown_fa_icon";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_fancy_linked_image.default', 'a:10:{s:4:"uuid";s:36:"1dbc52e8-b36c-46fe-b4a5-51a61c2477cc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:6:{i:0;s:71:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";i:1;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:2;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:3;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:4;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:5;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}}s:2:"id";s:39:"paragraph.mt_fancy_linked_image.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fli_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:6:{s:7:"created";b:1;s:27:"field_mt_fli_button_fa_icon";b:1;s:18:"field_mt_fli_image";b:1;s:17:"field_mt_fli_link";b:1;s:18:"field_mt_fli_shape";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_fancy_tab.default', 'a:10:{s:4:"uuid";s:36:"fbbcd41d-b9bf-4412-a8ae-e96139aa1ba3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:1;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:2;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:3;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:30:"paragraph.mt_fancy_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:30:"field_mt_fancy_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:4:{s:7:"created";b:1;s:23:"field_mt_fancy_subtitle";b:1;s:20:"field_mt_fancy_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_featured_linked_text_tile.default', 'a:10:{s:4:"uuid";s:36:"f36f0bac-92b1-4cd3-bfd8-0a70d56c54e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:1;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:2;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:3;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_featured_linked_text_tile.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fltt_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:4:{s:7:"created";b:1;s:18:"field_mt_fltt_link";b:1;s:19:"field_mt_fltt_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_highlight.default', 'a:10:{s:4:"uuid";s:36:"102a6da8-f4c8-4c1e-94cf-9da0115aa486";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:1;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:2;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:3;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:4;s:17:"image.style.large";i:5;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_highlight.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:23:"field_mt_highlight_body";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:23:"field_mt_highlight_link";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_title";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_icon_features.default', 'a:10:{s:4:"uuid";s:36:"e6be2356-6bc3-43a1-a898-8b2c69dfe559";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:1;s:58:"field.field.paragraph.mt_icon_features.field_mt_if_fa_icon";i:2;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:3;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:4;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:5;s:17:"image.style.large";i:6;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:4:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";}}s:2:"id";s:34:"paragraph.mt_icon_features.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:16:"field_mt_if_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:19:"field_mt_if_fa_icon";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:6:"layers";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"fontawesome_icon_formatter";s:6:"region";s:7:"content";}s:17:"field_mt_if_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:16:"field_mt_if_link";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:17:"field_mt_if_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_main_slideshow_slide.default', 'a:10:{s:4:"uuid";s:36:"dcf6cde2-0ae6-4fc0-b6e2-b0ced9df5862";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:1;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:2;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:3;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:4;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:5;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:6;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:7;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:8;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:9;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:41:"paragraph.mt_main_slideshow_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:25:"field_mt_ms_slide_caption";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"basic_string";s:6:"region";s:7:"content";}s:22:"field_mt_ms_slide_link";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:7:"created";b:1;s:31:"field_mt_ms_slide_caption_color";b:1;s:30:"field_mt_ms_slide_caption_opac";b:1;s:23:"field_mt_ms_slide_image";b:1;s:26:"field_mt_ms_slide_vimeo_id";b:1;s:24:"field_mt_ms_slide_volume";b:1;s:28:"field_mt_ms_slide_youtube_id";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_map_location.default', 'a:10:{s:4:"uuid";s:36:"e861ee8a-8df1-4f71-b991-57b12863f206";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:1;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:2;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:3;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:33:"paragraph.mt_map_location.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:4:"mode";s:7:"default";s:7:"content";a:0:{}s:6:"hidden";a:3:{s:20:"field_mt_ml_latitude";b:1;s:25:"field_mt_ml_location_name";b:1;s:21:"field_mt_ml_longitude";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_media_tab.default', 'a:10:{s:4:"uuid";s:36:"970c2840-8051-4de8-b2a7-9024e38e17ee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:1;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:2;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:3;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:4;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:5;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:6;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_media_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:19:"field_mt_media_body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:7:"created";b:1;s:21:"field_mt_media_button";b:1;s:20:"field_mt_media_image";b:1;s:24:"field_mt_media_tab_title";b:1;s:20:"field_mt_media_title";b:1;s:20:"field_mt_media_video";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_tab.default', 'a:10:{s:4:"uuid";s:36:"d1b7a49b-a868-44a7-99cb-54fc1a2c8516";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:1;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:24:"paragraph.mt_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:20:"field_mt_tab_content";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:18:"field_mt_tab_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_timeline_item.default', 'a:10:{s:4:"uuid";s:36:"d14980e3-1881-48e6-8db3-cf0f21155a83";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date";i:1;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link";i:2;s:66:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title";i:3;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"link";}}s:2:"id";s:34:"paragraph.mt_timeline_item.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_date";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:16:"mt_yearless_date";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:26:"field_mt_tml_timeline_link";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:27:"field_mt_tml_timeline_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_video_gallery_slide.default', 'a:10:{s:4:"uuid";s:36:"61d1d94e-c76c-4b7e-aa3f-472b5666e40a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:1;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:2;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:3;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:4;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:5;s:38:"image.style.mt_video_gallery_thumbnail";i:6;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:40:"paragraph.mt_video_gallery_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:24:"field_mt_vgs_slide_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:22:"field_mt_vgs_thumbnail";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:26:"mt_video_gallery_thumbnail";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_vgs_vimeo_id";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:19:"field_mt_vgs_volume";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:18:"number_unformatted";s:6:"region";s:7:"content";}s:23:"field_mt_vgs_youtube_id";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:7:"created";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.taxonomy_term.mt_affiliations.default', 'a:10:{s:4:"uuid";s:36:"b094942e-ecc7-44d3-a48e-6b645cfbcee0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:68:"field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image";i:1;s:18:"image.style.medium";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"text";}}s:2:"id";s:37:"taxonomy_term.mt_affiliations.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:11:"description";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:1;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_affiliation_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.taxonomy_term.mt_collections.default', 'a:10:{s:4:"uuid";s:36:"fc3ceec8-f563-49b0-aef8-be55538c51a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:1;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_collections.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:11:"description";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:25:"field_mt_collection_image";b:1;s:30:"field_mt_wide_collection_image";b:1;}}'),
('', 'core.entity_view_display.user.user.compact', 'a:11:{s:4:"uuid";s:36:"958708a5-d665-4834-852d-168279fc0843";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:34:"core.entity_view_mode.user.compact";i:1;s:40:"field.field.user.user.field_mt_full_name";i:2;s:40:"field.field.user.user.field_mt_signature";i:3;s:34:"field.field.user.user.user_picture";i:4;s:21:"image.style.thumbnail";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"C3k_McOy8bL8rTnIjspy5OfFdgqV1z6OdGZaI-tO5eM";}s:2:"id";s:17:"user.user.compact";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"compact";s:7:"content";a:1:{s:12:"user_picture";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:18:"field_mt_full_name";b:1;s:18:"field_mt_signature";b:1;s:10:"member_for";b:1;}}'),
('', 'core.entity_view_display.user.user.default', 'a:11:{s:4:"uuid";s:36:"e3d9a969-1e63-4df4-a254-03460204eee4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.field.user.user.field_mt_full_name";i:1;s:40:"field.field.user.user.field_mt_signature";i:2;s:34:"field.field.user.user.user_picture";i:3;s:21:"image.style.thumbnail";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"L2mtwGWH_7wDRCMIR4r_Iu_jmvQ10DV1L8ht8iNZ5qY";}s:2:"id";s:17:"user.user.default";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:18:"field_mt_full_name";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:18:"field_mt_signature";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:10:"member_for";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"user_picture";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_mode.block_content.full', 'a:9:{s:4:"uuid";s:36:"d31285d9-0f94-454a-9ca7-41eddec3cd99";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg";}s:2:"id";s:18:"block_content.full";s:5:"label";s:4:"Full";s:16:"targetEntityType";s:13:"block_content";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.comment.full', 'a:9:{s:4:"uuid";s:36:"30f36b6e-7d0d-4254-97f3-c5600cb7480e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"K7eNlfU7NEUajz01wItywZklr2oaPgL6s1_97fmDXLA";}s:2:"id";s:12:"comment.full";s:5:"label";s:12:"Full comment";s:16:"targetEntityType";s:7:"comment";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.font.full', 'a:9:{s:4:"uuid";s:36:"494343ff-2220-4c36-8495-cdf3cc0e70da";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"5sNC12vR6kVFfRc3APtk2vM7XPbzJopPm2tgDWYwaaE";}s:2:"id";s:9:"font.full";s:5:"label";s:14:"Full View Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}'),
('', 'core.entity_view_mode.font.teaser', 'a:9:{s:4:"uuid";s:36:"75303881-05f4-4b3d-8fdb-fd2a36127668";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rftvifM6gdARc-tJa62RoSKjTyAnHLlkK-7F-2sO0H8";}s:2:"id";s:11:"font.teaser";s:5:"label";s:11:"Teaser Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}'),
('', 'core.entity_view_mode.node.full', 'a:9:{s:4:"uuid";s:36:"f8fe4612-74a5-4b56-9058-e6e50ee9d0fb";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ElrtInxGjZd7GaapJ5O9n-ugi2hG2IxFivtgn0tHOsk";}s:2:"id";s:9:"node.full";s:5:"label";s:12:"Full content";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.mt_listing_item', 'a:8:{s:4:"uuid";s:36:"891e050b-6c78-4ae8-bbe5-b6a3429eac8d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:20:"node.mt_listing_item";s:5:"label";s:12:"Listing Item";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.mt_slide_view', 'a:8:{s:4:"uuid";s:36:"e37271ae-777c-4c26-9a0c-13044d7c9d46";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:18:"node.mt_slide_view";s:5:"label";s:10:"Slide View";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.mt_video_grid_item', 'a:8:{s:4:"uuid";s:36:"ec8cc51e-8173-41db-a117-05131af2f5f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.mt_video_grid_item";s:5:"label";s:15:"Video Grid Item";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.rss', 'a:9:{s:4:"uuid";s:36:"8546524f-b24c-4bfe-923e-79c2b408e26a";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vlYzr-rp2f9NMp-Qlr4sFjlqRq-90mco5-afLNGwCrU";}s:2:"id";s:8:"node.rss";s:5:"label";s:3:"RSS";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.search_index', 'a:9:{s:4:"uuid";s:36:"c7bb6b4f-5590-48c0-a151-6f5c5f292689";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fVFfJv_GzBRE-wpRHbfD5a3VjnhbEOXG6lvRd3uaccY";}s:2:"id";s:17:"node.search_index";s:5:"label";s:12:"Search index";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.search_result', 'a:9:{s:4:"uuid";s:36:"9584664a-2b8a-4480-b4d8-cda66b96f312";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6GCOQ-jP2RbdbHA5YWQ6bT8CfGbqrBYKOSC_XY4E3ZM";}s:2:"id";s:18:"node.search_result";s:5:"label";s:32:"Search result highlighting input";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.teaser', 'a:9:{s:4:"uuid";s:36:"da926b75-afbd-41bd-bcb7-874911a84e84";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mz9qWr1kUYK0mjRAGDsr5XS6PvtZ24en_7ndt-pyWe4";}s:2:"id";s:11:"node.teaser";s:5:"label";s:6:"Teaser";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.paragraph.preview', 'a:9:{s:4:"uuid";s:36:"7d2f6fa1-2287-4b88-8555-48299c7e903d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2LM5HYaL3qdCzMYZVLKx6NxTHPZJXyk4S5kfC8aPYOg";}s:2:"id";s:17:"paragraph.preview";s:5:"label";s:7:"Preview";s:16:"targetEntityType";s:9:"paragraph";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.taxonomy_term.full', 'a:9:{s:4:"uuid";s:36:"089eca0f-5c1d-4f3e-9811-0463ad7bb7e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-PPKjsNQPvoIDjOuUAvlLocYD976MNjb9Zpgyz5_BWE";}s:2:"id";s:18:"taxonomy_term.full";s:5:"label";s:18:"Taxonomy term page";s:16:"targetEntityType";s:13:"taxonomy_term";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.user.compact', 'a:9:{s:4:"uuid";s:36:"d3c8590d-54ba-440c-a302-54c15fddc36b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"71CSAr_LNPcgu6D6jI4INl1KATkahmeyUFBETAWya8g";}s:2:"id";s:12:"user.compact";s:5:"label";s:7:"Compact";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.user.full', 'a:9:{s:4:"uuid";s:36:"542fcebc-8bc4-4bef-8210-2b235d80f09e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mQIF_foYjmnVSr9MpcD4CTaJE_FpO1AyDd_DskztGhM";}s:2:"id";s:9:"user.full";s:5:"label";s:12:"User account";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}'),
('', 'core.extension', 'a:4:{s:6:"module";a:58:{s:14:"automated_cron";i:0;s:22:"better_exposed_filters";i:0;s:5:"block";i:0;s:13:"block_content";i:0;s:10:"breakpoint";i:0;s:8:"ckeditor";i:0;s:5:"color";i:0;s:7:"comment";i:0;s:6:"config";i:0;s:7:"contact";i:0;s:10:"contextual";i:0;s:8:"datetime";i:0;s:5:"dblog";i:0;s:18:"dynamic_page_cache";i:0;s:6:"editor";i:0;s:26:"entity_reference_revisions";i:0;s:5:"field";i:0;s:11:"field_group";i:0;s:8:"field_ui";i:0;s:4:"file";i:0;s:6:"filter";i:0;s:11:"fontawesome";i:0;s:17:"fullcalendar_view";i:0;s:4:"help";i:0;s:7:"history";i:0;s:5:"image";i:0;s:8:"juicerio";i:0;s:4:"link";i:0;s:7:"menu_ui";i:0;s:12:"mt_countdown";i:0;s:4:"node";i:0;s:7:"options";i:0;s:10:"page_cache";i:0;s:4:"path";i:0;s:10:"path_alias";i:0;s:9:"quickedit";i:0;s:3:"rdf";i:0;s:6:"search";i:0;s:8:"shortcut";i:0;s:10:"statistics";i:0;s:9:"superfish";i:0;s:6:"system";i:0;s:8:"taxonomy";i:0;s:4:"text";i:0;s:7:"toolbar";i:0;s:4:"tour";i:0;s:6:"update";i:0;s:4:"user";i:0;s:17:"video_embed_field";i:0;s:8:"views_ui";i:0;s:7:"webform";i:0;s:10:"webform_ui";i:0;s:12:"fontyourface";i:1;s:17:"menu_link_content";i:1;s:16:"google_fonts_api";i:10;s:5:"views";i:10;s:10:"paragraphs";i:11;s:8:"standard";i:1000;}s:5:"theme";a:5:{s:6:"stable";i:0;s:6:"classy";i:0;s:5:"seven";i:0;s:14:"conferenceplus";i:0;s:7:"olivero";i:0;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"m2GVq11UAOVuNgj8x0t5fMOPujpvQQ_zxLoaly1BMEU";}s:7:"profile";s:8:"standard";}'),
('', 'core.menu.static_menu_link_overrides', 'a:2:{s:11:"definitions";a:2:{s:18:"contact__site_page";a:5:{s:7:"enabled";b:1;s:9:"menu_name";s:6:"footer";s:6:"parent";s:0:"";s:6:"weight";i:0;s:8:"expanded";b:0;}s:20:"standard__front_page";a:5:{s:6:"weight";i:-99;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"enabled";b:0;s:8:"expanded";b:0;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jdY7AU0tU-QsjmiOw3W8vwpYMb-By--_MSFgbqKUTYM";}}'),
('', 'dblog.settings', 'a:2:{s:9:"row_limit";i:1000;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"e883aGsrt1wFrsydlYU584PZONCSfRy0DtkZ9KzHb58";}}'),
('', 'editor.editor.basic_html', 'a:9:{s:4:"uuid";s:36:"d877a2d5-bd90-40a3-8c44-29e01424b548";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"filter.format.basic_html";}s:6:"module";a:1:{i:0;s:8:"ckeditor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AqlPmO16LvJI4D0Ih6u4GFQIzqr5OnLgAUSjcUGWk2g";}s:6:"format";s:10:"basic_html";s:6:"editor";s:8:"ckeditor";s:8:"settings";a:2:{s:7:"toolbar";a:1:{s:4:"rows";a:1:{i:0;a:6:{i:0;a:2:{s:4:"name";s:10:"Formatting";s:5:"items";a:2:{i:0;s:4:"Bold";i:1;s:6:"Italic";}}i:1;a:2:{s:4:"name";s:7:"Linking";s:5:"items";a:2:{i:0;s:10:"DrupalLink";i:1;s:12:"DrupalUnlink";}}i:2;a:2:{s:4:"name";s:5:"Lists";s:5:"items";a:2:{i:0;s:12:"BulletedList";i:1;s:12:"NumberedList";}}i:3;a:2:{s:4:"name";s:5:"Media";s:5:"items";a:2:{i:0;s:10:"Blockquote";i:1;s:11:"DrupalImage";}}i:4;a:2:{s:4:"name";s:16:"Block Formatting";s:5:"items";a:1:{i:0;s:6:"Format";}}i:5;a:2:{s:4:"name";s:5:"Tools";s:5:"items";a:1:{i:0;s:6:"Source";}}}}}s:7:"plugins";a:1:{s:11:"stylescombo";a:1:{s:6:"styles";s:0:"";}}}s:12:"image_upload";a:5:{s:6:"status";b:1;s:6:"scheme";s:6:"public";s:9:"directory";s:13:"inline-images";s:8:"max_size";s:0:"";s:14:"max_dimensions";a:2:{s:5:"width";i:0;s:6:"height";i:0;}}}'),
('', 'editor.editor.full_html', 'a:9:{s:4:"uuid";s:36:"ef256e59-f7c5-4793-9d96-00edd5e592c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"filter.format.full_html";}s:6:"module";a:1:{i:0;s:8:"ckeditor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"967ijj7p6i7rwrYl7r08WQFeCY_c23YAh0h8u-w_CXM";}s:6:"format";s:9:"full_html";s:6:"editor";s:8:"ckeditor";s:8:"settings";a:2:{s:7:"toolbar";a:1:{s:4:"rows";a:1:{i:0;a:7:{i:0;a:2:{s:4:"name";s:10:"Formatting";s:5:"items";a:7:{i:0;s:4:"Bold";i:1;s:6:"Italic";i:2;s:6:"Strike";i:3;s:11:"Superscript";i:4;s:9:"Subscript";i:5;s:1:"-";i:6;s:12:"RemoveFormat";}}i:1;a:2:{s:4:"name";s:7:"Linking";s:5:"items";a:2:{i:0;s:10:"DrupalLink";i:1;s:12:"DrupalUnlink";}}i:2;a:2:{s:4:"name";s:5:"Lists";s:5:"items";a:2:{i:0;s:12:"BulletedList";i:1;s:12:"NumberedList";}}i:3;a:2:{s:4:"name";s:5:"Media";s:5:"items";a:4:{i:0;s:10:"Blockquote";i:1;s:11:"DrupalImage";i:2;s:5:"Table";i:3;s:14:"HorizontalRule";}}i:4;a:2:{s:4:"name";s:16:"Block Formatting";s:5:"items";a:1:{i:0;s:6:"Format";}}i:5;a:2:{s:4:"name";s:5:"Tools";s:5:"items";a:2:{i:0;s:10:"ShowBlocks";i:1;s:6:"Source";}}i:6;a:2:{s:4:"name";s:11:"Fontawesome";s:5:"items";a:1:{i:0;s:17:"DrupalFontAwesome";}}}}}s:7:"plugins";a:2:{s:11:"stylescombo";a:1:{s:6:"styles";s:0:"";}s:8:"language";a:1:{s:13:"language_list";s:2:"un";}}}s:12:"image_upload";a:5:{s:6:"status";b:1;s:6:"scheme";s:6:"public";s:9:"directory";s:13:"inline-images";s:8:"max_size";s:0:"";s:14:"max_dimensions";a:2:{s:5:"width";N;s:6:"height";N;}}}'),
('', 'field.field.block_content.basic.body', 'a:17:{s:4:"uuid";s:36:"f846560e-28fe-4c24-a2e5-edde073bddae";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"R__6wc-rMfFMO8d7jcgqnqiA92j8spKhcc5MiqecrMc";}s:2:"id";s:24:"block_content.basic.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:5:"basic";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_background_image', 'a:16:{s:4:"uuid";s:36:"510183e4-3805-4ba2-97f3-6d71b7e173ba";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_background_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:65:"block_content.mt_background_image_block.field_mt_background_image";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:16:"Background Image";s:11:"description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_color', 'a:16:{s:4:"uuid";s:36:"bc3df0d5-dd6b-4c97-b05b-6f6476b39928";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:51:"field.storage.block_content.field_mt_bg_image_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_background_image_block.field_mt_bg_image_color";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:30:"Background Image Overlay Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode', 'a:16:{s:4:"uuid";s:36:"4614f686-f6dd-4bee-afc1-9d9bbf063c7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_layout_mode";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:19:"Inner Blocks Layout";s:11:"description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity', 'a:16:{s:4:"uuid";s:36:"c3f9e7d8-3a8b-40db-8882-a32ffa575b0f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_bg_image_opacity";}}s:2:"id";s:65:"block_content.mt_background_image_block.field_mt_bg_image_opacity";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:32:"Background Image Overlay Opacity";s:11:"description";s:58:"Set the % opacity for the overlay of the background image.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning', 'a:16:{s:4:"uuid";s:36:"7b4fb691-fd2d-4460-83c8-084c7df8497a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_positioning";}}s:2:"id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_positioning";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:48:"Enable fixed positioning of the background image";s:11:"description";s:99:"Use the checkbox to fix the position of the background image or allow it to scroll with the content";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"8fe7e957-51c6-4af3-96ed-31b1701463b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:64:"block_content.mt_background_image_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"9f5aeaec-f577-4b34-b516-bac71c883e2c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:64:"block_content.mt_background_video_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode', 'a:16:{s:4:"uuid";s:36:"6fa600ac-335d-4682-96fd-a998bd127b75";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:51:"field.storage.block_content.field_mt_bv_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_background_video_block.field_mt_bv_layout_mode";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:19:"Inner Blocks Layout";s:11:"description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color', 'a:16:{s:4:"uuid";s:36:"9fa17553-5cda-430c-8cde-06f12263c3d9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:53:"field.storage.block_content.field_mt_bv_overlay_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:65:"block_content.mt_background_video_block.field_mt_bv_overlay_color";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:30:"Background Video Overlay Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity', 'a:16:{s:4:"uuid";s:36:"4e738158-1217-45ee-ac9c-06708611d158";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";}}s:2:"id";s:67:"block_content.mt_background_video_block.field_mt_bv_overlay_opacity";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:32:"Background Video Overlay Opacity";s:11:"description";s:58:"Set the % opacity for the overlay of the background video.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_poster', 'a:16:{s:4:"uuid";s:36:"7cb6cdf9-a5a9-4383-9e57-e818a72a3cc9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:46:"field.storage.block_content.field_mt_bv_poster";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:58:"block_content.mt_background_video_block.field_mt_bv_poster";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:6:"Poster";s:11:"description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}');
INSERT INTO `config` VALUES
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4', 'a:16:{s:4:"uuid";s:36:"3dc8330f-5039-4bab-a393-460593651aaf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:49:"field.storage.block_content.field_mt_bv_video_mp4";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:61:"block_content.mt_background_video_block.field_mt_bv_video_mp4";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:22:"Background Video (mp4)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:3:"mp4";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_video_webm', 'a:16:{s:4:"uuid";s:36:"bbd57de8-d236-4c75-88f0-56002523dced";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:50:"field.storage.block_content.field_mt_bv_video_webm";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:62:"block_content.mt_background_video_block.field_mt_bv_video_webm";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:23:"Background Video (webm)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:4:"webm";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"7ee18867-5cad-424f-bd24-9e972434dac0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:59:"block_content.mt_collapsible_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon', 'a:16:{s:4:"uuid";s:36:"4840933e-2edf-4262-b29e-a092b1b5e3d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:53:"field.storage.block_content.field_mt_cb_collapse_icon";}}s:2:"id";s:60:"block_content.mt_collapsible_block.field_mt_cb_collapse_icon";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:13:"Collapse icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon', 'a:16:{s:4:"uuid";s:36:"465c50c2-9f00-4996-9c2f-c1d76faccf34";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:51:"field.storage.block_content.field_mt_cb_expand_icon";}}s:2:"id";s:58:"block_content.mt_collapsible_block.field_mt_cb_expand_icon";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:11:"Expand icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_state', 'a:16:{s:4:"uuid";s:36:"3e82a681-b916-42a5-a0f3-7fc7d45591f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_state";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:52:"block_content.mt_collapsible_block.field_mt_cb_state";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:22:"Collapse initial state";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:8:"expanded";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_title', 'a:16:{s:4:"uuid";s:36:"707fd58a-e82f-4ed2-8594-af23a4c14e55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_title";}}s:2:"id";s:52:"block_content.mt_collapsible_block.field_mt_cb_title";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:14:"Collapse title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position', 'a:16:{s:4:"uuid";s:36:"cf099eb0-f4cf-4db8-8689-32e4543691b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:56:"field.storage.block_content.field_mt_cb_trigger_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_collapsible_block.field_mt_cb_trigger_position";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:16:"Trigger Position";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"bottom";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_dropdowns_block.field_mt_dropdown', 'a:16:{s:4:"uuid";s:36:"dceba06e-f3c2-4fab-bd63-311dbea437c9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:45:"field.storage.block_content.field_mt_dropdown";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_dropdowns_block.field_mt_dropdown";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:5:"label";s:8:"Dropdown";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}s:24:"target_bundles_drag_drop";a:9:{s:11:"mt_collapse";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:7:"enabled";b:1;s:6:"weight";i:11;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image', 'a:16:{s:4:"uuid";s:36:"c96b6770-6250-4c07-9d12-1dd05990d5fe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:2;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:70:"block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:5:"label";s:18:"Fancy Linked Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:7:"enabled";b:1;s:6:"weight";i:5;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:11:"mt_ns_slide";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab', 'a:16:{s:4:"uuid";s:36:"cc3406c0-6618-4249-8835-9fff2ebef6a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_fancy_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:52:"block_content.mt_fancy_tabs_block.field_mt_fancy_tab";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:5:"label";s:9:"Fancy Tab";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}s:24:"target_bundles_drag_drop";a:1:{s:12:"mt_fancy_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:2;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_fltt_block.field_mt_fltt', 'a:16:{s:4:"uuid";s:36:"b3f2234e-46f4-4172-9ee8-392185faa425";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:41:"field.storage.block_content.field_mt_fltt";i:2;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_fltt_block.field_mt_fltt";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:5:"label";s:25:"Featured Linked Text Tile";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}s:24:"target_bundles_drag_drop";a:6:{s:11:"mt_collapse";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:7:"enabled";b:1;s:6:"weight";i:10;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_google_maps.field_mt_map_location', 'a:16:{s:4:"uuid";s:36:"6530800d-8d39-4cd5-a484-738140500835";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:49:"field.storage.block_content.field_mt_map_location";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_google_maps.field_mt_map_location";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:5:"label";s:12:"Map Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:10:{s:11:"mt_collapse";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:17;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_google_maps.field_mt_map_zoom', 'a:16:{s:4:"uuid";s:36:"e31a8f7b-fc55-4076-bb8c-e82d95b18ca5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:45:"field.storage.block_content.field_mt_map_zoom";}}s:2:"id";s:46:"block_content.mt_google_maps.field_mt_map_zoom";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:5:"label";s:8:"Map zoom";s:11:"description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_if_block.field_mt_if', 'a:16:{s:4:"uuid";s:36:"95953737-44ab-4383-a154-9283325ad37a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:39:"field.storage.block_content.field_mt_if";i:2;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:37:"block_content.mt_if_block.field_mt_if";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:5:"label";s:12:"Icon Feature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}s:24:"target_bundles_drag_drop";a:12:{s:11:"mt_collapse";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:7:"enabled";b:1;s:6:"weight";i:19;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout', 'a:16:{s:4:"uuid";s:36:"91084980-ce10-4f4a-b965-812eddf014f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:68:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:16:"Slideshow Layout";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"fullwidth";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide', 'a:16:{s:4:"uuid";s:36:"c6550e11-7ea0-434c-b297-c2cbdf99d954";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:2;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:67:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Main Slideshow Slide";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}s:24:"target_bundles_drag_drop";a:7:{s:11:"mt_collapse";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:12;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity', 'a:16:{s:4:"uuid";s:36:"e1db7556-cf02-487d-869c-c5948a138216";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_ms_background_opacity";}}s:2:"id";s:68:"block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:28:"Slideshow Background Opacity";s:11:"description";s:52:"Set the % opacity for the background of the caption.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position', 'a:16:{s:4:"uuid";s:36:"046d32d1-ebf9-4d60-81bc-57076b72d6b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_bullets_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:37:"Slideshow Navigation Bullets Position";s:11:"description";s:56:"From the drop-down menu, select the position you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"center";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect', 'a:16:{s:4:"uuid";s:36:"974767ed-4e6c-4913-abe3-646727e95c35";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:46:"field.storage.block_content.field_mt_ms_effect";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:56:"block_content.mt_main_slideshow_block.field_mt_ms_effect";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:16:"Slideshow Effect";s:11:"description";s:64:"From the drop-down menu, select the slideshow effect you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:4:"fade";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration', 'a:16:{s:4:"uuid";s:36:"d1c071cc-0984-40da-84a4-43532908db72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_effect_duration";}}s:2:"id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:31:"Slideshow Effect duration (sec)";s:11:"description";s:40:"Set the speed of animations, in seconds.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:9;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height', 'a:16:{s:4:"uuid";s:36:"342f745a-3ef3-42eb-b2f6-43eecc424666";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";}}s:2:"id";s:70:"block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Ignore Header Height";s:11:"description";s:65:"Ignore the Header Height when using the Full Screen Layout option";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"on";s:9:"off_label";s:3:"off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height', 'a:16:{s:4:"uuid";s:36:"a329c6d3-3e9a-4ec7-bbd8-37173eff9ac1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:54:"field.storage.block_content.field_mt_ms_initial_height";}}s:2:"id";s:64:"block_content.mt_main_slideshow_block.field_mt_ms_initial_height";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:24:"Slideshow Initial Height";s:11:"description";s:33:"Set the initial height, in pixels";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:650;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style', 'a:16:{s:4:"uuid";s:36:"dd7b7186-fc99-4e24-ac6d-481d29194524";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_navigation_style";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:26:"Slideshow Navigation Style";s:11:"description";s:53:"From the drop-down menu, select the style you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:7:"bullets";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav', 'a:16:{s:4:"uuid";s:36:"91c6da3d-07c1-4748-8794-4b3e2a1275a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";}}s:2:"id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:29:"Enable touch swipe navigation";s:11:"description";s:79:"Use the checkbox to enable or disable touch swipe navigation in mobile devices.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:1;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.block_content.mt_media_tabs_block.field_mt_media_tab', 'a:16:{s:4:"uuid";s:36:"7b21f57f-0ca1-4b0a-865e-60b58eaab5c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_media_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:52:"block_content.mt_media_tabs_block.field_mt_media_tab";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:5:"label";s:9:"Media Tab";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:5;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:7;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide', 'a:16:{s:4:"uuid";s:36:"5e48e528-c122-4020-984a-e98c7ffe27d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:45:"field.storage.block_content.field_mt_ns_slide";i:2;s:20:"node.type.mt_product";i:3;s:20:"node.type.mt_service";}}s:2:"id";s:56:"block_content.mt_nodes_slideshow_block.field_mt_ns_slide";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:5:"label";s:10:"Node Slide";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:2:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_tabs_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"8500a028-bd4f-4b01-bbcf-c96c4ae70a95";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:52:"block_content.mt_tabs_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item', 'a:16:{s:4:"uuid";s:36:"2e04f648-833e-4e53-9c7c-5f0916829e8a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:54:"field.storage.block_content.field_mt_tml_timeline_item";i:2;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:58:"block_content.mt_timeline_block.field_mt_tml_timeline_item";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:5:"label";s:8:"Timeline";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:7:"enabled";b:1;s:6:"weight";i:27;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore', 'a:16:{s:4:"uuid";s:36:"d6e9e355-572d-42fe-8d08-7db6c40dc2aa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:58:"field.storage.block_content.field_mt_tml_timeline_viewmore";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:62:"block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.block_content.mt_typing_animation_block.body', 'a:16:{s:4:"uuid";s:36:"401f70f1-7f83-46d3-a195-3c85f8c072b3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:44:"block_content.mt_typing_animation_block.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides', 'a:16:{s:4:"uuid";s:36:"d637e6d3-d559-42e2-9a86-7347a494ac49";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:2;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:66:"block_content.mt_video_gallery_block.field_mt_video_gallery_slides";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:5:"label";s:20:"Video Gallery slides";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}s:24:"target_bundles_drag_drop";a:8:{s:11:"mt_collapse";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:16;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.comment.comment.comment_body', 'a:17:{s:4:"uuid";s:36:"c848d333-8a45-47c9-92ed-046945e890e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:34:"field.storage.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs";}s:2:"id";s:28:"comment.comment.comment_body";s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:6:"bundle";s:7:"comment";s:5:"label";s:7:"Comment";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.font.font.field_classification', 'a:17:{s:4:"uuid";s:36:"660f4e1e-355e-4466-9d35-c85e750dd60f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"field.storage.font.field_classification";i:1;s:39:"taxonomy.vocabulary.font_classification";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r-AW_FTgnDVgz4PK8K26pkoqzJwJdDJt8OrDaNooDGg";}s:2:"id";s:30:"font.font.field_classification";s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:14:"Classification";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"font_classification";s:19:"font_classification";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.font.font.field_supported_languages', 'a:17:{s:4:"uuid";s:36:"be56227e-0f0a-4ff0-a9cf-cd2e517a9338";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.font.field_supported_languages";i:1;s:39:"taxonomy.vocabulary.languages_supported";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"J4-E4ka4YSO-U8k25RPslraI-MBBGx8u_lZ5MMmA6VI";}s:2:"id";s:35:"font.font.field_supported_languages";s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:19:"Supported Languages";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"languages_supported";s:19:"languages_supported";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.font.font.field_tags', 'a:17:{s:4:"uuid";s:36:"d919dfa9-d051-4d12-8fa7-c91ed6cc3c63";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:29:"field.storage.font.field_tags";i:1;s:33:"taxonomy.vocabulary.font_designer";i:2;s:32:"taxonomy.vocabulary.font_foundry";i:3;s:29:"taxonomy.vocabulary.font_tags";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vFrDIkrN9IwL_67iczIOTkbiWs_AtxkloxiRoFwHLC4";}s:2:"id";s:20:"font.font.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:3:{s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:12:"font_foundry";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.article.body', 'a:17:{s:4:"uuid";s:36:"22774150-a9d0-4c26-aead-900d5e77ef52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ay3b2hq42cpQTFB_lNu8S2ZxuVIY6-dlBsc7vLeJ-YY";}s:2:"id";s:17:"node.article.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.article.comment', 'a:17:{s:4:"uuid";s:36:"052adc29-f2e6-4b8e-a837-8b0db5ac613f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:26:"field.storage.node.comment";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"szSOp-8eNsMcuh8usDre1x76RhDKaPhNUuwzRX5cgv4";}s:2:"id";s:20:"node.article.comment";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:8:"Comments";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:6:{s:6:"status";i:2;s:3:"cid";i:0;s:17:"last_comment_name";N;s:22:"last_comment_timestamp";i:0;s:16:"last_comment_uid";i:0;s:13:"comment_count";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:5:{s:12:"default_mode";i:1;s:8:"per_page";i:50;s:13:"form_location";b:1;s:9:"anonymous";i:0;s:7:"preview";i:1;}s:10:"field_type";s:7:"comment";}'),
('', 'field.field.node.article.field_image', 'a:17:{s:4:"uuid";s:36:"a712a34e-6e42-4df3-8340-4891b7f206e7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"field.storage.node.field_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tgJzhA7Swh4M_gWU5FwFe5lPxPj5rebpMbvhpdNrERs";}s:2:"id";s:24:"node.article.field_image";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.article.field_mt_slideshow', 'a:16:{s:4:"uuid";s:36:"569f4368-bc9e-41f6-937d-9c11e0426174";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_slideshow";i:1;s:17:"node.type.article";}}s:2:"id";s:31:"node.article.field_mt_slideshow";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:31:"Promote to front page slideshow";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.node.article.field_mt_slideshow_image', 'a:16:{s:4:"uuid";s:36:"03505e3d-d874-42e5-94c7-14258e003539";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:37:"node.article.field_mt_slideshow_image";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:15:"Slideshow image";s:11:"description";s:251:"Recommended pixel dimensions for Fullscreen Slideshow - W: 1920 px / H: 1080 px.\r\n<br>Recommended pixel dimensions for Full-Width Slideshow - W: 1920 px / H: 500 px.\r\n<br>Recommended pixel dimensions for Boxed-Width Slideshow - W: 1140 px / H: 500 px.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.article.field_mt_slideshow_text', 'a:16:{s:4:"uuid";s:36:"af206751-4195-49c8-b4cb-b5d4cb04c5d4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_slideshow_text";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:36:"node.article.field_mt_slideshow_text";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:14:"Slideshow text";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.node.article.field_mt_video', 'a:16:{s:4:"uuid";s:36:"92ac7626-1e4e-4f27-9583-5f957279d016";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"field.storage.node.field_mt_video";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:27:"node.article.field_mt_video";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.article.field_tags', 'a:17:{s:4:"uuid";s:36:"518cf7f8-069b-4e72-a3d5-e463eadb4ce9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:29:"field.storage.node.field_tags";i:1;s:17:"node.type.article";i:2;s:24:"taxonomy.vocabulary.tags";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"QdUgf_beeoaPiyKorFv0q1fcJpWH_uZTqe_xoVJacrw";}s:2:"id";s:23:"node.article.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:4:"Tags";s:11:"description";s:84:"Enter a comma-separated list. For example: Amsterdam, Mexico City, "Cleveland, Ohio"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_album.field_mt_alb_body', 'a:16:{s:4:"uuid";s:36:"f434c6af-4f07-4aa0-b31f-bda05139fb53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:31:"node.mt_album.field_mt_alb_body";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_album.field_mt_alb_image', 'a:16:{s:4:"uuid";s:36:"51e65240-f907-49e5-86e4-4c49cda0a8d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:32:"node.mt_album.field_mt_alb_image";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_album.field_mt_alb_tags', 'a:16:{s:4:"uuid";s:36:"235ffff1-7343-47f9-9694-465345f7467d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_alb_tags";i:1;s:18:"node.type.mt_album";i:2;s:39:"taxonomy.vocabulary.mt_album_categories";}}s:2:"id";s:31:"node.mt_album.field_mt_alb_tags";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"mt_album_categories";s:19:"mt_album_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_album.field_mt_alb_video', 'a:16:{s:4:"uuid";s:36:"1661d076-db9b-4e1c-96d0-b7fb01c2b87b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_video";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_album.field_mt_alb_video";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}');
INSERT INTO `config` VALUES
('', 'field.field.node.mt_canvas_page.field_mt_cnv_body', 'a:16:{s:4:"uuid";s:36:"a542e6e4-5522-4272-af12-78e39d4a7d40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_cnv_body";i:1;s:24:"node.type.mt_canvas_page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_canvas_page.field_mt_cnv_body";s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_canvas_page";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_event.field_mt_evn_body', 'a:16:{s:4:"uuid";s:36:"54f9ec84-30f0-4e01-9913-c195cf1483fe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:31:"node.mt_event.field_mt_evn_body";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_event.field_mt_evn_date', 'a:16:{s:4:"uuid";s:36:"c9c5cfe8-58f4-4fb3-bb40-9ade76dec52d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_date";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:31:"node.mt_event.field_mt_evn_date";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.node.mt_event.field_mt_evn_event_category', 'a:16:{s:4:"uuid";s:36:"97a21dea-e00a-4f83-b086-67cf94a24b38";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:46:"field.storage.node.field_mt_evn_event_category";i:1;s:18:"node.type.mt_event";i:2;s:39:"taxonomy.vocabulary.mt_event_categories";}}s:2:"id";s:41:"node.mt_event.field_mt_evn_event_category";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:14:"Event Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"mt_event_categories";s:19:"mt_event_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_event.field_mt_evn_files', 'a:16:{s:4:"uuid";s:36:"5d26169d-e72b-4ad8-9090-2d3f3c570a46";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_files";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_files";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:5:"Files";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.node.mt_event.field_mt_evn_image', 'a:16:{s:4:"uuid";s:36:"b8597cd5-9374-4804-b9eb-d78374518481";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_image";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_image";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_event.field_mt_evn_location', 'a:16:{s:4:"uuid";s:36:"cb4aa9af-87d2-439e-a4b6-09779d3495d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_evn_location";i:1;s:18:"node.type.mt_event";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:35:"node.mt_event.field_mt_evn_location";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:8:"Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:24;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:6:"weight";i:27;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_event.field_mt_evn_map_zoom', 'a:16:{s:4:"uuid";s:36:"dc0f7a98-8e90-4a61-b4f7-5676550f21a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_evn_map_zoom";i:1;s:18:"node.type.mt_event";}}s:2:"id";s:35:"node.mt_event.field_mt_evn_map_zoom";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:8:"Map Zoom";s:11:"description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.node.mt_event.field_mt_evn_place', 'a:16:{s:4:"uuid";s:36:"bfd78a87-aa63-4939-be4c-52eb6d6295d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_place";i:1;s:18:"node.type.mt_event";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_place";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:5:"Place";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_event.field_mt_evn_speaker', 'a:16:{s:4:"uuid";s:36:"1aff6d1f-eb44-47c2-b4e1-487eda51f86a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_speaker";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_speaker";}}s:2:"id";s:34:"node.mt_event.field_mt_evn_speaker";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:7:"Speaker";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_event.field_mt_evn_sponsor', 'a:16:{s:4:"uuid";s:36:"f239972d-00fa-495e-b0c9-64f155e995ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_sponsor";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_sponsor";}}s:2:"id";s:34:"node.mt_event.field_mt_evn_sponsor";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:7:"Sponsor";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_event.field_mt_evn_video', 'a:16:{s:4:"uuid";s:36:"b403a9da-837e-4877-867a-0fba333c8e0c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_video";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_video";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_affiliations', 'a:16:{s:4:"uuid";s:36:"441d8f87-fc79-406c-9188-1d07c7ae9044";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prs_affiliations";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:46:"node.mt_presentation.field_mt_prs_affiliations";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:12:"Affiliations";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_authors', 'a:16:{s:4:"uuid";s:36:"56e92ae2-8a91-455f-a172-08a2dd950634";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"field.storage.node.field_mt_prs_authors";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_authors";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:7:"Authors";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_body', 'a:16:{s:4:"uuid";s:36:"a14ac2c2-0aa6-40f0-bfee-2ca1a8494dff";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:38:"node.mt_presentation.field_mt_prs_body";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_category', 'a:16:{s:4:"uuid";s:36:"eb7aca32-d198-4871-9851-58ede3afc312";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_prs_category";i:1;s:25:"node.type.mt_presentation";i:2;s:46:"taxonomy.vocabulary.mt_presentation_categories";}}s:2:"id";s:42:"node.mt_presentation.field_mt_prs_category";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_date', 'a:16:{s:4:"uuid";s:36:"f95663f8-eae5-4d7e-bfcb-c8be713fd952";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_date";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:38:"node.mt_presentation.field_mt_prs_date";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_files', 'a:16:{s:4:"uuid";s:36:"de785d49-7af0-4169-8879-85219002d834";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_files";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_files";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:5:"Files";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:1;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_image', 'a:16:{s:4:"uuid";s:36:"92d78097-ffa0-4a75-b096-72b118c765a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_image";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_image";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_location', 'a:16:{s:4:"uuid";s:36:"d784c561-19f7-4dc0-9898-38fc2d37629d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prs_location";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:42:"node.mt_presentation.field_mt_prs_location";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_session', 'a:16:{s:4:"uuid";s:36:"5fd4e67c-ca7f-4372-95c9-791b73fc79ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_session";i:1;s:25:"node.type.mt_presentation";i:2;s:30:"taxonomy.vocabulary.mt_session";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_session";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:7:"Session";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_session";s:10:"mt_session";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_speaker', 'a:16:{s:4:"uuid";s:36:"6854265c-fd55-4245-8de0-a87b5a880e7e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_speaker";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_speaker";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_speaker";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Speakers";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_sponsor', 'a:16:{s:4:"uuid";s:36:"b63f2f87-90f9-4e22-ac09-a79d44f208be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_sponsor";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_sponsor";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_sponsor";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Sponsors";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_topics', 'a:16:{s:4:"uuid";s:36:"f0fd1baf-e571-4c96-b102-2b48dd347650";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:38:"field.storage.node.field_mt_prs_topics";i:1;s:25:"node.type.mt_presentation";i:2;s:29:"taxonomy.vocabulary.mt_topics";}}s:2:"id";s:40:"node.mt_presentation.field_mt_prs_topics";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:6:"Topics";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_video', 'a:16:{s:4:"uuid";s:36:"c73050a5-213e-4bd8-9eec-4e6f8421dab1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_video";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_video";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_product.field_mt_prd_additional_features', 'a:16:{s:4:"uuid";s:36:"0d0ca2de-0b85-4c71-b689-725e4d9f9900";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:51:"field.storage.node.field_mt_prd_additional_features";i:1;s:20:"node.type.mt_product";i:2;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:48:"node.mt_product.field_mt_prd_additional_features";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:19:"Additional Features";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:7:"enabled";b:1;s:6:"weight";i:14;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_product.field_mt_prd_availability', 'a:16:{s:4:"uuid";s:36:"dda452e3-f319-4a83-be91-ccf7673fa96a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_availability";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_availability";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:12:"Availability";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.node.mt_product.field_mt_prd_banner_carousel', 'a:16:{s:4:"uuid";s:36:"9dd19524-de06-4b9e-bbe1-70c871b65323";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_banner_carousel";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"node.mt_product.field_mt_prd_banner_carousel";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:33:"Internal Banner Carousel Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_product.field_mt_prd_body', 'a:16:{s:4:"uuid";s:36:"d6575ee4-8157-4c81-a2d2-06af8e101d36";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_product.field_mt_prd_body";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_product.field_mt_prd_buy_link', 'a:16:{s:4:"uuid";s:36:"c3f40f9b-7ed7-43c3-ae36-0808913a59c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:37:"node.mt_product.field_mt_prd_buy_link";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:8:"Buy Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.node.mt_product.field_mt_prd_categories', 'a:16:{s:4:"uuid";s:36:"36ac5121-0d74-42d0-838c-6db43f49526e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:42:"field.storage.node.field_mt_prd_categories";i:1;s:20:"node.type.mt_product";i:2;s:34:"taxonomy.vocabulary.mt_collections";}}s:2:"id";s:39:"node.mt_product.field_mt_prd_categories";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:10:"Categories";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_product.field_mt_prd_content_tabs', 'a:16:{s:4:"uuid";s:36:"a76cb6fa-1b6b-479b-bbd3-25c722ac8b2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_prd_content_tabs";i:1;s:20:"node.type.mt_product";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_content_tabs";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Tabs";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:25;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_product.field_mt_prd_highlight', 'a:16:{s:4:"uuid";s:36:"b5846f43-cde4-4029-b58d-c3cd02304edb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_prd_highlight";i:1;s:20:"node.type.mt_product";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:38:"node.mt_product.field_mt_prd_highlight";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:9:"Highlight";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_product.field_mt_prd_image', 'a:16:{s:4:"uuid";s:36:"8d699d38-a735-4fb3-85e4-0ac1dc6331ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_image";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_product.field_mt_prd_landscape_image', 'a:16:{s:4:"uuid";s:36:"2d18fcde-fe25-4fb3-9ae3-62af7706af1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_landscape_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"node.mt_product.field_mt_prd_landscape_image";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:15:"Landscape Image";s:11:"description";s:89:"Optional image, used only on selected Views-driven pages with items listed using Masonry.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_product.field_mt_prd_most_popular', 'a:16:{s:4:"uuid";s:36:"728d24fe-81aa-4461-a52c-d83eee6d97db";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_most_popular";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:12:"Most Popular";s:11:"description";s:83:"Check the box to highlight this Product as “most popular” in the pricing table.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:12:"most popular";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.node.mt_product.field_mt_prd_price', 'a:16:{s:4:"uuid";s:36:"723f0719-8d77-42da-b1e9-7466933da6a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_price";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_price";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:5:"Price";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_product.field_mt_prd_pricing_table_item', 'a:16:{s:4:"uuid";s:36:"fa4a9ab6-0302-45a1-903f-ac097047bfe6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.node.field_mt_prd_pricing_table_item";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:47:"node.mt_product.field_mt_prd_pricing_table_item";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:21:"Pricing Table Feature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_product.field_mt_prd_product_code', 'a:16:{s:4:"uuid";s:36:"77823686-2655-47b6-b873-a892d9e2b2d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_product_code";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_product_code";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:3:"SKU";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_product.field_mt_prd_subheader_body', 'a:16:{s:4:"uuid";s:36:"5141e284-dd7e-44a5-be00-364fe51781f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_prd_subheader_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"node.mt_product.field_mt_prd_subheader_body";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_product.field_mt_prd_tags', 'a:16:{s:4:"uuid";s:36:"58ea92f5-47cb-4e3c-a43c-ee50a95e27bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_prd_tags";i:1;s:20:"node.type.mt_product";i:2;s:24:"taxonomy.vocabulary.tags";}}s:2:"id";s:33:"node.mt_product.field_mt_prd_tags";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_product.field_mt_prd_video', 'a:16:{s:4:"uuid";s:36:"0abffa15-cd17-4135-bf22-1d34fb82a983";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_video";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_video";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_program_entry.field_mt_prg_category', 'a:16:{s:4:"uuid";s:36:"86e1ea52-9089-4a78-b695-43327a7aaf34";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_prg_category";i:1;s:26:"node.type.mt_program_entry";i:2;s:47:"taxonomy.vocabulary.mt_program_entry_categories";}}s:2:"id";s:43:"node.mt_program_entry.field_mt_prg_category";s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:8:"Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:27:"mt_program_entry_categories";s:27:"mt_program_entry_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_program_entry.field_mt_prg_end_date', 'a:16:{s:4:"uuid";s:36:"7b424705-b0e2-4b30-a35a-5a6e695c339e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prg_end_date";i:1;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:43:"node.mt_program_entry.field_mt_prg_end_date";s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:8:"End Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.node.mt_program_entry.field_mt_prg_event', 'a:16:{s:4:"uuid";s:36:"298acee4-fcf1-42af-9112-da13e40b8afd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_prg_event";i:1;s:18:"node.type.mt_event";i:2;s:25:"node.type.mt_presentation";i:3;s:26:"node.type.mt_program_entry";}}s:2:"id";s:40:"node.mt_program_entry.field_mt_prg_event";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:18:"Event/Presentation";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:2:{s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:8:"mt_event";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_program_entry.field_mt_prg_start_date', 'a:16:{s:4:"uuid";s:36:"d0cc1c8a-9126-48f4-b816-29b0bb812b69";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_prg_start_date";i:1;s:26:"node.type.mt_program_entry";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:45:"node.mt_program_entry.field_mt_prg_start_date";s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:16:"mt_program_entry";s:5:"label";s:10:"Start Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.node.mt_service.field_mt_srv_banner_image', 'a:16:{s:4:"uuid";s:36:"22ecabbe-c5ad-46d8-ad32-d7364028a0f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_srv_banner_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:41:"node.mt_service.field_mt_srv_banner_image";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:24:"Internal banner image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_service.field_mt_srv_body', 'a:16:{s:4:"uuid";s:36:"6906f236-70f9-4bb9-b147-46810d13eb33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_service.field_mt_srv_body";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_service.field_mt_srv_buy_link', 'a:16:{s:4:"uuid";s:36:"ccd0f471-d8a5-4f4d-a24a-9e3b18bd4fbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_srv_buy_link";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:37:"node.mt_service.field_mt_srv_buy_link";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:8:"Buy Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.node.mt_service.field_mt_srv_highlight', 'a:16:{s:4:"uuid";s:36:"99b60365-42f4-47c2-baf4-a3e44bab5407";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_srv_highlight";i:1;s:20:"node.type.mt_service";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:38:"node.mt_service.field_mt_srv_highlight";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:9:"Highlight";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_service.field_mt_srv_image', 'a:16:{s:4:"uuid";s:36:"c9b98218-f13c-469a-9427-2b3bc5d600ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_image";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_service.field_mt_srv_price', 'a:16:{s:4:"uuid";s:36:"06dd9a5c-813b-4d07-9861-bb83b20f2855";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_price";i:1;s:20:"node.type.mt_service";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_price";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:5:"Price";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}');
INSERT INTO `config` VALUES
('', 'field.field.node.mt_service.field_mt_srv_service_tags', 'a:16:{s:4:"uuid";s:36:"d7fa6b65-cbde-4142-b701-0f23680ca4f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_srv_service_tags";i:1;s:20:"node.type.mt_service";i:2;s:35:"taxonomy.vocabulary.mt_service_tags";}}s:2:"id";s:41:"node.mt_service.field_mt_srv_service_tags";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:12:"Service Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_service.field_mt_srv_subheader_body', 'a:16:{s:4:"uuid";s:36:"ea6328af-0cea-4c6c-ad18-c4dfd101e518";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_srv_subheader_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"node.mt_service.field_mt_srv_subheader_body";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_service.field_mt_srv_video', 'a:16:{s:4:"uuid";s:36:"34b90fa6-b72a-42e3-9b99-9791af8db9de";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_video";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_video";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_affiliations', 'a:16:{s:4:"uuid";s:36:"a4d573d8-b1ab-4b93-90b5-232d471a3cbf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_spk_affiliations";i:1;s:20:"node.type.mt_speaker";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}}s:2:"id";s:41:"node.mt_speaker.field_mt_spk_affiliations";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:12:"Affiliations";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_body', 'a:16:{s:4:"uuid";s:36:"6573184d-fb8a-4b27-8794-df2823e33318";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spk_body";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_speaker.field_mt_spk_body";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_facebook_account', 'a:16:{s:4:"uuid";s:36:"c304a903-454a-48c8-9ba8-836679a6b551";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:45:"node.mt_speaker.field_mt_spk_facebook_account";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Facebook";s:11:"description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_linkedin_account', 'a:16:{s:4:"uuid";s:36:"737bcadb-82d9-4a27-b0e7-bb1d23ed980d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:45:"node.mt_speaker.field_mt_spk_linkedin_account";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Linkedin";s:11:"description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_speaker_photo', 'a:16:{s:4:"uuid";s:36:"d52be9d6-c574-4b3e-8af9-6787187bfec8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:42:"node.mt_speaker.field_mt_spk_speaker_photo";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:13:"Speaker Photo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_subtitle', 'a:16:{s:4:"uuid";s:36:"0b43c71d-e59d-4f58-8fed-fd3a92a1eb5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_spk_subtitle";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:37:"node.mt_speaker.field_mt_spk_subtitle";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_twitter_account', 'a:16:{s:4:"uuid";s:36:"a66b3b85-b093-4f8c-83aa-4b16176ceaa1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_twitter_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:44:"node.mt_speaker.field_mt_spk_twitter_account";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:7:"Twitter";s:11:"description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_youtube_account', 'a:16:{s:4:"uuid";s:36:"0330cd7f-bc68-4f05-8b31-f4ace910553e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_youtube_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:44:"node.mt_speaker.field_mt_spk_youtube_account";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:7:"YouTube";s:11:"description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_sponsor.field_mt_spn_body', 'a:16:{s:4:"uuid";s:36:"c93449a4-013c-494d-9fe4-14299f602bc2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_body";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_sponsor.field_mt_spn_body";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_sponsor.field_mt_spn_logo', 'a:16:{s:4:"uuid";s:36:"21604998-f196-4c1d-a923-37b10a4bb54b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:33:"node.mt_sponsor.field_mt_spn_logo";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:5:"label";s:4:"Logo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_body', 'a:16:{s:4:"uuid";s:36:"9ae356df-db03-4d39-a138-a2f0b569b950";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tmm_body";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_team_member.field_mt_tmm_body";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_facebook_account', 'a:16:{s:4:"uuid";s:36:"e52d7ab8-3aaa-40af-b8fd-36f52663b9ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:49:"node.mt_team_member.field_mt_tmm_facebook_account";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Facebook";s:11:"description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_linkedin_account', 'a:16:{s:4:"uuid";s:36:"6040ca86-6b34-439f-ae76-57d78f1414f8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:49:"node.mt_team_member.field_mt_tmm_linkedin_account";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Linkedin";s:11:"description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_member_photo', 'a:16:{s:4:"uuid";s:36:"b3798000-e15f-4123-b4b6-99d507302ec0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:45:"node.mt_team_member.field_mt_tmm_member_photo";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:12:"Member Photo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_subtitle', 'a:16:{s:4:"uuid";s:36:"4f3296df-f4b4-4ece-af56-1d24de77f3e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tmm_subtitle";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:41:"node.mt_team_member.field_mt_tmm_subtitle";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_twitter_account', 'a:16:{s:4:"uuid";s:36:"4edd66b7-718b-428f-bc26-43936c6ff5d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:48:"node.mt_team_member.field_mt_tmm_twitter_account";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:7:"Twitter";s:11:"description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_youtube_account', 'a:16:{s:4:"uuid";s:36:"82b9a147-6edb-4f09-a9d8-81e265c1149a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_youtube_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:48:"node.mt_team_member.field_mt_tmm_youtube_account";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:7:"YouTube";s:11:"description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_body', 'a:16:{s:4:"uuid";s:36:"6ad7fa09-01a9-4b33-ad70-980512ba8fa9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_testimonial.field_mt_tst_body";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_subtitle', 'a:16:{s:4:"uuid";s:36:"703119d5-eebc-41b9-80a6-b40096093135";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tst_subtitle";i:1;s:24:"node.type.mt_testimonial";}}s:2:"id";s:41:"node.mt_testimonial.field_mt_tst_subtitle";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_testimonial_image', 'a:16:{s:4:"uuid";s:36:"92c94f79-5370-4102-95a6-ab40813f1992";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"node.mt_testimonial.field_mt_tst_testimonial_image";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:17:"Testimonial Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:0:"";s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_testimonial_link', 'a:16:{s:4:"uuid";s:36:"0ef202ef-8e68-4891-9ca0-36f63cd365bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:49:"node.mt_testimonial.field_mt_tst_testimonial_link";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:16:"Testimonial Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.node.page.body', 'a:17:{s:4:"uuid";s:36:"b05f7c01-155a-4bb4-b62a-b77b75e91fcf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rUop-8b6hvxxDYbv-KobTfNIBNbPY9qOPl8f6kBNSpw";}s:2:"id";s:14:"node.page.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:1;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.page.field_mt_subheader_body', 'a:16:{s:4:"uuid";s:36:"64def67f-327a-4207-8497-c4f740c842b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_subheader_body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.page.field_mt_subheader_body";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_body', 'a:16:{s:4:"uuid";s:36:"5f9c7c3e-c383-4146-88b1-5a15ee83a7dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_adf_body";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:49:"paragraph.mt_additional_feature.field_mt_adf_body";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon', 'a:16:{s:4:"uuid";s:36:"bd90e19e-db77-48f5-b8fc-834bd9b60502";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_adf_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:52:"paragraph.mt_additional_feature.field_mt_adf_fa_icon";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:17:"Font Awesome Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_image', 'a:16:{s:4:"uuid";s:36:"cc8318ea-85b5-4216-86d3-d3e5b419d96f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_image";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"paragraph.mt_additional_feature.field_mt_adf_image";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_title', 'a:16:{s:4:"uuid";s:36:"b22fcff9-12c4-4129-938f-35edb13ef6b5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_title";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}}s:2:"id";s:50:"paragraph.mt_additional_feature.field_mt_adf_title";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_collapse.field_mt_collapse_body', 'a:16:{s:4:"uuid";s:36:"2345eac5-938c-40ce-ba2a-6f8e48cf32c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_collapse_body";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:44:"paragraph.mt_collapse.field_mt_collapse_body";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:5:"label";s:13:"Collapse Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_collapse.field_mt_collapse_title', 'a:16:{s:4:"uuid";s:36:"d549a8d3-fdc7-4cec-a855-59b5e0034682";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_collapse_title";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}}s:2:"id";s:45:"paragraph.mt_collapse.field_mt_collapse_title";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:5:"label";s:14:"Collapse Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_dropdown.field_mt_dropdown_block', 'a:16:{s:4:"uuid";s:36:"f5d8cd86-08aa-4168-af5e-bb864823688a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}}s:2:"id";s:45:"paragraph.mt_dropdown.field_mt_dropdown_block";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:5:"label";s:14:"Dropdown Block";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon', 'a:16:{s:4:"uuid";s:36:"b8cdf293-25a7-43ab-b965-29ddd0933646";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_dropdown_fa_icon";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:47:"paragraph.mt_dropdown.field_mt_dropdown_fa_icon";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:5:"label";s:21:"Dropdown Trigger Icon";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon', 'a:16:{s:4:"uuid";s:36:"db823943-d35e-41fe-bcc0-f8fb65b77104";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_fli_button_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:59:"paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:11:"Button Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image', 'a:16:{s:4:"uuid";s:36:"557d23a8-a38e-46ef-b8bf-4523658ceb11";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_image";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_image";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Image";s:11:"description";s:53:"Recommended pixel dimensions - W: 750 px / H: 750 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link', 'a:16:{s:4:"uuid";s:36:"da83d41f-08a4-43b0-a841-bdabb04e92a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_fli_link";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:49:"paragraph.mt_fancy_linked_image.field_mt_fli_link";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape', 'a:16:{s:4:"uuid";s:36:"2727f19a-5f06-4bdc-84de-a03588fa9653";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_shape";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_shape";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Shape";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title', 'a:16:{s:4:"uuid";s:36:"5f243c35-c3e6-4c88-9213-eff2e2efe812";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_title";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_title";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference', 'a:16:{s:4:"uuid";s:36:"eeeef153-2eba-46fa-90d5-2eb8ee48663a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:53:"paragraph.mt_fancy_tab.field_mt_fancy_block_reference";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle', 'a:16:{s:4:"uuid";s:36:"c8bb5a18-33c7-4b9f-999e-c0122f2cb105";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:46:"paragraph.mt_fancy_tab.field_mt_fancy_subtitle";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:12:"Tab Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_fancy_tab.field_mt_fancy_title', 'a:16:{s:4:"uuid";s:36:"e078d316-f77a-4846-b985-c06a7ac7d414";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_fancy_title";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:43:"paragraph.mt_fancy_tab.field_mt_fancy_title";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:9:"Tab title";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body', 'a:16:{s:4:"uuid";s:36:"877ba83b-1973-4631-8e59-1159e0a236f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_body";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link', 'a:16:{s:4:"uuid";s:36:"796c42d4-74fa-41cf-972e-90e85f022d9d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_link";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title', 'a:16:{s:4:"uuid";s:36:"b186b011-3386-453b-b481-b2be1c3bd678";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_fltt_title";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}}s:2:"id";s:58:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_body', 'a:16:{s:4:"uuid";s:36:"489416d5-4c46-412f-a540-488ea5520eb8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_body";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_highlight.field_mt_highlight_body";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_image', 'a:16:{s:4:"uuid";s:36:"ac418b6b-61e3-4957-9d18-f521a83a5507";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_image";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:47:"paragraph.mt_highlight.field_mt_highlight_image";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_link', 'a:16:{s:4:"uuid";s:36:"39c1f90c-b22f-4d3e-98fd-2e6beff28835";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_link";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:46:"paragraph.mt_highlight.field_mt_highlight_link";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_title', 'a:16:{s:4:"uuid";s:36:"647a139e-5fa5-47f2-80ea-98be384fd40d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_title";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}}s:2:"id";s:47:"paragraph.mt_highlight.field_mt_highlight_title";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_body', 'a:16:{s:4:"uuid";s:36:"bf24cdb9-5b0e-43fc-bf96-a9309e27ccbd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_body";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"paragraph.mt_icon_features.field_mt_if_body";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_fa_icon', 'a:16:{s:4:"uuid";s:36:"da5f21f9-32f5-4d84-a650-b5b9071ad0ab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_if_fa_icon";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:46:"paragraph.mt_icon_features.field_mt_if_fa_icon";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_image', 'a:16:{s:4:"uuid";s:36:"940aacc1-364a-4ac8-9c89-959cb2d6f701";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_image";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"paragraph.mt_icon_features.field_mt_if_image";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_link', 'a:16:{s:4:"uuid";s:36:"c390feb5-cae9-4743-a89f-82757cfe5b20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_link";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:43:"paragraph.mt_icon_features.field_mt_if_link";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:1;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_title', 'a:16:{s:4:"uuid";s:36:"2411ac4b-7cca-492a-9de8-3bcd634ea6c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_title";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}}s:2:"id";s:44:"paragraph.mt_icon_features.field_mt_if_title";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption', 'a:16:{s:4:"uuid";s:36:"12785108-0046-4edb-bf28-e3435510607b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:59:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:13:"Slide Caption";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"string_long";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color', 'a:16:{s:4:"uuid";s:36:"033e1106-e2fd-4fec-861a-5634185014c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:65:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:30:"Slide Caption Background Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:48:"region--light-typography region--dark-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac', 'a:16:{s:4:"uuid";s:36:"4f459cf5-c75a-47d2-bc62-5a8f4fe4f626";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:64:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:32:"Slide Caption Background Opacity";s:11:"description";s:52:"Set the % opacity for the background of the caption.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:90;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image', 'a:16:{s:4:"uuid";s:36:"7703a1b1-a719-4c64-af82-69995891c91d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:11:"Slide Image";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link', 'a:16:{s:4:"uuid";s:36:"7a2c2551-6edb-4854-a578-89c3e7f2f7ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:56:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:10:"Slide Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title', 'a:16:{s:4:"uuid";s:36:"2a4620e7-c99e-4894-8184-e2db12120c20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:11:"Slide Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}');
INSERT INTO `config` VALUES
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id', 'a:16:{s:4:"uuid";s:36:"ec07141b-78cf-436e-b19e-24b806149761";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:60:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:14:"Slide Vimeo id";s:11:"description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume', 'a:16:{s:4:"uuid";s:36:"b0a743ac-6b06-49a4-bdf2-725ef69dd5f2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:58:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:12:"Slide Volume";s:11:"description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id', 'a:16:{s:4:"uuid";s:36:"e313ac40-23cf-479c-a0d6-3c24779afd3f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:62:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:16:"Slide Youtube id";s:11:"description";s:141:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_map_location.field_mt_ml_latitude', 'a:16:{s:4:"uuid";s:36:"f061a972-8b30-4868-987f-925de9d42e55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:46:"paragraph.mt_map_location.field_mt_ml_latitude";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:8:"Latitude";s:11:"description";s:48:"Enter the Latitude of the marker. e.g. 40.726576";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_map_location.field_mt_ml_location_name', 'a:16:{s:4:"uuid";s:36:"7bf9a499-85be-4053-bf1b-43a19216631c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:51:"paragraph.mt_map_location.field_mt_ml_location_name";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:13:"Location Name";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_map_location.field_mt_ml_longitude', 'a:16:{s:4:"uuid";s:36:"a43bd031-153a-40f7-acb2-f716f55adeb4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:47:"paragraph.mt_map_location.field_mt_ml_longitude";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:9:"Longitude";s:11:"description";s:50:"Enter the Longitude of the marker. e.g. -74.046822";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_body', 'a:16:{s:4:"uuid";s:36:"38140e70-b567-4556-bb3e-abee9a438310";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_media_body";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:42:"paragraph.mt_media_tab.field_mt_media_body";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:10:"Media Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_button', 'a:16:{s:4:"uuid";s:36:"d2e7c07d-a77f-4ae6-885a-14cde6dee8bf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_media_button";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:44:"paragraph.mt_media_tab.field_mt_media_button";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:12:"Media Button";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_image', 'a:16:{s:4:"uuid";s:36:"dc28e249-bce8-4b19-aea0-1217b857896e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_image";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_image";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_tab_title', 'a:16:{s:4:"uuid";s:36:"9aa9532c-d771-45d7-b444-02cd499867ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:2:"id";s:47:"paragraph.mt_media_tab.field_mt_media_tab_title";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:15:"Media Tab Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_title', 'a:16:{s:4:"uuid";s:36:"0e84b8d5-880e-43c2-9923-b4d4e18e58e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_title";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_video', 'a:16:{s:4:"uuid";s:36:"df52ca38-e2c4-4642-bfdf-7913b7beb37a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_video";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_video";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Video";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.paragraph.mt_tab.field_mt_tab_content', 'a:16:{s:4:"uuid";s:36:"73e5c94d-e744-4da9-a15c-92742479687a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_tab_content";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"paragraph.mt_tab.field_mt_tab_content";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:5:"label";s:11:"Tab content";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_tab.field_mt_tab_title', 'a:16:{s:4:"uuid";s:36:"8f81fe8d-6554-4ac7-9be0-19c93ef40272";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_tab_title";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}}s:2:"id";s:35:"paragraph.mt_tab.field_mt_tab_title";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:5:"label";s:9:"Tab title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date', 'a:16:{s:4:"uuid";s:36:"f1515804-8001-4a07-977f-6e0632e0473f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_date";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_date";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link', 'a:16:{s:4:"uuid";s:36:"01604ab2-6b80-4d72-a7fd-d1b91b54d6fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_link";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_link";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:0;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title', 'a:16:{s:4:"uuid";s:36:"6e19c0a9-4d4f-4cf7-92f7-49615df0e6a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_tml_timeline_title";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}}s:2:"id";s:54:"paragraph.mt_timeline_item.field_mt_tml_timeline_title";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title', 'a:16:{s:4:"uuid";s:36:"accbab0b-6151-461f-8b78-6629b3e991c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:57:"paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:11:"Slide Title";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail', 'a:16:{s:4:"uuid";s:36:"f79ac09c-a4af-4582-a742-8aba532ee391";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:55:"paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:9:"Thumbnail";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id', 'a:16:{s:4:"uuid";s:36:"3f95e2d6-db73-4eb4-9992-093b8571db66";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:54:"paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:8:"Vimeo ID";s:11:"description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume', 'a:16:{s:4:"uuid";s:36:"d9c25109-2c57-4c0c-9296-67d27f8e3c6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:52:"paragraph.mt_video_gallery_slide.field_mt_vgs_volume";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:6:"Volume";s:11:"description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id', 'a:16:{s:4:"uuid";s:36:"6f545a9b-d554-4421-9d1d-e40b0ab1f8e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:56:"paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:10:"Youtube ID";s:11:"description";s:142:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated. ";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image', 'a:16:{s:4:"uuid";s:36:"cc47cfd7-3a6d-4f98-9655-66aeab6c03e1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:54:"field.storage.taxonomy_term.field_mt_affiliation_image";i:1;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:56:"taxonomy_term.mt_affiliations.field_mt_affiliation_image";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:5:"label";s:17:"Affiliation Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.taxonomy_term.mt_collections.field_mt_collection_image', 'a:16:{s:4:"uuid";s:36:"dd02e27a-e3ec-4f93-8fea-69882281b848";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:54:"taxonomy_term.mt_collections.field_mt_collection_image";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:5:"label";s:19:"Product Group Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image', 'a:16:{s:4:"uuid";s:36:"5c99299b-1d23-4c61-8e5c-b89b1251ff5b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:59:"taxonomy_term.mt_collections.field_mt_wide_collection_image";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:5:"label";s:29:"Landscape Product Group Image";s:11:"description";s:99:"Optional image, used only on selected Views-driven pages or blocks with items listed using Masonry.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.user.user.field_mt_full_name', 'a:16:{s:4:"uuid";s:36:"9813a7b9-e5ea-48f4-8305-7a3d6d85432f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_full_name";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:28:"user.user.field_mt_full_name";s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:9:"Full Name";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.user.user.field_mt_signature', 'a:16:{s:4:"uuid";s:36:"269be0cc-b9e2-469d-91bc-42e9d051e0fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_signature";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:28:"user.user.field_mt_signature";s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:9:"Signature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:15:"display_summary";b:0;s:16:"required_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.user.user.user_picture', 'a:17:{s:4:"uuid";s:36:"57b659d4-dcfe-4ef7-8d1b-1220c55574e3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:31:"field.storage.user.user_picture";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cL7i1kgJvlJa6H00f0E_fZ2KdD1ag0ASpLts0K-KNII";}s:2:"id";s:22:"user.user.user_picture";s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:7:"Picture";s:11:"description";s:29:"Your virtual face or picture.";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:14:"file_directory";s:40:"pictures/[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:5:"30 KB";s:9:"alt_field";b:0;s:11:"title_field";b:0;s:14:"max_resolution";s:5:"85x85";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:18:"alt_field_required";b:0;s:20:"title_field_required";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.settings', 'a:2:{s:16:"purge_batch_size";i:50;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nJk0TAQBzlNo52ehiHI7bIEPLGi0BYqZvPdEn7Chfu0";}}'),
('', 'field.storage.block_content.body', 'a:17:{s:4:"uuid";s:36:"22a2d0a9-bfcd-4089-8826-e8cec286023f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc";}s:2:"id";s:18:"block_content.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_background_image', 'a:16:{s:4:"uuid";s:36:"16d5fc08-5a2e-4feb-9bdc-0e4a7448244d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:2:"id";s:39:"block_content.field_mt_background_image";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_color', 'a:16:{s:4:"uuid";s:36:"3db39b50-af1a-4d58-a620-831ff4fc05b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:37:"block_content.field_mt_bg_image_color";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:4:"Dark";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_layout_mode', 'a:16:{s:4:"uuid";s:36:"5f4e8e01-4077-4234-bac5-3a75658e1822";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:43:"block_content.field_mt_bg_image_layout_mode";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"container";s:5:"label";s:11:"Fixed Width";}i:1;a:2:{s:5:"value";s:15:"container-fluid";s:5:"label";s:10:"Full Width";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_opacity', 'a:16:{s:4:"uuid";s:36:"31a9f97d-a721-41b9-a379-dc006c5ae921";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:39:"block_content.field_mt_bg_image_opacity";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_positioning', 'a:16:{s:4:"uuid";s:36:"d7cc154f-9ddf-4087-94e9-410c2cc50c72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:43:"block_content.field_mt_bg_image_positioning";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"f20586f9-91c0-4de8-9414-ddf69e44d81f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:13:"block_content";}}s:2:"id";s:38:"block_content.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_layout_mode', 'a:16:{s:4:"uuid";s:36:"3ff57e43-e23f-4d7a-bc37-a00cabf21daa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:37:"block_content.field_mt_bv_layout_mode";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"container";s:5:"label";s:11:"Fixed Width";}i:1;a:2:{s:5:"value";s:15:"container-fluid";s:5:"label";s:10:"Full Width";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_overlay_color', 'a:16:{s:4:"uuid";s:36:"193b151e-6364-4b67-a16b-7319d84e28d0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:39:"block_content.field_mt_bv_overlay_color";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:4:"Dark";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_overlay_opacity', 'a:16:{s:4:"uuid";s:36:"b23fcdef-1ff7-435f-afaa-f0ace9a39c74";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_bv_overlay_opacity";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_poster', 'a:16:{s:4:"uuid";s:36:"75f4013a-0861-49c9-ba7e-895c7c970ae2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:2:"id";s:32:"block_content.field_mt_bv_poster";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_video_mp4', 'a:16:{s:4:"uuid";s:36:"a560034a-6389-438f-8948-dec1013e9d52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:2:"id";s:35:"block_content.field_mt_bv_video_mp4";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_video_webm', 'a:16:{s:4:"uuid";s:36:"11d2ef71-9700-4313-b6c9-67b13a5f3a81";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:2:"id";s:36:"block_content.field_mt_bv_video_webm";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_collapse_icon', 'a:16:{s:4:"uuid";s:36:"67ae6567-0556-4ab5-8b6f-58e662ed1ad6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:39:"block_content.field_mt_cb_collapse_icon";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_expand_icon', 'a:16:{s:4:"uuid";s:36:"5e018863-8933-4e50-95e9-be57ab7af654";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:37:"block_content.field_mt_cb_expand_icon";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_state', 'a:16:{s:4:"uuid";s:36:"f3d6fea2-4b1a-4220-b617-1f1996125741";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:31:"block_content.field_mt_cb_state";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:8:"expanded";s:5:"label";s:8:"Expanded";}i:1;a:2:{s:5:"value";s:9:"collapsed";s:5:"label";s:9:"Collapsed";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_title', 'a:16:{s:4:"uuid";s:36:"1c106149-1590-48b3-bcf3-90bd79900b79";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:31:"block_content.field_mt_cb_title";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_trigger_position', 'a:16:{s:4:"uuid";s:36:"d020301c-6aed-4357-b8bc-5bd0a08e8943";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_cb_trigger_position";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:3:"top";s:5:"label";s:3:"Top";}i:1;a:2:{s:5:"value";s:6:"bottom";s:5:"label";s:6:"Bottom";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_dropdown', 'a:16:{s:4:"uuid";s:36:"33b69423-ea44-41ec-aee9-ce7d25f09cdb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:31:"block_content.field_mt_dropdown";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_fancy_linked_image', 'a:16:{s:4:"uuid";s:36:"f3ec65f5-0c55-4198-abb7-bbe64c6b5785";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.field_mt_fancy_linked_image";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_fancy_tab', 'a:16:{s:4:"uuid";s:36:"3bda504a-27b2-4fec-9799-cea3cba0b66f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"block_content.field_mt_fancy_tab";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_fltt', 'a:16:{s:4:"uuid";s:36:"e7f6e71a-e39f-499e-a2e3-938f006edd87";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"block_content.field_mt_fltt";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_if', 'a:16:{s:4:"uuid";s:36:"22b11c07-c927-43e7-8b82-cfc83e4214d0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:25:"block_content.field_mt_if";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_main_slideshow_layout', 'a:16:{s:4:"uuid";s:36:"84f9688c-9f92-4c02-97cc-1b9a9cb1555c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:44:"block_content.field_mt_main_slideshow_layout";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"fullwidth";s:5:"label";s:10:"Full Width";}i:1;a:2:{s:5:"value";s:10:"fullscreen";s:5:"label";s:11:"Full Screen";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_main_slideshow_slide', 'a:16:{s:4:"uuid";s:36:"86510cb9-19ac-4f48-9da1-4945c3d81ca6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:43:"block_content.field_mt_main_slideshow_slide";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_map_location', 'a:16:{s:4:"uuid";s:36:"7b867270-8272-4f7f-9590-a46a16167e32";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:35:"block_content.field_mt_map_location";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_map_zoom', 'a:16:{s:4:"uuid";s:36:"ba947929-7f8c-463b-a0d0-0d37ddadb91a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:31:"block_content.field_mt_map_zoom";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_media_tab', 'a:16:{s:4:"uuid";s:36:"2a46f5aa-0a9f-4cf3-8d61-15741b636da6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"block_content.field_mt_media_tab";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_background_opacity', 'a:16:{s:4:"uuid";s:36:"a9c91566-b021-4c07-9675-1c59fbe11bb3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:44:"block_content.field_mt_ms_background_opacity";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_bullets_position', 'a:16:{s:4:"uuid";s:36:"df9b82a6-6ce9-4aff-9594-af09ac953a40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_ms_bullets_position";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:3:{i:0;a:2:{s:5:"value";s:4:"left";s:5:"label";s:4:"Left";}i:1;a:2:{s:5:"value";s:5:"right";s:5:"label";s:5:"Right";}i:2;a:2:{s:5:"value";s:6:"center";s:5:"label";s:6:"Center";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_effect', 'a:16:{s:4:"uuid";s:36:"0c16129a-2c39-4904-bb98-a28c620ed30a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:32:"block_content.field_mt_ms_effect";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:49:{i:0;a:2:{s:5:"value";s:4:"fade";s:5:"label";s:4:"Fade";}i:1;a:2:{s:5:"value";s:7:"slideup";s:5:"label";s:12:"Slide To Top";}i:2;a:2:{s:5:"value";s:9:"slidedown";s:5:"label";s:15:"Slide To Bottom";}i:3;a:2:{s:5:"value";s:10:"slideright";s:5:"label";s:14:"Slide To Right";}i:4;a:2:{s:5:"value";s:9:"slideleft";s:5:"label";s:13:"Slide To Left";}i:5;a:2:{s:5:"value";s:15:"slidehorizontal";s:5:"label";s:16:"Slide Horizontal";}i:6;a:2:{s:5:"value";s:13:"slidevertical";s:5:"label";s:14:"Slide Vertical";}i:7;a:2:{s:5:"value";s:8:"boxslide";s:5:"label";s:11:"Slide Boxes";}i:8;a:2:{s:5:"value";s:20:"slotslide-horizontal";s:5:"label";s:22:"Slide Slots Horizontal";}i:9;a:2:{s:5:"value";s:18:"slotslide-vertical";s:5:"label";s:20:"Slide Slots Vertical";}i:10;a:2:{s:5:"value";s:7:"boxfade";s:5:"label";s:10:"Fade Boxes";}i:11;a:2:{s:5:"value";s:19:"slotfade-horizontal";s:5:"label";s:21:"Fade Slots Horizontal";}i:12;a:2:{s:5:"value";s:17:"slotfade-vertical";s:5:"label";s:19:"Fade Slots Vertical";}i:13;a:2:{s:5:"value";s:13:"fadefromright";s:5:"label";s:25:"Fade and Slide from Right";}i:14;a:2:{s:5:"value";s:12:"fadefromleft";s:5:"label";s:24:"Fade and Slide from Left";}i:15;a:2:{s:5:"value";s:11:"fadefromtop";s:5:"label";s:23:"Fade and Slide from Top";}i:16;a:2:{s:5:"value";s:14:"fadefrombottom";s:5:"label";s:26:"Fade and Slide from Bottom";}i:17;a:2:{s:5:"value";s:23:"fadetoleftfadefromright";s:5:"label";s:32:"Fade To Left and Fade From Right";}i:18;a:2:{s:5:"value";s:23:"fadetorightfadefromleft";s:5:"label";s:32:"Fade To Right and Fade From Left";}i:19;a:2:{s:5:"value";s:23:"fadetotopfadefrombottom";s:5:"label";s:32:"Fade To Top and Fade From Bottom";}i:20;a:2:{s:5:"value";s:23:"fadetobottomfadefromtop";s:5:"label";s:32:"Fade To Bottom and Fade From Top";}i:21;a:2:{s:5:"value";s:15:"parallaxtoright";s:5:"label";s:17:"Parallax to Right";}i:22;a:2:{s:5:"value";s:14:"parallaxtoleft";s:5:"label";s:16:"Parallax to Left";}i:23;a:2:{s:5:"value";s:13:"parallaxtotop";s:5:"label";s:15:"Parallax to Top";}i:24;a:2:{s:5:"value";s:16:"parallaxtobottom";s:5:"label";s:18:"Parallax to Bottom";}i:25;a:2:{s:5:"value";s:18:"scaledownfromright";s:5:"label";s:28:"Zoom Out and Fade From Right";}i:26;a:2:{s:5:"value";s:17:"scaledownfromleft";s:5:"label";s:27:"Zoom Out and Fade From Left";}i:27;a:2:{s:5:"value";s:16:"scaledownfromtop";s:5:"label";s:26:"Zoom Out and Fade From Top";}i:28;a:2:{s:5:"value";s:19:"scaledownfrombottom";s:5:"label";s:29:"Zoom Out and Fade From Bottom";}i:29;a:2:{s:5:"value";s:7:"zoomout";s:5:"label";s:7:"ZoomOut";}i:30;a:2:{s:5:"value";s:6:"zoomin";s:5:"label";s:6:"ZoomIn";}i:31;a:2:{s:5:"value";s:19:"slotzoom-horizontal";s:5:"label";s:21:"Zoom Slots Horizontal";}i:32;a:2:{s:5:"value";s:17:"slotzoom-vertical";s:5:"label";s:19:"Zoom Slots Vertical";}i:33;a:2:{s:5:"value";s:9:"curtain-1";s:5:"label";s:17:"Curtain from Left";}i:34;a:2:{s:5:"value";s:9:"curtain-2";s:5:"label";s:18:"Curtain from Right";}i:35;a:2:{s:5:"value";s:9:"curtain-3";s:5:"label";s:19:"Curtain from Middle";}i:36;a:2:{s:5:"value";s:20:"3dcurtain-horizontal";s:5:"label";s:21:"3D Curtain Horizontal";}i:37;a:2:{s:5:"value";s:18:"3dcurtain-vertical";s:5:"label";s:19:"3D Curtain Vertical";}i:38;a:2:{s:5:"value";s:4:"cube";s:5:"label";s:13:"Cube Vertical";}i:39;a:2:{s:5:"value";s:15:"cube-horizontal";s:5:"label";s:15:"Cube Horizontal";}i:40;a:2:{s:5:"value";s:6:"incube";s:5:"label";s:16:"In Cube Vertical";}i:41;a:2:{s:5:"value";s:17:"incube-horizontal";s:5:"label";s:18:"In Cube Horizontal";}i:42;a:2:{s:5:"value";s:7:"turnoff";s:5:"label";s:18:"TurnOff Horizontal";}i:43;a:2:{s:5:"value";s:16:"turnoff-vertical";s:5:"label";s:16:"TurnOff Vertical";}i:44;a:2:{s:5:"value";s:8:"papercut";s:5:"label";s:9:"Paper Cut";}i:45;a:2:{s:5:"value";s:5:"flyin";s:5:"label";s:6:"Fly In";}i:46;a:2:{s:5:"value";s:13:"random-static";s:5:"label";s:11:"Random Flat";}i:47;a:2:{s:5:"value";s:14:"random-premium";s:5:"label";s:14:"Random Premium";}i:48;a:2:{s:5:"value";s:6:"random";s:5:"label";s:31:"Random Flat and Premium/Default";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}');
INSERT INTO `config` VALUES
('', 'field.storage.block_content.field_mt_ms_effect_duration', 'a:16:{s:4:"uuid";s:36:"c240e0ca-88f5-4702-b173-fd19bbd61c52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_ms_effect_duration";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_ignore_header_height', 'a:16:{s:4:"uuid";s:36:"da5267cd-4ffb-4da8-84f3-7eeae26e3132";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:46:"block_content.field_mt_ms_ignore_header_height";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_initial_height', 'a:16:{s:4:"uuid";s:36:"3812ab0b-108c-44c0-92c3-d62ed70aed61";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:40:"block_content.field_mt_ms_initial_height";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_navigation_style', 'a:16:{s:4:"uuid";s:36:"fe621dec-b9dc-4f5b-b407-9c808562435a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_ms_navigation_style";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:7:"bullets";s:5:"label";s:7:"Bullets";}i:1;a:2:{s:5:"value";s:15:"titles_carousel";s:5:"label";s:15:"Titles Carousel";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_touch_swipe_nav', 'a:16:{s:4:"uuid";s:36:"c282c20a-3e12-4ee6-92d1-311ee1d72972";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ns_slide', 'a:16:{s:4:"uuid";s:36:"f6ed5339-162f-440b-a909-001f88790ad1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}}s:2:"id";s:31:"block_content.field_mt_ns_slide";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_tml_timeline_item', 'a:16:{s:4:"uuid";s:36:"3b3198c2-2fe4-429c-9294-aee9112f21f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:40:"block_content.field_mt_tml_timeline_item";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_tml_timeline_viewmore', 'a:16:{s:4:"uuid";s:36:"181f66bf-6c58-4c80-8f07-f1c650410514";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"link";}}s:2:"id";s:44:"block_content.field_mt_tml_timeline_viewmore";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_video_gallery_slides', 'a:16:{s:4:"uuid";s:36:"6b8ce1be-94b6-409f-a777-a1db3df94795";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:43:"block_content.field_mt_video_gallery_slides";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.comment.comment_body', 'a:17:{s:4:"uuid";s:36:"a7a54853-d273-4f1d-bd1e-6d318ec2a3ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw";}s:2:"id";s:20:"comment.comment_body";s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}'),
('', 'field.storage.font.field_classification', 'a:17:{s:4:"uuid";s:36:"07f3e102-c381-474f-827d-40061f9bc979";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ow0pX66YjSmmNFHkjtHc_kfAjCaXJ94Msu27zaUb_hk";}s:2:"id";s:25:"font.field_classification";s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.font.field_supported_languages', 'a:17:{s:4:"uuid";s:36:"a8f36d15-3e3b-4b73-8bca-a6d7b13a415d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"svUf3mifm4Fij8pp1e3TX1v-5cA6fr4_YmcCFNn3_I4";}s:2:"id";s:30:"font.field_supported_languages";s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.font.field_tags', 'a:17:{s:4:"uuid";s:36:"452635bf-db2a-47c7-8fbc-23ec09b7b654";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kEXAWX8HgcTM3RtpMvfkU8QeDoOGCOSh4EXqHe_u-LQ";}s:2:"id";s:15:"font.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.body', 'a:17:{s:4:"uuid";s:36:"55c47ffa-ec98-4e52-bd4e-eb9c26e35cea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY";}s:2:"id";s:9:"node.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.comment', 'a:17:{s:4:"uuid";s:36:"b6518fb2-9112-4145-83c1-f353b3ad684a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc";}s:2:"id";s:12:"node.comment";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"comment";s:8:"settings";a:1:{s:12:"comment_type";s:7:"comment";}s:6:"module";s:7:"comment";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_image', 'a:17:{s:4:"uuid";s:36:"ba1446e3-dd7e-4cf8-9703-de7e6390abbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME";}s:2:"id";s:16:"node.field_image";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_alb_body', 'a:16:{s:4:"uuid";s:36:"5a08c1bb-1357-4416-a8bb-a0098072ce7d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_alb_body";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_alb_image', 'a:16:{s:4:"uuid";s:36:"71918686-62dc-4f99-8da8-73b219b5b1f9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_alb_image";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_alb_tags', 'a:16:{s:4:"uuid";s:36:"405653ec-41d6-401b-814f-c93e960a25dd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:22:"node.field_mt_alb_tags";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_alb_video', 'a:16:{s:4:"uuid";s:36:"4455a9ab-950b-4210-b101-bf64e792a0d4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_alb_video";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_cnv_body', 'a:16:{s:4:"uuid";s:36:"ff311524-02b7-460f-83ff-058adf081455";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_cnv_body";s:10:"field_name";s:17:"field_mt_cnv_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_body', 'a:16:{s:4:"uuid";s:36:"16663e87-ce79-463a-9d25-a6d396e2f10c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_evn_body";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_date', 'a:16:{s:4:"uuid";s:36:"77b5d167-f7c5-42cb-92fc-8118aafec1c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:22:"node.field_mt_evn_date";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_event_category', 'a:16:{s:4:"uuid";s:36:"cef61c7a-5240-47bd-a045-1c532b47c298";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:32:"node.field_mt_evn_event_category";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_files', 'a:16:{s:4:"uuid";s:36:"520bb678-1cf3-4cc0-9daf-bfd3c6339bcd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_files";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_image', 'a:16:{s:4:"uuid";s:36:"b12ebed0-ffaf-4b79-9a17-3a48fac1327e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_image";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_location', 'a:16:{s:4:"uuid";s:36:"c6bf2893-0fbe-444e-964d-512ee14ef798";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:26:"node.field_mt_evn_location";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_map_zoom', 'a:16:{s:4:"uuid";s:36:"a63b3db3-3f9e-41e2-a8f7-485115e762ad";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_evn_map_zoom";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_place', 'a:16:{s:4:"uuid";s:36:"a0fc8145-a35c-46a1-a14f-13ab1c60a39c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_place";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_speaker', 'a:16:{s:4:"uuid";s:36:"6ee6777f-e2a3-4047-b58b-05a26c08eb15";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_evn_speaker";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_sponsor', 'a:16:{s:4:"uuid";s:36:"38d56e66-8c3a-4efb-bb91-07af0e6d8021";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_evn_sponsor";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_video', 'a:16:{s:4:"uuid";s:36:"54fa2967-39c1-494d-babe-0adc81a814d8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_evn_video";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_additional_features', 'a:16:{s:4:"uuid";s:36:"0938f442-b0f1-4ede-92e4-0272810be1c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:37:"node.field_mt_prd_additional_features";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_availability', 'a:16:{s:4:"uuid";s:36:"d546f2a5-5609-42ee-8d9a-c126f9f57177";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:7:"options";}}s:2:"id";s:30:"node.field_mt_prd_availability";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:8:"in_stock";s:5:"label";s:8:"In Stock";}i:1;a:2:{s:5:"value";s:12:"out_of_stock";s:5:"label";s:12:"Out of Stock";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_banner_carousel', 'a:16:{s:4:"uuid";s:36:"c9858a15-e3cb-4bf7-955e-5ab137e86d5e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:33:"node.field_mt_prd_banner_carousel";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_body', 'a:16:{s:4:"uuid";s:36:"b73c5625-e2f4-4884-943f-b23a3e1569b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_prd_body";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_buy_link', 'a:16:{s:4:"uuid";s:36:"87d33644-d499-49e8-a893-c338caf12d9a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prd_buy_link";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_categories', 'a:16:{s:4:"uuid";s:36:"b513fc7f-4e98-449c-b940-5a30ece271fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:28:"node.field_mt_prd_categories";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_content_tabs', 'a:16:{s:4:"uuid";s:36:"311ce268-9f91-4185-9950-cacffc7bb8c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:30:"node.field_mt_prd_content_tabs";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_highlight', 'a:16:{s:4:"uuid";s:36:"7239379b-4bd7-4655-a9b3-e31d45d02308";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"node.field_mt_prd_highlight";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_image', 'a:16:{s:4:"uuid";s:36:"fe2d3505-de9d-4091-8947-c5b1f7fc764e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prd_image";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_landscape_image', 'a:16:{s:4:"uuid";s:36:"a8eb5ef7-7656-4155-98dd-a641bd0f5302";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:33:"node.field_mt_prd_landscape_image";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_most_popular', 'a:16:{s:4:"uuid";s:36:"6d5f86fa-218c-47ff-af97-70cc7ecf06db";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prd_most_popular";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_price', 'a:16:{s:4:"uuid";s:36:"4153f528-5737-4aee-a825-9050ba3e7166";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prd_price";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_pricing_table_item', 'a:16:{s:4:"uuid";s:36:"ba4ebccf-deee-443e-a92c-156111fe424a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:36:"node.field_mt_prd_pricing_table_item";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_product_code', 'a:16:{s:4:"uuid";s:36:"f8796200-9830-414a-8ecd-41d7080f1dbc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prd_product_code";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_subheader_body', 'a:16:{s:4:"uuid";s:36:"6e016bba-8606-4d8a-82f7-1cdf7d1d0283";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_prd_subheader_body";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_tags', 'a:16:{s:4:"uuid";s:36:"543acd0b-d450-42a8-9906-6c1f2a1b8a85";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:22:"node.field_mt_prd_tags";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_video', 'a:16:{s:4:"uuid";s:36:"bddf548c-c44b-4a0f-9ea0-742e2a68e9e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_prd_video";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prg_category', 'a:16:{s:4:"uuid";s:36:"4810fde7-063f-4484-9736-af1f95c6f030";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:26:"node.field_mt_prg_category";s:10:"field_name";s:21:"field_mt_prg_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prg_end_date', 'a:16:{s:4:"uuid";s:36:"ca5ed19f-0907-4e4b-bd05-c4b68b09b67a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prg_end_date";s:10:"field_name";s:21:"field_mt_prg_end_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prg_event', 'a:16:{s:4:"uuid";s:36:"f62d9501-6a67-4167-bdff-8f02bd5a4838";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prg_event";s:10:"field_name";s:18:"field_mt_prg_event";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prg_start_date', 'a:16:{s:4:"uuid";s:36:"01fca423-5a83-44b6-9e5d-4360e1e3d63e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:28:"node.field_mt_prg_start_date";s:10:"field_name";s:23:"field_mt_prg_start_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_affiliations', 'a:16:{s:4:"uuid";s:36:"34af3af4-3c4f-4a03-962c-743021baae5a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prs_affiliations";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_authors', 'a:16:{s:4:"uuid";s:36:"6111a56a-09d6-4bd2-8ff0-5f96c1fc0a85";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_authors";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_body', 'a:16:{s:4:"uuid";s:36:"e6192d57-be1d-41f3-88fc-08e118f09ec3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_prs_body";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_category', 'a:16:{s:4:"uuid";s:36:"66d47275-e96c-443a-a558-a20c72c27032";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:26:"node.field_mt_prs_category";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_date', 'a:16:{s:4:"uuid";s:36:"9fc6832e-c6e1-4e94-9d43-88cd1c5decf6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:22:"node.field_mt_prs_date";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_files', 'a:16:{s:4:"uuid";s:36:"3713d413-2c19-4893-8376-e19b8ac769a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prs_files";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_image', 'a:16:{s:4:"uuid";s:36:"75d626f2-053b-4058-9367-e9959a4c193e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prs_image";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_location', 'a:16:{s:4:"uuid";s:36:"8a1d6191-b91f-4d1e-9700-c32c8f3d42f7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prs_location";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_session', 'a:16:{s:4:"uuid";s:36:"7fd82e69-15e5-4a4f-9146-40bfa18abf8d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:25:"node.field_mt_prs_session";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_speaker', 'a:16:{s:4:"uuid";s:36:"25257e3c-f8a1-45fd-9f5b-2a15f05476a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_speaker";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_sponsor', 'a:16:{s:4:"uuid";s:36:"0310b659-5dc8-4b13-98ae-cc7810d380c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_sponsor";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_topics', 'a:16:{s:4:"uuid";s:36:"32eace59-1b58-4c3e-a3ee-4c5354109b58";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:24:"node.field_mt_prs_topics";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_video', 'a:16:{s:4:"uuid";s:36:"24d48946-187a-427f-a31d-4ca87ded9852";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_prs_video";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_slideshow', 'a:16:{s:4:"uuid";s:36:"1471fc88-8de5-48f0-8729-064f91a2df45";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_slideshow";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_slideshow_image', 'a:16:{s:4:"uuid";s:36:"ec7763f0-9dbe-4c60-9153-5c790791aeef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:29:"node.field_mt_slideshow_image";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_slideshow_text', 'a:16:{s:4:"uuid";s:36:"38f70c30-2626-487f-8c2e-bb90b6cdd3de";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:28:"node.field_mt_slideshow_text";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_affiliations', 'a:16:{s:4:"uuid";s:36:"d1a11029-d4db-459a-9b2b-e5a2206df914";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:30:"node.field_mt_spk_affiliations";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_body', 'a:16:{s:4:"uuid";s:36:"18848f68-89ce-48ce-bf32-185c155df1a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_spk_body";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_facebook_account', 'a:16:{s:4:"uuid";s:36:"fd035759-3cc2-43ee-9ef7-e9d7dac4b49e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_spk_facebook_account";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_linkedin_account', 'a:16:{s:4:"uuid";s:36:"1a80dccc-f7da-4eca-a1ed-aa3fe2b3a480";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_spk_linkedin_account";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_speaker_photo', 'a:16:{s:4:"uuid";s:36:"9191fcd7-831a-45b3-b932-bd495ee745b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:31:"node.field_mt_spk_speaker_photo";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_subtitle', 'a:16:{s:4:"uuid";s:36:"56213120-ac5c-443e-9c10-4b110cfbbe30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_spk_subtitle";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_twitter_account', 'a:16:{s:4:"uuid";s:36:"02bb7fd0-ff84-419b-b27b-3630f012c544";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_spk_twitter_account";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_youtube_account', 'a:16:{s:4:"uuid";s:36:"23216993-e812-4af4-b76f-19b6a6b97743";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_spk_youtube_account";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spn_body', 'a:16:{s:4:"uuid";s:36:"e9cb60b7-569e-488d-910c-b7735cabd029";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_spn_body";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spn_logo', 'a:16:{s:4:"uuid";s:36:"6a9f6825-4765-4702-8bcd-9a97cfa4afd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:22:"node.field_mt_spn_logo";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}');
INSERT INTO `config` VALUES
('', 'field.storage.node.field_mt_srv_banner_image', 'a:16:{s:4:"uuid";s:36:"5f2dfd1a-3163-43a1-99f6-bca61cc01dde";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:30:"node.field_mt_srv_banner_image";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_body', 'a:16:{s:4:"uuid";s:36:"0dae3eda-c427-426f-9588-8c94a053c3f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_srv_body";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_buy_link', 'a:16:{s:4:"uuid";s:36:"a9b306ad-e77e-47d2-9ed7-d81b1b1ba4d8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_srv_buy_link";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_highlight', 'a:16:{s:4:"uuid";s:36:"5c37b63e-a20f-4a54-89a0-80cd1b025ce4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"node.field_mt_srv_highlight";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_image', 'a:16:{s:4:"uuid";s:36:"d0efee66-e49f-4f2d-a236-dc3d665983a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_srv_image";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_price', 'a:16:{s:4:"uuid";s:36:"78850486-6f49-458e-a357-18c3a457235d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_srv_price";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_service_tags', 'a:16:{s:4:"uuid";s:36:"3cf62ee8-4c5a-4afc-84b8-de928e1a5bc4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:30:"node.field_mt_srv_service_tags";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_subheader_body', 'a:16:{s:4:"uuid";s:36:"40dea6df-38f3-483c-bdbb-0798b74dd2c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_srv_subheader_body";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_video', 'a:16:{s:4:"uuid";s:36:"9d50c033-0baf-468c-810b-5051355ace40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_srv_video";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_subheader_body', 'a:16:{s:4:"uuid";s:36:"add4ab49-0933-4384-84bb-fc3f63632656";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:28:"node.field_mt_subheader_body";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_body', 'a:16:{s:4:"uuid";s:36:"1398bb02-fdcc-4a5f-9a91-586130931cd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_tmm_body";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_facebook_account', 'a:16:{s:4:"uuid";s:36:"7e53f77f-0469-434d-81d4-6108c2943b5a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tmm_facebook_account";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_linkedin_account', 'a:16:{s:4:"uuid";s:36:"62702c8d-027a-4937-a662-67c21e9563d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tmm_linkedin_account";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_member_photo', 'a:16:{s:4:"uuid";s:36:"e36ac1a7-eee5-4947-9b6b-e2a6736c0d01";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:30:"node.field_mt_tmm_member_photo";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_subtitle', 'a:16:{s:4:"uuid";s:36:"45c55712-bed0-49c3-b77b-849509bd6bf7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_tmm_subtitle";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_twitter_account', 'a:16:{s:4:"uuid";s:36:"f6eebd65-bc0e-4021-ab06-5d4ef4dd7059";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_tmm_twitter_account";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_youtube_account', 'a:16:{s:4:"uuid";s:36:"eb990010-4176-496f-be00-e17240f696cd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_tmm_youtube_account";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_body', 'a:16:{s:4:"uuid";s:36:"9ab6972a-46db-4eda-84d6-6971ce553cf1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_tst_body";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_subtitle', 'a:16:{s:4:"uuid";s:36:"7499d773-1e75-4110-9d0a-2e2d93829a0d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_tst_subtitle";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_testimonial_image', 'a:16:{s:4:"uuid";s:36:"12dd58db-4c2f-4307-b9cd-d5b7cde44d84";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:35:"node.field_mt_tst_testimonial_image";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_testimonial_link', 'a:16:{s:4:"uuid";s:36:"cffa24e8-0fa8-42b3-9776-dc4c9295af1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tst_testimonial_link";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_video', 'a:16:{s:4:"uuid";s:36:"e28da9b4-4e23-41dd-bde4-cccc2e658110";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:19:"node.field_mt_video";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_tags', 'a:17:{s:4:"uuid";s:36:"e5aa9ce5-66bd-404d-be2d-813277baa058";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs";}s:2:"id";s:15:"node.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_body', 'a:16:{s:4:"uuid";s:36:"2c8d6014-742a-4ed1-ae81-80597bc94f28";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:27:"paragraph.field_mt_adf_body";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_fa_icon', 'a:16:{s:4:"uuid";s:36:"bd5ad38a-f8fb-403e-ba93-1b3f66564f2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_adf_fa_icon";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_image', 'a:16:{s:4:"uuid";s:36:"f80919da-8c64-4b7c-bc55-2fa1226038ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_adf_image";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_title', 'a:16:{s:4:"uuid";s:36:"f867e3b0-b47c-46ad-b4eb-280a76d01dd1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_adf_title";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_collapse_body', 'a:16:{s:4:"uuid";s:36:"c440dcd1-bd3d-4448-97df-351c36123b2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:32:"paragraph.field_mt_collapse_body";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_collapse_title', 'a:16:{s:4:"uuid";s:36:"f089042b-2b79-44ee-9e7d-29f69733f15b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_collapse_title";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_dropdown_block', 'a:16:{s:4:"uuid";s:36:"e7bdf794-5c56-42f2-a5ec-723912f16715";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_dropdown_block";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_dropdown_fa_icon', 'a:16:{s:4:"uuid";s:36:"88614c60-d30f-4248-bf30-e24dc8468f67";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_dropdown_fa_icon";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fancy_block_reference', 'a:16:{s:4:"uuid";s:36:"8caef820-31c8-4ad1-b8e0-73c603d19615";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:2:"id";s:40:"paragraph.field_mt_fancy_block_reference";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fancy_subtitle', 'a:16:{s:4:"uuid";s:36:"a089ccbd-adfc-4ded-94f6-c5958bc83399";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_fancy_subtitle";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fancy_title', 'a:16:{s:4:"uuid";s:36:"e5a8c98d-bb21-4ded-ba9b-9fb2b2bfada3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_fancy_title";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_button_fa_icon', 'a:16:{s:4:"uuid";s:36:"7a7f1471-7a26-4517-94cb-2b34ed5873e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:37:"paragraph.field_mt_fli_button_fa_icon";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_image', 'a:16:{s:4:"uuid";s:36:"a9f667ff-ac20-415a-b9f3-148a958ad5a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_image";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_link', 'a:16:{s:4:"uuid";s:36:"acaccd17-017c-4752-950c-1887e9027c77";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_fli_link";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_shape', 'a:16:{s:4:"uuid";s:36:"d15e5d4e-7e8d-4662-88d7-c4a43d3aa058";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_shape";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:4:{i:0;a:2:{s:5:"value";s:4:"none";s:5:"label";s:4:"None";}i:1;a:2:{s:5:"value";s:9:"rectangle";s:5:"label";s:9:"Rectangle";}i:2;a:2:{s:5:"value";s:6:"circle";s:5:"label";s:6:"Circle";}i:3;a:2:{s:5:"value";s:8:"pentagon";s:5:"label";s:8:"Pentagon";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_title', 'a:16:{s:4:"uuid";s:36:"15b0899e-dcf0-45c3-a334-bc716152898c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_title";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fltt_body', 'a:16:{s:4:"uuid";s:36:"aad212db-5687-4c24-aaa1-5c88457f6ab3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:28:"paragraph.field_mt_fltt_body";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fltt_link', 'a:16:{s:4:"uuid";s:36:"6838af8e-c37f-4777-87f3-eeff2b1ae726";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fltt_link";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fltt_title', 'a:16:{s:4:"uuid";s:36:"e73c6db6-24dd-4622-becd-5ae935bd4743";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_fltt_title";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_body', 'a:16:{s:4:"uuid";s:36:"179fd45e-975a-4f23-8b3e-38012b2f9c6b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:33:"paragraph.field_mt_highlight_body";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_image', 'a:16:{s:4:"uuid";s:36:"8686529f-724b-4f7d-8574-1ea4f8e604dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_highlight_image";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_link', 'a:16:{s:4:"uuid";s:36:"fe94388f-8916-414f-8c24-363021492f00";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_highlight_link";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_title', 'a:16:{s:4:"uuid";s:36:"b873d67c-7b08-4c38-9f72-89d4424c50c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_highlight_title";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_body', 'a:16:{s:4:"uuid";s:36:"09731928-6b4a-4bf0-abfb-f31b3ff87d31";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:26:"paragraph.field_mt_if_body";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_fa_icon', 'a:16:{s:4:"uuid";s:36:"fd87b624-24fb-48b9-b4c3-60fa49f5bde1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_if_fa_icon";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_image', 'a:16:{s:4:"uuid";s:36:"7bcaa053-3d3c-4434-b441-359b8d79f0f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_if_image";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_link', 'a:16:{s:4:"uuid";s:36:"26a44d40-32c5-4fd7-99f0-1f88c4bba220";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:26:"paragraph.field_mt_if_link";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_title', 'a:16:{s:4:"uuid";s:36:"3b0044db-78aa-4c23-b632-ad8f4e5206f9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_if_title";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_body', 'a:16:{s:4:"uuid";s:36:"4ff8dd6c-b9f2-40a9-8035-9333480b5f3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:29:"paragraph.field_mt_media_body";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_button', 'a:16:{s:4:"uuid";s:36:"c202ff20-5128-428f-91d2-3e892b9141e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_media_button";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_image', 'a:16:{s:4:"uuid";s:36:"f7832ba2-748e-4d86-8761-3210e399511f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_media_image";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_tab_title', 'a:16:{s:4:"uuid";s:36:"89fa6163-5fe3-4952-ab68-e93a9a623646";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_media_tab_title";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_title', 'a:16:{s:4:"uuid";s:36:"f9156901-f743-4337-a41c-33c7ccf3f226";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_media_title";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_video', 'a:16:{s:4:"uuid";s:36:"ab1ac840-29d1-4b47-8a7a-c49a7c67d5d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:17:"video_embed_field";}}s:2:"id";s:30:"paragraph.field_mt_media_video";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ml_latitude', 'a:16:{s:4:"uuid";s:36:"e146d8c2-d58b-48ff-8fb4-4bb19b51e88a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_ml_latitude";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ml_location_name', 'a:16:{s:4:"uuid";s:36:"c42cd2df-6f2d-486e-94aa-ab3c74b73414";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_ml_location_name";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ml_longitude', 'a:16:{s:4:"uuid";s:36:"31840a61-d96b-462b-8f51-baf1e38d0bb8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_ml_longitude";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_caption', 'a:16:{s:4:"uuid";s:36:"be80686f-f1db-478d-ad52-c6032507a7d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_ms_slide_caption";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_caption_color', 'a:16:{s:4:"uuid";s:36:"75348b10-8fc5-4961-85ac-27734415b947";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:2:"id";s:41:"paragraph.field_mt_ms_slide_caption_color";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:12:"Dark Colored";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_caption_opac', 'a:16:{s:4:"uuid";s:36:"dc0b97a7-c172-4930-89af-5cf5489c16fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_image', 'a:16:{s:4:"uuid";s:36:"b21a2a87-c0c4-45be-815e-3dd8dfcafc81";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_ms_slide_image";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_link', 'a:16:{s:4:"uuid";s:36:"08a6120b-4162-4793-b771-4b4d3f2b00c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:32:"paragraph.field_mt_ms_slide_link";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_title', 'a:16:{s:4:"uuid";s:36:"ded79a92-0d9f-45ca-8218-0de7b6a02173";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_ms_slide_title";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_vimeo_id', 'a:16:{s:4:"uuid";s:36:"ab48c77f-7b0f-4932-8554-0c77b61778d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_volume', 'a:16:{s:4:"uuid";s:36:"a6eadfdb-8d35-40b1-b64a-e0ed97d4cf01";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_ms_slide_volume";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_youtube_id', 'a:16:{s:4:"uuid";s:36:"d7031199-ca07-441c-ac16-32e4ebd4fadb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tab_content', 'a:16:{s:4:"uuid";s:36:"6b8a187d-cd95-47f7-af2a-37149570aa19";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:30:"paragraph.field_mt_tab_content";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tab_title', 'a:16:{s:4:"uuid";s:36:"4d050aec-a3d7-428b-9c9a-071fb2f70861";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_tab_title";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tml_timeline_date', 'a:16:{s:4:"uuid";s:36:"c518e1da-b52d-4753-8a28-bbb0fb5c7fb6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_tml_timeline_date";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:4:"date";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tml_timeline_link', 'a:16:{s:4:"uuid";s:36:"e3aac836-a3d9-43da-b1c4-1889f6e2c807";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_tml_timeline_link";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tml_timeline_title', 'a:16:{s:4:"uuid";s:36:"0a9fb0d4-50a6-452a-9e43-93728f2049f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:37:"paragraph.field_mt_tml_timeline_title";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_slide_title', 'a:16:{s:4:"uuid";s:36:"41fee351-a71a-4d0b-af51-5266604def6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_vgs_slide_title";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_thumbnail', 'a:16:{s:4:"uuid";s:36:"e135eeab-e5b4-4289-98ff-4ea88745ebb5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"paragraph.field_mt_vgs_thumbnail";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_vimeo_id', 'a:16:{s:4:"uuid";s:36:"fb7f2538-8f3c-4e44-bd67-a6af291bf090";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_vgs_vimeo_id";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_volume', 'a:16:{s:4:"uuid";s:36:"53d36706-a3e1-4d19-b24d-f5ce99518aa5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_vgs_volume";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}');
INSERT INTO `config` VALUES
('', 'field.storage.paragraph.field_mt_vgs_youtube_id', 'a:16:{s:4:"uuid";s:36:"febe0f55-0cb9-4218-aa61-92fb7aa664a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_vgs_youtube_id";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.taxonomy_term.field_mt_affiliation_image', 'a:16:{s:4:"uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:40:"taxonomy_term.field_mt_affiliation_image";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.taxonomy_term.field_mt_collection_image', 'a:16:{s:4:"uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:39:"taxonomy_term.field_mt_collection_image";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.taxonomy_term.field_mt_wide_collection_image', 'a:16:{s:4:"uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.user.field_mt_full_name', 'a:16:{s:4:"uuid";s:36:"e41c0ee4-3c09-4a16-8404-7c2d5b326ca0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:23:"user.field_mt_full_name";s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.user.field_mt_signature', 'a:16:{s:4:"uuid";s:36:"77dbe3d4-bf6e-4615-beed-10a1d41d9fb1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:23:"user.field_mt_signature";s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.user.user_picture', 'a:17:{s:4:"uuid";s:36:"f0a7a429-9964-450b-9517-9f8312b42f58";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU";}s:2:"id";s:17:"user.user_picture";s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field_ui.settings', 'a:2:{s:12:"field_prefix";s:6:"field_";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q1nMi90W6YQxKzZAgJQw7Ag9U4JrsEUwkomF0lhvbIM";}}'),
('', 'file.settings', 'a:4:{s:11:"description";a:2:{s:4:"type";s:9:"textfield";s:6:"length";i:128;}s:4:"icon";a:1:{s:9:"directory";s:23:"core/modules/file/icons";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8LI-1XgwLt9hYRns_7c81S632d6JhdqXKs4vDheaG6E";}s:35:"make_unused_managed_files_temporary";b:0;}'),
('', 'filter.format.basic_html', 'a:9:{s:4:"uuid";s:36:"06d3ce9b-1031-4159-89ae-e1425fcfa68a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"P8ddpAIKtawJDi5SzOwCzVnnNYqONewSTJ6Xn0dW_aQ";}s:4:"name";s:10:"Basic HTML";s:6:"format";s:10:"basic_html";s:6:"weight";i:0;s:7:"filters";a:5:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:250:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>";s:16:"filter_html_help";b:0;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:7;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:24:"filter_html_image_secure";a:5:{s:2:"id";s:24:"filter_html_image_secure";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}}}'),
('', 'filter.format.full_html', 'a:9:{s:4:"uuid";s:36:"45916f93-0151-4ad1-bbe9-9271b1d33790";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"hewPmBgni9jlDK_IjLxUx1HsTbinK-hdl0lOwjbteIY";}s:4:"name";s:9:"Full HTML";s:6:"format";s:9:"full_html";s:6:"weight";i:1;s:7:"filters";a:5:{s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:20:"filter_htmlcorrector";a:5:{s:2:"id";s:20:"filter_htmlcorrector";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:10;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:0;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:324:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <s> <sup> <sub> <img src alt data-entity-type data-entity-uuid data-align data-caption> <table> <caption> <tbody> <thead> <tfoot> <th> <td> <tr> <hr> <p> <h1> <pre> <i class>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}}}'),
('', 'filter.format.plain_text', 'a:9:{s:4:"uuid";s:36:"cf4d1199-6883-4249-a8e5-f11d18bab72a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NIKBt6kw_uPhNI0qtR2DnRf7mSOgAQdx7Q94SKMjXbQ";}s:4:"name";s:10:"Plain text";s:6:"format";s:10:"plain_text";s:6:"weight";i:10;s:7:"filters";a:3:{s:18:"filter_html_escape";a:5:{s:2:"id";s:18:"filter_html_escape";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}}}'),
('', 'filter.format.raw_html', 'a:8:{s:4:"uuid";s:36:"cf80cad5-4edb-46a3-9062-a97d7593445f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"Raw HTML";s:6:"format";s:8:"raw_html";s:6:"weight";i:0;s:7:"filters";a:0:{}}'),
('', 'filter.format.restricted_html', 'a:9:{s:4:"uuid";s:36:"40d93674-0b33-45e3-846f-c5cf3a5d4005";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KUjJ8Ti_ZJSlhGM88E_mhJP-8mmQRNUB6RFof615Kt0";}s:4:"name";s:15:"Restricted HTML";s:6:"format";s:15:"restricted_html";s:6:"weight";i:0;s:7:"filters";a:3:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:149:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}}}'),
('', 'filter.settings', 'a:3:{s:15:"fallback_format";s:10:"plain_text";s:27:"always_show_fallback_choice";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"FiPjM3WdB__ruFA7B6TLwni_UcZbmek5G4b2dxQItxA";}}'),
('', 'fontawesome.settings', 'a:8:{s:6:"method";s:3:"svg";s:7:"use_cdn";b:1;s:21:"external_svg_location";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:8:"use_shim";b:0;s:22:"external_shim_location";s:58:"https://use.fontawesome.com/releases/v5.0.1/js/v4-shims.js";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lPTwA4c8LXp6x-2izOTUHUDWSiJlAKFLM0TvcEcksoU";}s:3:"tag";s:1:"i";s:21:"allow_pseudo_elements";b:0;}'),
('', 'fontyourface.font_display.mt_headings', 'a:10:{s:4:"uuid";s:36:"613e21fb-42c6-4714-a5b9-aee9a09b245a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_headings";s:5:"label";s:8:"Headings";s:8:"font_url";s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:259:".hff-fyf h1,\r\n.hff-fyf h2,\r\n.hff-fyf h3,\r\n.hff-fyf h4,\r\n.hff-fyf h5,\r\n.hff-fyf h6,\r\n.hff-fyf .tp-caption__title,\r\n.hff-fyf .tp-caption__subtitle,\r\n.hff-fyf .field--name-field-mt-highlight-title,\r\n.hff-fyf .nav-tab__title,\r\n.hff-fyf .views-field-field-mt-price";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.font_display.mt_paragraph', 'a:10:{s:4:"uuid";s:36:"2477394c-d822-40c7-a92a-5ed635bfff9b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_paragraph";s:5:"label";s:9:"Paragraph";s:8:"font_url";s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:12:"body.pff-fyf";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.font_display.mt_site_name', 'a:10:{s:4:"uuid";s:36:"e3ad3996-daab-420e-9ea1-1d7c17927d6d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_site_name";s:5:"label";s:9:"Site name";s:8:"font_url";s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:19:".sff-fyf .site-name";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.font_display.mt_site_slogan', 'a:10:{s:4:"uuid";s:36:"ea6b03e6-5b95-4ebe-8d0d-75ad266f79c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:14:"mt_site_slogan";s:5:"label";s:11:"Site slogan";s:8:"font_url";s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:22:".slff-fyf .site-slogan";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.settings', 'a:3:{s:13:"enabled_fonts";a:4:{i:9;s:75:"http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#700";i:10;s:79:"http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#regular";i:11;s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";i:12;s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";}s:22:"load_all_enabled_fonts";i:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r8uAx4mTBwCkgDFbdKCmhjgbb91BQ4HbWSYRKrlowMY";}}'),
('', 'image.settings', 'a:4:{s:13:"preview_image";s:29:"core/modules/image/sample.png";s:26:"allow_insecure_derivatives";b:0;s:20:"suppress_itok_output";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"k-yDFHbqNfpe-Srg4sdCSqaosCl2D8uwyEY5esF8gEw";}}'),
('', 'image.style.large', 'a:8:{s:4:"uuid";s:36:"83f5ecf4-f5b6-418e-94b2-f15be3e50354";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"J2n0RpFzS0-bgSyxjs6rSdgxB1rb-bTAgqywNx_964M";}s:4:"name";s:5:"large";s:5:"label";s:17:"Large (1110×600)";s:7:"effects";a:1:{s:36:"04b1082a-f66a-4b08-b5a4-9e685ca225f1";a:4:{s:4:"uuid";s:36:"04b1082a-f66a-4b08-b5a4-9e685ca225f1";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:1110;s:6:"height";i:600;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.medium', 'a:8:{s:4:"uuid";s:36:"11cb48d4-9b3b-45ba-8bf7-2a44df59eb3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Y9NmnZHQq20ASSyTNA6JnwtWrJJiSajOehGDtmUFdM0";}s:4:"name";s:6:"medium";s:5:"label";s:17:"Medium (220×220)";s:7:"effects";a:1:{s:36:"02cbd0df-42b9-4c05-91a7-17c1cb75205a";a:4:{s:4:"uuid";s:36:"02cbd0df-42b9-4c05-91a7-17c1cb75205a";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:2;s:4:"data";a:3:{s:5:"width";i:220;s:6:"height";i:220;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_albums_carousel', 'a:7:{s:4:"uuid";s:36:"c7f63738-8e70-4b2d-87e0-449906ddde64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_albums_carousel";s:5:"label";s:23:"Event Gallery (750x750)";s:7:"effects";a:1:{s:36:"72cb7759-15f2-46dc-bce2-f72a12e53952";a:4:{s:4:"uuid";s:36:"72cb7759-15f2-46dc-bce2-f72a12e53952";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_brands', 'a:7:{s:4:"uuid";s:36:"e99a84eb-4c9f-4c9e-8f7c-a0550a1e2892";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:9:"mt_brands";s:5:"label";s:27:"Brands (scale width to 230)";s:7:"effects";a:1:{s:36:"96461fe8-e625-44ce-8620-f817dbb34609";a:4:{s:4:"uuid";s:36:"96461fe8-e625-44ce-8620-f817dbb34609";s:2:"id";s:11:"image_scale";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:230;s:6:"height";N;s:7:"upscale";b:0;}}}}'),
('', 'image.style.mt_fli_image', 'a:7:{s:4:"uuid";s:36:"7636825c-f524-4a44-90cc-cc6bbe878619";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:12:"mt_fli_image";s:5:"label";s:28:"Fancy Linked Image (750x750)";s:7:"effects";a:1:{s:36:"500de457-2e1c-4372-a979-a4c6c219ebb8";a:4:{s:4:"uuid";s:36:"500de457-2e1c-4372-a979-a4c6c219ebb8";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_icons', 'a:7:{s:4:"uuid";s:36:"f0f9c2c4-8ce5-44a3-a0c2-8ffb45146cbb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"mt_icons";s:5:"label";s:13:"Icons (90x90)";s:7:"effects";a:1:{s:36:"1d6b2ee3-93c6-4e3a-bde8-3e67c85e847f";a:4:{s:4:"uuid";s:36:"1d6b2ee3-93c6-4e3a-bde8-3e67c85e847f";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:90;s:6:"height";i:90;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_landscape_image', 'a:7:{s:4:"uuid";s:36:"499e568c-36b0-45c1-abdd-b531d5cf47c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_landscape_image";s:5:"label";s:26:"Landscape Image (1110x600)";s:7:"effects";a:1:{s:36:"ab62830d-202b-44bd-aef0-9e905300c06c";a:4:{s:4:"uuid";s:36:"ab62830d-202b-44bd-aef0-9e905300c06c";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:1110;s:6:"height";i:600;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_logos', 'a:7:{s:4:"uuid";s:36:"80cba29a-9c51-4aec-bdd0-04f3ff568ed4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"mt_logos";s:5:"label";s:26:"Logos (scale width to 230)";s:7:"effects";a:1:{s:36:"8af07862-9b1c-4759-b122-673b58bcc855";a:4:{s:4:"uuid";s:36:"8af07862-9b1c-4759-b122-673b58bcc855";s:2:"id";s:11:"image_scale";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:230;s:6:"height";N;s:7:"upscale";b:0;}}}}'),
('', 'image.style.mt_media_tab_image', 'a:7:{s:4:"uuid";s:36:"6cb51469-fcc0-4cd6-95d2-8938347043c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_media_tab_image";s:5:"label";s:25:"Media Tab Image (850x460)";s:7:"effects";a:1:{s:36:"23957af8-f051-456c-a1f1-60efb144859c";a:4:{s:4:"uuid";s:36:"23957af8-f051-456c-a1f1-60efb144859c";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:850;s:6:"height";i:460;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_member_photo', 'a:7:{s:4:"uuid";s:36:"d5600cfe-3961-44db-be44-ed3f244d4ce4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:15:"mt_member_photo";s:5:"label";s:22:"Member Photo (750x750)";s:7:"effects";a:1:{s:36:"a0df2d92-7ea6-4fe2-a1d4-284a75a09a91";a:4:{s:4:"uuid";s:36:"a0df2d92-7ea6-4fe2-a1d4-284a75a09a91";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_portrait_image', 'a:7:{s:4:"uuid";s:36:"65eaec9a-abee-4e56-91f7-a03a5b9407b6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:17:"mt_portrait_image";s:5:"label";s:24:"Portrait Image (750x846)";s:7:"effects";a:1:{s:36:"bdfa9779-ef7b-408f-af36-9c452cd5d928";a:4:{s:4:"uuid";s:36:"bdfa9779-ef7b-408f-af36-9c452cd5d928";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:846;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_product_image', 'a:7:{s:4:"uuid";s:36:"257341b9-e611-4ee3-babc-e4b760e2e73d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"mt_product_image";s:5:"label";s:23:"Product Image (750x750)";s:7:"effects";a:1:{s:36:"0226ade6-69e2-4274-8e93-889d1dcf4401";a:4:{s:4:"uuid";s:36:"0226ade6-69e2-4274-8e93-889d1dcf4401";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_slideshow_boxed', 'a:7:{s:4:"uuid";s:36:"802866b5-fdbc-4851-85e8-9d8a225530c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_slideshow_boxed";s:5:"label";s:32:"Slideshow Boxed Width (1140x650)";s:7:"effects";a:1:{s:36:"86d54018-c393-4d94-b8a4-0d61380fbcf0";a:4:{s:4:"uuid";s:36:"86d54018-c393-4d94-b8a4-0d61380fbcf0";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:1140;s:6:"height";i:650;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_slideshow_fullscreen', 'a:7:{s:4:"uuid";s:36:"24ad0c0b-6cc6-4e8b-bc1c-289da941938a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:23:"mt_slideshow_fullscreen";s:5:"label";s:21:"Slideshow Full Screen";s:7:"effects";a:0:{}}'),
('', 'image.style.mt_testimonial_image', 'a:7:{s:4:"uuid";s:36:"f39dd703-ec67-4192-ad10-88bd795ea4b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:20:"mt_testimonial_image";s:5:"label";s:27:"Testimonial Image (750x750)";s:7:"effects";a:1:{s:36:"6a4821a9-0fb6-4029-b466-3076721d8316";a:4:{s:4:"uuid";s:36:"6a4821a9-0fb6-4029-b466-3076721d8316";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:750;s:6:"height";i:750;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.mt_video_gallery_thumbnail', 'a:7:{s:4:"uuid";s:36:"54917034-6898-44a1-9a10-4969810f0780";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:26:"mt_video_gallery_thumbnail";s:5:"label";s:35:"Video Gallery thumbnail (400×226 )";s:7:"effects";a:1:{s:36:"726c5b5b-deaf-4e73-ab17-cfb1986a71b1";a:4:{s:4:"uuid";s:36:"726c5b5b-deaf-4e73-ab17-cfb1986a71b1";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:400;s:6:"height";i:226;s:6:"anchor";s:13:"center-center";}}}}'),
('', 'image.style.thumbnail', 'a:8:{s:4:"uuid";s:36:"8f64a3c1-49af-47cc-9d2d-5f2f78d73a42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cCiWdBHgLwj5omG35lsKc4LkW4MBdmcctkVop4ol5x0";}s:4:"name";s:9:"thumbnail";s:5:"label";s:20:"Thumbnail (100×100)";s:7:"effects";a:1:{s:36:"1cfec298-8620-4749-b100-ccb6c4500779";a:4:{s:4:"uuid";s:36:"1cfec298-8620-4749-b100-ccb6c4500779";s:2:"id";s:11:"image_scale";s:6:"weight";i:0;s:4:"data";a:3:{s:5:"width";i:100;s:6:"height";i:100;s:7:"upscale";b:0;}}}}'),
('', 'juicerio.settings', 'a:3:{s:13:"juicer_blocks";s:1:"1";s:14:"juicer_feed_id";s:7:"mttfeed";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TCZB3pQ-EEaWnZ8G9OWnErDUc5hYbJTf4JfgjGyOGuk";}}'),
('', 'menu_ui.settings', 'a:2:{s:24:"override_parent_selector";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SqMarzIjxC3F8dZo9FEOxfqDKD_sdW1tbcFTV1BA2zU";}}'),
('', 'mt_countdown.settings', 'a:18:{s:12:"theme_select";s:5:"block";s:5:"title";s:0:"";s:14:"prompt_message";s:0:"";s:10:"target_url";s:30:"https://www.morethanthemes.com";s:12:"dismiss_text";s:8:"Register";s:7:"days_to";s:20:"Conference starts in";s:19:"predefined_palettes";s:1:"0";s:10:"background";s:7:"#3b5998";s:11:"title_color";s:7:"#ffffff";s:13:"message_color";s:7:"#ffffff";s:11:"notes_color";s:7:"#ffffff";s:17:"button_background";s:7:"#ffffff";s:13:"button_colour";s:7:"#000000";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eZaCGDpST7tJvWSvbD2-zazfqUfGC_E-GMhqc12O1bk";}s:15:"expiration_date";s:19:"2018-12-15 17:17:00";s:12:"button_color";s:7:"#000000";s:18:"inject_in_the_body";i:0;s:9:"hint_text";s:59:"Early Bird Registration now on. Save 30% till end of March.";}'),
('', 'node.settings', 'a:2:{s:15:"use_admin_theme";b:1;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2OMXCScXUOLSYID9-phjO4q36nnnaMWNUlDxEqZzG1U";}}'),
('', 'node.type.article', 'a:13:{s:4:"uuid";s:36:"1ec5bb17-b507-4dac-a96c-851b1c06ad6e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"i4OVV5qrD7abstl4SKS8v5Ee7PuxrL548iZVSty1HRg";}s:4:"name";s:7:"Article";s:4:"type";s:7:"article";s:11:"description";s:89:"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:1;}'),
('', 'node.type.mt_album', 'a:12:{s:4:"uuid";s:36:"49bdf411-7145-4dd0-aa11-88acfe8351c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:5:"Album";s:4:"type";s:8:"mt_album";s:11:"description";s:307:"Ideal for posts that present photos of your conference or event. Examples of this could be photo albums of a Welcome/Reception event, or a Closing session. Albums support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:1;}'),
('', 'node.type.mt_canvas_page', 'a:12:{s:4:"uuid";s:36:"bc1fcc49-6c25-44a1-87c7-c1a852ca949c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:16:"Layouting Canvas";s:4:"type";s:14:"mt_canvas_page";s:11:"description";s:176:"Ideal for laying out custom pages using HTML and the short codes provided with the product. It is based on the Basic Page content type and features a full-width 12-column grid.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_event', 'a:12:{s:4:"uuid";s:36:"a1cad46e-58a4-43b9-ad41-9b932e0d507c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:5:"Event";s:4:"type";s:8:"mt_event";s:11:"description";s:293:"Ideal for posts presenting events within your conference or event. Examples of this could be a Welcome/Reception event, or a Closing session. Events support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_presentation', 'a:12:{s:4:"uuid";s:36:"7c2974b4-3327-433b-9236-18e8f96f44c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:12:"Presentation";s:4:"type";s:15:"mt_presentation";s:11:"description";s:602:"Ideal for posts representing the work(s) – scientific, technical or other – that are presented in your conference or event. It may include Oral, Poster or e-Poster Presentations, Workshops and Symposia, and anything in line with that. Each post using this content type may include the names of the presentation Authors and the Institutions these authors come from, as well as the Topic and Session it was part of in the conference program. Presentations support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_product', 'a:12:{s:4:"uuid";s:36:"9721f71b-0da2-40c5-812b-9975e3d06a97";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Merchandise";s:4:"type";s:10:"mt_product";s:11:"description";s:352:"Ideal for posts presenting Merchandise that may be up for sale or giveaway in your conference or event. Examples of this could be clothing (e.g. T-shirts, jockeys) or souvenirs (e.g. mugs). Merchandise posts support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_program_entry', 'a:12:{s:4:"uuid";s:36:"9fdd1ae2-f882-4153-a8b8-2f46a0e56795";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:13:"Program Entry";s:4:"type";s:16:"mt_program_entry";s:11:"description";s:347:"Ideal for helping you to present your event program in a single dynamic view. It can be connected with nodes of the Presentation and Event content types and is ideal for entries that constitute important parts of your event program. For every entry, a Start and End time, a category as well as a reference to an Event or Presentation is supported.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_service', 'a:12:{s:4:"uuid";s:36:"afe38aed-9c93-4a06-b601-903c7f88f06b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:13:"Accommodation";s:4:"type";s:10:"mt_service";s:11:"description";s:392:"Ideal for posts presenting services associated with your conference or event. Examples of this could be accommodation (e.g.: in selected hotels near the Venue) or transfer (e.g. from Airport or accommodation to Venue and back). Accommodation posts support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_speaker', 'a:12:{s:4:"uuid";s:36:"04ea06b2-ca37-4e0c-b3ef-0c0cd5cbbc17";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:7:"Speaker";s:4:"type";s:10:"mt_speaker";s:11:"description";s:442:"Ideal for posts representing the Speakers (usually also the Presenters) of the work(s) – scientific, technical or other – that are presented in your conference or event. It may include Speakers of Oral, Poster or e-Poster Presentations, Workshops and Symposia, and anything in line with that. Speakers support images, which, along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_sponsor', 'a:12:{s:4:"uuid";s:36:"a09dcd9d-6112-4d55-a0e7-8b1d642cf458";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:7:"Sponsor";s:4:"type";s:10:"mt_sponsor";s:11:"description";s:133:"Ideal for posts presenting the sponsors of your conference or event with support for both text and an image (e.g.: the sponsor logo).";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_team_member', 'a:12:{s:4:"uuid";s:36:"a9a3dbab-9378-428e-afe8-277a5ba749b2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Team Member";s:4:"type";s:14:"mt_team_member";s:11:"description";s:394:"The Team member post is ideal for creating a page for each of your team members. Along with a description of your team member’s position, responsibilities and qualifications, it provides the ability to attach an image, which is automatically adjusted to fit into the website’s layout. And what’s great about Team member posts, is that they are all collected under the “About us” page.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_testimonial', 'a:12:{s:4:"uuid";s:36:"01c23e36-7b09-4950-8ece-04b9df3049b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Testimonial";s:4:"type";s:14:"mt_testimonial";s:11:"description";s:233:"The Testimonial entry is perfect to showcase the words of love from your users and customers. Use it to easily publish testimonials on your site. A special View Block and a View Page are already configured to show them off perfectly.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.page', 'a:12:{s:4:"uuid";s:36:"57b64f48-ce71-46a0-8b34-e3a3d6426839";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zhtPXoRcC6REiepM0k16zw__FDW5YOXDR6U2WlldTrs";}s:4:"name";s:10:"Basic page";s:4:"type";s:4:"page";s:11:"description";s:77:"Use <em>basic pages</em> for your static content, such as an ''About us'' page.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'olivero.settings', 'a:7:{s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ylohp6sdrL1dU4v-KcXzXTP-U8BAMgh4NWJA9eGHtO4";}s:7:"favicon";a:1:{s:11:"use_default";b:1;}s:8:"features";a:4:{s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;s:17:"node_user_picture";b:0;}s:4:"logo";a:1:{s:11:"use_default";b:0;}s:20:"third_party_settings";a:1:{s:8:"shortcut";a:1:{s:11:"module_link";b:1;}}s:22:"mobile_menu_all_widths";i:0;s:22:"site_branding_bg_color";s:7:"default";}'),
('', 'paragraphs.paragraphs_type.mt_additional_feature', 'a:7:{s:4:"uuid";s:36:"49cce4cd-0e2b-4833-9e62-6ba3f7739337";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:21:"mt_additional_feature";s:5:"label";s:18:"Additional Feature";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_collapse', 'a:6:{s:4:"uuid";s:36:"ab5747eb-d1d2-4437-bb7c-e4ea7db801c9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_collapse";s:5:"label";s:8:"Collapse";}'),
('', 'paragraphs.paragraphs_type.mt_dropdown', 'a:6:{s:4:"uuid";s:36:"b9558bd1-c6fd-4e8a-b383-4266b3508f02";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_dropdown";s:5:"label";s:8:"Dropdown";}'),
('', 'paragraphs.paragraphs_type.mt_fancy_linked_image', 'a:6:{s:4:"uuid";s:36:"5bb01ad3-a9b1-47c5-b9b4-401a016f1d14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:21:"mt_fancy_linked_image";s:5:"label";s:18:"Fancy Linked Image";}'),
('', 'paragraphs.paragraphs_type.mt_fancy_tab', 'a:6:{s:4:"uuid";s:36:"d96140d6-6079-42e0-a79e-44e7a4e67686";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_fancy_tab";s:5:"label";s:9:"Fancy Tab";}'),
('', 'paragraphs.paragraphs_type.mt_featured_linked_text_tile', 'a:6:{s:4:"uuid";s:36:"6c880f0e-6d3d-481f-a922-ed0a9245190d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:28:"mt_featured_linked_text_tile";s:5:"label";s:25:"Featured Linked Text Tile";}'),
('', 'paragraphs.paragraphs_type.mt_highlight', 'a:7:{s:4:"uuid";s:36:"29a4d57f-71b3-43e3-999c-a1e4277fc03a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_highlight";s:5:"label";s:9:"Highlight";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_icon_features', 'a:7:{s:4:"uuid";s:36:"cf04796c-73c7-4765-b7ab-ee377826b2f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_icon_features";s:5:"label";s:13:"Icon Features";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_main_slideshow_slide', 'a:6:{s:4:"uuid";s:36:"a596081e-94fb-4e3f-9d79-f2c2205a48fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"mt_main_slideshow_slide";s:5:"label";s:20:"Main Slideshow Slide";}'),
('', 'paragraphs.paragraphs_type.mt_map_location', 'a:7:{s:4:"uuid";s:36:"3696ea7b-210d-42c4-8826-cc1915ca907b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:15:"mt_map_location";s:5:"label";s:12:"Map Location";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_media_tab', 'a:6:{s:4:"uuid";s:36:"ffc819cc-5337-4afa-a786-aa9d8a4b74f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_media_tab";s:5:"label";s:9:"Media Tab";}'),
('', 'paragraphs.paragraphs_type.mt_tab', 'a:6:{s:4:"uuid";s:36:"7299434e-30a5-4a17-9d82-d5679e584176";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:6:"mt_tab";s:5:"label";s:3:"Tab";}'),
('', 'paragraphs.paragraphs_type.mt_timeline_item', 'a:9:{s:4:"uuid";s:36:"edabb2a6-00c5-4529-bb31-cfbe62532f2b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_timeline_item";s:5:"label";s:13:"Timeline Item";s:9:"icon_uuid";N;s:11:"description";s:0:"";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_video_gallery_slide', 'a:6:{s:4:"uuid";s:36:"bf084c62-a6f6-4940-ac5d-4e393ca31228";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:22:"mt_video_gallery_slide";s:5:"label";s:19:"Video Gallery slide";}'),
('', 'rdf.mapping.comment.comment', 'a:10:{s:4:"uuid";s:36:"0e814a7f-8a1e-4065-ac6d-2ea69f011304";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:20:"comment.type.comment";}s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"uETe6XupRGKDForx2MpY0pMOEu6CzGgdCAZZOKkbgmk";}s:2:"id";s:15:"comment.comment";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:5:"types";a:1:{i:0;s:14:"schema:Comment";}s:13:"fieldMappings";a:5:{s:7:"subject";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:12:"comment_body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:2:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}s:12:"mapping_type";s:3:"rel";}}}'),
('', 'rdf.mapping.node.article', 'a:10:{s:4:"uuid";s:36:"867e193e-69ba-4d58-b486-6f5c024f731f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"IdobJe379eDudt7-bXFfJjF7pDqFl-kYxVFtpWrgkro";}s:2:"id";s:12:"node.article";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:5:"types";a:1:{i:0;s:14:"schema:Article";}s:13:"fieldMappings";a:9:{s:5:"title";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:4:"body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:1:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}}s:7:"comment";a:2:{s:10:"properties";a:1:{i:0;s:14:"schema:comment";}s:12:"mapping_type";s:3:"rel";}s:13:"comment_count";a:2:{s:10:"properties";a:1:{i:0;s:23:"schema:interactionCount";}s:17:"datatype_callback";a:2:{s:8:"callable";s:51:"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount";s:9:"arguments";a:1:{s:16:"interaction_type";s:12:"UserComments";}}}s:11:"field_image";a:1:{s:10:"properties";a:1:{i:0;s:12:"schema:image";}}s:10:"field_tags";a:1:{s:10:"properties";a:1:{i:0;s:12:"schema:about";}}}}'),
('', 'rdf.mapping.node.page', 'a:10:{s:4:"uuid";s:36:"eb565cb5-4dba-4f72-a362-9f00ea6c1ecb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"32LxRnl4Wesvzqyfp7HnD0-U9-wxrLBn76pqY5XGNAE";}s:2:"id";s:9:"node.page";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:5:"types";a:1:{i:0;s:14:"schema:WebPage";}s:13:"fieldMappings";a:6:{s:5:"title";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:4:"body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:2:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}s:12:"mapping_type";s:3:"rel";}s:13:"comment_count";a:2:{s:10:"properties";a:1:{i:0;s:23:"schema:interactionCount";}s:17:"datatype_callback";a:2:{s:8:"callable";s:51:"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount";s:9:"arguments";a:1:{s:16:"interaction_type";s:12:"UserComments";}}}}}'),
('', 'rdf.mapping.taxonomy_term.tags', 'a:10:{s:4:"uuid";s:36:"c6cd68b2-2660-474f-8177-7ca432e309c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"taxonomy.vocabulary.tags";}s:6:"module";a:1:{i:0;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"o5duwyS1CTHx3tYOZhuu91kspe8VQjQsnwZjAJv9njk";}s:2:"id";s:18:"taxonomy_term.tags";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:4:"tags";s:5:"types";a:1:{i:0;s:12:"schema:Thing";}s:13:"fieldMappings";a:2:{s:4:"name";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:11:"description";a:1:{s:10:"properties";a:1:{i:0;s:18:"schema:description";}}}}'),
('', 'rdf.mapping.user.user', 'a:10:{s:4:"uuid";s:36:"6438bce3-2094-40e4-9681-677c866f265f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TGTlmpYAtXxjtYMFA_A0vosE2c4R5MCQwLviIA5HUM0";}s:2:"id";s:9:"user.user";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:5:"types";a:1:{i:0;s:13:"schema:Person";}s:13:"fieldMappings";a:1:{s:4:"name";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}}}'),
('', 'search.page.node_search', 'a:11:{s:4:"uuid";s:36:"c628b64b-57a7-4b8c-96ac-4eecd4cceebc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"97tvtzGOa8_flb22CzSjgtm_YkiGMHvEBO-6q2K9V_U";}s:2:"id";s:11:"node_search";s:5:"label";s:7:"Content";s:4:"path";s:4:"node";s:6:"weight";i:-10;s:6:"plugin";s:11:"node_search";s:13:"configuration";a:1:{s:8:"rankings";a:0:{}}}'),
('', 'search.page.user_search', 'a:11:{s:4:"uuid";s:36:"dd09885b-5c41-44a9-82b8-26ce0a53be7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"k3aUaZXGDuhkek2TZIee0PApOPTvYZLadziekdyHA5A";}s:2:"id";s:11:"user_search";s:5:"label";s:5:"Users";s:4:"path";s:4:"user";s:6:"weight";i:0;s:6:"plugin";s:11:"user_search";s:13:"configuration";a:0:{}}'),
('', 'search.settings', 'a:5:{s:12:"and_or_limit";i:7;s:12:"default_page";s:11:"node_search";s:5:"index";a:4:{s:10:"cron_limit";i:100;s:11:"overlap_cjk";b:1;s:17:"minimum_word_size";i:3;s:11:"tag_weights";a:12:{s:2:"h1";i:25;s:2:"h2";i:18;s:2:"h3";i:15;s:2:"h4";i:14;s:2:"h5";i:9;s:2:"h6";i:6;s:1:"u";i:3;s:1:"b";i:3;s:1:"i";i:3;s:6:"strong";i:3;s:2:"em";i:3;s:1:"a";i:10;}}s:7:"logging";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"hvVxL1G-ZCxaq32IZws0YsfuhvaDiQE_np-0g35KjUk";}}'),
('', 'seven.settings', 'a:1:{s:20:"third_party_settings";a:1:{s:8:"shortcut";a:1:{s:11:"module_link";b:1;}}}'),
('', 'shortcut.set.default', 'a:7:{s:4:"uuid";s:36:"f57c239c-05ba-4e95-97f7-9e82a36c3b93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U5VlGjd_SfV0Qm_EfnaynOfc549cNscFAx48JfYoMRI";}s:2:"id";s:7:"default";s:5:"label";s:7:"Default";}'),
('', 'statistics.settings', 'a:3:{s:19:"count_content_views";i:1;s:15:"display_max_age";i:3600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"83DFdl59OsypYUif32K2NCB8eiszXAKCcay04oZCRpA";}}'),
('', 'superfish.settings', 'a:2:{s:17:"superfish_library";s:290:"sites/all/libraries/superfish/jquery.hoverIntent.minified.js\r\nsites/all/libraries/superfish/superfish.js\r\nsites/all/libraries/superfish/supersubs.js\r\nsites/all/libraries/superfish/supposition.js\r\nsites/all/libraries/superfish/sfsmallscreen.js\r\nsites/all/libraries/superfish/sftouchscreen.js";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Bjqe5nqmfnnjecmHHxF6rltZFcKRKgSVsC_shaV8prs";}}'),
('', 'system.action.comment_delete_action', 'a:9:{s:4:"uuid";s:36:"10435f0c-17a0-4d3e-b6d3-36f6bc940a80";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:2:"id";s:21:"comment_delete_action";s:5:"label";s:14:"Delete comment";s:4:"type";s:7:"comment";s:6:"plugin";s:28:"entity:delete_action:comment";s:13:"configuration";a:0:{}}'),
('', 'system.action.comment_publish_action', 'a:10:{s:4:"uuid";s:36:"05a7ea99-e7b2-4356-ae40-bc9ab358a7fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"f6w_Pd30AyyDIoMkD4QpPMM2-I8FTEHICchFVOpjiCI";}s:2:"id";s:22:"comment_publish_action";s:5:"label";s:15:"Publish comment";s:4:"type";s:7:"comment";s:6:"plugin";s:29:"entity:publish_action:comment";s:13:"configuration";a:0:{}}'),
('', 'system.action.comment_save_action', 'a:10:{s:4:"uuid";s:36:"980bfc2f-e26d-45eb-9312-28f6b5a332d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TSkg_gUZvk-39yXFrIFnKjsxuEzO0qBH82TdDxOMMr4";}s:2:"id";s:19:"comment_save_action";s:5:"label";s:12:"Save comment";s:4:"type";s:7:"comment";s:6:"plugin";s:26:"entity:save_action:comment";s:13:"configuration";a:0:{}}'),
('', 'system.action.comment_unpublish_action', 'a:10:{s:4:"uuid";s:36:"b8d45f31-1ae4-4e38-8bda-60c1c24fdc70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"MLin6S_PsJ7Oo480DxS46D46IM8tqFkkWOLyH7TGByI";}s:2:"id";s:24:"comment_unpublish_action";s:5:"label";s:17:"Unpublish comment";s:4:"type";s:7:"comment";s:6:"plugin";s:31:"entity:unpublish_action:comment";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_delete_action', 'a:10:{s:4:"uuid";s:36:"5cbc002c-5edc-429f-a8f7-92d5218f1951";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Zx0jD1Klh5tZaGJy8uOeR_2MCu9FDM4xg7TaUJUEbkI";}s:2:"id";s:18:"node_delete_action";s:5:"label";s:14:"Delete content";s:4:"type";s:4:"node";s:6:"plugin";s:25:"entity:delete_action:node";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_make_sticky_action', 'a:10:{s:4:"uuid";s:36:"2c4c0d36-8317-40a5-9d85-93640328328d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"sOb26JSy3fGpWkvR0WYN6_hMqj_6d1rvbvrkzp1yya0";}s:2:"id";s:23:"node_make_sticky_action";s:5:"label";s:19:"Make content sticky";s:4:"type";s:4:"node";s:6:"plugin";s:23:"node_make_sticky_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_make_unsticky_action', 'a:10:{s:4:"uuid";s:36:"c3abba57-d2cd-4984-9348-4304ae98281b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lDM9mvIGAu8Sw8rt-uCO4Sr7yX5VPrDPxYcawkbKd6k";}s:2:"id";s:25:"node_make_unsticky_action";s:5:"label";s:21:"Make content unsticky";s:4:"type";s:4:"node";s:6:"plugin";s:25:"node_make_unsticky_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_promote_action', 'a:10:{s:4:"uuid";s:36:"1fab0859-1fe9-4383-bebb-f2fb607500e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"N0RDBTqiK4dKoN4p4oW2j0SGWycdHyALUe9M-Ofp89U";}s:2:"id";s:19:"node_promote_action";s:5:"label";s:29:"Promote content to front page";s:4:"type";s:4:"node";s:6:"plugin";s:19:"node_promote_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_publish_action', 'a:10:{s:4:"uuid";s:36:"84157d44-8353-46f5-bc56-8617350d2847";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lsQkbo4njZ-Q_oGKCPGXGWFjWF1I7QpgA6m-t9rcRoA";}s:2:"id";s:19:"node_publish_action";s:5:"label";s:15:"Publish content";s:4:"type";s:4:"node";s:6:"plugin";s:26:"entity:publish_action:node";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_save_action', 'a:10:{s:4:"uuid";s:36:"bcb78cdd-6d7b-4feb-ab1e-87cfa602e037";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U9HspszLxcw6pZmRacFa6yDbbheyMN-We4fPbrWWHGg";}s:2:"id";s:16:"node_save_action";s:5:"label";s:12:"Save content";s:4:"type";s:4:"node";s:6:"plugin";s:23:"entity:save_action:node";s:13:"configuration";a:0:{}}');
INSERT INTO `config` VALUES
('', 'system.action.node_unpromote_action', 'a:10:{s:4:"uuid";s:36:"1f815e82-4343-47e2-92fb-87707756f7a1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JBptjnfuOMtsdKygklXxoOgeOCTMtQxlkymjnnj-cC0";}s:2:"id";s:21:"node_unpromote_action";s:5:"label";s:30:"Remove content from front page";s:4:"type";s:4:"node";s:6:"plugin";s:21:"node_unpromote_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_unpublish_action', 'a:10:{s:4:"uuid";s:36:"2c53863b-8faf-4203-8e8a-3f007168758b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gGQXiSspwGl0lyOS6w_HCPpvGAPDciqDNLFwWOydVtI";}s:2:"id";s:21:"node_unpublish_action";s:5:"label";s:17:"Unpublish content";s:4:"type";s:4:"node";s:6:"plugin";s:28:"entity:unpublish_action:node";s:13:"configuration";a:0:{}}'),
('', 'system.action.user_add_role_action.administrator', 'a:9:{s:4:"uuid";s:36:"ea0a2265-63ff-43b9-bcf2-cb7f2985f3e1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"user.role.administrator";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:34:"user_add_role_action.administrator";s:5:"label";s:48:"Add the Administrator role to the selected users";s:4:"type";s:4:"user";s:6:"plugin";s:20:"user_add_role_action";s:13:"configuration";a:1:{s:3:"rid";s:13:"administrator";}}'),
('', 'system.action.user_block_user_action', 'a:10:{s:4:"uuid";s:36:"a52855ce-fa3d-4eeb-b531-4f7d7b74f1e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"DyypzTfThX10FFQw-399qPfEbLLyrhXgQrKPVsmAoJ4";}s:2:"id";s:22:"user_block_user_action";s:5:"label";s:26:"Block the selected user(s)";s:4:"type";s:4:"user";s:6:"plugin";s:22:"user_block_user_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.user_cancel_user_action', 'a:10:{s:4:"uuid";s:36:"6a24a960-11b5-48ea-8725-0de7caee1a0e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nvrL9bFilzBvm2bjO9rQnFDpBA7dBBUjShSSt6NS-DU";}s:2:"id";s:23:"user_cancel_user_action";s:5:"label";s:35:"Cancel the selected user account(s)";s:4:"type";s:4:"user";s:6:"plugin";s:23:"user_cancel_user_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.user_remove_role_action.administrator', 'a:9:{s:4:"uuid";s:36:"bec19807-3067-49e9-9508-82114f0c8351";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"user.role.administrator";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:37:"user_remove_role_action.administrator";s:5:"label";s:53:"Remove the Administrator role from the selected users";s:4:"type";s:4:"user";s:6:"plugin";s:23:"user_remove_role_action";s:13:"configuration";a:1:{s:3:"rid";s:13:"administrator";}}'),
('', 'system.action.user_unblock_user_action', 'a:10:{s:4:"uuid";s:36:"95f590f5-91e9-41a0-aec1-b5ecd70cba18";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SPsUXsR3Rc8d1y3gewzaAKWa1ncea_ywXX3f7LTn7k0";}s:2:"id";s:24:"user_unblock_user_action";s:5:"label";s:28:"Unblock the selected user(s)";s:4:"type";s:4:"user";s:6:"plugin";s:24:"user_unblock_user_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.webform_submission_delete_action', 'a:10:{s:4:"uuid";s:36:"a28f6a0e-d856-40f4-9c51-7986e0b0c58b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TBnl4vapW7sy5bRi7TcF-ueJnvz7aZNLif95ifvhfTQ";}s:2:"id";s:32:"webform_submission_delete_action";s:5:"label";s:17:"Delete submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:32:"webform_submission_delete_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.webform_submission_make_lock_action', 'a:10:{s:4:"uuid";s:36:"6640eb68-e48b-49c1-91b5-e56d68549585";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"MKmZlPRk3OJKNcYdYxSeZGQUh7LMah6MRShfkzch4bk";}s:2:"id";s:35:"webform_submission_make_lock_action";s:5:"label";s:15:"Lock submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:35:"webform_submission_make_lock_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.webform_submission_make_sticky_action', 'a:10:{s:4:"uuid";s:36:"c5b24ca7-20a2-4ce3-86e0-2ec8085d6b48";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8GSfG176mjTvczykLSKKzdI6HfM7nGnZGo54f0hRe5E";}s:2:"id";s:37:"webform_submission_make_sticky_action";s:5:"label";s:20:"Star/Flag submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:37:"webform_submission_make_sticky_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.webform_submission_make_unlock_action', 'a:10:{s:4:"uuid";s:36:"91f98b8d-64de-484a-8aa1-3be73b98da97";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"begZ0-RmTzO_zDAwEKA2lKvtGYw1vbFOzbQOJzUbZX0";}s:2:"id";s:37:"webform_submission_make_unlock_action";s:5:"label";s:17:"Unlock submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:37:"webform_submission_make_unlock_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.webform_submission_make_unsticky_action', 'a:10:{s:4:"uuid";s:36:"bac492ac-9baa-45fa-b537-5dfea5142d72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"n4gTFiUsdp7gw6yWUlDbKFEasZLCgXWWCmm7eJejay0";}s:2:"id";s:39:"webform_submission_make_unsticky_action";s:5:"label";s:24:"Unstar/unflag submission";s:4:"type";s:18:"webform_submission";s:6:"plugin";s:39:"webform_submission_make_unsticky_action";s:13:"configuration";a:0:{}}'),
('', 'system.authorize', 'a:2:{s:20:"filetransfer_default";N;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"z63ds8M4zPrylEgFRkRcOlfcsXWwfITzjD4cj1kRdfg";}}'),
('', 'system.cron', 'a:3:{s:9:"threshold";a:2:{s:20:"requirements_warning";i:172800;s:18:"requirements_error";i:1209600;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"05U0n1_8zHYzxEFSWjyHCWuJyhdez2a6Z_aTIXin04E";}s:7:"logging";i:1;}'),
('', 'system.date', 'a:4:{s:7:"country";a:1:{s:7:"default";s:2:"GR";}s:9:"first_day";i:0;s:8:"timezone";a:2:{s:7:"default";s:13:"Europe/Athens";s:4:"user";a:3:{s:12:"configurable";b:1;s:4:"warn";b:0;s:7:"default";i:0;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"V9UurX2GPT05NWKG9f2GWQqFG2TRG8vczidwjpy7Woo";}}'),
('', 'system.diff', 'a:2:{s:7:"context";a:2:{s:13:"lines_leading";i:2;s:14:"lines_trailing";i:2;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"1WanmaEhxW_vM8_5Ktsdntj8MaO9UBHXg0lN603PsWM";}}'),
('', 'system.file', 'a:5:{s:22:"allow_insecure_uploads";b:0;s:14:"default_scheme";s:6:"public";s:4:"path";a:1:{s:9:"temporary";s:23:"sites/default/files/tmp";}s:21:"temporary_maximum_age";i:21600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"t48gCU9DzYfjb3bAOIqHLzhL0ChBlXh6_5B5Pyo9t8g";}}'),
('', 'system.image', 'a:2:{s:7:"toolkit";s:2:"gd";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"durWHaKeBaq4d9Wpi4RqwADj1OufDepcnJuhVLmKN24";}}'),
('', 'system.image.gd', 'a:2:{s:12:"jpeg_quality";i:75;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eNXaHfkJJUThHeF0nvkoXyPLRrKYGxgHRjORvT4F5rQ";}}'),
('', 'system.logging', 'a:2:{s:11:"error_level";s:4:"hide";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"u3-njszl92FaxjrCMiq0yDcjAfcdx72w1zT1O9dx6aA";}}'),
('', 'system.mail', 'a:2:{s:9:"interface";a:2:{s:7:"default";s:8:"php_mail";s:7:"webform";s:16:"webform_php_mail";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rYgt7uhPafP2ngaN_ZUPFuyI4KdE0zU868zLNSlzKoE";}}'),
('', 'system.maintenance', 'a:3:{s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Z5MXifrF77GEAgx0GQ6iWT8wStjFuY8BD9OruofWTJ8";}s:8:"langcode";s:2:"en";s:7:"message";s:93:"@site is currently under maintenance. We should be back shortly. Thank you for your patience.";}'),
('', 'system.menu.account', 'a:9:{s:4:"uuid";s:36:"4e38bdf0-504c-413d-af4c-004d0914b5bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"M_Bh81osDyUQ4wV0GgU_NdBNqkzM87sLxjaCdFj9mnw";}s:2:"id";s:7:"account";s:5:"label";s:17:"User account menu";s:11:"description";s:40:"Links related to the active user account";s:6:"locked";b:1;}'),
('', 'system.menu.admin', 'a:9:{s:4:"uuid";s:36:"7fa47f53-df1a-475e-b654-d93a5b54fd93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"sapEi2YDGoI9yQIT_WgIV2vUdQ6DScH0V3fAyTadAL0";}s:2:"id";s:5:"admin";s:5:"label";s:14:"Administration";s:11:"description";s:25:"Administrative task links";s:6:"locked";b:1;}'),
('', 'system.menu.footer', 'a:9:{s:4:"uuid";s:36:"3cfab3d5-93e5-4ce3-ae65-16606aad1062";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7yrlW5z9zdg2eBucB2GPqXKSMQfH9lSRSO4DbWF7AFc";}s:2:"id";s:6:"footer";s:5:"label";s:6:"Footer";s:11:"description";s:22:"Site information links";s:6:"locked";b:1;}'),
('', 'system.menu.landing-page-navigation', 'a:8:{s:4:"uuid";s:36:"0be8b4e3-ea91-49ff-9c8b-cdf9e24c6f64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"landing-page-navigation";s:5:"label";s:23:"Landing page navigation";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.main', 'a:9:{s:4:"uuid";s:36:"8b0558ea-e5d9-40ca-bc8d-1877b4f7c9bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q2Ra3jfoIVk0f3SjxJX61byRQFVBAbpzYDQOiY-kno8";}s:2:"id";s:4:"main";s:5:"label";s:15:"Main navigation";s:11:"description";s:18:"Site section links";s:6:"locked";b:1;}'),
('', 'system.menu.mt-footer-menu-three', 'a:8:{s:4:"uuid";s:36:"d1d4f39f-4e00-4907-85f7-66e516e6c836";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:20:"mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.mt-footer-menu-two', 'a:8:{s:4:"uuid";s:36:"000f093e-22f4-4cbb-b7e8-313fcc229382";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:18:"mt-footer-menu-two";s:5:"label";s:10:"Questions?";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.mt-mega-menu', 'a:8:{s:4:"uuid";s:36:"35da80ef-1dd0-491b-8157-376a510fbb90";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt-mega-menu";s:5:"label";s:9:"Mega Menu";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.mt-subfooter-menu', 'a:8:{s:4:"uuid";s:36:"d25f7cb9-f8e4-4695-b8f5-11746f2be18c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:17:"mt-subfooter-menu";s:5:"label";s:9:"Subfooter";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.tools', 'a:9:{s:4:"uuid";s:36:"5511deda-3f20-4ad6-a97b-05d5cc83b3c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"BCM-vV1zzRaLHN18dqAR_CuGOj8AFJvTx7BKl_8Gcxc";}s:2:"id";s:5:"tools";s:5:"label";s:5:"Tools";s:11:"description";s:39:"User tool links, often added by modules";s:6:"locked";b:1;}'),
('', 'system.performance', 'a:6:{s:5:"cache";a:1:{s:4:"page";a:1:{s:7:"max_age";i:0;}}s:3:"css";a:2:{s:10:"preprocess";b:1;s:4:"gzip";b:1;}s:8:"fast_404";a:4:{s:7:"enabled";b:1;s:5:"paths";s:69:"/\\.(?:txt|png|gif|jpe?g|css|js|ico|swf|flv|cgi|bat|pl|dll|exe|asp)$/i";s:13:"exclude_paths";s:27:"/\\/(?:styles|imagecache)\\//";s:4:"html";s:162:"<!DOCTYPE html><html><head><title>404 Not Found</title></head><body><h1>Not Found</h1><p>The requested URL "@path" was not found on this server.</p></body></html>";}s:2:"js";a:2:{s:10:"preprocess";b:1;s:4:"gzip";b:1;}s:20:"stale_file_threshold";i:2592000;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"b2cssrj-lOmATIbdehfCqfCFgVR0qCdxxWhwqa2KBVQ";}}'),
('', 'system.rss', 'a:4:{s:7:"channel";a:1:{s:11:"description";s:0:"";}s:5:"items";a:2:{s:5:"limit";i:10;s:9:"view_mode";s:3:"rss";}s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TlH7NNk46phfxu1mSUfwg1C0YqaGsUCeD4l9JQnQlDU";}}'),
('', 'system.site', 'a:10:{s:4:"uuid";s:36:"d8c1e82f-f50f-455e-8103-d3c2c59f8c36";s:4:"name";s:11:"Conference+";s:4:"mail";s:18:"noreply@domain.com";s:6:"slogan";s:28:"A top quality Drupal 8 theme";s:4:"page";a:3:{i:403;s:0:"";i:404;s:0:"";s:5:"front";s:8:"/node/35";}s:18:"admin_compact_mode";b:0;s:17:"weight_select_max";i:100;s:8:"langcode";s:2:"en";s:16:"default_langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"yXadRE77Va-G6dxhd2kPYapAvbnSvTF6hO4oXiOEynI";}}'),
('', 'system.theme', 'a:3:{s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fOjer9hADYYnbCJVZMFZIIM1azTFWyg84ZkFDHfAbUg";}s:5:"admin";s:5:"seven";s:7:"default";s:7:"olivero";}'),
('', 'system.theme.global', 'a:4:{s:7:"favicon";a:4:{s:8:"mimetype";s:24:"image/vnd.microsoft.icon";s:4:"path";s:0:"";s:3:"url";s:0:"";s:11:"use_default";b:1;}s:8:"features";a:4:{s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;s:17:"node_user_picture";b:1;}s:4:"logo";a:3:{s:4:"path";s:0:"";s:3:"url";s:0:"";s:11:"use_default";b:1;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"9rAU4Pku7eMBQxauQqAgjzlcicFZ2As6zEa6zvTlCB8";}}'),
('', 'taxonomy.settings', 'a:4:{s:20:"maintain_index_table";b:1;s:17:"override_selector";b:0;s:20:"terms_per_page_admin";i:100;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zKpaWT6cJc1tVQQaTqatGELaCqU_oyRym6zTl27Yias";}}'),
('', 'taxonomy.vocabulary.font_classification', 'a:9:{s:4:"uuid";s:36:"0541a736-3493-4822-879d-e9d1d2f383be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vabvm5Pvko9TYXjS1o85Wmppa2AOTfUZ6HQUz1xf-Cg";}s:4:"name";s:14:"Classification";s:3:"vid";s:19:"font_classification";s:11:"description";s:30:"This is the general font type.";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.font_designer', 'a:9:{s:4:"uuid";s:36:"00fae69a-8ea9-4dd4-bd65-90c6465fcc25";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"pI1pC9aHpWXj-s55yPTXAPuLNFuQd1lXsgqzeQR5H88";}s:4:"name";s:13:"Font Designer";s:3:"vid";s:13:"font_designer";s:11:"description";s:13:"Font Designer";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.font_foundry', 'a:9:{s:4:"uuid";s:36:"033054b9-bcd7-4b69-b49f-290cd558ab30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"XWhEB0wh2uZrN5btKVxQzH46OCEyEzgpGkFzL6AbLK4";}s:4:"name";s:12:"Font Foundry";s:3:"vid";s:12:"font_foundry";s:11:"description";s:12:"Font Foundry";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.font_tags', 'a:9:{s:4:"uuid";s:36:"eef8c2ba-dc13-4ac7-9d89-a4e61fd4de92";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lRLlMHtAftGXOKGJyMblVU24LDFCeBIuSU_mOWdKQcM";}s:4:"name";s:9:"Font Tags";s:3:"vid";s:9:"font_tags";s:11:"description";s:33:"The tags that came with the font.";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.languages_supported', 'a:9:{s:4:"uuid";s:36:"78dfe75a-5c5c-4b6d-97f7-cd3188368ad0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ru_sLk23k0y0qP3eHlcWUNAgbWpIHOwXE3ocJgygqnM";}s:4:"name";s:19:"Languages Supported";s:3:"vid";s:19:"languages_supported";s:11:"description";s:36:"The languages supported by the font.";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_affiliations', 'a:8:{s:4:"uuid";s:36:"80aecd93-36bb-4584-b5cf-2af4530735df";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:12:"Affiliations";s:3:"vid";s:15:"mt_affiliations";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_album_categories', 'a:8:{s:4:"uuid";s:36:"0d119282-d68b-4987-81d7-f94469bd08d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"Album Categories";s:3:"vid";s:19:"mt_album_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_collections', 'a:8:{s:4:"uuid";s:36:"430a0a69-faf8-4d49-91bb-847224e28e54";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:22:"Merchandise Categories";s:3:"vid";s:14:"mt_collections";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_event_categories', 'a:8:{s:4:"uuid";s:36:"7e12e657-fc36-45f9-b838-8371643734d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"Event Categories";s:3:"vid";s:19:"mt_event_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_presentation_categories', 'a:8:{s:4:"uuid";s:36:"98aa458b-00e7-4122-833e-a0671b30c301";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:23:"Presentation Categories";s:3:"vid";s:26:"mt_presentation_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_program_entry_categories', 'a:8:{s:4:"uuid";s:36:"4f4ee99c-091e-4820-b189-2ff7079540a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:24:"Program Entry Categories";s:3:"vid";s:27:"mt_program_entry_categories";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_service_tags', 'a:8:{s:4:"uuid";s:36:"a8a22330-d52a-4272-ab33-388270e8f814";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"Accommodation Tags";s:3:"vid";s:15:"mt_service_tags";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_session', 'a:8:{s:4:"uuid";s:36:"720a3950-eb59-4271-b66a-cf61999273a4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:7:"Session";s:3:"vid";s:10:"mt_session";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_topics', 'a:8:{s:4:"uuid";s:36:"a1c0de83-61e3-420c-a189-3cc61091a01d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:6:"Topics";s:3:"vid";s:9:"mt_topics";s:11:"description";s:0:"";s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.tags', 'a:9:{s:4:"uuid";s:36:"99b9524c-7a99-453a-9ea1-a6f2d8186661";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lO5ziR5dVI1PpEeHZsSOfQ-Y7NWihSDKW8-MMf6uoms";}s:4:"name";s:4:"Tags";s:3:"vid";s:4:"tags";s:11:"description";s:61:"Use tags to group articles on similar topics into categories.";s:6:"weight";i:0;}'),
('', 'text.settings', 'a:2:{s:22:"default_summary_length";i:600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Bkewb77RBOK3_aXMPsp8p87gbc03NvmC5gBLzPl7hVA";}}'),
('', 'tour.tour.views-ui', 'a:10:{s:4:"uuid";s:36:"66c94185-731f-4543-842d-01116b2f101a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:8:"views_ui";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"c-HMyZwgeP8H6AITDcq4hznePkd7azpe8xl_WTnx2O0";}s:2:"id";s:8:"views-ui";s:5:"label";s:14:"View edit page";s:6:"module";s:8:"views_ui";s:6:"routes";a:2:{i:0;a:1:{s:10:"route_name";s:21:"entity.view.edit_form";}i:1;a:1:{s:10:"route_name";s:29:"entity.view.edit_display_form";}}s:4:"tips";a:10:{s:10:"views-main";a:5:{s:2:"id";s:10:"views-main";s:6:"plugin";s:4:"text";s:5:"label";s:20:"Manage view settings";s:4:"body";s:31:"View or edit the configuration.";s:6:"weight";i:1;}s:17:"views-ui-displays";a:6:{s:2:"id";s:17:"views-ui-displays";s:6:"plugin";s:4:"text";s:5:"label";s:21:"Displays in this view";s:4:"body";s:169:"A display is a way of outputting the results, e.g., as a page or a block. A view can contain multiple displays, which are listed here. The active display is highlighted.";s:6:"weight";i:2;s:10:"attributes";a:1:{s:7:"data-id";s:17:"views-display-top";}}s:19:"views-ui-view-admin";a:7:{s:2:"id";s:19:"views-ui-view-admin";s:6:"plugin";s:4:"text";s:5:"label";s:19:"View administration";s:4:"body";s:140:"Perform administrative tasks, including adding a description and creating a clone. Click the drop-down button to view the available options.";s:6:"weight";i:3;s:8:"location";s:4:"left";s:10:"attributes";a:1:{s:7:"data-id";s:27:"views-display-extra-actions";}}s:15:"views-ui-format";a:6:{s:2:"id";s:15:"views-ui-format";s:6:"plugin";s:4:"text";s:5:"label";s:13:"Output format";s:4:"body";s:325:"Choose how to output results. E.g., choose <em>Content</em> to output each item completely, using your configured display settings. Or choose <em>Fields</em>, which allows you to output only specific fields for each result. Additional formats can be added by installing modules to <em>extend</em> Drupal''s base functionality.";s:6:"weight";i:4;s:10:"attributes";a:1:{s:10:"data-class";s:34:"views-ui-display-tab-bucket.format";}}s:15:"views-ui-fields";a:6:{s:2:"id";s:15:"views-ui-fields";s:6:"plugin";s:4:"text";s:5:"label";s:6:"Fields";s:4:"body";s:89:"If this view uses fields, they are listed here. You can click on a field to configure it.";s:6:"weight";i:5;s:10:"attributes";a:1:{s:10:"data-class";s:33:"views-ui-display-tab-bucket.field";}}s:15:"views-ui-filter";a:6:{s:2:"id";s:15:"views-ui-filter";s:6:"plugin";s:4:"text";s:5:"label";s:16:"Filter your view";s:4:"body";s:173:"Add filters to limit the results in the output. E.g., to only show content that is <em>published</em>, you would add a filter for <em>Published</em> and select <em>Yes</em>.";s:6:"weight";i:6;s:10:"attributes";a:1:{s:10:"data-class";s:34:"views-ui-display-tab-bucket.filter";}}s:26:"views-ui-filter-operations";a:6:{s:2:"id";s:26:"views-ui-filter-operations";s:6:"plugin";s:4:"text";s:5:"label";s:14:"Filter actions";s:4:"body";s:33:"Add, rearrange or remove filters.";s:6:"weight";i:7;s:10:"attributes";a:1:{s:10:"data-class";s:53:"views-ui-display-tab-bucket.filter .dropbutton-widget";}}s:14:"views-ui-sorts";a:6:{s:2:"id";s:14:"views-ui-sorts";s:6:"plugin";s:4:"text";s:5:"label";s:13:"Sort Criteria";s:4:"body";s:96:"Control the order in which the results are output. Click on an active sort rule to configure it.";s:6:"weight";i:8;s:10:"attributes";a:1:{s:10:"data-class";s:32:"views-ui-display-tab-bucket.sort";}}s:25:"views-ui-sorts-operations";a:6:{s:2:"id";s:25:"views-ui-sorts-operations";s:6:"plugin";s:4:"text";s:5:"label";s:12:"Sort actions";s:4:"body";s:39:"Add, rearrange or remove sorting rules.";s:6:"weight";i:9;s:10:"attributes";a:1:{s:10:"data-class";s:51:"views-ui-display-tab-bucket.sort .dropbutton-widget";}}s:16:"views-ui-preview";a:7:{s:2:"id";s:16:"views-ui-preview";s:6:"plugin";s:4:"text";s:5:"label";s:7:"Preview";s:4:"body";s:34:"Show a preview of the view output.";s:6:"weight";i:10;s:8:"location";s:4:"left";s:10:"attributes";a:1:{s:7:"data-id";s:14:"preview-submit";}}}}'),
('', 'update.settings', 'a:4:{s:5:"check";a:2:{s:19:"disabled_extensions";b:0;s:13:"interval_days";i:1;}s:5:"fetch";a:3:{s:3:"url";s:0:"";s:12:"max_attempts";i:2;s:7:"timeout";i:30;}s:12:"notification";a:2:{s:6:"emails";a:1:{i:0;s:18:"noreply@domain.com";}s:9:"threshold";s:3:"all";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2QzULf0zovJQx3J06Y9rufzzfi-CY2CTTlEfJJh2Qyw";}}'),
('', 'user.flood', 'a:6:{s:8:"uid_only";b:0;s:8:"ip_limit";i:50;s:9:"ip_window";i:3600;s:10:"user_limit";i:5;s:11:"user_window";i:21600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"UYfMzeP1S8jKm9PSvxf7nQNe8DsNS-3bc2WSNNXBQWs";}}'),
('', 'user.mail', 'a:11:{s:14:"cancel_confirm";a:2:{s:4:"body";s:377:"[user:display-name],\n\nA request to cancel your account has been made at [site:name].\n\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\n\n[user:cancel-url]\n\nNOTE: The cancellation of your account is not reversible.\n\nThis link expires in one day and nothing will happen if it is not used.\n\n--  [site:name] team";s:7:"subject";s:67:"Account cancellation request for [user:display-name] at [site:name]";}s:14:"password_reset";a:2:{s:4:"body";s:407:"[user:display-name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it''s not used.\n\n--  [site:name] team";s:7:"subject";s:68:"Replacement login information for [user:display-name] at [site:name]";}s:22:"register_admin_created";a:2:{s:4:"body";s:473:"[user:display-name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:58:"An administrator created an account for you at [site:name]";}s:29:"register_no_approval_required";a:2:{s:4:"body";s:447:"[user:display-name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:54:"Account details for [user:display-name] at [site:name]";}s:25:"register_pending_approval";a:2:{s:4:"body";s:289:"[user:display-name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team";s:7:"subject";s:79:"Account details for [user:display-name] at [site:name] (pending admin approval)";}s:31:"register_pending_approval_admin";a:2:{s:4:"body";s:64:"[user:display-name] has applied for an account.\n\n[user:edit-url]";s:7:"subject";s:79:"Account details for [user:display-name] at [site:name] (pending admin approval)";}s:16:"status_activated";a:2:{s:4:"body";s:462:"[user:display-name],\n\nYour account at [site:name] has been activated.\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:account-name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:65:"Account details for [user:display-name] at [site:name] (approved)";}s:14:"status_blocked";a:2:{s:4:"body";s:89:"[user:display-name],\n\nYour account on [site:name] has been blocked.\n\n--  [site:name] team";s:7:"subject";s:64:"Account details for [user:display-name] at [site:name] (blocked)";}s:15:"status_canceled";a:2:{s:4:"body";s:90:"[user:display-name],\n\nYour account on [site:name] has been canceled.\n\n--  [site:name] team";s:7:"subject";s:65:"Account details for [user:display-name] at [site:name] (canceled)";}s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"m4J3ROov32OEquRYGLbx3SpdDGuqx9l_zJtNvihqdCg";}}'),
('', 'user.role.administrator', 'a:10:{s:4:"uuid";s:36:"bfc23256-f9a0-4aea-bb69-b8f7290643dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Om6FEO7vZZMkPIbVvfxtdkWerQ2PvQM4sWUd6Q3ZnfI";}s:2:"id";s:13:"administrator";s:5:"label";s:13:"Administrator";s:6:"weight";i:2;s:8:"is_admin";b:1;s:11:"permissions";a:0:{}}'),
('', 'user.role.anonymous', 'a:10:{s:4:"uuid";s:36:"f4aa5a02-a0f2-42e3-8fef-e2483ed22d1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"j5zLMOdJBqC0bMvSdth5UebkprJB8g_2FXHqhfpJzow";}s:2:"id";s:9:"anonymous";s:5:"label";s:14:"Anonymous user";s:6:"weight";i:0;s:8:"is_admin";b:0;s:11:"permissions";a:6:{i:0;s:15:"access comments";i:1;s:14:"access content";i:2;s:29:"access site-wide contact form";i:3;s:14:"search content";i:4;s:31:"use text format restricted_html";i:5;s:24:"view post access counter";}}'),
('', 'user.role.authenticated', 'a:10:{s:4:"uuid";s:36:"4b3b6df3-3505-4613-82c8-afd95fc5887f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"dJ0L2DNSj5q6XVZAGsuVDpJTh5UeYkIPwKrUOOpr8YI";}s:2:"id";s:13:"authenticated";s:5:"label";s:18:"Authenticated user";s:6:"weight";i:1;s:8:"is_admin";b:0;s:11:"permissions";a:9:{i:0;s:15:"access comments";i:1;s:14:"access content";i:2;s:16:"access shortcuts";i:3;s:29:"access site-wide contact form";i:4;s:13:"post comments";i:5;s:14:"search content";i:6;s:21:"skip comment approval";i:7;s:26:"use text format basic_html";i:8;s:24:"view post access counter";}}'),
('', 'user.settings', 'a:9:{s:9:"anonymous";s:9:"Anonymous";s:11:"verify_mail";b:1;s:6:"notify";a:8:{s:14:"cancel_confirm";b:1;s:14:"password_reset";b:1;s:16:"status_activated";b:1;s:14:"status_blocked";b:0;s:15:"status_canceled";b:0;s:22:"register_admin_created";b:1;s:29:"register_no_approval_required";b:1;s:25:"register_pending_approval";b:1;}s:8:"register";s:23:"visitors_admin_approval";s:13:"cancel_method";s:17:"user_cancel_block";s:22:"password_reset_timeout";i:86400;s:17:"password_strength";b:1;s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r4kwhOM0IWXVMUZDz744Yc16EOh37ZhYbA8kGOhSmLk";}}'),
('', 'views.settings', 'a:6:{s:17:"display_extenders";a:0:{}s:10:"skip_cache";b:0;s:13:"sql_signature";b:0;s:2:"ui";a:3:{s:4:"show";a:7:{s:18:"additional_queries";b:0;s:15:"advanced_column";b:0;s:14:"master_display";b:0;s:22:"performance_statistics";b:0;s:19:"preview_information";b:1;s:9:"sql_query";a:2:{s:7:"enabled";b:0;s:5:"where";s:5:"above";}s:13:"display_embed";b:0;}s:19:"always_live_preview";b:1;s:24:"exposed_filter_any_label";s:7:"old_any";}s:22:"field_rewrite_elements";a:29:{s:3:"div";s:3:"DIV";s:4:"span";s:4:"SPAN";s:2:"h1";s:2:"H1";s:2:"h2";s:2:"H2";s:2:"h3";s:2:"H3";s:2:"h4";s:2:"H4";s:2:"h5";s:2:"H5";s:2:"h6";s:2:"H6";s:1:"p";s:1:"P";s:6:"header";s:6:"HEADER";s:6:"footer";s:6:"FOOTER";s:7:"article";s:7:"ARTICLE";s:7:"section";s:7:"SECTION";s:5:"aside";s:5:"ASIDE";s:7:"details";s:7:"DETAILS";s:10:"blockquote";s:10:"BLOCKQUOTE";s:6:"figure";s:6:"FIGURE";s:7:"address";s:7:"ADDRESS";s:4:"code";s:4:"CODE";s:3:"pre";s:3:"PRE";s:3:"var";s:3:"VAR";s:4:"samp";s:4:"SAMP";s:3:"kbd";s:3:"KBD";s:6:"strong";s:6:"STRONG";s:2:"em";s:2:"EM";s:3:"del";s:3:"DEL";s:3:"ins";s:3:"INS";s:1:"q";s:1:"Q";s:1:"s";s:1:"S";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"RaRd9EIcwA4u3qCSRLL8EnCicbda1kV__ASmVbyehvQ";}}'),
('', 'views.view.archive', 'a:13:{s:4:"uuid";s:36:"a5e53f22-b2dc-47b0-aa2a-dc01d0e4eae7";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ea3cxQo9FjYVScZDVackg-6ID_GgTkdKORm_APgV-5I";}s:2:"id";s:7:"archive";s:5:"label";s:7:"Archive";s:6:"module";s:4:"node";s:11:"description";s:22:"All content, by month.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:17:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:5:"title";s:15:"Monthly archive";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";}}s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:15:"node_field_data";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:12:"title_enable";b:1;s:5:"title";s:34:"{{ arguments.created_year_month }}";s:21:"default_argument_type";s:5:"fixed";s:7:"summary";a:2:{s:10:"sort_order";s:4:"desc";s:6:"format";s:15:"default_summary";}s:15:"summary_options";a:2:{s:8:"override";b:1;s:14:"items_per_page";i:30;}s:18:"specify_validation";b:1;s:9:"plugin_id";s:15:"date_year_month";s:11:"entity_type";s:4:"node";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:5:"value";s:1:"1";s:5:"group";i:0;s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:14:"display_plugin";s:5:"block";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:15:"node_field_data";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:12:"title_enable";b:1;s:5:"title";s:34:"{{ arguments.created_year_month }}";s:21:"default_argument_type";s:5:"fixed";s:7:"summary";a:1:{s:6:"format";s:15:"default_summary";}s:15:"summary_options";a:1:{s:14:"items_per_page";i:30;}s:18:"specify_validation";b:1;s:9:"plugin_id";s:15:"date_year_month";s:11:"entity_type";s:4:"node";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:2;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:7:"archive";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.block_content', 'a:13:{s:4:"uuid";s:36:"0046cb67-454b-411d-abe7-b3f09d439a89";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tp4wP6wVrEPZfApiCfkpoCxUzN-B1ceGcGv5sEzQ2Sg";}s:2:"id";s:13:"block_content";s:5:"label";s:20:"Custom block library";s:6:"module";s:5:"views";s:11:"description";s:30:"Find and manage custom blocks.";s:3:"tag";s:7:"default";s:10:"base_table";s:24:"block_content_field_data";s:10:"base_field";s:2:"id";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:17:"administer blocks";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:4:"info";s:4:"info";s:4:"type";s:4:"type";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:4:{s:4:"info";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"info";a:37:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:17:"Block description";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Block type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:7:"changed";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:13:"block_content";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:13:"block_content";s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:3:{s:4:"info";a:16:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"info_op";s:5:"label";s:17:"Block description";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"info_op";s:10:"identifier";s:4:"info";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:6:"string";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:13:"block_content";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:10:"Block type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"reusable";a:16:{s:2:"id";s:8:"reusable";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:8:"reusable";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:8:"reusable";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:0:{}s:5:"title";s:20:"Custom block library";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:2:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:38:"There are no custom blocks available. ";s:9:"plugin_id";s:11:"text_custom";}s:27:"block_content_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:27:"block_content_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:27:"block_content_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:13:"block_content";s:9:"plugin_id";s:27:"block_content_listing_empty";s:11:"entity_type";s:13:"block_content";}}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:35:"admin/structure/block/block-content";s:4:"menu";a:9:{s:4:"type";s:3:"tab";s:5:"title";s:20:"Custom block library";s:11:"description";s:0:"";s:6:"parent";s:19:"block.admin_display";s:6:"weight";i:0;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.comment', 'a:12:{s:4:"uuid";s:36:"40ed4ad9-53a8-4e89-a1f4-68905ed4d6b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"user";}}s:2:"id";s:7:"comment";s:5:"label";s:8:"Comments";s:6:"module";s:7:"comment";s:11:"description";s:25:"Find and manage comments.";s:3:"tag";s:7:"default";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:26:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"administer comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ previous";s:4:"next";s:8:"next ›";s:5:"first";s:8:"« first";s:4:"last";s:7:"last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:6:{s:17:"comment_bulk_form";s:17:"comment_bulk_form";s:7:"subject";s:7:"subject";s:3:"uid";s:3:"uid";s:9:"entity_id";s:9:"entity_id";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:6:{s:17:"comment_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"subject";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"uid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"entity_id";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:24:"comment_unpublish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:5:"title";s:8:"Comments";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:22:"No comments available.";s:9:"plugin_id";s:11:"text_custom";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"group_by";b:0;s:9:"css_class";s:0:"";s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:14:"page_published";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:14:"page_published";s:13:"display_title";s:18:"Published comments";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:21:"admin/content/comment";s:4:"menu";a:7:{s:4:"type";s:3:"tab";s:5:"title";s:8:"Comments";s:11:"description";s:18:"Comments published";s:6:"parent";s:0:"";s:6:"weight";i:0;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";}s:19:"display_description";s:30:"The approved comments listing.";s:17:"display_extenders";a:0:{}s:13:"exposed_block";b:0;s:15:"display_comment";s:0:"";}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:15:"page_unapproved";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:15:"page_unapproved";s:13:"display_title";s:19:"Unapproved comments";s:8:"position";i:2;s:15:"display_options";a:8:{s:4:"path";s:30:"admin/content/comment/approval";s:4:"menu";a:7:{s:4:"type";s:3:"tab";s:5:"title";s:19:"Unapproved comments";s:11:"description";s:19:"Comments unapproved";s:6:"parent";s:0:"";s:6:"weight";i:1;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";}s:19:"display_description";s:32:"The unapproved comments listing.";s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:8:"defaults";a:3:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;}s:17:"display_extenders";a:0:{}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:22:"comment_publish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.comments_recent', 'a:13:{s:4:"uuid";s:36:"13605e43-2427-4dc6-8c0b-d21d33003ed8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:7:"comment";i:1;s:4:"node";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jmfZ73IDUpneecqVXUK3whGzTcvwLBBll9U3ZTCzndo";}s:2:"id";s:15:"comments_recent";s:5:"label";s:15:"Recent comments";s:6:"module";s:5:"views";s:11:"description";s:16:"Recent comments.";s:3:"tag";s:7:"default";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:14:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:22:"default_field_elements";b:1;s:6:"inline";a:2:{s:7:"subject";s:7:"subject";s:7:"changed";s:7:"changed";}s:9:"separator";s:1:" ";s:10:"hide_empty";b:0;}}s:13:"relationships";a:1:{s:4:"node";a:5:{s:5:"field";s:4:"node";s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:7:"subject";a:26:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"node";s:2:"id";s:11:"status_node";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}}s:5:"sorts";a:2:{s:7:"created";a:12:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";}s:3:"cid";a:11:{s:2:"id";s:3:"cid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"cid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"cid";}}s:5:"title";s:15:"Recent comments";s:5:"empty";a:1:{s:16:"area_text_custom";a:11:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:7:"content";s:22:"No comments available.";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"block_description";s:15:"Recent comments";s:14:"block_category";s:13:"Lists (Views)";s:5:"allow";a:1:{s:14:"items_per_page";b:1;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.content', 'a:13:{s:4:"uuid";s:36:"46df9fc7-0b8d-4c6c-b63a-1a46737eac5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YIwhIF9MSP1E_HMam6MrYeti_UqMXQiLDMjDsPFKK8s";}s:2:"id";s:7:"content";s:5:"label";s:7:"Content";s:6:"module";s:4:"node";s:11:"description";s:24:"Find and manage content.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:23:"access content overview";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:2:{s:14:"items_per_page";i:50;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:14:"node_bulk_form";s:14:"node_bulk_form";s:5:"title";s:5:"title";s:4:"type";s:4:"type";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:7:"changed";s:7:"changed";s:9:"edit_node";s:9:"edit_node";s:11:"delete_node";s:11:"delete_node";s:10:"dropbutton";s:10:"dropbutton";s:9:"timestamp";s:5:"title";}s:4:"info";a:10:{s:14:"node_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"title";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"delete_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"timestamp";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:14:"node_bulk_form";a:14:{s:2:"id";s:14:"node_bulk_form";s:5:"table";s:4:"node";s:5:"field";s:14:"node_bulk_form";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"node_bulk_form";s:11:"entity_type";s:4:"node";}s:5:"title";a:17:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:5:"label";s:5:"Title";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Content type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:4:"name";a:17:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:17:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:9:"Published";s:19:"format_custom_false";s:11:"Unpublished";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:7:"changed";a:17:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";}s:10:"operations";a:23:{s:2:"id";s:10:"operations";s:5:"table";s:4:"node";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:5:{s:12:"status_extra";a:9:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:8:"operator";s:1:"=";s:5:"value";b:0;s:9:"plugin_id";s:11:"node_status";s:5:"group";i:1;s:11:"entity_type";s:4:"node";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:16:"Published status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:9:"Published";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:11:"Unpublished";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"bundle";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";}s:5:"title";a:16:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:8:"title_op";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:8:"title_op";s:10:"identifier";s:5:"title";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"sorts";a:0:{}s:5:"title";s:7:"Content";s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:9:"arguments";a:0:{}s:13:"relationships";a:1:{s:3:"uid";a:6:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:16:"show_admin_links";b:0;s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:7:"default";s:13:"display_title";s:6:"Master";s:2:"id";s:7:"default";s:8:"position";i:0;s:14:"cache_metadata";a:3:{s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:15:"display_options";a:4:{s:4:"path";s:18:"admin/content/node";s:4:"menu";a:8:{s:4:"type";s:11:"default tab";s:5:"title";s:7:"Content";s:11:"description";s:0:"";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:7:"Content";s:11:"description";s:23:"Find and manage content";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:4:"page";s:13:"display_title";s:4:"Page";s:2:"id";s:6:"page_1";s:8:"position";i:1;s:14:"cache_metadata";a:3:{s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.content_recent', 'a:13:{s:4:"uuid";s:36:"e0fbdad5-cb3a-4aff-b69c-c045bd4c825f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tDcmzGfShE0XJbfwJzyA6lJTUYC6X4iVu887dgoFfDg";}s:2:"id";s:14:"content_recent";s:5:"label";s:14:"Recent content";s:6:"module";s:4:"node";s:11:"description";s:15:"Recent content.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:22:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:5:"title";a:26:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:5:"title";s:14:"Recent content";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"More";s:8:"link_url";s:0:"";s:12:"link_display";s:1:"0";}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.files', 'a:13:{s:4:"uuid";s:36:"bb004630-0ce7-448a-b08a-b2e8f6295a42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rRWxAX-IQkJ5viACQRovRkC784EyCl9493GU_G23n2Q";}s:2:"id";s:5:"files";s:5:"label";s:5:"Files";s:6:"module";s:4:"file";s:11:"description";s:22:"Find and manage files.";s:3:"tag";s:7:"default";s:10:"base_table";s:12:"file_managed";s:10:"base_field";s:3:"fid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:21:"access files overview";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:3:"fid";s:3:"fid";s:8:"filename";s:8:"filename";s:8:"filemime";s:8:"filemime";s:8:"filesize";s:8:"filesize";s:6:"status";s:6:"status";s:7:"created";s:7:"created";s:7:"changed";s:7:"changed";s:5:"count";s:5:"count";}s:4:"info";a:8:{s:3:"fid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filename";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filemime";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:8:"filesize";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:3:"fid";a:24:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"Fid";s:7:"exclude";b:1;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}s:8:"filename";a:36:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Name";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"file_link";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:25:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"MIME type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"file_filemime";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:8:"filesize";a:25:{s:2:"id";s:8:"filesize";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filesize";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Size";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"file_size";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filesize";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:19:"format_custom_false";s:9:"Temporary";s:18:"format_custom_true";s:9:"Permanent";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Upload date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"created";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Changed date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"changed";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:3:"fid";s:10:"group_type";s:3:"sum";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Used in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/content/files/usage/{{ fid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:21:"1 place@count places";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:7:"filters";a:3:{s:8:"filename";a:16:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:8:"Filename";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filename_op";s:10:"identifier";s:8:"filename";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:16:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:9:"MIME type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filemime_op";s:10:"identifier";s:8:"filemime";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:9:"status_op";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"file_status";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}}s:5:"sorts";a:0:{}s:5:"title";s:5:"Files";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:19:"No files available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:9:"arguments";a:0:{}s:8:"group_by";b:1;s:16:"show_admin_links";b:1;s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:14:"Files overview";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:19:"admin/content/files";s:4:"menu";a:8:{s:4:"type";s:3:"tab";s:5:"title";s:5:"Files";s:11:"description";s:0:"";s:9:"menu_name";s:5:"admin";s:6:"weight";i:0;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:19:"display_description";s:0:"";s:8:"defaults";a:2:{s:5:"pager";b:1;s:13:"relationships";b:0;}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:0;}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:10:"File usage";s:8:"position";i:2;s:15:"display_options";a:16:{s:19:"display_description";s:0:"";s:4:"path";s:27:"admin/content/files/usage/%";s:5:"empty";a:0:{}s:8:"defaults";a:11:{s:5:"empty";b:0;s:5:"pager";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:8:"group_by";b:0;s:5:"title";b:0;s:9:"arguments";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:7:"filters";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:0:{}}s:6:"fields";a:4:{s:12:"entity_label";a:23:{s:2:"id";s:12:"entity_label";s:5:"table";s:10:"file_usage";s:5:"field";s:12:"entity_label";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Entity";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:14:"link_to_entity";b:1;s:9:"plugin_id";s:12:"entity_label";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Entity type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:6:"module";a:22:{s:2:"id";s:6:"module";s:5:"table";s:10:"file_usage";s:5:"field";s:6:"module";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:18:"Registering module";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Use count";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:8:"group_by";b:0;s:5:"title";s:10:"File usage";s:9:"arguments";a:1:{s:3:"fid";a:23:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:46:"File usage information for {{ arguments.fid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:8:"file_fid";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:12:"entity_label";s:12:"entity_label";s:4:"type";s:4:"type";s:6:"module";s:6:"module";s:5:"count";s:5:"count";}s:4:"info";a:4:{s:12:"entity_label";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:6:"module";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:12:"entity_label";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.fontyourface_font_manager', 'a:13:{s:4:"uuid";s:36:"cfb4e2c0-49e6-4fbc-a731-22eb461bab63";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:33:"core.entity_view_mode.font.teaser";i:1;s:39:"taxonomy.vocabulary.font_classification";i:2;s:32:"taxonomy.vocabulary.font_foundry";i:3;s:39:"taxonomy.vocabulary.languages_supported";}s:6:"module";a:3:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"A_LJN6fQMhxinZWzAPOoVCLFvGftlN9suE2TPTVAxfs";}s:2:"id";s:25:"fontyourface_font_manager";s:5:"label";s:25:"FontYourFace Font Manager";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:17:"fontyourface_font";s:10:"base_field";s:3:"fid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:24:"administer font entities";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:9:"row_class";s:30:"fontyourface-font-manager-item";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:font";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:4:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:3:"pid";a:37:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Provider ID";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:5:"field";}s:9:"css_style";a:37:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"CSS Style";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"font";s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:7:{s:4:"name";a:16:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"name_op";s:5:"label";s:4:"Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"name_op";s:10:"identifier";s:4:"name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:6:"string";}s:3:"pid";a:16:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:6:"pid_op";s:5:"label";s:13:"Font Provider";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:6:"pid_op";s:10:"identifier";s:3:"pid";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:21:"fontyourface_font_pid";}s:9:"css_style";a:16:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:12:"css_style_op";s:5:"label";s:9:"CSS Style";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:12:"css_style_op";s:10:"identifier";s:9:"css_style";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:23:"fontyourface_font_style";}s:10:"css_weight";a:16:{s:2:"id";s:10:"css_weight";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"css_weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:13:"css_weight_op";s:5:"label";s:10:"CSS Weight";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"css_weight_op";s:10:"identifier";s:10:"css_weight";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:10:"css_weight";s:9:"plugin_id";s:24:"fontyourface_font_weight";}s:30:"field_classification_target_id";a:20:{s:2:"id";s:30:"field_classification_target_id";s:5:"table";s:26:"font__field_classification";s:5:"field";s:30:"field_classification_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:33:"field_classification_target_id_op";s:5:"label";s:14:"Classification";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:33:"field_classification_target_id_op";s:10:"identifier";s:30:"field_classification_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"font_classification";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:35:"field_supported_languages_target_id";a:20:{s:2:"id";s:35:"field_supported_languages_target_id";s:5:"table";s:31:"font__field_supported_languages";s:5:"field";s:35:"field_supported_languages_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:38:"field_supported_languages_target_id_op";s:5:"label";s:15:"Language/subset";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:38:"field_supported_languages_target_id_op";s:10:"identifier";s:35:"field_supported_languages_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"languages_supported";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:20:"field_tags_target_id";a:20:{s:2:"id";s:20:"field_tags_target_id";s:5:"table";s:16:"font__field_tags";s:5:"field";s:20:"field_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:23:"field_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:23:"field_tags_target_id_op";s:10:"identifier";s:20:"field_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:12:"font_foundry";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"status";a:12:{s:2:"id";s:6:"status";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:13:"Font Selector";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:21:"admin/appearance/font";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.frontpage', 'a:13:{s:4:"uuid";s:36:"31df822d-0b0a-440f-a3c7-ed18b2060c62";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"core.entity_view_mode.node.rss";i:1;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rwRoOr3DiobxwoWSmtUcna1LQz5_HxHvS7H5dl7_-Uo";}s:2:"id";s:9:"frontpage";s:5:"label";s:9:"Frontpage";s:6:"module";s:4:"node";s:11:"description";s:39:"All content promoted to the front page.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"empty";a:3:{s:16:"area_text_custom";a:11:{s:11:"admin_label";s:0:"";s:7:"content";s:43:"No front page content has been created yet.";s:5:"empty";b:1;s:5:"field";s:16:"area_text_custom";s:10:"group_type";s:5:"group";s:2:"id";s:16:"area_text_custom";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:5:"views";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}s:18:"node_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:18:"node_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:18:"node_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:4:"node";s:9:"plugin_id";s:18:"node_listing_empty";s:11:"entity_type";s:4:"node";}s:5:"title";a:10:{s:2:"id";s:5:"title";s:5:"table";s:5:"views";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:5:"title";s:22:"Welcome to [site:name]";s:9:"plugin_id";s:5:"title";}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:7:"filters";a:3:{s:7:"promote";a:16:{s:11:"admin_label";s:0:"";s:6:"expose";a:12:{s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"operator";s:0:"";s:11:"operator_id";s:0:"";s:8:"remember";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:8:"required";b:0;s:12:"use_operator";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:7:"exposed";b:0;s:5:"field";s:7:"promote";s:5:"group";i:1;s:10:"group_info";a:10:{s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"description";s:0:"";s:11:"group_items";a:0:{}s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"optional";b:1;s:8:"remember";b:0;s:6:"widget";s:6:"select";}s:10:"group_type";s:5:"group";s:2:"id";s:7:"promote";s:10:"is_grouped";b:0;s:8:"operator";s:1:"=";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";}s:6:"status";a:9:{s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"field";s:6:"status";s:5:"group";i:1;s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:11:"admin_label";s:0:"";s:6:"expose";a:1:{s:5:"label";s:0:"";}s:7:"exposed";b:0;s:5:"field";s:6:"sticky";s:10:"group_type";s:5:"group";s:2:"id";s:6:"sticky";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";}s:7:"created";a:13:{s:5:"field";s:7:"created";s:2:"id";s:7:"created";s:5:"order";s:4:"DESC";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:7:"default";s:13:"display_title";s:6:"Master";s:2:"id";s:7:"default";s:8:"position";i:0;s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:14:"url.query_args";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"feed_1";a:6:{s:14:"display_plugin";s:4:"feed";s:2:"id";s:6:"feed_1";s:13:"display_title";s:4:"Feed";s:8:"position";i:2;s:15:"display_options";a:7:{s:14:"sitename_title";b:1;s:4:"path";s:7:"rss.xml";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:0:"";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:3:"rss";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:21:"user.node_grants:view";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:15:"display_options";a:3:{s:4:"path";s:4:"node";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"display_plugin";s:4:"page";s:13:"display_title";s:4:"Page";s:2:"id";s:6:"page_1";s:8:"position";i:1;s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:14:"url.query_args";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.glossary', 'a:13:{s:4:"uuid";s:36:"270d3f72-cdac-43fa-a81c-017fbc689d17";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-pCFOVfbt__jaohFffTLnVavh4OBC6CjREAnchiRomQ";}s:2:"id";s:8:"glossary";s:5:"label";s:8:"Glossary";s:6:"module";s:4:"node";s:11:"description";s:23:"All content, by letter.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:17:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:8:"use_ajax";b:1;s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:6:"fields";a:3:{s:5:"title";a:24:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Title";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:6:"Author";s:12:"relationship";s:3:"uid";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:5:"label";s:11:"Last update";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:4:"long";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";}}s:9:"arguments";a:1:{s:5:"title";a:27:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:14:"default_action";s:7:"default";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:1;s:8:"glossary";b:1;s:5:"limit";i:1;s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";b:0;s:9:"plugin_id";s:6:"string";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:0:"";s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:0:{}s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}}s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:7:"columns";a:3:{s:5:"title";s:5:"title";s:4:"name";s:4:"name";s:7:"changed";s:7:"changed";}s:7:"default";s:5:"title";s:4:"info";a:3:{s:5:"title";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}s:4:"name";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}s:7:"changed";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}}s:8:"override";b:1;s:6:"sticky";b:0;s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;s:5:"order";s:3:"asc";s:7:"summary";s:0:"";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:2:{s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}s:6:"status";a:9:{s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"field";s:6:"status";s:5:"group";i:1;s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:12:"attachment_1";a:6:{s:2:"id";s:12:"attachment_1";s:13:"display_title";s:10:"Attachment";s:14:"display_plugin";s:10:"attachment";s:8:"position";i:2;s:15:"display_options";a:7:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:6:"offset";i:0;s:14:"items_per_page";i:0;}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:9:"arguments";a:1:{s:5:"title";a:27:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:19:"unformatted_summary";}s:15:"summary_options";a:3:{s:14:"items_per_page";i:25;s:6:"inline";b:1;s:9:"separator";s:3:" | ";}s:18:"specify_validation";b:1;s:8:"glossary";b:1;s:5:"limit";i:1;s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";b:0;s:9:"plugin_id";s:6:"string";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:0:"";s:25:"default_argument_skip_url";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}}s:8:"displays";a:2:{s:7:"default";s:7:"default";s:6:"page_1";s:6:"page_1";}s:17:"inherit_arguments";b:0;s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:8:"glossary";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Glossary";s:6:"weight";i:0;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_albums', 'a:12:{s:4:"uuid";s:36:"cf2885bd-d542-4d5b-b942-ff848a7437c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:37:"field.storage.node.field_mt_alb_image";i:2;s:37:"field.storage.node.field_mt_alb_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_album";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:9:"mt_albums";s:5:"label";s:19:"Album - Alternative";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Album in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read more";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-albums-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:4;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"title";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:17:"block_description";s:18:"Albums - 4 columns";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Albums";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:5:"title";s:27:"Latest Albums - Alternative";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:2;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"albums-3-col-style-2";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}'),
('', 'views.view.mt_albums_carousel', 'a:12:{s:4:"uuid";s:36:"d37d19dc-f68c-4241-be24-11a29bb2feaa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:37:"field.storage.node.field_mt_alb_video";i:2;s:30:"image.style.mt_albums_carousel";i:3;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:18:"mt_albums_carousel";s:5:"label";s:15:"Albums Carousel";s:6:"module";s:5:"views";s:11:"description";s:58:"Displays nodes using the content type Album in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:53:"owl-carousel mt-carousel-container mt-carousel-albums";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:344:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:45:"<h3><a href="{{ path }}">{{ title }}</a></h3>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:343:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"Albums Carousel";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:171:"<div class="text-center">\n<h3 class="bottom-spacing-small mb-0">Our Event Gallery</h3>\n<p class="extra-large mb-5">Picture gallery from previous event meetings.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:33:"view-mt-carousel view-albums-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Albums (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_albums_grid_style_2', 'a:12:{s:4:"uuid";s:36:"d3dfca20-e5e4-4ff5-b11b-1e943e44ba2a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:37:"field.storage.node.field_mt_alb_video";i:2;s:17:"image.style.large";i:3;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:22:"mt_albums_grid_style_2";s:5:"label";s:6:"Albums";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Album in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-lg-4 col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:31:"row list-unstyled grid-gutter-5";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:19:"link--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:116:"<div class="text-center">\n<div class="views-field-title" ><h5><a href="{{ path }}">{{ title }}</a></h5></div>\n</div>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:205:"<h2 class="text-center bottom-spacing-small">MY PORTFOLIO</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-albums-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:4;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:8;s:6:"offset";i:0;}}s:8:"defaults";a:7:{s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"title";b:0;}s:17:"block_description";s:33:"Albums - 4 columns (grid style 2)";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"ALL WORKS";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:5:"title";s:13:"Latest Albums";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:6:"albums";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:2:{s:5:"pager";b:0;s:6:"header";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"albums-2-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:4:{s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:31:"row list-unstyled grid-gutter-5";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}'),
('', 'views.view.mt_articles', 'a:12:{s:4:"uuid";s:36:"9cf85ab3-64ae-41c6-9022-862e8288b4c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:17:"node.type.article";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:11:"mt_articles";s:5:"label";s:8:"Articles";s:6:"module";s:5:"views";s:11:"description";s:68:"Displays nodes using the content type Article in a list style layout";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:4;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:9:"row_class";s:4:"mb-5";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"articles";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_articles_carousel', 'a:12:{s:4:"uuid";s:36:"ced7aef0-bf97-449c-9b28-7397fa84fe96";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:17:"image.style.large";i:3;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:20:"mt_articles_carousel";s:5:"label";s:17:"Articles Carousel";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays nodes using the content type Article in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Articles Carousel";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:47:"row d-block view-mt-carousel view-articles-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-articles";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:6:"header";a:0:{}s:17:"block_description";s:28:"Featured Articles (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}'),
('', 'views.view.mt_articles_grid', 'a:12:{s:4:"uuid";s:36:"f7196d94-40dc-483d-b47e-fd917516e483";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:23:"field.storage.node.body";i:2;s:30:"field.storage.node.field_image";i:3;s:17:"image.style.large";i:4;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:16:"mt_articles_grid";s:5:"label";s:13:"Articles Grid";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Article in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-articles-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 3 Col";s:8:"position";i:4;s:15:"display_options";a:16:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:12:{s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:9:"css_class";b:0;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:17:"block_description";s:25:"Articles - Grid 3 Columns";s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:9:"css_class";s:18:"view-articles-grid";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View More";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:3;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:3:{s:5:"pager";b:0;s:6:"header";b:0;s:6:"fields";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:4:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"fields";b:0;}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_4";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_4";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_articles_list', 'a:12:{s:4:"uuid";s:36:"7719875b-c5db-4ef8-b4a1-8158682d76ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:17:"image.style.large";i:3;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:16:"mt_articles_list";s:5:"label";s:13:"Articles list";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Article in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:246:"<div class="col-md-6">\n<div class="views-field-field-image mb-4 mb-md-0">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-md-6";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"field_image_1";a:35:{s:2:"id";s:13:"field_image_1";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:6:"col-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:48:"<div class="views-field-body">\n{{ body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:54:"<div class="views-field-created">\n{{ created }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:307:"<div class="row view-items-list__item">\n{{ field_image }}\n<div class="{{ field_image_1 }}">\n<div class="view-items-list__body">\n{{ created }}\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ body }}\n<div class="views-field-view-node link--bordered">\n{{ view_node }}\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Articles list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:15:"view-items-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:13:"articles-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}'),
('', 'views.view.mt_articles_list_2', 'a:12:{s:4:"uuid";s:36:"3333ba41-494c-4c2d-a967-4b9e89ba665d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:17:"node.type.article";}s:6:"module";a:3:{i:0;s:4:"node";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:18:"mt_articles_list_2";s:5:"label";s:17:"Latest Blog Posts";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays the latest entries using the content types Article.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:25:"1 comment@count comments";s:6:"prefix";s:2:"- ";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:132:"<div class="post-meta">\n<div class="post-meta-item">{{ created }}</div>\n<div class="post-meta-item">{{ comment_count }}</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"M j, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Latest Blog Posts";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Events";s:8:"link_url";s:9:"/articles";s:12:"link_display";s:10:"custom_url";s:9:"css_class";s:29:"view-articles-list-2 clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:30:"config:field.storage.node.body";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Latest blog posts";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:30:"config:field.storage.node.body";}}}}}'),
('', 'views.view.mt_collections_carousel', 'a:12:{s:4:"uuid";s:36:"383531f5-9915-47d2-99de-57e442f36b18";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:29:"image.style.mt_portrait_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:23:"mt_collections_carousel";s:5:"label";s:27:"Merchandise Groups Carousel";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:28:"mt-carousel-item text-center";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:71:"owl-carousel owl-carousel mt-carousel-container mt-carousel-collections";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:18:"Merchandise Groups";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:63:"view-mt-carousel view-collection-grid view-collections-carousel";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"Explore now";s:8:"link_url";s:14:"product-groups";s:12:"link_display";s:10:"custom_url";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:27:"Merchandise Groups Carousel";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}}}'),
('', 'views.view.mt_collections_grid', 'a:12:{s:4:"uuid";s:36:"c0743566-3686-4b50-bd71-f193372fcf38";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:29:"image.style.mt_portrait_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:19:"mt_collections_grid";s:5:"label";s:18:"Merchandise Groups";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-md-6 col-lg-3 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:3:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:9:"term_name";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:18:"Merchandise Groups";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:41:"view-promoted-items view-collections-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:4:"path";s:18:"merchandise-groups";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_collections_masonry', 'a:12:{s:4:"uuid";s:36:"a6d1e9b6-da29-4024-9de3-d90d98107c91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:2;s:30:"image.style.mt_landscape_image";i:3;s:29:"image.style.mt_portrait_image";i:4;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:22:"mt_collections_masonry";s:5:"label";s:26:"Merchandise Groups Masonry";s:6:"module";s:5:"views";s:11:"description";s:83:"Displays taxonomy terms in Merchandise Groups vocabulary in a masonry style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"masonry-item {{ field_mt_wide_collection_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_wide_collection_image";a:35:{s:2:"id";s:30:"field_mt_wide_collection_image";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_wide_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:31:"{{ field_mt_collection_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:32:"field_mt_wide_collection_image_1";a:35:{s:2:"id";s:32:"field_mt_wide_collection_image_1";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:3:"vid";a:8:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:26:"Merchandise Groups Masonry";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-promoted-items-masonry view-collection-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:26:"Merchandise Groups Masonry";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:4:"path";s:26:"merchandise-groups-masonry";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}}}'),
('', 'views.view.mt_events_grid', 'a:12:{s:4:"uuid";s:36:"ff8e957e-2021-4947-b0d2-5fce1c9a2ef3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:37:"field.storage.node.field_mt_evn_image";i:2;s:37:"field.storage.node.field_mt_evn_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_event";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:14:"mt_events_grid";s:5:"label";s:6:"Events";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Event in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_evn_video";a:35:{s:2:"id";s:18:"field_mt_evn_video";s:5:"table";s:24:"node__field_mt_evn_video";s:5:"field";s:18:"field_mt_evn_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_evn_image";a:35:{s:2:"id";s:18:"field_mt_evn_image";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:18:"field_mt_evn_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_evn_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_evn_body";a:35:{s:2:"id";s:17:"field_mt_evn_body";s:5:"table";s:23:"node__field_mt_evn_body";s:5:"field";s:17:"field_mt_evn_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Events";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-events-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}}}'),
('', 'views.view.mt_events_list', 'a:12:{s:4:"uuid";s:36:"e066a8e3-2f89-4443-8ef4-2d06df8085a7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:18:"node.type.mt_event";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:14:"mt_events_list";s:5:"label";s:6:"Events";s:6:"module";s:5:"views";s:11:"description";s:66:"Displays nodes using the content type Event in a list style layout";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:4;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:9:"row_class";s:4:"mb-5";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Events";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:6:"events";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_isotope', 'a:12:{s:4:"uuid";s:36:"1863d2bf-fdde-43c8-b9a2-1a9f95099b83";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:37:"field.storage.node.field_mt_alb_image";i:2;s:36:"field.storage.node.field_mt_alb_tags";i:3;s:37:"field.storage.node.field_mt_alb_video";i:4;s:36:"field.storage.node.field_mt_prd_body";i:5;s:40:"field.storage.node.field_mt_prd_buy_link";i:6;s:37:"field.storage.node.field_mt_prd_image";i:7;s:37:"field.storage.node.field_mt_prd_price";i:8;s:36:"field.storage.node.field_mt_prd_tags";i:9;s:37:"field.storage.node.field_mt_prd_video";i:10;s:36:"field.storage.node.field_mt_srv_body";i:11;s:37:"field.storage.node.field_mt_srv_image";i:12;s:37:"field.storage.node.field_mt_srv_price";i:13;s:44:"field.storage.node.field_mt_srv_service_tags";i:14;s:37:"field.storage.node.field_mt_srv_video";i:15;s:48:"field.storage.paragraph.field_mt_highlight_image";i:16;s:17:"image.style.large";i:17;s:18:"node.type.mt_album";i:18;s:20:"node.type.mt_product";i:19;s:20:"node.type.mt_service";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:10:"mt_isotope";s:5:"label";s:7:"Isotope";s:6:"module";s:5:"views";s:11:"description";s:113:"Displays nodes using the content types Merchandise, Accommodation or Album in a grid layout with Isotope filters.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:7:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item {{ field_mt_alb_tags }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:3:"M j";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:387:"<div class="views-field-field-image">\n<div class="overlayed-wrapper">\n<a class="overlayed-inner" href="{{ path }}">\n<span class="overlay"><i class="fa fa-link"></i></span>\n{{ field_mt_alb_image }}\n</a>\n<span class="info">\n<span class="date">{{ created }}</span>\n<a href="{{ path }}" class="comments">{{ comment_count }}</a>\n<span class="author">By {{ name }}</span>\n</span>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h2";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:9:"more-link";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-albums-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:43:"config:field.storage.node.field_mt_alb_tags";}}}s:12:"attachment_1";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_1";s:13:"display_title";s:24:"Albums Isotope (Filters)";s:8:"position";i:2;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_1";s:6:"page_1";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:6:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;}s:6:"fields";a:2:{s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_alb_tags__target_id }}">{{ field_mt_alb_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:37:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_alb_tags";}}}s:12:"attachment_2";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_2";s:13:"display_title";s:32:"Accommodations Isotope (Filters)";s:8:"position";i:4;s:15:"display_options";a:15:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_2";s:6:"page_2";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:10:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:13:"relationships";b:0;}s:6:"fields";a:2:{s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:126:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_srv_service_tags__target_id }}">{{ field_mt_srv_service_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"title";s:14:"Accommodations";s:13:"relationships";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:51:"config:field.storage.node.field_mt_srv_service_tags";}}}s:12:"attachment_3";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_3";s:13:"display_title";s:29:"Merchandise Isotope (Filters)";s:8:"position";i:6;s:15:"display_options";a:15:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_3";s:6:"page_3";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:10:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:13:"relationships";b:0;}s:6:"fields";a:2:{s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_prd_tags__target_id }}">{{ field_mt_prd_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:3:"row";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"title";s:11:"Merchandise";s:13:"relationships";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_prd_tags";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:14:"Albums Isotope";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"albums-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:3:{s:5:"pager";b:0;s:6:"fields";b:0;s:9:"css_class";b:0;}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read more";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:9:"css_class";s:19:"view-promoted-items";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:43:"config:field.storage.node.field_mt_alb_tags";i:3;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:22:"Accommodations Isotope";s:8:"position";i:3;s:15:"display_options";a:14:{s:17:"display_extenders";a:0:{}s:4:"path";s:22:"accommodations-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;s:9:"css_class";b:0;}s:5:"title";s:14:"Accommodations";s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:46:"tid-{{ field_mt_srv_service_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:72:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_srv_service_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"css_class";s:19:"view-promoted-items";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:51:"config:field.storage.node.field_mt_srv_service_tags";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:19:"Merchandise Isotope";s:8:"position";i:5;s:15:"display_options";a:14:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;s:9:"css_class";b:0;}s:5:"title";s:11:"Merchandise";s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:6:"fields";a:10:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_prd_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_prd_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:21:"isotope-container row";s:5:"class";s:13:"list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"css_class";s:19:"view-promoted-items";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:7:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:43:"config:field.storage.node.field_mt_prd_tags";i:5;s:44:"config:field.storage.node.field_mt_prd_video";i:6;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_latest', 'a:12:{s:4:"uuid";s:36:"98d5b933-bff8-408e-b14b-052e47b51121";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:36:"field.storage.node.field_mt_prd_body";i:3;s:37:"field.storage.node.field_mt_prd_image";i:4;s:36:"field.storage.node.field_mt_srv_body";i:5;s:37:"field.storage.node.field_mt_srv_image";i:6;s:18:"image.style.medium";i:7;s:17:"node.type.article";i:8;s:20:"node.type.mt_product";i:9;s:20:"node.type.mt_service";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:9:"mt_latest";s:5:"label";s:12:"Latest Posts";s:6:"module";s:5:"views";s:11:"description";s:90:"Displays the latest entries using the content types Article, Merchandise or Accommodation.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:35:"col-12 col-md-6 col-lg-12 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:8:"Articles";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:8:"Articles";s:19:"display_description";s:0:"";s:8:"use_more";b:1;s:8:"defaults";a:7:{s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"pager";b:0;s:6:"fields";b:0;}s:15:"use_more_always";b:0;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:8:"articles";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:5:"d M Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:37:"config:field.storage.node.field_image";}}}s:7:"block_3";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_3";s:13:"display_title";s:14:"Accommodations";s:8:"position";i:1;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:14:"Accommodations";s:19:"display_description";s:0:"";s:5:"title";s:14:"Accommodations";s:8:"defaults";a:9:{s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"services-3-col";s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";}}}s:7:"block_4";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_4";s:13:"display_title";s:11:"Merchandise";s:8:"position";i:1;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:11:"Merchandise";s:19:"display_description";s:0:"";s:5:"title";s:11:"Merchandise";s:8:"defaults";a:9:{s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"products-3-col";s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:214:"<div class="views-field-field-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";}}}}}'),
('', 'views.view.mt_other_speakers_carousel', 'a:12:{s:4:"uuid";s:36:"3ed24100-48e6-4fa3-a088-32c8e136d364";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:2;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:3;s:40:"field.storage.node.field_mt_spk_subtitle";i:4;s:47:"field.storage.node.field_mt_spk_twitter_account";i:5;s:47:"field.storage.node.field_mt_spk_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:26:"mt_other_speakers_carousel";s:5:"label";s:23:"Other Speakers Carousel";s:6:"module";s:5:"views";s:11:"description";s:37:"Displays speaker nodes in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"random";a:10:{s:2:"id";s:6:"random";s:5:"table";s:5:"views";s:5:"field";s:6:"random";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:6:"random";}}s:5:"title";s:14:"Other Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:25:"Other Speakers - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_popular_tags', 'a:12:{s:4:"uuid";s:36:"515bdceb-9bf5-4ab2-818d-0325823fff04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"taxonomy";i:1;s:4:"user";}}s:2:"id";s:15:"mt_popular_tags";s:5:"label";s:12:"Popular Tags";s:6:"module";s:5:"views";s:11:"description";s:41:"Displays the most popular taxonomy terms.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:9:"term_name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;}s:3:"tid";a:37:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:10:"langcode_1";a:16:{s:2:"id";s:10:"langcode_1";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:8:"status_1";a:16:{s:2:"id";s:8:"status_1";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:3:"tid";a:12:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:12:"Popular Tags";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"group_by";b:1;s:9:"css_class";s:21:"view-popular-taxonomy";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:12:"Popular tags";s:6:"fields";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_presentations_grid', 'a:12:{s:4:"uuid";s:36:"95cff3e3-a514-441a-b409-619a7a0c1af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:37:"field.storage.node.field_mt_prs_video";i:3;s:17:"image.style.large";i:4;s:25:"node.type.mt_presentation";i:5;s:46:"taxonomy.vocabulary.mt_presentation_categories";i:6;s:30:"taxonomy.vocabulary.mt_session";i:7;s:29:"taxonomy.vocabulary.mt_topics";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:21:"mt_presentations_grid";s:5:"label";s:13:"Presentations";s:6:"module";s:5:"views";s:11:"description";s:74:"Displays nodes using the content type Presentation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_video";a:35:{s:2:"id";s:18:"field_mt_prs_video";s:5:"table";s:24:"node__field_mt_prs_video";s:5:"field";s:18:"field_mt_prs_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prs_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:7:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:29:"field_mt_prs_topics_target_id";a:20:{s:2:"id";s:29:"field_mt_prs_topics_target_id";s:5:"table";s:25:"node__field_mt_prs_topics";s:5:"field";s:29:"field_mt_prs_topics_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:32:"field_mt_prs_topics_target_id_op";s:5:"label";s:6:"Topics";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:32:"field_mt_prs_topics_target_id_op";s:10:"identifier";s:29:"field_mt_prs_topics_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:9:"mt_topics";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:30:"field_mt_prs_session_target_id";a:20:{s:2:"id";s:30:"field_mt_prs_session_target_id";s:5:"table";s:26:"node__field_mt_prs_session";s:5:"field";s:30:"field_mt_prs_session_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:33:"field_mt_prs_session_target_id_op";s:5:"label";s:7:"Session";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:33:"field_mt_prs_session_target_id_op";s:10:"identifier";s:30:"field_mt_prs_session_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:10:"mt_session";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:31:"field_mt_prs_category_target_id";a:20:{s:2:"id";s:31:"field_mt_prs_category_target_id";s:5:"table";s:27:"node__field_mt_prs_category";s:5:"field";s:31:"field_mt_prs_category_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:34:"field_mt_prs_category_target_id_op";s:5:"label";s:8:"Category";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:34:"field_mt_prs_category_target_id_op";s:10:"identifier";s:31:"field_mt_prs_category_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:26:"mt_presentation_categories";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Presentations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:23:"view-presentations-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"presentations-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:13:"presentations";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}}}'),
('', 'views.view.mt_pricing_tables', 'a:12:{s:4:"uuid";s:36:"2e765768-4002-4387-9642-46b292adb731";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";i:1;s:37:"field.storage.node.field_mt_prd_price";i:2;s:50:"field.storage.node.field_mt_prd_pricing_table_item";i:3;s:20:"node.type.mt_product";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:17:"mt_pricing_tables";s:5:"label";s:14:"Pricing Tables";s:6:"module";s:5:"views";s:11:"description";s:82:"Displays nodes using the content type Merchandise in a Pricing table style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-4 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_prd_most_popular";a:35:{s:2:"id";s:25:"field_mt_prd_most_popular";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:90:"<div class="views-field-field-mt-prd-most-popular">\n{{ field_mt_prd_most_popular }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"default";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:27:"field_mt_prd_most_popular_1";a:35:{s:2:"id";s:27:"field_mt_prd_most_popular_1";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:12:"most-popular";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"boolean";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:31:"field_mt_prd_pricing_table_item";a:35:{s:2:"id";s:31:"field_mt_prd_pricing_table_item";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:31:"field_mt_prd_pricing_table_item";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:73:"<div class="views-field-item">{{ field_mt_prd_pricing_table_item }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:2:"ul";s:9:"separator";s:0:"";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:400:"<div class="pricing-table">\n<div class="pricing-table-header">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_most_popular }}\n{{ field_mt_prd_price }}\n</div>\n<div class="pricing-table-body">\n{{ field_mt_prd_pricing_table_item }}\n</div>\n<div class="pricing-table-footer">\n<a href="{{ path }}" class="button">{{"Buy Now"|t}} <i class="ml-2 fas fa-angle-right"></i></a>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:5:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:37:"field_mt_prd_pricing_table_item_value";a:14:{s:2:"id";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"1";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:16:"Choose an option";s:6:"header";a:0:{}s:6:"footer";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:181:"<p>Questions? Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut <a href="#" class="link--bordered">labore et dolore magna aliqua</a>.</p>";s:6:"format";s:8:"raw_html";}s:9:"plugin_id";s:4:"text";}}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:19:"view-pricing-tables";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:17:"Block - 3 columns";s:8:"position";i:3;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:1:{s:5:"title";b:1;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 3 Columns";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:17:"Block - 2 columns";s:8:"position";i:4;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:5:"title";s:16:"Choose an option";s:8:"defaults";a:4:{s:5:"title";b:0;s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 2 Columns";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_3";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_3";s:13:"display_title";s:17:"Block - 4 columns";s:8:"position";i:2;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:5:"title";s:16:"Choose an option";s:8:"defaults";a:4:{s:5:"title";b:0;s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 4 Columns";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"col-lg-3 col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"pricing-tables";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:8:"defaults";a:1:{s:6:"header";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_products', 'a:12:{s:4:"uuid";s:36:"1a694062-9fb4-48e0-aaab-fe191fa5fa92";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:48:"field.storage.paragraph.field_mt_highlight_image";i:5;s:17:"image.style.large";i:6;s:20:"node.type.mt_product";i:7;s:34:"taxonomy.vocabulary.mt_collections";i:8;s:24:"taxonomy.vocabulary.tags";}s:6:"module";a:8:{i:0;s:22:"better_exposed_filters";i:1;s:5:"image";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:8:"taxonomy";i:5;s:4:"text";i:6;s:4:"user";i:7;s:17:"video_embed_field";}}s:2:"id";s:11:"mt_products";s:5:"label";s:11:"Merchandise";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Merchandise in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:1;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:3:"bef";s:7:"options";a:11:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";s:14:"input_required";b:0;s:19:"text_input_required";s:51:"Select any filter and click on Apply to see results";s:3:"bef";a:5:{s:7:"general";a:4:{s:15:"allow_secondary";b:0;s:15:"secondary_label";s:16:"Advanced options";s:10:"autosubmit";b:0;s:15:"autosubmit_hide";b:0;}s:30:"field_mt_collections_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:33:"field_mt_prd_categories_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:20:"field_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:27:"field_mt_prd_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}}s:26:"text_input_required_format";s:10:"basic_html";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:9:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:33:"field_mt_prd_categories_target_id";a:20:{s:2:"id";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:29:"node__field_mt_prd_categories";s:5:"field";s:33:"field_mt_prd_categories_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:36:"field_mt_prd_categories_target_id_op";s:5:"label";s:13:"Product Group";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:36:"field_mt_prd_categories_target_id_op";s:10:"identifier";s:33:"field_mt_prd_categories_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:14:"mt_collections";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:27:"field_mt_prd_tags_target_id";a:20:{s:2:"id";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:27:"field_mt_prd_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:30:"field_mt_prd_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:30:"field_mt_prd_tags_target_id_op";s:10:"identifier";s:27:"field_mt_prd_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:4:"tags";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:11:"Merchandise";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-products-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:12:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:21:"col-lg-4 col-md-6 row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:7:{s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:12:"exposed_form";b:0;s:6:"header";b:0;s:5:"pager";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:1;s:7:"filters";a:8:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:17:"block_description";s:22:"Merchandise Grid 3 Col";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:200:"<h2 class="text-center bottom-spacing-small">MY SHOP</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"4, 8, 16, 40";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:11:"merchandise";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:5:"pager";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}'),
('', 'views.view.mt_products_carousel', 'a:12:{s:4:"uuid";s:36:"da726044-b2b9-47d9-b150-9cc817dea024";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:28:"image.style.mt_product_image";i:5;s:20:"node.type.mt_product";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:20:"mt_products_carousel";s:5:"label";s:20:"Merchandise Carousel";s:6:"module";s:5:"views";s:11:"description";s:64:"Displays nodes using the content type Merchandise in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-products";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:20:"Merchandise Carousel";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:35:"view-mt-carousel view-products-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:31:"Featured Merchandise (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_products_list', 'a:12:{s:4:"uuid";s:36:"6a9fc952-231b-474d-bb39-9534be670686";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:40:"field.storage.node.field_mt_prd_buy_link";i:2;s:37:"field.storage.node.field_mt_prd_image";i:3;s:37:"field.storage.node.field_mt_prd_price";i:4;s:37:"field.storage.node.field_mt_prd_video";i:5;s:48:"field.storage.paragraph.field_mt_highlight_image";i:6;s:17:"image.style.large";i:7;s:20:"node.type.mt_product";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:16:"mt_products_list";s:5:"label";s:16:"Merchandise list";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Merchandise in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_video_1";a:35:{s:2:"id";s:20:"field_mt_prd_video_1";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-md-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:26:"{{ field_mt_prd_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_image_1";a:35:{s:2:"id";s:20:"field_mt_prd_image_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-prd-body">\n{{ field_mt_prd_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:250;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:457:"<div class="row view-items-list__item">\n{{ field_mt_prd_image }}\n<div class="{{ field_mt_prd_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_price }}\n{{ field_mt_prd_body }}\n<div class="views-field views-field-link">\n<a class="button button--hover-style-2" target="_blank" href="{{ field_mt_prd_buy_link }}"><i class="fas fa-shopping-cart"></i> {{"Cart"|t}}</a>\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:16:"Merchandise list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-products-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:16:"Merchandise list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:16:"merchandise-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}'),
('', 'views.view.mt_products_masonry', 'a:12:{s:4:"uuid";s:36:"8b8e5386-9cad-44e4-a76b-94ccf3700451";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:47:"field.storage.node.field_mt_prd_landscape_image";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:30:"image.style.mt_landscape_image";i:5;s:29:"image.style.mt_portrait_image";i:6;s:20:"node.type.mt_product";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:19:"mt_products_masonry";s:5:"label";s:19:"Merchandise Masonry";s:6:"module";s:5:"views";s:11:"description";s:76:"Displays nodes using the content type Merchandise in a masonry style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:59:"masonry-item {{ field_mt_prd_landscape_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_prd_landscape_image";a:35:{s:2:"id";s:28:"field_mt_prd_landscape_image";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:227:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_landscape_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_prd_landscape_image_1";a:35:{s:2:"id";s:30:"field_mt_prd_landscape_image_1";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:26:"link--bordered text-center";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:11:"Merchandise";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:27:"view-promoted-items-masonry";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:2:{i:1;s:3:"AND";i:2;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:19:"Merchandise Masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_program', 'a:12:{s:4:"uuid";s:36:"bdd40e2f-abaa-4849-9250-37b446dd193a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.storage.node.field_mt_prg_category";i:1;s:40:"field.storage.node.field_mt_prg_end_date";i:2;s:42:"field.storage.node.field_mt_prg_start_date";i:3;s:26:"node.type.mt_program_entry";}s:6:"module";a:4:{i:0;s:8:"datetime";i:1;s:17:"fullcalendar_view";i:2;s:4:"node";i:3;s:4:"user";}}s:2:"id";s:10:"mt_program";s:5:"label";s:7:"Program";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:25:"fullcalendar_view_display";s:7:"options";a:13:{s:11:"defaultDate";s:10:"2018-04-11";s:5:"start";s:23:"field_mt_prg_start_date";s:3:"end";s:21:"field_mt_prg_end_date";s:13:"right_buttons";a:3:{s:10:"agendaWeek";s:10:"agendaWeek";s:9:"agendaDay";s:9:"agendaDay";s:8:"listYear";s:8:"listYear";}s:15:"defaultLanguage";s:2:"en";s:16:"languageSelector";i:0;s:15:"createEventLink";i:0;s:9:"tax_field";s:21:"field_mt_prg_category";s:12:"vocabularies";s:27:"mt_program_entry_categories";s:14:"color_contents";a:13:{s:7:"article";s:7:"#3a87ad";s:8:"mt_album";s:7:"#3a87ad";s:14:"mt_canvas_page";s:7:"#3a87ad";s:8:"mt_event";s:7:"#3a87ad";s:15:"mt_presentation";s:7:"#3a87ad";s:10:"mt_product";s:7:"#3a87ad";s:16:"mt_program_entry";s:7:"#3a87ad";s:10:"mt_service";s:7:"#3a87ad";s:10:"mt_speaker";s:7:"#3a87ad";s:10:"mt_sponsor";s:7:"#3a87ad";s:14:"mt_team_member";s:7:"#3a87ad";s:14:"mt_testimonial";s:7:"#3a87ad";s:4:"page";s:7:"#3a87ad";}s:12:"content_type";s:16:"mt_program_entry";s:7:"classes";s:0:"";s:16:"color_taxonomies";a:2:{i:77;s:7:"#4b842e";i:78;s:7:"#3b5897";}}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:21:"field_mt_prg_category";a:35:{s:2:"id";s:21:"field_mt_prg_category";s:5:"table";s:27:"node__field_mt_prg_category";s:5:"field";s:21:"field_mt_prg_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_prg_end_date";a:35:{s:2:"id";s:21:"field_mt_prg_end_date";s:5:"table";s:27:"node__field_mt_prg_end_date";s:5:"field";s:21:"field_mt_prg_end_date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"datetime_default";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:6:"medium";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:23:"field_mt_prg_start_date";a:35:{s:2:"id";s:23:"field_mt_prg_start_date";s:5:"table";s:29:"node__field_mt_prg_start_date";s:5:"field";s:23:"field_mt_prg_start_date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"datetime_default";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:6:"medium";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:7:"Program";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:13:"view-calendar";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:47:"config:field.storage.node.field_mt_prg_category";i:1;s:47:"config:field.storage.node.field_mt_prg_end_date";i:2;s:49:"config:field.storage.node.field_mt_prg_start_date";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:7:"program";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:47:"config:field.storage.node.field_mt_prg_category";i:1;s:47:"config:field.storage.node.field_mt_prg_end_date";i:2;s:49:"config:field.storage.node.field_mt_prg_start_date";}}}}}'),
('', 'views.view.mt_recent_comments', 'a:12:{s:4:"uuid";s:36:"791c109f-83d0-43d6-a6da-f7c06d877cde";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:7:"comment";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:18:"mt_recent_comments";s:5:"label";s:15:"Recent Comments";s:6:"module";s:5:"views";s:11:"description";s:16:"Recent comments.";s:3:"tag";s:0:"";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:13:"relationships";a:2:{s:4:"node";a:9:{s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"node";s:11:"entity_type";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:7:"Content";}s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:21:"{{ name }} {{"on"|t}}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:9:"plugin_id";s:5:"field";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:12:"relationship";s:4:"node";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:11:"status_node";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"Recent Comments";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"mt-recent-comments";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"Recent Comments";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_related_events', 'a:12:{s:4:"uuid";s:36:"e2222b36-c445-4169-b4e8-2014e4658574";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:37:"field.storage.node.field_mt_evn_image";i:2;s:37:"field.storage.node.field_mt_evn_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_event";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:17:"mt_related_events";s:5:"label";s:14:"Related Events";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Event in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_evn_video";a:35:{s:2:"id";s:18:"field_mt_evn_video";s:5:"table";s:24:"node__field_mt_evn_video";s:5:"field";s:18:"field_mt_evn_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_evn_image";a:35:{s:2:"id";s:18:"field_mt_evn_image";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:18:"field_mt_evn_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_evn_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_evn_body";a:35:{s:2:"id";s:17:"field_mt_evn_body";s:5:"table";s:23:"node__field_mt_evn_body";s:5:"field";s:17:"field_mt_evn_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Events";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:30:"field_mt_evn_speaker_target_id";a:21:{s:2:"id";s:30:"field_mt_evn_speaker_target_id";s:5:"table";s:26:"node__field_mt_evn_speaker";s:5:"field";s:30:"field_mt_evn_speaker_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-events-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:40:"row list-unstyled justify-content-center";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:16:"block_hide_empty";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}}}'),
('', 'views.view.mt_related_nodes_carousel', 'a:12:{s:4:"uuid";s:36:"e43e23d7-6386-4559-bd00-e8da8b68d1a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:28:"image.style.mt_product_image";i:5;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:8:"taxonomy";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:25:"mt_related_nodes_carousel";s:5:"label";s:13:"Related Nodes";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:60:"owl-carousel mt-carousel-container mt-carousel-related-nodes";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Products Carousel";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:35:"view-mt-carousel view-products-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:24:"Related Nodes (Carousel)";s:16:"block_hide_empty";b:0;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_related_presentations', 'a:12:{s:4:"uuid";s:36:"873ed9cd-f989-41fd-8467-e2529f0d8384";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:18:"image.style.medium";i:3;s:29:"taxonomy.vocabulary.mt_topics";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:24:"mt_related_presentations";s:5:"label";s:29:"Related Presentations (Topic)";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"In this topic";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:13:"In this topic";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}}}'),
('', 'views.view.mt_related_presentations_2', 'a:12:{s:4:"uuid";s:36:"8a0b25cb-351d-4d58-8a4b-959fa7fa4bf7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:18:"image.style.medium";i:3;s:30:"taxonomy.vocabulary.mt_session";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:26:"mt_related_presentations_2";s:5:"label";s:31:"Related Presentations (Session)";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"In this session";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:10:"mt_session";s:10:"mt_session";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"In this session";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}}}'),
('', 'views.view.mt_related_presentations_3', 'a:12:{s:4:"uuid";s:36:"e3560280-8fd8-423a-b075-aa83d79710dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:37:"field.storage.node.field_mt_prs_video";i:3;s:17:"image.style.large";i:4;s:25:"node.type.mt_presentation";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:26:"mt_related_presentations_3";s:5:"label";s:31:"Related Presentations (Speaker)";s:6:"module";s:5:"views";s:11:"description";s:74:"Displays nodes using the content type Presentation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_video";a:35:{s:2:"id";s:18:"field_mt_prs_video";s:5:"table";s:24:"node__field_mt_prs_video";s:5:"field";s:18:"field_mt_prs_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prs_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Presentations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:30:"field_mt_prs_speaker_target_id";a:21:{s:2:"id";s:30:"field_mt_prs_speaker_target_id";s:5:"table";s:26:"node__field_mt_prs_speaker";s:5:"field";s:30:"field_mt_prs_speaker_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:23:"view-presentations-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:40:"row list-unstyled justify-content-center";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:16:"block_hide_empty";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}}}'),
('', 'views.view.mt_services', 'a:12:{s:4:"uuid";s:36:"a70c2300-cbdd-4a31-a743-d251a1f01b8f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:37:"field.storage.node.field_mt_srv_image";i:2;s:37:"field.storage.node.field_mt_srv_price";i:3;s:37:"field.storage.node.field_mt_srv_video";i:4;s:48:"field.storage.paragraph.field_mt_highlight_image";i:5;s:17:"image.style.large";i:6;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:10:"paragraphs";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:11:"mt_services";s:5:"label";s:14:"Accommodations";s:6:"module";s:5:"views";s:11:"description";s:75:"Displays nodes using the content type Accommodation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:223:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:7:{s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:14:"Accommodations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-services-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:1;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"accommodations";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_services_list', 'a:12:{s:4:"uuid";s:36:"69f594c3-c866-4760-a316-6f4ebd53c2c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:40:"field.storage.node.field_mt_srv_buy_link";i:2;s:37:"field.storage.node.field_mt_srv_image";i:3;s:37:"field.storage.node.field_mt_srv_price";i:4;s:37:"field.storage.node.field_mt_srv_video";i:5;s:48:"field.storage.paragraph.field_mt_highlight_image";i:6;s:17:"image.style.large";i:7;s:20:"node.type.mt_service";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:16:"mt_services_list";s:5:"label";s:19:"Accommodations list";s:6:"module";s:5:"views";s:11:"description";s:75:"Displays nodes using the content type Accommodation in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:34:"view-promoted-items-list--bordered";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_srv_buy_link";a:35:{s:2:"id";s:21:"field_mt_srv_buy_link";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:5:"field";s:21:"field_mt_srv_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_video_1";a:35:{s:2:"id";s:20:"field_mt_srv_video_1";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-sm-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:26:"{{ field_mt_srv_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_image_1";a:35:{s:2:"id";s:20:"field_mt_srv_image_1";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-srv-price">\n{{ field_mt_srv_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-srv-body">\n{{ field_mt_srv_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:271:"<div class="row view-items-list__item">\n{{ field_mt_srv_image }}\n<div class="{{ field_mt_srv_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ field_mt_srv_body }}\n{{ field_mt_srv_price }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:19:"Accommodations list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:15:"view-items-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"accommodations-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}'),
('', 'views.view.mt_slideshow_boxed_width', 'a:12:{s:4:"uuid";s:36:"5ca27d09-d628-4c0c-9600-def9bd221576";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";i:2;s:30:"image.style.mt_slideshow_boxed";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:24:"mt_slideshow_boxed_width";s:5:"label";s:21:"Slideshow Boxed Width";s:6:"module";s:5:"views";s:11:"description";s:47:"Drives the Boxed Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_slideshow_boxed";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_slideshow_full_screen', 'a:12:{s:4:"uuid";s:36:"2f805a0e-eead-455b-bf58-8852025453af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";i:2;s:35:"image.style.mt_slideshow_fullscreen";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:24:"mt_slideshow_full_screen";s:5:"label";s:21:"Slideshow Full Screen";s:6:"module";s:5:"views";s:11:"description";s:53:"Drives the Full Screen Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:23:"mt_slideshow_fullscreen";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:17:"view-mt-slideshow";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}'),
('', 'views.view.mt_slideshow_full_width', 'a:12:{s:4:"uuid";s:36:"959234a5-a6e8-4d3e-b740-64f30e95bfab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:23:"mt_slideshow_full_width";s:5:"label";s:20:"Slideshow Full Width";s:6:"module";s:5:"views";s:11:"description";s:52:"Drives the Full Width Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:17:"view-mt-slideshow";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}'),
('', 'views.view.mt_speakers', 'a:12:{s:4:"uuid";s:36:"abe909ab-d1fe-4f96-9ff7-36d11fafa3dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:11:"mt_speakers";s:5:"label";s:8:"Speakers";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:1:{i:0;a:3:{s:5:"field";s:5:"title";s:8:"rendered";b:1;s:14:"rendered_strip";b:0;}}s:9:"row_class";s:21:"clearfix listing-item";s:17:"default_row_class";b:1;s:11:"uses_fields";b:1;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:15:"mt_listing_item";}}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:1;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:6:"d-none";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}}s:5:"sorts";a:1:{s:5:"title";a:12:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:8:"Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:13:"view-speakers";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"speakers";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_speakers_carousel', 'a:12:{s:4:"uuid";s:36:"ffbd0fee-8045-43f4-9bd1-37e36d4942b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:2;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:3;s:40:"field.storage.node.field_mt_spk_subtitle";i:4;s:47:"field.storage.node.field_mt_spk_twitter_account";i:5;s:47:"field.storage.node.field_mt_spk_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_speakers_carousel";s:5:"label";s:17:"Speakers Carousel";s:6:"module";s:5:"views";s:11:"description";s:37:"Displays speaker nodes in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:356:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-field-mt-spk-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:19:"Speakers - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_sponsors_carousel', 'a:12:{s:4:"uuid";s:36:"a9b14826-5731-4f6c-adb5-dba760a5e114";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"image.style.mt_logos";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_sponsors_carousel";s:5:"label";s:17:"Sponsors Carousel";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays nodes using the content type Sponsor in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-sponsors";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-logo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:5:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:27:"field_mt_spn_logo_target_id";a:14:{s:2:"id";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:27:"field_mt_spn_logo_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:43:"view-mt-carousel view-mt-carousel--sponsors";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:19:"Sponsors (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}'),
('', 'views.view.mt_sponsors_grid', 'a:12:{s:4:"uuid";s:36:"99ca7dbc-19a1-4774-8d20-5b6c294521a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:21:"image.style.mt_brands";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:16:"mt_sponsors_grid";s:5:"label";s:8:"Sponsors";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Sponsor in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:3:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-sponsors-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"sponsors";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}'),
('', 'views.view.mt_sponsors_grid_2', 'a:12:{s:4:"uuid";s:36:"b092ae51-6a12-4b71-85fb-aae7364dfe30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"image.style.mt_logos";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:18:"mt_sponsors_grid_2";s:5:"label";s:8:"Sponsors";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:37:"col-6 col-sm-4 col-md-3 col-lg-6 my-3";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:7:"content";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:9:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:8:"Sponsors";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}'),
('', 'views.view.mt_team_members_carousel', 'a:12:{s:4:"uuid";s:36:"d34b597b-853d-4711-a3fc-96f4009e3886";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:2;s:44:"field.storage.node.field_mt_tmm_member_photo";i:3;s:40:"field.storage.node.field_mt_tmm_subtitle";i:4;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:5;s:47:"field.storage.node.field_mt_tmm_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:24:"mt_team_members_carousel";s:5:"label";s:21:"Team Members Carousel";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays team member nodes in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-team-members";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_youtube_account";a:35:{s:2:"id";s:28:"field_mt_tmm_youtube_account";s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:5:"field";s:28:"field_mt_tmm_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_tmm_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:497:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n{{ field_mt_tmm_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_tmm_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:55:"view-mt-carousel view-team-members-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_tmm_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:23:"Team Members - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_tmm_youtube_account";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_team_members_grid', 'a:12:{s:4:"uuid";s:36:"d9a7eefa-bb7e-4c18-8856-bd5af8f96d23";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:2;s:44:"field.storage.node.field_mt_tmm_member_photo";i:3;s:40:"field.storage.node.field_mt_tmm_subtitle";i:4;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:5;s:27:"image.style.mt_member_photo";i:6;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_team_members_grid";s:5:"label";s:17:"Team Members Grid";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:151:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:157:"<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:42:"view-promoted-items view-team-members-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"team-members";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";}}}}}'),
('', 'views.view.mt_team_members_grid_2', 'a:12:{s:4:"uuid";s:36:"f872f70f-a667-4a00-8cd8-4b795eea5896";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";i:1;s:40:"field.storage.node.field_mt_tmm_subtitle";i:2;s:27:"image.style.mt_member_photo";i:3;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:22:"mt_team_members_grid_2";s:5:"label";s:19:"Team Members Grid 2";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:44:"view-promoted-items view-team-members-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:1;s:47:"config:field.storage.node.field_mt_tmm_subtitle";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 6 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"team-members-2";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:33:"col-xl-2 col-lg-3 col-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:1;s:47:"config:field.storage.node.field_mt_tmm_subtitle";}}}}}'),
('', 'views.view.mt_team_members_list', 'a:12:{s:4:"uuid";s:36:"1b20386a-38e5-4d3c-85b1-7f6265bb866f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"node.type.mt_team_member";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:20:"mt_team_members_list";s:5:"label";s:17:"Team Members List";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:24;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:23:"Leadership & Management";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-titles-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"team-members-list";s:9:"arguments";a:0:{}s:8:"defaults";a:1:{s:9:"arguments";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_testimonials', 'a:12:{s:4:"uuid";s:36:"219ef55b-3419-4544-8349-7a27dc8fe341";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:15:"mt_testimonials";s:5:"label";s:12:"Testimonials";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:22:"view-testimonials-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:1;s:6:"offset";i:0;}}s:8:"defaults";a:2:{s:5:"pager";b:0;s:9:"css_class";b:1;}s:17:"block_description";s:27:"Testimonials Block - Latest";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:8:"defaults";a:7:{s:5:"pager";b:0;s:9:"css_class";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:17:"block_description";s:18:"Testimonials Block";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View more";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"testimonials";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_testimonials_carousel', 'a:12:{s:4:"uuid";s:36:"ce97a407-c0f9-41e5-8a3b-0d4bbf9b5929";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:24:"mt_testimonials_carousel";s:5:"label";s:21:"Testimonials Carousel";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-testimonials";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:39:"view-mt-carousel view-testimonials-grid";s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:0:"";s:8:"link_url";s:12:"testimonials";s:12:"link_display";s:10:"custom_url";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:2:{s:5:"pager";b:1;s:9:"css_class";b:1;}s:17:"block_description";s:21:"Testimonials Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}'),
('', 'views.view.mt_testimonials_grid', 'a:12:{s:4:"uuid";s:36:"d5bf94f8-0219-4c92-a2ef-10fb647f68f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:20:"mt_testimonials_grid";s:5:"label";s:17:"Testimonials Grid";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:17:"views-field-title";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:22:"view-testimonials-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:25:"Testimonials Block - Grid";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:18:"testimonials-3-col";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}'),
('', 'views.view.mt_testimonials_grid_2', 'a:12:{s:4:"uuid";s:36:"130aebd0-229f-4232-b66d-fd59d2934418";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:32:"image.style.mt_testimonial_image";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:22:"mt_testimonials_grid_2";s:5:"label";s:19:"Testimonials Grid 2";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:91:"<a href="{{ field_mt_tst_testimonial_link }}" class="link--bordered">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:24:"view-testimonials-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:27:"Testimonials Block - Grid 2";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-3-col-2";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.mt_testimonials_masonry', 'a:12:{s:4:"uuid";s:36:"10fd6a83-7178-49d9-b950-ebc2cb49c84c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:23:"mt_testimonials_masonry";s:5:"label";s:20:"Testimonials Masonry";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:40:"col-lg-4 col-md-6 masonry-item views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:30:"testimonials-masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:48:"view-testimonials-grid view-testimonials-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:6:"expose";a:2:{s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:28:"Testimonials Block - Masonry";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-masonry";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}'),
('', 'views.view.mt_videos', 'a:12:{s:4:"uuid";s:36:"8c0f28b0-ae0d-450c-89e2-f7230c1efb43";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:23:"field.storage.node.body";i:2;s:33:"field.storage.node.field_mt_video";i:3;s:17:"image.style.large";}s:6:"module";a:4:{i:0;s:4:"node";i:1;s:4:"text";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:9:"mt_videos";s:5:"label";s:6:"Videos";s:6:"module";s:5:"views";s:11:"description";s:71:"Displays the latest entries with videos using the content type Article.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:14:"â€¹â€¹";s:4:"next";s:14:"â€ºâ€º";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:18:"mt_video_grid_item";}}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:14:"field_mt_video";a:35:{s:2:"id";s:14:"field_mt_video";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:14:"field_mt_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:206:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:4:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Videos";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:19:"view-promoted-items";s:13:"filter_groups";a:2:{s:8:"operator";s:2:"OR";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:6;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:6:"Videos";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:6:"videos";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}}}'),
('', 'views.view.taxonomy_term', 'a:13:{s:4:"uuid";s:36:"18e21340-f0c4-47f3-a12b-c35acd0d8e6f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:3:{i:0;s:4:"node";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YY-QIsPmXCITvYjAnlCzaqASCB1Telev3U0IKOztZkc";}s:2:"id";s:13:"taxonomy_term";s:5:"label";s:13:"Taxonomy term";s:6:"module";s:8:"taxonomy";s:11:"description";s:45:"Content belonging to a certain taxonomy term.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:18:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"sorts";a:2:{s:6:"sticky";a:10:{s:2:"id";s:6:"sticky";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"sticky";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}s:7:"created";a:11:{s:2:"id";s:7:"created";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:1:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:19:"{{ arguments.tid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:1;s:8:"validate";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:4:{s:6:"access";b:1;s:9:"operation";s:4:"view";s:8:"multiple";i:0;s:7:"bundles";a:0:{}}s:12:"break_phrase";b:0;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:7:"filters";a:2:{s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"header";a:1:{s:20:"entity_taxonomy_term";a:12:{s:2:"id";s:20:"entity_taxonomy_term";s:5:"table";s:5:"views";s:5:"field";s:20:"entity_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:1;s:6:"target";s:23:"{{ raw_arguments.tid }}";s:9:"view_mode";s:4:"full";s:13:"bypass_access";b:0;s:9:"plugin_id";s:6:"entity";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:17:"display_extenders";a:0:{}s:8:"link_url";s:0:"";s:12:"link_display";s:6:"page_1";}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"feed_1";a:6:{s:2:"id";s:6:"feed_1";s:13:"display_title";s:4:"Feed";s:14:"display_plugin";s:4:"feed";s:8:"position";i:2;s:15:"display_options";a:7:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:4:"path";s:20:"taxonomy/term/%/feed";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:1:"0";}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:7:"default";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:15:"taxonomy/term/%";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.user_admin_people', 'a:13:{s:4:"uuid";s:36:"aa64836e-9c2f-45e1-bbcd-c83ef0bfc266";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"queuLjhKGUQ_b-lNh_TkhCvOPrVunfJopvVGOf3cjAo";}s:2:"id";s:17:"user_admin_people";s:5:"label";s:6:"People";s:6:"module";s:4:"user";s:11:"description";s:50:"Find and manage people interacting with your site.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:25:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:16:"administer users";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:10:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"summary";s:0:"";s:7:"columns";a:8:{s:14:"user_bulk_form";s:14:"user_bulk_form";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:3:"rid";s:3:"rid";s:7:"created";s:7:"created";s:6:"access";s:6:"access";s:9:"edit_node";s:9:"edit_node";s:10:"dropbutton";s:10:"dropbutton";}s:4:"info";a:8:{s:14:"user_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:3:"rid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"access";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:14:"user_bulk_form";a:23:{s:2:"id";s:14:"user_bulk_form";s:5:"table";s:5:"users";s:5:"field";s:14:"user_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Bulk update";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"user_bulk_form";s:11:"entity_type";s:4:"user";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Username";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:6:"Active";s:19:"format_custom_false";s:7:"Blocked";}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:15:"roles_target_id";a:24:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Roles";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:2:"ul";s:9:"separator";s:2:", ";s:9:"plugin_id";s:10:"user_roles";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Member for";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:9:"@interval";s:11:"past_format";s:9:"@interval";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}s:6:"access";a:26:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Last access";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:5:"users";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"user";s:9:"plugin_id";s:17:"entity_operations";}s:4:"mail";a:37:{s:2:"id";s:4:"mail";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"mail";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"basic_string";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"mail";}}s:7:"filters";a:6:{s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:22:"Name or email contains";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:4:"user";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:4:"mail";s:4:"mail";}s:9:"plugin_id";s:7:"combine";}s:15:"roles_target_id";a:15:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:18:"roles_target_id_op";s:5:"label";s:4:"Role";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:18:"roles_target_id_op";s:10:"identifier";s:4:"role";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:10:"user_roles";}s:10:"permission";a:15:{s:2:"id";s:10:"permission";s:5:"table";s:11:"user__roles";s:5:"field";s:10:"permission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:13:"permission_op";s:5:"label";s:10:"Permission";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"permission_op";s:10:"identifier";s:10:"permission";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:16:"user_permissions";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:6:"Active";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:7:"Blocked";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:16:"default_langcode";a:16:{s:2:"id";s:16:"default_langcode";s:5:"table";s:16:"users_field_data";s:5:"field";s:16:"default_langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:16:"default_langcode";s:9:"plugin_id";s:7:"boolean";}s:7:"uid_raw";a:15:{s:2:"id";s:7:"uid_raw";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"uid_raw";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"!=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";s:11:"entity_type";s:4:"user";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:5:"title";s:6:"People";s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:20:"No people available.";s:9:"plugin_id";s:11:"text_custom";}}s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"more";s:15:"display_comment";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"group_by";b:0;s:8:"link_url";s:0:"";s:12:"link_display";s:6:"page_1";s:9:"css_class";s:0:"";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:17:"admin/people/list";s:16:"show_admin_links";b:0;s:4:"menu";a:8:{s:4:"type";s:11:"default tab";s:5:"title";s:4:"List";s:11:"description";s:50:"Find and manage people interacting with your site.";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:6:"People";s:11:"description";s:45:"Manage user accounts, roles, and permissions.";s:9:"menu_name";s:5:"admin";s:6:"weight";i:0;}s:8:"defaults";a:1:{s:16:"show_admin_links";b:0;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.watchdog', 'a:12:{s:4:"uuid";s:36:"2b78d66b-75e2-4a2b-8cdc-a0b45db97f98";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"dblog";i:1;s:4:"user";}}s:2:"id";s:8:"watchdog";s:5:"label";s:8:"Watchdog";s:6:"module";s:5:"views";s:11:"description";s:19:"Recent log messages";s:3:"tag";s:0:"";s:10:"base_table";s:8:"watchdog";s:10:"base_field";s:3:"wid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"access site reports";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:0;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"{{ type }} {{ severity }}";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:7:"nothing";s:7:"nothing";s:3:"wid";s:3:"wid";s:8:"severity";s:8:"severity";s:4:"type";s:4:"type";s:9:"timestamp";s:9:"timestamp";s:7:"message";s:7:"message";s:4:"name";s:4:"name";s:4:"link";s:4:"link";}s:4:"info";a:8:{s:7:"nothing";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:3:"wid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:8:"severity";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:9:"timestamp";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"message";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:4:"link";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}}s:7:"default";s:3:"wid";s:11:"empty_table";b:0;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"Icon";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:4:"icon";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}s:3:"wid";a:22:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"WID";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:8:"severity";a:23:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Severity";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"machine_name";b:0;s:9:"plugin_id";s:12:"machine_name";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:9:"timestamp";a:25:{s:2:"id";s:9:"timestamp";s:5:"table";s:8:"watchdog";s:5:"field";s:9:"timestamp";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";s:9:"plugin_id";s:4:"date";}s:7:"message";a:23:{s:2:"id";s:7:"message";s:5:"table";s:8:"watchdog";s:5:"field";s:7:"message";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Message";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/reports/dblog/event/{{ wid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:13:"{{ message }}";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:56;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:1;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"replace_variables";b:1;s:9:"plugin_id";s:13:"dblog_message";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"User";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:4:"link";a:22:{s:2:"id";s:4:"link";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:16:"dblog_operations";}}s:7:"filters";a:2:{s:4:"type";a:14:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:4:"Type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"dblog_types";}s:8:"severity";a:14:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:13:{s:11:"operator_id";s:11:"severity_op";s:5:"label";s:8:"Severity";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"severity_op";s:10:"identifier";s:8:"severity";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"in_operator";}}s:5:"sorts";a:1:{s:3:"wid";a:10:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:19:"Recent log messages";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:4:"area";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:26:"No log messages available.";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:26:"No log messages available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"User";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:9:"css_class";s:11:"admin-dblog";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:4:"page";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:4:"page";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"admin/reports/dblog";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.webform_submissions', 'a:12:{s:4:"uuid";s:36:"1d229422-9eab-4655-93a2-3d0c2de13522";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}s:6:"module";a:2:{i:0;s:4:"user";i:1;s:7:"webform";}}s:2:"id";s:19:"webform_submissions";s:5:"label";s:19:"Webform submissions";s:6:"module";s:5:"views";s:11:"description";s:34:"Default webform submissions views.";s:3:"tag";s:0:"";s:10:"base_table";s:18:"webform_submission";s:10:"base_field";s:3:"sid";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:25;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:23:"5, 10, 25, 50, 100, 200";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"fields";a:5:{s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}}s:7:"filters";a:0:{}s:5:"sorts";a:0:{}s:6:"header";a:1:{s:6:"result";a:9:{s:2:"id";s:6:"result";s:5:"table";s:5:"views";s:5:"field";s:6:"result";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:7:"content";s:34:"Displaying @start - @end of @total";s:9:"plugin_id";s:6:"result";}}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:25:"No submissions available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:9:"arguments";a:5:{s:10:"webform_id";a:6:{s:2:"id";s:10:"webform_id";s:5:"table";s:18:"webform_submission";s:5:"field";s:10:"webform_id";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:10:"webform_id";s:9:"plugin_id";s:6:"string";}s:11:"entity_type";a:6:{s:2:"id";s:11:"entity_type";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"entity_type";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"entity_type";s:9:"plugin_id";s:6:"string";}s:9:"entity_id";a:6:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"entity_id";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:6:"string";}s:3:"uid";a:6:{s:2:"id";s:3:"uid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"uid";s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:7:"numeric";}s:8:"in_draft";a:23:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:6:"ignore";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"numeric";}}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:0:{}}s:5:"title";s:19:"Webform submissions";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";}s:4:"tags";a:0:{}}}s:16:"embed_administer";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:16:"embed_administer";s:13:"display_title";s:17:"Embed: Administer";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:23:"Administer submissions.";s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:8:"defaults";a:6:{s:5:"style";b:0;s:3:"row";b:0;s:6:"access";b:0;s:6:"fields";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:29:"administer webform submission";}}s:6:"fields";a:9:{s:28:"webform_submission_bulk_form";a:26:{s:2:"id";s:28:"webform_submission_bulk_form";s:5:"table";s:18:"webform_submission";s:5:"field";s:28:"webform_submission_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:39:"Webform submission operations bulk form";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"exclude";s:16:"selected_actions";a:0:{}s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:28:"webform_submission_bulk_form";}s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:25:{s:2:"id";s:10:"operations";s:5:"table";s:18:"webform_submission";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";N;s:12:"entity_field";N;s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:13:"embed_default";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:13:"embed_default";s:13:"display_title";s:14:"Embed: Default";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:20:"Display submissions.";s:8:"defaults";a:5:{s:6:"fields";b:1;s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:1;s:13:"filter_groups";b:1;}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:5:{s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:7:"created";s:7:"created";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:5:{s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";}s:4:"tags";a:0:{}}}s:12:"embed_manage";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:12:"embed_manage";s:13:"display_title";s:13:"Embed: Manage";s:8:"position";i:3;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:19:"Manage submissions.";s:6:"fields";a:10:{s:28:"webform_submission_bulk_form";a:26:{s:2:"id";s:28:"webform_submission_bulk_form";s:5:"table";s:18:"webform_submission";s:5:"field";s:28:"webform_submission_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:39:"Webform submission operations bulk form";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:4:{i:0;s:35:"webform_submission_make_lock_action";i:1;s:37:"webform_submission_make_sticky_action";i:2;s:37:"webform_submission_make_unlock_action";i:3;s:39:"webform_submission_make_unsticky_action";}s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:28:"webform_submission_bulk_form";}s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}s:23:"edit_webform_submission";a:26:{s:2:"id";s:23:"edit_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"edit_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"edit";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:16:"entity_link_edit";}}s:8:"defaults";a:6:{s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"access";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:27:"edit any webform submission";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:12:"embed_review";a:6:{s:14:"display_plugin";s:5:"embed";s:2:"id";s:12:"embed_review";s:13:"display_title";s:13:"Embed: Review";s:8:"position";i:4;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:19:"Review submissions.";s:6:"fields";a:8:{s:3:"sid";a:37:{s:2:"id";s:3:"sid";s:5:"table";s:18:"webform_submission";s:5:"field";s:3:"sid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:1:"#";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:3:"sid";s:9:"plugin_id";s:5:"field";}s:8:"in_draft";a:37:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Draft";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:5:"field";}s:6:"sticky";a:37:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Sticky";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:5:"field";}s:6:"locked";a:37:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Locked";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"yes-no";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:18:"webform_submission";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Created";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"completed";a:37:{s:2:"id";s:9:"completed";s:5:"table";s:18:"webform_submission";s:5:"field";s:9:"completed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Completed";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:9:"completed";s:9:"plugin_id";s:5:"field";}s:11:"remote_addr";a:37:{s:2:"id";s:11:"remote_addr";s:5:"table";s:18:"webform_submission";s:5:"field";s:11:"remote_addr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"IP address";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:11:"remote_addr";s:9:"plugin_id";s:5:"field";}s:23:"view_webform_submission";a:26:{s:2:"id";s:23:"view_webform_submission";s:5:"table";s:18:"webform_submission";s:5:"field";s:23:"view_webform_submission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:4:"view";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;s:11:"entity_type";s:18:"webform_submission";s:9:"plugin_id";s:11:"entity_link";}}s:8:"defaults";a:6:{s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"access";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:28:"webform_submission_bulk_form";s:28:"webform_submission_bulk_form";s:3:"sid";s:3:"sid";s:8:"in_draft";s:8:"in_draft";s:6:"sticky";s:6:"sticky";s:6:"locked";s:6:"locked";s:7:"created";s:7:"created";s:9:"completed";s:9:"completed";s:11:"remote_addr";s:11:"remote_addr";s:23:"view_webform_submission";s:23:"view_webform_submission";s:23:"edit_webform_submission";s:23:"view_webform_submission";}s:4:"info";a:10:{s:28:"webform_submission_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"sid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"in_draft";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"sticky";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"locked";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"completed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"remote_addr";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"view_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:1:" ";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:23:"edit_webform_submission";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:27:"view any webform submission";}}s:7:"filters";a:3:{s:8:"in_draft";a:16:{s:2:"id";s:8:"in_draft";s:5:"table";s:18:"webform_submission";s:5:"field";s:8:"in_draft";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:8:"Is draft";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"in_draft_op";s:10:"identifier";s:8:"in_draft";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:8:"in_draft";s:9:"plugin_id";s:7:"boolean";}s:6:"sticky";a:16:{s:2:"id";s:6:"sticky";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Sticky";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"sticky_op";s:10:"identifier";s:6:"sticky";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:7:"boolean";}s:6:"locked";a:16:{s:2:"id";s:6:"locked";s:5:"table";s:18:"webform_submission";s:5:"field";s:6:"locked";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:12:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Locked";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"locked_op";s:10:"identifier";s:6:"locked";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:4:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";s:11:"demo_region";s:1:"0";}s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:18:"webform_submission";s:12:"entity_field";s:6:"locked";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}');
INSERT INTO `config` VALUES
('', 'views.view.who_s_new', 'a:13:{s:4:"uuid";s:36:"df7c8f0b-d1d0-4db0-a14f-189e28752f8c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"B2M6BoNVm-hHVnH2ILCpbhCZV71T6zLNs8Ag5QH-oNE";}s:2:"id";s:9:"who_s_new";s:5:"label";s:9:"Who''s new";s:6:"module";s:4:"user";s:11:"description";s:53:"Shows a list of the newest user accounts on the site.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:9:"html_list";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:">";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:10:"1970-01-01";s:4:"type";s:4:"date";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:5:"title";s:9:"Who''s new";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:9:"Who''s new";s:8:"position";i:1;s:15:"display_options";a:4:{s:19:"display_description";s:19:"A list of new users";s:17:"block_description";s:9:"Who''s new";s:14:"block_category";s:4:"User";s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.who_s_online', 'a:13:{s:4:"uuid";s:36:"cd9bfe98-189a-4272-b52b-478d83cb45b0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"DWLCIpl8ku4NbiI9t3GgDeuW13KSOy2l1zho7ReP_Bg";}s:2:"id";s:12:"who_s_online";s:5:"label";s:18:"Who''s online block";s:6:"module";s:4:"user";s:11:"description";s:93:"Shows the user names of the most recently active users, and the total number of active users.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:20:"access user profiles";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:3:{s:8:"operator";s:1:"0";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:">=";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:11:"-15 minutes";s:4:"type";s:6:"offset";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:15:{s:11:"operator_id";s:9:"access_op";s:5:"label";s:11:"Last access";s:11:"description";s:77:"A user is considered online for this long after they have last viewed a page.";s:12:"use_operator";b:0;s:8:"operator";s:9:"access_op";s:10:"identifier";s:6:"access";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";s:24:"operator_limit_selection";b:0;s:13:"operator_list";a:0:{}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"sorts";a:1:{s:6:"access";a:13:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"title";s:12:"Who''s online";s:6:"header";a:1:{s:6:"result";a:9:{s:2:"id";s:6:"result";s:5:"table";s:5:"views";s:5:"field";s:6:"result";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:7:"content";s:40:"There are currently @total users online.";s:9:"plugin_id";s:6:"result";}}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:35:"There are currently 0 users online.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:18:"who_s_online_block";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:18:"who_s_online_block";s:13:"display_title";s:12:"Who''s online";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"block_description";s:12:"Who''s online";s:19:"display_description";s:45:"A list of users that are currently logged in.";s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'webform.settings', 'a:20:{s:8:"settings";a:60:{s:14:"default_status";s:4:"open";s:22:"default_page_base_path";s:4:"form";s:12:"default_ajax";b:0;s:19:"default_ajax_effect";s:4:"fade";s:18:"default_ajax_speed";i:500;s:26:"default_ajax_progress_type";s:8:"throbber";s:25:"default_form_open_message";s:49:"This form has not yet been opened to submissions.";s:26:"default_form_close_message";s:47:"Sorry...This form is closed to new submissions.";s:30:"default_form_exception_message";s:70:"Unable to display this webform. Please contact the site administrator.";s:27:"default_submit_button_label";s:6:"Submit";s:26:"default_reset_button_label";s:5:"Reset";s:24:"default_form_submit_once";b:0;s:33:"default_form_confidential_message";s:135:"This form is confidential. You must <a href="[site:login-url]/logout?destination=[current-page:url:relative]">Log out</a> to submit it.";s:34:"default_form_access_denied_message";s:33:"Please login to access this form.";s:25:"default_form_disable_back";b:0;s:24:"default_form_submit_back";b:0;s:20:"default_form_unsaved";b:0;s:23:"default_form_novalidate";b:0;s:34:"default_form_disable_inline_errors";b:0;s:21:"default_form_required";b:0;s:27:"default_form_required_label";s:24:"Indicates required field";s:27:"default_form_details_toggle";b:1;s:23:"default_form_file_limit";s:0:"";s:12:"form_classes";s:126:"container-inline clearfix\nform--inline clearfix\nmessages messages--error\nmessages messages--warning\nmessages messages--status\n";s:14:"button_classes";s:0:"";s:32:"default_wizard_prev_button_label";s:15:"< Previous Page";s:32:"default_wizard_next_button_label";s:11:"Next Page >";s:26:"default_wizard_start_label";s:5:"Start";s:33:"default_wizard_confirmation_label";s:8:"Complete";s:33:"default_preview_next_button_label";s:7:"Preview";s:33:"default_preview_prev_button_label";s:10:"< Previous";s:21:"default_preview_label";s:7:"Preview";s:21:"default_preview_title";s:24:"[webform:title]: Preview";s:23:"default_preview_message";s:99:"Please review your submission. Your submission is not complete until you press the "Submit" button!";s:26:"default_draft_button_label";s:10:"Save Draft";s:27:"default_draft_saved_message";s:91:"Submission saved. You may return to this form later and it will restore the current values.";s:28:"default_draft_loaded_message";s:77:"A partially-completed form was found. Please complete the remaining portions.";s:36:"default_draft_pending_single_message";s:83:"You have a pending draft for this webform. <a href="#">Load your pending draft</a>.";s:38:"default_draft_pending_multiple_message";s:83:"You have pending drafts for this webform. <a href="#">View your pending drafts</a>.";s:28:"default_confirmation_message";s:40:"New submission added to [webform:title].";s:31:"default_confirmation_back_label";s:12:"Back to form";s:24:"default_submission_label";s:74:"[webform_submission:submitted-to]: Submission #[webform_submission:serial]";s:40:"default_submission_access_denied_message";s:39:"Please login to access this submission.";s:36:"default_submission_exception_message";s:73:"Unable to process this submission. Please contact the site administrator.";s:33:"default_submission_locked_message";s:32:"This submission has been locked.";s:22:"default_submission_log";b:0;s:24:"default_submission_views";a:0:{}s:32:"default_submission_views_replace";a:3:{s:13:"global_routes";a:2:{i:0;s:36:"entity.webform_submission.collection";i:1;s:30:"entity.webform_submission.user";}s:14:"webform_routes";a:3:{i:0;s:34:"entity.webform.results_submissions";i:1;s:26:"entity.webform.user.drafts";i:2;s:31:"entity.webform.user.submissions";}s:11:"node_routes";a:3:{i:0;s:39:"entity.node.webform.results_submissions";i:1;s:31:"entity.node.webform.user.drafts";i:2;s:36:"entity.node.webform.user.submissions";}}s:25:"default_results_customize";b:0;s:35:"default_previous_submission_message";s:87:"You have already submitted this webform. <a href="#">View your previous submission</a>.";s:36:"default_previous_submissions_message";s:88:"You have already submitted this webform. <a href="#">View your previous submissions</a>.";s:24:"default_autofill_message";s:66:"This submission has been autofilled with your previous submission.";s:15:"preview_classes";s:78:"messages messages--error\nmessages messages--warning\nmessages messages--status\n";s:20:"confirmation_classes";s:78:"messages messages--error\nmessages messages--warning\nmessages messages--status\n";s:25:"confirmation_back_classes";s:7:"button\n";s:27:"default_limit_total_message";s:34:"No more submissions are permitted.";s:26:"default_limit_user_message";s:34:"No more submissions are permitted.";s:6:"dialog";b:0;s:14:"dialog_options";a:3:{s:6:"narrow";a:2:{s:5:"title";s:6:"Narrow";s:5:"width";i:600;}s:6:"normal";a:2:{s:5:"title";s:6:"Normal";s:5:"width";i:800;}s:4:"wide";a:2:{s:5:"title";s:4:"Wide";s:5:"width";i:1000;}}s:32:"default_submission_login_message";s:39:"Please login to access this submission.";}s:6:"assets";a:2:{s:3:"css";s:0:"";s:10:"javascript";s:0:"";}s:7:"handler";a:1:{s:17:"excluded_handlers";a:0:{}}s:7:"variant";a:1:{s:17:"excluded_variants";a:0:{}}s:6:"export";a:18:{s:14:"temp_directory";s:0:"";s:8:"exporter";s:9:"delimited";s:18:"multiple_delimiter";s:1:";";s:13:"header_format";s:5:"label";s:13:"header_prefix";b:1;s:29:"header_prefix_label_delimiter";s:2:": ";s:27:"header_prefix_key_delimiter";s:2:"__";s:29:"composite_element_item_format";s:5:"label";s:21:"options_single_format";s:7:"compact";s:23:"options_multiple_format";s:7:"compact";s:19:"options_item_format";s:5:"label";s:22:"entity_reference_items";a:3:{i:0;s:2:"id";i:1;s:5:"title";i:2;s:3:"url";}s:21:"likert_answers_format";s:5:"label";s:16:"signature_format";s:6:"status";s:9:"delimiter";s:1:",";s:5:"excel";b:0;s:12:"archive_type";s:3:"tar";s:18:"excluded_exporters";a:0:{}}s:5:"batch";a:5:{s:25:"default_batch_export_size";i:500;s:25:"default_batch_import_size";i:100;s:25:"default_batch_update_size";i:500;s:25:"default_batch_delete_size";i:500;s:24:"default_batch_email_size";i:500;}s:5:"purge";a:1:{s:9:"cron_size";i:100;}s:4:"form";a:2:{s:15:"filter_category";s:0:"";s:12:"filter_state";s:0:"";}s:7:"element";a:17:{s:20:"machine_name_pattern";s:7:"a-z0-9_";s:13:"empty_message";s:7:"{Empty}";s:12:"allowed_tags";s:5:"admin";s:15:"wrapper_classes";s:126:"container-inline clearfix\nform--inline clearfix\nmessages messages--error\nmessages messages--warning\nmessages messages--status\n";s:7:"classes";s:126:"container-inline clearfix\nform--inline clearfix\nmessages messages--error\nmessages messages--warning\nmessages messages--status\n";s:23:"horizontal_rule_classes";s:286:"webform-horizontal-rule--solid\nwebform-horizontal-rule--dashed\nwebform-horizontal-rule--dotted\nwebform-horizontal-rule--gradient\nwebform-horizontal-rule--thin\nwebform-horizontal-rule--medium\nwebform-horizontal-rule--thick\nwebform-horizontal-rule--flaired\nwebform-horizontal-rule--glyph\n";s:27:"default_description_display";s:0:"";s:18:"default_more_title";s:4:"More";s:25:"default_section_title_tag";s:2:"h2";s:20:"default_empty_option";b:1;s:29:"default_empty_option_required";s:0:"";s:29:"default_empty_option_optional";s:0:"";s:29:"default_algolia_places_app_id";s:0:"";s:30:"default_algolia_places_api_key";s:0:"";s:17:"excluded_elements";a:2:{s:8:"password";s:8:"password";s:16:"password_confirm";s:16:"password_confirm";}s:14:"default_icheck";s:0:"";s:27:"default_google_maps_api_key";s:0:"";}s:11:"html_editor";a:5:{s:8:"disabled";b:0;s:14:"element_format";s:0:"";s:11:"mail_format";s:0:"";s:4:"tidy";b:1;s:35:"make_unused_managed_files_temporary";b:1;}s:4:"file";a:11:{s:11:"file_public";b:0;s:21:"file_private_redirect";b:1;s:29:"file_private_redirect_message";s:41:"Please login to access the uploaded file.";s:20:"default_max_filesize";s:0:"";s:31:"default_managed_file_extensions";s:139:"gif jpg png bmp eps tif pict psd txt rtf html odf pdf doc docx ppt pptx xls xlsx xml avi mov mp3 ogg wav bz2 dmg gz jar rar sit svg tar zip";s:29:"default_audio_file_extensions";s:11:"mp3 ogg wav";s:32:"default_document_file_extensions";s:50:"txt rtf pdf doc docx odt ppt pptx odp xls xlsx ods";s:29:"default_image_file_extensions";s:15:"gif jpg png svg";s:29:"default_video_file_extensions";s:24:"avi mov mp4 ogg wav webm";s:35:"make_unused_managed_files_temporary";b:1;s:30:"delete_temporary_managed_files";b:1;}s:6:"format";a:0:{}s:4:"mail";a:11:{s:15:"default_to_mail";s:11:"[site:mail]";s:17:"default_from_mail";s:11:"[site:mail]";s:17:"default_from_name";s:11:"[site:name]";s:16:"default_reply_to";s:0:"";s:19:"default_return_path";s:0:"";s:19:"default_sender_mail";s:0:"";s:19:"default_sender_name";s:0:"";s:15:"default_subject";s:59:"Webform submission from: [webform_submission:source-entity]";s:17:"default_body_text";s:133:"Submitted on [webform_submission:created]\nSubmitted by: [webform_submission:user]\n\nSubmitted values are:\n[webform_submission:values]\n";s:17:"default_body_html";s:153:"<p>Submitted on [webform_submission:created]</p>\n<p>Submitted by: [webform_submission:user]</p>\n<p>Submitted values are:</p>\n[webform_submission:values]\n";s:5:"roles";a:0:{}}s:4:"test";a:2:{s:5:"types";s:3527:"checkbox:\n  - true\ncolor:\n  - ''#ffffcc''\n  - ''#ffffcc''\n  - ''#ccffff''\nemail:\n  - ''example@example.com''\n  - ''test@test.com''\n  - ''random@random.com''\nlanguage_select:\n  - en\nmachine_name:\n  - ''loremipsum''\n  - ''oratione''\n  - ''dixisset''\ntel:\n  - ''123-456-7890''\n  - ''098-765-4321''\ntextarea:\n  - ''Lorem ipsum dolor sit amet, consectetur adipiscing elit. Negat esse eam, inquit, propter se expetendam. Primum Theophrasti, Strato, physicum se voluit; Id mihi magnum videtur. Itaque mihi non satis videmini considerare quod iter sit naturae quaeque progressio. Quare hoc videndum est, possitne nobis hoc ratio philosophorum dare. Est enim tanti philosophi tamque nobilis audacter sua decreta defendere.''\n  - ''Huius, Lyco, oratione locuples, rebus ipsis ielunior. Duo Reges: constructio interrete. Sed haec in pueris; Sed utrum hortandus es nobis, Luci, inquit, an etiam tua sponte propensus es? Sapiens autem semper beatus est et est aliquando in dolore; Immo videri fortasse. Paulum, cum regem Persem captum adduceret, eodem flumine invectio? Et ille ridens: Video, inquit, quid agas;''\n  - ''Quae cum dixisset, finem ille. Quamquam non negatis nos intellegere quid sit voluptas, sed quid ille dicat. Progredientibus autem aetatibus sensim tardeve potius quasi nosmet ipsos cognoscimus. Gloriosa ostentatio in constituendo summo bono. Qui-vere falsone, quaerere mittimus-dicitur oculis se privasse; Duarum enim vitarum nobis erunt instituta capienda. Comprehensum, quod cognitum non habet? Qui enim existimabit posse se miserum esse beatus non erit. Causa autem fuit huc veniendi ut quosdam hinc libros promerem. Nunc omni virtuti vitium contrario nomine opponitur.''\ntext_format:\n  - value: ''<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Negat esse eam, inquit, propter se expetendam. Primum Theophrasti, Strato, physicum se voluit; Id mihi magnum videtur. Itaque mihi non satis videmini considerare quod iter sit naturae quaeque progressio. Quare hoc videndum est, possitne nobis hoc ratio philosophorum dare. Est enim tanti philosophi tamque nobilis audacter sua decreta defendere.</p>''\n  - value: ''<p>Huius, Lyco, oratione locuples, rebus ipsis ielunior. Duo Reges: constructio interrete. Sed haec in pueris; Sed utrum hortandus es nobis, Luci, inquit, an etiam tua sponte propensus es? Sapiens autem semper beatus est et est aliquando in dolore; Immo videri fortasse. Paulum, cum regem Persem captum adduceret, eodem flumine invectio? Et ille ridens: Video, inquit, quid agas;</p>''\n  - value: ''<p>Quae cum dixisset, finem ille. Quamquam non negatis nos intellegere quid sit voluptas, sed quid ille dicat. Progredientibus autem aetatibus sensim tardeve potius quasi nosmet ipsos cognoscimus. Gloriosa ostentatio in constituendo summo bono. Qui-vere falsone, quaerere mittimus-dicitur oculis se privasse; Duarum enim vitarum nobis erunt instituta capienda. Comprehensum, quod cognitum non habet? Qui enim existimabit posse se miserum esse beatus non erit. Causa autem fuit huc veniendi ut quosdam hinc libros promerem. Nunc omni virtuti vitium contrario nomine opponitur.</p>''\nurl:\n  - ''http://example.com''\n  - ''http://test.com''\nwebform_email_confirm:\n  - ''example@example.com''\n  - ''test@test.com''\n  - ''random@random.com''\nwebform_email_multiple:\n  - ''example@example.com, test@test.com, random@random.com''\nwebform_location:\n  - value: ''The White House, 1600 Pennsylvania Ave NW, Washington, DC 20500, USA''\n  - value: ''London SW1A 1AA, United Kingdom''\n  - value: ''Moscow, Russia, 10307''\nwebform_time:\n  - ''09:00''\n  - ''17:00''\n";s:5:"names";s:508:"first_name:\n  - John\n  - Paul\n  - Ringo\n  - George\nlast_name:\n  - Lennon\n  - McCartney\n  - Starr\n  - Harrison\naddress:\n  - ''10 Main Street''\n  - ''11 Brook Alley Road. APT 1''\nzip:\n  - ''11111''\n  - ''12345''\n  - 12345-6789\nphone:\n  - 123-456-7890\n  - 098-765-4321\nfax:\n  - 123-456-7890\n  - 098-765-4321\ncity:\n  - Springfield\n  - Pleasantville\n  - ''Hill Valley''\nurl:\n  - ''http://example.com''\n  - ''http://test.com''\ndefault:\n  - Loremipsum\n  - Oratione\n  - Dixisset\npostal_code:\n  - ''11111''\n  - ''12345''\n  - 12345-6789";}s:2:"ui";a:7:{s:13:"video_display";s:6:"dialog";s:12:"details_save";b:1;s:13:"help_disabled";b:0;s:15:"dialog_disabled";b:0;s:18:"offcanvas_disabled";b:0;s:19:"promotions_disabled";b:0;s:16:"description_help";b:1;}s:9:"libraries";a:1:{s:18:"excluded_libraries";a:9:{i:0;s:19:"ckeditor.codemirror";i:1;s:10:"codemirror";i:2;s:13:"jquery.chosen";i:3;s:13:"jquery.icheck";i:4;s:16:"jquery.inputmask";i:5;s:21:"jquery.intl-tel-input";i:6;s:14:"jquery.select2";i:7;s:33:"jquery.word-and-character-counter";i:8;s:14:"jquery.toggles";}}s:12:"requirements";a:3:{s:3:"cdn";b:1;s:9:"bootstrap";b:1;s:4:"spam";b:1;}s:8:"langcode";s:2:"en";s:20:"third_party_settings";a:1:{s:7:"captcha";a:1:{s:27:"replace_administration_mode";b:1;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vOKLFTmGRgdHhdn-RSASc7ZdFXgJknVyJ1L0pZJNUfI";}}'),
('', 'webform.webform.register', 'a:21:{s:8:"langcode";s:2:"en";s:6:"status";s:4:"open";s:12:"dependencies";a:0:{}s:4:"open";N;s:5:"close";N;s:6:"weight";i:0;s:3:"uid";i:1;s:8:"template";b:0;s:7:"archive";b:0;s:2:"id";s:8:"register";s:5:"title";s:8:"Register";s:11:"description";s:0:"";s:8:"category";s:0:"";s:8:"elements";s:1313:"mt_first_name:\n  ''#type'': textfield\n  ''#title'': ''First name''\n  ''#placeholder'': ''First name''\n  ''#required'': true\nmt_last_name:\n  ''#type'': textfield\n  ''#title'': ''Last name''\n  ''#placeholder'': ''Last name''\n  ''#required'': true\nmt_email:\n  ''#type'': email\n  ''#title'': Email\n  ''#placeholder'': your-email@domain.com\n  ''#required'': true\nmt_organization:\n  ''#type'': textfield\n  ''#title'': Organization\n  ''#title_display'': before\n  ''#placeholder'': Organization\n  ''#required'': true\nmt_address:\n  ''#type'': webform_address\n  ''#title'': Address\n  ''#address__placeholder'': Address\n  ''#address_2__access'': false\n  ''#city__placeholder'': City/Town\n  ''#state_province__placeholder'': State/Province\n  ''#postal_code__placeholder'': ''Zip/Postal Code''\n  ''#country__placeholder'': Country\nmt_industry:\n  ''#type'': radios\n  ''#title'': ''Which best describes the area you work in?''\n  ''#title_display'': before\n  ''#options'':\n    themeshop: ''Theme Shop''\n    pluginsales: ''Plugin sales''\n    saas: SaaS\n    education: Education\n    hosting: Hosting\n  ''#required'': true\nmt_profession:\n  ''#type'': checkboxes\n  ''#title'': ''How would you describe yourself? (Check all that apply)''\n  ''#title_display'': before\n  ''#options'':\n    developer: Developer\n    designer: Designer\n    blogger: Blogger\n    consultant: Consultant\n    support: Support\n  ''#required'': true\n";s:3:"css";s:0:"";s:10:"javascript";s:0:"";s:8:"settings";a:113:{s:4:"ajax";b:0;s:15:"ajax_scroll_top";s:4:"form";s:18:"ajax_progress_type";s:0:"";s:11:"ajax_effect";s:0:"";s:10:"ajax_speed";N;s:4:"page";b:1;s:16:"page_submit_path";s:0:"";s:17:"page_confirm_path";s:0:"";s:16:"page_admin_theme";b:0;s:10:"form_title";s:4:"both";s:16:"form_submit_once";b:0;s:22:"form_exception_message";s:0:"";s:17:"form_open_message";s:0:"";s:18:"form_close_message";s:0:"";s:25:"form_previous_submissions";b:1;s:17:"form_confidential";b:0;s:25:"form_confidential_message";s:0:"";s:16:"form_remote_addr";b:1;s:22:"form_convert_anonymous";b:0;s:16:"form_prepopulate";b:0;s:30:"form_prepopulate_source_entity";b:0;s:39:"form_prepopulate_source_entity_required";b:0;s:35:"form_prepopulate_source_entity_type";s:0:"";s:10:"form_reset";b:0;s:25:"form_disable_autocomplete";b:0;s:15:"form_novalidate";b:0;s:26:"form_disable_inline_errors";b:0;s:13:"form_required";b:0;s:12:"form_unsaved";b:0;s:17:"form_disable_back";b:0;s:16:"form_submit_back";b:0;s:14:"form_autofocus";b:0;s:19:"form_details_toggle";b:0;s:18:"form_access_denied";s:7:"default";s:24:"form_access_denied_title";s:0:"";s:26:"form_access_denied_message";s:0:"";s:29:"form_access_denied_attributes";a:0:{}s:15:"form_file_limit";s:0:"";s:16:"submission_label";s:0:"";s:14:"submission_log";b:0;s:16:"submission_views";a:0:{}s:24:"submission_views_replace";a:0:{}s:23:"submission_user_columns";a:0:{}s:25:"submission_user_duplicate";b:0;s:24:"submission_access_denied";s:7:"default";s:30:"submission_access_denied_title";s:0:"";s:32:"submission_access_denied_message";s:0:"";s:35:"submission_access_denied_attributes";a:0:{}s:28:"submission_exception_message";s:0:"";s:25:"submission_locked_message";s:0:"";s:28:"submission_excluded_elements";a:0:{}s:24:"submission_exclude_empty";b:0;s:33:"submission_exclude_empty_checkbox";b:0;s:27:"previous_submission_message";s:0:"";s:28:"previous_submissions_message";s:0:"";s:8:"autofill";b:0;s:16:"autofill_message";s:0:"";s:26:"autofill_excluded_elements";a:0:{}s:19:"wizard_progress_bar";b:1;s:21:"wizard_progress_pages";b:0;s:26:"wizard_progress_percentage";b:0;s:20:"wizard_progress_link";b:0;s:22:"wizard_progress_states";b:0;s:18:"wizard_start_label";s:0:"";s:19:"wizard_preview_link";b:0;s:19:"wizard_confirmation";b:1;s:25:"wizard_confirmation_label";s:0:"";s:12:"wizard_track";s:0:"";s:7:"preview";i:0;s:13:"preview_label";s:0:"";s:13:"preview_title";s:0:"";s:15:"preview_message";s:0:"";s:18:"preview_attributes";a:0:{}s:25:"preview_excluded_elements";a:0:{}s:21:"preview_exclude_empty";b:1;s:30:"preview_exclude_empty_checkbox";b:0;s:5:"draft";s:4:"none";s:14:"draft_multiple";b:0;s:15:"draft_auto_save";b:0;s:19:"draft_saved_message";s:0:"";s:20:"draft_loaded_message";s:0:"";s:28:"draft_pending_single_message";s:0:"";s:30:"draft_pending_multiple_message";s:0:"";s:17:"confirmation_type";s:4:"page";s:18:"confirmation_title";s:0:"";s:20:"confirmation_message";s:0:"";s:16:"confirmation_url";s:0:"";s:23:"confirmation_attributes";a:0:{}s:17:"confirmation_back";b:1;s:23:"confirmation_back_label";s:0:"";s:28:"confirmation_back_attributes";a:0:{}s:26:"confirmation_exclude_query";b:0;s:26:"confirmation_exclude_token";b:0;s:19:"confirmation_update";b:0;s:11:"limit_total";N;s:20:"limit_total_interval";N;s:19:"limit_total_message";s:0:"";s:18:"limit_total_unique";b:0;s:10:"limit_user";N;s:19:"limit_user_interval";N;s:18:"limit_user_message";s:0:"";s:17:"limit_user_unique";b:0;s:18:"entity_limit_total";N;s:27:"entity_limit_total_interval";N;s:17:"entity_limit_user";N;s:26:"entity_limit_user_interval";N;s:5:"purge";s:4:"none";s:10:"purge_days";N;s:16:"results_disabled";b:0;s:23:"results_disabled_ignore";b:0;s:17:"results_customize";b:0;s:10:"token_view";b:0;s:12:"token_update";b:0;}s:6:"access";a:11:{s:6:"create";a:3:{s:5:"roles";a:2:{i:0;s:9:"anonymous";i:1;s:13:"authenticated";}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:8:"view_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"update_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"delete_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:9:"purge_any";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:8:"view_own";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"update_own";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"delete_own";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:10:"administer";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:4:"test";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}s:13:"configuration";a:3:{s:5:"roles";a:0:{}s:5:"users";a:0:{}s:11:"permissions";a:0:{}}}s:8:"handlers";a:1:{s:5:"email";a:7:{s:2:"id";s:5:"email";s:5:"label";s:5:"Email";s:10:"handler_id";s:5:"email";s:6:"status";b:1;s:10:"conditions";a:0:{}s:6:"weight";i:0;s:8:"settings";a:27:{s:6:"states";a:1:{i:0;s:9:"completed";}s:7:"to_mail";s:8:"_default";s:10:"to_options";a:0:{}s:7:"cc_mail";s:0:"";s:10:"cc_options";a:0:{}s:8:"bcc_mail";s:0:"";s:11:"bcc_options";a:0:{}s:9:"from_mail";s:40:"[webform_submission:values:mt_email:raw]";s:12:"from_options";a:0:{}s:9:"from_name";s:44:"[webform_submission:values:mt_last_name:raw]";s:7:"subject";s:8:"_default";s:4:"body";s:8:"_default";s:17:"excluded_elements";a:0:{}s:13:"ignore_access";b:0;s:13:"exclude_empty";b:1;s:22:"exclude_empty_checkbox";b:0;s:19:"exclude_attachments";b:0;s:4:"html";b:1;s:11:"attachments";b:0;s:4:"twig";b:0;s:5:"debug";b:0;s:8:"reply_to";s:0:"";s:11:"return_path";s:0:"";s:11:"sender_mail";s:0:"";s:11:"sender_name";s:0:"";s:10:"theme_name";s:0:"";s:10:"parameters";a:0:{}}}}s:8:"variants";a:0:{}s:4:"uuid";s:36:"6b981562-5f20-4cb2-9431-f2c2d9eeae4e";}'),
('', 'webform.webform_options.country_codes', 'a:10:{s:4:"uuid";s:36:"f4ace93a-87f7-4e74-97da-b88713f85082";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"adQ16YGDPk7QfUKrfrC35o2sKdHEozdNtdpiH7CftQQ";}s:2:"id";s:13:"country_codes";s:5:"label";s:13:"Country codes";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:0:"";}'),
('', 'webform.webform_options.country_names', 'a:10:{s:4:"uuid";s:36:"b49b70bf-b854-4168-a9f3-0d907e72b4cf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zsfFP124dAM-sJkuEfnwaA7DN6o3-IsaXLgdNmObbYg";}s:2:"id";s:13:"country_names";s:5:"label";s:13:"Country names";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:0:"";}'),
('', 'webform.webform_options.days', 'a:10:{s:4:"uuid";s:36:"0387c2e6-2fa7-4d97-8120-f577eff15247";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YNrKbYrWWjeubUUM8AsQ19KnX7cU1elACR14CZJHmdg";}s:2:"id";s:4:"days";s:5:"label";s:4:"Days";s:8:"category";s:13:"Date and time";s:6:"likert";b:0;s:7:"options";s:121:"Sunday: Sunday\nMonday: Monday\nTuesday: Tuesday\nWednesday: Wednesday\nThursday: Thursday\nFriday: Friday\nSaturday: Saturday\n";}'),
('', 'webform.webform_options.education', 'a:10:{s:4:"uuid";s:36:"df7274d1-ebb9-4385-9a57-47f1950b14ff";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mII4acOv33s-j8PINywrCag4OITbeJGxdPO373dnHHw";}s:2:"id";s:9:"education";s:5:"label";s:9:"Education";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:152:"High School: High School\nAssociate Degree: Associate Degree\nGraduate or Professional Degree: Graduate or Professional Degree\nSome College: Some College\n";}'),
('', 'webform.webform_options.employment_status', 'a:10:{s:4:"uuid";s:36:"4ed58eaa-6290-4e12-a30f-c4ccd9929808";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8MCmsz_csdJkVItxI8g_s4zp2PM285YqCy_gWTzOLPw";}s:2:"id";s:17:"employment_status";s:5:"label";s:17:"Employment status";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:113:"''Full Time'': ''Full Time''\n''Part Time'': ''Part Time''\n''Military'': ''Military''\nUnemployed: Unemployed\nRetired: Retired\n";}'),
('', 'webform.webform_options.ethnicity', 'a:10:{s:4:"uuid";s:36:"5433e7db-f872-4889-9766-768f249bd5ae";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"pIPgrAC82wE2GAk1mOv2UvMYv71YQe4VT8667QIYdvI";}s:2:"id";s:9:"ethnicity";s:5:"label";s:9:"Ethnicity";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:200:"Caucasian: Caucasian\n''Latino/Hispanic'': ''Latino/Hispanic''\n''Middle Eastern'': ''Middle Eastern''\nAfrican: African\nCaribbean: Caribbean\n''South Asian'': ''South Asian''\n''East Asian'': ''East Asian''\nMixed: Mixed\n";}'),
('', 'webform.webform_options.gender', 'a:10:{s:4:"uuid";s:36:"eda1522e-0c7e-4875-a331-93fa362607e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kiRN9cAGr7wLHbcnjCQ_9d8ArEoUUHytjjwMG_9mlTM";}s:2:"id";s:6:"gender";s:5:"label";s:6:"Gender";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:51:"Male: Male\nFemale: Female\nTransgender: Transgender\n";}'),
('', 'webform.webform_options.industry', 'a:10:{s:4:"uuid";s:36:"00427b8c-bfc0-48bc-8324-fa7988c02878";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"s_SXZn2HbRGvTex-TLOCxz2oOnMYqtEZh8HD4_318QI";}s:2:"id";s:8:"industry";s:5:"label";s:8:"Industry";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:1425:"Accounting/Finance: Accounting/Finance\nAdvertising/Public Relations: Advertising/Public Relations\nAerospace/Aviation: Aerospace/Aviation\nArts/Entertainment/Publishing: Arts/Entertainment/Publishing\nAutomotive: Automotive\nBanking/Mortgage: Banking/Mortgage\nBusiness Development: Business Development\nBusiness Opportunity: Business Opportunity\nClerical/Administrative: Clerical/Administrative\nConstruction/Facilities: Construction/Facilities\nConsumer Goods: Consumer Goods\nCustomer Service: Customer Service\nEducation/Training: Education/Training\nEnergy/Utilities: Energy/Utilities\nEngineering: Engineering\nGovernment/Military: Government/Military\nHealthcare: Healthcare\nHospitality/Travel: Hospitality/Travel\nHuman Resources: Human Resources\nInstallation/Maintenance: Installation/Maintenance\nInsurance: Insurance\nInternet: Internet\nLaw Enforcement/Security: Law Enforcement/Security\nLegal: Legal\nManagement/Executive: Management/Executive\nManufacturing/Operations: Manufacturing/Operations\nMarketing: Marketing\nNon-Profit/Volunteer: Non-Profit/Volunteer\nPharmaceutical/Biotech: Pharmaceutical/Biotech\nProfessional Services: Professional Services\nReal Estate: Real Estate\nRestaurant/Food Service: Restaurant/Food Service\nRetail: Retail\nSales: Sales\nScience/Research: Science/Research\nSkilled Labor: Skilled Labor\nTechnology: Technology\nTelecommunications: Telecommunications\nTransportation/Logistics: Transportation/Logistics\n";}'),
('', 'webform.webform_options.languages', 'a:10:{s:4:"uuid";s:36:"73e9911a-aa59-4e58-af19-7ba0564ba9af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mYH14Vi65Ixj10c_GFa7CipxU3D0Bt9wgo8zE8zjOfE";}s:2:"id";s:9:"languages";s:5:"label";s:9:"Languages";s:8:"category";s:8:"Language";s:6:"likert";b:0;s:7:"options";s:0:"";}'),
('', 'webform.webform_options.likert_agreement', 'a:10:{s:4:"uuid";s:36:"06b028c0-77cb-484e-a387-f067fb89b561";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-NQROvgYPm-rqn_e6mytSaxmdhSViUinffVfQhp7APs";}s:2:"id";s:16:"likert_agreement";s:5:"label";s:17:"Likert: Agreement";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:94:"1: ''Much Worse''\n2: ''Somewhat Worse''\n3: ''About the Same''\n4: ''Somewhat Better''\n5: ''Much Better''\n";}'),
('', 'webform.webform_options.likert_comparison', 'a:10:{s:4:"uuid";s:36:"80dee6a8-02ee-4d31-a290-aa735a33122e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gZCLESMdXmEZxHqnQFx7a0rUefrkVuFzHSMnWe0qioM";}s:2:"id";s:17:"likert_comparison";s:5:"label";s:18:"Likert: Comparison";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:71:"1: Strongly Disagree\n2: Disagree\n3: Neutral\n4: Agree\n5: Strongly Agree\n";}'),
('', 'webform.webform_options.likert_importance', 'a:10:{s:4:"uuid";s:36:"b9b962fc-aa85-4a33-b958-5fd04c2d294d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Hbc8n5HtVZVs5fSBSpSbuY07CVvqkKP76csvRHN9pK8";}s:2:"id";s:17:"likert_importance";s:5:"label";s:18:"Likert: Importance";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:88:"1: Not at all Important\n2: Somewhat Important\n3: Neutral\n4: Important\n5: Very Important\n";}'),
('', 'webform.webform_options.likert_quality', 'a:10:{s:4:"uuid";s:36:"cc472489-3ceb-4b87-99f7-e6220e1f72f2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"swmYtBVUbwq7aHJWWDN7ODByuvur9vMkexDC9h64NZ8";}s:2:"id";s:14:"likert_quality";s:5:"label";s:15:"Likert: Quality";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:50:"1: Poor\n2: Fair\n3: Good\n4: Very good\n5: Excellent\n";}'),
('', 'webform.webform_options.likert_satisfaction', 'a:10:{s:4:"uuid";s:36:"f078288f-ea56-4a02-9cc8-cbe437105d6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AKE2SNwCpl6Mu_cmbq9ZM2_cXxCikCVj1vcPE9oHWTs";}s:2:"id";s:19:"likert_satisfaction";s:5:"label";s:20:"Likert: Satisfaction";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:77:"1: Very Unsatisfied\n2: Unsatisfied\n3: Neutral\n4: Satisfied\n5: Very Satisfied\n";}'),
('', 'webform.webform_options.likert_ten_scale', 'a:10:{s:4:"uuid";s:36:"f08ec2e6-781c-41a4-8180-79de983fab8f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zEZX8JSVqznnFtqFfpuC593h3t1JDAZhF0Q3pvA229o";}s:2:"id";s:16:"likert_ten_scale";s:5:"label";s:17:"Likert: Ten Scale";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:52:"1: 1\n2: 2\n3: 3\n4: 4\n5: 5\n6: 6\n7: 7\n8: 8\n9: 9\n10: 10\n";}'),
('', 'webform.webform_options.likert_would_you', 'a:10:{s:4:"uuid";s:36:"2ad65419-ec25-49a1-9aae-a384d8c20c4b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"qBS2TmfAJB37Qn3TnrNM8x4AWimmDapcizzRllgo0fo";}s:2:"id";s:16:"likert_would_you";s:5:"label";s:17:"Likert: Would You";s:8:"category";s:6:"Likert";s:6:"likert";b:1;s:7:"options";s:72:"1: Definitely Not\n2: Probably Not\n3: Not Sure\n4: Probably\n5: Definitely\n";}'),
('', 'webform.webform_options.marital_status', 'a:10:{s:4:"uuid";s:36:"45dfea24-8d7e-4abb-b500-5ba5d3243876";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cjVDbAE5BlopGrY-tfxsxMoyEibwBBNgdQwDdxOSkow";}s:2:"id";s:14:"marital_status";s:5:"label";s:14:"Marital status";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:68:"Single: Single\nMarried: Married\nDivorced: Divorced\nWidowed: Widowed\n";}'),
('', 'webform.webform_options.months', 'a:10:{s:4:"uuid";s:36:"01c11346-91b5-4a14-99de-f372ef483989";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"pZJnuQkh9afNML5IcMuKTUC__vmHMFn66Qr5IWtedZ4";}s:2:"id";s:6:"months";s:5:"label";s:6:"Months";s:8:"category";s:13:"Date and time";s:6:"likert";b:0;s:7:"options";s:184:"January: January\nFebruary: February\nMarch: March\nApril: April\nMay: May\nJune: June\nJuly: July\nAugust: August\nSeptember: September\nOctober: October\nNovember: November\nDecember: December\n";}'),
('', 'webform.webform_options.phone_types', 'a:10:{s:4:"uuid";s:36:"7de8bd34-7bf2-4787-a3bb-1ac3950906ad";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"LkO63Zl2cP_l9YdjzWI8dWoD9uD0pytkPiUiUM2bo9A";}s:2:"id";s:11:"phone_types";s:5:"label";s:10:"Phone type";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:37:"Home: Home\nOffice: Office\nCell: Cell\n";}'),
('', 'webform.webform_options.relationship', 'a:10:{s:4:"uuid";s:36:"d82f67d3-81d5-4502-a039-89c318d7db88";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4J2RPG4JmsD4Fm1NlIQY0JHkrJ08UUl0qTF0_EjUxvw";}s:2:"id";s:12:"relationship";s:5:"label";s:12:"Relationship";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:101:"Parent: Parent\n''Significant Other'': ''Significant Other''\nSibling: Sibling\nChild: Child\nFriend: Friend\n";}'),
('', 'webform.webform_options.size', 'a:10:{s:4:"uuid";s:36:"d880f508-4b42-4603-887f-a75b1e3765b3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"RKkc6tf1VudvYiOtwPCf3Tp_EoA6fov6BFC34D7gMoQ";}s:2:"id";s:4:"size";s:5:"label";s:4:"Size";s:8:"category";s:7:"General";s:6:"likert";b:0;s:7:"options";s:91:"Extra Small: Extra Small\nSmall: Small\nMedium: Medium\nLarge: Large\nExtra Large: Extra Large\n";}'),
('', 'webform.webform_options.state_codes', 'a:10:{s:4:"uuid";s:36:"9660a3e7-a55c-4ff8-a91a-b059c4f6534b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8mYO8ewsZX3LVfNga69jXa0RNO0LNN8-EGkXLhSAMBU";}s:2:"id";s:11:"state_codes";s:5:"label";s:11:"State codes";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:728:"AL: Alabama\nAK: Alaska\nAZ: Arizona\nAR: Arkansas\nCA: California\nCO: Colorado\nCT: Connecticut\nDE: Delaware\nDC: ''District of Columbia''\nFL: Florida\nGA: Georgia\nGU: Guam\nHI: Hawaii\nID: Idaho\nIL: Illinois\nIN: Indiana\nIA: Iowa\nKS: Kansas\nKY: Kentucky\nLA: Louisiana\nME: Maine\nMD: Maryland\nMA: Massachusetts\nMI: Michigan\nMN: Minnesota\nMS: Mississippi\nMO: Missouri\nMT: Montana\nNE: Nebraska\nNV: Nevada\nNH: ''New Hampshire''\nNJ: ''New Jersey''\nNM: ''New Mexico''\nNY: ''New York''\nNC: ''North Carolina''\nND: ''North Dakota''\nOH: Ohio\nOK: Oklahoma\nOR: Oregon\nPA: Pennsylvania\nRI: ''Rhode Island''\nSC: ''South Carolina''\nSD: ''South Dakota''\nTN: Tennessee\nTX: Texas\nUT: Utah\nVT: Vermont\nVA: Virginia\nWA: Washington\nWV: ''West Virginia''\nWI: Wisconsin\nWY: Wyoming\n";}'),
('', 'webform.webform_options.state_names', 'a:10:{s:4:"uuid";s:36:"12a6316b-7973-4f58-83b1-b1b24c22b748";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KfYqMSrFJ5iGtDzvy_rGUeRUJ4KyM7Xt-tWtYx9WjiM";}s:2:"id";s:11:"state_names";s:5:"label";s:11:"State names";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:1081:"Alabama: Alabama\nAlaska: Alaska\nArizona: Arizona\nArkansas: Arkansas\nCalifornia: California\nColorado: Colorado\nConnecticut: Connecticut\nDelaware: Delaware\n''District of Columbia'': ''District of Columbia''\nFlorida: Florida\nGeorgia: Georgia\nHawaii: Hawaii\nIdaho: Idaho\nIllinois: Illinois\nIndiana: Indiana\nIowa: Iowa\nKansas: Kansas\nKentucky: Kentucky\nLouisiana: Louisiana\nMaine: Maine\nMaryland: Maryland\nMassachusetts: Massachusetts\nMichigan: Michigan\nMinnesota: Minnesota\nMississippi: Mississippi\nMissouri: Missouri\nMontana: Montana\nNebraska: Nebraska\nNevada: Nevada\n''New Hampshire'': ''New Hampshire''\n''New Jersey'': ''New Jersey''\n''New Mexico'': ''New Mexico''\n''New York'': ''New York''\n''North Carolina'': ''North Carolina''\n''North Dakota'': ''North Dakota''\nOhio: Ohio\nOklahoma: Oklahoma\nOregon: Oregon\nPennsylvania: Pennsylvania\n''Rhode Island'': ''Rhode Island''\n''South Carolina'': ''South Carolina''\n''South Dakota'': ''South Dakota''\nTennessee: Tennessee\nTexas: Texas\nUtah: Utah\nVermont: Vermont\nVirginia: Virginia\nWashington: Washington\n''West Virginia'': ''West Virginia''\nWisconsin: Wisconsin\nWyoming: Wyoming\n";}'),
('', 'webform.webform_options.state_province_codes', 'a:10:{s:4:"uuid";s:36:"4cdea8fc-a159-4014-bf04-bd111dd901ef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"F06dZHOswbBUTcn_wy0oMUXNLkgKT9YZOJ5CdkkZgb0";}s:2:"id";s:20:"state_province_codes";s:5:"label";s:20:"State/Province codes";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:1003:"AL: Alabama\nAK: Alaska\nAS: ''American Samoa''\nAZ: Arizona\nAR: Arkansas\nAE: ''Armed Forces (Canada, Europe, Africa, or Middle East)''\nAA: ''Armed Forces Americas''\nAP: ''Armed Forces Pacific''\nCA: California\nCO: Colorado\nCT: Connecticut\nDE: Delaware\nDC: ''District of Columbia''\nFM: ''Federate States of Micronesia''\nFL: Florida\nGA: Georgia\nGU: Guam\nHI: Hawaii\nID: Idaho\nIL: Illinois\nIN: Indiana\nIA: Iowa\nKS: Kansas\nKY: Kentucky\nLA: Louisiana\nME: Maine\nMH: ''Marshall Islands''\nMD: Maryland\nMA: Massachusetts\nMI: Michigan\nMN: Minnesota\nMS: Mississippi\nMO: Missouri\nMT: Montana\nNE: Nebraska\nNV: Nevada\nNH: ''New Hampshire''\nNJ: ''New Jersey''\nNM: ''New Mexico''\nNY: ''New York''\nNC: ''North Carolina''\nND: ''North Dakota''\nMP: ''Northern Mariana Islands''\nOH: Ohio\nOK: Oklahoma\nOR: Oregon\nPW: Palau\nPA: Pennsylvania\nPR: ''Puerto Rico''\nRI: ''Rhode Island''\nSC: ''South Carolina''\nSD: ''South Dakota''\nTN: Tennessee\nTX: Texas\nUT: Utah\nVT: Vermont\nVI: ''Virgin Islands''\nVA: Virginia\nWA: Washington\nWV: ''West Virginia''\nWI: Wisconsin\nWY: Wyoming\n";}'),
('', 'webform.webform_options.state_province_names', 'a:10:{s:4:"uuid";s:36:"fd89b317-c689-46e0-9aff-36e79f79b7a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HMNjF74ikY246ZF9F0MHbf6wOCS78jkfEw4uoUn9uj8";}s:2:"id";s:20:"state_province_names";s:5:"label";s:20:"State/Province names";s:8:"category";s:10:"Geographic";s:6:"likert";b:0;s:7:"options";s:1572:"Alabama: Alabama\nAlaska: Alaska\n''American Samoa'': ''American Samoa''\nArizona: Arizona\nArkansas: Arkansas\n''Armed Forces (Canada, Europe, Africa, or Middle East)'': ''Armed Forces (Canada, Europe, Africa, or Middle East)''\n''Armed Forces Americas'': ''Armed Forces Americas''\n''Armed Forces Pacific'': ''Armed Forces Pacific''\nCalifornia: California\nColorado: Colorado\nConnecticut: Connecticut\nDelaware: Delaware\n''District of Columbia'': ''District of Columbia''\n''Federate States of Micronesia'': ''Federate States of Micronesia''\nFlorida: Florida\nGeorgia: Georgia\nGuam: Guam\nHawaii: Hawaii\nIdaho: Idaho\nIllinois: Illinois\nIndiana: Indiana\nIowa: Iowa\nKansas: Kansas\nKentucky: Kentucky\nLouisiana: Louisiana\nMaine: Maine\n''Marshall Islands'': ''Marshall Islands''\nMaryland: Maryland\nMassachusetts: Massachusetts\nMichigan: Michigan\nMinnesota: Minnesota\nMississippi: Mississippi\nMissouri: Missouri\nMontana: Montana\nNebraska: Nebraska\nNevada: Nevada\n''New Hampshire'': ''New Hampshire''\n''New Jersey'': ''New Jersey''\n''New Mexico'': ''New Mexico''\n''New York'': ''New York''\n''North Carolina'': ''North Carolina''\n''North Dakota'': ''North Dakota''\n''Northern Mariana Islands'': ''Northern Mariana Islands''\nOhio: Ohio\nOklahoma: Oklahoma\nOregon: Oregon\nPalau: Palau\nPennsylvania: Pennsylvania\n''Puerto Rico'': ''Puerto Rico''\n''Rhode Island'': ''Rhode Island''\n''South Carolina'': ''South Carolina''\n''South Dakota'': ''South Dakota''\nTennessee: Tennessee\nTexas: Texas\nUtah: Utah\nVermont: Vermont\n''Virgin Islands'': ''Virgin Islands''\nVirginia: Virginia\nWashington: Washington\n''West Virginia'': ''West Virginia''\nWisconsin: Wisconsin\nWyoming: Wyoming\n";}');
INSERT INTO `config` VALUES
('', 'webform.webform_options.time_zones', 'a:10:{s:4:"uuid";s:36:"6f4f41b8-ef61-48b5-bb99-829d43e2d41c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8rVcRXLnTAEoWs7zl8du-7RIUnayqUcGYnvb3JT21-o";}s:2:"id";s:10:"time_zones";s:5:"label";s:10:"Time zones";s:8:"category";s:13:"Date and time";s:6:"likert";b:0;s:7:"options";s:0:"";}'),
('', 'webform.webform_options.titles', 'a:10:{s:4:"uuid";s:36:"14d99d07-725d-43c2-9b4d-97b25d013b78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"PEUoedWrfYEX7oZ8CcOukfBTVxar1cPSROX8534esuU";}s:2:"id";s:6:"titles";s:5:"label";s:6:"Titles";s:8:"category";s:11:"Demographic";s:6:"likert";b:0;s:7:"options";s:41:"Miss: Miss\nMs: Ms\nMr: Mr\nMrs: Mrs\nDr: Dr\n";}'),
('', 'webform.webform_options.yes_no', 'a:10:{s:4:"uuid";s:36:"6ce3f898-1aa1-4731-86af-ce5b3f21b6b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:8:"enforced";a:1:{s:6:"module";a:1:{i:0;s:7:"webform";}}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"W88NYg31DbaVNQx1Uir_dwwXHVtF09QOq4VBGsH1Snk";}s:2:"id";s:6:"yes_no";s:5:"label";s:6:"Yes/No";s:8:"category";s:7:"General";s:6:"likert";b:0;s:7:"options";s:16:"Yes: Yes\nNo: No\n";}');

-- --------------------------------------------------------

--
-- Table structure for table `config_snapshot`
--

CREATE TABLE `config_snapshot` (
  `collection` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object collection.',
  `name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object name.',
  `data` longblob DEFAULT NULL COMMENT 'A serialized configuration object data.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for configuration data.';

--
-- Dumping data for table `config_snapshot`
--

INSERT INTO `config_snapshot` VALUES
('', 'automated_cron.settings', 'a:2:{s:8:"interval";i:10800;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fUksROt4FfkAU9BV4hV2XvhTBSS2nTNrZS4U7S-tKrs";}}'),
('', 'block.block.aboutfooter', 'a:12:{s:4:"uuid";s:36:"e6fbdcd2-4e1a-4a59-ae05-dc851d0776c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:56181db7-a452-44b8-bca5-8cf9de50ed1c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"aboutfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:56181db7-a452-44b8-bca5-8cf9de50ed1c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:56181db7-a452-44b8-bca5-8cf9de50ed1c";s:5:"label";s:14:"About (footer)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.aboutme', 'a:12:{s:4:"uuid";s:36:"59c5de11-9b4c-4dd4-aeb1-aa1320cba44f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d3c5868b-e0ca-43fd-9e80-828ad308eea5";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"aboutme";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d3c5868b-e0ca-43fd-9e80-828ad308eea5";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d3c5868b-e0ca-43fd-9e80-828ad308eea5";s:5:"label";s:8:"About me";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.aboutuscontenttop', 'a:12:{s:4:"uuid";s:36:"4a57d01f-e1c8-4788-9522-2799bc3882a7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:44813299-f24c-44fa-8ebe-0559527c493b";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"aboutuscontenttop";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:44813299-f24c-44fa-8ebe-0559527c493b";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:44813299-f24c-44fa-8ebe-0559527c493b";s:5:"label";s:22:"About Us (Content Top)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:17:"/blocks\r\n/node/52";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.address', 'a:12:{s:4:"uuid";s:36:"d3f88b9c-42d5-4e86-9f4e-364ff7c2e313";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:165f7847-15c7-4a04-9acf-8765861ca9a1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"address";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:50:"block_content:165f7847-15c7-4a04-9acf-8765861ca9a1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:165f7847-15c7-4a04-9acf-8765861ca9a1";s:5:"label";s:13:"Venue Address";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.areyoulookingforagreatservice', 'a:12:{s:4:"uuid";s:36:"dd417b8b-815a-4deb-90b3-7fe1bcaf0a04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:c14bd468-befe-4f30-a142-81ace2726783";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:29:"areyoulookingforagreatservice";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:50:"block_content:c14bd468-befe-4f30-a142-81ace2726783";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:c14bd468-befe-4f30-a142-81ace2726783";s:5:"label";s:36:"Are you looking for a great service?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.backgroundimageblockclients', 'a:12:{s:4:"uuid";s:36:"2ba18c03-f53f-45cc-a558-48112d6faf19";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"backgroundimageblockclients";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:e0a56362-68eb-45ec-8e2f-feefbf1e35d8";s:5:"label";s:32:"Background image block - Clients";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.backgroundimageblockcta', 'a:12:{s:4:"uuid";s:36:"c2fe3bfd-3728-4cc7-9c81-718ba5a5f84f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:23:"backgroundimageblockcta";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:50:"block_content:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:f80a84a8-6e49-4b3c-a2a8-2dec831316dc";s:5:"label";s:28:"Background image block - CtA";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.backgroundimageblockshowcasescarousel', 'a:12:{s:4:"uuid";s:36:"34f50f77-7219-4f36-a963-1adb0b3c2f12";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:2097ae93-a297-410b-acc6-d59748d40e90";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:37:"backgroundimageblockshowcasescarousel";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:20:"content_bottom_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2097ae93-a297-410b-acc6-d59748d40e90";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2097ae93-a297-410b-acc6-d59748d40e90";s:5:"label";s:42:"Background image block - Albums (carousel)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.bartik_account_menu', 'a:13:{s:4:"uuid";s:36:"1ca37ae6-e614-41c0-aa5d-ce9ed27ef0ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:19:"system.menu.account";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"DweBpscQZdG0-fHkSpUzdYucrNH45G_KF7Z82V-oyQM";}s:2:"id";s:19:"bartik_account_menu";s:5:"theme";s:6:"bartik";s:6:"region";s:14:"secondary_menu";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:25:"system_menu_block:account";s:8:"settings";a:6:{s:2:"id";s:25:"system_menu_block:account";s:5:"label";s:17:"User account menu";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_branding', 'a:13:{s:4:"uuid";s:36:"9a9713eb-14c8-4628-93ce-c67a654cf6e7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NDwadleLD3YVSbDUaakxyYZyINYtkFtOVGShfq4kWy8";}s:2:"id";s:15:"bartik_branding";s:5:"theme";s:6:"bartik";s:6:"region";s:6:"header";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:21:"system_branding_block";s:8:"settings";a:7:{s:2:"id";s:21:"system_branding_block";s:5:"label";s:13:"Site branding";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:13:"use_site_logo";b:1;s:13:"use_site_name";b:1;s:15:"use_site_slogan";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"31bdbff4-fc88-45bb-a9fd-8111b8d0e1a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"oXUb3JZR2WW5VOdw4HrhRicCsq51mCgLfRyvheG68ck";}s:2:"id";s:18:"bartik_breadcrumbs";s:5:"theme";s:6:"bartik";s:6:"region";s:10:"breadcrumb";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_content', 'a:13:{s:4:"uuid";s:36:"da36cbf7-9c6d-4487-a43d-157033f55e58";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"9EoWV2Lot6FVSr50t4hoKgiz1LIXYWNG-IIPYsWxBqo";}s:2:"id";s:14:"bartik_content";s:5:"theme";s:6:"bartik";s:6:"region";s:7:"content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_footer', 'a:13:{s:4:"uuid";s:36:"ed854dee-c787-4a34-a130-8943e78de0b3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:18:"system.menu.footer";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kkISXE1LT2FJEoYnqCrCpeFB-2pmGmMxMklVk7rQcfg";}s:2:"id";s:13:"bartik_footer";s:5:"theme";s:6:"bartik";s:6:"region";s:12:"footer_fifth";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:24:"system_menu_block:footer";s:8:"settings";a:6:{s:2:"id";s:24:"system_menu_block:footer";s:5:"label";s:11:"Footer menu";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_help', 'a:13:{s:4:"uuid";s:36:"558edb1c-ed56-4e2a-8c78-376039e7d2e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8I8iACSa0sKO3k3jlvUG1ge52rfcKX7USJAQYnzuBgg";}s:2:"id";s:11:"bartik_help";s:5:"theme";s:6:"bartik";s:6:"region";s:7:"content";s:6:"weight";i:-30;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:8:"provider";s:4:"help";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_local_actions', 'a:13:{s:4:"uuid";s:36:"ceadb58d-e28e-4227-9ff9-6601c4b1720f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"13GQpeITIJsp1kyPniXtWZfyFH87vb1xxJCHifL4UeE";}s:2:"id";s:20:"bartik_local_actions";s:5:"theme";s:6:"bartik";s:6:"region";s:7:"content";s:6:"weight";i:-20;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_local_tasks', 'a:13:{s:4:"uuid";s:36:"68b5c079-0343-4b07-ad91-c54218d6b4af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"X9I1OB0W3WlWtrK-CNcg6hNWwa8wficanpH8pYnDZDE";}s:2:"id";s:18:"bartik_local_tasks";s:5:"theme";s:6:"bartik";s:6:"region";s:7:"content";s:6:"weight";i:-40;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:4:"Tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:1;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_main_menu', 'a:13:{s:4:"uuid";s:36:"ced3af0e-727b-420a-ba18-a60febebb8f0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rx9IrdDv7Ldc4kpalZAxdhIPZfYIeOMh1N-qKoQZwHo";}s:2:"id";s:16:"bartik_main_menu";s:5:"theme";s:6:"bartik";s:6:"region";s:12:"primary_menu";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:22:"system_menu_block:main";s:8:"settings";a:6:{s:2:"id";s:22:"system_menu_block:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_messages', 'a:13:{s:4:"uuid";s:36:"447b5ecd-d869-44d4-9473-4576566cf4ff";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KHQIJ7Vfl25lTjzIc7qIvnuistt-Mw2O0kG4jCofmkI";}s:2:"id";s:15:"bartik_messages";s:5:"theme";s:6:"bartik";s:6:"region";s:11:"highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_page_title', 'a:13:{s:4:"uuid";s:36:"9d889985-f24b-4b8b-ab4e-568d5835537e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7rR9chwXvdM2H8OYMAYx9Zj3GGlPMrZp_M3ZA4thYTk";}s:2:"id";s:17:"bartik_page_title";s:5:"theme";s:6:"bartik";s:6:"region";s:7:"content";s:6:"weight";i:-50;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_powered', 'a:13:{s:4:"uuid";s:36:"6d44c314-277b-4ee9-bab2-dd0632dbb0f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jQQUUWN2Uxr5qZtc9zcJKBCxpKY8orN1u2HPqYYRQDI";}s:2:"id";s:14:"bartik_powered";s:5:"theme";s:6:"bartik";s:6:"region";s:12:"footer_fifth";s:6:"weight";i:10;s:8:"provider";N;s:6:"plugin";s:23:"system_powered_by_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_powered_by_block";s:5:"label";s:17:"Powered by Drupal";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_search', 'a:13:{s:4:"uuid";s:36:"5b0f43a0-dfce-4df4-b6cb-40c2e047da61";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"za-39d5WDUg6XvbyqSnuVYEeq6QM4qKJxW8MnoAha5A";}s:2:"id";s:13:"bartik_search";s:5:"theme";s:6:"bartik";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-1;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:4:{s:2:"id";s:17:"search_form_block";s:5:"label";s:6:"Search";s:8:"provider";s:6:"search";s:13:"label_display";s:7:"visible";}s:10:"visibility";a:0:{}}'),
('', 'block.block.bartik_tools', 'a:13:{s:4:"uuid";s:36:"c4ffa5ef-6500-461a-be1e-50bad2535f67";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:17:"system.menu.tools";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:6:"bartik";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NeHSoqm4XFqA7_0bDmR429ZZQt3LRbZMNRJTMsFyOfI";}s:2:"id";s:12:"bartik_tools";s:5:"theme";s:6:"bartik";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_menu_block:tools";s:8:"settings";a:6:{s:2:"id";s:23:"system_menu_block:tools";s:5:"label";s:5:"Tools";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.calltoaction', 'a:12:{s:4:"uuid";s:36:"2b69e964-be88-49ac-a4d8-05e1e2b2c847";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:484e39d9-79e3-484e-9855-6b935d61bd03";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"calltoaction";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:5:"label";s:14:"Call to action";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.calltoaction2', 'a:12:{s:4:"uuid";s:36:"c0036d15-91a7-4700-bc8a-053eae359499";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_image_block:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"calltoaction2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:304c9d2f-87b7-4220-aa9a-cc1522ea0dd7";s:5:"label";s:16:"Call to action 2";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.calltoaction_2', 'a:12:{s:4:"uuid";s:36:"63759610-6f81-43c5-bd6c-64ee7d363a15";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:484e39d9-79e3-484e-9855-6b935d61bd03";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"calltoaction_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:484e39d9-79e3-484e-9855-6b935d61bd03";s:5:"label";s:14:"Call to action";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.collapsibleblock', 'a:12:{s:4:"uuid";s:36:"b894d68d-a55f-411f-8988-82ab71fd6ac9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:71:"block_content:mt_collapsible_block:2d618db5-2ef3-4607-b59e-6c41f4dae031";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"collapsibleblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2d618db5-2ef3-4607-b59e-6c41f4dae031";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2d618db5-2ef3-4607-b59e-6c41f4dae031";s:5:"label";s:17:"Collapsible block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_account_menu', 'a:13:{s:4:"uuid";s:36:"004c6d79-d595-43ab-beb1-b22ec17b7bac";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:19:"system.menu.account";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vxCHDfSEOZ_q1YgiNy_BT0l3E_OzKSp8AwPty-lEzZ4";}s:2:"id";s:27:"conferenceplus_account_menu";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-6;s:8:"provider";N;s:6:"plugin";s:25:"system_menu_block:account";s:8:"settings";a:6:{s:2:"id";s:25:"system_menu_block:account";s:5:"label";s:17:"User account menu";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_announcement', 'a:12:{s:4:"uuid";s:36:"3a24a11c-4802-4158-9511-e3ea5ba4bf33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b467900a-1ff8-40ea-a8b0-2de331243735";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"conferenceplus_announcement";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:28:"header_top_highlighted_first";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b467900a-1ff8-40ea-a8b0-2de331243735";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b467900a-1ff8-40ea-a8b0-2de331243735";s:5:"label";s:12:"Announcement";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/40";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_blockwithimage', 'a:12:{s:4:"uuid";s:36:"7fdf28cc-3d55-4944-af9c-f6430c954771";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5e872ebe-f221-48b5-8dbf-041d40eecc43";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:29:"conferenceplus_blockwithimage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-53;s:8:"provider";N;s:6:"plugin";s:50:"block_content:5e872ebe-f221-48b5-8dbf-041d40eecc43";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:5e872ebe-f221-48b5-8dbf-041d40eecc43";s:5:"label";s:16:"Block with image";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:906:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_branding', 'a:13:{s:4:"uuid";s:36:"b527b37d-492a-490b-8891-00034ef5854f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HWfLOQ4PlgxyPPLuQJCudZyyo5NDMNMOOajK3WsVgTA";}s:2:"id";s:23:"conferenceplus_branding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"header_first";s:6:"weight";i:-6;s:8:"provider";N;s:6:"plugin";s:21:"system_branding_block";s:8:"settings";a:7:{s:2:"id";s:21:"system_branding_block";s:5:"label";s:13:"Site branding";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:13:"use_site_logo";b:1;s:13:"use_site_name";b:1;s:15:"use_site_slogan";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"235d4489-7492-45bf-800f-4f4ba08aba1d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eWFfzfS_ToFrvA7wiGjzzwxhUEfe_-HyKewJBlOd4v8";}s:2:"id";s:26:"conferenceplus_breadcrumbs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"system_messages";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:17:"<front>\r\n/node/82";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_connectwithuslarge', 'a:12:{s:4:"uuid";s:36:"2cbc947a-99cc-4f99-ba0e-19a3ca84c67f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:01709e04-065c-478c-9e73-863194306720";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:33:"conferenceplus_connectwithuslarge";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-54;s:8:"provider";N;s:6:"plugin";s:50:"block_content:01709e04-065c-478c-9e73-863194306720";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:01709e04-065c-478c-9e73-863194306720";s:5:"label";s:32:"Connect with us via social media";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:896:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery\r\n/contact/alternative";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_contactinfo', 'a:12:{s:4:"uuid";s:36:"8c4cac00-3310-4e42-8bf0-4f4d753ada6e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:5c386222-a853-46e7-b120-1d96242be928";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:26:"conferenceplus_contactinfo";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:5c386222-a853-46e7-b120-1d96242be928";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:5c386222-a853-46e7-b120-1d96242be928";s:5:"label";s:12:"Contact Info";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:20:"/contact/alternative";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_contactinfoheadertop', 'a:12:{s:4:"uuid";s:36:"7ba9f362-014d-478e-a169-25be92964cd6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47385a7c-dff7-4f4a-8225-37b53a37da3d";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:35:"conferenceplus_contactinfoheadertop";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"header_top_first";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:47385a7c-dff7-4f4a-8225-37b53a37da3d";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:47385a7c-dff7-4f4a-8225-37b53a37da3d";s:5:"label";s:25:"Contact Info (header top)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_content', 'a:13:{s:4:"uuid";s:36:"e900a9d5-c9d8-4e6d-91dc-9f44aaf85525";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8p7XNVKfUx-9eWJNpNOovI4Xtic06HLRtrlzw123OBU";}s:2:"id";s:22:"conferenceplus_content";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_copyright', 'a:12:{s:4:"uuid";s:36:"11641027-cc8b-4b33-9229-d63288aceaee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:24:"conferenceplus_copyright";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"sub_footer_first";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:77bbdaf0-f40e-46e6-9ecf-f4cb3eb9f644";s:5:"label";s:9:"Copyright";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_exposedformmt_productspage_1', 'a:12:{s:4:"uuid";s:36:"59c4ba3a-e73b-46f0-8f39-8c1eaa27da42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-54;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_1";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:0:"";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_exposedformmt_productspage_2', 'a:12:{s:4:"uuid";s:36:"ccf0d776-467c-4abf-abc7-7ff23e0f608d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-53;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_2";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_2";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/merchandise-3-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_exposedformmt_productspage_3', 'a:12:{s:4:"uuid";s:36:"f12f4bf7-1fb4-4d57-bd03-b8fbab02b55a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_products";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:43:"conferenceplus_exposedformmt_productspage_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-52;s:8:"provider";N;s:6:"plugin";s:45:"views_exposed_filter_block:mt_products-page_3";s:8:"settings";a:5:{s:2:"id";s:45:"views_exposed_filter_block:mt_products-page_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/merchandise-2-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_fancyblock', 'a:12:{s:4:"uuid";s:36:"027ae37b-5359-486b-a62d-ab3bb20deb35";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1f5fa21d-094d-4e89-abf6-07aa1e532066";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:25:"conferenceplus_fancyblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-44;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:5:"label";s:11:"Fancy block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_fancylinkedimages', 'a:12:{s:4:"uuid";s:36:"2bec5add-0843-4a4b-a1e5-309c432f9ad2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:79:"block_content:mt_fancy_linked_images_block:2c242b3c-5f08-49b5-9943-898d1f992ced";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:32:"conferenceplus_fancylinkedimages";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2c242b3c-5f08-49b5-9943-898d1f992ced";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2c242b3c-5f08-49b5-9943-898d1f992ced";s:5:"label";s:19:"Fancy linked images";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_footer', 'a:13:{s:4:"uuid";s:36:"d92aa69a-58d1-4e6e-8443-eb17c7e4df42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:18:"system.menu.footer";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tOKRee5a0v12MNZ4qugrUf_tN2BpYaQqyvisHARARLg";}s:2:"id";s:21:"conferenceplus_footer";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"footer";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:24:"system_menu_block:footer";s:8:"settings";a:6:{s:2:"id";s:24:"system_menu_block:footer";s:5:"label";s:11:"Footer menu";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_frontpagetabs', 'a:12:{s:4:"uuid";s:36:"ed699ab4-610a-4b74-b839-c35ac836e998";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_fancy_tabs_block:b6daebc0-8794-4969-94ad-88857e3749e6";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:28:"conferenceplus_frontpagetabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b6daebc0-8794-4969-94ad-88857e3749e6";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b6daebc0-8794-4969-94ad-88857e3749e6";s:5:"label";s:15:"Front Page tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_genericblock', 'a:12:{s:4:"uuid";s:36:"245666af-c45e-4c0e-9f1e-f3f351a05410";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:fae21d9e-1b0b-418f-b1a1-e4f297688838";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"conferenceplus_genericblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:fae21d9e-1b0b-418f-b1a1-e4f297688838";s:5:"label";s:13:"Generic Block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/node/5";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_help', 'a:13:{s:4:"uuid";s:36:"fd5d8f8d-69f9-4584-a429-962b1fbf6cc9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HWyVkM_vrMjl9s6bvE0rcsiojM6FCs7TD2mpjqLEezQ";}s:2:"id";s:19:"conferenceplus_help";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:8:"provider";s:4:"help";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_iconssubfooter', 'a:12:{s:4:"uuid";s:36:"fe2e2ecd-3439-4cec-906a-443957185d0b";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:14d16969-6207-4173-82a4-bbc2e6eef6a2";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:29:"conferenceplus_iconssubfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-43;s:8:"provider";N;s:6:"plugin";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:5:"label";s:17:"Icons (subfooter)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_infotext', 'a:12:{s:4:"uuid";s:36:"2f8a2d30-1dc3-4e8a-ab63-ed093dc05b93";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:23:"conferenceplus_infotext";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-42;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0ef8f91f-f10d-46fd-a067-9ce0d1ac1f2a";s:5:"label";s:9:"Info text";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/40";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_local_actions', 'a:13:{s:4:"uuid";s:36:"5b0f1b48-ca64-4949-95e5-9becf8ef094d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mrve08uLfK1QjlfgulH1PFiicHywfZBbv4S-drXIHRE";}s:2:"id";s:28:"conferenceplus_local_actions";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_local_tasks', 'a:13:{s:4:"uuid";s:36:"a0b85f8f-fe1d-46fd-8257-6fd40cc4fdb2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gvQQbPnUIQvkX7OhhiBGW8MGSoIDmPdyTZ63EySAfqQ";}s:2:"id";s:26:"conferenceplus_local_tasks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:4:"Tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:1;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_mainnavigation_2', 'a:12:{s:4:"uuid";s:36:"8ae72d31-e6eb-4441-88cf-d31b20db68c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:31:"conferenceplus_mainnavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:1;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"15";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:28:"cta-active cta-active--email";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:50:"/node/54\r\n/node/53\r\n/node/17\r\n/node/63\r\n/mega-menu";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_main_menu', 'a:13:{s:4:"uuid";s:36:"c95e4ec6-ad8b-45dd-8526-ebfe6d7630bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"dC5dZ_1mZRGvj35u_oYK64ZOB1aJEAZqFvl8FmbPUSc";}s:2:"id";s:24:"conferenceplus_main_menu";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:22:"system_menu_block:main";s:8:"settings";a:6:{s:2:"id";s:22:"system_menu_block:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:908:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_messages', 'a:13:{s:4:"uuid";s:36:"19b8eee9-a89d-4ded-84bc-bd0a2a593d54";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cD-1Zml8FeQT53O7roSR-kYl5Wm5SBzpwmw_zwLGjkE";}s:2:"id";s:23:"conferenceplus_messages";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"system_messages";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_page_title', 'a:13:{s:4:"uuid";s:36:"f7a6be46-2344-4820-8fdf-b49578e6a2c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6JlyFDpCLptKyEp6Q5AIUuhX9loH6iTrv_QCxEM7bxA";}s:2:"id";s:25:"conferenceplus_page_title";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:518:"/node/35\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/58\r\n/node/59\r\n/node/63\r\n/node/82\r\n/showcases-3-col\r\n/showcases-2-col\r\n/about-us\r\n/investors\r\n/services-3-col\r\n/services-2-col\r\n/services-list\r\n/services-isotope\r\n/products-2-col\r\n/products-3-col\r\n/products-isotope\r\n/products-list\r\n/products-masonry\r\n/showcases-2-col\r\n/showcases-3-col\r\n/showcases-3-col-style-2\r\n/showcases-isotope\r\n/articles-2-col\r\n/articles-3-col\r\n/articles-list\r\n/articles-list-2\r\n/articles\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_popularsalesstatic', 'a:12:{s:4:"uuid";s:36:"91d5cd18-b645-4931-a189-da31fa3fc74e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:33:"conferenceplus_popularsalesstatic";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1ff2a34d-0b1e-4d66-963b-78c08bf57aaa";s:5:"label";s:22:"Popular Sales (Static)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}');
INSERT INTO `config_snapshot` VALUES
('', 'block.block.conferenceplus_powered', 'a:13:{s:4:"uuid";s:36:"e78ae938-0d2d-45a2-9422-f1582ebca255";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"_u2oYkjXUb3_h7OKXsP9KCL5AsxabLsw_lXDlp1ZA64";}s:2:"id";s:22:"conferenceplus_powered";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_first";s:6:"weight";i:-7;s:8:"provider";N;s:6:"plugin";s:23:"system_powered_by_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_powered_by_block";s:5:"label";s:17:"Powered by Drupal";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_productslayoutswitcherlistactive', 'a:12:{s:4:"uuid";s:36:"612fa5b3-9c73-4a4d-823f-2d4e4c953f4e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:9acb6453-8126-426b-88ec-d750288e958c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"conferenceplus_productslayoutswitcherlistactive";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:9acb6453-8126-426b-88ec-d750288e958c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:9acb6453-8126-426b-88ec-d750288e958c";s:5:"label";s:41:"Merchandise Layout Switcher (List Active)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:17:"/merchandise-list";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_productslayoutswithergridactive', 'a:12:{s:4:"uuid";s:36:"7fbfc9b3-e614-4cf4-b9d3-7097078d7a55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:46:"conferenceplus_productslayoutswithergridactive";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a9b55ad4-dbf3-4c01-a3e6-01f1f2ca7d97";s:5:"label";s:40:"Merchandise Layout Swither (Grid active)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:58:"/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-2-col";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_questions', 'a:12:{s:4:"uuid";s:36:"fb788cda-c391-47d3-b0fc-023ff7e7ce1c";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:30:"system.menu.mt-footer-menu-two";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:24:"conferenceplus_questions";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-40;s:8:"provider";N;s:6:"plugin";s:36:"system_menu_block:mt-footer-menu-two";s:8:"settings";a:6:{s:2:"id";s:36:"system_menu_block:mt-footer-menu-two";s:5:"label";s:10:"Questions?";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_search', 'a:13:{s:4:"uuid";s:36:"8050817f-48b9-4b28-8abc-8d485939aafb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:6:"search";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mz4tcVV9g3nGzo00bXK28wbUDa1j2rrH9p4Jbhinxps";}s:2:"id";s:21:"conferenceplus_search";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:4:{s:2:"id";s:17:"search_form_block";s:5:"label";s:6:"Search";s:8:"provider";s:6:"search";s:13:"label_display";s:7:"visible";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:908:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_sidebartabs', 'a:12:{s:4:"uuid";s:36:"120b6030-cd0e-45b1-aa88-ccfcac607122";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:ef75ff4d-5049-4e15-91f2-89e64289799e";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:26:"conferenceplus_sidebartabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ef75ff4d-5049-4e15-91f2-89e64289799e";s:5:"label";s:12:"Sidebar tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:917:"<front>\r\n/node/3\r\n/node/5\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_signupfortextalerts', 'a:12:{s:4:"uuid";s:36:"2bb671a4-6226-4470-a5c3-9a40e5d79850";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:8446f152-667e-4f86-8722-565b31753297";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:34:"conferenceplus_signupfortextalerts";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-38;s:8:"provider";N;s:6:"plugin";s:50:"block_content:8446f152-667e-4f86-8722-565b31753297";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:8446f152-667e-4f86-8722-565b31753297";s:5:"label";s:23:"Sign Up For Text Alerts";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_socialbookmarks', 'a:12:{s:4:"uuid";s:36:"386bcb7e-59a6-45ed-881a-e7d32c1ba23c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"conferenceplus_socialbookmarks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:17:"header_top_second";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2054bf17-957d-43d6-a736-6b7ac3ba0f2f";s:5:"label";s:16:"Social Bookmarks";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/node/40\r\n/node/63";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_subfooter', 'a:12:{s:4:"uuid";s:36:"f2cc04b0-af26-4d37-a670-9b0c8236f9e5";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"system.menu.mt-subfooter-menu";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:24:"conferenceplus_subfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-37;s:8:"provider";N;s:6:"plugin";s:35:"system_menu_block:mt-subfooter-menu";s:8:"settings";a:6:{s:2:"id";s:35:"system_menu_block:mt-subfooter-menu";s:5:"label";s:9:"Subfooter";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_subscribe', 'a:12:{s:4:"uuid";s:36:"c039325a-2170-4410-a0a5-215e913dcdca";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0839439a-2bae-48e4-872e-6ff169998482";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:24:"conferenceplus_subscribe";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-39;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:5:"label";s:27:"Sign Up & Get Free Shipping";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_textblocks', 'a:12:{s:4:"uuid";s:36:"edf9f999-1021-4b99-9b16-790a40493b4c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:78f50698-8922-4e4c-ade4-531c59340958";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:25:"conferenceplus_textblocks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:78f50698-8922-4e4c-ade4-531c59340958";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:78f50698-8922-4e4c-ade4-531c59340958";s:5:"label";s:11:"Text blocks";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_tools', 'a:13:{s:4:"uuid";s:36:"602a215c-6bf1-4380-9a76-7c0dd73d7785";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:17:"system.menu.tools";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"0gWjbIYyU-iV7G7epbh4sq5nK9qNpwzlVixzmiHWF0k";}s:2:"id";s:20:"conferenceplus_tools";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"sidebar_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_menu_block:tools";s:8:"settings";a:6:{s:2:"id";s:23:"system_menu_block:tools";s:5:"label";s:5:"Tools";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_benefits_block_1', 'a:12:{s:4:"uuid";s:36:"518b919b-60e5-4a3e-88ed-26e81a81f960";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:22:"views.view.mt_benefits";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"conferenceplus_views_block__mt_benefits_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:31:"views_block:mt_benefits-block_1";s:8:"settings";a:6:{s:2:"id";s:31:"views_block:mt_benefits-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_brands_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"951af19e-e60e-4722-ac9d-59367913e1e7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_brands_carousel";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:54:"conferenceplus_views_block__mt_brands_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_brands_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_brands_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_collections_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"0efc1f50-254a-46c5-aa3c-836705892d93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_collections_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:59:"conferenceplus_views_block__mt_collections_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:43:"views_block:mt_collections_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:43:"views_block:mt_collections_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_collections_masonry_block_1', 'a:12:{s:4:"uuid";s:36:"9e00754d-db97-4126-8933-86d757bf4a57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:33:"views.view.mt_collections_masonry";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:58:"conferenceplus_views_block__mt_collections_masonry_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:42:"views_block:mt_collections_masonry-block_1";s:8:"settings";a:6:{s:2:"id";s:42:"views_block:mt_collections_masonry-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_latest_block_1', 'a:12:{s:4:"uuid";s:36:"8592efcd-ab10-4322-a84d-a5c31d90529b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"conferenceplus_views_block__mt_latest_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_1";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_latest_block_3', 'a:12:{s:4:"uuid";s:36:"691edf14-7bd9-4a23-9525-d53ade64cd55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:20:"views.view.mt_latest";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"conferenceplus_views_block__mt_latest_block_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:29:"views_block:mt_latest-block_3";s:8:"settings";a:6:{s:2:"id";s:29:"views_block:mt_latest-block_3";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_popular_tags_block_1', 'a:12:{s:4:"uuid";s:36:"d24c3972-6788-4628-b837-51186597afcd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_popular_tags";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_popular_tags_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-52;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_popular_tags-block_1";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_popular_tags-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:906:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_pricing_tables_block_1', 'a:12:{s:4:"uuid";s:36:"184c47f2-6b01-45d6-b835-b2910a04ebee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:28:"views.view.mt_pricing_tables";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:53:"conferenceplus_views_block__mt_pricing_tables_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:37:"views_block:mt_pricing_tables-block_1";s:8:"settings";a:6:{s:2:"id";s:37:"views_block:mt_pricing_tables-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_products_list_block_1', 'a:12:{s:4:"uuid";s:36:"261f9a48-9380-4025-b725-8b67f250af9c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_products_list";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:52:"conferenceplus_views_block__mt_products_list_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:36:"views_block:mt_products_list-block_1";s:8:"settings";a:6:{s:2:"id";s:36:"views_block:mt_products_list-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_products_masonry_block_1', 'a:12:{s:4:"uuid";s:36:"b3527c50-3d2f-45e5-836e-7b018d155a2f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:30:"views.view.mt_products_masonry";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:55:"conferenceplus_views_block__mt_products_masonry_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:39:"views_block:mt_products_masonry-block_1";s:8:"settings";a:6:{s:2:"id";s:39:"views_block:mt_products_masonry-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.conferenceplus_views_block__mt_slideshow_boxed_width_block_1', 'a:12:{s:4:"uuid";s:36:"33f02150-fa55-4d26-89cd-765c9f74d85d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_boxed_width";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:60:"conferenceplus_views_block__mt_slideshow_boxed_width_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_slideshow_boxed_width-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_slideshow_boxed_width-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/16";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_slideshow_full_screen_block_1', 'a:12:{s:4:"uuid";s:36:"42edd28e-3462-4ed5-8ec6-57177ff08f59";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_slideshow_full_screen";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:60:"conferenceplus_views_block__mt_slideshow_full_screen_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_slideshow_full_screen-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_slideshow_full_screen-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_slideshow_full_width_block_1', 'a:12:{s:4:"uuid";s:36:"67d0e0cc-1727-4b15-b9dd-3c2b528b57b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:34:"views.view.mt_slideshow_full_width";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:59:"conferenceplus_views_block__mt_slideshow_full_width_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:43:"views_block:mt_slideshow_full_width-block_1";s:8:"settings";a:6:{s:2:"id";s:43:"views_block:mt_slideshow_full_width-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_testimonials_block_1', 'a:12:{s:4:"uuid";s:36:"4c25018e-f5da-41d8-8b07-df33e1b73b14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_testimonials_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_testimonials-block_1";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_testimonials-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.conferenceplus_views_block__mt_testimonials_block_2', 'a:12:{s:4:"uuid";s:36:"0dd6732e-0540-4619-94f1-24ebd8f579be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:26:"views.view.mt_testimonials";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:51:"conferenceplus_views_block__mt_testimonials_block_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:35:"views_block:mt_testimonials-block_2";s:8:"settings";a:6:{s:2:"id";s:35:"views_block:mt_testimonials-block_2";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:908:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfofooter', 'a:12:{s:4:"uuid";s:36:"8e14267d-4c47-47fd-900a-7ac2186d236b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a5cb88c7-1d51-405a-b911-2ea49042a47f";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"contactinfofooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_second";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a5cb88c7-1d51-405a-b911-2ea49042a47f";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a5cb88c7-1d51-405a-b911-2ea49042a47f";s:5:"label";s:23:"Contact the Association";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfofootertop', 'a:12:{s:4:"uuid";s:36:"dcb5d477-b33f-46c7-849d-20dfbfbded53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:20:"contactinfofootertop";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4c4c2a42-eadb-45b6-bd73-b66c8ae3bcf3";s:5:"label";s:12:"Contact Info";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfoheader', 'a:12:{s:4:"uuid";s:36:"582d083b-d922-409f-9a43-e0d21e647825";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:47ac0b15-76b8-42ad-b349-f76c80485472";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"contactinfoheader";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:47ac0b15-76b8-42ad-b349-f76c80485472";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:47ac0b15-76b8-42ad-b349-f76c80485472";s:5:"label";s:21:"Contact Info (Header)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.contactinfoslideout', 'a:12:{s:4:"uuid";s:36:"19fbd9e1-d81e-4714-a1e2-fb520093f7d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:289e95e0-6f1d-40f8-961a-fe8a21410288";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"contactinfoslideout";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:289e95e0-6f1d-40f8-961a-fe8a21410288";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:289e95e0-6f1d-40f8-961a-fe8a21410288";s:5:"label";s:23:"Contact Info (Slideout)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.countdown', 'a:12:{s:4:"uuid";s:36:"37ca0b46-35f4-4dd4-b763-6bcdf96e974a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:12:"mt_countdown";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:9:"countdown";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:12:"mt_countdown";s:8:"settings";a:5:{s:2:"id";s:12:"mt_countdown";s:5:"label";s:10:"Count Down";s:8:"provider";s:12:"mt_countdown";s:13:"label_display";s:1:"0";s:27:"mt_countdown_block_settings";N;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:80:"<front>\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/63\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.creditcards', 'a:12:{s:4:"uuid";s:36:"6141b937-a918-472c-a7bc-38431b40166c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:bf813f9f-c73e-4d44-a9ff-c771b0c704f3";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"creditcards";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:50:"block_content:bf813f9f-c73e-4d44-a9ff-c771b0c704f3";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:bf813f9f-c73e-4d44-a9ff-c771b0c704f3";s:5:"label";s:15:"Payment methods";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:908:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/investors\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.customsitebranding', 'a:12:{s:4:"uuid";s:36:"b1913af5-1acb-4c6f-a1b7-7fabda0567bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:31d21c04-eb31-438b-8730-00c9e7511dd7";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"customsitebranding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:31d21c04-eb31-438b-8730-00c9e7511dd7";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:31d21c04-eb31-438b-8730-00c9e7511dd7";s:5:"label";s:20:"Custom site branding";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.fancyblock', 'a:12:{s:4:"uuid";s:36:"b76de573-35bc-4a48-9394-c7f2643c835f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:1f5fa21d-094d-4e89-abf6-07aa1e532066";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:10:"fancyblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1f5fa21d-094d-4e89-abf6-07aa1e532066";s:5:"label";s:11:"Fancy block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.featuresfrontpage', 'a:12:{s:4:"uuid";s:36:"4789b551-d544-4938-9997-9874595380fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:75233cc9-f9ab-4278-b3a5-3ac326245760";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"featuresfrontpage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:75233cc9-f9ab-4278-b3a5-3ac326245760";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:75233cc9-f9ab-4278-b3a5-3ac326245760";s:5:"label";s:21:"Features (front page)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.footerbottomcustomsitebranding', 'a:12:{s:4:"uuid";s:36:"4e216a01-764f-4790-8c2a-bcc96f1bad5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:30cd384d-66e1-462a-b606-9af85d356ef1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"footerbottomcustomsitebranding";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:30cd384d-66e1-462a-b606-9af85d356ef1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:30cd384d-66e1-462a-b606-9af85d356ef1";s:5:"label";s:34:"Footer bottom custom site branding";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.fullwidthslideshow', 'a:12:{s:4:"uuid";s:36:"a7228b23-8adb-481b-a519-4b8f3feb63b6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:74:"block_content:mt_main_slideshow_block:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"fullwidthslideshow";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b2f629fe-21d9-4f21-b60a-3f820c8be0a9";s:5:"label";s:19:"Fullwidth Slideshow";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/59";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.googlemapbanner', 'a:12:{s:4:"uuid";s:36:"6a02ab02-7255-412a-8132-d9fe56612676";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"googlemapbanner";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.googlemapbanner_2', 'a:12:{s:4:"uuid";s:36:"3b1c87e1-518e-4d8d-8283-50c1c41ff2fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"googlemapbanner_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:20:"/contact/alternative";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.googlemapbanner_3', 'a:12:{s:4:"uuid";s:36:"fc8a649e-aaeb-4335-b614-ae99f196df32";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:65:"block_content:mt_google_maps:3a7d6304-c55c-48d0-a559-ee212ac34069";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"googlemapbanner_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:3a7d6304-c55c-48d0-a559-ee212ac34069";s:5:"label";s:19:"Google map - Banner";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.headerdropdowns', 'a:12:{s:4:"uuid";s:36:"5b108211-d855-47e5-ab36-4b43b07beb96";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:69:"block_content:mt_dropdowns_block:18dc1432-7c77-4b0b-b804-5bd46ab9769a";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"headerdropdowns";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"header_third";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:18dc1432-7c77-4b0b-b804-5bd46ab9769a";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:18dc1432-7c77-4b0b-b804-5bd46ab9769a";s:5:"label";s:16:"Header Dropdowns";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.headertopctabuttons', 'a:12:{s:4:"uuid";s:36:"a7a028b7-625b-4f84-99ee-037bce14ee9f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4afd36a9-3c0d-4d0e-b120-cd814ff11504";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"headertopctabuttons";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:28:"header_top_highlighted_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4afd36a9-3c0d-4d0e-b120-cd814ff11504";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4afd36a9-3c0d-4d0e-b120-cd814ff11504";s:5:"label";s:22:"Header Top CtA buttons";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:38:"/node/63\r\n/node/53\r\n/node/40\r\n/node/17";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.highlights', 'a:12:{s:4:"uuid";s:36:"584f76a5-06a8-49f8-802a-49362220ab53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0524307c-2048-42b8-833e-fe424b730597";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:10:"highlights";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0524307c-2048-42b8-833e-fe424b730597";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0524307c-2048-42b8-833e-fe424b730597";s:5:"label";s:25:"Our highlights, in short.";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.highlightsfrontpage', 'a:12:{s:4:"uuid";s:36:"7a02f097-db7f-4b5d-bc0f-65ff642d46c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:72c169d2-45c6-40c2-82e4-4f0f6f243331";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"highlightsfrontpage";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:72c169d2-45c6-40c2-82e4-4f0f6f243331";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:72c169d2-45c6-40c2-82e4-4f0f6f243331";s:5:"label";s:23:"Highlights (front page)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.iconssubfooter', 'a:12:{s:4:"uuid";s:36:"69c542e9-888c-4797-bdbe-7a04ed5adc2e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:14d16969-6207-4173-82a4-bbc2e6eef6a2";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"iconssubfooter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:14d16969-6207-4173-82a4-bbc2e6eef6a2";s:5:"label";s:17:"Icons (subfooter)";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.interestedininvestingwithus', 'a:12:{s:4:"uuid";s:36:"925dad75-2bb5-4c8d-ae40-377b64669731";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:27:"interestedininvestingwithus";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:50:"block_content:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:ac329bb8-6f7c-4394-90aa-c4dbcdff8764";s:5:"label";s:32:"Interested in investing with us?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:10:"/investors";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.landingpagenavigation_2', 'a:12:{s:4:"uuid";s:36:"4c40df7d-982b-43a3-96e8-9b4c86ded561";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"system.menu.landing-page-navigation";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:23:"landingpagenavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:33:"superfish:landing-page-navigation";s:8:"settings";a:52:{s:2:"id";s:33:"superfish:landing-page-navigation";s:5:"label";s:23:"Landing page navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:0;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"12";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:30:"in-page-navigation nav d-block";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:28:"link--smooth-scroll nav-link";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/63";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.languageswitcher', 'a:12:{s:4:"uuid";s:36:"6b1c8b70-5c53-427b-8091-3fa772e60fe5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:eb34fbf2-b05a-462a-bb6d-0d71197be193";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"languageswitcher";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-50;s:8:"provider";N;s:6:"plugin";s:50:"block_content:eb34fbf2-b05a-462a-bb6d-0d71197be193";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:eb34fbf2-b05a-462a-bb6d-0d71197be193";s:5:"label";s:17:"Language Switcher";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}');
INSERT INTO `config_snapshot` VALUES
('', 'block.block.mainnavigation_2', 'a:12:{s:4:"uuid";s:36:"b4d91453-f46d-454d-98cb-e3605ace2f7a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"mainnavigation_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-61;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:1;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"15";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:0:"";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/node/54\r\n/node/53";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.mainnavigation_4', 'a:12:{s:4:"uuid";s:36:"301bb505-1dfd-4723-b70a-523b3d993aeb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"mainnavigation_4";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"slideout";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:14:"superfish:main";s:8:"settings";a:52:{s:2:"id";s:14:"superfish:main";s:5:"label";s:15:"Main navigation";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:0;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:5:"10000";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"12";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:0;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:28:"cta-active cta-active--email";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/17";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.mediatab', 'a:12:{s:4:"uuid";s:36:"e9dcb22d-2737-4612-90f0-7cc2e4707b30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:70:"block_content:mt_media_tabs_block:735a20a1-935e-461e-8ddf-5a4fdc521f23";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"mediatab";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:735a20a1-935e-461e-8ddf-5a4fdc521f23";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:735a20a1-935e-461e-8ddf-5a4fdc521f23";s:5:"label";s:9:"Media Tab";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.megamenu', 'a:12:{s:4:"uuid";s:36:"6f4b6dd8-e877-49af-a99a-87fd21304918";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:24:"system.menu.mt-mega-menu";}s:6:"module";a:2:{i:0;s:9:"superfish";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"megamenu";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"header";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:22:"superfish:mt-mega-menu";s:8:"settings";a:52:{s:2:"id";s:22:"superfish:mt-mega-menu";s:5:"label";s:9:"Mega Menu";s:8:"provider";s:9:"superfish";s:13:"label_display";s:1:"0";s:5:"level";s:1:"1";s:5:"depth";s:1:"0";s:9:"menu_type";s:10:"horizontal";s:5:"style";s:4:"none";s:5:"arrow";i:1;s:6:"shadow";i:0;s:5:"speed";s:4:"fast";s:5:"delay";s:3:"800";s:5:"slide";s:8:"vertical";s:11:"supposition";i:1;s:11:"hoverintent";i:1;s:5:"touch";s:1:"0";s:7:"touchbh";s:1:"2";s:7:"touchbp";s:3:"768";s:7:"touchua";s:1:"0";s:8:"touchual";s:0:"";s:8:"touchuam";s:1:"0";s:5:"small";s:1:"2";s:7:"smallbp";s:3:"768";s:7:"smallua";s:1:"0";s:8:"smallual";s:0:"";s:8:"smalluam";s:1:"0";s:8:"smallact";s:1:"1";s:8:"smallset";s:0:"";s:8:"smallasa";i:0;s:8:"smallcmc";i:0;s:8:"smallecm";s:0:"";s:8:"smallchc";i:0;s:8:"smallech";s:0:"";s:8:"smallicm";s:0:"";s:8:"smallich";s:0:"";s:8:"smallamt";s:0:"";s:8:"smallabt";s:1:"1";s:9:"supersubs";i:1;s:8:"minwidth";s:2:"17";s:8:"maxwidth";s:2:"27";s:11:"multicolumn";i:1;s:17:"multicolumn_depth";s:1:"1";s:18:"multicolumn_levels";s:1:"1";s:10:"pathlevels";s:1:"1";s:8:"expanded";i:0;s:12:"clone_parent";i:0;s:20:"hide_linkdescription";i:0;s:19:"add_linkdescription";i:0;s:16:"link_depth_class";i:1;s:17:"custom_list_class";s:0:"";s:17:"custom_item_class";s:0:"";s:17:"custom_link_class";s:0:"";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:10:"/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.mystory', 'a:12:{s:4:"uuid";s:36:"4a2b38dd-f09b-4d8e-a086-c3bde3f1549c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:b881398c-7d2f-4579-9930-9300538bd2aa";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:7:"mystory";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:b881398c-7d2f-4579-9930-9300538bd2aa";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:b881398c-7d2f-4579-9930-9300538bd2aa";s:5:"label";s:8:"My Story";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.ournewsletter', 'a:12:{s:4:"uuid";s:36:"7ab65d6a-a18a-4dd2-9e82-9baaa225289c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a007890a-a321-4ab4-84f1-049b7b98801c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"ournewsletter";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a007890a-a321-4ab4-84f1-049b7b98801c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a007890a-a321-4ab4-84f1-049b7b98801c";s:5:"label";s:14:"Our Newsletter";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.phone', 'a:12:{s:4:"uuid";s:36:"b602253b-5f9f-4b88-8b81-047a8e95b56f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:33c8086b-30a4-4b72-b741-df3e1ce3594d";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:5:"phone";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:33c8086b-30a4-4b72-b741-df3e1ce3594d";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:33c8086b-30a4-4b72-b741-df3e1ce3594d";s:5:"label";s:34:"Contact the conference secretariat";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.poweredbydrupal', 'a:12:{s:4:"uuid";s:36:"2ac096ff-179e-4025-9202-8db5ba473333";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"poweredbydrupal";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-41;s:8:"provider";N;s:6:"plugin";s:23:"system_powered_by_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_powered_by_block";s:5:"label";s:17:"Powered by Drupal";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"<front>";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.presentationtabs', 'a:12:{s:4:"uuid";s:36:"e92bd59f-0f63-4072-9913-e9bc91bb21af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_tabs_block:66f70a0f-8643-4142-9e65-18b27e2e59d4";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:16:"presentationtabs";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:66f70a0f-8643-4142-9e65-18b27e2e59d4";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:66f70a0f-8643-4142-9e65-18b27e2e59d4";s:5:"label";s:17:"Presentation Tabs";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}'),
('', 'block.block.registrationlocationinthevenue', 'a:12:{s:4:"uuid";s:36:"886dcb82-e300-45ee-ace2-9eb4f6c977bb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:a6c786ea-831a-4420-bbdc-4257c37aacd4";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:30:"registrationlocationinthevenue";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-56;s:8:"provider";N;s:6:"plugin";s:50:"block_content:a6c786ea-831a-4420-bbdc-4257c37aacd4";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:a6c786ea-831a-4420-bbdc-4257c37aacd4";s:5:"label";s:34:"Registration location in the venue";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.searchform_3', 'a:12:{s:4:"uuid";s:36:"275c0f18-d478-4a9c-afc5-b3c2acc4b188";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:2:{i:0;s:6:"search";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"searchform_3";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"header_top_first";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:4:{s:2:"id";s:17:"search_form_block";s:5:"label";s:11:"Search form";s:8:"provider";s:6:"search";s:13:"label_display";s:1:"0";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:28:"/node/40\r\n/node/53\r\n/node/63";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.searchform_4', 'a:12:{s:4:"uuid";s:36:"af56190b-ddd8-4886-b51d-2fb00478fcc4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"search";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"searchform_4";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-48;s:8:"provider";N;s:6:"plugin";s:17:"search_form_block";s:8:"settings";a:4:{s:2:"id";s:17:"search_form_block";s:5:"label";s:11:"Search form";s:8:"provider";s:6:"search";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seeafulllistoftheserviceswecanprovide', 'a:12:{s:4:"uuid";s:36:"b1b7de06-62c9-4e40-86e1-9e254ad980be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:75:"block_content:mt_nodes_slideshow_block:2ee07bbe-2afe-47d2-b802-21a37c39ea92";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:37:"seeafulllistoftheserviceswecanprovide";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2ee07bbe-2afe-47d2-b802-21a37c39ea92";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2ee07bbe-2afe-47d2-b802-21a37c39ea92";s:5:"label";s:46:"See a full list of the services we can provide";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.seven_breadcrumbs', 'a:13:{s:4:"uuid";s:36:"c1244a35-1ab3-4aff-aadd-ec21512ba4d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"WWu2OQswgCztl9OeXjD1stexIEMZsSgPMYIdC-JHx9c";}s:2:"id";s:17:"seven_breadcrumbs";s:5:"theme";s:5:"seven";s:6:"region";s:10:"breadcrumb";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:23:"system_breadcrumb_block";s:8:"settings";a:4:{s:2:"id";s:23:"system_breadcrumb_block";s:5:"label";s:11:"Breadcrumbs";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_content', 'a:13:{s:4:"uuid";s:36:"d111352d-97ce-4f9b-879a-5d71883f4bb4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YRY68JWkaUiGeZlWMv1nzeIgDm0ZZwXYgpqUpLFzwAY";}s:2:"id";s:13:"seven_content";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"system_main_block";s:8:"settings";a:4:{s:2:"id";s:17:"system_main_block";s:5:"label";s:17:"Main page content";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_help', 'a:13:{s:4:"uuid";s:36:"08cb2d52-2717-4af3-a32e-6caf294b74b0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"help";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NU5A_49mwLHfs5xFzMFrZ850w9pgUolxMS9NNF3vv4c";}s:2:"id";s:10:"seven_help";s:5:"theme";s:5:"seven";s:6:"region";s:4:"help";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:10:"help_block";s:8:"settings";a:4:{s:2:"id";s:10:"help_block";s:5:"label";s:4:"Help";s:8:"provider";s:4:"help";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_local_actions', 'a:13:{s:4:"uuid";s:36:"f1896df8-0898-4ed3-a33a-98726d4e5117";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"HHryZVJbeKi9WnuBGC8FOhBZmBnk2G1H6KxFuy-rC9A";}s:2:"id";s:19:"seven_local_actions";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:-10;s:8:"provider";N;s:6:"plugin";s:19:"local_actions_block";s:8:"settings";a:4:{s:2:"id";s:19:"local_actions_block";s:5:"label";s:21:"Primary admin actions";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_login', 'a:13:{s:4:"uuid";s:36:"3b4dac48-e513-4c4c-b1fc-a965eb97202f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:4:"user";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"IItlF4SKHgxduIysVQdvirDJ_v3HGuAviOkidAOJYRE";}s:2:"id";s:11:"seven_login";s:5:"theme";s:5:"seven";s:6:"region";s:7:"content";s:6:"weight";i:10;s:8:"provider";N;s:6:"plugin";s:16:"user_login_block";s:8:"settings";a:4:{s:2:"id";s:16:"user_login_block";s:5:"label";s:10:"User login";s:8:"provider";s:4:"user";s:13:"label_display";s:7:"visible";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_messages', 'a:13:{s:4:"uuid";s:36:"23867c08-8ba0-4650-8114-60806f07b8f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"XJqWwLt1LDCnazcEN6QkJmCLjk4R0__-8s0OO9xeNjg";}s:2:"id";s:14:"seven_messages";s:5:"theme";s:5:"seven";s:6:"region";s:11:"highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:21:"system_messages_block";s:8:"settings";a:4:{s:2:"id";s:21:"system_messages_block";s:5:"label";s:15:"Status messages";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_page_title', 'a:13:{s:4:"uuid";s:36:"d517aa40-ba8a-4f5c-ac7a-08464050b66a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ZSpc3IoSaLd0PkB02nxjVPBMztIdsTdHek9SiGaqZ_c";}s:2:"id";s:16:"seven_page_title";s:5:"theme";s:5:"seven";s:6:"region";s:6:"header";s:6:"weight";i:-30;s:8:"provider";N;s:6:"plugin";s:16:"page_title_block";s:8:"settings";a:4:{s:2:"id";s:16:"page_title_block";s:5:"label";s:10:"Page title";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_primary_local_tasks', 'a:13:{s:4:"uuid";s:36:"032040f6-1518-4134-8f6e-cc2e3530b0a7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ddy1OsBbWxjwEI8VL1viD4I69qcLHOkul4BxbTqLBTs";}s:2:"id";s:25:"seven_primary_local_tasks";s:5:"theme";s:5:"seven";s:6:"region";s:6:"header";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:12:"Primary tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:1;s:9:"secondary";b:0;}s:10:"visibility";a:0:{}}'),
('', 'block.block.seven_secondary_local_tasks', 'a:13:{s:4:"uuid";s:36:"1de34cc7-105e-4cdc-bba2-d5e9ccc619c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:5:"theme";a:1:{i:0;s:5:"seven";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"QeZBeCilQfeET3GeW6ZtJkEiwROADTZktFgKWwPieD4";}s:2:"id";s:27:"seven_secondary_local_tasks";s:5:"theme";s:5:"seven";s:6:"region";s:11:"pre_content";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:17:"local_tasks_block";s:8:"settings";a:6:{s:2:"id";s:17:"local_tasks_block";s:5:"label";s:14:"Secondary tabs";s:8:"provider";s:4:"core";s:13:"label_display";s:1:"0";s:7:"primary";b:0;s:9:"secondary";b:1;}s:10:"visibility";a:0:{}}'),
('', 'block.block.sociallinks', 'a:12:{s:4:"uuid";s:36:"df4fe143-d4e1-457f-ae15-b2bcc6d0fba1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"sociallinks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_bottom";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:af6f94ee-1e69-4b04-b8e0-aa57e603e25c";s:5:"label";s:12:"Social Links";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.socialmedia', 'a:12:{s:4:"uuid";s:36:"8f25e8a6-4214-481a-8a09-5dce40e3dd91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"socialmedia";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-58;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d4a7f7e5-a159-4436-91e3-09d3aabdfff8";s:5:"label";s:12:"Social Media";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.stillhavequestions', 'a:12:{s:4:"uuid";s:36:"017937c5-2c7f-4119-a4a4-ae80e1022e0c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:21239a24-9067-424a-a412-2bc4c38d3b07";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:18:"stillhavequestions";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:-64;s:8:"provider";N;s:6:"plugin";s:50:"block_content:21239a24-9067-424a-a412-2bc4c38d3b07";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:21239a24-9067-424a-a412-2bc4c38d3b07";s:5:"label";s:21:"Still have questions?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.subscribe_2', 'a:12:{s:4:"uuid";s:36:"5149169e-91a8-4f9f-88d0-916ded6b7d78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:0839439a-2bae-48e4-872e-6ff169998482";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"subscribe_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:16:"footer_top_first";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:0839439a-2bae-48e4-872e-6ff169998482";s:5:"label";s:9:"Subscribe";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:27:"<front>\r\n/node/63\r\n/node/82";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.tellusaboutyourproject', 'a:12:{s:4:"uuid";s:36:"5739756b-4957-4eee-a4e4-2828c96f9345";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:2f082cb7-167a-4837-b03e-7c523b059c9c";}s:6:"module";a:1:{i:0;s:13:"block_content";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:22:"tellusaboutyourproject";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:2f082cb7-167a-4837-b03e-7c523b059c9c";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:2f082cb7-167a-4837-b03e-7c523b059c9c";s:5:"label";s:12:"Buy a Ticket";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:0:{}}'),
('', 'block.block.timeline', 'a:12:{s:4:"uuid";s:36:"5cb79725-1721-47cc-92a2-5e24596b9ab8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:68:"block_content:mt_timeline_block:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:8:"timeline";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:7:"content";s:6:"weight";i:-59;s:8:"provider";N;s:6:"plugin";s:50:"block_content:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:d9b4a11a-f5d2-4a65-a0ae-daea2c7f0b0a";s:5:"label";s:26:"Important Dates and Events";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.typinganimation', 'a:12:{s:4:"uuid";s:36:"23978d02-fa16-4e5f-9e67-5fc844dc4fe6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_typing_animation_block:24e5856d-18c2-4676-bdd8-d4864a4bef39";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:15:"typinganimation";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-65;s:8:"provider";N;s:6:"plugin";s:50:"block_content:24e5856d-18c2-4676-bdd8-d4864a4bef39";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:24e5856d-18c2-4676-bdd8-d4864a4bef39";s:5:"label";s:16:"Typing Animation";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:80:"<front>\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/63\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.uniquefeatures', 'a:12:{s:4:"uuid";s:36:"ce597708-c746-4729-a8dc-03b02d8b8020";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:62:"block_content:mt_if_block:86c8a961-7cb4-48cb-958f-950bcb782f32";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:14:"uniquefeatures";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:86c8a961-7cb4-48cb-958f-950bcb782f32";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:86c8a961-7cb4-48cb-958f-950bcb782f32";s:5:"label";s:15:"Topics & Fields";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.usefullinks', 'a:12:{s:4:"uuid";s:36:"9ef0fbc8-8b03-4724-8324-4ffeb63aad42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:11:"usefullinks";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"footer_third";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:38:"system_menu_block:mt-footer-menu-three";s:8:"settings";a:6:{s:2:"id";s:38:"system_menu_block:mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:8:"provider";s:6:"system";s:13:"label_display";s:7:"visible";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.usefullinks_2', 'a:12:{s:4:"uuid";s:36:"1adba593-91fc-4156-875a-84e26a8bcba9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}s:6:"module";a:1:{i:0;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:13:"usefullinks_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_second";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:38:"system_menu_block:mt-footer-menu-three";s:8:"settings";a:6:{s:2:"id";s:38:"system_menu_block:mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:8:"provider";s:6:"system";s:13:"label_display";s:1:"0";s:5:"level";i:1;s:5:"depth";i:0;}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.videobackgroundblock', 'a:12:{s:4:"uuid";s:36:"4295e030-0c05-4306-ac57-f12f0f9a7aee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:76:"block_content:mt_background_video_block:1095b191-b590-4db3-8021-af3b7bc02bb9";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:20:"videobackgroundblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:23:"content_top_highlighted";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:50:"block_content:1095b191-b590-4db3-8021-af3b7bc02bb9";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:1095b191-b590-4db3-8021-af3b7bc02bb9";s:5:"label";s:22:"Video background block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.videogalleryblock', 'a:12:{s:4:"uuid";s:36:"32a48f5b-2bb7-4e4d-85f8-71cdb7f0d6d9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:73:"block_content:mt_video_gallery_block:06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:17:"videogalleryblock";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:6:"banner";s:6:"weight";i:-57;s:8:"provider";N;s:6:"plugin";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:5:"label";s:19:"Video Gallery block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/55";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.videogalleryblock_2', 'a:12:{s:4:"uuid";s:36:"d4f78299-2284-414b-b3af-295755977262";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:73:"block_content:mt_video_gallery_block:06367e41-b90b-4fdc-8dac-d2f2de5da572";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:19:"videogalleryblock_2";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"content_top";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:06367e41-b90b-4fdc-8dac-d2f2de5da572";s:5:"label";s:19:"Video Gallery block";s:8:"provider";s:13:"block_content";s:13:"label_display";s:1:"0";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_albums_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"47cbec45-aff5-4825-a53e-6095acd2c301";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_albums_carousel";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_albums_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_albums_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_albums_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:0:{}}'),
('', 'block.block.views_block__mt_articles_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"42957dee-4e6b-4866-ad35-39fe6cbc332e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_articles_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_articles_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"highlighted_top";s:6:"weight";i:-45;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_articles_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_articles_carousel-block_1";s:5:"label";s:11:"Latest News";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:11:"Latest News";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_articles_list_2_block_1', 'a:12:{s:4:"uuid";s:36:"92e6d6a7-baca-4fdd-9750-be49a080d11f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_articles_list_2";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_articles_list_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_articles_list_2-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_articles_list_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:906:"<front>\r\n/node/3\r\n/node/16\r\n/node/17\r\n/node/23\r\n/node/30\r\n/node/36\r\n/node/39\r\n/node/40\r\n/node/41\r\n/node/42\r\n/node/43\r\n/node/44\r\n/node/45\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/56\r\n/node/57\r\n/node/59\r\n/node/62\r\n/node/63\r\n/node/64\r\n/node/65\r\n/node/66\r\n/node/67\r\n/node/68\r\n/node/69\r\n/node/70\r\n/node/71\r\n/node/72\r\n/node/73\r\n/node/74\r\n/node/75\r\n/node/82\r\n/benefits\r\n/contact\r\n/contact/alternative\r\n/accommodations-4-col\r\n/accommodations-3-col\r\n/accommodations-2-col\r\n/accommodations-isotope\r\n/merchandise-4-col\r\n/merchandise-3-col\r\n/merchandise-3-col\r\n/merchandise-2-col\r\n/merchandise-isotope\r\n/merchandise-masonry\r\n/albums*\r\n/articles-4-col\r\n/articles-3-col\r\n/articles-2-col\r\n/videos\r\n/clients\r\n/merchandise-groups\r\n/merchandise-groups-masonry\r\n/team-members*\r\n/about-us\r\n/pricing-tables\r\n/testimonials-3-col\r\n/testimonials-3-col-2\r\n/testimonials-masonry\r\n/blocks\r\n/alternative-footer\r\n/mega-menu\r\n/photo-gallery";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_benefits_list_block_1', 'a:12:{s:4:"uuid";s:36:"25e445f3-aaab-4efd-9319-c1090cb5775d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:27:"views.view.mt_benefits_list";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:37:"views_block__mt_benefits_list_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"highlighted_top";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:36:"views_block:mt_benefits_list-block_1";s:8:"settings";a:6:{s:2:"id";s:36:"views_block:mt_benefits_list-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_brands_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"8f65d70d-6ab5-4823-9ad5-fd14c6b0230f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_brands_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_brands_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_brands_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_brands_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_other_speakers_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"7e808777-e818-46c8-8b5a-6dfd8777aee6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_other_speakers_carousel";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_other_speakers_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"featured";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_other_speakers_carousel-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_other_speakers_carousel-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:1:{s:9:"node_type";a:4:{s:2:"id";s:9:"node_type";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:6:"negate";b:0;s:15:"context_mapping";a:1:{s:4:"node";s:29:"@node.node_route_context:node";}}}}'),
('', 'block.block.views_block__mt_products_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"7e0feb68-df9c-40f6-a79f-ec0635b951be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_products_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_products_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-54;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_products_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_products_carousel-block_1";s:5:"label";s:20:"Merchandise Carousel";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:20:"Merchandise Carousel";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_recent_comments_block_1', 'a:12:{s:4:"uuid";s:36:"afdb7db5-0679-497e-99fd-272991ca6324";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:29:"views.view.mt_recent_comments";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:39:"views_block__mt_recent_comments_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:13:"footer_fourth";s:6:"weight";i:-66;s:8:"provider";N;s:6:"plugin";s:38:"views_block:mt_recent_comments-block_1";s:8:"settings";a:6:{s:2:"id";s:38:"views_block:mt_recent_comments-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/60";s:6:"negate";b:1;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_related_presentations_2_block_1', 'a:12:{s:4:"uuid";s:36:"f919370f-158b-4d67-a9a3-1d5c07958590";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:37:"views.view.mt_related_presentations_2";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:47:"views_block__mt_related_presentations_2_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-62;s:8:"provider";N;s:6:"plugin";s:46:"views_block:mt_related_presentations_2-block_1";s:8:"settings";a:7:{s:2:"id";s:46:"views_block:mt_related_presentations_2-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:0:{}}'),
('', 'block.block.views_block__mt_related_presentations_block_1', 'a:12:{s:4:"uuid";s:36:"3ca3546b-5d3f-4b9a-8b53-e043679faa9f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_related_presentations";}s:6:"module";a:1:{i:0;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_related_presentations_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:24:"hidden_blocks_collection";s:6:"weight";i:-63;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_related_presentations-block_1";s:8:"settings";a:7:{s:2:"id";s:44:"views_block:mt_related_presentations-block_1";s:5:"label";s:0:"";s:8:"provider";s:5:"views";s:13:"label_display";s:1:"0";s:11:"views_label";s:0:"";s:14:"items_per_page";s:4:"none";s:15:"context_mapping";a:0:{}}s:10:"visibility";a:0:{}}'),
('', 'block.block.views_block__mt_speakers_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"39f0a9a7-a677-45cb-9d15-47c576b4048f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_speakers_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_speakers_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:8:"featured";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_speakers_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_speakers_carousel-block_1";s:5:"label";s:14:"Event Speakers";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:14:"Event Speakers";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:139:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_sponsors_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"fcbcf865-bdde-499c-a704-51026a70e919";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:31:"views.view.mt_sponsors_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:41:"views_block__mt_sponsors_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:11:"highlighted";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:40:"views_block:mt_sponsors_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:40:"views_block:mt_sponsors_carousel-block_1";s:5:"label";s:12:"Our Sponsors";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:12:"Our Sponsors";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:149:"<front>\r\n/node/16\r\n/node/17\r\n/node/40\r\n/node/53\r\n/node/52\r\n/node/54\r\n/node/55\r\n/node/59\r\n/node/63\r\n/node/82\r\n/blocks\r\n/alternative-footer\r\n/mega-menu";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_team_members_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"bdff3748-a1ef-4554-bc18-08d201a5c543";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_team_members_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_team_members_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"sub_featured";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_team_members_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_team_members_carousel-block_1";s:5:"label";s:12:"Team Members";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:12:"Team Members";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/node/52";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.views_block__mt_testimonials_carousel_block_1', 'a:12:{s:4:"uuid";s:36:"8ad54f83-876a-4b9a-9d39-e1ba2b41491b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:6:"config";a:1:{i:0;s:35:"views.view.mt_testimonials_carousel";}s:6:"module";a:2:{i:0;s:6:"system";i:1;s:5:"views";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:45:"views_block__mt_testimonials_carousel_block_1";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:15:"highlighted_top";s:6:"weight";i:0;s:8:"provider";N;s:6:"plugin";s:44:"views_block:mt_testimonials_carousel-block_1";s:8:"settings";a:6:{s:2:"id";s:44:"views_block:mt_testimonials_carousel-block_1";s:5:"label";s:15:"What People Say";s:8:"provider";s:5:"views";s:13:"label_display";s:7:"visible";s:11:"views_label";s:15:"What People Say";s:14:"items_per_page";s:4:"none";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:18:"/blocks\r\n/about-us";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.whyme', 'a:12:{s:4:"uuid";s:36:"45978682-cf35-4968-9c9c-44d2c11d0e70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:64:"block_content:mt_fltt_block:e063c791-93fb-43c0-a379-811a3a29ccc8";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:5:"whyme";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:12:"featured_top";s:6:"weight";i:-60;s:8:"provider";N;s:6:"plugin";s:50:"block_content:e063c791-93fb-43c0-a379-811a3a29ccc8";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:e063c791-93fb-43c0-a379-811a3a29ccc8";s:5:"label";s:7:"Why Us?";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:7:"/blocks";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block.block.workinghours', 'a:12:{s:4:"uuid";s:36:"1e822d9d-d1fb-4d4e-9c41-667ec450ffa3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:3:{s:7:"content";a:1:{i:0;s:56:"block_content:basic:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";}s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:6:"system";}s:5:"theme";a:1:{i:0;s:14:"conferenceplus";}}s:2:"id";s:12:"workinghours";s:5:"theme";s:14:"conferenceplus";s:6:"region";s:14:"sidebar_second";s:6:"weight";i:-55;s:8:"provider";N;s:6:"plugin";s:50:"block_content:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";s:8:"settings";a:7:{s:2:"id";s:50:"block_content:4f4b24e9-dc8d-4886-80d4-f88a6951c2e1";s:5:"label";s:18:"Registration Hours";s:8:"provider";s:13:"block_content";s:13:"label_display";s:7:"visible";s:6:"status";b:1;s:4:"info";s:0:"";s:9:"view_mode";s:4:"full";}s:10:"visibility";a:1:{s:12:"request_path";a:4:{s:2:"id";s:12:"request_path";s:5:"pages";s:8:"/contact";s:6:"negate";b:0;s:15:"context_mapping";a:0:{}}}}'),
('', 'block_content.type.basic', 'a:9:{s:4:"uuid";s:36:"3e60a524-ec02-4b6c-9e39-097d5c30ef0b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zglzjmYxi0G0ag9MZ02y0LSJOdpWRwJxyP_OvFojFyo";}s:2:"id";s:5:"basic";s:5:"label";s:11:"Basic block";s:8:"revision";i:0;s:11:"description";s:42:"A basic block contains a title and a body.";}'),
('', 'block_content.type.mt_background_image_block', 'a:8:{s:4:"uuid";s:36:"cacd24d9-115f-420b-b539-1d3835fc0ba9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_background_image_block";s:5:"label";s:22:"Background Image Block";s:8:"revision";i:0;s:11:"description";s:67:"Use this custom block type to create blocks with background images.";}'),
('', 'block_content.type.mt_background_video_block', 'a:8:{s:4:"uuid";s:36:"88712612-0078-4fc6-b562-a1e14fb2f043";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_background_video_block";s:5:"label";s:22:"Background Video Block";s:8:"revision";i:0;s:11:"description";s:67:"Use this custom block type to create blocks with background videos.";}');
INSERT INTO `config_snapshot` VALUES
('', 'block_content.type.mt_collapsible_block', 'a:8:{s:4:"uuid";s:36:"c8bb8728-cde4-4615-b450-56b25a16a077";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:20:"mt_collapsible_block";s:5:"label";s:17:"Collapsible Block";s:8:"revision";i:0;s:11:"description";s:108:"Use this custom block type to display other blocks in a collapse, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_dropdowns_block', 'a:8:{s:4:"uuid";s:36:"63ece5a9-51fb-44bd-a560-87e58f555b60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:18:"mt_dropdowns_block";s:5:"label";s:15:"Dropdowns Block";s:8:"revision";i:0;s:11:"description";s:115:"Use this custom block type to display other blocks as dropdown elements, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_fancy_linked_images_block', 'a:8:{s:4:"uuid";s:36:"a056708b-5a10-4f7c-b26d-96512fe8e8b9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:28:"mt_fancy_linked_images_block";s:5:"label";s:25:"Fancy Linked Images block";s:8:"revision";i:0;s:11:"description";s:71:"Use this custom block type to create blocks that display linked images.";}'),
('', 'block_content.type.mt_fancy_tabs_block', 'a:8:{s:4:"uuid";s:36:"8ef02d16-8d1e-429d-9abe-9955bdc07683";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:19:"mt_fancy_tabs_block";s:5:"label";s:16:"Fancy Tabs block";s:8:"revision";i:0;s:11:"description";s:113:"Use this custom block type to display other blocks in a tabbed design, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_fltt_block', 'a:8:{s:4:"uuid";s:36:"dd8d418d-f141-45ee-85f9-3fdc434c0edd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:13:"mt_fltt_block";s:5:"label";s:32:"Featured Linked Text Tiles block";s:8:"revision";i:0;s:11:"description";s:84:"Use this custom block type to create blocks that display featured linked text tiles.";}'),
('', 'block_content.type.mt_google_maps', 'a:8:{s:4:"uuid";s:36:"54860869-169a-4b75-8143-39e8fdce0b3b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:14:"mt_google_maps";s:5:"label";s:10:"Google Map";s:8:"revision";i:0;s:11:"description";s:91:"Use this custom block type to create blocks that display a Google Map with a simple marker.";}'),
('', 'block_content.type.mt_if_block', 'a:8:{s:4:"uuid";s:36:"727d7d81-0a6d-4acf-ac08-8857c7c722b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_if_block";s:5:"label";s:19:"Icon Features block";s:8:"revision";i:0;s:11:"description";s:71:"Use this custom block type to create blocks that display icon features.";}'),
('', 'block_content.type.mt_main_slideshow_block', 'a:8:{s:4:"uuid";s:36:"e67b5a79-74be-4a62-b1b5-c44cb8918296";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Main Slideshow Block";s:8:"revision";i:0;s:11:"description";s:59:"Use this custom block type to create main slideshow blocks.";}'),
('', 'block_content.type.mt_media_tabs_block', 'a:8:{s:4:"uuid";s:36:"e6ac96b7-5e1a-40de-99a6-b4795ddce610";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:19:"mt_media_tabs_block";s:5:"label";s:16:"Media Tabs Block";s:8:"revision";i:0;s:11:"description";s:105:"Use this custom block type to create blocks in a tabbed design, using the corresponding Bootstrap feature";}'),
('', 'block_content.type.mt_nodes_slideshow_block', 'a:8:{s:4:"uuid";s:36:"eaa98d97-7b17-4adf-91c4-67ae129c6989";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:24:"mt_nodes_slideshow_block";s:5:"label";s:21:"Nodes Slideshow block";s:8:"revision";i:0;s:11:"description";s:59:"Use this custom block type to display nodes in a slideshow.";}'),
('', 'block_content.type.mt_tabs_block', 'a:8:{s:4:"uuid";s:36:"a6cd2a36-e4ad-43ad-85ff-b6d44a316a60";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:13:"mt_tabs_block";s:5:"label";s:10:"Tabs block";s:8:"revision";i:0;s:11:"description";s:113:"Use this custom block type to display other blocks in a tabbed design, using the corresponding Bootstrap feature.";}'),
('', 'block_content.type.mt_timeline_block', 'a:8:{s:4:"uuid";s:36:"355bea42-ffd1-4e33-b819-0f410a396e1c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:17:"mt_timeline_block";s:5:"label";s:14:"Timeline Block";s:8:"revision";i:0;s:11:"description";s:0:"";}'),
('', 'block_content.type.mt_typing_animation_block', 'a:8:{s:4:"uuid";s:36:"e3e6a291-88ce-4f12-8aaa-216db3a29ff0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:25:"mt_typing_animation_block";s:5:"label";s:22:"Typing Animation Block";s:8:"revision";i:0;s:11:"description";s:66:"Use this custom block type to create blocks with typing animation.";}'),
('', 'block_content.type.mt_video_gallery_block', 'a:8:{s:4:"uuid";s:36:"d2edbc11-0f7b-42e4-a260-0587b8ca3e66";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:22:"mt_video_gallery_block";s:5:"label";s:19:"Video Gallery block";s:8:"revision";i:0;s:11:"description";s:61:"Display Youtube and Vimeo videos in a gallery slideshow block";}'),
('', 'comment.type.comment', 'a:9:{s:4:"uuid";s:36:"49514a7c-35d6-4c53-b0c2-e2e92cffcaf8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"bqZsN31T2n0UjcbyCpOPi9D2iO0sAOHR7FnEs9qMvaA";}s:2:"id";s:7:"comment";s:5:"label";s:16:"Default comments";s:21:"target_entity_type_id";s:4:"node";s:11:"description";s:28:"Allows commenting on content";}'),
('', 'conferenceplus.settings', 'a:215:{s:20:"breadcrumb_separator";s:14:"fa-angle-right";s:21:"scroll_to_top_display";i:1;s:18:"scroll_to_top_icon";s:18:"fa-angle-double-up";s:21:"bootstrap_remote_type";s:5:"local";s:12:"color_scheme";s:6:"yellow";s:21:"page_container_border";i:0;s:16:"animations_state";i:1;s:25:"slideout_background_color";s:47:"region--dark-typography region--gray-background";s:13:"slideout_side";s:5:"right";s:20:"slideout_touch_swipe";i:0;s:24:"slideout_blocks_paddings";i:0;s:24:"slideout_region_paddings";i:0;s:39:"header_top_highlighted_layout_container";s:9:"container";s:39:"header_top_highlighted_background_color";s:48:"region--dark-typography region--white-background";s:39:"header_top_highlighted_animation_effect";s:6:"fadeIn";s:38:"header_top_highlighted_blocks_paddings";i:0;s:38:"header_top_highlighted_region_paddings";i:1;s:27:"header_top_layout_container";s:9:"container";s:27:"header_top_background_color";s:48:"region--dark-typography region--white-background";s:27:"header_top_animation_effect";s:6:"fadeIn";s:26:"header_top_blocks_paddings";i:0;s:26:"header_top_region_paddings";i:1;s:23:"header_layout_container";s:9:"container";s:23:"header_background_color";s:49:"region--light-typography region--black-background";s:12:"fixed_header";i:1;s:22:"header_blocks_paddings";i:0;s:22:"header_region_paddings";i:0;s:23:"banner_layout_container";s:15:"container-fluid";s:23:"banner_background_color";s:48:"region--dark-typography region--white-background";s:22:"banner_blocks_paddings";i:1;s:22:"banner_region_paddings";i:1;s:28:"content_top_layout_container";s:9:"container";s:28:"content_top_background_color";s:48:"region--dark-typography region--white-background";s:28:"content_top_animation_effect";s:6:"fadeIn";s:27:"content_top_blocks_paddings";i:0;s:27:"content_top_region_paddings";i:0;s:40:"content_top_highlighted_layout_container";s:15:"container-fluid";s:33:"content_top_highlighted_separator";s:20:"region--no-separator";s:40:"content_top_highlighted_background_color";s:48:"region--dark-typography region--white-background";s:40:"content_top_highlighted_animation_effect";s:6:"fadeIn";s:39:"content_top_highlighted_blocks_paddings";i:1;s:39:"content_top_highlighted_region_paddings";i:1;s:22:"main_content_separator";s:20:"region--no-separator";s:29:"main_content_animation_effect";s:6:"fadeIn";s:28:"main_content_blocks_paddings";i:0;s:28:"main_content_region_paddings";i:0;s:30:"sidebar_first_animation_effect";s:6:"fadeIn";s:29:"sidebar_first_blocks_paddings";i:0;s:29:"sidebar_first_region_paddings";i:0;s:31:"sidebar_second_animation_effect";s:6:"fadeIn";s:30:"sidebar_second_blocks_paddings";i:0;s:30:"sidebar_second_region_paddings";i:0;s:31:"content_bottom_layout_container";s:15:"container-fluid";s:24:"content_bottom_separator";s:20:"region--no-separator";s:31:"content_bottom_background_color";s:49:"region--light-typography region--black-background";s:31:"content_bottom_animation_effect";s:6:"fadeIn";s:30:"content_bottom_blocks_paddings";i:0;s:30:"content_bottom_region_paddings";i:1;s:29:"featured_top_layout_container";s:9:"container";s:22:"featured_top_separator";s:20:"region--no-separator";s:29:"featured_top_background_color";s:48:"region--dark-typography region--white-background";s:29:"featured_top_animation_effect";s:6:"fadeIn";s:28:"featured_top_blocks_paddings";i:0;s:28:"featured_top_region_paddings";i:0;s:25:"featured_layout_container";s:9:"container";s:18:"featured_separator";s:20:"region--no-separator";s:25:"featured_background_color";s:47:"region--dark-typography region--gray-background";s:25:"featured_animation_effect";s:6:"fadeIn";s:24:"featured_blocks_paddings";i:0;s:24:"featured_region_paddings";i:0;s:32:"featured_bottom_layout_container";s:9:"container";s:25:"featured_bottom_separator";s:20:"region--no-separator";s:32:"featured_bottom_background_color";s:48:"region--dark-typography region--white-background";s:32:"featured_bottom_animation_effect";s:10:"fadeInLeft";s:31:"featured_bottom_blocks_paddings";i:0;s:31:"featured_bottom_region_paddings";i:0;s:29:"sub_featured_layout_container";s:9:"container";s:22:"sub_featured_separator";s:20:"region--no-separator";s:29:"sub_featured_background_color";s:53:"region--light-typography region--dark-gray-background";s:29:"sub_featured_animation_effect";s:6:"fadeIn";s:28:"sub_featured_blocks_paddings";i:0;s:28:"sub_featured_region_paddings";i:0;s:32:"highlighted_top_layout_container";s:9:"container";s:25:"highlighted_top_separator";s:20:"region--no-separator";s:32:"highlighted_top_background_color";s:47:"region--dark-typography region--gray-background";s:32:"highlighted_top_animation_effect";s:6:"fadeIn";s:31:"highlighted_top_blocks_paddings";i:0;s:31:"highlighted_top_region_paddings";i:0;s:28:"highlighted_layout_container";s:9:"container";s:21:"highlighted_separator";s:20:"region--no-separator";s:28:"highlighted_background_color";s:48:"region--dark-typography region--white-background";s:28:"highlighted_animation_effect";s:6:"fadeIn";s:27:"highlighted_blocks_paddings";i:0;s:27:"highlighted_region_paddings";i:0;s:27:"footer_top_layout_container";s:9:"container";s:20:"footer_top_separator";s:20:"region--no-separator";s:27:"footer_top_background_color";s:48:"region--light-typography region--dark-background";s:27:"footer_top_animation_effect";s:6:"fadeIn";s:26:"footer_top_blocks_paddings";i:0;s:26:"footer_top_region_paddings";i:0;s:23:"footer_layout_container";s:9:"container";s:16:"footer_separator";s:20:"region--no-separator";s:23:"footer_background_color";s:51:"region--light-typography region--colored-background";s:23:"footer_animation_effect";s:6:"fadeIn";s:22:"footer_blocks_paddings";i:0;s:22:"footer_region_paddings";i:0;s:30:"footer_bottom_layout_container";s:9:"container";s:23:"footer_bottom_separator";s:20:"region--no-separator";s:30:"footer_bottom_background_color";s:48:"region--dark-typography region--white-background";s:29:"footer_bottom_blocks_paddings";i:0;s:29:"footer_bottom_region_paddings";i:0;s:26:"subfooter_layout_container";s:9:"container";s:19:"subfooter_separator";s:28:"region--separator-border-top";s:26:"subfooter_background_color";s:48:"region--dark-typography region--white-background";s:32:"subfooter_bottom_blocks_paddings";b:0;s:32:"subfooter_bottom_region_paddings";b:0;s:12:"reading_time";i:1;s:11:"share_links";i:1;s:26:"share_links_print_position";s:6:"bottom";s:12:"print_button";i:1;s:11:"font_resize";i:1;s:13:"post_progress";i:1;s:10:"affix_side";i:1;s:11:"layout_mode";s:4:"wide";s:20:"headings_font_family";s:6:"hff-02";s:21:"headings_wide_spacing";i:0;s:21:"paragraph_font_family";s:6:"pff-02";s:20:"sitename_font_family";s:6:"sff-02";s:18:"slogan_font_family";s:7:"slff-02";s:30:"rs_slideshow_fullscreen_effect";s:6:"random";s:35:"rs_slideshow_fullscreen_effect_time";s:2:"10";s:40:"rs_slideshow_fullscreen_navigation_style";s:7:"bullets";s:40:"rs_slideshow_fullscreen_bullets_position";s:5:"right";s:35:"rs_slideshow_fullscreen_touch_swipe";i:1;s:24:"transparent_header_state";i:1;s:26:"transparent_header_opacity";s:2:"85";s:21:"inverted_header_state";i:0;s:29:"rs_slideshow_fullwidth_effect";s:6:"random";s:34:"rs_slideshow_fullwidth_effect_time";s:2:"10";s:37:"rs_slideshow_fullwidth_initial_height";s:3:"650";s:39:"rs_slideshow_fullwidth_navigation_style";s:7:"bullets";s:39:"rs_slideshow_fullwidth_bullets_position";s:5:"right";s:34:"rs_slideshow_fullwidth_touch_swipe";i:1;s:30:"rs_slideshow_boxedwidth_effect";s:6:"random";s:35:"rs_slideshow_boxedwidth_effect_time";s:2:"10";s:38:"rs_slideshow_boxedwidth_initial_height";s:3:"650";s:40:"rs_slideshow_boxedwidth_navigation_style";s:15:"titles_carousel";s:40:"rs_slideshow_boxedwidth_bullets_position";s:5:"right";s:35:"rs_slideshow_boxedwidth_touch_swipe";i:1;s:28:"rs_slideshow_internal_effect";s:4:"fade";s:33:"rs_slideshow_internal_effect_time";s:2:"10";s:36:"rs_slideshow_internal_initial_height";s:3:"540";s:38:"rs_slideshow_internal_navigation_style";s:7:"bullets";s:45:"rs_slideshow_internal_banner_bullets_position";s:4:"left";s:33:"rs_slideshow_internal_touch_swipe";i:1;s:37:"rs_slideshow_internal_carousel_effect";s:4:"fade";s:45:"rs_slideshow_internal_carousel_initial_height";s:3:"540";s:47:"rs_slideshow_internal_carousel_bullets_position";s:6:"center";s:42:"rs_slideshow_internal_carousel_touch_swipe";i:1;s:28:"rs_slideshow_caption_opacity";s:1:"0";s:31:"rs_slideshow_background_opacity";s:2:"50";s:21:"in_page_slider_effect";s:5:"slide";s:21:"owl_products_autoplay";i:1;s:24:"owl_products_effect_time";s:1:"5";s:25:"owl_team_members_autoplay";i:0;s:28:"owl_team_members_effect_time";s:1:"5";s:27:"owl_promoted_posts_autoplay";i:0;s:30:"owl_promoted_posts_effect_time";s:1:"5";s:21:"owl_articles_autoplay";i:1;s:24:"owl_articles_effect_time";s:1:"5";s:25:"owl_testimonials_autoplay";i:1;s:28:"owl_testimonials_effect_time";s:1:"5";s:26:"owl_related_nodes_autoplay";i:0;s:29:"owl_related_nodes_effect_time";s:1:"5";s:19:"owl_brands_autoplay";i:1;s:22:"owl_brands_effect_time";s:1:"5";s:24:"owl_collections_autoplay";i:0;s:27:"owl_collections_effect_time";s:1:"5";s:25:"in_page_navigation_offset";s:2:"74";s:9:"banner_id";s:6:"banner";s:14:"content_top_id";s:11:"content-top";s:26:"content_top_highlighted_id";s:23:"content-top-highlighted";s:15:"main_content_id";s:12:"main-content";s:17:"content_bottom_id";s:14:"content-bottom";s:15:"featured_top_id";s:12:"featured-top";s:11:"featured_id";s:8:"featured";s:18:"featured_bottom_id";s:15:"featured-bottom";s:15:"sub_featured_id";s:12:"sub-featured";s:18:"highlighted_top_id";s:15:"highlighted-top";s:14:"highlighted_id";s:11:"highlighted";s:13:"footer_top_id";s:10:"footer-top";s:9:"footer_id";s:6:"footer";s:16:"footer_bottom_id";s:13:"footer-bottom";s:12:"subfooter_id";s:9:"subfooter";s:19:"isotope_layout_mode";s:7:"masonry";s:20:"isotope_filters_text";s:3:"All";s:15:"google_maps_key";s:39:"AIzaSyDyL-4KyWw_3hp-0jmZLGcJ3zMWkkJ44VI";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"VK8la7FVN8ETcaek5VyMjic_Z957OnP0jwGf4WIKQ2g";}s:8:"features";a:4:{s:17:"node_user_picture";b:1;s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;}s:4:"logo";a:1:{s:11:"use_default";b:1;}s:7:"favicon";a:1:{s:11:"use_default";b:1;}s:25:"subfooter_blocks_paddings";i:0;s:25:"subfooter_region_paddings";i:0;s:10:"font_title";s:0:"";s:38:"rs_slideshow_internal_bullets_position";s:4:"left";s:21:"owl_speakers_autoplay";i:0;s:24:"owl_speakers_effect_time";s:0:"";s:22:"owl_showcases_autoplay";i:0;s:25:"owl_showcases_effect_time";s:0:"";s:21:"owl_sponsors_autoplay";i:1;s:24:"owl_sponsors_effect_time";s:1:"5";s:27:"front_page_background_state";i:1;s:29:"front_page_background_opacity";s:2:"70";s:29:"header_background_image_state";i:1;s:31:"paragraph_responsive_typography";i:1;}'),
('', 'contact.form.alternative', 'a:11:{s:4:"uuid";s:36:"c04f9bc4-1a2c-4170-855d-4f9a0073373d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"alternative";s:5:"label";s:19:"Alternative Contact";s:10:"recipients";a:1:{i:0;s:18:"noreply@domain.com";}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}'),
('', 'contact.form.feedback', 'a:12:{s:4:"uuid";s:36:"d5496ce4-af1c-42d0-898a-99058d1b898d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"c4zaT5cyPxuTXI6JOWt3qRtMvICT9tHB6d9a5VG-CmQ";}s:2:"id";s:8:"feedback";s:5:"label";s:12:"Get In Touch";s:10:"recipients";a:1:{i:0;s:18:"noreply@domain.com";}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}'),
('', 'contact.form.personal', 'a:12:{s:4:"uuid";s:36:"aca09177-c586-4c02-975c-b22f9a106494";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4w1vDIuPlVqNIiynysHZHU-9sBCpx5uiEIPlo4SW1tw";}s:2:"id";s:8:"personal";s:5:"label";s:21:"Personal contact form";s:10:"recipients";a:0:{}s:5:"reply";s:0:"";s:6:"weight";i:0;s:7:"message";s:27:"Your message has been sent.";s:8:"redirect";s:0:"";}'),
('', 'contact.settings', 'a:4:{s:12:"default_form";s:8:"feedback";s:5:"flood";a:2:{s:5:"limit";i:5;s:8:"interval";i:3600;}s:20:"user_default_enabled";b:1;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U69DBeuvXuNVOC15rVNaBjDPK2fWFbo9v4takdYSSO8";}}'),
('', 'core.base_field_override.node.mt_speaker.promote', 'a:16:{s:4:"uuid";s:36:"752d654a-6fff-4e3e-a554-938216d43b3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:20:"node.type.mt_speaker";}}s:2:"id";s:23:"node.mt_speaker.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'core.base_field_override.node.mt_team_member.promote', 'a:16:{s:4:"uuid";s:36:"e0894692-fd19-4dfe-b036-cb10d9f082b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"node.type.mt_team_member";}}s:2:"id";s:27:"node.mt_team_member.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'core.base_field_override.node.page.promote', 'a:17:{s:4:"uuid";s:36:"ef42ff06-6621-4821-8ffb-9a5b22a6283b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:14:"node.type.page";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fPUEnm4T5zfZRr3ttDUqq7yCDd2uW3clWD-pvos4tlQ";}s:2:"id";s:17:"node.page.promote";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:22:"Promoted to front page";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'core.date_format.fallback', 'a:9:{s:4:"uuid";s:36:"5560b95d-cd3b-4acf-9196-df895f083350";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7klS5IWXrwzVaPpYZFAs6wcx8U2FF1X73OfrtTsvuvE";}s:2:"id";s:8:"fallback";s:5:"label";s:20:"Fallback date format";s:6:"locked";b:1;s:7:"pattern";s:14:"D, m/d/Y - H:i";}'),
('', 'core.date_format.html_date', 'a:9:{s:4:"uuid";s:36:"16774ce5-6184-402b-80ef-85f1e3b4fd64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"EOQltUQPmgc6UQ2rcJ4Xi_leCEJj5ui0TR-12duS-Tk";}s:2:"id";s:9:"html_date";s:5:"label";s:9:"HTML Date";s:6:"locked";b:1;s:7:"pattern";s:5:"Y-m-d";}'),
('', 'core.date_format.html_datetime', 'a:9:{s:4:"uuid";s:36:"61577c3c-0cc9-4311-b83e-07b2972ff37e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jxfClwZIRXIdcvMrE--WkcZxDGUVoOIE3Sm2NRZlFuE";}s:2:"id";s:13:"html_datetime";s:5:"label";s:13:"HTML Datetime";s:6:"locked";b:1;s:7:"pattern";s:13:"Y-m-d\\TH:i:sO";}'),
('', 'core.date_format.html_month', 'a:9:{s:4:"uuid";s:36:"bea23acd-be17-4c08-a92f-199ce61bfd3b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Z7KuCUwM_WdTNvLcoltuX3_8d-s-8FZkTN6KgNwF0eM";}s:2:"id";s:10:"html_month";s:5:"label";s:10:"HTML Month";s:6:"locked";b:1;s:7:"pattern";s:3:"Y-m";}'),
('', 'core.date_format.html_time', 'a:9:{s:4:"uuid";s:36:"4676d758-bbfb-4221-a689-80c15a8378bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"M7yqicYkU36hRy5p9drAaGBBihhUD1OyujFrAaQ93ZE";}s:2:"id";s:9:"html_time";s:5:"label";s:9:"HTML Time";s:6:"locked";b:1;s:7:"pattern";s:5:"H:i:s";}'),
('', 'core.date_format.html_week', 'a:9:{s:4:"uuid";s:36:"a171df48-885a-4562-a882-ce09a15c647c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"wKD4WsoV_wFgv2vgI4mcAAFSIzrye17ykzdwrnApkfY";}s:2:"id";s:9:"html_week";s:5:"label";s:9:"HTML Week";s:6:"locked";b:1;s:7:"pattern";s:5:"Y-\\WW";}'),
('', 'core.date_format.html_year', 'a:9:{s:4:"uuid";s:36:"6718b0cb-5556-4df6-8dfd-2bbda5ad1cb6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"OjekiQuX9RbVQ2_8jOHBL94RgYLePqX7wpfNGgcQzrk";}s:2:"id";s:9:"html_year";s:5:"label";s:9:"HTML Year";s:6:"locked";b:1;s:7:"pattern";s:1:"Y";}'),
('', 'core.date_format.html_yearless_date', 'a:9:{s:4:"uuid";s:36:"ef5e3569-3f0f-4039-bd2f-853f96ded465";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"5VpawMrKPEPCkoO4YpPa0TDFO2dgiIHfTziJtwlmUxc";}s:2:"id";s:18:"html_yearless_date";s:5:"label";s:18:"HTML Yearless date";s:6:"locked";b:1;s:7:"pattern";s:3:"m-d";}'),
('', 'core.date_format.long', 'a:9:{s:4:"uuid";s:36:"a08d9435-0103-4a77-8fb8-9c458d26c9ab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"og8sWXhBuHbLMw3CoiBEZjgqSyhFBFmcbUW_wLcfNbo";}s:2:"id";s:4:"long";s:5:"label";s:17:"Default long date";s:6:"locked";b:0;s:7:"pattern";s:15:"l, F j, Y - H:i";}'),
('', 'core.date_format.medium', 'a:9:{s:4:"uuid";s:36:"4faad2dd-5cc8-4f5f-bc6d-493732bdb8e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nzL5d024NjXIX_8TlT6uFAu973lmfkmHklJC-2i9rAE";}s:2:"id";s:6:"medium";s:5:"label";s:19:"Default medium date";s:6:"locked";b:0;s:7:"pattern";s:14:"D, m/d/Y - H:i";}'),
('', 'core.date_format.mt_time', 'a:8:{s:4:"uuid";s:36:"0c5c8810-50b9-43a1-8350-1546e0a47eef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:7:"mt_time";s:5:"label";s:11:"Custom time";s:6:"locked";b:0;s:7:"pattern";s:5:"h:i a";}'),
('', 'core.date_format.mt_yearless_date', 'a:8:{s:4:"uuid";s:36:"8bd0c3fa-d550-4c87-a2f9-ef4a2020bd5e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_yearless_date";s:5:"label";s:13:"Yearless date";s:6:"locked";b:0;s:7:"pattern";s:3:"M d";}'),
('', 'core.date_format.short', 'a:9:{s:4:"uuid";s:36:"460367c2-78f3-42db-ae80-31a6b3741475";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AlzeyytA8InBgxIG9H2UDJYs3CG98Zj6yRsDKmlbZwA";}s:2:"id";s:5:"short";s:5:"label";s:18:"Default short date";s:6:"locked";b:0;s:7:"pattern";s:11:"m/d/Y - H:i";}'),
('', 'core.entity_form_display.block_content.basic.default', 'a:11:{s:4:"uuid";s:36:"a61d0399-56d3-4451-bf56-20d8b46f5a91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:36:"field.field.block_content.basic.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kv6gwb6PJ8DcMSj5kgsd52qCIHl1xkxBDL5_AMm-g8k";}s:2:"id";s:27:"block_content.basic.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:5:"basic";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:-4;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_background_image_block.default', 'a:10:{s:4:"uuid";s:36:"d8fdcf29-f7e0-4ff1-87c2-6626554d08cc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:2;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:3;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:4;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:5;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:6;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";i:7;s:21:"image.style.thumbnail";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:47:"block_content.mt_background_image_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:25:"field_mt_background_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_bg_image_color";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:29:"field_mt_bg_image_layout_mode";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:25:"field_mt_bg_image_opacity";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:29:"field_mt_bg_image_positioning";a:5:{s:6:"weight";i:2;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:6;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_background_video_block.default', 'a:10:{s:4:"uuid";s:36:"1fbd22d1-4b25-4399-8276-4f38d567980d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:2;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:3;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:4;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:5;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:6;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:7;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";i:8;s:21:"image.style.thumbnail";}s:6:"module";a:2:{i:0;s:4:"file";i:1;s:5:"image";}}s:2:"id";s:47:"block_content.mt_background_video_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:7;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_bv_layout_mode";a:5:{s:6:"weight";i:6;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:25:"field_mt_bv_overlay_color";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_bv_overlay_opacity";a:5:{s:6:"weight";i:5;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:18:"field_mt_bv_poster";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_bv_video_mp4";a:5:{s:6:"weight";i:1;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:22:"field_mt_bv_video_webm";a:5:{s:6:"weight";i:2;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_collapsible_block.default', 'a:10:{s:4:"uuid";s:36:"8196430b-f257-4769-9d66-d636dd23222a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:71:"field.field.block_content.mt_collapsible_block.field_mt_block_reference";i:2;s:72:"field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon";i:3;s:70:"field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon";i:4;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_state";i:5;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_title";i:6;s:75:"field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position";}}s:2:"id";s:42:"block_content.mt_collapsible_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:6;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:25:"field_mt_cb_collapse_icon";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:23:"field_mt_cb_expand_icon";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:17:"field_mt_cb_state";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:17:"field_mt_cb_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_cb_trigger_position";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_dropdowns_block.default', 'a:10:{s:4:"uuid";s:36:"4da315a2-89b9-48ce-a469-5f1ccc114c9d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:40:"block_content.mt_dropdowns_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_dropdown";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_fancy_linked_images_block.default', 'a:10:{s:4:"uuid";s:36:"8fcde634-491c-44f8-b37c-f65f9db24187";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:50:"block_content.mt_fancy_linked_images_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:27:"field_mt_fancy_linked_image";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_fancy_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"9e486985-b11b-4a11-a202-71cca9344902";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.mt_fancy_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:18:"field_mt_fancy_tab";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_fltt_block.default', 'a:10:{s:4:"uuid";s:36:"c9c775d4-52d7-4947-8832-d928c4a49bb2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"block_content.mt_fltt_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:13:"field_mt_fltt";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_google_maps.default', 'a:10:{s:4:"uuid";s:36:"1e40ff88-865a-4cb0-a6df-2a5e312f4e57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:2;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:36:"block_content.mt_google_maps.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:21:"field_mt_map_location";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:1;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_map_zoom";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_if_block.default', 'a:10:{s:4:"uuid";s:36:"7713358b-d7bb-4f61-b16f-38d653cc9af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:49:"field.field.block_content.mt_if_block.field_mt_if";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"block_content.mt_if_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:11:"field_mt_if";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:27;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_main_slideshow_block.default', 'a:11:{s:4:"uuid";s:36:"8f489796-f547-45ff-8672-f73f68415ff1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:2;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:3;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:4;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:5;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:6;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:7;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:8;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:9;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:10;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";}s:6:"module";a:2:{i:0;s:11:"field_group";i:1;s:10:"paragraphs";}}s:20:"third_party_settings";a:1:{s:11:"field_group";a:1:{s:20:"group_mt_ms_settings";a:7:{s:8:"children";a:9:{i:0;s:18:"field_mt_ms_effect";i:1;s:27:"field_mt_ms_effect_duration";i:2;s:30:"field_mt_main_slideshow_layout";i:3;s:32:"field_mt_ms_ignore_header_height";i:4;s:26:"field_mt_ms_initial_height";i:5;s:28:"field_mt_ms_navigation_style";i:6;s:28:"field_mt_ms_bullets_position";i:7;s:27:"field_mt_ms_touch_swipe_nav";i:8;s:30:"field_mt_ms_background_opacity";}s:11:"parent_name";s:0:"";s:6:"weight";i:8;s:11:"format_type";s:7:"details";s:15:"format_settings";a:5:{s:5:"label";s:23:"Main Slideshow Settings";s:4:"open";b:1;s:15:"required_fields";b:1;s:2:"id";s:0:"";s:7:"classes";s:0:"";}s:5:"label";s:23:"Main Slideshow Settings";s:6:"region";s:7:"content";}}}s:2:"id";s:45:"block_content.mt_main_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:30:"field_mt_main_slideshow_layout";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:29:"field_mt_main_slideshow_slide";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:1;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_ms_background_opacity";a:5:{s:6:"weight";i:12;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_bullets_position";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_ms_effect";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_ms_effect_duration";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:32:"field_mt_ms_ignore_header_height";a:5:{s:6:"weight";i:6;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:26:"field_mt_ms_initial_height";a:5:{s:6:"weight";i:7;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_navigation_style";a:5:{s:6:"weight";i:9;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:27:"field_mt_ms_touch_swipe_nav";a:5:{s:6:"weight";i:11;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_media_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"eee40aac-d896-4135-834d-abb714fbace3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.mt_media_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:18:"field_mt_media_tab";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_nodes_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"142a8db9-15bc-4622-a6bb-a44f90231838";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";}}s:2:"id";s:46:"block_content.mt_nodes_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:17:"field_mt_ns_slide";a:5:{s:6:"weight";i:3;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"f72667f3-48e6-4e09-9ca8-84e210a81e20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";}}s:2:"id";s:35:"block_content.mt_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:24:"field_mt_block_reference";a:5:{s:6:"weight";i:3;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_timeline_block.default', 'a:10:{s:4:"uuid";s:36:"ea94e29c-8e2b-42ef-9a8c-59934fcb1f86";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:70:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item";i:2;s:74:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";}s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:39:"block_content.mt_timeline_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_item";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:27;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_tml_timeline_viewmore";a:5:{s:6:"weight";i:28;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.block_content.mt_typing_animation_block.default', 'a:10:{s:4:"uuid";s:36:"d9fe5a47-3f17-4466-bf54-cb5e635860c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:56:"field.field.block_content.mt_typing_animation_block.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:47:"block_content.mt_typing_animation_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:26;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}');
INSERT INTO `config_snapshot` VALUES
('', 'core.entity_form_display.block_content.mt_video_gallery_block.default', 'a:10:{s:4:"uuid";s:36:"8efc2e26-37ec-4457-8e21-0d53c55466bd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";}s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:44:"block_content.mt_video_gallery_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:29:"field_mt_video_gallery_slides";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:4;s:8:"settings";a:5:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"info";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.comment.comment.default', 'a:11:{s:4:"uuid";s:36:"00cefa62-75f7-4282-af89-ce34005cbe87";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:40:"field.field.comment.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ooVjelXSXbiQtp-hYb7LS44vR5UO-Kqu4vf484ggR8w";}s:2:"id";s:23:"comment.comment.default";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:6:"author";a:2:{s:6:"weight";i:-2;s:6:"region";s:7:"content";}s:12:"comment_body";a:5:{s:4:"type";s:13:"text_textarea";s:6:"weight";i:11;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.contact_message.alternative.default', 'a:10:{s:4:"uuid";s:36:"5f5aae53-9318-4c34-bdb9-789d5631101f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"contact.form.alternative";}}s:2:"id";s:35:"contact_message.alternative.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:11:"alternative";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"copy";a:4:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:2:{s:6:"weight";i:40;s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.contact_message.feedback.default', 'a:10:{s:4:"uuid";s:36:"f3863b3c-9dd7-40be-a844-b0812855716b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:21:"contact.form.feedback";}}s:2:"id";s:32:"contact_message.feedback.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:8:"feedback";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"copy";a:4:{s:6:"weight";i:50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:-40;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:-50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:2:{s:6:"weight";i:40;s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.contact_message.personal.default', 'a:10:{s:4:"uuid";s:36:"bb22db0d-bc11-4582-9ecf-de76dd8185f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:21:"contact.form.personal";}}s:2:"id";s:32:"contact_message.personal.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:8:"personal";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:4:"copy";a:4:{s:6:"weight";i:50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"mail";a:4:{s:6:"weight";i:-40;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"message";a:5:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"rows";i:12;s:11:"placeholder";s:7:"Message";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"name";a:4:{s:6:"weight";i:-50;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"preview";a:2:{s:6:"weight";i:40;s:6:"region";s:7:"content";}s:9:"recipient";a:4:{s:6:"weight";i:-30;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"subject";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:7:"Subject";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.article.default', 'a:11:{s:4:"uuid";s:36:"eea34379-0502-4f6d-b1f7-2a3acbdd3d70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:29:"field.field.node.article.body";i:1;s:32:"field.field.node.article.comment";i:2;s:36:"field.field.node.article.field_image";i:3;s:43:"field.field.node.article.field_mt_slideshow";i:4;s:49:"field.field.node.article.field_mt_slideshow_image";i:5;s:48:"field.field.node.article.field_mt_slideshow_text";i:6;s:39:"field.field.node.article.field_mt_video";i:7;s:35:"field.field.node.article.field_tags";i:8;s:21:"image.style.thumbnail";i:9;s:17:"node.type.article";}s:6:"module";a:5:{i:0;s:7:"comment";i:1;s:5:"image";i:2;s:4:"path";i:3;s:4:"text";i:4;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7CvVDwPYotAZFBa36mcpMKZOfVRRp_iGuPHpHaavI6E";}s:2:"id";s:20:"node.article.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:7:"default";s:7:"content";a:15:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:4;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"comment";a:5:{s:4:"type";s:15:"comment_default";s:6:"weight";i:13;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:11:"field_image";a:5:{s:4:"type";s:11:"image_image";s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_slideshow";a:5:{s:6:"weight";i:8;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:24:"field_mt_slideshow_image";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_slideshow_text";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:14:"field_mt_video";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:10:"field_tags";a:5:{s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"weight";i:5;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:14;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:12;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:9;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_album.default', 'a:10:{s:4:"uuid";s:36:"ef0d5a12-7bbb-4103-9936-579a0244f61d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_body";i:1;s:44:"field.field.node.mt_album.field_mt_alb_image";i:2;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:3;s:44:"field.field.node.mt_album.field_mt_alb_video";i:4;s:21:"image.style.thumbnail";i:5;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";i:3;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_album.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:7;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_alb_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:18:"field_mt_alb_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_alb_tags";a:5:{s:6:"weight";i:6;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:9;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:3;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_benefit.default', 'a:10:{s:4:"uuid";s:36:"926a3b33-ce93-4e17-bb34-9c3b92631ae6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:45:"field.field.node.mt_benefit.field_mt_bnf_body";i:1;s:57:"field.field.node.mt_benefit.field_mt_bnf_fontawesome_icon";i:2;s:46:"field.field.node.mt_benefit.field_mt_bnf_image";i:3;s:55:"field.field.node.mt_benefit.field_mt_bnf_subheader_body";i:4;s:45:"field.field.node.mt_benefit.field_mt_bnf_tags";i:5;s:46:"field.field.node.mt_benefit.field_mt_bnf_video";i:6;s:21:"image.style.thumbnail";i:7;s:20:"node.type.mt_benefit";}s:6:"module";a:5:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"path";i:3;s:4:"text";i:4;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_benefit.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:4:"mode";s:7:"default";s:7:"content";a:13:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:13;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_bnf_body";a:5:{s:6:"weight";i:6;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:29:"field_mt_bnf_fontawesome_icon";a:5:{s:6:"weight";i:8;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:18:"field_mt_bnf_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:27:"field_mt_bnf_subheader_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_bnf_tags";a:5:{s:6:"weight";i:7;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_bnf_video";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:16;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:17;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:12;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_event.default', 'a:10:{s:4:"uuid";s:36:"b8964e63-5165-479e-a3ea-d87f1a987f07";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:13:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_body";i:1;s:43:"field.field.node.mt_event.field_mt_evn_date";i:2;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:3;s:44:"field.field.node.mt_event.field_mt_evn_files";i:4;s:44:"field.field.node.mt_event.field_mt_evn_image";i:5;s:47:"field.field.node.mt_event.field_mt_evn_location";i:6;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:7;s:44:"field.field.node.mt_event.field_mt_evn_place";i:8;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:9;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:10;s:44:"field.field.node.mt_event.field_mt_evn_video";i:11;s:21:"image.style.thumbnail";i:12;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:10:"paragraphs";i:4;s:4:"path";i:5;s:4:"text";i:6;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_event.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:7:"default";s:7:"content";a:18:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_evn_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:5:{s:6:"weight";i:11;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:8;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:21:"field_mt_evn_map_zoom";a:5:{s:6:"weight";i:9;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:5:{s:6:"weight";i:6;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:5:{s:6:"weight";i:7;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:16;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:17;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:12;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_presentation.default', 'a:10:{s:4:"uuid";s:36:"d1b119c6-52c0-43a6-8aaf-a1446a64f846";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:15:{i:0;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:1;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:2;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:3;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:4;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:5;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:7;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:8;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:11;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:12;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:13;s:21:"image.style.thumbnail";i:14;s:25:"node.type.mt_presentation";}s:6:"module";a:6:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:28:"node.mt_presentation.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:7:"default";s:7:"content";a:20:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:15;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_prs_affiliations";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_prs_authors";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:17:"field_mt_prs_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_prs_category";a:5:{s:6:"weight";i:11;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:17:"field_mt_prs_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_files";a:5:{s:6:"weight";i:8;s:8:"settings";a:1:{s:18:"progress_indicator";s:8:"throbber";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_generic";s:6:"region";s:7:"content";}s:18:"field_mt_prs_image";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_prs_location";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_prs_session";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:20:"field_mt_prs_speaker";a:5:{s:6:"weight";i:12;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:20:"field_mt_prs_sponsor";a:5:{s:6:"weight";i:13;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:19:"field_mt_prs_topics";a:5:{s:6:"weight";i:9;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_prs_video";a:5:{s:6:"weight";i:7;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:18;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:19;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:17;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:14;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_product.default', 'a:10:{s:4:"uuid";s:36:"813a86f2-e86b-4f2b-8f04-24cdbbfc8cbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:19:{i:0;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:1;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:2;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:3;s:45:"field.field.node.mt_product.field_mt_prd_body";i:4;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:5;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:6;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:7;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:8;s:46:"field.field.node.mt_product.field_mt_prd_image";i:9;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:10;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:11;s:46:"field.field.node.mt_product.field_mt_prd_price";i:12;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:13;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:14;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:15;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:16;s:46:"field.field.node.mt_product.field_mt_prd_video";i:17;s:21:"image.style.thumbnail";i:18;s:20:"node.type.mt_product";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:10:"paragraphs";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_product.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:7:"default";s:7:"content";a:24:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:20;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:32:"field_mt_prd_additional_features";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:7;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_prd_availability";a:5:{s:6:"weight";i:10;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:28:"field_mt_prd_banner_carousel";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_prd_body";a:5:{s:6:"weight";i:6;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_prd_buy_link";a:5:{s:6:"weight";i:14;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:23:"field_mt_prd_categories";a:5:{s:6:"weight";i:11;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:25:"field_mt_prd_content_tabs";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:15;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:22:"field_mt_prd_highlight";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:5;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_prd_image";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:28:"field_mt_prd_landscape_image";a:5:{s:6:"weight";i:18;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:25:"field_mt_prd_most_popular";a:5:{s:6:"weight";i:17;s:8:"settings";a:1:{s:13:"display_label";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"boolean_checkbox";s:6:"region";s:7:"content";}s:18:"field_mt_prd_price";a:5:{s:6:"weight";i:13;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:31:"field_mt_prd_pricing_table_item";a:5:{s:6:"weight";i:16;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_prd_product_code";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:27:"field_mt_prd_subheader_body";a:5:{s:6:"weight";i:3;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_prd_tags";a:5:{s:6:"weight";i:12;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:18:"field_mt_prd_video";a:5:{s:6:"weight";i:8;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:23;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:21;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:22;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:19;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_service.default', 'a:10:{s:4:"uuid";s:36:"7f86e331-8cca-4643-9f80-f5dbcc3124e6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:1;s:45:"field.field.node.mt_service.field_mt_srv_body";i:2;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:3;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:4;s:46:"field.field.node.mt_service.field_mt_srv_image";i:5;s:46:"field.field.node.mt_service.field_mt_srv_price";i:6;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:7;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:8;s:46:"field.field.node.mt_service.field_mt_srv_video";i:9;s:21:"image.style.thumbnail";i:10;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:10:"paragraphs";i:3;s:4:"path";i:4;s:4:"text";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_service.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:7:"default";s:7:"content";a:16:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_srv_banner_image";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_srv_body";a:5:{s:6:"weight";i:6;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_srv_buy_link";a:5:{s:6:"weight";i:10;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:22:"field_mt_srv_highlight";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:5;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_srv_image";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:18:"field_mt_srv_price";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_srv_service_tags";a:5:{s:6:"weight";i:8;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:27:"field_mt_srv_subheader_body";a:5:{s:6:"weight";i:3;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:5:{s:6:"weight";i:7;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:15;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:13;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:14;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:11;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_showcase.default', 'a:10:{s:4:"uuid";s:36:"1a812a71-5ff8-46d3-8604-d1e4cdb2b5b0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:46:"field.field.node.mt_showcase.field_mt_shw_body";i:1;s:54:"field.field.node.mt_showcase.field_mt_shw_clients_tags";i:2;s:59:"field.field.node.mt_showcase.field_mt_shw_content_collapses";i:3;s:47:"field.field.node.mt_showcase.field_mt_shw_image";i:4;s:55:"field.field.node.mt_showcase.field_mt_shw_showcase_tags";i:5;s:56:"field.field.node.mt_showcase.field_mt_shw_subheader_body";i:6;s:50:"field.field.node.mt_showcase.field_mt_shw_subtitle";i:7;s:47:"field.field.node.mt_showcase.field_mt_shw_video";i:8;s:21:"image.style.thumbnail";i:9;s:21:"node.type.mt_showcase";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:10:"paragraphs";i:2;s:4:"path";i:3;s:4:"text";i:4;s:17:"video_embed_field";}}s:2:"id";s:24:"node.mt_showcase.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:4:"mode";s:7:"default";s:7:"content";a:15:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:23;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_shw_body";a:5:{s:6:"weight";i:11;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:25:"field_mt_shw_clients_tags";a:5:{s:6:"weight";i:17;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:30:"field_mt_shw_content_collapses";a:5:{s:4:"type";s:27:"entity_reference_paragraphs";s:6:"weight";i:13;s:8:"settings";a:6:{s:5:"title";s:9:"Paragraph";s:12:"title_plural";s:10:"Paragraphs";s:9:"edit_mode";s:4:"open";s:8:"add_mode";s:8:"dropdown";s:17:"form_display_mode";s:7:"default";s:22:"default_paragraph_type";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_shw_image";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:26:"field_mt_shw_showcase_tags";a:5:{s:6:"weight";i:15;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:27:"field_mt_shw_subheader_body";a:5:{s:6:"weight";i:3;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_shw_subtitle";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:18:"field_mt_shw_video";a:5:{s:6:"weight";i:9;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:26;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:27;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:25;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:22;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_speaker.default', 'a:10:{s:4:"uuid";s:36:"72450637-0088-42cd-8c14-28a5fe22d47b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:1;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:2;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:4;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:5;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:6;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:8;s:21:"image.style.thumbnail";i:9;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:23:"node.mt_speaker.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:7:"default";s:7:"content";a:15:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:22;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_spk_affiliations";a:5:{s:6:"weight";i:17;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:34:"entity_reference_autocomplete_tags";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:5:{s:6:"weight";i:15;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:5:{s:6:"weight";i:11;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:5:{s:6:"weight";i:13;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:25;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:23;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:26;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:21;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_sponsor.default', 'a:10:{s:4:"uuid";s:36:"e0c2d206-b3b9-4557-a7b4-ca33ce3a5757";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:2;s:21:"image.style.thumbnail";i:3;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:23:"node.mt_sponsor.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_spn_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:17:"field_mt_spn_logo";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:9;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:7;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:10;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:8;s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:5;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:6:"region";s:7:"content";s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.mt_team_member.default', 'a:10:{s:4:"uuid";s:36:"11c06597-e0d0-441a-ac58-558b4036a669";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:1;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:3;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:4;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:5;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:7;s:21:"image.style.thumbnail";i:8;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:27:"node.mt_team_member.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:20;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_tmm_body";a:5:{s:6:"weight";i:15;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_facebook_account";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_linkedin_account";a:5:{s:6:"weight";i:11;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_tmm_member_photo";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_tmm_subtitle";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_twitter_account";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_youtube_account";a:5:{s:6:"weight";i:13;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:23;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:21;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:24;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:22;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:19;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}');
INSERT INTO `config_snapshot` VALUES
('', 'core.entity_form_display.node.mt_testimonial.default', 'a:10:{s:4:"uuid";s:36:"75a5b5eb-cde2-40b0-a343-eeb416b4682e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:1;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:2;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:3;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"path";i:3;s:4:"text";}}s:2:"id";s:27:"node.mt_testimonial.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:14;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:17:"field_mt_tst_body";a:5:{s:6:"weight";i:5;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:21:"field_mt_tst_subtitle";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:30:"field_mt_tst_testimonial_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:29:"field_mt_tst_testimonial_link";a:5:{s:6:"weight";i:9;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:17;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:18;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:13;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.node.page.default', 'a:11:{s:4:"uuid";s:36:"42c86e3c-5f41-4f65-97c6-5bdd0dd1dc0f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:26:"field.field.node.page.body";i:1;s:45:"field.field.node.page.field_mt_subheader_body";i:2;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"path";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KSvzyFhdLuxniTsunUnUfpfMmod2l57GibtVjL8ymHM";}s:2:"id";s:17:"node.page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:4:"body";a:5:{s:4:"type";s:26:"text_textarea_with_summary";s:6:"weight";i:3;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"created";a:5:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:9;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:23:"field_mt_subheader_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:12;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:7:"promote";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:10;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"status";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:121;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:6:"sticky";a:5:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:11;s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:3:"uid";a:5:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:8;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.paragraph.mt_additional_feature.default', 'a:10:{s:4:"uuid";s:36:"d26fa8bc-555a-4c12-b614-2ee51df1e025";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:61:"field.field.paragraph.mt_additional_feature.field_mt_adf_body";i:1;s:64:"field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon";i:2;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_image";i:3;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_title";i:4;s:21:"image.style.thumbnail";i:5;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"text";}}s:2:"id";s:39:"paragraph.mt_additional_feature.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:17:"field_mt_adf_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:20:"field_mt_adf_fa_icon";a:5:{s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:18:"field_mt_adf_image";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:18:"field_mt_adf_title";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_collapse.default', 'a:10:{s:4:"uuid";s:36:"74f0f725-170b-481c-b405-e4e7735ad171";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:1;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:2;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:29:"paragraph.mt_collapse.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:22:"field_mt_collapse_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:23:"field_mt_collapse_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_dropdown.default', 'a:10:{s:4:"uuid";s:36:"898680fd-963a-42a7-a292-ca4d30525d61";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:1;s:59:"field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:29:"paragraph.mt_dropdown.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:23:"field_mt_dropdown_block";a:5:{s:6:"weight";i:2;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:25:"field_mt_dropdown_fa_icon";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_fancy_linked_image.default', 'a:10:{s:4:"uuid";s:36:"c21a131b-0c05-44e5-863e-925cad05f171";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:71:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";i:1;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:2;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:3;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:4;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:5;s:21:"image.style.thumbnail";i:6;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";}}s:2:"id";s:39:"paragraph.mt_fancy_linked_image.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:27:"field_mt_fli_button_fa_icon";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:18:"field_mt_fli_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:17:"field_mt_fli_link";a:5:{s:4:"type";s:12:"link_default";s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_fli_shape";a:5:{s:6:"weight";i:5;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:18:"field_mt_fli_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_fancy_tab.default', 'a:10:{s:4:"uuid";s:36:"907285b5-06ed-4d87-b482-1d56b154ebdf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:1;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:2;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:3;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:30:"paragraph.mt_fancy_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:30:"field_mt_fancy_block_reference";a:5:{s:6:"weight";i:2;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:29:"entity_reference_autocomplete";s:6:"region";s:7:"content";}s:23:"field_mt_fancy_subtitle";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_fancy_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_featured_linked_text_tile.default', 'a:10:{s:4:"uuid";s:36:"ef9e5f11-e359-4b1f-abbf-353761059e14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:1;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:2;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:3;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_featured_linked_text_tile.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:18:"field_mt_fltt_body";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:18:"field_mt_fltt_link";a:5:{s:4:"type";s:12:"link_default";s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:19:"field_mt_fltt_title";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_highlight.default', 'a:10:{s:4:"uuid";s:36:"b78c9233-ee52-4ce7-939c-6d3b9189c67f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:1;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:2;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:3;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:4;s:21:"image.style.thumbnail";i:5;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_highlight.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:23:"field_mt_highlight_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_image";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:23:"field_mt_highlight_link";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_icon_features.default', 'a:10:{s:4:"uuid";s:36:"02bba738-478b-4c3b-9b77-6e4e36355a82";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:1;s:58:"field.field.paragraph.mt_icon_features.field_mt_if_fa_icon";i:2;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:3;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:4;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:5;s:21:"image.style.thumbnail";i:6;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:4:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";}}s:2:"id";s:34:"paragraph.mt_icon_features.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:16:"field_mt_if_body";a:5:{s:6:"weight";i:4;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:19:"field_mt_if_fa_icon";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"fontawesome_icon_widget";s:6:"region";s:7:"content";}s:17:"field_mt_if_image";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:16:"field_mt_if_link";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:17:"field_mt_if_title";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_main_slideshow_slide.default', 'a:10:{s:4:"uuid";s:36:"2f4c3b21-c151-4111-978c-b2d4edfdce2e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:1;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:2;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:3;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:4;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:5;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:6;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:7;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:8;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:9;s:21:"image.style.thumbnail";i:10;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"link";}}s:2:"id";s:41:"paragraph.mt_main_slideshow_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:25:"field_mt_ms_slide_caption";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:15:"string_textarea";s:6:"region";s:7:"content";}s:31:"field_mt_ms_slide_caption_color";a:5:{s:6:"weight";i:3;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:14:"options_select";s:6:"region";s:7:"content";}s:30:"field_mt_ms_slide_caption_opac";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_image";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:22:"field_mt_ms_slide_link";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:26:"field_mt_ms_slide_vimeo_id";a:5:{s:6:"weight";i:6;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:24:"field_mt_ms_slide_volume";a:5:{s:6:"weight";i:8;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:28:"field_mt_ms_slide_youtube_id";a:5:{s:6:"weight";i:7;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_map_location.default', 'a:10:{s:4:"uuid";s:36:"fb3e5e5d-bad3-4d2b-af1c-c80d125c3a10";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:1;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:2;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:3;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:33:"paragraph.mt_map_location.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:20:"field_mt_ml_latitude";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:25:"field_mt_ml_location_name";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:21:"field_mt_ml_longitude";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_media_tab.default', 'a:10:{s:4:"uuid";s:36:"f8df525a-0299-4fe8-95d9-6ae418dabfd3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:1;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:2;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:3;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:4;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:5;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:6;s:21:"image.style.thumbnail";i:7;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";i:3;s:17:"video_embed_field";}}s:2:"id";s:30:"paragraph.mt_media_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:19:"field_mt_media_body";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:21:"field_mt_media_button";a:5:{s:6:"weight";i:5;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:20:"field_mt_media_image";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:24:"field_mt_media_tab_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_media_title";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:20:"field_mt_media_video";a:5:{s:6:"weight";i:4;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_tab.default', 'a:10:{s:4:"uuid";s:36:"c60c5aa4-1928-4818-90fe-54aa3e8f6fa6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:1;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:24:"paragraph.mt_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:20:"field_mt_tab_content";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"rows";i:5;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:13:"text_textarea";s:6:"region";s:7:"content";}s:18:"field_mt_tab_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_timeline_item.default', 'a:10:{s:4:"uuid";s:36:"8e4ae787-0a8a-48de-a52a-6b2b8ff35ea3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date";i:1;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link";i:2;s:66:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title";i:3;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"link";}}s:2:"id";s:34:"paragraph.mt_timeline_item.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_date";a:5:{s:6:"weight";i:1;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:26:"field_mt_tml_timeline_link";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:15:"placeholder_url";s:0:"";s:17:"placeholder_title";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"link_default";s:6:"region";s:7:"content";}s:27:"field_mt_tml_timeline_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.paragraph.mt_video_gallery_slide.default', 'a:10:{s:4:"uuid";s:36:"f9c092ec-32a2-4fd6-8db4-cf73105ce8f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:1;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:2;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:3;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:4;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:5;s:21:"image.style.thumbnail";i:6;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:40:"paragraph.mt_video_gallery_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:24:"field_mt_vgs_slide_title";a:5:{s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:22:"field_mt_vgs_thumbnail";a:5:{s:6:"weight";i:3;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:21:"field_mt_vgs_vimeo_id";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:19:"field_mt_vgs_volume";a:5:{s:6:"weight";i:4;s:8:"settings";a:1:{s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"number";s:6:"region";s:7:"content";}s:23:"field_mt_vgs_youtube_id";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:6:"status";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_form_display.taxonomy_term.mt_affiliations.default', 'a:10:{s:4:"uuid";s:36:"0c8f9c68-92e4-46ab-960c-0590e1517862";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:68:"field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image";i:1;s:21:"image.style.thumbnail";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:37:"taxonomy_term.mt_affiliations.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:11:"description";a:5:{s:4:"type";s:13:"text_textarea";s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:11:"placeholder";s:0:"";s:4:"rows";i:5;}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_affiliation_image";a:5:{s:6:"weight";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"name";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.taxonomy_term.mt_brands_tags.default', 'a:10:{s:4:"uuid";s:36:"e2661048-e691-4634-baa6-9ee4eddc4a93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:1;s:21:"image.style.thumbnail";i:2;s:34:"taxonomy.vocabulary.mt_brands_tags";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_brands_tags.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_brands_tags";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:11:"description";a:5:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:20:"field_mt_brand_image";a:5:{s:6:"weight";i:31;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"name";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:30;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.taxonomy_term.mt_collections.default', 'a:10:{s:4:"uuid";s:36:"a5d7a563-7318-45ad-9f36-900a2fc638ca";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:1;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:2;s:21:"image.style.thumbnail";i:3;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"path";i:2;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_collections.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:11:"description";a:5:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_collection_image";a:5:{s:6:"weight";i:31;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:30:"field_mt_wide_collection_image";a:5:{s:6:"weight";i:32;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:4:"type";s:11:"image_image";s:6:"region";s:7:"content";}s:4:"name";a:5:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:4:"path";a:5:{s:4:"type";s:4:"path";s:6:"weight";i:30;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_display.user.user.default', 'a:11:{s:4:"uuid";s:36:"4c08e0a8-5971-46fc-879f-ad962dc81471";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.field.user.user.field_mt_full_name";i:1;s:40:"field.field.user.user.field_mt_signature";i:2;s:34:"field.field.user.user.user_picture";i:3;s:21:"image.style.thumbnail";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"LLAieeozVsoZDb-2PbFxRJpQqnKmpR7-4OoRJnduz-U";}s:2:"id";s:17:"user.user.default";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"default";s:7:"content";a:7:{s:7:"account";a:4:{s:6:"weight";i:0;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:7:"contact";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_full_name";a:5:{s:6:"weight";i:2;s:8:"settings";a:2:{s:4:"size";i:60;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"string_textfield";s:6:"region";s:7:"content";}s:18:"field_mt_signature";a:5:{s:6:"weight";i:3;s:8:"settings";a:3:{s:4:"rows";i:9;s:12:"summary_rows";i:3;s:11:"placeholder";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"text_textarea_with_summary";s:6:"region";s:7:"content";}s:8:"language";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:8:"timezone";a:4:{s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"user_picture";a:5:{s:4:"type";s:11:"image_image";s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:20:"third_party_settings";a:0:{}s:6:"weight";i:1;s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_form_mode.user.register', 'a:9:{s:4:"uuid";s:36:"85abc5c1-223a-434a-bc58-df86662fa3d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"flXhTcp55yLcyy7ZLOhPGKGZobZQJdkAFVWV3LseiuI";}s:2:"id";s:13:"user.register";s:5:"label";s:8:"Register";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}'),
('', 'core.entity_view_display.block_content.basic.default', 'a:11:{s:4:"uuid";s:36:"3021ae9c-fbd0-439d-aaaf-069fa3c90536";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:36:"field.field.block_content.basic.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zCrrHAjrsQgWjBXBsshAZjND21czBy8sH_L5v_xDKSA";}s:2:"id";s:27:"block_content.basic.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:5:"basic";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_background_image_block.default', 'a:10:{s:4:"uuid";s:36:"ddcc87b0-50a3-4e35-a0a5-4fb5968c0aea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";i:2;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";i:3;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";i:4;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";i:5;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";i:6;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";}}s:2:"id";s:47:"block_content.mt_background_image_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:5:{s:25:"field_mt_background_image";b:1;s:23:"field_mt_bg_image_color";b:1;s:29:"field_mt_bg_image_layout_mode";b:1;s:25:"field_mt_bg_image_opacity";b:1;s:29:"field_mt_bg_image_positioning";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_background_video_block.default', 'a:10:{s:4:"uuid";s:36:"d8e6a67d-156e-458b-a248-969111195826";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:8:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";i:2;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";i:3;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";i:4;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";i:5;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";i:6;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";i:7;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";}}s:2:"id";s:47:"block_content.mt_background_video_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:6:{s:23:"field_mt_bv_layout_mode";b:1;s:25:"field_mt_bv_overlay_color";b:1;s:27:"field_mt_bv_overlay_opacity";b:1;s:18:"field_mt_bv_poster";b:1;s:21:"field_mt_bv_video_mp4";b:1;s:22:"field_mt_bv_video_webm";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_collapsible_block.default', 'a:10:{s:4:"uuid";s:36:"671d497d-6d6a-4b22-8555-8122bf67ac0b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:7:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:71:"field.field.block_content.mt_collapsible_block.field_mt_block_reference";i:2;s:72:"field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon";i:3;s:70:"field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon";i:4;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_state";i:5;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_title";i:6;s:75:"field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position";}}s:2:"id";s:42:"block_content.mt_collapsible_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:5:{s:25:"field_mt_cb_collapse_icon";b:1;s:23:"field_mt_cb_expand_icon";b:1;s:17:"field_mt_cb_state";b:1;s:17:"field_mt_cb_title";b:1;s:28:"field_mt_cb_trigger_position";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_dropdowns_block.default', 'a:10:{s:4:"uuid";s:36:"1a8abdd8-32e9-43ca-a55f-c231e05a240b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:40:"block_content.mt_dropdowns_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:17:"field_mt_dropdown";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_fancy_linked_images_block.default', 'a:10:{s:4:"uuid";s:36:"187fcbab-b85d-44fb-9af3-f1bf6a34865b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_fancy_linked_images_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:27:"field_mt_fancy_linked_image";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_fancy_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"02aa789c-e09a-4921-ba95-db9a210f9af5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_fancy_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fancy_tab";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_fltt_block.default', 'a:10:{s:4:"uuid";s:36:"fe5314e6-33a1-4beb-82e5-2cfa537b957d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:35:"block_content.mt_fltt_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:13:"field_mt_fltt";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_google_maps.default', 'a:10:{s:4:"uuid";s:36:"27bffcb5-39e6-42bc-a34d-2ffed0abeb1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";i:2;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:36:"block_content.mt_google_maps.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:21:"field_mt_map_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:1:{s:17:"field_mt_map_zoom";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_if_block.default', 'a:10:{s:4:"uuid";s:36:"acb2e8f2-f1d9-44a9-905f-ff4bc0df9af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:49:"field.field.block_content.mt_if_block.field_mt_if";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:33:"block_content.mt_if_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:11:"field_mt_if";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_main_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"b912651f-d6b5-430c-8d9d-2ab6cce4d153";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";i:2;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";i:3;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";i:4;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";i:5;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";i:6;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";i:7;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";i:8;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";i:9;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";i:10;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:45:"block_content.mt_main_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:29:"field_mt_main_slideshow_slide";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:9:{s:30:"field_mt_main_slideshow_layout";b:1;s:30:"field_mt_ms_background_opacity";b:1;s:28:"field_mt_ms_bullets_position";b:1;s:18:"field_mt_ms_effect";b:1;s:27:"field_mt_ms_effect_duration";b:1;s:32:"field_mt_ms_ignore_header_height";b:1;s:26:"field_mt_ms_initial_height";b:1;s:28:"field_mt_ms_navigation_style";b:1;s:27:"field_mt_ms_touch_swipe_nav";b:1;}}'),
('', 'core.entity_view_display.block_content.mt_media_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"67b362fb-d8bb-481a-a917-2306096dcdc7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_media_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_media_tab";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_nodes_slideshow_block.default', 'a:10:{s:4:"uuid";s:36:"b2c71c2c-8bdb-41c9-add1-c2814f182a73";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";}}s:2:"id";s:46:"block_content.mt_nodes_slideshow_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:17:"field_mt_ns_slide";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:13:"mt_slide_view";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}');
INSERT INTO `config_snapshot` VALUES
('', 'core.entity_view_display.block_content.mt_tabs_block.default', 'a:10:{s:4:"uuid";s:36:"98949051-6c07-442c-84ac-38b0eefae150";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";}}s:2:"id";s:35:"block_content.mt_tabs_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:24:"field_mt_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_timeline_block.default', 'a:10:{s:4:"uuid";s:36:"1a1bcc99-a2f9-439c-9a2c-2a1958e13065";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:70:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item";i:2;s:74:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";}s:6:"module";a:2:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"link";}}s:2:"id";s:39:"block_content.mt_timeline_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:26:"field_mt_tml_timeline_item";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:30:"field_mt_tml_timeline_viewmore";a:6:{s:6:"weight";i:2;s:5:"label";s:15:"visually_hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_typing_animation_block.default', 'a:10:{s:4:"uuid";s:36:"343daf9f-99e2-4f6a-acd6-1f80b766679d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:56:"field.field.block_content.mt_typing_animation_block.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:47:"block_content.mt_typing_animation_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.block_content.mt_video_gallery_block.default', 'a:10:{s:4:"uuid";s:36:"d2d59f86-d41d-4c05-91f0-3c612f6a9323";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:44:"block_content.mt_video_gallery_block.default";s:16:"targetEntityType";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:29:"field_mt_video_gallery_slides";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.comment.comment.default', 'a:11:{s:4:"uuid";s:36:"29569baf-13c0-4450-8e19-6737bfeeac7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:40:"field.field.comment.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"1yBeJcGufCbnbSolmaYgTIXZWYUaO7kw6xszGA8TYs8";}s:2:"id";s:23:"comment.comment.default";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:12:"comment_body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:2:{s:6:"weight";i:100;s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.contact_message.alternative.default', 'a:10:{s:4:"uuid";s:36:"6c017005-bc62-4b27-8796-ddb249b3256a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:1:{i:0;s:24:"contact.form.alternative";}}s:2:"id";s:35:"contact_message.alternative.default";s:16:"targetEntityType";s:15:"contact_message";s:6:"bundle";s:11:"alternative";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:7:"message";a:6:{s:4:"type";s:12:"basic_string";s:6:"weight";i:1;s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.article.default', 'a:11:{s:4:"uuid";s:36:"16771de1-8af0-4cb1-b872-288631e830fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:48:"core.entity_view_display.comment.comment.default";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:5:{i:0;s:7:"comment";i:1;s:5:"image";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JtAg_-waIt1quMtdDtHIaXJMxvTuSmxW7bWyO6Zd68E";}s:2:"id";s:20:"node.article.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:4:"body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:2;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:7:"comment";a:6:{s:5:"label";s:5:"above";s:4:"type";s:15:"comment_default";s:6:"weight";i:4;s:8:"settings";a:2:{s:8:"pager_id";i:0;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:11:"field_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:14:"field_mt_video";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:10:"field_tags";a:6:{s:4:"type";s:22:"entity_reference_label";s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:3:{s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;}}'),
('', 'core.entity_view_display.node.article.mt_video_grid_item', 'a:11:{s:4:"uuid";s:36:"549c3a30-b97a-40b8-b0db-115a77a79e1b";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JtAg_-waIt1quMtdDtHIaXJMxvTuSmxW7bWyO6Zd68E";}s:2:"id";s:31:"node.article.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:4:"body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:14:"field_mt_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:7:"comment";b:1;s:11:"field_image";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:10:"field_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.article.rss', 'a:11:{s:4:"uuid";s:36:"57f7772a-3cfe-4e19-9055-a9c3f56ba339";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:30:"core.entity_view_mode.node.rss";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q90X1FmFdOkTx8udckWPoAgleOstOerbgDnNpoP6PO4";}s:2:"id";s:16:"node.article.rss";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:3:"rss";s:7:"content";a:1:{s:5:"links";a:2:{s:6:"weight";i:100;s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:4:"body";b:1;s:7:"comment";b:1;s:11:"field_image";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:14:"field_mt_video";b:1;s:10:"field_tags";b:1;}}'),
('', 'core.entity_view_display.node.article.teaser', 'a:11:{s:4:"uuid";s:36:"f58e136a-3bf6-455e-b04d-85bb5a366486";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:29:"field.field.node.article.body";i:2;s:32:"field.field.node.article.comment";i:3;s:36:"field.field.node.article.field_image";i:4;s:43:"field.field.node.article.field_mt_slideshow";i:5;s:49:"field.field.node.article.field_mt_slideshow_image";i:6;s:48:"field.field.node.article.field_mt_slideshow_text";i:7;s:39:"field.field.node.article.field_mt_video";i:8;s:35:"field.field.node.article.field_tags";i:9;s:17:"image.style.large";i:10;s:17:"node.type.article";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U8ghxJXn8JE2p6Q2wLpPWAxpz4r_8crL1LxtapSrHAE";}s:2:"id";s:19:"node.article.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:4:"body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}s:11:"field_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:7:"comment";b:1;s:18:"field_mt_slideshow";b:1;s:24:"field_mt_slideshow_image";b:1;s:23:"field_mt_slideshow_text";b:1;s:14:"field_mt_video";b:1;s:10:"field_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_album.default', 'a:10:{s:4:"uuid";s:36:"a227dbcf-75d1-4235-87c0-68db32110152";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_body";i:1;s:44:"field.field.node.mt_album.field_mt_alb_image";i:2;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:3;s:44:"field.field.node.mt_album.field_mt_alb_video";i:4;s:17:"image.style.large";i:5;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_album.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:17:"field_mt_alb_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:18:"field_mt_alb_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_alb_tags";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:5;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_album.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"76fcebaf-409c-4dfe-9f9c-3e5a0de1f7cc";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:43:"field.field.node.mt_album.field_mt_alb_body";i:2;s:44:"field.field.node.mt_album.field_mt_alb_image";i:3;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:4;s:44:"field.field.node.mt_album.field_mt_alb_video";i:5;s:17:"image.style.large";i:6;s:18:"node.type.mt_album";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_album.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_alb_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_alb_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:18:"field_mt_alb_image";b:1;s:17:"field_mt_alb_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_album.teaser', 'a:10:{s:4:"uuid";s:36:"4e754196-0fa0-40d3-83ea-fc7f597ea1c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:43:"field.field.node.mt_album.field_mt_alb_body";i:2;s:44:"field.field.node.mt_album.field_mt_alb_image";i:3;s:43:"field.field.node.mt_album.field_mt_alb_tags";i:4;s:44:"field.field.node.mt_album.field_mt_alb_video";i:5;s:17:"image.style.large";i:6;s:18:"node.type.mt_album";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:20:"node.mt_album.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_album";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_alb_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:2;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_alb_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:2:{s:17:"field_mt_alb_tags";b:1;s:18:"field_mt_alb_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_benefit.default', 'a:10:{s:4:"uuid";s:36:"f053b43e-3322-42e3-b8c6-d34e0a9aef36";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:45:"field.field.node.mt_benefit.field_mt_bnf_body";i:1;s:57:"field.field.node.mt_benefit.field_mt_bnf_fontawesome_icon";i:2;s:46:"field.field.node.mt_benefit.field_mt_bnf_image";i:3;s:55:"field.field.node.mt_benefit.field_mt_bnf_subheader_body";i:4;s:45:"field.field.node.mt_benefit.field_mt_bnf_tags";i:5;s:46:"field.field.node.mt_benefit.field_mt_bnf_video";i:6;s:17:"image.style.large";i:7;s:20:"node.type.mt_benefit";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_benefit.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:4:"mode";s:7:"default";s:7:"content";a:6:{s:17:"field_mt_bnf_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:18:"field_mt_bnf_image";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:27:"field_mt_bnf_subheader_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_bnf_tags";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_bnf_video";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:29:"field_mt_bnf_fontawesome_icon";b:1;}}'),
('', 'core.entity_view_display.node.mt_benefit.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"86dbfe30-3c92-4437-9d9a-d466dfb90a00";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:45:"field.field.node.mt_benefit.field_mt_bnf_body";i:2;s:57:"field.field.node.mt_benefit.field_mt_bnf_fontawesome_icon";i:3;s:46:"field.field.node.mt_benefit.field_mt_bnf_image";i:4;s:55:"field.field.node.mt_benefit.field_mt_bnf_subheader_body";i:5;s:45:"field.field.node.mt_benefit.field_mt_bnf_tags";i:6;s:46:"field.field.node.mt_benefit.field_mt_bnf_video";i:7;s:17:"image.style.large";i:8;s:20:"node.type.mt_benefit";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_benefit.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_bnf_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_bnf_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:5:{s:29:"field_mt_bnf_fontawesome_icon";b:1;s:18:"field_mt_bnf_image";b:1;s:27:"field_mt_bnf_subheader_body";b:1;s:17:"field_mt_bnf_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_benefit.teaser', 'a:10:{s:4:"uuid";s:36:"cb4cd048-5f52-406d-a5a5-db071cb918e3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:45:"field.field.node.mt_benefit.field_mt_bnf_body";i:2;s:57:"field.field.node.mt_benefit.field_mt_bnf_fontawesome_icon";i:3;s:46:"field.field.node.mt_benefit.field_mt_bnf_image";i:4;s:55:"field.field.node.mt_benefit.field_mt_bnf_subheader_body";i:5;s:45:"field.field.node.mt_benefit.field_mt_bnf_tags";i:6;s:46:"field.field.node.mt_benefit.field_mt_bnf_video";i:7;s:17:"image.style.large";i:8;s:20:"node.type.mt_benefit";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_benefit.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_bnf_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:2;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_bnf_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:4:{s:29:"field_mt_bnf_fontawesome_icon";b:1;s:27:"field_mt_bnf_subheader_body";b:1;s:17:"field_mt_bnf_tags";b:1;s:18:"field_mt_bnf_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_event.default', 'a:10:{s:4:"uuid";s:36:"caac6962-9909-4237-b0ba-6ea80dc671e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:13:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_body";i:1;s:43:"field.field.node.mt_event.field_mt_evn_date";i:2;s:53:"field.field.node.mt_event.field_mt_evn_event_category";i:3;s:44:"field.field.node.mt_event.field_mt_evn_files";i:4;s:44:"field.field.node.mt_event.field_mt_evn_image";i:5;s:47:"field.field.node.mt_event.field_mt_evn_location";i:6;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:7;s:44:"field.field.node.mt_event.field_mt_evn_place";i:8;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:9;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:10;s:44:"field.field.node.mt_event.field_mt_evn_video";i:11;s:17:"image.style.large";i:12;s:18:"node.type.mt_event";}s:6:"module";a:7:{i:0;s:8:"datetime";i:1;s:26:"entity_reference_revisions";i:2;s:4:"file";i:3;s:5:"image";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:21:"node.mt_event.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:7:"default";s:7:"content";a:11:{s:17:"field_mt_evn_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_evn_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:7:"mt_time";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:27:"field_mt_evn_event_category";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_evn_files";a:6:{s:6:"weight";i:8;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_evn_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_evn_location";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:24:"mt_get_directions_button";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_evn_place";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_evn_speaker";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:20:"field_mt_evn_sponsor";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:6:"teaser";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}s:18:"field_mt_evn_video";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:10;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:21:"field_mt_evn_map_zoom";b:1;}}'),
('', 'core.entity_view_display.node.mt_event.teaser', 'a:10:{s:4:"uuid";s:36:"f4280b6a-3f28-4d72-a30c-e7a053c1ec39";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:13:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:43:"field.field.node.mt_event.field_mt_evn_body";i:2;s:43:"field.field.node.mt_event.field_mt_evn_date";i:3;s:44:"field.field.node.mt_event.field_mt_evn_files";i:4;s:44:"field.field.node.mt_event.field_mt_evn_image";i:5;s:47:"field.field.node.mt_event.field_mt_evn_location";i:6;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";i:7;s:44:"field.field.node.mt_event.field_mt_evn_place";i:8;s:46:"field.field.node.mt_event.field_mt_evn_speaker";i:9;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";i:10;s:44:"field.field.node.mt_event.field_mt_evn_video";i:11;s:17:"image.style.large";i:12;s:18:"node.type.mt_event";}s:6:"module";a:4:{i:0;s:8:"datetime";i:1;s:5:"image";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:20:"node.mt_event.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:8:"mt_event";s:4:"mode";s:6:"teaser";s:7:"content";a:5:{s:17:"field_mt_evn_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_evn_date";a:6:{s:4:"type";s:16:"datetime_default";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"format_type";s:6:"medium";s:17:"timezone_override";s:0:"";}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_evn_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:2;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_evn_place";a:6:{s:4:"type";s:6:"string";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:6:{s:18:"field_mt_evn_files";b:1;s:21:"field_mt_evn_location";b:1;s:21:"field_mt_evn_map_zoom";b:1;s:20:"field_mt_evn_speaker";b:1;s:20:"field_mt_evn_sponsor";b:1;s:18:"field_mt_evn_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_presentation.default', 'a:10:{s:4:"uuid";s:36:"7e69d613-711d-4659-a521-75104d35342c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:15:{i:0;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:1;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:2;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:3;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:4;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:5;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:7;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:8;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:11;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:12;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:13;s:17:"image.style.large";i:14;s:25:"node.type.mt_presentation";}s:6:"module";a:6:{i:0;s:8:"datetime";i:1;s:4:"file";i:2;s:5:"image";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:28:"node.mt_presentation.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:25:"field_mt_prs_affiliations";a:6:{s:6:"weight";i:3;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_prs_authors";a:6:{s:6:"weight";i:2;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:17:"field_mt_prs_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_prs_category";a:6:{s:6:"weight";i:8;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_prs_date";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"format_type";s:6:"medium";s:17:"timezone_override";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_files";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"file_default";s:6:"region";s:7:"content";}s:18:"field_mt_prs_image";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_prs_location";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:20:"field_mt_prs_session";a:6:{s:6:"weight";i:10;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:20:"field_mt_prs_speaker";a:6:{s:6:"weight";i:11;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:20:"field_mt_prs_sponsor";a:6:{s:6:"weight";i:12;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:19:"field_mt_prs_topics";a:6:{s:6:"weight";i:9;s:5:"label";s:5:"above";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_prs_video";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:13;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_presentation.teaser', 'a:10:{s:4:"uuid";s:36:"8da06888-c4cd-4bae-b68b-e727c8097702";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:16:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";i:2;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";i:3;s:50:"field.field.node.mt_presentation.field_mt_prs_body";i:4;s:54:"field.field.node.mt_presentation.field_mt_prs_category";i:5;s:50:"field.field.node.mt_presentation.field_mt_prs_date";i:6;s:51:"field.field.node.mt_presentation.field_mt_prs_files";i:7;s:51:"field.field.node.mt_presentation.field_mt_prs_image";i:8;s:54:"field.field.node.mt_presentation.field_mt_prs_location";i:9;s:53:"field.field.node.mt_presentation.field_mt_prs_session";i:10;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";i:11;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";i:12;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";i:13;s:51:"field.field.node.mt_presentation.field_mt_prs_video";i:14;s:17:"image.style.large";i:15;s:25:"node.type.mt_presentation";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:27:"node.mt_presentation.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_prs_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prs_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:11:{s:25:"field_mt_prs_affiliations";b:1;s:20:"field_mt_prs_authors";b:1;s:21:"field_mt_prs_category";b:1;s:17:"field_mt_prs_date";b:1;s:18:"field_mt_prs_files";b:1;s:21:"field_mt_prs_location";b:1;s:20:"field_mt_prs_session";b:1;s:20:"field_mt_prs_speaker";b:1;s:20:"field_mt_prs_sponsor";b:1;s:19:"field_mt_prs_topics";b:1;s:18:"field_mt_prs_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.default', 'a:10:{s:4:"uuid";s:36:"117dc762-2666-45b3-ab31-dc6c238e5182";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:19:{i:0;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:1;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:2;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:3;s:45:"field.field.node.mt_product.field_mt_prd_body";i:4;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:5;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:6;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:7;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:8;s:46:"field.field.node.mt_product.field_mt_prd_image";i:9;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:10;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:11;s:46:"field.field.node.mt_product.field_mt_prd_price";i:12;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:13;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:14;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:15;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:16;s:46:"field.field.node.mt_product.field_mt_prd_video";i:17;s:17:"image.style.large";i:18;s:20:"node.type.mt_product";}s:6:"module";a:7:{i:0;s:26:"entity_reference_revisions";i:1;s:5:"image";i:2;s:4:"link";i:3;s:7:"options";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_product.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:7:"default";s:7:"content";a:14:{s:32:"field_mt_prd_additional_features";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:8;s:5:"label";s:5:"above";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:25:"field_mt_prd_availability";a:6:{s:6:"weight";i:15;s:5:"label";s:6:"inline";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"list_default";s:6:"region";s:7:"content";}s:28:"field_mt_prd_banner_carousel";a:6:{s:6:"weight";i:23;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_prd_body";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_prd_buy_link";a:6:{s:6:"weight";i:19;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:25:"field_mt_prd_content_tabs";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:21;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:22:"field_mt_prd_highlight";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_prd_image";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_prd_price";a:6:{s:6:"weight";i:17;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_prd_product_code";a:6:{s:6:"weight";i:14;s:5:"label";s:6:"inline";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:27:"field_mt_prd_subheader_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_prd_tags";a:6:{s:6:"weight";i:12;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:18:"field_mt_prd_video";a:6:{s:6:"weight";i:10;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:22;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:4:{s:23:"field_mt_prd_categories";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.mt_slide_view', 'a:10:{s:4:"uuid";s:36:"d2686508-614d-420d-ba28-afafc7079fb3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:40:"core.entity_view_mode.node.mt_slide_view";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:29:"node.mt_product.mt_slide_view";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:13:"mt_slide_view";s:7:"content";a:2:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:300;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:16:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:18:"field_mt_prd_video";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"173ae27c-4a33-4d13-9083-4dfbb94b92e8";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_product.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:16:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:18:"field_mt_prd_image";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_product.teaser', 'a:10:{s:4:"uuid";s:36:"7e23721c-bb88-421f-abe9-7a2575d0b241";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";i:2;s:53:"field.field.node.mt_product.field_mt_prd_availability";i:3;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";i:4;s:45:"field.field.node.mt_product.field_mt_prd_body";i:5;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";i:6;s:51:"field.field.node.mt_product.field_mt_prd_categories";i:7;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";i:8;s:50:"field.field.node.mt_product.field_mt_prd_highlight";i:9;s:46:"field.field.node.mt_product.field_mt_prd_image";i:10;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";i:11;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";i:12;s:46:"field.field.node.mt_product.field_mt_prd_price";i:13;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";i:14;s:53:"field.field.node.mt_product.field_mt_prd_product_code";i:15;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";i:16;s:45:"field.field.node.mt_product.field_mt_prd_tags";i:17;s:46:"field.field.node.mt_product.field_mt_prd_video";i:18;s:17:"image.style.large";i:19;s:20:"node.type.mt_product";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_product.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_product";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_prd_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_prd_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:15:{s:32:"field_mt_prd_additional_features";b:1;s:25:"field_mt_prd_availability";b:1;s:28:"field_mt_prd_banner_carousel";b:1;s:21:"field_mt_prd_buy_link";b:1;s:23:"field_mt_prd_categories";b:1;s:25:"field_mt_prd_content_tabs";b:1;s:22:"field_mt_prd_highlight";b:1;s:28:"field_mt_prd_landscape_image";b:1;s:25:"field_mt_prd_most_popular";b:1;s:18:"field_mt_prd_price";b:1;s:31:"field_mt_prd_pricing_table_item";b:1;s:25:"field_mt_prd_product_code";b:1;s:27:"field_mt_prd_subheader_body";b:1;s:17:"field_mt_prd_tags";b:1;s:18:"field_mt_prd_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_service.default', 'a:10:{s:4:"uuid";s:36:"09e4d23f-08bf-419e-8686-91267d5a2601";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:1;s:45:"field.field.node.mt_service.field_mt_srv_body";i:2;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:3;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:4;s:46:"field.field.node.mt_service.field_mt_srv_image";i:5;s:46:"field.field.node.mt_service.field_mt_srv_price";i:6;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:7;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:8;s:46:"field.field.node.mt_service.field_mt_srv_video";i:9;s:17:"image.style.large";i:10;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:26:"entity_reference_revisions";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:23:"node.mt_service.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:7:"default";s:7:"content";a:10:{s:25:"field_mt_srv_banner_image";a:6:{s:6:"weight";i:10;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:17:"field_mt_srv_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_srv_buy_link";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:22:"field_mt_srv_highlight";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_srv_image";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_srv_price";a:6:{s:6:"weight";i:6;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_srv_service_tags";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:27:"field_mt_srv_subheader_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:8;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}');
INSERT INTO `config_snapshot` VALUES
('', 'core.entity_view_display.node.mt_service.mt_slide_view', 'a:10:{s:4:"uuid";s:36:"d4408096-6c43-48db-8f36-301e98f6dd67";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:40:"core.entity_view_mode.node.mt_slide_view";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:29:"node.mt_service.mt_slide_view";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:13:"mt_slide_view";s:7:"content";a:2:{s:17:"field_mt_srv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:300;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_srv_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:8:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:18:"field_mt_srv_video";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_service.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"9f9acc6e-12f7-4fe7-aaaf-e38cea563693";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_service.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_srv_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_srv_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_image";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_service.teaser', 'a:10:{s:4:"uuid";s:36:"d4ba0d95-afe7-4974-bdf3-36608970e257";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:12:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";i:2;s:45:"field.field.node.mt_service.field_mt_srv_body";i:3;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";i:4;s:50:"field.field.node.mt_service.field_mt_srv_highlight";i:5;s:46:"field.field.node.mt_service.field_mt_srv_image";i:6;s:46:"field.field.node.mt_service.field_mt_srv_price";i:7;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";i:8;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";i:9;s:46:"field.field.node.mt_service.field_mt_srv_video";i:10;s:17:"image.style.large";i:11;s:20:"node.type.mt_service";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_service.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_service";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_srv_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_srv_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:7:{s:25:"field_mt_srv_banner_image";b:1;s:21:"field_mt_srv_buy_link";b:1;s:22:"field_mt_srv_highlight";b:1;s:18:"field_mt_srv_price";b:1;s:25:"field_mt_srv_service_tags";b:1;s:27:"field_mt_srv_subheader_body";b:1;s:18:"field_mt_srv_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_showcase.default', 'a:10:{s:4:"uuid";s:36:"e7c458f6-eebe-434c-9d33-3e20c643dfab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:46:"field.field.node.mt_showcase.field_mt_shw_body";i:1;s:54:"field.field.node.mt_showcase.field_mt_shw_clients_tags";i:2;s:59:"field.field.node.mt_showcase.field_mt_shw_content_collapses";i:3;s:47:"field.field.node.mt_showcase.field_mt_shw_image";i:4;s:55:"field.field.node.mt_showcase.field_mt_shw_showcase_tags";i:5;s:56:"field.field.node.mt_showcase.field_mt_shw_subheader_body";i:6;s:50:"field.field.node.mt_showcase.field_mt_shw_subtitle";i:7;s:47:"field.field.node.mt_showcase.field_mt_shw_video";i:8;s:17:"image.style.large";i:9;s:21:"node.type.mt_showcase";}s:6:"module";a:5:{i:0;s:26:"entity_reference_revisions";i:1;s:5:"image";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:24:"node.mt_showcase.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:17:"field_mt_shw_body";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:25:"field_mt_shw_clients_tags";a:6:{s:6:"weight";i:15;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:30:"field_mt_shw_content_collapses";a:6:{s:4:"type";s:38:"entity_reference_revisions_entity_view";s:6:"weight";i:11;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";s:0:"";}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:18:"field_mt_shw_image";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:26:"field_mt_shw_showcase_tags";a:6:{s:6:"weight";i:13;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:27:"field_mt_shw_subheader_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_shw_subtitle";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:18:"field_mt_shw_video";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:8:"provider";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:16;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_showcase.mt_video_grid_item', 'a:10:{s:4:"uuid";s:36:"e118b741-32a9-4a89-91a2-0dbbfeac85bd";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:46:"field.field.node.mt_showcase.field_mt_shw_body";i:2;s:54:"field.field.node.mt_showcase.field_mt_shw_clients_tags";i:3;s:59:"field.field.node.mt_showcase.field_mt_shw_content_collapses";i:4;s:47:"field.field.node.mt_showcase.field_mt_shw_image";i:5;s:55:"field.field.node.mt_showcase.field_mt_shw_showcase_tags";i:6;s:56:"field.field.node.mt_showcase.field_mt_shw_subheader_body";i:7;s:50:"field.field.node.mt_showcase.field_mt_shw_subtitle";i:8;s:47:"field.field.node.mt_showcase.field_mt_shw_video";i:9;s:17:"image.style.large";i:10;s:21:"node.type.mt_showcase";}s:6:"module";a:3:{i:0;s:4:"text";i:1;s:4:"user";i:2;s:17:"video_embed_field";}}s:2:"id";s:35:"node.mt_showcase.mt_video_grid_item";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:4:"mode";s:18:"mt_video_grid_item";s:7:"content";a:2:{s:17:"field_mt_shw_body";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:20:"third_party_settings";a:0:{}s:4:"type";s:23:"text_summary_or_trimmed";s:6:"region";s:7:"content";}s:18:"field_mt_shw_video";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:7:"content";}s:20:"third_party_settings";a:0:{}s:4:"type";s:27:"video_embed_field_thumbnail";s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:25:"field_mt_shw_clients_tags";b:1;s:30:"field_mt_shw_content_collapses";b:1;s:18:"field_mt_shw_image";b:1;s:26:"field_mt_shw_showcase_tags";b:1;s:27:"field_mt_shw_subheader_body";b:1;s:21:"field_mt_shw_subtitle";b:1;s:5:"links";b:1;}}'),
('', 'core.entity_view_display.node.mt_showcase.teaser', 'a:10:{s:4:"uuid";s:36:"025379e1-9683-44ed-a06a-b7a369836c57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:46:"field.field.node.mt_showcase.field_mt_shw_body";i:2;s:54:"field.field.node.mt_showcase.field_mt_shw_clients_tags";i:3;s:59:"field.field.node.mt_showcase.field_mt_shw_content_collapses";i:4;s:47:"field.field.node.mt_showcase.field_mt_shw_image";i:5;s:55:"field.field.node.mt_showcase.field_mt_shw_showcase_tags";i:6;s:56:"field.field.node.mt_showcase.field_mt_shw_subheader_body";i:7;s:50:"field.field.node.mt_showcase.field_mt_shw_subtitle";i:8;s:47:"field.field.node.mt_showcase.field_mt_shw_video";i:9;s:17:"image.style.large";i:10;s:21:"node.type.mt_showcase";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:23:"node.mt_showcase.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_shw_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:18:"field_mt_shw_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:6:{s:25:"field_mt_shw_clients_tags";b:1;s:30:"field_mt_shw_content_collapses";b:1;s:26:"field_mt_shw_showcase_tags";b:1;s:27:"field_mt_shw_subheader_body";b:1;s:21:"field_mt_shw_subtitle";b:1;s:18:"field_mt_shw_video";b:1;}}'),
('', 'core.entity_view_display.node.mt_speaker.default', 'a:10:{s:4:"uuid";s:36:"bbd780a7-569d-447e-b724-0f0937970483";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:1;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:2;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:4;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:5;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:6;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:8;s:27:"image.style.mt_member_photo";i:9;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:23:"node.mt_speaker.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:7:"default";s:7:"content";a:9:{s:25:"field_mt_spk_affiliations";a:6:{s:6:"weight";i:15;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:4:"link";b:1;}s:20:"third_party_settings";a:0:{}s:4:"type";s:22:"entity_reference_label";s:6:"region";s:7:"content";}s:17:"field_mt_spk_body";a:6:{s:6:"weight";i:13;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:29:"field_mt_spk_facebook_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_spk_linkedin_account";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:26:"field_mt_spk_speaker_photo";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_spk_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_twitter_account";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_spk_youtube_account";a:6:{s:6:"weight";i:11;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:16;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_speaker.teaser', 'a:10:{s:4:"uuid";s:36:"f391486b-464c-4a66-8129-735ceb4742f0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:11:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";i:2;s:45:"field.field.node.mt_speaker.field_mt_spk_body";i:3;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";i:4;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";i:5;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";i:6;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";i:7;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";i:8;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";i:9;s:27:"image.style.mt_member_photo";i:10;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_speaker.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_spk_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_spk_speaker_photo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:6:{s:25:"field_mt_spk_affiliations";b:1;s:29:"field_mt_spk_facebook_account";b:1;s:29:"field_mt_spk_linkedin_account";b:1;s:21:"field_mt_spk_subtitle";b:1;s:28:"field_mt_spk_twitter_account";b:1;s:28:"field_mt_spk_youtube_account";b:1;}}'),
('', 'core.entity_view_display.node.mt_sponsor.default', 'a:10:{s:4:"uuid";s:36:"661201be-0e59-4ab0-b0bb-e5bc673ec683";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:2;s:20:"image.style.mt_logos";i:3;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:23:"node.mt_sponsor.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:17:"field_mt_spn_body";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:17:"field_mt_spn_logo";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_sponsor.teaser', 'a:10:{s:4:"uuid";s:36:"c0cf4165-406d-47a9-97ea-117eb5215fce";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";i:2;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";i:3;s:21:"image.style.mt_brands";i:4;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:22:"node.mt_sponsor.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_spn_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:17:"field_mt_spn_logo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_team_member.default', 'a:10:{s:4:"uuid";s:36:"ee529fc4-ebc5-4f06-8deb-359001ebc3fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:1;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:3;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:4;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:5;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:7;s:27:"image.style.mt_member_photo";i:8;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:27:"node.mt_team_member.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:7:"default";s:7:"content";a:8:{s:17:"field_mt_tmm_body";a:6:{s:6:"weight";i:13;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_facebook_account";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:29:"field_mt_tmm_linkedin_account";a:6:{s:6:"weight";i:9;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:25:"field_mt_tmm_member_photo";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_tmm_subtitle";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_twitter_account";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:28:"field_mt_tmm_youtube_account";a:6:{s:6:"weight";i:11;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:14;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_team_member.teaser', 'a:10:{s:4:"uuid";s:36:"ab11fbef-c5ef-427c-ae70-838c206a3523";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";i:2;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";i:3;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";i:4;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";i:5;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";i:6;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";i:7;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";i:8;s:27:"image.style.mt_member_photo";i:9;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:26:"node.mt_team_member.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:4:"mode";s:6:"teaser";s:7:"content";a:3:{s:17:"field_mt_tmm_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:25:"field_mt_tmm_member_photo";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:4;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:5:{s:29:"field_mt_tmm_facebook_account";b:1;s:29:"field_mt_tmm_linkedin_account";b:1;s:21:"field_mt_tmm_subtitle";b:1;s:28:"field_mt_tmm_twitter_account";b:1;s:28:"field_mt_tmm_youtube_account";b:1;}}'),
('', 'core.entity_view_display.node.mt_testimonial.default', 'a:10:{s:4:"uuid";s:36:"30711c7b-450f-40e2-a034-36111d0222e6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:1;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:2;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:3;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:4;s:32:"image.style.mt_testimonial_image";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:27:"node.mt_testimonial.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:17:"field_mt_tst_body";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:21:"field_mt_tst_subtitle";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:30:"field_mt_tst_testimonial_image";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:29:"field_mt_tst_testimonial_link";a:6:{s:6:"weight";i:7;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:5:"links";a:4:{s:6:"weight";i:8;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.mt_testimonial.teaser', 'a:10:{s:4:"uuid";s:36:"76e93c0c-e8dd-4e00-9bb5-85240cb6e5d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";i:2;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";i:3;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";i:4;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";i:5;s:32:"image.style.mt_testimonial_image";i:6;s:24:"node.type.mt_testimonial";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:26:"node.mt_testimonial.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:4:"mode";s:6:"teaser";s:7:"content";a:4:{s:17:"field_mt_tst_body";a:6:{s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:5;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}}s:21:"field_mt_tst_subtitle";a:6:{s:4:"type";s:6:"string";s:6:"weight";i:3;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}}s:30:"field_mt_tst_testimonial_image";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:6;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:1:{s:29:"field_mt_tst_testimonial_link";b:1;}}'),
('', 'core.entity_view_display.node.page.default', 'a:11:{s:4:"uuid";s:36:"3c83f4f8-4f03-41d4-b090-506c51f23482";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:26:"field.field.node.page.body";i:1;s:45:"field.field.node.page.field_mt_subheader_body";i:2;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"oZ-7vpIJxjxL2up9B5KrJGD0lazQ9aN0P-fIPo6OrSU";}s:2:"id";s:17:"node.page.default";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:23:"field_mt_subheader_body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:1;s:6:"region";s:7:"content";s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:5:"links";a:4:{s:6:"weight";i:2;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.node.page.teaser', 'a:11:{s:4:"uuid";s:36:"6914ed2a-3603-4769-8474-677c5a7a6ec7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:26:"field.field.node.page.body";i:2;s:45:"field.field.node.page.field_mt_subheader_body";i:3;s:14:"node.type.page";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rN2zrScZAJ9xB16hm_Deb9QJKy6JXnn0PdI2n5Z3KRs";}s:2:"id";s:16:"node.page.teaser";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:4:"mode";s:6:"teaser";s:7:"content";a:2:{s:4:"body";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";i:100;s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}s:5:"links";a:2:{s:6:"weight";i:101;s:6:"region";s:7:"content";}}s:6:"hidden";a:1:{s:23:"field_mt_subheader_body";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_additional_feature.default', 'a:10:{s:4:"uuid";s:36:"cb83fc12-0efe-4958-9b6d-68cd870db8f7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:61:"field.field.paragraph.mt_additional_feature.field_mt_adf_body";i:1;s:64:"field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon";i:2;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_image";i:3;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_title";i:4;s:17:"image.style.large";i:5;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:3:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"text";}}s:2:"id";s:39:"paragraph.mt_additional_feature.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:17:"field_mt_adf_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:20:"field_mt_adf_fa_icon";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:6:"layers";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"fontawesome_icon_formatter";s:6:"region";s:7:"content";}s:18:"field_mt_adf_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:18:"field_mt_adf_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_collapse.default', 'a:10:{s:4:"uuid";s:36:"7f6245de-56cf-4a75-86b1-bbd5d3c8527e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";i:1;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";i:2;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:29:"paragraph.mt_collapse.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:22:"field_mt_collapse_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:23:"field_mt_collapse_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_dropdown.default', 'a:10:{s:4:"uuid";s:36:"25297fff-e7d3-4d89-931b-5ca13af018d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";i:1;s:59:"field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}}s:2:"id";s:29:"paragraph.mt_dropdown.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:23:"field_mt_dropdown_block";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:9:"view_mode";s:7:"default";s:4:"link";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:25:"field_mt_dropdown_fa_icon";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_fancy_linked_image.default', 'a:10:{s:4:"uuid";s:36:"1dbc52e8-b36c-46fe-b4a5-51a61c2477cc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:6:{i:0;s:71:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";i:1;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";i:2;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";i:3;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";i:4;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";i:5;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}}s:2:"id";s:39:"paragraph.mt_fancy_linked_image.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fli_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:6:{s:7:"created";b:1;s:27:"field_mt_fli_button_fa_icon";b:1;s:18:"field_mt_fli_image";b:1;s:17:"field_mt_fli_link";b:1;s:18:"field_mt_fli_shape";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_fancy_tab.default', 'a:10:{s:4:"uuid";s:36:"fbbcd41d-b9bf-4412-a8ae-e96139aa1ba3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";i:1;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";i:2;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";i:3;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:30:"paragraph.mt_fancy_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:30:"field_mt_fancy_block_reference";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:4:"link";b:1;s:9:"view_mode";s:7:"default";}s:20:"third_party_settings";a:0:{}s:4:"type";s:28:"entity_reference_entity_view";s:6:"region";s:7:"content";}}s:6:"hidden";a:4:{s:7:"created";b:1;s:23:"field_mt_fancy_subtitle";b:1;s:20:"field_mt_fancy_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_featured_linked_text_tile.default', 'a:10:{s:4:"uuid";s:36:"f36f0bac-92b1-4cd3-bfd8-0a70d56c54e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";i:1;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";i:2;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";i:3;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_featured_linked_text_tile.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:18:"field_mt_fltt_body";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:4:{s:7:"created";b:1;s:18:"field_mt_fltt_link";b:1;s:19:"field_mt_fltt_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_highlight.default', 'a:10:{s:4:"uuid";s:36:"102a6da8-f4c8-4c1e-94cf-9da0115aa486";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";i:1;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";i:2;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";i:3;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";i:4;s:17:"image.style.large";i:5;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_highlight.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:23:"field_mt_highlight_body";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:4:"file";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:23:"field_mt_highlight_link";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:24:"field_mt_highlight_title";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_icon_features.default', 'a:10:{s:4:"uuid";s:36:"e6be2356-6bc3-43a1-a898-8b2c69dfe559";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";i:1;s:58:"field.field.paragraph.mt_icon_features.field_mt_if_fa_icon";i:2;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";i:3;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";i:4;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";i:5;s:17:"image.style.large";i:6;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:4:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"link";i:3;s:4:"text";}}s:2:"id";s:34:"paragraph.mt_icon_features.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:16:"field_mt_if_body";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:19:"field_mt_if_fa_icon";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:6:"layers";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:26:"fontawesome_icon_formatter";s:6:"region";s:7:"content";}s:17:"field_mt_if_image";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:16:"field_mt_if_link";a:6:{s:6:"weight";i:5;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:17:"field_mt_if_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_main_slideshow_slide.default', 'a:10:{s:4:"uuid";s:36:"dcf6cde2-0ae6-4fc0-b6e2-b0ced9df5862";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";i:1;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";i:2;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";i:3;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";i:4;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";i:5;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";i:6;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";i:7;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";i:8;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";i:9;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:41:"paragraph.mt_main_slideshow_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:25:"field_mt_ms_slide_caption";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"basic_string";s:6:"region";s:7:"content";}s:22:"field_mt_ms_slide_link";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:23:"field_mt_ms_slide_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:8:{s:7:"created";b:1;s:31:"field_mt_ms_slide_caption_color";b:1;s:30:"field_mt_ms_slide_caption_opac";b:1;s:23:"field_mt_ms_slide_image";b:1;s:26:"field_mt_ms_slide_vimeo_id";b:1;s:24:"field_mt_ms_slide_volume";b:1;s:28:"field_mt_ms_slide_youtube_id";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_map_location.default', 'a:10:{s:4:"uuid";s:36:"e861ee8a-8df1-4f71-b991-57b12863f206";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";i:1;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";i:2;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";i:3;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:33:"paragraph.mt_map_location.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:4:"mode";s:7:"default";s:7:"content";a:0:{}s:6:"hidden";a:3:{s:20:"field_mt_ml_latitude";b:1;s:25:"field_mt_ml_location_name";b:1;s:21:"field_mt_ml_longitude";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_media_tab.default', 'a:10:{s:4:"uuid";s:36:"970c2840-8051-4de8-b2a7-9024e38e17ee";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";i:1;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";i:2;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";i:3;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";i:4;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";i:5;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";i:6;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:30:"paragraph.mt_media_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:19:"field_mt_media_body";a:6:{s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:7:{s:7:"created";b:1;s:21:"field_mt_media_button";b:1;s:20:"field_mt_media_image";b:1;s:24:"field_mt_media_tab_title";b:1;s:20:"field_mt_media_title";b:1;s:20:"field_mt_media_video";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_tab.default', 'a:10:{s:4:"uuid";s:36:"d1b7a49b-a868-44a7-99cb-54fc1a2c8516";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";i:1;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:24:"paragraph.mt_tab.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:20:"field_mt_tab_content";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:7:"created";b:1;s:18:"field_mt_tab_title";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.paragraph.mt_timeline_item.default', 'a:10:{s:4:"uuid";s:36:"d14980e3-1881-48e6-8db3-cf0f21155a83";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date";i:1;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link";i:2;s:66:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title";i:3;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"link";}}s:2:"id";s:34:"paragraph.mt_timeline_item.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:4:"mode";s:7:"default";s:7:"content";a:3:{s:26:"field_mt_tml_timeline_date";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:17:"timezone_override";s:0:"";s:11:"format_type";s:16:"mt_yearless_date";}s:20:"third_party_settings";a:0:{}s:4:"type";s:16:"datetime_default";s:6:"region";s:7:"content";}s:26:"field_mt_tml_timeline_link";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:0:"";s:6:"target";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:4:"link";s:6:"region";s:7:"content";}s:27:"field_mt_tml_timeline_title";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.paragraph.mt_video_gallery_slide.default', 'a:10:{s:4:"uuid";s:36:"61d1d94e-c76c-4b7e-aa3f-472b5666e40a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";i:1;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";i:2;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";i:3;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";i:4;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";i:5;s:38:"image.style.mt_video_gallery_thumbnail";i:6;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:40:"paragraph.mt_video_gallery_slide.default";s:16:"targetEntityType";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:4:"mode";s:7:"default";s:7:"content";a:5:{s:24:"field_mt_vgs_slide_title";a:6:{s:6:"weight";i:3;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:22:"field_mt_vgs_thumbnail";a:6:{s:6:"weight";i:4;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:26:"mt_video_gallery_thumbnail";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}s:21:"field_mt_vgs_vimeo_id";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:19:"field_mt_vgs_volume";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:18:"number_unformatted";s:6:"region";s:7:"content";}s:23:"field_mt_vgs_youtube_id";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:7:"created";b:1;s:3:"uid";b:1;}}'),
('', 'core.entity_view_display.taxonomy_term.mt_affiliations.default', 'a:10:{s:4:"uuid";s:36:"b094942e-ecc7-44d3-a48e-6b645cfbcee0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:68:"field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image";i:1;s:18:"image.style.medium";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"text";}}s:2:"id";s:37:"taxonomy_term.mt_affiliations.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:4:"mode";s:7:"default";s:7:"content";a:2:{s:11:"description";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:1;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:26:"field_mt_affiliation_image";a:6:{s:6:"weight";i:0;s:5:"label";s:6:"hidden";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:20:"third_party_settings";a:0:{}s:4:"type";s:5:"image";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_display.taxonomy_term.mt_brands_tags.default', 'a:10:{s:4:"uuid";s:36:"c8224085-2ab9-4192-a413-dc9ffe23b048";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:61:"field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image";i:1;s:34:"taxonomy.vocabulary.mt_brands_tags";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_brands_tags.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_brands_tags";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:11:"description";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:1:{s:20:"field_mt_brand_image";b:1;}}');
INSERT INTO `config_snapshot` VALUES
('', 'core.entity_view_display.taxonomy_term.mt_collections.default', 'a:10:{s:4:"uuid";s:36:"fc3ceec8-f563-49b0-aef8-be55538c51a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";i:1;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:36:"taxonomy_term.mt_collections.default";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:4:"mode";s:7:"default";s:7:"content";a:1:{s:11:"description";a:6:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:6:"region";s:7:"content";}}s:6:"hidden";a:2:{s:25:"field_mt_collection_image";b:1;s:30:"field_mt_wide_collection_image";b:1;}}'),
('', 'core.entity_view_display.user.user.compact', 'a:11:{s:4:"uuid";s:36:"958708a5-d665-4834-852d-168279fc0843";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:34:"core.entity_view_mode.user.compact";i:1;s:40:"field.field.user.user.field_mt_full_name";i:2;s:40:"field.field.user.user.field_mt_signature";i:3;s:34:"field.field.user.user.user_picture";i:4;s:21:"image.style.thumbnail";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"C3k_McOy8bL8rTnIjspy5OfFdgqV1z6OdGZaI-tO5eM";}s:2:"id";s:17:"user.user.compact";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"compact";s:7:"content";a:1:{s:12:"user_picture";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:3:{s:18:"field_mt_full_name";b:1;s:18:"field_mt_signature";b:1;s:10:"member_for";b:1;}}'),
('', 'core.entity_view_display.user.user.default', 'a:11:{s:4:"uuid";s:36:"e3d9a969-1e63-4df4-a254-03460204eee4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:40:"field.field.user.user.field_mt_full_name";i:1;s:40:"field.field.user.user.field_mt_signature";i:2;s:34:"field.field.user.user.user_picture";i:3;s:21:"image.style.thumbnail";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"text";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"L2mtwGWH_7wDRCMIR4r_Iu_jmvQ10DV1L8ht8iNZ5qY";}s:2:"id";s:17:"user.user.default";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:4:"mode";s:7:"default";s:7:"content";a:4:{s:18:"field_mt_full_name";a:6:{s:6:"weight";i:1;s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:20:"third_party_settings";a:0:{}s:4:"type";s:6:"string";s:6:"region";s:7:"content";}s:18:"field_mt_signature";a:6:{s:6:"weight";i:2;s:5:"label";s:6:"hidden";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}s:4:"type";s:12:"text_default";s:6:"region";s:7:"content";}s:10:"member_for";a:4:{s:6:"weight";i:3;s:6:"region";s:7:"content";s:8:"settings";a:0:{}s:20:"third_party_settings";a:0:{}}s:12:"user_picture";a:6:{s:4:"type";s:5:"image";s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:7:"content";}s:20:"third_party_settings";a:0:{}s:5:"label";s:6:"hidden";s:6:"region";s:7:"content";}}s:6:"hidden";a:0:{}}'),
('', 'core.entity_view_mode.block_content.full', 'a:9:{s:4:"uuid";s:36:"d31285d9-0f94-454a-9ca7-41eddec3cd99";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg";}s:2:"id";s:18:"block_content.full";s:5:"label";s:4:"Full";s:16:"targetEntityType";s:13:"block_content";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.comment.full', 'a:9:{s:4:"uuid";s:36:"30f36b6e-7d0d-4254-97f3-c5600cb7480e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"K7eNlfU7NEUajz01wItywZklr2oaPgL6s1_97fmDXLA";}s:2:"id";s:12:"comment.full";s:5:"label";s:12:"Full comment";s:16:"targetEntityType";s:7:"comment";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.font.full', 'a:9:{s:4:"uuid";s:36:"494343ff-2220-4c36-8495-cdf3cc0e70da";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"5sNC12vR6kVFfRc3APtk2vM7XPbzJopPm2tgDWYwaaE";}s:2:"id";s:9:"font.full";s:5:"label";s:14:"Full View Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}'),
('', 'core.entity_view_mode.font.teaser', 'a:9:{s:4:"uuid";s:36:"75303881-05f4-4b3d-8fdb-fd2a36127668";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rftvifM6gdARc-tJa62RoSKjTyAnHLlkK-7F-2sO0H8";}s:2:"id";s:11:"font.teaser";s:5:"label";s:11:"Teaser Mode";s:16:"targetEntityType";s:4:"font";s:5:"cache";b:0;}'),
('', 'core.entity_view_mode.node.full', 'a:9:{s:4:"uuid";s:36:"f8fe4612-74a5-4b56-9058-e6e50ee9d0fb";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ElrtInxGjZd7GaapJ5O9n-ugi2hG2IxFivtgn0tHOsk";}s:2:"id";s:9:"node.full";s:5:"label";s:12:"Full content";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.mt_slide_view', 'a:8:{s:4:"uuid";s:36:"e37271ae-777c-4c26-9a0c-13044d7c9d46";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:18:"node.mt_slide_view";s:5:"label";s:10:"Slide View";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.mt_video_grid_item', 'a:8:{s:4:"uuid";s:36:"ec8cc51e-8173-41db-a117-05131af2f5f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.mt_video_grid_item";s:5:"label";s:15:"Video Grid Item";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.rss', 'a:9:{s:4:"uuid";s:36:"8546524f-b24c-4bfe-923e-79c2b408e26a";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vlYzr-rp2f9NMp-Qlr4sFjlqRq-90mco5-afLNGwCrU";}s:2:"id";s:8:"node.rss";s:5:"label";s:3:"RSS";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.search_index', 'a:9:{s:4:"uuid";s:36:"c7bb6b4f-5590-48c0-a151-6f5c5f292689";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fVFfJv_GzBRE-wpRHbfD5a3VjnhbEOXG6lvRd3uaccY";}s:2:"id";s:17:"node.search_index";s:5:"label";s:12:"Search index";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.search_result', 'a:9:{s:4:"uuid";s:36:"9584664a-2b8a-4480-b4d8-cda66b96f312";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6GCOQ-jP2RbdbHA5YWQ6bT8CfGbqrBYKOSC_XY4E3ZM";}s:2:"id";s:18:"node.search_result";s:5:"label";s:32:"Search result highlighting input";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.node.teaser', 'a:9:{s:4:"uuid";s:36:"da926b75-afbd-41bd-bcb7-874911a84e84";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Mz9qWr1kUYK0mjRAGDsr5XS6PvtZ24en_7ndt-pyWe4";}s:2:"id";s:11:"node.teaser";s:5:"label";s:6:"Teaser";s:16:"targetEntityType";s:4:"node";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.paragraph.preview', 'a:9:{s:4:"uuid";s:36:"7d2f6fa1-2287-4b88-8555-48299c7e903d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2LM5HYaL3qdCzMYZVLKx6NxTHPZJXyk4S5kfC8aPYOg";}s:2:"id";s:17:"paragraph.preview";s:5:"label";s:7:"Preview";s:16:"targetEntityType";s:9:"paragraph";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.taxonomy_term.full', 'a:9:{s:4:"uuid";s:36:"089eca0f-5c1d-4f3e-9811-0463ad7bb7e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-PPKjsNQPvoIDjOuUAvlLocYD976MNjb9Zpgyz5_BWE";}s:2:"id";s:18:"taxonomy_term.full";s:5:"label";s:18:"Taxonomy term page";s:16:"targetEntityType";s:13:"taxonomy_term";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.user.compact', 'a:9:{s:4:"uuid";s:36:"d3c8590d-54ba-440c-a302-54c15fddc36b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"71CSAr_LNPcgu6D6jI4INl1KATkahmeyUFBETAWya8g";}s:2:"id";s:12:"user.compact";s:5:"label";s:7:"Compact";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}'),
('', 'core.entity_view_mode.user.full', 'a:9:{s:4:"uuid";s:36:"542fcebc-8bc4-4bef-8210-2b235d80f09e";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"mQIF_foYjmnVSr9MpcD4CTaJE_FpO1AyDd_DskztGhM";}s:2:"id";s:9:"user.full";s:5:"label";s:12:"User account";s:16:"targetEntityType";s:4:"user";s:5:"cache";b:1;}'),
('', 'core.extension', 'a:4:{s:6:"module";a:53:{s:14:"automated_cron";i:0;s:22:"better_exposed_filters";i:0;s:5:"block";i:0;s:13:"block_content";i:0;s:10:"breakpoint";i:0;s:8:"ckeditor";i:0;s:5:"color";i:0;s:7:"comment";i:0;s:6:"config";i:0;s:7:"contact";i:0;s:10:"contextual";i:0;s:8:"datetime";i:0;s:5:"dblog";i:0;s:18:"dynamic_page_cache";i:0;s:6:"editor";i:0;s:26:"entity_reference_revisions";i:0;s:5:"field";i:0;s:11:"field_group";i:0;s:8:"field_ui";i:0;s:4:"file";i:0;s:6:"filter";i:0;s:11:"fontawesome";i:0;s:4:"help";i:0;s:7:"history";i:0;s:5:"image";i:0;s:4:"link";i:0;s:7:"menu_ui";i:0;s:12:"mt_countdown";i:0;s:4:"node";i:0;s:7:"options";i:0;s:10:"page_cache";i:0;s:4:"path";i:0;s:9:"quickedit";i:0;s:3:"rdf";i:0;s:6:"search";i:0;s:8:"shortcut";i:0;s:10:"statistics";i:0;s:9:"superfish";i:0;s:6:"system";i:0;s:8:"taxonomy";i:0;s:4:"text";i:0;s:7:"toolbar";i:0;s:4:"tour";i:0;s:6:"update";i:0;s:4:"user";i:0;s:17:"video_embed_field";i:0;s:8:"views_ui";i:0;s:12:"fontyourface";i:1;s:17:"menu_link_content";i:1;s:16:"google_fonts_api";i:10;s:5:"views";i:10;s:10:"paragraphs";i:11;s:8:"standard";i:1000;}s:5:"theme";a:5:{s:6:"stable";i:0;s:6:"classy";i:0;s:6:"bartik";i:0;s:5:"seven";i:0;s:14:"conferenceplus";i:0;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"m2GVq11UAOVuNgj8x0t5fMOPujpvQQ_zxLoaly1BMEU";}s:7:"profile";s:8:"standard";}'),
('', 'core.menu.static_menu_link_overrides', 'a:2:{s:11:"definitions";a:2:{s:18:"contact__site_page";a:5:{s:7:"enabled";b:1;s:9:"menu_name";s:6:"footer";s:6:"parent";s:0:"";s:6:"weight";i:0;s:8:"expanded";b:0;}s:20:"standard__front_page";a:5:{s:6:"weight";i:-96;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"enabled";b:0;s:8:"expanded";b:0;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jdY7AU0tU-QsjmiOw3W8vwpYMb-By--_MSFgbqKUTYM";}}'),
('', 'dblog.settings', 'a:2:{s:9:"row_limit";i:1000;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"e883aGsrt1wFrsydlYU584PZONCSfRy0DtkZ9KzHb58";}}'),
('', 'editor.editor.basic_html', 'a:9:{s:4:"uuid";s:36:"d877a2d5-bd90-40a3-8c44-29e01424b548";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"filter.format.basic_html";}s:6:"module";a:1:{i:0;s:8:"ckeditor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"AqlPmO16LvJI4D0Ih6u4GFQIzqr5OnLgAUSjcUGWk2g";}s:6:"format";s:10:"basic_html";s:6:"editor";s:8:"ckeditor";s:8:"settings";a:2:{s:7:"toolbar";a:1:{s:4:"rows";a:1:{i:0;a:6:{i:0;a:2:{s:4:"name";s:10:"Formatting";s:5:"items";a:2:{i:0;s:4:"Bold";i:1;s:6:"Italic";}}i:1;a:2:{s:4:"name";s:7:"Linking";s:5:"items";a:2:{i:0;s:10:"DrupalLink";i:1;s:12:"DrupalUnlink";}}i:2;a:2:{s:4:"name";s:5:"Lists";s:5:"items";a:2:{i:0;s:12:"BulletedList";i:1;s:12:"NumberedList";}}i:3;a:2:{s:4:"name";s:5:"Media";s:5:"items";a:2:{i:0;s:10:"Blockquote";i:1;s:11:"DrupalImage";}}i:4;a:2:{s:4:"name";s:16:"Block Formatting";s:5:"items";a:1:{i:0;s:6:"Format";}}i:5;a:2:{s:4:"name";s:5:"Tools";s:5:"items";a:1:{i:0;s:6:"Source";}}}}}s:7:"plugins";a:1:{s:11:"stylescombo";a:1:{s:6:"styles";s:0:"";}}}s:12:"image_upload";a:5:{s:6:"status";b:1;s:6:"scheme";s:6:"public";s:9:"directory";s:13:"inline-images";s:8:"max_size";s:0:"";s:14:"max_dimensions";a:2:{s:5:"width";i:0;s:6:"height";i:0;}}}'),
('', 'editor.editor.full_html', 'a:9:{s:4:"uuid";s:36:"ef256e59-f7c5-4793-9d96-00edd5e592c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"filter.format.full_html";}s:6:"module";a:1:{i:0;s:8:"ckeditor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"967ijj7p6i7rwrYl7r08WQFeCY_c23YAh0h8u-w_CXM";}s:6:"format";s:9:"full_html";s:6:"editor";s:8:"ckeditor";s:8:"settings";a:2:{s:7:"toolbar";a:1:{s:4:"rows";a:1:{i:0;a:7:{i:0;a:2:{s:4:"name";s:10:"Formatting";s:5:"items";a:7:{i:0;s:4:"Bold";i:1;s:6:"Italic";i:2;s:6:"Strike";i:3;s:11:"Superscript";i:4;s:9:"Subscript";i:5;s:1:"-";i:6;s:12:"RemoveFormat";}}i:1;a:2:{s:4:"name";s:7:"Linking";s:5:"items";a:2:{i:0;s:10:"DrupalLink";i:1;s:12:"DrupalUnlink";}}i:2;a:2:{s:4:"name";s:5:"Lists";s:5:"items";a:2:{i:0;s:12:"BulletedList";i:1;s:12:"NumberedList";}}i:3;a:2:{s:4:"name";s:5:"Media";s:5:"items";a:4:{i:0;s:10:"Blockquote";i:1;s:11:"DrupalImage";i:2;s:5:"Table";i:3;s:14:"HorizontalRule";}}i:4;a:2:{s:4:"name";s:16:"Block Formatting";s:5:"items";a:1:{i:0;s:6:"Format";}}i:5;a:2:{s:4:"name";s:5:"Tools";s:5:"items";a:2:{i:0;s:10:"ShowBlocks";i:1;s:6:"Source";}}i:6;a:2:{s:4:"name";s:11:"Fontawesome";s:5:"items";a:1:{i:0;s:17:"DrupalFontAwesome";}}}}}s:7:"plugins";a:2:{s:11:"stylescombo";a:1:{s:6:"styles";s:0:"";}s:8:"language";a:1:{s:13:"language_list";s:2:"un";}}}s:12:"image_upload";a:5:{s:6:"status";b:1;s:6:"scheme";s:6:"public";s:9:"directory";s:13:"inline-images";s:8:"max_size";s:0:"";s:14:"max_dimensions";a:2:{s:5:"width";N;s:6:"height";N;}}}'),
('', 'field.field.block_content.basic.body', 'a:17:{s:4:"uuid";s:36:"f846560e-28fe-4c24-a2e5-edde073bddae";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:24:"block_content.type.basic";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"R__6wc-rMfFMO8d7jcgqnqiA92j8spKhcc5MiqecrMc";}s:2:"id";s:24:"block_content.basic.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:5:"basic";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_background_image', 'a:16:{s:4:"uuid";s:36:"510183e4-3805-4ba2-97f3-6d71b7e173ba";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_background_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:65:"block_content.mt_background_image_block.field_mt_background_image";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:16:"Background Image";s:11:"description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_color', 'a:16:{s:4:"uuid";s:36:"bc3df0d5-dd6b-4c97-b05b-6f6476b39928";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:51:"field.storage.block_content.field_mt_bg_image_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_background_image_block.field_mt_bg_image_color";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:30:"Background Image Overlay Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode', 'a:16:{s:4:"uuid";s:36:"4614f686-f6dd-4bee-afc1-9d9bbf063c7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_layout_mode";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:19:"Inner Blocks Layout";s:11:"description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity', 'a:16:{s:4:"uuid";s:36:"c3f9e7d8-3a8b-40db-8882-a32ffa575b0f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:53:"field.storage.block_content.field_mt_bg_image_opacity";}}s:2:"id";s:65:"block_content.mt_background_image_block.field_mt_bg_image_opacity";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:32:"Background Image Overlay Opacity";s:11:"description";s:58:"Set the % opacity for the overlay of the background image.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning', 'a:16:{s:4:"uuid";s:36:"7b4fb691-fd2d-4460-83c8-084c7df8497a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:57:"field.storage.block_content.field_mt_bg_image_positioning";}}s:2:"id";s:69:"block_content.mt_background_image_block.field_mt_bg_image_positioning";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:48:"Enable fixed positioning of the background image";s:11:"description";s:99:"Use the checkbox to fix the position of the background image or allow it to scroll with the content";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.block_content.mt_background_image_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"8fe7e957-51c6-4af3-96ed-31b1701463b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_image_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:64:"block_content.mt_background_image_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_image_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"9f5aeaec-f577-4b34-b516-bac71c883e2c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:64:"block_content.mt_background_video_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode', 'a:16:{s:4:"uuid";s:36:"6fa600ac-335d-4682-96fd-a998bd127b75";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:51:"field.storage.block_content.field_mt_bv_layout_mode";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_background_video_block.field_mt_bv_layout_mode";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:19:"Inner Blocks Layout";s:11:"description";s:59:"From the drop-down menu, select the layout mode you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"container";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color', 'a:16:{s:4:"uuid";s:36:"9fa17553-5cda-430c-8cde-06f12263c3d9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:53:"field.storage.block_content.field_mt_bv_overlay_color";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:65:"block_content.mt_background_video_block.field_mt_bv_overlay_color";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:30:"Background Video Overlay Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:49:"region--light-typography region--black-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity', 'a:16:{s:4:"uuid";s:36:"4e738158-1217-45ee-ac9c-06708611d158";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";}}s:2:"id";s:67:"block_content.mt_background_video_block.field_mt_bv_overlay_opacity";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:32:"Background Video Overlay Opacity";s:11:"description";s:58:"Set the % opacity for the overlay of the background video.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:80;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_poster', 'a:16:{s:4:"uuid";s:36:"7cb6cdf9-a5a9-4383-9e57-e818a72a3cc9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:46:"field.storage.block_content.field_mt_bv_poster";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:58:"block_content.mt_background_video_block.field_mt_bv_poster";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:6:"Poster";s:11:"description";s:55:"Recommended pixel dimensions - W: 1920 px / H: 1080 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4', 'a:16:{s:4:"uuid";s:36:"3dc8330f-5039-4bab-a393-460593651aaf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:49:"field.storage.block_content.field_mt_bv_video_mp4";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:61:"block_content.mt_background_video_block.field_mt_bv_video_mp4";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:22:"Background Video (mp4)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:3:"mp4";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.block_content.mt_background_video_block.field_mt_bv_video_webm', 'a:16:{s:4:"uuid";s:36:"bbd57de8-d236-4c75-88f0-56002523dced";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_background_video_block";i:1;s:50:"field.storage.block_content.field_mt_bv_video_webm";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:62:"block_content.mt_background_video_block.field_mt_bv_video_webm";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_background_video_block";s:5:"label";s:23:"Background Video (webm)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:4:"webm";s:12:"max_filesize";s:0:"";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"7ee18867-5cad-424f-bd24-9e972434dac0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:59:"block_content.mt_collapsible_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon', 'a:16:{s:4:"uuid";s:36:"4840933e-2edf-4262-b29e-a092b1b5e3d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:53:"field.storage.block_content.field_mt_cb_collapse_icon";}}s:2:"id";s:60:"block_content.mt_collapsible_block.field_mt_cb_collapse_icon";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:13:"Collapse icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon', 'a:16:{s:4:"uuid";s:36:"465c50c2-9f00-4996-9c2f-c1d76faccf34";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:51:"field.storage.block_content.field_mt_cb_expand_icon";}}s:2:"id";s:58:"block_content.mt_collapsible_block.field_mt_cb_expand_icon";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:11:"Expand icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_state', 'a:16:{s:4:"uuid";s:36:"3e82a681-b916-42a5-a0f3-7fc7d45591f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_state";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:52:"block_content.mt_collapsible_block.field_mt_cb_state";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:22:"Collapse initial state";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:8:"expanded";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_title', 'a:16:{s:4:"uuid";s:36:"707fd58a-e82f-4ed2-8594-af23a4c14e55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:45:"field.storage.block_content.field_mt_cb_title";}}s:2:"id";s:52:"block_content.mt_collapsible_block.field_mt_cb_title";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:14:"Collapse title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position', 'a:16:{s:4:"uuid";s:36:"cf099eb0-f4cf-4db8-8689-32e4543691b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"block_content.type.mt_collapsible_block";i:1;s:56:"field.storage.block_content.field_mt_cb_trigger_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:63:"block_content.mt_collapsible_block.field_mt_cb_trigger_position";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:20:"mt_collapsible_block";s:5:"label";s:16:"Trigger Position";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"bottom";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_dropdowns_block.field_mt_dropdown', 'a:16:{s:4:"uuid";s:36:"dceba06e-f3c2-4fab-bd63-311dbea437c9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:37:"block_content.type.mt_dropdowns_block";i:1;s:45:"field.storage.block_content.field_mt_dropdown";i:2;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_dropdowns_block.field_mt_dropdown";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:18:"mt_dropdowns_block";s:5:"label";s:8:"Dropdown";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}s:24:"target_bundles_drag_drop";a:9:{s:11:"mt_collapse";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:7:"enabled";b:1;s:6:"weight";i:11;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image', 'a:16:{s:4:"uuid";s:36:"c96b6770-6250-4c07-9d12-1dd05990d5fe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";i:1;s:55:"field.storage.block_content.field_mt_fancy_linked_image";i:2;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:70:"block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:28:"mt_fancy_linked_images_block";s:5:"label";s:18:"Fancy Linked Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:7:"enabled";b:1;s:6:"weight";i:5;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:11:"mt_ns_slide";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab', 'a:16:{s:4:"uuid";s:36:"cc3406c0-6618-4249-8835-9fff2ebef6a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_fancy_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:52:"block_content.mt_fancy_tabs_block.field_mt_fancy_tab";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:19:"mt_fancy_tabs_block";s:5:"label";s:9:"Fancy Tab";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}s:24:"target_bundles_drag_drop";a:1:{s:12:"mt_fancy_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:2;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_fltt_block.field_mt_fltt', 'a:16:{s:4:"uuid";s:36:"b3f2234e-46f4-4172-9ee8-392185faa425";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:32:"block_content.type.mt_fltt_block";i:1;s:41:"field.storage.block_content.field_mt_fltt";i:2;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"block_content.mt_fltt_block.field_mt_fltt";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:13:"mt_fltt_block";s:5:"label";s:25:"Featured Linked Text Tile";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}s:24:"target_bundles_drag_drop";a:6:{s:11:"mt_collapse";a:2:{s:6:"weight";i:7;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:7:"enabled";b:1;s:6:"weight";i:10;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_google_maps.field_mt_map_location', 'a:16:{s:4:"uuid";s:36:"6530800d-8d39-4cd5-a484-738140500835";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:49:"field.storage.block_content.field_mt_map_location";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:50:"block_content.mt_google_maps.field_mt_map_location";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:5:"label";s:12:"Map Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:10:{s:11:"mt_collapse";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:17;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_google_maps.field_mt_map_zoom', 'a:16:{s:4:"uuid";s:36:"e31a8f7b-fc55-4076-bb8c-e82d95b18ca5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:33:"block_content.type.mt_google_maps";i:1;s:45:"field.storage.block_content.field_mt_map_zoom";}}s:2:"id";s:46:"block_content.mt_google_maps.field_mt_map_zoom";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:14:"mt_google_maps";s:5:"label";s:8:"Map zoom";s:11:"description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.block_content.mt_if_block.field_mt_if', 'a:16:{s:4:"uuid";s:36:"95953737-44ab-4383-a154-9283325ad37a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:30:"block_content.type.mt_if_block";i:1;s:39:"field.storage.block_content.field_mt_if";i:2;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:37:"block_content.mt_if_block.field_mt_if";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:11:"mt_if_block";s:5:"label";s:12:"Icon Feature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}s:24:"target_bundles_drag_drop";a:12:{s:11:"mt_collapse";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:7:"enabled";b:1;s:6:"weight";i:19;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout', 'a:16:{s:4:"uuid";s:36:"91084980-ce10-4f4a-b965-812eddf014f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:68:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:16:"Slideshow Layout";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:9:"fullwidth";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide', 'a:16:{s:4:"uuid";s:36:"c6550e11-7ea0-434c-b297-c2cbdf99d954";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";i:2;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:67:"block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Main Slideshow Slide";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}s:24:"target_bundles_drag_drop";a:7:{s:11:"mt_collapse";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:12;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity', 'a:16:{s:4:"uuid";s:36:"e1db7556-cf02-487d-869c-c5948a138216";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:58:"field.storage.block_content.field_mt_ms_background_opacity";}}s:2:"id";s:68:"block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:28:"Slideshow Background Opacity";s:11:"description";s:52:"Set the % opacity for the background of the caption.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position', 'a:16:{s:4:"uuid";s:36:"046d32d1-ebf9-4d60-81bc-57076b72d6b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_bullets_position";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:37:"Slideshow Navigation Bullets Position";s:11:"description";s:56:"From the drop-down menu, select the position you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"center";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect', 'a:16:{s:4:"uuid";s:36:"974767ed-4e6c-4913-abe3-646727e95c35";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:46:"field.storage.block_content.field_mt_ms_effect";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:56:"block_content.mt_main_slideshow_block.field_mt_ms_effect";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:16:"Slideshow Effect";s:11:"description";s:64:"From the drop-down menu, select the slideshow effect you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:4:"fade";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration', 'a:16:{s:4:"uuid";s:36:"d1c071cc-0984-40da-84a4-43532908db72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_effect_duration";}}s:2:"id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:31:"Slideshow Effect duration (sec)";s:11:"description";s:40:"Set the speed of animations, in seconds.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:9;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height', 'a:16:{s:4:"uuid";s:36:"342f745a-3ef3-42eb-b2f6-43eecc424666";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";}}s:2:"id";s:70:"block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:20:"Ignore Header Height";s:11:"description";s:65:"Ignore the Header Height when using the Full Screen Layout option";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"on";s:9:"off_label";s:3:"off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height', 'a:16:{s:4:"uuid";s:36:"a329c6d3-3e9a-4ec7-bbd8-37173eff9ac1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:54:"field.storage.block_content.field_mt_ms_initial_height";}}s:2:"id";s:64:"block_content.mt_main_slideshow_block.field_mt_ms_initial_height";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:24:"Slideshow Initial Height";s:11:"description";s:33:"Set the initial height, in pixels";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:650;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}');
INSERT INTO `config_snapshot` VALUES
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style', 'a:16:{s:4:"uuid";s:36:"dd7b7186-fc99-4e24-ac6d-481d29194524";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:56:"field.storage.block_content.field_mt_ms_navigation_style";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:66:"block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:26:"Slideshow Navigation Style";s:11:"description";s:53:"From the drop-down menu, select the style you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:7:"bullets";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav', 'a:16:{s:4:"uuid";s:36:"91c6da3d-07c1-4748-8794-4b3e2a1275a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"block_content.type.mt_main_slideshow_block";i:1;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";}}s:2:"id";s:65:"block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:23:"mt_main_slideshow_block";s:5:"label";s:29:"Enable touch swipe navigation";s:11:"description";s:79:"Use the checkbox to enable or disable touch swipe navigation in mobile devices.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:1;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.block_content.mt_media_tabs_block.field_mt_media_tab', 'a:16:{s:4:"uuid";s:36:"7b21f57f-0ca1-4b0a-865e-60b58eaab5c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:38:"block_content.type.mt_media_tabs_block";i:1;s:46:"field.storage.block_content.field_mt_media_tab";i:2;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:52:"block_content.mt_media_tabs_block.field_mt_media_tab";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:19:"mt_media_tabs_block";s:5:"label";s:9:"Media Tab";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}s:24:"target_bundles_drag_drop";a:4:{s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:5;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:6;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:7;}s:6:"mt_tab";a:2:{s:6:"weight";i:8;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide', 'a:16:{s:4:"uuid";s:36:"5e48e528-c122-4020-984a-e98c7ffe27d3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:4:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";i:1;s:45:"field.storage.block_content.field_mt_ns_slide";i:2;s:20:"node.type.mt_product";i:3;s:20:"node.type.mt_service";}}s:2:"id";s:56:"block_content.mt_nodes_slideshow_block.field_mt_ns_slide";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:24:"mt_nodes_slideshow_block";s:5:"label";s:10:"Node Slide";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:2:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_tabs_block.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"8500a028-bd4f-4b01-bbcf-c96c4ae70a95";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:32:"block_content.type.mt_tabs_block";i:1;s:52:"field.storage.block_content.field_mt_block_reference";}}s:2:"id";s:52:"block_content.mt_tabs_block.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:13:"mt_tabs_block";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item', 'a:16:{s:4:"uuid";s:36:"2e04f648-833e-4e53-9c7c-5f0916829e8a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:54:"field.storage.block_content.field_mt_tml_timeline_item";i:2;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:58:"block_content.mt_timeline_block.field_mt_tml_timeline_item";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:5:"label";s:8:"Timeline";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:7:"enabled";b:1;s:6:"weight";i:27;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore', 'a:16:{s:4:"uuid";s:36:"d6e9e355-572d-42fe-8d08-7db6c40dc2aa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"block_content.type.mt_timeline_block";i:1;s:58:"field.storage.block_content.field_mt_tml_timeline_viewmore";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:62:"block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:17:"mt_timeline_block";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.block_content.mt_typing_animation_block.body', 'a:16:{s:4:"uuid";s:36:"401f70f1-7f83-46d3-a195-3c85f8c072b3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"block_content.type.mt_typing_animation_block";i:1;s:32:"field.storage.block_content.body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:44:"block_content.mt_typing_animation_block.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:25:"mt_typing_animation_block";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides', 'a:16:{s:4:"uuid";s:36:"d637e6d3-d559-42e2-9a86-7347a494ac49";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"block_content.type.mt_video_gallery_block";i:1;s:57:"field.storage.block_content.field_mt_video_gallery_slides";i:2;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:66:"block_content.mt_video_gallery_block.field_mt_video_gallery_slides";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:6:"bundle";s:22:"mt_video_gallery_block";s:5:"label";s:20:"Video Gallery slides";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:2:{s:14:"target_bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}s:24:"target_bundles_drag_drop";a:8:{s:11:"mt_collapse";a:2:{s:6:"weight";i:9;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:10;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:11;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:12;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:13;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:7:"enabled";b:1;s:6:"weight";i:16;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.comment.comment.comment_body', 'a:17:{s:4:"uuid";s:36:"c848d333-8a45-47c9-92ed-046945e890e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:20:"comment.type.comment";i:1;s:34:"field.storage.comment.comment_body";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs";}s:2:"id";s:28:"comment.comment.comment_body";s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:6:"bundle";s:7:"comment";s:5:"label";s:7:"Comment";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.font.font.field_classification', 'a:17:{s:4:"uuid";s:36:"660f4e1e-355e-4466-9d35-c85e750dd60f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:39:"field.storage.font.field_classification";i:1;s:39:"taxonomy.vocabulary.font_classification";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r-AW_FTgnDVgz4PK8K26pkoqzJwJdDJt8OrDaNooDGg";}s:2:"id";s:30:"font.font.field_classification";s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:14:"Classification";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"font_classification";s:19:"font_classification";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.font.font.field_supported_languages', 'a:17:{s:4:"uuid";s:36:"be56227e-0f0a-4ff0-a9cf-cd2e517a9338";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.font.field_supported_languages";i:1;s:39:"taxonomy.vocabulary.languages_supported";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"J4-E4ka4YSO-U8k25RPslraI-MBBGx8u_lZ5MMmA6VI";}s:2:"id";s:35:"font.font.field_supported_languages";s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:19:"Supported Languages";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"languages_supported";s:19:"languages_supported";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.font.font.field_tags', 'a:17:{s:4:"uuid";s:36:"d919dfa9-d051-4d12-8fa7-c91ed6cc3c63";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:29:"field.storage.font.field_tags";i:1;s:33:"taxonomy.vocabulary.font_designer";i:2;s:32:"taxonomy.vocabulary.font_foundry";i:3;s:29:"taxonomy.vocabulary.font_tags";}s:6:"module";a:1:{i:0;s:12:"fontyourface";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vFrDIkrN9IwL_67iczIOTkbiWs_AtxkloxiRoFwHLC4";}s:2:"id";s:20:"font.font.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:6:"bundle";s:4:"font";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:3:{s:13:"font_designer";s:13:"font_designer";s:12:"font_foundry";s:12:"font_foundry";s:9:"font_tags";s:9:"font_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:12:"font_foundry";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.article.body', 'a:17:{s:4:"uuid";s:36:"22774150-a9d0-4c26-aead-900d5e77ef52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ay3b2hq42cpQTFB_lNu8S2ZxuVIY6-dlBsc7vLeJ-YY";}s:2:"id";s:17:"node.article.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.article.comment', 'a:17:{s:4:"uuid";s:36:"052adc29-f2e6-4b8e-a837-8b0db5ac613f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:26:"field.storage.node.comment";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"szSOp-8eNsMcuh8usDre1x76RhDKaPhNUuwzRX5cgv4";}s:2:"id";s:20:"node.article.comment";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:8:"Comments";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:6:{s:6:"status";i:2;s:3:"cid";i:0;s:17:"last_comment_name";N;s:22:"last_comment_timestamp";i:0;s:16:"last_comment_uid";i:0;s:13:"comment_count";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:5:{s:12:"default_mode";i:1;s:8:"per_page";i:50;s:13:"form_location";b:1;s:9:"anonymous";i:0;s:7:"preview";i:1;}s:10:"field_type";s:7:"comment";}'),
('', 'field.field.node.article.field_image', 'a:17:{s:4:"uuid";s:36:"a712a34e-6e42-4df3-8340-4891b7f206e7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"field.storage.node.field_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tgJzhA7Swh4M_gWU5FwFe5lPxPj5rebpMbvhpdNrERs";}s:2:"id";s:24:"node.article.field_image";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.article.field_mt_slideshow', 'a:16:{s:4:"uuid";s:36:"569f4368-bc9e-41f6-937d-9c11e0426174";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_slideshow";i:1;s:17:"node.type.article";}}s:2:"id";s:31:"node.article.field_mt_slideshow";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:31:"Promote to front page slideshow";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:2:"On";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.node.article.field_mt_slideshow_image', 'a:16:{s:4:"uuid";s:36:"03505e3d-d874-42e5-94c7-14258e003539";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:37:"node.article.field_mt_slideshow_image";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:15:"Slideshow image";s:11:"description";s:251:"Recommended pixel dimensions for Fullscreen Slideshow - W: 1920 px / H: 1080 px.\r\n<br>Recommended pixel dimensions for Full-Width Slideshow - W: 1920 px / H: 500 px.\r\n<br>Recommended pixel dimensions for Boxed-Width Slideshow - W: 1140 px / H: 500 px.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.article.field_mt_slideshow_text', 'a:16:{s:4:"uuid";s:36:"af206751-4195-49c8-b4cb-b5d4cb04c5d4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_slideshow_text";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:36:"node.article.field_mt_slideshow_text";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:14:"Slideshow text";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.node.article.field_mt_video', 'a:16:{s:4:"uuid";s:36:"92ac7626-1e4e-4f27-9583-5f957279d016";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"field.storage.node.field_mt_video";i:1;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:27:"node.article.field_mt_video";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.article.field_tags', 'a:17:{s:4:"uuid";s:36:"518cf7f8-069b-4e72-a3d5-e463eadb4ce9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:29:"field.storage.node.field_tags";i:1;s:17:"node.type.article";i:2;s:24:"taxonomy.vocabulary.tags";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"QdUgf_beeoaPiyKorFv0q1fcJpWH_uZTqe_xoVJacrw";}s:2:"id";s:23:"node.article.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:7:"article";s:5:"label";s:4:"Tags";s:11:"description";s:84:"Enter a comma-separated list. For example: Amsterdam, Mexico City, "Cleveland, Ohio"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_album.field_mt_alb_body', 'a:16:{s:4:"uuid";s:36:"f434c6af-4f07-4aa0-b31f-bda05139fb53";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:31:"node.mt_album.field_mt_alb_body";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_album.field_mt_alb_image', 'a:16:{s:4:"uuid";s:36:"51e65240-f907-49e5-86e4-4c49cda0a8d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:32:"node.mt_album.field_mt_alb_image";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_album.field_mt_alb_tags', 'a:16:{s:4:"uuid";s:36:"235ffff1-7343-47f9-9694-465345f7467d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_alb_tags";i:1;s:18:"node.type.mt_album";i:2;s:24:"taxonomy.vocabulary.tags";}}s:2:"id";s:31:"node.mt_album.field_mt_alb_tags";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_album.field_mt_alb_video', 'a:16:{s:4:"uuid";s:36:"1661d076-db9b-4e1c-96d0-b7fb01c2b87b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_alb_video";i:1;s:18:"node.type.mt_album";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_album.field_mt_alb_video";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_album";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_benefit.field_mt_bnf_body', 'a:16:{s:4:"uuid";s:36:"b63615d3-937b-4259-bb2c-c9e3531b15d9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_bnf_body";i:1;s:20:"node.type.mt_benefit";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_benefit.field_mt_bnf_body";s:10:"field_name";s:17:"field_mt_bnf_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_benefit.field_mt_bnf_fontawesome_icon', 'a:16:{s:4:"uuid";s:36:"67ad7a85-42ac-4358-9243-09ed914430a2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_bnf_fontawesome_icon";i:1;s:20:"node.type.mt_benefit";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:45:"node.mt_benefit.field_mt_bnf_fontawesome_icon";s:10:"field_name";s:29:"field_mt_bnf_fontawesome_icon";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:5:"label";s:17:"Font Awesome Icon";s:11:"description";s:327:"Enter the class of the icon you want from the Font Awesome library e.g.: film. A list of the available classes is provided here: <a href="https://fontawesome.com/cheatsheet" target="_blank">https://fontawesome.com/cheatsheet</a>. If you leave this field blank, the corresponding node image will be rendered instead of the icon.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.node.mt_benefit.field_mt_bnf_image', 'a:16:{s:4:"uuid";s:36:"1ff96ecd-7903-42f3-92a7-0b9f9c496470";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_bnf_image";i:1;s:20:"node.type.mt_benefit";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:34:"node.mt_benefit.field_mt_bnf_image";s:10:"field_name";s:18:"field_mt_bnf_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_benefit.field_mt_bnf_subheader_body', 'a:16:{s:4:"uuid";s:36:"f3ca3a49-4c8d-4324-8650-01a6bc7bfd9b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_bnf_subheader_body";i:1;s:20:"node.type.mt_benefit";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"node.mt_benefit.field_mt_bnf_subheader_body";s:10:"field_name";s:27:"field_mt_bnf_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_benefit.field_mt_bnf_tags', 'a:16:{s:4:"uuid";s:36:"0cf038a0-192a-4ae9-a7d8-6cc2259ba273";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_bnf_tags";i:1;s:20:"node.type.mt_benefit";i:2;s:24:"taxonomy.vocabulary.tags";}}s:2:"id";s:33:"node.mt_benefit.field_mt_bnf_tags";s:10:"field_name";s:17:"field_mt_bnf_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_benefit.field_mt_bnf_video', 'a:16:{s:4:"uuid";s:36:"501fbc5a-d08e-4305-8943-aefad5d40891";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_bnf_video";i:1;s:20:"node.type.mt_benefit";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_benefit.field_mt_bnf_video";s:10:"field_name";s:18:"field_mt_bnf_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_benefit";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_event.field_mt_evn_body', 'a:16:{s:4:"uuid";s:36:"54f9ec84-30f0-4e01-9913-c195cf1483fe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:31:"node.mt_event.field_mt_evn_body";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_event.field_mt_evn_date', 'a:16:{s:4:"uuid";s:36:"c9c5cfe8-58f4-4fb3-bb40-9ade76dec52d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_evn_date";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:31:"node.mt_event.field_mt_evn_date";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.node.mt_event.field_mt_evn_event_category', 'a:16:{s:4:"uuid";s:36:"97a21dea-e00a-4f83-b086-67cf94a24b38";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:46:"field.storage.node.field_mt_evn_event_category";i:1;s:18:"node.type.mt_event";i:2;s:39:"taxonomy.vocabulary.mt_event_categories";}}s:2:"id";s:41:"node.mt_event.field_mt_evn_event_category";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:14:"Event Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:19:"mt_event_categories";s:19:"mt_event_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_event.field_mt_evn_files', 'a:16:{s:4:"uuid";s:36:"5d26169d-e72b-4ad8-9090-2d3f3c570a46";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_files";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_files";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:5:"Files";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.node.mt_event.field_mt_evn_image', 'a:16:{s:4:"uuid";s:36:"b8597cd5-9374-4804-b9eb-d78374518481";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_image";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_image";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_event.field_mt_evn_location', 'a:16:{s:4:"uuid";s:36:"cb4aa9af-87d2-439e-a4b6-09779d3495d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_evn_location";i:1;s:18:"node.type.mt_event";i:2;s:42:"paragraphs.paragraphs_type.mt_map_location";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:35:"node.mt_event.field_mt_evn_location";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:8:"Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}s:24:"target_bundles_drag_drop";a:14:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:7:"enabled";b:1;s:6:"weight";i:24;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}s:16:"mt_timeline_item";a:2:{s:6:"weight";i:27;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:28;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_event.field_mt_evn_map_zoom', 'a:16:{s:4:"uuid";s:36:"dc0f7a98-8e90-4a61-b4f7-5676550f21a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_evn_map_zoom";i:1;s:18:"node.type.mt_event";}}s:2:"id";s:35:"node.mt_event.field_mt_evn_map_zoom";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:8:"Map Zoom";s:11:"description";s:59:"Enter the map zoom level or leave it to zero for auto zoom.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";N;s:3:"max";N;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.node.mt_event.field_mt_evn_place', 'a:16:{s:4:"uuid";s:36:"bfd78a87-aa63-4939-be4c-52eb6d6295d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_place";i:1;s:18:"node.type.mt_event";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_place";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:5:"Place";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_event.field_mt_evn_speaker', 'a:16:{s:4:"uuid";s:36:"1aff6d1f-eb44-47c2-b4e1-487eda51f86a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_speaker";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_speaker";}}s:2:"id";s:34:"node.mt_event.field_mt_evn_speaker";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:7:"Speaker";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_event.field_mt_evn_sponsor', 'a:16:{s:4:"uuid";s:36:"f239972d-00fa-495e-b0c9-64f155e995ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_evn_sponsor";i:1;s:18:"node.type.mt_event";i:2;s:20:"node.type.mt_sponsor";}}s:2:"id";s:34:"node.mt_event.field_mt_evn_sponsor";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:7:"Sponsor";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_event.field_mt_evn_video', 'a:16:{s:4:"uuid";s:36:"b403a9da-837e-4877-867a-0fba333c8e0c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_evn_video";i:1;s:18:"node.type.mt_event";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:32:"node.mt_event.field_mt_evn_video";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:8:"mt_event";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_affiliations', 'a:16:{s:4:"uuid";s:36:"441d8f87-fc79-406c-9188-1d07c7ae9044";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prs_affiliations";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:46:"node.mt_presentation.field_mt_prs_affiliations";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:12:"Affiliations";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_authors', 'a:16:{s:4:"uuid";s:36:"56e92ae2-8a91-455f-a172-08a2dd950634";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:39:"field.storage.node.field_mt_prs_authors";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_authors";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:7:"Authors";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_body', 'a:16:{s:4:"uuid";s:36:"a14ac2c2-0aa6-40f0-bfee-2ca1a8494dff";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:38:"node.mt_presentation.field_mt_prs_body";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_category', 'a:16:{s:4:"uuid";s:36:"eb7aca32-d198-4871-9851-58ede3afc312";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:40:"field.storage.node.field_mt_prs_category";i:1;s:25:"node.type.mt_presentation";i:2;s:46:"taxonomy.vocabulary.mt_presentation_categories";}}s:2:"id";s:42:"node.mt_presentation.field_mt_prs_category";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:21:"Presentation Category";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_date', 'a:16:{s:4:"uuid";s:36:"f95663f8-eae5-4d7e-bfcb-c8be713fd952";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prs_date";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:38:"node.mt_presentation.field_mt_prs_date";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_files', 'a:16:{s:4:"uuid";s:36:"de785d49-7af0-4169-8879-85219002d834";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_files";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:4:"file";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_files";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:5:"Files";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:6:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:15:"txt pdf doc ppt";s:12:"max_filesize";s:4:"1 MB";s:17:"description_field";b:1;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:4:"file";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_image', 'a:16:{s:4:"uuid";s:36:"92d78097-ffa0-4a75-b096-72b118c765a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_image";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_image";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_location', 'a:16:{s:4:"uuid";s:36:"d784c561-19f7-4dc0-9898-38fc2d37629d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prs_location";i:1;s:25:"node.type.mt_presentation";}}s:2:"id";s:42:"node.mt_presentation.field_mt_prs_location";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Location";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_session', 'a:16:{s:4:"uuid";s:36:"5fd4e67c-ca7f-4372-95c9-791b73fc79ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_session";i:1;s:25:"node.type.mt_presentation";i:2;s:30:"taxonomy.vocabulary.mt_session";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_session";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:7:"Session";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_session";s:10:"mt_session";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_speaker', 'a:16:{s:4:"uuid";s:36:"6854265c-fd55-4245-8de0-a87b5a880e7e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_speaker";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_speaker";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_speaker";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Speakers";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}');
INSERT INTO `config_snapshot` VALUES
('', 'field.field.node.mt_presentation.field_mt_prs_sponsor', 'a:16:{s:4:"uuid";s:36:"b63f2f87-90f9-4e22-ac09-a79d44f208be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:39:"field.storage.node.field_mt_prs_sponsor";i:1;s:25:"node.type.mt_presentation";i:2;s:20:"node.type.mt_sponsor";}}s:2:"id";s:41:"node.mt_presentation.field_mt_prs_sponsor";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:8:"Sponsors";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:12:"default:node";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_topics', 'a:16:{s:4:"uuid";s:36:"f0fd1baf-e571-4c96-b102-2b48dd347650";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:38:"field.storage.node.field_mt_prs_topics";i:1;s:25:"node.type.mt_presentation";i:2;s:29:"taxonomy.vocabulary.mt_topics";}}s:2:"id";s:40:"node.mt_presentation.field_mt_prs_topics";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:6:"Topics";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_presentation.field_mt_prs_video', 'a:16:{s:4:"uuid";s:36:"c73050a5-213e-4bd8-9eec-4e6f8421dab1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prs_video";i:1;s:25:"node.type.mt_presentation";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:39:"node.mt_presentation.field_mt_prs_video";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:15:"mt_presentation";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_product.field_mt_prd_additional_features', 'a:16:{s:4:"uuid";s:36:"0d0ca2de-0b85-4c71-b689-725e4d9f9900";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:51:"field.storage.node.field_mt_prd_additional_features";i:1;s:20:"node.type.mt_product";i:2;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:48:"node.mt_product.field_mt_prd_additional_features";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:19:"Additional Features";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:7:"enabled";b:1;s:6:"weight";i:14;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_product.field_mt_prd_availability', 'a:16:{s:4:"uuid";s:36:"dda452e3-f319-4a83-be91-ccf7673fa96a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_availability";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_availability";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:12:"Availability";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.node.mt_product.field_mt_prd_banner_carousel', 'a:16:{s:4:"uuid";s:36:"9dd19524-de06-4b9e-bbe1-70c871b65323";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_banner_carousel";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"node.mt_product.field_mt_prd_banner_carousel";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:33:"Internal Banner Carousel Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_product.field_mt_prd_body', 'a:16:{s:4:"uuid";s:36:"d6575ee4-8157-4c81-a2d2-06af8e101d36";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_product.field_mt_prd_body";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_product.field_mt_prd_buy_link', 'a:16:{s:4:"uuid";s:36:"c3f40f9b-7ed7-43c3-ae36-0808913a59c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:37:"node.mt_product.field_mt_prd_buy_link";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:8:"Buy Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.node.mt_product.field_mt_prd_categories', 'a:16:{s:4:"uuid";s:36:"36ac5121-0d74-42d0-838c-6db43f49526e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:42:"field.storage.node.field_mt_prd_categories";i:1;s:20:"node.type.mt_product";i:2;s:34:"taxonomy.vocabulary.mt_collections";}}s:2:"id";s:39:"node.mt_product.field_mt_prd_categories";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:10:"Categories";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_product.field_mt_prd_content_tabs', 'a:16:{s:4:"uuid";s:36:"a76cb6fa-1b6b-479b-bbd3-25c722ac8b2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_prd_content_tabs";i:1;s:20:"node.type.mt_product";i:2;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_content_tabs";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Tabs";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:7:"enabled";b:1;s:6:"weight";i:25;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_product.field_mt_prd_highlight', 'a:16:{s:4:"uuid";s:36:"b5846f43-cde4-4029-b58d-c3cd02304edb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_prd_highlight";i:1;s:20:"node.type.mt_product";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:38:"node.mt_product.field_mt_prd_highlight";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:9:"Highlight";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_product.field_mt_prd_image', 'a:16:{s:4:"uuid";s:36:"8d699d38-a735-4fb3-85e4-0ac1dc6331ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_image";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_product.field_mt_prd_landscape_image', 'a:16:{s:4:"uuid";s:36:"2d18fcde-fe25-4fb3-9ae3-62af7706af1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_prd_landscape_image";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"node.mt_product.field_mt_prd_landscape_image";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:15:"Landscape Image";s:11:"description";s:89:"Optional image, used only on selected Views-driven pages with items listed using Masonry.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_product.field_mt_prd_most_popular', 'a:16:{s:4:"uuid";s:36:"728d24fe-81aa-4461-a52c-d83eee6d97db";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_most_popular";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:12:"Most Popular";s:11:"description";s:83:"Check the box to highlight this Product as “most popular” in the pricing table.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:8:"on_label";s:12:"most popular";s:9:"off_label";s:3:"Off";}s:10:"field_type";s:7:"boolean";}'),
('', 'field.field.node.mt_product.field_mt_prd_price', 'a:16:{s:4:"uuid";s:36:"723f0719-8d77-42da-b1e9-7466933da6a3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_price";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_price";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:5:"Price";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_product.field_mt_prd_pricing_table_item', 'a:16:{s:4:"uuid";s:36:"fa4a9ab6-0302-45a1-903f-ac097047bfe6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.node.field_mt_prd_pricing_table_item";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:47:"node.mt_product.field_mt_prd_pricing_table_item";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:21:"Pricing Table Feature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_product.field_mt_prd_product_code', 'a:16:{s:4:"uuid";s:36:"77823686-2655-47b6-b873-a892d9e2b2d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_prd_product_code";i:1;s:20:"node.type.mt_product";}}s:2:"id";s:41:"node.mt_product.field_mt_prd_product_code";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:3:"SKU";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_product.field_mt_prd_subheader_body', 'a:16:{s:4:"uuid";s:36:"5141e284-dd7e-44a5-be00-364fe51781f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_prd_subheader_body";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"node.mt_product.field_mt_prd_subheader_body";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_product.field_mt_prd_tags', 'a:16:{s:4:"uuid";s:36:"58ea92f5-47cb-4e3c-a43c-ee50a95e27bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_prd_tags";i:1;s:20:"node.type.mt_product";i:2;s:24:"taxonomy.vocabulary.tags";}}s:2:"id";s:33:"node.mt_product.field_mt_prd_tags";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_product.field_mt_prd_video', 'a:16:{s:4:"uuid";s:36:"0abffa15-cd17-4135-bf22-1d34fb82a983";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_prd_video";i:1;s:20:"node.type.mt_product";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_product.field_mt_prd_video";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_product";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_service.field_mt_srv_banner_image', 'a:16:{s:4:"uuid";s:36:"22ecabbe-c5ad-46d8-ad32-d7364028a0f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_srv_banner_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:41:"node.mt_service.field_mt_srv_banner_image";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:24:"Internal banner image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_service.field_mt_srv_body', 'a:16:{s:4:"uuid";s:36:"6906f236-70f9-4bb9-b147-46810d13eb33";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_service.field_mt_srv_body";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_service.field_mt_srv_buy_link', 'a:16:{s:4:"uuid";s:36:"ccd0f471-d8a5-4f4d-a24a-9e3b18bd4fbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_srv_buy_link";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:37:"node.mt_service.field_mt_srv_buy_link";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:8:"Buy Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.node.mt_service.field_mt_srv_highlight', 'a:16:{s:4:"uuid";s:36:"99b60365-42f4-47c2-baf4-a3e44bab5407";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:41:"field.storage.node.field_mt_srv_highlight";i:1;s:20:"node.type.mt_service";i:2;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:38:"node.mt_service.field_mt_srv_highlight";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:9:"Highlight";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:6:"weight";i:15;s:7:"enabled";b:0;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:7:"enabled";b:1;s:6:"weight";i:20;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_service.field_mt_srv_image', 'a:16:{s:4:"uuid";s:36:"c9b98218-f13c-469a-9427-2b3bc5d600ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_image";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_image";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_service.field_mt_srv_price', 'a:16:{s:4:"uuid";s:36:"06dd9a5c-813b-4d07-9861-bb83b20f2855";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_price";i:1;s:20:"node.type.mt_service";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_price";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:5:"Price";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_service.field_mt_srv_service_tags', 'a:16:{s:4:"uuid";s:36:"d7fa6b65-cbde-4142-b701-0f23680ca4f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_srv_service_tags";i:1;s:20:"node.type.mt_service";i:2;s:35:"taxonomy.vocabulary.mt_service_tags";}}s:2:"id";s:41:"node.mt_service.field_mt_srv_service_tags";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:12:"Service Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_service.field_mt_srv_subheader_body', 'a:16:{s:4:"uuid";s:36:"ea6328af-0cea-4c6c-ad18-c4dfd101e518";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_srv_subheader_body";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"node.mt_service.field_mt_srv_subheader_body";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_service.field_mt_srv_video', 'a:16:{s:4:"uuid";s:36:"34b90fa6-b72a-42e3-9b99-9791af8db9de";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_srv_video";i:1;s:20:"node.type.mt_service";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:34:"node.mt_service.field_mt_srv_video";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_service";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_body', 'a:16:{s:4:"uuid";s:36:"d143ed01-3666-4249-99c0-05813ccb6a6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_shw_body";i:1;s:21:"node.type.mt_showcase";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:34:"node.mt_showcase.field_mt_shw_body";s:10:"field_name";s:17:"field_mt_shw_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_clients_tags', 'a:16:{s:4:"uuid";s:36:"a797e115-fe03-493d-8ddc-a5efa6db2f37";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_shw_clients_tags";i:1;s:21:"node.type.mt_showcase";i:2;s:34:"taxonomy.vocabulary.mt_brands_tags";}}s:2:"id";s:42:"node.mt_showcase.field_mt_shw_clients_tags";s:10:"field_name";s:25:"field_mt_shw_clients_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:7:"Clients";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_content_collapses', 'a:16:{s:4:"uuid";s:36:"6cf56bbd-7924-403e-a84c-6d8df8065c23";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:49:"field.storage.node.field_mt_shw_content_collapses";i:1;s:21:"node.type.mt_showcase";i:2;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:26:"entity_reference_revisions";}}s:2:"id";s:47:"node.mt_showcase.field_mt_shw_content_collapses";s:10:"field_name";s:30:"field_mt_shw_content_collapses";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:9:"Collapses";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:17:"default:paragraph";s:16:"handler_settings";a:3:{s:6:"negate";i:0;s:14:"target_bundles";a:1:{s:11:"mt_collapse";s:11:"mt_collapse";}s:24:"target_bundles_drag_drop";a:13:{s:21:"mt_additional_feature";a:2:{s:6:"weight";i:14;s:7:"enabled";b:0;}s:11:"mt_collapse";a:2:{s:7:"enabled";b:1;s:6:"weight";i:15;}s:11:"mt_dropdown";a:2:{s:6:"weight";i:16;s:7:"enabled";b:0;}s:21:"mt_fancy_linked_image";a:2:{s:6:"weight";i:17;s:7:"enabled";b:0;}s:12:"mt_fancy_tab";a:2:{s:6:"weight";i:18;s:7:"enabled";b:0;}s:28:"mt_featured_linked_text_tile";a:2:{s:6:"weight";i:19;s:7:"enabled";b:0;}s:12:"mt_highlight";a:2:{s:6:"weight";i:20;s:7:"enabled";b:0;}s:16:"mt_icon_features";a:2:{s:6:"weight";i:21;s:7:"enabled";b:0;}s:23:"mt_main_slideshow_slide";a:2:{s:6:"weight";i:22;s:7:"enabled";b:0;}s:15:"mt_map_location";a:2:{s:6:"weight";i:23;s:7:"enabled";b:0;}s:12:"mt_media_tab";a:2:{s:6:"weight";i:24;s:7:"enabled";b:0;}s:6:"mt_tab";a:2:{s:6:"weight";i:25;s:7:"enabled";b:0;}s:22:"mt_video_gallery_slide";a:2:{s:6:"weight";i:26;s:7:"enabled";b:0;}}}}s:10:"field_type";s:26:"entity_reference_revisions";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_image', 'a:16:{s:4:"uuid";s:36:"b71a0ece-ee2b-447e-b14c-cabd8362659a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_shw_image";i:1;s:21:"node.type.mt_showcase";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:35:"node.mt_showcase.field_mt_shw_image";s:10:"field_name";s:18:"field_mt_shw_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:16:"In-page Image(s)";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_showcase_tags', 'a:16:{s:4:"uuid";s:36:"10fe8cf8-3736-4f7d-bc39-d0e9d1c9e087";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:45:"field.storage.node.field_mt_shw_showcase_tags";i:1;s:21:"node.type.mt_showcase";i:2;s:36:"taxonomy.vocabulary.mt_showcase_tags";}}s:2:"id";s:43:"node.mt_showcase.field_mt_shw_showcase_tags";s:10:"field_name";s:26:"field_mt_shw_showcase_tags";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:13:"Showcase Tags";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_subheader_body', 'a:16:{s:4:"uuid";s:36:"3913e28a-0101-4d9d-8f11-6ce46b0b02b2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.node.field_mt_shw_subheader_body";i:1;s:21:"node.type.mt_showcase";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:44:"node.mt_showcase.field_mt_shw_subheader_body";s:10:"field_name";s:27:"field_mt_shw_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_subtitle', 'a:16:{s:4:"uuid";s:36:"02eb6dfd-a1df-4e23-9ad3-7032d20bf665";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_shw_subtitle";i:1;s:21:"node.type.mt_showcase";}}s:2:"id";s:38:"node.mt_showcase.field_mt_shw_subtitle";s:10:"field_name";s:21:"field_mt_shw_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_showcase.field_mt_shw_video', 'a:16:{s:4:"uuid";s:36:"9e0807e9-90d0-4e1d-9b61-de0bc470e2ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:37:"field.storage.node.field_mt_shw_video";i:1;s:21:"node.type.mt_showcase";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:35:"node.mt_showcase.field_mt_shw_video";s:10:"field_name";s:18:"field_mt_shw_video";s:11:"entity_type";s:4:"node";s:6:"bundle";s:11:"mt_showcase";s:5:"label";s:9:"Video URL";s:11:"description";s:98:"Provide the URL of the Video you''d like to embed from a supported provider (i.e. Vimeo or Youtube)";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_affiliations', 'a:16:{s:4:"uuid";s:36:"a4d573d8-b1ab-4b93-90b5-232d471a3cbf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:3:{i:0;s:44:"field.storage.node.field_mt_spk_affiliations";i:1;s:20:"node.type.mt_speaker";i:2;s:35:"taxonomy.vocabulary.mt_affiliations";}}s:2:"id";s:41:"node.mt_speaker.field_mt_spk_affiliations";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:12:"Affiliations";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:21:"default:taxonomy_term";s:16:"handler_settings";a:4:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_body', 'a:16:{s:4:"uuid";s:36:"6573184d-fb8a-4b27-8794-df2823e33318";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spk_body";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_speaker.field_mt_spk_body";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_facebook_account', 'a:16:{s:4:"uuid";s:36:"c304a903-454a-48c8-9ba8-836679a6b551";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:45:"node.mt_speaker.field_mt_spk_facebook_account";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Facebook";s:11:"description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_linkedin_account', 'a:16:{s:4:"uuid";s:36:"737bcadb-82d9-4a27-b0e7-bb1d23ed980d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:45:"node.mt_speaker.field_mt_spk_linkedin_account";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Linkedin";s:11:"description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_speaker_photo', 'a:16:{s:4:"uuid";s:36:"d52be9d6-c574-4b3e-8af9-6787187bfec8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:1;s:20:"node.type.mt_speaker";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:42:"node.mt_speaker.field_mt_spk_speaker_photo";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:13:"Speaker Photo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_subtitle', 'a:16:{s:4:"uuid";s:36:"0b43c71d-e59d-4f58-8fed-fd3a92a1eb5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_spk_subtitle";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:37:"node.mt_speaker.field_mt_spk_subtitle";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_twitter_account', 'a:16:{s:4:"uuid";s:36:"a66b3b85-b093-4f8c-83aa-4b16176ceaa1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_twitter_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:44:"node.mt_speaker.field_mt_spk_twitter_account";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:7:"Twitter";s:11:"description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_speaker.field_mt_spk_youtube_account', 'a:16:{s:4:"uuid";s:36:"0330cd7f-bc68-4f05-8b31-f4ace910553e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_spk_youtube_account";i:1;s:20:"node.type.mt_speaker";}}s:2:"id";s:44:"node.mt_speaker.field_mt_spk_youtube_account";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_speaker";s:5:"label";s:7:"YouTube";s:11:"description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_sponsor.field_mt_spn_body', 'a:16:{s:4:"uuid";s:36:"c93449a4-013c-494d-9fe4-14299f602bc2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_body";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.mt_sponsor.field_mt_spn_body";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_sponsor.field_mt_spn_logo', 'a:16:{s:4:"uuid";s:36:"21604998-f196-4c1d-a923-37b10a4bb54b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"node.type.mt_sponsor";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:33:"node.mt_sponsor.field_mt_spn_logo";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:10:"mt_sponsor";s:5:"label";s:4:"Logo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_body', 'a:16:{s:4:"uuid";s:36:"9ae356df-db03-4d39-a138-a2f0b569b950";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tmm_body";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_team_member.field_mt_tmm_body";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_facebook_account', 'a:16:{s:4:"uuid";s:36:"e52d7ab8-3aaa-40af-b8fd-36f52663b9ea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:49:"node.mt_team_member.field_mt_tmm_facebook_account";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Facebook";s:11:"description";s:83:"Enter the URL of your Facebook profile, e.g.: https://www.facebook.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_linkedin_account', 'a:16:{s:4:"uuid";s:36:"6040ca86-6b34-439f-ae76-57d78f1414f8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:49:"node.mt_team_member.field_mt_tmm_linkedin_account";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Linkedin";s:11:"description";s:86:"Enter the URL of your Linkedin profile, e.g.: https://www.linkedin.com/in/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_member_photo', 'a:16:{s:4:"uuid";s:36:"b3798000-e15f-4123-b4b6-99d507302ec0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";i:1;s:24:"node.type.mt_team_member";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:45:"node.mt_team_member.field_mt_tmm_member_photo";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:12:"Member Photo";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_subtitle', 'a:16:{s:4:"uuid";s:36:"4f3296df-f4b4-4ece-af56-1d24de77f3e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tmm_subtitle";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:41:"node.mt_team_member.field_mt_tmm_subtitle";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}');
INSERT INTO `config_snapshot` VALUES
('', 'field.field.node.mt_team_member.field_mt_tmm_twitter_account', 'a:16:{s:4:"uuid";s:36:"4edd66b7-718b-428f-bc26-43936c6ff5d7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:48:"node.mt_team_member.field_mt_tmm_twitter_account";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:7:"Twitter";s:11:"description";s:77:"Enter the URL of your Twitter profile, e.g.: https://twitter.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_team_member.field_mt_tmm_youtube_account', 'a:16:{s:4:"uuid";s:36:"82b9a147-6edb-4f09-a9d8-81e265c1149a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.node.field_mt_tmm_youtube_account";i:1;s:24:"node.type.mt_team_member";}}s:2:"id";s:48:"node.mt_team_member.field_mt_tmm_youtube_account";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_team_member";s:5:"label";s:7:"YouTube";s:11:"description";s:77:"Enter the URL of your YouTube profile, e.g.: https://youtube.com/your-account";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_body', 'a:16:{s:4:"uuid";s:36:"6ad7fa09-01a9-4b33-ad70-980512ba8fa9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"node.mt_testimonial.field_mt_tst_body";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_subtitle', 'a:16:{s:4:"uuid";s:36:"703119d5-eebc-41b9-80a6-b40096093135";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:40:"field.storage.node.field_mt_tst_subtitle";i:1;s:24:"node.type.mt_testimonial";}}s:2:"id";s:41:"node.mt_testimonial.field_mt_tst_subtitle";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:8:"Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_testimonial_image', 'a:16:{s:4:"uuid";s:36:"92c94f79-5370-4102-95a6-ab40813f1992";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"node.mt_testimonial.field_mt_tst_testimonial_image";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:17:"Testimonial Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:0:"";s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.node.mt_testimonial.field_mt_tst_testimonial_link', 'a:16:{s:4:"uuid";s:36:"0ef202ef-8e68-4891-9ca0-36f63cd365bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:1;s:24:"node.type.mt_testimonial";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:49:"node.mt_testimonial.field_mt_tst_testimonial_link";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:6:"bundle";s:14:"mt_testimonial";s:5:"label";s:16:"Testimonial Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.node.page.body', 'a:17:{s:4:"uuid";s:36:"b05f7c01-155a-4bb4-b62a-b77b75e91fcf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rUop-8b6hvxxDYbv-KobTfNIBNbPY9qOPl8f6kBNSpw";}s:2:"id";s:14:"node.page.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:1;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.node.page.field_mt_subheader_body', 'a:16:{s:4:"uuid";s:36:"64def67f-327a-4207-8497-c4f740c842b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.node.field_mt_subheader_body";i:1;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:33:"node.page.field_mt_subheader_body";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:6:"bundle";s:4:"page";s:5:"label";s:14:"Subheader body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_body', 'a:16:{s:4:"uuid";s:36:"5f9c7c3e-c383-4146-88b1-5a15ee83a7dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_adf_body";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:49:"paragraph.mt_additional_feature.field_mt_adf_body";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon', 'a:16:{s:4:"uuid";s:36:"bd90e19e-db77-48f5-b8fc-834bd9b60502";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_adf_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:52:"paragraph.mt_additional_feature.field_mt_adf_fa_icon";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:17:"Font Awesome Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_image', 'a:16:{s:4:"uuid";s:36:"cc8318ea-85b5-4216-86d3-d3e5b419d96f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_image";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"paragraph.mt_additional_feature.field_mt_adf_image";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_additional_feature.field_mt_adf_title', 'a:16:{s:4:"uuid";s:36:"b22fcff9-12c4-4129-938f-35edb13ef6b5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_adf_title";i:1;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}}s:2:"id";s:50:"paragraph.mt_additional_feature.field_mt_adf_title";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_additional_feature";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_collapse.field_mt_collapse_body', 'a:16:{s:4:"uuid";s:36:"2345eac5-938c-40ce-ba2a-6f8e48cf32c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_collapse_body";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:44:"paragraph.mt_collapse.field_mt_collapse_body";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:5:"label";s:13:"Collapse Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_collapse.field_mt_collapse_title', 'a:16:{s:4:"uuid";s:36:"d549a8d3-fdc7-4cec-a855-59b5e0034682";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_collapse_title";i:1;s:38:"paragraphs.paragraphs_type.mt_collapse";}}s:2:"id";s:45:"paragraph.mt_collapse.field_mt_collapse_title";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_collapse";s:5:"label";s:14:"Collapse Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_dropdown.field_mt_dropdown_block', 'a:16:{s:4:"uuid";s:36:"f5d8cd86-08aa-4168-af5e-bb864823688a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_dropdown_block";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}}s:2:"id";s:45:"paragraph.mt_dropdown.field_mt_dropdown_block";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:5:"label";s:14:"Dropdown Block";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon', 'a:16:{s:4:"uuid";s:36:"b8cdf293-25a7-43ab-b965-29ddd0933646";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_dropdown_fa_icon";i:1;s:38:"paragraphs.paragraphs_type.mt_dropdown";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:47:"paragraph.mt_dropdown.field_mt_dropdown_fa_icon";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:11:"mt_dropdown";s:5:"label";s:21:"Dropdown Trigger Icon";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon', 'a:16:{s:4:"uuid";s:36:"db823943-d35e-41fe-bcc0-f8fb65b77104";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_fli_button_fa_icon";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:59:"paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:11:"Button Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image', 'a:16:{s:4:"uuid";s:36:"557d23a8-a38e-46ef-b8bf-4523658ceb11";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_image";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_image";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Image";s:11:"description";s:53:"Recommended pixel dimensions - W: 750 px / H: 750 px.";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link', 'a:16:{s:4:"uuid";s:36:"da83d41f-08a4-43b0-a841-bdabb04e92a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_fli_link";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:49:"paragraph.mt_fancy_linked_image.field_mt_fli_link";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape', 'a:16:{s:4:"uuid";s:36:"2727f19a-5f06-4bdc-84de-a03588fa9653";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_shape";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_shape";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Shape";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title', 'a:16:{s:4:"uuid";s:36:"5f243c35-c3e6-4c88-9213-eff2e2efe812";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fli_title";i:1;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}}s:2:"id";s:50:"paragraph.mt_fancy_linked_image.field_mt_fli_title";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:21:"mt_fancy_linked_image";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference', 'a:16:{s:4:"uuid";s:36:"eeeef153-2eba-46fa-90d5-2eb8ee48663a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:53:"paragraph.mt_fancy_tab.field_mt_fancy_block_reference";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:15:"Block Reference";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:7:"handler";s:13:"default:block";s:16:"handler_settings";a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}}s:10:"field_type";s:16:"entity_reference";}'),
('', 'field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle', 'a:16:{s:4:"uuid";s:36:"c8bb5a18-33c7-4b9f-999e-c0122f2cb105";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:46:"paragraph.mt_fancy_tab.field_mt_fancy_subtitle";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:12:"Tab Subtitle";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_fancy_tab.field_mt_fancy_title', 'a:16:{s:4:"uuid";s:36:"e078d316-f77a-4846-b985-c06a7ac7d414";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_fancy_title";i:1;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}}s:2:"id";s:43:"paragraph.mt_fancy_tab.field_mt_fancy_title";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_fancy_tab";s:5:"label";s:9:"Tab title";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body', 'a:16:{s:4:"uuid";s:36:"877ba83b-1973-4631-8e59-1159e0a236f4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_body";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link', 'a:16:{s:4:"uuid";s:36:"796c42d4-74fa-41cf-972e-90e85f022d9d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_link";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:57:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title', 'a:16:{s:4:"uuid";s:36:"b186b011-3386-453b-b481-b2be1c3bd678";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_fltt_title";i:1;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}}s:2:"id";s:58:"paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:28:"mt_featured_linked_text_tile";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_body', 'a:16:{s:4:"uuid";s:36:"489416d5-4c46-412f-a540-488ea5520eb8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_body";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:46:"paragraph.mt_highlight.field_mt_highlight_body";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_image', 'a:16:{s:4:"uuid";s:36:"ac418b6b-61e3-4957-9d18-f521a83a5507";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_image";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:47:"paragraph.mt_highlight.field_mt_highlight_image";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_link', 'a:16:{s:4:"uuid";s:36:"39c1f90c-b22f-4d3e-98fd-2e6beff28835";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_link";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:46:"paragraph.mt_highlight.field_mt_highlight_link";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_highlight.field_mt_highlight_title', 'a:16:{s:4:"uuid";s:36:"647a139e-5fa5-47f2-80ea-98be384fd40d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_title";i:1;s:39:"paragraphs.paragraphs_type.mt_highlight";}}s:2:"id";s:47:"paragraph.mt_highlight.field_mt_highlight_title";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_highlight";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_body', 'a:16:{s:4:"uuid";s:36:"bf24cdb9-5b0e-43fc-bf96-a9309e27ccbd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_body";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:43:"paragraph.mt_icon_features.field_mt_if_body";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_fa_icon', 'a:16:{s:4:"uuid";s:36:"da5f21f9-32f5-4d84-a650-b5b9071ad0ab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_if_fa_icon";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:11:"fontawesome";}}s:2:"id";s:46:"paragraph.mt_icon_features.field_mt_if_fa_icon";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Icon";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:16:"fontawesome_icon";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_image', 'a:16:{s:4:"uuid";s:36:"940aacc1-364a-4ac8-9c89-959cb2d6f701";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_image";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:44:"paragraph.mt_icon_features.field_mt_if_image";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:5:"Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_link', 'a:16:{s:4:"uuid";s:36:"c390feb5-cae9-4743-a89f-82757cfe5b20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:40:"field.storage.paragraph.field_mt_if_link";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:43:"paragraph.mt_icon_features.field_mt_if_link";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:1;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_icon_features.field_mt_if_title', 'a:16:{s:4:"uuid";s:36:"2411ac4b-7cca-492a-9de8-3bcd634ea6c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:41:"field.storage.paragraph.field_mt_if_title";i:1;s:43:"paragraphs.paragraphs_type.mt_icon_features";}}s:2:"id";s:44:"paragraph.mt_icon_features.field_mt_if_title";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_icon_features";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption', 'a:16:{s:4:"uuid";s:36:"12785108-0046-4edb-bf28-e3435510607b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:59:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:13:"Slide Caption";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"string_long";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color', 'a:16:{s:4:"uuid";s:36:"033e1106-e2fd-4fec-861a-5634185014c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:7:"options";}}s:2:"id";s:65:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:30:"Slide Caption Background Color";s:11:"description";s:53:"From the drop-down menu, select the color you prefer.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:48:"region--light-typography region--dark-background";}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:11:"list_string";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac', 'a:16:{s:4:"uuid";s:36:"4f459cf5-c75a-47d2-bc62-5a8f4fe4f626";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:64:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:32:"Slide Caption Background Opacity";s:11:"description";s:52:"Set the % opacity for the background of the caption.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:90;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image', 'a:16:{s:4:"uuid";s:36:"7703a1b1-a719-4c64-af82-69995891c91d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_image";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:11:"Slide Image";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link', 'a:16:{s:4:"uuid";s:36:"7a2c2551-6edb-4854-a578-89c3e7f2f7ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_ms_slide_link";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:56:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:10:"Slide Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title', 'a:16:{s:4:"uuid";s:36:"2a4620e7-c99e-4894-8184-e2db12120c20";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_title";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:57:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:11:"Slide Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id', 'a:16:{s:4:"uuid";s:36:"ec07141b-78cf-436e-b19e-24b806149761";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:60:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:14:"Slide Vimeo id";s:11:"description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume', 'a:16:{s:4:"uuid";s:36:"b0a743ac-6b06-49a4-bdf2-725ef69dd5f2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:58:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:12:"Slide Volume";s:11:"description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id', 'a:16:{s:4:"uuid";s:36:"e313ac40-23cf-479c-a0d6-3c24779afd3f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";i:1;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}}s:2:"id";s:62:"paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:23:"mt_main_slideshow_slide";s:5:"label";s:16:"Slide Youtube id";s:11:"description";s:141:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_map_location.field_mt_ml_latitude', 'a:16:{s:4:"uuid";s:36:"f061a972-8b30-4868-987f-925de9d42e55";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_ml_latitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:46:"paragraph.mt_map_location.field_mt_ml_latitude";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:8:"Latitude";s:11:"description";s:48:"Enter the Latitude of the marker. e.g. 40.726576";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_map_location.field_mt_ml_location_name', 'a:16:{s:4:"uuid";s:36:"7bf9a499-85be-4053-bf1b-43a19216631c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:49:"field.storage.paragraph.field_mt_ml_location_name";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:51:"paragraph.mt_map_location.field_mt_ml_location_name";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:13:"Location Name";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_map_location.field_mt_ml_longitude', 'a:16:{s:4:"uuid";s:36:"a43bd031-153a-40f7-acb2-f716f55adeb4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_ml_longitude";i:1;s:42:"paragraphs.paragraphs_type.mt_map_location";}}s:2:"id";s:47:"paragraph.mt_map_location.field_mt_ml_longitude";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:15:"mt_map_location";s:5:"label";s:9:"Longitude";s:11:"description";s:50:"Enter the Longitude of the marker. e.g. -74.046822";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_body', 'a:16:{s:4:"uuid";s:36:"38140e70-b567-4556-bb3e-abee9a438310";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_media_body";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:42:"paragraph.mt_media_tab.field_mt_media_body";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:10:"Media Body";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_button', 'a:16:{s:4:"uuid";s:36:"d2e7c07d-a77f-4ae6-885a-14cde6dee8bf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_media_button";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:44:"paragraph.mt_media_tab.field_mt_media_button";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:12:"Media Button";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:2;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_image', 'a:16:{s:4:"uuid";s:36:"dc28e249-bce8-4b19-aea0-1217b857896e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_image";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_image";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_tab_title', 'a:16:{s:4:"uuid";s:36:"9aa9532c-d771-45d7-b444-02cd499867ed";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_media_tab_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:2:"id";s:47:"paragraph.mt_media_tab.field_mt_media_tab_title";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:15:"Media Tab Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_title', 'a:16:{s:4:"uuid";s:36:"0e84b8d5-880e-43c2-9923-b4d4e18e58e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_title";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_title";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_media_tab.field_mt_media_video', 'a:16:{s:4:"uuid";s:36:"df52ca38-e2c4-4642-bfdf-7913b7beb37a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_media_video";i:1;s:39:"paragraphs.paragraphs_type.mt_media_tab";}s:6:"module";a:1:{i:0;s:17:"video_embed_field";}}s:2:"id";s:43:"paragraph.mt_media_tab.field_mt_media_video";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:12:"mt_media_tab";s:5:"label";s:11:"Media Video";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:17:"allowed_providers";a:3:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:16:"youtube_playlist";s:1:"0";}}s:10:"field_type";s:17:"video_embed_field";}'),
('', 'field.field.paragraph.mt_tab.field_mt_tab_content', 'a:16:{s:4:"uuid";s:36:"73e5c94d-e744-4da9-a15c-92742479687a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:44:"field.storage.paragraph.field_mt_tab_content";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}s:6:"module";a:1:{i:0;s:4:"text";}}s:2:"id";s:37:"paragraph.mt_tab.field_mt_tab_content";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:5:"label";s:11:"Tab content";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:9:"text_long";}'),
('', 'field.field.paragraph.mt_tab.field_mt_tab_title', 'a:16:{s:4:"uuid";s:36:"8f81fe8d-6554-4ac7-9be0-19c93ef40272";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:42:"field.storage.paragraph.field_mt_tab_title";i:1;s:33:"paragraphs.paragraphs_type.mt_tab";}}s:2:"id";s:35:"paragraph.mt_tab.field_mt_tab_title";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:6:"mt_tab";s:5:"label";s:9:"Tab title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date', 'a:16:{s:4:"uuid";s:36:"f1515804-8001-4a07-977f-6e0632e0473f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_date";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:8:"datetime";}}s:2:"id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_date";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:4:"Date";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:8:"datetime";}'),
('', 'field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link', 'a:16:{s:4:"uuid";s:36:"01604ab2-6b80-4d72-a7fd-d1b91b54d6fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_link";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}s:6:"module";a:1:{i:0;s:4:"link";}}s:2:"id";s:53:"paragraph.mt_timeline_item.field_mt_tml_timeline_link";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:4:"Link";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:2:{s:9:"link_type";i:17;s:5:"title";i:0;}s:10:"field_type";s:4:"link";}'),
('', 'field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title', 'a:16:{s:4:"uuid";s:36:"6e19c0a9-4d4f-4cf7-92f7-49615df0e6a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:51:"field.storage.paragraph.field_mt_tml_timeline_title";i:1;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}}s:2:"id";s:54:"paragraph.mt_timeline_item.field_mt_tml_timeline_title";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:16:"mt_timeline_item";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title', 'a:16:{s:4:"uuid";s:36:"accbab0b-6151-461f-8b78-6629b3e991c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:57:"paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:11:"Slide Title";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail', 'a:16:{s:4:"uuid";s:36:"f79ac09c-a4af-4582-a742-8aba532ee391";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:55:"paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:9:"Thumbnail";s:11:"description";s:0:"";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}');
INSERT INTO `config_snapshot` VALUES
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id', 'a:16:{s:4:"uuid";s:36:"3f95e2d6-db73-4eb4-9992-093b8571db66";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:54:"paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:8:"Vimeo ID";s:11:"description";s:72:"Provide the ID of the Video you''d like to use from Vimeo (e.g 82642494).";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume', 'a:16:{s:4:"uuid";s:36:"d9c25109-2c57-4c0c-9296-67d27f8e3c6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:43:"field.storage.paragraph.field_mt_vgs_volume";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:52:"paragraph.mt_video_gallery_slide.field_mt_vgs_volume";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:6:"Volume";s:11:"description";s:76:"Set the Volume of the Video from 0 to 100 (e.g. 50). 0 value mutes the video";s:8:"required";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:22:"default_value_callback";s:0:"";s:8:"settings";a:4:{s:3:"min";i:0;s:3:"max";i:100;s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:10:"field_type";s:7:"integer";}'),
('', 'field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id', 'a:16:{s:4:"uuid";s:36:"6f545a9b-d554-4421-9d1d-e40b0ab1f8e4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"config";a:2:{i:0;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";i:1;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}}s:2:"id";s:56:"paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";s:22:"mt_video_gallery_slide";s:5:"label";s:10:"Youtube ID";s:11:"description";s:142:"Provide the ID of the Video you''d like to use from Youtube (e.g 3wbvpOIIBQA). This field will override the Vimeo field if both are populated. ";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image', 'a:16:{s:4:"uuid";s:36:"cc47cfd7-3a6d-4f98-9655-66aeab6c03e1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:54:"field.storage.taxonomy_term.field_mt_affiliation_image";i:1;s:35:"taxonomy.vocabulary.mt_affiliations";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:56:"taxonomy_term.mt_affiliations.field_mt_affiliation_image";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:15:"mt_affiliations";s:5:"label";s:17:"Affiliation Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.taxonomy_term.mt_brands_tags.field_mt_brand_image', 'a:16:{s:4:"uuid";s:36:"28271bc8-4e80-46c9-b11c-e9fb5cbdc897";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:1;s:34:"taxonomy.vocabulary.mt_brands_tags";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:49:"taxonomy_term.mt_brands_tags.field_mt_brand_image";s:10:"field_name";s:20:"field_mt_brand_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_brands_tags";s:5:"label";s:12:"Client Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:7:"750x750";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.taxonomy_term.mt_collections.field_mt_collection_image', 'a:16:{s:4:"uuid";s:36:"dd02e27a-e3ec-4f93-8fea-69882281b848";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:54:"taxonomy_term.mt_collections.field_mt_collection_image";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:5:"label";s:19:"Product Group Image";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:0;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image', 'a:16:{s:4:"uuid";s:36:"5c99299b-1d23-4c61-8e5c-b89b1251ff5b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:1;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:1:{i:0;s:5:"image";}}s:2:"id";s:59:"taxonomy_term.mt_collections.field_mt_wide_collection_image";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";s:14:"mt_collections";s:5:"label";s:29:"Landscape Product Group Image";s:11:"description";s:99:"Optional image, used only on selected Views-driven pages or blocks with items listed using Masonry.";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:14:"file_directory";s:31:"[date:custom:Y]-[date:custom:m]";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:18:"alt_field_required";b:1;s:11:"title_field";b:1;s:20:"title_field_required";b:0;s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.field.user.user.field_mt_full_name', 'a:16:{s:4:"uuid";s:36:"9813a7b9-e5ea-48f4-8305-7a3d6d85432f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_full_name";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:28:"user.user.field_mt_full_name";s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:9:"Full Name";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:0:{}s:10:"field_type";s:6:"string";}'),
('', 'field.field.user.user.field_mt_signature', 'a:16:{s:4:"uuid";s:36:"269be0cc-b9e2-469d-91bc-42e9d051e0fd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:37:"field.storage.user.field_mt_signature";}s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:28:"user.user.field_mt_signature";s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:9:"Signature";s:11:"description";s:0:"";s:8:"required";b:0;s:12:"translatable";b:0;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:1:{s:15:"display_summary";b:0;}s:10:"field_type";s:17:"text_with_summary";}'),
('', 'field.field.user.user.user_picture', 'a:17:{s:4:"uuid";s:36:"57b659d4-dcfe-4ef7-8d1b-1220c55574e3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:31:"field.storage.user.user_picture";}s:6:"module";a:2:{i:0;s:5:"image";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cL7i1kgJvlJa6H00f0E_fZ2KdD1ag0ASpLts0K-KNII";}s:2:"id";s:22:"user.user.user_picture";s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:6:"bundle";s:4:"user";s:5:"label";s:7:"Picture";s:11:"description";s:29:"Your virtual face or picture.";s:8:"required";b:0;s:12:"translatable";b:1;s:13:"default_value";a:0:{}s:22:"default_value_callback";s:0:"";s:8:"settings";a:12:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:14:"file_directory";s:40:"pictures/[date:custom:Y]-[date:custom:m]";s:12:"max_filesize";s:5:"30 KB";s:9:"alt_field";b:0;s:11:"title_field";b:0;s:14:"max_resolution";s:5:"85x85";s:14:"min_resolution";s:0:"";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:18:"alt_field_required";b:0;s:20:"title_field_required";b:0;s:7:"handler";s:12:"default:file";s:16:"handler_settings";a:0:{}}s:10:"field_type";s:5:"image";}'),
('', 'field.settings', 'a:2:{s:16:"purge_batch_size";i:50;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nJk0TAQBzlNo52ehiHI7bIEPLGi0BYqZvPdEn7Chfu0";}}'),
('', 'field.storage.block_content.body', 'a:17:{s:4:"uuid";s:36:"22a2d0a9-bfcd-4089-8826-e8cec286023f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc";}s:2:"id";s:18:"block_content.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:13:"block_content";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_background_image', 'a:16:{s:4:"uuid";s:36:"16d5fc08-5a2e-4feb-9bdc-0e4a7448244d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:2:"id";s:39:"block_content.field_mt_background_image";s:10:"field_name";s:25:"field_mt_background_image";s:11:"entity_type";s:13:"block_content";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_color', 'a:16:{s:4:"uuid";s:36:"3db39b50-af1a-4d58-a620-831ff4fc05b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:37:"block_content.field_mt_bg_image_color";s:10:"field_name";s:23:"field_mt_bg_image_color";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:4:"Dark";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_layout_mode', 'a:16:{s:4:"uuid";s:36:"5f4e8e01-4077-4234-bac5-3a75658e1822";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:43:"block_content.field_mt_bg_image_layout_mode";s:10:"field_name";s:29:"field_mt_bg_image_layout_mode";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"container";s:5:"label";s:11:"Fixed Width";}i:1;a:2:{s:5:"value";s:15:"container-fluid";s:5:"label";s:10:"Full Width";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_opacity', 'a:16:{s:4:"uuid";s:36:"31a9f97d-a721-41b9-a379-dc006c5ae921";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:39:"block_content.field_mt_bg_image_opacity";s:10:"field_name";s:25:"field_mt_bg_image_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bg_image_positioning', 'a:16:{s:4:"uuid";s:36:"d7cc154f-9ddf-4087-94e9-410c2cc50c72";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:43:"block_content.field_mt_bg_image_positioning";s:10:"field_name";s:29:"field_mt_bg_image_positioning";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_block_reference', 'a:16:{s:4:"uuid";s:36:"f20586f9-91c0-4de8-9414-ddf69e44d81f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:13:"block_content";}}s:2:"id";s:38:"block_content.field_mt_block_reference";s:10:"field_name";s:24:"field_mt_block_reference";s:11:"entity_type";s:13:"block_content";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_layout_mode', 'a:16:{s:4:"uuid";s:36:"3ff57e43-e23f-4d7a-bc37-a00cabf21daa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:37:"block_content.field_mt_bv_layout_mode";s:10:"field_name";s:23:"field_mt_bv_layout_mode";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"container";s:5:"label";s:11:"Fixed Width";}i:1;a:2:{s:5:"value";s:15:"container-fluid";s:5:"label";s:10:"Full Width";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_overlay_color', 'a:16:{s:4:"uuid";s:36:"193b151e-6364-4b67-a16b-7319d84e28d0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:39:"block_content.field_mt_bv_overlay_color";s:10:"field_name";s:25:"field_mt_bv_overlay_color";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:4:"Dark";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_overlay_opacity', 'a:16:{s:4:"uuid";s:36:"b23fcdef-1ff7-435f-afaa-f0ace9a39c74";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_bv_overlay_opacity";s:10:"field_name";s:27:"field_mt_bv_overlay_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_poster', 'a:16:{s:4:"uuid";s:36:"75f4013a-0861-49c9-ba7e-895c7c970ae2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:2:"id";s:32:"block_content.field_mt_bv_poster";s:10:"field_name";s:18:"field_mt_bv_poster";s:11:"entity_type";s:13:"block_content";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_video_mp4', 'a:16:{s:4:"uuid";s:36:"a560034a-6389-438f-8948-dec1013e9d52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:2:"id";s:35:"block_content.field_mt_bv_video_mp4";s:10:"field_name";s:21:"field_mt_bv_video_mp4";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_bv_video_webm', 'a:16:{s:4:"uuid";s:36:"11d2ef71-9700-4313-b6c9-67b13a5f3a81";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:2:"id";s:36:"block_content.field_mt_bv_video_webm";s:10:"field_name";s:22:"field_mt_bv_video_webm";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_collapse_icon', 'a:16:{s:4:"uuid";s:36:"67ae6567-0556-4ab5-8b6f-58e662ed1ad6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:39:"block_content.field_mt_cb_collapse_icon";s:10:"field_name";s:25:"field_mt_cb_collapse_icon";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_expand_icon', 'a:16:{s:4:"uuid";s:36:"5e018863-8933-4e50-95e9-be57ab7af654";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:37:"block_content.field_mt_cb_expand_icon";s:10:"field_name";s:23:"field_mt_cb_expand_icon";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_state', 'a:16:{s:4:"uuid";s:36:"f3d6fea2-4b1a-4220-b617-1f1996125741";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:31:"block_content.field_mt_cb_state";s:10:"field_name";s:17:"field_mt_cb_state";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:8:"expanded";s:5:"label";s:8:"Expanded";}i:1;a:2:{s:5:"value";s:9:"collapsed";s:5:"label";s:9:"Collapsed";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_title', 'a:16:{s:4:"uuid";s:36:"1c106149-1590-48b3-bcf3-90bd79900b79";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:31:"block_content.field_mt_cb_title";s:10:"field_name";s:17:"field_mt_cb_title";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_cb_trigger_position', 'a:16:{s:4:"uuid";s:36:"d020301c-6aed-4357-b8bc-5bd0a08e8943";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_cb_trigger_position";s:10:"field_name";s:28:"field_mt_cb_trigger_position";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:3:"top";s:5:"label";s:3:"Top";}i:1;a:2:{s:5:"value";s:6:"bottom";s:5:"label";s:6:"Bottom";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_dropdown', 'a:16:{s:4:"uuid";s:36:"33b69423-ea44-41ec-aee9-ce7d25f09cdb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:31:"block_content.field_mt_dropdown";s:10:"field_name";s:17:"field_mt_dropdown";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_fancy_linked_image', 'a:16:{s:4:"uuid";s:36:"f3ec65f5-0c55-4198-abb7-bbe64c6b5785";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:41:"block_content.field_mt_fancy_linked_image";s:10:"field_name";s:27:"field_mt_fancy_linked_image";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_fancy_tab', 'a:16:{s:4:"uuid";s:36:"3bda504a-27b2-4fec-9799-cea3cba0b66f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"block_content.field_mt_fancy_tab";s:10:"field_name";s:18:"field_mt_fancy_tab";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_fltt', 'a:16:{s:4:"uuid";s:36:"e7f6e71a-e39f-499e-a2e3-938f006edd87";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"block_content.field_mt_fltt";s:10:"field_name";s:13:"field_mt_fltt";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_if', 'a:16:{s:4:"uuid";s:36:"22b11c07-c927-43e7-8b82-cfc83e4214d0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:25:"block_content.field_mt_if";s:10:"field_name";s:11:"field_mt_if";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_main_slideshow_layout', 'a:16:{s:4:"uuid";s:36:"84f9688c-9f92-4c02-97cc-1b9a9cb1555c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:44:"block_content.field_mt_main_slideshow_layout";s:10:"field_name";s:30:"field_mt_main_slideshow_layout";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:9:"fullwidth";s:5:"label";s:10:"Full Width";}i:1;a:2:{s:5:"value";s:10:"fullscreen";s:5:"label";s:11:"Full Screen";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_main_slideshow_slide', 'a:16:{s:4:"uuid";s:36:"86510cb9-19ac-4f48-9da1-4945c3d81ca6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:43:"block_content.field_mt_main_slideshow_slide";s:10:"field_name";s:29:"field_mt_main_slideshow_slide";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_map_location', 'a:16:{s:4:"uuid";s:36:"7b867270-8272-4f7f-9590-a46a16167e32";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:35:"block_content.field_mt_map_location";s:10:"field_name";s:21:"field_mt_map_location";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_map_zoom', 'a:16:{s:4:"uuid";s:36:"ba947929-7f8c-463b-a0d0-0d37ddadb91a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:31:"block_content.field_mt_map_zoom";s:10:"field_name";s:17:"field_mt_map_zoom";s:11:"entity_type";s:13:"block_content";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_media_tab', 'a:16:{s:4:"uuid";s:36:"2a46f5aa-0a9f-4cf3-8d61-15741b636da6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"block_content.field_mt_media_tab";s:10:"field_name";s:18:"field_mt_media_tab";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_background_opacity', 'a:16:{s:4:"uuid";s:36:"a9c91566-b021-4c07-9675-1c59fbe11bb3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:44:"block_content.field_mt_ms_background_opacity";s:10:"field_name";s:30:"field_mt_ms_background_opacity";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_bullets_position', 'a:16:{s:4:"uuid";s:36:"df9b82a6-6ce9-4aff-9594-af09ac953a40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_ms_bullets_position";s:10:"field_name";s:28:"field_mt_ms_bullets_position";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:3:{i:0;a:2:{s:5:"value";s:4:"left";s:5:"label";s:4:"Left";}i:1;a:2:{s:5:"value";s:5:"right";s:5:"label";s:5:"Right";}i:2;a:2:{s:5:"value";s:6:"center";s:5:"label";s:6:"Center";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_effect', 'a:16:{s:4:"uuid";s:36:"0c16129a-2c39-4904-bb98-a28c620ed30a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:32:"block_content.field_mt_ms_effect";s:10:"field_name";s:18:"field_mt_ms_effect";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:49:{i:0;a:2:{s:5:"value";s:4:"fade";s:5:"label";s:4:"Fade";}i:1;a:2:{s:5:"value";s:7:"slideup";s:5:"label";s:12:"Slide To Top";}i:2;a:2:{s:5:"value";s:9:"slidedown";s:5:"label";s:15:"Slide To Bottom";}i:3;a:2:{s:5:"value";s:10:"slideright";s:5:"label";s:14:"Slide To Right";}i:4;a:2:{s:5:"value";s:9:"slideleft";s:5:"label";s:13:"Slide To Left";}i:5;a:2:{s:5:"value";s:15:"slidehorizontal";s:5:"label";s:16:"Slide Horizontal";}i:6;a:2:{s:5:"value";s:13:"slidevertical";s:5:"label";s:14:"Slide Vertical";}i:7;a:2:{s:5:"value";s:8:"boxslide";s:5:"label";s:11:"Slide Boxes";}i:8;a:2:{s:5:"value";s:20:"slotslide-horizontal";s:5:"label";s:22:"Slide Slots Horizontal";}i:9;a:2:{s:5:"value";s:18:"slotslide-vertical";s:5:"label";s:20:"Slide Slots Vertical";}i:10;a:2:{s:5:"value";s:7:"boxfade";s:5:"label";s:10:"Fade Boxes";}i:11;a:2:{s:5:"value";s:19:"slotfade-horizontal";s:5:"label";s:21:"Fade Slots Horizontal";}i:12;a:2:{s:5:"value";s:17:"slotfade-vertical";s:5:"label";s:19:"Fade Slots Vertical";}i:13;a:2:{s:5:"value";s:13:"fadefromright";s:5:"label";s:25:"Fade and Slide from Right";}i:14;a:2:{s:5:"value";s:12:"fadefromleft";s:5:"label";s:24:"Fade and Slide from Left";}i:15;a:2:{s:5:"value";s:11:"fadefromtop";s:5:"label";s:23:"Fade and Slide from Top";}i:16;a:2:{s:5:"value";s:14:"fadefrombottom";s:5:"label";s:26:"Fade and Slide from Bottom";}i:17;a:2:{s:5:"value";s:23:"fadetoleftfadefromright";s:5:"label";s:32:"Fade To Left and Fade From Right";}i:18;a:2:{s:5:"value";s:23:"fadetorightfadefromleft";s:5:"label";s:32:"Fade To Right and Fade From Left";}i:19;a:2:{s:5:"value";s:23:"fadetotopfadefrombottom";s:5:"label";s:32:"Fade To Top and Fade From Bottom";}i:20;a:2:{s:5:"value";s:23:"fadetobottomfadefromtop";s:5:"label";s:32:"Fade To Bottom and Fade From Top";}i:21;a:2:{s:5:"value";s:15:"parallaxtoright";s:5:"label";s:17:"Parallax to Right";}i:22;a:2:{s:5:"value";s:14:"parallaxtoleft";s:5:"label";s:16:"Parallax to Left";}i:23;a:2:{s:5:"value";s:13:"parallaxtotop";s:5:"label";s:15:"Parallax to Top";}i:24;a:2:{s:5:"value";s:16:"parallaxtobottom";s:5:"label";s:18:"Parallax to Bottom";}i:25;a:2:{s:5:"value";s:18:"scaledownfromright";s:5:"label";s:28:"Zoom Out and Fade From Right";}i:26;a:2:{s:5:"value";s:17:"scaledownfromleft";s:5:"label";s:27:"Zoom Out and Fade From Left";}i:27;a:2:{s:5:"value";s:16:"scaledownfromtop";s:5:"label";s:26:"Zoom Out and Fade From Top";}i:28;a:2:{s:5:"value";s:19:"scaledownfrombottom";s:5:"label";s:29:"Zoom Out and Fade From Bottom";}i:29;a:2:{s:5:"value";s:7:"zoomout";s:5:"label";s:7:"ZoomOut";}i:30;a:2:{s:5:"value";s:6:"zoomin";s:5:"label";s:6:"ZoomIn";}i:31;a:2:{s:5:"value";s:19:"slotzoom-horizontal";s:5:"label";s:21:"Zoom Slots Horizontal";}i:32;a:2:{s:5:"value";s:17:"slotzoom-vertical";s:5:"label";s:19:"Zoom Slots Vertical";}i:33;a:2:{s:5:"value";s:9:"curtain-1";s:5:"label";s:17:"Curtain from Left";}i:34;a:2:{s:5:"value";s:9:"curtain-2";s:5:"label";s:18:"Curtain from Right";}i:35;a:2:{s:5:"value";s:9:"curtain-3";s:5:"label";s:19:"Curtain from Middle";}i:36;a:2:{s:5:"value";s:20:"3dcurtain-horizontal";s:5:"label";s:21:"3D Curtain Horizontal";}i:37;a:2:{s:5:"value";s:18:"3dcurtain-vertical";s:5:"label";s:19:"3D Curtain Vertical";}i:38;a:2:{s:5:"value";s:4:"cube";s:5:"label";s:13:"Cube Vertical";}i:39;a:2:{s:5:"value";s:15:"cube-horizontal";s:5:"label";s:15:"Cube Horizontal";}i:40;a:2:{s:5:"value";s:6:"incube";s:5:"label";s:16:"In Cube Vertical";}i:41;a:2:{s:5:"value";s:17:"incube-horizontal";s:5:"label";s:18:"In Cube Horizontal";}i:42;a:2:{s:5:"value";s:7:"turnoff";s:5:"label";s:18:"TurnOff Horizontal";}i:43;a:2:{s:5:"value";s:16:"turnoff-vertical";s:5:"label";s:16:"TurnOff Vertical";}i:44;a:2:{s:5:"value";s:8:"papercut";s:5:"label";s:9:"Paper Cut";}i:45;a:2:{s:5:"value";s:5:"flyin";s:5:"label";s:6:"Fly In";}i:46;a:2:{s:5:"value";s:13:"random-static";s:5:"label";s:11:"Random Flat";}i:47;a:2:{s:5:"value";s:14:"random-premium";s:5:"label";s:14:"Random Premium";}i:48;a:2:{s:5:"value";s:6:"random";s:5:"label";s:31:"Random Flat and Premium/Default";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_effect_duration', 'a:16:{s:4:"uuid";s:36:"c240e0ca-88f5-4702-b173-fd19bbd61c52";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_ms_effect_duration";s:10:"field_name";s:27:"field_mt_ms_effect_duration";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_ignore_header_height', 'a:16:{s:4:"uuid";s:36:"da5267cd-4ffb-4da8-84f3-7eeae26e3132";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:46:"block_content.field_mt_ms_ignore_header_height";s:10:"field_name";s:32:"field_mt_ms_ignore_header_height";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_initial_height', 'a:16:{s:4:"uuid";s:36:"3812ab0b-108c-44c0-92c3-d62ed70aed61";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:40:"block_content.field_mt_ms_initial_height";s:10:"field_name";s:26:"field_mt_ms_initial_height";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_navigation_style', 'a:16:{s:4:"uuid";s:36:"fe621dec-b9dc-4f5b-b407-9c808562435a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:2:"id";s:42:"block_content.field_mt_ms_navigation_style";s:10:"field_name";s:28:"field_mt_ms_navigation_style";s:11:"entity_type";s:13:"block_content";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:7:"bullets";s:5:"label";s:7:"Bullets";}i:1;a:2:{s:5:"value";s:15:"titles_carousel";s:5:"label";s:15:"Titles Carousel";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ms_touch_swipe_nav', 'a:16:{s:4:"uuid";s:36:"c282c20a-3e12-4ee6-92d1-311ee1d72972";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:2:"id";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:10:"field_name";s:27:"field_mt_ms_touch_swipe_nav";s:11:"entity_type";s:13:"block_content";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_ns_slide', 'a:16:{s:4:"uuid";s:36:"f6ed5339-162f-440b-a909-001f88790ad1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}}s:2:"id";s:31:"block_content.field_mt_ns_slide";s:10:"field_name";s:17:"field_mt_ns_slide";s:11:"entity_type";s:13:"block_content";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_tml_timeline_item', 'a:16:{s:4:"uuid";s:36:"3b3198c2-2fe4-429c-9294-aee9112f21f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:40:"block_content.field_mt_tml_timeline_item";s:10:"field_name";s:26:"field_mt_tml_timeline_item";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_tml_timeline_viewmore', 'a:16:{s:4:"uuid";s:36:"181f66bf-6c58-4c80-8f07-f1c650410514";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"link";}}s:2:"id";s:44:"block_content.field_mt_tml_timeline_viewmore";s:10:"field_name";s:30:"field_mt_tml_timeline_viewmore";s:11:"entity_type";s:13:"block_content";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.block_content.field_mt_video_gallery_slides', 'a:16:{s:4:"uuid";s:36:"6b8ce1be-94b6-409f-a777-a1db3df94795";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:2:"id";s:43:"block_content.field_mt_video_gallery_slides";s:10:"field_name";s:29:"field_mt_video_gallery_slides";s:11:"entity_type";s:13:"block_content";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.comment.comment_body', 'a:17:{s:4:"uuid";s:36:"a7a54853-d273-4f1d-bd1e-6d318ec2a3ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw";}s:2:"id";s:20:"comment.comment_body";s:10:"field_name";s:12:"comment_body";s:11:"entity_type";s:7:"comment";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}'),
('', 'field.storage.font.field_classification', 'a:17:{s:4:"uuid";s:36:"07f3e102-c381-474f-827d-40061f9bc979";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ow0pX66YjSmmNFHkjtHc_kfAjCaXJ94Msu27zaUb_hk";}s:2:"id";s:25:"font.field_classification";s:10:"field_name";s:20:"field_classification";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.font.field_supported_languages', 'a:17:{s:4:"uuid";s:36:"a8f36d15-3e3b-4b73-8bca-a6d7b13a415d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"svUf3mifm4Fij8pp1e3TX1v-5cA6fr4_YmcCFNn3_I4";}s:2:"id";s:30:"font.field_supported_languages";s:10:"field_name";s:25:"field_supported_languages";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.font.field_tags', 'a:17:{s:4:"uuid";s:36:"452635bf-db2a-47c7-8fbc-23ec09b7b654";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"kEXAWX8HgcTM3RtpMvfkU8QeDoOGCOSh4EXqHe_u-LQ";}s:2:"id";s:15:"font.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"font";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.body', 'a:17:{s:4:"uuid";s:36:"55c47ffa-ec98-4e52-bd4e-eb9c26e35cea";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY";}s:2:"id";s:9:"node.body";s:10:"field_name";s:4:"body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:1;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.comment', 'a:17:{s:4:"uuid";s:36:"b6518fb2-9112-4145-83c1-f353b3ad684a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc";}s:2:"id";s:12:"node.comment";s:10:"field_name";s:7:"comment";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"comment";s:8:"settings";a:1:{s:12:"comment_type";s:7:"comment";}s:6:"module";s:7:"comment";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_image', 'a:17:{s:4:"uuid";s:36:"ba1446e3-dd7e-4cf8-9703-de7e6390abbe";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME";}s:2:"id";s:16:"node.field_image";s:10:"field_name";s:11:"field_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_alb_body', 'a:16:{s:4:"uuid";s:36:"5a08c1bb-1357-4416-a8bb-a0098072ce7d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_alb_body";s:10:"field_name";s:17:"field_mt_alb_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_alb_image', 'a:16:{s:4:"uuid";s:36:"71918686-62dc-4f99-8da8-73b219b5b1f9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_alb_image";s:10:"field_name";s:18:"field_mt_alb_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_alb_tags', 'a:16:{s:4:"uuid";s:36:"405653ec-41d6-401b-814f-c93e960a25dd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:22:"node.field_mt_alb_tags";s:10:"field_name";s:17:"field_mt_alb_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}');
INSERT INTO `config_snapshot` VALUES
('', 'field.storage.node.field_mt_alb_video', 'a:16:{s:4:"uuid";s:36:"4455a9ab-950b-4210-b101-bf64e792a0d4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_alb_video";s:10:"field_name";s:18:"field_mt_alb_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_bnf_body', 'a:16:{s:4:"uuid";s:36:"e5720c19-fb84-40c9-8bb5-3c9b3a4c2991";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_bnf_body";s:10:"field_name";s:17:"field_mt_bnf_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_bnf_fontawesome_icon', 'a:16:{s:4:"uuid";s:36:"4c7d42b8-b0cd-4575-8baa-1b1daed9ab74";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:4:"node";}}s:2:"id";s:34:"node.field_mt_bnf_fontawesome_icon";s:10:"field_name";s:29:"field_mt_bnf_fontawesome_icon";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_bnf_image', 'a:16:{s:4:"uuid";s:36:"935eb45d-c6ab-499e-baa5-0cc5e62aae57";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_bnf_image";s:10:"field_name";s:18:"field_mt_bnf_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_bnf_subheader_body', 'a:16:{s:4:"uuid";s:36:"16a5f100-9bb2-44ca-bd0c-2b655b3d3554";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_bnf_subheader_body";s:10:"field_name";s:27:"field_mt_bnf_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_bnf_tags', 'a:16:{s:4:"uuid";s:36:"63704e90-ade7-403f-bf14-1c89abf6c11b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:22:"node.field_mt_bnf_tags";s:10:"field_name";s:17:"field_mt_bnf_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_bnf_video', 'a:16:{s:4:"uuid";s:36:"2d5f9006-1fda-462f-be84-9bf2fa73726f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_bnf_video";s:10:"field_name";s:18:"field_mt_bnf_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_body', 'a:16:{s:4:"uuid";s:36:"16663e87-ce79-463a-9d25-a6d396e2f10c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_evn_body";s:10:"field_name";s:17:"field_mt_evn_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_date', 'a:16:{s:4:"uuid";s:36:"77b5d167-f7c5-42cb-92fc-8118aafec1c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:22:"node.field_mt_evn_date";s:10:"field_name";s:17:"field_mt_evn_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_event_category', 'a:16:{s:4:"uuid";s:36:"cef61c7a-5240-47bd-a045-1c532b47c298";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:32:"node.field_mt_evn_event_category";s:10:"field_name";s:27:"field_mt_evn_event_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_files', 'a:16:{s:4:"uuid";s:36:"520bb678-1cf3-4cc0-9daf-bfd3c6339bcd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_files";s:10:"field_name";s:18:"field_mt_evn_files";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_image', 'a:16:{s:4:"uuid";s:36:"b12ebed0-ffaf-4b79-9a17-3a48fac1327e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_image";s:10:"field_name";s:18:"field_mt_evn_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_location', 'a:16:{s:4:"uuid";s:36:"c6bf2893-0fbe-444e-964d-512ee14ef798";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:26:"node.field_mt_evn_location";s:10:"field_name";s:21:"field_mt_evn_location";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_map_zoom', 'a:16:{s:4:"uuid";s:36:"a63b3db3-3f9e-41e2-a8f7-485115e762ad";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_evn_map_zoom";s:10:"field_name";s:21:"field_mt_evn_map_zoom";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_place', 'a:16:{s:4:"uuid";s:36:"a0fc8145-a35c-46a1-a14f-13ab1c60a39c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_evn_place";s:10:"field_name";s:18:"field_mt_evn_place";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_speaker', 'a:16:{s:4:"uuid";s:36:"6ee6777f-e2a3-4047-b58b-05a26c08eb15";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_evn_speaker";s:10:"field_name";s:20:"field_mt_evn_speaker";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_sponsor', 'a:16:{s:4:"uuid";s:36:"38d56e66-8c3a-4efb-bb91-07af0e6d8021";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_evn_sponsor";s:10:"field_name";s:20:"field_mt_evn_sponsor";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_evn_video', 'a:16:{s:4:"uuid";s:36:"54fa2967-39c1-494d-babe-0adc81a814d8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_evn_video";s:10:"field_name";s:18:"field_mt_evn_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_additional_features', 'a:16:{s:4:"uuid";s:36:"0938f442-b0f1-4ede-92e4-0272810be1c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:37:"node.field_mt_prd_additional_features";s:10:"field_name";s:32:"field_mt_prd_additional_features";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_availability', 'a:16:{s:4:"uuid";s:36:"d546f2a5-5609-42ee-8d9a-c126f9f57177";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:7:"options";}}s:2:"id";s:30:"node.field_mt_prd_availability";s:10:"field_name";s:25:"field_mt_prd_availability";s:11:"entity_type";s:4:"node";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;a:2:{s:5:"value";s:8:"in_stock";s:5:"label";s:8:"In Stock";}i:1;a:2:{s:5:"value";s:12:"out_of_stock";s:5:"label";s:12:"Out of Stock";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_banner_carousel', 'a:16:{s:4:"uuid";s:36:"c9858a15-e3cb-4bf7-955e-5ab137e86d5e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:33:"node.field_mt_prd_banner_carousel";s:10:"field_name";s:28:"field_mt_prd_banner_carousel";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_body', 'a:16:{s:4:"uuid";s:36:"b73c5625-e2f4-4884-943f-b23a3e1569b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_prd_body";s:10:"field_name";s:17:"field_mt_prd_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_buy_link', 'a:16:{s:4:"uuid";s:36:"87d33644-d499-49e8-a893-c338caf12d9a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prd_buy_link";s:10:"field_name";s:21:"field_mt_prd_buy_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_categories', 'a:16:{s:4:"uuid";s:36:"b513fc7f-4e98-449c-b940-5a30ece271fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:28:"node.field_mt_prd_categories";s:10:"field_name";s:23:"field_mt_prd_categories";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_content_tabs', 'a:16:{s:4:"uuid";s:36:"311ce268-9f91-4185-9950-cacffc7bb8c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:30:"node.field_mt_prd_content_tabs";s:10:"field_name";s:25:"field_mt_prd_content_tabs";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_highlight', 'a:16:{s:4:"uuid";s:36:"7239379b-4bd7-4655-a9b3-e31d45d02308";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"node.field_mt_prd_highlight";s:10:"field_name";s:22:"field_mt_prd_highlight";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_image', 'a:16:{s:4:"uuid";s:36:"fe2d3505-de9d-4091-8947-c5b1f7fc764e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prd_image";s:10:"field_name";s:18:"field_mt_prd_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_landscape_image', 'a:16:{s:4:"uuid";s:36:"a8eb5ef7-7656-4155-98dd-a641bd0f5302";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:33:"node.field_mt_prd_landscape_image";s:10:"field_name";s:28:"field_mt_prd_landscape_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_most_popular', 'a:16:{s:4:"uuid";s:36:"6d5f86fa-218c-47ff-af97-70cc7ecf06db";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prd_most_popular";s:10:"field_name";s:25:"field_mt_prd_most_popular";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_price', 'a:16:{s:4:"uuid";s:36:"4153f528-5737-4aee-a825-9050ba3e7166";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prd_price";s:10:"field_name";s:18:"field_mt_prd_price";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_pricing_table_item', 'a:16:{s:4:"uuid";s:36:"ba4ebccf-deee-443e-a92c-156111fe424a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:36:"node.field_mt_prd_pricing_table_item";s:10:"field_name";s:31:"field_mt_prd_pricing_table_item";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_product_code', 'a:16:{s:4:"uuid";s:36:"f8796200-9830-414a-8ecd-41d7080f1dbc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prd_product_code";s:10:"field_name";s:25:"field_mt_prd_product_code";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_subheader_body', 'a:16:{s:4:"uuid";s:36:"6e016bba-8606-4d8a-82f7-1cdf7d1d0283";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_prd_subheader_body";s:10:"field_name";s:27:"field_mt_prd_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_tags', 'a:16:{s:4:"uuid";s:36:"543acd0b-d450-42a8-9906-6c1f2a1b8a85";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:22:"node.field_mt_prd_tags";s:10:"field_name";s:17:"field_mt_prd_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prd_video', 'a:16:{s:4:"uuid";s:36:"bddf548c-c44b-4a0f-9ea0-742e2a68e9e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_prd_video";s:10:"field_name";s:18:"field_mt_prd_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_affiliations', 'a:16:{s:4:"uuid";s:36:"34af3af4-3c4f-4a03-962c-743021baae5a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:30:"node.field_mt_prs_affiliations";s:10:"field_name";s:25:"field_mt_prs_affiliations";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_authors', 'a:16:{s:4:"uuid";s:36:"6111a56a-09d6-4bd2-8ff0-5f96c1fc0a85";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_authors";s:10:"field_name";s:20:"field_mt_prs_authors";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_body', 'a:16:{s:4:"uuid";s:36:"e6192d57-be1d-41f3-88fc-08e118f09ec3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_prs_body";s:10:"field_name";s:17:"field_mt_prs_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_category', 'a:16:{s:4:"uuid";s:36:"66d47275-e96c-443a-a558-a20c72c27032";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:26:"node.field_mt_prs_category";s:10:"field_name";s:21:"field_mt_prs_category";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_date', 'a:16:{s:4:"uuid";s:36:"9fc6832e-c6e1-4e94-9d43-88cd1c5decf6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:2:"id";s:22:"node.field_mt_prs_date";s:10:"field_name";s:17:"field_mt_prs_date";s:11:"entity_type";s:4:"node";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_files', 'a:16:{s:4:"uuid";s:36:"3713d413-2c19-4893-8376-e19b8ac769a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prs_files";s:10:"field_name";s:18:"field_mt_prs_files";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"file";s:8:"settings";a:4:{s:13:"display_field";b:0;s:15:"display_default";b:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:6:"module";s:4:"file";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_image', 'a:16:{s:4:"uuid";s:36:"75d626f2-053b-4058-9367-e9959a4c193e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_prs_image";s:10:"field_name";s:18:"field_mt_prs_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_location', 'a:16:{s:4:"uuid";s:36:"8a1d6191-b91f-4d1e-9700-c32c8f3d42f7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_prs_location";s:10:"field_name";s:21:"field_mt_prs_location";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_session', 'a:16:{s:4:"uuid";s:36:"7fd82e69-15e5-4a4f-9146-40bfa18abf8d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:25:"node.field_mt_prs_session";s:10:"field_name";s:20:"field_mt_prs_session";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_speaker', 'a:16:{s:4:"uuid";s:36:"25257e3c-f8a1-45fd-9f5b-2a15f05476a9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_speaker";s:10:"field_name";s:20:"field_mt_prs_speaker";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_sponsor', 'a:16:{s:4:"uuid";s:36:"0310b659-5dc8-4b13-98ae-cc7810d380c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:25:"node.field_mt_prs_sponsor";s:10:"field_name";s:20:"field_mt_prs_sponsor";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:4:"node";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_topics', 'a:16:{s:4:"uuid";s:36:"32eace59-1b58-4c3e-a3ee-4c5354109b58";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:24:"node.field_mt_prs_topics";s:10:"field_name";s:19:"field_mt_prs_topics";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_prs_video', 'a:16:{s:4:"uuid";s:36:"24d48946-187a-427f-a31d-4ca87ded9852";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_prs_video";s:10:"field_name";s:18:"field_mt_prs_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_body', 'a:16:{s:4:"uuid";s:36:"c523140c-2d85-4562-9393-7a3267791ddf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_shw_body";s:10:"field_name";s:17:"field_mt_shw_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_clients_tags', 'a:16:{s:4:"uuid";s:36:"72778727-5482-4887-a39b-4882aadda66d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:30:"node.field_mt_shw_clients_tags";s:10:"field_name";s:25:"field_mt_shw_clients_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_content_collapses', 'a:16:{s:4:"uuid";s:36:"3b9d4bff-201f-458b-9124-6c594d2ec123";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:35:"node.field_mt_shw_content_collapses";s:10:"field_name";s:30:"field_mt_shw_content_collapses";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_image', 'a:16:{s:4:"uuid";s:36:"2171bd5d-cbc8-4975-b616-3bcf4e628e4c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_shw_image";s:10:"field_name";s:18:"field_mt_shw_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_showcase_tags', 'a:16:{s:4:"uuid";s:36:"52f08e74-c714-4429-8f40-421c1ed63a99";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:31:"node.field_mt_shw_showcase_tags";s:10:"field_name";s:26:"field_mt_shw_showcase_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_subheader_body', 'a:16:{s:4:"uuid";s:36:"0af2d620-d5e7-4807-bd8e-eda4f09a7864";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_shw_subheader_body";s:10:"field_name";s:27:"field_mt_shw_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_subtitle', 'a:16:{s:4:"uuid";s:36:"e8a878e7-65c3-41fb-b4ec-87de4d837d42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_shw_subtitle";s:10:"field_name";s:21:"field_mt_shw_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_shw_video', 'a:16:{s:4:"uuid";s:36:"d0a3d6bd-5200-4eae-9804-d023b87930cf";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_shw_video";s:10:"field_name";s:18:"field_mt_shw_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_slideshow', 'a:16:{s:4:"uuid";s:36:"1471fc88-8de5-48f0-8729-064f91a2df45";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_slideshow";s:10:"field_name";s:18:"field_mt_slideshow";s:11:"entity_type";s:4:"node";s:4:"type";s:7:"boolean";s:8:"settings";a:0:{}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_slideshow_image', 'a:16:{s:4:"uuid";s:36:"ec7763f0-9dbe-4c60-9153-5c790791aeef";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:29:"node.field_mt_slideshow_image";s:10:"field_name";s:24:"field_mt_slideshow_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_slideshow_text', 'a:16:{s:4:"uuid";s:36:"38f70c30-2626-487f-8c2e-bb90b6cdd3de";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:28:"node.field_mt_slideshow_text";s:10:"field_name";s:23:"field_mt_slideshow_text";s:11:"entity_type";s:4:"node";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_affiliations', 'a:16:{s:4:"uuid";s:36:"d1a11029-d4db-459a-9b2b-e5a2206df914";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:30:"node.field_mt_spk_affiliations";s:10:"field_name";s:25:"field_mt_spk_affiliations";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_body', 'a:16:{s:4:"uuid";s:36:"18848f68-89ce-48ce-bf32-185c155df1a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_spk_body";s:10:"field_name";s:17:"field_mt_spk_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_facebook_account', 'a:16:{s:4:"uuid";s:36:"fd035759-3cc2-43ee-9ef7-e9d7dac4b49e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_spk_facebook_account";s:10:"field_name";s:29:"field_mt_spk_facebook_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_linkedin_account', 'a:16:{s:4:"uuid";s:36:"1a80dccc-f7da-4eca-a1ed-aa3fe2b3a480";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_spk_linkedin_account";s:10:"field_name";s:29:"field_mt_spk_linkedin_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_speaker_photo', 'a:16:{s:4:"uuid";s:36:"9191fcd7-831a-45b3-b932-bd495ee745b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:31:"node.field_mt_spk_speaker_photo";s:10:"field_name";s:26:"field_mt_spk_speaker_photo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_subtitle', 'a:16:{s:4:"uuid";s:36:"56213120-ac5c-443e-9c10-4b110cfbbe30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_spk_subtitle";s:10:"field_name";s:21:"field_mt_spk_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_twitter_account', 'a:16:{s:4:"uuid";s:36:"02bb7fd0-ff84-419b-b27b-3630f012c544";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_spk_twitter_account";s:10:"field_name";s:28:"field_mt_spk_twitter_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spk_youtube_account', 'a:16:{s:4:"uuid";s:36:"23216993-e812-4af4-b76f-19b6a6b97743";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_spk_youtube_account";s:10:"field_name";s:28:"field_mt_spk_youtube_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spn_body', 'a:16:{s:4:"uuid";s:36:"e9cb60b7-569e-488d-910c-b7735cabd029";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_spn_body";s:10:"field_name";s:17:"field_mt_spn_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_spn_logo', 'a:16:{s:4:"uuid";s:36:"6a9f6825-4765-4702-8bcd-9a97cfa4afd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:22:"node.field_mt_spn_logo";s:10:"field_name";s:17:"field_mt_spn_logo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_banner_image', 'a:16:{s:4:"uuid";s:36:"5f2dfd1a-3163-43a1-99f6-bca61cc01dde";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:30:"node.field_mt_srv_banner_image";s:10:"field_name";s:25:"field_mt_srv_banner_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_body', 'a:16:{s:4:"uuid";s:36:"0dae3eda-c427-426f-9588-8c94a053c3f1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_srv_body";s:10:"field_name";s:17:"field_mt_srv_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_buy_link', 'a:16:{s:4:"uuid";s:36:"a9b306ad-e77e-47d2-9ed7-d81b1b1ba4d8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:26:"node.field_mt_srv_buy_link";s:10:"field_name";s:21:"field_mt_srv_buy_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_highlight', 'a:16:{s:4:"uuid";s:36:"5c37b63e-a20f-4a54-89a0-80cd1b025ce4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"node.field_mt_srv_highlight";s:10:"field_name";s:22:"field_mt_srv_highlight";s:11:"entity_type";s:4:"node";s:4:"type";s:26:"entity_reference_revisions";s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:6:"module";s:26:"entity_reference_revisions";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_image', 'a:16:{s:4:"uuid";s:36:"d0efee66-e49f-4f2d-a236-dc3d665983a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:23:"node.field_mt_srv_image";s:10:"field_name";s:18:"field_mt_srv_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_price', 'a:16:{s:4:"uuid";s:36:"78850486-6f49-458e-a357-18c3a457235d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:23:"node.field_mt_srv_price";s:10:"field_name";s:18:"field_mt_srv_price";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_service_tags', 'a:16:{s:4:"uuid";s:36:"3cf62ee8-4c5a-4afc-84b8-de928e1a5bc4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:2:"id";s:30:"node.field_mt_srv_service_tags";s:10:"field_name";s:25:"field_mt_srv_service_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_subheader_body', 'a:16:{s:4:"uuid";s:36:"40dea6df-38f3-483c-bdbb-0798b74dd2c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:32:"node.field_mt_srv_subheader_body";s:10:"field_name";s:27:"field_mt_srv_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_srv_video', 'a:16:{s:4:"uuid";s:36:"9d50c033-0baf-468c-810b-5051355ace40";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:23:"node.field_mt_srv_video";s:10:"field_name";s:18:"field_mt_srv_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_subheader_body', 'a:16:{s:4:"uuid";s:36:"add4ab49-0933-4384-84bb-fc3f63632656";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:28:"node.field_mt_subheader_body";s:10:"field_name";s:23:"field_mt_subheader_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_body', 'a:16:{s:4:"uuid";s:36:"1398bb02-fdcc-4a5f-9a91-586130931cd4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_tmm_body";s:10:"field_name";s:17:"field_mt_tmm_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}');
INSERT INTO `config_snapshot` VALUES
('', 'field.storage.node.field_mt_tmm_facebook_account', 'a:16:{s:4:"uuid";s:36:"7e53f77f-0469-434d-81d4-6108c2943b5a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tmm_facebook_account";s:10:"field_name";s:29:"field_mt_tmm_facebook_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_linkedin_account', 'a:16:{s:4:"uuid";s:36:"62702c8d-027a-4937-a662-67c21e9563d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tmm_linkedin_account";s:10:"field_name";s:29:"field_mt_tmm_linkedin_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_member_photo', 'a:16:{s:4:"uuid";s:36:"e36ac1a7-eee5-4947-9b6b-e2a6736c0d01";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:30:"node.field_mt_tmm_member_photo";s:10:"field_name";s:25:"field_mt_tmm_member_photo";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_subtitle', 'a:16:{s:4:"uuid";s:36:"45c55712-bed0-49c3-b77b-849509bd6bf7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_tmm_subtitle";s:10:"field_name";s:21:"field_mt_tmm_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_twitter_account', 'a:16:{s:4:"uuid";s:36:"f6eebd65-bc0e-4021-ab06-5d4ef4dd7059";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_tmm_twitter_account";s:10:"field_name";s:28:"field_mt_tmm_twitter_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tmm_youtube_account', 'a:16:{s:4:"uuid";s:36:"eb990010-4176-496f-be00-e17240f696cd";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:33:"node.field_mt_tmm_youtube_account";s:10:"field_name";s:28:"field_mt_tmm_youtube_account";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_body', 'a:16:{s:4:"uuid";s:36:"9ab6972a-46db-4eda-84d6-6971ce553cf1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:2:"id";s:22:"node.field_mt_tst_body";s:10:"field_name";s:17:"field_mt_tst_body";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_subtitle', 'a:16:{s:4:"uuid";s:36:"7499d773-1e75-4110-9d0a-2e2d93829a0d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:2:"id";s:26:"node.field_mt_tst_subtitle";s:10:"field_name";s:21:"field_mt_tst_subtitle";s:11:"entity_type";s:4:"node";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_testimonial_image', 'a:16:{s:4:"uuid";s:36:"12dd58db-4c2f-4307-b9cd-d5b7cde44d84";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:2:"id";s:35:"node.field_mt_tst_testimonial_image";s:10:"field_name";s:30:"field_mt_tst_testimonial_image";s:11:"entity_type";s:4:"node";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_tst_testimonial_link', 'a:16:{s:4:"uuid";s:36:"cffa24e8-0fa8-42b3-9776-dc4c9295af1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:2:"id";s:34:"node.field_mt_tst_testimonial_link";s:10:"field_name";s:29:"field_mt_tst_testimonial_link";s:11:"entity_type";s:4:"node";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_mt_video', 'a:16:{s:4:"uuid";s:36:"e28da9b4-4e23-41dd-bde4-cccc2e658110";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:2:"id";s:19:"node.field_mt_video";s:10:"field_name";s:14:"field_mt_video";s:11:"entity_type";s:4:"node";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.node.field_tags', 'a:17:{s:4:"uuid";s:36:"e5aa9ce5-66bd-404d-be2d-813277baa058";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs";}s:2:"id";s:15:"node.field_tags";s:10:"field_name";s:10:"field_tags";s:11:"entity_type";s:4:"node";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_body', 'a:16:{s:4:"uuid";s:36:"2c8d6014-742a-4ed1-ae81-80597bc94f28";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:27:"paragraph.field_mt_adf_body";s:10:"field_name";s:17:"field_mt_adf_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_fa_icon', 'a:16:{s:4:"uuid";s:36:"bd5ad38a-f8fb-403e-ba93-1b3f66564f2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_adf_fa_icon";s:10:"field_name";s:20:"field_mt_adf_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_image', 'a:16:{s:4:"uuid";s:36:"f80919da-8c64-4b7c-bc55-2fa1226038ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_adf_image";s:10:"field_name";s:18:"field_mt_adf_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_adf_title', 'a:16:{s:4:"uuid";s:36:"f867e3b0-b47c-46ad-b4eb-280a76d01dd1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_adf_title";s:10:"field_name";s:18:"field_mt_adf_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_collapse_body', 'a:16:{s:4:"uuid";s:36:"c440dcd1-bd3d-4448-97df-351c36123b2d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:32:"paragraph.field_mt_collapse_body";s:10:"field_name";s:22:"field_mt_collapse_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_collapse_title', 'a:16:{s:4:"uuid";s:36:"f089042b-2b79-44ee-9e7d-29f69733f15b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_collapse_title";s:10:"field_name";s:23:"field_mt_collapse_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_dropdown_block', 'a:16:{s:4:"uuid";s:36:"e7bdf794-5c56-42f2-a5ec-723912f16715";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_dropdown_block";s:10:"field_name";s:23:"field_mt_dropdown_block";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_dropdown_fa_icon', 'a:16:{s:4:"uuid";s:36:"88614c60-d30f-4248-bf30-e24dc8468f67";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_dropdown_fa_icon";s:10:"field_name";s:25:"field_mt_dropdown_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fancy_block_reference', 'a:16:{s:4:"uuid";s:36:"8caef820-31c8-4ad1-b8e0-73c603d19615";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:10:"paragraphs";}}s:2:"id";s:40:"paragraph.field_mt_fancy_block_reference";s:10:"field_name";s:30:"field_mt_fancy_block_reference";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"entity_reference";s:8:"settings";a:1:{s:11:"target_type";s:5:"block";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fancy_subtitle', 'a:16:{s:4:"uuid";s:36:"a089ccbd-adfc-4ded-94f6-c5958bc83399";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_fancy_subtitle";s:10:"field_name";s:23:"field_mt_fancy_subtitle";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fancy_title', 'a:16:{s:4:"uuid";s:36:"e5a8c98d-bb21-4ded-ba9b-9fb2b2bfada3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_fancy_title";s:10:"field_name";s:20:"field_mt_fancy_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_button_fa_icon', 'a:16:{s:4:"uuid";s:36:"7a7f1471-7a26-4517-94cb-2b34ed5873e5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:37:"paragraph.field_mt_fli_button_fa_icon";s:10:"field_name";s:27:"field_mt_fli_button_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_image', 'a:16:{s:4:"uuid";s:36:"a9f667ff-ac20-415a-b9f3-148a958ad5a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_image";s:10:"field_name";s:18:"field_mt_fli_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_link', 'a:16:{s:4:"uuid";s:36:"acaccd17-017c-4752-950c-1887e9027c77";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_fli_link";s:10:"field_name";s:17:"field_mt_fli_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_shape', 'a:16:{s:4:"uuid";s:36:"d15e5d4e-7e8d-4662-88d7-c4a43d3aa058";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_shape";s:10:"field_name";s:18:"field_mt_fli_shape";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:4:{i:0;a:2:{s:5:"value";s:4:"none";s:5:"label";s:4:"None";}i:1;a:2:{s:5:"value";s:9:"rectangle";s:5:"label";s:9:"Rectangle";}i:2;a:2:{s:5:"value";s:6:"circle";s:5:"label";s:6:"Circle";}i:3;a:2:{s:5:"value";s:8:"pentagon";s:5:"label";s:8:"Pentagon";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fli_title', 'a:16:{s:4:"uuid";s:36:"15b0899e-dcf0-45c3-a334-bc716152898c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fli_title";s:10:"field_name";s:18:"field_mt_fli_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fltt_body', 'a:16:{s:4:"uuid";s:36:"aad212db-5687-4c24-aaa1-5c88457f6ab3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:28:"paragraph.field_mt_fltt_body";s:10:"field_name";s:18:"field_mt_fltt_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fltt_link', 'a:16:{s:4:"uuid";s:36:"6838af8e-c37f-4777-87f3-eeff2b1ae726";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_fltt_link";s:10:"field_name";s:18:"field_mt_fltt_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_fltt_title', 'a:16:{s:4:"uuid";s:36:"e73c6db6-24dd-4622-becd-5ae935bd4743";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_fltt_title";s:10:"field_name";s:19:"field_mt_fltt_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_body', 'a:16:{s:4:"uuid";s:36:"179fd45e-975a-4f23-8b3e-38012b2f9c6b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:33:"paragraph.field_mt_highlight_body";s:10:"field_name";s:23:"field_mt_highlight_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_image', 'a:16:{s:4:"uuid";s:36:"8686529f-724b-4f7d-8574-1ea4f8e604dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_highlight_image";s:10:"field_name";s:24:"field_mt_highlight_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_link', 'a:16:{s:4:"uuid";s:36:"fe94388f-8916-414f-8c24-363021492f00";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_highlight_link";s:10:"field_name";s:23:"field_mt_highlight_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_highlight_title', 'a:16:{s:4:"uuid";s:36:"b873d67c-7b08-4c38-9f72-89d4424c50c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_highlight_title";s:10:"field_name";s:24:"field_mt_highlight_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_body', 'a:16:{s:4:"uuid";s:36:"09731928-6b4a-4bf0-abfb-f31b3ff87d31";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:26:"paragraph.field_mt_if_body";s:10:"field_name";s:16:"field_mt_if_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_fa_icon', 'a:16:{s:4:"uuid";s:36:"fd87b624-24fb-48b9-b4c3-60fa49f5bde1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_if_fa_icon";s:10:"field_name";s:19:"field_mt_if_fa_icon";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:16:"fontawesome_icon";s:8:"settings";a:0:{}s:6:"module";s:11:"fontawesome";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_image', 'a:16:{s:4:"uuid";s:36:"7bcaa053-3d3c-4434-b441-359b8d79f0f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_if_image";s:10:"field_name";s:17:"field_mt_if_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_link', 'a:16:{s:4:"uuid";s:36:"26a44d40-32c5-4fd7-99f0-1f88c4bba220";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:26:"paragraph.field_mt_if_link";s:10:"field_name";s:16:"field_mt_if_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_if_title', 'a:16:{s:4:"uuid";s:36:"3b0044db-78aa-4c23-b632-ad8f4e5206f9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:27:"paragraph.field_mt_if_title";s:10:"field_name";s:17:"field_mt_if_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_body', 'a:16:{s:4:"uuid";s:36:"4ff8dd6c-b9f2-40a9-8035-9333480b5f3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:29:"paragraph.field_mt_media_body";s:10:"field_name";s:19:"field_mt_media_body";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_button', 'a:16:{s:4:"uuid";s:36:"c202ff20-5128-428f-91d2-3e892b9141e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_media_button";s:10:"field_name";s:21:"field_mt_media_button";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_image', 'a:16:{s:4:"uuid";s:36:"f7832ba2-748e-4d86-8761-3210e399511f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_media_image";s:10:"field_name";s:20:"field_mt_media_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_tab_title', 'a:16:{s:4:"uuid";s:36:"89fa6163-5fe3-4952-ab68-e93a9a623646";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_media_tab_title";s:10:"field_name";s:24:"field_mt_media_tab_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_title', 'a:16:{s:4:"uuid";s:36:"f9156901-f743-4337-a41c-33c7ccf3f226";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_media_title";s:10:"field_name";s:20:"field_mt_media_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_media_video', 'a:16:{s:4:"uuid";s:36:"ab1ac840-29d1-4b47-8a7a-c49a7c67d5d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:17:"video_embed_field";}}s:2:"id";s:30:"paragraph.field_mt_media_video";s:10:"field_name";s:20:"field_mt_media_video";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:17:"video_embed_field";s:8:"settings";a:0:{}s:6:"module";s:17:"video_embed_field";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ml_latitude', 'a:16:{s:4:"uuid";s:36:"e146d8c2-d58b-48ff-8fb4-4bb19b51e88a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:30:"paragraph.field_mt_ml_latitude";s:10:"field_name";s:20:"field_mt_ml_latitude";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ml_location_name', 'a:16:{s:4:"uuid";s:36:"c42cd2df-6f2d-486e-94aa-ab3c74b73414";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_ml_location_name";s:10:"field_name";s:25:"field_mt_ml_location_name";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ml_longitude', 'a:16:{s:4:"uuid";s:36:"31840a61-d96b-462b-8f51-baf1e38d0bb8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_ml_longitude";s:10:"field_name";s:21:"field_mt_ml_longitude";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_caption', 'a:16:{s:4:"uuid";s:36:"be80686f-f1db-478d-ad52-c6032507a7d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:35:"paragraph.field_mt_ms_slide_caption";s:10:"field_name";s:25:"field_mt_ms_slide_caption";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_caption_color', 'a:16:{s:4:"uuid";s:36:"75348b10-8fc5-4961-85ac-27734415b947";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:2:"id";s:41:"paragraph.field_mt_ms_slide_caption_color";s:10:"field_name";s:31:"field_mt_ms_slide_caption_color";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:11:"list_string";s:8:"settings";a:2:{s:14:"allowed_values";a:6:{i:0;a:2:{s:5:"value";s:48:"region--dark-typography region--white-background";s:5:"label";s:5:"White";}i:1;a:2:{s:5:"value";s:47:"region--dark-typography region--gray-background";s:5:"label";s:10:"Light Gray";}i:2;a:2:{s:5:"value";s:53:"region--light-typography region--dark-gray-background";s:5:"label";s:9:"Dark Gray";}i:3;a:2:{s:5:"value";s:51:"region--light-typography region--colored-background";s:5:"label";s:7:"Colored";}i:4;a:2:{s:5:"value";s:48:"region--light-typography region--dark-background";s:5:"label";s:12:"Dark Colored";}i:5;a:2:{s:5:"value";s:49:"region--light-typography region--black-background";s:5:"label";s:5:"Black";}}s:23:"allowed_values_function";s:0:"";}s:6:"module";s:7:"options";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_caption_opac', 'a:16:{s:4:"uuid";s:36:"dc0b97a7-c172-4930-89af-5cf5489c16fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:10:"field_name";s:30:"field_mt_ms_slide_caption_opac";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_image', 'a:16:{s:4:"uuid";s:36:"b21a2a87-c0c4-45be-815e-3dd8dfcafc81";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_ms_slide_image";s:10:"field_name";s:23:"field_mt_ms_slide_image";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_link', 'a:16:{s:4:"uuid";s:36:"08a6120b-4162-4793-b771-4b4d3f2b00c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:32:"paragraph.field_mt_ms_slide_link";s:10:"field_name";s:22:"field_mt_ms_slide_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:-1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_title', 'a:16:{s:4:"uuid";s:36:"ded79a92-0d9f-45ca-8218-0de7b6a02173";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_ms_slide_title";s:10:"field_name";s:23:"field_mt_ms_slide_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_vimeo_id', 'a:16:{s:4:"uuid";s:36:"ab48c77f-7b0f-4932-8554-0c77b61778d1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:10:"field_name";s:26:"field_mt_ms_slide_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_volume', 'a:16:{s:4:"uuid";s:36:"a6eadfdb-8d35-40b1-b64a-e0ed97d4cf01";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_ms_slide_volume";s:10:"field_name";s:24:"field_mt_ms_slide_volume";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_ms_slide_youtube_id', 'a:16:{s:4:"uuid";s:36:"d7031199-ca07-441c-ac16-32e4ebd4fadb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:10:"field_name";s:28:"field_mt_ms_slide_youtube_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tab_content', 'a:16:{s:4:"uuid";s:36:"6b8a187d-cd95-47f7-af2a-37149570aa19";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:2:"id";s:30:"paragraph.field_mt_tab_content";s:10:"field_name";s:20:"field_mt_tab_content";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:9:"text_long";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tab_title', 'a:16:{s:4:"uuid";s:36:"4d050aec-a3d7-428b-9c9a-071fb2f70861";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:28:"paragraph.field_mt_tab_title";s:10:"field_name";s:18:"field_mt_tab_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tml_timeline_date', 'a:16:{s:4:"uuid";s:36:"c518e1da-b52d-4753-8a28-bbb0fb5c7fb6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_tml_timeline_date";s:10:"field_name";s:26:"field_mt_tml_timeline_date";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:8:"datetime";s:8:"settings";a:1:{s:13:"datetime_type";s:4:"date";}s:6:"module";s:8:"datetime";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tml_timeline_link', 'a:16:{s:4:"uuid";s:36:"e3aac836-a3d9-43da-b1c4-1889f6e2c807";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:2:"id";s:36:"paragraph.field_mt_tml_timeline_link";s:10:"field_name";s:26:"field_mt_tml_timeline_link";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:4:"link";s:8:"settings";a:0:{}s:6:"module";s:4:"link";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_tml_timeline_title', 'a:16:{s:4:"uuid";s:36:"0a9fb0d4-50a6-452a-9e43-93728f2049f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:37:"paragraph.field_mt_tml_timeline_title";s:10:"field_name";s:27:"field_mt_tml_timeline_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_slide_title', 'a:16:{s:4:"uuid";s:36:"41fee351-a71a-4d0b-af51-5266604def6c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:34:"paragraph.field_mt_vgs_slide_title";s:10:"field_name";s:24:"field_mt_vgs_slide_title";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_thumbnail', 'a:16:{s:4:"uuid";s:36:"e135eeab-e5b4-4289-98ff-4ea88745ebb5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:2:"id";s:32:"paragraph.field_mt_vgs_thumbnail";s:10:"field_name";s:22:"field_mt_vgs_thumbnail";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_vimeo_id', 'a:16:{s:4:"uuid";s:36:"fb7f2538-8f3c-4e44-bd67-a6af291bf090";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:31:"paragraph.field_mt_vgs_vimeo_id";s:10:"field_name";s:21:"field_mt_vgs_vimeo_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_volume', 'a:16:{s:4:"uuid";s:36:"53d36706-a3e1-4d19-b24d-f5ce99518aa5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:29:"paragraph.field_mt_vgs_volume";s:10:"field_name";s:19:"field_mt_vgs_volume";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:7:"integer";s:8:"settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.paragraph.field_mt_vgs_youtube_id', 'a:16:{s:4:"uuid";s:36:"febe0f55-0cb9-4218-aa61-92fb7aa664a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:2:"id";s:33:"paragraph.field_mt_vgs_youtube_id";s:10:"field_name";s:23:"field_mt_vgs_youtube_id";s:11:"entity_type";s:9:"paragraph";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.taxonomy_term.field_mt_affiliation_image', 'a:16:{s:4:"uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:40:"taxonomy_term.field_mt_affiliation_image";s:10:"field_name";s:26:"field_mt_affiliation_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.taxonomy_term.field_mt_brand_image', 'a:16:{s:4:"uuid";s:36:"fd02f41b-7bf8-45c9-9e4a-f0c6e61a2183";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:34:"taxonomy_term.field_mt_brand_image";s:10:"field_name";s:20:"field_mt_brand_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.taxonomy_term.field_mt_collection_image', 'a:16:{s:4:"uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:39:"taxonomy_term.field_mt_collection_image";s:10:"field_name";s:25:"field_mt_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.taxonomy_term.field_mt_wide_collection_image', 'a:16:{s:4:"uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:2:"id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:10:"field_name";s:30:"field_mt_wide_collection_image";s:11:"entity_type";s:13:"taxonomy_term";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.user.field_mt_full_name', 'a:16:{s:4:"uuid";s:36:"e41c0ee4-3c09-4a16-8404-7c2d5b326ca0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:23:"user.field_mt_full_name";s:10:"field_name";s:18:"field_mt_full_name";s:11:"entity_type";s:4:"user";s:4:"type";s:6:"string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:6:"module";s:4:"core";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.user.field_mt_signature', 'a:16:{s:4:"uuid";s:36:"77dbe3d4-bf6e-4615-beed-10a1d41d9fb1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:2:"id";s:23:"user.field_mt_signature";s:10:"field_name";s:18:"field_mt_signature";s:11:"entity_type";s:4:"user";s:4:"type";s:17:"text_with_summary";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:0:{}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field.storage.user.user_picture', 'a:17:{s:4:"uuid";s:36:"f0a7a429-9964-450b-9517-9f8312b42f58";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU";}s:2:"id";s:17:"user.user_picture";s:10:"field_name";s:12:"user_picture";s:11:"entity_type";s:4:"user";s:4:"type";s:5:"image";s:8:"settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:6:"module";s:5:"image";s:6:"locked";b:0;s:11:"cardinality";i:1;s:12:"translatable";b:1;s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:22:"persist_with_no_fields";b:0;s:14:"custom_storage";b:0;}'),
('', 'field_ui.settings', 'a:2:{s:12:"field_prefix";s:6:"field_";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q1nMi90W6YQxKzZAgJQw7Ag9U4JrsEUwkomF0lhvbIM";}}'),
('', 'file.settings', 'a:4:{s:11:"description";a:2:{s:4:"type";s:9:"textfield";s:6:"length";i:128;}s:4:"icon";a:1:{s:9:"directory";s:23:"core/modules/file/icons";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"8LI-1XgwLt9hYRns_7c81S632d6JhdqXKs4vDheaG6E";}s:35:"make_unused_managed_files_temporary";b:0;}'),
('', 'filter.format.basic_html', 'a:9:{s:4:"uuid";s:36:"06d3ce9b-1031-4159-89ae-e1425fcfa68a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"P8ddpAIKtawJDi5SzOwCzVnnNYqONewSTJ6Xn0dW_aQ";}s:4:"name";s:10:"Basic HTML";s:6:"format";s:10:"basic_html";s:6:"weight";i:0;s:7:"filters";a:5:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:250:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>";s:16:"filter_html_help";b:0;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:7;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:24:"filter_html_image_secure";a:5:{s:2:"id";s:24:"filter_html_image_secure";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'filter.format.full_html', 'a:9:{s:4:"uuid";s:36:"45916f93-0151-4ad1-bbe9-9271b1d33790";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:6:"editor";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"hewPmBgni9jlDK_IjLxUx1HsTbinK-hdl0lOwjbteIY";}s:4:"name";s:9:"Full HTML";s:6:"format";s:9:"full_html";s:6:"weight";i:1;s:7:"filters";a:5:{s:12:"filter_align";a:5:{s:2:"id";s:12:"filter_align";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:8;s:8:"settings";a:0:{}}s:14:"filter_caption";a:5:{s:2:"id";s:14:"filter_caption";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:9;s:8:"settings";a:0:{}}s:20:"filter_htmlcorrector";a:5:{s:2:"id";s:20:"filter_htmlcorrector";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:10;s:8:"settings";a:0:{}}s:21:"editor_file_reference";a:5:{s:2:"id";s:21:"editor_file_reference";s:8:"provider";s:6:"editor";s:6:"status";b:1;s:6:"weight";i:11;s:8:"settings";a:0:{}}s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:0;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:324:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <s> <sup> <sub> <img src alt data-entity-type data-entity-uuid data-align data-caption> <table> <caption> <tbody> <thead> <tfoot> <th> <td> <tr> <hr> <p> <h1> <pre> <i class>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}}}'),
('', 'filter.format.plain_text', 'a:9:{s:4:"uuid";s:36:"cf4d1199-6883-4249-a8e5-f11d18bab72a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"NIKBt6kw_uPhNI0qtR2DnRf7mSOgAQdx7Q94SKMjXbQ";}s:4:"name";s:10:"Plain text";s:6:"format";s:10:"plain_text";s:6:"weight";i:10;s:7:"filters";a:3:{s:18:"filter_html_escape";a:5:{s:2:"id";s:18:"filter_html_escape";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}}}'),
('', 'filter.format.raw_html', 'a:8:{s:4:"uuid";s:36:"cf80cad5-4edb-46a3-9062-a97d7593445f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"Raw HTML";s:6:"format";s:8:"raw_html";s:6:"weight";i:0;s:7:"filters";a:0:{}}'),
('', 'filter.format.restricted_html', 'a:9:{s:4:"uuid";s:36:"40d93674-0b33-45e3-846f-c5cf3a5d4005";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"KUjJ8Ti_ZJSlhGM88E_mhJP-8mmQRNUB6RFof615Kt0";}s:4:"name";s:15:"Restricted HTML";s:6:"format";s:15:"restricted_html";s:6:"weight";i:0;s:7:"filters";a:3:{s:11:"filter_html";a:5:{s:2:"id";s:11:"filter_html";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:-10;s:8:"settings";a:3:{s:12:"allowed_html";s:149:"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>";s:16:"filter_html_help";b:1;s:20:"filter_html_nofollow";b:0;}}s:12:"filter_autop";a:5:{s:2:"id";s:12:"filter_autop";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:0:{}}s:10:"filter_url";a:5:{s:2:"id";s:10:"filter_url";s:8:"provider";s:6:"filter";s:6:"status";b:1;s:6:"weight";i:0;s:8:"settings";a:1:{s:17:"filter_url_length";i:72;}}}}'),
('', 'filter.settings', 'a:3:{s:15:"fallback_format";s:10:"plain_text";s:27:"always_show_fallback_choice";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"FiPjM3WdB__ruFA7B6TLwni_UcZbmek5G4b2dxQItxA";}}'),
('', 'fontawesome.settings', 'a:8:{s:6:"method";s:3:"svg";s:7:"use_cdn";b:1;s:21:"external_svg_location";s:53:"https://use.fontawesome.com/releases/v5.0.6/js/all.js";s:8:"use_shim";b:0;s:22:"external_shim_location";s:58:"https://use.fontawesome.com/releases/v5.0.1/js/v4-shims.js";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lPTwA4c8LXp6x-2izOTUHUDWSiJlAKFLM0TvcEcksoU";}s:3:"tag";s:1:"i";s:21:"allow_pseudo_elements";b:0;}'),
('', 'fontyourface.font_display.mt_headings', 'a:10:{s:4:"uuid";s:36:"613e21fb-42c6-4714-a5b9-aee9a09b245a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_headings";s:5:"label";s:8:"Headings";s:8:"font_url";s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:259:".hff-fyf h1,\r\n.hff-fyf h2,\r\n.hff-fyf h3,\r\n.hff-fyf h4,\r\n.hff-fyf h5,\r\n.hff-fyf h6,\r\n.hff-fyf .tp-caption__title,\r\n.hff-fyf .tp-caption__subtitle,\r\n.hff-fyf .field--name-field-mt-highlight-title,\r\n.hff-fyf .nav-tab__title,\r\n.hff-fyf .views-field-field-mt-price";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.font_display.mt_paragraph', 'a:10:{s:4:"uuid";s:36:"2477394c-d822-40c7-a92a-5ed635bfff9b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_paragraph";s:5:"label";s:9:"Paragraph";s:8:"font_url";s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:12:"body.pff-fyf";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.font_display.mt_site_name', 'a:10:{s:4:"uuid";s:36:"e3ad3996-daab-420e-9ea1-1d7c17927d6d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_site_name";s:5:"label";s:9:"Site name";s:8:"font_url";s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:19:".sff-fyf .site-name";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.font_display.mt_site_slogan', 'a:10:{s:4:"uuid";s:36:"ea6b03e6-5b95-4ebe-8d0d-75ad266f79c4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:14:"mt_site_slogan";s:5:"label";s:11:"Site slogan";s:8:"font_url";s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";s:8:"fallback";s:33:"Helvetica Neue, Arial, sans-serif";s:9:"selectors";s:22:".slff-fyf .site-slogan";s:5:"theme";s:7:"topplus";}'),
('', 'fontyourface.settings', 'a:3:{s:13:"enabled_fonts";a:4:{i:9;s:75:"http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#700";i:10;s:79:"http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#regular";i:11;s:72:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular";i:12;s:68:"http://www.google.com/webfonts/family?family=Nunito&subset=latin#700";}s:22:"load_all_enabled_fonts";i:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r8uAx4mTBwCkgDFbdKCmhjgbb91BQ4HbWSYRKrlowMY";}}'),
('', 'image.settings', 'a:4:{s:13:"preview_image";s:29:"core/modules/image/sample.png";s:26:"allow_insecure_derivatives";b:0;s:20:"suppress_itok_output";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"k-yDFHbqNfpe-Srg4sdCSqaosCl2D8uwyEY5esF8gEw";}}'),
('', 'image.style.large', 'a:8:{s:4:"uuid";s:36:"83f5ecf4-f5b6-418e-94b2-f15be3e50354";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"J2n0RpFzS0-bgSyxjs6rSdgxB1rb-bTAgqywNx_964M";}s:4:"name";s:5:"large";s:5:"label";s:17:"Large (1110×600)";s:7:"effects";a:1:{s:36:"04b1082a-f66a-4b08-b5a4-9e685ca225f1";a:4:{s:4:"uuid";s:36:"04b1082a-f66a-4b08-b5a4-9e685ca225f1";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:1110;s:6:"height";i:600;}}}}'),
('', 'image.style.medium', 'a:8:{s:4:"uuid";s:36:"11cb48d4-9b3b-45ba-8bf7-2a44df59eb3d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Y9NmnZHQq20ASSyTNA6JnwtWrJJiSajOehGDtmUFdM0";}s:4:"name";s:6:"medium";s:5:"label";s:17:"Medium (220×220)";s:7:"effects";a:1:{s:36:"02cbd0df-42b9-4c05-91a7-17c1cb75205a";a:4:{s:4:"uuid";s:36:"02cbd0df-42b9-4c05-91a7-17c1cb75205a";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:2;s:4:"data";a:2:{s:5:"width";i:220;s:6:"height";i:220;}}}}'),
('', 'image.style.mt_albums_carousel', 'a:7:{s:4:"uuid";s:36:"c7f63738-8e70-4b2d-87e0-449906ddde64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_albums_carousel";s:5:"label";s:23:"Event Gallery (750x750)";s:7:"effects";a:1:{s:36:"72cb7759-15f2-46dc-bce2-f72a12e53952";a:4:{s:4:"uuid";s:36:"72cb7759-15f2-46dc-bce2-f72a12e53952";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:750;s:6:"height";i:750;}}}}'),
('', 'image.style.mt_brands', 'a:7:{s:4:"uuid";s:36:"e99a84eb-4c9f-4c9e-8f7c-a0550a1e2892";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:9:"mt_brands";s:5:"label";s:27:"Brands (scale width to 230)";s:7:"effects";a:1:{s:36:"96461fe8-e625-44ce-8620-f817dbb34609";a:4:{s:4:"uuid";s:36:"96461fe8-e625-44ce-8620-f817dbb34609";s:2:"id";s:11:"image_scale";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:230;s:6:"height";N;s:7:"upscale";b:0;}}}}'),
('', 'image.style.mt_fli_image', 'a:7:{s:4:"uuid";s:36:"7636825c-f524-4a44-90cc-cc6bbe878619";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:12:"mt_fli_image";s:5:"label";s:28:"Fancy Linked Image (750x750)";s:7:"effects";a:1:{s:36:"500de457-2e1c-4372-a979-a4c6c219ebb8";a:4:{s:4:"uuid";s:36:"500de457-2e1c-4372-a979-a4c6c219ebb8";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:750;s:6:"height";i:750;}}}}'),
('', 'image.style.mt_icons', 'a:7:{s:4:"uuid";s:36:"f0f9c2c4-8ce5-44a3-a0c2-8ffb45146cbb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"mt_icons";s:5:"label";s:13:"Icons (90x90)";s:7:"effects";a:1:{s:36:"1d6b2ee3-93c6-4e3a-bde8-3e67c85e847f";a:4:{s:4:"uuid";s:36:"1d6b2ee3-93c6-4e3a-bde8-3e67c85e847f";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:90;s:6:"height";i:90;}}}}'),
('', 'image.style.mt_landscape_image', 'a:7:{s:4:"uuid";s:36:"499e568c-36b0-45c1-abdd-b531d5cf47c7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_landscape_image";s:5:"label";s:26:"Landscape Image (1110x600)";s:7:"effects";a:1:{s:36:"ab62830d-202b-44bd-aef0-9e905300c06c";a:4:{s:4:"uuid";s:36:"ab62830d-202b-44bd-aef0-9e905300c06c";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:1110;s:6:"height";i:600;}}}}'),
('', 'image.style.mt_logos', 'a:7:{s:4:"uuid";s:36:"80cba29a-9c51-4aec-bdd0-04f3ff568ed4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:8:"mt_logos";s:5:"label";s:26:"Logos (scale width to 230)";s:7:"effects";a:1:{s:36:"8af07862-9b1c-4759-b122-673b58bcc855";a:4:{s:4:"uuid";s:36:"8af07862-9b1c-4759-b122-673b58bcc855";s:2:"id";s:11:"image_scale";s:6:"weight";i:1;s:4:"data";a:3:{s:5:"width";i:230;s:6:"height";N;s:7:"upscale";b:0;}}}}'),
('', 'image.style.mt_media_tab_image', 'a:7:{s:4:"uuid";s:36:"6cb51469-fcc0-4cd6-95d2-8938347043c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_media_tab_image";s:5:"label";s:25:"Media Tab Image (850x460)";s:7:"effects";a:1:{s:36:"23957af8-f051-456c-a1f1-60efb144859c";a:4:{s:4:"uuid";s:36:"23957af8-f051-456c-a1f1-60efb144859c";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:850;s:6:"height";i:460;}}}}'),
('', 'image.style.mt_member_photo', 'a:7:{s:4:"uuid";s:36:"d5600cfe-3961-44db-be44-ed3f244d4ce4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:15:"mt_member_photo";s:5:"label";s:22:"Member Photo (750x750)";s:7:"effects";a:1:{s:36:"a0df2d92-7ea6-4fe2-a1d4-284a75a09a91";a:4:{s:4:"uuid";s:36:"a0df2d92-7ea6-4fe2-a1d4-284a75a09a91";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:750;s:6:"height";i:750;}}}}'),
('', 'image.style.mt_portrait_image', 'a:7:{s:4:"uuid";s:36:"65eaec9a-abee-4e56-91f7-a03a5b9407b6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:17:"mt_portrait_image";s:5:"label";s:24:"Portrait Image (750x846)";s:7:"effects";a:1:{s:36:"bdfa9779-ef7b-408f-af36-9c452cd5d928";a:4:{s:4:"uuid";s:36:"bdfa9779-ef7b-408f-af36-9c452cd5d928";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:750;s:6:"height";i:846;}}}}'),
('', 'image.style.mt_product_image', 'a:7:{s:4:"uuid";s:36:"257341b9-e611-4ee3-babc-e4b760e2e73d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"mt_product_image";s:5:"label";s:23:"Product Image (750x750)";s:7:"effects";a:1:{s:36:"0226ade6-69e2-4274-8e93-889d1dcf4401";a:4:{s:4:"uuid";s:36:"0226ade6-69e2-4274-8e93-889d1dcf4401";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:750;s:6:"height";i:750;}}}}'),
('', 'image.style.mt_slideshow_boxed', 'a:7:{s:4:"uuid";s:36:"802866b5-fdbc-4851-85e8-9d8a225530c8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"mt_slideshow_boxed";s:5:"label";s:32:"Slideshow Boxed Width (1140x650)";s:7:"effects";a:1:{s:36:"86d54018-c393-4d94-b8a4-0d61380fbcf0";a:4:{s:4:"uuid";s:36:"86d54018-c393-4d94-b8a4-0d61380fbcf0";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:1140;s:6:"height";i:650;}}}}'),
('', 'image.style.mt_slideshow_fullscreen', 'a:7:{s:4:"uuid";s:36:"24ad0c0b-6cc6-4e8b-bc1c-289da941938a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:23:"mt_slideshow_fullscreen";s:5:"label";s:21:"Slideshow Full Screen";s:7:"effects";a:0:{}}'),
('', 'image.style.mt_testimonial_image', 'a:7:{s:4:"uuid";s:36:"f39dd703-ec67-4192-ad10-88bd795ea4b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:20:"mt_testimonial_image";s:5:"label";s:27:"Testimonial Image (750x750)";s:7:"effects";a:1:{s:36:"6a4821a9-0fb6-4029-b466-3076721d8316";a:4:{s:4:"uuid";s:36:"6a4821a9-0fb6-4029-b466-3076721d8316";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:750;s:6:"height";i:750;}}}}'),
('', 'image.style.mt_video_gallery_thumbnail', 'a:7:{s:4:"uuid";s:36:"54917034-6898-44a1-9a10-4969810f0780";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:26:"mt_video_gallery_thumbnail";s:5:"label";s:35:"Video Gallery thumbnail (400×226 )";s:7:"effects";a:1:{s:36:"726c5b5b-deaf-4e73-ab17-cfb1986a71b1";a:4:{s:4:"uuid";s:36:"726c5b5b-deaf-4e73-ab17-cfb1986a71b1";s:2:"id";s:20:"image_scale_and_crop";s:6:"weight";i:1;s:4:"data";a:2:{s:5:"width";i:400;s:6:"height";i:226;}}}}'),
('', 'image.style.thumbnail', 'a:8:{s:4:"uuid";s:36:"8f64a3c1-49af-47cc-9d2d-5f2f78d73a42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"cCiWdBHgLwj5omG35lsKc4LkW4MBdmcctkVop4ol5x0";}s:4:"name";s:9:"thumbnail";s:5:"label";s:20:"Thumbnail (100×100)";s:7:"effects";a:1:{s:36:"1cfec298-8620-4749-b100-ccb6c4500779";a:4:{s:4:"uuid";s:36:"1cfec298-8620-4749-b100-ccb6c4500779";s:2:"id";s:11:"image_scale";s:6:"weight";i:0;s:4:"data";a:3:{s:5:"width";i:100;s:6:"height";i:100;s:7:"upscale";b:0;}}}}'),
('', 'menu_ui.settings', 'a:2:{s:24:"override_parent_selector";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SqMarzIjxC3F8dZo9FEOxfqDKD_sdW1tbcFTV1BA2zU";}}'),
('', 'mt_countdown.settings', 'a:18:{s:12:"theme_select";s:5:"block";s:5:"title";s:0:"";s:14:"prompt_message";s:0:"";s:10:"target_url";s:29:"http://www.morethanthemes.com";s:12:"dismiss_text";s:8:"Register";s:7:"days_to";s:20:"Conference starts in";s:19:"predefined_palettes";s:1:"0";s:10:"background";s:7:"#3b5998";s:11:"title_color";s:7:"#ffffff";s:13:"message_color";s:7:"#ffffff";s:11:"notes_color";s:7:"#ffffff";s:17:"button_background";s:7:"#ffffff";s:13:"button_colour";s:7:"#000000";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eZaCGDpST7tJvWSvbD2-zazfqUfGC_E-GMhqc12O1bk";}s:15:"expiration_date";s:19:"2018-12-15 17:17:00";s:12:"button_color";s:7:"#000000";s:18:"inject_in_the_body";i:0;s:9:"hint_text";s:59:"Early Bird Registration now on. Save 30% till end of March.";}'),
('', 'node.settings', 'a:2:{s:15:"use_admin_theme";b:1;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2OMXCScXUOLSYID9-phjO4q36nnnaMWNUlDxEqZzG1U";}}'),
('', 'node.type.article', 'a:13:{s:4:"uuid";s:36:"1ec5bb17-b507-4dac-a96c-851b1c06ad6e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"i4OVV5qrD7abstl4SKS8v5Ee7PuxrL548iZVSty1HRg";}s:4:"name";s:7:"Article";s:4:"type";s:7:"article";s:11:"description";s:89:"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:1;}'),
('', 'node.type.mt_album', 'a:12:{s:4:"uuid";s:36:"49bdf411-7145-4dd0-aa11-88acfe8351c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:5:"Album";s:4:"type";s:8:"mt_album";s:11:"description";s:375:"Ideal for posts that present photos of your conference or event. Examples of this could be photo albums of a Welcome/Reception event, or a Closing session. Posts using this content type can be featured on the theme slideshows, and support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:1;s:12:"preview_mode";i:1;s:17:"display_submitted";b:1;}'),
('', 'node.type.mt_benefit', 'a:12:{s:4:"uuid";s:36:"8988c051-9bd1-4ddf-a450-094acb38a9a5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:7:"Benefit";s:4:"type";s:10:"mt_benefit";s:11:"description";s:595:"A "Benefit" post is ideal for creating and displaying Benefits of your offerings to clients. A Benefit can be displayed in the front-page slideshow. It also comes with the capability of attaching an image which is automatically adjusted to fit into the website layout. What’s particularly cool about a Benefit post, is that it provides the ability to attach a series of images, thumbnails of which are automatically created and adjusted to fit into the website layout. Lastly, a Benefit post enables free tagging (just like labels), helping you make the most from the built-in taxonomy system.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_event', 'a:12:{s:4:"uuid";s:36:"a1cad46e-58a4-43b9-ad41-9b932e0d507c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:5:"Event";s:4:"type";s:8:"mt_event";s:11:"description";s:361:"Ideal for posts presenting events within your conference or event. Examples of this could be a Welcome/Reception event, or a Closing session. Posts using this content type can be featured on the theme slideshows, and support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:1;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_presentation', 'a:12:{s:4:"uuid";s:36:"7c2974b4-3327-433b-9236-18e8f96f44c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:12:"Presentation";s:4:"type";s:15:"mt_presentation";s:11:"description";s:663:"Ideal for posts representing the work(s) – scientific, technical or other – that are presented in your conference or event. It may include Oral, Poster or e-Poster Presentations, Workshops and Symposia, and anything in line with that. Each post using this content type may include the names of the presentation Authors and the Institutions these authors come from, as well as the Topic and Session it was part of in the conference program. Posts using this content type can be featured on the theme slideshows, and support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:1;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_product', 'a:12:{s:4:"uuid";s:36:"9721f71b-0da2-40c5-812b-9975e3d06a97";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Merchandise";s:4:"type";s:10:"mt_product";s:11:"description";s:409:"Ideal for posts presenting Merchandise that may be up for sale or giveaway in your conference or event. Examples of this could be clothing (e.g. T-shirts, jockeys) or souvenirs (e.g. mugs). Posts using this content type can be featured on the theme slideshows, and support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_service', 'a:12:{s:4:"uuid";s:36:"afe38aed-9c93-4a06-b601-903c7f88f06b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:13:"Accommodation";s:4:"type";s:10:"mt_service";s:11:"description";s:447:"Ideal for posts presenting services associated with your conference or event. Examples of this could be accommodation (e.g.: in selected hotels near the Venue) or transfer (e.g. from Airport or accommodation to Venue and back). Posts using this content type can be featured on the theme slideshows, and support multiple images, which along with auto-generated thumbnails, are automatically adjusted to fit into the website layout, wherever needed.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_showcase', 'a:12:{s:4:"uuid";s:36:"62682063-1a2f-4c11-931e-896e95f327a6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:8:"Showcase";s:4:"type";s:11:"mt_showcase";s:11:"description";s:534:"A Showcase post is ideal for creating and displaying showcases. It has the option to be displayed into front page slide show. It provides the ability to attach an image which is automatically adjusted to fit into the websites layout. What’s particularly cool about a Showcase post, is that it provides the ability to attach a series of images, thumbnails of which are automatically created and adjusted to fit into the website layout. Showcase post enables free tagging (just like labels), taking the bests from the taxonomy system.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:1;}'),
('', 'node.type.mt_speaker', 'a:12:{s:4:"uuid";s:36:"04ea06b2-ca37-4e0c-b3ef-0c0cd5cbbc17";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:7:"Speaker";s:4:"type";s:10:"mt_speaker";s:11:"description";s:7:"[TO DO]";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_sponsor', 'a:12:{s:4:"uuid";s:36:"a09dcd9d-6112-4d55-a0e7-8b1d642cf458";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:7:"Sponsor";s:4:"type";s:10:"mt_sponsor";s:11:"description";s:209:"Ideal for posts presenting the sponsors of your conference or event with support for both text and an image (e.g.: the sponsor logo). Posts using this content type can be featured at the front page slide show.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_team_member', 'a:12:{s:4:"uuid";s:36:"a9a3dbab-9378-428e-afe8-277a5ba749b2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Team Member";s:4:"type";s:14:"mt_team_member";s:11:"description";s:394:"The Team member post is ideal for creating a page for each of your team members. Along with a description of your team member’s position, responsibilities and qualifications, it provides the ability to attach an image, which is automatically adjusted to fit into the website’s layout. And what’s great about Team member posts, is that they are all collected under the “About us” page.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.mt_testimonial', 'a:12:{s:4:"uuid";s:36:"01c23e36-7b09-4950-8ece-04b9df3049b8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"menu_ui";}}s:20:"third_party_settings";a:1:{s:7:"menu_ui";a:2:{s:15:"available_menus";a:1:{i:0;s:4:"main";}s:6:"parent";s:5:"main:";}}s:4:"name";s:11:"Testimonial";s:4:"type";s:14:"mt_testimonial";s:11:"description";s:233:"The Testimonial entry is perfect to showcase the words of love from your users and customers. Use it to easily publish testimonials on your site. A special View Block and a View Page are already configured to show them off perfectly.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'node.type.page', 'a:12:{s:4:"uuid";s:36:"57b64f48-ce71-46a0-8b34-e3a3d6426839";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zhtPXoRcC6REiepM0k16zw__FDW5YOXDR6U2WlldTrs";}s:4:"name";s:10:"Basic page";s:4:"type";s:4:"page";s:11:"description";s:77:"Use <em>basic pages</em> for your static content, such as an ''About us'' page.";s:4:"help";s:0:"";s:12:"new_revision";b:0;s:12:"preview_mode";i:1;s:17:"display_submitted";b:0;}'),
('', 'paragraphs.paragraphs_type.mt_additional_feature', 'a:7:{s:4:"uuid";s:36:"49cce4cd-0e2b-4833-9e62-6ba3f7739337";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:21:"mt_additional_feature";s:5:"label";s:18:"Additional Feature";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_collapse', 'a:6:{s:4:"uuid";s:36:"ab5747eb-d1d2-4437-bb7c-e4ea7db801c9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_collapse";s:5:"label";s:8:"Collapse";}'),
('', 'paragraphs.paragraphs_type.mt_dropdown', 'a:6:{s:4:"uuid";s:36:"b9558bd1-c6fd-4e8a-b383-4266b3508f02";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:11:"mt_dropdown";s:5:"label";s:8:"Dropdown";}'),
('', 'paragraphs.paragraphs_type.mt_fancy_linked_image', 'a:6:{s:4:"uuid";s:36:"5bb01ad3-a9b1-47c5-b9b4-401a016f1d14";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:21:"mt_fancy_linked_image";s:5:"label";s:18:"Fancy Linked Image";}'),
('', 'paragraphs.paragraphs_type.mt_fancy_tab', 'a:6:{s:4:"uuid";s:36:"d96140d6-6079-42e0-a79e-44e7a4e67686";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_fancy_tab";s:5:"label";s:9:"Fancy Tab";}'),
('', 'paragraphs.paragraphs_type.mt_featured_linked_text_tile', 'a:6:{s:4:"uuid";s:36:"6c880f0e-6d3d-481f-a922-ed0a9245190d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:28:"mt_featured_linked_text_tile";s:5:"label";s:25:"Featured Linked Text Tile";}'),
('', 'paragraphs.paragraphs_type.mt_highlight', 'a:7:{s:4:"uuid";s:36:"29a4d57f-71b3-43e3-999c-a1e4277fc03a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_highlight";s:5:"label";s:9:"Highlight";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_icon_features', 'a:7:{s:4:"uuid";s:36:"cf04796c-73c7-4765-b7ab-ee377826b2f5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_icon_features";s:5:"label";s:13:"Icon Features";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_main_slideshow_slide', 'a:6:{s:4:"uuid";s:36:"a596081e-94fb-4e3f-9d79-f2c2205a48fb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"mt_main_slideshow_slide";s:5:"label";s:20:"Main Slideshow Slide";}'),
('', 'paragraphs.paragraphs_type.mt_map_location', 'a:7:{s:4:"uuid";s:36:"3696ea7b-210d-42c4-8826-cc1915ca907b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:15:"mt_map_location";s:5:"label";s:12:"Map Location";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_media_tab', 'a:6:{s:4:"uuid";s:36:"ffc819cc-5337-4afa-a786-aa9d8a4b74f6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt_media_tab";s:5:"label";s:9:"Media Tab";}'),
('', 'paragraphs.paragraphs_type.mt_tab', 'a:6:{s:4:"uuid";s:36:"7299434e-30a5-4a17-9d82-d5679e584176";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:6:"mt_tab";s:5:"label";s:3:"Tab";}'),
('', 'paragraphs.paragraphs_type.mt_timeline_item', 'a:9:{s:4:"uuid";s:36:"edabb2a6-00c5-4529-bb31-cfbe62532f2b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:16:"mt_timeline_item";s:5:"label";s:13:"Timeline Item";s:9:"icon_uuid";N;s:11:"description";s:0:"";s:16:"behavior_plugins";a:0:{}}'),
('', 'paragraphs.paragraphs_type.mt_video_gallery_slide', 'a:6:{s:4:"uuid";s:36:"bf084c62-a6f6-4940-ac5d-4e393ca31228";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:22:"mt_video_gallery_slide";s:5:"label";s:19:"Video Gallery slide";}'),
('', 'rdf.mapping.comment.comment', 'a:10:{s:4:"uuid";s:36:"0e814a7f-8a1e-4065-ac6d-2ea69f011304";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:20:"comment.type.comment";}s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"uETe6XupRGKDForx2MpY0pMOEu6CzGgdCAZZOKkbgmk";}s:2:"id";s:15:"comment.comment";s:16:"targetEntityType";s:7:"comment";s:6:"bundle";s:7:"comment";s:5:"types";a:1:{i:0;s:14:"schema:Comment";}s:13:"fieldMappings";a:5:{s:7:"subject";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:12:"comment_body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:2:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}s:12:"mapping_type";s:3:"rel";}}}'),
('', 'rdf.mapping.node.article', 'a:10:{s:4:"uuid";s:36:"867e193e-69ba-4d58-b486-6f5c024f731f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:17:"node.type.article";}s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"IdobJe379eDudt7-bXFfJjF7pDqFl-kYxVFtpWrgkro";}s:2:"id";s:12:"node.article";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:7:"article";s:5:"types";a:1:{i:0;s:14:"schema:Article";}s:13:"fieldMappings";a:9:{s:5:"title";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:4:"body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:1:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}}s:7:"comment";a:2:{s:10:"properties";a:1:{i:0;s:14:"schema:comment";}s:12:"mapping_type";s:3:"rel";}s:13:"comment_count";a:2:{s:10:"properties";a:1:{i:0;s:23:"schema:interactionCount";}s:17:"datatype_callback";a:2:{s:8:"callable";s:51:"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount";s:9:"arguments";a:1:{s:16:"interaction_type";s:12:"UserComments";}}}s:11:"field_image";a:1:{s:10:"properties";a:1:{i:0;s:12:"schema:image";}}s:10:"field_tags";a:1:{s:10:"properties";a:1:{i:0;s:12:"schema:about";}}}}'),
('', 'rdf.mapping.node.page', 'a:10:{s:4:"uuid";s:36:"eb565cb5-4dba-4f72-a362-9f00ea6c1ecb";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:14:"node.type.page";}s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"32LxRnl4Wesvzqyfp7HnD0-U9-wxrLBn76pqY5XGNAE";}s:2:"id";s:9:"node.page";s:16:"targetEntityType";s:4:"node";s:6:"bundle";s:4:"page";s:5:"types";a:1:{i:0;s:14:"schema:WebPage";}s:13:"fieldMappings";a:6:{s:5:"title";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:7:"created";a:2:{s:10:"properties";a:1:{i:0;s:18:"schema:dateCreated";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:7:"changed";a:2:{s:10:"properties";a:1:{i:0;s:19:"schema:dateModified";}s:17:"datatype_callback";a:1:{s:8:"callable";s:48:"Drupal\\rdf\\CommonDataConverter::dateIso8601Value";}}s:4:"body";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:text";}}s:3:"uid";a:2:{s:10:"properties";a:1:{i:0;s:13:"schema:author";}s:12:"mapping_type";s:3:"rel";}s:13:"comment_count";a:2:{s:10:"properties";a:1:{i:0;s:23:"schema:interactionCount";}s:17:"datatype_callback";a:2:{s:8:"callable";s:51:"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount";s:9:"arguments";a:1:{s:16:"interaction_type";s:12:"UserComments";}}}}}'),
('', 'rdf.mapping.taxonomy_term.tags', 'a:10:{s:4:"uuid";s:36:"c6cd68b2-2660-474f-8177-7ca432e309c5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"taxonomy.vocabulary.tags";}s:6:"module";a:1:{i:0;s:8:"taxonomy";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"o5duwyS1CTHx3tYOZhuu91kspe8VQjQsnwZjAJv9njk";}s:2:"id";s:18:"taxonomy_term.tags";s:16:"targetEntityType";s:13:"taxonomy_term";s:6:"bundle";s:4:"tags";s:5:"types";a:1:{i:0;s:12:"schema:Thing";}s:13:"fieldMappings";a:2:{s:4:"name";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}s:11:"description";a:1:{s:10:"properties";a:1:{i:0;s:18:"schema:description";}}}}'),
('', 'rdf.mapping.user.user', 'a:10:{s:4:"uuid";s:36:"6438bce3-2094-40e4-9681-677c866f265f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TGTlmpYAtXxjtYMFA_A0vosE2c4R5MCQwLviIA5HUM0";}s:2:"id";s:9:"user.user";s:16:"targetEntityType";s:4:"user";s:6:"bundle";s:4:"user";s:5:"types";a:1:{i:0;s:13:"schema:Person";}s:13:"fieldMappings";a:1:{s:4:"name";a:1:{s:10:"properties";a:1:{i:0;s:11:"schema:name";}}}}'),
('', 'search.page.node_search', 'a:11:{s:4:"uuid";s:36:"c628b64b-57a7-4b8c-96ac-4eecd4cceebc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"97tvtzGOa8_flb22CzSjgtm_YkiGMHvEBO-6q2K9V_U";}s:2:"id";s:11:"node_search";s:5:"label";s:7:"Content";s:4:"path";s:4:"node";s:6:"weight";i:-10;s:6:"plugin";s:11:"node_search";s:13:"configuration";a:1:{s:8:"rankings";a:0:{}}}'),
('', 'search.page.user_search', 'a:11:{s:4:"uuid";s:36:"dd09885b-5c41-44a9-82b8-26ce0a53be7c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"k3aUaZXGDuhkek2TZIee0PApOPTvYZLadziekdyHA5A";}s:2:"id";s:11:"user_search";s:5:"label";s:5:"Users";s:4:"path";s:4:"user";s:6:"weight";i:0;s:6:"plugin";s:11:"user_search";s:13:"configuration";a:0:{}}'),
('', 'search.settings', 'a:5:{s:12:"and_or_limit";i:7;s:12:"default_page";s:11:"node_search";s:5:"index";a:4:{s:10:"cron_limit";i:100;s:11:"overlap_cjk";b:1;s:17:"minimum_word_size";i:3;s:11:"tag_weights";a:12:{s:2:"h1";i:25;s:2:"h2";i:18;s:2:"h3";i:15;s:2:"h4";i:14;s:2:"h5";i:9;s:2:"h6";i:6;s:1:"u";i:3;s:1:"b";i:3;s:1:"i";i:3;s:6:"strong";i:3;s:2:"em";i:3;s:1:"a";i:10;}}s:7:"logging";b:0;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"hvVxL1G-ZCxaq32IZws0YsfuhvaDiQE_np-0g35KjUk";}}'),
('', 'seven.settings', 'a:1:{s:20:"third_party_settings";a:1:{s:8:"shortcut";a:1:{s:11:"module_link";b:1;}}}'),
('', 'shortcut.set.default', 'a:7:{s:4:"uuid";s:36:"f57c239c-05ba-4e95-97f7-9e82a36c3b93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U5VlGjd_SfV0Qm_EfnaynOfc549cNscFAx48JfYoMRI";}s:2:"id";s:7:"default";s:5:"label";s:7:"Default";}'),
('', 'statistics.settings', 'a:3:{s:19:"count_content_views";i:1;s:15:"display_max_age";i:3600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"83DFdl59OsypYUif32K2NCB8eiszXAKCcay04oZCRpA";}}'),
('', 'superfish.settings', 'a:2:{s:17:"superfish_library";s:290:"sites/all/libraries/superfish/jquery.hoverIntent.minified.js\r\nsites/all/libraries/superfish/superfish.js\r\nsites/all/libraries/superfish/supersubs.js\r\nsites/all/libraries/superfish/supposition.js\r\nsites/all/libraries/superfish/sfsmallscreen.js\r\nsites/all/libraries/superfish/sftouchscreen.js";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Bjqe5nqmfnnjecmHHxF6rltZFcKRKgSVsC_shaV8prs";}}'),
('', 'system.action.comment_delete_action', 'a:9:{s:4:"uuid";s:36:"10435f0c-17a0-4d3e-b6d3-36f6bc940a80";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:2:"id";s:21:"comment_delete_action";s:5:"label";s:14:"Delete comment";s:4:"type";s:7:"comment";s:6:"plugin";s:21:"comment_delete_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.comment_publish_action', 'a:10:{s:4:"uuid";s:36:"05a7ea99-e7b2-4356-ae40-bc9ab358a7fc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"f6w_Pd30AyyDIoMkD4QpPMM2-I8FTEHICchFVOpjiCI";}s:2:"id";s:22:"comment_publish_action";s:5:"label";s:15:"Publish comment";s:4:"type";s:7:"comment";s:6:"plugin";s:29:"entity:publish_action:comment";s:13:"configuration";a:0:{}}'),
('', 'system.action.comment_save_action', 'a:10:{s:4:"uuid";s:36:"980bfc2f-e26d-45eb-9312-28f6b5a332d6";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TSkg_gUZvk-39yXFrIFnKjsxuEzO0qBH82TdDxOMMr4";}s:2:"id";s:19:"comment_save_action";s:5:"label";s:12:"Save comment";s:4:"type";s:7:"comment";s:6:"plugin";s:26:"entity:save_action:comment";s:13:"configuration";a:0:{}}'),
('', 'system.action.comment_unpublish_action', 'a:10:{s:4:"uuid";s:36:"b8d45f31-1ae4-4e38-8bda-60c1c24fdc70";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:7:"comment";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"MLin6S_PsJ7Oo480DxS46D46IM8tqFkkWOLyH7TGByI";}s:2:"id";s:24:"comment_unpublish_action";s:5:"label";s:17:"Unpublish comment";s:4:"type";s:7:"comment";s:6:"plugin";s:31:"entity:unpublish_action:comment";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_delete_action', 'a:10:{s:4:"uuid";s:36:"5cbc002c-5edc-429f-a8f7-92d5218f1951";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Zx0jD1Klh5tZaGJy8uOeR_2MCu9FDM4xg7TaUJUEbkI";}s:2:"id";s:18:"node_delete_action";s:5:"label";s:14:"Delete content";s:4:"type";s:4:"node";s:6:"plugin";s:18:"node_delete_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_make_sticky_action', 'a:10:{s:4:"uuid";s:36:"2c4c0d36-8317-40a5-9d85-93640328328d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"sOb26JSy3fGpWkvR0WYN6_hMqj_6d1rvbvrkzp1yya0";}s:2:"id";s:23:"node_make_sticky_action";s:5:"label";s:19:"Make content sticky";s:4:"type";s:4:"node";s:6:"plugin";s:23:"node_make_sticky_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_make_unsticky_action', 'a:10:{s:4:"uuid";s:36:"c3abba57-d2cd-4984-9348-4304ae98281b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lDM9mvIGAu8Sw8rt-uCO4Sr7yX5VPrDPxYcawkbKd6k";}s:2:"id";s:25:"node_make_unsticky_action";s:5:"label";s:21:"Make content unsticky";s:4:"type";s:4:"node";s:6:"plugin";s:25:"node_make_unsticky_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_promote_action', 'a:10:{s:4:"uuid";s:36:"1fab0859-1fe9-4383-bebb-f2fb607500e2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"N0RDBTqiK4dKoN4p4oW2j0SGWycdHyALUe9M-Ofp89U";}s:2:"id";s:19:"node_promote_action";s:5:"label";s:29:"Promote content to front page";s:4:"type";s:4:"node";s:6:"plugin";s:19:"node_promote_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_publish_action', 'a:10:{s:4:"uuid";s:36:"84157d44-8353-46f5-bc56-8617350d2847";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lsQkbo4njZ-Q_oGKCPGXGWFjWF1I7QpgA6m-t9rcRoA";}s:2:"id";s:19:"node_publish_action";s:5:"label";s:15:"Publish content";s:4:"type";s:4:"node";s:6:"plugin";s:26:"entity:publish_action:node";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_save_action', 'a:10:{s:4:"uuid";s:36:"bcb78cdd-6d7b-4feb-ab1e-87cfa602e037";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"U9HspszLxcw6pZmRacFa6yDbbheyMN-We4fPbrWWHGg";}s:2:"id";s:16:"node_save_action";s:5:"label";s:12:"Save content";s:4:"type";s:4:"node";s:6:"plugin";s:23:"entity:save_action:node";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_unpromote_action', 'a:10:{s:4:"uuid";s:36:"1f815e82-4343-47e2-92fb-87707756f7a1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"JBptjnfuOMtsdKygklXxoOgeOCTMtQxlkymjnnj-cC0";}s:2:"id";s:21:"node_unpromote_action";s:5:"label";s:30:"Remove content from front page";s:4:"type";s:4:"node";s:6:"plugin";s:21:"node_unpromote_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.node_unpublish_action', 'a:10:{s:4:"uuid";s:36:"2c53863b-8faf-4203-8e8a-3f007168758b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"gGQXiSspwGl0lyOS6w_HCPpvGAPDciqDNLFwWOydVtI";}s:2:"id";s:21:"node_unpublish_action";s:5:"label";s:17:"Unpublish content";s:4:"type";s:4:"node";s:6:"plugin";s:28:"entity:unpublish_action:node";s:13:"configuration";a:0:{}}'),
('', 'system.action.user_add_role_action.administrator', 'a:9:{s:4:"uuid";s:36:"ea0a2265-63ff-43b9-bcf2-cb7f2985f3e1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"user.role.administrator";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:34:"user_add_role_action.administrator";s:5:"label";s:48:"Add the Administrator role to the selected users";s:4:"type";s:4:"user";s:6:"plugin";s:20:"user_add_role_action";s:13:"configuration";a:1:{s:3:"rid";s:13:"administrator";}}'),
('', 'system.action.user_block_user_action', 'a:10:{s:4:"uuid";s:36:"a52855ce-fa3d-4eeb-b531-4f7d7b74f1e9";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"DyypzTfThX10FFQw-399qPfEbLLyrhXgQrKPVsmAoJ4";}s:2:"id";s:22:"user_block_user_action";s:5:"label";s:26:"Block the selected user(s)";s:4:"type";s:4:"user";s:6:"plugin";s:22:"user_block_user_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.user_cancel_user_action', 'a:10:{s:4:"uuid";s:36:"6a24a960-11b5-48ea-8725-0de7caee1a0e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"nvrL9bFilzBvm2bjO9rQnFDpBA7dBBUjShSSt6NS-DU";}s:2:"id";s:23:"user_cancel_user_action";s:5:"label";s:35:"Cancel the selected user account(s)";s:4:"type";s:4:"user";s:6:"plugin";s:23:"user_cancel_user_action";s:13:"configuration";a:0:{}}'),
('', 'system.action.user_remove_role_action.administrator', 'a:9:{s:4:"uuid";s:36:"bec19807-3067-49e9-9508-82114f0c8351";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:23:"user.role.administrator";}s:6:"module";a:1:{i:0;s:4:"user";}}s:2:"id";s:37:"user_remove_role_action.administrator";s:5:"label";s:53:"Remove the Administrator role from the selected users";s:4:"type";s:4:"user";s:6:"plugin";s:23:"user_remove_role_action";s:13:"configuration";a:1:{s:3:"rid";s:13:"administrator";}}'),
('', 'system.action.user_unblock_user_action', 'a:10:{s:4:"uuid";s:36:"95f590f5-91e9-41a0-aec1-b5ecd70cba18";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"SPsUXsR3Rc8d1y3gewzaAKWa1ncea_ywXX3f7LTn7k0";}s:2:"id";s:24:"user_unblock_user_action";s:5:"label";s:28:"Unblock the selected user(s)";s:4:"type";s:4:"user";s:6:"plugin";s:24:"user_unblock_user_action";s:13:"configuration";a:0:{}}'),
('', 'system.authorize', 'a:2:{s:20:"filetransfer_default";N;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"z63ds8M4zPrylEgFRkRcOlfcsXWwfITzjD4cj1kRdfg";}}'),
('', 'system.cron', 'a:3:{s:9:"threshold";a:2:{s:20:"requirements_warning";i:172800;s:18:"requirements_error";i:1209600;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"05U0n1_8zHYzxEFSWjyHCWuJyhdez2a6Z_aTIXin04E";}s:7:"logging";i:1;}'),
('', 'system.date', 'a:4:{s:7:"country";a:1:{s:7:"default";s:2:"GR";}s:9:"first_day";i:0;s:8:"timezone";a:2:{s:7:"default";s:13:"Europe/Athens";s:4:"user";a:3:{s:12:"configurable";b:1;s:4:"warn";b:0;s:7:"default";i:0;}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"V9UurX2GPT05NWKG9f2GWQqFG2TRG8vczidwjpy7Woo";}}'),
('', 'system.diff', 'a:2:{s:7:"context";a:2:{s:13:"lines_leading";i:2;s:14:"lines_trailing";i:2;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"1WanmaEhxW_vM8_5Ktsdntj8MaO9UBHXg0lN603PsWM";}}'),
('', 'system.file', 'a:5:{s:22:"allow_insecure_uploads";b:0;s:14:"default_scheme";s:6:"public";s:4:"path";a:1:{s:9:"temporary";s:23:"sites/default/files/tmp";}s:21:"temporary_maximum_age";i:21600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"t48gCU9DzYfjb3bAOIqHLzhL0ChBlXh6_5B5Pyo9t8g";}}'),
('', 'system.image', 'a:2:{s:7:"toolkit";s:2:"gd";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"durWHaKeBaq4d9Wpi4RqwADj1OufDepcnJuhVLmKN24";}}'),
('', 'system.image.gd', 'a:2:{s:12:"jpeg_quality";i:75;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"eNXaHfkJJUThHeF0nvkoXyPLRrKYGxgHRjORvT4F5rQ";}}'),
('', 'system.logging', 'a:2:{s:11:"error_level";s:4:"hide";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"u3-njszl92FaxjrCMiq0yDcjAfcdx72w1zT1O9dx6aA";}}'),
('', 'system.mail', 'a:2:{s:9:"interface";a:1:{s:7:"default";s:8:"php_mail";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rYgt7uhPafP2ngaN_ZUPFuyI4KdE0zU868zLNSlzKoE";}}'),
('', 'system.maintenance', 'a:3:{s:7:"message";s:93:"@site is currently under maintenance. We should be back shortly. Thank you for your patience.";s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Z5MXifrF77GEAgx0GQ6iWT8wStjFuY8BD9OruofWTJ8";}}'),
('', 'system.menu.account', 'a:9:{s:4:"uuid";s:36:"4e38bdf0-504c-413d-af4c-004d0914b5bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"M_Bh81osDyUQ4wV0GgU_NdBNqkzM87sLxjaCdFj9mnw";}s:2:"id";s:7:"account";s:5:"label";s:17:"User account menu";s:11:"description";s:40:"Links related to the active user account";s:6:"locked";b:1;}'),
('', 'system.menu.admin', 'a:9:{s:4:"uuid";s:36:"7fa47f53-df1a-475e-b654-d93a5b54fd93";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"sapEi2YDGoI9yQIT_WgIV2vUdQ6DScH0V3fAyTadAL0";}s:2:"id";s:5:"admin";s:5:"label";s:14:"Administration";s:11:"description";s:25:"Administrative task links";s:6:"locked";b:1;}'),
('', 'system.menu.footer', 'a:9:{s:4:"uuid";s:36:"3cfab3d5-93e5-4ce3-ae65-16606aad1062";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"7yrlW5z9zdg2eBucB2GPqXKSMQfH9lSRSO4DbWF7AFc";}s:2:"id";s:6:"footer";s:5:"label";s:6:"Footer";s:11:"description";s:22:"Site information links";s:6:"locked";b:1;}'),
('', 'system.menu.landing-page-navigation', 'a:8:{s:4:"uuid";s:36:"0be8b4e3-ea91-49ff-9c8b-cdf9e24c6f64";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:23:"landing-page-navigation";s:5:"label";s:23:"Landing page navigation";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.main', 'a:9:{s:4:"uuid";s:36:"8b0558ea-e5d9-40ca-bc8d-1877b4f7c9bc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Q2Ra3jfoIVk0f3SjxJX61byRQFVBAbpzYDQOiY-kno8";}s:2:"id";s:4:"main";s:5:"label";s:15:"Main navigation";s:11:"description";s:18:"Site section links";s:6:"locked";b:1;}'),
('', 'system.menu.mt-footer-menu-three', 'a:8:{s:4:"uuid";s:36:"d1d4f39f-4e00-4907-85f7-66e516e6c836";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:20:"mt-footer-menu-three";s:5:"label";s:12:"Useful Links";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.mt-footer-menu-two', 'a:8:{s:4:"uuid";s:36:"000f093e-22f4-4cbb-b7e8-313fcc229382";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:18:"mt-footer-menu-two";s:5:"label";s:10:"Questions?";s:11:"description";s:0:"";s:6:"locked";b:0;}');
INSERT INTO `config_snapshot` VALUES
('', 'system.menu.mt-mega-menu', 'a:8:{s:4:"uuid";s:36:"35da80ef-1dd0-491b-8157-376a510fbb90";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:12:"mt-mega-menu";s:5:"label";s:9:"Mega Menu";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.mt-subfooter-menu', 'a:8:{s:4:"uuid";s:36:"d25f7cb9-f8e4-4695-b8f5-11746f2be18c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:2:"id";s:17:"mt-subfooter-menu";s:5:"label";s:9:"Subfooter";s:11:"description";s:0:"";s:6:"locked";b:0;}'),
('', 'system.menu.tools', 'a:9:{s:4:"uuid";s:36:"5511deda-3f20-4ad6-a97b-05d5cc83b3c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"BCM-vV1zzRaLHN18dqAR_CuGOj8AFJvTx7BKl_8Gcxc";}s:2:"id";s:5:"tools";s:5:"label";s:5:"Tools";s:11:"description";s:39:"User tool links, often added by modules";s:6:"locked";b:1;}'),
('', 'system.performance', 'a:6:{s:5:"cache";a:1:{s:4:"page";a:1:{s:7:"max_age";i:0;}}s:3:"css";a:2:{s:10:"preprocess";b:1;s:4:"gzip";b:1;}s:8:"fast_404";a:4:{s:7:"enabled";b:1;s:5:"paths";s:69:"/\\.(?:txt|png|gif|jpe?g|css|js|ico|swf|flv|cgi|bat|pl|dll|exe|asp)$/i";s:13:"exclude_paths";s:27:"/\\/(?:styles|imagecache)\\//";s:4:"html";s:162:"<!DOCTYPE html><html><head><title>404 Not Found</title></head><body><h1>Not Found</h1><p>The requested URL "@path" was not found on this server.</p></body></html>";}s:2:"js";a:2:{s:10:"preprocess";b:1;s:4:"gzip";b:1;}s:20:"stale_file_threshold";i:2592000;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"b2cssrj-lOmATIbdehfCqfCFgVR0qCdxxWhwqa2KBVQ";}}'),
('', 'system.rss', 'a:4:{s:7:"channel";a:1:{s:11:"description";s:0:"";}s:5:"items";a:2:{s:5:"limit";i:10;s:9:"view_mode";s:3:"rss";}s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"TlH7NNk46phfxu1mSUfwg1C0YqaGsUCeD4l9JQnQlDU";}}'),
('', 'system.site', 'a:10:{s:4:"uuid";s:36:"d8c1e82f-f50f-455e-8103-d3c2c59f8c36";s:4:"name";s:11:"Conference+";s:4:"mail";s:18:"noreply@domain.com";s:6:"slogan";s:28:"A top quality Drupal 8 theme";s:4:"page";a:3:{i:403;s:0:"";i:404;s:8:"/node/57";s:5:"front";s:8:"/node/35";}s:18:"admin_compact_mode";b:0;s:17:"weight_select_max";i:100;s:8:"langcode";s:2:"en";s:16:"default_langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"yXadRE77Va-G6dxhd2kPYapAvbnSvTF6hO4oXiOEynI";}}'),
('', 'system.theme', 'a:3:{s:5:"admin";s:5:"seven";s:7:"default";s:14:"conferenceplus";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"fOjer9hADYYnbCJVZMFZIIM1azTFWyg84ZkFDHfAbUg";}}'),
('', 'system.theme.global', 'a:4:{s:7:"favicon";a:4:{s:8:"mimetype";s:24:"image/vnd.microsoft.icon";s:4:"path";s:0:"";s:3:"url";s:0:"";s:11:"use_default";b:1;}s:8:"features";a:4:{s:20:"comment_user_picture";b:1;s:25:"comment_user_verification";b:1;s:7:"favicon";b:1;s:17:"node_user_picture";b:1;}s:4:"logo";a:3:{s:4:"path";s:0:"";s:3:"url";s:0:"";s:11:"use_default";b:1;}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"9rAU4Pku7eMBQxauQqAgjzlcicFZ2As6zEa6zvTlCB8";}}'),
('', 'taxonomy.settings', 'a:4:{s:20:"maintain_index_table";b:1;s:17:"override_selector";b:0;s:20:"terms_per_page_admin";i:100;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"zKpaWT6cJc1tVQQaTqatGELaCqU_oyRym6zTl27Yias";}}'),
('', 'taxonomy.vocabulary.font_classification', 'a:10:{s:4:"uuid";s:36:"0541a736-3493-4822-879d-e9d1d2f383be";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"vabvm5Pvko9TYXjS1o85Wmppa2AOTfUZ6HQUz1xf-Cg";}s:4:"name";s:14:"Classification";s:3:"vid";s:19:"font_classification";s:11:"description";s:30:"This is the general font type.";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.font_designer', 'a:10:{s:4:"uuid";s:36:"00fae69a-8ea9-4dd4-bd65-90c6465fcc25";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"pI1pC9aHpWXj-s55yPTXAPuLNFuQd1lXsgqzeQR5H88";}s:4:"name";s:13:"Font Designer";s:3:"vid";s:13:"font_designer";s:11:"description";s:13:"Font Designer";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.font_foundry', 'a:10:{s:4:"uuid";s:36:"033054b9-bcd7-4b69-b49f-290cd558ab30";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"XWhEB0wh2uZrN5btKVxQzH46OCEyEzgpGkFzL6AbLK4";}s:4:"name";s:12:"Font Foundry";s:3:"vid";s:12:"font_foundry";s:11:"description";s:12:"Font Foundry";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.font_tags', 'a:10:{s:4:"uuid";s:36:"eef8c2ba-dc13-4ac7-9d89-a4e61fd4de92";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lRLlMHtAftGXOKGJyMblVU24LDFCeBIuSU_mOWdKQcM";}s:4:"name";s:9:"Font Tags";s:3:"vid";s:9:"font_tags";s:11:"description";s:33:"The tags that came with the font.";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.languages_supported', 'a:10:{s:4:"uuid";s:36:"78dfe75a-5c5c-4b6d-97f7-cd3188368ad0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ru_sLk23k0y0qP3eHlcWUNAgbWpIHOwXE3ocJgygqnM";}s:4:"name";s:19:"Languages Supported";s:3:"vid";s:19:"languages_supported";s:11:"description";s:36:"The languages supported by the font.";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_affiliations', 'a:9:{s:4:"uuid";s:36:"80aecd93-36bb-4584-b5cf-2af4530735df";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:12:"Affiliations";s:3:"vid";s:15:"mt_affiliations";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_brands_tags', 'a:9:{s:4:"uuid";s:36:"84f2daa6-b011-4a0c-a03b-b376e3002aaa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:7:"Clients";s:3:"vid";s:14:"mt_brands_tags";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_collections', 'a:9:{s:4:"uuid";s:36:"430a0a69-faf8-4d49-91bb-847224e28e54";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:22:"Merchandise Categories";s:3:"vid";s:14:"mt_collections";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_event_categories', 'a:9:{s:4:"uuid";s:36:"7e12e657-fc36-45f9-b838-8371643734d5";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:16:"Event Categories";s:3:"vid";s:19:"mt_event_categories";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_presentation_categories', 'a:9:{s:4:"uuid";s:36:"98aa458b-00e7-4122-833e-a0671b30c301";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:23:"Presentation Categories";s:3:"vid";s:26:"mt_presentation_categories";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_service_tags', 'a:9:{s:4:"uuid";s:36:"a8a22330-d52a-4272-ab33-388270e8f814";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:18:"Accommodation Tags";s:3:"vid";s:15:"mt_service_tags";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_session', 'a:9:{s:4:"uuid";s:36:"720a3950-eb59-4271-b66a-cf61999273a4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:7:"Session";s:3:"vid";s:10:"mt_session";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_showcase_tags', 'a:9:{s:4:"uuid";s:36:"dea10740-d52d-47a7-a386-be129a6398f7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:13:"Showcase Tags";s:3:"vid";s:16:"mt_showcase_tags";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.mt_topics', 'a:9:{s:4:"uuid";s:36:"a1c0de83-61e3-420c-a189-3cc61091a01d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:4:"name";s:6:"Topics";s:3:"vid";s:9:"mt_topics";s:11:"description";s:0:"";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'taxonomy.vocabulary.tags', 'a:10:{s:4:"uuid";s:36:"99b9524c-7a99-453a-9ea1-a6f2d8186661";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"lO5ziR5dVI1PpEeHZsSOfQ-Y7NWihSDKW8-MMf6uoms";}s:4:"name";s:4:"Tags";s:3:"vid";s:4:"tags";s:11:"description";s:61:"Use tags to group articles on similar topics into categories.";s:9:"hierarchy";i:0;s:6:"weight";i:0;}'),
('', 'text.settings', 'a:2:{s:22:"default_summary_length";i:600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Bkewb77RBOK3_aXMPsp8p87gbc03NvmC5gBLzPl7hVA";}}'),
('', 'tour.tour.views-ui', 'a:10:{s:4:"uuid";s:36:"66c94185-731f-4543-842d-01116b2f101a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:8:"views_ui";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"c-HMyZwgeP8H6AITDcq4hznePkd7azpe8xl_WTnx2O0";}s:2:"id";s:8:"views-ui";s:5:"label";s:14:"View edit page";s:6:"module";s:8:"views_ui";s:6:"routes";a:2:{i:0;a:1:{s:10:"route_name";s:21:"entity.view.edit_form";}i:1;a:1:{s:10:"route_name";s:29:"entity.view.edit_display_form";}}s:4:"tips";a:10:{s:10:"views-main";a:5:{s:2:"id";s:10:"views-main";s:6:"plugin";s:4:"text";s:5:"label";s:20:"Manage view settings";s:4:"body";s:31:"View or edit the configuration.";s:6:"weight";i:1;}s:17:"views-ui-displays";a:6:{s:2:"id";s:17:"views-ui-displays";s:6:"plugin";s:4:"text";s:5:"label";s:21:"Displays in this view";s:4:"body";s:169:"A display is a way of outputting the results, e.g., as a page or a block. A view can contain multiple displays, which are listed here. The active display is highlighted.";s:6:"weight";i:2;s:10:"attributes";a:1:{s:7:"data-id";s:17:"views-display-top";}}s:19:"views-ui-view-admin";a:7:{s:2:"id";s:19:"views-ui-view-admin";s:6:"plugin";s:4:"text";s:5:"label";s:19:"View administration";s:4:"body";s:140:"Perform administrative tasks, including adding a description and creating a clone. Click the drop-down button to view the available options.";s:6:"weight";i:3;s:8:"location";s:4:"left";s:10:"attributes";a:1:{s:7:"data-id";s:27:"views-display-extra-actions";}}s:15:"views-ui-format";a:6:{s:2:"id";s:15:"views-ui-format";s:6:"plugin";s:4:"text";s:5:"label";s:13:"Output format";s:4:"body";s:325:"Choose how to output results. E.g., choose <em>Content</em> to output each item completely, using your configured display settings. Or choose <em>Fields</em>, which allows you to output only specific fields for each result. Additional formats can be added by installing modules to <em>extend</em> Drupal''s base functionality.";s:6:"weight";i:4;s:10:"attributes";a:1:{s:10:"data-class";s:34:"views-ui-display-tab-bucket.format";}}s:15:"views-ui-fields";a:6:{s:2:"id";s:15:"views-ui-fields";s:6:"plugin";s:4:"text";s:5:"label";s:6:"Fields";s:4:"body";s:89:"If this view uses fields, they are listed here. You can click on a field to configure it.";s:6:"weight";i:5;s:10:"attributes";a:1:{s:10:"data-class";s:33:"views-ui-display-tab-bucket.field";}}s:15:"views-ui-filter";a:6:{s:2:"id";s:15:"views-ui-filter";s:6:"plugin";s:4:"text";s:5:"label";s:16:"Filter your view";s:4:"body";s:173:"Add filters to limit the results in the output. E.g., to only show content that is <em>published</em>, you would add a filter for <em>Published</em> and select <em>Yes</em>.";s:6:"weight";i:6;s:10:"attributes";a:1:{s:10:"data-class";s:34:"views-ui-display-tab-bucket.filter";}}s:26:"views-ui-filter-operations";a:6:{s:2:"id";s:26:"views-ui-filter-operations";s:6:"plugin";s:4:"text";s:5:"label";s:14:"Filter actions";s:4:"body";s:33:"Add, rearrange or remove filters.";s:6:"weight";i:7;s:10:"attributes";a:1:{s:10:"data-class";s:53:"views-ui-display-tab-bucket.filter .dropbutton-widget";}}s:14:"views-ui-sorts";a:6:{s:2:"id";s:14:"views-ui-sorts";s:6:"plugin";s:4:"text";s:5:"label";s:13:"Sort Criteria";s:4:"body";s:96:"Control the order in which the results are output. Click on an active sort rule to configure it.";s:6:"weight";i:8;s:10:"attributes";a:1:{s:10:"data-class";s:32:"views-ui-display-tab-bucket.sort";}}s:25:"views-ui-sorts-operations";a:6:{s:2:"id";s:25:"views-ui-sorts-operations";s:6:"plugin";s:4:"text";s:5:"label";s:12:"Sort actions";s:4:"body";s:39:"Add, rearrange or remove sorting rules.";s:6:"weight";i:9;s:10:"attributes";a:1:{s:10:"data-class";s:51:"views-ui-display-tab-bucket.sort .dropbutton-widget";}}s:16:"views-ui-preview";a:7:{s:2:"id";s:16:"views-ui-preview";s:6:"plugin";s:4:"text";s:5:"label";s:7:"Preview";s:4:"body";s:34:"Show a preview of the view output.";s:6:"weight";i:10;s:8:"location";s:4:"left";s:10:"attributes";a:1:{s:7:"data-id";s:14:"preview-submit";}}}}'),
('', 'update.settings', 'a:4:{s:5:"check";a:2:{s:19:"disabled_extensions";b:0;s:13:"interval_days";i:1;}s:5:"fetch";a:3:{s:3:"url";s:0:"";s:12:"max_attempts";i:2;s:7:"timeout";i:30;}s:12:"notification";a:2:{s:6:"emails";a:1:{i:0;s:18:"noreply@domain.com";}s:9:"threshold";s:3:"all";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"2QzULf0zovJQx3J06Y9rufzzfi-CY2CTTlEfJJh2Qyw";}}'),
('', 'user.flood', 'a:6:{s:8:"uid_only";b:0;s:8:"ip_limit";i:50;s:9:"ip_window";i:3600;s:10:"user_limit";i:5;s:11:"user_window";i:21600;s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"UYfMzeP1S8jKm9PSvxf7nQNe8DsNS-3bc2WSNNXBQWs";}}'),
('', 'user.mail', 'a:11:{s:14:"cancel_confirm";a:2:{s:4:"body";s:377:"[user:display-name],\n\nA request to cancel your account has been made at [site:name].\n\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\n\n[user:cancel-url]\n\nNOTE: The cancellation of your account is not reversible.\n\nThis link expires in one day and nothing will happen if it is not used.\n\n--  [site:name] team";s:7:"subject";s:67:"Account cancellation request for [user:display-name] at [site:name]";}s:14:"password_reset";a:2:{s:4:"body";s:407:"[user:display-name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it''s not used.\n\n--  [site:name] team";s:7:"subject";s:68:"Replacement login information for [user:display-name] at [site:name]";}s:22:"register_admin_created";a:2:{s:4:"body";s:473:"[user:display-name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:58:"An administrator created an account for you at [site:name]";}s:29:"register_no_approval_required";a:2:{s:4:"body";s:447:"[user:display-name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:54:"Account details for [user:display-name] at [site:name]";}s:25:"register_pending_approval";a:2:{s:4:"body";s:289:"[user:display-name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team";s:7:"subject";s:79:"Account details for [user:display-name] at [site:name] (pending admin approval)";}s:31:"register_pending_approval_admin";a:2:{s:4:"body";s:64:"[user:display-name] has applied for an account.\n\n[user:edit-url]";s:7:"subject";s:79:"Account details for [user:display-name] at [site:name] (pending admin approval)";}s:16:"status_activated";a:2:{s:4:"body";s:462:"[user:display-name],\n\nYour account at [site:name] has been activated.\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:account-name]\npassword: Your password\n\n--  [site:name] team";s:7:"subject";s:65:"Account details for [user:display-name] at [site:name] (approved)";}s:14:"status_blocked";a:2:{s:4:"body";s:89:"[user:display-name],\n\nYour account on [site:name] has been blocked.\n\n--  [site:name] team";s:7:"subject";s:64:"Account details for [user:display-name] at [site:name] (blocked)";}s:15:"status_canceled";a:2:{s:4:"body";s:90:"[user:display-name],\n\nYour account on [site:name] has been canceled.\n\n--  [site:name] team";s:7:"subject";s:65:"Account details for [user:display-name] at [site:name] (canceled)";}s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"m4J3ROov32OEquRYGLbx3SpdDGuqx9l_zJtNvihqdCg";}}'),
('', 'user.role.administrator', 'a:10:{s:4:"uuid";s:36:"bfc23256-f9a0-4aea-bb69-b8f7290643dc";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Om6FEO7vZZMkPIbVvfxtdkWerQ2PvQM4sWUd6Q3ZnfI";}s:2:"id";s:13:"administrator";s:5:"label";s:13:"Administrator";s:6:"weight";i:2;s:8:"is_admin";b:1;s:11:"permissions";a:0:{}}'),
('', 'user.role.anonymous', 'a:10:{s:4:"uuid";s:36:"f4aa5a02-a0f2-42e3-8fef-e2483ed22d1e";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"j5zLMOdJBqC0bMvSdth5UebkprJB8g_2FXHqhfpJzow";}s:2:"id";s:9:"anonymous";s:5:"label";s:14:"Anonymous user";s:6:"weight";i:0;s:8:"is_admin";b:0;s:11:"permissions";a:6:{i:0;s:15:"access comments";i:1;s:14:"access content";i:2;s:29:"access site-wide contact form";i:3;s:14:"search content";i:4;s:31:"use text format restricted_html";i:5;s:24:"view post access counter";}}'),
('', 'user.role.authenticated', 'a:10:{s:4:"uuid";s:36:"4b3b6df3-3505-4613-82c8-afd95fc5887f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:0:{}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"dJ0L2DNSj5q6XVZAGsuVDpJTh5UeYkIPwKrUOOpr8YI";}s:2:"id";s:13:"authenticated";s:5:"label";s:18:"Authenticated user";s:6:"weight";i:1;s:8:"is_admin";b:0;s:11:"permissions";a:9:{i:0;s:15:"access comments";i:1;s:14:"access content";i:2;s:16:"access shortcuts";i:3;s:29:"access site-wide contact form";i:4;s:13:"post comments";i:5;s:14:"search content";i:6;s:21:"skip comment approval";i:7;s:26:"use text format basic_html";i:8;s:24:"view post access counter";}}'),
('', 'user.settings', 'a:9:{s:9:"anonymous";s:9:"Anonymous";s:11:"verify_mail";b:1;s:6:"notify";a:8:{s:14:"cancel_confirm";b:1;s:14:"password_reset";b:1;s:16:"status_activated";b:1;s:14:"status_blocked";b:0;s:15:"status_canceled";b:0;s:22:"register_admin_created";b:1;s:29:"register_no_approval_required";b:1;s:25:"register_pending_approval";b:1;}s:8:"register";s:23:"visitors_admin_approval";s:13:"cancel_method";s:17:"user_cancel_block";s:22:"password_reset_timeout";i:86400;s:17:"password_strength";b:1;s:8:"langcode";s:2:"en";s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"r4kwhOM0IWXVMUZDz744Yc16EOh37ZhYbA8kGOhSmLk";}}'),
('', 'views.settings', 'a:6:{s:17:"display_extenders";a:0:{}s:10:"skip_cache";b:0;s:13:"sql_signature";b:0;s:2:"ui";a:3:{s:4:"show";a:7:{s:18:"additional_queries";b:0;s:15:"advanced_column";b:0;s:14:"master_display";b:0;s:22:"performance_statistics";b:0;s:19:"preview_information";b:1;s:9:"sql_query";a:2:{s:7:"enabled";b:0;s:5:"where";s:5:"above";}s:13:"display_embed";b:0;}s:19:"always_live_preview";b:1;s:24:"exposed_filter_any_label";s:7:"old_any";}s:22:"field_rewrite_elements";a:29:{s:3:"div";s:3:"DIV";s:4:"span";s:4:"SPAN";s:2:"h1";s:2:"H1";s:2:"h2";s:2:"H2";s:2:"h3";s:2:"H3";s:2:"h4";s:2:"H4";s:2:"h5";s:2:"H5";s:2:"h6";s:2:"H6";s:1:"p";s:1:"P";s:6:"header";s:6:"HEADER";s:6:"footer";s:6:"FOOTER";s:7:"article";s:7:"ARTICLE";s:7:"section";s:7:"SECTION";s:5:"aside";s:5:"ASIDE";s:7:"details";s:7:"DETAILS";s:10:"blockquote";s:10:"BLOCKQUOTE";s:6:"figure";s:6:"FIGURE";s:7:"address";s:7:"ADDRESS";s:4:"code";s:4:"CODE";s:3:"pre";s:3:"PRE";s:3:"var";s:3:"VAR";s:4:"samp";s:4:"SAMP";s:3:"kbd";s:3:"KBD";s:6:"strong";s:6:"STRONG";s:2:"em";s:2:"EM";s:3:"del";s:3:"DEL";s:3:"ins";s:3:"INS";s:1:"q";s:1:"Q";s:1:"s";s:1:"S";}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"RaRd9EIcwA4u3qCSRLL8EnCicbda1kV__ASmVbyehvQ";}}'),
('', 'views.view.archive', 'a:14:{s:4:"uuid";s:36:"a5e53f22-b2dc-47b0-aa2a-dc01d0e4eae7";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"Ea3cxQo9FjYVScZDVackg-6ID_GgTkdKORm_APgV-5I";}s:2:"id";s:7:"archive";s:5:"label";s:7:"Archive";s:6:"module";s:4:"node";s:11:"description";s:22:"All content, by month.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:1:"8";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:17:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:5:"title";s:15:"Monthly archive";s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";}}s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:15:"node_field_data";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:12:"title_enable";b:1;s:5:"title";s:34:"{{ arguments.created_year_month }}";s:21:"default_argument_type";s:5:"fixed";s:7:"summary";a:2:{s:10:"sort_order";s:4:"desc";s:6:"format";s:15:"default_summary";}s:15:"summary_options";a:2:{s:8:"override";b:1;s:14:"items_per_page";i:30;}s:18:"specify_validation";b:1;s:9:"plugin_id";s:15:"date_year_month";s:11:"entity_type";s:4:"node";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:5:"value";s:1:"1";s:5:"group";i:0;s:6:"expose";a:1:{s:8:"operator";s:1:"0";}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:14:"display_plugin";s:5:"block";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:15:"node_field_data";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:12:"title_enable";b:1;s:5:"title";s:34:"{{ arguments.created_year_month }}";s:21:"default_argument_type";s:5:"fixed";s:7:"summary";a:1:{s:6:"format";s:15:"default_summary";}s:15:"summary_options";a:1:{s:14:"items_per_page";i:30;}s:18:"specify_validation";b:1;s:9:"plugin_id";s:15:"date_year_month";s:11:"entity_type";s:4:"node";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:2;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:7:"archive";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.block_content', 'a:14:{s:4:"uuid";s:36:"0046cb67-454b-411d-abe7-b3f09d439a89";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tp4wP6wVrEPZfApiCfkpoCxUzN-B1ceGcGv5sEzQ2Sg";}s:2:"id";s:13:"block_content";s:5:"label";s:20:"Custom block library";s:6:"module";s:5:"views";s:11:"description";s:30:"Find and manage custom blocks.";s:3:"tag";s:7:"default";s:10:"base_table";s:24:"block_content_field_data";s:10:"base_field";s:2:"id";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:17:"administer blocks";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:4:"info";s:4:"info";s:4:"type";s:4:"type";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:4:{s:4:"info";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"info";a:37:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:17:"Block description";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Block type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:7:"changed";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:13:"block_content";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:13:"block_content";s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:2:{s:4:"info";a:16:{s:2:"id";s:4:"info";s:5:"table";s:24:"block_content_field_data";s:5:"field";s:4:"info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:7:"info_op";s:5:"label";s:17:"Block description";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"info_op";s:10:"identifier";s:4:"info";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"info";s:9:"plugin_id";s:6:"string";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:13:"block_content";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:10:"Block type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"block_content";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}}s:5:"sorts";a:0:{}s:5:"title";s:20:"Custom block library";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:2:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:38:"There are no custom blocks available. ";s:9:"plugin_id";s:11:"text_custom";}s:27:"block_content_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:27:"block_content_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:27:"block_content_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:13:"block_content";s:9:"plugin_id";s:27:"block_content_listing_empty";s:11:"entity_type";s:13:"block_content";}}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:35:"admin/structure/block/block-content";s:4:"menu";a:9:{s:4:"type";s:3:"tab";s:5:"title";s:20:"Custom block library";s:11:"description";s:0:"";s:6:"parent";s:19:"block.admin_display";s:6:"weight";i:0;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.comment', 'a:13:{s:4:"uuid";s:36:"40ed4ad9-53a8-4e89-a1f4-68905ed4d6b1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"user";}}s:2:"id";s:7:"comment";s:5:"label";s:8:"Comments";s:6:"module";s:7:"comment";s:11:"description";s:25:"Find and manage comments.";s:3:"tag";s:7:"default";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:26:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"administer comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ previous";s:4:"next";s:8:"next ›";s:5:"first";s:8:"« first";s:4:"last";s:7:"last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:6:{s:17:"comment_bulk_form";s:17:"comment_bulk_form";s:7:"subject";s:7:"subject";s:3:"uid";s:3:"uid";s:9:"entity_id";s:9:"entity_id";s:7:"changed";s:7:"changed";s:10:"operations";s:10:"operations";}s:4:"info";a:6:{s:17:"comment_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"subject";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:3:"uid";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"entity_id";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"operations";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:24:"comment_unpublish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:5:"title";s:8:"Comments";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:22:"No comments available.";s:9:"plugin_id";s:11:"text_custom";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"group_by";b:0;s:9:"css_class";s:0:"";s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:14:"page_published";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:14:"page_published";s:13:"display_title";s:18:"Published comments";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:21:"admin/content/comment";s:4:"menu";a:7:{s:4:"type";s:3:"tab";s:5:"title";s:8:"Comments";s:11:"description";s:18:"Comments published";s:6:"parent";s:0:"";s:6:"weight";i:0;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";}s:19:"display_description";s:30:"The approved comments listing.";s:17:"display_extenders";a:0:{}s:13:"exposed_block";b:0;s:15:"display_comment";s:0:"";}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:15:"page_unapproved";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:15:"page_unapproved";s:13:"display_title";s:19:"Unapproved comments";s:8:"position";i:2;s:15:"display_options";a:8:{s:4:"path";s:30:"admin/content/comment/approval";s:4:"menu";a:7:{s:4:"type";s:3:"tab";s:5:"title";s:19:"Unapproved comments";s:11:"description";s:19:"Comments unapproved";s:6:"parent";s:0:"";s:6:"weight";i:1;s:7:"context";s:1:"0";s:9:"menu_name";s:5:"admin";}s:19:"display_description";s:32:"The unapproved comments listing.";s:7:"filters";a:4:{s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:7:"boolean";}s:7:"subject";a:16:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:10:"subject_op";s:5:"label";s:7:"Subject";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"subject_op";s:10:"identifier";s:7:"subject";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:6:"string";}s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:11:"Author Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:11:"author_name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:6:"name_1";s:6:"name_1";}s:9:"plugin_id";s:7:"combine";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:8:"defaults";a:3:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;}s:17:"display_extenders";a:0:{}s:6:"fields";a:8:{s:17:"comment_bulk_form";a:26:{s:2:"id";s:17:"comment_bulk_form";s:5:"table";s:7:"comment";s:5:"field";s:17:"comment_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"action_title";s:6:"Action";s:15:"include_exclude";s:7:"include";s:16:"selected_actions";a:2:{i:0;s:21:"comment_delete_action";i:1;s:22:"comment_publish_action";}s:9:"plugin_id";s:17:"comment_bulk_form";s:11:"entity_type";s:7:"comment";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Subject";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:17:"comment_permalink";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:9:"plugin_id";s:5:"field";}s:3:"uid";a:37:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"{{ uid }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:9:"entity_id";a:37:{s:2:"id";s:9:"entity_id";s:5:"table";s:18:"comment_field_data";s:5:"field";s:9:"entity_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Posted in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:9:"entity_id";s:9:"plugin_id";s:16:"commented_entity";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:7:"comment";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:7:"comment";s:9:"plugin_id";s:17:"entity_operations";}s:6:"name_1";a:37:{s:2:"id";s:6:"name_1";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:4:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:9:"cacheable";b:0;s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.comments_recent', 'a:14:{s:4:"uuid";s:36:"13605e43-2427-4dc6-8c0b-d21d33003ed8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:7:"comment";i:1;s:4:"node";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"jmfZ73IDUpneecqVXUK3whGzTcvwLBBll9U3ZTCzndo";}s:2:"id";s:15:"comments_recent";s:5:"label";s:15:"Recent comments";s:6:"module";s:5:"views";s:11:"description";s:16:"Recent comments.";s:3:"tag";s:7:"default";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:14:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:22:"default_field_elements";b:1;s:6:"inline";a:2:{s:7:"subject";s:7:"subject";s:7:"changed";s:7:"changed";}s:9:"separator";s:1:" ";s:10:"hide_empty";b:0;}}s:13:"relationships";a:1:{s:4:"node";a:5:{s:5:"field";s:4:"node";s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:7:"subject";a:26:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:9:"plugin_id";s:5:"field";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"changed";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"node";s:2:"id";s:11:"status_node";s:9:"plugin_id";s:7:"boolean";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}}s:5:"sorts";a:2:{s:7:"created";a:12:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";}s:3:"cid";a:11:{s:2:"id";s:3:"cid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"cid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"cid";}}s:5:"title";s:15:"Recent comments";s:5:"empty";a:1:{s:16:"area_text_custom";a:11:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:7:"content";s:22:"No comments available.";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"block_description";s:15:"Recent comments";s:14:"block_category";s:13:"Lists (Views)";s:5:"allow";a:1:{s:14:"items_per_page";b:1;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.content', 'a:14:{s:4:"uuid";s:36:"46df9fc7-0b8d-4c6c-b63a-1a46737eac5f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YIwhIF9MSP1E_HMam6MrYeti_UqMXQiLDMjDsPFKK8s";}s:2:"id";s:7:"content";s:5:"label";s:7:"Content";s:6:"module";s:4:"node";s:11:"description";s:24:"Find and manage content.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:23:"access content overview";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:2:{s:14:"items_per_page";i:50;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:1;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:10:{s:14:"node_bulk_form";s:14:"node_bulk_form";s:5:"title";s:5:"title";s:4:"type";s:4:"type";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:7:"changed";s:7:"changed";s:9:"edit_node";s:9:"edit_node";s:11:"delete_node";s:11:"delete_node";s:10:"dropbutton";s:10:"dropbutton";s:9:"timestamp";s:5:"title";}s:4:"info";a:10:{s:14:"node_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"title";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:11:"delete_node";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:9:"timestamp";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:14:"node_bulk_form";a:14:{s:2:"id";s:14:"node_bulk_form";s:5:"table";s:4:"node";s:5:"field";s:14:"node_bulk_form";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"node_bulk_form";s:11:"entity_type";s:4:"node";}s:5:"title";a:17:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:5:"label";s:5:"Title";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:4:"type";a:37:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Content type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:5:"field";}s:4:"name";a:17:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:5:"label";s:6:"Author";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:17:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:9:"Published";s:19:"format_custom_false";s:11:"Unpublished";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:7:"changed";a:17:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:5:"label";s:7:"Updated";s:7:"exclude";b:0;s:5:"alter";a:1:{s:10:"alter_text";b:0;}s:13:"element_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";}s:10:"operations";a:23:{s:2:"id";s:10:"operations";s:5:"table";s:4:"node";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:5:{s:12:"status_extra";a:8:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:8:"operator";s:1:"=";s:5:"value";b:0;s:9:"plugin_id";s:11:"node_status";s:5:"group";i:1;s:11:"entity_type";s:4:"node";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:16:"Published status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:9:"Published";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:11:"Unpublished";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"bundle";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";}s:5:"title";a:16:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:8:"title_op";s:5:"label";s:5:"Title";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:8:"title_op";s:10:"identifier";s:5:"title";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:11:"langcode_op";s:5:"label";s:8:"Language";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"langcode_op";s:10:"identifier";s:8:"langcode";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"sorts";a:0:{}s:5:"title";s:7:"Content";s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:9:"arguments";a:0:{}s:13:"relationships";a:1:{s:3:"uid";a:6:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";}}s:16:"show_admin_links";b:0;s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:7:"default";s:13:"display_title";s:6:"Master";s:2:"id";s:7:"default";s:8:"position";i:0;s:14:"cache_metadata";a:3:{s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:15:"display_options";a:4:{s:4:"path";s:18:"admin/content/node";s:4:"menu";a:8:{s:4:"type";s:11:"default tab";s:5:"title";s:7:"Content";s:11:"description";s:0:"";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:7:"Content";s:11:"description";s:23:"Find and manage content";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:4:"page";s:13:"display_title";s:4:"Page";s:2:"id";s:6:"page_1";s:8:"position";i:1;s:14:"cache_metadata";a:3:{s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.content_recent', 'a:14:{s:4:"uuid";s:36:"e0fbdad5-cb3a-4aff-b69c-c045bd4c825f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"tDcmzGfShE0XJbfwJzyA6lJTUYC6X4iVu887dgoFfDg";}s:2:"id";s:14:"content_recent";s:5:"label";s:14:"Recent content";s:6:"module";s:4:"node";s:11:"description";s:15:"Recent content.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:22:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:5:"title";a:26:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";}s:7:"changed";a:37:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"changed";a:13:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";s:9:"plugin_id";s:4:"date";}}s:5:"title";s:14:"Recent content";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:21:"No content available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"More";s:8:"link_url";s:0:"";s:12:"link_display";s:1:"0";}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.files', 'a:14:{s:4:"uuid";s:36:"bb004630-0ce7-448a-b08a-b2e8f6295a42";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rRWxAX-IQkJ5viACQRovRkC784EyCl9493GU_G23n2Q";}s:2:"id";s:5:"files";s:5:"label";s:5:"Files";s:6:"module";s:4:"file";s:11:"description";s:22:"Find and manage files.";s:3:"tag";s:7:"default";s:10:"base_table";s:12:"file_managed";s:10:"base_field";s:3:"fid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:21:"access files overview";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:3:"fid";s:3:"fid";s:8:"filename";s:8:"filename";s:8:"filemime";s:8:"filemime";s:8:"filesize";s:8:"filesize";s:6:"status";s:6:"status";s:7:"created";s:7:"created";s:7:"changed";s:7:"changed";s:5:"count";s:5:"count";}s:4:"info";a:8:{s:3:"fid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filename";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:8:"filemime";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:8:"filesize";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"status";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:7:"changed";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}}s:7:"default";s:7:"changed";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:3:"fid";a:24:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"Fid";s:7:"exclude";b:1;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}s:8:"filename";a:36:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Name";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"file_link";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:25:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"MIME type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"file_filemime";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:8:"filesize";a:25:{s:2:"id";s:8:"filesize";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filesize";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Size";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"file_size";s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filesize";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:19:"format_custom_false";s:9:"Temporary";s:18:"format_custom_true";s:9:"Permanent";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Upload date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"created";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:12:"file_managed";s:5:"field";s:7:"changed";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:12:"Changed date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:7:"changed";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:3:"fid";s:10:"group_type";s:3:"sum";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Used in";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/content/files/usage/{{ fid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:21:"1 place@count places";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:7:"filters";a:3:{s:8:"filename";a:16:{s:2:"id";s:8:"filename";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filename";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:8:"Filename";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filename_op";s:10:"identifier";s:8:"filename";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filename";}s:8:"filemime";a:16:{s:2:"id";s:8:"filemime";s:5:"table";s:12:"file_managed";s:5:"field";s:8:"filemime";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:4:"word";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:11:"filemime_op";s:5:"label";s:9:"MIME type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"filemime_op";s:10:"identifier";s:8:"filemime";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:8:"filemime";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:12:"file_managed";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:9:"status_op";s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"file_status";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:6:"status";}}s:5:"sorts";a:0:{}s:5:"title";s:5:"Files";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:6:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:5:"empty";b:1;s:7:"content";s:19:"No files available.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:9:"arguments";a:0:{}s:8:"group_by";b:1;s:16:"show_admin_links";b:1;s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:14:"Files overview";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:19:"admin/content/files";s:4:"menu";a:8:{s:4:"type";s:3:"tab";s:5:"title";s:5:"Files";s:11:"description";s:0:"";s:9:"menu_name";s:5:"admin";s:6:"weight";i:0;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:19:"display_description";s:0:"";s:8:"defaults";a:2:{s:5:"pager";b:1;s:13:"relationships";b:0;}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:0;}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:10:"File usage";s:8:"position";i:2;s:15:"display_options";a:16:{s:19:"display_description";s:0:"";s:4:"path";s:27:"admin/content/files/usage/%";s:5:"empty";a:0:{}s:8:"defaults";a:11:{s:5:"empty";b:0;s:5:"pager";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:8:"group_by";b:0;s:5:"title";b:0;s:9:"arguments";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:2:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:7:"filters";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:0:{}}s:6:"fields";a:4:{s:12:"entity_label";a:23:{s:2:"id";s:12:"entity_label";s:5:"table";s:10:"file_usage";s:5:"field";s:12:"entity_label";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Entity";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:14:"link_to_entity";b:1;s:9:"plugin_id";s:12:"entity_label";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:10:"file_usage";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Entity type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:6:"module";a:22:{s:2:"id";s:6:"module";s:5:"table";s:10:"file_usage";s:5:"field";s:6:"module";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:18:"Registering module";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:5:"count";a:30:{s:2:"id";s:5:"count";s:5:"table";s:10:"file_usage";s:5:"field";s:5:"count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"Use count";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}}s:8:"group_by";b:0;s:5:"title";s:10:"File usage";s:9:"arguments";a:1:{s:3:"fid";a:23:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:46:"File usage information for {{ arguments.fid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:0;s:9:"plugin_id";s:8:"file_fid";s:11:"entity_type";s:4:"file";s:12:"entity_field";s:3:"fid";}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:4:{s:12:"entity_label";s:12:"entity_label";s:4:"type";s:4:"type";s:6:"module";s:6:"module";s:5:"count";s:5:"count";}s:4:"info";a:4:{s:12:"entity_label";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:6:"module";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:5:"count";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:12:"entity_label";s:11:"empty_table";b:1;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:3:"fid";a:7:{s:2:"id";s:3:"fid";s:5:"table";s:12:"file_managed";s:5:"field";s:3:"fid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:10:"File usage";s:8:"required";b:1;}}s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.fontyourface_font_manager', 'a:14:{s:4:"uuid";s:36:"cfb4e2c0-49e6-4fbc-a731-22eb461bab63";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:33:"core.entity_view_mode.font.teaser";i:1;s:39:"taxonomy.vocabulary.font_classification";i:2;s:32:"taxonomy.vocabulary.font_foundry";i:3;s:39:"taxonomy.vocabulary.languages_supported";}s:6:"module";a:3:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"A_LJN6fQMhxinZWzAPOoVCLFvGftlN9suE2TPTVAxfs";}s:2:"id";s:25:"fontyourface_font_manager";s:5:"label";s:25:"FontYourFace Font Manager";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:17:"fontyourface_font";s:10:"base_field";s:3:"fid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:24:"administer font entities";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:9:"row_class";s:30:"fontyourface-font-manager-item";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:font";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:4:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";N;s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:3:"pid";a:37:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Provider ID";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:5:"field";}s:9:"css_style";a:37:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:9:"CSS Style";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:5:"field";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"font";s:9:"plugin_id";s:17:"entity_operations";}}s:7:"filters";a:7:{s:4:"name";a:16:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:7:"name_op";s:5:"label";s:4:"Name";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"name_op";s:10:"identifier";s:4:"name";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:6:"string";}s:3:"pid";a:16:{s:2:"id";s:3:"pid";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:3:"pid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:6:"pid_op";s:5:"label";s:13:"Font Provider";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:6:"pid_op";s:10:"identifier";s:3:"pid";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:3:"pid";s:9:"plugin_id";s:21:"fontyourface_font_pid";}s:9:"css_style";a:16:{s:2:"id";s:9:"css_style";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:9:"css_style";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:12:"css_style_op";s:5:"label";s:9:"CSS Style";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:12:"css_style_op";s:10:"identifier";s:9:"css_style";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:9:"css_style";s:9:"plugin_id";s:23:"fontyourface_font_style";}s:10:"css_weight";a:16:{s:2:"id";s:10:"css_weight";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:10:"css_weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:3:"All";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:13:"css_weight_op";s:5:"label";s:10:"CSS Weight";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"css_weight_op";s:10:"identifier";s:10:"css_weight";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:10:"css_weight";s:9:"plugin_id";s:24:"fontyourface_font_weight";}s:30:"field_classification_target_id";a:20:{s:2:"id";s:30:"field_classification_target_id";s:5:"table";s:26:"font__field_classification";s:5:"field";s:30:"field_classification_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:33:"field_classification_target_id_op";s:5:"label";s:14:"Classification";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:33:"field_classification_target_id_op";s:10:"identifier";s:30:"field_classification_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"font_classification";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:35:"field_supported_languages_target_id";a:20:{s:2:"id";s:35:"field_supported_languages_target_id";s:5:"table";s:31:"font__field_supported_languages";s:5:"field";s:35:"field_supported_languages_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:38:"field_supported_languages_target_id_op";s:5:"label";s:15:"Language/subset";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:38:"field_supported_languages_target_id_op";s:10:"identifier";s:35:"field_supported_languages_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:19:"languages_supported";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:20:"field_tags_target_id";a:20:{s:2:"id";s:20:"field_tags_target_id";s:5:"table";s:16:"font__field_tags";s:5:"field";s:20:"field_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:23:"field_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:23:"field_tags_target_id_op";s:10:"identifier";s:20:"field_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:12:"font_foundry";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"status";a:12:{s:2:"id";s:6:"status";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:6:"status";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:17:"fontyourface_font";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"font";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:13:"Font Selector";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:21:"admin/appearance/font";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.frontpage', 'a:14:{s:4:"uuid";s:36:"31df822d-0b0a-440f-a3c7-ed18b2060c62";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:30:"core.entity_view_mode.node.rss";i:1;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"rwRoOr3DiobxwoWSmtUcna1LQz5_HxHvS7H5dl7_-Uo";}s:2:"id";s:9:"frontpage";s:5:"label";s:9:"Frontpage";s:6:"module";s:4:"node";s:11:"description";s:39:"All content promoted to the front page.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"empty";a:3:{s:16:"area_text_custom";a:11:{s:11:"admin_label";s:0:"";s:7:"content";s:43:"No front page content has been created yet.";s:5:"empty";b:1;s:5:"field";s:16:"area_text_custom";s:10:"group_type";s:5:"group";s:2:"id";s:16:"area_text_custom";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:5:"views";s:8:"tokenize";b:0;s:9:"plugin_id";s:11:"text_custom";}s:18:"node_listing_empty";a:10:{s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:5:"field";s:18:"node_listing_empty";s:10:"group_type";s:5:"group";s:2:"id";s:18:"node_listing_empty";s:5:"label";s:0:"";s:12:"relationship";s:4:"none";s:5:"table";s:4:"node";s:9:"plugin_id";s:18:"node_listing_empty";s:11:"entity_type";s:4:"node";}s:5:"title";a:10:{s:2:"id";s:5:"title";s:5:"table";s:5:"views";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:5:"empty";b:1;s:5:"title";s:22:"Welcome to [site:name]";s:9:"plugin_id";s:5:"title";}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:7:"filters";a:3:{s:7:"promote";a:16:{s:11:"admin_label";s:0:"";s:6:"expose";a:10:{s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"operator";s:0:"";s:11:"operator_id";s:0:"";s:8:"remember";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:8:"required";b:0;s:12:"use_operator";b:0;}s:7:"exposed";b:0;s:5:"field";s:7:"promote";s:5:"group";i:1;s:10:"group_info";a:10:{s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"description";s:0:"";s:11:"group_items";a:0:{}s:10:"identifier";s:0:"";s:5:"label";s:0:"";s:8:"multiple";b:0;s:8:"optional";b:1;s:8:"remember";b:0;s:6:"widget";s:6:"select";}s:10:"group_type";s:5:"group";s:2:"id";s:7:"promote";s:10:"is_grouped";b:0;s:8:"operator";s:1:"=";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";}s:6:"status";a:9:{s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"field";s:6:"status";s:5:"group";i:1;s:2:"id";s:6:"status";s:5:"table";s:15:"node_field_data";s:5:"value";s:1:"1";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:11:"admin_label";s:0:"";s:6:"expose";a:1:{s:5:"label";s:0:"";}s:7:"exposed";b:0;s:5:"field";s:6:"sticky";s:10:"group_type";s:5:"group";s:2:"id";s:6:"sticky";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";}s:7:"created";a:13:{s:5:"field";s:7:"created";s:2:"id";s:7:"created";s:5:"order";s:4:"DESC";s:5:"table";s:15:"node_field_data";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"display_plugin";s:7:"default";s:13:"display_title";s:6:"Master";s:2:"id";s:7:"default";s:8:"position";i:0;s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:14:"url.query_args";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"feed_1";a:6:{s:14:"display_plugin";s:4:"feed";s:2:"id";s:6:"feed_1";s:13:"display_title";s:4:"Feed";s:8:"position";i:2;s:15:"display_options";a:7:{s:14:"sitename_title";b:1;s:4:"path";s:7:"rss.xml";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:0:"";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:3:"rss";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:28:"languages:language_interface";i:1;s:21:"user.node_grants:view";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:15:"display_options";a:3:{s:4:"path";s:4:"node";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"display_plugin";s:4:"page";s:13:"display_title";s:4:"Page";s:2:"id";s:6:"page_1";s:8:"position";i:1;s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:14:"url.query_args";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.glossary', 'a:14:{s:4:"uuid";s:36:"270d3f72-cdac-43fa-a81c-017fbc689d17";s:8:"langcode";s:2:"en";s:6:"status";b:0;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:16:"system.menu.main";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"-pCFOVfbt__jaohFffTLnVavh4OBC6CjREAnchiRomQ";}s:2:"id";s:8:"glossary";s:5:"label";s:8:"Glossary";s:6:"module";s:4:"node";s:11:"description";s:23:"All content, by letter.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:1:"8";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:17:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:8:"use_ajax";b:1;s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:6:"fields";a:3:{s:5:"title";a:24:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Title";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:6:"Author";s:12:"relationship";s:3:"uid";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:7:"changed";a:26:{s:2:"id";s:7:"changed";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"changed";s:5:"label";s:11:"Last update";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:4:"long";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"changed";}}s:9:"arguments";a:1:{s:5:"title";a:27:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:14:"default_action";s:7:"default";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:1;s:8:"glossary";b:1;s:5:"limit";i:1;s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";b:0;s:9:"plugin_id";s:6:"string";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:0:"";s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:0:{}s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}}s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:7:"columns";a:3:{s:5:"title";s:5:"title";s:4:"name";s:4:"name";s:7:"changed";s:7:"changed";}s:7:"default";s:5:"title";s:4:"info";a:3:{s:5:"title";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}s:4:"name";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}s:7:"changed";a:2:{s:8:"sortable";b:1;s:9:"separator";s:0:"";}}s:8:"override";b:1;s:6:"sticky";b:0;s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;s:5:"order";s:3:"asc";s:7:"summary";s:0:"";s:11:"empty_table";b:0;}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:12:"attachment_1";a:6:{s:2:"id";s:12:"attachment_1";s:13:"display_title";s:10:"Attachment";s:14:"display_plugin";s:10:"attachment";s:8:"position";i:2;s:15:"display_options";a:7:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:6:"offset";i:0;s:14:"items_per_page";i:0;}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:9:"arguments";a:1:{s:5:"title";a:27:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";b:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:19:"unformatted_summary";}s:15:"summary_options";a:3:{s:14:"items_per_page";i:25;s:6:"inline";b:1;s:9:"separator";s:3:" | ";}s:18:"specify_validation";b:1;s:8:"glossary";b:1;s:5:"limit";i:1;s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";b:0;s:9:"plugin_id";s:6:"string";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:0:"";s:25:"default_argument_skip_url";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";}}s:8:"displays";a:2:{s:7:"default";s:7:"default";s:6:"page_1";s:6:"page_1";}s:17:"inherit_arguments";b:0;s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:8:"glossary";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Glossary";s:6:"weight";i:0;s:9:"menu_name";s:4:"main";s:6:"parent";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_albums', 'a:13:{s:4:"uuid";s:36:"cf2885bd-d542-4d5b-b942-ff848a7437c2";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_alb_body";i:1;s:37:"field.storage.node.field_mt_alb_image";i:2;s:37:"field.storage.node.field_mt_alb_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_album";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:9:"mt_albums";s:5:"label";s:19:"Album - Alternative";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Album in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-albums-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:4;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"title";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:17:"block_description";s:18:"Albums - 4 columns";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Albums";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:5:"title";s:27:"Latest Albums - Alternative";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:2;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"albums-3-col-style-2";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_albums_carousel', 'a:13:{s:4:"uuid";s:36:"d37d19dc-f68c-4241-be24-11a29bb2feaa";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:37:"field.storage.node.field_mt_alb_video";i:2;s:30:"image.style.mt_albums_carousel";i:3;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:18:"mt_albums_carousel";s:5:"label";s:15:"Albums Carousel";s:6:"module";s:5:"views";s:11:"description";s:58:"Displays nodes using the content type Album in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:53:"owl-carousel mt-carousel-container mt-carousel-albums";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:344:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:45:"<h3><a href="{{ path }}">{{ title }}</a></h3>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:343:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-bottom" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_albums_carousel";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"Albums Carousel";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:171:"<div class="text-center">\n<h3 class="bottom-spacing-small mb-0">Our Event Gallery</h3>\n<p class="extra-large mb-5">Picture gallery from previous event meetings.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:33:"view-mt-carousel view-albums-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Albums (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}'),
('', 'views.view.mt_albums_grid_style_2', 'a:13:{s:4:"uuid";s:36:"d3dfca20-e5e4-4ff5-b11b-1e943e44ba2a";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:37:"field.storage.node.field_mt_alb_image";i:1;s:37:"field.storage.node.field_mt_alb_video";i:2;s:17:"image.style.large";i:3;s:18:"node.type.mt_album";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:22:"mt_albums_grid_style_2";s:5:"label";s:6:"Albums";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Album in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-lg-4 col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:31:"row list-unstyled grid-gutter-5";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:19:"link--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:116:"<div class="text-center">\n<div class="views-field-title" ><h5><a href="{{ path }}">{{ title }}</a></h5></div>\n</div>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:347:"<div class="views-field-field-mt-shw-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-inner">\n<a class="overlay-title overlay-animated overlay-fade-top" href="{{ path }}">{{ title }}</a>\n</span>\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:205:"<h2 class="text-center bottom-spacing-small">MY PORTFOLIO</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-albums-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:4;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:8;s:6:"offset";i:0;}}s:8:"defaults";a:7:{s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"title";b:0;}s:17:"block_description";s:33:"Albums - 4 columns (grid style 2)";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"ALL WORKS";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:5:"title";s:13:"Latest Albums";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"albums-3-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:2:{s:5:"pager";b:0;s:6:"header";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"albums-2-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:4:{s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"col-md-6";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:44:"config:field.storage.node.field_mt_alb_image";i:1;s:44:"config:field.storage.node.field_mt_alb_video";}}}}}'),
('', 'views.view.mt_articles', 'a:13:{s:4:"uuid";s:36:"9cf85ab3-64ae-41c6-9022-862e8288b4c3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:17:"node.type.article";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:11:"mt_articles";s:5:"label";s:8:"Articles";s:6:"module";s:5:"views";s:11:"description";s:68:"Displays nodes using the content type Article in a list style layout";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:4;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:9:"row_class";s:4:"mb-5";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"articles";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_articles_carousel', 'a:13:{s:4:"uuid";s:36:"ced7aef0-bf97-449c-9b28-7397fa84fe96";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:17:"image.style.large";i:3;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:20:"mt_articles_carousel";s:5:"label";s:17:"Articles Carousel";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays nodes using the content type Article in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Articles Carousel";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:47:"row d-block view-mt-carousel view-articles-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-articles";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:6:"header";a:0:{}s:17:"block_description";s:28:"Featured Articles (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_articles_grid', 'a:13:{s:4:"uuid";s:36:"f7196d94-40dc-483d-b47e-fd917516e483";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:33:"core.entity_view_mode.node.teaser";i:1;s:23:"field.storage.node.body";i:2;s:30:"field.storage.node.field_image";i:3;s:17:"image.style.large";i:4;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:16:"mt_articles_grid";s:5:"label";s:13:"Articles Grid";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Article in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:6:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:55:"<h3 class="block-title text-center">BLOG NEWS</h3>\n<br>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-articles-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 3 Col";s:8:"position";i:4;s:15:"display_options";a:16:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:12:{s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:9:"css_class";b:0;s:5:"pager";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:17:"block_description";s:25:"Articles - Grid 3 Columns";s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:9:"css_class";s:18:"view-articles-grid";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View More";s:12:"link_display";s:6:"page_2";s:8:"link_url";s:0:"";s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:3;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:3:{s:5:"pager";b:0;s:6:"header";b:0;s:6:"fields";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:4:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:6:"fields";b:0;}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:9:"created_1";a:37:{s:2:"id";s:9:"created_1";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n<span class="article-meta">\n<span class="article-meta__day">{{ created }}</span>\n<span class="article-meta__month-year">{{ created_1 }}</span>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:28:"button button--hover-style-2";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 1 Col";s:8:"position";i:1;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:15:"articles-list-2";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"col-12 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:4:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;s:5:"pager";b:0;}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:5;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_4";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_4";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"articles-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:6:"header";b:0;}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_articles_list', 'a:13:{s:4:"uuid";s:36:"7719875b-c5db-4ef8-b4a1-8158682d76ec";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:17:"image.style.large";i:3;s:17:"node.type.article";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:16:"mt_articles_list";s:5:"label";s:13:"Articles list";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Article in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:246:"<div class="col-md-6">\n<div class="views-field-field-image mb-4 mb-md-0">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-md-6";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"field_image_1";a:35:{s:2:"id";s:13:"field_image_1";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:6:"col-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:48:"<div class="views-field-body">\n{{ body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:54:"<div class="views-field-created">\n{{ created }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"F d, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:302:"<div class="row view-items-list__item">\n{{ field_image }}\n<div class="{{ field_image_1 }}">\n<div class="view-items-list__body">\n{{ created }}\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ body }}\n<div class="views-field-view-node more-link">\n{{ view_node }}\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Articles list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:15:"view-items-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:13:"articles-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}}}'),
('', 'views.view.mt_articles_list_2', 'a:13:{s:4:"uuid";s:36:"3333ba41-494c-4c2d-a967-4b9e89ba665d";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:23:"field.storage.node.body";i:1;s:17:"node.type.article";}s:6:"module";a:3:{i:0;s:4:"node";i:1;s:4:"text";i:2;s:4:"user";}}s:2:"id";s:18:"mt_articles_list_2";s:5:"label";s:17:"Latest Blog Posts";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays the latest entries using the content types Article.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:100;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:1;s:20:"format_plural_string";s:25:"1 comment@count comments";s:6:"prefix";s:2:"- ";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:132:"<div class="post-meta">\n<div class="post-meta-item">{{ created }}</div>\n<div class="post-meta-item">{{ comment_count }}</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:6:"M j, Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Latest Blog Posts";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"More Events";s:8:"link_url";s:9:"/articles";s:12:"link_display";s:10:"custom_url";s:9:"css_class";s:29:"view-articles-list-2 clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:30:"config:field.storage.node.body";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:17:"Latest blog posts";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:30:"config:field.storage.node.body";}}}}}'),
('', 'views.view.mt_benefits', 'a:13:{s:4:"uuid";s:36:"37e58c3f-e1a4-4eca-b4d1-5a31db8f84a4";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_bnf_body";i:1;s:48:"field.storage.node.field_mt_bnf_fontawesome_icon";i:2;s:37:"field.storage.node.field_mt_bnf_image";i:3;s:37:"field.storage.node.field_mt_bnf_video";i:4;s:20:"image.style.mt_icons";i:5;s:20:"node.type.mt_benefit";}s:6:"module";a:6:{i:0;s:11:"fontawesome";i:1;s:5:"image";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:11:"mt_benefits";s:5:"label";s:8:"Benefits";s:6:"module";s:5:"views";s:11:"description";s:46:"Displays nodes using the content type Benefit.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-md-4 col-lg-4 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_bnf_video";a:35:{s:2:"id";s:18:"field_mt_bnf_video";s:5:"table";s:24:"node__field_mt_bnf_video";s:5:"field";s:18:"field_mt_bnf_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:115:"<div class="views-field-field-image">\n<a class="circle-img" href="{{ path }}">\n{{ field_mt_bnf_video }}\n</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_icons";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_bnf_image";a:35:{s:2:"id";s:18:"field_mt_bnf_image";s:5:"table";s:24:"node__field_mt_bnf_image";s:5:"field";s:18:"field_mt_bnf_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:115:"<div class="views-field-field-image">\n<a class="circle-img" href="{{ path }}">\n{{ field_mt_bnf_image }}\n</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_bnf_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_icons";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_bnf_fontawesome_icon";a:35:{s:2:"id";s:29:"field_mt_bnf_fontawesome_icon";s:5:"table";s:35:"node__field_mt_bnf_fontawesome_icon";s:5:"field";s:29:"field_mt_bnf_fontawesome_icon";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:95:"<a class="view-promoted-items-icon" href="{{ path }}">\n{{ field_mt_bnf_fontawesome_icon }}\n</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_bnf_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"icon_name";s:4:"type";s:26:"fontawesome_icon_formatter";s:8:"settings";a:1:{s:6:"layers";i:0;}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:23:"mb-4 font-weight-normal";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_bnf_body";a:35:{s:2:"id";s:17:"field_mt_bnf_body";s:5:"table";s:23:"node__field_mt_bnf_body";s:5:"field";s:17:"field_mt_bnf_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:90;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_benefit";s:10:"mt_benefit";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Benefits";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:9:"css_class";s:30:"view-benefits-grid text-center";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_bnf_body";i:1;s:55:"config:field.storage.node.field_mt_bnf_fontawesome_icon";i:2;s:44:"config:field.storage.node.field_mt_bnf_image";i:3;s:44:"config:field.storage.node.field_mt_bnf_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:6;s:6:"offset";i:0;}}s:8:"defaults";a:3:{s:5:"pager";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_benefit";s:10:"mt_benefit";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_bnf_body";i:1;s:55:"config:field.storage.node.field_mt_bnf_fontawesome_icon";i:2;s:44:"config:field.storage.node.field_mt_bnf_image";i:3;s:44:"config:field.storage.node.field_mt_bnf_video";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:8:"benefits";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_bnf_body";i:1;s:55:"config:field.storage.node.field_mt_bnf_fontawesome_icon";i:2;s:44:"config:field.storage.node.field_mt_bnf_image";i:3;s:44:"config:field.storage.node.field_mt_bnf_video";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_benefits_list', 'a:13:{s:4:"uuid";s:36:"b3eab561-ee96-4979-9d5e-a1599d8ab0e0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:36:"field.storage.node.field_mt_bnf_body";i:1;s:37:"field.storage.node.field_mt_bnf_image";i:2;s:17:"image.style.large";i:3;s:20:"node.type.mt_benefit";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:16:"mt_benefits_list";s:5:"label";s:13:"Benefits List";s:6:"module";s:5:"views";s:11:"description";s:46:"Displays nodes using the content type Benefit.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:4:{s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";b:0;s:22:"default_field_elements";b:1;}}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_bnf_image";a:35:{s:2:"id";s:18:"field_mt_bnf_image";s:5:"table";s:24:"node__field_mt_bnf_image";s:5:"field";s:18:"field_mt_bnf_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:361:"<div class="overlay-container">\n  <span class="overlay overlay--white">\n    <a class="overlay-target-link" href="{{ path }}"></a>\n    <span class="overlay-inner">\n      <a class="button button--black overlay-animated overlay-fade-bottom" href="{{ path }}">Free Trial <i class="fas fa-angle-right"></i></a>\n    </span>\n  </span>\n  {{ field_mt_bnf_image }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h2";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_bnf_body";a:35:{s:2:"id";s:17:"field_mt_bnf_body";s:5:"table";s:23:"node__field_mt_bnf_body";s:5:"field";s:17:"field_mt_bnf_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:10:"Free Trial";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;}s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_benefit";s:10:"mt_benefit";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Benefits List";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-benefits-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_bnf_body";i:1;s:44:"config:field.storage.node.field_mt_bnf_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_bnf_body";i:1;s:44:"config:field.storage.node.field_mt_bnf_image";}}}}}'),
('', 'views.view.mt_brands_carousel', 'a:13:{s:4:"uuid";s:36:"2cc42e40-f4b5-4255-988a-87a04e42901b";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:1;s:21:"image.style.mt_brands";i:2;s:34:"taxonomy.vocabulary.mt_brands_tags";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:18:"mt_brands_carousel";s:5:"label";s:16:"Clients Carousel";s:6:"module";s:5:"views";s:11:"description";s:53:"Displays Clients taxonomy terms in a carousel layout.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:28:"mt-carousel-item text-center";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:53:"owl-carousel mt-carousel-container mt-carousel-brands";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:0:"";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:20:"field_mt_brand_image";a:35:{s:2:"id";s:20:"field_mt_brand_image";s:5:"table";s:35:"taxonomy_term__field_mt_brand_image";s:5:"field";s:20:"field_mt_brand_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:226:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-target-link">\n{{ view_taxonomy_term }}\n</span>\n</span>\n{{ field_mt_brand_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:3:"vid";a:7:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:16:"Clients Carousel";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:41:"view-mt-carousel view-mt-carousel--brands";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:55:"config:field.storage.taxonomy_term.field_mt_brand_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:16:"Clients Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:55:"config:field.storage.taxonomy_term.field_mt_brand_image";}}}}}'),
('', 'views.view.mt_brands_grid', 'a:13:{s:4:"uuid";s:36:"8c87148f-7c0a-45ed-a6b5-af639bccaada";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:48:"field.storage.taxonomy_term.field_mt_brand_image";i:1;s:21:"image.style.mt_brands";i:2;s:34:"taxonomy.vocabulary.mt_brands_tags";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:14:"mt_brands_grid";s:5:"label";s:7:"Clients";s:6:"module";s:5:"views";s:11:"description";s:49:"Displays Clients taxonomy terms in a grid layout.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:12;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:36:"col-xl-2 col-md-3 col-sm-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:3:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:0:"";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:20:"field_mt_brand_image";a:35:{s:2:"id";s:20:"field_mt_brand_image";s:5:"table";s:35:"taxonomy_term__field_mt_brand_image";s:5:"field";s:20:"field_mt_brand_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:226:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<span class="overlay-target-link">\n{{ view_taxonomy_term }}\n</span>\n</span>\n{{ field_mt_brand_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"mt_brands";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:9:"term_name";}}s:7:"filters";a:2:{s:3:"vid";a:7:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:7:"Clients";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:36:"view-promoted-items view-brands-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:55:"config:field.storage.taxonomy_term.field_mt_brand_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:7:"clients";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:55:"config:field.storage.taxonomy_term.field_mt_brand_image";}}}}}'),
('', 'views.view.mt_collections_carousel', 'a:13:{s:4:"uuid";s:36:"383531f5-9915-47d2-99de-57e442f36b18";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:29:"image.style.mt_portrait_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:23:"mt_collections_carousel";s:5:"label";s:27:"Merchandise Groups Carousel";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:28:"mt-carousel-item text-center";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:71:"owl-carousel owl-carousel mt-carousel-container mt-carousel-collections";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:3:"vid";a:7:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:18:"Merchandise Groups";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:63:"view-mt-carousel view-collection-grid view-collections-carousel";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"Explore now";s:8:"link_url";s:14:"product-groups";s:12:"link_display";s:10:"custom_url";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:27:"Merchandise Groups Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}}}'),
('', 'views.view.mt_collections_grid', 'a:13:{s:4:"uuid";s:36:"c0743566-3686-4b50-bd71-f193372fcf38";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:29:"image.style.mt_portrait_image";i:2;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:19:"mt_collections_grid";s:5:"label";s:18:"Merchandise Groups";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-md-6 col-lg-3 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:3:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:9:"term_name";}}s:7:"filters";a:2:{s:3:"vid";a:7:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:18:"Merchandise Groups";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:41:"view-promoted-items view-collections-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:18:"merchandise-groups";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";}}}}}'),
('', 'views.view.mt_collections_masonry', 'a:13:{s:4:"uuid";s:36:"a6d1e9b6-da29-4024-9de3-d90d98107c91";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";i:1;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";i:2;s:30:"image.style.mt_landscape_image";i:3;s:29:"image.style.mt_portrait_image";i:4;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:2:"id";s:22:"mt_collections_masonry";s:5:"label";s:26:"Merchandise Groups Masonry";s:6:"module";s:5:"views";s:11:"description";s:83:"Displays taxonomy terms in Merchandise Groups vocabulary in a masonry style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"masonry-item {{ field_mt_wide_collection_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:18:"view_taxonomy_term";a:26:{s:2:"id";s:18:"view_taxonomy_term";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:18:"view_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:14:"See This Group";s:11:"entity_type";s:13:"taxonomy_term";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_collection_image";a:35:{s:2:"id";s:25:"field_mt_collection_image";s:5:"table";s:40:"taxonomy_term__field_mt_collection_image";s:5:"field";s:25:"field_mt_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:349:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_wide_collection_image";a:35:{s:2:"id";s:30:"field_mt_wide_collection_image";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:354:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--white">\n<span class="overlay-target-link">{{ view_taxonomy_term }}</span>\n<span class="overlay-inner">\n<span class="overlay-animated overlay-fade-bottom">\n{{ view_taxonomy_term }}\n</span>\n</span>\n</span>\n{{ field_mt_wide_collection_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:31:"{{ field_mt_collection_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:32:"field_mt_wide_collection_image_1";a:35:{s:2:"id";s:32:"field_mt_wide_collection_image_1";s:5:"table";s:45:"taxonomy_term__field_mt_wide_collection_image";s:5:"field";s:30:"field_mt_wide_collection_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:3:"vid";a:7:{s:2:"id";s:3:"vid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"vid";s:5:"value";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"vid";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:6:"weight";a:12:{s:2:"id";s:6:"weight";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:6:"weight";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:26:"Merchandise Groups Masonry";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-promoted-items-masonry view-collection-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:26:"Merchandise Groups Masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:26:"merchandise-groups-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:4:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:60:"config:field.storage.taxonomy_term.field_mt_collection_image";i:1;s:65:"config:field.storage.taxonomy_term.field_mt_wide_collection_image";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_events_grid', 'a:13:{s:4:"uuid";s:36:"ff8e957e-2021-4947-b0d2-5fce1c9a2ef3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_evn_body";i:1;s:37:"field.storage.node.field_mt_evn_image";i:2;s:37:"field.storage.node.field_mt_evn_video";i:3;s:17:"image.style.large";i:4;s:18:"node.type.mt_event";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:14:"mt_events_grid";s:5:"label";s:6:"Events";s:6:"module";s:5:"views";s:11:"description";s:67:"Displays nodes using the content type Event in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_evn_video";a:35:{s:2:"id";s:18:"field_mt_evn_video";s:5:"table";s:24:"node__field_mt_evn_video";s:5:"field";s:18:"field_mt_evn_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_evn_image";a:35:{s:2:"id";s:18:"field_mt_evn_image";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:18:"field_mt_evn_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-evn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_evn_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_evn_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_evn_body";a:35:{s:2:"id";s:17:"field_mt_evn_body";s:5:"table";s:23:"node__field_mt_evn_body";s:5:"field";s:17:"field_mt_evn_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_evn_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"mt_event";s:8:"mt_event";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Events";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-events-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"events-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_evn_body";i:1;s:44:"config:field.storage.node.field_mt_evn_image";i:2;s:44:"config:field.storage.node.field_mt_evn_video";}}}}}'),
('', 'views.view.mt_isotope', 'a:13:{s:4:"uuid";s:36:"1863d2bf-fdde-43c8-b9a2-1a9f95099b83";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:20:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:40:"field.storage.node.field_mt_prd_buy_link";i:2;s:37:"field.storage.node.field_mt_prd_image";i:3;s:37:"field.storage.node.field_mt_prd_price";i:4;s:36:"field.storage.node.field_mt_prd_tags";i:5;s:37:"field.storage.node.field_mt_prd_video";i:6;s:36:"field.storage.node.field_mt_alb_body";i:7;s:37:"field.storage.node.field_mt_alb_image";i:8;s:36:"field.storage.node.field_mt_alb_tags";i:9;s:37:"field.storage.node.field_mt_alb_video";i:10;s:36:"field.storage.node.field_mt_srv_body";i:11;s:37:"field.storage.node.field_mt_srv_image";i:12;s:37:"field.storage.node.field_mt_srv_price";i:13;s:44:"field.storage.node.field_mt_srv_service_tags";i:14;s:37:"field.storage.node.field_mt_srv_video";i:15;s:48:"field.storage.paragraph.field_mt_highlight_image";i:16;s:17:"image.style.large";i:17;s:20:"node.type.mt_product";i:18;s:20:"node.type.mt_service";i:19;s:18:"node.type.mt_album";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:10:"mt_isotope";s:5:"label";s:7:"Isotope";s:6:"module";s:5:"views";s:11:"description";s:113:"Displays nodes using the content types Merchandise, Accommodation or Album in a grid layout with Isotope filters.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:7:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item {{ field_mt_alb_tags }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"isotope-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:25:"comment_entity_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:9:"plugin_id";s:7:"numeric";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:3:"M j";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:387:"<div class="views-field-field-image">\n<div class="overlayed-wrapper">\n<a class="overlayed-inner" href="{{ path }}">\n<span class="overlay"><i class="fa fa-link"></i></span>\n{{ field_mt_alb_image }}\n</a>\n<span class="info">\n<span class="date">{{ created }}</span>\n<a href="{{ path }}" class="comments">{{ comment_count }}</a>\n<span class="author">By {{ name }}</span>\n</span>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h2";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:9:"more-link";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:8:"mt_album";s:8:"mt_album";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Albums";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-albums-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:43:"config:field.storage.node.field_mt_alb_tags";}}}s:12:"attachment_1";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_1";s:13:"display_title";s:24:"Albums Isotope (Filters)";s:8:"position";i:2;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_1";s:6:"page_1";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:6:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;}s:6:"fields";a:2:{s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_alb_tags__target_id }}">{{ field_mt_alb_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:37:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_alb_tags";}}}s:12:"attachment_2";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_2";s:13:"display_title";s:32:"Accommodations Isotope (Filters)";s:8:"position";i:4;s:15:"display_options";a:15:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_2";s:6:"page_2";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:10:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:13:"relationships";b:0;}s:6:"fields";a:2:{s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:126:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_srv_service_tags__target_id }}">{{ field_mt_srv_service_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"title";s:14:"Accommodations";s:13:"relationships";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:51:"config:field.storage.node.field_mt_srv_service_tags";}}}s:12:"attachment_3";a:6:{s:14:"display_plugin";s:10:"attachment";s:2:"id";s:12:"attachment_3";s:13:"display_title";s:29:"Merchandise Isotope (Filters)";s:8:"position";i:6;s:15:"display_options";a:15:{s:17:"display_extenders";a:0:{}s:8:"displays";a:1:{s:6:"page_3";s:6:"page_3";}s:19:"display_description";s:0:"";s:9:"css_class";s:0:"";s:8:"defaults";a:10:{s:9:"css_class";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:8:"group_by";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:13:"relationships";b:0;}s:6:"fields";a:2:{s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:110:"<a class="nav-link" href="#" data-filter=".tid-{{ field_mt_prd_tags__target_id }}">{{ field_mt_prd_tags }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:0;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:3:"nid";a:44:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:2:", ";s:13:"format_plural";b:0;s:20:"format_plural_string";s:8:"1@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";N;s:13:"group_columns";N;s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"nav-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:21:"nav nav-pills filters";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:8:"group_by";b:1;s:5:"sorts";a:1:{s:3:"nid";a:12:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"standard";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"title";s:11:"Merchandise";s:13:"relationships";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_prd_tags";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:14:"Albums Isotope";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"albums-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:3:{s:5:"pager";b:0;s:6:"fields";b:0;s:9:"css_class";b:0;}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_alb_video";a:35:{s:2:"id";s:18:"field_mt_alb_video";s:5:"table";s:24:"node__field_mt_alb_video";s:5:"field";s:18:"field_mt_alb_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_alb_image";a:35:{s:2:"id";s:18:"field_mt_alb_image";s:5:"table";s:24:"node__field_mt_alb_image";s:5:"field";s:18:"field_mt_alb_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_alb_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_alb_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_alb_body";a:35:{s:2:"id";s:17:"field_mt_alb_body";s:5:"table";s:23:"node__field_mt_alb_body";s:5:"field";s:17:"field_mt_alb_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:17:"field_mt_alb_tags";a:35:{s:2:"id";s:17:"field_mt_alb_tags";s:5:"table";s:23:"node__field_mt_alb_tags";s:5:"field";s:17:"field_mt_alb_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_alb_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:9:"css_class";s:19:"view-promoted-items";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_alb_body";i:1;s:44:"config:field.storage.node.field_mt_alb_image";i:2;s:43:"config:field.storage.node.field_mt_alb_tags";i:3;s:44:"config:field.storage.node.field_mt_alb_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:22:"Accommodations Isotope";s:8:"position";i:3;s:15:"display_options";a:14:{s:17:"display_extenders";a:0:{}s:4:"path";s:22:"accommodations-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;s:9:"css_class";b:0;}s:5:"title";s:14:"Accommodations";s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}s:25:"field_mt_srv_service_tags";a:35:{s:2:"id";s:25:"field_mt_srv_service_tags";s:5:"table";s:31:"node__field_mt_srv_service_tags";s:5:"field";s:25:"field_mt_srv_service_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:46:"tid-{{ field_mt_srv_service_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:72:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_srv_service_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"isotope-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"css_class";s:19:"view-promoted-items";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:51:"config:field.storage.node.field_mt_srv_service_tags";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:19:"Merchandise Isotope";s:8:"position";i:5;s:15:"display_options";a:14:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-isotope";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:36;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;s:5:"style";b:0;s:3:"row";b:0;s:13:"relationships";b:0;s:9:"css_class";b:0;}s:5:"title";s:11:"Merchandise";s:7:"filters";a:7:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:6:"fields";a:10:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_tags";a:35:{s:2:"id";s:17:"field_mt_prd_tags";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:17:"field_mt_prd_tags";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:38:"tid-{{ field_mt_prd_tags__target_id }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:22:"entity_reference_label";s:8:"settings";a:1:{s:4:"link";b:1;}s:12:"group_column";s:9:"target_id";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:1:" ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:64:"col-lg-4 col-md-6 isotope-item views-row {{ field_mt_prd_tags }}";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"isotope-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"css_class";s:19:"view-promoted-items";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:7:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:43:"config:field.storage.node.field_mt_prd_tags";i:5;s:44:"config:field.storage.node.field_mt_prd_video";i:6;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_latest', 'a:13:{s:4:"uuid";s:36:"98d5b933-bff8-408e-b14b-052e47b51121";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:10:{i:0;s:23:"field.storage.node.body";i:1;s:30:"field.storage.node.field_image";i:2;s:36:"field.storage.node.field_mt_prd_body";i:3;s:37:"field.storage.node.field_mt_prd_image";i:4;s:36:"field.storage.node.field_mt_srv_body";i:5;s:37:"field.storage.node.field_mt_srv_image";i:6;s:18:"image.style.medium";i:7;s:17:"node.type.article";i:8;s:20:"node.type.mt_product";i:9;s:20:"node.type.mt_service";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:9:"mt_latest";s:5:"label";s:12:"Latest Posts";s:6:"module";s:5:"views";s:11:"description";s:90:"Displays the latest entries using the content types Article, Merchandise or Accommodation.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:35:"col-12 col-md-6 col-lg-12 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"article";s:7:"article";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Articles";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:37:"config:field.storage.node.field_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:8:"Articles";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:8:"Articles";s:19:"display_description";s:0:"";s:8:"use_more";b:1;s:8:"defaults";a:7:{s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"pager";b:0;s:6:"fields";b:0;}s:15:"use_more_always";b:0;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:8:"articles";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:17:"node__field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:203:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"created";a:37:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"timestamp";s:8:"settings";a:3:{s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:5:"d M Y";s:8:"timezone";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:37:"config:field.storage.node.field_image";}}}s:7:"block_3";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_3";s:13:"display_title";s:14:"Accommodations";s:8:"position";i:1;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:14:"Accommodations";s:19:"display_description";s:0:"";s:5:"title";s:14:"Accommodations";s:8:"defaults";a:9:{s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"services-3-col";s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";}}}s:7:"block_4";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_4";s:13:"display_title";s:11:"Merchandise";s:8:"position";i:1;s:15:"display_options";a:13:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:11:"Merchandise";s:19:"display_description";s:0:"";s:5:"title";s:11:"Merchandise";s:8:"defaults";a:9:{s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:6:"fields";b:0;}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View All";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:14:"products-3-col";s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:214:"<div class="views-field-field-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:120;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:14:"link--bordered";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";}}}}}'),
('', 'views.view.mt_other_speakers_carousel', 'a:13:{s:4:"uuid";s:36:"3ed24100-48e6-4fa3-a088-32c8e136d364";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:2;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:3;s:40:"field.storage.node.field_mt_spk_subtitle";i:4;s:47:"field.storage.node.field_mt_spk_twitter_account";i:5;s:47:"field.storage.node.field_mt_spk_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:26:"mt_other_speakers_carousel";s:5:"label";s:23:"Other Speakers Carousel";s:6:"module";s:5:"views";s:11:"description";s:37:"Displays speaker nodes in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:1:{s:6:"random";a:10:{s:2:"id";s:6:"random";s:5:"table";s:5:"views";s:5:"field";s:6:"random";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:6:"random";}}s:5:"title";s:14:"Other Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:25:"Other Speakers - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:0;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_popular_tags', 'a:13:{s:4:"uuid";s:36:"515bdceb-9bf5-4ab2-818d-0325823fff04";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"taxonomy";i:1;s:4:"user";}}s:2:"id";s:15:"mt_popular_tags";s:5:"label";s:12:"Popular Tags";s:6:"module";s:5:"views";s:11:"description";s:41:"Displays the most popular taxonomy terms.";s:3:"tag";s:0:"";s:10:"base_table";s:24:"taxonomy_term_field_data";s:10:"base_field";s:3:"tid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:4:"name";a:38:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:9:"term_name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:14:"convert_spaces";b:0;}s:3:"tid";a:37:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:14:"number_integer";s:8:"settings";a:2:{s:18:"thousand_separator";s:0:"";s:13:"prefix_suffix";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:2:{s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:10:"langcode_1";a:16:{s:2:"id";s:10:"langcode_1";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:3:"tid";a:12:{s:2:"id";s:3:"tid";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"count";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:3:"tid";s:9:"plugin_id";s:8:"standard";}s:4:"name";a:12:{s:2:"id";s:4:"name";s:5:"table";s:24:"taxonomy_term_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:13:"taxonomy_term";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:12:"Popular Tags";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:8:"group_by";b:1;s:9:"css_class";s:21:"view-popular-taxonomy";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:12:"Popular tags";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_presentations_grid', 'a:13:{s:4:"uuid";s:36:"95cff3e3-a514-441a-b409-619a7a0c1af8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:5:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:37:"field.storage.node.field_mt_prs_video";i:3;s:17:"image.style.large";i:4;s:25:"node.type.mt_presentation";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:21:"mt_presentations_grid";s:5:"label";s:13:"Presentations";s:6:"module";s:5:"views";s:11:"description";s:74:"Displays nodes using the content type Presentation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_video";a:35:{s:2:"id";s:18:"field_mt_prs_video";s:5:"table";s:24:"node__field_mt_prs_video";s:5:"field";s:18:"field_mt_prs_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prs_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"Presentations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:23:"view-presentations-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"presentations-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"presentations-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";i:2;s:44:"config:field.storage.node.field_mt_prs_video";}}}}}'),
('', 'views.view.mt_pricing_tables', 'a:13:{s:4:"uuid";s:36:"2e765768-4002-4387-9642-46b292adb731";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";i:1;s:37:"field.storage.node.field_mt_prd_price";i:2;s:50:"field.storage.node.field_mt_prd_pricing_table_item";i:3;s:20:"node.type.mt_product";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:17:"mt_pricing_tables";s:5:"label";s:14:"Pricing Tables";s:6:"module";s:5:"views";s:11:"description";s:82:"Displays nodes using the content type Merchandise in a Pricing table style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-4 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_prd_most_popular";a:35:{s:2:"id";s:25:"field_mt_prd_most_popular";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:90:"<div class="views-field-field-mt-prd-most-popular">\n{{ field_mt_prd_most_popular }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"default";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:27:"field_mt_prd_most_popular_1";a:35:{s:2:"id";s:27:"field_mt_prd_most_popular_1";s:5:"table";s:31:"node__field_mt_prd_most_popular";s:5:"field";s:25:"field_mt_prd_most_popular";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:12:"most-popular";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:1;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:7:"boolean";s:18:"format_custom_true";s:0:"";s:19:"format_custom_false";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:31:"field_mt_prd_pricing_table_item";a:35:{s:2:"id";s:31:"field_mt_prd_pricing_table_item";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:31:"field_mt_prd_pricing_table_item";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:73:"<div class="views-field-item">{{ field_mt_prd_pricing_table_item }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:2:"ul";s:9:"separator";s:0:"";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:400:"<div class="pricing-table">\n<div class="pricing-table-header">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_most_popular }}\n{{ field_mt_prd_price }}\n</div>\n<div class="pricing-table-body">\n{{ field_mt_prd_pricing_table_item }}\n</div>\n<div class="pricing-table-footer">\n<a href="{{ path }}" class="button">{{"Buy Now"|t}} <i class="ml-2 fas fa-angle-right"></i></a>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:5:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:37:"field_mt_prd_pricing_table_item_value";a:14:{s:2:"id";s:37:"field_mt_prd_pricing_table_item_value";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:37:"field_mt_prd_pricing_table_item_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:6:"string";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:37:"node__field_mt_prd_pricing_table_item";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"1";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:16:"Choose an option";s:6:"header";a:0:{}s:6:"footer";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:181:"<p>Questions? Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut <a href="#" class="link--bordered">labore et dolore magna aliqua</a>.</p>";s:6:"format";s:8:"raw_html";}s:9:"plugin_id";s:4:"text";}}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:19:"view-pricing-tables";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:17:"Block - 3 columns";s:8:"position";i:3;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:1:{s:5:"title";b:1;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 3 Columns";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:17:"Block - 2 columns";s:8:"position";i:4;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:5:"title";s:16:"Choose an option";s:8:"defaults";a:4:{s:5:"title";b:0;s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 2 Columns";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:52:"col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:7:"block_3";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_3";s:13:"display_title";s:17:"Block - 4 columns";s:8:"position";i:2;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:5:"title";s:16:"Choose an option";s:8:"defaults";a:4:{s:5:"title";b:0;s:5:"pager";b:0;s:5:"style";b:0;s:3:"row";b:0;}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"Pricing Tables - 4 Columns";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:61:"col-lg-3 col-md-6 {{ field_mt_prd_most_popular_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:5:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"pricing-tables";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:6:"header";a:0:{}s:8:"defaults";a:1:{s:6:"header";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:3:{i:0;s:51:"config:field.storage.node.field_mt_prd_most_popular";i:1;s:44:"config:field.storage.node.field_mt_prd_price";i:2;s:57:"config:field.storage.node.field_mt_prd_pricing_table_item";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_products', 'a:13:{s:4:"uuid";s:36:"1a694062-9fb4-48e0-aaab-fe191fa5fa92";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:9:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:48:"field.storage.paragraph.field_mt_highlight_image";i:5;s:17:"image.style.large";i:6;s:20:"node.type.mt_product";i:7;s:34:"taxonomy.vocabulary.mt_collections";i:8;s:24:"taxonomy.vocabulary.tags";}s:6:"module";a:8:{i:0;s:22:"better_exposed_filters";i:1;s:5:"image";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:8:"taxonomy";i:5;s:4:"text";i:6;s:4:"user";i:7;s:17:"video_embed_field";}}s:2:"id";s:11:"mt_products";s:5:"label";s:11:"Merchandise";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Merchandise in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:5:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:1;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:3:"bef";s:7:"options";a:11:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";s:14:"input_required";b:0;s:19:"text_input_required";s:51:"Select any filter and click on Apply to see results";s:3:"bef";a:5:{s:7:"general";a:4:{s:15:"allow_secondary";b:0;s:15:"secondary_label";s:16:"Advanced options";s:10:"autosubmit";b:0;s:15:"autosubmit_hide";b:0;}s:30:"field_mt_collections_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:33:"field_mt_prd_categories_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:20:"field_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}s:27:"field_mt_prd_tags_target_id";a:2:{s:10:"bef_format";s:3:"bef";s:12:"more_options";a:4:{s:19:"bef_select_all_none";b:1;s:15:"bef_collapsible";b:0;s:12:"is_secondary";b:0;s:7:"rewrite";a:1:{s:21:"filter_rewrite_values";s:0:"";}}}}s:26:"text_input_required_format";s:10:"basic_html";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:210:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:9:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:33:"field_mt_prd_categories_target_id";a:20:{s:2:"id";s:33:"field_mt_prd_categories_target_id";s:5:"table";s:29:"node__field_mt_prd_categories";s:5:"field";s:33:"field_mt_prd_categories_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:36:"field_mt_prd_categories_target_id_op";s:5:"label";s:13:"Product Group";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:36:"field_mt_prd_categories_target_id_op";s:10:"identifier";s:33:"field_mt_prd_categories_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:14:"mt_collections";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:27:"field_mt_prd_tags_target_id";a:20:{s:2:"id";s:27:"field_mt_prd_tags_target_id";s:5:"table";s:23:"node__field_mt_prd_tags";s:5:"field";s:27:"field_mt_prd_tags_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:30:"field_mt_prd_tags_target_id_op";s:5:"label";s:4:"Tags";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:30:"field_mt_prd_tags_target_id_op";s:10:"identifier";s:27:"field_mt_prd_tags_target_id";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:4:"type";s:6:"select";s:5:"limit";b:1;s:3:"vid";s:4:"tags";s:9:"hierarchy";b:0;s:13:"error_message";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:11:"Merchandise";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-products-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:12:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:21:"col-lg-4 col-md-6 row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:7:{s:5:"style";b:0;s:3:"row";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:12:"exposed_form";b:0;s:6:"header";b:0;s:5:"pager";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:13:"exposed_block";b:1;s:7:"filters";a:8:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:12:"Content type";s:11:"description";N;s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:7:"delta_4";a:14:{s:2:"id";s:7:"delta_4";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_5";a:14:{s:2:"id";s:7:"delta_5";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:17:"block_description";s:22:"Merchandise Grid 3 Col";s:6:"header";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:200:"<h2 class="text-center bottom-spacing-small">MY SHOP</h2>\n<div class="bottom-spacing-large">\n<p class="text-center">These are my latest works all related to the thing I know how to do best.</p>\n</div>";s:6:"format";s:9:"full_html";}s:9:"plugin_id";s:4:"text";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"4, 8, 16, 40";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:3:{s:5:"style";b:0;s:3:"row";b:0;s:5:"pager";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:1;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:12:"3, 6, 12, 30";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:8:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"merchandise-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-6 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}s:13:"exposed_block";b:1;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}'),
('', 'views.view.mt_products_carousel', 'a:13:{s:4:"uuid";s:36:"da726044-b2b9-47d9-b150-9cc817dea024";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:28:"image.style.mt_product_image";i:5;s:20:"node.type.mt_product";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:20:"mt_products_carousel";s:5:"label";s:20:"Merchandise Carousel";s:6:"module";s:5:"views";s:11:"description";s:64:"Displays nodes using the content type Merchandise in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-products";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:20:"Merchandise Carousel";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:35:"view-mt-carousel view-products-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:31:"Featured Merchandise (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_products_list', 'a:13:{s:4:"uuid";s:36:"6a9fc952-231b-474d-bb39-9534be670686";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_prd_body";i:1;s:40:"field.storage.node.field_mt_prd_buy_link";i:2;s:37:"field.storage.node.field_mt_prd_image";i:3;s:37:"field.storage.node.field_mt_prd_price";i:4;s:37:"field.storage.node.field_mt_prd_video";i:5;s:48:"field.storage.paragraph.field_mt_highlight_image";i:6;s:17:"image.style.large";i:7;s:20:"node.type.mt_product";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:16:"mt_products_list";s:5:"label";s:16:"Merchandise list";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Merchandise in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_video_1";a:35:{s:2:"id";s:20:"field_mt_prd_video_1";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-md-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_prd_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:26:"{{ field_mt_prd_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-md-6">\n<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_prd_image_1";a:35:{s:2:"id";s:20:"field_mt_prd_image_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-md-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-prd-price">\n{{ field_mt_prd_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_prd_body";a:35:{s:2:"id";s:17:"field_mt_prd_body";s:5:"table";s:23:"node__field_mt_prd_body";s:5:"field";s:17:"field_mt_prd_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-prd-body">\n{{ field_mt_prd_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:250;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:457:"<div class="row view-items-list__item">\n{{ field_mt_prd_image }}\n<div class="{{ field_mt_prd_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n{{ title }}\n</div>\n{{ field_mt_prd_price }}\n{{ field_mt_prd_body }}\n<div class="views-field views-field-link">\n<a class="button button--hover-style-2" target="_blank" href="{{ field_mt_prd_buy_link }}"><i class="fas fa-shopping-cart"></i> {{"Cart"|t}}</a>\n</div>\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:16:"Merchandise list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_prd_highlight";a:8:{s:2:"id";s:22:"field_mt_prd_highlight";s:5:"table";s:28:"node__field_mt_prd_highlight";s:5:"field";s:22:"field_mt_prd_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_prd_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-products-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:16:"Merchandise list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:16:"merchandise-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_prd_body";i:1;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:2;s:44:"config:field.storage.node.field_mt_prd_image";i:3;s:44:"config:field.storage.node.field_mt_prd_price";i:4;s:44:"config:field.storage.node.field_mt_prd_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}'),
('', 'views.view.mt_products_masonry', 'a:13:{s:4:"uuid";s:36:"8b8e5386-9cad-44e4-a76b-94ccf3700451";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:47:"field.storage.node.field_mt_prd_landscape_image";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:30:"image.style.mt_landscape_image";i:5;s:29:"image.style.mt_portrait_image";i:6;s:20:"node.type.mt_product";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"user";i:4;s:17:"video_embed_field";}}s:2:"id";s:19:"mt_products_masonry";s:5:"label";s:19:"Merchandise Masonry";s:6:"module";s:5:"views";s:11:"description";s:76:"Displays nodes using the content type Merchandise in a masonry style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:59:"masonry-item {{ field_mt_prd_landscape_image_1 }} views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:17:"masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:7:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:17:"mt_portrait_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_prd_landscape_image";a:35:{s:2:"id";s:28:"field_mt_prd_landscape_image";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:227:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_landscape_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_landscape_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_prd_landscape_image_1";a:35:{s:2:"id";s:30:"field_mt_prd_landscape_image_1";s:5:"table";s:34:"node__field_mt_prd_landscape_image";s:5:"field";s:28:"field_mt_prd_landscape_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:18:"col-lg-8 col-md-12";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:17:"col-lg-4 col-md-6";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h4";s:13:"element_class";s:26:"link--bordered text-center";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_product";s:10:"mt_product";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:11:"Merchandise";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:27:"view-promoted-items-masonry";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:2:{i:1;s:3:"AND";i:2;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:19:"Merchandise Masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"merchandise-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:54:"config:field.storage.node.field_mt_prd_landscape_image";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_recent_comments', 'a:13:{s:4:"uuid";s:36:"791c109f-83d0-43d6-a6da-f7c06d877cde";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:3:{i:0;s:7:"comment";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:18:"mt_recent_comments";s:5:"label";s:15:"Recent Comments";s:6:"module";s:5:"views";s:11:"description";s:16:"Recent comments.";s:3:"tag";s:0:"";s:10:"base_table";s:18:"comment_field_data";s:10:"base_field";s:3:"cid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:15:"access comments";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:13:"relationships";a:2:{s:4:"node";a:9:{s:2:"id";s:4:"node";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"node";s:11:"entity_type";s:18:"comment_field_data";s:8:"required";b:1;s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:7:"Content";}s:3:"uid";a:10:{s:2:"id";s:3:"uid";s:5:"table";s:18:"comment_field_data";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:6:"author";s:8:"required";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:3:"uid";s:9:"plugin_id";s:8:"standard";}}s:6:"fields";a:2:{s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:18:"comment_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:21:"{{ name }} {{"on"|t}}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:16:"comment_username";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:7:"subject";a:37:{s:2:"id";s:7:"subject";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"subject";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"subject";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:9:"plugin_id";s:5:"field";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:18:"comment_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;}s:11:"status_node";a:10:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:12:"relationship";s:4:"node";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:11:"status_node";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:18:"comment_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:18:"comment_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:7:"comment";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"Recent Comments";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"mt-recent-comments";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"Recent Comments";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_related_nodes_carousel', 'a:13:{s:4:"uuid";s:36:"e43e23d7-6386-4559-bd00-e8da8b68d1a8";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";i:1;s:37:"field.storage.node.field_mt_prd_image";i:2;s:37:"field.storage.node.field_mt_prd_price";i:3;s:37:"field.storage.node.field_mt_prd_video";i:4;s:28:"image.style.mt_product_image";i:5;s:34:"taxonomy.vocabulary.mt_collections";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:8:"taxonomy";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:25:"mt_related_nodes_carousel";s:5:"label";s:13:"Related Nodes";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:60:"owl-carousel mt-carousel-container mt-carousel-related-nodes";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:21:"field_mt_prd_buy_link";a:35:{s:2:"id";s:21:"field_mt_prd_buy_link";s:5:"table";s:27:"node__field_mt_prd_buy_link";s:5:"field";s:21:"field_mt_prd_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prd_video";a:35:{s:2:"id";s:18:"field_mt_prd_video";s:5:"table";s:24:"node__field_mt_prd_video";s:5:"field";s:18:"field_mt_prd_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_image";a:35:{s:2:"id";s:18:"field_mt_prd_image";s:5:"table";s:24:"node__field_mt_prd_image";s:5:"field";s:18:"field_mt_prd_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prd-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prd_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_prd_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"mt_product_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:18:"field_mt_prd_price";a:35:{s:2:"id";s:18:"field_mt_prd_price";s:5:"table";s:24:"node__field_mt_prd_price";s:5:"field";s:18:"field_mt_prd_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Products Carousel";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:35:"view-mt-carousel view-products-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:24:"Related Nodes (Carousel)";s:16:"block_hide_empty";b:0;}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:47:"config:field.storage.node.field_mt_prd_buy_link";i:1;s:44:"config:field.storage.node.field_mt_prd_image";i:2;s:44:"config:field.storage.node.field_mt_prd_price";i:3;s:44:"config:field.storage.node.field_mt_prd_video";}}}}}'),
('', 'views.view.mt_related_presentations', 'a:13:{s:4:"uuid";s:36:"873ed9cd-f989-41fd-8467-e2529f0d8384";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:18:"image.style.medium";i:3;s:29:"taxonomy.vocabulary.mt_topics";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:24:"mt_related_presentations";s:5:"label";s:29:"Related Presentations (Topic)";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:13:"In this topic";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:13:"In this topic";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}}}'),
('', 'views.view.mt_related_presentations_2', 'a:13:{s:4:"uuid";s:36:"8a0b25cb-351d-4d58-8a4b-959fa7fa4bf7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:36:"field.storage.node.field_mt_prs_body";i:1;s:37:"field.storage.node.field_mt_prs_image";i:2;s:18:"image.style.medium";i:3;s:30:"taxonomy.vocabulary.mt_session";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:8:"taxonomy";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:26:"mt_related_presentations_2";s:5:"label";s:31:"Related Presentations (Session)";s:6:"module";s:5:"views";s:11:"description";s:0:"";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:4;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_prs_image";a:35:{s:2:"id";s:18:"field_mt_prs_image";s:5:"table";s:24:"node__field_mt_prs_image";s:5:"field";s:18:"field_mt_prs_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-prs-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_prs_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:35:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}s:17:"field_mt_prs_body";a:35:{s:2:"id";s:17:"field_mt_prs_body";s:5:"table";s:23:"node__field_mt_prs_body";s:5:"field";s:17:"field_mt_prs_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:65;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:100;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:15:"In this session";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:2:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";b:1;s:5:"limit";b:1;s:4:"vids";a:1:{s:10:"mt_session";s:10:"mt_session";}s:6:"anyall";s:1:"+";s:9:"term_page";s:1:"0";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:1;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:1;s:9:"plugin_id";s:18:"taxonomy_index_tid";}s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:26:"view-latest-items clearfix";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:15:"In this session";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:43:"config:field.storage.node.field_mt_prs_body";i:1;s:44:"config:field.storage.node.field_mt_prs_image";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_services', 'a:13:{s:4:"uuid";s:36:"a70c2300-cbdd-4a31-a743-d251a1f01b8f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:37:"field.storage.node.field_mt_srv_image";i:2;s:37:"field.storage.node.field_mt_srv_price";i:3;s:37:"field.storage.node.field_mt_srv_video";i:4;s:48:"field.storage.paragraph.field_mt_highlight_image";i:5;s:17:"image.style.large";i:6;s:20:"node.type.mt_service";}s:6:"module";a:6:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:10:"paragraphs";i:3;s:4:"text";i:4;s:4:"user";i:5;s:17:"video_embed_field";}}s:2:"id";s:11:"mt_services";s:5:"label";s:14:"Accommodations";s:6:"module";s:5:"views";s:11:"description";s:75:"Displays nodes using the content type Accommodation in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:223:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:217:"<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:200;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:7:{s:4:"type";a:8:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:14:"Accommodations";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-services-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:12:"Page - 4 Col";s:8:"position";i:1;s:15:"display_options";a:6:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-4-col";s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:8;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_3";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_3";s:13:"display_title";s:12:"Page - 2 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"accommodations-2-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"col-12 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:44:"config:field.storage.node.field_mt_srv_image";i:2;s:44:"config:field.storage.node.field_mt_srv_price";i:3;s:44:"config:field.storage.node.field_mt_srv_video";i:4;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}'),
('', 'views.view.mt_services_list', 'a:13:{s:4:"uuid";s:36:"69f594c3-c866-4760-a316-6f4ebd53c2c1";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:36:"field.storage.node.field_mt_srv_body";i:1;s:40:"field.storage.node.field_mt_srv_buy_link";i:2;s:37:"field.storage.node.field_mt_srv_image";i:3;s:37:"field.storage.node.field_mt_srv_price";i:4;s:37:"field.storage.node.field_mt_srv_video";i:5;s:48:"field.storage.paragraph.field_mt_highlight_image";i:6;s:17:"image.style.large";i:7;s:20:"node.type.mt_service";}s:6:"module";a:7:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:10:"paragraphs";i:4;s:4:"text";i:5;s:4:"user";i:6;s:17:"video_embed_field";}}s:2:"id";s:16:"mt_services_list";s:5:"label";s:19:"Accommodations list";s:6:"module";s:5:"views";s:11:"description";s:75:"Displays nodes using the content type Accommodation in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:34:"view-promoted-items-list--bordered";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:12:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_srv_buy_link";a:35:{s:2:"id";s:21:"field_mt_srv_buy_link";s:5:"table";s:27:"node__field_mt_srv_buy_link";s:5:"field";s:21:"field_mt_srv_buy_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:1;s:9:"url_plain";b:1;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:18:"field_mt_srv_video";a:35:{s:2:"id";s:18:"field_mt_srv_video";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_video }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_video_1";a:35:{s:2:"id";s:20:"field_mt_srv_video_1";s:5:"table";s:24:"node__field_mt_srv_video";s:5:"field";s:18:"field_mt_srv_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:9:"col-sm-12";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:24:"field_mt_highlight_image";a:35:{s:2:"id";s:24:"field_mt_highlight_image";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:253:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_highlight_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:24:"{{ field_mt_srv_video }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_highlight_image_1";a:35:{s:2:"id";s:26:"field_mt_highlight_image_1";s:5:"table";s:35:"paragraph__field_mt_highlight_image";s:5:"field";s:24:"field_mt_highlight_image";s:12:"relationship";s:22:"field_mt_srv_highlight";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:26:"{{ field_mt_srv_video_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_image";a:35:{s:2:"id";s:18:"field_mt_srv_image";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:247:"<div class="col-sm-6">\n<div class="views-field-field-mt-srv-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_srv_image }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:8:"col-sm-6";s:23:"element_default_classes";b:1;s:5:"empty";s:30:"{{ field_mt_highlight_image }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:20:"field_mt_srv_image_1";a:35:{s:2:"id";s:20:"field_mt_srv_image_1";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:18:"field_mt_srv_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:8:"col-sm-6";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:32:"{{ field_mt_highlight_image_1 }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:18:"field_mt_srv_price";a:35:{s:2:"id";s:18:"field_mt_srv_price";s:5:"table";s:24:"node__field_mt_srv_price";s:5:"field";s:18:"field_mt_srv_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:76:"<div class="views-field-field-mt-srv-price">\n{{ field_mt_srv_price }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_srv_body";a:35:{s:2:"id";s:17:"field_mt_srv_body";s:5:"table";s:23:"node__field_mt_srv_body";s:5:"field";s:17:"field_mt_srv_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:74:"<div class="views-field-field-mt-srv-body">\n{{ field_mt_srv_body }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:271:"<div class="row view-items-list__item">\n{{ field_mt_srv_image }}\n<div class="{{ field_mt_srv_image_1 }}">\n<div class="view-items-list__body">\n<div class="views-field-title">\n<h5>{{ title }}</h5>\n</div>\n{{ field_mt_srv_body }}\n{{ field_mt_srv_price }}\n</div>\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:7:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_service";s:10:"mt_service";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:7:"delta_3";a:14:{s:2:"id";s:7:"delta_3";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:24:"node__field_mt_srv_image";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:2;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:7:"delta_1";a:14:{s:2:"id";s:7:"delta_1";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:5:"empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:3;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:19:"Accommodations list";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:1:{s:22:"field_mt_srv_highlight";a:8:{s:2:"id";s:22:"field_mt_srv_highlight";s:5:"table";s:28:"node__field_mt_srv_highlight";s:5:"field";s:22:"field_mt_srv_highlight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:33:"field_mt_srv_highlight: Paragraph";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:15:"view-items-list";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:7;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:8:"quantity";i:9;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"accommodations-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:43:"config:field.storage.node.field_mt_srv_body";i:1;s:47:"config:field.storage.node.field_mt_srv_buy_link";i:2;s:44:"config:field.storage.node.field_mt_srv_image";i:3;s:44:"config:field.storage.node.field_mt_srv_price";i:4;s:44:"config:field.storage.node.field_mt_srv_video";i:5;s:55:"config:field.storage.paragraph.field_mt_highlight_image";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_slideshow_boxed_width', 'a:13:{s:4:"uuid";s:36:"5ca27d09-d628-4c0c-9600-def9bd221576";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";i:2;s:30:"image.style.mt_slideshow_boxed";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:24:"mt_slideshow_boxed_width";s:5:"label";s:21:"Slideshow Boxed Width";s:6:"module";s:5:"views";s:11:"description";s:47:"Drives the Boxed Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:18:"mt_slideshow_boxed";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}'),
('', 'views.view.mt_slideshow_full_screen', 'a:13:{s:4:"uuid";s:36:"2f805a0e-eead-455b-bf58-8852025453af";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";i:2;s:35:"image.style.mt_slideshow_fullscreen";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:24:"mt_slideshow_full_screen";s:5:"label";s:21:"Slideshow Full Screen";s:6:"module";s:5:"views";s:11:"description";s:53:"Drives the Full Screen Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:23:"mt_slideshow_fullscreen";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:17:"view-mt-slideshow";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}'),
('', 'views.view.mt_slideshow_full_width', 'a:13:{s:4:"uuid";s:36:"959234a5-a6e8-4d3e-b740-64f30e95bfab";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:2:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";i:1;s:42:"field.storage.node.field_mt_slideshow_text";}s:6:"module";a:4:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"text";i:3;s:4:"user";}}s:2:"id";s:23:"mt_slideshow_full_width";s:5:"label";s:20:"Slideshow Full Width";s:6:"module";s:5:"views";s:11:"description";s:52:"Drives the Full Width Slideshow on designated pages.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:2:{s:14:"items_per_page";N;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:5:{s:24:"field_mt_slideshow_image";a:35:{s:2:"id";s:24:"field_mt_slideshow_image";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:24:"field_mt_slideshow_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:23:"field_mt_slideshow_text";a:35:{s:2:"id";s:23:"field_mt_slideshow_text";s:5:"table";s:29:"node__field_mt_slideshow_text";s:5:"field";s:23:"field_mt_slideshow_text";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:65:"<div class="tp-caption__text">{{ field_mt_slideshow_text }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:215:"<div class="tp-caption__title"><a href="{{ path }}">{{ title }}</a></div>\n{{ field_mt_slideshow_text }}\n<div class="tp-caption__buttons-container">\n<a class="button" href="{{ path }}">{{"View Details"|t}}</a>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:24:"field_mt_slideshow_value";a:14:{s:2:"id";s:24:"field_mt_slideshow_value";s:5:"table";s:24:"node__field_mt_slideshow";s:5:"field";s:24:"field_mt_slideshow_value";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}s:34:"field_mt_slideshow_image_target_id";a:14:{s:2:"id";s:34:"field_mt_slideshow_image_target_id";s:5:"table";s:30:"node__field_mt_slideshow_image";s:5:"field";s:34:"field_mt_slideshow_image_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:0:"";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:17:"view-mt-slideshow";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:1:{s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:50:"config:field.storage.node.field_mt_slideshow_image";i:1;s:49:"config:field.storage.node.field_mt_slideshow_text";}}}}}'),
('', 'views.view.mt_speakers_carousel', 'a:13:{s:4:"uuid";s:36:"ffbd0fee-8045-43f4-9bd1-37e36d4942b7";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";i:1;s:48:"field.storage.node.field_mt_spk_linkedin_account";i:2;s:45:"field.storage.node.field_mt_spk_speaker_photo";i:3;s:40:"field.storage.node.field_mt_spk_subtitle";i:4;s:47:"field.storage.node.field_mt_spk_twitter_account";i:5;s:47:"field.storage.node.field_mt_spk_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:20:"node.type.mt_speaker";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_speakers_carousel";s:5:"label";s:17:"Speakers Carousel";s:6:"module";s:5:"views";s:11:"description";s:37:"Displays speaker nodes in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-speakers";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_spk_facebook_account";a:35:{s:2:"id";s:29:"field_mt_spk_facebook_account";s:5:"table";s:35:"node__field_mt_spk_facebook_account";s:5:"field";s:29:"field_mt_spk_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_twitter_account";a:35:{s:2:"id";s:28:"field_mt_spk_twitter_account";s:5:"table";s:34:"node__field_mt_spk_twitter_account";s:5:"field";s:28:"field_mt_spk_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_spk_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_spk_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_spk_linkedin_account";s:5:"table";s:35:"node__field_mt_spk_linkedin_account";s:5:"field";s:29:"field_mt_spk_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_spk_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_spk_youtube_account";a:35:{s:2:"id";s:28:"field_mt_spk_youtube_account";s:5:"table";s:34:"node__field_mt_spk_youtube_account";s:5:"field";s:28:"field_mt_spk_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_spk_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:26:"field_mt_spk_speaker_photo";a:35:{s:2:"id";s:26:"field_mt_spk_speaker_photo";s:5:"table";s:32:"node__field_mt_spk_speaker_photo";s:5:"field";s:26:"field_mt_spk_speaker_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:499:"<div class="views-field-field-mt-spk-speaker-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n{{ field_mt_spk_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_spk_speaker_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:356:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>\n<div class="views-field-field-mt-spk-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_spk_twitter_account }}\n{{ field_mt_spk_facebook_account }}\n{{ field_mt_spk_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:21:"field_mt_spk_subtitle";a:35:{s:2:"id";s:21:"field_mt_spk_subtitle";s:5:"table";s:27:"node__field_mt_spk_subtitle";s:5:"field";s:21:"field_mt_spk_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-spk-subtitle">{{ field_mt_spk_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_spk_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Speakers";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:51:"view-mt-carousel view-speakers-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:19:"Speakers - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_spk_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_spk_linkedin_account";i:2;s:52:"config:field.storage.node.field_mt_spk_speaker_photo";i:3;s:47:"config:field.storage.node.field_mt_spk_subtitle";i:4;s:54:"config:field.storage.node.field_mt_spk_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_spk_youtube_account";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_sponsors_carousel', 'a:13:{s:4:"uuid";s:36:"a9b14826-5731-4f6c-adb5-dba760a5e114";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:20:"image.style.mt_logos";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_sponsors_carousel";s:5:"label";s:17:"Sponsors Carousel";s:6:"module";s:5:"views";s:11:"description";s:60:"Displays nodes using the content type Sponsor in a carousel.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:0;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:55:"owl-carousel mt-carousel-container mt-carousel-sponsors";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:2:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-logo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>\n";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:8:"mt_logos";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:5:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}s:27:"field_mt_spn_logo_target_id";a:14:{s:2:"id";s:27:"field_mt_spn_logo_target_id";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:27:"field_mt_spn_logo_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:9:"not empty";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:0:"";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:43:"view-mt-carousel view-mt-carousel--sponsors";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:17:"block_description";s:19:"Sponsors (Carousel)";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}'),
('', 'views.view.mt_sponsors_grid', 'a:13:{s:4:"uuid";s:36:"99ca7dbc-19a1-4774-8d20-5b6c294521a0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:3:{i:0;s:36:"field.storage.node.field_mt_spn_logo";i:1;s:17:"image.style.large";i:2;s:20:"node.type.mt_sponsor";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:16:"mt_sponsors_grid";s:5:"label";s:8:"Sponsors";s:6:"module";s:5:"views";s:11:"description";s:69:"Displays nodes using the content type Sponsor in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-3 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:17:"field_mt_spn_logo";a:35:{s:2:"id";s:17:"field_mt_spn_logo";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:17:"field_mt_spn_logo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:216:"<div class="views-field-field-mt-spn-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_spn_logo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:1;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"Read More";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:4:{s:7:"delta_2";a:14:{s:2:"id";s:7:"delta_2";s:5:"table";s:23:"node__field_mt_spn_logo";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:8:"Sponsors";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:18:"view-sponsors-grid";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"sponsors-3-col";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:1:{i:0;s:43:"config:field.storage.node.field_mt_spn_logo";}}}}}'),
('', 'views.view.mt_team_members_carousel', 'a:13:{s:4:"uuid";s:36:"d34b597b-853d-4711-a3fc-96f4009e3886";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:8:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:2;s:44:"field.storage.node.field_mt_tmm_member_photo";i:3;s:40:"field.storage.node.field_mt_tmm_subtitle";i:4;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:5;s:47:"field.storage.node.field_mt_tmm_youtube_account";i:6;s:27:"image.style.mt_member_photo";i:7;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:24:"mt_team_members_carousel";s:5:"label";s:21:"Team Members Carousel";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays team member nodes in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:20;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-team-members";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:9:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:80:"<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}" class="background-color-facebook">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:184:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}" class="background-color-twitter">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_youtube_account";a:35:{s:2:"id";s:28:"field_mt_tmm_youtube_account";s:5:"table";s:34:"node__field_mt_tmm_youtube_account";s:5:"field";s:28:"field_mt_tmm_youtube_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:185:"<li>\n<a target="_blank" href="{{ field_mt_tmm_youtube_account__value }}" class="background-color-youtube">\n<i class="fab fa-linkedin"><span class="sr-only">youtube</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:188:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}" class="background-color-linkedin">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:497:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<div class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n<div class="overlay-inner">\n<ul class="icons-list icons-list--small icons-list--bordered icons-list--no-margin">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n{{ field_mt_tmm_youtube_account }}\n</ul>\n</div>\n</div>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:343:"<div class="views-field-title"><h5>{{ title }}</h5></div>\n<div class="views-field-field-mt-tmm-subtitle">{{ field_mt_tmm_subtitle }}</div>\n<div class="views-field-body">{{ body }}</div>\n<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:112:"<div class="text-container">\n<div class="views-field-title">{{ title }}</div>\n{{ field_mt_tmm_subtitle }}\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:4:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Team Members";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:55:"view-mt-carousel view-team-members-carousel row d-block";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:3:{i:1;s:3:"AND";i:2;s:2:"OR";i:3;s:2:"OR";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_tmm_youtube_account";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:13:"Block - 4 Col";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:19:"display_description";s:0:"";s:8:"defaults";a:1:{s:5:"pager";b:1;}s:17:"block_description";s:23:"Team Members - Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:6:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";i:5;s:54:"config:field.storage.node.field_mt_tmm_youtube_account";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_team_members_grid', 'a:13:{s:4:"uuid";s:36:"d9a7eefa-bb7e-4c18-8856-bd5af8f96d23";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:7:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";i:1;s:48:"field.storage.node.field_mt_tmm_linkedin_account";i:2;s:44:"field.storage.node.field_mt_tmm_member_photo";i:3;s:40:"field.storage.node.field_mt_tmm_subtitle";i:4;s:47:"field.storage.node.field_mt_tmm_twitter_account";i:5;s:27:"image.style.mt_member_photo";i:6;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:20:"mt_team_members_grid";s:5:"label";s:17:"Team Members Grid";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:28:"field_mt_tmm_twitter_account";a:35:{s:2:"id";s:28:"field_mt_tmm_twitter_account";s:5:"table";s:34:"node__field_mt_tmm_twitter_account";s:5:"field";s:28:"field_mt_tmm_twitter_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:151:"<li>\n<a target="_blank" href="{{ field_mt_tmm_twitter_account__value }}">\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_facebook_account";a:35:{s:2:"id";s:29:"field_mt_tmm_facebook_account";s:5:"table";s:35:"node__field_mt_tmm_facebook_account";s:5:"field";s:29:"field_mt_tmm_facebook_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_facebook_account__value }}">\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:29:"field_mt_tmm_linkedin_account";a:35:{s:2:"id";s:29:"field_mt_tmm_linkedin_account";s:5:"table";s:35:"node__field_mt_tmm_linkedin_account";s:5:"field";s:29:"field_mt_tmm_linkedin_account";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:154:"<li>\n<a target="_blank" href="{{ field_mt_tmm_linkedin_account__value }}">\n<i class="fab fa-linkedin"><span class="sr-only">linkedin</span></i>\n</a>\n</li>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:157:"<ul class="icons-list icons-list--bordered">\n{{ field_mt_tmm_twitter_account }}\n{{ field_mt_tmm_facebook_account }}\n{{ field_mt_tmm_linkedin_account }}\n</ul>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Team Members";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:42:"view-promoted-items view-team-members-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 3 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"team-members";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:5:{i:0;s:55:"config:field.storage.node.field_mt_tmm_facebook_account";i:1;s:55:"config:field.storage.node.field_mt_tmm_linkedin_account";i:2;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:3;s:47:"config:field.storage.node.field_mt_tmm_subtitle";i:4;s:54:"config:field.storage.node.field_mt_tmm_twitter_account";}}}}}'),
('', 'views.view.mt_team_members_grid_2', 'a:13:{s:4:"uuid";s:36:"f872f70f-a667-4a00-8cd8-4b795eea5896";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";i:1;s:40:"field.storage.node.field_mt_tmm_subtitle";i:2;s:27:"image.style.mt_member_photo";i:3;s:24:"node.type.mt_team_member";}s:6:"module";a:3:{i:0;s:5:"image";i:1;s:4:"node";i:2;s:4:"user";}}s:2:"id";s:22:"mt_team_members_grid_2";s:5:"label";s:19:"Team Members Grid 2";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a grid style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:28;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:17:"col-md-3 col-sm-6";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:4:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:25:"field_mt_tmm_member_photo";a:35:{s:2:"id";s:25:"field_mt_tmm_member_photo";s:5:"table";s:31:"node__field_mt_tmm_member_photo";s:5:"field";s:25:"field_mt_tmm_member_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:231:"<div class="views-field-field-mt-tmm-member-photo">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_tmm_member_photo }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"mt_member_photo";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tmm_subtitle";a:35:{s:2:"id";s:21:"field_mt_tmm_subtitle";s:5:"table";s:27:"node__field_mt_tmm_subtitle";s:5:"field";s:21:"field_mt_tmm_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:16:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Team Members";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:44:"view-promoted-items view-team-members-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:1;s:47:"config:field.storage.node.field_mt_tmm_subtitle";}}}s:6:"page_2";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_2";s:13:"display_title";s:12:"Page - 6 Col";s:8:"position";i:1;s:15:"display_options";a:7:{s:17:"display_extenders";a:0:{}s:4:"path";s:14:"team-members-2";s:19:"display_description";s:0:"";s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:33:"col-xl-2 col-lg-3 col-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:8:"defaults";a:2:{s:5:"style";b:0;s:3:"row";b:0;}s:3:"row";a:2:{s:4:"type";s:6:"fields";s:7:"options";a:0:{}}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:51:"config:field.storage.node.field_mt_tmm_member_photo";i:1;s:47:"config:field.storage.node.field_mt_tmm_subtitle";}}}}}'),
('', 'views.view.mt_team_members_list', 'a:13:{s:4:"uuid";s:36:"1b20386a-38e5-4d3c-85b1-7f6265bb866f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:24:"node.type.mt_team_member";}s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"user";}}s:2:"id";s:20:"mt_team_members_list";s:5:"label";s:17:"Team Members List";s:6:"module";s:5:"views";s:11:"description";s:73:"Displays nodes using the content type Team Member in a list style layout.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:24;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:3:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:9:"plugin_id";s:5:"field";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;}}s:7:"filters";a:3:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:17:"Team Members List";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:1:{s:3:"nid";a:23:{s:2:"id";s:3:"nid";s:5:"table";s:15:"node_field_data";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:0;s:5:"title";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";a:0:{}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";b:0;s:3:"not";b:1;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:3:"nid";s:9:"plugin_id";s:8:"node_nid";}}s:17:"display_extenders";a:0:{}s:9:"css_class";s:16:"view-titles-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:7:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:4:"user";i:5;s:21:"user.node_grants:view";i:6;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:4:"path";s:17:"team-members-list";s:9:"arguments";a:0:{}s:8:"defaults";a:1:{s:9:"arguments";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.mt_testimonials', 'a:13:{s:4:"uuid";s:36:"219ef55b-3419-4544-8349-7a27dc8fe341";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:15:"mt_testimonials";s:5:"label";s:12:"Testimonials";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:4:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:1:{s:4:"type";s:7:"default";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:22:"view-testimonials-list";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:1;s:6:"offset";i:0;}}s:8:"defaults";a:2:{s:5:"pager";b:0;s:9:"css_class";b:1;}s:17:"block_description";s:27:"Testimonials Block - Latest";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_2";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_2";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:9:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:2;s:6:"offset";i:0;}}s:8:"defaults";a:7:{s:5:"pager";b:0;s:9:"css_class";b:1;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:17:"block_description";s:18:"Testimonials Block";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:9:"View more";s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:12:"testimonials";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_testimonials_carousel', 'a:13:{s:4:"uuid";s:36:"ce97a407-c0f9-41e5-8a3b-0d4bbf9b5929";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:24:"mt_testimonials_carousel";s:5:"label";s:21:"Testimonials Carousel";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:23:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:16:"mt-carousel-item";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:59:"owl-carousel mt-carousel-container mt-carousel-testimonials";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:150;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:250;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:4:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:39:"view-mt-carousel view-testimonials-grid";s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:0:"";s:8:"link_url";s:12:"testimonials";s:12:"link_display";s:10:"custom_url";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:8:"defaults";a:2:{s:5:"pager";b:1;s:9:"css_class";b:1;}s:17:"block_description";s:21:"Testimonials Carousel";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}'),
('', 'views.view.mt_testimonials_grid', 'a:13:{s:4:"uuid";s:36:"d5bf94f8-0219-4c92-a2ef-10fb647f68f3";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:20:"mt_testimonials_grid";s:5:"label";s:17:"Testimonials Grid";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:17:"views-field-title";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:22:"view-testimonials-grid";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:25:"Testimonials Block - Grid";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:18:"testimonials-3-col";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}'),
('', 'views.view.mt_testimonials_grid_2', 'a:13:{s:4:"uuid";s:36:"130aebd0-229f-4232-b66d-fd59d2934418";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:32:"image.style.mt_testimonial_image";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:22:"mt_testimonials_grid_2";s:5:"label";s:19:"Testimonials Grid 2";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:20:"mt_testimonial_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:91:"<a href="{{ field_mt_tst_testimonial_link }}" class="link--bordered">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:24:"view-testimonials-grid-2";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:27:"Testimonials Block - Grid 2";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-3-col-2";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.mt_testimonials_masonry', 'a:13:{s:4:"uuid";s:36:"10fd6a83-7178-49d9-b950-ebc2cb49c84c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:6:{i:0;s:36:"field.storage.node.field_mt_tst_body";i:1;s:40:"field.storage.node.field_mt_tst_subtitle";i:2;s:49:"field.storage.node.field_mt_tst_testimonial_image";i:3;s:48:"field.storage.node.field_mt_tst_testimonial_link";i:4;s:21:"image.style.thumbnail";i:5;s:24:"node.type.mt_testimonial";}s:6:"module";a:5:{i:0;s:5:"image";i:1;s:4:"link";i:2;s:4:"node";i:3;s:4:"text";i:4;s:4:"user";}}s:2:"id";s:23:"mt_testimonials_masonry";s:5:"label";s:20:"Testimonials Masonry";s:6:"module";s:5:"views";s:11:"description";s:50:"Displays nodes using the content type Testimonial.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:18:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:6;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:4:"tags";a:4:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:40:"col-lg-4 col-md-6 masonry-item views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:30:"testimonials-masonry-container";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:6:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:29:"field_mt_tst_testimonial_link";a:35:{s:2:"id";s:29:"field_mt_tst_testimonial_link";s:5:"table";s:35:"node__field_mt_tst_testimonial_link";s:5:"field";s:29:"field_mt_tst_testimonial_link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:40:"{{ field_mt_tst_testimonial_link__uri }}";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:10:"{{ path }}";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:3:"uri";s:4:"type";s:4:"link";s:8:"settings";a:5:{s:11:"trim_length";i:80;s:8:"url_only";b:0;s:9:"url_plain";b:0;s:3:"rel";s:1:"0";s:6:"target";s:1:"0";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:30:"field_mt_tst_testimonial_image";a:35:{s:2:"id";s:30:"field_mt_tst_testimonial_image";s:5:"table";s:36:"node__field_mt_tst_testimonial_image";s:5:"field";s:30:"field_mt_tst_testimonial_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:273:"<div class="views-field-field-image">\n<div class="overlay-container overlay-container--circle">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ field_mt_tst_testimonial_link }}"></a>\n</span>\n{{ field_mt_tst_testimonial_image }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:9:"target_id";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:9:"thumbnail";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:68:"<a href="{{ field_mt_tst_testimonial_link }}">{{ title__value }}</a>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:21:"field_mt_tst_subtitle";a:35:{s:2:"id";s:21:"field_mt_tst_subtitle";s:5:"table";s:27:"node__field_mt_tst_subtitle";s:5:"field";s:21:"field_mt_tst_subtitle";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:0;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:17:"field_mt_tst_body";a:35:{s:2:"id";s:17:"field_mt_tst_body";s:5:"table";s:23:"node__field_mt_tst_body";s:5:"field";s:17:"field_mt_tst_body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:200;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}}s:7:"filters";a:3:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:12:"Testimonials";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:48:"view-testimonials-grid view-testimonials-masonry";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:1;s:15:"display_options";a:11:{s:17:"display_extenders";a:0:{}s:7:"filters";a:4:{s:4:"type";a:7:{s:2:"id";s:4:"type";s:5:"table";s:15:"node_field_data";s:5:"field";s:4:"type";s:5:"value";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:4:"type";s:9:"plugin_id";s:6:"bundle";}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:7:"promote";a:16:{s:2:"id";s:7:"promote";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"promote";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"promote";s:9:"plugin_id";s:7:"boolean";}}s:8:"defaults";a:8:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:5:"pager";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:28:"Testimonials Block - Masonry";s:8:"use_more";b:1;s:15:"use_more_always";b:1;s:13:"use_more_text";s:11:"All Reviews";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:3;s:6:"offset";i:0;}}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:20:"testimonials-masonry";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:4:{i:0;s:43:"config:field.storage.node.field_mt_tst_body";i:1;s:47:"config:field.storage.node.field_mt_tst_subtitle";i:2;s:56:"config:field.storage.node.field_mt_tst_testimonial_image";i:3;s:55:"config:field.storage.node.field_mt_tst_testimonial_link";}}}}}'),
('', 'views.view.mt_videos', 'a:13:{s:4:"uuid";s:36:"8c0f28b0-ae0d-450c-89e2-f7230c1efb43";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:4:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";i:1;s:23:"field.storage.node.body";i:2;s:33:"field.storage.node.field_mt_video";i:3;s:17:"image.style.large";}s:6:"module";a:4:{i:0;s:4:"node";i:1;s:4:"text";i:2;s:4:"user";i:3;s:17:"video_embed_field";}}s:2:"id";s:9:"mt_videos";s:5:"label";s:6:"Videos";s:6:"module";s:5:"views";s:11:"description";s:71:"Displays the latest entries with videos using the content type Article.";s:3:"tag";s:0:"";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:3:"8.x";s:7:"display";a:3:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:9;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:14:"â€¹â€¹";s:4:"next";s:14:"â€ºâ€º";}}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:27:"col-lg-4 col-md-6 views-row";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:17:"row list-unstyled";}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:18:"mt_video_grid_item";}}s:6:"fields";a:5:{s:4:"path";a:25:{s:2:"id";s:4:"path";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:8:"absolute";b:0;s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:1;}s:14:"field_mt_video";a:35:{s:2:"id";s:14:"field_mt_video";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:14:"field_mt_video";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:206:"<div class="views-field-field-image">\n<div class="overlay-container">\n<span class="overlay overlay--colored">\n<a class="overlay-target-link" href="{{ path }}"></a>\n</span>\n{{ field_mt_video }}\n</div>\n</div>";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:27:"video_embed_field_thumbnail";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:13:"link_image_to";s:0:"";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:1;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:5:"title";a:37:{s:2:"id";s:5:"title";s:5:"table";s:15:"node_field_data";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:2:"h5";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:6:"string";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"node";s:12:"entity_field";s:5:"title";s:9:"plugin_id";s:5:"field";}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:10:"node__body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:105;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";}s:9:"view_node";a:26:{s:2:"id";s:9:"view_node";s:5:"table";s:4:"node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:6:"button";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"text";s:9:"read more";s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"entity_link";s:18:"output_url_as_text";b:0;s:8:"absolute";b:0;}}s:7:"filters";a:4:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"status";s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";s:0:"";}s:5:"group";i:1;}s:12:"status_extra";a:15:{s:2:"id";s:12:"status_extra";s:5:"table";s:15:"node_field_data";s:5:"field";s:12:"status_extra";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";b:0;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:9:"plugin_id";s:11:"node_status";}s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";s:9:"plugin_id";s:8:"language";}s:5:"delta";a:14:{s:2:"id";s:5:"delta";s:5:"table";s:20:"node__field_mt_video";s:5:"field";s:5:"delta";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";}}s:5:"sorts";a:2:{s:6:"sticky";a:12:{s:2:"id";s:6:"sticky";s:5:"table";s:15:"node_field_data";s:5:"field";s:6:"sticky";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"entity_type";s:4:"node";s:12:"entity_field";s:6:"sticky";s:9:"plugin_id";s:8:"standard";}s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:15:"node_field_data";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:7:"created";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"Videos";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:9:"css_class";s:19:"view-promoted-items";s:13:"filter_groups";a:2:{s:8:"operator";s:2:"OR";s:6:"groups";a:1:{i:1;s:3:"AND";}}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:5:"Block";s:8:"position";i:2;s:15:"display_options";a:4:{s:17:"display_extenders";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:6;s:6:"offset";i:0;}}s:8:"defaults";a:1:{s:5:"pager";b:0;}s:17:"block_description";s:6:"Videos";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:4:"user";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"display_extenders";a:0:{}s:4:"path";s:6:"videos";s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:6:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:14:"url.query_args";i:3;s:4:"user";i:4;s:21:"user.node_grants:view";i:5;s:16:"user.permissions";}s:4:"tags";a:2:{i:0;s:30:"config:field.storage.node.body";i:1;s:40:"config:field.storage.node.field_mt_video";}}}}}'),
('', 'views.view.taxonomy_term', 'a:14:{s:4:"uuid";s:36:"18e21340-f0c4-47f3-a12b-c35acd0d8e6f";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:2:{s:6:"config";a:1:{i:0;s:33:"core.entity_view_mode.node.teaser";}s:6:"module";a:3:{i:0;s:4:"node";i:1;s:8:"taxonomy";i:2;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"YY-QIsPmXCITvYjAnlCzaqASCB1Telev3U0IKOztZkc";}s:2:"id";s:13:"taxonomy_term";s:5:"label";s:13:"Taxonomy term";s:6:"module";s:8:"taxonomy";s:11:"description";s:45:"Content belonging to a certain taxonomy term.";s:3:"tag";s:7:"default";s:10:"base_table";s:15:"node_field_data";s:10:"base_field";s:3:"nid";s:4:"core";s:1:"8";s:7:"display";a:3:{s:7:"default";a:6:{s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:14:"display_plugin";s:7:"default";s:8:"position";i:0;s:15:"display_options";a:18:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:13:"query_comment";s:0:"";s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:10:"query_tags";a:0:{}}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:10;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"sorts";a:2:{s:6:"sticky";a:10:{s:2:"id";s:6:"sticky";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"sticky";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:8:"standard";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}s:7:"created";a:11:{s:2:"id";s:7:"created";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:9:"plugin_id";s:4:"date";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:9:"arguments";a:1:{s:3:"tid";a:23:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:14:"default_action";s:9:"not found";s:9:"exception";a:3:{s:5:"value";s:0:"";s:12:"title_enable";b:0;s:5:"title";s:3:"All";}s:12:"title_enable";b:1;s:5:"title";s:19:"{{ arguments.tid }}";s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:0:"";}s:25:"default_argument_skip_url";b:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";b:1;s:14:"items_per_page";i:25;s:8:"override";b:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";i:0;s:6:"format";s:15:"default_summary";}s:18:"specify_validation";b:1;s:8:"validate";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:4:{s:6:"access";b:1;s:9:"operation";s:4:"view";s:8:"multiple";i:0;s:7:"bundles";a:0:{}}s:12:"break_phrase";b:0;s:9:"add_table";b:0;s:13:"require_value";b:0;s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:18:"taxonomy_index_tid";}}s:7:"filters";a:2:{s:8:"langcode";a:16:{s:2:"id";s:8:"langcode";s:5:"table";s:15:"node_field_data";s:5:"field";s:8:"langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:31:"***LANGUAGE_language_content***";s:31:"***LANGUAGE_language_content***";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:8:"language";s:11:"entity_type";s:4:"node";s:12:"entity_field";s:8:"langcode";}s:6:"status";a:14:{s:2:"id";s:6:"status";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"boolean";}}s:5:"style";a:2:{s:4:"type";s:7:"default";s:7:"options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:11:"entity:node";s:7:"options";a:1:{s:9:"view_mode";s:6:"teaser";}}s:6:"header";a:1:{s:20:"entity_taxonomy_term";a:12:{s:2:"id";s:20:"entity_taxonomy_term";s:5:"table";s:5:"views";s:5:"field";s:20:"entity_taxonomy_term";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:1;s:6:"target";s:23:"{{ raw_arguments.tid }}";s:9:"view_mode";s:4:"full";s:13:"bypass_access";b:0;s:9:"plugin_id";s:6:"entity";}}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:6:"fields";a:0:{}s:17:"display_extenders";a:0:{}s:8:"link_url";s:0:"";s:12:"link_display";s:6:"page_1";}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"feed_1";a:6:{s:2:"id";s:6:"feed_1";s:13:"display_title";s:4:"Feed";s:14:"display_plugin";s:4:"feed";s:8:"position";i:2;s:15:"display_options";a:7:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:4:"path";s:20:"taxonomy/term/%/feed";s:8:"displays";a:2:{s:6:"page_1";s:6:"page_1";s:7:"default";s:1:"0";}s:5:"style";a:2:{s:4:"type";s:3:"rss";s:7:"options";a:3:{s:11:"description";s:0:"";s:8:"grouping";a:0:{}s:11:"uses_fields";b:0;}}s:3:"row";a:2:{s:4:"type";s:8:"node_rss";s:7:"options";a:2:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:7:"default";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:4:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:21:"user.node_grants:view";i:3;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:1;s:15:"display_options";a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:15:"taxonomy/term/%";s:17:"display_extenders";a:0:{}s:4:"menu";a:2:{s:7:"enabled";b:1;s:8:"expanded";b:0;}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:28:"languages:language_interface";i:1;s:3:"url";i:2;s:14:"url.query_args";i:3;s:21:"user.node_grants:view";i:4;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.user_admin_people', 'a:14:{s:4:"uuid";s:36:"aa64836e-9c2f-45e1-bbcd-c83ef0bfc266";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"queuLjhKGUQ_b-lNh_TkhCvOPrVunfJopvVGOf3cjAo";}s:2:"id";s:17:"user_admin_people";s:5:"label";s:6:"People";s:6:"module";s:4:"user";s:11:"description";s:50:"Find and manage people interacting with your site.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:25:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:16:"administer users";}}s:5:"cache";a:1:{s:4:"type";s:3:"tag";}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";i:0;s:4:"tags";a:4:{s:8:"previous";s:12:"‹ Previous";s:4:"next";s:8:"Next ›";s:5:"first";s:8:"« First";s:4:"last";s:7:"Last »";}s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:8:"quantity";i:9;}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:10:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"summary";s:0:"";s:7:"columns";a:8:{s:14:"user_bulk_form";s:14:"user_bulk_form";s:4:"name";s:4:"name";s:6:"status";s:6:"status";s:3:"rid";s:3:"rid";s:7:"created";s:7:"created";s:6:"access";s:6:"access";s:9:"edit_node";s:9:"edit_node";s:10:"dropbutton";s:10:"dropbutton";}s:4:"info";a:8:{s:14:"user_bulk_form";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:6:"status";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:3:"rid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"created";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:6:"access";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:9:"edit_node";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:10:"dropbutton";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}}s:7:"default";s:7:"created";s:11:"empty_table";b:1;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:14:"user_bulk_form";a:23:{s:2:"id";s:14:"user_bulk_form";s:5:"table";s:5:"users";s:5:"field";s:14:"user_bulk_form";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Bulk update";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:14:"user_bulk_form";s:11:"entity_type";s:4:"user";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Username";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}s:6:"status";a:26:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:6:"Status";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:5:"field";s:4:"type";s:7:"boolean";s:8:"settings";a:3:{s:6:"format";s:6:"custom";s:18:"format_custom_true";s:6:"Active";s:19:"format_custom_false";s:7:"Blocked";}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:15:"roles_target_id";a:24:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:5:"Roles";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:2:"ul";s:9:"separator";s:2:", ";s:9:"plugin_id";s:10:"user_roles";}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Member for";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:9:"@interval";s:11:"past_format";s:9:"@interval";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}s:6:"access";a:26:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:11:"Last access";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:4:"type";s:13:"timestamp_ago";s:8:"settings";a:3:{s:13:"future_format";s:15:"@interval hence";s:11:"past_format";s:13:"@interval ago";s:11:"granularity";i:2;}s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}s:10:"operations";a:24:{s:2:"id";s:10:"operations";s:5:"table";s:5:"users";s:5:"field";s:10:"operations";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"destination";b:1;s:11:"entity_type";s:4:"user";s:9:"plugin_id";s:17:"entity_operations";}s:4:"mail";a:37:{s:2:"id";s:4:"mail";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"mail";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:0:"";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"basic_string";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:9:"plugin_id";s:5:"field";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"mail";}}s:7:"filters";a:6:{s:7:"combine";a:15:{s:2:"id";s:7:"combine";s:5:"table";s:5:"views";s:5:"field";s:7:"combine";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:8:"contains";s:5:"value";s:0:"";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:10:"combine_op";s:5:"label";s:22:"Name or email contains";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:10:"combine_op";s:10:"identifier";s:4:"user";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:6:"fields";a:2:{s:4:"name";s:4:"name";s:4:"mail";s:4:"mail";}s:9:"plugin_id";s:7:"combine";}s:15:"roles_target_id";a:15:{s:2:"id";s:15:"roles_target_id";s:5:"table";s:11:"user__roles";s:5:"field";s:15:"roles_target_id";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:18:"roles_target_id_op";s:5:"label";s:4:"Role";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:18:"roles_target_id_op";s:10:"identifier";s:4:"role";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:10:"user_roles";}s:10:"permission";a:15:{s:2:"id";s:10:"permission";s:5:"table";s:11:"user__roles";s:5:"field";s:10:"permission";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:13:"permission_op";s:5:"label";s:10:"Permission";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:13:"permission_op";s:10:"identifier";s:10:"permission";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";b:0;s:9:"plugin_id";s:16:"user_permissions";}s:6:"status";a:16:{s:2:"id";s:6:"status";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:9:"status_op";s:10:"identifier";s:6:"status";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}}s:10:"is_grouped";b:1;s:10:"group_info";a:10:{s:5:"label";s:6:"Status";s:11:"description";s:0:"";s:10:"identifier";s:6:"status";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:2:{i:1;a:3:{s:5:"title";s:6:"Active";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";}i:2;a:3:{s:5:"title";s:7:"Blocked";s:8:"operator";s:1:"=";s:5:"value";s:1:"0";}}}s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:16:"default_langcode";a:16:{s:2:"id";s:16:"default_langcode";s:5:"table";s:16:"users_field_data";s:5:"field";s:16:"default_langcode";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:10:{s:11:"operator_id";s:0:"";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:11:"entity_type";s:4:"user";s:12:"entity_field";s:16:"default_langcode";s:9:"plugin_id";s:7:"boolean";}s:7:"uid_raw";a:15:{s:2:"id";s:7:"uid_raw";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"uid_raw";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"!=";s:5:"value";a:3:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:1:"0";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:7:"numeric";s:11:"entity_type";s:4:"user";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:5:"title";s:6:"People";s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:20:"No people available.";s:9:"plugin_id";s:11:"text_custom";}}s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"more";s:15:"display_comment";s:0:"";s:8:"use_ajax";b:0;s:23:"hide_attachment_summary";b:0;s:16:"show_admin_links";b:1;s:8:"group_by";b:0;s:8:"link_url";s:0:"";s:12:"link_display";s:6:"page_1";s:9:"css_class";s:0:"";s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}s:6:"page_1";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:6:{s:4:"path";s:17:"admin/people/list";s:16:"show_admin_links";b:0;s:4:"menu";a:8:{s:4:"type";s:11:"default tab";s:5:"title";s:4:"List";s:11:"description";s:50:"Find and manage people interacting with your site.";s:9:"menu_name";s:5:"admin";s:6:"weight";i:-10;s:7:"context";s:0:"";s:7:"enabled";b:1;s:8:"expanded";b:0;}s:11:"tab_options";a:5:{s:4:"type";s:6:"normal";s:5:"title";s:6:"People";s:11:"description";s:45:"Manage user accounts, roles, and permissions.";s:9:"menu_name";s:5:"admin";s:6:"weight";i:0;}s:8:"defaults";a:1:{s:16:"show_admin_links";b:0;}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:7:"max-age";i:0;s:4:"tags";a:0:{}}}}}');
INSERT INTO `config_snapshot` VALUES
('', 'views.view.watchdog', 'a:13:{s:4:"uuid";s:36:"2b78d66b-75e2-4a2b-8cdc-a0b45db97f98";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"dblog";i:1;s:4:"user";}}s:2:"id";s:8:"watchdog";s:5:"label";s:8:"Watchdog";s:6:"module";s:5:"views";s:11:"description";s:19:"Recent log messages";s:3:"tag";s:0:"";s:10:"base_table";s:8:"watchdog";s:10:"base_field";s:3:"wid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:19:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:19:"access site reports";}}s:5:"cache";a:2:{s:4:"type";s:4:"none";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:6:"Filter";s:12:"reset_button";b:1;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:0;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"mini";s:7:"options";a:6:{s:14:"items_per_page";i:50;s:6:"offset";i:0;s:2:"id";i:0;s:11:"total_pages";N;s:6:"expose";a:7:{s:14:"items_per_page";b:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:13:"5, 10, 25, 50";s:26:"items_per_page_options_all";b:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";b:0;s:12:"offset_label";s:6:"Offset";}s:4:"tags";a:2:{s:8:"previous";s:6:"‹‹";s:4:"next";s:6:"››";}}}s:5:"style";a:2:{s:4:"type";s:5:"table";s:7:"options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:25:"{{ type }} {{ severity }}";s:17:"default_row_class";b:1;s:8:"override";b:1;s:6:"sticky";b:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:11:"description";s:0:"";s:7:"columns";a:8:{s:7:"nothing";s:7:"nothing";s:3:"wid";s:3:"wid";s:8:"severity";s:8:"severity";s:4:"type";s:4:"type";s:9:"timestamp";s:9:"timestamp";s:7:"message";s:7:"message";s:4:"name";s:4:"name";s:4:"link";s:4:"link";}s:4:"info";a:8:{s:7:"nothing";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:3:"wid";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:8:"severity";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:4:"type";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:9:"timestamp";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:4:"desc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}s:7:"message";a:6:{s:8:"sortable";b:0;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:0:"";}s:4:"name";a:6:{s:8:"sortable";b:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:15:"priority-medium";}s:4:"link";a:4:{s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";b:0;s:10:"responsive";s:12:"priority-low";}}s:7:"default";s:3:"wid";s:11:"empty_table";b:0;}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:8:{s:7:"nothing";a:22:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"Icon";s:5:"label";s:0:"";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:4:"icon";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:0;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:0;s:9:"plugin_id";s:6:"custom";}s:3:"wid";a:22:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:3:"WID";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:8:"severity";a:23:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:8:"Severity";s:7:"exclude";b:1;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:12:"machine_name";b:0;s:9:"plugin_id";s:12:"machine_name";}s:4:"type";a:22:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Type";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:8:"standard";}s:9:"timestamp";a:25:{s:2:"id";s:9:"timestamp";s:5:"table";s:8:"watchdog";s:5:"field";s:9:"timestamp";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"Date";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:11:"date_format";s:5:"short";s:18:"custom_date_format";s:0:"";s:8:"timezone";s:0:"";s:9:"plugin_id";s:4:"date";}s:7:"message";a:23:{s:2:"id";s:7:"message";s:5:"table";s:8:"watchdog";s:5:"field";s:7:"message";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:7:"Message";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:1;s:4:"path";s:35:"admin/reports/dblog/event/{{ wid }}";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:13:"{{ message }}";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:56;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:1;s:4:"trim";b:1;s:13:"preserve_tags";s:0:"";s:4:"html";b:1;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"replace_variables";b:1;s:9:"plugin_id";s:13:"dblog_message";}s:4:"name";a:37:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:4:"User";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:9:"user_name";s:8:"settings";a:1:{s:14:"link_to_entity";b:1;}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";i:0;s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";b:0;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";s:9:"plugin_id";s:5:"field";}s:4:"link";a:22:{s:2:"id";s:4:"link";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"link";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"label";s:10:"Operations";s:7:"exclude";b:0;s:5:"alter";a:26:{s:10:"alter_text";b:0;s:4:"text";s:0:"";s:9:"make_link";b:0;s:4:"path";s:0:"";s:8:"absolute";b:0;s:8:"external";b:0;s:14:"replace_spaces";b:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";b:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";b:0;s:10:"max_length";i:0;s:13:"word_boundary";b:1;s:8:"ellipsis";b:1;s:9:"more_link";b:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";b:0;s:4:"trim";b:0;s:13:"preserve_tags";s:0:"";s:4:"html";b:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:16:"hide_alter_empty";b:1;s:9:"plugin_id";s:16:"dblog_operations";}}s:7:"filters";a:2:{s:4:"type";a:14:{s:2:"id";s:4:"type";s:5:"table";s:8:"watchdog";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:7:"type_op";s:5:"label";s:4:"Type";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:7:"type_op";s:10:"identifier";s:4:"type";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"dblog_types";}s:8:"severity";a:14:{s:2:"id";s:8:"severity";s:5:"table";s:8:"watchdog";s:5:"field";s:8:"severity";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:0:{}s:5:"group";i:1;s:7:"exposed";b:1;s:6:"expose";a:11:{s:11:"operator_id";s:11:"severity_op";s:5:"label";s:8:"Severity";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:11:"severity_op";s:10:"identifier";s:8:"severity";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:1;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:11:"in_operator";}}s:5:"sorts";a:1:{s:3:"wid";a:10:{s:2:"id";s:3:"wid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"wid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:9:"plugin_id";s:8:"standard";}}s:5:"title";s:19:"Recent log messages";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:4:"area";a:10:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";a:2:{s:5:"value";s:26:"No log messages available.";s:6:"format";s:10:"basic_html";}s:9:"plugin_id";s:4:"text";}}s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:8:"watchdog";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:4:"User";s:8:"required";b:0;s:9:"plugin_id";s:8:"standard";}}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:9:"css_class";s:11:"admin-dblog";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:4:"tags";a:0:{}}}s:4:"page";a:6:{s:14:"display_plugin";s:4:"page";s:2:"id";s:4:"page";s:13:"display_title";s:4:"Page";s:8:"position";i:1;s:15:"display_options";a:2:{s:17:"display_extenders";a:0:{}s:4:"path";s:19:"admin/reports/dblog";}s:14:"cache_metadata";a:3:{s:7:"max-age";i:-1;s:8:"contexts";a:5:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:3:"url";i:3;s:14:"url.query_args";i:4;s:16:"user.permissions";}s:4:"tags";a:0:{}}}}}'),
('', 'views.view.who_s_new', 'a:14:{s:4:"uuid";s:36:"df7c8f0b-d1d0-4db0-a14f-189e28752f8c";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"B2M6BoNVm-hHVnH2ILCpbhCZV71T6zLNs8Ag5QH-oNE";}s:2:"id";s:9:"who_s_new";s:5:"label";s:9:"Who''s new";s:6:"module";s:4:"user";s:11:"description";s:53:"Shows a list of the newest user accounts on the site.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:14:"access content";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:5;s:6:"offset";i:0;}}s:5:"style";a:1:{s:4:"type";s:9:"html_list";}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";s:1:"0";}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:1:">";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:10:"1970-01-01";s:4:"type";s:4:"date";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:1:"0";s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{s:13:"authenticated";s:13:"authenticated";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"sorts";a:1:{s:7:"created";a:13:{s:2:"id";s:7:"created";s:5:"table";s:16:"users_field_data";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:7:"created";}}s:5:"title";s:9:"Who''s new";s:6:"header";a:0:{}s:6:"footer";a:0:{}s:5:"empty";a:0:{}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:7:"block_1";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:7:"block_1";s:13:"display_title";s:9:"Who''s new";s:8:"position";i:1;s:15:"display_options";a:4:{s:19:"display_description";s:19:"A list of new users";s:17:"block_description";s:9:"Who''s new";s:14:"block_category";s:4:"User";s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}'),
('', 'views.view.who_s_online', 'a:14:{s:4:"uuid";s:36:"cd9bfe98-189a-4272-b52b-478d83cb45b0";s:8:"langcode";s:2:"en";s:6:"status";b:1;s:12:"dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:5:"_core";a:1:{s:19:"default_config_hash";s:43:"DWLCIpl8ku4NbiI9t3GgDeuW13KSOy2l1zho7ReP_Bg";}s:2:"id";s:12:"who_s_online";s:5:"label";s:18:"Who''s online block";s:6:"module";s:4:"user";s:11:"description";s:93:"Shows the user names of the most recently active users, and the total number of active users.";s:3:"tag";s:7:"default";s:10:"base_table";s:16:"users_field_data";s:10:"base_field";s:3:"uid";s:4:"core";s:3:"8.x";s:7:"display";a:2:{s:7:"default";a:6:{s:14:"display_plugin";s:7:"default";s:2:"id";s:7:"default";s:13:"display_title";s:6:"Master";s:8:"position";i:0;s:15:"display_options";a:17:{s:6:"access";a:2:{s:4:"type";s:4:"perm";s:7:"options";a:1:{s:4:"perm";s:20:"access user profiles";}}s:5:"cache";a:2:{s:4:"type";s:3:"tag";s:7:"options";a:0:{}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:5:{s:19:"disable_sql_rewrite";b:0;s:8:"distinct";b:0;s:7:"replica";b:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:12:"exposed_form";a:2:{s:4:"type";s:5:"basic";s:7:"options";a:7:{s:13:"submit_button";s:5:"Apply";s:12:"reset_button";b:0;s:18:"reset_button_label";s:5:"Reset";s:19:"exposed_sorts_label";s:7:"Sort by";s:17:"expose_sort_order";b:1;s:14:"sort_asc_label";s:3:"Asc";s:15:"sort_desc_label";s:4:"Desc";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";i:10;s:6:"offset";i:0;}}s:5:"style";a:2:{s:4:"type";s:9:"html_list";s:7:"options";a:6:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";b:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}}s:3:"row";a:1:{s:4:"type";s:6:"fields";}s:6:"fields";a:1:{s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:16:"users_field_data";s:5:"field";s:4:"name";s:5:"label";s:0:"";s:9:"plugin_id";s:5:"field";s:4:"type";s:9:"user_name";s:5:"alter";a:8:{s:10:"alter_text";b:0;s:9:"make_link";b:0;s:8:"absolute";b:0;s:4:"trim";b:0;s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;s:10:"strip_tags";b:0;s:4:"html";b:0;}s:10:"hide_empty";b:0;s:10:"empty_zero";b:0;s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exclude";b:0;s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:1;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";b:1;s:5:"empty";s:0:"";s:16:"hide_alter_empty";b:1;s:11:"entity_type";s:4:"user";s:12:"entity_field";s:4:"name";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:5:"value";s:1:"1";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";s:1:"0";}s:5:"group";i:1;s:9:"plugin_id";s:7:"boolean";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"status";}s:6:"access";a:16:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:8:"operator";s:2:">=";s:5:"value";a:4:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:5:"value";s:11:"-15 minutes";s:4:"type";s:6:"offset";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:13:{s:11:"operator_id";s:9:"access_op";s:5:"label";s:11:"Last access";s:11:"description";s:77:"A user is considered online for this long after they have last viewed a page.";s:12:"use_operator";b:0;s:8:"operator";s:9:"access_op";s:10:"identifier";s:6:"access";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:3:{s:13:"authenticated";s:13:"authenticated";s:9:"anonymous";s:1:"0";s:13:"administrator";s:1:"0";}s:11:"placeholder";s:0:"";s:15:"min_placeholder";s:0:"";s:15:"max_placeholder";s:0:"";}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";b:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"sorts";a:1:{s:6:"access";a:13:{s:2:"id";s:6:"access";s:5:"table";s:16:"users_field_data";s:5:"field";s:6:"access";s:5:"order";s:4:"DESC";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";s:9:"plugin_id";s:4:"date";s:11:"entity_type";s:4:"user";s:12:"entity_field";s:6:"access";}}s:5:"title";s:12:"Who''s online";s:6:"header";a:1:{s:6:"result";a:9:{s:2:"id";s:6:"result";s:5:"table";s:5:"views";s:5:"field";s:6:"result";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:0;s:7:"content";s:40:"There are currently @total users online.";s:9:"plugin_id";s:6:"result";}}s:6:"footer";a:0:{}s:5:"empty";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:11:"admin_label";s:0:"";s:5:"empty";b:1;s:8:"tokenize";b:0;s:7:"content";s:35:"There are currently 0 users online.";s:9:"plugin_id";s:11:"text_custom";}}s:13:"relationships";a:0:{}s:9:"arguments";a:0:{}s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}s:18:"who_s_online_block";a:6:{s:14:"display_plugin";s:5:"block";s:2:"id";s:18:"who_s_online_block";s:13:"display_title";s:12:"Who''s online";s:8:"position";i:1;s:15:"display_options";a:3:{s:17:"block_description";s:12:"Who''s online";s:19:"display_description";s:45:"A list of users that are currently logged in.";s:17:"display_extenders";a:0:{}}s:14:"cache_metadata";a:3:{s:8:"contexts";a:3:{i:0;s:26:"languages:language_content";i:1;s:28:"languages:language_interface";i:2;s:16:"user.permissions";}s:7:"max-age";i:-1;s:4:"tags";a:0:{}}}}}');

-- --------------------------------------------------------

--
-- Table structure for table `file_managed`
--

CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `filename` varchar(255) DEFAULT NULL,
  `uri` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `filemime` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `filesize` bigint(20) unsigned DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) NOT NULL,
  PRIMARY KEY (`fid`),
  UNIQUE KEY `file_field__uuid__value` (`uuid`),
  KEY `file_field__uri` (`uri`(191)),
  KEY `file_field__status` (`status`),
  KEY `file_field__changed` (`changed`),
  KEY `file_field__uid__target_id` (`uid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for file entities.';

--
-- Dumping data for table `file_managed`
--

INSERT INTO `file_managed` VALUES
(3, 'fe9864d8-e237-4f4f-a141-fe79860225a3', 'en', 1, 'service-5.jpg', 'public://2016-06/service-5.jpg', 'image/jpeg', 17189, 1, 1465321812, 1465321836),
(4, '24df0e9f-6c95-46af-a780-96738a321047', 'en', 1, 'service-4.jpg', 'public://2016-06/service-4.jpg', 'image/jpeg', 17189, 1, 1465321903, 1465321925),
(5, 'a3dc32f6-ab5d-4b41-94f0-8804952d1a85', 'en', 1, 'service-3.jpg', 'public://2016-06/service-3.jpg', 'image/jpeg', 17189, 1, 1465321981, 1465321996),
(7, '31ccb2d0-a29b-4b02-92d8-c0952ef2f33b', 'en', 1, 'service-1.jpg', 'public://2016-06/service-1.jpg', 'image/jpeg', 17189, 1, 1465322160, 1465322216),
(8, 'acf772b9-e75c-4bd8-b1d1-356efcdd4c5b', 'en', 1, 'article-6.jpg', 'public://2016-06/article-6.jpg', 'image/jpeg', 17189, 1, 1465328607, 1465328627),
(9, '493d90c5-872d-487a-b662-51b05bf962bc', 'en', 1, 'article-5.jpg', 'public://2016-06/article-5.jpg', 'image/jpeg', 17189, 1, 1465328677, 1465328736),
(10, '6b8869c4-03b6-44c5-911b-2ca0221d637f', 'en', 1, 'article-4.jpg', 'public://2016-06/article-4.jpg', 'image/jpeg', 17189, 1, 1465328768, 1465328812),
(11, 'e10df76b-d801-467c-8614-53c128a2fe8e', 'en', 1, 'article-3.jpg', 'public://2016-06/article-3.jpg', 'image/jpeg', 17189, 1, 1465328837, 1465328872),
(12, '77f43458-1677-4786-8c13-4dd667975438', 'en', 1, 'article-2.jpg', 'public://2016-06/article-2.jpg', 'image/jpeg', 17189, 1, 1465328906, 1465328948),
(13, 'f013da03-fae1-4d9b-bbbb-c638193bab3c', 'en', 1, 'article-1.jpg', 'public://2016-06/article-1.jpg', 'image/jpeg', 17189, 1, 1465328986, 1465329050),
(14, 'd8d810fe-4a06-48cf-aecc-a99ed60d33a0', 'en', 1, 'avatar.jpg', 'public://pictures/2016-06/avatar.jpg', 'image/jpeg', 1447, 1, 1465331197, 1465331200),
(15, '0203b804-7536-4e89-a6e4-261e3c401bf7', 'en', 1, 'article-1-2.jpg', 'public://2016-06/article-1-2.jpg', 'image/jpeg', 17189, 1, 1465403314, 1465403351),
(16, '9323facb-7e92-4bab-acd3-93c59204ac07', 'en', 1, 'article-1-3.jpg', 'public://2016-06/article-1-3.jpg', 'image/jpeg', 17189, 1, 1465403327, 1465403351),
(17, '9274412f-669c-4a45-8404-35b90de73aee', 'en', 1, 'article-1-4.jpg', 'public://2016-06/article-1-4.jpg', 'image/jpeg', 17189, 1, 1465403336, 1465403351),
(18, 'e335b27c-8703-48bc-b547-25ca174e23b7', 'en', 1, 'article-1-5.jpg', 'public://2016-06/article-1-5.jpg', 'image/jpeg', 17189, 1, 1465403345, 1465403351),
(19, 'a612773a-0dd0-4447-b29f-2bc0bdd8b93a', 'en', 1, 'service-1-2.jpg', 'public://2016-06/service-1-2.jpg', 'image/jpeg', 17189, 1, 1465412120, 1465412291),
(20, '898b5643-61c3-4ce9-875c-bf416ef46b36', 'en', 1, 'service-1-3.jpg', 'public://2016-06/service-1-3.jpg', 'image/jpeg', 17189, 1, 1465412173, 1465412291),
(21, '402a5f9d-a0c7-4956-a0f8-b5dc845342a8', 'en', 1, 'service-1-4.jpg', 'public://2016-06/service-1-4.jpg', 'image/jpeg', 17189, 1, 1465412199, 1465412291),
(22, '4733c941-c83d-462e-abdb-d93f7474c3e9', 'en', 1, 'service-1-5.jpg', 'public://2016-06/service-1-5.jpg', 'image/jpeg', 17189, 1, 1465412253, 1465412291),
(23, 'cc7706ff-c47f-43e9-b0ba-53737ec92d8c', 'en', 1, 'service-1-6.jpg', 'public://2016-06/service-1-6.jpg', 'image/jpeg', 17189, 1, 1465412275, 1465412291),
(24, '1f7528d5-7788-4c5d-92fb-2f468180027e', 'en', 1, 'slide1.jpg', 'public://2016-06/slide1.jpg', 'image/jpeg', 31357, 1, 1465471489, 1465471674),
(25, 'b6a5ec77-2f14-4d84-b622-545ac84b1b5e', 'en', 1, 'slide2.jpg', 'public://2016-06/slide2.jpg', 'image/jpeg', 28450, 1, 1465471702, 1465471723),
(26, '1ed1593f-be3e-4cbc-a2b8-6881e12b978b', 'en', 1, 'service-1-banner-1.jpg', 'public://2016-06/service-1-banner-1.jpg', 'image/jpeg', 27478, 1, 1465571998, 1465572023),
(27, '592f11cd-5e15-49cc-bc9b-079816716f90', 'en', 1, 'service-1-banner-2.jpg', 'public://2016-06/service-1-banner-2.jpg', 'image/jpeg', 28101, 1, 1465572012, 1465572023),
(28, 'a840e511-fc07-4a7f-9037-79acb0e6ecd3', 'en', 1, 'service-2.jpg', 'public://2016-06/service-2_0.jpg', 'image/jpeg', 17189, 1, 1465578491, 1465578498),
(29, 'df1661a7-f123-4506-80c2-95fec51843d2', 'en', 1, 'product-6.jpg', 'public://2016-06/product-6.jpg', 'image/jpeg', 17189, 1, 1465831278, 1465831352),
(31, '0641f9f6-43d2-4683-bb3d-0aa7da1a92d9', 'en', 1, 'product-4.jpg', 'public://2016-06/product-4.jpg', 'image/jpeg', 17189, 1, 1465831647, 1465831668),
(32, 'f8413015-d2df-41c1-a11f-40b8e1489727', 'en', 1, 'product-3.jpg', 'public://2016-06/product-3.jpg', 'image/jpeg', 17189, 1, 1465831717, 1465831736),
(33, 'b3c44d04-dddd-4274-b025-7146ff363b8a', 'en', 1, 'product-2.jpg', 'public://2016-06/product-2.jpg', 'image/jpeg', 17189, 1, 1465831772, 1465831794),
(34, '0c5e3d1d-3498-4fb6-94b2-25f9ff14dfd0', 'en', 1, 'product-1-banner-1.jpg', 'public://2016-06/product-1-banner-1.jpg', 'image/jpeg', 27478, 1, 1465832030, 1465832383),
(35, '2a21b60b-da21-4aec-9dcd-69323460e8ba', 'en', 1, 'product-1-banner-2.jpg', 'public://2016-06/product-1-banner-2.jpg', 'image/jpeg', 28101, 1, 1465832055, 1465832383),
(42, '4e84e38f-76b3-4548-842f-d07f50692e43', 'en', 1, 'slide3.jpg', 'public://2016-06/slide3.jpg', 'image/jpeg', 28101, 1, 1465832336, 1465832383),
(43, 'b87bc3ac-f825-4ed5-9e61-bc71ceb8a6c4', 'en', 1, 'showcase-6.jpg', 'public://2016-06/showcase-6.jpg', 'image/jpeg', 17189, 1, 1465834251, 1465834298),
(44, '04af35c9-9a32-48f2-bd36-2576e4b60d1a', 'en', 1, 'showcase-5.jpg', 'public://2016-06/showcase-5.jpg', 'image/jpeg', 17189, 1, 1465834499, 1465834519),
(45, '50659b6a-1f10-41df-8f3a-a9ecd7add918', 'en', 1, 'showcase-4.jpg', 'public://2016-06/showcase-4.jpg', 'image/jpeg', 17189, 1, 1465834566, 1465834594),
(46, 'fc24ec38-2966-47a1-83c7-02bd4bc884fc', 'en', 1, 'showcase-3.jpg', 'public://2016-06/showcase-3.jpg', 'image/jpeg', 17189, 1, 1465834629, 1465834663),
(47, '8296af32-1774-4946-930d-6d58e6c2b975', 'en', 1, 'showcase-3.jpg', 'public://2016-06/showcase-3_0.jpg', 'image/jpeg', 17189, 1, 1465834700, 1465834735),
(48, 'a60e8041-3e7d-4660-9e30-0cf5cd8bcdd4', 'en', 1, 'showcase-1.jpg', 'public://2016-06/showcase-1.jpg', 'image/jpeg', 17189, 1, 1465834797, 1465834967),
(49, 'd6c51f8a-9ac1-419e-b447-3a5e23d38f3d', 'en', 1, 'showcase-1-2.jpg', 'public://2016-06/showcase-1-2.jpg', 'image/jpeg', 17189, 1, 1465834820, 1465834967),
(50, '1818fd05-beaa-4099-bf41-4d023aa8a58e', 'en', 1, 'showcase-1-3.jpg', 'public://2016-06/showcase-1-3.jpg', 'image/jpeg', 17189, 1, 1465834827, 1465834967),
(51, 'bf2950cc-e1e3-40c1-bde3-2272b2780377', 'en', 1, 'slide4.jpg', 'public://2016-06/slide4.jpg', 'image/jpeg', 27478, 1, 1465834924, 1465834967),
(52, '20dcaffd-a4af-4b01-ac07-74351f73b465', 'en', 1, 'product-5.jpg', 'public://2016-06/product-5.jpg', 'image/jpeg', 17189, 1, 1465906825, 1465906832),
(53, '72a5ae82-4ca9-4f47-bda0-152fd3b0a723', 'en', 1, 'service-6.jpg', 'public://2016-06/service-6.jpg', 'image/jpeg', 17189, 1, 1466171078, 1466171099),
(54, '2bb18742-e7c0-4e2a-a5ac-bc2bec3de344', 'en', 1, 'slide5.jpg', 'public://2016-06/slide5.jpg', 'image/jpeg', 30855, 1, 1467226727, 1467226774),
(55, 'eb294a99-522c-42d8-8c87-143f24f9dcee', 'en', 1, 'product-2-landscape.jpg', 'public://2016-08/product-2-landscape.jpg', 'image/jpeg', 14510, 1, 1472051776, 1472051790),
(56, '772ea91a-583b-4f2f-b95f-132b108726a0', 'en', 1, 'brand-1.jpg', 'public://2016-08/brand-1.jpg', 'image/jpeg', 7466, 1, 1472487192, 1472487201),
(57, '7932bc10-5bf5-4705-a4c9-dca8dbaa1f51', 'en', 1, 'brand-2.jpg', 'public://2016-08/brand-2.jpg', 'image/jpeg', 7466, 1, 1472487225, 1472487233),
(58, '89eac45c-440e-4fc0-81e8-f6d10d97ec71', 'en', 1, 'brand-3.jpg', 'public://2016-08/brand-3.jpg', 'image/jpeg', 7466, 1, 1472487254, 1472487262),
(59, 'c5dc96e3-065e-48a4-a919-db7e62bbc09d', 'en', 1, 'brand-4.jpg', 'public://2016-08/brand-4.jpg', 'image/jpeg', 7466, 1, 1472487284, 1472487296),
(60, '5bcc34c9-da2c-4b9d-9908-1a9e2ad840df', 'en', 1, 'brand-5.jpg', 'public://2016-08/brand-5.jpg', 'image/jpeg', 7466, 1, 1472487320, 1472487328),
(61, '43b80b9d-b9dc-45d4-b41d-3b0844d579ca', 'en', 1, 'brand-6.jpg', 'public://2016-08/brand-6.jpg', 'image/jpeg', 7466, 1, 1472487348, 1472487357),
(66, 'b721ab57-4ead-41eb-b0b8-0056dd46224b', 'en', 1, 'collection-1.jpg', 'public://2016-09/collection-1.jpg', 'image/jpeg', 18642, 1, 1474028116, 1474028126),
(67, 'c64dd370-2514-4b8f-b682-987253b794f3', 'en', 1, 'collection-3.jpg', 'public://2016-09/collection-3.jpg', 'image/jpeg', 18642, 1, 1474028134, 1474028141),
(68, '979883ac-ee95-4ac9-bcb1-2143e064c794', 'en', 1, 'collection-2.jpg', 'public://2016-09/collection-2.jpg', 'image/jpeg', 18642, 1, 1474028147, 1474028154),
(69, '1de0aec7-8038-4b4a-87ab-e97181737d41', 'en', 1, 'collection-4.jpg', 'public://2016-09/collection-4.jpg', 'image/jpeg', 18642, 1, 1474028234, 1474028242),
(70, 'edae9f37-9628-4de8-8660-bc3049bd66ef', 'en', 1, 'collection-5.jpg', 'public://2016-09/collection-5.jpg', 'image/jpeg', 18642, 1, 1474042145, 1474042154),
(71, 'c7aa1a47-ff16-43bb-ba43-d9cacf47c072', 'en', 1, 'collection-6.jpg', 'public://2016-09/collection-6.jpg', 'image/jpeg', 18642, 1, 1474042179, 1474042188),
(80, '613e5145-7717-48fe-ade1-65160ef77295', 'en', 1, 'fancy-image-1.jpg', 'public://2016-09/fancy-image-1.jpg', 'image/jpeg', 20125, 1, 1474456320, 1474456449),
(81, 'bc6a3c4b-c569-438d-8576-0be201875e8e', 'en', 1, 'fancy-image-2.jpg', 'public://2016-09/fancy-image-2.jpg', 'image/jpeg', 20125, 1, 1474456364, 1474456449),
(82, '04f7bc11-7833-484d-9938-804f6ebd555c', 'en', 1, 'fancy-image-3.jpg', 'public://2016-09/fancy-image-3.jpg', 'image/jpeg', 20125, 1, 1474456389, 1474456449),
(83, '2b4e5327-9383-4039-9278-bada1dc004cf', 'en', 1, 'team-member-5.jpg', 'public://2016-09/team-member-5.jpg', 'image/jpeg', 12753, 1, 1474914587, 1474914628),
(84, 'cbd494d1-09d4-4b5f-ba46-3ff21549ee12', 'en', 1, 'team-member-4.jpg', 'public://2016-09/team-member-4.jpg', 'image/jpeg', 12753, 1, 1474914693, 1474914724),
(85, '57b72496-585e-42ad-bc90-4c2c1530134a', 'en', 1, 'team-member-3.jpg', 'public://2016-09/team-member-3.jpg', 'image/jpeg', 12753, 1, 1474914797, 1474914833),
(86, '8e0fa308-336e-4299-b9c3-96c87a9a6c20', 'en', 1, 'team-member-2.jpg', 'public://2016-09/team-member-2.jpg', 'image/jpeg', 12753, 1, 1474914887, 1474914918),
(87, '00d1d2d1-5f82-4aad-81ef-0127d1ae085e', 'en', 1, 'team-member-1.jpg', 'public://2016-09/team-member-1.jpg', 'image/jpeg', 12753, 1, 1474914948, 1474914980),
(88, 'aa05df10-eb11-4da3-9abd-f2ff1bf0630a', 'en', 1, 'collection-4-landscape.jpg', 'public://2016-09/collection-4-landscape.jpg', 'image/jpeg', 12272, 1, 1475083219, 1475083225),
(90, '97c03756-333e-4996-914a-d217bd2889a5', 'en', 1, 'product-7.jpg', 'public://2016-10/product-7.jpg', 'image/jpeg', 20415, 1, 1476809289, 1476809343),
(91, '1f5ae9b6-05e1-49ee-8a94-f93adc48f954', 'en', 1, 'team-member-6.jpg', 'public://2016-11/team-member-6.jpg', 'image/jpeg', 12753, 1, 1478603963, 1478603977),
(94, '327e018f-e448-4ad0-9ab0-b2a98010d734', 'en', 1, 'testimonial-6.jpg', 'public://2016-11/testimonial-6.jpg', 'image/jpeg', 2988, 1, 1478799950, 1478799959),
(95, '9a67df51-b588-4a14-8bad-ce9d807e3f01', 'en', 1, 'testimonial-5.jpg', 'public://2016-11/testimonial-5.jpg', 'image/jpeg', 2988, 1, 1478799973, 1478799978),
(97, 'd1034832-290c-4098-99d8-de0f91c83f55', 'en', 1, 'testimonial-4.jpg', 'public://2016-11/testimonial-4.jpg', 'image/jpeg', 2988, 1, 1478800015, 1478800021),
(98, '29ef8074-bf71-46d1-8236-71cd64ec0b46', 'en', 1, 'testimonial-3.jpg', 'public://2016-11/testimonial-3.jpg', 'image/jpeg', 2988, 1, 1478800043, 1478800049),
(99, 'c77867d0-6870-41fb-9a8f-0f1c0cd21a44', 'en', 1, 'testimonial-2.jpg', 'public://2016-11/testimonial-2.jpg', 'image/jpeg', 2988, 1, 1478800058, 1478800063),
(100, '4c72c4d1-1ed7-48c3-a9f5-8be34de8f59f', 'en', 1, 'testimonial-1.jpg', 'public://2016-11/testimonial-1.jpg', 'image/jpeg', 2988, 1, 1478800072, 1478800078),
(101, '320eb095-3886-41c7-a53c-95f6035cb4a0', 'en', 1, 'fullwidth-slideshow-slide-1.jpg', 'public://2016-11/fullwidth-slideshow-slide-1.jpg', 'image/jpeg', 34554, 1, 1479923115, 1479923268),
(102, 'cc245e5e-ef3b-4a67-ba3c-900d80afd873', 'en', 1, 'fullwidth-slideshow-slide-2.jpg', 'public://2016-11/fullwidth-slideshow-slide-2.jpg', 'image/jpeg', 30491, 1, 1479923206, 1479923268),
(103, 'cfc7e440-e8c9-4d49-8684-8bbd4fde15c4', 'en', 1, 'fullwidth-slideshow-slide-3.jpg', 'public://2016-11/fullwidth-slideshow-slide-3.jpg', 'image/jpeg', 30329, 1, 1480006062, 1480006078),
(104, '65cb1700-66fc-4fbe-9dd2-2644e0eb324e', 'en', 1, 'video-thumb-1.jpg', 'public://2016-11/video-thumb-1.jpg', 'image/jpeg', 5408, 1, 1480420148, 1480420339),
(105, 'ed647481-6cff-4cdd-982e-04cbcc5b5039', 'en', 1, 'video-thumb-2.jpg', 'public://2016-11/video-thumb-2.jpg', 'image/jpeg', 5408, 1, 1480420194, 1480420339),
(106, 'a1992b54-d913-454f-908a-520b9e7bc5e9', 'en', 1, 'video-thumb-3.jpg', 'public://2016-11/video-thumb-3.jpg', 'image/jpeg', 5408, 1, 1480420222, 1480420339),
(107, 'f01dd072-dda2-4bae-b068-36be8d215873', 'en', 1, 'video-thumb-4.jpg', 'public://2016-11/video-thumb-4.jpg', 'image/jpeg', 5408, 1, 1480420243, 1480420339),
(108, '0101acb1-423e-48ca-94bb-10e33c72a861', 'en', 1, 'video-thumb-5.jpg', 'public://2016-11/video-thumb-5.jpg', 'image/jpeg', 5408, 1, 1480420290, 1480420339),
(109, '50506724-59e2-4525-9458-050cb34d168b', 'en', 1, 'video-thumb-6.jpg', 'public://2016-11/video-thumb-6.jpg', 'image/jpeg', 5408, 1, 1480420325, 1480420339),
(110, '7c248dfc-45d1-4beb-baea-8feab51ba8dd', 'en', 1, 'background-image-banner.jpg', 'public://2017-01/background-image-banner.jpg', 'image/jpeg', 35130, 1, 1484732696, 1484732709),
(111, 'ce31bbfd-4315-4b20-ae89-78636df16431', 'en', 1, 'background-image-cta-block.jpg', 'public://2017-01/background-image-cta-block.jpg', 'image/jpeg', 35130, 1, 1484732977, 1484733033),
(112, '1472d47b-eae1-4ee4-8983-e915fc5da267', 'en', 1, 'background-image-cta-block-2.jpg', 'public://2017-01/background-image-cta-block-2.jpg', 'image/jpeg', 35130, 1, 1484901012, 1484901066),
(114, '3676207f-cd5e-445d-987f-95708dec8b0b', 'en', 1, 'background-image-clients-carousel.jpg', 'public://2017-01/background-image-clients-carousel.jpg', 'image/jpeg', 35130, 1, 1485544123, 1485544173),
(115, 'dcd63647-4a2d-4884-9121-47d343415370', 'en', 1, 'background-image-about-us.jpg', 'public://2017-01/background-image-about-us.jpg', 'image/jpeg', 35130, 1, 1485805825, 1485805850),
(116, 'b0b545d7-d28d-4cfd-b138-f9fc42b10fd3', 'en', 1, 'background-image-services.jpg', 'public://2017-02/background-image-services.jpg', 'image/jpeg', 35130, 1, 1485966966, 1485966999),
(117, '778edf2e-0211-4ee5-b6ec-5da421dee892', 'en', 1, 'background-image-products.jpg', 'public://2017-02/background-image-products.jpg', 'image/jpeg', 35130, 1, 1485968567, 1485968594),
(118, '8b4e2809-8333-467d-ba51-e1785f397ee6', 'en', 1, 'background-image-showcases.jpg', 'public://2017-02/background-image-showcases.jpg', 'image/jpeg', 35130, 1, 1485968624, 1485968668),
(119, '432116aa-f092-4e40-9fba-f448bf1436a4', 'en', 1, 'background-image-blog.jpg', 'public://2017-02/background-image-blog.jpg', 'image/jpeg', 35130, 1, 1485968722, 1485968759),
(120, '0e6f1ced-d47f-4337-a622-bc18ce624122', 'en', 1, 'background-image-contact-us.jpg', 'public://2017-02/background-image-contact-us.jpg', 'image/jpeg', 35130, 1, 1485968791, 1485968817),
(121, '90a7031f-a72d-4fa9-99fc-7926f1424a99', 'en', 1, 'product-1-highlight-1.jpg', 'public://2017-06/product-1-highlight-1.jpg', 'image/jpeg', 18521, 1, 1497884754, 1497885069),
(122, 'dae94c1e-0f12-483b-bb6b-3087e500ed8f', 'en', 1, 'product-1-highlight-2.jpg', 'public://2017-06/product-1-highlight-2.jpg', 'image/jpeg', 18521, 1, 1497884856, 1497885069),
(123, '6496ff48-5f18-4e8e-a38d-8a49ab42279b', 'en', 1, 'product-1-highlight-3.jpg', 'public://2017-06/product-1-highlight-3.jpg', 'image/jpeg', 18521, 1, 1497884923, 1497885069),
(124, 'f690907b-593f-4194-8ac4-4bf735a860b4', 'en', 1, 'product-1-highlight-4.jpg', 'public://2017-06/product-1-highlight-4.jpg', 'image/jpeg', 18521, 1, 1497884978, 1497885069),
(125, '22913fc6-3556-450b-bce7-878c1af84b86', 'en', 1, 'product-2-2.jpg', 'public://2017-06/product-2-2.jpg', 'image/jpeg', 18521, 1, 1497885439, 1497885487),
(126, 'fd2394a7-d523-4061-9c71-6757495b4530', 'en', 1, 'product-2-3.jpg', 'public://2017-06/product-2-3.jpg', 'image/jpeg', 18521, 1, 1497885448, 1497885487),
(127, '31f8932b-fd32-4977-b17f-50cbd32ee5eb', 'en', 1, 'product-2-4.jpg', 'public://2017-06/product-2-4.jpg', 'image/jpeg', 18521, 1, 1497885459, 1497885487),
(128, '3dfeb2db-a83b-4a43-89b5-c4a0cfa8d9b9', 'en', 1, 'product-2-5.jpg', 'public://2017-06/product-2-5.jpg', 'image/jpeg', 18521, 1, 1497885467, 1497885487),
(129, '8127bb3f-2062-4d14-83d0-ad4605e26bda', 'en', 1, 'product-2-6.jpg', 'public://2017-06/product-2-6.jpg', 'image/jpeg', 18521, 1, 1497885475, 1497885487),
(130, 'ae94b07d-b0fe-4c47-8d77-d85047115017', 'en', 1, 'background-video.mp4', 'public://2017-06/background-video.mp4', 'video/mp4', 4788565, 1, 1498660588, 1498660591),
(131, '71578498-16d1-4f3a-bb4e-aed3396c4623', 'en', 1, 'background-video.webm', 'public://2017-06/background-video.webm', 'video/webm', 2683167, 1, 1498663362, 1498663369),
(132, 'dd9666c5-21af-4066-b94e-fc05ec5e4cd3', 'en', 1, 'video-poster.jpg', 'public://2017-06/video-poster.jpg', 'image/jpeg', 35130, 1, 1498729903, 1498729912),
(135, '91d02058-6249-458b-a0aa-019566d0408d', 'en', 1, 'product-1-banner-3.jpg', 'public://2017-10/product-1-banner-3.jpg', 'image/jpeg', 19682, 1, 1507031299, 1507031316),
(136, 'd99aef7a-1a35-4a57-b87d-110f0dc0fe8d', 'en', 1, 'benefit-1.jpg', 'public://2017-10/benefit-1.jpg', 'image/jpeg', 18521, 1, 1507193319, 1507193336),
(137, '484856ea-9117-41aa-8f7f-1ac45b613439', 'en', 1, 'benefit-2.jpg', 'public://2017-10/benefit-2.jpg', 'image/jpeg', 18521, 1, 1507193374, 1507193385),
(138, '3762864e-3a46-4ffe-bcc2-6a833a4f4609', 'en', 1, 'speaker-6.jpg', 'public://2017-12/speaker-6.jpg', 'image/jpeg', 12753, 1, 1513947375, 1513947418),
(139, '1aad8c53-40c6-4c51-9590-84ffc7bd4b14', 'en', 1, 'speaker-5.jpg', 'public://2017-12/speaker-5.jpg', 'image/jpeg', 12753, 1, 1513947699, 1513947718),
(140, 'aeb3dd98-7902-4933-9a2c-8d15016664e0', 'en', 1, 'speaker-4.jpg', 'public://2017-12/speaker-4.jpg', 'image/jpeg', 12753, 1, 1513947781, 1513947811),
(141, 'b2e13c94-afc6-44b8-bff5-7579cb905156', 'en', 1, 'speaker-3.jpg', 'public://2017-12/speaker-3.jpg', 'image/jpeg', 12753, 1, 1513947857, 1513947874),
(142, '9c53a38f-bb30-4a91-9871-4fcf5bf9013f', 'en', 1, 'speaker-2.jpg', 'public://2017-12/speaker-2.jpg', 'image/jpeg', 12753, 1, 1513947941, 1513947968),
(143, '14d645fd-1bee-476a-bf0c-75f24e0c0497', 'en', 1, 'speaker-1.jpg', 'public://2017-12/speaker-1.jpg', 'image/jpeg', 12753, 1, 1513948005, 1513948020),
(144, 'e3116523-c795-43e0-a5d0-44b826877578', 'en', 1, 'background-image-showcases-carousel.jpg', 'public://2018-01/background-image-showcases-carousel.jpg', 'image/jpeg', 35130, 1, 1515084401, 1515084636),
(145, '75b4aa29-9a60-40be-a041-4254747cd430', 'en', 1, 'logo-6.jpg', 'public://2018-01/logo-6.jpg', 'image/jpeg', 7466, 1, 1515674709, 1515674721),
(146, '8663d1e8-f735-4dc1-897f-7a9459e32a54', 'en', 1, 'logo-5.jpg', 'public://2018-01/logo-5.jpg', 'image/jpeg', 7466, 1, 1515685620, 1515685644),
(147, '44184d0c-064b-4026-8c74-901de7c41dd1', 'en', 1, 'logo-4.jpg', 'public://2018-01/logo-4.jpg', 'image/jpeg', 7466, 1, 1515685671, 1515685680),
(148, 'c868b35e-3071-4ac2-8417-d198494ca78c', 'en', 1, 'logo-3.jpg', 'public://2018-01/logo-3.jpg', 'image/jpeg', 7466, 1, 1515685709, 1515685788),
(149, '96ca8c9b-67a9-4825-9e1b-c528f2883c1a', 'en', 1, 'logo-2.jpg', 'public://2018-01/logo-2.jpg', 'image/jpeg', 7466, 1, 1515685831, 1515685843),
(150, '287186b2-1570-4e1c-8684-abe2546f8780', 'en', 1, 'logo-1.jpg', 'public://2018-01/logo-1.jpg', 'image/jpeg', 7466, 1, 1515685900, 1515685912),
(151, '215ddc7d-70c9-431b-9400-835ec51fe8b8', 'en', 1, 'album-6.jpg', 'public://2018-01/album-6.jpg', 'image/jpeg', 28656, 1, 1516375614, 1516375626),
(152, '6327a2f9-41a7-4984-b404-8959c4adaabd', 'en', 1, 'album-5.jpg', 'public://2018-01/album-5.jpg', 'image/jpeg', 28656, 1, 1516375655, 1516375669),
(153, '50ab2934-ec71-4a2e-9839-674addb67139', 'en', 1, 'album-4.jpg', 'public://2018-01/album-4.jpg', 'image/jpeg', 28656, 1, 1516375698, 1516375705),
(154, 'a08f0608-4083-409c-992d-b613f93e7ec6', 'en', 1, 'album-3.jpg', 'public://2018-01/album-3.jpg', 'image/jpeg', 28656, 1, 1516375726, 1516375733),
(155, 'bc379bd7-73d4-44dd-ae5a-80a129bdb5b9', 'en', 1, 'album-2.jpg', 'public://2018-01/album-2.jpg', 'image/jpeg', 28656, 1, 1516375765, 1516375771),
(156, 'b3f4095f-a862-4f3a-a1c8-389a79753114', 'en', 1, 'album-1.jpg', 'public://2018-01/album-1.jpg', 'image/jpeg', 28656, 1, 1516375793, 1516375862),
(157, '94f7d4a9-d9ce-48f3-a1c0-78d72022d5d6', 'en', 1, 'album-1-2.jpg', 'public://2018-01/album-1-2.jpg', 'image/jpeg', 28656, 1, 1516375803, 1516375862),
(158, 'dd786579-508c-458a-9637-36331a449532', 'en', 1, 'album-1-3.jpg', 'public://2018-01/album-1-3.jpg', 'image/jpeg', 28656, 1, 1516375814, 1516375862),
(159, 'f585ac1a-48b1-453f-b5c8-281f9e6ab2d6', 'en', 1, 'album-1-4.jpg', 'public://2018-01/album-1-4.jpg', 'image/jpeg', 28656, 1, 1516375825, 1516375862),
(160, '9e803815-d484-4121-b2d6-1d91d37b1697', 'en', 1, 'album-1-5.jpg', 'public://2018-01/album-1-5.jpg', 'image/jpeg', 28656, 1, 1516375834, 1516375862),
(161, '5c80c537-4552-486f-94dc-bdced4981b7c', 'en', 1, 'album-1-6.jpg', 'public://2018-01/album-1-6.jpg', 'image/jpeg', 28656, 1, 1516375856, 1516375862),
(162, '2d04718c-c13c-4b04-bdd9-2eb70b408725', 'en', 1, 'affiliation-1.jpg', 'public://2018-01/affiliation-1.jpg', 'image/jpeg', 7466, 1, 1516796289, 1516796311),
(163, '5129a54c-a414-4de1-b0c2-ed832740e5df', 'en', 1, 'affiliation-2.jpg', 'public://2018-01/affiliation-2.jpg', 'image/jpeg', 7466, 1, 1516796330, 1516796334),
(164, 'd67ff6cf-f084-448e-bc07-5307d6ea5e31', 'en', 1, 'affiliation-3.jpg', 'public://2018-01/affiliation-3.jpg', 'image/jpeg', 7466, 1, 1516796348, 1516796352),
(165, 'b0510b05-8ed2-4d5e-a7e1-7b6df88b5c17', 'en', 1, 'affiliation-4.jpg', 'public://2018-01/affiliation-4.jpg', 'image/jpeg', 7466, 1, 1516796365, 1516796370),
(166, '1d099101-6a2f-462b-8079-ca864acd9339', 'en', 1, 'affiliation-5.jpg', 'public://2018-01/affiliation-5.jpg', 'image/jpeg', 7466, 1, 1516796383, 1516796387),
(167, '881ad152-0b38-489e-b9e5-8a8e4d936d8a', 'en', 1, 'affiliation-6.jpg', 'public://2018-01/affiliation-6.jpg', 'image/jpeg', 7466, 1, 1516796402, 1516796407),
(168, '09d3fa80-b228-44e4-b51f-17d93a9ef97f', 'en', 1, 'mt-album-1.jpg', 'public://2018-01/mt-album-1.jpg', 'image/jpeg', 28656, 1, 1517414649, 1517414743),
(169, '69232634-879a-4876-97f3-1f6a5de2ccb4', 'en', 1, 'mt-album-1-2.jpg', 'public://2018-01/mt-album-1-2.jpg', 'image/jpeg', 28656, 1, 1517414675, 1517414743),
(170, '15937324-6767-4854-b28b-d7bf2aff10a8', 'en', 1, 'mt-album-1-3.jpg', 'public://2018-01/mt-album-1-3.jpg', 'image/jpeg', 28656, 1, 1517414692, 1517414743),
(171, '3aa0b78e-faa5-4ab4-ab17-4b53154c4839', 'en', 1, 'mt-album-1-4.jpg', 'public://2018-01/mt-album-1-4.jpg', 'image/jpeg', 28656, 1, 1517414705, 1517414743),
(172, '618ed997-bf2e-448f-8ad0-caab283847bc', 'en', 1, 'mt-album-1-5.jpg', 'public://2018-01/mt-album-1-5.jpg', 'image/jpeg', 28656, 1, 1517414716, 1517414743),
(173, '3269248c-5693-479b-844b-f9655654b5bc', 'en', 1, 'mt-album-1-6.jpg', 'public://2018-01/mt-album-1-6.jpg', 'image/jpeg', 28656, 1, 1517414726, 1517414743),
(174, '02f37ee7-a926-4bcc-957b-fa9db48a770b', 'en', 1, 'mt-album-2.jpg', 'public://2018-01/mt-album-2.jpg', 'image/jpeg', 28656, 1, 1517414762, 1517414778),
(175, '4a94e96a-7c5e-48e3-9ebc-5f2e30d9e51d', 'en', 1, 'mt-album-3.jpg', 'public://2018-01/mt-album-3.jpg', 'image/jpeg', 28656, 1, 1517414795, 1517414804),
(176, '55d31b49-892e-46dd-8fd0-240ceb2a071c', 'en', 1, 'mt-album-4.jpg', 'public://2018-01/mt-album-4.jpg', 'image/jpeg', 28656, 1, 1517414818, 1517414825),
(177, '399827cd-6ad7-4dec-91fc-1c7cfe14e606', 'en', 1, 'mt-album-5.jpg', 'public://2018-01/mt-album-5.jpg', 'image/jpeg', 28656, 1, 1517415116, 1517415123),
(178, '54f27aa3-48cb-4c78-a31f-f00c9bd49246', 'en', 1, 'mt-album-6.jpg', 'public://2018-01/mt-album-6.jpg', 'image/jpeg', 28656, 1, 1517415136, 1517415141),
(179, '020f24f3-df08-4c6f-bd23-55d645e83c94', 'en', 1, 'mt-benefit-2.jpg', 'public://2018-01/mt-benefit-2.jpg', 'image/jpeg', 28656, 1, 1517422417, 1517422423),
(181, '8deab385-a509-4622-8acc-ba10f5e4c36d', 'en', 1, 'mt-benefit-1.jpg', 'public://2018-01/mt-benefit-1.jpg', 'image/jpeg', 28656, 1, 1517422525, 1517422535),
(182, '0f64574e-345c-427b-b5a2-a794adc27e2a', 'en', 1, 'mt-product-1-highlight-1.jpg', 'public://2018-02/mt-product-1-highlight-1.jpg', 'image/jpeg', 18521, 1, 1517507436, 1517507579),
(183, '1f59ae01-ac79-4af7-a135-c2f1b48ed986', 'en', 1, 'mt-product-1-highlight-2.jpg', 'public://2018-02/mt-product-1-highlight-2.jpg', 'image/jpeg', 18521, 1, 1517507480, 1517507579),
(184, 'ea5c5f93-5923-42f6-b3f2-e92d7479d29c', 'en', 1, 'mt-product-1-highlight-3.jpg', 'public://2018-02/mt-product-1-highlight-3.jpg', 'image/jpeg', 18521, 1, 1517507515, 1517507579),
(185, 'dccb53aa-aa42-4500-99f1-1eabc37463e0', 'en', 1, 'mt-product-1-highlight-4.jpg', 'public://2018-02/mt-product-1-highlight-4.jpg', 'image/jpeg', 18521, 1, 1517507552, 1517507579),
(186, '7df3b1d8-3d73-4f65-9128-3548911a09cd', 'en', 1, 'mt-product-2.jpg', 'public://2018-02/mt-product-2.jpg', 'image/jpeg', 28656, 1, 1517510114, 1517510165),
(187, 'cd8b5e50-b3fb-4010-b20f-4e7c8821e464', 'en', 1, 'mt-product-2-2.jpg', 'public://2018-02/mt-product-2-2.jpg', 'image/jpeg', 28656, 1, 1517510124, 1517510165),
(188, '7bbe83d7-25c6-49af-a59c-c0ac886ccb0c', 'en', 1, 'mt-product-2-3.jpg', 'public://2018-02/mt-product-2-3.jpg', 'image/jpeg', 28656, 1, 1517510133, 1517510165),
(189, 'ba51b850-d17a-4f76-a106-4c03ca0f832c', 'en', 1, 'mt-product-2-4.jpg', 'public://2018-02/mt-product-2-4.jpg', 'image/jpeg', 28656, 1, 1517510139, 1517510165),
(190, '52cd0574-a287-48fd-8d2e-a2e9f3f6bda9', 'en', 1, 'mt-product-2-5.jpg', 'public://2018-02/mt-product-2-5.jpg', 'image/jpeg', 28656, 1, 1517510147, 1517510165),
(191, '2bc4b5e8-2858-4576-ad8a-05f02ae78254', 'en', 1, 'mt-product-2-6.jpg', 'public://2018-02/mt-product-2-6.jpg', 'image/jpeg', 28656, 1, 1517510155, 1517510165),
(192, '1af351b8-2765-45d5-baff-d34ef55b3931', 'en', 1, 'mt-product-3.jpg', 'public://2018-02/mt-product-3.jpg', 'image/jpeg', 28656, 1, 1517510647, 1517510656),
(193, '746bbc2e-eb81-4560-9901-d8db3c794aac', 'en', 1, 'mt-product-4.jpg', 'public://2018-02/mt-product-4.jpg', 'image/jpeg', 28656, 1, 1517510681, 1517510693),
(194, 'ece9e6f1-8450-4d98-ab4a-823bed8784f3', 'en', 1, 'mt-product-5.jpg', 'public://2018-02/mt-product-5.jpg', 'image/jpeg', 28656, 1, 1517510729, 1517510736),
(195, '124c8ea9-49ab-4204-9546-3229f5a39c67', 'en', 1, 'mt-product-6.jpg', 'public://2018-02/mt-product-6.jpg', 'image/jpeg', 28656, 1, 1517510781, 1517510787),
(196, '17c698cb-de16-47d5-88b2-9c12607b3ecc', 'en', 1, 'mt-product-7.jpg', 'public://2018-02/mt-product-7.jpg', 'image/jpeg', 28656, 1, 1517510823, 1517510828),
(197, '2f7d3fde-7f42-4d73-bc74-0d649ee54070', 'en', 1, 'mt-product-2-landscape.jpg', 'public://2018-02/mt-product-2-landscape.jpg', 'image/jpeg', 28656, 1, 1517564605, 1517564612),
(198, '93a70e71-1639-49bf-a8f8-8a9375de4b82', 'en', 1, 'mt-service-1.jpg', 'public://2018-02/mt-service-1.jpg', 'image/jpeg', 28656, 1, 1517843564, 1517843703),
(199, '02fb1d0e-add8-463e-a488-fd931b1ed903', 'en', 1, 'mt-service-1-2.jpg', 'public://2018-02/mt-service-1-2.jpg', 'image/jpeg', 28656, 1, 1517843573, 1517843703),
(200, 'b905b70d-df84-47b4-9543-e6081fba6d21', 'en', 1, 'mt-service-1-3.jpg', 'public://2018-02/mt-service-1-3.jpg', 'image/jpeg', 28656, 1, 1517843581, 1517843703),
(201, 'bbc42461-eb10-43d2-834e-e94db94e036e', 'en', 1, 'mt-service-1-4.jpg', 'public://2018-02/mt-service-1-4.jpg', 'image/jpeg', 28656, 1, 1517843588, 1517843703),
(202, '17b50637-722a-4733-8e69-821a0fd62101', 'en', 1, 'mt-service-1-5.jpg', 'public://2018-02/mt-service-1-5.jpg', 'image/jpeg', 28656, 1, 1517843597, 1517843703),
(203, 'd18f19c0-952e-4b70-8259-29e877f1427c', 'en', 1, 'mt-service-1-6.jpg', 'public://2018-02/mt-service-1-6.jpg', 'image/jpeg', 28656, 1, 1517843606, 1517843703),
(204, '2654132e-1cd9-4eda-b38f-dd89bffc4a08', 'en', 1, 'mt-service-6.jpg', 'public://2018-02/mt-service-6.jpg', 'image/jpeg', 28656, 1, 1517843824, 1517844144),
(205, '86827431-1950-4e20-ad5e-159e5d1fb82b', 'en', 1, 'mt-service-5.jpg', 'public://2018-02/mt-service-5.jpg', 'image/jpeg', 28656, 1, 1517844281, 1517844529),
(206, '76eb70a8-bffb-4fe5-81d9-18026934c81a', 'en', 1, 'mt-service-4.jpg', 'public://2018-02/mt-service-4.jpg', 'image/jpeg', 28656, 1, 1517844575, 1517844634),
(207, '2650c515-7198-47ff-9ede-96bddbdef9e1', 'en', 1, 'mt-service-3.jpg', 'public://2018-02/mt-service-3.jpg', 'image/jpeg', 28656, 1, 1517844721, 1517844786),
(208, 'ee241d35-ef74-4639-ba44-441362794ca0', 'en', 1, 'mt-service-2.jpg', 'public://2018-02/mt-service-2.jpg', 'image/jpeg', 28656, 1, 1517844824, 1517844859),
(209, 'f8470be3-1936-4e34-afce-8e6950d97ed3', 'en', 1, 'mt-showcase-1.jpg', 'public://2018-02/mt-showcase-1.jpg', 'image/jpeg', 28656, 1, 1517918938, 1517919109),
(210, 'd11c07b9-45dc-49c4-b9a1-356d74136b96', 'en', 1, 'mt-showcase-1-2.jpg', 'public://2018-02/mt-showcase-1-2.jpg', 'image/jpeg', 28656, 1, 1517918954, 1517919109),
(211, '2fd4c666-5301-4002-acc6-fe3e0576db35', 'en', 1, 'mt-showcase-1-3.jpg', 'public://2018-02/mt-showcase-1-3.jpg', 'image/jpeg', 28656, 1, 1517918968, 1517919109),
(212, '7aca3558-f7cc-4b29-a236-84c5d82248b7', 'en', 1, 'mt-showcase-2.jpg', 'public://2018-02/mt-showcase-2.jpg', 'image/jpeg', 28656, 1, 1517919410, 1517919435),
(213, '998aebe2-ac20-4f1e-8f2d-a09196e9169d', 'en', 1, 'mt-showcase-3.jpg', 'public://2018-02/mt-showcase-3.jpg', 'image/jpeg', 28656, 1, 1517919466, 1517919485),
(214, 'a116f53e-0b2d-4d44-932f-d13332cc5400', 'en', 1, 'mt-showcase-4.jpg', 'public://2018-02/mt-showcase-4.jpg', 'image/jpeg', 28656, 1, 1517919519, 1517919548),
(215, '31081901-8c96-4356-95c9-1dafa4ab9f89', 'en', 1, 'mt-showcase-5.jpg', 'public://2018-02/mt-showcase-5.jpg', 'image/jpeg', 28656, 1, 1517919597, 1517919629),
(216, 'd968f674-5d08-493a-bc69-ac514bb85c1e', 'en', 1, 'mt-showcase-6.jpg', 'public://2018-02/mt-showcase-6.jpg', 'image/jpeg', 28656, 1, 1517919849, 1517919871),
(217, 'a897b7d2-256e-4874-82ef-f2217954c063', 'en', 1, 'mt-speaker-1.jpg', 'public://2018-02/mt-speaker-1.jpg', 'image/jpeg', 12753, 1, 1518002138, 1518002163),
(218, 'e6b8f476-7016-4b2b-88aa-8bfc61fd7a29', 'en', 1, 'mt-speaker-2.jpg', 'public://2018-02/mt-speaker-2.jpg', 'image/jpeg', 12753, 1, 1518002187, 1518002211),
(219, '0d973056-62d2-4fa2-a518-69d8c56dfd80', 'en', 1, 'mt-speaker-3.jpg', 'public://2018-02/mt-speaker-3.jpg', 'image/jpeg', 12753, 1, 1518002233, 1518002263),
(221, '01aead7c-7c99-4339-9783-796432dbe35e', 'en', 1, 'mt-speaker-4.jpg', 'public://2018-02/mt-speaker-4_0.jpg', 'image/jpeg', 12753, 1, 1518002353, 1518002383),
(222, 'fffadc4c-5d74-460e-8e15-d1f99b956620', 'en', 1, 'mt-speaker-5.jpg', 'public://2018-02/mt-speaker-5.jpg', 'image/jpeg', 12753, 1, 1518002399, 1518002421),
(223, '412cf2f8-9aaf-443d-9915-38bc55b2aaae', 'en', 1, 'mt-speaker-6.jpg', 'public://2018-02/mt-speaker-6.jpg', 'image/jpeg', 12753, 1, 1518002437, 1518002464),
(224, '6fd125e6-71db-498b-986c-09439d92aadc', 'en', 1, 'mt-logo-1.jpg', 'public://2018-02/mt-logo-1.jpg', 'image/jpeg', 7466, 1, 1518019201, 1518019211),
(225, 'cc67a985-8ce3-441b-bf98-ed02373c7bee', 'en', 1, 'mt-logo-2.jpg', 'public://2018-02/mt-logo-2.jpg', 'image/jpeg', 7466, 1, 1518019225, 1518019237),
(226, 'a7e4b665-60a4-4135-abad-f9d47de8dd2f', 'en', 1, 'mt-logo-3.jpg', 'public://2018-02/mt-logo-3.jpg', 'image/jpeg', 7466, 1, 1518019248, 1518019259),
(227, 'b80372e4-f9e4-48b8-9003-01b0db8f3e67', 'en', 1, 'mt-logo-4.jpg', 'public://2018-02/mt-logo-4.jpg', 'image/jpeg', 7466, 1, 1518019273, 1518019282),
(228, '0214be8b-2370-4887-917d-88ca624c5e44', 'en', 1, 'mt-logo-5.jpg', 'public://2018-02/mt-logo-5.jpg', 'image/jpeg', 7466, 1, 1518019294, 1518019302),
(229, '522c3682-a182-4f3e-a67b-17fe2f6f3bbf', 'en', 1, 'mt-logo-6.jpg', 'public://2018-02/mt-logo-6.jpg', 'image/jpeg', 7466, 1, 1518019314, 1518019322),
(230, '36bbbf56-21be-4302-a772-d57fed25dacd', 'en', 1, 'mt-team-member-5.jpg', 'public://2018-02/mt-team-member-5.jpg', 'image/jpeg', 12753, 1, 1518024963, 1518024990),
(231, 'c7807ce9-6af1-430f-9fb8-a5cfec4df6d9', 'en', 1, 'mt-team-member-4.jpg', 'public://2018-02/mt-team-member-4.jpg', 'image/jpeg', 12753, 1, 1518025008, 1518025031),
(232, '8ca2536c-9680-4cbe-886b-95c2bf20b21c', 'en', 1, 'mt-team-member-3.jpg', 'public://2018-02/mt-team-member-3.jpg', 'image/jpeg', 12753, 1, 1518025048, 1518025069),
(233, 'bb092631-46cc-4e10-95d5-0ad29c66aa62', 'en', 1, 'mt-team-member-2.jpg', 'public://2018-02/mt-team-member-2.jpg', 'image/jpeg', 12753, 1, 1518025086, 1518025109),
(234, '9fe185da-dff8-4224-8352-9272a6e08662', 'en', 1, 'mt-team-member-1.jpg', 'public://2018-02/mt-team-member-1.jpg', 'image/jpeg', 12753, 1, 1518025122, 1518025143),
(235, '378cd599-fb6c-44a1-81cb-4000e069f0f5', 'en', 1, 'mt-team-member-6.jpg', 'public://2018-02/mt-team-member-6.jpg', 'image/jpeg', 12753, 1, 1518025161, 1518025204),
(236, '625cdd4b-032d-492b-802d-34efd87abfec', 'en', 1, 'mt-testimonial-6.jpg', 'public://2018-02/mt-testimonial-6.jpg', 'image/jpeg', 17096, 1, 1518088908, 1518088976),
(237, '2fd27f03-56be-4d5e-acbf-aae35532bac4', 'en', 1, 'mt-testimonial-5.jpg', 'public://2018-02/mt-testimonial-5.jpg', 'image/jpeg', 17096, 1, 1518088995, 1518089013),
(238, '335e2c88-c21f-4961-9e45-079abe228533', 'en', 1, 'mt-testimonial-1.jpg', 'public://2018-02/mt-testimonial-1.jpg', 'image/jpeg', 17096, 1, 1518089027, 1518089038),
(239, '491ae862-e8a6-4997-b5f1-4f335ea29b5f', 'en', 1, 'mt-testimonial-2.jpg', 'public://2018-02/mt-testimonial-2.jpg', 'image/jpeg', 17096, 1, 1518089050, 1518089062),
(240, 'e5e3a3ed-8626-46fd-9fab-8e27aba76337', 'en', 1, 'mt-testimonial-3.jpg', 'public://2018-02/mt-testimonial-3.jpg', 'image/jpeg', 17096, 1, 1518089076, 1518089091),
(241, 'b049c513-6d3d-4d66-838b-f681324e3708', 'en', 1, 'mt-testimonial-4.jpg', 'public://2018-02/mt-testimonial-4.jpg', 'image/jpeg', 17096, 1, 1518089106, 1518089119),
(242, 'f92af009-5f91-477f-a52e-7dc9f61a35bd', 'en', 1, 'mt-slide1.jpg', 'public://2018-02/mt-slide1.jpg', 'image/jpeg', 34554, 1, 1518631660, 1518631675),
(243, 'e09dfd17-ab2b-46b7-8277-fdc80e405651', 'en', 1, 'mt-slide2.jpg', 'public://2018-02/mt-slide2.jpg', 'image/jpeg', 30925, 1, 1518631687, 1518631712),
(244, 'b4a3739d-0fd2-41c9-9b20-acdece4e9181', 'en', 1, 'mt-slide3.jpg', 'public://2018-02/mt-slide3.jpg', 'image/jpeg', 30313, 1, 1518631739, 1518631760),
(245, '46054d9d-835b-4235-a001-7b689fdda46e', 'en', 1, 'mt-service-1-banner-1.jpg', 'public://2018-02/mt-service-1-banner-1.jpg', 'image/jpeg', 30491, 1, 1518712568, 1518712605),
(246, '29a903e9-b151-44a7-8839-4f3e39a74d5b', 'en', 1, 'mt-service-1-banner-2.jpg', 'public://2018-02/mt-service-1-banner-2.jpg', 'image/jpeg', 30329, 1, 1518712585, 1518712605),
(247, 'db9a657b-fbf6-4a81-82c4-6d976e1f060a', 'en', 1, 'mt-product-1-banner-1.jpg', 'public://2018-02/mt-product-1-banner-1.jpg', 'image/jpeg', 30491, 1, 1518714427, 1518714701),
(248, '4b91c923-f807-48ac-9917-34b4bedd24bc', 'en', 1, 'mt-product-1-banner-2.jpg', 'public://2018-02/mt-product-1-banner-2.jpg', 'image/jpeg', 30329, 1, 1518714447, 1518714701),
(249, '8a6bdbc5-92ca-4e23-ad9c-51408fcb6b68', 'en', 1, 'mt-product-1-banner-3.jpg', 'public://2018-02/mt-product-1-banner-3.jpg', 'image/jpeg', 19682, 1, 1518714466, 1518714701),
(250, '61af7d5a-f7f8-4120-b46e-e693df1dbdc2', 'en', 1, 'mt-abstract-1.jpg', 'public://2018-02/mt-abstract-1.jpg', 'image/jpeg', 28656, 1, 1519322889, 1519322984),
(251, 'f7481f11-bff3-424f-b812-c7e1d092cd94', 'en', 1, 'mt-abstract-1-2.jpg', 'public://2018-02/mt-abstract-1-2.jpg', 'image/jpeg', 28656, 1, 1519322912, 1519322984),
(252, 'ab10bfcc-04b7-4ced-bacf-333e19033c18', 'en', 1, 'mt-abstract-1-3.jpg', 'public://2018-02/mt-abstract-1-3.jpg', 'image/jpeg', 28656, 1, 1519322929, 1519322984),
(253, 'f778acd7-d44c-4ddc-8ba7-37dee07b96ab', 'en', 1, 'mt-abstract-1-4.jpg', 'public://2018-02/mt-abstract-1-4.jpg', 'image/jpeg', 28656, 1, 1519322937, 1519322984),
(254, '31f5e640-15c2-45a0-a020-8458a8e31898', 'en', 1, 'mt-abstract-1-5.jpg', 'public://2018-02/mt-abstract-1-5.jpg', 'image/jpeg', 28656, 1, 1519322945, 1519322984),
(255, '86e8440e-1934-47dc-a2d2-0f7cf2f99884', 'en', 1, 'mt-abstract-1-6.jpg', 'public://2018-02/mt-abstract-1-6.jpg', 'image/jpeg', 28656, 1, 1519322952, 1519322984),
(256, 'f104b9d4-89d4-4dd3-9089-5906dbabb23c', 'en', 1, 'mt-event-1.jpg', 'public://2018-02/mt-event-1.jpg', 'image/jpeg', 28656, 1, 1519400882, 1519400986),
(257, '04265c74-0ebb-4100-a696-f2dbc815d630', 'en', 1, 'mt-event-1-2.jpg', 'public://2018-02/mt-event-1-2.jpg', 'image/jpeg', 28656, 1, 1519400898, 1519400986),
(258, '2b863704-9e3a-4d79-9ece-f77bbb8f481d', 'en', 1, 'mt-event-1-3.jpg', 'public://2018-02/mt-event-1-3.jpg', 'image/jpeg', 28656, 1, 1519400909, 1519400986),
(259, '4726c7db-108f-4dff-9836-19bb67b59320', 'en', 1, 'mt-event-1-4.jpg', 'public://2018-02/mt-event-1-4.jpg', 'image/jpeg', 28656, 1, 1519400918, 1519400986),
(260, '3dc6a75b-8440-4e26-ad57-2d6368936340', 'en', 1, 'mt-event-1-5.jpg', 'public://2018-02/mt-event-1-5.jpg', 'image/jpeg', 28656, 1, 1519400926, 1519400986),
(261, 'd91243d0-369e-469f-9b03-6d8bb47da41b', 'en', 1, 'mt-event-1-6.jpg', 'public://2018-02/mt-event-1-6.jpg', 'image/jpeg', 28656, 1, 1519400936, 1519400986),
(262, '801011ba-461e-4a2c-889e-c5d65fddd285', 'en', 1, 'mt-presentation-1.jpg', 'public://2018-02/mt-presentation-1.jpg', 'image/jpeg', 28656, 1, 1519659919, 1519659961),
(263, '4538a981-fc4a-4f96-83ab-65c19c7b7894', 'en', 1, 'presentation-1.txt', 'public://2018-02/presentation-1.txt', 'text/plain', 0, 1, 1519730860, 1519730902),
(264, '47765c56-4539-49f5-9401-1968bdf0d4f5', 'en', 1, 'presentation-1-2.txt', 'public://2018-02/presentation-1-2.txt', 'text/plain', 0, 1, 1519730891, 1519730902),
(265, '0c32699b-42a3-4fd6-9c37-1e0c581ad6c9', 'en', 1, 'mt-presentation-1-2.jpg', 'public://2018-03/mt-presentation-1-2.jpg', 'image/jpeg', 28656, 1, 1519980704, 1519980805),
(266, '97d85cdb-22ce-44f3-bcef-a9aea7668297', 'en', 1, 'mt-presentation-1-3.jpg', 'public://2018-03/mt-presentation-1-3.jpg', 'image/jpeg', 28656, 1, 1519980714, 1519980805),
(267, '5aa50eed-b846-446c-a367-ed40a4320215', 'en', 1, 'mt-presentation-1-4.jpg', 'public://2018-03/mt-presentation-1-4.jpg', 'image/jpeg', 28656, 1, 1519980723, 1519980805),
(268, '3968bdc1-d89f-4bfa-bef4-d34cc7ebbd93', 'en', 1, 'mt-presentation-1-5.jpg', 'public://2018-03/mt-presentation-1-5.jpg', 'image/jpeg', 28656, 1, 1519980739, 1519980805),
(269, '398b498c-4fe3-4c25-bee0-cd4f168b5404', 'en', 1, 'mt-presentation-1-6.jpg', 'public://2018-03/mt-presentation-1-6.jpg', 'image/jpeg', 28656, 1, 1519980790, 1519980805),
(270, '8ae17153-f715-49ae-bcdc-7d3c881fb26d', 'en', 1, 'mt-presentation-2.jpg', 'public://2018-03/mt-presentation-2.jpg', 'image/jpeg', 28656, 1, 1519982707, 1519982745),
(271, 'fed4b117-eadc-4d36-9c51-7379b92c056a', 'en', 1, 'mt-presentation-3.jpg', 'public://2018-03/mt-presentation-3.jpg', 'image/jpeg', 28656, 1, 1519982922, 1519982960),
(272, '9d92d6e9-a02e-4c84-bb7e-ae6daafb79e5', 'en', 1, 'mt-presentation-4.jpg', 'public://2018-03/mt-presentation-4.jpg', 'image/jpeg', 28656, 1, 1519985692, 1519985730),
(273, 'a0c823ce-e0f9-4c8c-bffa-15213f9e616a', 'en', 1, 'mt-event-2.jpg', 'public://2018-03/mt-event-2.jpg', 'image/jpeg', 28656, 1, 1520507184, 1520507272),
(274, 'a3276db5-1ec7-4d86-83b9-786d567c32e3', 'en', 1, 'mt-event-3.jpg', 'public://2018-03/mt-event-3.jpg', 'image/jpeg', 28656, 1, 1520507333, 1520507362),
(275, '8c93a4e7-37b1-44a8-be1a-23da359d0089', 'en', 1, 'mt-event-4.jpg', 'public://2018-03/mt-event-4.jpg', 'image/jpeg', 28656, 1, 1520507676, 1520507682);

-- --------------------------------------------------------

--
-- Table structure for table `file_usage`
--

CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(50) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Track where a file is used.';

--
-- Dumping data for table `file_usage`
--

INSERT INTO `file_usage` VALUES
(8, 'file', 'node', '10', 1),
(9, 'file', 'node', '11', 1),
(10, 'file', 'node', '12', 1),
(11, 'file', 'node', '13', 1),
(12, 'file', 'node', '14', 1),
(13, 'file', 'node', '15', 1),
(14, 'file', 'user', '1', 1),
(15, 'file', 'node', '15', 1),
(16, 'file', 'node', '15', 1),
(17, 'file', 'node', '15', 1),
(18, 'file', 'node', '15', 1),
(66, 'file', 'taxonomy_term', '45', 1),
(67, 'file', 'taxonomy_term', '47', 1),
(68, 'file', 'taxonomy_term', '46', 1),
(69, 'file', 'taxonomy_term', '48', 1),
(80, 'file', 'paragraph', '16', 1),
(81, 'file', 'paragraph', '17', 1),
(82, 'file', 'paragraph', '18', 1),
(88, 'file', 'taxonomy_term', '48', 1),
(101, 'file', 'paragraph', '32', 1),
(102, 'file', 'paragraph', '33', 1),
(103, 'file', 'paragraph', '34', 1),
(104, 'file', 'paragraph', '35', 1),
(105, 'file', 'paragraph', '36', 1),
(106, 'file', 'paragraph', '37', 1),
(107, 'file', 'paragraph', '38', 1),
(108, 'file', 'paragraph', '39', 1),
(109, 'file', 'paragraph', '40', 1),
(111, 'file', 'block_content', '52', 1),
(112, 'file', 'block_content', '54', 1),
(114, 'file', 'block_content', '58', 1),
(121, 'file', 'paragraph', '49', 1),
(122, 'file', 'paragraph', '50', 1),
(123, 'file', 'paragraph', '51', 1),
(124, 'file', 'paragraph', '52', 1),
(130, 'file', 'block_content', '78', 1),
(131, 'file', 'block_content', '78', 1),
(132, 'file', 'block_content', '78', 1),
(144, 'file', 'block_content', '90', 1),
(151, 'file', 'node', '76', 1),
(152, 'file', 'node', '77', 1),
(153, 'file', 'node', '78', 1),
(154, 'file', 'node', '79', 1),
(155, 'file', 'node', '80', 3),
(156, 'file', 'node', '81', 1),
(157, 'file', 'node', '81', 1),
(158, 'file', 'node', '81', 1),
(159, 'file', 'node', '81', 1),
(160, 'file', 'node', '81', 1),
(161, 'file', 'node', '81', 1),
(162, 'file', 'taxonomy_term', '53', 1),
(163, 'file', 'taxonomy_term', '54', 1),
(164, 'file', 'taxonomy_term', '55', 1),
(165, 'file', 'taxonomy_term', '56', 1),
(166, 'file', 'taxonomy_term', '57', 1),
(167, 'file', 'taxonomy_term', '58', 1),
(168, 'file', 'node', '81', 3),
(169, 'file', 'node', '81', 3),
(170, 'file', 'node', '81', 3),
(171, 'file', 'node', '81', 3),
(172, 'file', 'node', '81', 3),
(173, 'file', 'node', '81', 3),
(174, 'file', 'node', '80', 2),
(175, 'file', 'node', '79', 2),
(176, 'file', 'node', '78', 2),
(177, 'file', 'node', '77', 2),
(178, 'file', 'node', '76', 2),
(182, 'file', 'paragraph', '65', 1),
(183, 'file', 'paragraph', '66', 1),
(184, 'file', 'paragraph', '67', 1),
(185, 'file', 'paragraph', '68', 1),
(186, 'file', 'node', '22', 1),
(187, 'file', 'node', '22', 1),
(188, 'file', 'node', '22', 1),
(189, 'file', 'node', '22', 1),
(190, 'file', 'node', '22', 1),
(191, 'file', 'node', '22', 1),
(192, 'file', 'node', '21', 1),
(193, 'file', 'node', '20', 1),
(194, 'file', 'node', '19', 1),
(195, 'file', 'node', '18', 1),
(196, 'file', 'node', '46', 1),
(197, 'file', 'node', '20', 1),
(198, 'file', 'node', '9', 1),
(199, 'file', 'node', '9', 1),
(200, 'file', 'node', '9', 1),
(201, 'file', 'node', '9', 1),
(202, 'file', 'node', '9', 1),
(203, 'file', 'node', '9', 1),
(204, 'file', 'node', '4', 1),
(205, 'file', 'node', '5', 1),
(206, 'file', 'node', '6', 1),
(207, 'file', 'node', '7', 1),
(208, 'file', 'node', '8', 1),
(217, 'file', 'node', '69', 1),
(218, 'file', 'node', '68', 1),
(219, 'file', 'node', '67', 1),
(221, 'file', 'node', '66', 1),
(222, 'file', 'node', '65', 1),
(223, 'file', 'node', '64', 1),
(224, 'file', 'node', '75', 1),
(225, 'file', 'node', '74', 1),
(226, 'file', 'node', '73', 1),
(227, 'file', 'node', '72', 1),
(228, 'file', 'node', '71', 1),
(229, 'file', 'node', '70', 1),
(230, 'file', 'node', '41', 1),
(231, 'file', 'node', '42', 1),
(232, 'file', 'node', '43', 1),
(233, 'file', 'node', '44', 1),
(234, 'file', 'node', '45', 1),
(235, 'file', 'node', '51', 1),
(236, 'file', 'node', '50', 1),
(237, 'file', 'node', '49', 1),
(238, 'file', 'node', '33', 1),
(239, 'file', 'node', '34', 1),
(240, 'file', 'node', '47', 1),
(241, 'file', 'node', '48', 1),
(242, 'file', 'node', '15', 1),
(243, 'file', 'node', '14', 1),
(244, 'file', 'node', '13', 1),
(245, 'file', 'node', '9', 1),
(246, 'file', 'node', '9', 1),
(247, 'file', 'node', '23', 1),
(248, 'file', 'node', '23', 1),
(249, 'file', 'node', '23', 1),
(250, 'file', 'node', '83', 10),
(251, 'file', 'node', '83', 10),
(252, 'file', 'node', '83', 10),
(253, 'file', 'node', '83', 10),
(254, 'file', 'node', '83', 10),
(255, 'file', 'node', '83', 10),
(256, 'file', 'node', '84', 2),
(257, 'file', 'node', '84', 2),
(258, 'file', 'node', '84', 2),
(259, 'file', 'node', '84', 2),
(260, 'file', 'node', '84', 2),
(261, 'file', 'node', '84', 2),
(262, 'file', 'node', '85', 2),
(263, 'file', 'node', '85', 2),
(264, 'file', 'node', '85', 2),
(265, 'file', 'node', '85', 2),
(266, 'file', 'node', '85', 2),
(267, 'file', 'node', '85', 2),
(268, 'file', 'node', '85', 2),
(269, 'file', 'node', '85', 2),
(270, 'file', 'node', '86', 2),
(271, 'file', 'node', '87', 2),
(272, 'file', 'node', '88', 2),
(273, 'file', 'node', '89', 1),
(274, 'file', 'node', '90', 1),
(275, 'file', 'node', '91', 1);

-- --------------------------------------------------------

--
-- Table structure for table `flood`
--

CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT 0 COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Flood controls the threshold of events, such as the number…';

-- --------------------------------------------------------

--
-- Table structure for table `fontyourface_font`
--

CREATE TABLE `fontyourface_font` (
  `fid` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `pid` varchar(50) NOT NULL,
  `url` varchar(191) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `css_family` varchar(255) DEFAULT NULL,
  `css_style` varchar(255) DEFAULT NULL,
  `css_weight` varchar(255) DEFAULT NULL,
  `foundry` varchar(255) DEFAULT NULL,
  `foundry_url` varchar(255) DEFAULT NULL,
  `license` varchar(255) DEFAULT NULL,
  `license_url` varchar(255) DEFAULT NULL,
  `designer` varchar(255) DEFAULT NULL,
  `designer_url` varchar(255) DEFAULT NULL,
  `metadata` longtext DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`fid`),
  UNIQUE KEY `font_field__uuid__value` (`uuid`),
  UNIQUE KEY `url` (`url`),
  KEY `name` (`name`(191)),
  KEY `pid` (`pid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for font entities.';

--
-- Dumping data for table `fontyourface_font`
--

INSERT INTO `fontyourface_font` VALUES
(1, '95a5f0d9-8edb-483b-93b0-e379dadb548e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Zeyada&subset=latin#regular', 'Zeyada regular (latin)', 'Zeyada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Zeyada:regular";s:6:"subset";s:5:"latin";}', 1468916080, 1468916080, 0),
(2, 'd71578ca-51a6-4ba0-9849-bc5d6ac0173e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin#700', 'Yrsa 700 (latin)', 'Yrsa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:700";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(3, 'e18f99f5-7ade-4a6f-8e03-3dde194581bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin-ext#700', 'Yrsa 700 (latin-ext)', 'Yrsa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:700";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(4, '9c3f53f0-4f32-4747-8b16-2ed1da40de1c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin#600', 'Yrsa 600 (latin)', 'Yrsa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:600";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(5, '8f392c9b-4025-4d16-8eaa-34f25c85713f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin-ext#600', 'Yrsa 600 (latin-ext)', 'Yrsa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:600";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(6, '8f48e09d-773b-4d2d-9206-bbfaaa2cca50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin#500', 'Yrsa 500 (latin)', 'Yrsa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:500";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(7, '9a71d961-58ca-4da2-88cc-f267c158ad49', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin-ext#500', 'Yrsa 500 (latin-ext)', 'Yrsa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:500";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(8, '88bf6e8b-da13-4812-9544-0a59e4b8b38d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin#regular', 'Yrsa regular (latin)', 'Yrsa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Yrsa:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(9, '9106f60a-30fc-410d-a4ae-056ff5a7c159', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin-ext#regular', 'Yrsa regular (latin-ext)', 'Yrsa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Yrsa:regular";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(10, '2320ef8b-df15-4796-a817-65938e45c2a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin#300', 'Yrsa 300 (latin)', 'Yrsa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:300";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(11, 'd640328a-d9fb-4e1a-88d6-f552dcdad213', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yrsa&subset=latin-ext#300', 'Yrsa 300 (latin-ext)', 'Yrsa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Yrsa:300";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(12, 'c6309522-5ab7-4ebc-a20d-f8f7d2e1635c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yesteryear&subset=latin#regular', 'Yesteryear regular (latin)', 'Yesteryear', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Yesteryear:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(13, '3b2f7eb2-92a6-491e-a7d8-c24e107df992', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yeseva One&subset=latin#regular', 'Yeseva One regular (latin)', 'Yeseva One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Yeseva One:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(14, '1bb9ec18-6623-4fef-a868-27a87fbc51e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yeseva One&subset=latin-ext#regular', 'Yeseva One regular (latin-ext)', 'Yeseva One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Yeseva One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(15, '25144648-1116-4489-8731-f9345582ee4b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yeseva One&subset=cyrillic#regular', 'Yeseva One regular (cyrillic)', 'Yeseva One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Yeseva One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916083, 1468916083, 0),
(16, 'f2f52f12-a605-4243-8847-867987a24d2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yellowtail&subset=latin#regular', 'Yellowtail regular (latin)', 'Yellowtail', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Yellowtail:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(17, 'e7aaae28-404f-4811-923a-9efe9400a2a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yatra One&subset=latin#regular', 'Yatra One regular (latin)', 'Yatra One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Yatra One:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(18, '651d586c-6b09-4117-aff8-c94e31385644', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yatra One&subset=devanagari#regular', 'Yatra One regular (devanagari)', 'Yatra One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Yatra One:regular";s:6:"subset";s:10:"devanagari";}', 1468916083, 1468916083, 0),
(19, '1e7eca22-6ae1-4aba-8943-8c7845cc55f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yatra One&subset=latin-ext#regular', 'Yatra One regular (latin-ext)', 'Yatra One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Yatra One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(20, '52fc83f4-67e5-4203-9e60-532e77c737c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin#900', 'Yantramanav 900 (latin)', 'Yantramanav', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:900";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(21, '4db87d77-d931-4b96-99b0-86f3109830ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=devanagari#900', 'Yantramanav 900 (devanagari)', 'Yantramanav', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:900";s:6:"subset";s:10:"devanagari";}', 1468916083, 1468916083, 0),
(22, '044b1115-a61a-4c7e-8fb7-88dde828459b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin-ext#900', 'Yantramanav 900 (latin-ext)', 'Yantramanav', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:900";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(23, '0c47fe72-c08d-4abf-a2f6-4c3c20642c85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin#700', 'Yantramanav 700 (latin)', 'Yantramanav', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:700";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(24, 'ee546f4e-9609-48e9-b174-431b3e1c38a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=devanagari#700', 'Yantramanav 700 (devanagari)', 'Yantramanav', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:700";s:6:"subset";s:10:"devanagari";}', 1468916083, 1468916083, 0),
(25, 'e442621d-3579-41fd-b9f6-27a4011547cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin-ext#700', 'Yantramanav 700 (latin-ext)', 'Yantramanav', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:700";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(26, '78b53017-68b8-469f-a451-88c4a9c073a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin#500', 'Yantramanav 500 (latin)', 'Yantramanav', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:500";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(27, 'a0796114-a1de-4be5-870e-2675f4032d56', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=devanagari#500', 'Yantramanav 500 (devanagari)', 'Yantramanav', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:500";s:6:"subset";s:10:"devanagari";}', 1468916083, 1468916083, 0),
(28, '34951538-db69-42c9-b0b6-4565c213cd33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin-ext#500', 'Yantramanav 500 (latin-ext)', 'Yantramanav', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:500";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(29, '89350db1-8823-443e-807b-0a88347f2544', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin#regular', 'Yantramanav regular (latin)', 'Yantramanav', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Yantramanav:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(30, 'a8539f9c-a0f0-4b06-a827-eea789397e5d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=devanagari#regular', 'Yantramanav regular (devanagari)', 'Yantramanav', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Yantramanav:regular";s:6:"subset";s:10:"devanagari";}', 1468916083, 1468916083, 0),
(31, '1fe91cf5-69bc-412c-8f01-72830ca81be5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin-ext#regular', 'Yantramanav regular (latin-ext)', 'Yantramanav', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Yantramanav:regular";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(32, '2f78f0bb-70b0-476f-b13a-a532615997a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin#300', 'Yantramanav 300 (latin)', 'Yantramanav', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:300";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(33, '5eee6aa9-93a5-4947-9523-3bf565694a14', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=devanagari#300', 'Yantramanav 300 (devanagari)', 'Yantramanav', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:300";s:6:"subset";s:10:"devanagari";}', 1468916083, 1468916083, 0),
(34, 'd13e4290-3156-4ded-b078-738928396145', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin-ext#300', 'Yantramanav 300 (latin-ext)', 'Yantramanav', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:300";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(35, 'feb3cccc-b1b9-4028-a06a-fd83fb9cb050', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin#100', 'Yantramanav 100 (latin)', 'Yantramanav', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:100";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(36, 'adafc567-b95f-4c96-bab3-bb8ce96d91f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=devanagari#100', 'Yantramanav 100 (devanagari)', 'Yantramanav', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:100";s:6:"subset";s:10:"devanagari";}', 1468916083, 1468916083, 0),
(37, '47e0f2c7-fcb3-4a9c-9eec-539e2cf08a33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yantramanav&subset=latin-ext#100', 'Yantramanav 100 (latin-ext)', 'Yantramanav', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Yantramanav:100";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(38, '5cc80263-5d81-47a9-9585-699b7ef12b45', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin#700', 'Yanone Kaffeesatz 700 (latin)', 'Yanone Kaffeesatz', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Yanone Kaffeesatz:700";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(39, 'b848d6ef-0263-4fb2-9cb6-11f4520d8944', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin-ext#700', 'Yanone Kaffeesatz 700 (latin-ext)', 'Yanone Kaffeesatz', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Yanone Kaffeesatz:700";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(40, '3ec49c6f-6617-4b28-8895-9cc5edabc90f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin#regular', 'Yanone Kaffeesatz regular (latin)', 'Yanone Kaffeesatz', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Yanone Kaffeesatz:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(41, '3a783b56-94a8-426d-89a2-d37eb66c4163', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin-ext#regular', 'Yanone Kaffeesatz regular (latin-ext)', 'Yanone Kaffeesatz', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Yanone Kaffeesatz:regular";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(42, '6985cce7-c3b3-4bde-a75f-46202ff4fe16', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin#300', 'Yanone Kaffeesatz 300 (latin)', 'Yanone Kaffeesatz', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Yanone Kaffeesatz:300";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(43, '81509f6a-acc0-4022-84fb-833a99c28299', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin-ext#300', 'Yanone Kaffeesatz 300 (latin-ext)', 'Yanone Kaffeesatz', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Yanone Kaffeesatz:300";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(44, '89d8ab67-269e-4bda-8c06-b34c5e2fbb11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin#200', 'Yanone Kaffeesatz 200 (latin)', 'Yanone Kaffeesatz', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Yanone Kaffeesatz:200";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(45, '7b014c64-43c9-4c3f-b5bf-9b0fc32ca058', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Yanone Kaffeesatz&subset=latin-ext#200', 'Yanone Kaffeesatz 200 (latin-ext)', 'Yanone Kaffeesatz', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Yanone Kaffeesatz:200";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(46, '89a498c1-eec8-4b5e-a95c-024506451ec8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#900', 'Work Sans 900 (latin)', 'Work Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:900";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(47, 'a9f77504-6ebf-4f92-b42c-fae10387d6a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#900', 'Work Sans 900 (latin-ext)', 'Work Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:900";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(48, '643ec059-69f4-43f5-a360-910263a57145', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#800', 'Work Sans 800 (latin)', 'Work Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:800";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(49, '8b042623-22bb-4f31-852e-3f5934481659', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#800', 'Work Sans 800 (latin-ext)', 'Work Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:800";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(50, '776d1a6e-42b7-464a-82fb-3fa69606a876', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#700', 'Work Sans 700 (latin)', 'Work Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:700";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(51, '060de55d-dc2e-4e7f-a218-a8b48caa177d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#700', 'Work Sans 700 (latin-ext)', 'Work Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(52, 'a6bd4a64-5b6e-43ca-b1a9-d2cdea952f80', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#600', 'Work Sans 600 (latin)', 'Work Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:600";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(53, '639d9ab0-297b-4393-b70b-a9db2a8b3581', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#600', 'Work Sans 600 (latin-ext)', 'Work Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:600";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(54, '304a1608-d9d6-4ac0-aac2-be4b101c0d8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#500', 'Work Sans 500 (latin)', 'Work Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:500";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(55, '9a78aa08-26c3-4ebc-8873-8059431efd39', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#500', 'Work Sans 500 (latin-ext)', 'Work Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:500";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(56, '79ea96eb-3e0c-434b-9764-fe57af77d768', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#regular', 'Work Sans regular (latin)', 'Work Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Work Sans:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(57, 'c5bd6016-0dc5-491e-b900-158e0d8fa0da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#regular', 'Work Sans regular (latin-ext)', 'Work Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Work Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(58, '1887f9cf-ed26-435c-8ba7-af7518a6ebea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#300', 'Work Sans 300 (latin)', 'Work Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:300";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(59, '7911c7e3-c3e5-4c0a-a887-332f66e0c7bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#300', 'Work Sans 300 (latin-ext)', 'Work Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:300";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(60, '19c3131c-86de-42ea-a564-7166223643b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#200', 'Work Sans 200 (latin)', 'Work Sans', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:200";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(61, '2fbb0bb8-3fa5-4727-bcfe-6d9ad711d26c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#200', 'Work Sans 200 (latin-ext)', 'Work Sans', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:200";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(62, 'e39d904a-5e39-45e4-8528-ae69186e97d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin#100', 'Work Sans 100 (latin)', 'Work Sans', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:100";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(63, '80884112-a112-48c3-92ee-df48b98adc89', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Work Sans&subset=latin-ext#100', 'Work Sans 100 (latin-ext)', 'Work Sans', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Work Sans:100";s:6:"subset";s:9:"latin-ext";}', 1468916083, 1468916083, 0),
(64, '2af5fcc3-8071-482d-9552-0775495ceb2a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Wire One&subset=latin#regular', 'Wire One regular (latin)', 'Wire One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Wire One:regular";s:6:"subset";s:5:"latin";}', 1468916083, 1468916083, 0),
(65, '5c857279-f592-4e76-8e40-22428661acd6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Wendy One&subset=latin#regular', 'Wendy One regular (latin)', 'Wendy One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Wendy One:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(66, 'b9c66cb3-b1e3-409b-bf02-4bf37c39e1c0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Wendy One&subset=latin-ext#regular', 'Wendy One regular (latin-ext)', 'Wendy One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Wendy One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(67, 'dacd6ca1-611e-49da-bfac-c0fdef0e165f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Wellfleet&subset=latin#regular', 'Wellfleet regular (latin)', 'Wellfleet', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Wellfleet:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(68, 'b03de8ad-350e-432f-8561-a8bba694e1d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Wellfleet&subset=latin-ext#regular', 'Wellfleet regular (latin-ext)', 'Wellfleet', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Wellfleet:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(69, '2914d761-153b-4d99-afd7-4afdd16e3947', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Warnes&subset=latin#regular', 'Warnes regular (latin)', 'Warnes', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Warnes:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(70, '01448f37-91c7-4acb-8167-2b30f0dfecc8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Warnes&subset=latin-ext#regular', 'Warnes regular (latin-ext)', 'Warnes', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Warnes:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(71, '833a4a3d-646c-4624-9117-edfae3ef7383', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Walter Turncoat&subset=latin#regular', 'Walter Turncoat regular (latin)', 'Walter Turncoat', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Walter Turncoat:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(72, 'f75cbfff-f255-4aad-b9ac-96a3fea344d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Wallpoet&subset=latin#regular', 'Wallpoet regular (latin)', 'Wallpoet', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Wallpoet:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(73, '4033fcab-923c-4ad7-ae23-340393e88589', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Waiting for the Sunrise&subset=latin#regular', 'Waiting for the Sunrise regular (latin)', 'Waiting for the Sunrise', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:31:"Waiting for the Sunrise:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(74, 'e62bc7b5-0632-4cf5-8234-55f1f25610b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Voltaire&subset=latin#regular', 'Voltaire regular (latin)', 'Voltaire', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Voltaire:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(75, 'c261777e-d1e8-4c15-ab3b-220700bc13db', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vollkorn&subset=latin#700italic', 'Vollkorn 700italic (latin)', 'Vollkorn', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Vollkorn:700italic";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(76, '740b7783-d054-4320-98e3-fd77500aa6c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vollkorn&subset=latin#700', 'Vollkorn 700 (latin)', 'Vollkorn', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Vollkorn:700";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(77, 'ff381af3-8fa6-4b55-bc2a-eeb0e82afbaf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vollkorn&subset=latin#italic', 'Vollkorn italic (latin)', 'Vollkorn', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Vollkorn:italic";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(78, '22831046-1976-43a9-b7f3-845090ee4d99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vollkorn&subset=latin#regular', 'Vollkorn regular (latin)', 'Vollkorn', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vollkorn:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(79, '868ac5c7-6c0b-4524-83e8-cc469b1426fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Volkhov&subset=latin#700italic', 'Volkhov 700italic (latin)', 'Volkhov', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Volkhov:700italic";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(80, '416f5566-8c06-445d-bbda-73e517d96d8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Volkhov&subset=latin#700', 'Volkhov 700 (latin)', 'Volkhov', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Volkhov:700";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(81, 'cd102006-b46c-4273-95ef-077a44b4ec13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Volkhov&subset=latin#italic', 'Volkhov italic (latin)', 'Volkhov', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Volkhov:italic";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(82, 'c294680f-9d37-4259-aa5f-132f6cff8040', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Volkhov&subset=latin#regular', 'Volkhov regular (latin)', 'Volkhov', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Volkhov:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(83, '90cc1c0b-f04c-4124-a9ea-018c163f9fb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Voces&subset=latin#regular', 'Voces regular (latin)', 'Voces', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Voces:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(84, 'f789dcc7-db0b-437f-b536-ce5dd3dce5d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Voces&subset=latin-ext#regular', 'Voces regular (latin-ext)', 'Voces', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Voces:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(85, '139a130a-d1cc-4ddd-af1d-e54c10443473', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Viga&subset=latin#regular', 'Viga regular (latin)', 'Viga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Viga:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(86, '8691c0cd-8664-45c6-a2bf-ae5dde185414', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Viga&subset=latin-ext#regular', 'Viga regular (latin-ext)', 'Viga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Viga:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(87, 'b6f38d3f-8a71-4211-a427-c629e3b6fa31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vidaloka&subset=latin#regular', 'Vidaloka regular (latin)', 'Vidaloka', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vidaloka:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(88, '38e98534-6ab2-4796-a84f-f066eba24672', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vibur&subset=latin#regular', 'Vibur regular (latin)', 'Vibur', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Vibur:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(89, 'f6820d07-c930-4e40-9133-17e92de3937f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin#900', 'Vesper Libre 900 (latin)', 'Vesper Libre', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:900";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(90, '0f989891-a30d-4072-8d4a-49530eeeec34', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=devanagari#900', 'Vesper Libre 900 (devanagari)', 'Vesper Libre', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:900";s:6:"subset";s:10:"devanagari";}', 1468916084, 1468916084, 0),
(91, '1c69d503-862d-4826-b2a3-08e3fcf700d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin-ext#900', 'Vesper Libre 900 (latin-ext)', 'Vesper Libre', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:900";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(92, '53bcd89f-befe-430d-bdac-b150df0e9ef4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin#700', 'Vesper Libre 700 (latin)', 'Vesper Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:700";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(93, '3be9d4f9-17d5-4606-acb3-69d1be941b75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=devanagari#700', 'Vesper Libre 700 (devanagari)', 'Vesper Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:700";s:6:"subset";s:10:"devanagari";}', 1468916084, 1468916084, 0),
(94, '59f28d8f-a73e-423d-aa4a-572028e6de77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin-ext#700', 'Vesper Libre 700 (latin-ext)', 'Vesper Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:700";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(95, 'a0b44030-7c85-47c8-872b-438e067d113a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin#500', 'Vesper Libre 500 (latin)', 'Vesper Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:500";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(96, '366f965f-c0c3-4e22-aee2-39627a9d6024', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=devanagari#500', 'Vesper Libre 500 (devanagari)', 'Vesper Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:500";s:6:"subset";s:10:"devanagari";}', 1468916084, 1468916084, 0),
(97, 'cbc6df98-0ba4-4496-9722-b0f02865dcc1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin-ext#500', 'Vesper Libre 500 (latin-ext)', 'Vesper Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Vesper Libre:500";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(98, '6f4a8f67-4a24-4dda-8591-178d21feb44f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin#regular', 'Vesper Libre regular (latin)', 'Vesper Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Vesper Libre:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(99, '37af899c-310e-4130-8880-9df98200275d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=devanagari#regular', 'Vesper Libre regular (devanagari)', 'Vesper Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Vesper Libre:regular";s:6:"subset";s:10:"devanagari";}', 1468916084, 1468916084, 0),
(100, 'c3b0e5f6-2145-497d-902b-e19dc8c65fa4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vesper Libre&subset=latin-ext#regular', 'Vesper Libre regular (latin-ext)', 'Vesper Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Vesper Libre:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(101, '51287f64-24c3-4997-976b-c5a7f8c46035', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vast Shadow&subset=latin#regular', 'Vast Shadow regular (latin)', 'Vast Shadow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Vast Shadow:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(102, 'e7235318-01cd-49dc-ab5c-3dd26e9de7ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Varela Round&subset=latin#regular', 'Varela Round regular (latin)', 'Varela Round', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Varela Round:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(103, 'f496728a-3cf4-4586-8c80-a56ad8b2f1d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Varela Round&subset=hebrew#regular', 'Varela Round regular (hebrew)', 'Varela Round', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Varela Round:regular";s:6:"subset";s:6:"hebrew";}', 1468916084, 1468916084, 0),
(104, 'b2231427-85bb-4fd5-a3ca-46990a78bc87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Varela&subset=latin#regular', 'Varela regular (latin)', 'Varela', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Varela:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(105, '3c878218-e2a5-4920-b293-76374d8d9b0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Varela&subset=latin-ext#regular', 'Varela regular (latin-ext)', 'Varela', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Varela:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(106, '2c32d9a7-1f48-4c5f-8050-d84dd96ffcda', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vampiro One&subset=latin#regular', 'Vampiro One regular (latin)', 'Vampiro One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Vampiro One:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(107, '9e13369f-95da-44aa-a17c-1b4b54e43a32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Vampiro One&subset=latin-ext#regular', 'Vampiro One regular (latin-ext)', 'Vampiro One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Vampiro One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(108, '994ab8ee-3c01-4ecf-90c7-a90dde889f31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=VT323&subset=latin#regular', 'VT323 regular (latin)', 'VT323', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"VT323:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(109, '9fd40f46-5a21-44e3-a542-6d3a0229f732', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Unna&subset=latin#regular', 'Unna regular (latin)', 'Unna', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Unna:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(110, 'db6bbfe6-9111-4f14-aa88-3e2bcdf76a66', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Unlock&subset=latin#regular', 'Unlock regular (latin)', 'Unlock', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Unlock:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(111, '35a22d7d-2d24-4b3a-aaee-1e5c2f2365f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Unkempt&subset=latin#700', 'Unkempt 700 (latin)', 'Unkempt', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Unkempt:700";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(112, '83713b86-6415-449c-9486-31a68fcbe804', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Unkempt&subset=latin#regular', 'Unkempt regular (latin)', 'Unkempt', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Unkempt:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(113, '98541818-96c6-472c-865a-3695536e0b02', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=UnifrakturMaguntia&subset=latin#regular', 'UnifrakturMaguntia regular (latin)', 'UnifrakturMaguntia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"UnifrakturMaguntia:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(114, '29dd909e-b51f-42a0-8dd1-6cd67fa0c9a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=UnifrakturCook&subset=latin#700', 'UnifrakturCook 700 (latin)', 'UnifrakturCook', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"UnifrakturCook:700";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(115, 'dfb914bd-3e76-4260-9fef-e3afa52513bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Unica One&subset=latin#regular', 'Unica One regular (latin)', 'Unica One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Unica One:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(116, '077af094-0dc3-4534-88c4-7aac702ccd4e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Unica One&subset=latin-ext#regular', 'Unica One regular (latin-ext)', 'Unica One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Unica One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(117, '659f054c-80a9-4328-9dbe-d45eddaac3c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Underdog&subset=latin#regular', 'Underdog regular (latin)', 'Underdog', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Underdog:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(118, '7ee62d30-5121-490f-aa5a-1d88c4059613', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Underdog&subset=latin-ext#regular', 'Underdog regular (latin-ext)', 'Underdog', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Underdog:regular";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(119, '12638e12-f9a8-4195-a05c-12167b2ae371', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Underdog&subset=cyrillic#regular', 'Underdog regular (cyrillic)', 'Underdog', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Underdog:regular";s:6:"subset";s:8:"cyrillic";}', 1468916084, 1468916084, 0),
(120, '95f0e581-7a52-4686-a85b-b55dcc0614fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Uncial Antiqua&subset=latin#regular', 'Uncial Antiqua regular (latin)', 'Uncial Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Uncial Antiqua:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(121, 'a47774c8-cd39-4fca-821b-2c819997c519', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ultra&subset=latin#regular', 'Ultra regular (latin)', 'Ultra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ultra:regular";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(122, '5bfdc38e-7dcc-4d4f-bb48-27d2c59e01b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic-ext#700italic', 'Ubuntu Mono 700italic (cyrillic-ext)', 'Ubuntu Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ubuntu Mono:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916084, 1468916084, 0),
(123, '811b1e79-8f6f-4c16-8ca1-c1d3d033c0dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin#700italic', 'Ubuntu Mono 700italic (latin)', 'Ubuntu Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ubuntu Mono:700italic";s:6:"subset";s:5:"latin";}', 1468916084, 1468916084, 0),
(124, '90342710-b089-4c88-b01c-22adbe656346', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek-ext#700italic', 'Ubuntu Mono 700italic (greek-ext)', 'Ubuntu Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ubuntu Mono:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916084, 1468916084, 0),
(125, '0258a06a-23fe-4578-a2e3-2b574c5cede6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek#700italic', 'Ubuntu Mono 700italic (greek)', 'Ubuntu Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ubuntu Mono:700italic";s:6:"subset";s:5:"greek";}', 1468916084, 1468916084, 0),
(126, 'c41c3b34-5d07-49ab-9c67-c1587f36a158', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin-ext#700italic', 'Ubuntu Mono 700italic (latin-ext)', 'Ubuntu Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ubuntu Mono:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916084, 1468916084, 0),
(127, '442b5cea-3509-423f-a7f0-8adb964043fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic#700italic', 'Ubuntu Mono 700italic (cyrillic)', 'Ubuntu Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ubuntu Mono:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916084, 1468916084, 0),
(128, '9c2739ed-7b64-4834-981b-8ea1f6f9099a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic-ext#700', 'Ubuntu Mono 700 (cyrillic-ext)', 'Ubuntu Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Ubuntu Mono:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916084, 1468916084, 0),
(129, '7f411178-3028-4838-94cd-2f2f4ddff3f0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin#700', 'Ubuntu Mono 700 (latin)', 'Ubuntu Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Ubuntu Mono:700";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(130, 'a90df7c3-afe0-4bc1-90d7-af68d38880ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek-ext#700', 'Ubuntu Mono 700 (greek-ext)', 'Ubuntu Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Ubuntu Mono:700";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(131, '19c4182f-f9d7-402f-94ec-31875dab0e5e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek#700', 'Ubuntu Mono 700 (greek)', 'Ubuntu Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Ubuntu Mono:700";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(132, '5b65e15e-6bf9-475c-bfd0-0e46a1e11bb5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin-ext#700', 'Ubuntu Mono 700 (latin-ext)', 'Ubuntu Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Ubuntu Mono:700";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(133, '06554658-2769-4347-a6df-c536fbcda5e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic#700', 'Ubuntu Mono 700 (cyrillic)', 'Ubuntu Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Ubuntu Mono:700";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(134, 'f51ab371-c90a-424f-904f-b623137bd2fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic-ext#italic', 'Ubuntu Mono italic (cyrillic-ext)', 'Ubuntu Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ubuntu Mono:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(135, 'b9b6d0b1-dec2-4652-b75a-416af41e327c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin#italic', 'Ubuntu Mono italic (latin)', 'Ubuntu Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ubuntu Mono:italic";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(136, '3e6346bd-deff-4465-ba93-046099388915', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek-ext#italic', 'Ubuntu Mono italic (greek-ext)', 'Ubuntu Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ubuntu Mono:italic";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(137, '72778d1b-b692-46f3-872e-5a3b79f889f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek#italic', 'Ubuntu Mono italic (greek)', 'Ubuntu Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ubuntu Mono:italic";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(138, '17c9c3d7-bd03-442f-b3c4-ed6fc4020969', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin-ext#italic', 'Ubuntu Mono italic (latin-ext)', 'Ubuntu Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ubuntu Mono:italic";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(139, '8e5f8d8c-a2c6-4b31-89c2-ddc8b035f73f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic#italic', 'Ubuntu Mono italic (cyrillic)', 'Ubuntu Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ubuntu Mono:italic";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(140, '9456e08c-e436-48dd-bf8a-d244f78f5e5d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic-ext#regular', 'Ubuntu Mono regular (cyrillic-ext)', 'Ubuntu Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ubuntu Mono:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(141, 'b85b86b8-87d3-4a34-85fd-09d2534ec4b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin#regular', 'Ubuntu Mono regular (latin)', 'Ubuntu Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ubuntu Mono:regular";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(142, '49f20475-e19d-4270-bae9-a56e5bc470f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek-ext#regular', 'Ubuntu Mono regular (greek-ext)', 'Ubuntu Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ubuntu Mono:regular";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(143, '97d4ffbf-1ce0-4b28-8273-342770c5ee8e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=greek#regular', 'Ubuntu Mono regular (greek)', 'Ubuntu Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ubuntu Mono:regular";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(144, 'fcbbb3f6-7f8d-41c4-9bd7-78f32db56840', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=latin-ext#regular', 'Ubuntu Mono regular (latin-ext)', 'Ubuntu Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ubuntu Mono:regular";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(145, 'e723e0ee-22a3-4150-8087-5674bb19bbd9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Mono&subset=cyrillic#regular', 'Ubuntu Mono regular (cyrillic)', 'Ubuntu Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ubuntu Mono:regular";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(146, '2aec30ff-450e-4b73-9dfe-3076798b2bea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Condensed&subset=cyrillic-ext#regular', 'Ubuntu Condensed regular (cyrillic-ext)', 'Ubuntu Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Ubuntu Condensed:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(147, '7d775f2b-c5ae-415c-aa89-ce20648f964d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Condensed&subset=latin#regular', 'Ubuntu Condensed regular (latin)', 'Ubuntu Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Ubuntu Condensed:regular";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(148, 'bb09917a-afa5-46ae-895c-29185c5df87e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Condensed&subset=greek-ext#regular', 'Ubuntu Condensed regular (greek-ext)', 'Ubuntu Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Ubuntu Condensed:regular";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(149, '5c28aa1d-e465-42c8-b2eb-f40e02744eaf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Condensed&subset=greek#regular', 'Ubuntu Condensed regular (greek)', 'Ubuntu Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Ubuntu Condensed:regular";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(150, '89babf37-6017-4d80-b318-b654b5ad20a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Condensed&subset=latin-ext#regular', 'Ubuntu Condensed regular (latin-ext)', 'Ubuntu Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Ubuntu Condensed:regular";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(151, 'df28aa22-007d-4030-8484-5a3dd84a8326', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu Condensed&subset=cyrillic#regular', 'Ubuntu Condensed regular (cyrillic)', 'Ubuntu Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Ubuntu Condensed:regular";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(152, '3989bd35-1c8e-47ae-bbdc-c3d8a7ad071c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#700italic', 'Ubuntu 700italic (cyrillic-ext)', 'Ubuntu', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(153, '7bea8301-96af-44a0-b86e-e2d4375dbcc0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#700italic', 'Ubuntu 700italic (latin)', 'Ubuntu', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:700italic";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(154, '7829ee9c-2a21-4b94-91cb-b6185d352a0a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#700italic', 'Ubuntu 700italic (greek-ext)', 'Ubuntu', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(155, 'eaa6cb1f-7d12-4d56-81fb-aa9f24b0b98b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#700italic', 'Ubuntu 700italic (greek)', 'Ubuntu', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:700italic";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(156, '4327d69c-8204-467c-84da-3c4b539cbcd1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#700italic', 'Ubuntu 700italic (latin-ext)', 'Ubuntu', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(157, 'b65133dc-57f7-4dc2-ac92-df37fa2cbd52', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#700italic', 'Ubuntu 700italic (cyrillic)', 'Ubuntu', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(158, 'f86061d5-6b83-4585-8f7c-25cf37b36dd5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#700', 'Ubuntu 700 (cyrillic-ext)', 'Ubuntu', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(159, '1617963a-6a01-4557-8f10-6e43cab76bec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#700', 'Ubuntu 700 (latin)', 'Ubuntu', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:700";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(160, '5357b968-5ff0-4394-9b53-7488840a5279', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#700', 'Ubuntu 700 (greek-ext)', 'Ubuntu', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:700";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(161, 'eaa8e461-f316-4352-bd65-57e0324d2805', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#700', 'Ubuntu 700 (greek)', 'Ubuntu', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:700";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(162, 'da3dc82a-c32d-43a8-9247-3d504b93cff3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#700', 'Ubuntu 700 (latin-ext)', 'Ubuntu', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:700";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(163, 'a6675b8c-5671-49a8-a235-adaa94f55fc7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#700', 'Ubuntu 700 (cyrillic)', 'Ubuntu', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:700";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(164, 'eddecb98-301b-4f89-91f1-21543b1c287c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#500italic', 'Ubuntu 500italic (cyrillic-ext)', 'Ubuntu', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:500italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(165, 'ce739611-8a5f-447f-941f-3215b2978005', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#500italic', 'Ubuntu 500italic (latin)', 'Ubuntu', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:500italic";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(166, 'eceb55f5-6cd5-4188-a363-197928c04636', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#500italic', 'Ubuntu 500italic (greek-ext)', 'Ubuntu', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:500italic";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(167, 'f4fcfecf-f18a-4884-bde3-d9f1cc048579', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#500italic', 'Ubuntu 500italic (greek)', 'Ubuntu', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:500italic";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(168, '07621fd8-2110-4d19-b374-249257b2919e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#500italic', 'Ubuntu 500italic (latin-ext)', 'Ubuntu', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(169, '51f46c6f-d013-46a6-96be-8d4ae6ff5197', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#500italic', 'Ubuntu 500italic (cyrillic)', 'Ubuntu', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(170, 'beffd423-7977-406a-a31b-f626ef469b59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#500', 'Ubuntu 500 (cyrillic-ext)', 'Ubuntu', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:500";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(171, '03e32dd7-5eeb-4d77-a4f1-b92805e35fb0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#500', 'Ubuntu 500 (latin)', 'Ubuntu', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:500";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(172, 'ed695191-93c8-431a-be14-827162e3bad7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#500', 'Ubuntu 500 (greek-ext)', 'Ubuntu', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:500";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(173, '2825cb30-c343-4205-aaf4-96886211f4f0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#500', 'Ubuntu 500 (greek)', 'Ubuntu', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:500";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(174, 'aa0aedec-b1d9-4bd9-b21c-d6b9b6ce512d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#500', 'Ubuntu 500 (latin-ext)', 'Ubuntu', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:500";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(175, '2ade91fd-3bb5-439c-abbf-ca70a45c6e36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#500', 'Ubuntu 500 (cyrillic)', 'Ubuntu', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:500";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(176, '582b92e3-eaee-4a6f-a9f3-15fcc2389d07', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#italic', 'Ubuntu italic (cyrillic-ext)', 'Ubuntu', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ubuntu:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(177, '5fea438d-9543-48bf-b539-4dd46ede95ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#italic', 'Ubuntu italic (latin)', 'Ubuntu', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ubuntu:italic";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(178, 'e998c6e4-b7e1-4e79-a2f2-7b01be1cbca4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#italic', 'Ubuntu italic (greek-ext)', 'Ubuntu', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ubuntu:italic";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(179, '33cee5fa-1af5-4040-b25c-ef94652a4ea0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#italic', 'Ubuntu italic (greek)', 'Ubuntu', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ubuntu:italic";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(180, '38807f68-fe99-425b-95ee-579563e198d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#italic', 'Ubuntu italic (latin-ext)', 'Ubuntu', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ubuntu:italic";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(181, '1500c90b-d8cb-48c9-b626-7e03d3bd3383', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#italic', 'Ubuntu italic (cyrillic)', 'Ubuntu', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ubuntu:italic";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(182, '0b5c80e3-9199-4164-b158-6510dfe79e00', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#regular', 'Ubuntu regular (cyrillic-ext)', 'Ubuntu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ubuntu:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(183, 'a3127740-1ae5-4de3-85cd-fafe9f1fb7d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#regular', 'Ubuntu regular (latin)', 'Ubuntu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ubuntu:regular";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(184, 'f99b476b-7515-4a20-b88e-10cc9c78cab5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#regular', 'Ubuntu regular (greek-ext)', 'Ubuntu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ubuntu:regular";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(185, '55e8d089-75b8-4bdc-8d5a-7546bb0a52b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#regular', 'Ubuntu regular (greek)', 'Ubuntu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ubuntu:regular";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(186, '3e3daec2-030c-4f43-b8a6-98f9af188043', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#regular', 'Ubuntu regular (latin-ext)', 'Ubuntu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ubuntu:regular";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(187, 'f77246ac-eac9-4557-8b24-9c622cdc3c59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#regular', 'Ubuntu regular (cyrillic)', 'Ubuntu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ubuntu:regular";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(188, '975421e1-cbe7-413d-828f-f178fb4bd7c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#300italic', 'Ubuntu 300italic (cyrillic-ext)', 'Ubuntu', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(189, '6f9290a3-e8fb-40d4-8ade-8d118925cbb4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#300italic', 'Ubuntu 300italic (latin)', 'Ubuntu', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:300italic";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0);
INSERT INTO `fontyourface_font` VALUES
(190, '465be6ed-7147-4856-987e-c049e79b4345', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#300italic', 'Ubuntu 300italic (greek-ext)', 'Ubuntu', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:300italic";s:6:"subset";s:9:"greek-ext";}', 1468916086, 1468916086, 0),
(191, 'a420726e-16e6-473a-afae-853d5dcaa2ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#300italic', 'Ubuntu 300italic (greek)', 'Ubuntu', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:300italic";s:6:"subset";s:5:"greek";}', 1468916086, 1468916086, 0),
(192, 'dc8f5048-a6bd-4317-9abd-91379010c4e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#300italic', 'Ubuntu 300italic (latin-ext)', 'Ubuntu', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916086, 1468916086, 0),
(193, 'e9b1e359-c115-43d7-98e1-34eb1d881021', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#300italic', 'Ubuntu 300italic (cyrillic)', 'Ubuntu', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ubuntu:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916086, 1468916086, 0),
(194, '588ece51-8a58-4f86-a36c-9301cb498e5c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic-ext#300', 'Ubuntu 300 (cyrillic-ext)', 'Ubuntu', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916086, 1468916086, 0),
(195, '9ceefe9c-f635-456a-8df7-b1628a18f832', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin#300', 'Ubuntu 300 (latin)', 'Ubuntu', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:300";s:6:"subset";s:5:"latin";}', 1468916086, 1468916086, 0),
(196, 'c163c989-faca-4182-a486-c1cf0c99d0d3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek-ext#300', 'Ubuntu 300 (greek-ext)', 'Ubuntu', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:300";s:6:"subset";s:9:"greek-ext";}', 1468916087, 1468916087, 0),
(197, '981379d5-789c-4521-8b25-6d7c8cb67019', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=greek#300', 'Ubuntu 300 (greek)', 'Ubuntu', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:300";s:6:"subset";s:5:"greek";}', 1468916087, 1468916087, 0),
(198, '2ad270f9-1ab0-4b4a-95d9-c60822386f1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=latin-ext#300', 'Ubuntu 300 (latin-ext)', 'Ubuntu', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:300";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(199, 'c6d1d183-5863-4fef-9374-2573009aab13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ubuntu&subset=cyrillic#300', 'Ubuntu 300 (cyrillic)', 'Ubuntu', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Ubuntu:300";s:6:"subset";s:8:"cyrillic";}', 1468916087, 1468916087, 0),
(200, '997f494e-18b7-4178-93c6-b80472292094', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tulpen One&subset=latin#regular', 'Tulpen One regular (latin)', 'Tulpen One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Tulpen One:regular";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(201, '1485793f-d526-4968-9aa4-25f12bfd2a41', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trykker&subset=latin#regular', 'Trykker regular (latin)', 'Trykker', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trykker:regular";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(202, '155aefe4-7fc4-4293-8436-d0fdd3ca2d43', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trykker&subset=latin-ext#regular', 'Trykker regular (latin-ext)', 'Trykker', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trykker:regular";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(203, '27b27007-0644-4e56-a0fa-7d34357843fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trochut&subset=latin#700', 'Trochut 700 (latin)', 'Trochut', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trochut:700";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(204, '17a3246f-5cfb-4ecd-905a-f4edc9bc824c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trochut&subset=latin#italic', 'Trochut italic (latin)', 'Trochut', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Trochut:italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(205, '5e09c7a6-13cf-423a-8299-e7f64f4dcd45', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trochut&subset=latin#regular', 'Trochut regular (latin)', 'Trochut', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trochut:regular";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(206, 'f8d67b27-6294-43f7-b1e7-3eeeba8374a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trocchi&subset=latin#regular', 'Trocchi regular (latin)', 'Trocchi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trocchi:regular";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(207, '7210d675-55e5-40f2-aee3-4261c3e793dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trocchi&subset=latin-ext#regular', 'Trocchi regular (latin-ext)', 'Trocchi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trocchi:regular";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(208, '2d140690-7881-4526-bb18-ff0f83718e9c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#900italic', 'Trirong 900italic (thai)', 'Trirong', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:900italic";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(209, '939f98fe-be17-4ef9-b9c8-3576e5af292c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#900italic', 'Trirong 900italic (latin)', 'Trirong', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:900italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(210, '2182bba0-4624-4e3f-8512-370fdaeb3dc3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#900italic', 'Trirong 900italic (vietnamese)', 'Trirong', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(211, '457ec250-231d-4b94-9184-66a578a902ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#900italic', 'Trirong 900italic (latin-ext)', 'Trirong', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(212, '2298703d-6544-4073-b8e3-992638cc4ddc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#900', 'Trirong 900 (thai)', 'Trirong', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:900";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(213, '3aaa8471-f208-4ab9-b824-ca2451705d5c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#900', 'Trirong 900 (latin)', 'Trirong', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:900";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(214, 'c20a1868-5ef6-487a-9c6e-24836d0bfe5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#900', 'Trirong 900 (vietnamese)', 'Trirong', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:900";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(215, 'cd645f71-508f-4da5-b591-5cc10983a649', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#900', 'Trirong 900 (latin-ext)', 'Trirong', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:900";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(216, 'b80973e7-060b-41d2-a290-271f59653a76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#800italic', 'Trirong 800italic (thai)', 'Trirong', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:800italic";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(217, 'b711268c-1a9e-44a9-9d69-b9ba295b0ad1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#800italic', 'Trirong 800italic (latin)', 'Trirong', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:800italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(218, '4fee5e3b-9ca6-4d48-8232-a997521eedcf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#800italic', 'Trirong 800italic (vietnamese)', 'Trirong', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:800italic";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(219, '72066b65-e4b1-4db8-88c4-96fa0c7f43b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#800italic', 'Trirong 800italic (latin-ext)', 'Trirong', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(220, 'a21d5f8c-614f-45e0-9c67-1acdbe5bb01e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#800', 'Trirong 800 (thai)', 'Trirong', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:800";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(221, 'aa1c77cd-3e76-4076-a531-5c1df48e5c45', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#800', 'Trirong 800 (latin)', 'Trirong', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:800";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(222, '851a91b4-84e3-4fd4-9d3b-14868afeedfd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#800', 'Trirong 800 (vietnamese)', 'Trirong', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:800";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(223, '50af110f-daeb-4e4a-9556-a8f739c013a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#800', 'Trirong 800 (latin-ext)', 'Trirong', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:800";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(224, 'c6208907-ff56-4aad-8e04-70ba6cecd64e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#700italic', 'Trirong 700italic (thai)', 'Trirong', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:700italic";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(225, 'df4b8308-c5d9-4b10-9967-477386258803', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#700italic', 'Trirong 700italic (latin)', 'Trirong', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:700italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(226, 'ba26796b-6e01-499f-a9f0-46d635860468', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#700italic', 'Trirong 700italic (vietnamese)', 'Trirong', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(227, '33d772db-c451-4a9e-8eb9-983800d58a4b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#700italic', 'Trirong 700italic (latin-ext)', 'Trirong', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(228, '604f16c5-5ee4-4142-95a7-f2ff411cbd83', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#700', 'Trirong 700 (thai)', 'Trirong', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:700";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(229, 'cb656e6e-b164-41ca-8f6b-55b5f7d12d1f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#700', 'Trirong 700 (latin)', 'Trirong', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:700";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(230, '9011de2e-e3b8-4883-b20d-e52113024473', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#700', 'Trirong 700 (vietnamese)', 'Trirong', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:700";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(231, '45d44a5b-d7aa-4d86-a859-cef53910359d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#700', 'Trirong 700 (latin-ext)', 'Trirong', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:700";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(232, '4a25e186-5539-4ed4-bf9f-896a35a0f94c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#600italic', 'Trirong 600italic (thai)', 'Trirong', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:600italic";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(233, '4f6b4507-e4fc-4450-900a-a0caa51ff224', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#600italic', 'Trirong 600italic (latin)', 'Trirong', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:600italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(234, 'b24a61e2-9358-4a7b-bb33-915a6332c040', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#600italic', 'Trirong 600italic (vietnamese)', 'Trirong', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(235, 'c611ede9-73a5-442f-8b4b-7306ad24fe86', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#600italic', 'Trirong 600italic (latin-ext)', 'Trirong', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(236, '86966758-001a-4c30-b0ec-c520d1ae2f8b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#600', 'Trirong 600 (thai)', 'Trirong', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:600";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(237, 'b7802002-b1b5-4342-911b-60d6975ae76b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#600', 'Trirong 600 (latin)', 'Trirong', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:600";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(238, 'a32db472-fe30-4511-9d83-5dd56dfadcda', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#600', 'Trirong 600 (vietnamese)', 'Trirong', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:600";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(239, '7bd646bb-8208-4e71-85dd-bdb64bf1bc1c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#600', 'Trirong 600 (latin-ext)', 'Trirong', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:600";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(240, '1e8a1134-15c8-4e0b-a2b5-75b87967272b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#500italic', 'Trirong 500italic (thai)', 'Trirong', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:500italic";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(241, 'ba021ba6-c894-4c99-8bcb-52d9d25383f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#500italic', 'Trirong 500italic (latin)', 'Trirong', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:500italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(242, 'e6cc56ea-ce03-4622-a1fb-31dc3ac2d3fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#500italic', 'Trirong 500italic (vietnamese)', 'Trirong', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(243, 'a7ce45c2-0889-44df-aa46-598d18109531', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#500italic', 'Trirong 500italic (latin-ext)', 'Trirong', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(244, '141bb975-6432-4ff3-8d6f-b06e3fe3f3bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#500', 'Trirong 500 (thai)', 'Trirong', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:500";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(245, '392ef370-0e63-44d3-a013-d099619df4a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#500', 'Trirong 500 (latin)', 'Trirong', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:500";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(246, '0d5b9a78-f454-4c6c-a2c3-e7909b1c9a97', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#500', 'Trirong 500 (vietnamese)', 'Trirong', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:500";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(247, 'ab911c04-feaa-4522-9d9f-14da03bc4b92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#500', 'Trirong 500 (latin-ext)', 'Trirong', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:500";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(248, 'e4e6c8c6-0914-46b5-931d-74483e1e62e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#italic', 'Trirong italic (thai)', 'Trirong', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Trirong:italic";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(249, '9564b058-dc09-4fc3-bfa6-539a8de97f44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#italic', 'Trirong italic (latin)', 'Trirong', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Trirong:italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(250, '2f264834-96f1-432d-8fab-4d0302aca6f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#italic', 'Trirong italic (vietnamese)', 'Trirong', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Trirong:italic";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(251, 'ead433fd-caa4-4814-b077-78a87883f96a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#italic', 'Trirong italic (latin-ext)', 'Trirong', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Trirong:italic";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(252, '8e1407f6-74e2-44a8-ab4f-fb26aaf98fc0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#regular', 'Trirong regular (thai)', 'Trirong', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trirong:regular";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(253, '3141b07f-b9ec-4b4f-98da-29c20148085c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#regular', 'Trirong regular (latin)', 'Trirong', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trirong:regular";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(254, '80b1a8f1-4207-4d4f-bb29-fb4bb91c8de2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#regular', 'Trirong regular (vietnamese)', 'Trirong', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trirong:regular";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(255, '1daf659f-5676-43ef-adef-a0c44cbe51f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#regular', 'Trirong regular (latin-ext)', 'Trirong', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Trirong:regular";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(256, '311e5cea-a81d-4385-8b1d-f6490a3a63c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#300italic', 'Trirong 300italic (thai)', 'Trirong', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:300italic";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(257, 'df6bc789-07b3-4345-8ba9-73d0bb2680bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#300italic', 'Trirong 300italic (latin)', 'Trirong', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:300italic";s:6:"subset";s:5:"latin";}', 1468916087, 1468916087, 0),
(258, '38da33ce-f5ec-4f2e-9296-9aa04e0cc480', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#300italic', 'Trirong 300italic (vietnamese)', 'Trirong', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916087, 1468916087, 0),
(259, '00798561-5dee-49d9-9d6f-aaed71316180', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#300italic', 'Trirong 300italic (latin-ext)', 'Trirong', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916087, 1468916087, 0),
(260, 'fd90f5c8-8362-43d5-aebb-5cce04bf9099', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#300', 'Trirong 300 (thai)', 'Trirong', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:300";s:6:"subset";s:4:"thai";}', 1468916087, 1468916087, 0),
(261, '6ab530da-4013-41da-af3b-26ba4d7d2ef0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#300', 'Trirong 300 (latin)', 'Trirong', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:300";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(262, 'bcc02080-bcb5-4eb0-afed-9ef20a38a75c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#300', 'Trirong 300 (vietnamese)', 'Trirong', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:300";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(263, 'f428976b-e087-4cc8-a805-5c00e2fe180f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#300', 'Trirong 300 (latin-ext)', 'Trirong', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:300";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(264, '45109583-81a7-475a-831a-d4e991674a73', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#200italic', 'Trirong 200italic (thai)', 'Trirong', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:200italic";s:6:"subset";s:4:"thai";}', 1468916089, 1468916089, 0),
(265, '689a5336-cfcf-41c4-9a39-bc0fcfe41a40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#200italic', 'Trirong 200italic (latin)', 'Trirong', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:200italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(266, '410df1e3-bb9d-47cf-b9d9-6c04bded9b68', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#200italic', 'Trirong 200italic (vietnamese)', 'Trirong', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:200italic";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(267, '69919482-fc92-4a84-96ec-3833ebebc954', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#200italic', 'Trirong 200italic (latin-ext)', 'Trirong', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(268, '10e1190c-4f1b-40f8-baac-8db37dd124e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#200', 'Trirong 200 (thai)', 'Trirong', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:200";s:6:"subset";s:4:"thai";}', 1468916089, 1468916089, 0),
(269, 'd9e9f37e-5aca-4913-9928-09ea64c5ee06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#200', 'Trirong 200 (latin)', 'Trirong', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:200";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(270, 'd5c99461-0e4d-4f10-8b6a-e79e3254c2b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#200', 'Trirong 200 (vietnamese)', 'Trirong', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:200";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(271, '24058407-bc8a-4142-aebc-77294e72c32a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#200', 'Trirong 200 (latin-ext)', 'Trirong', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:200";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(272, 'f8ca7db0-ac33-4f6d-8d2f-2f6f07ad9053', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#100italic', 'Trirong 100italic (thai)', 'Trirong', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:100italic";s:6:"subset";s:4:"thai";}', 1468916089, 1468916089, 0),
(273, '6c3bd42b-fed2-440b-8cf0-a1bd88e91e0c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#100italic', 'Trirong 100italic (latin)', 'Trirong', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:100italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(274, 'c4bf7fb3-1136-4d74-b15e-79b393e44a3d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#100italic', 'Trirong 100italic (vietnamese)', 'Trirong', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(275, 'dff9a82e-4b44-446e-9e17-c3b20816af1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#100italic', 'Trirong 100italic (latin-ext)', 'Trirong', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Trirong:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(276, 'a517acb6-6c2a-4af1-bd53-3ff2e1d8aee5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=thai#100', 'Trirong 100 (thai)', 'Trirong', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:100";s:6:"subset";s:4:"thai";}', 1468916089, 1468916089, 0),
(277, '5b8ec40a-4be5-4cf3-a62c-9a923bb869da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin#100', 'Trirong 100 (latin)', 'Trirong', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:100";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(278, '0b422f3d-b875-4e03-a94e-f416dd9af515', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=vietnamese#100', 'Trirong 100 (vietnamese)', 'Trirong', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:100";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(279, 'd237f733-bc0c-42ae-982d-e10eaf50bd83', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trirong&subset=latin-ext#100', 'Trirong 100 (latin-ext)', 'Trirong', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Trirong:100";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(280, '216a71bc-fb3a-4ea0-b5c4-1f5089e5237b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Trade Winds&subset=latin#regular', 'Trade Winds regular (latin)', 'Trade Winds', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Trade Winds:regular";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(281, '42f5ff96-e0f6-45c0-b658-165b32309e31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#900', 'Titillium Web 900 (latin)', 'Titillium Web', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:900";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(282, 'dbd01f8d-b771-451f-aedf-c74a3201ba24', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#900', 'Titillium Web 900 (latin-ext)', 'Titillium Web', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:900";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(283, '1bcfc0cf-ecb4-44f1-a197-d0d24e28715b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#700italic', 'Titillium Web 700italic (latin)', 'Titillium Web', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:700italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(284, '1c3422b9-fdbb-45e8-b755-ce8fa4509471', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#700italic', 'Titillium Web 700italic (latin-ext)', 'Titillium Web', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(285, '2296adb6-3c16-43d6-922f-4389011a32bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#700', 'Titillium Web 700 (latin)', 'Titillium Web', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:700";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(286, 'e1488337-1a12-4f99-8a83-4fa3dfe65736', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#700', 'Titillium Web 700 (latin-ext)', 'Titillium Web', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:700";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(287, '34cd42d5-6bed-4052-8f98-109719ff3917', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#600italic', 'Titillium Web 600italic (latin)', 'Titillium Web', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:600italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(288, 'e129db92-1fd4-4972-aba0-0a81af0076a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#600italic', 'Titillium Web 600italic (latin-ext)', 'Titillium Web', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(289, '15ca672c-3d0b-4740-9d77-fd558601df1a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#600', 'Titillium Web 600 (latin)', 'Titillium Web', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:600";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(290, '9f951428-c7d6-4a6c-975f-816be0ce44e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#600', 'Titillium Web 600 (latin-ext)', 'Titillium Web', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:600";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(291, '23be008b-5f7c-447a-a2cf-8238f69da5b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#italic', 'Titillium Web italic (latin)', 'Titillium Web', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Titillium Web:italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(292, '7ec32632-42e2-46e3-9869-28049204062b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#italic', 'Titillium Web italic (latin-ext)', 'Titillium Web', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Titillium Web:italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(293, '3847e1a5-788c-452c-8bfb-6276c0bc2e68', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#regular', 'Titillium Web regular (latin)', 'Titillium Web', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Titillium Web:regular";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(294, '831f336c-9bb5-443f-8b89-b1a6ee74ff17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#regular', 'Titillium Web regular (latin-ext)', 'Titillium Web', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Titillium Web:regular";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(295, '4e6d223d-c11e-410e-99e9-a3e824283a95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#300italic', 'Titillium Web 300italic (latin)', 'Titillium Web', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:300italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(296, '92b653a6-7860-4de6-a0eb-7fe9017b61a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#300italic', 'Titillium Web 300italic (latin-ext)', 'Titillium Web', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(297, 'd266cfc0-3801-4d53-bc8e-e49f26d8d661', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#300', 'Titillium Web 300 (latin)', 'Titillium Web', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:300";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(298, '311d3138-2bb3-4401-8d32-2aa79b1df7dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#300', 'Titillium Web 300 (latin-ext)', 'Titillium Web', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:300";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(299, '9214a954-f262-4272-ad08-760ae1b2c4e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#200italic', 'Titillium Web 200italic (latin)', 'Titillium Web', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:200italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(300, '40e7360a-0215-49ef-b955-95dde533efd4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#200italic', 'Titillium Web 200italic (latin-ext)', 'Titillium Web', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Titillium Web:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(301, '148774a9-46cb-43c2-af64-fda23317c8bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin#200', 'Titillium Web 200 (latin)', 'Titillium Web', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:200";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(302, 'e190bc3d-0229-4443-8bf4-9dfeda5fc0d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titillium Web&subset=latin-ext#200', 'Titillium Web 200 (latin-ext)', 'Titillium Web', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titillium Web:200";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(303, '909ee0f3-07b3-4566-8cc5-8b77d3deae1e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titan One&subset=latin#regular', 'Titan One regular (latin)', 'Titan One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titan One:regular";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(304, 'eb84c979-60e0-4cf1-892b-f2a063066ce1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Titan One&subset=latin-ext#regular', 'Titan One regular (latin-ext)', 'Titan One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Titan One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(305, '754b5c5c-45d2-4d46-bda4-9f3f4737fce9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic-ext#700italic', 'Tinos 700italic (cyrillic-ext)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916089, 1468916089, 0),
(306, '690277c1-6b52-4127-b7c4-5eb43fa00d86', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin#700italic', 'Tinos 700italic (latin)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(307, '1b866c1d-7710-428a-923a-d382f3461777', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek-ext#700italic', 'Tinos 700italic (greek-ext)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916089, 1468916089, 0),
(308, 'c866ee36-1cdc-4a60-bc1f-c8f5be670a83', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek#700italic', 'Tinos 700italic (greek)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:5:"greek";}', 1468916089, 1468916089, 0),
(309, '104a7edf-2d41-4092-b0b3-af47a851aa68', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=hebrew#700italic', 'Tinos 700italic (hebrew)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:6:"hebrew";}', 1468916089, 1468916089, 0),
(310, '33416567-8cbe-4001-8bfa-2f87ebb99e7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=vietnamese#700italic', 'Tinos 700italic (vietnamese)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(311, 'd87253a2-1575-46cd-8b40-bef62e7c7e4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin-ext#700italic', 'Tinos 700italic (latin-ext)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(312, 'cab3f2c4-9102-4413-bfa9-bc789b66994b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic#700italic', 'Tinos 700italic (cyrillic)', 'Tinos', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tinos:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916089, 1468916089, 0),
(313, '7972d241-5e9b-431c-96f1-6e4bc4e47bfa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic-ext#700', 'Tinos 700 (cyrillic-ext)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916089, 1468916089, 0),
(314, 'd9baff78-f14e-4fe9-8920-e7989f77cd6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin#700', 'Tinos 700 (latin)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(315, 'be43ee7d-950a-4438-913c-004f68878914', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek-ext#700', 'Tinos 700 (greek-ext)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:9:"greek-ext";}', 1468916089, 1468916089, 0),
(316, 'd25b42c5-5950-41ba-8455-268778667a82', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek#700', 'Tinos 700 (greek)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:5:"greek";}', 1468916089, 1468916089, 0),
(317, '112ee4e1-ebc4-4deb-b2c9-49544c1acb07', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=hebrew#700', 'Tinos 700 (hebrew)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:6:"hebrew";}', 1468916089, 1468916089, 0),
(318, '78ec76b2-9b85-4566-b11f-406dc8d1322b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=vietnamese#700', 'Tinos 700 (vietnamese)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(319, '4e49aad0-2f58-40dd-9c17-88a39c14c925', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin-ext#700', 'Tinos 700 (latin-ext)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:9:"latin-ext";}', 1468916089, 1468916089, 0),
(320, '6c004fa0-c414-4908-9d15-ae5e600bee87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic#700', 'Tinos 700 (cyrillic)', 'Tinos', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Tinos:700";s:6:"subset";s:8:"cyrillic";}', 1468916089, 1468916089, 0),
(321, '4b568fcd-d661-4922-9007-94ca9b53ce3f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic-ext#italic', 'Tinos italic (cyrillic-ext)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916089, 1468916089, 0),
(322, 'b5ca6bcd-1fc1-49a7-b74e-aeeba0dc1f87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin#italic', 'Tinos italic (latin)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:5:"latin";}', 1468916089, 1468916089, 0),
(323, '5a07be78-ac70-457e-b648-2df000a08e2d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek-ext#italic', 'Tinos italic (greek-ext)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:9:"greek-ext";}', 1468916089, 1468916089, 0),
(324, 'c8642d4b-c3e4-4788-8aea-d84b0e938178', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek#italic', 'Tinos italic (greek)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:5:"greek";}', 1468916089, 1468916089, 0),
(325, '06f41ae8-c03d-4f68-b8ca-60e1604d3f50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=hebrew#italic', 'Tinos italic (hebrew)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:6:"hebrew";}', 1468916089, 1468916089, 0),
(326, 'd84b6964-c186-4294-b544-468e3b1df106', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=vietnamese#italic', 'Tinos italic (vietnamese)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:10:"vietnamese";}', 1468916089, 1468916089, 0),
(327, '272e55d6-7c73-42d8-b61f-31fbfaceded9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin-ext#italic', 'Tinos italic (latin-ext)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(328, '6b120c01-88f4-4715-b268-d52eef49eed6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic#italic', 'Tinos italic (cyrillic)', 'Tinos', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Tinos:italic";s:6:"subset";s:8:"cyrillic";}', 1468916091, 1468916091, 0),
(329, '904e26a1-ca54-42c4-9984-cc7fd46c0859', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic-ext#regular', 'Tinos regular (cyrillic-ext)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916091, 1468916091, 0),
(330, '778ee538-3246-4139-89b7-d7dd1672d64c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin#regular', 'Tinos regular (latin)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(331, '585ef443-b8b7-444b-90cc-45192e7f0e4d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek-ext#regular', 'Tinos regular (greek-ext)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:9:"greek-ext";}', 1468916091, 1468916091, 0),
(332, '33ad8ce5-b9b6-4353-9f19-5b97a4bb742a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=greek#regular', 'Tinos regular (greek)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:5:"greek";}', 1468916091, 1468916091, 0),
(333, '79003da2-fcc7-4246-aaa8-cc056cd07687', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=hebrew#regular', 'Tinos regular (hebrew)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:6:"hebrew";}', 1468916091, 1468916091, 0),
(334, 'ebe0af9a-194f-4504-9bd9-c52af7c3c262', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=vietnamese#regular', 'Tinos regular (vietnamese)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:10:"vietnamese";}', 1468916091, 1468916091, 0),
(335, '9f9018f6-a25c-4a9b-a3b4-0199cd283bc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=latin-ext#regular', 'Tinos regular (latin-ext)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(336, '4b3d0166-a78d-4648-adb4-6c104cdb1947', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tinos&subset=cyrillic#regular', 'Tinos regular (cyrillic)', 'Tinos', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tinos:regular";s:6:"subset";s:8:"cyrillic";}', 1468916091, 1468916091, 0),
(337, '4da5f785-f1ac-4924-b60d-ee74671ae1a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Timmana&subset=latin#regular', 'Timmana regular (latin)', 'Timmana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Timmana:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(338, 'eb0bcf0f-0d73-4e18-ae01-1202c25462c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Timmana&subset=telugu#regular', 'Timmana regular (telugu)', 'Timmana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Timmana:regular";s:6:"subset";s:6:"telugu";}', 1468916091, 1468916091, 0),
(339, 'd79ea70c-c3ac-4ea7-a493-b02af4354141', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin#800', 'Tillana 800 (latin)', 'Tillana', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:800";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(340, '557d7962-b269-495b-9c0f-e295c8e9fa99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=devanagari#800', 'Tillana 800 (devanagari)', 'Tillana', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:800";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(341, '984ee5f5-4119-4c34-9768-32488c8708f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin-ext#800', 'Tillana 800 (latin-ext)', 'Tillana', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:800";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(342, '2646bfde-0a35-41d1-8236-909fc9b904a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin#700', 'Tillana 700 (latin)', 'Tillana', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:700";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(343, '39d2b363-c224-4b3c-91ff-54fd49b19c52', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=devanagari#700', 'Tillana 700 (devanagari)', 'Tillana', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:700";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(344, '18b42993-9e23-4d21-b07a-1698641ecfb3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin-ext#700', 'Tillana 700 (latin-ext)', 'Tillana', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:700";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(345, '96f6796f-c0bd-4876-81bd-40246f12e2bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin#600', 'Tillana 600 (latin)', 'Tillana', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:600";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(346, '6e99f6fd-97e5-49c6-9966-f3e5a17c1bc9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=devanagari#600', 'Tillana 600 (devanagari)', 'Tillana', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:600";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(347, 'ff43509c-89bf-410c-a3c8-f20e58629932', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin-ext#600', 'Tillana 600 (latin-ext)', 'Tillana', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:600";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(348, '3d3ea6d4-7950-4793-a790-bb745dbacb6e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin#500', 'Tillana 500 (latin)', 'Tillana', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:500";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(349, '02b1b33d-784e-4501-a060-20bd7d80314b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=devanagari#500', 'Tillana 500 (devanagari)', 'Tillana', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:500";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(350, '493ef901-c777-40a0-98f7-a2d2dbc88cb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin-ext#500', 'Tillana 500 (latin-ext)', 'Tillana', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Tillana:500";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(351, 'd0b7e2aa-dd40-45be-869b-ea07ef4e11e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin#regular', 'Tillana regular (latin)', 'Tillana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tillana:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(352, '7f679b2b-eb28-47f1-8852-606f9b5211aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=devanagari#regular', 'Tillana regular (devanagari)', 'Tillana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tillana:regular";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(353, '0b06e49b-6309-422c-a323-432da877845c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tillana&subset=latin-ext#regular', 'Tillana regular (latin-ext)', 'Tillana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Tillana:regular";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(354, 'f9140828-2e0b-4866-95cd-fe931976bca0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tienne&subset=latin#900', 'Tienne 900 (latin)', 'Tienne', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Tienne:900";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(355, 'bae96077-92e9-45d1-ad7a-6daeecb0654c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tienne&subset=latin#700', 'Tienne 700 (latin)', 'Tienne', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Tienne:700";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(356, 'db137a17-e934-486f-9f20-69668dbbedf9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tienne&subset=latin#regular', 'Tienne regular (latin)', 'Tienne', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Tienne:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(357, '599c9d7e-e62b-4b99-a04c-de2dcd6c063f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=The Girl Next Door&subset=latin#regular', 'The Girl Next Door regular (latin)', 'The Girl Next Door', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"The Girl Next Door:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(358, 'a6705131-e9f7-4cdb-b1f4-0e961d5147ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Text Me One&subset=latin#regular', 'Text Me One regular (latin)', 'Text Me One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Text Me One:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(359, 'ea227259-6cbb-4f42-9214-5a7f738e5452', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Text Me One&subset=latin-ext#regular', 'Text Me One regular (latin-ext)', 'Text Me One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Text Me One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(360, '16d7827a-0df7-4328-ab6f-ff15ecfe7061', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tenor Sans&subset=latin#regular', 'Tenor Sans regular (latin)', 'Tenor Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Tenor Sans:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(361, '4ee68ae9-e30d-43b8-96ee-9a591e0db9bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tenor Sans&subset=latin-ext#regular', 'Tenor Sans regular (latin-ext)', 'Tenor Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Tenor Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(362, '6f24b9df-4093-4c2a-a4ab-f81087c77a95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tenor Sans&subset=cyrillic#regular', 'Tenor Sans regular (cyrillic)', 'Tenor Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Tenor Sans:regular";s:6:"subset";s:8:"cyrillic";}', 1468916091, 1468916091, 0),
(363, '2a516c62-15ef-4092-9a5c-30ac58c6b738', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tenali Ramakrishna&subset=latin#regular', 'Tenali Ramakrishna regular (latin)', 'Tenali Ramakrishna', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Tenali Ramakrishna:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(364, '05907b96-db31-4c84-bcf2-846cf1c9bd99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tenali Ramakrishna&subset=telugu#regular', 'Tenali Ramakrishna regular (telugu)', 'Tenali Ramakrishna', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Tenali Ramakrishna:regular";s:6:"subset";s:6:"telugu";}', 1468916091, 1468916091, 0),
(365, 'dcc033b2-09f0-4f66-9887-95370b88edbd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Telex&subset=latin#regular', 'Telex regular (latin)', 'Telex', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Telex:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(366, 'df72bf54-8f4d-4076-9a04-ae0df257ea22', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin#700', 'Teko 700 (latin)', 'Teko', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:700";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(367, 'f7be5d67-7ad8-4b68-b6c2-342237da2aa5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=devanagari#700', 'Teko 700 (devanagari)', 'Teko', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:700";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(368, 'f65c8da0-a223-4b40-b504-1208234ed7c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin-ext#700', 'Teko 700 (latin-ext)', 'Teko', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:700";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(369, '2af60eb6-4b16-4194-9ffb-399e78c49528', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin#600', 'Teko 600 (latin)', 'Teko', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:600";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(370, 'a3c2ef10-39c2-48c2-9056-6b9c339a56cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=devanagari#600', 'Teko 600 (devanagari)', 'Teko', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:600";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(371, 'ed6ed751-47e1-4dda-b803-42943adf490c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin-ext#600', 'Teko 600 (latin-ext)', 'Teko', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:600";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(372, '93cf76e7-028b-4f29-a92e-f81a083d3131', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin#500', 'Teko 500 (latin)', 'Teko', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:500";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(373, '81490a73-8132-4161-a726-c379fec8688b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=devanagari#500', 'Teko 500 (devanagari)', 'Teko', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:500";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(374, '46230b5a-af82-4629-938e-0f309ad2efcd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin-ext#500', 'Teko 500 (latin-ext)', 'Teko', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:500";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(375, '0b1f9f1d-2e1b-4498-a013-7ef3cbd6f46a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin#regular', 'Teko regular (latin)', 'Teko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Teko:regular";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(376, 'b1fbe98d-d656-4888-a2ea-b1e95223eecf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=devanagari#regular', 'Teko regular (devanagari)', 'Teko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Teko:regular";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(377, '977a1234-610c-443d-984d-ea5a636fbdc9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin-ext#regular', 'Teko regular (latin-ext)', 'Teko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Teko:regular";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(378, '65cef91c-4f04-4bb2-9535-1cde87727ad6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin#300', 'Teko 300 (latin)', 'Teko', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:300";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(379, '4e9c3fbb-567c-4db4-b142-83f836ac8a93', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=devanagari#300', 'Teko 300 (devanagari)', 'Teko', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:300";s:6:"subset";s:10:"devanagari";}', 1468916091, 1468916091, 0),
(380, 'e2ea0915-107f-4cf1-9823-0628c8b6359c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Teko&subset=latin-ext#300', 'Teko 300 (latin-ext)', 'Teko', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Teko:300";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(381, '6e8b0968-0ba7-47f8-a9ce-743d7f9bd4b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#900italic', 'Taviraj 900italic (thai)', 'Taviraj', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:900italic";s:6:"subset";s:4:"thai";}', 1468916091, 1468916091, 0),
(382, '22b5f342-0277-47c3-b2cd-f412b02035b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#900italic', 'Taviraj 900italic (latin)', 'Taviraj', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:900italic";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(383, 'e1960b38-5236-4b1c-9666-6646c0ab4161', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#900italic', 'Taviraj 900italic (vietnamese)', 'Taviraj', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916091, 1468916091, 0);
INSERT INTO `fontyourface_font` VALUES
(384, 'e21c239f-4202-41be-a648-ddddd4058db8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#900italic', 'Taviraj 900italic (latin-ext)', 'Taviraj', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(385, '388d6245-747d-42f6-ae96-86d7025dfc40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#900', 'Taviraj 900 (thai)', 'Taviraj', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:900";s:6:"subset";s:4:"thai";}', 1468916091, 1468916091, 0),
(386, 'c39488e8-70c2-4496-96d0-8af1d472af5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#900', 'Taviraj 900 (latin)', 'Taviraj', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:900";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(387, '10b22f11-988a-41de-95d9-eb3a05820e34', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#900', 'Taviraj 900 (vietnamese)', 'Taviraj', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:900";s:6:"subset";s:10:"vietnamese";}', 1468916091, 1468916091, 0),
(388, 'ffd5769e-4414-4d6d-9083-fa7c0db76ad6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#900', 'Taviraj 900 (latin-ext)', 'Taviraj', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:900";s:6:"subset";s:9:"latin-ext";}', 1468916091, 1468916091, 0),
(389, 'b7c17637-e633-49db-9dd1-805b0b86f7c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#800italic', 'Taviraj 800italic (thai)', 'Taviraj', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:800italic";s:6:"subset";s:4:"thai";}', 1468916091, 1468916091, 0),
(390, '1229140b-eb58-44ff-9481-460881614fcc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#800italic', 'Taviraj 800italic (latin)', 'Taviraj', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:800italic";s:6:"subset";s:5:"latin";}', 1468916091, 1468916091, 0),
(391, 'b3de8edb-e96c-4224-a327-bbb4377e8674', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#800italic', 'Taviraj 800italic (vietnamese)', 'Taviraj', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:800italic";s:6:"subset";s:10:"vietnamese";}', 1468916091, 1468916091, 0),
(392, 'a553779c-44fb-44ba-8fea-7e35ae549bca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#800italic', 'Taviraj 800italic (latin-ext)', 'Taviraj', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(393, '9eaf7eaf-b461-48bb-b35a-5ad3f525be70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#800', 'Taviraj 800 (thai)', 'Taviraj', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:800";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(394, '21df7acb-3477-464f-9809-ec44f3754862', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#800', 'Taviraj 800 (latin)', 'Taviraj', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:800";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(395, '3a43d539-d4b7-4116-b49d-2ac611dc1660', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#800', 'Taviraj 800 (vietnamese)', 'Taviraj', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:800";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(396, 'aaea2fa4-d371-44e9-88c5-faa5a34f5ff1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#800', 'Taviraj 800 (latin-ext)', 'Taviraj', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:800";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(397, '1169b3b2-9fbd-406d-a033-308ab9c712fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#700italic', 'Taviraj 700italic (thai)', 'Taviraj', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:700italic";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(398, '677785c2-417b-46cb-a87a-2cc2161b09f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#700italic', 'Taviraj 700italic (latin)', 'Taviraj', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:700italic";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(399, 'e0b426a1-3f38-4005-a40b-f862504b3e92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#700italic', 'Taviraj 700italic (vietnamese)', 'Taviraj', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(400, '077a1529-b2dd-43f9-a792-a897c92edcf7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#700italic', 'Taviraj 700italic (latin-ext)', 'Taviraj', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(401, '9c8eacfd-d9e0-4bc9-b77e-6e70eb6d2c60', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#700', 'Taviraj 700 (thai)', 'Taviraj', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:700";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(402, '9a88e282-b888-43bf-89a7-3b115d61faf5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#700', 'Taviraj 700 (latin)', 'Taviraj', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:700";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(403, 'f8e49ad5-5bff-44bc-9b56-0b70d1f61a47', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#700', 'Taviraj 700 (vietnamese)', 'Taviraj', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:700";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(404, 'd523c10d-ebec-4fd9-9885-718a26d3ee1e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#700', 'Taviraj 700 (latin-ext)', 'Taviraj', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:700";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(405, 'b8501053-df6c-420a-95bd-6411dc05995d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#600italic', 'Taviraj 600italic (thai)', 'Taviraj', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:600italic";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(406, '75363d97-6f6c-4943-9fa6-2d3c12ff4e5d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#600italic', 'Taviraj 600italic (latin)', 'Taviraj', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:600italic";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(407, 'bdf00319-052c-4a21-b88f-45953f3b7b62', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#600italic', 'Taviraj 600italic (vietnamese)', 'Taviraj', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(408, 'b6c6ff61-3858-4abe-8c07-cda36c22cfe0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#600italic', 'Taviraj 600italic (latin-ext)', 'Taviraj', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(409, '53386f9f-8e51-4046-8ca9-ac85d9db3e71', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#600', 'Taviraj 600 (thai)', 'Taviraj', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:600";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(410, 'a2923616-75c7-4c25-8eea-e9ebcb2093e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#600', 'Taviraj 600 (latin)', 'Taviraj', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:600";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(411, 'b8f53147-518d-4dde-9ac3-20bc30262807', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#600', 'Taviraj 600 (vietnamese)', 'Taviraj', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:600";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(412, '0b4451ee-37ab-4522-a1aa-ad6d371bdd63', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#600', 'Taviraj 600 (latin-ext)', 'Taviraj', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:600";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(413, 'aa1e1865-7f35-4cd0-812a-dba1a7c10a2a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#500italic', 'Taviraj 500italic (thai)', 'Taviraj', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:500italic";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(414, '175bbaf0-78fe-45f6-add1-c7c82bfbaba0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#500italic', 'Taviraj 500italic (latin)', 'Taviraj', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:500italic";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(415, '7c43f316-484d-4681-8be1-c78778fe7bdc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#500italic', 'Taviraj 500italic (vietnamese)', 'Taviraj', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(416, '22cde2dc-f424-4b4d-91df-2e660e746211', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#500italic', 'Taviraj 500italic (latin-ext)', 'Taviraj', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(417, '9b4e6b95-236b-49d1-83d9-52c792aaf0e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#500', 'Taviraj 500 (thai)', 'Taviraj', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:500";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(418, '2e0a9adf-b7ca-4045-937e-5f6a28f007ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#500', 'Taviraj 500 (latin)', 'Taviraj', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:500";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(419, '97f30d18-7d6a-45b2-8bd8-b2a7cd8f42d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#500', 'Taviraj 500 (vietnamese)', 'Taviraj', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:500";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(420, '0a72ff87-1b83-4db4-9a76-6dae1e879aa9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#500', 'Taviraj 500 (latin-ext)', 'Taviraj', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:500";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(421, 'e9ca767b-3a26-4ad3-93dc-245172603ac1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#italic', 'Taviraj italic (thai)', 'Taviraj', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Taviraj:italic";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(422, 'dbb4e6a1-bb66-4bbb-872c-1a396c3281f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#italic', 'Taviraj italic (latin)', 'Taviraj', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Taviraj:italic";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(423, '72d06d6a-a829-4110-8e83-cd2ab2575f97', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#italic', 'Taviraj italic (vietnamese)', 'Taviraj', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Taviraj:italic";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(424, '758147ca-67f0-47bf-b396-9a004b42c21c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#italic', 'Taviraj italic (latin-ext)', 'Taviraj', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Taviraj:italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(425, 'e3414917-2d99-465f-a879-cc4ad33b5a7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#regular', 'Taviraj regular (thai)', 'Taviraj', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Taviraj:regular";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(426, '35a338b0-0ca1-439b-bfa5-7e68aed9ef0e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#regular', 'Taviraj regular (latin)', 'Taviraj', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Taviraj:regular";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(427, '4975327b-f031-4b02-97e4-dbb55d9f56c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#regular', 'Taviraj regular (vietnamese)', 'Taviraj', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Taviraj:regular";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(428, 'a34b1f46-bd1d-40ee-bfd8-75b1daf57062', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#regular', 'Taviraj regular (latin-ext)', 'Taviraj', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Taviraj:regular";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(429, '53391a84-d063-4ffd-895b-a71b1ecca87a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#300italic', 'Taviraj 300italic (thai)', 'Taviraj', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:300italic";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(430, '38fd87a7-050b-4454-949c-94bed488a797', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#300italic', 'Taviraj 300italic (latin)', 'Taviraj', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:300italic";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(431, '93fbf0ea-349e-4627-ab95-1633db8999d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#300italic', 'Taviraj 300italic (vietnamese)', 'Taviraj', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(432, '925a74aa-e8df-4a04-89d7-33d42b253bd0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#300italic', 'Taviraj 300italic (latin-ext)', 'Taviraj', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(433, 'b20f0bd9-3e74-44fb-a985-936798b0b0aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#300', 'Taviraj 300 (thai)', 'Taviraj', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:300";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(434, 'f8fa5904-618e-4e7e-bcb7-471461e68dc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#300', 'Taviraj 300 (latin)', 'Taviraj', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:300";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(435, '9e45de36-841a-4a51-bffa-5a23bb66bdc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#300', 'Taviraj 300 (vietnamese)', 'Taviraj', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:300";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(436, '85267093-3525-4ade-949f-718e7390adae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#300', 'Taviraj 300 (latin-ext)', 'Taviraj', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:300";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(437, '954365c2-bcd4-4227-bbd1-6839a265c8c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#200italic', 'Taviraj 200italic (thai)', 'Taviraj', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:200italic";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(438, '4821bcc5-3c86-47da-a384-678240e85ab4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#200italic', 'Taviraj 200italic (latin)', 'Taviraj', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:200italic";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(439, 'a8812b82-befd-4582-ad5c-b65d17c9785d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#200italic', 'Taviraj 200italic (vietnamese)', 'Taviraj', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:200italic";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(440, '0c56796f-b54e-480f-b3ef-1a3374c94b6c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#200italic', 'Taviraj 200italic (latin-ext)', 'Taviraj', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(441, '16f86dcf-1811-41b3-8468-d86f2521b459', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#200', 'Taviraj 200 (thai)', 'Taviraj', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:200";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(442, '4f0682bb-977a-46b0-8d52-bc520965bf3a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#200', 'Taviraj 200 (latin)', 'Taviraj', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:200";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(443, '0b245c17-82d2-49fc-81b8-0e7da8745b3e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#200', 'Taviraj 200 (vietnamese)', 'Taviraj', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:200";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(444, '5b1415ff-3c73-425e-b0a4-cf7c8c70019e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#200', 'Taviraj 200 (latin-ext)', 'Taviraj', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:200";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(445, '12bb9bca-b568-4ef9-8b92-d77bf054fd92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#100italic', 'Taviraj 100italic (thai)', 'Taviraj', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:100italic";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(446, 'b6d99faa-2987-4cfa-8cb0-080e6e4fb836', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#100italic', 'Taviraj 100italic (latin)', 'Taviraj', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:100italic";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(447, '80db4371-1388-4efc-9c33-79038badd5ef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#100italic', 'Taviraj 100italic (vietnamese)', 'Taviraj', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(448, '2034c6e6-d000-4654-bb95-4d3fa2f9ef83', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#100italic', 'Taviraj 100italic (latin-ext)', 'Taviraj', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Taviraj:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(449, '8d4bbd00-6460-42ae-80f4-1d3dda573e87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=thai#100', 'Taviraj 100 (thai)', 'Taviraj', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:100";s:6:"subset";s:4:"thai";}', 1468916092, 1468916092, 0),
(450, '394d6050-665a-4bdc-a982-21d62d0a6557', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin#100', 'Taviraj 100 (latin)', 'Taviraj', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:100";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(451, '0fd094bd-e65c-4015-9924-85db1aad46d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=vietnamese#100', 'Taviraj 100 (vietnamese)', 'Taviraj', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:100";s:6:"subset";s:10:"vietnamese";}', 1468916092, 1468916092, 0),
(452, '8aff295f-b9d0-4975-9113-f54e1add5e7b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taviraj&subset=latin-ext#100', 'Taviraj 100 (latin-ext)', 'Taviraj', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Taviraj:100";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(453, 'e277c0b7-bdc4-4fb6-98da-4e9882c422fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tauri&subset=latin#regular', 'Tauri regular (latin)', 'Tauri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tauri:regular";s:6:"subset";s:5:"latin";}', 1468916092, 1468916092, 0),
(454, 'dc6b50cb-b3b9-41f4-aae0-07c689930058', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tauri&subset=latin-ext#regular', 'Tauri regular (latin-ext)', 'Tauri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tauri:regular";s:6:"subset";s:9:"latin-ext";}', 1468916092, 1468916092, 0),
(455, '2bb127c8-b583-434b-9fbf-a32bf2d6519c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Taprom&subset=khmer#regular', 'Taprom regular (khmer)', 'Taprom', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Taprom:regular";s:6:"subset";s:5:"khmer";}', 1468916092, 1468916092, 0),
(456, '87cb98e6-d3bf-4a08-ae76-6afa92e9bf79', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tangerine&subset=latin#700', 'Tangerine 700 (latin)', 'Tangerine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Tangerine:700";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(457, '3e977d6b-518e-4193-825c-1c1fd9908ce5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Tangerine&subset=latin#regular', 'Tangerine regular (latin)', 'Tangerine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Tangerine:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(458, 'a7b538de-9428-47ec-a0a7-1b9a8df3275e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Syncopate&subset=latin#700', 'Syncopate 700 (latin)', 'Syncopate', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Syncopate:700";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(459, '59c6204d-fcd2-4f04-affe-03fa2877a627', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Syncopate&subset=latin#regular', 'Syncopate regular (latin)', 'Syncopate', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Syncopate:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(460, '642531e9-f8e0-4c15-9d03-3e67f0338be3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Swanky and Moo Moo&subset=latin#regular', 'Swanky and Moo Moo regular (latin)', 'Swanky and Moo Moo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Swanky and Moo Moo:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(461, '4fa4f533-055a-44dd-a90e-643e263284a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suwannaphum&subset=khmer#regular', 'Suwannaphum regular (khmer)', 'Suwannaphum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Suwannaphum:regular";s:6:"subset";s:5:"khmer";}', 1468916094, 1468916094, 0),
(462, 'b7dd5dd3-a47f-4c6f-803f-1b2608d37bc2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suravaram&subset=latin#regular', 'Suravaram regular (latin)', 'Suravaram', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Suravaram:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(463, '6f0e82b4-ba3e-46f2-88bf-48f1641b3e23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suravaram&subset=telugu#regular', 'Suravaram regular (telugu)', 'Suravaram', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Suravaram:regular";s:6:"subset";s:6:"telugu";}', 1468916094, 1468916094, 0),
(464, '4f34f138-d71e-4db7-a44c-3021d9835a06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suranna&subset=latin#regular', 'Suranna regular (latin)', 'Suranna', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Suranna:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(465, '78df6b9f-ebc9-4e1c-96c2-7b42a2903145', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suranna&subset=telugu#regular', 'Suranna regular (telugu)', 'Suranna', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Suranna:regular";s:6:"subset";s:6:"telugu";}', 1468916094, 1468916094, 0),
(466, '58c8e302-9def-40e0-b70b-6f6c1fe786c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sura&subset=latin#700', 'Sura 700 (latin)', 'Sura', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Sura:700";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(467, '0c791dde-53e3-44de-a297-bb46ba0bf0b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sura&subset=devanagari#700', 'Sura 700 (devanagari)', 'Sura', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Sura:700";s:6:"subset";s:10:"devanagari";}', 1468916094, 1468916094, 0),
(468, 'd13af42d-913a-4338-b93e-51349e628b75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sura&subset=latin-ext#700', 'Sura 700 (latin-ext)', 'Sura', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Sura:700";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(469, '9f4d5164-4393-4622-b3de-6e92a566a307', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sura&subset=latin#regular', 'Sura regular (latin)', 'Sura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sura:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(470, '2b28fe9a-9f76-4c72-9694-94f72358f7bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sura&subset=devanagari#regular', 'Sura regular (devanagari)', 'Sura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sura:regular";s:6:"subset";s:10:"devanagari";}', 1468916094, 1468916094, 0),
(471, '1ad8cd85-561d-4f62-8507-f5c4b0feddaf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sura&subset=latin-ext#regular', 'Sura regular (latin-ext)', 'Sura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sura:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(472, '90d289e1-eb63-4768-afdb-8282e6be086b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Supermercado One&subset=latin#regular', 'Supermercado One regular (latin)', 'Supermercado One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Supermercado One:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(473, '94614b29-bd6d-4558-ae64-58b0f5d703d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sunshiney&subset=latin#regular', 'Sunshiney regular (latin)', 'Sunshiney', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Sunshiney:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(474, 'a6412ea0-38a5-4039-b2d3-1881069d2106', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sumana&subset=latin#700', 'Sumana 700 (latin)', 'Sumana', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Sumana:700";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(475, '6f02e8be-3c9a-4d0d-b301-fa3a83524495', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sumana&subset=devanagari#700', 'Sumana 700 (devanagari)', 'Sumana', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Sumana:700";s:6:"subset";s:10:"devanagari";}', 1468916094, 1468916094, 0),
(476, 'dfcd4a08-3aad-49c3-8215-52dfc629f7ef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sumana&subset=latin-ext#700', 'Sumana 700 (latin-ext)', 'Sumana', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Sumana:700";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(477, 'b3fae049-a495-4d89-8d23-59da45554db5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sumana&subset=latin#regular', 'Sumana regular (latin)', 'Sumana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sumana:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(478, 'b85c76f7-8ee5-4049-8505-0b15a718226e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sumana&subset=devanagari#regular', 'Sumana regular (devanagari)', 'Sumana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sumana:regular";s:6:"subset";s:10:"devanagari";}', 1468916094, 1468916094, 0),
(479, '27ea4d75-d96f-49c5-9dca-769e4e51ee3a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sumana&subset=latin-ext#regular', 'Sumana regular (latin-ext)', 'Sumana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sumana:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(480, '97e54570-bbc5-4164-a9b0-62cda772627c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suez One&subset=latin#regular', 'Suez One regular (latin)', 'Suez One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Suez One:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(481, '31e24ad4-0b09-4890-8c04-bb22967e9b7b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suez One&subset=hebrew#regular', 'Suez One regular (hebrew)', 'Suez One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Suez One:regular";s:6:"subset";s:6:"hebrew";}', 1468916094, 1468916094, 0),
(482, 'dffea45f-653b-4c39-997d-d1cc48ea818d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Suez One&subset=latin-ext#regular', 'Suez One regular (latin-ext)', 'Suez One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Suez One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(483, '18c2ab2f-3445-4111-86b1-f14f2f991629', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sue Ellen Francisco&subset=latin#regular', 'Sue Ellen Francisco regular (latin)', 'Sue Ellen Francisco', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Sue Ellen Francisco:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(484, 'b5070d06-cdb8-4d6c-a4d7-8e782705425f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Strait&subset=latin#regular', 'Strait regular (latin)', 'Strait', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Strait:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(485, 'b3620eed-6d43-4e0d-b253-d7c39b868e8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stoke&subset=latin#regular', 'Stoke regular (latin)', 'Stoke', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Stoke:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(486, 'bdc8d2b7-a711-4687-a850-ed6a81bdcb20', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stoke&subset=latin-ext#regular', 'Stoke regular (latin-ext)', 'Stoke', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Stoke:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(487, '0dece1d5-da76-4eee-98ac-aed5ffc7b2d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stoke&subset=latin#300', 'Stoke 300 (latin)', 'Stoke', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Stoke:300";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(488, '6702ed91-134f-4c37-9042-6af43cbd1298', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stoke&subset=latin-ext#300', 'Stoke 300 (latin-ext)', 'Stoke', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Stoke:300";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(489, '013453df-9cba-4e30-b997-4707e8ad27ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stint Ultra Expanded&subset=latin#regular', 'Stint Ultra Expanded regular (latin)', 'Stint Ultra Expanded', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Stint Ultra Expanded:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(490, '4408a225-079d-4f3f-bb83-68973c479296', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stint Ultra Expanded&subset=latin-ext#regular', 'Stint Ultra Expanded regular (latin-ext)', 'Stint Ultra Expanded', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Stint Ultra Expanded:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(491, 'd2e7b413-6b7e-4460-adc8-0ca9b32eab22', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stint Ultra Condensed&subset=latin#regular', 'Stint Ultra Condensed regular (latin)', 'Stint Ultra Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Stint Ultra Condensed:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(492, 'f4cc723a-1fb6-45c9-a0e4-0e34c8742981', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stint Ultra Condensed&subset=latin-ext#regular', 'Stint Ultra Condensed regular (latin-ext)', 'Stint Ultra Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Stint Ultra Condensed:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(493, '7519701d-ee06-41c2-ab9a-e24b1f11449e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stardos Stencil&subset=latin#700', 'Stardos Stencil 700 (latin)', 'Stardos Stencil', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Stardos Stencil:700";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(494, 'e57cd0e6-4971-4e84-bc7f-623f37ea35d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stardos Stencil&subset=latin#regular', 'Stardos Stencil regular (latin)', 'Stardos Stencil', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Stardos Stencil:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(495, 'bd980ff7-5670-4a0b-888c-209c8d4e9f02', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stalinist One&subset=latin#regular', 'Stalinist One regular (latin)', 'Stalinist One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Stalinist One:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(496, '025d7dad-921c-4046-91dd-530b4334f1de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stalinist One&subset=latin-ext#regular', 'Stalinist One regular (latin-ext)', 'Stalinist One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Stalinist One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(497, '89faf599-cfa3-49e5-ac61-847a5e055f19', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stalinist One&subset=cyrillic#regular', 'Stalinist One regular (cyrillic)', 'Stalinist One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Stalinist One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916094, 1468916094, 0),
(498, '5fc3783c-2481-441c-942e-5e60b241d08f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stalemate&subset=latin#regular', 'Stalemate regular (latin)', 'Stalemate', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Stalemate:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(499, '2464b5f9-6a63-40cd-8f6b-d3e8ae3b9655', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Stalemate&subset=latin-ext#regular', 'Stalemate regular (latin-ext)', 'Stalemate', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Stalemate:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(500, '801027e3-8218-4e05-9e6b-2470485842a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sriracha&subset=thai#regular', 'Sriracha regular (thai)', 'Sriracha', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sriracha:regular";s:6:"subset";s:4:"thai";}', 1468916094, 1468916094, 0),
(501, 'dfdc31bf-0579-4de0-82fc-baeaa78d6624', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sriracha&subset=latin#regular', 'Sriracha regular (latin)', 'Sriracha', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sriracha:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(502, 'dd7699b5-cf8c-4cce-886a-8281bc6e7d7c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sriracha&subset=vietnamese#regular', 'Sriracha regular (vietnamese)', 'Sriracha', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sriracha:regular";s:6:"subset";s:10:"vietnamese";}', 1468916094, 1468916094, 0),
(503, '9bdef267-240c-4b9f-af38-739b41c9db47', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sriracha&subset=latin-ext#regular', 'Sriracha regular (latin-ext)', 'Sriracha', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sriracha:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(504, 'da26abbc-c9a0-43c6-be8f-17e83242e012', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sree Krushnadevaraya&subset=latin#regular', 'Sree Krushnadevaraya regular (latin)', 'Sree Krushnadevaraya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Sree Krushnadevaraya:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(505, 'd942437e-576f-4841-ad8b-b26536ada363', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sree Krushnadevaraya&subset=telugu#regular', 'Sree Krushnadevaraya regular (telugu)', 'Sree Krushnadevaraya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Sree Krushnadevaraya:regular";s:6:"subset";s:6:"telugu";}', 1468916094, 1468916094, 0),
(506, 'efae2237-4537-4dcd-a43d-902670ffbad5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Squada One&subset=latin#regular', 'Squada One regular (latin)', 'Squada One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Squada One:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(507, '2228959a-2c33-4130-b280-6385b5508abf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Spirax&subset=latin#regular', 'Spirax regular (latin)', 'Spirax', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Spirax:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(508, 'dd5d03cf-ea67-4815-8b3b-b96130341cf8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Spinnaker&subset=latin#regular', 'Spinnaker regular (latin)', 'Spinnaker', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Spinnaker:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(509, 'ded4c116-7903-4011-8335-87d9f79afffa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Spinnaker&subset=latin-ext#regular', 'Spinnaker regular (latin-ext)', 'Spinnaker', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Spinnaker:regular";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(510, '728f07fb-0676-4fb2-87bc-4adf2b312bfb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Spicy Rice&subset=latin#regular', 'Spicy Rice regular (latin)', 'Spicy Rice', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Spicy Rice:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(511, '59862cbf-8032-425f-bf3e-eb264c4ee977', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Special Elite&subset=latin#regular', 'Special Elite regular (latin)', 'Special Elite', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Special Elite:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(512, 'aed2058c-0393-4830-8f11-8136791d5769', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin#700italic', 'Space Mono 700italic (latin)', 'Space Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Space Mono:700italic";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(513, 'c813d330-a891-4506-b631-723c313dc36f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=vietnamese#700italic', 'Space Mono 700italic (vietnamese)', 'Space Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Space Mono:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916094, 1468916094, 0),
(514, '9bf5261c-05a1-4c25-b736-6298a0f403c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin-ext#700italic', 'Space Mono 700italic (latin-ext)', 'Space Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Space Mono:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(515, '097edf27-b9c4-4bd5-a9d8-56d01147a9f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin#700', 'Space Mono 700 (latin)', 'Space Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Space Mono:700";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(516, '02a56af4-81e2-4c3c-a3fe-c368f3fe079c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=vietnamese#700', 'Space Mono 700 (vietnamese)', 'Space Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Space Mono:700";s:6:"subset";s:10:"vietnamese";}', 1468916094, 1468916094, 0),
(517, 'ae883ecc-5bc0-4ae8-957a-c1f1cd0d59b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin-ext#700', 'Space Mono 700 (latin-ext)', 'Space Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Space Mono:700";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(518, 'c877a0e0-d520-44ec-a676-a3f943196378', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin#italic', 'Space Mono italic (latin)', 'Space Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Space Mono:italic";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(519, '17efd654-6ace-4594-b719-83e9b22e0da1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=vietnamese#italic', 'Space Mono italic (vietnamese)', 'Space Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Space Mono:italic";s:6:"subset";s:10:"vietnamese";}', 1468916094, 1468916094, 0),
(520, '1904a4fe-a927-4fbf-80e5-080b22338e8d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin-ext#italic', 'Space Mono italic (latin-ext)', 'Space Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Space Mono:italic";s:6:"subset";s:9:"latin-ext";}', 1468916094, 1468916094, 0),
(521, '062c237b-d408-4977-a492-41b14b85ca5f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin#regular', 'Space Mono regular (latin)', 'Space Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Space Mono:regular";s:6:"subset";s:5:"latin";}', 1468916094, 1468916094, 0),
(522, 'dbdf8d6e-c059-44bc-9344-e9b1476f4c5d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=vietnamese#regular', 'Space Mono regular (vietnamese)', 'Space Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Space Mono:regular";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(523, '52e2198b-f5fb-4c76-ade4-46b0555401ff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Space Mono&subset=latin-ext#regular', 'Space Mono regular (latin-ext)', 'Space Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Space Mono:regular";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(524, '23dbcb3c-2019-43b8-b5d6-02bdfef97cc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Serif Pro&subset=latin#700', 'Source Serif Pro 700 (latin)', 'Source Serif Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Source Serif Pro:700";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(525, '429ecbc3-a70b-4004-a9e2-ca61e024e70f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Serif Pro&subset=latin-ext#700', 'Source Serif Pro 700 (latin-ext)', 'Source Serif Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Source Serif Pro:700";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(526, '5b184e44-ac07-497a-a6f8-5704126d478c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Serif Pro&subset=latin#600', 'Source Serif Pro 600 (latin)', 'Source Serif Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Source Serif Pro:600";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(527, '7b6b30f2-5db1-4a06-8168-6df081b1bb79', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Serif Pro&subset=latin-ext#600', 'Source Serif Pro 600 (latin-ext)', 'Source Serif Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Source Serif Pro:600";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(528, 'f5ff80e2-ae39-4fa3-9a71-772fefb637c0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Serif Pro&subset=latin#regular', 'Source Serif Pro regular (latin)', 'Source Serif Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Source Serif Pro:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(529, '225cb4f6-74f1-4933-973a-665e14f421e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Serif Pro&subset=latin-ext#regular', 'Source Serif Pro regular (latin-ext)', 'Source Serif Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Source Serif Pro:regular";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(530, '2e73fa54-6948-44ee-ac19-210cd04c70ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#900italic', 'Source Sans Pro 900italic (latin)', 'Source Sans Pro', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:900italic";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(531, 'caf5f65a-08bb-4b26-bebb-ab2516f28cbe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#900italic', 'Source Sans Pro 900italic (vietnamese)', 'Source Sans Pro', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(532, 'd222feaf-e91a-4db7-b0c0-8788ff9769bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#900italic', 'Source Sans Pro 900italic (latin-ext)', 'Source Sans Pro', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(533, '235fa4d8-9cbc-4050-8e92-fc6731bce825', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#900', 'Source Sans Pro 900 (latin)', 'Source Sans Pro', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:900";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(534, '857c1167-40b0-48e5-ba58-955cb83f090a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#900', 'Source Sans Pro 900 (vietnamese)', 'Source Sans Pro', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:900";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(535, '24b1009d-db65-4673-a23a-245daffa29e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#900', 'Source Sans Pro 900 (latin-ext)', 'Source Sans Pro', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:900";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(536, '4e68f0e1-4284-4b01-b884-230983d95df1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#700italic', 'Source Sans Pro 700italic (latin)', 'Source Sans Pro', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:700italic";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(537, '95ef065a-be23-4ff8-b6a7-42fe5a118439', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#700italic', 'Source Sans Pro 700italic (vietnamese)', 'Source Sans Pro', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(538, 'bdafdfa7-e7bb-45d5-8cab-578332a73383', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#700italic', 'Source Sans Pro 700italic (latin-ext)', 'Source Sans Pro', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(539, '0a175211-8e0c-4f6b-b0ca-eeeedf657cc1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#700', 'Source Sans Pro 700 (latin)', 'Source Sans Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:700";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(540, '6fc6a777-0f91-42c5-9396-092b084a0f00', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#700', 'Source Sans Pro 700 (vietnamese)', 'Source Sans Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:700";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(541, 'a69e29b8-c1c7-435e-bd11-8786191318de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#700', 'Source Sans Pro 700 (latin-ext)', 'Source Sans Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:700";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(542, '945457a4-6ce6-4223-b2f8-1c2f721b4cb5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#600italic', 'Source Sans Pro 600italic (latin)', 'Source Sans Pro', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:600italic";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(543, '9d410547-fe8c-4707-b127-bf76b148ec30', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#600italic', 'Source Sans Pro 600italic (vietnamese)', 'Source Sans Pro', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(544, '733b7bfd-0f43-49cc-addf-531f1a5449a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#600italic', 'Source Sans Pro 600italic (latin-ext)', 'Source Sans Pro', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(545, '1147a1ac-24e9-4fc0-bd62-07ce1f921b14', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#600', 'Source Sans Pro 600 (latin)', 'Source Sans Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:600";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(546, '495f3ebd-ad06-4aec-b412-d6ff72f960af', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#600', 'Source Sans Pro 600 (vietnamese)', 'Source Sans Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:600";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(547, 'fc8b37b3-e5b3-431e-8e3e-5e54df1735d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#600', 'Source Sans Pro 600 (latin-ext)', 'Source Sans Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:600";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(548, '88a7e0a8-ffa8-4be8-bcfa-8a6561f1c8ff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#italic', 'Source Sans Pro italic (latin)', 'Source Sans Pro', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Source Sans Pro:italic";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(549, '09698fc5-5ae3-4b09-aabb-58dcbc6a96bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#italic', 'Source Sans Pro italic (vietnamese)', 'Source Sans Pro', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Source Sans Pro:italic";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(550, '9b42573f-dfd8-4770-8c7f-e294a3ae359f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#italic', 'Source Sans Pro italic (latin-ext)', 'Source Sans Pro', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Source Sans Pro:italic";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(551, '367bab0c-2937-4ede-abec-33c0260c9a85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#regular', 'Source Sans Pro regular (latin)', 'Source Sans Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Source Sans Pro:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(552, '676c7ec6-2f86-4f8c-aaf2-d2b6b6d8e4b6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#regular', 'Source Sans Pro regular (vietnamese)', 'Source Sans Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Source Sans Pro:regular";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(553, 'd2448e56-5498-471e-ab82-257350d05182', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#regular', 'Source Sans Pro regular (latin-ext)', 'Source Sans Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Source Sans Pro:regular";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(554, 'db9f3e1f-ade0-4cea-8e37-cfffbca4b64a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#300italic', 'Source Sans Pro 300italic (latin)', 'Source Sans Pro', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:300italic";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(555, 'd68432ac-fd19-4144-9c63-1cdc2b936ff1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#300italic', 'Source Sans Pro 300italic (vietnamese)', 'Source Sans Pro', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(556, 'e1198330-a129-4cb3-a468-187736722fb5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#300italic', 'Source Sans Pro 300italic (latin-ext)', 'Source Sans Pro', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(557, 'a8b4a93c-cf96-44e6-a89e-322c201af3b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#300', 'Source Sans Pro 300 (latin)', 'Source Sans Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:300";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(558, '8f3084f3-026f-47af-8455-8b29cc923df5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#300', 'Source Sans Pro 300 (vietnamese)', 'Source Sans Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:300";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(559, '4ea6a183-aa2b-482d-87fc-7b63f5950472', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#300', 'Source Sans Pro 300 (latin-ext)', 'Source Sans Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:300";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(560, '385d4a8b-30bf-4ef4-b77b-5fce9737b891', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#200italic', 'Source Sans Pro 200italic (latin)', 'Source Sans Pro', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:200italic";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(561, 'ac97dafa-74ec-4982-8b3c-6342ea392a10', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#200italic', 'Source Sans Pro 200italic (vietnamese)', 'Source Sans Pro', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:200italic";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(562, '16d08c68-8c06-44b1-89de-ca5d7786e097', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#200italic', 'Source Sans Pro 200italic (latin-ext)', 'Source Sans Pro', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Source Sans Pro:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(563, 'b2c8ac56-5b54-4742-ac16-1e881897bd86', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin#200', 'Source Sans Pro 200 (latin)', 'Source Sans Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:200";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(564, '71113df0-2795-4b42-916e-53eb51d40f33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=vietnamese#200', 'Source Sans Pro 200 (vietnamese)', 'Source Sans Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:200";s:6:"subset";s:10:"vietnamese";}', 1468916095, 1468916095, 0),
(565, 'a6f8f14f-5139-44bb-bec1-29ca6fa2c62e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Sans Pro&subset=latin-ext#200', 'Source Sans Pro 200 (latin-ext)', 'Source Sans Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Sans Pro:200";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(566, '28bcc57f-1926-418c-b034-6206af57d0b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin#900', 'Source Code Pro 900 (latin)', 'Source Code Pro', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:900";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(567, '7bec1e40-9ad3-40b2-bc05-f9837856341e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin-ext#900', 'Source Code Pro 900 (latin-ext)', 'Source Code Pro', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:900";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(568, '1baee32b-5b2c-4e17-ae74-8771f6994459', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin#700', 'Source Code Pro 700 (latin)', 'Source Code Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:700";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(569, '1d03e657-9051-409d-afdb-67ee3d372c40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin-ext#700', 'Source Code Pro 700 (latin-ext)', 'Source Code Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:700";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0);
INSERT INTO `fontyourface_font` VALUES
(570, 'cde2d1f8-943f-47f3-aa2c-1dc646c4a6b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin#600', 'Source Code Pro 600 (latin)', 'Source Code Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:600";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(571, '88f3f4af-2386-4b69-b5bb-2e7ea8595cf8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin-ext#600', 'Source Code Pro 600 (latin-ext)', 'Source Code Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:600";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(572, '4df1da98-6f42-4726-ad05-14d88846ed1c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin#500', 'Source Code Pro 500 (latin)', 'Source Code Pro', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:500";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(573, 'e6b9f9c0-8d8f-44e3-8e6f-c89712805700', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin-ext#500', 'Source Code Pro 500 (latin-ext)', 'Source Code Pro', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:500";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(574, 'f58f77a0-896d-4cc8-b933-dd149428d8d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin#regular', 'Source Code Pro regular (latin)', 'Source Code Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Source Code Pro:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(575, '3b36b18d-2c20-43d2-b318-417c99a7efd9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin-ext#regular', 'Source Code Pro regular (latin-ext)', 'Source Code Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Source Code Pro:regular";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(576, '1f0defb3-a648-43b2-9f1a-dff8ca1b50e5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin#300', 'Source Code Pro 300 (latin)', 'Source Code Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:300";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(577, '70f48225-9015-47bf-a9cc-dffeccb3be61', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin-ext#300', 'Source Code Pro 300 (latin-ext)', 'Source Code Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:300";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(578, '36d8c43b-02b5-4a97-bf28-5f31df2c6ab2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin#200', 'Source Code Pro 200 (latin)', 'Source Code Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:200";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(579, 'ff27c1b9-9c74-4c05-80cc-ecc6043acfee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Source Code Pro&subset=latin-ext#200', 'Source Code Pro 200 (latin-ext)', 'Source Code Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Source Code Pro:200";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(580, '5dd2f7c3-d5ae-4115-971f-4696a90fde56', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sorts Mill Goudy&subset=latin#italic', 'Sorts Mill Goudy italic (latin)', 'Sorts Mill Goudy', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Sorts Mill Goudy:italic";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(581, '7af22e3c-a077-4ae7-ade7-8fab323b38ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sorts Mill Goudy&subset=latin-ext#italic', 'Sorts Mill Goudy italic (latin-ext)', 'Sorts Mill Goudy', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Sorts Mill Goudy:italic";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(582, '5623a294-72a8-420f-a0a1-e41e108c1057', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sorts Mill Goudy&subset=latin#regular', 'Sorts Mill Goudy regular (latin)', 'Sorts Mill Goudy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Sorts Mill Goudy:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(583, '1e0f2501-1ae0-4172-9ff6-600aec8fa9df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sorts Mill Goudy&subset=latin-ext#regular', 'Sorts Mill Goudy regular (latin-ext)', 'Sorts Mill Goudy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Sorts Mill Goudy:regular";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(584, 'f984b56e-5937-4b69-a558-d7f39e1dbf89', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sonsie One&subset=latin#regular', 'Sonsie One regular (latin)', 'Sonsie One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Sonsie One:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(585, '5cd178f6-71e0-4b2c-95c1-d3bb3ea2660f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sonsie One&subset=latin-ext#regular', 'Sonsie One regular (latin-ext)', 'Sonsie One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Sonsie One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916095, 1468916095, 0),
(586, 'fa467614-c56a-48fa-a42a-c6e8586a2c6b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sofia&subset=latin#regular', 'Sofia regular (latin)', 'Sofia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Sofia:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(587, '36df8891-dbf3-455e-938a-3130a62cfe25', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sofadi One&subset=latin#regular', 'Sofadi One regular (latin)', 'Sofadi One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Sofadi One:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(588, '03adcc2e-1a46-41c6-a3c6-890479e2d5f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Snowburst One&subset=latin#regular', 'Snowburst One regular (latin)', 'Snowburst One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Snowburst One:regular";s:6:"subset";s:5:"latin";}', 1468916095, 1468916095, 0),
(589, 'aa5cf16c-6d5e-41a0-8279-cf714f6ccb84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Snowburst One&subset=latin-ext#regular', 'Snowburst One regular (latin-ext)', 'Snowburst One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Snowburst One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(590, '0faa5348-94e5-4233-ba6e-d5a47436cd17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Snippet&subset=latin#regular', 'Snippet regular (latin)', 'Snippet', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Snippet:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(591, '3d36862b-1671-488a-b324-5882416ec6d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sniglet&subset=latin#800', 'Sniglet 800 (latin)', 'Sniglet', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Sniglet:800";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(592, '0577edd5-cd01-4405-9cec-d2a81c1536e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sniglet&subset=latin-ext#800', 'Sniglet 800 (latin-ext)', 'Sniglet', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Sniglet:800";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(593, 'b38e3e55-3cf9-4d3f-a0dc-a7a8cc4eb405', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sniglet&subset=latin#regular', 'Sniglet regular (latin)', 'Sniglet', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sniglet:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(594, '1385c591-0c52-4c18-b713-295ae4930eaf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sniglet&subset=latin-ext#regular', 'Sniglet regular (latin-ext)', 'Sniglet', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sniglet:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(595, 'a29d82a2-ec1a-4d31-9829-110b608aab67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Smythe&subset=latin#regular', 'Smythe regular (latin)', 'Smythe', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Smythe:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(596, '22d72227-b106-4de0-8238-16629b03ff75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Smokum&subset=latin#regular', 'Smokum regular (latin)', 'Smokum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Smokum:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(597, 'a09fb19b-f189-4348-a00d-1939ca937df8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Slackey&subset=latin#regular', 'Slackey regular (latin)', 'Slackey', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Slackey:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(598, '4f0cbe45-b573-499d-a1f6-36574026ad66', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Slabo 27px&subset=latin#regular', 'Slabo 27px regular (latin)', 'Slabo 27px', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Slabo 27px:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(599, 'b084dd90-f729-438d-abcd-1c7b4aa5e731', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Slabo 27px&subset=latin-ext#regular', 'Slabo 27px regular (latin-ext)', 'Slabo 27px', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Slabo 27px:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(600, 'dc5a028e-47d4-49ff-af25-1e3ceb68f715', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Slabo 13px&subset=latin#regular', 'Slabo 13px regular (latin)', 'Slabo 13px', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Slabo 13px:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(601, '2d313730-96dc-45e9-b069-a7147034805f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Slabo 13px&subset=latin-ext#regular', 'Slabo 13px regular (latin-ext)', 'Slabo 13px', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Slabo 13px:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(602, '453122b5-1fb1-4909-868f-a7474ddf354c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Skranji&subset=latin#700', 'Skranji 700 (latin)', 'Skranji', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Skranji:700";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(603, '47b41ed3-6cc8-4c2b-ae73-e7e6286260d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Skranji&subset=latin-ext#700', 'Skranji 700 (latin-ext)', 'Skranji', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Skranji:700";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(604, '574f6f14-e4f7-4ec4-9541-891569acce1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Skranji&subset=latin#regular', 'Skranji regular (latin)', 'Skranji', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Skranji:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(605, 'd7d5f8f0-94f2-4859-8943-fff11fb6e10f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Skranji&subset=latin-ext#regular', 'Skranji regular (latin-ext)', 'Skranji', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Skranji:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(606, '85d0740f-b15b-41ab-bdbc-3e541b28b3c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Six Caps&subset=latin#regular', 'Six Caps regular (latin)', 'Six Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Six Caps:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(607, 'c216f828-b44e-43db-9fed-933a78fd4ca0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sirin Stencil&subset=latin#regular', 'Sirin Stencil regular (latin)', 'Sirin Stencil', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Sirin Stencil:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(608, 'fad6f419-c063-44c6-b821-50ef916a2030', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sintony&subset=latin#700', 'Sintony 700 (latin)', 'Sintony', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Sintony:700";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(609, '31e928b1-55f4-44a9-b405-9c3e0284b4b3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sintony&subset=latin-ext#700', 'Sintony 700 (latin-ext)', 'Sintony', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Sintony:700";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(610, '56e725d7-1da6-4450-a4b7-a1673e882c40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sintony&subset=latin#regular', 'Sintony regular (latin)', 'Sintony', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sintony:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(611, '53f2dfa5-77ff-49ce-9933-be6ec85c9085', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sintony&subset=latin-ext#regular', 'Sintony regular (latin-ext)', 'Sintony', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sintony:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(612, 'd6189a92-dca2-4fb2-aabc-331bc17f4922', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin#900italic', 'Simonetta 900italic (latin)', 'Simonetta', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Simonetta:900italic";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(613, '5143d72f-2395-4b79-a2e8-00fd59439f11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin-ext#900italic', 'Simonetta 900italic (latin-ext)', 'Simonetta', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Simonetta:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(614, 'a122243d-3ad7-4011-a958-edf5cb6d8833', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin#900', 'Simonetta 900 (latin)', 'Simonetta', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Simonetta:900";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(615, '84f2287b-f9e0-447c-bb41-cfc7cd2a64e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin-ext#900', 'Simonetta 900 (latin-ext)', 'Simonetta', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Simonetta:900";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(616, '50cabc1f-1244-4669-a9d2-d1fb2aba6188', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin#italic', 'Simonetta italic (latin)', 'Simonetta', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Simonetta:italic";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(617, 'f2b26350-3126-4fba-9c58-656bb33e3105', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin-ext#italic', 'Simonetta italic (latin-ext)', 'Simonetta', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Simonetta:italic";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(618, '67f3198b-39f2-409e-8798-e69938a3c31e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin#regular', 'Simonetta regular (latin)', 'Simonetta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Simonetta:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(619, '15d91d40-0fe2-4f45-acb5-3d59889858d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Simonetta&subset=latin-ext#regular', 'Simonetta regular (latin-ext)', 'Simonetta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Simonetta:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(620, '79c6639c-9ebe-451e-9f22-43d9e89a88e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin#700', 'Signika Negative 700 (latin)', 'Signika Negative', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Signika Negative:700";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(621, '5f46bb35-b413-49da-9f3e-a4ccf421bbf5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin-ext#700', 'Signika Negative 700 (latin-ext)', 'Signika Negative', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Signika Negative:700";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(622, '1110e32e-7a82-42c8-8b78-31b078e25e99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin#600', 'Signika Negative 600 (latin)', 'Signika Negative', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Signika Negative:600";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(623, '1f6262ba-5950-488e-b938-d6c27856f6ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin-ext#600', 'Signika Negative 600 (latin-ext)', 'Signika Negative', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Signika Negative:600";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(624, 'eeddcfc5-b1f8-427b-bfd8-7a2482891554', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin#regular', 'Signika Negative regular (latin)', 'Signika Negative', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Signika Negative:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(625, '1a903dca-7256-481f-b2be-f05c29689a77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin-ext#regular', 'Signika Negative regular (latin-ext)', 'Signika Negative', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Signika Negative:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(626, 'bf910f8a-76bd-404c-b40d-d05905fc0e58', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin#300', 'Signika Negative 300 (latin)', 'Signika Negative', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Signika Negative:300";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(627, '8fbd22ee-6a5e-49fd-b6d5-241930364b82', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika Negative&subset=latin-ext#300', 'Signika Negative 300 (latin-ext)', 'Signika Negative', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Signika Negative:300";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(628, '30720112-fc53-4dae-9430-633e7c38dace', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin#700', 'Signika 700 (latin)', 'Signika', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Signika:700";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(629, '84499dcf-45ae-4204-a7ca-a37c75919b2a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin-ext#700', 'Signika 700 (latin-ext)', 'Signika', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Signika:700";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(630, '42209fce-e461-41ed-882d-b1fb03307600', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin#600', 'Signika 600 (latin)', 'Signika', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Signika:600";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(631, '7cdc3a25-7007-46fa-8e41-e5f69f03af21', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin-ext#600', 'Signika 600 (latin-ext)', 'Signika', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Signika:600";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(632, '254f6e21-2974-456f-8116-14070d831804', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin#regular', 'Signika regular (latin)', 'Signika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Signika:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(633, 'd28eb2c9-f869-4308-a245-27cc119f18e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin-ext#regular', 'Signika regular (latin-ext)', 'Signika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Signika:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(634, 'c0bd194f-d920-404d-9553-4abe39a3a952', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin#300', 'Signika 300 (latin)', 'Signika', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Signika:300";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(635, '38b710e8-42d8-4e9e-a01c-f1bbf1e4f360', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Signika&subset=latin-ext#300', 'Signika 300 (latin-ext)', 'Signika', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Signika:300";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(636, '60f939f8-12d6-4a6d-b13f-4b757441a850', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sigmar One&subset=latin#regular', 'Sigmar One regular (latin)', 'Sigmar One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Sigmar One:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(637, '10b63f4c-9145-4a3a-a275-e797badf51a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Siemreap&subset=khmer#regular', 'Siemreap regular (khmer)', 'Siemreap', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Siemreap:regular";s:6:"subset";s:5:"khmer";}', 1468916097, 1468916097, 0),
(638, '9418eef8-8cbb-4749-a6ee-ba3041866571', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shrikhand&subset=latin#regular', 'Shrikhand regular (latin)', 'Shrikhand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Shrikhand:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(639, '27fa8f99-5e8d-4e34-94f0-5bdd982872a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shrikhand&subset=gujarati#regular', 'Shrikhand regular (gujarati)', 'Shrikhand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Shrikhand:regular";s:6:"subset";s:8:"gujarati";}', 1468916097, 1468916097, 0),
(640, '3eeb41e8-7784-4ae7-abad-66eae0057ba4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shrikhand&subset=latin-ext#regular', 'Shrikhand regular (latin-ext)', 'Shrikhand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Shrikhand:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(641, 'eb447ed1-9b30-4d87-a315-7ce650cbfaee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Short Stack&subset=latin#regular', 'Short Stack regular (latin)', 'Short Stack', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Short Stack:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(642, '2b0a67a1-78af-4c3e-ab76-059f56be2605', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shojumaru&subset=latin#regular', 'Shojumaru regular (latin)', 'Shojumaru', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Shojumaru:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(643, '98371982-80ef-4f93-b2b5-cd2aab901e7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shojumaru&subset=latin-ext#regular', 'Shojumaru regular (latin-ext)', 'Shojumaru', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Shojumaru:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(644, '9b4828bd-e3bf-4059-bbce-a9c7265d29f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share Tech Mono&subset=latin#regular', 'Share Tech Mono regular (latin)', 'Share Tech Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Share Tech Mono:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(645, '7de60032-f85e-4bb7-9d15-6d688f3f09dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share Tech&subset=latin#regular', 'Share Tech regular (latin)', 'Share Tech', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Share Tech:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(646, '8e3dba46-9c12-4f81-8d23-532c7f203eb0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin#700italic', 'Share 700italic (latin)', 'Share', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Share:700italic";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(647, '3f6833df-2d20-48ae-b033-b598bb2a80be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin-ext#700italic', 'Share 700italic (latin-ext)', 'Share', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Share:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(648, '224b1165-6b9f-43fe-a06e-c39d4d7e2928', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin#700', 'Share 700 (latin)', 'Share', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Share:700";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(649, '8a927f70-6adf-4e74-955f-22eaaf41194e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin-ext#700', 'Share 700 (latin-ext)', 'Share', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Share:700";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(650, 'c65d34ab-edf2-404f-955b-6678530d842a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin#italic', 'Share italic (latin)', 'Share', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Share:italic";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(651, '14deb75b-8762-4f52-9d76-9638e4e6be15', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin-ext#italic', 'Share italic (latin-ext)', 'Share', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Share:italic";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(652, '931bc448-e4fc-4340-ad6a-af59dc13e63c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin#regular', 'Share regular (latin)', 'Share', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Share:regular";s:6:"subset";s:5:"latin";}', 1468916097, 1468916097, 0),
(653, '12b51419-9050-4ea6-a4e3-f6c49fc130d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Share&subset=latin-ext#regular', 'Share regular (latin-ext)', 'Share', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Share:regular";s:6:"subset";s:9:"latin-ext";}', 1468916097, 1468916097, 0),
(654, 'fc4f620f-3ff5-48b7-b53b-10d8d231978d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shanti&subset=latin#regular', 'Shanti regular (latin)', 'Shanti', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Shanti:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(655, '0f52bc3a-6de2-4e59-b3e8-37c962f32edb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shadows Into Light Two&subset=latin#regular', 'Shadows Into Light Two regular (latin)', 'Shadows Into Light Two', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:30:"Shadows Into Light Two:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(656, '0f3f4cbe-1223-468c-9c45-be3006b0c473', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shadows Into Light Two&subset=latin-ext#regular', 'Shadows Into Light Two regular (latin-ext)', 'Shadows Into Light Two', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:30:"Shadows Into Light Two:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(657, '9867e3ea-ff0b-43d7-9ec2-51d8cef91da7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Shadows Into Light&subset=latin#regular', 'Shadows Into Light regular (latin)', 'Shadows Into Light', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Shadows Into Light:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(658, 'faeeab6d-0d50-446a-a83e-5673aa0ed9b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Seymour One&subset=latin#regular', 'Seymour One regular (latin)', 'Seymour One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Seymour One:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(659, '51883e55-d9dd-4128-8656-7fb5f65ec2d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Seymour One&subset=latin-ext#regular', 'Seymour One regular (latin-ext)', 'Seymour One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Seymour One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(660, 'd9fc4ec1-5c41-482a-9c23-ba99ccb3c188', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Seymour One&subset=cyrillic#regular', 'Seymour One regular (cyrillic)', 'Seymour One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Seymour One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916099, 1468916099, 0),
(661, '8699462a-5e74-4ef1-b931-772242d1ffd5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sevillana&subset=latin#regular', 'Sevillana regular (latin)', 'Sevillana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Sevillana:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(662, '0b1985d6-dc1d-4fb4-9c2f-84fe819a8dcd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sevillana&subset=latin-ext#regular', 'Sevillana regular (latin-ext)', 'Sevillana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Sevillana:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(663, 'df0cc538-85ca-4b8d-9ea9-30c3371a536c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Secular One&subset=latin#regular', 'Secular One regular (latin)', 'Secular One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Secular One:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(664, '287ac865-2569-41b9-ba05-0b27c0bca805', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Secular One&subset=hebrew#regular', 'Secular One regular (hebrew)', 'Secular One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Secular One:regular";s:6:"subset";s:6:"hebrew";}', 1468916099, 1468916099, 0),
(665, '55ad0c77-9341-4b13-b49c-fbdde10d2328', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Secular One&subset=latin-ext#regular', 'Secular One regular (latin-ext)', 'Secular One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Secular One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(666, 'c5b94471-6f94-4bed-8c13-73d19798daca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Seaweed Script&subset=latin#regular', 'Seaweed Script regular (latin)', 'Seaweed Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Seaweed Script:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(667, 'cecd24e0-9195-43e4-a868-7d1eac449e1e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Seaweed Script&subset=latin-ext#regular', 'Seaweed Script regular (latin-ext)', 'Seaweed Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Seaweed Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(668, '8515c62f-b182-4900-a8d5-56cda868ce99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scope One&subset=latin#regular', 'Scope One regular (latin)', 'Scope One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Scope One:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(669, '920d97de-0714-4466-a848-8be58a042d59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scope One&subset=latin-ext#regular', 'Scope One regular (latin-ext)', 'Scope One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Scope One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(670, '13377a83-1bff-4731-a608-0ddf6a3f7c11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Schoolbell&subset=latin#regular', 'Schoolbell regular (latin)', 'Schoolbell', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Schoolbell:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(671, 'a5cb9290-083b-48bc-9ea2-487b8cc4924f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scheherazade&subset=latin#700', 'Scheherazade 700 (latin)', 'Scheherazade', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Scheherazade:700";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(672, '1ddddd7d-3258-4e8c-85dc-0a35871b56aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scheherazade&subset=arabic#700', 'Scheherazade 700 (arabic)', 'Scheherazade', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Scheherazade:700";s:6:"subset";s:6:"arabic";}', 1468916099, 1468916099, 0),
(673, 'e2856ea9-a5f0-4dcb-9859-17ff5d8d9759', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scheherazade&subset=latin#regular', 'Scheherazade regular (latin)', 'Scheherazade', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Scheherazade:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(674, 'c742c166-988a-41fb-a75b-d755f07d4895', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scheherazade&subset=arabic#regular', 'Scheherazade regular (arabic)', 'Scheherazade', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Scheherazade:regular";s:6:"subset";s:6:"arabic";}', 1468916099, 1468916099, 0),
(675, 'e1cd4d21-de0d-4f88-b5ee-9c3e96468f7b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin#700italic', 'Scada 700italic (latin)', 'Scada', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Scada:700italic";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(676, 'f5661552-1e05-47b7-a0e5-74a80c7e0302', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin-ext#700italic', 'Scada 700italic (latin-ext)', 'Scada', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Scada:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(677, '63c87778-9626-4476-8697-4c83d1e78ad8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=cyrillic#700italic', 'Scada 700italic (cyrillic)', 'Scada', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Scada:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916099, 1468916099, 0),
(678, 'fc6b88b5-3273-496e-b3b5-82e0274efce8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin#700', 'Scada 700 (latin)', 'Scada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Scada:700";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(679, 'e6f05845-935c-4269-b2d7-7e5e2127627a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin-ext#700', 'Scada 700 (latin-ext)', 'Scada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Scada:700";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(680, '9fc86316-b6c7-4874-8635-53c47260ae1b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=cyrillic#700', 'Scada 700 (cyrillic)', 'Scada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Scada:700";s:6:"subset";s:8:"cyrillic";}', 1468916099, 1468916099, 0),
(681, 'f0105979-f6d6-40f9-866c-994c149dea57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin#italic', 'Scada italic (latin)', 'Scada', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Scada:italic";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(682, 'e6279cda-1c8e-42ba-be86-387cdc3ab17e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin-ext#italic', 'Scada italic (latin-ext)', 'Scada', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Scada:italic";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(683, 'd01dff81-85c5-48e3-840c-07382507d969', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=cyrillic#italic', 'Scada italic (cyrillic)', 'Scada', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Scada:italic";s:6:"subset";s:8:"cyrillic";}', 1468916099, 1468916099, 0),
(684, 'bb02c38e-7a04-47d8-8851-305ec7bc0f26', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin#regular', 'Scada regular (latin)', 'Scada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Scada:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(685, '4eaf72f9-787a-41d0-9aac-6fc4a05ead67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=latin-ext#regular', 'Scada regular (latin-ext)', 'Scada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Scada:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(686, '9b74cdc9-9cff-4a1a-9b65-79e22ef19d41', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Scada&subset=cyrillic#regular', 'Scada regular (cyrillic)', 'Scada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Scada:regular";s:6:"subset";s:8:"cyrillic";}', 1468916099, 1468916099, 0),
(687, '7db2c582-b2b0-4cb2-8f18-76d7e4bc3d1a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Satisfy&subset=latin#regular', 'Satisfy regular (latin)', 'Satisfy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Satisfy:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(688, '4f46798a-f148-41aa-8fe8-7168b7f296dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin#900', 'Sarpanch 900 (latin)', 'Sarpanch', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:900";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(689, 'f15777eb-fd76-4ed3-97a7-4750012d9da4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=devanagari#900', 'Sarpanch 900 (devanagari)', 'Sarpanch', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:900";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(690, 'b0321ff5-41e8-4516-8b2e-79c892f03e67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin-ext#900', 'Sarpanch 900 (latin-ext)', 'Sarpanch', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:900";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(691, '6b05d026-83fa-4f1b-9ff6-2de92ce0f905', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin#800', 'Sarpanch 800 (latin)', 'Sarpanch', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:800";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(692, 'e2bd330d-b8e9-497e-8382-9b96a6fbca12', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=devanagari#800', 'Sarpanch 800 (devanagari)', 'Sarpanch', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:800";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(693, 'c05acc41-3b1a-4f8e-a4f4-d56ca2b963f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin-ext#800', 'Sarpanch 800 (latin-ext)', 'Sarpanch', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:800";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(694, '817b0af6-e800-433b-bf7e-8d88dadf3f08', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin#700', 'Sarpanch 700 (latin)', 'Sarpanch', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:700";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(695, '35ba08b2-ab8a-437b-adea-e308a529de73', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=devanagari#700', 'Sarpanch 700 (devanagari)', 'Sarpanch', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:700";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(696, '30183398-875c-410e-bbf8-5eac57507262', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin-ext#700', 'Sarpanch 700 (latin-ext)', 'Sarpanch', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:700";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(697, '1149c392-9936-4007-8874-3280f0cafcb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin#600', 'Sarpanch 600 (latin)', 'Sarpanch', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:600";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(698, '0bcbfda2-4ffc-4424-83b3-d419b932d902', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=devanagari#600', 'Sarpanch 600 (devanagari)', 'Sarpanch', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:600";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(699, 'd39a705f-d00e-45f0-8788-194916095ca0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin-ext#600', 'Sarpanch 600 (latin-ext)', 'Sarpanch', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:600";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(700, '3d5417dd-4840-4666-97ae-9a224e1b9eba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin#500', 'Sarpanch 500 (latin)', 'Sarpanch', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:500";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(701, '112350d5-29cf-4dad-a2c4-89a6d982c64a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=devanagari#500', 'Sarpanch 500 (devanagari)', 'Sarpanch', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:500";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(702, 'e9967b5f-6183-4f40-9d02-cbaa644113f0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin-ext#500', 'Sarpanch 500 (latin-ext)', 'Sarpanch', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sarpanch:500";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(703, '6c0b2a72-3384-4096-9161-16bb009711e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin#regular', 'Sarpanch regular (latin)', 'Sarpanch', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sarpanch:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(704, '838e484f-961f-45b7-9605-aabfd36a6e5f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=devanagari#regular', 'Sarpanch regular (devanagari)', 'Sarpanch', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sarpanch:regular";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(705, '05ee1f03-b2d9-4ca3-84b3-ddc8140bc09a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarpanch&subset=latin-ext#regular', 'Sarpanch regular (latin-ext)', 'Sarpanch', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sarpanch:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(706, '52aa66b3-84f1-463f-9bf0-71a8d373d6ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarina&subset=latin#regular', 'Sarina regular (latin)', 'Sarina', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sarina:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(707, 'c35000a4-b19d-46a8-acc6-e5e858cb0a48', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarina&subset=latin-ext#regular', 'Sarina regular (latin-ext)', 'Sarina', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sarina:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(708, '53fe23bd-ff7b-444d-8535-e700dd0ffc37', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarala&subset=latin#700', 'Sarala 700 (latin)', 'Sarala', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Sarala:700";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(709, 'e1838e19-cd01-41dd-84fd-95f4fb65090a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarala&subset=devanagari#700', 'Sarala 700 (devanagari)', 'Sarala', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Sarala:700";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(710, '5fa7bf4a-5eb4-4701-b1d8-5ca10f602d8b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarala&subset=latin-ext#700', 'Sarala 700 (latin-ext)', 'Sarala', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Sarala:700";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(711, '1fa5a859-7477-443c-933b-dcc72d90b10b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarala&subset=latin#regular', 'Sarala regular (latin)', 'Sarala', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sarala:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(712, '7c5af0d2-de7c-4d18-abcc-8ceffdd7d4e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarala&subset=devanagari#regular', 'Sarala regular (devanagari)', 'Sarala', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sarala:regular";s:6:"subset";s:10:"devanagari";}', 1468916099, 1468916099, 0),
(713, '8486b3b8-d6d7-46ee-b976-7783efda56cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sarala&subset=latin-ext#regular', 'Sarala regular (latin-ext)', 'Sarala', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sarala:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(714, 'c378861a-7598-404d-ab64-7acce717258d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sansita One&subset=latin#regular', 'Sansita One regular (latin)', 'Sansita One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Sansita One:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(715, '730f10d7-6fd5-4e41-ab5e-b75783758f36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sancreek&subset=latin#regular', 'Sancreek regular (latin)', 'Sancreek', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sancreek:regular";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(716, '85dc93bf-a475-4a46-8839-0571cb34ad40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sancreek&subset=latin-ext#regular', 'Sancreek regular (latin-ext)', 'Sancreek', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Sancreek:regular";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(717, '9a1913ba-45cf-4131-b5aa-9a2032bf59a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sanchez&subset=latin#italic', 'Sanchez italic (latin)', 'Sanchez', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sanchez:italic";s:6:"subset";s:5:"latin";}', 1468916099, 1468916099, 0),
(718, '8249fe85-91ce-4c8e-b268-e9041507ff7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sanchez&subset=latin-ext#italic', 'Sanchez italic (latin-ext)', 'Sanchez', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Sanchez:italic";s:6:"subset";s:9:"latin-ext";}', 1468916099, 1468916099, 0),
(719, '309d344e-c8b9-4eb6-974d-3358c1d9c3e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sanchez&subset=latin#regular', 'Sanchez regular (latin)', 'Sanchez', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sanchez:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(720, '3e531ed0-38f5-4d0e-9655-ac6587e9f339', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sanchez&subset=latin-ext#regular', 'Sanchez regular (latin-ext)', 'Sanchez', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sanchez:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(721, 'fc1ae302-5efa-4c75-8e5c-87efb5a5f551', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Salsa&subset=latin#regular', 'Salsa regular (latin)', 'Salsa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Salsa:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(722, '2b37edd5-85ae-48ee-b40e-29a51fc94976', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sail&subset=latin#regular', 'Sail regular (latin)', 'Sail', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sail:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(723, '4b729071-6cab-42de-b8f9-83cb8503d624', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sail&subset=latin-ext#regular', 'Sail regular (latin-ext)', 'Sail', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Sail:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(724, 'b97457b0-5f86-414c-8922-82221a33e076', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sahitya&subset=latin#700', 'Sahitya 700 (latin)', 'Sahitya', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Sahitya:700";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(725, 'c18814a8-3af0-433f-a0b3-3e8bd54a5d89', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sahitya&subset=devanagari#700', 'Sahitya 700 (devanagari)', 'Sahitya', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Sahitya:700";s:6:"subset";s:10:"devanagari";}', 1468916100, 1468916100, 0),
(726, 'e72f975c-fa44-4561-814c-776809983744', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sahitya&subset=latin#regular', 'Sahitya regular (latin)', 'Sahitya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sahitya:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(727, 'f333d48e-bb90-416e-a107-3c9a4e572051', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sahitya&subset=devanagari#regular', 'Sahitya regular (devanagari)', 'Sahitya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Sahitya:regular";s:6:"subset";s:10:"devanagari";}', 1468916100, 1468916100, 0),
(728, '2baa17b6-3005-47d7-bd83-59c922b53212', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sacramento&subset=latin#regular', 'Sacramento regular (latin)', 'Sacramento', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Sacramento:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(729, 'fec0649f-7af0-4bed-af71-8c39b1847b0c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Sacramento&subset=latin-ext#regular', 'Sacramento regular (latin-ext)', 'Sacramento', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Sacramento:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(730, 'd994a7b4-d43f-438f-a653-88f3e13cf655', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rye&subset=latin#regular', 'Rye regular (latin)', 'Rye', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Rye:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(731, 'e0ca39c0-1a39-4ab9-bf50-1d65861b84db', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rye&subset=latin-ext#regular', 'Rye regular (latin-ext)', 'Rye', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Rye:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(732, 'f63268dd-8f59-4f89-b78a-a6b557bee91d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruthie&subset=latin#regular', 'Ruthie regular (latin)', 'Ruthie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ruthie:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(733, 'f52899ab-a182-476c-bf52-4f51b23fb616', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruthie&subset=latin-ext#regular', 'Ruthie regular (latin-ext)', 'Ruthie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ruthie:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(734, '17a286bb-fd26-4c49-86a8-4c95d211e919', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Russo One&subset=latin#regular', 'Russo One regular (latin)', 'Russo One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Russo One:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(735, 'd893a5f8-a1bd-4474-9f20-30d05471e2c0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Russo One&subset=latin-ext#regular', 'Russo One regular (latin-ext)', 'Russo One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Russo One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(736, 'b52d2f88-d033-4783-8f5a-77148e4bea1f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Russo One&subset=cyrillic#regular', 'Russo One regular (cyrillic)', 'Russo One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Russo One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(737, '526cb625-b826-4f1a-8548-80c1ad7477ec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruslan Display&subset=latin#regular', 'Ruslan Display regular (latin)', 'Ruslan Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Ruslan Display:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(738, '25c37ec6-2157-4a5b-abfe-58fb0b532cf0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruslan Display&subset=latin-ext#regular', 'Ruslan Display regular (latin-ext)', 'Ruslan Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Ruslan Display:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(739, '215848ef-07f8-4323-b19d-457b361c7da3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruslan Display&subset=cyrillic#regular', 'Ruslan Display regular (cyrillic)', 'Ruslan Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Ruslan Display:regular";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(740, '3c282ba4-d6d6-4388-b4f9-51c5018bce71', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rum Raisin&subset=latin#regular', 'Rum Raisin regular (latin)', 'Rum Raisin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Rum Raisin:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(741, '213e85d1-613f-4112-a042-1cb535042242', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rum Raisin&subset=latin-ext#regular', 'Rum Raisin regular (latin-ext)', 'Rum Raisin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Rum Raisin:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(742, '7199638b-352d-4e77-a1ad-a79553795def', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruluko&subset=latin#regular', 'Ruluko regular (latin)', 'Ruluko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ruluko:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(743, '0b0ee6a0-689e-4837-bdfc-6790e1681fb3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruluko&subset=latin-ext#regular', 'Ruluko regular (latin-ext)', 'Ruluko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ruluko:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(744, '399a7fc4-d9e2-47b2-b425-2cc7b01667ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruge Boogie&subset=latin#regular', 'Ruge Boogie regular (latin)', 'Ruge Boogie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ruge Boogie:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(745, 'ff5afe9e-a4ae-4391-a071-2825504a1d88', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruge Boogie&subset=latin-ext#regular', 'Ruge Boogie regular (latin-ext)', 'Ruge Boogie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ruge Boogie:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(746, 'c5bfff5c-c81b-4c95-8a79-77659944e8cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rufina&subset=latin#700', 'Rufina 700 (latin)', 'Rufina', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Rufina:700";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(747, '914b231b-9e2d-47b9-b6f7-6ff2a3d80859', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rufina&subset=latin-ext#700', 'Rufina 700 (latin-ext)', 'Rufina', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Rufina:700";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(748, '238d6449-b291-4404-9767-bd26a7a97fcb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rufina&subset=latin#regular', 'Rufina regular (latin)', 'Rufina', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rufina:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(749, '92db9a10-154e-4856-baf9-e1aefd29dba9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rufina&subset=latin-ext#regular', 'Rufina regular (latin-ext)', 'Rufina', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rufina:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(750, 'ad51dec1-3670-4c5d-bd1b-13136cdf0d76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruda&subset=latin#900', 'Ruda 900 (latin)', 'Ruda', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Ruda:900";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(751, '86eb1c20-8fc7-412e-b10d-f416b3406a3a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruda&subset=latin-ext#900', 'Ruda 900 (latin-ext)', 'Ruda', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Ruda:900";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(752, '1bdc550f-0d91-4133-8992-4883f0f2567f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruda&subset=latin#700', 'Ruda 700 (latin)', 'Ruda', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Ruda:700";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(753, '70bc1a16-0cfd-4856-8faa-7227f33a9326', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruda&subset=latin-ext#700', 'Ruda 700 (latin-ext)', 'Ruda', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Ruda:700";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(754, '0860a786-3245-4091-b9a2-8d6bce28b0f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruda&subset=latin#regular', 'Ruda regular (latin)', 'Ruda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ruda:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(755, '94ad5621-916c-4025-b9fa-0727e8fc62ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ruda&subset=latin-ext#regular', 'Ruda regular (latin-ext)', 'Ruda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ruda:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(756, 'ff0c4985-5ab0-4572-ad2e-7aea212b6693', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik One&subset=latin#regular', 'Rubik One regular (latin)', 'Rubik One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rubik One:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(757, '46371e69-7319-4f08-a76f-aa2c67105efc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik One&subset=latin-ext#regular', 'Rubik One regular (latin-ext)', 'Rubik One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rubik One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(758, '655aaaa3-90df-4030-a04e-a2ca584b11f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik One&subset=cyrillic#regular', 'Rubik One regular (cyrillic)', 'Rubik One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rubik One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0);
INSERT INTO `fontyourface_font` VALUES
(759, '6b243116-9b0c-4299-9364-165681f28185', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik Mono One&subset=latin#regular', 'Rubik Mono One regular (latin)', 'Rubik Mono One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Rubik Mono One:regular";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(760, '2bc550ae-0612-495d-97cc-0f3262a77d52', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik Mono One&subset=latin-ext#regular', 'Rubik Mono One regular (latin-ext)', 'Rubik Mono One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Rubik Mono One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(761, '0e2402c2-fb45-4caf-adb5-c09920840b3c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik Mono One&subset=cyrillic#regular', 'Rubik Mono One regular (cyrillic)', 'Rubik Mono One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Rubik Mono One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(762, '1e3f77f3-0225-47d7-b028-07550aa7d0d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#900italic', 'Rubik 900italic (latin)', 'Rubik', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:900italic";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(763, '51071ea4-1cfb-4a21-8125-be5657b77019', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#900italic', 'Rubik 900italic (hebrew)', 'Rubik', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:900italic";s:6:"subset";s:6:"hebrew";}', 1468916100, 1468916100, 0),
(764, '4531594b-f9a8-4756-b739-1f18cec954ef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#900italic', 'Rubik 900italic (latin-ext)', 'Rubik', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(765, '5906a3ef-5591-464c-af16-566acf353d9f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#900italic', 'Rubik 900italic (cyrillic)', 'Rubik', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:900italic";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(766, 'a84aac49-7850-469b-a9f1-ef1f7c0e4de0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#900', 'Rubik 900 (latin)', 'Rubik', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:900";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(767, '86171d73-8849-454a-bfb1-35011dbe591b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#900', 'Rubik 900 (hebrew)', 'Rubik', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:900";s:6:"subset";s:6:"hebrew";}', 1468916100, 1468916100, 0),
(768, '6c3dd2e8-b326-4c01-a7bf-0026c51ef34c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#900', 'Rubik 900 (latin-ext)', 'Rubik', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:900";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(769, 'b3398d83-b4b7-47ba-b22a-d4ba3cfa650f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#900', 'Rubik 900 (cyrillic)', 'Rubik', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:900";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(770, '47bcdedb-19a7-4079-b2a8-8ce2deee8dad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#700italic', 'Rubik 700italic (latin)', 'Rubik', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:700italic";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(771, '6ee079c5-d5c1-4be3-94e9-9a526093a4be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#700italic', 'Rubik 700italic (hebrew)', 'Rubik', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:700italic";s:6:"subset";s:6:"hebrew";}', 1468916100, 1468916100, 0),
(772, '38f42f2f-9463-4b5c-97ec-913f68929da7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#700italic', 'Rubik 700italic (latin-ext)', 'Rubik', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(773, 'a311ee00-ea32-4cc3-a36f-da5b360ce55b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#700italic', 'Rubik 700italic (cyrillic)', 'Rubik', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(774, '180f12bf-1536-437a-8d8f-09f2776994af', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#700', 'Rubik 700 (latin)', 'Rubik', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:700";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(775, '009527eb-9193-490e-9561-d9dd525e3a8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#700', 'Rubik 700 (hebrew)', 'Rubik', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:700";s:6:"subset";s:6:"hebrew";}', 1468916100, 1468916100, 0),
(776, '48cfa187-aaee-469f-a685-a2026835975a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#700', 'Rubik 700 (latin-ext)', 'Rubik', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:700";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(777, '4761a56f-45e6-4852-8a7d-b8c52ffee4f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#700', 'Rubik 700 (cyrillic)', 'Rubik', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:700";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(778, 'b04a0b87-ded0-4c5b-a1fa-246c13cadfa0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#500italic', 'Rubik 500italic (latin)', 'Rubik', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:500italic";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(779, 'fa713eaa-899d-4143-acac-0959a5381df4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#500italic', 'Rubik 500italic (hebrew)', 'Rubik', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:500italic";s:6:"subset";s:6:"hebrew";}', 1468916100, 1468916100, 0),
(780, '4315a2ca-3e76-4774-b46d-71d5ffee55b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#500italic', 'Rubik 500italic (latin-ext)', 'Rubik', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(781, '3ea351cc-4d78-4674-94c5-e8fd68dca73f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#500italic', 'Rubik 500italic (cyrillic)', 'Rubik', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(782, 'c67f74b9-3ba4-4d1a-95be-e4e1e0c5d284', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#500', 'Rubik 500 (latin)', 'Rubik', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:500";s:6:"subset";s:5:"latin";}', 1468916100, 1468916100, 0),
(783, 'f0c0b9b8-a6df-4e2e-a760-c57738cd48c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#500', 'Rubik 500 (hebrew)', 'Rubik', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:500";s:6:"subset";s:6:"hebrew";}', 1468916100, 1468916100, 0),
(784, '0eea355a-5bc9-406b-b713-c9e074ad221e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#500', 'Rubik 500 (latin-ext)', 'Rubik', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:500";s:6:"subset";s:9:"latin-ext";}', 1468916100, 1468916100, 0),
(785, '13d58c17-232b-4854-a682-fa291744b82e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#500', 'Rubik 500 (cyrillic)', 'Rubik', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:500";s:6:"subset";s:8:"cyrillic";}', 1468916100, 1468916100, 0),
(786, '163b15bf-8c96-4436-ab21-ac111518c81a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#italic', 'Rubik italic (latin)', 'Rubik', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rubik:italic";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(787, 'd8bed564-0f6b-4321-8fba-f6f07fa1cbb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#italic', 'Rubik italic (hebrew)', 'Rubik', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rubik:italic";s:6:"subset";s:6:"hebrew";}', 1468916102, 1468916102, 0),
(788, 'd84dc828-7447-4fef-94d9-b48f0c1307cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#italic', 'Rubik italic (latin-ext)', 'Rubik', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rubik:italic";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(789, 'a99c915b-7519-4af6-8d5c-7e3a28b93508', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#italic', 'Rubik italic (cyrillic)', 'Rubik', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rubik:italic";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(790, '58edec57-4ed4-4dc1-9756-1125ba34062d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#regular', 'Rubik regular (latin)', 'Rubik', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Rubik:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(791, 'de3ad728-d6ca-45f9-832c-4a7cf2368bad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#regular', 'Rubik regular (hebrew)', 'Rubik', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Rubik:regular";s:6:"subset";s:6:"hebrew";}', 1468916102, 1468916102, 0),
(792, '5a0aea35-9645-492c-bd82-0c2f6813c13f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#regular', 'Rubik regular (latin-ext)', 'Rubik', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Rubik:regular";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(793, 'd627e5d7-e4fb-4f7b-b77e-afddfd74d516', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#regular', 'Rubik regular (cyrillic)', 'Rubik', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Rubik:regular";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(794, 'da136852-cc5e-4dec-9d33-26a7d0c8e8ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#300italic', 'Rubik 300italic (latin)', 'Rubik', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:300italic";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(795, '70969a81-6a06-445b-a043-bc8bb283a9c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#300italic', 'Rubik 300italic (hebrew)', 'Rubik', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:300italic";s:6:"subset";s:6:"hebrew";}', 1468916102, 1468916102, 0),
(796, 'c0d4e820-bac8-41c2-9841-1f788e812933', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#300italic', 'Rubik 300italic (latin-ext)', 'Rubik', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(797, '768e39b4-f09a-4cf5-b6ff-7eebb94d19e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#300italic', 'Rubik 300italic (cyrillic)', 'Rubik', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rubik:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(798, '49ca83d2-db04-4d4d-a452-008494030d8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin#300', 'Rubik 300 (latin)', 'Rubik', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:300";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(799, '89e65540-682b-402a-ad8a-513433fc86dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=hebrew#300', 'Rubik 300 (hebrew)', 'Rubik', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:300";s:6:"subset";s:6:"hebrew";}', 1468916102, 1468916102, 0),
(800, 'ab7bf27a-8df2-4c5a-90aa-d1b639e7f3f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=latin-ext#300', 'Rubik 300 (latin-ext)', 'Rubik', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:300";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(801, 'e4b2482a-c9b5-4c39-bd5a-3c69fc2bb681', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rubik&subset=cyrillic#300', 'Rubik 300 (cyrillic)', 'Rubik', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Rubik:300";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(802, '0c0c2ad2-9ced-4b75-9f2e-36a27a6df9a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rozha One&subset=latin#regular', 'Rozha One regular (latin)', 'Rozha One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rozha One:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(803, 'fec2a543-0ef2-4ecf-9343-bf82a6b17e78', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rozha One&subset=devanagari#regular', 'Rozha One regular (devanagari)', 'Rozha One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rozha One:regular";s:6:"subset";s:10:"devanagari";}', 1468916102, 1468916102, 0),
(804, 'e4913925-f4a6-4be3-9a83-fb183dc52747', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rozha One&subset=latin-ext#regular', 'Rozha One regular (latin-ext)', 'Rozha One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rozha One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(805, 'ff82945f-bcd5-4392-bfa0-3959a23bfb36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rouge Script&subset=latin#regular', 'Rouge Script regular (latin)', 'Rouge Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Rouge Script:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(806, '482d2a5a-1ce8-452b-bbc5-c09645a105c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosarivo&subset=latin#italic', 'Rosarivo italic (latin)', 'Rosarivo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rosarivo:italic";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(807, 'e627cba3-3202-4254-868a-208c67faf245', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosarivo&subset=latin-ext#italic', 'Rosarivo italic (latin-ext)', 'Rosarivo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rosarivo:italic";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(808, 'acc67d13-ed30-4c7b-8802-39ff9423e532', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosarivo&subset=latin#regular', 'Rosarivo regular (latin)', 'Rosarivo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Rosarivo:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(809, 'b9984ce3-ff96-429c-8663-527573bd43aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosarivo&subset=latin-ext#regular', 'Rosarivo regular (latin-ext)', 'Rosarivo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Rosarivo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(810, '2378fd5c-58c9-4492-b687-377e9aef1c6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosario&subset=latin#700italic', 'Rosario 700italic (latin)', 'Rosario', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rosario:700italic";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(811, 'd682a552-9c7c-4778-9453-560119649550', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosario&subset=latin#700', 'Rosario 700 (latin)', 'Rosario', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Rosario:700";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(812, '8166d13d-5d68-4b7c-8337-a338c829301c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosario&subset=latin#italic', 'Rosario italic (latin)', 'Rosario', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rosario:italic";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(813, '7115e8f0-b87c-4c41-81cc-ee908310ef40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rosario&subset=latin#regular', 'Rosario regular (latin)', 'Rosario', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rosario:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(814, 'e53d8100-0d26-4b02-8b00-3e51c8d1d404', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ropa Sans&subset=latin#italic', 'Ropa Sans italic (latin)', 'Ropa Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ropa Sans:italic";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(815, '3f24c9af-af20-484c-931f-947ad1c796d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ropa Sans&subset=latin-ext#italic', 'Ropa Sans italic (latin-ext)', 'Ropa Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ropa Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(816, '954baed4-3c4d-4b2e-83b3-ec63f80412e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ropa Sans&subset=latin#regular', 'Ropa Sans regular (latin)', 'Ropa Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Ropa Sans:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(817, 'a7de05f1-a5c9-486c-8bd8-a30b5069a438', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ropa Sans&subset=latin-ext#regular', 'Ropa Sans regular (latin-ext)', 'Ropa Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Ropa Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(818, '7e4fbde3-e9e9-4480-ba4c-a094bee35e14', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Romanesco&subset=latin#regular', 'Romanesco regular (latin)', 'Romanesco', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Romanesco:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(819, '9d1811bd-c252-473d-9219-910c5e45968f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Romanesco&subset=latin-ext#regular', 'Romanesco regular (latin-ext)', 'Romanesco', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Romanesco:regular";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(820, '9d192788-aa36-4ca2-ba1a-e82694dd29dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rokkitt&subset=latin#700', 'Rokkitt 700 (latin)', 'Rokkitt', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Rokkitt:700";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(821, '655f7a5a-7f00-45a2-88cf-6efba71d11c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rokkitt&subset=latin#regular', 'Rokkitt regular (latin)', 'Rokkitt', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Rokkitt:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(822, '1103c9be-759e-486b-80c7-ea976110bf10', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rock Salt&subset=latin#regular', 'Rock Salt regular (latin)', 'Rock Salt', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rock Salt:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(823, 'f9c52afd-067b-4a9e-8748-061c8eb14ee1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rochester&subset=latin#regular', 'Rochester regular (latin)', 'Rochester', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rochester:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(824, 'e92c9428-d598-4b69-9fa1-079e140da1e5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic-ext#700', 'Roboto Slab 700 (cyrillic-ext)', 'Roboto Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916102, 1468916102, 0),
(825, '9082c9da-bb3a-4257-9afc-4d2b4115f232', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin#700', 'Roboto Slab 700 (latin)', 'Roboto Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:700";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(826, 'bccf0cef-bed9-48a3-9503-97e278a1a6b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek-ext#700', 'Roboto Slab 700 (greek-ext)', 'Roboto Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:700";s:6:"subset";s:9:"greek-ext";}', 1468916102, 1468916102, 0),
(827, '70228a24-f4fd-4498-a393-8b5ee8aab75e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek#700', 'Roboto Slab 700 (greek)', 'Roboto Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:700";s:6:"subset";s:5:"greek";}', 1468916102, 1468916102, 0),
(828, '5205c239-7a82-4f8a-81bd-dd5831e1eefd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=vietnamese#700', 'Roboto Slab 700 (vietnamese)', 'Roboto Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:700";s:6:"subset";s:10:"vietnamese";}', 1468916102, 1468916102, 0),
(829, 'd21fcb9b-a2c5-4792-a956-ae2f5b0a13f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin-ext#700', 'Roboto Slab 700 (latin-ext)', 'Roboto Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:700";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(830, '5971215d-7ebe-4755-813b-5b52a3a6fe08', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic#700', 'Roboto Slab 700 (cyrillic)', 'Roboto Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:700";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(831, 'd7d86511-9426-4311-9a82-6c3917f96b06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic-ext#regular', 'Roboto Slab regular (cyrillic-ext)', 'Roboto Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Slab:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916102, 1468916102, 0),
(832, 'cc5f38c6-8e25-48a2-b012-ce6096fd23b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin#regular', 'Roboto Slab regular (latin)', 'Roboto Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Slab:regular";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(833, 'b0402045-f803-46c3-98c1-0c64f28fdaa9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek-ext#regular', 'Roboto Slab regular (greek-ext)', 'Roboto Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Slab:regular";s:6:"subset";s:9:"greek-ext";}', 1468916102, 1468916102, 0),
(834, 'eda55d4d-1902-41e7-922d-46f6238a94b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek#regular', 'Roboto Slab regular (greek)', 'Roboto Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Slab:regular";s:6:"subset";s:5:"greek";}', 1468916102, 1468916102, 0),
(835, '0c31244f-3564-48b9-b9f8-586eddad3027', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=vietnamese#regular', 'Roboto Slab regular (vietnamese)', 'Roboto Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Slab:regular";s:6:"subset";s:10:"vietnamese";}', 1468916102, 1468916102, 0),
(836, 'dfde54e2-ee16-4f6c-acaa-7d15dec701ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin-ext#regular', 'Roboto Slab regular (latin-ext)', 'Roboto Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Slab:regular";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(837, '9a40049d-0da5-4ebb-b005-c234c36e595d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic#regular', 'Roboto Slab regular (cyrillic)', 'Roboto Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Slab:regular";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(838, 'b84e60ea-74ea-4ab4-b969-85169b499a2e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic-ext#300', 'Roboto Slab 300 (cyrillic-ext)', 'Roboto Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916102, 1468916102, 0),
(839, '8693895a-7a8a-4b04-a2bb-e6e47568a4ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin#300', 'Roboto Slab 300 (latin)', 'Roboto Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:300";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(840, 'da3e4925-80f0-4bdb-996e-98d1c3aa0bf8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek-ext#300', 'Roboto Slab 300 (greek-ext)', 'Roboto Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:300";s:6:"subset";s:9:"greek-ext";}', 1468916102, 1468916102, 0),
(841, 'dcbb8a71-4304-42c3-8045-bc33c17e663d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek#300', 'Roboto Slab 300 (greek)', 'Roboto Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:300";s:6:"subset";s:5:"greek";}', 1468916102, 1468916102, 0),
(842, '7adcf59d-af0e-414f-931e-75c2038e6671', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=vietnamese#300', 'Roboto Slab 300 (vietnamese)', 'Roboto Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:300";s:6:"subset";s:10:"vietnamese";}', 1468916102, 1468916102, 0),
(843, 'f72a620f-f9ec-4b29-86f7-40c7442a58de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin-ext#300', 'Roboto Slab 300 (latin-ext)', 'Roboto Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:300";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(844, 'dfc58603-cb39-433a-ab38-575a37508233', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic#300', 'Roboto Slab 300 (cyrillic)', 'Roboto Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:300";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(845, '97003f49-e451-4fb6-b846-891d0322e0d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic-ext#100', 'Roboto Slab 100 (cyrillic-ext)', 'Roboto Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:100";s:6:"subset";s:12:"cyrillic-ext";}', 1468916102, 1468916102, 0),
(846, 'f8468f3d-d3c8-4e6b-9203-940b3960368e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin#100', 'Roboto Slab 100 (latin)', 'Roboto Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:100";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(847, '0b1585c5-b5b1-43e4-bede-a9b2dca9f56d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek-ext#100', 'Roboto Slab 100 (greek-ext)', 'Roboto Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:100";s:6:"subset";s:9:"greek-ext";}', 1468916102, 1468916102, 0),
(848, '619477bf-e6dc-4384-b435-4931fe45c6a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=greek#100', 'Roboto Slab 100 (greek)', 'Roboto Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:100";s:6:"subset";s:5:"greek";}', 1468916102, 1468916102, 0),
(849, '77639996-286c-45a3-bf9b-5b4ba3299911', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=vietnamese#100', 'Roboto Slab 100 (vietnamese)', 'Roboto Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:100";s:6:"subset";s:10:"vietnamese";}', 1468916102, 1468916102, 0),
(850, 'a6c466d4-5f6c-4fec-a9b1-efcd38588778', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=latin-ext#100', 'Roboto Slab 100 (latin-ext)', 'Roboto Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:100";s:6:"subset";s:9:"latin-ext";}', 1468916102, 1468916102, 0),
(851, '69cf2e80-9ba0-43c9-aabe-e4f1812455fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Slab&subset=cyrillic#100', 'Roboto Slab 100 (cyrillic)', 'Roboto Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Slab:100";s:6:"subset";s:8:"cyrillic";}', 1468916102, 1468916102, 0),
(852, '5f1b60bd-6efc-41a5-856b-53613489ee0a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#700italic', 'Roboto Mono 700italic (cyrillic-ext)', 'Roboto Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916102, 1468916102, 0),
(853, '70b41db5-ab70-4313-af70-9025b7a90484', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#700italic', 'Roboto Mono 700italic (latin)', 'Roboto Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:700italic";s:6:"subset";s:5:"latin";}', 1468916102, 1468916102, 0),
(854, 'bb849741-cbd0-44da-8323-f783b144ea0c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#700italic', 'Roboto Mono 700italic (greek-ext)', 'Roboto Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(855, '1ccb003b-13d8-445a-9a52-6b4899927213', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#700italic', 'Roboto Mono 700italic (greek)', 'Roboto Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:700italic";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(856, '9c3fd9f2-f771-401a-8713-70fe24195a77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#700italic', 'Roboto Mono 700italic (vietnamese)', 'Roboto Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(857, '243f4646-f266-4566-9cdd-8121c08f29e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#700italic', 'Roboto Mono 700italic (latin-ext)', 'Roboto Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(858, '30828dc4-0644-4772-9ddb-fe605dcc028b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#700italic', 'Roboto Mono 700italic (cyrillic)', 'Roboto Mono', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(859, '0edf8d33-5945-4ab0-a238-f8d6b4767ea5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#700', 'Roboto Mono 700 (cyrillic-ext)', 'Roboto Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(860, '51726a35-4272-40da-97a8-f0524b797013', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#700', 'Roboto Mono 700 (latin)', 'Roboto Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:700";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(861, '935c76ec-8c4a-4f08-8be5-5b2c591af381', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#700', 'Roboto Mono 700 (greek-ext)', 'Roboto Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:700";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(862, '1e4fbc14-17eb-43a9-adcb-cbe68a682207', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#700', 'Roboto Mono 700 (greek)', 'Roboto Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:700";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(863, '56a93e48-7ce8-4fc2-a335-34c76711c1b6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#700', 'Roboto Mono 700 (vietnamese)', 'Roboto Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:700";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(864, 'b2b1bfc3-6232-4cb7-b1ca-03cd6b6658b3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#700', 'Roboto Mono 700 (latin-ext)', 'Roboto Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:700";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(865, 'ba533a91-dca3-4b25-9706-d50ab4b5efa5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#700', 'Roboto Mono 700 (cyrillic)', 'Roboto Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:700";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(866, '79ab7571-7afe-4ec1-83d5-cb248b1acce2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#500italic', 'Roboto Mono 500italic (cyrillic-ext)', 'Roboto Mono', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:500italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(867, 'c6772b9d-c74a-4713-9054-3b26901f33b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#500italic', 'Roboto Mono 500italic (latin)', 'Roboto Mono', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:500italic";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(868, '0d078ef2-b8ec-47a5-94ec-533a9825e4e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#500italic', 'Roboto Mono 500italic (greek-ext)', 'Roboto Mono', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:500italic";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(869, 'eebeea21-0271-4e0f-a7f2-d64b6181b57b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#500italic', 'Roboto Mono 500italic (greek)', 'Roboto Mono', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:500italic";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(870, 'd57eef1b-9abb-4789-a874-734c60a441e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#500italic', 'Roboto Mono 500italic (vietnamese)', 'Roboto Mono', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(871, '0f3f0e10-7a0e-41f2-b64e-5b978a88ba81', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#500italic', 'Roboto Mono 500italic (latin-ext)', 'Roboto Mono', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(872, '1112b212-37c8-49f3-b688-dcfa51c14a6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#500italic', 'Roboto Mono 500italic (cyrillic)', 'Roboto Mono', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(873, 'e5702650-c0d5-42c9-9794-e7ce290e8fbf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#500', 'Roboto Mono 500 (cyrillic-ext)', 'Roboto Mono', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:500";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(874, '53a134ad-28b0-43f6-889b-48cc4bd78efb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#500', 'Roboto Mono 500 (latin)', 'Roboto Mono', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:500";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(875, 'd4c76f7c-324c-4137-9101-60da048b1c03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#500', 'Roboto Mono 500 (greek-ext)', 'Roboto Mono', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:500";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(876, '1d62f26c-2f88-4662-a72c-cff5188cb16c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#500', 'Roboto Mono 500 (greek)', 'Roboto Mono', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:500";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(877, 'e6619293-2b7c-4fb9-b47f-026af2e0a9ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#500', 'Roboto Mono 500 (vietnamese)', 'Roboto Mono', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:500";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(878, '360c4428-4f3b-4e82-bc3e-fd0aef531bd4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#500', 'Roboto Mono 500 (latin-ext)', 'Roboto Mono', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:500";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(879, 'b073db00-f69f-4a5c-bb2e-f639ab2d07c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#500', 'Roboto Mono 500 (cyrillic)', 'Roboto Mono', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:500";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(880, 'd18ccfd8-efcf-4f6b-acd3-d45368204bdc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#italic', 'Roboto Mono italic (cyrillic-ext)', 'Roboto Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Roboto Mono:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(881, '841b62b3-05ff-4597-a6ec-c200b1dc6ab0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#italic', 'Roboto Mono italic (latin)', 'Roboto Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Roboto Mono:italic";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(882, '2c8adeac-44d3-410a-9d1a-78ecf1cf86fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#italic', 'Roboto Mono italic (greek-ext)', 'Roboto Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Roboto Mono:italic";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(883, '27001aeb-aeea-43e0-bd8b-6ec27a7fa8c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#italic', 'Roboto Mono italic (greek)', 'Roboto Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Roboto Mono:italic";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(884, 'faccbbf0-2872-4d94-b94e-4e5b2f051f04', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#italic', 'Roboto Mono italic (vietnamese)', 'Roboto Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Roboto Mono:italic";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(885, 'ef2cd329-6048-4995-980c-44c2127b16e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#italic', 'Roboto Mono italic (latin-ext)', 'Roboto Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Roboto Mono:italic";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(886, '46a17423-411f-4f2c-8891-09efa4f55343', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#italic', 'Roboto Mono italic (cyrillic)', 'Roboto Mono', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Roboto Mono:italic";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(887, '7b56af96-a4d6-4c4d-b5a8-87dfbe08074d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#regular', 'Roboto Mono regular (cyrillic-ext)', 'Roboto Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Mono:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(888, '3fadbabc-8c6f-4d2e-8636-5c63d11269ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#regular', 'Roboto Mono regular (latin)', 'Roboto Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Mono:regular";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(889, '9ba0ae25-5bc1-475d-a231-646463ac35ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#regular', 'Roboto Mono regular (greek-ext)', 'Roboto Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Mono:regular";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(890, 'f534c01b-7faa-477f-a7b7-30bf5bd97cc7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#regular', 'Roboto Mono regular (greek)', 'Roboto Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Mono:regular";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(891, '0f67e92f-ddda-4d39-83ef-d95583ece276', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#regular', 'Roboto Mono regular (vietnamese)', 'Roboto Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Mono:regular";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(892, '05b226c0-6ffa-46d2-b4cc-029df855186f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#regular', 'Roboto Mono regular (latin-ext)', 'Roboto Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Mono:regular";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(893, 'f7bd37aa-1cf3-4fbf-a052-03f21826ac50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#regular', 'Roboto Mono regular (cyrillic)', 'Roboto Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Roboto Mono:regular";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(894, '9fbc43cd-89d6-4d7b-a14b-18999694860f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#300italic', 'Roboto Mono 300italic (cyrillic-ext)', 'Roboto Mono', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(895, '809c768f-c1dd-49f4-93d1-01520d0ed84f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#300italic', 'Roboto Mono 300italic (latin)', 'Roboto Mono', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:300italic";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(896, '6c6d624d-5c8b-4c96-b1c4-b77f60e63ec7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#300italic', 'Roboto Mono 300italic (greek-ext)', 'Roboto Mono', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:300italic";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(897, '2583836e-f9a9-4962-8af6-f639ba12f060', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#300italic', 'Roboto Mono 300italic (greek)', 'Roboto Mono', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:300italic";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(898, '67535846-0b65-4390-beb4-cedbc95340a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#300italic', 'Roboto Mono 300italic (vietnamese)', 'Roboto Mono', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(899, '36cac864-ae6c-4096-a551-19de31349be6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#300italic', 'Roboto Mono 300italic (latin-ext)', 'Roboto Mono', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(900, '7cdda7a0-138f-432d-a860-8c50be76ccdb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#300italic', 'Roboto Mono 300italic (cyrillic)', 'Roboto Mono', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(901, 'e8fcb1fa-e71a-4841-baa7-a43684d881f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#300', 'Roboto Mono 300 (cyrillic-ext)', 'Roboto Mono', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(902, 'cebf8670-d3bc-4608-8b4f-cdf0ba5997fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#300', 'Roboto Mono 300 (latin)', 'Roboto Mono', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:300";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(903, 'ac818c18-7f1d-4326-985f-8c9927c7c93f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#300', 'Roboto Mono 300 (greek-ext)', 'Roboto Mono', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:300";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(904, 'ca2a6582-6270-4ab5-af57-f88a6aa14a11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#300', 'Roboto Mono 300 (greek)', 'Roboto Mono', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:300";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(905, 'c1d3e4b7-8449-4344-ad1a-d07a7f94b62b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#300', 'Roboto Mono 300 (vietnamese)', 'Roboto Mono', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:300";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(906, '2264b0fb-247b-4b3e-9915-c29c774f2892', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#300', 'Roboto Mono 300 (latin-ext)', 'Roboto Mono', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:300";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(907, '33ffa0b1-ad2b-4cfd-a8b2-0e97f91ae8e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#300', 'Roboto Mono 300 (cyrillic)', 'Roboto Mono', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:300";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(908, 'bdeb480c-8b0d-4a5f-881b-7b36a66c8f59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#100italic', 'Roboto Mono 100italic (cyrillic-ext)', 'Roboto Mono', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:100italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(909, '2ba67a3d-8d3c-4048-bc8e-fbf758000ef0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#100italic', 'Roboto Mono 100italic (latin)', 'Roboto Mono', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:100italic";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(910, '13d90d02-3ae6-43a5-a8dd-28d273e98369', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#100italic', 'Roboto Mono 100italic (greek-ext)', 'Roboto Mono', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:100italic";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(911, '12690bfe-11e5-4e7a-a322-1c23a22bd14f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#100italic', 'Roboto Mono 100italic (greek)', 'Roboto Mono', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:100italic";s:6:"subset";s:5:"greek";}', 1468916103, 1468916103, 0),
(912, '8997eed6-bd71-4917-b5c5-a4e2dee5dfeb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#100italic', 'Roboto Mono 100italic (vietnamese)', 'Roboto Mono', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916103, 1468916103, 0),
(913, '7f1950d9-6c41-4c49-961b-d002c04dd2d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#100italic', 'Roboto Mono 100italic (latin-ext)', 'Roboto Mono', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916103, 1468916103, 0),
(914, 'e57a9650-d583-446c-bbee-4668e2585f3f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#100italic', 'Roboto Mono 100italic (cyrillic)', 'Roboto Mono', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Roboto Mono:100italic";s:6:"subset";s:8:"cyrillic";}', 1468916103, 1468916103, 0),
(915, '3409db40-88fc-44d2-9862-c054d8606316', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic-ext#100', 'Roboto Mono 100 (cyrillic-ext)', 'Roboto Mono', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:100";s:6:"subset";s:12:"cyrillic-ext";}', 1468916103, 1468916103, 0),
(916, 'f7b3036e-12ee-4f21-9992-82e2d355478b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin#100', 'Roboto Mono 100 (latin)', 'Roboto Mono', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:100";s:6:"subset";s:5:"latin";}', 1468916103, 1468916103, 0),
(917, 'd15fd7ad-d9a7-403d-8b57-4e29ae954beb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek-ext#100', 'Roboto Mono 100 (greek-ext)', 'Roboto Mono', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:100";s:6:"subset";s:9:"greek-ext";}', 1468916103, 1468916103, 0),
(918, '537a868a-f79f-493b-8376-90ae0a4bb8e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=greek#100', 'Roboto Mono 100 (greek)', 'Roboto Mono', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:100";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(919, 'f54df1be-ed07-41e0-877d-b2f43540a40b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=vietnamese#100', 'Roboto Mono 100 (vietnamese)', 'Roboto Mono', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:100";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(920, '2d14c235-aaab-4ef7-9a8c-323dcbbfc42e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=latin-ext#100', 'Roboto Mono 100 (latin-ext)', 'Roboto Mono', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:100";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(921, '73fa94ec-725b-4e58-837e-28ba2886bda1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Mono&subset=cyrillic#100', 'Roboto Mono 100 (cyrillic)', 'Roboto Mono', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Roboto Mono:100";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(922, '8d19c2c0-2141-45d1-8bdf-3f5d84e3ded0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic-ext#700italic', 'Roboto Condensed 700italic (cyrillic-ext)', 'Roboto Condensed', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(923, '57b79437-0bc5-435c-b5c3-d8ae9e33d7e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin#700italic', 'Roboto Condensed 700italic (latin)', 'Roboto Condensed', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:700italic";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(924, 'e4d7e0e2-ed17-4372-ba47-c71faaa7c126', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek-ext#700italic', 'Roboto Condensed 700italic (greek-ext)', 'Roboto Condensed', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(925, 'a67c0e96-e1dc-47f5-98b6-5ca1400cb4d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek#700italic', 'Roboto Condensed 700italic (greek)', 'Roboto Condensed', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:700italic";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(926, '747f8d71-3245-424e-98a0-33122d97bd11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=vietnamese#700italic', 'Roboto Condensed 700italic (vietnamese)', 'Roboto Condensed', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(927, 'c5fbf1f4-8e5c-4915-8625-5728b2fdfdc1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin-ext#700italic', 'Roboto Condensed 700italic (latin-ext)', 'Roboto Condensed', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(928, '89547cfa-1c28-4d2b-bc69-7d7bd53b57d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic#700italic', 'Roboto Condensed 700italic (cyrillic)', 'Roboto Condensed', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(929, '1f460d4c-4d56-47f3-b2a4-f133c319e519', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic-ext#700', 'Roboto Condensed 700 (cyrillic-ext)', 'Roboto Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(930, '910099bc-d75c-4ed6-bf6f-c5a765cf601b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin#700', 'Roboto Condensed 700 (latin)', 'Roboto Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:700";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(931, '58a4cee3-ac11-4688-a1b2-cfe789ca899e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek-ext#700', 'Roboto Condensed 700 (greek-ext)', 'Roboto Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:700";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(932, 'f70766fe-176e-473e-b6f2-71837cce7706', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek#700', 'Roboto Condensed 700 (greek)', 'Roboto Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:700";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(933, '2b2ec6af-cc81-4a0c-a218-dc421e02cdd4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=vietnamese#700', 'Roboto Condensed 700 (vietnamese)', 'Roboto Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:700";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(934, 'bfec94d4-feff-4d4a-b44f-4083a499517f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin-ext#700', 'Roboto Condensed 700 (latin-ext)', 'Roboto Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:700";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(935, 'e5be44c2-d3a7-4f82-b3f0-9eef128ce438', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic#700', 'Roboto Condensed 700 (cyrillic)', 'Roboto Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:700";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(936, 'd4c1fac1-5efb-45b0-9a94-bb53e623b7ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic-ext#italic', 'Roboto Condensed italic (cyrillic-ext)', 'Roboto Condensed', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Roboto Condensed:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(937, '5b5bc263-65e3-407a-83f5-a146106d5385', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin#italic', 'Roboto Condensed italic (latin)', 'Roboto Condensed', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Roboto Condensed:italic";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(938, '95bb61c7-8bde-4483-918a-43e074e3f45a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek-ext#italic', 'Roboto Condensed italic (greek-ext)', 'Roboto Condensed', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Roboto Condensed:italic";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(939, '06f754d5-a00a-4bcc-951b-3e15d92e8ecc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek#italic', 'Roboto Condensed italic (greek)', 'Roboto Condensed', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Roboto Condensed:italic";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(940, '151b94d3-ef26-4efe-a7f2-04b98bd4de3c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=vietnamese#italic', 'Roboto Condensed italic (vietnamese)', 'Roboto Condensed', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Roboto Condensed:italic";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(941, '75deaacc-9ae3-4c7b-accd-0667ce9b755a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin-ext#italic', 'Roboto Condensed italic (latin-ext)', 'Roboto Condensed', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Roboto Condensed:italic";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(942, '6f30585b-c599-469b-8b38-369f8076d41b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic#italic', 'Roboto Condensed italic (cyrillic)', 'Roboto Condensed', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Roboto Condensed:italic";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(943, 'd919df28-8bbc-40ce-9885-f5a153be67e6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic-ext#regular', 'Roboto Condensed regular (cyrillic-ext)', 'Roboto Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Roboto Condensed:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0);
INSERT INTO `fontyourface_font` VALUES
(944, '5cf587fa-b3eb-4f2d-bf8b-d068970e240a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin#regular', 'Roboto Condensed regular (latin)', 'Roboto Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Roboto Condensed:regular";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(945, 'b1f24bdf-301e-4609-966a-0f46200cb41b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek-ext#regular', 'Roboto Condensed regular (greek-ext)', 'Roboto Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Roboto Condensed:regular";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(946, 'f8a38146-5544-429d-b71e-61b6372c0684', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek#regular', 'Roboto Condensed regular (greek)', 'Roboto Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Roboto Condensed:regular";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(947, '36ba09f2-83cb-4973-b946-4950c2322359', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=vietnamese#regular', 'Roboto Condensed regular (vietnamese)', 'Roboto Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Roboto Condensed:regular";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(948, '743aa914-b415-4e9e-8d44-1c6f97a8f679', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin-ext#regular', 'Roboto Condensed regular (latin-ext)', 'Roboto Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Roboto Condensed:regular";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(949, '97b1f453-b27c-43f5-a1d8-4707f364a87a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic#regular', 'Roboto Condensed regular (cyrillic)', 'Roboto Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Roboto Condensed:regular";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(950, 'fe64114e-a48d-4a9c-b55b-e5d2b37731e6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic-ext#300italic', 'Roboto Condensed 300italic (cyrillic-ext)', 'Roboto Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(951, 'd18dcb72-2e55-42e3-9e0f-56841dd28035', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin#300italic', 'Roboto Condensed 300italic (latin)', 'Roboto Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:300italic";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(952, 'a8c64cc1-f436-42d0-a765-d2166a2058ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek-ext#300italic', 'Roboto Condensed 300italic (greek-ext)', 'Roboto Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:300italic";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(953, 'ba713599-5190-47fa-84b6-5f731d4ff442', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek#300italic', 'Roboto Condensed 300italic (greek)', 'Roboto Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:300italic";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(954, '2e340dea-ef6a-4e31-838e-920d20932db1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=vietnamese#300italic', 'Roboto Condensed 300italic (vietnamese)', 'Roboto Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(955, 'c32f4906-2bc7-4776-ab8e-f331a15e1c87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin-ext#300italic', 'Roboto Condensed 300italic (latin-ext)', 'Roboto Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(956, 'eaaecf15-0a34-4cf9-a8be-2ef185331146', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic#300italic', 'Roboto Condensed 300italic (cyrillic)', 'Roboto Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Roboto Condensed:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(957, '91372e51-5f1e-45b0-9eef-e043d572cba2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic-ext#300', 'Roboto Condensed 300 (cyrillic-ext)', 'Roboto Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(958, '7dd14403-8885-43fd-8707-8af51ff275a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin#300', 'Roboto Condensed 300 (latin)', 'Roboto Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:300";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(959, '44731ac9-27cd-4ebf-bae6-3c29893a1df4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek-ext#300', 'Roboto Condensed 300 (greek-ext)', 'Roboto Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:300";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(960, '5bc59472-c027-4c08-a23f-df68b96ac918', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=greek#300', 'Roboto Condensed 300 (greek)', 'Roboto Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:300";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(961, '0280e102-0fce-4d43-bed7-6d2f7c4e309c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=vietnamese#300', 'Roboto Condensed 300 (vietnamese)', 'Roboto Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:300";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(962, 'a8990f2a-e907-48ee-92fc-8e1b04e41667', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=latin-ext#300', 'Roboto Condensed 300 (latin-ext)', 'Roboto Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:300";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(963, '6544baa2-5849-415d-9c21-382c8c15f203', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto Condensed&subset=cyrillic#300', 'Roboto Condensed 300 (cyrillic)', 'Roboto Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Roboto Condensed:300";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(964, '6f3f281b-4548-4d28-9252-c6a0ce986439', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#900italic', 'Roboto 900italic (cyrillic-ext)', 'Roboto', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:900italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(965, '109ae60a-cb17-4f9a-81c6-e89528b168de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#900italic', 'Roboto 900italic (latin)', 'Roboto', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:900italic";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(966, '7419cb72-518e-4f62-a950-7b46c9777ea6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#900italic', 'Roboto 900italic (greek-ext)', 'Roboto', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:900italic";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(967, '8e6e3cd3-20d9-4b45-b417-16d1796f3102', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#900italic', 'Roboto 900italic (greek)', 'Roboto', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:900italic";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(968, '5a283459-e880-4453-9532-9fedfbae43c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#900italic', 'Roboto 900italic (vietnamese)', 'Roboto', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(969, '46403e5a-438e-47d0-a5f8-64f92e996f7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#900italic', 'Roboto 900italic (latin-ext)', 'Roboto', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(970, '42a37ef0-7761-4404-8a75-aac5074dcce0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#900italic', 'Roboto 900italic (cyrillic)', 'Roboto', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:900italic";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(971, '4d303bc6-70b3-4063-8ad7-9d75cb65d10f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#900', 'Roboto 900 (cyrillic-ext)', 'Roboto', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:900";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(972, 'eeb4b315-0e9d-46e3-b6a4-4e144e23d422', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#900', 'Roboto 900 (latin)', 'Roboto', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:900";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(973, 'a0cb5afc-7089-48b5-b15b-77abb8783ec7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#900', 'Roboto 900 (greek-ext)', 'Roboto', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:900";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(974, '6efdd36a-8a7a-4d65-9b1e-95bdbb4aa7f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#900', 'Roboto 900 (greek)', 'Roboto', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:900";s:6:"subset";s:5:"greek";}', 1468916105, 1468916105, 0),
(975, '067915ae-22d6-41f4-b1b5-a8a014a06304', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#900', 'Roboto 900 (vietnamese)', 'Roboto', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:900";s:6:"subset";s:10:"vietnamese";}', 1468916105, 1468916105, 0),
(976, '2022c9ef-fb4f-40fa-95f1-c8da07b67037', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#900', 'Roboto 900 (latin-ext)', 'Roboto', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:900";s:6:"subset";s:9:"latin-ext";}', 1468916105, 1468916105, 0),
(977, '884f161e-c0a2-4e55-aad4-d305fb06a004', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#900', 'Roboto 900 (cyrillic)', 'Roboto', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:900";s:6:"subset";s:8:"cyrillic";}', 1468916105, 1468916105, 0),
(978, 'b3cb92c2-9d75-42aa-b3b1-8734bd1b349f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#700italic', 'Roboto 700italic (cyrillic-ext)', 'Roboto', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916105, 1468916105, 0),
(979, '8dea81c7-e217-42b0-90a7-e2cb38b8d1dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#700italic', 'Roboto 700italic (latin)', 'Roboto', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:700italic";s:6:"subset";s:5:"latin";}', 1468916105, 1468916105, 0),
(980, '40006c64-0b81-445f-92dd-fdf359b8f76a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#700italic', 'Roboto 700italic (greek-ext)', 'Roboto', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916105, 1468916105, 0),
(981, 'e4bd1752-b88d-4841-b474-803eabb26330', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#700italic', 'Roboto 700italic (greek)', 'Roboto', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:700italic";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(982, '6ed1b412-e278-4f65-b58e-7d1305f4e1b6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#700italic', 'Roboto 700italic (vietnamese)', 'Roboto', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(983, '4d5e1315-4934-4b57-a3f2-369432e0ecf5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#700italic', 'Roboto 700italic (latin-ext)', 'Roboto', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(984, '481372ff-ed32-4301-8c17-d428b724be9e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#700italic', 'Roboto 700italic (cyrillic)', 'Roboto', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(985, '97e97f64-4e3a-4b0d-a0ab-d5bf1747534b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#700', 'Roboto 700 (cyrillic-ext)', 'Roboto', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(986, 'e3d4b3f3-cc25-49c4-9e91-84dccf05cd07', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#700', 'Roboto 700 (latin)', 'Roboto', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:700";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(987, '02c38859-5808-4a0f-94f7-029a39ccb9ea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#700', 'Roboto 700 (greek-ext)', 'Roboto', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:700";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(988, 'd20571a0-6ea4-4c66-a009-c13130a1f2a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#700', 'Roboto 700 (greek)', 'Roboto', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:700";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(989, '4108b06e-11ea-48d2-8e6d-3e89b4933b84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#700', 'Roboto 700 (vietnamese)', 'Roboto', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:700";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(990, '7c62124a-9e73-4d15-93b7-300f29b64b56', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#700', 'Roboto 700 (latin-ext)', 'Roboto', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:700";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(991, '43b68446-c8b3-47a5-88db-7b14b43ed829', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#700', 'Roboto 700 (cyrillic)', 'Roboto', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:700";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(992, '6a5e2293-2ff3-45e2-ad15-b237071c7625', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#500italic', 'Roboto 500italic (cyrillic-ext)', 'Roboto', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:500italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(993, 'a9363b8c-465d-402b-965d-c618ced5bb74', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#500italic', 'Roboto 500italic (latin)', 'Roboto', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:500italic";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(994, 'd162eac4-99f3-4893-bd82-09fe4fb21bd8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#500italic', 'Roboto 500italic (greek-ext)', 'Roboto', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:500italic";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(995, '9b39b221-0f3c-4b13-95ef-2fb7d7644e93', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#500italic', 'Roboto 500italic (greek)', 'Roboto', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:500italic";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(996, 'c19fdd8e-b4ad-407c-8948-e4f15c133760', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#500italic', 'Roboto 500italic (vietnamese)', 'Roboto', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(997, '090117a6-2346-4ff3-a0ac-727c0311e080', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#500italic', 'Roboto 500italic (latin-ext)', 'Roboto', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(998, '27b49064-ff65-4c78-b9fe-31e73cf4a419', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#500italic', 'Roboto 500italic (cyrillic)', 'Roboto', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(999, '92774b02-0ffb-4c06-b39c-462869d1e943', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#500', 'Roboto 500 (cyrillic-ext)', 'Roboto', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:500";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(1000, '43916891-8206-4d8e-a0f6-5bbb95ae1b4d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#500', 'Roboto 500 (latin)', 'Roboto', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:500";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1001, 'f4a2396d-57f5-49cf-ac5a-64e41729519f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#500', 'Roboto 500 (greek-ext)', 'Roboto', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:500";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(1002, '6c4b599e-bbdf-43bb-af66-522563cafbff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#500', 'Roboto 500 (greek)', 'Roboto', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:500";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(1003, '9c535f22-679d-4e7c-8cf4-94ce4c74c7e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#500', 'Roboto 500 (vietnamese)', 'Roboto', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:500";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(1004, '6685b2df-11a6-4fca-972a-47926a9a6d09', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#500', 'Roboto 500 (latin-ext)', 'Roboto', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:500";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1005, 'abdbbc10-851e-4a29-aa23-8c5789fdb3e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#500', 'Roboto 500 (cyrillic)', 'Roboto', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:500";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(1006, 'bee7ad7b-2a97-4e09-bb60-2178e6e589d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#italic', 'Roboto italic (cyrillic-ext)', 'Roboto', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Roboto:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(1007, 'ebfaf677-ad32-4888-bb29-48333ceeba50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#italic', 'Roboto italic (latin)', 'Roboto', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Roboto:italic";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1008, 'fe48840c-4ded-4e15-8e9b-8989c6eadff8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#italic', 'Roboto italic (greek-ext)', 'Roboto', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Roboto:italic";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(1009, '6a607404-ca87-4630-a3c0-045081f85936', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#italic', 'Roboto italic (greek)', 'Roboto', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Roboto:italic";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(1010, 'df70d817-2068-4576-8b83-001a648f55b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#italic', 'Roboto italic (vietnamese)', 'Roboto', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Roboto:italic";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(1011, 'cb9b24e0-506b-4a00-8630-44573a0c4a78', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#italic', 'Roboto italic (latin-ext)', 'Roboto', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Roboto:italic";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1012, 'a8d2d02e-abab-4260-a321-b0f7aa819d65', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#italic', 'Roboto italic (cyrillic)', 'Roboto', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Roboto:italic";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(1013, '24d684a0-76c2-4e64-873b-87821826e223', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#regular', 'Roboto regular (cyrillic-ext)', 'Roboto', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Roboto:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(1014, 'cf2c0ca7-c91b-4ff8-9ca2-da52cf690ef4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#regular', 'Roboto regular (latin)', 'Roboto', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Roboto:regular";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1015, '64a302e9-69a2-4ade-a0f4-31085f7111e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#regular', 'Roboto regular (greek-ext)', 'Roboto', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Roboto:regular";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(1016, 'e0ae6932-bae2-4b24-b845-82a668d9d623', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#regular', 'Roboto regular (greek)', 'Roboto', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Roboto:regular";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(1017, 'f9e81a32-3ee1-4629-a7f0-5d2a2fc06cb7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#regular', 'Roboto regular (vietnamese)', 'Roboto', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Roboto:regular";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(1018, '075ae4de-5979-4d65-9fa9-83b31e088cb4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#regular', 'Roboto regular (latin-ext)', 'Roboto', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Roboto:regular";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1019, '3c04b2dd-c3cc-4dd5-a8c4-932d337b4b2c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#regular', 'Roboto regular (cyrillic)', 'Roboto', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Roboto:regular";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(1020, 'c70efa8a-2c2f-45cd-ac0b-731f58d9f968', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#300italic', 'Roboto 300italic (cyrillic-ext)', 'Roboto', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(1021, '79679cf0-7f00-41c5-bdb9-f23121c1a8ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#300italic', 'Roboto 300italic (latin)', 'Roboto', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:300italic";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1022, 'a6d8f02c-61de-4229-b889-600a53e54cd0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#300italic', 'Roboto 300italic (greek-ext)', 'Roboto', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:300italic";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(1023, '513f016b-a001-4016-9317-460102836375', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#300italic', 'Roboto 300italic (greek)', 'Roboto', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:300italic";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(1024, '3187b55d-3f10-4e7f-aea7-ddb38e1594dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#300italic', 'Roboto 300italic (vietnamese)', 'Roboto', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(1025, '45d9a0b4-c15e-498a-b9f6-90ea56d7ab57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#300italic', 'Roboto 300italic (latin-ext)', 'Roboto', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1026, '631525d7-846e-4a1d-92b6-e49401a41921', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#300italic', 'Roboto 300italic (cyrillic)', 'Roboto', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(1027, 'd6a3e515-09f6-44fc-874b-1b06ceab79a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#300', 'Roboto 300 (cyrillic-ext)', 'Roboto', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(1028, '5ba42de1-0cd0-49a9-952d-0410a65664c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#300', 'Roboto 300 (latin)', 'Roboto', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:300";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1029, '9cd55337-00b6-4f5a-af1d-c5d2edc0d8ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#300', 'Roboto 300 (greek-ext)', 'Roboto', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:300";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(1030, '7d16d85a-34ab-4394-ba6d-c37c0b3b70c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#300', 'Roboto 300 (greek)', 'Roboto', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:300";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(1031, 'ff693295-5b98-46cc-9896-7c715222fe8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#300', 'Roboto 300 (vietnamese)', 'Roboto', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:300";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(1032, '802294ea-4c57-40a5-b554-736f6c66f90f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#300', 'Roboto 300 (latin-ext)', 'Roboto', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:300";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1033, '28709814-7501-4012-b842-5ffcc5299568', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#300', 'Roboto 300 (cyrillic)', 'Roboto', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:300";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(1034, 'c7ffc361-127a-45f0-b753-35acf24c2df4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#100italic', 'Roboto 100italic (cyrillic-ext)', 'Roboto', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:100italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(1035, '55dbf079-90c7-47c8-a25f-8b282b336f80', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#100italic', 'Roboto 100italic (latin)', 'Roboto', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:100italic";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1036, 'a289174d-6148-4d96-ba87-78bb696a9859', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#100italic', 'Roboto 100italic (greek-ext)', 'Roboto', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:100italic";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(1037, '9eec2af7-9207-4e93-a3bc-537ca29c4448', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#100italic', 'Roboto 100italic (greek)', 'Roboto', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:100italic";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(1038, '6eb67867-5cf2-47d3-956a-a61e2109b618', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#100italic', 'Roboto 100italic (vietnamese)', 'Roboto', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(1039, 'a881d372-abc4-461f-8bae-1bb5a64edbb3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#100italic', 'Roboto 100italic (latin-ext)', 'Roboto', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1040, '05012f29-fe5a-4d31-80a0-36bd0cab5cea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#100italic', 'Roboto 100italic (cyrillic)', 'Roboto', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Roboto:100italic";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(1041, '5700ae53-a405-43d4-8d5b-11d1c0c7587d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic-ext#100', 'Roboto 100 (cyrillic-ext)', 'Roboto', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:100";s:6:"subset";s:12:"cyrillic-ext";}', 1468916106, 1468916106, 0),
(1042, 'cf4f038c-f3a0-40f5-8eb3-ceee74a453ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin#100', 'Roboto 100 (latin)', 'Roboto', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:100";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1043, 'eeeaceb1-6f03-4c0f-8013-89199fa7891a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek-ext#100', 'Roboto 100 (greek-ext)', 'Roboto', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:100";s:6:"subset";s:9:"greek-ext";}', 1468916106, 1468916106, 0),
(1044, '57ad0093-286e-421e-b27c-3d6c9d4300ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=greek#100', 'Roboto 100 (greek)', 'Roboto', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:100";s:6:"subset";s:5:"greek";}', 1468916106, 1468916106, 0),
(1045, 'c0b3fa19-68ff-429c-b2b5-e5bc19afd8ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=vietnamese#100', 'Roboto 100 (vietnamese)', 'Roboto', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:100";s:6:"subset";s:10:"vietnamese";}', 1468916106, 1468916106, 0),
(1046, 'a7f39bd9-76db-4c5e-8bad-09020e60abc8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=latin-ext#100', 'Roboto 100 (latin-ext)', 'Roboto', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:100";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1047, 'b1d8525a-1d60-4204-8fc6-21987a981085', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Roboto&subset=cyrillic#100', 'Roboto 100 (cyrillic)', 'Roboto', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Roboto:100";s:6:"subset";s:8:"cyrillic";}', 1468916106, 1468916106, 0),
(1048, '3eb9351b-018f-4b3d-8cd9-ec3bc64fdddc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Risque&subset=latin#regular', 'Risque regular (latin)', 'Risque', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Risque:regular";s:6:"subset";s:5:"latin";}', 1468916106, 1468916106, 0),
(1049, 'b8e643c6-5978-4b37-88c1-00653b72fdeb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Risque&subset=latin-ext#regular', 'Risque regular (latin-ext)', 'Risque', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Risque:regular";s:6:"subset";s:9:"latin-ext";}', 1468916106, 1468916106, 0),
(1050, '93467358-3aad-4cb2-9df9-08ac26ed91e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Righteous&subset=latin#regular', 'Righteous regular (latin)', 'Righteous', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Righteous:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1051, 'bf570473-2a3c-4006-93a6-923204323b48', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Righteous&subset=latin-ext#regular', 'Righteous regular (latin-ext)', 'Righteous', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Righteous:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1052, '48a57f50-c1ad-4832-af1f-9164fae624f0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ribeye Marrow&subset=latin#regular', 'Ribeye Marrow regular (latin)', 'Ribeye Marrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ribeye Marrow:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1053, '444193dd-d789-4eac-8bf5-fb6c772cd8e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ribeye Marrow&subset=latin-ext#regular', 'Ribeye Marrow regular (latin-ext)', 'Ribeye Marrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Ribeye Marrow:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1054, '0ec71a73-025c-49bb-a3b1-e86f26aa552e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ribeye&subset=latin#regular', 'Ribeye regular (latin)', 'Ribeye', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ribeye:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1055, '850bb3cb-7460-421d-a5a1-90e9f350fa6d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ribeye&subset=latin-ext#regular', 'Ribeye regular (latin-ext)', 'Ribeye', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ribeye:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1056, '3789c266-0546-4e3a-aa5b-cf665864153e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rhodium Libre&subset=latin#regular', 'Rhodium Libre regular (latin)', 'Rhodium Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Rhodium Libre:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1057, '6e741aa0-a50e-4c7c-9d45-f739d104fffe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rhodium Libre&subset=devanagari#regular', 'Rhodium Libre regular (devanagari)', 'Rhodium Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Rhodium Libre:regular";s:6:"subset";s:10:"devanagari";}', 1468916108, 1468916108, 0),
(1058, '13837f08-5d3c-49ec-a05e-3e69d490b83f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rhodium Libre&subset=latin-ext#regular', 'Rhodium Libre regular (latin-ext)', 'Rhodium Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Rhodium Libre:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1059, '42c412da-cd60-4016-b664-1a9fa9c03d35', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Revalia&subset=latin#regular', 'Revalia regular (latin)', 'Revalia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Revalia:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1060, 'b446fa7e-5564-4b3d-ac30-ed2307ea51d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Revalia&subset=latin-ext#regular', 'Revalia regular (latin-ext)', 'Revalia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Revalia:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1061, '6cf374a2-efce-4adc-8c51-f7639cd570bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Reenie Beanie&subset=latin#regular', 'Reenie Beanie regular (latin)', 'Reenie Beanie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Reenie Beanie:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1062, '944c058b-b99c-4a63-9fa7-700934a9ff91', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Reem Kufi&subset=latin#regular', 'Reem Kufi regular (latin)', 'Reem Kufi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Reem Kufi:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1063, '9088ac8b-9515-47b8-a1db-d45961322a6e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Reem Kufi&subset=arabic#regular', 'Reem Kufi regular (arabic)', 'Reem Kufi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Reem Kufi:regular";s:6:"subset";s:6:"arabic";}', 1468916108, 1468916108, 0),
(1064, '5ce4ecd7-a96c-4ea6-8063-5c1c9ada9c5f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Redressed&subset=latin#regular', 'Redressed regular (latin)', 'Redressed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Redressed:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1065, '889666a0-ab79-4c0e-ada2-66c760490865', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ravi Prakash&subset=latin#regular', 'Ravi Prakash regular (latin)', 'Ravi Prakash', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Ravi Prakash:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1066, '4da62e24-d1a6-40e9-8f61-0bfd693cac97', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ravi Prakash&subset=telugu#regular', 'Ravi Prakash regular (telugu)', 'Ravi Prakash', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Ravi Prakash:regular";s:6:"subset";s:6:"telugu";}', 1468916108, 1468916108, 0),
(1067, 'bbdc4ba8-24b5-4fe0-8447-241da21a54f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rationale&subset=latin#regular', 'Rationale regular (latin)', 'Rationale', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Rationale:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1068, '9bf84082-ce6c-47f6-b154-76de29c6b089', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin#700', 'Rasa 700 (latin)', 'Rasa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:700";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1069, '59c480c0-7835-4bb6-91f6-39237dea820c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=gujarati#700', 'Rasa 700 (gujarati)', 'Rasa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:700";s:6:"subset";s:8:"gujarati";}', 1468916108, 1468916108, 0),
(1070, '0f641c5d-9c27-4922-9b38-bfe3f1a7f080', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin-ext#700', 'Rasa 700 (latin-ext)', 'Rasa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:700";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1071, '9237f74a-a4ce-4cbe-a8d9-0e83513517b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin#600', 'Rasa 600 (latin)', 'Rasa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:600";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1072, '907e3ef6-bb09-4e4f-b335-de59a69209e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=gujarati#600', 'Rasa 600 (gujarati)', 'Rasa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:600";s:6:"subset";s:8:"gujarati";}', 1468916108, 1468916108, 0),
(1073, '3f3ec42f-0a98-4785-8ebe-36ee9591417b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin-ext#600', 'Rasa 600 (latin-ext)', 'Rasa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:600";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1074, '44445419-087a-49b9-acfd-ad327f60a67b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin#500', 'Rasa 500 (latin)', 'Rasa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:500";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1075, '71815908-bb2f-4420-a475-c1a872090325', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=gujarati#500', 'Rasa 500 (gujarati)', 'Rasa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:500";s:6:"subset";s:8:"gujarati";}', 1468916108, 1468916108, 0),
(1076, 'fb069d85-89d2-4275-bb53-0123109f5eae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin-ext#500', 'Rasa 500 (latin-ext)', 'Rasa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:500";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1077, 'd01a7f5a-2239-4ed8-a7f6-d7a759a8ea96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin#regular', 'Rasa regular (latin)', 'Rasa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rasa:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1078, 'de2ebdf4-b196-4e77-94ef-adff4e02fcda', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=gujarati#regular', 'Rasa regular (gujarati)', 'Rasa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rasa:regular";s:6:"subset";s:8:"gujarati";}', 1468916108, 1468916108, 0),
(1079, '477c7c39-a4a2-45ab-90d8-63599793f05e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin-ext#regular', 'Rasa regular (latin-ext)', 'Rasa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rasa:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1080, '997dd799-d863-4988-86ca-1b4a1aefddf2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin#300', 'Rasa 300 (latin)', 'Rasa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:300";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1081, 'd49fa696-d40a-4e00-9840-97ab031215fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=gujarati#300', 'Rasa 300 (gujarati)', 'Rasa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:300";s:6:"subset";s:8:"gujarati";}', 1468916108, 1468916108, 0),
(1082, 'b9999e30-16d5-4f13-b0d2-a1fd9111fe76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rasa&subset=latin-ext#300', 'Rasa 300 (latin-ext)', 'Rasa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Rasa:300";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1083, '54b1208b-1b60-4d17-8f19-4c2a04701bd6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranga&subset=latin#700', 'Ranga 700 (latin)', 'Ranga', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Ranga:700";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1084, '6adf06e1-4781-4508-96e4-33cf26500cdd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranga&subset=devanagari#700', 'Ranga 700 (devanagari)', 'Ranga', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Ranga:700";s:6:"subset";s:10:"devanagari";}', 1468916108, 1468916108, 0),
(1085, '139834de-5e70-4d8c-90f3-248ddc441663', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranga&subset=latin-ext#700', 'Ranga 700 (latin-ext)', 'Ranga', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Ranga:700";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1086, 'e6621099-62fd-441b-b61e-e97475ef9ebf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranga&subset=latin#regular', 'Ranga regular (latin)', 'Ranga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ranga:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1087, '421d880b-c171-440c-84ea-69bdbca7be3a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranga&subset=devanagari#regular', 'Ranga regular (devanagari)', 'Ranga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ranga:regular";s:6:"subset";s:10:"devanagari";}', 1468916108, 1468916108, 0),
(1088, '521ed517-3e4a-4046-acfd-8227ffd2728b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranga&subset=latin-ext#regular', 'Ranga regular (latin-ext)', 'Ranga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ranga:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1089, '9f83c984-57e5-451f-80a4-ddda1842781b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rancho&subset=latin#regular', 'Rancho regular (latin)', 'Rancho', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rancho:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1090, '41ba3525-ca70-4d34-acff-e7d5de69229a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranchers&subset=latin#regular', 'Ranchers regular (latin)', 'Ranchers', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ranchers:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1091, 'd809c44a-6fed-4b89-bbc8-7ac8f5864729', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ranchers&subset=latin-ext#regular', 'Ranchers regular (latin-ext)', 'Ranchers', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ranchers:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1092, '96ddb566-1fd3-45ce-b791-b1438c2ddc74', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rammetto One&subset=latin#regular', 'Rammetto One regular (latin)', 'Rammetto One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Rammetto One:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1093, '300a8423-aa0a-450b-8187-f4833ed6fd97', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rammetto One&subset=latin-ext#regular', 'Rammetto One regular (latin-ext)', 'Rammetto One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Rammetto One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1094, '0f47e73d-fcde-46ee-a575-950d7709e7cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin#700italic', 'Rambla 700italic (latin)', 'Rambla', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Rambla:700italic";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1095, '53c5aa18-998a-4b4e-9202-e3f1b0afffad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin-ext#700italic', 'Rambla 700italic (latin-ext)', 'Rambla', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Rambla:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1096, '568ecec1-d474-4c8e-b930-f3fc50479a24', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin#700', 'Rambla 700 (latin)', 'Rambla', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Rambla:700";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1097, '56d057b9-e801-49c5-9f30-9a8c62ef7cba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin-ext#700', 'Rambla 700 (latin-ext)', 'Rambla', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Rambla:700";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1098, '05a19cb6-f41a-4b9a-a7c5-6d0cb78364d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin#italic', 'Rambla italic (latin)', 'Rambla', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Rambla:italic";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1099, 'c90f6062-4896-4e64-b626-44ab508a3c0a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin-ext#italic', 'Rambla italic (latin-ext)', 'Rambla', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Rambla:italic";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1100, '3e697547-2e13-4a88-b65d-ecf08bb1870f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin#regular', 'Rambla regular (latin)', 'Rambla', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rambla:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1101, '0565185f-6c12-48f7-bd4a-450faac7e294', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rambla&subset=latin-ext#regular', 'Rambla regular (latin-ext)', 'Rambla', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rambla:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1102, '08cad771-542c-4772-a939-f7ac76870da4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ramaraja&subset=latin#regular', 'Ramaraja regular (latin)', 'Ramaraja', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ramaraja:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1103, 'd8fb9fe2-9f59-4dd7-9562-b75701f73341', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ramaraja&subset=telugu#regular', 'Ramaraja regular (telugu)', 'Ramaraja', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ramaraja:regular";s:6:"subset";s:6:"telugu";}', 1468916108, 1468916108, 0),
(1104, 'aecd4a86-9299-42de-838f-75f60824fa2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ramabhadra&subset=latin#regular', 'Ramabhadra regular (latin)', 'Ramabhadra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ramabhadra:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1105, 'd8d0a08d-8a22-43a0-a28f-95ac3b6e230a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ramabhadra&subset=telugu#regular', 'Ramabhadra regular (telugu)', 'Ramabhadra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Ramabhadra:regular";s:6:"subset";s:6:"telugu";}', 1468916108, 1468916108, 0),
(1106, 'f036b9b6-2f78-4c21-8d24-d75fc518c99f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway Dots&subset=latin#regular', 'Raleway Dots regular (latin)', 'Raleway Dots', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Raleway Dots:regular";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1107, 'b3c38d61-6c22-4a37-857b-781537e97130', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway Dots&subset=latin-ext#regular', 'Raleway Dots regular (latin-ext)', 'Raleway Dots', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Raleway Dots:regular";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1108, '606a9c87-73f1-4494-8353-5697c51be8d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#900italic', 'Raleway 900italic (latin)', 'Raleway', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:900italic";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1109, 'b5671116-38d3-45aa-83a7-bc6ac24cb3ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#900italic', 'Raleway 900italic (latin-ext)', 'Raleway', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1110, '60af3ec7-1224-4090-9efe-a3c2f60343c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#900', 'Raleway 900 (latin)', 'Raleway', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:900";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1111, 'e52ae873-a640-49b8-8fc4-6c73b7d3e3cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#900', 'Raleway 900 (latin-ext)', 'Raleway', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:900";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1112, 'f5db7351-63b3-418f-ae95-1e00939d3a7e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#800italic', 'Raleway 800italic (latin)', 'Raleway', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:800italic";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1113, '8c683086-edfc-4965-b079-320747a8e203', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#800italic', 'Raleway 800italic (latin-ext)', 'Raleway', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1114, 'e18d91f3-8488-4500-96f7-ed94f3e2c367', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#800', 'Raleway 800 (latin)', 'Raleway', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:800";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1115, '2e4f5822-88da-4fed-9cc2-b920513f2eb1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#800', 'Raleway 800 (latin-ext)', 'Raleway', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:800";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1116, '05dfd8aa-e1a2-42a5-a660-07294def4540', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#700italic', 'Raleway 700italic (latin)', 'Raleway', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:700italic";s:6:"subset";s:5:"latin";}', 1468916108, 1468916108, 0),
(1117, '9371a95e-f81d-4564-bf83-e49723f7d2d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#700italic', 'Raleway 700italic (latin-ext)', 'Raleway', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916108, 1468916108, 0),
(1118, '8a2f3c68-9aaa-42b1-82bd-e45f5ccf2a91', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#700', 'Raleway 700 (latin)', 'Raleway', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:700";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1119, '9cd96dbf-9597-446c-8a3d-f0e689196d8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#700', 'Raleway 700 (latin-ext)', 'Raleway', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:700";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1120, '482b98a8-7466-4e6f-a1e7-08a1a27bf847', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#600italic', 'Raleway 600italic (latin)', 'Raleway', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:600italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1121, '7b822494-55f9-4204-9d77-c27ec9557bf5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#600italic', 'Raleway 600italic (latin-ext)', 'Raleway', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1122, '32273b08-e5cb-43c1-b1ed-aa9bc2497070', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#600', 'Raleway 600 (latin)', 'Raleway', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:600";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1123, 'a9598c35-f930-4a24-85ff-b4d7bbda00a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#600', 'Raleway 600 (latin-ext)', 'Raleway', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:600";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1124, '771d068a-9396-4784-8190-3e9bcaebf6c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#500italic', 'Raleway 500italic (latin)', 'Raleway', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:500italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1125, '3f8e4cf7-d3d2-4ddf-99ab-57d5c6f8b82a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#500italic', 'Raleway 500italic (latin-ext)', 'Raleway', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1126, 'fd9a2a00-c82b-488e-8943-22fb4c2cd0c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#500', 'Raleway 500 (latin)', 'Raleway', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:500";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1127, 'd76644e7-1050-47c4-bc6b-3745e5717161', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#500', 'Raleway 500 (latin-ext)', 'Raleway', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:500";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1128, '3b2486fe-40dc-488b-a2a3-96fd4bcde972', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#italic', 'Raleway italic (latin)', 'Raleway', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Raleway:italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1129, '894cdf2b-85f8-46ed-9a4c-9f45581397de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#italic', 'Raleway italic (latin-ext)', 'Raleway', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Raleway:italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1130, 'dad41009-1474-43e3-b4a4-4373561e386f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#regular', 'Raleway regular (latin)', 'Raleway', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Raleway:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1131, 'bb7a6454-9435-4357-b378-0100ea09bc27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#regular', 'Raleway regular (latin-ext)', 'Raleway', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Raleway:regular";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1132, 'f9b081ce-e24c-44c5-af37-69afecd77e39', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#300italic', 'Raleway 300italic (latin)', 'Raleway', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:300italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1133, 'cf4c750e-468d-4f8b-a3fd-5dc889166b39', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#300italic', 'Raleway 300italic (latin-ext)', 'Raleway', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1134, 'b36141a4-8f21-41d5-beb6-235594813e42', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#300', 'Raleway 300 (latin)', 'Raleway', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:300";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0);
INSERT INTO `fontyourface_font` VALUES
(1135, '6a16600b-ade8-41d3-8de5-85e474fa9b57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#300', 'Raleway 300 (latin-ext)', 'Raleway', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:300";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1136, '1b5779b4-8b74-4f5a-9bd2-c0cf3b6d86d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#200italic', 'Raleway 200italic (latin)', 'Raleway', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:200italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1137, 'cc840be7-662e-489f-a80b-fe00d297a166', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#200italic', 'Raleway 200italic (latin-ext)', 'Raleway', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1138, 'cf6cd854-2ba9-41b9-8c36-bb2c9c682387', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#200', 'Raleway 200 (latin)', 'Raleway', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:200";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1139, '0a2baa47-f066-4a98-9767-089133b8fcb7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#200', 'Raleway 200 (latin-ext)', 'Raleway', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:200";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1140, 'cf47b473-e75e-4375-9a47-cc3938de8ea7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#100italic', 'Raleway 100italic (latin)', 'Raleway', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:100italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1141, '63716110-5ae7-4325-bcba-10d11e7cdc16', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#100italic', 'Raleway 100italic (latin-ext)', 'Raleway', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Raleway:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1142, '7674b64d-b322-44e2-8717-0a4ae2d9e930', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin#100', 'Raleway 100 (latin)', 'Raleway', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:100";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1143, '214671a9-1ceb-4f8c-a883-093a2401a876', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Raleway&subset=latin-ext#100', 'Raleway 100 (latin-ext)', 'Raleway', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Raleway:100";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1144, '8a80b187-4ab0-4e80-8be1-01f9f65ede9d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rakkas&subset=latin#regular', 'Rakkas regular (latin)', 'Rakkas', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rakkas:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1145, 'bcb30aaf-2d4b-41db-83aa-73b0083ccace', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rakkas&subset=arabic#regular', 'Rakkas regular (arabic)', 'Rakkas', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rakkas:regular";s:6:"subset";s:6:"arabic";}', 1468916109, 1468916109, 0),
(1146, '437c6fb5-72cb-4b02-9422-7eaf4d3c5cfd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rakkas&subset=latin-ext#regular', 'Rakkas regular (latin-ext)', 'Rakkas', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Rakkas:regular";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1147, '229a6b86-47a9-48c6-baec-784cc977af03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin#700', 'Rajdhani 700 (latin)', 'Rajdhani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:700";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1148, '8bdaa09d-8ba7-437d-9abe-e86ba855aeb4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=devanagari#700', 'Rajdhani 700 (devanagari)', 'Rajdhani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:700";s:6:"subset";s:10:"devanagari";}', 1468916109, 1468916109, 0),
(1149, '6953c23a-a5f3-442b-8542-5c4a78436e98', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin-ext#700', 'Rajdhani 700 (latin-ext)', 'Rajdhani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:700";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1150, 'c5cadd5a-5bd5-4151-b494-f943cab62858', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin#600', 'Rajdhani 600 (latin)', 'Rajdhani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:600";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1151, 'e4a84617-e6b7-4d20-bcf4-ff69b9da852a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=devanagari#600', 'Rajdhani 600 (devanagari)', 'Rajdhani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:600";s:6:"subset";s:10:"devanagari";}', 1468916109, 1468916109, 0),
(1152, '27d91b2e-2a0d-4efc-af90-488a93f4ebab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin-ext#600', 'Rajdhani 600 (latin-ext)', 'Rajdhani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:600";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1153, 'e37d621b-3b79-4c82-bdf9-e2af1c99206e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin#500', 'Rajdhani 500 (latin)', 'Rajdhani', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:500";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1154, '2934bbd6-9bd1-4061-acbf-76a62538074f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=devanagari#500', 'Rajdhani 500 (devanagari)', 'Rajdhani', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:500";s:6:"subset";s:10:"devanagari";}', 1468916109, 1468916109, 0),
(1155, 'd0e09f02-17dc-4b40-9a74-db4f10e140f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin-ext#500', 'Rajdhani 500 (latin-ext)', 'Rajdhani', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:500";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1156, '643f92a2-1e5f-4170-b113-5f47ea87e6a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin#regular', 'Rajdhani regular (latin)', 'Rajdhani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Rajdhani:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1157, 'd4306fa5-c384-4950-9f5c-6fcbc9c00621', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=devanagari#regular', 'Rajdhani regular (devanagari)', 'Rajdhani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Rajdhani:regular";s:6:"subset";s:10:"devanagari";}', 1468916109, 1468916109, 0),
(1158, 'ff9e6da8-1d72-46df-9f23-8976ed94d80f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin-ext#regular', 'Rajdhani regular (latin-ext)', 'Rajdhani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Rajdhani:regular";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1159, '6a5100a1-b41d-4a55-a1a0-61f43a84bac7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin#300', 'Rajdhani 300 (latin)', 'Rajdhani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:300";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1160, 'e675a2ef-6f80-4bff-9d37-56df8bab9901', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=devanagari#300', 'Rajdhani 300 (devanagari)', 'Rajdhani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:300";s:6:"subset";s:10:"devanagari";}', 1468916109, 1468916109, 0),
(1161, 'fc7763ab-9715-42dd-9145-36f0933ada25', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Rajdhani&subset=latin-ext#300', 'Rajdhani 300 (latin-ext)', 'Rajdhani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Rajdhani:300";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1162, '8c483077-c610-4bf3-9320-7a1702059392', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Radley&subset=latin#italic', 'Radley italic (latin)', 'Radley', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Radley:italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1163, 'de02d12a-0628-4b58-ae61-9f8e41188c4b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Radley&subset=latin-ext#italic', 'Radley italic (latin-ext)', 'Radley', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Radley:italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1164, '4e031a93-da10-4b59-a163-b6c4008e39ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Radley&subset=latin#regular', 'Radley regular (latin)', 'Radley', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Radley:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1165, '9571bbca-18fd-450c-bf16-cff642a64f19', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Radley&subset=latin-ext#regular', 'Radley regular (latin-ext)', 'Radley', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Radley:regular";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1166, '288d6271-e318-4891-a8d2-f20e8d4740bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Racing Sans One&subset=latin#regular', 'Racing Sans One regular (latin)', 'Racing Sans One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Racing Sans One:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1167, '53cf32f7-9a6a-425e-8aba-e12422d90375', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Racing Sans One&subset=latin-ext#regular', 'Racing Sans One regular (latin-ext)', 'Racing Sans One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Racing Sans One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1168, '10f4d44d-c1a3-40af-9ab6-576e11e0dd36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Qwigley&subset=latin#regular', 'Qwigley regular (latin)', 'Qwigley', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Qwigley:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1169, 'f7a133cf-8751-4e36-a1b8-4c248c2bb70d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Qwigley&subset=latin-ext#regular', 'Qwigley regular (latin-ext)', 'Qwigley', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Qwigley:regular";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1170, 'f4742938-3096-466d-83bc-b790c69f0ade', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quintessential&subset=latin#regular', 'Quintessential regular (latin)', 'Quintessential', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Quintessential:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1171, '6b0b7360-ee4c-4831-b9bc-53495b6b930d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quintessential&subset=latin-ext#regular', 'Quintessential regular (latin-ext)', 'Quintessential', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Quintessential:regular";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1172, '0c11ebd5-8d0a-4fb6-8f46-0249e1796fbd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quicksand&subset=latin#700', 'Quicksand 700 (latin)', 'Quicksand', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Quicksand:700";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1173, '1ab23bcb-97f3-45e7-9d8b-80cff005f90e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quicksand&subset=latin#regular', 'Quicksand regular (latin)', 'Quicksand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Quicksand:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1174, '1caaf094-ce98-4f28-a938-08924947ef92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quicksand&subset=latin#300', 'Quicksand 300 (latin)', 'Quicksand', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Quicksand:300";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1175, '36d7a411-3393-4f53-8f33-49125c3942b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Questrial&subset=latin#regular', 'Questrial regular (latin)', 'Questrial', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Questrial:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1176, 'dfafa002-c59b-409f-994c-a3124f5996dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin#700italic', 'Quattrocento Sans 700italic (latin)', 'Quattrocento Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Quattrocento Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1177, '665df48a-5da2-449d-9b29-599640620d55', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin-ext#700italic', 'Quattrocento Sans 700italic (latin-ext)', 'Quattrocento Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Quattrocento Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1178, '96967677-56df-4ee3-af46-fc26e2008807', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin#700', 'Quattrocento Sans 700 (latin)', 'Quattrocento Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Quattrocento Sans:700";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1179, '582603b0-85b0-46fd-83ef-eec4034fdfe1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin-ext#700', 'Quattrocento Sans 700 (latin-ext)', 'Quattrocento Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Quattrocento Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1180, '167df5ea-868d-420b-9ce1-b3d8edfbe597', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin#italic', 'Quattrocento Sans italic (latin)', 'Quattrocento Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Quattrocento Sans:italic";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1181, 'e92398e3-93ab-436a-9b99-72b852e11810', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin-ext#italic', 'Quattrocento Sans italic (latin-ext)', 'Quattrocento Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Quattrocento Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916109, 1468916109, 0),
(1182, '80f20474-0ea6-4fed-a017-dddc72d640c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin#regular', 'Quattrocento Sans regular (latin)', 'Quattrocento Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Quattrocento Sans:regular";s:6:"subset";s:5:"latin";}', 1468916109, 1468916109, 0),
(1183, '702a1d24-aff9-40ef-87cc-3d5dadf26f57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento Sans&subset=latin-ext#regular', 'Quattrocento Sans regular (latin-ext)', 'Quattrocento Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Quattrocento Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1184, '6eea2fa3-e4d7-4a0e-90f1-23a41de0804a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento&subset=latin#700', 'Quattrocento 700 (latin)', 'Quattrocento', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Quattrocento:700";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1185, '2d4f23d0-85aa-49a5-8491-bd7a03f579bb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento&subset=latin-ext#700', 'Quattrocento 700 (latin-ext)', 'Quattrocento', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Quattrocento:700";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1186, '2b73cb1d-cd9b-43ed-a90e-62de4cbbe25d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento&subset=latin#regular', 'Quattrocento regular (latin)', 'Quattrocento', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Quattrocento:regular";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1187, 'e80e33f5-25a8-4fc4-baa6-e8c49eec8888', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quattrocento&subset=latin-ext#regular', 'Quattrocento regular (latin-ext)', 'Quattrocento', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Quattrocento:regular";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1188, '7b38af40-7466-4ff1-93ee-a8116b0cde58', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quantico&subset=latin#700italic', 'Quantico 700italic (latin)', 'Quantico', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Quantico:700italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1189, '78e13e0c-d29d-4042-b49e-35e934dccc96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quantico&subset=latin#700', 'Quantico 700 (latin)', 'Quantico', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Quantico:700";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1190, 'd3449ac3-f9a3-4c50-8f8d-e1ae08ddc8c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quantico&subset=latin#italic', 'Quantico italic (latin)', 'Quantico', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Quantico:italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1191, '2bbef8b5-a8ec-40cb-9e57-7f6928bc4bad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quantico&subset=latin#regular', 'Quantico regular (latin)', 'Quantico', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Quantico:regular";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1192, 'b1ab243e-4c7e-40cc-927c-8043addc5bb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quando&subset=latin#regular', 'Quando regular (latin)', 'Quando', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Quando:regular";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1193, 'cc5d0607-5701-420f-a135-8db3386f9fe4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Quando&subset=latin-ext#regular', 'Quando regular (latin-ext)', 'Quando', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Quando:regular";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1194, 'e5ad5d5e-7dc8-40b9-bd21-8f63784e976b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Purple Purse&subset=latin#regular', 'Purple Purse regular (latin)', 'Purple Purse', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Purple Purse:regular";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1195, 'b75529a3-769b-45fa-92be-e1f70e7ff8dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Purple Purse&subset=latin-ext#regular', 'Purple Purse regular (latin-ext)', 'Purple Purse', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Purple Purse:regular";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1196, '8c4522c9-de95-4d2d-87b9-1c482588f53f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Puritan&subset=latin#700italic', 'Puritan 700italic (latin)', 'Puritan', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Puritan:700italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1197, '0bf62d96-856e-429f-8752-d75a06b58f2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Puritan&subset=latin#700', 'Puritan 700 (latin)', 'Puritan', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Puritan:700";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1198, 'e5cafc8a-521e-4fef-9735-264233ed2bc2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Puritan&subset=latin#italic', 'Puritan italic (latin)', 'Puritan', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Puritan:italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1199, 'a48976a4-088c-401c-afe9-18a32b6f2ca8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Puritan&subset=latin#regular', 'Puritan regular (latin)', 'Puritan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Puritan:regular";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1200, 'c32ee893-d753-47f3-b102-0b6b996bd769', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#800italic', 'Proza Libre 800italic (latin)', 'Proza Libre', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:800italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1201, '355b507e-b0b0-4e83-b86d-b74e702c54bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#800italic', 'Proza Libre 800italic (latin-ext)', 'Proza Libre', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1202, '9b0e0776-9a94-4641-906c-cb3907f48fca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#800', 'Proza Libre 800 (latin)', 'Proza Libre', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:800";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1203, 'cd31ff38-0b99-491f-9e9e-570bcad2acc7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#800', 'Proza Libre 800 (latin-ext)', 'Proza Libre', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:800";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1204, 'ae2f1493-64f1-4679-a827-a1c3f4f13115', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#700italic', 'Proza Libre 700italic (latin)', 'Proza Libre', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:700italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1205, '741f9b73-8123-4180-8990-a096f89e1ca5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#700italic', 'Proza Libre 700italic (latin-ext)', 'Proza Libre', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1206, 'e05a171b-6cc2-499f-9e0b-0ee43f4eea28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#700', 'Proza Libre 700 (latin)', 'Proza Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:700";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1207, '6281b7fe-172f-43d5-a94c-9c7c3963da09', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#700', 'Proza Libre 700 (latin-ext)', 'Proza Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:700";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1208, '9e772188-2707-4249-b55a-8a861d9773ea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#600italic', 'Proza Libre 600italic (latin)', 'Proza Libre', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:600italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1209, '6d0e7169-19de-49b6-8c1e-7f80ef03d418', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#600italic', 'Proza Libre 600italic (latin-ext)', 'Proza Libre', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1210, '7f1e69c9-6292-4ace-bb38-4a5875977caf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#600', 'Proza Libre 600 (latin)', 'Proza Libre', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:600";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1211, 'f8cec42a-cd0c-47bb-9597-9582327abeb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#600', 'Proza Libre 600 (latin-ext)', 'Proza Libre', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:600";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1212, 'baa914f4-d121-4ff5-bc35-5fc655ad7529', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#500italic', 'Proza Libre 500italic (latin)', 'Proza Libre', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:500italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1213, '5393a425-37db-4b72-b483-6206d0059b8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#500italic', 'Proza Libre 500italic (latin-ext)', 'Proza Libre', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Proza Libre:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1214, '548c9d1d-9967-45ee-9757-9fd019cf4820', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#500', 'Proza Libre 500 (latin)', 'Proza Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:500";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1215, '2027212f-dca8-4165-a172-c13b10a0046a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#500', 'Proza Libre 500 (latin-ext)', 'Proza Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Proza Libre:500";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1216, '4e9cba97-26e9-4781-8784-0b52c8311139', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#italic', 'Proza Libre italic (latin)', 'Proza Libre', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Proza Libre:italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1217, '6170b87c-8e19-40ba-b0be-e169d2160258', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#italic', 'Proza Libre italic (latin-ext)', 'Proza Libre', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Proza Libre:italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1218, 'def35919-3dc1-421e-a79e-06d328be8c40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin#regular', 'Proza Libre regular (latin)', 'Proza Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Proza Libre:regular";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1219, '7b71644f-c2ad-4787-a6d6-1deb928e34e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Proza Libre&subset=latin-ext#regular', 'Proza Libre regular (latin-ext)', 'Proza Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Proza Libre:regular";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1220, '33b0fc07-c08a-4b30-a1fa-20a52e54e498', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prosto One&subset=latin#regular', 'Prosto One regular (latin)', 'Prosto One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Prosto One:regular";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1221, '9e1acc07-517e-4308-a63b-3ff57d5ba969', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prosto One&subset=latin-ext#regular', 'Prosto One regular (latin-ext)', 'Prosto One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Prosto One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1222, '260e7468-615f-4105-aeb6-e538daec6f0f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prosto One&subset=cyrillic#regular', 'Prosto One regular (cyrillic)', 'Prosto One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Prosto One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916111, 1468916111, 0),
(1223, '7a5fb018-8217-46b2-8127-7aa6c2256caa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#900italic', 'Prompt 900italic (thai)', 'Prompt', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:900italic";s:6:"subset";s:4:"thai";}', 1468916111, 1468916111, 0),
(1224, '823fedc7-b64f-4b5f-a39a-dd9d5fa1e8bb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#900italic', 'Prompt 900italic (latin)', 'Prompt', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:900italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1225, 'd7104844-ae5e-48a8-8773-79b6ed33f924', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#900italic', 'Prompt 900italic (vietnamese)', 'Prompt', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916111, 1468916111, 0),
(1226, '0b36b7ab-783b-49f7-826d-46b5a8fc50e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#900italic', 'Prompt 900italic (latin-ext)', 'Prompt', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1227, 'da9f723e-a9ab-4961-9607-6bca20309a9f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#900', 'Prompt 900 (thai)', 'Prompt', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:900";s:6:"subset";s:4:"thai";}', 1468916111, 1468916111, 0),
(1228, 'edba250f-26e1-463c-ba27-69f35c71a5bb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#900', 'Prompt 900 (latin)', 'Prompt', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:900";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1229, '0ee381e5-0f34-41b9-ba35-7b8fcceb7a13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#900', 'Prompt 900 (vietnamese)', 'Prompt', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:900";s:6:"subset";s:10:"vietnamese";}', 1468916111, 1468916111, 0),
(1230, '12617d16-3b8b-4c48-a215-608bd7624c28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#900', 'Prompt 900 (latin-ext)', 'Prompt', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:900";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1231, '520f8b7f-fed7-4516-9a65-3bc5c5059207', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#800italic', 'Prompt 800italic (thai)', 'Prompt', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:800italic";s:6:"subset";s:4:"thai";}', 1468916111, 1468916111, 0),
(1232, 'a5a49c72-af63-4062-a144-06b7a6f68528', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#800italic', 'Prompt 800italic (latin)', 'Prompt', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:800italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1233, 'd87d38f4-aff8-450a-9dfb-dff7d09d2fd4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#800italic', 'Prompt 800italic (vietnamese)', 'Prompt', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:800italic";s:6:"subset";s:10:"vietnamese";}', 1468916111, 1468916111, 0),
(1234, 'a250f52c-925c-467d-81c4-2c48b49df47f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#800italic', 'Prompt 800italic (latin-ext)', 'Prompt', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1235, '14652ca7-d098-4d55-a72d-a328c72aca7e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#800', 'Prompt 800 (thai)', 'Prompt', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:800";s:6:"subset";s:4:"thai";}', 1468916111, 1468916111, 0),
(1236, '12e588b7-b5f2-499c-9ee5-81baa3224328', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#800', 'Prompt 800 (latin)', 'Prompt', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:800";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1237, '8237dcca-e2ff-46e5-b298-4e84e41822b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#800', 'Prompt 800 (vietnamese)', 'Prompt', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:800";s:6:"subset";s:10:"vietnamese";}', 1468916111, 1468916111, 0),
(1238, '6e0184ba-ecc7-4b59-98b2-ea94d32a3944', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#800', 'Prompt 800 (latin-ext)', 'Prompt', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:800";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1239, '7fd6a01b-ece7-4583-b21e-7abd76a24468', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#700italic', 'Prompt 700italic (thai)', 'Prompt', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:700italic";s:6:"subset";s:4:"thai";}', 1468916111, 1468916111, 0),
(1240, '11a5d7b8-acaf-44b7-b01c-9259eecc8bd6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#700italic', 'Prompt 700italic (latin)', 'Prompt', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:700italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1241, 'b76c21a9-363a-4efa-b6bc-a10b0dfd9f0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#700italic', 'Prompt 700italic (vietnamese)', 'Prompt', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916111, 1468916111, 0),
(1242, '27e9dc85-0e2d-4ddb-92cb-43b7ab03df69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#700italic', 'Prompt 700italic (latin-ext)', 'Prompt', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1243, 'b8393f73-e995-48f1-8c21-a52f23879196', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#700', 'Prompt 700 (thai)', 'Prompt', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:700";s:6:"subset";s:4:"thai";}', 1468916111, 1468916111, 0),
(1244, '7c0038b3-40ec-469a-952d-dfe7b399d439', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#700', 'Prompt 700 (latin)', 'Prompt', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:700";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1245, 'b4a01864-1cd7-423e-ae49-dedf81a8a8c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#700', 'Prompt 700 (vietnamese)', 'Prompt', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:700";s:6:"subset";s:10:"vietnamese";}', 1468916111, 1468916111, 0),
(1246, '2e7b02d7-f2d5-4b27-999c-88475e08927e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#700', 'Prompt 700 (latin-ext)', 'Prompt', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:700";s:6:"subset";s:9:"latin-ext";}', 1468916111, 1468916111, 0),
(1247, '3eec13ed-ebcc-44bb-87e6-3ead916d99eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#600italic', 'Prompt 600italic (thai)', 'Prompt', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:600italic";s:6:"subset";s:4:"thai";}', 1468916111, 1468916111, 0),
(1248, '0e0df858-ccfd-4e17-bd00-9e13b9ca8f9b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#600italic', 'Prompt 600italic (latin)', 'Prompt', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:600italic";s:6:"subset";s:5:"latin";}', 1468916111, 1468916111, 0),
(1249, '7eb2ff47-bfdb-4634-b846-4ca60e182290', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#600italic', 'Prompt 600italic (vietnamese)', 'Prompt', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1250, 'be7337a3-712d-4c42-943c-a06c30c110d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#600italic', 'Prompt 600italic (latin-ext)', 'Prompt', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1251, 'a5b3c6d5-2c08-4a77-9eca-96bc0023a09f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#600', 'Prompt 600 (thai)', 'Prompt', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:600";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1252, '5e64dd3e-d958-4f2e-8260-3e00148ff4b6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#600', 'Prompt 600 (latin)', 'Prompt', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:600";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1253, '220abb3d-0a45-454a-9329-9ef3a077e725', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#600', 'Prompt 600 (vietnamese)', 'Prompt', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:600";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1254, 'fd25f797-82e2-464e-bfd0-ff11fc9e9a87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#600', 'Prompt 600 (latin-ext)', 'Prompt', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:600";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1255, '9547a42a-4a86-4cc2-95db-dab07fad6665', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#500italic', 'Prompt 500italic (thai)', 'Prompt', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:500italic";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1256, '66f4f83c-1cf8-4652-aa36-07008a6d6683', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#500italic', 'Prompt 500italic (latin)', 'Prompt', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:500italic";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1257, 'e6f1269c-555b-4e99-bf68-766e7dd21809', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#500italic', 'Prompt 500italic (vietnamese)', 'Prompt', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1258, '86eb5c72-7c9c-46bc-a5a2-cd4627deb816', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#500italic', 'Prompt 500italic (latin-ext)', 'Prompt', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1259, '011151d5-a0e5-4d89-80ba-170639396c17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#500', 'Prompt 500 (thai)', 'Prompt', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:500";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1260, '488a0052-372f-4666-87c0-b04b1017eeb6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#500', 'Prompt 500 (latin)', 'Prompt', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:500";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1261, '7219944b-a8bc-4f0e-af28-3078045b4c36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#500', 'Prompt 500 (vietnamese)', 'Prompt', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:500";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1262, 'fc74c95a-7913-4a5b-84b5-c0a4752ff3c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#500', 'Prompt 500 (latin-ext)', 'Prompt', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:500";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1263, '865982b4-9936-4af5-89d9-cb29208dd133', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#italic', 'Prompt italic (thai)', 'Prompt', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Prompt:italic";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1264, 'dc9c417e-ac00-4112-ba70-64ce664e183f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#italic', 'Prompt italic (latin)', 'Prompt', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Prompt:italic";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1265, 'e9a90a69-b440-455a-a081-50fb6e943616', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#italic', 'Prompt italic (vietnamese)', 'Prompt', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Prompt:italic";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1266, '1ac266a1-bc51-4d45-aca8-4a6a22ffe7aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#italic', 'Prompt italic (latin-ext)', 'Prompt', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Prompt:italic";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1267, 'a45b827f-8aa4-472f-b33b-c1bca083aceb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#regular', 'Prompt regular (thai)', 'Prompt', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Prompt:regular";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1268, 'ad8cbeb7-f033-414e-b7b6-2ed3a6d6f28c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#regular', 'Prompt regular (latin)', 'Prompt', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Prompt:regular";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1269, '7bc6e361-8b03-4593-8693-07c5dca9958d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#regular', 'Prompt regular (vietnamese)', 'Prompt', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Prompt:regular";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1270, '8b36ca84-413c-45a3-90bd-895b7018638c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#regular', 'Prompt regular (latin-ext)', 'Prompt', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Prompt:regular";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1271, '4ee86ece-58aa-4603-a67d-cabbf7182a8d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#300italic', 'Prompt 300italic (thai)', 'Prompt', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:300italic";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1272, '564fc6e8-529f-40d3-8535-dc319b44b8b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#300italic', 'Prompt 300italic (latin)', 'Prompt', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:300italic";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1273, '99bc7312-b527-4882-91f3-8e5b94f70d38', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#300italic', 'Prompt 300italic (vietnamese)', 'Prompt', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1274, 'b4ba7422-8be1-4432-80f1-4632f810ac52', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#300italic', 'Prompt 300italic (latin-ext)', 'Prompt', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1275, '8f793461-ef81-4c7a-9fbc-20beadaac9e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#300', 'Prompt 300 (thai)', 'Prompt', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:300";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1276, '14538a03-dc4c-44a7-9e74-3344420721a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#300', 'Prompt 300 (latin)', 'Prompt', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:300";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1277, '7b1f7322-80a2-434d-836f-ed2ab753ada4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#300', 'Prompt 300 (vietnamese)', 'Prompt', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:300";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1278, '0d528e21-0573-4ea4-ad98-3f22abad5627', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#300', 'Prompt 300 (latin-ext)', 'Prompt', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:300";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1279, '0a5ea303-1c9e-4027-b0ae-0cb4b7711d88', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#200italic', 'Prompt 200italic (thai)', 'Prompt', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:200italic";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1280, 'd04374f8-6996-4e72-9c0d-9499f61af897', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#200italic', 'Prompt 200italic (latin)', 'Prompt', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:200italic";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1281, '4c28d4a9-f2cb-45db-a6e2-26741585aad1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#200italic', 'Prompt 200italic (vietnamese)', 'Prompt', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:200italic";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1282, '270055ef-7922-4a1f-9360-36eb780b1217', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#200italic', 'Prompt 200italic (latin-ext)', 'Prompt', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1283, '6ef12786-f4ed-4a22-8c8b-958820770122', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#200', 'Prompt 200 (thai)', 'Prompt', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:200";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1284, '085d07ab-2448-451d-8c5b-4447a9950aac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#200', 'Prompt 200 (latin)', 'Prompt', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:200";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1285, 'c885bb27-84ba-40c3-89fd-dc2499d949a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#200', 'Prompt 200 (vietnamese)', 'Prompt', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:200";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1286, '7aabaa1a-81d4-4ac4-ab51-38ab20d591e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#200', 'Prompt 200 (latin-ext)', 'Prompt', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:200";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1287, '406776d8-8d3d-444e-8cc1-e7236245a7a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#100italic', 'Prompt 100italic (thai)', 'Prompt', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:100italic";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1288, '4c14718c-a677-4010-9fdf-f6d383cda69f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#100italic', 'Prompt 100italic (latin)', 'Prompt', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:100italic";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1289, '5022af61-8080-499d-a250-f664d0b0c910', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#100italic', 'Prompt 100italic (vietnamese)', 'Prompt', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1290, 'ab38b997-3926-464c-b25f-1ba997cedfce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#100italic', 'Prompt 100italic (latin-ext)', 'Prompt', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prompt:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1291, 'ffd83913-cde5-4d25-8cf0-1307581be0f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=thai#100', 'Prompt 100 (thai)', 'Prompt', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:100";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1292, '11376809-c5f5-46e0-a066-40a75e621025', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin#100', 'Prompt 100 (latin)', 'Prompt', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:100";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1293, '372b1311-7621-41ed-9b7a-39976f3ad160', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=vietnamese#100', 'Prompt 100 (vietnamese)', 'Prompt', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:100";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1294, 'a9b10cc2-d56f-4d92-a3b3-fdc3955fa7fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prompt&subset=latin-ext#100', 'Prompt 100 (latin-ext)', 'Prompt', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Prompt:100";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1295, '3721c238-4195-47d8-87fc-2546f15150ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prociono&subset=latin#regular', 'Prociono regular (latin)', 'Prociono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Prociono:regular";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1296, 'aaef83d8-d22e-44c8-bcd8-affaa19f7477', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Princess Sofia&subset=latin#regular', 'Princess Sofia regular (latin)', 'Princess Sofia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Princess Sofia:regular";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1297, 'e65b138f-cf41-444d-bd6f-9301c18bb4e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Princess Sofia&subset=latin-ext#regular', 'Princess Sofia regular (latin-ext)', 'Princess Sofia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Princess Sofia:regular";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1298, 'b9692b7c-6685-4dd2-9e55-04b9836e42bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=thai#700', 'Pridi 700 (thai)', 'Pridi', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:700";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1299, 'e56169f2-dec2-48b1-8228-57e05731c696', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin#700', 'Pridi 700 (latin)', 'Pridi', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:700";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1300, '6714cb8a-13e0-469c-a55b-c64465985a1a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=vietnamese#700', 'Pridi 700 (vietnamese)', 'Pridi', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:700";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1301, 'a22180a4-6a14-45cd-92ba-a564f1461b77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin-ext#700', 'Pridi 700 (latin-ext)', 'Pridi', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:700";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1302, '685c3b4f-93f9-4644-be25-787aa19ebfc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=thai#600', 'Pridi 600 (thai)', 'Pridi', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:600";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1303, '152103f7-410c-4f62-8cc6-0bf7fe2e9d72', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin#600', 'Pridi 600 (latin)', 'Pridi', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:600";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1304, '41a423e0-6eef-42a8-82ec-61c9e1273f6c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=vietnamese#600', 'Pridi 600 (vietnamese)', 'Pridi', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:600";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1305, '85bca0ea-1bb9-484b-84bd-a7c24900de1c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin-ext#600', 'Pridi 600 (latin-ext)', 'Pridi', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:600";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1306, '2dd4ff74-a7e5-4aa7-b04b-b7baf344aa16', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=thai#500', 'Pridi 500 (thai)', 'Pridi', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:500";s:6:"subset";s:4:"thai";}', 1468916113, 1468916113, 0),
(1307, '036372f5-c399-46fb-bfe9-2f65fab5ade2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin#500', 'Pridi 500 (latin)', 'Pridi', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:500";s:6:"subset";s:5:"latin";}', 1468916113, 1468916113, 0),
(1308, '3d2f318c-2b15-4797-83bd-e340e59c6f0a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=vietnamese#500', 'Pridi 500 (vietnamese)', 'Pridi', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:500";s:6:"subset";s:10:"vietnamese";}', 1468916113, 1468916113, 0),
(1309, '6541ac0d-ae07-4cca-a491-1ad466793122', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin-ext#500', 'Pridi 500 (latin-ext)', 'Pridi', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:500";s:6:"subset";s:9:"latin-ext";}', 1468916113, 1468916113, 0),
(1310, '9c3dc22b-80d1-49cd-be93-bfbc1be8f965', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=thai#regular', 'Pridi regular (thai)', 'Pridi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Pridi:regular";s:6:"subset";s:4:"thai";}', 1468916114, 1468916114, 0),
(1311, '7655fe70-943c-4dba-b52e-579cb8ec961f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin#regular', 'Pridi regular (latin)', 'Pridi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Pridi:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1312, '8d74adbd-b0b5-4c7c-b841-7baa03a2e2d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=vietnamese#regular', 'Pridi regular (vietnamese)', 'Pridi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Pridi:regular";s:6:"subset";s:10:"vietnamese";}', 1468916114, 1468916114, 0),
(1313, 'a9d9487c-1d16-4cd6-bc5a-8d231c763dc3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin-ext#regular', 'Pridi regular (latin-ext)', 'Pridi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Pridi:regular";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1314, 'ab126c87-d283-4620-aa48-f465c202180e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=thai#300', 'Pridi 300 (thai)', 'Pridi', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:300";s:6:"subset";s:4:"thai";}', 1468916114, 1468916114, 0),
(1315, '8d5a8106-da9a-44eb-a313-dc6af9e170d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin#300', 'Pridi 300 (latin)', 'Pridi', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:300";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1316, '4effa7be-0e7a-4a73-aff7-9ef8d367526d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=vietnamese#300', 'Pridi 300 (vietnamese)', 'Pridi', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:300";s:6:"subset";s:10:"vietnamese";}', 1468916114, 1468916114, 0),
(1317, 'f156a93e-2628-4652-9454-9aeb5ccd85f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin-ext#300', 'Pridi 300 (latin-ext)', 'Pridi', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:300";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1318, '67068469-0bc0-4617-8aff-a1661abbd09f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=thai#200', 'Pridi 200 (thai)', 'Pridi', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:200";s:6:"subset";s:4:"thai";}', 1468916114, 1468916114, 0),
(1319, '5b180424-6ebc-4709-bf0e-9aee0d52f7ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin#200', 'Pridi 200 (latin)', 'Pridi', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:200";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1320, '8d5ef9f1-2ef8-4afb-bd6d-8c00f9d6bb6a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=vietnamese#200', 'Pridi 200 (vietnamese)', 'Pridi', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:200";s:6:"subset";s:10:"vietnamese";}', 1468916114, 1468916114, 0),
(1321, '4e825586-6e5f-4bd1-aa60-5fe902097497', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pridi&subset=latin-ext#200', 'Pridi 200 (latin-ext)', 'Pridi', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Pridi:200";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1322, 'f4a961a4-f9ee-4fa8-b6d8-62e115671030', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Press Start 2P&subset=latin#regular', 'Press Start 2P regular (latin)', 'Press Start 2P', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Press Start 2P:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1323, '29ceb933-422e-4685-94c9-a30461d3f890', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Press Start 2P&subset=greek#regular', 'Press Start 2P regular (greek)', 'Press Start 2P', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Press Start 2P:regular";s:6:"subset";s:5:"greek";}', 1468916114, 1468916114, 0),
(1324, '7251d8f5-3d95-46cd-b2b5-b0736dddbf25', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Press Start 2P&subset=latin-ext#regular', 'Press Start 2P regular (latin-ext)', 'Press Start 2P', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Press Start 2P:regular";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1325, 'cd62e746-5c8b-440b-9380-7bac2cd16f2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Press Start 2P&subset=cyrillic#regular', 'Press Start 2P regular (cyrillic)', 'Press Start 2P', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Press Start 2P:regular";s:6:"subset";s:8:"cyrillic";}', 1468916114, 1468916114, 0),
(1326, '5faa8b17-8e26-4ce3-be58-9ff06b94ad3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Preahvihear&subset=khmer#regular', 'Preahvihear regular (khmer)', 'Preahvihear', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Preahvihear:regular";s:6:"subset";s:5:"khmer";}', 1468916114, 1468916114, 0),
(1327, '568dac31-be60-425f-a602-43728147c1a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Prata&subset=latin#regular', 'Prata regular (latin)', 'Prata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Prata:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0);
INSERT INTO `fontyourface_font` VALUES
(1328, '3681ab3a-d67c-4f20-8efe-e5d3a2059133', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pragati Narrow&subset=latin#700', 'Pragati Narrow 700 (latin)', 'Pragati Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Pragati Narrow:700";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1329, '355714d5-5f8b-47d9-8d5b-0332ec22466f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pragati Narrow&subset=devanagari#700', 'Pragati Narrow 700 (devanagari)', 'Pragati Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Pragati Narrow:700";s:6:"subset";s:10:"devanagari";}', 1468916114, 1468916114, 0),
(1330, 'dfb6c8a6-9014-4b17-89be-918ea6d4f25f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pragati Narrow&subset=latin-ext#700', 'Pragati Narrow 700 (latin-ext)', 'Pragati Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Pragati Narrow:700";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1331, 'e6859322-1fab-40d0-94ab-6904b3aa1883', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pragati Narrow&subset=latin#regular', 'Pragati Narrow regular (latin)', 'Pragati Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Pragati Narrow:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1332, '0917f757-114f-46fc-b850-5bb5f73ea824', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pragati Narrow&subset=devanagari#regular', 'Pragati Narrow regular (devanagari)', 'Pragati Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Pragati Narrow:regular";s:6:"subset";s:10:"devanagari";}', 1468916114, 1468916114, 0),
(1333, 'a510eb25-f427-436b-b8d9-21f52f077ec2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pragati Narrow&subset=latin-ext#regular', 'Pragati Narrow regular (latin-ext)', 'Pragati Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Pragati Narrow:regular";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1334, '9f8f99e0-5164-40ca-9d93-8e2d13ec7e91', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Port Lligat Slab&subset=latin#regular', 'Port Lligat Slab regular (latin)', 'Port Lligat Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Port Lligat Slab:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1335, '062b3460-1706-4aed-815b-26d49f8c51d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Port Lligat Sans&subset=latin#regular', 'Port Lligat Sans regular (latin)', 'Port Lligat Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Port Lligat Sans:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1336, 'f9c642fd-d3e9-469a-8500-b1f58d08bbef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin#700', 'Poppins 700 (latin)', 'Poppins', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:700";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1337, '2b5b39b9-b47f-4822-bd18-e7a4de923201', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=devanagari#700', 'Poppins 700 (devanagari)', 'Poppins', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:700";s:6:"subset";s:10:"devanagari";}', 1468916114, 1468916114, 0),
(1338, '280d6828-74ac-49fb-a630-8e46750929aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin-ext#700', 'Poppins 700 (latin-ext)', 'Poppins', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:700";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1339, '71e3f693-e6f7-4e20-9ff9-ab004b3a6e44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin#600', 'Poppins 600 (latin)', 'Poppins', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:600";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1340, '7265bf97-5d9c-4914-ad8b-132531fd803b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=devanagari#600', 'Poppins 600 (devanagari)', 'Poppins', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:600";s:6:"subset";s:10:"devanagari";}', 1468916114, 1468916114, 0),
(1341, '55b7f4af-e638-42ab-93fe-92613ce309da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin-ext#600', 'Poppins 600 (latin-ext)', 'Poppins', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:600";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1342, '821f9b2e-cd4a-473b-a564-e3b98d119922', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin#500', 'Poppins 500 (latin)', 'Poppins', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:500";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1343, '63c05a2f-136c-41af-b689-01ee419f58d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=devanagari#500', 'Poppins 500 (devanagari)', 'Poppins', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:500";s:6:"subset";s:10:"devanagari";}', 1468916114, 1468916114, 0),
(1344, '9d57c5e0-d92d-4ba8-81bd-ff73c27dc379', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin-ext#500', 'Poppins 500 (latin-ext)', 'Poppins', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:500";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1345, '9bfb5368-54a3-4a51-a633-cfcc1b6f8be9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin#regular', 'Poppins regular (latin)', 'Poppins', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Poppins:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1346, '889d8fdf-bd15-4ec3-8ba5-a7b258fb85c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=devanagari#regular', 'Poppins regular (devanagari)', 'Poppins', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Poppins:regular";s:6:"subset";s:10:"devanagari";}', 1468916114, 1468916114, 0),
(1347, '8e85f2eb-82dc-4342-a69c-116a1d195dca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin-ext#regular', 'Poppins regular (latin-ext)', 'Poppins', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Poppins:regular";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1348, 'b2fa84d2-d6f3-406a-87d6-93ec1abf1e49', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin#300', 'Poppins 300 (latin)', 'Poppins', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:300";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1349, 'c40bcac0-4703-4225-a6fc-211cf4bc6483', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=devanagari#300', 'Poppins 300 (devanagari)', 'Poppins', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:300";s:6:"subset";s:10:"devanagari";}', 1468916114, 1468916114, 0),
(1350, 'fdc4763e-90e2-416e-a283-68996a9d40cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poppins&subset=latin-ext#300', 'Poppins 300 (latin-ext)', 'Poppins', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poppins:300";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1351, 'b2271206-e8cf-4b26-a5f7-37c1ad7918ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pontano Sans&subset=latin#regular', 'Pontano Sans regular (latin)', 'Pontano Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Pontano Sans:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1352, '59f995dc-d2f0-4500-9ab2-917bda8eb1b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pontano Sans&subset=latin-ext#regular', 'Pontano Sans regular (latin-ext)', 'Pontano Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Pontano Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1353, '4bdd5132-e0d7-4692-ba49-38bbd33f64af', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pompiere&subset=latin#regular', 'Pompiere regular (latin)', 'Pompiere', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Pompiere:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1354, 'a55106f8-0811-4bc3-8b59-47991e20611d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poly&subset=latin#italic', 'Poly italic (latin)', 'Poly', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Poly:italic";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1355, '4ddf8d00-58d0-4e35-a86d-a502d84421eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poly&subset=latin#regular', 'Poly regular (latin)', 'Poly', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Poly:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1356, 'fa4ead07-cb3f-4ad0-b625-7338f747a79c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poller One&subset=latin#regular', 'Poller One regular (latin)', 'Poller One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Poller One:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1357, 'c15c77db-59f2-43e3-a9fa-dc63bf2905a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poiret One&subset=latin#regular', 'Poiret One regular (latin)', 'Poiret One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Poiret One:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1358, 'aeb07917-c827-4b51-8d2a-a4c279fa41a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poiret One&subset=latin-ext#regular', 'Poiret One regular (latin-ext)', 'Poiret One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Poiret One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1359, '246b8c0d-4d53-4414-82b2-9cd148dc9c1e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Poiret One&subset=cyrillic#regular', 'Poiret One regular (cyrillic)', 'Poiret One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Poiret One:regular";s:6:"subset";s:8:"cyrillic";}', 1468916114, 1468916114, 0),
(1360, '150dea89-f00b-475e-a38d-05743f187b39', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Podkova&subset=latin#700', 'Podkova 700 (latin)', 'Podkova', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Podkova:700";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1361, '624d734a-1ff0-49ef-87f0-f933fd983a51', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Podkova&subset=latin#regular', 'Podkova regular (latin)', 'Podkova', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Podkova:regular";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1362, '0ed4e81d-7dde-479f-93f9-02e9c9af6440', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin#900italic', 'Playfair Display SC 900italic (latin)', 'Playfair Display SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Playfair Display SC:900italic";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1363, '774111a5-4ba4-4a0f-bde8-99d55b61c391', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin-ext#900italic', 'Playfair Display SC 900italic (latin-ext)', 'Playfair Display SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Playfair Display SC:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1364, '4c24f6c7-447f-4a1e-bbbb-f0c8712bcb1c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=cyrillic#900italic', 'Playfair Display SC 900italic (cyrillic)', 'Playfair Display SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Playfair Display SC:900italic";s:6:"subset";s:8:"cyrillic";}', 1468916114, 1468916114, 0),
(1365, 'd6095cbe-34a0-4014-8705-156c8cd134fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin#900', 'Playfair Display SC 900 (latin)', 'Playfair Display SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display SC:900";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1366, 'f127fddd-0ebc-4075-a39e-3eebe3892349', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin-ext#900', 'Playfair Display SC 900 (latin-ext)', 'Playfair Display SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display SC:900";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1367, '459c242b-973f-4bda-89f4-72d85ae37133', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=cyrillic#900', 'Playfair Display SC 900 (cyrillic)', 'Playfair Display SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display SC:900";s:6:"subset";s:8:"cyrillic";}', 1468916114, 1468916114, 0),
(1368, '1fe90073-b125-4379-b0db-a0de533fc8fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin#700italic', 'Playfair Display SC 700italic (latin)', 'Playfair Display SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Playfair Display SC:700italic";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1369, '2f9cef94-98d4-4f4b-8374-772a4ecd9491', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin-ext#700italic', 'Playfair Display SC 700italic (latin-ext)', 'Playfair Display SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Playfair Display SC:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1370, '662f390c-4209-4fdf-9216-08498690004b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=cyrillic#700italic', 'Playfair Display SC 700italic (cyrillic)', 'Playfair Display SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Playfair Display SC:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916114, 1468916114, 0),
(1371, '651bd6a8-0c78-4ef8-a42b-cb9c38945657', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin#700', 'Playfair Display SC 700 (latin)', 'Playfair Display SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display SC:700";s:6:"subset";s:5:"latin";}', 1468916114, 1468916114, 0),
(1372, '3de13bae-3fcf-46b4-b1b1-38f9589965d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin-ext#700', 'Playfair Display SC 700 (latin-ext)', 'Playfair Display SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display SC:700";s:6:"subset";s:9:"latin-ext";}', 1468916114, 1468916114, 0),
(1373, '8230209a-46cc-47d8-806b-ba25a3033255', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=cyrillic#700', 'Playfair Display SC 700 (cyrillic)', 'Playfair Display SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display SC:700";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1374, 'eeed90ce-e749-4b5a-b530-b9886983f4f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin#italic', 'Playfair Display SC italic (latin)', 'Playfair Display SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display SC:italic";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1375, 'a2cddb1e-6034-4d23-8f83-073d2dabc037', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin-ext#italic', 'Playfair Display SC italic (latin-ext)', 'Playfair Display SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display SC:italic";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1376, 'c9bb1ced-1edb-4138-b3ec-bf4982ee9f80', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=cyrillic#italic', 'Playfair Display SC italic (cyrillic)', 'Playfair Display SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display SC:italic";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1377, 'ed755243-8cd5-456c-8745-be6d8c2e116e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin#regular', 'Playfair Display SC regular (latin)', 'Playfair Display SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Playfair Display SC:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1378, '61646488-5fc4-4a78-8233-a8e51db686cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=latin-ext#regular', 'Playfair Display SC regular (latin-ext)', 'Playfair Display SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Playfair Display SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1379, '63849b53-2af5-41a2-aa5c-4e09edd058dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display SC&subset=cyrillic#regular', 'Playfair Display SC regular (cyrillic)', 'Playfair Display SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Playfair Display SC:regular";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1380, 'f593fec0-e3d0-4508-9051-4a61087a76cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin#900italic', 'Playfair Display 900italic (latin)', 'Playfair Display', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display:900italic";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1381, 'b8e5ae4a-6c38-41b7-96b9-2c38d0ec263d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin-ext#900italic', 'Playfair Display 900italic (latin-ext)', 'Playfair Display', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1382, 'a2a04c50-cfda-464c-8ecf-740cb22a2241', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=cyrillic#900italic', 'Playfair Display 900italic (cyrillic)', 'Playfair Display', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display:900italic";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1383, '77507f5d-7cc8-4920-b4df-e301775f56a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin#900', 'Playfair Display 900 (latin)', 'Playfair Display', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Playfair Display:900";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1384, '75cb1faa-980c-4cf8-9eb2-6b5d38b8db37', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin-ext#900', 'Playfair Display 900 (latin-ext)', 'Playfair Display', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Playfair Display:900";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1385, 'd41ffee8-d7f0-402e-b63f-d6a9564cdfd5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=cyrillic#900', 'Playfair Display 900 (cyrillic)', 'Playfair Display', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Playfair Display:900";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1386, 'f637092e-cf41-4af6-8967-ac868ccaae54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin#700italic', 'Playfair Display 700italic (latin)', 'Playfair Display', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display:700italic";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1387, 'ba68c708-25e2-4c71-b6cd-49f20a227698', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin-ext#700italic', 'Playfair Display 700italic (latin-ext)', 'Playfair Display', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1388, '40deb358-cd3c-42b3-b778-7b87fdd9bf93', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=cyrillic#700italic', 'Playfair Display 700italic (cyrillic)', 'Playfair Display', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Playfair Display:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1389, '6f13950d-7c91-4d68-accd-832ea4a15e94', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin#700', 'Playfair Display 700 (latin)', 'Playfair Display', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Playfair Display:700";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1390, '03d03c5b-fdba-444b-a4f5-b5a6bea306a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin-ext#700', 'Playfair Display 700 (latin-ext)', 'Playfair Display', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Playfair Display:700";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1391, 'c5fb3550-f14e-43c5-a678-fe105f56541b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=cyrillic#700', 'Playfair Display 700 (cyrillic)', 'Playfair Display', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Playfair Display:700";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1392, '38ac479a-0d42-43c6-bec7-0af8d8065102', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin#italic', 'Playfair Display italic (latin)', 'Playfair Display', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display:italic";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1393, 'a3a5c796-018d-40db-b1c2-eb0f2abc9a06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin-ext#italic', 'Playfair Display italic (latin-ext)', 'Playfair Display', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display:italic";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1394, 'c1116ff0-f84e-4c4e-b551-cfb9765403b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=cyrillic#italic', 'Playfair Display italic (cyrillic)', 'Playfair Display', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Playfair Display:italic";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1395, '88b86e0c-78f0-4cd2-b53d-69eaf464a4e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin#regular', 'Playfair Display regular (latin)', 'Playfair Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Playfair Display:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1476983403, 0),
(1396, '2e835f1e-d119-43e9-9d00-f2a88dabdf23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=latin-ext#regular', 'Playfair Display regular (latin-ext)', 'Playfair Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Playfair Display:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1397, '52297115-7970-432c-a6b1-a8a4bfd8a827', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playfair Display&subset=cyrillic#regular', 'Playfair Display regular (cyrillic)', 'Playfair Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Playfair Display:regular";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1398, 'd2ee133c-8caa-48a9-8b69-0aba3a2044d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playball&subset=latin#regular', 'Playball regular (latin)', 'Playball', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Playball:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1399, 'cc72775b-f21f-4f6d-a202-fa6d180caac6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Playball&subset=latin-ext#regular', 'Playball regular (latin-ext)', 'Playball', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Playball:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1400, '81dd497f-3550-4918-8023-68dc3f577c39', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=cyrillic-ext#700', 'Play 700 (cyrillic-ext)', 'Play', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Play:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916116, 1468916116, 0),
(1401, '87f2b667-0e61-48b3-9683-b148fc13e940', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=latin#700', 'Play 700 (latin)', 'Play', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Play:700";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1402, '51b884d4-0b50-4794-b707-56aa42c4a499', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=greek#700', 'Play 700 (greek)', 'Play', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Play:700";s:6:"subset";s:5:"greek";}', 1468916116, 1468916116, 0),
(1403, 'fa4111eb-d412-4d86-a695-f34ed0e5c1c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=latin-ext#700', 'Play 700 (latin-ext)', 'Play', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Play:700";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1404, '7552721f-3bfe-45c3-a20c-ead44a2c11c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=cyrillic#700', 'Play 700 (cyrillic)', 'Play', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Play:700";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1405, '8e21bf21-7305-4dbb-a74a-ba06699c637c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=cyrillic-ext#regular', 'Play regular (cyrillic-ext)', 'Play', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Play:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916116, 1468916116, 0),
(1406, 'c8cb5f66-3ec1-4e84-a93b-c4388aabbd2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=latin#regular', 'Play regular (latin)', 'Play', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Play:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1407, 'ff6a32c2-2c46-43af-ac8d-4366d98d4972', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=greek#regular', 'Play regular (greek)', 'Play', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Play:regular";s:6:"subset";s:5:"greek";}', 1468916116, 1468916116, 0),
(1408, 'd2e460b5-3235-4217-b869-0cc0e0227bc0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=latin-ext#regular', 'Play regular (latin-ext)', 'Play', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Play:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1409, 'b9b98a4e-9467-4eff-83e0-742006617b32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Play&subset=cyrillic#regular', 'Play regular (cyrillic)', 'Play', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Play:regular";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1410, 'abe9177b-9431-4da7-9191-3640bf01d309', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Plaster&subset=latin#regular', 'Plaster regular (latin)', 'Plaster', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Plaster:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1411, 'a042d5d7-3a8a-4a39-a1b7-0938c10d064a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Plaster&subset=latin-ext#regular', 'Plaster regular (latin-ext)', 'Plaster', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Plaster:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1412, '0da94014-73f5-4305-a5c3-0107f5e2b9e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pirata One&subset=latin#regular', 'Pirata One regular (latin)', 'Pirata One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Pirata One:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1413, '27f59d13-f456-4044-a1fe-a2f33d92f567', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pirata One&subset=latin-ext#regular', 'Pirata One regular (latin-ext)', 'Pirata One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Pirata One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1414, 'a02ce4e7-c7e1-4be7-b5b9-4fd31f31be35', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pinyon Script&subset=latin#regular', 'Pinyon Script regular (latin)', 'Pinyon Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Pinyon Script:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1415, '1de3034e-f373-41c0-89bb-c6380f59a025', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Piedra&subset=latin#regular', 'Piedra regular (latin)', 'Piedra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Piedra:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1416, 'e3e7a9e4-0153-483c-81d3-88136cb1f101', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Piedra&subset=latin-ext#regular', 'Piedra regular (latin-ext)', 'Piedra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Piedra:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1417, 'b36afad8-ba57-4e3e-8f5d-6979d8002686', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=latin#700italic', 'Philosopher 700italic (latin)', 'Philosopher', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Philosopher:700italic";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1418, 'ea47e140-0401-456b-acef-b116bed9a050', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=cyrillic#700italic', 'Philosopher 700italic (cyrillic)', 'Philosopher', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Philosopher:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1419, '5275f5f5-f8eb-4e8c-b6c4-d65f4d407a0e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=latin#700', 'Philosopher 700 (latin)', 'Philosopher', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Philosopher:700";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1420, '7bff8d24-660f-4811-970a-b184341405c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=cyrillic#700', 'Philosopher 700 (cyrillic)', 'Philosopher', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Philosopher:700";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1421, 'b1cbb05e-47ae-4fb0-b0b5-a709de041e60', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=latin#italic', 'Philosopher italic (latin)', 'Philosopher', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Philosopher:italic";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1422, '93ae00e5-1473-440e-bc55-ed2ebefeab25', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=cyrillic#italic', 'Philosopher italic (cyrillic)', 'Philosopher', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Philosopher:italic";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1423, 'f154664d-9dae-4609-9d9f-6ecee27eedc7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=latin#regular', 'Philosopher regular (latin)', 'Philosopher', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Philosopher:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1424, '29c18423-3f23-4bbb-8486-67830af07648', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Philosopher&subset=cyrillic#regular', 'Philosopher regular (cyrillic)', 'Philosopher', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Philosopher:regular";s:6:"subset";s:8:"cyrillic";}', 1468916116, 1468916116, 0),
(1425, 'c22c549e-bd57-49f1-ab7b-6b5cceca96fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Petrona&subset=latin#regular', 'Petrona regular (latin)', 'Petrona', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Petrona:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1426, '02c9746c-0bcc-438f-a785-16ccc8c6db69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Petit Formal Script&subset=latin#regular', 'Petit Formal Script regular (latin)', 'Petit Formal Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Petit Formal Script:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1427, 'b7b9d595-590b-403c-8782-385e9b3486a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Petit Formal Script&subset=latin-ext#regular', 'Petit Formal Script regular (latin-ext)', 'Petit Formal Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Petit Formal Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1428, '01d30fa8-e46e-434a-b5d4-b1b20fe0fe1c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Permanent Marker&subset=latin#regular', 'Permanent Marker regular (latin)', 'Permanent Marker', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Permanent Marker:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1429, '1f43b67d-0dad-4be8-8a18-7e70ff9c162b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Peralta&subset=latin#regular', 'Peralta regular (latin)', 'Peralta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Peralta:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1430, '30de0b70-a86a-45b0-8216-c96c515637f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Peralta&subset=latin-ext#regular', 'Peralta regular (latin-ext)', 'Peralta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Peralta:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1431, '11f02a10-f9db-4e71-a3f8-48dbfb880aae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Peddana&subset=latin#regular', 'Peddana regular (latin)', 'Peddana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Peddana:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1432, '7108d169-d2ed-4634-b777-79261331244e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Peddana&subset=telugu#regular', 'Peddana regular (telugu)', 'Peddana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Peddana:regular";s:6:"subset";s:6:"telugu";}', 1468916116, 1468916116, 0),
(1433, '824b74bf-e10e-4b07-881e-b19e56bb6685', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Paytone One&subset=latin#regular', 'Paytone One regular (latin)', 'Paytone One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Paytone One:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1434, '8582715f-e478-45a1-97f1-57096f2caebd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pavanam&subset=latin#regular', 'Pavanam regular (latin)', 'Pavanam', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pavanam:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1435, 'b9f8993f-0583-45af-982f-06c4df7be21f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pavanam&subset=tamil#regular', 'Pavanam regular (tamil)', 'Pavanam', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pavanam:regular";s:6:"subset";s:5:"tamil";}', 1468916116, 1468916116, 0),
(1436, 'f699c49f-a4c9-4376-b400-fb78e923c590', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pavanam&subset=latin-ext#regular', 'Pavanam regular (latin-ext)', 'Pavanam', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pavanam:regular";s:6:"subset";s:9:"latin-ext";}', 1468916116, 1468916116, 0),
(1437, '47c918f5-d7bf-4d79-af1c-926b84a70d87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Patua One&subset=latin#regular', 'Patua One regular (latin)', 'Patua One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Patua One:regular";s:6:"subset";s:5:"latin";}', 1468916116, 1468916116, 0),
(1438, 'fb37221c-4eae-493e-a6bc-97241c9054a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pattaya&subset=thai#regular', 'Pattaya regular (thai)', 'Pattaya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pattaya:regular";s:6:"subset";s:4:"thai";}', 1468916117, 1468916117, 0),
(1439, '58559e4d-f08e-4519-879d-983a4804e182', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pattaya&subset=latin#regular', 'Pattaya regular (latin)', 'Pattaya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pattaya:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1440, 'b7039788-299b-47b2-9cd3-0982fec7105d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pattaya&subset=vietnamese#regular', 'Pattaya regular (vietnamese)', 'Pattaya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pattaya:regular";s:6:"subset";s:10:"vietnamese";}', 1468916117, 1468916117, 0),
(1441, '604660c7-4466-4c18-be4c-3c8a32a08a51', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pattaya&subset=latin-ext#regular', 'Pattaya regular (latin-ext)', 'Pattaya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pattaya:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1442, '2f2e2b47-adb8-4d32-8621-cc63f13250b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pattaya&subset=cyrillic#regular', 'Pattaya regular (cyrillic)', 'Pattaya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Pattaya:regular";s:6:"subset";s:8:"cyrillic";}', 1468916117, 1468916117, 0),
(1443, '4a290eda-5912-402b-a19c-439dc6fae7bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Patrick Hand SC&subset=latin#regular', 'Patrick Hand SC regular (latin)', 'Patrick Hand SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Patrick Hand SC:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1444, 'd7155b0d-f9f3-49cb-acb3-4572319128ec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Patrick Hand SC&subset=vietnamese#regular', 'Patrick Hand SC regular (vietnamese)', 'Patrick Hand SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Patrick Hand SC:regular";s:6:"subset";s:10:"vietnamese";}', 1468916117, 1468916117, 0),
(1445, '844fd4ab-9170-4262-8d4e-566b4c36889a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Patrick Hand SC&subset=latin-ext#regular', 'Patrick Hand SC regular (latin-ext)', 'Patrick Hand SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Patrick Hand SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1446, 'ad557810-900b-4bc6-bac6-2926718ac0e6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Patrick Hand&subset=latin#regular', 'Patrick Hand regular (latin)', 'Patrick Hand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Patrick Hand:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1447, '493858e2-ad38-4fa5-b146-a6eb7c41b05a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Patrick Hand&subset=vietnamese#regular', 'Patrick Hand regular (vietnamese)', 'Patrick Hand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Patrick Hand:regular";s:6:"subset";s:10:"vietnamese";}', 1468916117, 1468916117, 0),
(1448, '3982024c-2c8a-4779-96d6-c0e911e8dc46', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Patrick Hand&subset=latin-ext#regular', 'Patrick Hand regular (latin-ext)', 'Patrick Hand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Patrick Hand:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1449, '367bd001-24db-406c-bd64-75663348a038', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pathway Gothic One&subset=latin#regular', 'Pathway Gothic One regular (latin)', 'Pathway Gothic One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Pathway Gothic One:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1450, 'f1aaddc3-72f5-47bc-8d83-88e18a07fe31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pathway Gothic One&subset=latin-ext#regular', 'Pathway Gothic One regular (latin-ext)', 'Pathway Gothic One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Pathway Gothic One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1451, 'f740290b-c5c7-46fe-8fa0-4f356e48096f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passion One&subset=latin#900', 'Passion One 900 (latin)', 'Passion One', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Passion One:900";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1452, 'aebf16f4-3514-4495-9e44-8a4a903de52a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passion One&subset=latin-ext#900', 'Passion One 900 (latin-ext)', 'Passion One', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Passion One:900";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1453, '00c161aa-23ed-41f3-9d81-a758cfbb5ecc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passion One&subset=latin#700', 'Passion One 700 (latin)', 'Passion One', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Passion One:700";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1454, '532dbcf2-7360-4ca1-ba37-3569c379aa3f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passion One&subset=latin-ext#700', 'Passion One 700 (latin-ext)', 'Passion One', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Passion One:700";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1455, '14bc33a2-e803-43b8-bb78-de8c245efd75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passion One&subset=latin#regular', 'Passion One regular (latin)', 'Passion One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Passion One:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1456, '1d81d374-6a13-43a2-a225-bbc47939f4b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passion One&subset=latin-ext#regular', 'Passion One regular (latin-ext)', 'Passion One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Passion One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1457, '18f929ac-2591-4a98-b620-6aa7e3b0a936', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passero One&subset=latin#regular', 'Passero One regular (latin)', 'Passero One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Passero One:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1458, 'bc727c04-ccf2-4cf3-8269-6671cc5059b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Passero One&subset=latin-ext#regular', 'Passero One regular (latin-ext)', 'Passero One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Passero One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1459, '3e05d8cf-f844-40d5-8297-6e710ff1bc57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Parisienne&subset=latin#regular', 'Parisienne regular (latin)', 'Parisienne', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Parisienne:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1460, 'c8d2f97b-5d59-4e44-8f70-6e169eb51bd1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Parisienne&subset=latin-ext#regular', 'Parisienne regular (latin-ext)', 'Parisienne', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Parisienne:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1461, '3e3a0bef-c854-4026-98dc-e7dc421a573f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Paprika&subset=latin#regular', 'Paprika regular (latin)', 'Paprika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Paprika:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1462, '3f7f5299-b7af-4805-b029-31327cc7e0a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin#700', 'Palanquin Dark 700 (latin)', 'Palanquin Dark', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:700";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1463, '728ad2cf-6da9-4965-8316-0be864f583eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=devanagari#700', 'Palanquin Dark 700 (devanagari)', 'Palanquin Dark', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:700";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1464, '3853098b-e24e-4ec0-81d1-23d1825861ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin-ext#700', 'Palanquin Dark 700 (latin-ext)', 'Palanquin Dark', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:700";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1465, 'b7c08ddf-f513-4b93-957b-1e81998c476d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin#600', 'Palanquin Dark 600 (latin)', 'Palanquin Dark', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:600";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1466, '1c6be194-00ff-4e45-af6b-9b34c8013d68', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=devanagari#600', 'Palanquin Dark 600 (devanagari)', 'Palanquin Dark', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:600";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1467, '728ff210-9fc0-45b3-8d3c-e5477dcd87b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin-ext#600', 'Palanquin Dark 600 (latin-ext)', 'Palanquin Dark', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:600";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1468, 'ee328efd-35c2-4f78-8bc8-1d4d45e8d92d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin#500', 'Palanquin Dark 500 (latin)', 'Palanquin Dark', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:500";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1469, '0abb761b-307b-4dc7-881a-950cf0fa71d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=devanagari#500', 'Palanquin Dark 500 (devanagari)', 'Palanquin Dark', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:500";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1470, '081512c8-533e-4850-bc0e-17570f47cb5e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin-ext#500', 'Palanquin Dark 500 (latin-ext)', 'Palanquin Dark', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Palanquin Dark:500";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1471, '06cdf2f3-5dfe-4b08-8a2a-6c55018eb17f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin#regular', 'Palanquin Dark regular (latin)', 'Palanquin Dark', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Palanquin Dark:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1472, '304273b3-3c6a-4b58-871d-adbe6e54d553', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=devanagari#regular', 'Palanquin Dark regular (devanagari)', 'Palanquin Dark', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Palanquin Dark:regular";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1473, '2dfe1437-fb8f-4ee3-a36b-86de4959a363', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin Dark&subset=latin-ext#regular', 'Palanquin Dark regular (latin-ext)', 'Palanquin Dark', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Palanquin Dark:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1474, '941f8775-5f76-479e-992f-2b220ff6f314', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin#700', 'Palanquin 700 (latin)', 'Palanquin', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:700";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1475, '6eb241be-3aec-402d-8878-37a644a7c835', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=devanagari#700', 'Palanquin 700 (devanagari)', 'Palanquin', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:700";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1476, 'ac6ef787-eaa0-484a-aaa8-672e55916ac9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin-ext#700', 'Palanquin 700 (latin-ext)', 'Palanquin', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:700";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1477, '9c6be616-3519-4264-98a0-e1714a2098bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin#600', 'Palanquin 600 (latin)', 'Palanquin', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:600";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1478, '3527b858-9132-4e05-ad15-2fea45269e56', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=devanagari#600', 'Palanquin 600 (devanagari)', 'Palanquin', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:600";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1479, '594a28a4-e521-467f-8216-aaab934784c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin-ext#600', 'Palanquin 600 (latin-ext)', 'Palanquin', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:600";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1480, '08aee245-c8d8-4d14-a6fc-4ba46fef586b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin#500', 'Palanquin 500 (latin)', 'Palanquin', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:500";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1481, 'c7512c25-1363-40aa-936e-c595d5e8a092', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=devanagari#500', 'Palanquin 500 (devanagari)', 'Palanquin', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:500";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1482, '7e3ec61c-b9fe-4f8f-9770-1e4c98a7b323', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin-ext#500', 'Palanquin 500 (latin-ext)', 'Palanquin', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:500";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1483, '75ffedee-376b-4da2-a68f-de09b05e7d85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin#regular', 'Palanquin regular (latin)', 'Palanquin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Palanquin:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1484, '5816dba1-b3ee-4e77-9c6b-dff1724c8097', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=devanagari#regular', 'Palanquin regular (devanagari)', 'Palanquin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Palanquin:regular";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1485, '33c31c4f-fdff-4abe-9ada-501292e33294', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin-ext#regular', 'Palanquin regular (latin-ext)', 'Palanquin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Palanquin:regular";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1486, '85201499-50d0-4faf-8667-96269ab87103', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin#300', 'Palanquin 300 (latin)', 'Palanquin', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:300";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1487, '8beb3bf3-ffe6-4344-93be-b5ea603c0dae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=devanagari#300', 'Palanquin 300 (devanagari)', 'Palanquin', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:300";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1488, '9865497d-9ef5-410f-b7bb-cabd41713ef6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin-ext#300', 'Palanquin 300 (latin-ext)', 'Palanquin', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:300";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1489, 'f69046c8-f94c-4175-807c-87dda56a6c0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin#200', 'Palanquin 200 (latin)', 'Palanquin', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:200";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1490, '41dcd54c-8794-4c2c-9396-8cff41632ce9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=devanagari#200', 'Palanquin 200 (devanagari)', 'Palanquin', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:200";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1491, 'a38e20fb-e4ef-43c8-86c2-4cd4f3ae713a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin-ext#200', 'Palanquin 200 (latin-ext)', 'Palanquin', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:200";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1492, 'efc072f4-ee73-4a8e-830d-0581ef136b85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin#100', 'Palanquin 100 (latin)', 'Palanquin', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:100";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1493, '2128c2e0-9d07-404e-962e-828457166f60', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=devanagari#100', 'Palanquin 100 (devanagari)', 'Palanquin', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:100";s:6:"subset";s:10:"devanagari";}', 1468916117, 1468916117, 0),
(1494, '48df1c1a-29aa-4d30-a501-fff87348b7d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Palanquin&subset=latin-ext#100', 'Palanquin 100 (latin-ext)', 'Palanquin', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Palanquin:100";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1495, 'b4ec808e-0962-4c5b-80c8-50b49bc2177f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Pacifico&subset=latin#regular', 'Pacifico regular (latin)', 'Pacifico', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Pacifico:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1496, 'c4bbf76a-3f72-41d2-8092-f2a7c16f17ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=cyrillic-ext#italic', 'PT Serif Caption italic (cyrillic-ext)', 'PT Serif Caption', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Serif Caption:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916117, 1468916117, 0),
(1497, 'd3322308-1ef5-4176-919d-21d8f18a8b97', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=latin#italic', 'PT Serif Caption italic (latin)', 'PT Serif Caption', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Serif Caption:italic";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1498, 'f6db3eb4-cd08-40ff-b2c9-00cdb2831ae0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=latin-ext#italic', 'PT Serif Caption italic (latin-ext)', 'PT Serif Caption', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Serif Caption:italic";s:6:"subset";s:9:"latin-ext";}', 1468916117, 1468916117, 0),
(1499, '26ac0ff1-8114-4c12-bff2-735d80d2fb36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=cyrillic#italic', 'PT Serif Caption italic (cyrillic)', 'PT Serif Caption', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Serif Caption:italic";s:6:"subset";s:8:"cyrillic";}', 1468916117, 1468916117, 0),
(1500, '423c286d-6efb-4350-b3a4-741f63fd2d93', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=cyrillic-ext#regular', 'PT Serif Caption regular (cyrillic-ext)', 'PT Serif Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"PT Serif Caption:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916117, 1468916117, 0),
(1501, '56efb1b5-5d3a-4be3-8c0b-0cb74674d65b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=latin#regular', 'PT Serif Caption regular (latin)', 'PT Serif Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"PT Serif Caption:regular";s:6:"subset";s:5:"latin";}', 1468916117, 1468916117, 0),
(1502, '3b7aa1be-a58f-4965-a7be-b4736328f92c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=latin-ext#regular', 'PT Serif Caption regular (latin-ext)', 'PT Serif Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"PT Serif Caption:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1503, 'f98b60c1-473d-488e-a2ae-5284c6cf70cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif Caption&subset=cyrillic#regular', 'PT Serif Caption regular (cyrillic)', 'PT Serif Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"PT Serif Caption:regular";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1504, '60aa75f6-e22c-477b-b2b5-5d142734e70b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic-ext#700italic', 'PT Serif 700italic (cyrillic-ext)', 'PT Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Serif:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1505, '02a4da75-fa6a-4dc8-abb2-ad3acdd0b79e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin#700italic', 'PT Serif 700italic (latin)', 'PT Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Serif:700italic";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1506, '73a89ee6-9403-4efd-9ca7-f9bf0e984ac4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin-ext#700italic', 'PT Serif 700italic (latin-ext)', 'PT Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Serif:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1507, '0c1ce277-9e8b-4d36-82f7-94e1cb46c022', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic#700italic', 'PT Serif 700italic (cyrillic)', 'PT Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Serif:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1508, '24aed60a-6b99-4de8-a3b0-389651266a12', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic-ext#700', 'PT Serif 700 (cyrillic-ext)', 'PT Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"PT Serif:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0);
INSERT INTO `fontyourface_font` VALUES
(1509, '4949c46d-91b5-431e-917b-852dcd461434', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin#700', 'PT Serif 700 (latin)', 'PT Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"PT Serif:700";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1510, '10d440d6-c046-491e-ad7a-2fbaad40c1a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin-ext#700', 'PT Serif 700 (latin-ext)', 'PT Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"PT Serif:700";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1511, '11bb3815-9071-4a27-98b8-1e4e0a069c05', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic#700', 'PT Serif 700 (cyrillic)', 'PT Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"PT Serif:700";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1512, 'f806b92b-0dfd-43b6-9b51-f2a5e292fc63', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic-ext#italic', 'PT Serif italic (cyrillic-ext)', 'PT Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Serif:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1513, '9cf92564-19ee-4570-a474-248546b077eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin#italic', 'PT Serif italic (latin)', 'PT Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Serif:italic";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1514, '9bede72e-d17d-42cd-9e1e-ff33bd791f71', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin-ext#italic', 'PT Serif italic (latin-ext)', 'PT Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Serif:italic";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1515, 'bca2a7e3-e69b-4689-ae38-f5a4e252191f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic#italic', 'PT Serif italic (cyrillic)', 'PT Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Serif:italic";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1516, '900dd39c-799e-4396-896d-61e981a6b816', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic-ext#regular', 'PT Serif regular (cyrillic-ext)', 'PT Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"PT Serif:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1517, '03e49080-c924-440a-92bb-f840d93467fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin#regular', 'PT Serif regular (latin)', 'PT Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"PT Serif:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1518, '04217d50-dfbb-4d73-9887-c62315b04c79', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=latin-ext#regular', 'PT Serif regular (latin-ext)', 'PT Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"PT Serif:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1519, 'f962bac5-1a6f-4f55-af7d-7b2590f3e623', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Serif&subset=cyrillic#regular', 'PT Serif regular (cyrillic)', 'PT Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"PT Serif:regular";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1520, '6fa7aa1e-05b9-4fc7-b56a-8da157b249c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=cyrillic-ext#700', 'PT Sans Narrow 700 (cyrillic-ext)', 'PT Sans Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Sans Narrow:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1521, 'f1496ffc-8e7e-4858-9150-077f412ede1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=latin#700', 'PT Sans Narrow 700 (latin)', 'PT Sans Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Sans Narrow:700";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1522, 'f15d558c-8279-4347-8bfe-7b7531124827', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=latin-ext#700', 'PT Sans Narrow 700 (latin-ext)', 'PT Sans Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Sans Narrow:700";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1523, '871720b0-3c8a-45c8-83d6-08d40af1b29f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=cyrillic#700', 'PT Sans Narrow 700 (cyrillic)', 'PT Sans Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"PT Sans Narrow:700";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1524, 'bf956862-f930-45e7-919a-8d39b80acffc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=cyrillic-ext#regular', 'PT Sans Narrow regular (cyrillic-ext)', 'PT Sans Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"PT Sans Narrow:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1525, 'd7a30a46-3c04-4560-8493-3247a942ef7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=latin#regular', 'PT Sans Narrow regular (latin)', 'PT Sans Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"PT Sans Narrow:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1526, 'fdef5a0c-bd7a-4acf-9165-e9ae37e3d1e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=latin-ext#regular', 'PT Sans Narrow regular (latin-ext)', 'PT Sans Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"PT Sans Narrow:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1527, 'c4ed62b7-8ff5-4fe5-aa38-69ed11654620', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Narrow&subset=cyrillic#regular', 'PT Sans Narrow regular (cyrillic)', 'PT Sans Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"PT Sans Narrow:regular";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1528, '8d184fd2-9c23-4777-8763-13d29a6546de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=cyrillic-ext#700', 'PT Sans Caption 700 (cyrillic-ext)', 'PT Sans Caption', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"PT Sans Caption:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1529, '38a2ac26-e80d-4c54-af86-caf9160b30c0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=latin#700', 'PT Sans Caption 700 (latin)', 'PT Sans Caption', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"PT Sans Caption:700";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1530, '7c2e2f5d-a767-4364-ad5c-b3bc5bb8889c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=latin-ext#700', 'PT Sans Caption 700 (latin-ext)', 'PT Sans Caption', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"PT Sans Caption:700";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1531, '144d725b-e161-47bf-8d66-be2c16a54305', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=cyrillic#700', 'PT Sans Caption 700 (cyrillic)', 'PT Sans Caption', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"PT Sans Caption:700";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1532, '25a19155-1b63-4fb7-9ef8-65b0ac87356e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=cyrillic-ext#regular', 'PT Sans Caption regular (cyrillic-ext)', 'PT Sans Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Sans Caption:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1533, '79ddf1a3-aa00-432e-8b42-9f88b45ceb72', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=latin#regular', 'PT Sans Caption regular (latin)', 'PT Sans Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Sans Caption:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1534, '366b9577-2a5b-4b90-9b6d-e00ec265bea8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=latin-ext#regular', 'PT Sans Caption regular (latin-ext)', 'PT Sans Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Sans Caption:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1535, 'e7400016-3d13-478e-9dcc-2c872ec51862', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans Caption&subset=cyrillic#regular', 'PT Sans Caption regular (cyrillic)', 'PT Sans Caption', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"PT Sans Caption:regular";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1536, '3b6cfaa5-ace6-420a-95d2-5253cd61ee4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic-ext#700italic', 'PT Sans 700italic (cyrillic-ext)', 'PT Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"PT Sans:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1537, '1fad58fb-f3d6-46ed-8a68-9e7f0ac473df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin#700italic', 'PT Sans 700italic (latin)', 'PT Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"PT Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1538, '65aff52d-3132-4a1d-b235-35418884ccda', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin-ext#700italic', 'PT Sans 700italic (latin-ext)', 'PT Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"PT Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1539, '06b2036f-d7db-4eb9-97f0-11b6a956602c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic#700italic', 'PT Sans 700italic (cyrillic)', 'PT Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"PT Sans:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1540, 'ccfee57d-1344-4947-849c-a0354aac762b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic-ext#700', 'PT Sans 700 (cyrillic-ext)', 'PT Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"PT Sans:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1541, 'f8f44a69-900e-4af8-9e2f-31efb819dbc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin#700', 'PT Sans 700 (latin)', 'PT Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"PT Sans:700";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1542, '02786c1c-c74b-4c8d-9da0-84ae339817c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin-ext#700', 'PT Sans 700 (latin-ext)', 'PT Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"PT Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1543, 'b79ecbfe-e428-4070-9988-3ca3e86d2629', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic#700', 'PT Sans 700 (cyrillic)', 'PT Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"PT Sans:700";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1544, '477f7fa0-1c2e-4ed5-ae5a-c0f12995cf8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic-ext#italic', 'PT Sans italic (cyrillic-ext)', 'PT Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"PT Sans:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1545, '7c01446a-90ad-49f8-a8b2-7bf523f587d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin#italic', 'PT Sans italic (latin)', 'PT Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"PT Sans:italic";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1546, '72cd30b6-0739-46ca-ae5f-9b69774fcc7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin-ext#italic', 'PT Sans italic (latin-ext)', 'PT Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"PT Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1547, '451de286-3b94-4686-b753-fe63bf3efeae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic#italic', 'PT Sans italic (cyrillic)', 'PT Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"PT Sans:italic";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1548, '001ee447-d1a7-4ce9-b74d-3ebaaf9ebc14', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic-ext#regular', 'PT Sans regular (cyrillic-ext)', 'PT Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Sans:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1549, '9bfa603e-16e6-40c4-bf4c-7b97a65f5c33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin#regular', 'PT Sans regular (latin)', 'PT Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Sans:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1550, '87247f16-5e9f-40db-a9d5-6e89b8f00b35', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=latin-ext#regular', 'PT Sans regular (latin-ext)', 'PT Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1551, 'def6a4c5-f73a-4aff-bf48-7c214b115a4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Sans&subset=cyrillic#regular', 'PT Sans regular (cyrillic)', 'PT Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Sans:regular";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1552, '13717054-28d7-49aa-9319-dbbcf44e362a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Mono&subset=cyrillic-ext#regular', 'PT Mono regular (cyrillic-ext)', 'PT Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Mono:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916119, 1468916119, 0),
(1553, 'c9eff3b8-f226-4b54-b441-3ea27533d0e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Mono&subset=latin#regular', 'PT Mono regular (latin)', 'PT Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Mono:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1554, '792cb66f-0274-4f4e-9797-e7efd27728bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Mono&subset=latin-ext#regular', 'PT Mono regular (latin-ext)', 'PT Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Mono:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1555, '87b2276c-7818-4ff3-beea-9f76e8e43917', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=PT Mono&subset=cyrillic#regular', 'PT Mono regular (cyrillic)', 'PT Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"PT Mono:regular";s:6:"subset";s:8:"cyrillic";}', 1468916119, 1468916119, 0),
(1556, 'f0261004-72be-4c9e-b902-5e6c5de7d3cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen Mono&subset=latin#regular', 'Oxygen Mono regular (latin)', 'Oxygen Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oxygen Mono:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1557, 'd7a99e3a-53f8-4f10-af86-df59d0f9dcd6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen Mono&subset=latin-ext#regular', 'Oxygen Mono regular (latin-ext)', 'Oxygen Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oxygen Mono:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1558, '63758530-6579-4888-a2cf-718c4d242030', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen&subset=latin#700', 'Oxygen 700 (latin)', 'Oxygen', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oxygen:700";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1559, '7ebcc632-fb7b-4c7a-88e3-a87fa8d008d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen&subset=latin-ext#700', 'Oxygen 700 (latin-ext)', 'Oxygen', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oxygen:700";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1560, '24c8bf64-6c21-44ec-ae07-702f380dbffb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen&subset=latin#regular', 'Oxygen regular (latin)', 'Oxygen', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Oxygen:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1561, '8421d90a-52b0-4e04-ae69-be01e52da645', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen&subset=latin-ext#regular', 'Oxygen regular (latin-ext)', 'Oxygen', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Oxygen:regular";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1562, '04f754cf-cd93-4466-a83b-179cc471203b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen&subset=latin#300', 'Oxygen 300 (latin)', 'Oxygen', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oxygen:300";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1563, 'd54bc413-58ea-4789-b272-23b3952f394e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oxygen&subset=latin-ext#300', 'Oxygen 300 (latin-ext)', 'Oxygen', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oxygen:300";s:6:"subset";s:9:"latin-ext";}', 1468916119, 1468916119, 0),
(1564, '8f554ce0-748a-4f32-b022-ec733470c513', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ovo&subset=latin#regular', 'Ovo regular (latin)', 'Ovo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Ovo:regular";s:6:"subset";s:5:"latin";}', 1468916119, 1468916119, 0),
(1565, '52192021-70db-4226-a145-c6d9199140f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock SC&subset=latin#regular', 'Overlock SC regular (latin)', 'Overlock SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Overlock SC:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1566, '69a2d9f8-c7a5-4461-811f-5826d7252b6c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock SC&subset=latin-ext#regular', 'Overlock SC regular (latin-ext)', 'Overlock SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Overlock SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1567, 'f1b67477-2a91-4522-a469-cc482b6cf848', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin#900italic', 'Overlock 900italic (latin)', 'Overlock', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Overlock:900italic";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1568, '2efd2776-dda3-4ef9-ac20-967469ba5192', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin-ext#900italic', 'Overlock 900italic (latin-ext)', 'Overlock', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Overlock:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1569, '2a9e3b62-d011-4172-aa91-ea89c4b709a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin#900', 'Overlock 900 (latin)', 'Overlock', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Overlock:900";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1570, '3bbb8930-9d12-4f4c-8f20-61cf2b52b126', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin-ext#900', 'Overlock 900 (latin-ext)', 'Overlock', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Overlock:900";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1571, 'b968124c-36e7-4538-8814-5db09b34d9cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin#700italic', 'Overlock 700italic (latin)', 'Overlock', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Overlock:700italic";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1572, 'eda82f28-428e-465b-8d78-fbd66b50f235', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin-ext#700italic', 'Overlock 700italic (latin-ext)', 'Overlock', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Overlock:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1573, 'c4f0634b-8abd-4a86-acab-f70b5234f36f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin#700', 'Overlock 700 (latin)', 'Overlock', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Overlock:700";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1574, '7839e3ec-e1f1-41f9-9c2e-d15ae6b398da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin-ext#700', 'Overlock 700 (latin-ext)', 'Overlock', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Overlock:700";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1575, 'c8d2a301-3f6a-46c9-a35e-2e58893e1148', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin#italic', 'Overlock italic (latin)', 'Overlock', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Overlock:italic";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1576, 'adeb4ee7-8718-44cd-b3c2-0a1ad4a5ef32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin-ext#italic', 'Overlock italic (latin-ext)', 'Overlock', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Overlock:italic";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1577, '865ce97f-7c4e-439b-8f67-c9be0b642e29', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin#regular', 'Overlock regular (latin)', 'Overlock', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Overlock:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1578, 'dffbc943-6e17-46b0-bb6f-d0e07842508f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Overlock&subset=latin-ext#regular', 'Overlock regular (latin-ext)', 'Overlock', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Overlock:regular";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1579, 'a66df080-8625-4e44-a894-a8422a26a0ea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Over the Rainbow&subset=latin#regular', 'Over the Rainbow regular (latin)', 'Over the Rainbow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Over the Rainbow:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1580, '7c2e2fa9-738c-4051-90f7-997f98c813f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oswald&subset=latin#700', 'Oswald 700 (latin)', 'Oswald', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oswald:700";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1581, '500307ae-5c15-4487-98d2-3fd056e78fe7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oswald&subset=latin-ext#700', 'Oswald 700 (latin-ext)', 'Oswald', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oswald:700";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1582, 'b3213984-610d-4fd1-8cae-3839e6373e44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oswald&subset=latin#regular', 'Oswald regular (latin)', 'Oswald', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Oswald:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1499697709, 0),
(1583, '7de5c0e1-d8ee-4506-a4a9-6506a827bc2a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oswald&subset=latin-ext#regular', 'Oswald regular (latin-ext)', 'Oswald', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Oswald:regular";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1584, 'f98d0841-647a-4f9d-862d-86030536d215', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oswald&subset=latin#300', 'Oswald 300 (latin)', 'Oswald', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oswald:300";s:6:"subset";s:5:"latin";}', 1468916120, 1499697708, 0),
(1585, 'f475dd6b-c6e1-45bb-9ce0-a305ea706b0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oswald&subset=latin-ext#300', 'Oswald 300 (latin-ext)', 'Oswald', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Oswald:300";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1586, 'e143a732-82cf-433d-a13b-fcfb638b9288', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Original Surfer&subset=latin#regular', 'Original Surfer regular (latin)', 'Original Surfer', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Original Surfer:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1587, 'c72cdd92-c841-4aeb-a799-bda2a0e015c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Orienta&subset=latin#regular', 'Orienta regular (latin)', 'Orienta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Orienta:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1588, '6600266b-a80f-469c-ade2-cd4bac76b855', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Orienta&subset=latin-ext#regular', 'Orienta regular (latin-ext)', 'Orienta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Orienta:regular";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1589, 'df3aebdb-017b-4f1f-941f-99d4ce3649b6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oregano&subset=latin#italic', 'Oregano italic (latin)', 'Oregano', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Oregano:italic";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1590, '0f4d33e3-acfa-4203-99d0-7e3f35aacd54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oregano&subset=latin-ext#italic', 'Oregano italic (latin-ext)', 'Oregano', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Oregano:italic";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1591, 'b8ed96fa-e3bf-4f58-8fb2-57b95dadf2ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oregano&subset=latin#regular', 'Oregano regular (latin)', 'Oregano', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Oregano:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1592, '88ec1192-9123-40c2-a458-1c899b63cfe0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oregano&subset=latin-ext#regular', 'Oregano regular (latin-ext)', 'Oregano', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Oregano:regular";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1593, '12cc10b7-3ef0-4371-80a3-ce0cd9e16c7c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Orbitron&subset=latin#900', 'Orbitron 900 (latin)', 'Orbitron', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Orbitron:900";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1594, 'e84f4382-156b-4633-a0e9-571e1bec038b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Orbitron&subset=latin#700', 'Orbitron 700 (latin)', 'Orbitron', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Orbitron:700";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1595, '00481b2f-fb94-4074-bfba-8f1d1a889998', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Orbitron&subset=latin#500', 'Orbitron 500 (latin)', 'Orbitron', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Orbitron:500";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1596, 'c2a530b6-f75b-4e45-b8e7-5703bdf2aa7d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Orbitron&subset=latin#regular', 'Orbitron regular (latin)', 'Orbitron', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Orbitron:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1597, 'd0c6ed70-bb82-4f55-9833-b4fe1ce4aa77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oranienbaum&subset=cyrillic-ext#regular', 'Oranienbaum regular (cyrillic-ext)', 'Oranienbaum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oranienbaum:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916120, 1468916120, 0),
(1598, '4699026c-7a37-4f8a-9089-cf3c2aeaba58', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oranienbaum&subset=latin#regular', 'Oranienbaum regular (latin)', 'Oranienbaum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oranienbaum:regular";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1599, '9541a43b-8a42-43ff-8401-161df46bec45', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oranienbaum&subset=latin-ext#regular', 'Oranienbaum regular (latin-ext)', 'Oranienbaum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oranienbaum:regular";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1600, '99ae5ff6-22f7-451f-8994-d77ce5895cc2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oranienbaum&subset=cyrillic#regular', 'Oranienbaum regular (cyrillic)', 'Oranienbaum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oranienbaum:regular";s:6:"subset";s:8:"cyrillic";}', 1468916120, 1468916120, 0),
(1601, 'd354447d-59a9-4b7c-9660-7e04eeee1285', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=cyrillic-ext#700', 'Open Sans Condensed 700 (cyrillic-ext)', 'Open Sans Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916120, 1468916120, 0),
(1602, 'b664bea5-fe6f-46dd-8a75-c941dc273c44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=latin#700', 'Open Sans Condensed 700 (latin)', 'Open Sans Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:700";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1603, 'd812b3f3-e389-4fc0-95b7-ef3efee9329c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=greek-ext#700', 'Open Sans Condensed 700 (greek-ext)', 'Open Sans Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:700";s:6:"subset";s:9:"greek-ext";}', 1468916120, 1468916120, 0),
(1604, 'f5e2c17b-8671-414c-8375-95b82f6d2d3c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=greek#700', 'Open Sans Condensed 700 (greek)', 'Open Sans Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:700";s:6:"subset";s:5:"greek";}', 1468916120, 1468916120, 0),
(1605, '3ab53cc5-de2e-4d3c-bb97-e75568ab3aed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=vietnamese#700', 'Open Sans Condensed 700 (vietnamese)', 'Open Sans Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:700";s:6:"subset";s:10:"vietnamese";}', 1468916120, 1468916120, 0),
(1606, '8bb780dc-5632-4185-8d30-5c0c73a86158', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=latin-ext#700', 'Open Sans Condensed 700 (latin-ext)', 'Open Sans Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:700";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1607, 'd35cf67a-d7e9-48c0-bcd6-847598361c94', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=cyrillic#700', 'Open Sans Condensed 700 (cyrillic)', 'Open Sans Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:700";s:6:"subset";s:8:"cyrillic";}', 1468916120, 1468916120, 0),
(1608, '4972d60f-7097-45e1-b320-a05812bc0ec3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=cyrillic-ext#300italic', 'Open Sans Condensed 300italic (cyrillic-ext)', 'Open Sans Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Open Sans Condensed:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916120, 1468916120, 0),
(1609, '34023909-7c4b-4c52-8b7a-38228d17ea7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=latin#300italic', 'Open Sans Condensed 300italic (latin)', 'Open Sans Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Open Sans Condensed:300italic";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1610, '3070136b-6b7c-42cc-b9d5-7d799ec13f8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=greek-ext#300italic', 'Open Sans Condensed 300italic (greek-ext)', 'Open Sans Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Open Sans Condensed:300italic";s:6:"subset";s:9:"greek-ext";}', 1468916120, 1468916120, 0),
(1611, 'a96caab3-e827-4cd8-bbc9-490cfcc5d499', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=greek#300italic', 'Open Sans Condensed 300italic (greek)', 'Open Sans Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Open Sans Condensed:300italic";s:6:"subset";s:5:"greek";}', 1468916120, 1468916120, 0),
(1612, '9fa1413d-0da6-4cab-a1ae-66049d59c003', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=vietnamese#300italic', 'Open Sans Condensed 300italic (vietnamese)', 'Open Sans Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Open Sans Condensed:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916120, 1468916120, 0),
(1613, '4640f78e-11e1-4d56-adaf-3e655a142197', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=latin-ext#300italic', 'Open Sans Condensed 300italic (latin-ext)', 'Open Sans Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Open Sans Condensed:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1614, 'e3dec938-953d-4647-a3ee-1eeea5e560c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=cyrillic#300italic', 'Open Sans Condensed 300italic (cyrillic)', 'Open Sans Condensed', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Open Sans Condensed:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916120, 1468916120, 0),
(1615, '69f84d1f-c689-4926-8d72-9097736bdabe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=cyrillic-ext#300', 'Open Sans Condensed 300 (cyrillic-ext)', 'Open Sans Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916120, 1468916120, 0),
(1616, '16a22420-501a-48e7-80cf-ec199b00bc1f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=latin#300', 'Open Sans Condensed 300 (latin)', 'Open Sans Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:300";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1617, 'bcd58189-1ec9-4317-89b4-80d851cf9a2b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=greek-ext#300', 'Open Sans Condensed 300 (greek-ext)', 'Open Sans Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:300";s:6:"subset";s:9:"greek-ext";}', 1468916120, 1468916120, 0),
(1618, 'df848ce1-17c0-4392-812f-b3f6fc4c6a74', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=greek#300', 'Open Sans Condensed 300 (greek)', 'Open Sans Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:300";s:6:"subset";s:5:"greek";}', 1468916120, 1468916120, 0),
(1619, 'f4b38497-8332-4776-bb23-c1f5290885df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=vietnamese#300', 'Open Sans Condensed 300 (vietnamese)', 'Open Sans Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:300";s:6:"subset";s:10:"vietnamese";}', 1468916120, 1468916120, 0),
(1620, '5a3cab44-922c-4377-8287-8f28381fd141', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=latin-ext#300', 'Open Sans Condensed 300 (latin-ext)', 'Open Sans Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:300";s:6:"subset";s:9:"latin-ext";}', 1468916120, 1468916120, 0),
(1621, '7da3a02f-634b-4fdb-80d3-692d449e3720', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans Condensed&subset=cyrillic#300', 'Open Sans Condensed 300 (cyrillic)', 'Open Sans Condensed', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Open Sans Condensed:300";s:6:"subset";s:8:"cyrillic";}', 1468916120, 1468916120, 0),
(1622, '85745ffc-cf12-40d7-88d6-1a0f35b0e92f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#800italic', 'Open Sans 800italic (cyrillic-ext)', 'Open Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:800italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916120, 1468916120, 0),
(1623, 'cffcebfa-0d25-49ba-af35-0deff7d0e654', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#800italic', 'Open Sans 800italic (latin)', 'Open Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:800italic";s:6:"subset";s:5:"latin";}', 1468916120, 1468916120, 0),
(1624, '84f00410-a689-43e1-9afd-57cc48ddf399', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#800italic', 'Open Sans 800italic (greek-ext)', 'Open Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:800italic";s:6:"subset";s:9:"greek-ext";}', 1468916120, 1468916120, 0),
(1625, '4d7b29e6-86b4-4caf-baa9-47d3c8e3683e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#800italic', 'Open Sans 800italic (greek)', 'Open Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:800italic";s:6:"subset";s:5:"greek";}', 1468916120, 1468916120, 0),
(1626, 'cff11f46-48b5-48e6-9c7b-3672d2de8051', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#800italic', 'Open Sans 800italic (vietnamese)', 'Open Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:800italic";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1627, '04cd7662-a709-45ea-b081-b21dd016e4b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#800italic', 'Open Sans 800italic (latin-ext)', 'Open Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1628, 'c92b1473-ca5e-4c12-a689-d58e2623d9c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#800italic', 'Open Sans 800italic (cyrillic)', 'Open Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:800italic";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1629, '456aa081-293d-4d3b-a87d-6deee0bb550c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#800', 'Open Sans 800 (cyrillic-ext)', 'Open Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:800";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1630, 'ea2f829e-23dc-45e8-a0b9-22a0c6379d3d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#800', 'Open Sans 800 (latin)', 'Open Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:800";s:6:"subset";s:5:"latin";}', 1468916122, 1468916122, 0),
(1631, '392db99d-5388-4328-9ac9-8267264ab893', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#800', 'Open Sans 800 (greek-ext)', 'Open Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:800";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1632, '69bd203e-a64d-43e5-a441-625edfc81e95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#800', 'Open Sans 800 (greek)', 'Open Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:800";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1633, 'b5eb7220-a0c9-4b79-a12d-ab11c725dad5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#800', 'Open Sans 800 (vietnamese)', 'Open Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:800";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1634, '823c801a-f86a-441f-912c-ec930685fbed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#800', 'Open Sans 800 (latin-ext)', 'Open Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:800";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1635, 'efe64a33-2f21-46bb-bd72-5cadd378d5db', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#800', 'Open Sans 800 (cyrillic)', 'Open Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:800";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1636, '1770f1c0-3197-4257-a3b6-c8522c9b542d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#700italic', 'Open Sans 700italic (cyrillic-ext)', 'Open Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1637, '317c62ae-de56-4a43-9e92-ce1b486d1891', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#700italic', 'Open Sans 700italic (latin)', 'Open Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916122, 1468916122, 0),
(1638, 'f2afcb11-956e-4ed8-8c36-4c33f51c0c9c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#700italic', 'Open Sans 700italic (greek-ext)', 'Open Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1639, 'ce5e0688-e5cf-435f-8a30-caa071a6d98b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#700italic', 'Open Sans 700italic (greek)', 'Open Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:700italic";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1640, '096c2bf9-a916-4616-a236-a9b5f36596eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#700italic', 'Open Sans 700italic (vietnamese)', 'Open Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1641, 'a567c428-0ae3-43bb-a940-236016e9b73d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#700italic', 'Open Sans 700italic (latin-ext)', 'Open Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1642, '524d91a8-310e-4b2d-a0ab-cb3ff89ff29c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#700italic', 'Open Sans 700italic (cyrillic)', 'Open Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1643, '7960ec4c-8e37-4552-a8f9-faa2d72e8eee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#700', 'Open Sans 700 (cyrillic-ext)', 'Open Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1644, 'e965ee78-a930-4dca-afa4-686088ea8405', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#700', 'Open Sans 700 (latin)', 'Open Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:700";s:6:"subset";s:5:"latin";}', 1468916122, 1468916122, 0),
(1645, '89e97080-47cf-4b9f-9277-360b68985fed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#700', 'Open Sans 700 (greek-ext)', 'Open Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:700";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1646, 'f5609b9c-0bbd-4fa9-828c-d536605f15fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#700', 'Open Sans 700 (greek)', 'Open Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:700";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1647, 'afbcee63-0aa8-47d0-b54b-fbb034962ba6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#700', 'Open Sans 700 (vietnamese)', 'Open Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:700";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1648, 'c6af46ce-967d-4d19-947f-b9606df9a57a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#700', 'Open Sans 700 (latin-ext)', 'Open Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1649, '7a2a3a65-3b16-4d16-ae96-27e46f54c9c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#700', 'Open Sans 700 (cyrillic)', 'Open Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:700";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1650, '2fea54d6-0568-4a32-b8ec-f7b8b98334d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#600italic', 'Open Sans 600italic (cyrillic-ext)', 'Open Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:600italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1651, 'f17bae15-ba72-4938-ba2c-c58eb88a29d3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#600italic', 'Open Sans 600italic (latin)', 'Open Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:600italic";s:6:"subset";s:5:"latin";}', 1468916122, 1468916122, 0),
(1652, '7c5f2edf-3c4b-479c-b065-6647c838e9e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#600italic', 'Open Sans 600italic (greek-ext)', 'Open Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:600italic";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1653, '8f3e22e1-6a14-4659-b95c-98cee3f63ea0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#600italic', 'Open Sans 600italic (greek)', 'Open Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:600italic";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1654, '22e0687b-f5ef-4060-b847-532ec233a535', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#600italic', 'Open Sans 600italic (vietnamese)', 'Open Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1655, 'd44ac864-3eeb-446f-b708-766a1fad5ed5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#600italic', 'Open Sans 600italic (latin-ext)', 'Open Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1656, '8aa99fa9-3888-441c-92c8-d2e565c4aaf4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#600italic', 'Open Sans 600italic (cyrillic)', 'Open Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:600italic";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1657, 'bdd649f8-586d-4632-af1c-4bf0fd6d51b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#600', 'Open Sans 600 (cyrillic-ext)', 'Open Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:600";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1658, '7cb9ea69-a31b-4d19-9c57-a99b66b3ff87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#600', 'Open Sans 600 (latin)', 'Open Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:600";s:6:"subset";s:5:"latin";}', 1468916122, 1468916122, 0),
(1659, '42a5ce83-b87e-4585-af7e-62f0e7f551e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#600', 'Open Sans 600 (greek-ext)', 'Open Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:600";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1660, 'fc3e7251-e33d-486f-8f0f-08719fb7efd8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#600', 'Open Sans 600 (greek)', 'Open Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:600";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1661, '3833dd00-8cfc-4008-9b58-3c7c8e65f836', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#600', 'Open Sans 600 (vietnamese)', 'Open Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:600";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1662, 'b7a87bac-89e0-4f3b-bb68-a1514057444a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#600', 'Open Sans 600 (latin-ext)', 'Open Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:600";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1663, '5220f9f3-31ad-4ba7-a967-95a0fec3fa56', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#600', 'Open Sans 600 (cyrillic)', 'Open Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:600";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1664, '6435bae0-5d29-434e-8085-a0a887ed7e33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#italic', 'Open Sans italic (cyrillic-ext)', 'Open Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Open Sans:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1665, 'e2c836db-3f9e-4837-bcfd-9cf26541d8be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#italic', 'Open Sans italic (latin)', 'Open Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Open Sans:italic";s:6:"subset";s:5:"latin";}', 1468916122, 1468916122, 0),
(1666, '913b53ca-6fc8-40ab-81aa-d96d1122360b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#italic', 'Open Sans italic (greek-ext)', 'Open Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Open Sans:italic";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1667, 'fc2f21ab-564d-464e-b1c2-c589aae0665c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#italic', 'Open Sans italic (greek)', 'Open Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Open Sans:italic";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1668, '5b186087-1506-4549-98b2-d84ef4c4a66c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#italic', 'Open Sans italic (vietnamese)', 'Open Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Open Sans:italic";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1669, '33c5a0ca-de03-483c-ab33-e47ab250be23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#italic', 'Open Sans italic (latin-ext)', 'Open Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Open Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1670, '44508b11-c299-412e-9b26-2c5c4e16a7e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#italic', 'Open Sans italic (cyrillic)', 'Open Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Open Sans:italic";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1671, '4e83b7c2-9c03-4bc3-81e3-8538a171aad5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#regular', 'Open Sans regular (cyrillic-ext)', 'Open Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Open Sans:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1672, '2635232b-1291-4c09-83b2-ec9431aed051', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#regular', 'Open Sans regular (latin)', 'Open Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Open Sans:regular";s:6:"subset";s:5:"latin";}', 1468916122, 1499697707, 0),
(1673, '22833e5e-31f8-4d81-96e6-960c0b64734a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#regular', 'Open Sans regular (greek-ext)', 'Open Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Open Sans:regular";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1674, 'dde18016-aadd-4dd4-b3e0-cfe37f7912d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#regular', 'Open Sans regular (greek)', 'Open Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Open Sans:regular";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1675, '3388d869-c926-419f-8e24-9f38efb0da1c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#regular', 'Open Sans regular (vietnamese)', 'Open Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Open Sans:regular";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1676, '6a388f99-6c36-472a-9779-796a11edb8b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#regular', 'Open Sans regular (latin-ext)', 'Open Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Open Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1677, 'fa65c817-7f65-4482-b134-9dd42148f465', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#regular', 'Open Sans regular (cyrillic)', 'Open Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Open Sans:regular";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1678, 'fc86bd57-c669-4523-927b-0b423784cf44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#300italic', 'Open Sans 300italic (cyrillic-ext)', 'Open Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916122, 1468916122, 0),
(1679, '8ef1df7a-a763-4688-9687-63e809b94cda', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#300italic', 'Open Sans 300italic (latin)', 'Open Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:300italic";s:6:"subset";s:5:"latin";}', 1468916122, 1468916122, 0),
(1680, 'acfc6bdc-0325-4a4b-bd98-56961d5eaa2a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#300italic', 'Open Sans 300italic (greek-ext)', 'Open Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:300italic";s:6:"subset";s:9:"greek-ext";}', 1468916122, 1468916122, 0),
(1681, 'e70dbede-d3fa-484a-b57b-24c6b593c245', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#300italic', 'Open Sans 300italic (greek)', 'Open Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:300italic";s:6:"subset";s:5:"greek";}', 1468916122, 1468916122, 0),
(1682, 'd4be1c1a-b62a-4984-b212-c0667ac3c209', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#300italic', 'Open Sans 300italic (vietnamese)', 'Open Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916122, 1468916122, 0),
(1683, '92b6ba81-482f-45d1-8331-0a3de1bff856', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#300italic', 'Open Sans 300italic (latin-ext)', 'Open Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916122, 1468916122, 0),
(1684, '7464572f-9ac5-4ebf-b0ac-7e2b659d86d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#300italic', 'Open Sans 300italic (cyrillic)', 'Open Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Open Sans:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916122, 1468916122, 0),
(1685, 'c5ce36f0-0ea0-45cb-ab5d-6efae95ca50c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic-ext#300', 'Open Sans 300 (cyrillic-ext)', 'Open Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916123, 1468916123, 0),
(1686, '36415dd1-11fe-4539-85f4-580908058ee1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin#300', 'Open Sans 300 (latin)', 'Open Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:300";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1687, 'c54bc023-91f4-4921-a6d2-9ab2b220cbff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek-ext#300', 'Open Sans 300 (greek-ext)', 'Open Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:300";s:6:"subset";s:9:"greek-ext";}', 1468916123, 1468916123, 0),
(1688, '77fd9f18-f323-4ae4-9cae-8024297f48d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=greek#300', 'Open Sans 300 (greek)', 'Open Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:300";s:6:"subset";s:5:"greek";}', 1468916123, 1468916123, 0),
(1689, 'a938d40a-daf7-4835-8a91-ab1d92b52e33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=vietnamese#300', 'Open Sans 300 (vietnamese)', 'Open Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:300";s:6:"subset";s:10:"vietnamese";}', 1468916123, 1468916123, 0),
(1690, '86429862-92de-459c-b1b4-eabb9f46f092', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=latin-ext#300', 'Open Sans 300 (latin-ext)', 'Open Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:300";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1691, 'ed8d56e2-7c02-4b5f-bd93-d0a6a139babf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Open Sans&subset=cyrillic#300', 'Open Sans 300 (cyrillic)', 'Open Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Open Sans:300";s:6:"subset";s:8:"cyrillic";}', 1468916123, 1468916123, 0),
(1692, '99659e65-13cb-455f-b5c1-55cc99609176', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script Swash Caps&subset=latin#700', 'Oleo Script Swash Caps 700 (latin)', 'Oleo Script Swash Caps', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Oleo Script Swash Caps:700";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0);
INSERT INTO `fontyourface_font` VALUES
(1693, '505bdf29-2957-4e1a-b7cf-7618e3df70e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script Swash Caps&subset=latin-ext#700', 'Oleo Script Swash Caps 700 (latin-ext)', 'Oleo Script Swash Caps', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Oleo Script Swash Caps:700";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1694, '8d0fcccd-1665-403b-9681-db67ab4365b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script Swash Caps&subset=latin#regular', 'Oleo Script Swash Caps regular (latin)', 'Oleo Script Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:30:"Oleo Script Swash Caps:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1695, 'c2cd3fdd-e7b7-4f01-bbd6-cc2912808207', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script Swash Caps&subset=latin-ext#regular', 'Oleo Script Swash Caps regular (latin-ext)', 'Oleo Script Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:30:"Oleo Script Swash Caps:regular";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1696, '0b367515-bbc7-4494-a6cc-c8ba44b7c0d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script&subset=latin#700', 'Oleo Script 700 (latin)', 'Oleo Script', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Oleo Script:700";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1697, '8017f2fa-8829-4ca6-94d8-92b0ead9a9f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script&subset=latin-ext#700', 'Oleo Script 700 (latin-ext)', 'Oleo Script', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Oleo Script:700";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1698, '889c9f82-b110-44cf-a58b-3ae8dfd0cc3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script&subset=latin#regular', 'Oleo Script regular (latin)', 'Oleo Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oleo Script:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1699, '35a7b00d-a85d-43e0-b9c2-50c3fd901cbc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oleo Script&subset=latin-ext#regular', 'Oleo Script regular (latin-ext)', 'Oleo Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Oleo Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1700, '070d05c9-7af5-4f36-9b08-5904c0337a06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oldenburg&subset=latin#regular', 'Oldenburg regular (latin)', 'Oldenburg', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Oldenburg:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1701, '3796e035-8aa0-43a9-a15b-b2a72eccabf6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Oldenburg&subset=latin-ext#regular', 'Oldenburg regular (latin-ext)', 'Oldenburg', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Oldenburg:regular";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1702, '4340e4ff-19c2-4b16-b465-3478e81d8411', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Old Standard TT&subset=latin#700', 'Old Standard TT 700 (latin)', 'Old Standard TT', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Old Standard TT:700";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1703, 'e09ee321-b30f-4877-8434-40eececdf1d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Old Standard TT&subset=latin#italic', 'Old Standard TT italic (latin)', 'Old Standard TT', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Old Standard TT:italic";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1704, 'b463fc11-7a94-494c-bea3-622f6086e45f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Old Standard TT&subset=latin#regular', 'Old Standard TT regular (latin)', 'Old Standard TT', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Old Standard TT:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1705, '4ae56a51-1c35-4bd2-b1c1-3a8d713514f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Offside&subset=latin#regular', 'Offside regular (latin)', 'Offside', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Offside:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1706, 'b5dde4b0-beef-4dfb-a273-b9572fb4fc27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Odor Mean Chey&subset=khmer#regular', 'Odor Mean Chey regular (khmer)', 'Odor Mean Chey', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Odor Mean Chey:regular";s:6:"subset";s:5:"khmer";}', 1468916123, 1468916123, 0),
(1707, 'db9a17ad-4ad9-4220-9115-869331b0b74c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nunito&subset=latin#700', 'Nunito 700 (latin)', 'Nunito', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Nunito:700";s:6:"subset";s:5:"latin";}', 1468916123, 1507631770, 1),
(1708, '2c16d0d3-03c9-44e9-8218-179b87832336', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nunito&subset=latin#regular', 'Nunito regular (latin)', 'Nunito', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Nunito:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1507631591, 1),
(1709, 'bb514bdf-9fdf-4863-8bf4-7204ab83d249', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nunito&subset=latin#300', 'Nunito 300 (latin)', 'Nunito', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Nunito:300";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1710, 'fc862b67-1796-4dfe-bcee-f657c59f8b24', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Numans&subset=latin#regular', 'Numans regular (latin)', 'Numans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Numans:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1711, 'ae284bf9-8e02-4ca6-a91b-904f4087b39d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Square&subset=latin#regular', 'Nova Square regular (latin)', 'Nova Square', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Nova Square:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1712, '20303840-17aa-4549-b5aa-f2e721e5b0fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Slim&subset=latin#regular', 'Nova Slim regular (latin)', 'Nova Slim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Nova Slim:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1713, '589386c7-a4a4-4007-a443-0bf8ed018d97', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Script&subset=latin#regular', 'Nova Script regular (latin)', 'Nova Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Nova Script:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1714, '8a156ad2-6245-473c-a691-eeb7f9e73c57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Round&subset=latin#regular', 'Nova Round regular (latin)', 'Nova Round', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Nova Round:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1715, 'dec7ed3e-cc23-4bcd-bf5e-c0db7188084c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Oval&subset=latin#regular', 'Nova Oval regular (latin)', 'Nova Oval', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Nova Oval:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1716, '6efd9f9b-fd68-4a2d-8b95-9bec06a3a48a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Mono&subset=latin#regular', 'Nova Mono regular (latin)', 'Nova Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Nova Mono:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1717, '39b351ba-78d3-4687-b50d-a72106c8dc24', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Mono&subset=greek#regular', 'Nova Mono regular (greek)', 'Nova Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Nova Mono:regular";s:6:"subset";s:5:"greek";}', 1468916123, 1468916123, 0),
(1718, '9314ce96-03bf-4797-8b6b-85b4631e2c27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Flat&subset=latin#regular', 'Nova Flat regular (latin)', 'Nova Flat', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Nova Flat:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1719, 'cd83860b-dc1b-4239-af4b-f824e5dbeb50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nova Cut&subset=latin#regular', 'Nova Cut regular (latin)', 'Nova Cut', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Nova Cut:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1720, 'ca321698-616f-4759-b8cb-f595d2a58eb8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic-ext#700italic', 'Noto Serif 700italic (cyrillic-ext)', 'Noto Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noto Serif:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916123, 1468916123, 0),
(1721, '91e66d62-bd37-44da-9023-79c9a4316dba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin#700italic', 'Noto Serif 700italic (latin)', 'Noto Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noto Serif:700italic";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1722, '9c9890a0-909e-4b14-8289-ca83b5fb4825', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek-ext#700italic', 'Noto Serif 700italic (greek-ext)', 'Noto Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noto Serif:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916123, 1468916123, 0),
(1723, 'ea704ae6-1f5d-402d-b4f0-0e54b3c45732', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek#700italic', 'Noto Serif 700italic (greek)', 'Noto Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noto Serif:700italic";s:6:"subset";s:5:"greek";}', 1468916123, 1468916123, 0),
(1724, '0524e0be-cc48-4359-aeaf-aa20df297420', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=vietnamese#700italic', 'Noto Serif 700italic (vietnamese)', 'Noto Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noto Serif:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916123, 1468916123, 0),
(1725, '7727eb64-c582-43c0-966d-a586033edd77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin-ext#700italic', 'Noto Serif 700italic (latin-ext)', 'Noto Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noto Serif:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1726, 'e8a7ec14-4134-461c-9069-f0e8b9577a7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic#700italic', 'Noto Serif 700italic (cyrillic)', 'Noto Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noto Serif:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916123, 1468916123, 0),
(1727, 'd45e5cc8-b59e-492b-99ca-f06dbd21e2e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic-ext#700', 'Noto Serif 700 (cyrillic-ext)', 'Noto Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Noto Serif:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916123, 1468916123, 0),
(1728, '31a5d7df-3ca3-490c-b002-2da682cc95ff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin#700', 'Noto Serif 700 (latin)', 'Noto Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Noto Serif:700";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1729, '2480d935-d9dc-4754-8875-4c0179f2ba15', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek-ext#700', 'Noto Serif 700 (greek-ext)', 'Noto Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Noto Serif:700";s:6:"subset";s:9:"greek-ext";}', 1468916123, 1468916123, 0),
(1730, 'abb39532-0548-4d66-9e3c-3b480d9be165', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek#700', 'Noto Serif 700 (greek)', 'Noto Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Noto Serif:700";s:6:"subset";s:5:"greek";}', 1468916123, 1468916123, 0),
(1731, '74cece57-43af-45ea-a575-9b0931aeb049', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=vietnamese#700', 'Noto Serif 700 (vietnamese)', 'Noto Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Noto Serif:700";s:6:"subset";s:10:"vietnamese";}', 1468916123, 1468916123, 0),
(1732, '06859bc9-333b-4974-b866-74c2b30e101a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin-ext#700', 'Noto Serif 700 (latin-ext)', 'Noto Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Noto Serif:700";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1733, '9ac6e4a1-0688-46a7-8919-8b61bfc2e0c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic#700', 'Noto Serif 700 (cyrillic)', 'Noto Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Noto Serif:700";s:6:"subset";s:8:"cyrillic";}', 1468916123, 1468916123, 0),
(1734, '5d4c8706-eb5a-4436-a400-ab1bf5c3b135', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic-ext#italic', 'Noto Serif italic (cyrillic-ext)', 'Noto Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Serif:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916123, 1468916123, 0),
(1735, 'e7e48e7a-15f6-4cb3-898e-614f3c227072', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin#italic', 'Noto Serif italic (latin)', 'Noto Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Serif:italic";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1736, '07dc5ffc-1413-44b9-b5fd-3dc5bddd8026', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek-ext#italic', 'Noto Serif italic (greek-ext)', 'Noto Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Serif:italic";s:6:"subset";s:9:"greek-ext";}', 1468916123, 1468916123, 0),
(1737, 'c94ebb11-f11d-4a02-af12-3f62e6d67ae7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek#italic', 'Noto Serif italic (greek)', 'Noto Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Serif:italic";s:6:"subset";s:5:"greek";}', 1468916123, 1468916123, 0),
(1738, '366f9fdd-9ddf-4d4d-b29b-c1f893486e10', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=vietnamese#italic', 'Noto Serif italic (vietnamese)', 'Noto Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Serif:italic";s:6:"subset";s:10:"vietnamese";}', 1468916123, 1468916123, 0),
(1739, '5dc8edec-f6f5-48d2-938c-83673991925b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin-ext#italic', 'Noto Serif italic (latin-ext)', 'Noto Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Serif:italic";s:6:"subset";s:9:"latin-ext";}', 1468916123, 1468916123, 0),
(1740, '651f0a1c-2eba-432c-b5fd-56898e571378', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic#italic', 'Noto Serif italic (cyrillic)', 'Noto Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Serif:italic";s:6:"subset";s:8:"cyrillic";}', 1468916123, 1468916123, 0),
(1741, 'c421ffcd-4709-4473-b478-6b5ca088c9cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic-ext#regular', 'Noto Serif regular (cyrillic-ext)', 'Noto Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Noto Serif:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916123, 1468916123, 0),
(1742, '772a4e86-202d-488b-9695-d82a4d85cce7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin#regular', 'Noto Serif regular (latin)', 'Noto Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Noto Serif:regular";s:6:"subset";s:5:"latin";}', 1468916123, 1468916123, 0),
(1743, '644affd3-6b53-4dc3-a9a3-7a87f585fc0a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek-ext#regular', 'Noto Serif regular (greek-ext)', 'Noto Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Noto Serif:regular";s:6:"subset";s:9:"greek-ext";}', 1468916123, 1468916123, 0),
(1744, 'f19435e5-7374-490f-9434-107fadb95985', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=greek#regular', 'Noto Serif regular (greek)', 'Noto Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Noto Serif:regular";s:6:"subset";s:5:"greek";}', 1468916123, 1468916123, 0),
(1745, '5ad71df2-eb24-46e0-b678-9002bece0983', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=vietnamese#regular', 'Noto Serif regular (vietnamese)', 'Noto Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Noto Serif:regular";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1746, 'a14881cf-b653-4174-9367-0fa1a8f97bfd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=latin-ext#regular', 'Noto Serif regular (latin-ext)', 'Noto Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Noto Serif:regular";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1747, '6cc47348-e00f-4977-bcd2-8483d64e5675', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Serif&subset=cyrillic#regular', 'Noto Serif regular (cyrillic)', 'Noto Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Noto Serif:regular";s:6:"subset";s:8:"cyrillic";}', 1468916125, 1468916125, 0),
(1748, '93263e2e-bf02-40e9-82e7-dca09e67ab28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic-ext#700italic', 'Noto Sans 700italic (cyrillic-ext)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916125, 1468916125, 0),
(1749, 'f8468a14-dac7-41cd-89da-09d42f716984', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin#700italic', 'Noto Sans 700italic (latin)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1750, 'fbd20ad1-cf0d-4677-9ca6-67fdf3b9d1ec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek-ext#700italic', 'Noto Sans 700italic (greek-ext)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916125, 1468916125, 0),
(1751, 'ada1c30c-372b-4314-aba7-477de79bfd69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek#700italic', 'Noto Sans 700italic (greek)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:5:"greek";}', 1468916125, 1468916125, 0),
(1752, '69fe849a-bc31-41cb-b28f-6f1fc7811255', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=devanagari#700italic', 'Noto Sans 700italic (devanagari)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:10:"devanagari";}', 1468916125, 1468916125, 0),
(1753, 'cf065b62-abd7-4aef-9604-3033159be55e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=vietnamese#700italic', 'Noto Sans 700italic (vietnamese)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1754, '9a497b80-bb67-4b3d-982b-fb1d797e067c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin-ext#700italic', 'Noto Sans 700italic (latin-ext)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1755, '82a91810-0c2a-4fbe-bcc0-3e5b4998c3f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic#700italic', 'Noto Sans 700italic (cyrillic)', 'Noto Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noto Sans:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916125, 1468916125, 0),
(1756, '85c6efcb-de07-48c2-bc0a-209daf9f5024', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic-ext#700', 'Noto Sans 700 (cyrillic-ext)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916125, 1468916125, 0),
(1757, '0171aeee-01d3-48b8-a0a3-9f0e4f166ee7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin#700', 'Noto Sans 700 (latin)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1758, '411ab0c7-5979-4539-ae6e-845cdae821cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek-ext#700', 'Noto Sans 700 (greek-ext)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:9:"greek-ext";}', 1468916125, 1468916125, 0),
(1759, '09e8ec9a-572b-4ec0-8e8b-9b4b7c2622b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek#700', 'Noto Sans 700 (greek)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:5:"greek";}', 1468916125, 1468916125, 0),
(1760, '79df1aa2-3278-4048-80c8-702b6633f6fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=devanagari#700', 'Noto Sans 700 (devanagari)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:10:"devanagari";}', 1468916125, 1468916125, 0),
(1761, '7cb6c12f-4137-4e18-80ab-5d45fe617af2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=vietnamese#700', 'Noto Sans 700 (vietnamese)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1762, '66b9b84c-c743-46e0-98a0-c1bc51981877', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin-ext#700', 'Noto Sans 700 (latin-ext)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1763, 'f78d6440-7b31-48b4-900a-9a9a874e05e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic#700', 'Noto Sans 700 (cyrillic)', 'Noto Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Noto Sans:700";s:6:"subset";s:8:"cyrillic";}', 1468916125, 1468916125, 0),
(1764, '026b6a9e-87d5-4a15-baa7-fb6cbf7f41e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic-ext#italic', 'Noto Sans italic (cyrillic-ext)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916125, 1468916125, 0),
(1765, '75c9ff92-8528-4c2b-903d-7594040820c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin#italic', 'Noto Sans italic (latin)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1766, '103c2853-2569-4201-8427-be66b334f1d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek-ext#italic', 'Noto Sans italic (greek-ext)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:9:"greek-ext";}', 1468916125, 1468916125, 0),
(1767, '13f0428d-9ced-4209-b28d-02243bdc523e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek#italic', 'Noto Sans italic (greek)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:5:"greek";}', 1468916125, 1468916125, 0),
(1768, '640d4c26-52fd-4fa8-9166-9ed05d56a4b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=devanagari#italic', 'Noto Sans italic (devanagari)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:10:"devanagari";}', 1468916125, 1468916125, 0),
(1769, 'fef28d4b-5d8b-4580-a3cb-44fe9b1d8321', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=vietnamese#italic', 'Noto Sans italic (vietnamese)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1770, 'f1fdfe6d-03e9-4e31-8287-8348b8ebc6cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin-ext#italic', 'Noto Sans italic (latin-ext)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1771, 'cb33ca4a-07ee-4cb8-a156-1e8118564efe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic#italic', 'Noto Sans italic (cyrillic)', 'Noto Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noto Sans:italic";s:6:"subset";s:8:"cyrillic";}', 1468916125, 1468916125, 0),
(1772, '34d71e0b-5603-473f-a1cf-e40f2274d3a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic-ext#regular', 'Noto Sans regular (cyrillic-ext)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916125, 1468916125, 0),
(1773, 'e35b789c-faeb-4b9d-beb1-f200728227da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin#regular', 'Noto Sans regular (latin)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1774, '2a92d9b4-7ba6-4c91-ad4d-5813ce507fe1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek-ext#regular', 'Noto Sans regular (greek-ext)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:9:"greek-ext";}', 1468916125, 1468916125, 0),
(1775, 'd5ef92ac-6e00-4180-a2eb-3384eb1c724d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=greek#regular', 'Noto Sans regular (greek)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:5:"greek";}', 1468916125, 1468916125, 0),
(1776, '18243ae0-2f08-461c-ae0e-423cedc6faf4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=devanagari#regular', 'Noto Sans regular (devanagari)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:10:"devanagari";}', 1468916125, 1468916125, 0),
(1777, '29fe5f5d-900a-4a39-8970-1191c610a32f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=vietnamese#regular', 'Noto Sans regular (vietnamese)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1778, 'b3919e74-6ec6-42cd-ac8b-74bae50dc723', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=latin-ext#regular', 'Noto Sans regular (latin-ext)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1779, '97009200-961f-4b2e-8e3a-673f70deec69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noto Sans&subset=cyrillic#regular', 'Noto Sans regular (cyrillic)', 'Noto Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Noto Sans:regular";s:6:"subset";s:8:"cyrillic";}', 1468916125, 1468916125, 0),
(1780, '7e81e26c-fea0-4647-a3b8-7840206b0008', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin#700italic', 'Noticia Text 700italic (latin)', 'Noticia Text', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Noticia Text:700italic";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1781, '0a3de1cb-1dfb-42c5-9082-75720b015f95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=vietnamese#700italic', 'Noticia Text 700italic (vietnamese)', 'Noticia Text', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Noticia Text:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1782, '33e8c0c5-d816-4b3d-989a-daca40cadf0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin-ext#700italic', 'Noticia Text 700italic (latin-ext)', 'Noticia Text', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Noticia Text:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1783, 'b79836a1-47d9-4521-98b6-dd36b4a63179', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin#700', 'Noticia Text 700 (latin)', 'Noticia Text', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noticia Text:700";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1784, 'bbb58648-34ed-4901-ad18-1c32e49eb4f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=vietnamese#700', 'Noticia Text 700 (vietnamese)', 'Noticia Text', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noticia Text:700";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1785, 'c8066674-beb7-49b2-b0e7-77475e87b798', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin-ext#700', 'Noticia Text 700 (latin-ext)', 'Noticia Text', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Noticia Text:700";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1786, 'b0cad56c-6f42-4d87-a430-6fe2b50b3671', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin#italic', 'Noticia Text italic (latin)', 'Noticia Text', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noticia Text:italic";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1787, 'eee2d08f-2b7d-4eb6-a6eb-a7595d5f1d1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=vietnamese#italic', 'Noticia Text italic (vietnamese)', 'Noticia Text', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noticia Text:italic";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1788, '2a7db140-6d85-480d-b5f6-86c5e4c5e118', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin-ext#italic', 'Noticia Text italic (latin-ext)', 'Noticia Text', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Noticia Text:italic";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1789, 'b40aad69-abe4-408a-8f6e-d695a21cd62e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin#regular', 'Noticia Text regular (latin)', 'Noticia Text', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noticia Text:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1790, 'ba1dd9f5-a046-47ff-8f95-57fef337be16', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=vietnamese#regular', 'Noticia Text regular (vietnamese)', 'Noticia Text', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noticia Text:regular";s:6:"subset";s:10:"vietnamese";}', 1468916125, 1468916125, 0),
(1791, '0350acb6-7e2f-4e3c-89de-c0de383d4a33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Noticia Text&subset=latin-ext#regular', 'Noticia Text regular (latin-ext)', 'Noticia Text', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Noticia Text:regular";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1792, '001d0c3c-9f39-4fc4-b10c-0a3b40359b59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nothing You Could Do&subset=latin#regular', 'Nothing You Could Do regular (latin)', 'Nothing You Could Do', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Nothing You Could Do:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1793, '460bf70a-2add-48a0-be4c-f68998fe1606', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nosifer&subset=latin#regular', 'Nosifer regular (latin)', 'Nosifer', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Nosifer:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1794, '75d774de-b46a-41fb-8f4e-091b2a5b8468', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nosifer&subset=latin-ext#regular', 'Nosifer regular (latin-ext)', 'Nosifer', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Nosifer:regular";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1795, 'a56d5da0-bfc2-4684-af63-311443cb30d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Norican&subset=latin#regular', 'Norican regular (latin)', 'Norican', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Norican:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1796, '602602a7-982e-4422-a077-fc16f18f04ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Norican&subset=latin-ext#regular', 'Norican regular (latin-ext)', 'Norican', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Norican:regular";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1797, '947b2576-811e-4aa7-bd15-b0d20db98ff1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nokora&subset=khmer#700', 'Nokora 700 (khmer)', 'Nokora', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Nokora:700";s:6:"subset";s:5:"khmer";}', 1468916125, 1468916125, 0),
(1798, '8564d859-59e9-4b12-b133-de33d125a111', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nokora&subset=khmer#regular', 'Nokora regular (khmer)', 'Nokora', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Nokora:regular";s:6:"subset";s:5:"khmer";}', 1468916125, 1468916125, 0),
(1799, '2f86b4b7-e6fd-4dfe-9871-42bbee751797', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nobile&subset=latin#700italic', 'Nobile 700italic (latin)', 'Nobile', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Nobile:700italic";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1800, '2c452365-6ae3-4e00-ad96-8511f2283017', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nobile&subset=latin#700', 'Nobile 700 (latin)', 'Nobile', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Nobile:700";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1801, '49ba0bba-4dd4-4a09-a69f-76868a21dd42', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nobile&subset=latin#italic', 'Nobile italic (latin)', 'Nobile', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Nobile:italic";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1802, '424e9a07-8828-46b0-bc7a-25e334fffebb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nobile&subset=latin#regular', 'Nobile regular (latin)', 'Nobile', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Nobile:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1803, 'a8e262d7-dcb8-48a9-b156-710092c2c793', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Nixie One&subset=latin#regular', 'Nixie One regular (latin)', 'Nixie One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Nixie One:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1804, '26f40ed8-84fd-4c27-ab14-56a334a3dbd8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Niconne&subset=latin#regular', 'Niconne regular (latin)', 'Niconne', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Niconne:regular";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1805, 'd01c40e5-bb70-47fe-9ad4-c3551beaa1f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Niconne&subset=latin-ext#regular', 'Niconne regular (latin-ext)', 'Niconne', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Niconne:regular";s:6:"subset";s:9:"latin-ext";}', 1468916125, 1468916125, 0),
(1806, 'b0db19e0-6029-4f64-b91f-381122e14111', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=News Cycle&subset=latin#700', 'News Cycle 700 (latin)', 'News Cycle', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"News Cycle:700";s:6:"subset";s:5:"latin";}', 1468916125, 1468916125, 0),
(1807, '669dfb82-97f4-4d30-a496-81d442f768a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=News Cycle&subset=latin-ext#700', 'News Cycle 700 (latin-ext)', 'News Cycle', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"News Cycle:700";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1808, '7d9baa77-5bfd-4df5-8ea0-44cfdcbe3223', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=News Cycle&subset=latin#regular', 'News Cycle regular (latin)', 'News Cycle', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"News Cycle:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1809, '19aa6832-d61f-4b41-86e4-050ee9952573', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=News Cycle&subset=latin-ext#regular', 'News Cycle regular (latin-ext)', 'News Cycle', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"News Cycle:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1810, 'a6b839c9-bba0-4851-a744-17d5a6c2af75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=New Rocker&subset=latin#regular', 'New Rocker regular (latin)', 'New Rocker', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"New Rocker:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1811, 'b179e9a0-afaf-4b1a-9ee9-bc1811a98af6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=New Rocker&subset=latin-ext#regular', 'New Rocker regular (latin-ext)', 'New Rocker', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"New Rocker:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1812, '04cff0f3-662d-426b-b3e8-723fd56aa9a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin#800', 'Neuton 800 (latin)', 'Neuton', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:800";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1813, 'ffd4fa5e-d3e5-47ef-a5ed-447313580dcc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin-ext#800', 'Neuton 800 (latin-ext)', 'Neuton', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:800";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1814, 'd7a8c5f9-df24-4d92-a651-2c7dd1bf4ebe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin#700', 'Neuton 700 (latin)', 'Neuton', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:700";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1815, 'd2cc084a-1ef2-4058-9a27-8bab55d42488', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin-ext#700', 'Neuton 700 (latin-ext)', 'Neuton', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:700";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1816, 'e7294888-d440-4ed6-afb9-a055411c4a6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin#italic', 'Neuton italic (latin)', 'Neuton', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Neuton:italic";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1817, '3443f1fb-2590-4e75-a2a5-ace03d731da6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin-ext#italic', 'Neuton italic (latin-ext)', 'Neuton', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Neuton:italic";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1818, 'ea3d779d-ce99-4c0e-a70a-0c6a7c8c453f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin#regular', 'Neuton regular (latin)', 'Neuton', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Neuton:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1819, 'c7c7c324-1e69-4755-b39e-a878ee577c04', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin-ext#regular', 'Neuton regular (latin-ext)', 'Neuton', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Neuton:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1820, 'fa312a2c-a903-4f1a-a1a0-2027e7fc7685', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin#300', 'Neuton 300 (latin)', 'Neuton', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:300";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1821, 'c629407d-99dc-4149-9373-2d68428e1d44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin-ext#300', 'Neuton 300 (latin-ext)', 'Neuton', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:300";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1822, '1177a380-dadc-4850-8da7-3d7ae0656025', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin#200', 'Neuton 200 (latin)', 'Neuton', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:200";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1823, '95dc572b-0cb9-4dc3-91d6-e2e777613ed2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neuton&subset=latin-ext#200', 'Neuton 200 (latin-ext)', 'Neuton', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Neuton:200";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1824, '057d7874-3ae1-45ed-a8a7-f7b5e8b8598d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neucha&subset=latin#regular', 'Neucha regular (latin)', 'Neucha', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Neucha:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1825, 'f9acfc11-3cff-432b-a537-7a0d53e1d4a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Neucha&subset=cyrillic#regular', 'Neucha regular (cyrillic)', 'Neucha', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Neucha:regular";s:6:"subset";s:8:"cyrillic";}', 1468916126, 1468916126, 0),
(1826, 'ccd80a87-cb2b-4381-b24e-9d0eb896d32a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=NTR&subset=latin#regular', 'NTR regular (latin)', 'NTR', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"NTR:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1827, 'a6366b51-4997-4165-bd76-c624dce33398', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=NTR&subset=telugu#regular', 'NTR regular (telugu)', 'NTR', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"NTR:regular";s:6:"subset";s:6:"telugu";}', 1468916126, 1468916126, 0),
(1828, 'b94a1140-4c21-48db-b02b-82dbdf221b11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mystery Quest&subset=latin#regular', 'Mystery Quest regular (latin)', 'Mystery Quest', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Mystery Quest:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1829, '2df538de-38b3-42f1-9784-e91edef801f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mystery Quest&subset=latin-ext#regular', 'Mystery Quest regular (latin-ext)', 'Mystery Quest', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Mystery Quest:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1830, 'c876df6c-08ad-4719-a174-ae4e414f8c33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Muli&subset=latin#italic', 'Muli italic (latin)', 'Muli', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Muli:italic";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1831, '739d91c4-6e36-4e77-8d15-5b1b629e53a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Muli&subset=latin#regular', 'Muli regular (latin)', 'Muli', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Muli:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1832, '12b57f3c-3310-4e1a-ac3f-26fcf6f750bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Muli&subset=latin#300italic', 'Muli 300italic (latin)', 'Muli', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Muli:300italic";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1833, '861c4c8f-b95b-4ca8-9a6f-b26c28936d9c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Muli&subset=latin#300', 'Muli 300 (latin)', 'Muli', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Muli:300";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1834, 'bdb34786-a019-4841-8081-b70e9e8acfde', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin#800', 'Mukta Vaani 800 (latin)', 'Mukta Vaani', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:800";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1835, '89713fc8-0950-40d9-ae39-14ed28ba2601', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=gujarati#800', 'Mukta Vaani 800 (gujarati)', 'Mukta Vaani', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:800";s:6:"subset";s:8:"gujarati";}', 1468916126, 1468916126, 0),
(1836, '8aefea50-3bb0-4036-8a0e-b397efbc2696', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin-ext#800', 'Mukta Vaani 800 (latin-ext)', 'Mukta Vaani', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:800";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1837, 'd63be9c1-5f6f-45ae-b730-0555cdb95270', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin#700', 'Mukta Vaani 700 (latin)', 'Mukta Vaani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:700";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1838, 'a82a3c8f-2fc2-4939-b5ab-6d02670bff3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=gujarati#700', 'Mukta Vaani 700 (gujarati)', 'Mukta Vaani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:700";s:6:"subset";s:8:"gujarati";}', 1468916126, 1468916126, 0),
(1839, 'e64e02eb-e4cc-43ae-a2c4-2d1d487666d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin-ext#700', 'Mukta Vaani 700 (latin-ext)', 'Mukta Vaani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:700";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1840, 'a81c2d12-1b76-42f7-a429-a4eaf93123ec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin#600', 'Mukta Vaani 600 (latin)', 'Mukta Vaani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:600";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1841, '449a0aa6-5b0f-481d-bd88-36695d168fb1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=gujarati#600', 'Mukta Vaani 600 (gujarati)', 'Mukta Vaani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:600";s:6:"subset";s:8:"gujarati";}', 1468916126, 1468916126, 0),
(1842, '0b2b6fbd-3d26-4fba-99e7-36dded61ea49', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin-ext#600', 'Mukta Vaani 600 (latin-ext)', 'Mukta Vaani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:600";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1843, '80826456-7d85-4d12-b327-1f02187ca3c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin#500', 'Mukta Vaani 500 (latin)', 'Mukta Vaani', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:500";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1844, '3f4f6a7b-887b-4199-aecd-aa110934cd64', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=gujarati#500', 'Mukta Vaani 500 (gujarati)', 'Mukta Vaani', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:500";s:6:"subset";s:8:"gujarati";}', 1468916126, 1468916126, 0),
(1845, '7db8888b-d67a-402e-b4b7-5ff5fb907dae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin-ext#500', 'Mukta Vaani 500 (latin-ext)', 'Mukta Vaani', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:500";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1846, 'c8e4c3c2-3ee4-4834-8c04-7d8473ea0c05', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin#regular', 'Mukta Vaani regular (latin)', 'Mukta Vaani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Mukta Vaani:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1847, '203b1c6e-461f-4e8b-a9a8-beb93cede137', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=gujarati#regular', 'Mukta Vaani regular (gujarati)', 'Mukta Vaani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Mukta Vaani:regular";s:6:"subset";s:8:"gujarati";}', 1468916126, 1468916126, 0),
(1848, '9e9d2189-6d14-497d-876c-930449cc6cbc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin-ext#regular', 'Mukta Vaani regular (latin-ext)', 'Mukta Vaani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Mukta Vaani:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1849, 'd1ff18ba-c49e-40f3-9de2-c882aa29b5dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin#300', 'Mukta Vaani 300 (latin)', 'Mukta Vaani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:300";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1850, '33adb4ac-0f31-4c14-93d5-261f3d5d4ab9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=gujarati#300', 'Mukta Vaani 300 (gujarati)', 'Mukta Vaani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:300";s:6:"subset";s:8:"gujarati";}', 1468916126, 1468916126, 0),
(1851, '07dbd55d-0671-459a-9d79-cdcffe5c0bd2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin-ext#300', 'Mukta Vaani 300 (latin-ext)', 'Mukta Vaani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:300";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1852, 'fa20aa25-c33f-4279-935a-734d8382a282', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin#200', 'Mukta Vaani 200 (latin)', 'Mukta Vaani', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:200";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1853, 'a7a503fd-17d3-41a6-af37-7542d0cd18d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=gujarati#200', 'Mukta Vaani 200 (gujarati)', 'Mukta Vaani', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:200";s:6:"subset";s:8:"gujarati";}', 1468916126, 1468916126, 0),
(1854, 'edc65e69-0d0b-4f93-9fec-4bd931405f03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mukta Vaani&subset=latin-ext#200', 'Mukta Vaani 200 (latin-ext)', 'Mukta Vaani', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mukta Vaani:200";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1855, '0fa0a04e-04f2-4571-894e-ff4cd7165493', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mrs Sheppards&subset=latin#regular', 'Mrs Sheppards regular (latin)', 'Mrs Sheppards', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Mrs Sheppards:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1856, '681d9e73-4b82-4e9b-aa2f-a41e320e8e06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mrs Sheppards&subset=latin-ext#regular', 'Mrs Sheppards regular (latin-ext)', 'Mrs Sheppards', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Mrs Sheppards:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1857, 'e01312a3-0df6-4c14-a2f3-fd5b941eddb5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mrs Saint Delafield&subset=latin#regular', 'Mrs Saint Delafield regular (latin)', 'Mrs Saint Delafield', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Mrs Saint Delafield:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1858, 'aade6d64-6180-4989-981f-4a4cc68e9fb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mrs Saint Delafield&subset=latin-ext#regular', 'Mrs Saint Delafield regular (latin-ext)', 'Mrs Saint Delafield', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Mrs Saint Delafield:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1859, '067bbe46-274f-4df9-9439-a0545ec4fd5f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mr De Haviland&subset=latin#regular', 'Mr De Haviland regular (latin)', 'Mr De Haviland', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Mr De Haviland:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1860, '5f9da828-2c04-4e16-912c-50c51d0ddd6b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mr De Haviland&subset=latin-ext#regular', 'Mr De Haviland regular (latin-ext)', 'Mr De Haviland', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Mr De Haviland:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1861, '709a1116-c4a8-44ea-b7a8-7b66e3a22c81', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mr Dafoe&subset=latin#regular', 'Mr Dafoe regular (latin)', 'Mr Dafoe', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Mr Dafoe:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1862, '319804f8-df05-4b4d-9882-8b2471bb88de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mr Dafoe&subset=latin-ext#regular', 'Mr Dafoe regular (latin-ext)', 'Mr Dafoe', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Mr Dafoe:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1863, 'a3ce31ec-c25d-4632-a982-b2a55a480cb6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mr Bedfort&subset=latin#regular', 'Mr Bedfort regular (latin)', 'Mr Bedfort', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Mr Bedfort:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1864, '53bfbb6b-95f5-4ed0-9800-cad9b9641088', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mr Bedfort&subset=latin-ext#regular', 'Mr Bedfort regular (latin-ext)', 'Mr Bedfort', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Mr Bedfort:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1865, '537d4136-3110-432d-aada-61013cbfa802', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mouse Memoirs&subset=latin#regular', 'Mouse Memoirs regular (latin)', 'Mouse Memoirs', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Mouse Memoirs:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1866, '8a4a8685-0f1d-4207-9663-3522f4bdbed4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mouse Memoirs&subset=latin-ext#regular', 'Mouse Memoirs regular (latin-ext)', 'Mouse Memoirs', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Mouse Memoirs:regular";s:6:"subset";s:9:"latin-ext";}', 1468916126, 1468916126, 0),
(1867, '806fa7fa-91f8-41a9-ae04-6bca499acd36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mountains of Christmas&subset=latin#700', 'Mountains of Christmas 700 (latin)', 'Mountains of Christmas', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Mountains of Christmas:700";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1868, '132dabee-5aa4-4ccb-87ee-eb8fc59bd784', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mountains of Christmas&subset=latin#regular', 'Mountains of Christmas regular (latin)', 'Mountains of Christmas', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:30:"Mountains of Christmas:regular";s:6:"subset";s:5:"latin";}', 1468916126, 1468916126, 0),
(1869, '4b3a25df-138a-4ae1-adf8-4428f43c8b1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Moulpali&subset=khmer#regular', 'Moulpali regular (khmer)', 'Moulpali', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Moulpali:regular";s:6:"subset";s:5:"khmer";}', 1468916126, 1468916126, 0),
(1870, '1b3280c4-1d73-4f8a-9417-1d1b96adc787', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Moul&subset=khmer#regular', 'Moul regular (khmer)', 'Moul', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Moul:regular";s:6:"subset";s:5:"khmer";}', 1468916128, 1468916128, 0),
(1871, 'c7445b7b-a49c-443c-9b8d-4856e3ea81c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montserrat Subrayada&subset=latin#700', 'Montserrat Subrayada 700 (latin)', 'Montserrat Subrayada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Montserrat Subrayada:700";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1872, '02548ae2-ca27-4982-b087-c6aa5c8c23e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montserrat Subrayada&subset=latin#regular', 'Montserrat Subrayada regular (latin)', 'Montserrat Subrayada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Montserrat Subrayada:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1873, '2824e570-56a4-498d-b044-c31ae93b3fb8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montserrat Alternates&subset=latin#700', 'Montserrat Alternates 700 (latin)', 'Montserrat Alternates', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Montserrat Alternates:700";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1874, 'b5c115c4-4b55-4f7c-9c2a-91e0dffd8038', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montserrat Alternates&subset=latin#regular', 'Montserrat Alternates regular (latin)', 'Montserrat Alternates', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Montserrat Alternates:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1875, '31afef30-103d-4726-92d6-a709e84afe80', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montserrat&subset=latin#700', 'Montserrat 700 (latin)', 'Montserrat', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Montserrat:700";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1876, 'e2eef023-0a58-4646-ab14-df9951b8bf17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montserrat&subset=latin#regular', 'Montserrat regular (latin)', 'Montserrat', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Montserrat:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1877, '71e69883-8795-4083-8df8-2a59bd80f9e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montez&subset=latin#regular', 'Montez regular (latin)', 'Montez', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Montez:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0);
INSERT INTO `fontyourface_font` VALUES
(1878, '6418b406-5eeb-44b6-b4aa-12a88c6b0c89', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Montaga&subset=latin#regular', 'Montaga regular (latin)', 'Montaga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Montaga:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1879, 'dcf456fc-7350-4fba-963c-f238abf02b03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monsieur La Doulaise&subset=latin#regular', 'Monsieur La Doulaise regular (latin)', 'Monsieur La Doulaise', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Monsieur La Doulaise:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1880, 'c114bba2-b23c-43c0-a88e-abefcb5cf8c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monsieur La Doulaise&subset=latin-ext#regular', 'Monsieur La Doulaise regular (latin-ext)', 'Monsieur La Doulaise', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Monsieur La Doulaise:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1881, '6900e7ab-1db9-4463-bfe6-3af5eb345fc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monoton&subset=latin#regular', 'Monoton regular (latin)', 'Monoton', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Monoton:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1882, 'fc8fa98a-b712-49d7-999d-4030dc5fb2b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monofett&subset=latin#regular', 'Monofett regular (latin)', 'Monofett', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Monofett:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1883, '8d41fff7-1c51-49a9-a4e2-84a3fa1a0520', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monda&subset=latin#700', 'Monda 700 (latin)', 'Monda', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Monda:700";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1884, 'e60a07d1-b951-4326-a7d8-e30c02095c85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monda&subset=latin-ext#700', 'Monda 700 (latin-ext)', 'Monda', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Monda:700";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1885, 'f5de8396-b521-481f-8237-f9b18b14e9fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monda&subset=latin#regular', 'Monda regular (latin)', 'Monda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Monda:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1886, '703b1de1-d33e-4a83-ab2b-65ba41120304', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Monda&subset=latin-ext#regular', 'Monda regular (latin-ext)', 'Monda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Monda:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1887, '62ca29fd-5cd8-47d5-980c-5d512abb1010', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Molle&subset=latin#italic', 'Molle italic (latin)', 'Molle', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Molle:italic";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1888, '94c00aa8-3e40-421c-bd78-76f40f8f38cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Molle&subset=latin-ext#italic', 'Molle italic (latin-ext)', 'Molle', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Molle:italic";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1889, '6a7b621f-5eee-4662-b8aa-51a8d7a6cb8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Molengo&subset=latin#regular', 'Molengo regular (latin)', 'Molengo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Molengo:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1890, '89babf4c-fef5-46d0-b65c-b16acc55643c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Molengo&subset=latin-ext#regular', 'Molengo regular (latin-ext)', 'Molengo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Molengo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1891, '962bb5ff-9879-4260-a00d-c5b4a3e42af7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mogra&subset=latin#regular', 'Mogra regular (latin)', 'Mogra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Mogra:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1892, 'c8860852-9b0b-4bfe-9941-67a40d031abd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mogra&subset=gujarati#regular', 'Mogra regular (gujarati)', 'Mogra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Mogra:regular";s:6:"subset";s:8:"gujarati";}', 1468916128, 1468916128, 0),
(1893, '61fb7ade-858a-4831-9a64-edee9c4060f0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mogra&subset=latin-ext#regular', 'Mogra regular (latin-ext)', 'Mogra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Mogra:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1894, '78543338-e82d-4ae0-8cdc-d0ffcf0e4c9d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Modern Antiqua&subset=latin#regular', 'Modern Antiqua regular (latin)', 'Modern Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Modern Antiqua:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1895, 'b9db7b3f-4cb6-4881-be8c-d5c5e329da83', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Modern Antiqua&subset=latin-ext#regular', 'Modern Antiqua regular (latin-ext)', 'Modern Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Modern Antiqua:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1896, '733e6855-ed4f-4b4b-9588-fb79876801f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Modak&subset=latin#regular', 'Modak regular (latin)', 'Modak', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Modak:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1897, '6c6343be-7273-48de-9e98-d470161467ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Modak&subset=devanagari#regular', 'Modak regular (devanagari)', 'Modak', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Modak:regular";s:6:"subset";s:10:"devanagari";}', 1468916128, 1468916128, 0),
(1898, '5e5b010d-cc01-4235-87ee-7c04a2acf1ff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Modak&subset=latin-ext#regular', 'Modak regular (latin-ext)', 'Modak', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Modak:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1899, '54448cdd-b8a7-4104-9435-3d39c1ac6afe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=thai#700', 'Mitr 700 (thai)', 'Mitr', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:700";s:6:"subset";s:4:"thai";}', 1468916128, 1468916128, 0),
(1900, 'e354c1d7-7376-4bb5-a290-fe427107b5f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin#700', 'Mitr 700 (latin)', 'Mitr', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:700";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1901, 'dccc7435-24e7-46b3-a513-6583df1791dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=vietnamese#700', 'Mitr 700 (vietnamese)', 'Mitr', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:700";s:6:"subset";s:10:"vietnamese";}', 1468916128, 1468916128, 0),
(1902, '7912c8e5-f3e9-4f15-83b5-d5a5d92106f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin-ext#700', 'Mitr 700 (latin-ext)', 'Mitr', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:700";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1903, '93e314ab-5da7-4dfe-a8f4-f179c8acb42b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=thai#600', 'Mitr 600 (thai)', 'Mitr', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:600";s:6:"subset";s:4:"thai";}', 1468916128, 1468916128, 0),
(1904, '2be50cce-aea5-4d40-9975-c288e9793996', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin#600', 'Mitr 600 (latin)', 'Mitr', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:600";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1905, 'bbb37646-a2c2-487f-bae2-34a6df063870', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=vietnamese#600', 'Mitr 600 (vietnamese)', 'Mitr', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:600";s:6:"subset";s:10:"vietnamese";}', 1468916128, 1468916128, 0),
(1906, '4b47bd36-b2d9-4176-b207-c990ec815927', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin-ext#600', 'Mitr 600 (latin-ext)', 'Mitr', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:600";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1907, 'c192323a-44c1-475d-a24b-04d7d7de0de8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=thai#500', 'Mitr 500 (thai)', 'Mitr', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:500";s:6:"subset";s:4:"thai";}', 1468916128, 1468916128, 0),
(1908, '895f9ae9-4858-47e0-a1cf-d309497261e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin#500', 'Mitr 500 (latin)', 'Mitr', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:500";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1909, '8f736137-4980-4577-809e-3aa4ac13ff4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=vietnamese#500', 'Mitr 500 (vietnamese)', 'Mitr', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:500";s:6:"subset";s:10:"vietnamese";}', 1468916128, 1468916128, 0),
(1910, '9ff76d87-e723-4774-b0d8-c87224333c44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin-ext#500', 'Mitr 500 (latin-ext)', 'Mitr', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:500";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1911, '4b25362c-6a71-48c7-899c-cea4670f438a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=thai#regular', 'Mitr regular (thai)', 'Mitr', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mitr:regular";s:6:"subset";s:4:"thai";}', 1468916128, 1468916128, 0),
(1912, '63b9fd74-5a28-4a7b-9c64-cbf97d76993e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin#regular', 'Mitr regular (latin)', 'Mitr', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mitr:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1913, '0b78f35c-0566-4bae-98e3-e336c5f3d750', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=vietnamese#regular', 'Mitr regular (vietnamese)', 'Mitr', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mitr:regular";s:6:"subset";s:10:"vietnamese";}', 1468916128, 1468916128, 0),
(1914, '5dac3d30-f300-441e-8b93-22d7a0daece9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin-ext#regular', 'Mitr regular (latin-ext)', 'Mitr', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mitr:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1915, '94a0507a-4e86-42c0-962a-1e8d9eb0cca2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=thai#300', 'Mitr 300 (thai)', 'Mitr', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:300";s:6:"subset";s:4:"thai";}', 1468916128, 1468916128, 0),
(1916, 'bc5e471e-b95c-4ae2-a65a-b6e860c21efc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin#300', 'Mitr 300 (latin)', 'Mitr', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:300";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1917, '251662eb-9a56-4401-8732-97866324ef52', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=vietnamese#300', 'Mitr 300 (vietnamese)', 'Mitr', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:300";s:6:"subset";s:10:"vietnamese";}', 1468916128, 1468916128, 0),
(1918, '048d532b-ac2c-4261-a2c7-cf7073be0ec1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin-ext#300', 'Mitr 300 (latin-ext)', 'Mitr', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:300";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1919, 'b204f23d-5a3d-49be-be5f-109f895b2513', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=thai#200', 'Mitr 200 (thai)', 'Mitr', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:200";s:6:"subset";s:4:"thai";}', 1468916128, 1468916128, 0),
(1920, 'cf1fc6a9-4adf-471c-9892-c8a5f598e157', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin#200', 'Mitr 200 (latin)', 'Mitr', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:200";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1921, '443cda85-e01b-4ffd-a2fd-0b913aa732ea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=vietnamese#200', 'Mitr 200 (vietnamese)', 'Mitr', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:200";s:6:"subset";s:10:"vietnamese";}', 1468916128, 1468916128, 0),
(1922, '3592eaff-c099-4fb2-a1af-e179ca858f15', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mitr&subset=latin-ext#200', 'Mitr 200 (latin-ext)', 'Mitr', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mitr:200";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1923, '09662bf9-d6b5-4fe2-a70b-b18db5f23570', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miss Fajardose&subset=latin#regular', 'Miss Fajardose regular (latin)', 'Miss Fajardose', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Miss Fajardose:regular";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1924, 'd082a453-fcba-4344-bc4c-97d085bdd787', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miss Fajardose&subset=latin-ext#regular', 'Miss Fajardose regular (latin-ext)', 'Miss Fajardose', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Miss Fajardose:regular";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1925, '49f2f7fa-bc5f-4ef3-aef8-e57af5526cfc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin#700', 'Mirza 700 (latin)', 'Mirza', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:700";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1926, 'f6e2adc2-c913-41be-a658-5a2815593ea4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=arabic#700', 'Mirza 700 (arabic)', 'Mirza', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:700";s:6:"subset";s:6:"arabic";}', 1468916128, 1468916128, 0),
(1927, 'a0c08ccc-81d0-4b4a-b6f6-4763bb62dacc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin-ext#700', 'Mirza 700 (latin-ext)', 'Mirza', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:700";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1928, 'fba13d2a-1b87-4100-bc0d-6b69686c0c99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin#600', 'Mirza 600 (latin)', 'Mirza', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:600";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1929, '9029167a-bd72-4fbf-86c6-916d702f46ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=arabic#600', 'Mirza 600 (arabic)', 'Mirza', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:600";s:6:"subset";s:6:"arabic";}', 1468916128, 1468916128, 0),
(1930, '952d659e-3147-4dc3-b2dc-4915ea4ab306', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin-ext#600', 'Mirza 600 (latin-ext)', 'Mirza', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:600";s:6:"subset";s:9:"latin-ext";}', 1468916128, 1468916128, 0),
(1931, '2296e1f9-29f2-4c9e-84bf-766f31a8e55d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin#500', 'Mirza 500 (latin)', 'Mirza', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:500";s:6:"subset";s:5:"latin";}', 1468916128, 1468916128, 0),
(1932, 'f88312ab-6c84-4532-a612-052ea1cc0c63', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=arabic#500', 'Mirza 500 (arabic)', 'Mirza', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:500";s:6:"subset";s:6:"arabic";}', 1468916128, 1468916128, 0),
(1933, 'e74bea54-7e73-42eb-bb4e-2db397b7f5b3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin-ext#500', 'Mirza 500 (latin-ext)', 'Mirza', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Mirza:500";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1934, '50ab167f-b003-48d1-8ab1-139f425dce89', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin#regular', 'Mirza regular (latin)', 'Mirza', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Mirza:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1935, 'a2b898d1-2ae6-466e-925a-de40eda98a8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=arabic#regular', 'Mirza regular (arabic)', 'Mirza', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Mirza:regular";s:6:"subset";s:6:"arabic";}', 1468916129, 1468916129, 0),
(1936, 'a4fb1137-d5d1-43ad-98a3-33fd6ca95bff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mirza&subset=latin-ext#regular', 'Mirza regular (latin-ext)', 'Mirza', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Mirza:regular";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1937, 'd748d298-6f37-4e78-9b12-a57c9c532690', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miriam Libre&subset=latin#700', 'Miriam Libre 700 (latin)', 'Miriam Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Miriam Libre:700";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1938, '4b143d18-72cf-4284-abe8-0206a46e747b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miriam Libre&subset=hebrew#700', 'Miriam Libre 700 (hebrew)', 'Miriam Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Miriam Libre:700";s:6:"subset";s:6:"hebrew";}', 1468916129, 1468916129, 0),
(1939, 'c309ba55-bc9f-4415-a0d0-c76032da1bb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miriam Libre&subset=latin-ext#700', 'Miriam Libre 700 (latin-ext)', 'Miriam Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Miriam Libre:700";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1940, '5b77da78-de7f-453d-afab-94bff5165024', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miriam Libre&subset=latin#regular', 'Miriam Libre regular (latin)', 'Miriam Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Miriam Libre:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1941, '4ea903c1-c77f-4d93-be6c-f4f7d3ea1377', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miriam Libre&subset=hebrew#regular', 'Miriam Libre regular (hebrew)', 'Miriam Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Miriam Libre:regular";s:6:"subset";s:6:"hebrew";}', 1468916129, 1468916129, 0),
(1942, 'b90758a6-c252-4baf-b476-0cd5e615355b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miriam Libre&subset=latin-ext#regular', 'Miriam Libre regular (latin-ext)', 'Miriam Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Miriam Libre:regular";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1943, '7fcdb46c-bf60-46e0-8313-cc40b905fa04', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miniver&subset=latin#regular', 'Miniver regular (latin)', 'Miniver', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Miniver:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1944, '2ce5f08e-879b-4242-bcd9-ed2534cce2a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miltonian Tattoo&subset=latin#regular', 'Miltonian Tattoo regular (latin)', 'Miltonian Tattoo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Miltonian Tattoo:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1945, '777dcc41-deee-455e-be2d-1e80758f822a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Miltonian&subset=latin#regular', 'Miltonian regular (latin)', 'Miltonian', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Miltonian:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1946, '2753ecb8-98b5-4650-8379-89b61511c623', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Milonga&subset=latin#regular', 'Milonga regular (latin)', 'Milonga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Milonga:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1947, '586c891b-7d9c-44f0-90ec-92417bcaed1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Milonga&subset=latin-ext#regular', 'Milonga regular (latin-ext)', 'Milonga', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Milonga:regular";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1948, 'a69727ce-020b-434a-a86d-7e9efe42d436', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Michroma&subset=latin#regular', 'Michroma regular (latin)', 'Michroma', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Michroma:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1949, 'adc61827-7af3-4648-832d-b1b248a8d090', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Metrophobic&subset=latin#regular', 'Metrophobic regular (latin)', 'Metrophobic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Metrophobic:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1950, '4904f395-f32f-4c31-a38f-3e5d7ec2b5a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Metamorphous&subset=latin#regular', 'Metamorphous regular (latin)', 'Metamorphous', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Metamorphous:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1951, '6741e992-26af-456d-877b-f914625f17d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Metamorphous&subset=latin-ext#regular', 'Metamorphous regular (latin-ext)', 'Metamorphous', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Metamorphous:regular";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1952, '22100b83-13ae-4c9c-97ec-f8504d929f12', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Metal Mania&subset=latin#regular', 'Metal Mania regular (latin)', 'Metal Mania', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Metal Mania:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1953, '7ed521e6-c483-4370-aed8-5283a23dc540', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Metal Mania&subset=latin-ext#regular', 'Metal Mania regular (latin-ext)', 'Metal Mania', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Metal Mania:regular";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1954, '19d03571-b8da-4d10-ba63-335aa56344d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Metal&subset=khmer#regular', 'Metal regular (khmer)', 'Metal', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Metal:regular";s:6:"subset";s:5:"khmer";}', 1468916129, 1468916129, 0),
(1955, '00bfd781-62e1-4f9d-945c-a1622dd789ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#800italic', 'Merriweather Sans 800italic (latin)', 'Merriweather Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Merriweather Sans:800italic";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1956, '35f51b4f-2b98-4bac-9896-7f1d8f9fb653', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#800italic', 'Merriweather Sans 800italic (latin-ext)', 'Merriweather Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Merriweather Sans:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1957, 'e597a7c5-b9b3-400e-aab2-3e507d2cb001', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#800', 'Merriweather Sans 800 (latin)', 'Merriweather Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Merriweather Sans:800";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1958, 'ee8b3558-5beb-49b2-bc79-38e8f295186b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#800', 'Merriweather Sans 800 (latin-ext)', 'Merriweather Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Merriweather Sans:800";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1959, '5f733579-671f-470b-9814-4a3b62fe069f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#700italic', 'Merriweather Sans 700italic (latin)', 'Merriweather Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Merriweather Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1960, 'f9de5c48-973f-4452-b8cf-df5c0ae74981', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#700italic', 'Merriweather Sans 700italic (latin-ext)', 'Merriweather Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Merriweather Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1961, '317c0e88-3c6d-4f18-9d7a-57a82bd9147e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#700', 'Merriweather Sans 700 (latin)', 'Merriweather Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Merriweather Sans:700";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1962, 'f4dc6a8f-2b39-4bcf-8833-753863499633', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#700', 'Merriweather Sans 700 (latin-ext)', 'Merriweather Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Merriweather Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1963, '2b2a4325-fb41-4371-8eb6-65fd12001078', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#italic', 'Merriweather Sans italic (latin)', 'Merriweather Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Merriweather Sans:italic";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1964, '4c567054-28e1-46c8-bd0b-9f77b65e5fea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#italic', 'Merriweather Sans italic (latin-ext)', 'Merriweather Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Merriweather Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1965, '606f1de4-d323-4007-959f-307c45145643', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#regular', 'Merriweather Sans regular (latin)', 'Merriweather Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Merriweather Sans:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1966, 'd18302ae-1b63-48bf-b655-d6d15aff554d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#regular', 'Merriweather Sans regular (latin-ext)', 'Merriweather Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Merriweather Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1967, '2edca985-6a14-4ddb-bfb5-a3f91b86f9d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#300italic', 'Merriweather Sans 300italic (latin)', 'Merriweather Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Merriweather Sans:300italic";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1968, '58942af8-cd83-4bae-8783-194d68885906', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#300italic', 'Merriweather Sans 300italic (latin-ext)', 'Merriweather Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Merriweather Sans:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1969, '1b140d27-aa68-48b0-913c-a265f25d86f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin#300', 'Merriweather Sans 300 (latin)', 'Merriweather Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Merriweather Sans:300";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1970, '6db55e84-7007-4401-b65c-7507668a40a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather Sans&subset=latin-ext#300', 'Merriweather Sans 300 (latin-ext)', 'Merriweather Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Merriweather Sans:300";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1971, '1181b893-3ba6-4588-83bd-0505e7f96efa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#900italic', 'Merriweather 900italic (cyrillic-ext)', 'Merriweather', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:900italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916129, 1468916129, 0),
(1972, '6676d74d-5855-48e9-8174-542114e86c1b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#900italic', 'Merriweather 900italic (latin)', 'Merriweather', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:900italic";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1973, '550b510c-3d3f-47fd-b4f8-1c75e245e4d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#900italic', 'Merriweather 900italic (latin-ext)', 'Merriweather', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1974, 'eef47004-233e-4e0c-82d5-0b64cd2c8dc3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#900italic', 'Merriweather 900italic (cyrillic)', 'Merriweather', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:900italic";s:6:"subset";s:8:"cyrillic";}', 1468916129, 1468916129, 0),
(1975, '4bd7ebbb-cdee-4f47-b6a9-ce616afe1510', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#900', 'Merriweather 900 (cyrillic-ext)', 'Merriweather', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:900";s:6:"subset";s:12:"cyrillic-ext";}', 1468916129, 1468916129, 0),
(1976, '4e2dbfdb-1e21-45cd-8142-297dae59ca23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#900', 'Merriweather 900 (latin)', 'Merriweather', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:900";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1977, '419a8fc5-d806-4221-ac2c-692ddbbef976', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#900', 'Merriweather 900 (latin-ext)', 'Merriweather', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:900";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1978, '73a69162-0742-4557-8b14-28e26e59568a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#900', 'Merriweather 900 (cyrillic)', 'Merriweather', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:900";s:6:"subset";s:8:"cyrillic";}', 1468916129, 1468916129, 0),
(1979, '8923ae49-29ef-4d77-9d20-9339741adf67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#700italic', 'Merriweather 700italic (cyrillic-ext)', 'Merriweather', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916129, 1468916129, 0),
(1980, 'e42a1a1a-2f9d-4fc7-8700-80127de39345', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#700italic', 'Merriweather 700italic (latin)', 'Merriweather', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:700italic";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1981, '1f5d1743-1bfa-4936-b0f0-2958fe6aa196', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#700italic', 'Merriweather 700italic (latin-ext)', 'Merriweather', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1982, '08744b03-0db1-461f-b2df-0af16b840e8d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#700italic', 'Merriweather 700italic (cyrillic)', 'Merriweather', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916129, 1468916129, 0),
(1983, '6803a9e8-9c90-42f8-b195-f37e818e099c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#700', 'Merriweather 700 (cyrillic-ext)', 'Merriweather', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916129, 1468916129, 0),
(1984, '545d528f-ef21-4999-bcec-948bdabe61a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#700', 'Merriweather 700 (latin)', 'Merriweather', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:700";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1985, '51b405e6-a58e-483a-afb5-9d60cd0e95e6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#700', 'Merriweather 700 (latin-ext)', 'Merriweather', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:700";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1986, '4b3c1535-1e56-4dca-bcde-e99e4a4228d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#700', 'Merriweather 700 (cyrillic)', 'Merriweather', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:700";s:6:"subset";s:8:"cyrillic";}', 1468916129, 1468916129, 0),
(1987, '15fba14c-2440-4e2b-9452-30d86d6f46ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#italic', 'Merriweather italic (cyrillic-ext)', 'Merriweather', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Merriweather:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916129, 1468916129, 0),
(1988, '4d25ce2b-3a4e-48e4-ba46-f234a675d102', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#italic', 'Merriweather italic (latin)', 'Merriweather', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Merriweather:italic";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1989, '0df51c33-fab4-4733-aaf0-68285125c145', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#italic', 'Merriweather italic (latin-ext)', 'Merriweather', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Merriweather:italic";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1990, '8f4a15d5-8d54-4f06-b3d2-0ff90c7c3892', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#italic', 'Merriweather italic (cyrillic)', 'Merriweather', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Merriweather:italic";s:6:"subset";s:8:"cyrillic";}', 1468916129, 1468916129, 0),
(1991, '3fe67868-665e-4901-8ad1-d80ff707e95c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#regular', 'Merriweather regular (cyrillic-ext)', 'Merriweather', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Merriweather:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916129, 1468916129, 0),
(1992, '47cabda2-d4c6-413a-a76e-4e785ffc8b88', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#regular', 'Merriweather regular (latin)', 'Merriweather', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Merriweather:regular";s:6:"subset";s:5:"latin";}', 1468916129, 1468916129, 0),
(1993, '8f9298d9-b113-4bb3-bb12-3a52d15764e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#regular', 'Merriweather regular (latin-ext)', 'Merriweather', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Merriweather:regular";s:6:"subset";s:9:"latin-ext";}', 1468916129, 1468916129, 0),
(1994, 'f0e29c4a-eea3-4388-8ca3-ef5470a3438b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#regular', 'Merriweather regular (cyrillic)', 'Merriweather', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Merriweather:regular";s:6:"subset";s:8:"cyrillic";}', 1468916131, 1468916131, 0),
(1995, 'ba4b2145-e35b-48e5-b10e-4d947795b72f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#300italic', 'Merriweather 300italic (cyrillic-ext)', 'Merriweather', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916131, 1468916131, 0),
(1996, '5948ec16-1c52-4345-9e13-ff83a72b7661', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#300italic', 'Merriweather 300italic (latin)', 'Merriweather', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:300italic";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(1997, '21d38bae-2a2a-4705-ab54-70104d0b2189', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#300italic', 'Merriweather 300italic (latin-ext)', 'Merriweather', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(1998, 'b14aa68a-5925-4d90-a357-cd27749b120a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#300italic', 'Merriweather 300italic (cyrillic)', 'Merriweather', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Merriweather:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916131, 1468916131, 0),
(1999, '65210262-01f8-423d-be57-bfe8debcb78c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic-ext#300', 'Merriweather 300 (cyrillic-ext)', 'Merriweather', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916131, 1468916131, 0),
(2000, '50a9db73-d9f3-4cdb-94f6-c11a65bf9a5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin#300', 'Merriweather 300 (latin)', 'Merriweather', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:300";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2001, '1770ec98-7a20-4f04-ade1-1031bcf64b49', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=latin-ext#300', 'Merriweather 300 (latin-ext)', 'Merriweather', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:300";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2002, '73098ace-7b3f-49b9-ac65-462165ef2f22', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merriweather&subset=cyrillic#300', 'Merriweather 300 (cyrillic)', 'Merriweather', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merriweather:300";s:6:"subset";s:8:"cyrillic";}', 1468916131, 1468916131, 0),
(2003, 'a4e66fbd-3fa0-48b5-9b08-6799d3c4f839', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merienda One&subset=latin#regular', 'Merienda One regular (latin)', 'Merienda One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Merienda One:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2004, 'c85d08d2-158c-485e-9950-b0d22ec0e2c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merienda&subset=latin#700', 'Merienda 700 (latin)', 'Merienda', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Merienda:700";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2005, '156e7045-aa01-466e-b5c0-1051532b2b2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merienda&subset=latin-ext#700', 'Merienda 700 (latin-ext)', 'Merienda', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Merienda:700";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2006, 'bac2f101-ac48-4541-94a4-347499f2672f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merienda&subset=latin#regular', 'Merienda regular (latin)', 'Merienda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merienda:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2007, '89a189c7-3209-4bad-8a02-79638330f6a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Merienda&subset=latin-ext#regular', 'Merienda regular (latin-ext)', 'Merienda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Merienda:regular";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2008, '6c970d57-fcfe-4792-b0bd-4c9e73173cf0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Meie Script&subset=latin#regular', 'Meie Script regular (latin)', 'Meie Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Meie Script:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2009, '93e707ff-6f6e-4998-bf9b-d47acddb04c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Meie Script&subset=latin-ext#regular', 'Meie Script regular (latin-ext)', 'Meie Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Meie Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2010, '2adc4681-d49f-4d55-ab53-ce4e03185fc2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Megrim&subset=latin#regular', 'Megrim regular (latin)', 'Megrim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Megrim:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2011, 'bb2290d3-e0d8-44d6-8e1d-864f8bb817fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Meera Inimai&subset=latin#regular', 'Meera Inimai regular (latin)', 'Meera Inimai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Meera Inimai:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2012, 'a29b6941-b135-43b4-86f3-ed67318e3d58', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Meera Inimai&subset=tamil#regular', 'Meera Inimai regular (tamil)', 'Meera Inimai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Meera Inimai:regular";s:6:"subset";s:5:"tamil";}', 1468916131, 1468916131, 0),
(2013, 'cab2e70c-7d77-431e-8ad9-3a355b081fd0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Medula One&subset=latin#regular', 'Medula One regular (latin)', 'Medula One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Medula One:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2014, 'b6fc3b64-93b7-4533-90fa-5e521f973cd7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=MedievalSharp&subset=latin#regular', 'MedievalSharp regular (latin)', 'MedievalSharp', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"MedievalSharp:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2015, '53f4d202-507b-43c3-8c8b-032205fd7809', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=MedievalSharp&subset=latin-ext#regular', 'MedievalSharp regular (latin-ext)', 'MedievalSharp', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"MedievalSharp:regular";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2016, 'b94fdb12-423e-4f27-8def-5e8e502729ef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Meddon&subset=latin#regular', 'Meddon regular (latin)', 'Meddon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Meddon:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2017, '60ebe70f-0843-484b-b63c-6c249aacf718', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=McLaren&subset=latin#regular', 'McLaren regular (latin)', 'McLaren', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"McLaren:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2018, '243164a2-9ac4-405a-a9fc-4a3bc105b9f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=McLaren&subset=latin-ext#regular', 'McLaren regular (latin-ext)', 'McLaren', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"McLaren:regular";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2019, 'ad68ca38-f9a3-42f6-bae9-dd091159d6f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maven Pro&subset=latin#900', 'Maven Pro 900 (latin)', 'Maven Pro', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Maven Pro:900";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2020, '706b5fa1-7132-4d4e-ae72-642ba05497c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maven Pro&subset=latin#700', 'Maven Pro 700 (latin)', 'Maven Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Maven Pro:700";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2021, '2e4c56ef-6247-4e47-a32b-cbdadb6952c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maven Pro&subset=latin#500', 'Maven Pro 500 (latin)', 'Maven Pro', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Maven Pro:500";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2022, '26603b8a-8f85-401b-9e3f-7fb384d74527', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maven Pro&subset=latin#regular', 'Maven Pro regular (latin)', 'Maven Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Maven Pro:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2023, '3bee6e00-0257-4b14-9ad4-736f3c77cf4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mate SC&subset=latin#regular', 'Mate SC regular (latin)', 'Mate SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mate SC:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2024, 'c9c70d81-abac-47a6-a28b-baad9e50231d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mate&subset=latin#italic', 'Mate italic (latin)', 'Mate', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Mate:italic";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2025, '8ea5bd58-68cb-46de-8009-d8d11f31b8c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mate&subset=latin#regular', 'Mate regular (latin)', 'Mate', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mate:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2026, 'de969472-e21d-4e93-b331-fa6a8afdaf07', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marvel&subset=latin#700italic', 'Marvel 700italic (latin)', 'Marvel', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Marvel:700italic";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2027, '5f1fca27-463f-4748-b7f8-af0bb0bef67f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marvel&subset=latin#700', 'Marvel 700 (latin)', 'Marvel', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Marvel:700";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2028, '2e8ce899-157a-437a-a5bd-9996b725e93f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marvel&subset=latin#italic', 'Marvel italic (latin)', 'Marvel', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Marvel:italic";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2029, '9ad2e2b8-863f-4242-a6d7-82886ad33154', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marvel&subset=latin#regular', 'Marvel regular (latin)', 'Marvel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Marvel:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2030, 'e13e6582-142b-4512-8eb5-2752ed685610', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin#900', 'Martel Sans 900 (latin)', 'Martel Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:900";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2031, '12982054-707f-4aaf-8d41-15836bbf4220', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=devanagari#900', 'Martel Sans 900 (devanagari)', 'Martel Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:900";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2032, '5b12513b-b44e-4ea5-b746-55462984e1bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin-ext#900', 'Martel Sans 900 (latin-ext)', 'Martel Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:900";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2033, '3debdedd-d78a-4aa7-aae1-8d5a63b495e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin#800', 'Martel Sans 800 (latin)', 'Martel Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:800";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2034, '20bd6714-98f6-497c-81ab-aa2653c84d8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=devanagari#800', 'Martel Sans 800 (devanagari)', 'Martel Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:800";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2035, '4307aeb8-7868-41c2-b1b5-0f59c3a04c62', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin-ext#800', 'Martel Sans 800 (latin-ext)', 'Martel Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:800";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2036, '35df1845-a90d-420b-a088-df33cd8f11e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin#700', 'Martel Sans 700 (latin)', 'Martel Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:700";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2037, '606d3802-a31e-41f4-a0b3-66291ca257d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=devanagari#700', 'Martel Sans 700 (devanagari)', 'Martel Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:700";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2038, '9a45b126-4e56-4020-acf9-8c843945818d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin-ext#700', 'Martel Sans 700 (latin-ext)', 'Martel Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2039, 'e0802c6b-2f47-4258-b354-a922f3c19404', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin#600', 'Martel Sans 600 (latin)', 'Martel Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:600";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2040, '29b2323d-3bc4-43f8-b5f0-d4fca31213a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=devanagari#600', 'Martel Sans 600 (devanagari)', 'Martel Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:600";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2041, '92ca40a2-bcb3-4bf9-9388-cc30bc31f6ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin-ext#600', 'Martel Sans 600 (latin-ext)', 'Martel Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:600";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2042, '1c32dbe2-41c4-4a8b-9a99-942ea0ef8efc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin#regular', 'Martel Sans regular (latin)', 'Martel Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Martel Sans:regular";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2043, '88dc3471-0c11-467a-8cdb-cfacbc921d87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=devanagari#regular', 'Martel Sans regular (devanagari)', 'Martel Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Martel Sans:regular";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2044, 'b535627f-8525-4578-9cf1-d3b4e57374a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin-ext#regular', 'Martel Sans regular (latin-ext)', 'Martel Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Martel Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2045, 'ce0cb5c9-a99e-4859-ae88-5299221a0944', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin#300', 'Martel Sans 300 (latin)', 'Martel Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:300";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2046, 'bcd74f78-0fca-4b8b-b8f5-330045e42db8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=devanagari#300', 'Martel Sans 300 (devanagari)', 'Martel Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:300";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2047, 'ff05da03-4ef9-49c1-998e-5a90199ec51b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin-ext#300', 'Martel Sans 300 (latin-ext)', 'Martel Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:300";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2048, 'd8bcb88d-d6d5-4f3a-adb8-c77cc869df27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin#200', 'Martel Sans 200 (latin)', 'Martel Sans', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:200";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2049, 'fac61a47-acc7-4462-9f33-0d0781bee159', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=devanagari#200', 'Martel Sans 200 (devanagari)', 'Martel Sans', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:200";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2050, 'c7f2f9c0-33ef-49e1-ab94-9ec8ee60cafc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel Sans&subset=latin-ext#200', 'Martel Sans 200 (latin-ext)', 'Martel Sans', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Martel Sans:200";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2051, '8933dba8-12f4-4477-8cc0-1cef43fdc353', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin#900', 'Martel 900 (latin)', 'Martel', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:900";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2052, '9d336e41-f2cd-49a7-a005-aa59d782c606', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=devanagari#900', 'Martel 900 (devanagari)', 'Martel', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:900";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2053, '093b6c27-10d3-4142-b8d9-deb8d1e8a14f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin-ext#900', 'Martel 900 (latin-ext)', 'Martel', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:900";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2054, 'f86ca50c-9f92-40df-9238-39a5c5cf90ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin#800', 'Martel 800 (latin)', 'Martel', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:800";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2055, 'f48a2951-c28c-4cc7-9e31-0a9d62801a94', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=devanagari#800', 'Martel 800 (devanagari)', 'Martel', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:800";s:6:"subset";s:10:"devanagari";}', 1468916131, 1468916131, 0),
(2056, '7caceac1-af25-4e51-b041-ea6d2bec2efc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin-ext#800', 'Martel 800 (latin-ext)', 'Martel', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:800";s:6:"subset";s:9:"latin-ext";}', 1468916131, 1468916131, 0),
(2057, '42bf091a-2d0f-44fc-89c2-5815b506c936', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin#700', 'Martel 700 (latin)', 'Martel', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:700";s:6:"subset";s:5:"latin";}', 1468916131, 1468916131, 0),
(2058, 'c8e67649-684c-4adf-86e4-ecf720aafb64', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=devanagari#700', 'Martel 700 (devanagari)', 'Martel', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:700";s:6:"subset";s:10:"devanagari";}', 1468916132, 1468916132, 0),
(2059, 'a78d6888-111a-4b61-ab72-51f0f0454256', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin-ext#700', 'Martel 700 (latin-ext)', 'Martel', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:700";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2060, 'c32e6f60-2eab-41aa-8079-fc45c489ee95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin#600', 'Martel 600 (latin)', 'Martel', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:600";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2061, '90ac1d10-ad91-4f7d-9b9f-100991c6f12b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=devanagari#600', 'Martel 600 (devanagari)', 'Martel', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:600";s:6:"subset";s:10:"devanagari";}', 1468916132, 1468916132, 0),
(2062, '9e9b7c52-0b33-47bb-991c-f6ae6c4eb740', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin-ext#600', 'Martel 600 (latin-ext)', 'Martel', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:600";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2063, 'a4a0c6e0-b8ec-4699-af83-d22194183f30', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin#regular', 'Martel regular (latin)', 'Martel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Martel:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2064, '590c4138-2362-4484-abfb-55e717a24ed1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=devanagari#regular', 'Martel regular (devanagari)', 'Martel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Martel:regular";s:6:"subset";s:10:"devanagari";}', 1468916132, 1468916132, 0),
(2065, '0aa67fee-2f1d-49ca-98c5-89f154686bff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin-ext#regular', 'Martel regular (latin-ext)', 'Martel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Martel:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2066, '6dfdf9a5-f91a-4a87-b0b2-b4405254ebe7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin#300', 'Martel 300 (latin)', 'Martel', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:300";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0);
INSERT INTO `fontyourface_font` VALUES
(2067, '3282f2f3-92a2-4493-b117-f879d8b94363', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=devanagari#300', 'Martel 300 (devanagari)', 'Martel', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:300";s:6:"subset";s:10:"devanagari";}', 1468916132, 1468916132, 0),
(2068, 'e657ca5d-91f6-4bec-9038-ce96c52f29dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin-ext#300', 'Martel 300 (latin-ext)', 'Martel', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:300";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2069, 'bb72b021-d9e2-44ba-9fcb-477eeec16f8b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin#200', 'Martel 200 (latin)', 'Martel', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:200";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2070, '9fbd240e-678b-48d2-840f-fa86f071ad64', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=devanagari#200', 'Martel 200 (devanagari)', 'Martel', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:200";s:6:"subset";s:10:"devanagari";}', 1468916132, 1468916132, 0),
(2071, '8ab75008-f77e-4be6-901e-08560f4fa9b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Martel&subset=latin-ext#200', 'Martel 200 (latin-ext)', 'Martel', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Martel:200";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2072, '9c816ded-6e73-4470-a441-8445c2f34a45', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marmelad&subset=latin#regular', 'Marmelad regular (latin)', 'Marmelad', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Marmelad:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2073, '2997be51-d0ad-4901-8f2b-fcf0d44a0ce7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marmelad&subset=latin-ext#regular', 'Marmelad regular (latin-ext)', 'Marmelad', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Marmelad:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2074, '28149210-14fb-4589-8962-5527e8795749', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marmelad&subset=cyrillic#regular', 'Marmelad regular (cyrillic)', 'Marmelad', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Marmelad:regular";s:6:"subset";s:8:"cyrillic";}', 1468916132, 1468916132, 0),
(2075, 'f5ee4153-7910-440d-94dc-2f3c5ef70092', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marko One&subset=latin#regular', 'Marko One regular (latin)', 'Marko One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Marko One:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2076, '0f79e412-3693-4c47-a092-6de1e8f37d37', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Margarine&subset=latin#regular', 'Margarine regular (latin)', 'Margarine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Margarine:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2077, '8bce089d-471a-43e8-b6d6-cc1709db03ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Margarine&subset=latin-ext#regular', 'Margarine regular (latin-ext)', 'Margarine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Margarine:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2078, '93ba21ac-2ce3-4a40-9cba-a7be1f2d281f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marck Script&subset=latin#regular', 'Marck Script regular (latin)', 'Marck Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Marck Script:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2079, '1d1d2487-b271-4420-9557-d3220322994c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marck Script&subset=latin-ext#regular', 'Marck Script regular (latin-ext)', 'Marck Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Marck Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2080, 'e72da3e4-34cc-41a8-bf21-cedf8ea26dda', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marck Script&subset=cyrillic#regular', 'Marck Script regular (cyrillic)', 'Marck Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Marck Script:regular";s:6:"subset";s:8:"cyrillic";}', 1468916132, 1468916132, 0),
(2081, 'a4cc2039-6458-420e-81ba-9844043ea1e6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marcellus SC&subset=latin#regular', 'Marcellus SC regular (latin)', 'Marcellus SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Marcellus SC:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2082, 'bbdc3ecf-2fa7-4c5e-90d7-35ec0c0b6a71', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marcellus SC&subset=latin-ext#regular', 'Marcellus SC regular (latin-ext)', 'Marcellus SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Marcellus SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2083, '232b58c7-cd57-462d-ada8-90895cb03774', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marcellus&subset=latin#regular', 'Marcellus regular (latin)', 'Marcellus', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Marcellus:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2084, '81869deb-7524-46ee-8da7-4397bc8d3b67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Marcellus&subset=latin-ext#regular', 'Marcellus regular (latin-ext)', 'Marcellus', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Marcellus:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2085, '75a9284d-fe54-4c03-be79-cd0e20c9bc30', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mandali&subset=latin#regular', 'Mandali regular (latin)', 'Mandali', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mandali:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2086, '5e9ff13b-7888-48d0-bc76-7c142f21b870', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mandali&subset=telugu#regular', 'Mandali regular (telugu)', 'Mandali', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Mandali:regular";s:6:"subset";s:6:"telugu";}', 1468916132, 1468916132, 0),
(2087, 'f2f13a30-137f-43b1-862a-850d0f42cd4a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mallanna&subset=latin#regular', 'Mallanna regular (latin)', 'Mallanna', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Mallanna:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2088, 'eddf6356-ac72-4569-8339-0c805325fe08', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mallanna&subset=telugu#regular', 'Mallanna regular (telugu)', 'Mallanna', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Mallanna:regular";s:6:"subset";s:6:"telugu";}', 1468916132, 1468916132, 0),
(2089, '7f71a24f-b589-4bb8-b798-6272cf06fa73', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mako&subset=latin#regular', 'Mako regular (latin)', 'Mako', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mako:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2090, '26600eb4-486e-49ea-8da3-f0535f822cbf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=thai#700', 'Maitree 700 (thai)', 'Maitree', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:700";s:6:"subset";s:4:"thai";}', 1468916132, 1468916132, 0),
(2091, '8217cc75-f194-43cc-b557-2cd2f6b9848c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin#700', 'Maitree 700 (latin)', 'Maitree', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:700";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2092, '4a14c279-e5f9-4631-89ec-6bf435cc01ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=vietnamese#700', 'Maitree 700 (vietnamese)', 'Maitree', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:700";s:6:"subset";s:10:"vietnamese";}', 1468916132, 1468916132, 0),
(2093, '030f826a-77a9-4234-9ae7-12d480cc112e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin-ext#700', 'Maitree 700 (latin-ext)', 'Maitree', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:700";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2094, '72fe3c87-8d0d-48bb-ae9e-9a9d36fa60bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=thai#600', 'Maitree 600 (thai)', 'Maitree', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:600";s:6:"subset";s:4:"thai";}', 1468916132, 1468916132, 0),
(2095, 'efe35175-b9fa-4801-8188-53c85c6eb768', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin#600', 'Maitree 600 (latin)', 'Maitree', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:600";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2096, '47fb94c1-9780-4671-a66a-2145f80eaf78', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=vietnamese#600', 'Maitree 600 (vietnamese)', 'Maitree', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:600";s:6:"subset";s:10:"vietnamese";}', 1468916132, 1468916132, 0),
(2097, '366bdf28-d21e-48b1-94b1-61344eb1a9cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin-ext#600', 'Maitree 600 (latin-ext)', 'Maitree', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:600";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2098, '009a63be-6a1b-4eef-8c6b-d04e070a1b87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=thai#500', 'Maitree 500 (thai)', 'Maitree', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:500";s:6:"subset";s:4:"thai";}', 1468916132, 1468916132, 0),
(2099, 'dba8068b-ad44-40c3-a2fa-c5f9778ea72e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin#500', 'Maitree 500 (latin)', 'Maitree', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:500";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2100, 'e78f6a3a-f1bd-4cbc-b533-5eaaa4c78273', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=vietnamese#500', 'Maitree 500 (vietnamese)', 'Maitree', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:500";s:6:"subset";s:10:"vietnamese";}', 1468916132, 1468916132, 0),
(2101, '18b364ab-a602-415d-8d6c-a833bbed1b2d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin-ext#500', 'Maitree 500 (latin-ext)', 'Maitree', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:500";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2102, '485bbc40-131e-4cfb-ac68-1e4b8f1a4297', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=thai#regular', 'Maitree regular (thai)', 'Maitree', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Maitree:regular";s:6:"subset";s:4:"thai";}', 1468916132, 1468916132, 0),
(2103, '2ab74a2f-fa44-42c6-86e6-e237a8cffb8d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin#regular', 'Maitree regular (latin)', 'Maitree', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Maitree:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2104, 'cdc10457-105a-430f-93b5-6a321c67c3e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=vietnamese#regular', 'Maitree regular (vietnamese)', 'Maitree', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Maitree:regular";s:6:"subset";s:10:"vietnamese";}', 1468916132, 1468916132, 0),
(2105, '0e13d47d-c5fc-44e2-976c-f78651917608', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin-ext#regular', 'Maitree regular (latin-ext)', 'Maitree', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Maitree:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2106, '61f6ae5b-b534-474b-ae36-6dcd6c1f3459', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=thai#300', 'Maitree 300 (thai)', 'Maitree', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:300";s:6:"subset";s:4:"thai";}', 1468916132, 1468916132, 0),
(2107, '86d72555-c31a-4f8d-90ac-a4e48bc94042', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin#300', 'Maitree 300 (latin)', 'Maitree', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:300";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2108, '6b4527d6-825c-41e2-ab0a-2c4d1ec644a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=vietnamese#300', 'Maitree 300 (vietnamese)', 'Maitree', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:300";s:6:"subset";s:10:"vietnamese";}', 1468916132, 1468916132, 0),
(2109, 'e635c23e-f5e7-4512-a4f8-0609bee680cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin-ext#300', 'Maitree 300 (latin-ext)', 'Maitree', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:300";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2110, '3543a7c3-2625-46d1-bdaa-7f7eb88d0294', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=thai#200', 'Maitree 200 (thai)', 'Maitree', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:200";s:6:"subset";s:4:"thai";}', 1468916132, 1468916132, 0),
(2111, '72ad42f4-b8e2-46a0-aacb-02c40cccc666', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin#200', 'Maitree 200 (latin)', 'Maitree', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:200";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2112, '08b4631e-b33e-479a-bbf2-e8331e8e758b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=vietnamese#200', 'Maitree 200 (vietnamese)', 'Maitree', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:200";s:6:"subset";s:10:"vietnamese";}', 1468916132, 1468916132, 0),
(2113, 'd7db7964-5010-4d01-94e1-263b8c62fd69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maitree&subset=latin-ext#200', 'Maitree 200 (latin-ext)', 'Maitree', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Maitree:200";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2114, 'c792851d-83b0-4f5c-ac5d-4610de92a9aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Maiden Orange&subset=latin#regular', 'Maiden Orange regular (latin)', 'Maiden Orange', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Maiden Orange:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2115, '4248e8c0-61dc-4aec-a232-61d922d561e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Magra&subset=latin#700', 'Magra 700 (latin)', 'Magra', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Magra:700";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2116, '58ae7bc6-cc98-4288-95a3-b13633a2e1cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Magra&subset=latin-ext#700', 'Magra 700 (latin-ext)', 'Magra', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Magra:700";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2117, '84476d70-8c46-4f3c-81de-df89c3bbb79b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Magra&subset=latin#regular', 'Magra regular (latin)', 'Magra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Magra:regular";s:6:"subset";s:5:"latin";}', 1468916132, 1468916132, 0),
(2118, '0429e56e-b8ec-4e9e-a401-201bd64719cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Magra&subset=latin-ext#regular', 'Magra regular (latin-ext)', 'Magra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Magra:regular";s:6:"subset";s:9:"latin-ext";}', 1468916132, 1468916132, 0),
(2119, '2cabb07d-1b73-41a0-bfaa-26e7f69a49c0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=latin#900', 'Mada 900 (latin)', 'Mada', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mada:900";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2120, '980bfed5-7dc2-4202-a675-31af1fe4be06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=arabic#900', 'Mada 900 (arabic)', 'Mada', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mada:900";s:6:"subset";s:6:"arabic";}', 1468916134, 1468916134, 0),
(2121, '46f2012c-6a16-41f8-9940-22b13d5a7f70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=latin#500', 'Mada 500 (latin)', 'Mada', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mada:500";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2122, '8c308fd5-a2cd-47bf-95bf-c800f50417e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=arabic#500', 'Mada 500 (arabic)', 'Mada', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mada:500";s:6:"subset";s:6:"arabic";}', 1468916134, 1468916134, 0),
(2123, 'f67f8ede-eac9-454c-a884-69034ffb0ff4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=latin#regular', 'Mada regular (latin)', 'Mada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mada:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2124, '1e742a7d-aac8-4d44-b826-26ea80a39d11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=arabic#regular', 'Mada regular (arabic)', 'Mada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Mada:regular";s:6:"subset";s:6:"arabic";}', 1468916134, 1468916134, 0),
(2125, '1a54d5d4-3b52-4dcd-ab02-aa9b64704154', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=latin#300', 'Mada 300 (latin)', 'Mada', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mada:300";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2126, '577addfe-5513-4cab-864f-203dfe5ad850', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Mada&subset=arabic#300', 'Mada 300 (arabic)', 'Mada', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Mada:300";s:6:"subset";s:6:"arabic";}', 1468916134, 1468916134, 0),
(2127, '9596ce33-11e2-4d36-99c6-2d451142251c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Macondo Swash Caps&subset=latin#regular', 'Macondo Swash Caps regular (latin)', 'Macondo Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Macondo Swash Caps:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2128, '98c70bba-e0cf-42eb-b86c-506197ec135c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Macondo&subset=latin#regular', 'Macondo regular (latin)', 'Macondo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Macondo:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2129, 'a46049bc-d82c-4f63-a2b7-21d9980f52c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lustria&subset=latin#regular', 'Lustria regular (latin)', 'Lustria', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lustria:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2130, '365adf20-446e-4c97-aeb2-e10438746daf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lusitana&subset=latin#700', 'Lusitana 700 (latin)', 'Lusitana', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lusitana:700";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2131, 'e3f99b6e-f477-41f7-b505-05621209d333', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lusitana&subset=latin#regular', 'Lusitana regular (latin)', 'Lusitana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Lusitana:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2132, 'cdff85a8-d146-4f5b-86f3-6cd643613f50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Luckiest Guy&subset=latin#regular', 'Luckiest Guy regular (latin)', 'Luckiest Guy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Luckiest Guy:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2133, '88fc58c4-9a58-4ffa-81fb-86eaeac8a691', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lovers Quarrel&subset=latin#regular', 'Lovers Quarrel regular (latin)', 'Lovers Quarrel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Lovers Quarrel:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2134, '8c128cbc-81d6-4f4c-82fd-37a052a5d63b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lovers Quarrel&subset=latin-ext#regular', 'Lovers Quarrel regular (latin-ext)', 'Lovers Quarrel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Lovers Quarrel:regular";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2135, '5e016e11-bb19-475b-98f9-08d32f120f60', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Loved by the King&subset=latin#regular', 'Loved by the King regular (latin)', 'Loved by the King', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Loved by the King:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2136, 'ed885892-f7d3-492c-ac72-c8d090f4d4db', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Love Ya Like A Sister&subset=latin#regular', 'Love Ya Like A Sister regular (latin)', 'Love Ya Like A Sister', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Love Ya Like A Sister:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2137, '878356d3-3c7b-4442-801d-f3e109e8c9a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin#700italic', 'Lora 700italic (latin)', 'Lora', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lora:700italic";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2138, '4c43235a-6a8c-4a49-8aa9-9b819eee7c27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin-ext#700italic', 'Lora 700italic (latin-ext)', 'Lora', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lora:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2139, '77313b9b-e379-4a8e-a9cb-109bb9f3898c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=cyrillic#700italic', 'Lora 700italic (cyrillic)', 'Lora', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lora:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916134, 1468916134, 0),
(2140, 'b76c2ad9-1ba2-4c74-a805-b91f141e97d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin#700', 'Lora 700 (latin)', 'Lora', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lora:700";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2141, '75e9f080-2929-43ab-9a0e-ca529b9f76b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin-ext#700', 'Lora 700 (latin-ext)', 'Lora', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lora:700";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2142, 'fc9010f9-f991-4320-8708-8e56b94cd685', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=cyrillic#700', 'Lora 700 (cyrillic)', 'Lora', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lora:700";s:6:"subset";s:8:"cyrillic";}', 1468916134, 1468916134, 0),
(2143, 'f739d725-360d-40c3-8e77-83172cf2f159', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin#italic', 'Lora italic (latin)', 'Lora', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Lora:italic";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2144, '4f5c48e4-e5f4-40ad-84c5-e93d25666e9a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin-ext#italic', 'Lora italic (latin-ext)', 'Lora', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Lora:italic";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2145, '0451b7b5-7d6b-4794-887b-3615e10a9206', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=cyrillic#italic', 'Lora italic (cyrillic)', 'Lora', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Lora:italic";s:6:"subset";s:8:"cyrillic";}', 1468916134, 1468916134, 0),
(2146, 'ffa2bd8f-e169-4955-aa43-d13f6c3bd9ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin#regular', 'Lora regular (latin)', 'Lora', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lora:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2147, 'fcb67160-d584-497c-9c26-213a10d7df23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=latin-ext#regular', 'Lora regular (latin-ext)', 'Lora', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lora:regular";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2148, '93bfccee-d9b5-4924-9197-2e8129586fce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lora&subset=cyrillic#regular', 'Lora regular (cyrillic)', 'Lora', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lora:regular";s:6:"subset";s:8:"cyrillic";}', 1468916134, 1468916134, 0),
(2149, 'ef459416-5c99-4a63-b08f-6bd05498571f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Londrina Solid&subset=latin#regular', 'Londrina Solid regular (latin)', 'Londrina Solid', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Londrina Solid:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2150, '5339e4e3-9c19-485c-b64d-40462f41d155', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Londrina Sketch&subset=latin#regular', 'Londrina Sketch regular (latin)', 'Londrina Sketch', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Londrina Sketch:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2151, 'ee982c6f-972a-4884-ad0c-5dcd49f46ee8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Londrina Shadow&subset=latin#regular', 'Londrina Shadow regular (latin)', 'Londrina Shadow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Londrina Shadow:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2152, '1ff2ac0e-bb4d-4a04-ace5-44ef5a7fcb1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Londrina Outline&subset=latin#regular', 'Londrina Outline regular (latin)', 'Londrina Outline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Londrina Outline:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2153, '36dd79ea-00b8-4890-84e2-2fac2eece6cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster Two&subset=latin#700italic', 'Lobster Two 700italic (latin)', 'Lobster Two', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Lobster Two:700italic";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2154, 'a3cf78d1-ca62-455f-9a55-d49330b8701d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster Two&subset=latin#700', 'Lobster Two 700 (latin)', 'Lobster Two', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lobster Two:700";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2155, '6dd105dc-6f2b-4025-b5d3-8c1f06b070de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster Two&subset=latin#italic', 'Lobster Two italic (latin)', 'Lobster Two', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Lobster Two:italic";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2156, '591c6058-d5e4-4fed-97f0-c6cff19e2db9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster Two&subset=latin#regular', 'Lobster Two regular (latin)', 'Lobster Two', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Lobster Two:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2157, '743da729-fc60-4621-b7cb-6cd82544e3cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster&subset=latin#regular', 'Lobster regular (latin)', 'Lobster', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lobster:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2158, '15e2bcf8-4ebb-4e16-8423-19eb19c4d8e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster&subset=vietnamese#regular', 'Lobster regular (vietnamese)', 'Lobster', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lobster:regular";s:6:"subset";s:10:"vietnamese";}', 1468916134, 1468916134, 0),
(2159, 'ce2c0b87-216f-4a02-8f36-a8fb47454072', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster&subset=latin-ext#regular', 'Lobster regular (latin-ext)', 'Lobster', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lobster:regular";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2160, 'f858e91d-9a63-440c-a0bb-e924b15023b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lobster&subset=cyrillic#regular', 'Lobster regular (cyrillic)', 'Lobster', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lobster:regular";s:6:"subset";s:8:"cyrillic";}', 1468916134, 1468916134, 0),
(2161, 'f5bddbfc-0b4b-4ac9-b060-d2b37fb00828', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Linden Hill&subset=latin#italic', 'Linden Hill italic (latin)', 'Linden Hill', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Linden Hill:italic";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2162, 'aba3ad12-c605-4fa6-b5fd-4b454821bb8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Linden Hill&subset=latin#regular', 'Linden Hill regular (latin)', 'Linden Hill', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Linden Hill:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2163, '27af7fdb-d884-4fec-ab41-b381275d421e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Limelight&subset=latin#regular', 'Limelight regular (latin)', 'Limelight', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Limelight:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2164, '2ba05887-bf1f-456c-92ca-f176374e382d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Limelight&subset=latin-ext#regular', 'Limelight regular (latin-ext)', 'Limelight', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Limelight:regular";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2165, 'edfeec03-55a4-44f6-aa4b-9f5cddc5d1cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lily Script One&subset=latin#regular', 'Lily Script One regular (latin)', 'Lily Script One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Lily Script One:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2166, 'e39603d3-d109-4f22-913c-884a60e20138', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lily Script One&subset=latin-ext#regular', 'Lily Script One regular (latin-ext)', 'Lily Script One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Lily Script One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2167, '63c25e64-bb2d-4f5d-8c58-5afaba990585', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lilita One&subset=latin#regular', 'Lilita One regular (latin)', 'Lilita One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Lilita One:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2168, 'e6d592cd-9de2-4369-a402-b514bdb130c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lilita One&subset=latin-ext#regular', 'Lilita One regular (latin-ext)', 'Lilita One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Lilita One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2169, '16554e44-4a9f-41cc-a863-3e08b166ee3d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Life Savers&subset=latin#700', 'Life Savers 700 (latin)', 'Life Savers', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Life Savers:700";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2170, '92970a15-9c26-4ded-bb6b-bf31372671ef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Life Savers&subset=latin-ext#700', 'Life Savers 700 (latin-ext)', 'Life Savers', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Life Savers:700";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2171, '410f8fc7-4015-4521-b37c-6f63a3ae25b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Life Savers&subset=latin#regular', 'Life Savers regular (latin)', 'Life Savers', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Life Savers:regular";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2172, '3536ca0e-b83f-415c-9466-4555224071d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Life Savers&subset=latin-ext#regular', 'Life Savers regular (latin-ext)', 'Life Savers', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Life Savers:regular";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2173, '27979427-b8f4-4a04-adfa-5a9b7de7158c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#900italic', 'Libre Franklin 900italic (latin)', 'Libre Franklin', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:900italic";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2174, '59e8d484-bda5-45ed-8d8f-4516af6aa663', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#900italic', 'Libre Franklin 900italic (latin-ext)', 'Libre Franklin', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2175, 'a69decd9-e979-4cc0-9dd7-90867e8a372f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#900', 'Libre Franklin 900 (latin)', 'Libre Franklin', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:900";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2176, '012f7a1b-a14d-43c4-9223-37e0b06ec98d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#900', 'Libre Franklin 900 (latin-ext)', 'Libre Franklin', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:900";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2177, 'd3b24b3d-c789-4d91-af92-120205292e67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#800italic', 'Libre Franklin 800italic (latin)', 'Libre Franklin', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:800italic";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2178, 'ee2c5a7a-2aa3-4e5d-9baf-3a18d394b598', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#800italic', 'Libre Franklin 800italic (latin-ext)', 'Libre Franklin', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2179, '0482167e-5ecf-460b-b0fd-0e269a76bfe9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#800', 'Libre Franklin 800 (latin)', 'Libre Franklin', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:800";s:6:"subset";s:5:"latin";}', 1468916134, 1468916134, 0),
(2180, 'a9b0e856-0f54-4b6a-8607-42202f7ad099', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#800', 'Libre Franklin 800 (latin-ext)', 'Libre Franklin', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:800";s:6:"subset";s:9:"latin-ext";}', 1468916134, 1468916134, 0),
(2181, 'bec87e78-c741-4f67-960a-fc6d97c06c17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#700italic', 'Libre Franklin 700italic (latin)', 'Libre Franklin', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:700italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2182, '0794c215-be67-44e7-ae15-adcc302ff250', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#700italic', 'Libre Franklin 700italic (latin-ext)', 'Libre Franklin', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2183, '2d5c8054-3371-4f81-a2a5-95910c5145df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#700', 'Libre Franklin 700 (latin)', 'Libre Franklin', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:700";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2184, '67fa9e08-7ee2-4bbc-a535-6b89fda9806d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#700', 'Libre Franklin 700 (latin-ext)', 'Libre Franklin', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:700";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1486057686, 0),
(2185, '65370012-21b0-4138-8b51-2a7e83131eb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#600italic', 'Libre Franklin 600italic (latin)', 'Libre Franklin', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:600italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2186, '97dad22a-273e-43a8-a322-b200d66c7d00', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#600italic', 'Libre Franklin 600italic (latin-ext)', 'Libre Franklin', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2187, 'ea6c69a1-2754-4b8c-a935-28067c66c39d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#600', 'Libre Franklin 600 (latin)', 'Libre Franklin', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:600";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2188, 'c2b38197-a60e-4366-9171-dc8ff33f74c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#600', 'Libre Franklin 600 (latin-ext)', 'Libre Franklin', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:600";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2189, 'd0b8991f-f604-4c3f-8a68-d2c16da2bc02', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#500italic', 'Libre Franklin 500italic (latin)', 'Libre Franklin', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:500italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2190, 'e4fac260-bf52-42f4-b4aa-396baaeaab5d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#500italic', 'Libre Franklin 500italic (latin-ext)', 'Libre Franklin', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2191, 'd2c3e948-57da-4d54-9020-97695cc04730', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#500', 'Libre Franklin 500 (latin)', 'Libre Franklin', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:500";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2192, '94ce40e4-26f9-4aa3-a435-7ea6c0908a13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#500', 'Libre Franklin 500 (latin-ext)', 'Libre Franklin', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:500";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2193, '2926271a-e481-4807-9e60-4a1c5eab6ff0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#italic', 'Libre Franklin italic (latin)', 'Libre Franklin', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Libre Franklin:italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2194, '23d6ab7c-e2ef-4262-96c3-2765db1f0f9d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#italic', 'Libre Franklin italic (latin-ext)', 'Libre Franklin', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Libre Franklin:italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2195, '2f7fa214-27b8-4331-9741-1fc0243c3f0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#regular', 'Libre Franklin regular (latin)', 'Libre Franklin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Libre Franklin:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2196, 'fe68b36c-808c-40e7-b406-d642f8351c15', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#regular', 'Libre Franklin regular (latin-ext)', 'Libre Franklin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Libre Franklin:regular";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1486057687, 0),
(2197, '08317ba0-7757-411f-952e-f8cfb535667d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#300italic', 'Libre Franklin 300italic (latin)', 'Libre Franklin', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:300italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2198, '3c57e804-198e-4c63-9df4-89ff0e63f815', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#300italic', 'Libre Franklin 300italic (latin-ext)', 'Libre Franklin', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2199, '50fcde07-f6cf-4d43-b8a9-2aad9a439da6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#300', 'Libre Franklin 300 (latin)', 'Libre Franklin', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:300";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2200, '81195ffb-72e6-43dd-84e8-5ba7d0f5fdcd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#300', 'Libre Franklin 300 (latin-ext)', 'Libre Franklin', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:300";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1499697702, 0),
(2201, '302d4974-57e3-47f4-a63f-569367b28126', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#200italic', 'Libre Franklin 200italic (latin)', 'Libre Franklin', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:200italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2202, '1578a5fc-942a-4a4b-9985-8136ee6b3bf8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#200italic', 'Libre Franklin 200italic (latin-ext)', 'Libre Franklin', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2203, 'aee1aceb-dbd6-4737-929e-941c9732600a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#200', 'Libre Franklin 200 (latin)', 'Libre Franklin', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:200";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2204, 'e0202e0a-859a-4c54-8365-6e8cbf500927', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#200', 'Libre Franklin 200 (latin-ext)', 'Libre Franklin', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:200";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2205, '3e2a0700-3b88-42f6-a45c-6eec1c5b45e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#100italic', 'Libre Franklin 100italic (latin)', 'Libre Franklin', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:100italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2206, '92f34432-2b4d-4810-b078-8a4888f13fa6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#100italic', 'Libre Franklin 100italic (latin-ext)', 'Libre Franklin', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Franklin:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2207, '68a51c7a-524a-4d41-afc0-ae6d135dabe5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin#100', 'Libre Franklin 100 (latin)', 'Libre Franklin', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:100";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2208, '55232e8e-4cbe-4679-b9a0-9f3a47a555f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Franklin&subset=latin-ext#100', 'Libre Franklin 100 (latin-ext)', 'Libre Franklin', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Libre Franklin:100";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2209, '27f2cf14-e464-438f-9224-3f81b21abadf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Baskerville&subset=latin#700', 'Libre Baskerville 700 (latin)', 'Libre Baskerville', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Libre Baskerville:700";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2210, '66a54c07-1b17-4d1c-84bc-304eb6c96a82', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Baskerville&subset=latin-ext#700', 'Libre Baskerville 700 (latin-ext)', 'Libre Baskerville', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Libre Baskerville:700";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2211, 'ab56360d-6b93-4a87-871c-60389dbf33f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Baskerville&subset=latin#italic', 'Libre Baskerville italic (latin)', 'Libre Baskerville', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Baskerville:italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2212, 'ec35cbc4-bb6c-470c-9d03-90b16ddc4b87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Baskerville&subset=latin-ext#italic', 'Libre Baskerville italic (latin-ext)', 'Libre Baskerville', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Libre Baskerville:italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2213, 'c51bfd71-a38c-4c0e-b10a-8269ed559dc1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Baskerville&subset=latin#regular', 'Libre Baskerville regular (latin)', 'Libre Baskerville', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Libre Baskerville:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2214, 'e2f26e45-f317-4cd3-a854-a41fa95d3752', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Libre Baskerville&subset=latin-ext#regular', 'Libre Baskerville regular (latin-ext)', 'Libre Baskerville', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Libre Baskerville:regular";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2215, 'f71caddd-bc9a-46c7-b7c1-222dc879dfbe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin#700', 'Lemonada 700 (latin)', 'Lemonada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:700";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2216, '37189237-89ea-4c0d-9eda-c3e949e4c50d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=arabic#700', 'Lemonada 700 (arabic)', 'Lemonada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:700";s:6:"subset";s:6:"arabic";}', 1468916135, 1468916135, 0),
(2217, '7cc45975-9c1c-4a52-8fc1-3e53381722ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=vietnamese#700', 'Lemonada 700 (vietnamese)', 'Lemonada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:700";s:6:"subset";s:10:"vietnamese";}', 1468916135, 1468916135, 0),
(2218, '6aa12450-e809-454b-ad60-1cc091247c6a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin-ext#700', 'Lemonada 700 (latin-ext)', 'Lemonada', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:700";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2219, '419a5a84-01e0-442f-9727-c42d9125a68d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin#600', 'Lemonada 600 (latin)', 'Lemonada', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:600";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2220, 'bf919381-6998-47f1-9216-6ea2269eb4b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=arabic#600', 'Lemonada 600 (arabic)', 'Lemonada', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:600";s:6:"subset";s:6:"arabic";}', 1468916135, 1468916135, 0),
(2221, '069f6cd3-5d9a-4aed-8c84-9ecbb2a73765', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=vietnamese#600', 'Lemonada 600 (vietnamese)', 'Lemonada', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:600";s:6:"subset";s:10:"vietnamese";}', 1468916135, 1468916135, 0),
(2222, '77e8aff6-db37-4558-8779-b3283d658ca3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin-ext#600', 'Lemonada 600 (latin-ext)', 'Lemonada', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:600";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2223, '371ff50d-5f54-4345-b88b-8187a365d6e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin#regular', 'Lemonada regular (latin)', 'Lemonada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Lemonada:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2224, '8c5b6609-99d5-4234-b5e5-d2ea8c4c87fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=arabic#regular', 'Lemonada regular (arabic)', 'Lemonada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Lemonada:regular";s:6:"subset";s:6:"arabic";}', 1468916135, 1468916135, 0),
(2225, '31089050-7c21-4317-8481-8f6d30874c06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=vietnamese#regular', 'Lemonada regular (vietnamese)', 'Lemonada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Lemonada:regular";s:6:"subset";s:10:"vietnamese";}', 1468916135, 1468916135, 0),
(2226, 'b0a09d75-5f97-4c6f-8ccc-025727a6185c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin-ext#regular', 'Lemonada regular (latin-ext)', 'Lemonada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Lemonada:regular";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2227, '4a23f514-dac9-4985-bbc7-d099be3ba7d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin#300', 'Lemonada 300 (latin)', 'Lemonada', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:300";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2228, '886ca049-e376-4f8d-966a-f9c5719baa8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=arabic#300', 'Lemonada 300 (arabic)', 'Lemonada', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:300";s:6:"subset";s:6:"arabic";}', 1468916135, 1468916135, 0),
(2229, 'a557d4bb-615f-4542-9086-20e4b030841b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=vietnamese#300', 'Lemonada 300 (vietnamese)', 'Lemonada', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:300";s:6:"subset";s:10:"vietnamese";}', 1468916135, 1468916135, 0),
(2230, 'b649cb82-c0cc-4db7-8225-8fa4411855e6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemonada&subset=latin-ext#300', 'Lemonada 300 (latin-ext)', 'Lemonada', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lemonada:300";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2231, '5ebbfc4c-9924-4e75-810b-e8abb6db6b7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lemon&subset=latin#regular', 'Lemon regular (latin)', 'Lemon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Lemon:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2232, '4ab8ada9-dd87-4285-add3-727143abc80a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lekton&subset=latin#700', 'Lekton 700 (latin)', 'Lekton', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Lekton:700";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2233, '2b33fb3b-0bdc-4d69-92a5-5e27cfc8d149', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lekton&subset=latin-ext#700', 'Lekton 700 (latin-ext)', 'Lekton', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Lekton:700";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2234, '093da835-f023-45f7-97b0-088191c230e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lekton&subset=latin#italic', 'Lekton italic (latin)', 'Lekton', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Lekton:italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2235, '8aa1a42d-558c-433a-864c-b4b08c9de113', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lekton&subset=latin-ext#italic', 'Lekton italic (latin-ext)', 'Lekton', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Lekton:italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2236, '8f799228-0953-4e05-944c-96080533984a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lekton&subset=latin#regular', 'Lekton regular (latin)', 'Lekton', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lekton:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2237, '0e236ffe-94a9-4119-9764-e76b9a7c210a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lekton&subset=latin-ext#regular', 'Lekton regular (latin-ext)', 'Lekton', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lekton:regular";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2238, 'b8ae9836-e21a-40fd-811e-a33794fbe88c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ledger&subset=latin#regular', 'Ledger regular (latin)', 'Ledger', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ledger:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2239, '482f398c-5517-42d6-9c1a-bf4b956925d3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ledger&subset=latin-ext#regular', 'Ledger regular (latin-ext)', 'Ledger', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ledger:regular";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2240, '976892ae-ec0b-46f9-95a3-efabaf16362a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ledger&subset=cyrillic#regular', 'Ledger regular (cyrillic)', 'Ledger', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Ledger:regular";s:6:"subset";s:8:"cyrillic";}', 1468916135, 1468916135, 0),
(2241, '4a13d88a-fc78-4dea-be13-34ea9f28e656', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Leckerli One&subset=latin#regular', 'Leckerli One regular (latin)', 'Leckerli One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Leckerli One:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2242, 'e4dad993-6175-4ace-976e-a7636dfc21a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=League Script&subset=latin#regular', 'League Script regular (latin)', 'League Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"League Script:regular";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2243, '480bae06-b1dd-4c70-8902-b505097a3945', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#900italic', 'Lato 900italic (latin)', 'Lato', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:900italic";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2244, '91baa09a-166a-42ad-bdfc-7986ab991a1b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#900italic', 'Lato 900italic (latin-ext)', 'Lato', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916135, 1468916135, 0),
(2245, '1ccc6495-6756-421c-a405-65e00fc0e5f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#900', 'Lato 900 (latin)', 'Lato', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:900";s:6:"subset";s:5:"latin";}', 1468916135, 1468916135, 0),
(2246, '8065609c-e25f-40f1-bde4-2f79c7641828', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#900', 'Lato 900 (latin-ext)', 'Lato', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:900";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2247, 'b9d3594e-0d14-48c0-aebc-4ca4fed53b32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#700italic', 'Lato 700italic (latin)', 'Lato', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:700italic";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2248, '5a85db16-0f04-4e9d-b533-d9802030da1f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#700italic', 'Lato 700italic (latin-ext)', 'Lato', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2249, 'abfa554a-8855-4701-a868-c31ba557fa54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#700', 'Lato 700 (latin)', 'Lato', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:700";s:6:"subset";s:5:"latin";}', 1468916136, 1476983407, 0),
(2250, 'f9d23b16-1954-4f0b-8347-9d799207a42f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#700', 'Lato 700 (latin-ext)', 'Lato', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:700";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2251, '8cca991e-4e67-4e6b-9646-9d870a61d391', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#italic', 'Lato italic (latin)', 'Lato', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Lato:italic";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2252, 'f6959fa2-0f75-4635-bf26-bff0e1687e6b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#italic', 'Lato italic (latin-ext)', 'Lato', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Lato:italic";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2253, 'e200b225-e1c3-48ea-9852-e44e99ad41de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#regular', 'Lato regular (latin)', 'Lato', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lato:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1476983405, 0),
(2254, 'abb8e4d0-acb1-4c52-9bff-aaa7e1a1a82d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#regular', 'Lato regular (latin-ext)', 'Lato', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Lato:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2255, '8dbb0535-b0c4-426c-98be-dcda4b6c15bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#300italic', 'Lato 300italic (latin)', 'Lato', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:300italic";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0);
INSERT INTO `fontyourface_font` VALUES
(2256, '5acd80c5-a8d0-4b58-9831-7576a343ce12', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#300italic', 'Lato 300italic (latin-ext)', 'Lato', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2257, 'f323a5b3-7b2f-4b12-b7b5-c80402b2f436', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#300', 'Lato 300 (latin)', 'Lato', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:300";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2258, 'cca756b7-0469-4266-bea3-b6907694a796', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#300', 'Lato 300 (latin-ext)', 'Lato', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:300";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2259, '06de0ebe-6e15-4116-9c8d-c8d15080b8ef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#100italic', 'Lato 100italic (latin)', 'Lato', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:100italic";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2260, '17c81951-d1a8-42c5-abba-28090257cf31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#100italic', 'Lato 100italic (latin-ext)', 'Lato', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lato:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2261, '3e0108a4-8572-4554-adf1-267659845934', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin#100', 'Lato 100 (latin)', 'Lato', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:100";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2262, 'a5329c59-f999-4e47-8bb5-b5501a407224', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lato&subset=latin-ext#100', 'Lato 100 (latin-ext)', 'Lato', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Lato:100";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2263, '865a3f6f-4882-4417-a742-86b45738723a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lateef&subset=latin#regular', 'Lateef regular (latin)', 'Lateef', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lateef:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2264, '60d5dda8-5282-4fa1-9154-41529d0e2eca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lateef&subset=arabic#regular', 'Lateef regular (arabic)', 'Lateef', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Lateef:regular";s:6:"subset";s:6:"arabic";}', 1468916136, 1468916136, 0),
(2265, '79fdbc81-f02a-48b9-b94c-e8131839cb8e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lancelot&subset=latin#regular', 'Lancelot regular (latin)', 'Lancelot', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Lancelot:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2266, '20e8c0d5-b799-474c-a422-80deb70774a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lancelot&subset=latin-ext#regular', 'Lancelot regular (latin-ext)', 'Lancelot', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Lancelot:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2267, '8f131c4d-0351-493c-b91b-38a41e7f3fca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lalezar&subset=latin#regular', 'Lalezar regular (latin)', 'Lalezar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lalezar:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2268, '4d9597f4-0b5a-4c86-8bac-d3656f39f7f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lalezar&subset=arabic#regular', 'Lalezar regular (arabic)', 'Lalezar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lalezar:regular";s:6:"subset";s:6:"arabic";}', 1468916136, 1468916136, 0),
(2269, '12e0889a-22bd-42f4-9a2f-5246beac3d54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lalezar&subset=vietnamese#regular', 'Lalezar regular (vietnamese)', 'Lalezar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lalezar:regular";s:6:"subset";s:10:"vietnamese";}', 1468916136, 1468916136, 0),
(2270, '3d13a878-0f5a-4b14-b62f-c2722bda541b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lalezar&subset=latin-ext#regular', 'Lalezar regular (latin-ext)', 'Lalezar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Lalezar:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2271, '816de75e-9f9e-4621-b7b8-efb4d27a9a6e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lakki Reddy&subset=latin#regular', 'Lakki Reddy regular (latin)', 'Lakki Reddy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Lakki Reddy:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2272, '3e83aee3-c8a6-49e7-98bd-cd00f7cf5026', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Lakki Reddy&subset=telugu#regular', 'Lakki Reddy regular (telugu)', 'Lakki Reddy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Lakki Reddy:regular";s:6:"subset";s:6:"telugu";}', 1468916136, 1468916136, 0),
(2273, '4e81da33-f047-473f-8615-6200d3d0f568', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin#700', 'Laila 700 (latin)', 'Laila', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:700";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2274, 'f126fa83-23e0-4ea0-9e4d-f6b635c2ddf7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=devanagari#700', 'Laila 700 (devanagari)', 'Laila', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:700";s:6:"subset";s:10:"devanagari";}', 1468916136, 1468916136, 0),
(2275, '33de046c-6f32-4097-8209-3facb95b5fb1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin-ext#700', 'Laila 700 (latin-ext)', 'Laila', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:700";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2276, 'aa6e7c0f-f53d-4762-8467-03bc2adc574f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin#600', 'Laila 600 (latin)', 'Laila', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:600";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2277, '6bddb830-7e62-41e6-99c1-c8c6b8fd9e78', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=devanagari#600', 'Laila 600 (devanagari)', 'Laila', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:600";s:6:"subset";s:10:"devanagari";}', 1468916136, 1468916136, 0),
(2278, '442bbef6-c161-4084-9473-71583713328e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin-ext#600', 'Laila 600 (latin-ext)', 'Laila', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:600";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2279, '2495fc0a-5a3b-4722-9f5a-e51b894e0840', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin#500', 'Laila 500 (latin)', 'Laila', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:500";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2280, '721f8498-e711-4827-a376-d69c6ad5b3dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=devanagari#500', 'Laila 500 (devanagari)', 'Laila', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:500";s:6:"subset";s:10:"devanagari";}', 1468916136, 1468916136, 0),
(2281, 'a0492d06-d298-4674-95b5-df770c9f12f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin-ext#500', 'Laila 500 (latin-ext)', 'Laila', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:500";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2282, '6572665a-b56e-4ec2-a6ef-e47f43e5bc2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin#regular', 'Laila regular (latin)', 'Laila', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Laila:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2283, 'cbf5836d-2c90-4dda-8fc9-7dba1a1fc8c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=devanagari#regular', 'Laila regular (devanagari)', 'Laila', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Laila:regular";s:6:"subset";s:10:"devanagari";}', 1468916136, 1468916136, 0),
(2284, '2d8a0381-038a-42af-a5ba-9bb995973a87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin-ext#regular', 'Laila regular (latin-ext)', 'Laila', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Laila:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2285, 'bf983fb4-835e-4e53-8a5d-47750aa501f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin#300', 'Laila 300 (latin)', 'Laila', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:300";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2286, 'e47747c4-17f3-4874-8a25-cbeb58851bc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=devanagari#300', 'Laila 300 (devanagari)', 'Laila', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:300";s:6:"subset";s:10:"devanagari";}', 1468916136, 1468916136, 0),
(2287, '01419c11-d90b-4bff-8de9-7cbd7590238e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Laila&subset=latin-ext#300', 'Laila 300 (latin-ext)', 'Laila', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Laila:300";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2288, 'ab5269e1-4c77-4e4e-8caa-3cbcbe072502', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=La Belle Aurore&subset=latin#regular', 'La Belle Aurore regular (latin)', 'La Belle Aurore', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"La Belle Aurore:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2289, 'be65acaa-5385-466b-a3fe-a036bfea1039', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kurale&subset=latin#regular', 'Kurale regular (latin)', 'Kurale', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kurale:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2290, '02b6d8bf-6739-445d-b534-585a0ca89ac6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kurale&subset=devanagari#regular', 'Kurale regular (devanagari)', 'Kurale', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kurale:regular";s:6:"subset";s:10:"devanagari";}', 1468916136, 1468916136, 0),
(2291, '2a9186a1-424c-4d5d-8d9d-3834668775c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kurale&subset=latin-ext#regular', 'Kurale regular (latin-ext)', 'Kurale', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kurale:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2292, '71542d9b-7c8a-4d90-9cfe-d7cee527ca0e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kurale&subset=cyrillic#regular', 'Kurale regular (cyrillic)', 'Kurale', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kurale:regular";s:6:"subset";s:8:"cyrillic";}', 1468916136, 1468916136, 0),
(2293, '05f97554-c995-4d5f-9498-292d26a0db32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kumar One Outline&subset=latin#regular', 'Kumar One Outline regular (latin)', 'Kumar One Outline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Kumar One Outline:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2294, '6c566b70-56bb-4e36-9f67-42db61ec8acc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kumar One Outline&subset=gujarati#regular', 'Kumar One Outline regular (gujarati)', 'Kumar One Outline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Kumar One Outline:regular";s:6:"subset";s:8:"gujarati";}', 1468916136, 1468916136, 0),
(2295, 'ee1e1134-efab-4e33-ad5c-78990f73df3f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kumar One Outline&subset=latin-ext#regular', 'Kumar One Outline regular (latin-ext)', 'Kumar One Outline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Kumar One Outline:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2296, '61f20c56-b52d-4098-be47-cdaceff13d1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kumar One&subset=latin#regular', 'Kumar One regular (latin)', 'Kumar One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kumar One:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2297, '17d6fa60-6323-42f2-adc4-9742d4344aea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kumar One&subset=gujarati#regular', 'Kumar One regular (gujarati)', 'Kumar One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kumar One:regular";s:6:"subset";s:8:"gujarati";}', 1468916136, 1468916136, 0),
(2298, '0d815688-5911-424b-849a-3818e1cb5f79', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kumar One&subset=latin-ext#regular', 'Kumar One regular (latin-ext)', 'Kumar One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kumar One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2299, 'd148916d-0429-4763-8e96-f7a4ad61f24e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Krona One&subset=latin#regular', 'Krona One regular (latin)', 'Krona One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Krona One:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2300, 'b98f7b61-b3bd-4f2c-9926-35510fc8d959', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Krona One&subset=latin-ext#regular', 'Krona One regular (latin-ext)', 'Krona One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Krona One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2301, '1be84014-3950-4c76-b56d-31bbda95a912', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kristi&subset=latin#regular', 'Kristi regular (latin)', 'Kristi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kristi:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2302, 'b12fb050-ea5b-4947-9592-1ed35bbb72a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kreon&subset=latin#700', 'Kreon 700 (latin)', 'Kreon', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kreon:700";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2303, '7d4ea7af-6519-4455-b3fd-29b4f83fc8b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kreon&subset=latin#regular', 'Kreon regular (latin)', 'Kreon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kreon:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2304, '63353410-2d0e-4591-89c3-3f4484570346', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kreon&subset=latin#300', 'Kreon 300 (latin)', 'Kreon', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kreon:300";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2305, '0e4d6009-9197-4dd7-b9f1-b9f2d64295c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kranky&subset=latin#regular', 'Kranky regular (latin)', 'Kranky', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kranky:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2306, '0ccc9fd1-9964-4712-9972-2e57248849b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Koulen&subset=khmer#regular', 'Koulen regular (khmer)', 'Koulen', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Koulen:regular";s:6:"subset";s:5:"khmer";}', 1468916136, 1468916136, 0),
(2307, 'c9ee7de8-ffbc-43e2-8170-692925dd8b69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kotta One&subset=latin#regular', 'Kotta One regular (latin)', 'Kotta One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kotta One:regular";s:6:"subset";s:5:"latin";}', 1468916136, 1468916136, 0),
(2308, 'a84d3b81-b35b-4e70-b1bf-10883d129327', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kotta One&subset=latin-ext#regular', 'Kotta One regular (latin-ext)', 'Kotta One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kotta One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916136, 1468916136, 0),
(2309, 'd1d0f9fc-65e1-4244-8d40-25b9367fd864', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Knewave&subset=latin#regular', 'Knewave regular (latin)', 'Knewave', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Knewave:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2310, 'd2629c00-9d6c-44b3-a4e9-2096689e1853', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Knewave&subset=latin-ext#regular', 'Knewave regular (latin-ext)', 'Knewave', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Knewave:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2311, 'c2f7a7e5-8390-41f8-a916-8b3880a71c05', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kite One&subset=latin#regular', 'Kite One regular (latin)', 'Kite One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Kite One:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2312, '8095fa79-405b-4c5a-9d2d-6021d766315c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin#800', 'Khula 800 (latin)', 'Khula', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:800";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2313, 'a8c6fb89-ddf3-4342-9d07-8605029a6e75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=devanagari#800', 'Khula 800 (devanagari)', 'Khula', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:800";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2314, '1763159b-a989-4a67-b0c3-d9cc3a60356a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin-ext#800', 'Khula 800 (latin-ext)', 'Khula', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:800";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2315, '369dad53-355f-4055-8692-e6274938d43f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin#700', 'Khula 700 (latin)', 'Khula', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:700";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2316, '274406e1-9b97-4437-a1ce-588f69c8a388', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=devanagari#700', 'Khula 700 (devanagari)', 'Khula', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:700";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2317, 'd16e5b8b-33c0-4726-8506-fc70acf1df91', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin-ext#700', 'Khula 700 (latin-ext)', 'Khula', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:700";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2318, '740fdfda-6d55-4884-95f3-5b517ef5b65e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin#600', 'Khula 600 (latin)', 'Khula', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:600";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2319, '55791480-3821-4d11-a31a-08b33f3d6a8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=devanagari#600', 'Khula 600 (devanagari)', 'Khula', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:600";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2320, 'c0cc1428-39b5-4b60-98c5-68ce4335bdc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin-ext#600', 'Khula 600 (latin-ext)', 'Khula', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:600";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2321, '05277bca-c194-44bb-806c-089068782425', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin#regular', 'Khula regular (latin)', 'Khula', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Khula:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2322, '1d67fc6c-a30c-42c1-a1c4-a5dd4bbb7432', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=devanagari#regular', 'Khula regular (devanagari)', 'Khula', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Khula:regular";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2323, '7d922d4c-5f0d-4a12-a496-e35bd9fd7782', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin-ext#regular', 'Khula regular (latin-ext)', 'Khula', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Khula:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2324, 'a3533d9e-65f9-413a-bc66-0b30eb8dc5e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin#300', 'Khula 300 (latin)', 'Khula', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:300";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2325, '0a208e22-b999-488a-811e-013a359d8a26', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=devanagari#300', 'Khula 300 (devanagari)', 'Khula', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:300";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2326, 'ff68e430-f179-4635-b472-fed431c7333a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khula&subset=latin-ext#300', 'Khula 300 (latin-ext)', 'Khula', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khula:300";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2327, 'bb53ec90-1eef-4f6e-ad5d-89aa814270c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khmer&subset=khmer#regular', 'Khmer regular (khmer)', 'Khmer', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Khmer:regular";s:6:"subset";s:5:"khmer";}', 1468916138, 1468916138, 0),
(2328, '22c79ba4-eb50-4055-939a-3c5016e65637', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin#700', 'Khand 700 (latin)', 'Khand', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:700";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2329, '055439a6-5306-4247-9152-144bb361e07a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=devanagari#700', 'Khand 700 (devanagari)', 'Khand', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:700";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2330, 'ac713063-0515-4315-b4e0-15715afe4626', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin-ext#700', 'Khand 700 (latin-ext)', 'Khand', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:700";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2331, '12506267-ee5a-41a7-9802-b3a647859f49', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin#600', 'Khand 600 (latin)', 'Khand', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:600";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2332, '66fdb014-c569-4ed2-8d1c-a1c705e6f989', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=devanagari#600', 'Khand 600 (devanagari)', 'Khand', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:600";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2333, '70e8c081-0832-445b-b42c-77437c4f5d2d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin-ext#600', 'Khand 600 (latin-ext)', 'Khand', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:600";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2334, 'fca91d9d-9bc8-449d-aae1-41dbdbc9f454', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin#500', 'Khand 500 (latin)', 'Khand', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:500";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2335, 'bc6dce16-7f38-418f-b50c-bb795553df06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=devanagari#500', 'Khand 500 (devanagari)', 'Khand', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:500";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2336, '3c8d289b-4530-46a8-a453-f2afbf805724', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin-ext#500', 'Khand 500 (latin-ext)', 'Khand', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:500";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2337, 'e482be87-c0ea-4308-84cf-e7194997ca66', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin#regular', 'Khand regular (latin)', 'Khand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Khand:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2338, 'cf1bac40-795f-4c89-b31d-b2c631489da6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=devanagari#regular', 'Khand regular (devanagari)', 'Khand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Khand:regular";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2339, 'dd0c45aa-3c6c-4b0e-9ade-14e6295b9cd5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin-ext#regular', 'Khand regular (latin-ext)', 'Khand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Khand:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2340, '9422213d-19af-4277-8297-03b6c1dbee1e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin#300', 'Khand 300 (latin)', 'Khand', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:300";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2341, 'e4ae9003-0ead-4000-80f6-ca16416d3398', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=devanagari#300', 'Khand 300 (devanagari)', 'Khand', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:300";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2342, '3f533db5-d28c-4520-bed8-954d7204ab09', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Khand&subset=latin-ext#300', 'Khand 300 (latin-ext)', 'Khand', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Khand:300";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2343, '30927e08-b1d5-477b-a5b2-9fd547a02e8d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kenia&subset=latin#regular', 'Kenia regular (latin)', 'Kenia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kenia:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2344, '14bebd02-58c3-464a-ab20-6f248a06789b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kelly Slab&subset=latin#regular', 'Kelly Slab regular (latin)', 'Kelly Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Kelly Slab:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2345, '31205bec-904a-4f6a-ab27-d08b36e8b5b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kelly Slab&subset=latin-ext#regular', 'Kelly Slab regular (latin-ext)', 'Kelly Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Kelly Slab:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2346, '8d96ecb8-f6dd-42db-98ce-9ff3255ba2bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kelly Slab&subset=cyrillic#regular', 'Kelly Slab regular (cyrillic)', 'Kelly Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Kelly Slab:regular";s:6:"subset";s:8:"cyrillic";}', 1468916138, 1468916138, 0),
(2347, 'b05076c8-ddc2-477a-8384-ca2c9aa37be9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Keania One&subset=latin#regular', 'Keania One regular (latin)', 'Keania One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Keania One:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2348, '143f2522-769e-4023-bcb0-a736fde97b6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Keania One&subset=latin-ext#regular', 'Keania One regular (latin-ext)', 'Keania One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Keania One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2349, '39c2412e-41ed-4de9-aef0-0394e29bc0df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kdam Thmor&subset=khmer#regular', 'Kdam Thmor regular (khmer)', 'Kdam Thmor', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Kdam Thmor:regular";s:6:"subset";s:5:"khmer";}', 1468916138, 1468916138, 0),
(2350, 'd08591c9-c6fd-4b7e-b02c-7c0f717da29a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kavoon&subset=latin#regular', 'Kavoon regular (latin)', 'Kavoon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kavoon:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2351, 'd6957245-b81e-4c08-92a7-db2964ef06f0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kavoon&subset=latin-ext#regular', 'Kavoon regular (latin-ext)', 'Kavoon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Kavoon:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2352, 'c5478034-ad8d-4c62-bb51-056dd23cb100', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kavivanar&subset=latin#regular', 'Kavivanar regular (latin)', 'Kavivanar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kavivanar:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2353, '4f16d211-07f7-4f76-a5b0-43c37702e158', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kavivanar&subset=tamil#regular', 'Kavivanar regular (tamil)', 'Kavivanar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kavivanar:regular";s:6:"subset";s:5:"tamil";}', 1468916138, 1468916138, 0),
(2354, '897db542-1b54-4968-a45d-ad70ce20d421', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kavivanar&subset=latin-ext#regular', 'Kavivanar regular (latin-ext)', 'Kavivanar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kavivanar:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2355, '096c73df-8c76-4411-8fed-f6790f5efacc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kaushan Script&subset=latin#regular', 'Kaushan Script regular (latin)', 'Kaushan Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Kaushan Script:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2356, '2274ff15-6165-4c1c-b011-3a7b4c19b405', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kaushan Script&subset=latin-ext#regular', 'Kaushan Script regular (latin-ext)', 'Kaushan Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Kaushan Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2357, '89815361-0660-4d25-80a9-21d8cc86f633', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Katibeh&subset=latin#regular', 'Katibeh regular (latin)', 'Katibeh', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Katibeh:regular";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2358, '8cacc08a-89a0-4093-99fd-5bfcd6c5758b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Katibeh&subset=arabic#regular', 'Katibeh regular (arabic)', 'Katibeh', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Katibeh:regular";s:6:"subset";s:6:"arabic";}', 1468916138, 1468916138, 0),
(2359, '2e8148fd-ffcb-4fd6-88d1-2b734c7f6a00', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Katibeh&subset=latin-ext#regular', 'Katibeh regular (latin-ext)', 'Katibeh', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Katibeh:regular";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2360, '4f6ee7eb-fb48-43e5-b9e9-4da0ac71a101', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin#700', 'Karma 700 (latin)', 'Karma', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:700";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2361, '36c5e079-d68b-4d6b-978b-1684dce13d85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=devanagari#700', 'Karma 700 (devanagari)', 'Karma', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:700";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2362, 'ceb79914-e985-4652-afd7-f76620c0a339', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin-ext#700', 'Karma 700 (latin-ext)', 'Karma', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:700";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2363, '70d25533-1054-4d6b-af73-1ac16adea7aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin#600', 'Karma 600 (latin)', 'Karma', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:600";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2364, '438a272f-6a3d-433d-a914-b035829c3f1e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=devanagari#600', 'Karma 600 (devanagari)', 'Karma', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:600";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2365, '12b7ef2c-1347-4293-896a-5cee694be810', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin-ext#600', 'Karma 600 (latin-ext)', 'Karma', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:600";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2366, '8cff031c-8a35-4203-81fe-065a9e38bf1b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin#500', 'Karma 500 (latin)', 'Karma', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:500";s:6:"subset";s:5:"latin";}', 1468916138, 1468916138, 0),
(2367, '97577d19-f107-49ae-9ae6-10810eef8e61', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=devanagari#500', 'Karma 500 (devanagari)', 'Karma', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:500";s:6:"subset";s:10:"devanagari";}', 1468916138, 1468916138, 0),
(2368, 'be8f1508-9497-4ac9-8971-7fb19f791056', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin-ext#500', 'Karma 500 (latin-ext)', 'Karma', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:500";s:6:"subset";s:9:"latin-ext";}', 1468916138, 1468916138, 0),
(2369, '9536050e-48ee-4a72-8f54-2cd14bfe9a0c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin#regular', 'Karma regular (latin)', 'Karma', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Karma:regular";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2370, '9e46f801-382a-4743-928e-4779a343ae64', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=devanagari#regular', 'Karma regular (devanagari)', 'Karma', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Karma:regular";s:6:"subset";s:10:"devanagari";}', 1468916139, 1468916139, 0),
(2371, 'f43ba3df-6982-44b0-a147-534c14f432eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin-ext#regular', 'Karma regular (latin-ext)', 'Karma', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Karma:regular";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2372, 'cb77d0d8-1ee5-4594-ae45-7be1512517b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin#300', 'Karma 300 (latin)', 'Karma', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:300";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2373, '112edc5a-c9c8-4180-b692-3ce014d1ed32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=devanagari#300', 'Karma 300 (devanagari)', 'Karma', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:300";s:6:"subset";s:10:"devanagari";}', 1468916139, 1468916139, 0),
(2374, 'b4a41e2e-0c81-452e-b472-bf951b6b4bdd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karma&subset=latin-ext#300', 'Karma 300 (latin-ext)', 'Karma', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karma:300";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2375, '6183f1db-7667-4252-ba96-62413029d45f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin#700italic', 'Karla 700italic (latin)', 'Karla', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Karla:700italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2376, 'c1221fdc-b6f2-4074-95a6-4008134d2138', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin-ext#700italic', 'Karla 700italic (latin-ext)', 'Karla', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Karla:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2377, 'dda202ba-7f61-4c42-9f31-063dd7591539', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin#700', 'Karla 700 (latin)', 'Karla', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karla:700";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2378, '43b2f4ab-6f95-4e40-aec3-327d4a99110d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin-ext#700', 'Karla 700 (latin-ext)', 'Karla', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Karla:700";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2379, 'f542a302-2e72-4350-9636-e81bb19bc04c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin#italic', 'Karla italic (latin)', 'Karla', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Karla:italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2380, 'd6937a8f-ad87-4cbc-9327-4588a89f46c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin-ext#italic', 'Karla italic (latin-ext)', 'Karla', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Karla:italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2381, 'd19a599b-657c-40a8-933f-0078179bfcd2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin#regular', 'Karla regular (latin)', 'Karla', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Karla:regular";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2382, 'be3a688b-8b83-4929-acfe-7b9a5e039d64', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Karla&subset=latin-ext#regular', 'Karla regular (latin-ext)', 'Karla', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Karla:regular";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2383, '122ef958-062e-46a6-84c3-c8fde8683188', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kantumruy&subset=khmer#700', 'Kantumruy 700 (khmer)', 'Kantumruy', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kantumruy:700";s:6:"subset";s:5:"khmer";}', 1468916139, 1468916139, 0),
(2384, '76d23c60-72ce-4eb4-a146-45db9a14945e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kantumruy&subset=khmer#regular', 'Kantumruy regular (khmer)', 'Kantumruy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Kantumruy:regular";s:6:"subset";s:5:"khmer";}', 1468916139, 1468916139, 0),
(2385, '2869035f-e912-4b6c-81c8-21762c7cdd28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kantumruy&subset=khmer#300', 'Kantumruy 300 (khmer)', 'Kantumruy', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kantumruy:300";s:6:"subset";s:5:"khmer";}', 1468916139, 1468916139, 0),
(2386, '14cbd6a0-8637-4878-b7e1-48b57cfbaaca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#900italic', 'Kanit 900italic (thai)', 'Kanit', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:900italic";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2387, '90927c82-88f4-449a-af27-f207f108bde7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#900italic', 'Kanit 900italic (latin)', 'Kanit', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:900italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2388, '67a6dfb5-9f54-4de0-8b2c-b348480155cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#900italic', 'Kanit 900italic (vietnamese)', 'Kanit', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2389, '1a0339c1-15d6-4ab9-a634-3d4121e613a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#900italic', 'Kanit 900italic (latin-ext)', 'Kanit', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2390, 'b9f6934d-29f8-4592-8302-87221da6c479', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#900', 'Kanit 900 (thai)', 'Kanit', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:900";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2391, '9ab077a9-0662-4d1a-b888-0eee10365505', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#900', 'Kanit 900 (latin)', 'Kanit', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:900";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2392, '345596a6-63fc-4a86-8713-c904a57df2a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#900', 'Kanit 900 (vietnamese)', 'Kanit', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:900";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2393, '293120d1-663f-47c7-8267-7a0e5bd6c1aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#900', 'Kanit 900 (latin-ext)', 'Kanit', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:900";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2394, '2d2851d2-b1ac-425b-86e6-db792ca78592', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#800italic', 'Kanit 800italic (thai)', 'Kanit', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:800italic";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2395, '92d68b8c-ec02-4e20-914c-886894bf026b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#800italic', 'Kanit 800italic (latin)', 'Kanit', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:800italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2396, '6026b90c-33b4-49ad-a8e8-1ead69062ba2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#800italic', 'Kanit 800italic (vietnamese)', 'Kanit', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:800italic";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2397, 'a95e68cb-da0f-42ec-92c1-55d840199981', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#800italic', 'Kanit 800italic (latin-ext)', 'Kanit', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2398, '0b6dc9ee-b088-4b74-8b21-9417fa74a353', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#800', 'Kanit 800 (thai)', 'Kanit', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:800";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2399, '05016122-653f-4ed3-a366-0698c057bef9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#800', 'Kanit 800 (latin)', 'Kanit', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:800";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2400, 'c7d0de0c-3c61-4e3b-9166-5ef23e08fe35', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#800', 'Kanit 800 (vietnamese)', 'Kanit', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:800";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2401, '9b6de3f5-d286-4f5d-b8d3-75f416049655', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#800', 'Kanit 800 (latin-ext)', 'Kanit', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:800";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2402, '0ab033f0-c8e9-4a52-a3eb-944c5a31fc22', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#700italic', 'Kanit 700italic (thai)', 'Kanit', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:700italic";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2403, '03eb9fec-43fe-4f7d-a0f5-b603a4cfc94c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#700italic', 'Kanit 700italic (latin)', 'Kanit', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:700italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2404, '9e2c29ab-cbc9-492e-903f-30e2756675f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#700italic', 'Kanit 700italic (vietnamese)', 'Kanit', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2405, 'a3e1ac87-8349-4221-a388-205831eaf1a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#700italic', 'Kanit 700italic (latin-ext)', 'Kanit', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2406, '6dce54f1-e6b8-4fda-a3d3-bd149a604d7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#700', 'Kanit 700 (thai)', 'Kanit', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:700";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2407, '95f32cc3-bcf0-4834-9b44-de69932e95e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#700', 'Kanit 700 (latin)', 'Kanit', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:700";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2408, 'f6652c65-25de-4e96-9e68-36a4e4a53d70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#700', 'Kanit 700 (vietnamese)', 'Kanit', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:700";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2409, 'b023577d-239d-4d02-a480-70710dfc7cab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#700', 'Kanit 700 (latin-ext)', 'Kanit', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:700";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2410, '1adcba49-9a2a-4587-81c5-2f14bfde9e5f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#600italic', 'Kanit 600italic (thai)', 'Kanit', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:600italic";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2411, 'e4601e07-e59a-40ca-a5be-fca5faa64770', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#600italic', 'Kanit 600italic (latin)', 'Kanit', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:600italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2412, 'd4fdca82-8693-461e-b013-6f890b801b03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#600italic', 'Kanit 600italic (vietnamese)', 'Kanit', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2413, '60e87f4b-48f1-4584-9a2a-efd7b012d744', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#600italic', 'Kanit 600italic (latin-ext)', 'Kanit', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2414, '358874c3-ca29-4623-b11d-3498b5949477', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#600', 'Kanit 600 (thai)', 'Kanit', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:600";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2415, '1ad094af-ebd0-4ed5-8a23-964d9e814eea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#600', 'Kanit 600 (latin)', 'Kanit', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:600";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2416, '523c2b13-b053-47cc-91c0-af79a5505094', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#600', 'Kanit 600 (vietnamese)', 'Kanit', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:600";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2417, '1bc5b8bf-1af0-4c1b-aaf5-1ceca83bd1dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#600', 'Kanit 600 (latin-ext)', 'Kanit', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:600";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2418, '7330d306-99b7-46bb-a6b9-5ffe706fb861', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#500italic', 'Kanit 500italic (thai)', 'Kanit', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:500italic";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2419, 'c9612f7a-1131-4d93-ba61-e283213cf96e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#500italic', 'Kanit 500italic (latin)', 'Kanit', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:500italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2420, 'ecb3e0d9-b0b1-42a7-9206-34b596153aae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#500italic', 'Kanit 500italic (vietnamese)', 'Kanit', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2421, 'aadc4c64-db3e-49fe-8cc5-8919d29a8c75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#500italic', 'Kanit 500italic (latin-ext)', 'Kanit', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2422, 'd5f1071a-aab7-45a3-bf04-fcff75aa514a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#500', 'Kanit 500 (thai)', 'Kanit', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:500";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2423, 'ee66b965-4c3d-45ab-b395-e7321117b67c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#500', 'Kanit 500 (latin)', 'Kanit', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:500";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2424, '4bf1ca12-2a30-4ca0-b6ed-87f6aa2eb102', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#500', 'Kanit 500 (vietnamese)', 'Kanit', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:500";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2425, '479e0a92-38d4-41e1-9fdd-c6237bf7833b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#500', 'Kanit 500 (latin-ext)', 'Kanit', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:500";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2426, '393a736e-4afe-412b-a6a9-d12b274bfde8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#italic', 'Kanit italic (thai)', 'Kanit', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Kanit:italic";s:6:"subset";s:4:"thai";}', 1468916139, 1468916139, 0),
(2427, 'f953d57e-7995-437a-a20f-22296007173e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#italic', 'Kanit italic (latin)', 'Kanit', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Kanit:italic";s:6:"subset";s:5:"latin";}', 1468916139, 1468916139, 0),
(2428, '8b9c16e8-f43d-41b3-83a0-834fcfe0e92c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#italic', 'Kanit italic (vietnamese)', 'Kanit', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Kanit:italic";s:6:"subset";s:10:"vietnamese";}', 1468916139, 1468916139, 0),
(2429, '084040f0-bce8-4551-9fef-7f39ff150fc8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#italic', 'Kanit italic (latin-ext)', 'Kanit', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Kanit:italic";s:6:"subset";s:9:"latin-ext";}', 1468916139, 1468916139, 0),
(2430, '34a11af8-2ad0-42c4-af13-d3324cdd6640', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#regular', 'Kanit regular (thai)', 'Kanit', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kanit:regular";s:6:"subset";s:4:"thai";}', 1468916141, 1468916141, 0),
(2431, '5676bff9-fb59-4edf-83e9-46d16a162dd1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#regular', 'Kanit regular (latin)', 'Kanit', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kanit:regular";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2432, '5c8ec9b1-59ea-449c-8721-46f63baa5e7e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#regular', 'Kanit regular (vietnamese)', 'Kanit', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kanit:regular";s:6:"subset";s:10:"vietnamese";}', 1468916141, 1468916141, 0),
(2433, '5b805141-43f8-477d-aaa0-2f3350c6f581', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#regular', 'Kanit regular (latin-ext)', 'Kanit', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kanit:regular";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2434, '69eb9f62-9e06-4612-ab5b-ca034bf7b67a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#300italic', 'Kanit 300italic (thai)', 'Kanit', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:300italic";s:6:"subset";s:4:"thai";}', 1468916141, 1468916141, 0),
(2435, '8175b3bf-fee3-4952-9b00-7cde24296d71', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#300italic', 'Kanit 300italic (latin)', 'Kanit', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:300italic";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2436, '79deabc2-e6df-4391-8162-59c11712a791', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#300italic', 'Kanit 300italic (vietnamese)', 'Kanit', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916141, 1468916141, 0),
(2437, 'd26f7e0e-17a9-4dc2-a676-2060f75581cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#300italic', 'Kanit 300italic (latin-ext)', 'Kanit', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2438, '16dd0d9a-4931-4a32-adc3-698e528154c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#300', 'Kanit 300 (thai)', 'Kanit', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:300";s:6:"subset";s:4:"thai";}', 1468916141, 1468916141, 0),
(2439, '4c177904-52c8-41dc-9fe8-75f1bb528a46', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#300', 'Kanit 300 (latin)', 'Kanit', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:300";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2440, '52257fda-3a58-4cd6-872f-6cffed945bc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#300', 'Kanit 300 (vietnamese)', 'Kanit', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:300";s:6:"subset";s:10:"vietnamese";}', 1468916141, 1468916141, 0),
(2441, 'c3418dcc-85ca-422d-b0cc-052d0f72849e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#300', 'Kanit 300 (latin-ext)', 'Kanit', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:300";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2442, '429d4b5f-60a8-41ab-ab36-decafd565d3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#200italic', 'Kanit 200italic (thai)', 'Kanit', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:200italic";s:6:"subset";s:4:"thai";}', 1468916141, 1468916141, 0),
(2443, '0e4a9b1e-5657-45ae-ba92-feff282e41bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#200italic', 'Kanit 200italic (latin)', 'Kanit', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:200italic";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2444, 'e11a7fc1-b330-4932-bd9d-4773a40bea48', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#200italic', 'Kanit 200italic (vietnamese)', 'Kanit', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:200italic";s:6:"subset";s:10:"vietnamese";}', 1468916141, 1468916141, 0),
(2445, 'eca12fc6-db65-4bc2-9d39-b9721e4e959c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#200italic', 'Kanit 200italic (latin-ext)', 'Kanit', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2446, '067b4f1b-3e88-4bb1-82b3-1b31aec50dd8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#200', 'Kanit 200 (thai)', 'Kanit', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:200";s:6:"subset";s:4:"thai";}', 1468916141, 1468916141, 0),
(2447, 'a5eae298-e61f-4098-baf6-4aa99458c7cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#200', 'Kanit 200 (latin)', 'Kanit', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:200";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2448, '29840d6b-abd2-4680-bf38-79a6aacf79f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#200', 'Kanit 200 (vietnamese)', 'Kanit', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:200";s:6:"subset";s:10:"vietnamese";}', 1468916141, 1468916141, 0),
(2449, '9ba27e4a-09db-43dc-91ec-68eb9522e376', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#200', 'Kanit 200 (latin-ext)', 'Kanit', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:200";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2450, 'c3742753-6e5b-431a-822f-bdc7b79ff326', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#100italic', 'Kanit 100italic (thai)', 'Kanit', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:100italic";s:6:"subset";s:4:"thai";}', 1468916141, 1468916141, 0),
(2451, 'e23fac20-8328-4d76-a112-355d0aadca0f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#100italic', 'Kanit 100italic (latin)', 'Kanit', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:100italic";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2452, '64a8f31d-6020-4c35-8e5f-f1fe759ccb84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#100italic', 'Kanit 100italic (vietnamese)', 'Kanit', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916141, 1468916141, 0),
(2453, '7620fd01-9a0c-4153-aec2-b3ddaff2bde5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#100italic', 'Kanit 100italic (latin-ext)', 'Kanit', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kanit:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0);
INSERT INTO `fontyourface_font` VALUES
(2454, '00ff46c8-d4c9-40fd-990d-396e8f6a5828', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=thai#100', 'Kanit 100 (thai)', 'Kanit', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:100";s:6:"subset";s:4:"thai";}', 1468916141, 1468916141, 0),
(2455, 'dac569f8-5eb0-4688-aaf8-b4e4e5bb7a0a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin#100', 'Kanit 100 (latin)', 'Kanit', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:100";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2456, '4c9b34b9-196e-46d1-820a-cd5972831648', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=vietnamese#100', 'Kanit 100 (vietnamese)', 'Kanit', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:100";s:6:"subset";s:10:"vietnamese";}', 1468916141, 1468916141, 0),
(2457, 'e32581d6-2947-4e0f-bea8-edc5af072b1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kanit&subset=latin-ext#100', 'Kanit 100 (latin-ext)', 'Kanit', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kanit:100";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2458, '931d20d5-abeb-4102-998e-e08d72f594ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kameron&subset=latin#700', 'Kameron 700 (latin)', 'Kameron', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Kameron:700";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2459, '58b45817-5771-4970-87e0-a2ba0576e8bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kameron&subset=latin#regular', 'Kameron regular (latin)', 'Kameron', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Kameron:regular";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2460, 'a33bed77-d3b7-4021-9cc2-1c7dfb48ecdc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=latin#700', 'Kalam 700 (latin)', 'Kalam', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kalam:700";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2461, 'aae5b76c-f5c8-4467-bc74-83df44dcc0b5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=devanagari#700', 'Kalam 700 (devanagari)', 'Kalam', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kalam:700";s:6:"subset";s:10:"devanagari";}', 1468916141, 1468916141, 0),
(2462, '4991d5c1-9379-43dd-91b2-f0015dbad5bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=latin-ext#700', 'Kalam 700 (latin-ext)', 'Kalam', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kalam:700";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2463, 'd3eaf091-2a08-4126-9769-9bb25ab703fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=latin#regular', 'Kalam regular (latin)', 'Kalam', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kalam:regular";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2464, 'c0ccb97b-926e-4cdb-bc70-cae0cea127ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=devanagari#regular', 'Kalam regular (devanagari)', 'Kalam', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kalam:regular";s:6:"subset";s:10:"devanagari";}', 1468916141, 1468916141, 0),
(2465, '780abd5f-a8bc-43a1-9626-dcb0cdec0a85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=latin-ext#regular', 'Kalam regular (latin-ext)', 'Kalam', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kalam:regular";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2466, '762742be-9936-4b9a-a0b6-34fac4fd6495', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=latin#300', 'Kalam 300 (latin)', 'Kalam', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kalam:300";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2467, 'd108ffdb-8b36-458d-8c05-522a29cba142', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=devanagari#300', 'Kalam 300 (devanagari)', 'Kalam', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kalam:300";s:6:"subset";s:10:"devanagari";}', 1468916141, 1468916141, 0),
(2468, '23e47a77-fe14-4d14-b055-b085f6627141', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kalam&subset=latin-ext#300', 'Kalam 300 (latin-ext)', 'Kalam', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kalam:300";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2469, 'b9f8d82c-27f6-40e8-afaf-72d50721d1f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kadwa&subset=latin#700', 'Kadwa 700 (latin)', 'Kadwa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kadwa:700";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2470, '76cdf6e0-7604-4ef3-a554-c1e29b98ccd9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kadwa&subset=devanagari#700', 'Kadwa 700 (devanagari)', 'Kadwa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Kadwa:700";s:6:"subset";s:10:"devanagari";}', 1468916141, 1468916141, 0),
(2471, '6257d851-980d-4a70-93af-dc3a06426f79', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kadwa&subset=latin#regular', 'Kadwa regular (latin)', 'Kadwa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kadwa:regular";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2472, '69511631-236a-41ee-8cc8-8012504af450', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Kadwa&subset=devanagari#regular', 'Kadwa regular (devanagari)', 'Kadwa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Kadwa:regular";s:6:"subset";s:10:"devanagari";}', 1468916141, 1468916141, 0),
(2473, '561f7d4c-b6bc-45f7-982e-61e0b711065b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Just Me Again Down Here&subset=latin#regular', 'Just Me Again Down Here regular (latin)', 'Just Me Again Down Here', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:31:"Just Me Again Down Here:regular";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2474, '1a9ba2bd-0be3-4da3-b065-4682a092661c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Just Me Again Down Here&subset=latin-ext#regular', 'Just Me Again Down Here regular (latin-ext)', 'Just Me Again Down Here', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:31:"Just Me Again Down Here:regular";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2475, '85691aec-79e9-4f11-8afe-d983d0cc5c80', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Just Another Hand&subset=latin#regular', 'Just Another Hand regular (latin)', 'Just Another Hand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Just Another Hand:regular";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2476, '34258bb8-436a-4887-a427-681a7bea8a54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic-ext#600', 'Jura 600 (cyrillic-ext)', 'Jura', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:600";s:6:"subset";s:12:"cyrillic-ext";}', 1468916141, 1468916141, 0),
(2477, '59c308cf-02b1-4482-aa47-1e866bbdf4be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin#600', 'Jura 600 (latin)', 'Jura', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:600";s:6:"subset";s:5:"latin";}', 1468916141, 1468916141, 0),
(2478, '3a722c6b-b063-4e15-b818-dee4ef070b8b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=greek#600', 'Jura 600 (greek)', 'Jura', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:600";s:6:"subset";s:5:"greek";}', 1468916141, 1468916141, 0),
(2479, 'c6d37c8b-dde4-4b55-9e48-247971583d44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin-ext#600', 'Jura 600 (latin-ext)', 'Jura', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:600";s:6:"subset";s:9:"latin-ext";}', 1468916141, 1468916141, 0),
(2480, 'a24deb05-d8d6-46d0-b6f4-16cf0c6c635f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic#600', 'Jura 600 (cyrillic)', 'Jura', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:600";s:6:"subset";s:8:"cyrillic";}', 1468916141, 1468916141, 0),
(2481, '9cb7872e-921d-46fc-b1ef-940a3748f8c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic-ext#500', 'Jura 500 (cyrillic-ext)', 'Jura', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:500";s:6:"subset";s:12:"cyrillic-ext";}', 1468916142, 1468916142, 0),
(2482, 'fc7ef107-0d9d-4a58-8fbb-f69c56658146', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin#500', 'Jura 500 (latin)', 'Jura', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:500";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2483, '5aea9342-2638-4bed-a12d-ff082a1ce021', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=greek#500', 'Jura 500 (greek)', 'Jura', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:500";s:6:"subset";s:5:"greek";}', 1468916142, 1468916142, 0),
(2484, '1037f787-4f1e-409d-91c0-2533707a6260', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin-ext#500', 'Jura 500 (latin-ext)', 'Jura', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:500";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2485, '2f58b48d-12e8-452a-ba84-beac65c2f69f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic#500', 'Jura 500 (cyrillic)', 'Jura', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:500";s:6:"subset";s:8:"cyrillic";}', 1468916142, 1468916142, 0),
(2486, '1755b3df-954d-411b-94a6-b28c6d681d5c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic-ext#regular', 'Jura regular (cyrillic-ext)', 'Jura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Jura:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916142, 1468916142, 0),
(2487, '4f54fdae-ccf9-4fab-a88d-e1b6b8f04f12', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin#regular', 'Jura regular (latin)', 'Jura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Jura:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2488, '0acd9554-4cc4-408b-a62c-e86a629b8548', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=greek#regular', 'Jura regular (greek)', 'Jura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Jura:regular";s:6:"subset";s:5:"greek";}', 1468916142, 1468916142, 0),
(2489, '115867d1-894f-454e-8481-1a06620f9eaa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin-ext#regular', 'Jura regular (latin-ext)', 'Jura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Jura:regular";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2490, '91bae66b-1fad-4336-83c1-a3eb5bba0a92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic#regular', 'Jura regular (cyrillic)', 'Jura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Jura:regular";s:6:"subset";s:8:"cyrillic";}', 1468916142, 1468916142, 0),
(2491, 'd442554d-eb43-4ebe-a360-955d25ff551f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic-ext#300', 'Jura 300 (cyrillic-ext)', 'Jura', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916142, 1468916142, 0),
(2492, '2da78ce9-34cc-4a6e-9917-ec5e524afc76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin#300', 'Jura 300 (latin)', 'Jura', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:300";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2493, '5d3952b8-da34-4ce9-b541-8fe96ee9123a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=greek#300', 'Jura 300 (greek)', 'Jura', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:300";s:6:"subset";s:5:"greek";}', 1468916142, 1468916142, 0),
(2494, '6f81fb48-786e-418a-a7f6-a86ad00f571a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=latin-ext#300', 'Jura 300 (latin-ext)', 'Jura', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:300";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2495, '1d941038-814b-4235-af3d-a3f38377201e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jura&subset=cyrillic#300', 'Jura 300 (cyrillic)', 'Jura', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Jura:300";s:6:"subset";s:8:"cyrillic";}', 1468916142, 1468916142, 0),
(2496, '29bf67a8-7b08-4992-85e9-304994c3bee1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Junge&subset=latin#regular', 'Junge regular (latin)', 'Junge', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Junge:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2497, '1feceb95-8fc9-46d7-93f2-18d7ef5e47df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Julius Sans One&subset=latin#regular', 'Julius Sans One regular (latin)', 'Julius Sans One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Julius Sans One:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2498, '881c1c08-901e-4886-ba1c-be378dbed748', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Julius Sans One&subset=latin-ext#regular', 'Julius Sans One regular (latin-ext)', 'Julius Sans One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Julius Sans One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2499, '00fa743f-9bb6-4fc9-b4f6-afec6ca585b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Julee&subset=latin#regular', 'Julee regular (latin)', 'Julee', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Julee:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2500, '0d8ee3e1-d6d5-4119-b5d2-6cd8d9497671', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=latin#700', 'Judson 700 (latin)', 'Judson', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Judson:700";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2501, 'ee1a4b38-8366-4f25-8c72-d770d16f9825', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=vietnamese#700', 'Judson 700 (vietnamese)', 'Judson', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Judson:700";s:6:"subset";s:10:"vietnamese";}', 1468916142, 1468916142, 0),
(2502, 'dfe10b3a-3432-45ad-bdad-093ba1a1f102', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=latin-ext#700', 'Judson 700 (latin-ext)', 'Judson', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Judson:700";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2503, 'dbd7a28a-2de5-459d-b7d4-0f0cf7b062fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=latin#italic', 'Judson italic (latin)', 'Judson', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Judson:italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2504, '57d6c775-d99a-41e6-83d3-be87d9196319', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=vietnamese#italic', 'Judson italic (vietnamese)', 'Judson', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Judson:italic";s:6:"subset";s:10:"vietnamese";}', 1468916142, 1468916142, 0),
(2505, '66e6684d-3fa2-49dd-8004-d3a527a02fee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=latin-ext#italic', 'Judson italic (latin-ext)', 'Judson', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Judson:italic";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2506, '858ea054-c35d-41b8-9535-a165dde4a3f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=latin#regular', 'Judson regular (latin)', 'Judson', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Judson:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2507, '2342bf19-4342-404c-9429-333d466ced32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=vietnamese#regular', 'Judson regular (vietnamese)', 'Judson', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Judson:regular";s:6:"subset";s:10:"vietnamese";}', 1468916142, 1468916142, 0),
(2508, 'c77406d1-faeb-44b0-8dd8-1ce3842a3782', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Judson&subset=latin-ext#regular', 'Judson regular (latin-ext)', 'Judson', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Judson:regular";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2509, '90b415bd-7fb0-4dd2-920b-e91278cf2fcd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Joti One&subset=latin#regular', 'Joti One regular (latin)', 'Joti One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Joti One:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2510, '6ccb6b8b-1943-40ea-bd7a-d9be6b9dd8e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Joti One&subset=latin-ext#regular', 'Joti One regular (latin-ext)', 'Joti One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Joti One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2511, 'ce7cbf0f-c2a4-4871-8c6a-f9bc24269796', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#700italic', 'Josefin Slab 700italic (latin)', 'Josefin Slab', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Slab:700italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2512, 'a92b7f71-d885-4dad-9bb6-dc3dc4abce5b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#700', 'Josefin Slab 700 (latin)', 'Josefin Slab', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Slab:700";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2513, '1b53d5c4-9b71-4547-8693-059c63f11e7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#600italic', 'Josefin Slab 600italic (latin)', 'Josefin Slab', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Slab:600italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2514, 'cfb49abe-fc1e-4091-b56f-cbb0489829a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#600', 'Josefin Slab 600 (latin)', 'Josefin Slab', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Slab:600";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2515, '8a18ce80-e0a7-4ff3-bd21-e84f4b58f7e5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#italic', 'Josefin Slab italic (latin)', 'Josefin Slab', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Josefin Slab:italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2516, '7b33246e-7e69-414c-b1fd-8af37cbeb31e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#regular', 'Josefin Slab regular (latin)', 'Josefin Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Josefin Slab:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2517, '676b0670-718a-4ddb-b76e-38528b7ac2eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#300italic', 'Josefin Slab 300italic (latin)', 'Josefin Slab', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Slab:300italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2518, '059307e6-ee64-4fe4-bbaa-0882207d9437', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#300', 'Josefin Slab 300 (latin)', 'Josefin Slab', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Slab:300";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2519, '8325a1aa-b577-4f60-8f7b-db92adcceb45', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#100italic', 'Josefin Slab 100italic (latin)', 'Josefin Slab', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Slab:100italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2520, '43ec0d58-6ddd-4118-ba6c-42aa9e752794', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Slab&subset=latin#100', 'Josefin Slab 100 (latin)', 'Josefin Slab', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Slab:100";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2521, '8b643ea8-e89c-4210-a63e-2edf3b7037d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#700italic', 'Josefin Sans 700italic (latin)', 'Josefin Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2522, '9461415e-bddc-4ba1-8c36-e88f2073f18d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#700italic', 'Josefin Sans 700italic (latin-ext)', 'Josefin Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2523, '64856668-3269-4b3c-8084-8a277dac80ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#700', 'Josefin Sans 700 (latin)', 'Josefin Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:700";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2524, 'd3dcc4d5-8d8d-4a9e-937c-d761f1165137', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#700', 'Josefin Sans 700 (latin-ext)', 'Josefin Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2525, 'a362396e-3fa0-4ae1-8749-e3da297e5d81', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#600italic', 'Josefin Sans 600italic (latin)', 'Josefin Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:600italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2526, 'a85e92d9-0296-4f12-92db-cc2d3abeb6e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#600italic', 'Josefin Sans 600italic (latin-ext)', 'Josefin Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2527, '8a5b61b6-3759-48aa-b744-75073b8160ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#600', 'Josefin Sans 600 (latin)', 'Josefin Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:600";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2528, '1183c5c9-9c43-4056-9b5c-1e578732512d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#600', 'Josefin Sans 600 (latin-ext)', 'Josefin Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:600";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2529, '75b6deda-c996-414f-907c-3b30326a66e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#italic', 'Josefin Sans italic (latin)', 'Josefin Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Josefin Sans:italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2530, '474b928a-d1b4-4984-9ebd-f22c3c548bc9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#italic', 'Josefin Sans italic (latin-ext)', 'Josefin Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Josefin Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2531, 'ec12c1a1-7449-4adb-b652-22b44f00da1a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#regular', 'Josefin Sans regular (latin)', 'Josefin Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Josefin Sans:regular";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2532, '664443fb-f08a-43c7-8af0-03ab95e66506', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#regular', 'Josefin Sans regular (latin-ext)', 'Josefin Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Josefin Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2533, 'fc8c27d2-9704-4db0-ac91-bdcd0cf22619', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#300italic', 'Josefin Sans 300italic (latin)', 'Josefin Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:300italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2534, '3a240fc9-18f9-40b1-a11b-ff8a18681d54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#300italic', 'Josefin Sans 300italic (latin-ext)', 'Josefin Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2535, '6bd732df-ecf0-4c40-a708-9e36ecbadc63', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#300', 'Josefin Sans 300 (latin)', 'Josefin Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:300";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2536, '4f670838-a598-4fbe-9ad7-7b8b187f1572', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#300', 'Josefin Sans 300 (latin-ext)', 'Josefin Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:300";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2537, '6be25dd8-e2eb-457c-9b52-266f4a1c9b65', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#100italic', 'Josefin Sans 100italic (latin)', 'Josefin Sans', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:100italic";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2538, '364dbec2-d0e6-47eb-9e23-79be0e819678', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#100italic', 'Josefin Sans 100italic (latin-ext)', 'Josefin Sans', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Josefin Sans:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2539, 'f70e2e30-f5c4-4a92-9c93-b717db70e15f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin#100', 'Josefin Sans 100 (latin)', 'Josefin Sans', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:100";s:6:"subset";s:5:"latin";}', 1468916142, 1468916142, 0),
(2540, '40385d62-3048-4e5a-9d25-d0fcd12e6cde', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Josefin Sans&subset=latin-ext#100', 'Josefin Sans 100 (latin-ext)', 'Josefin Sans', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Josefin Sans:100";s:6:"subset";s:9:"latin-ext";}', 1468916142, 1468916142, 0),
(2541, 'fc915e7f-bf71-44a0-bbad-a1d5cdc6c0c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jomhuria&subset=latin#regular', 'Jomhuria regular (latin)', 'Jomhuria', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Jomhuria:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2542, '1b91003a-3bc6-40c5-b6bc-470883834ab5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jomhuria&subset=arabic#regular', 'Jomhuria regular (arabic)', 'Jomhuria', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Jomhuria:regular";s:6:"subset";s:6:"arabic";}', 1468916144, 1468916144, 0),
(2543, '882b07c4-94fe-4a7a-93ec-bad1d009170d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jomhuria&subset=latin-ext#regular', 'Jomhuria regular (latin-ext)', 'Jomhuria', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Jomhuria:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2544, 'a7bc46dc-a786-4859-a080-de19bb8c4909', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jolly Lodger&subset=latin#regular', 'Jolly Lodger regular (latin)', 'Jolly Lodger', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Jolly Lodger:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2545, '53ff5617-e297-4201-93e3-19cebcb7a2e5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jolly Lodger&subset=latin-ext#regular', 'Jolly Lodger regular (latin-ext)', 'Jolly Lodger', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Jolly Lodger:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2546, '9f61e4c8-3af1-4141-8eea-64b5467e8cf6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jockey One&subset=latin#regular', 'Jockey One regular (latin)', 'Jockey One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Jockey One:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2547, 'e28c61fc-6d12-415c-a09c-4079a2679ab9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jockey One&subset=latin-ext#regular', 'Jockey One regular (latin-ext)', 'Jockey One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Jockey One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2548, 'c329cd14-bf55-4265-a926-ec8c297986cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jim Nightshade&subset=latin#regular', 'Jim Nightshade regular (latin)', 'Jim Nightshade', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Jim Nightshade:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2549, 'e331c0f4-553e-4529-b04b-c7725a53f904', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jim Nightshade&subset=latin-ext#regular', 'Jim Nightshade regular (latin-ext)', 'Jim Nightshade', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Jim Nightshade:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2550, 'ca4a1ae8-4c64-4699-b0c8-a79a904a40a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jaldi&subset=latin#700', 'Jaldi 700 (latin)', 'Jaldi', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Jaldi:700";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2551, '163da8d6-bd0a-4f86-b26c-c567fe0943e5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jaldi&subset=devanagari#700', 'Jaldi 700 (devanagari)', 'Jaldi', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Jaldi:700";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2552, '7ade2c68-ad80-407a-bddb-bc4fe87b5df4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jaldi&subset=latin-ext#700', 'Jaldi 700 (latin-ext)', 'Jaldi', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Jaldi:700";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2553, '396e3466-5624-4863-9071-21604f42eb57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jaldi&subset=latin#regular', 'Jaldi regular (latin)', 'Jaldi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Jaldi:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2554, '6c8728ad-e642-45fb-91fe-587fb5d2cbfa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jaldi&subset=devanagari#regular', 'Jaldi regular (devanagari)', 'Jaldi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Jaldi:regular";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2555, 'd5777f17-a863-4bbd-90a7-f80d0f39e836', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jaldi&subset=latin-ext#regular', 'Jaldi regular (latin-ext)', 'Jaldi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Jaldi:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2556, 'f3323b73-9fe0-4899-a251-3a2987c98206', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jacques Francois Shadow&subset=latin#regular', 'Jacques Francois Shadow regular (latin)', 'Jacques Francois Shadow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:31:"Jacques Francois Shadow:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2557, '8c8dc068-af21-4ce1-b00e-7875de06c0f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Jacques Francois&subset=latin#regular', 'Jacques Francois regular (latin)', 'Jacques Francois', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Jacques Francois:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2558, 'b78c7d13-0bf8-44f8-8746-83e40658e22f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Itim&subset=thai#regular', 'Itim regular (thai)', 'Itim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Itim:regular";s:6:"subset";s:4:"thai";}', 1468916144, 1468916144, 0),
(2559, '42efd42c-2bc1-40a7-992e-da50c65ca2bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Itim&subset=latin#regular', 'Itim regular (latin)', 'Itim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Itim:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2560, '41172e7c-f81e-4e04-9ef1-ceecf8ddabb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Itim&subset=vietnamese#regular', 'Itim regular (vietnamese)', 'Itim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Itim:regular";s:6:"subset";s:10:"vietnamese";}', 1468916144, 1468916144, 0),
(2561, '4a1e779b-1e82-40fb-b091-e8f289dc1ff4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Itim&subset=latin-ext#regular', 'Itim regular (latin-ext)', 'Itim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Itim:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2562, 'cda5a568-0df6-4bce-9bbb-08b10248e564', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Italianno&subset=latin#regular', 'Italianno regular (latin)', 'Italianno', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Italianno:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2563, '294fb6bd-aa88-4efc-9455-b69d92982a62', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Italianno&subset=latin-ext#regular', 'Italianno regular (latin-ext)', 'Italianno', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Italianno:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2564, '81b26022-b360-40e3-81a5-5cf6b1ce65d3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Italiana&subset=latin#regular', 'Italiana regular (latin)', 'Italiana', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Italiana:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2565, '55a4fa2e-fdb8-4d76-aa14-ad19a28e553c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic-ext#700italic', 'Istok Web 700italic (cyrillic-ext)', 'Istok Web', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Istok Web:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916144, 1468916144, 0),
(2566, 'b174c867-f2e2-4711-81d8-c734488f6a79', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin#700italic', 'Istok Web 700italic (latin)', 'Istok Web', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Istok Web:700italic";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2567, '46e00500-a888-457a-81d8-03a4a9350ac5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin-ext#700italic', 'Istok Web 700italic (latin-ext)', 'Istok Web', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Istok Web:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2568, '3f6e8d74-6a30-4086-a4b1-2c938abc3b5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic#700italic', 'Istok Web 700italic (cyrillic)', 'Istok Web', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Istok Web:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916144, 1468916144, 0),
(2569, '084fc834-c084-473b-bf4e-78e6d6b210d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic-ext#700', 'Istok Web 700 (cyrillic-ext)', 'Istok Web', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Istok Web:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916144, 1468916144, 0),
(2570, '4a42c721-4c6b-4519-86c3-1b5e97eba789', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin#700', 'Istok Web 700 (latin)', 'Istok Web', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Istok Web:700";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2571, '583a5096-d7c3-4452-9eab-cbcaa68a3dd8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin-ext#700', 'Istok Web 700 (latin-ext)', 'Istok Web', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Istok Web:700";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2572, '9e8824c4-1f8a-4c79-b685-b644cea96244', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic#700', 'Istok Web 700 (cyrillic)', 'Istok Web', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Istok Web:700";s:6:"subset";s:8:"cyrillic";}', 1468916144, 1468916144, 0),
(2573, 'cfcfdd1a-f089-448f-ac4b-dc2e5110a9de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic-ext#italic', 'Istok Web italic (cyrillic-ext)', 'Istok Web', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Istok Web:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916144, 1468916144, 0),
(2574, 'ce9a4fa2-6790-42b2-9593-2fb651882c2b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin#italic', 'Istok Web italic (latin)', 'Istok Web', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Istok Web:italic";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2575, '22c41e29-4b85-4e4e-9005-6db7114c5bff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin-ext#italic', 'Istok Web italic (latin-ext)', 'Istok Web', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Istok Web:italic";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2576, '84936180-7ccb-4a85-ad8f-f6244504dd4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic#italic', 'Istok Web italic (cyrillic)', 'Istok Web', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Istok Web:italic";s:6:"subset";s:8:"cyrillic";}', 1468916144, 1468916144, 0),
(2577, 'd41ed2ba-16f3-4b53-b176-37dfcfd658b3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic-ext#regular', 'Istok Web regular (cyrillic-ext)', 'Istok Web', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Istok Web:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916144, 1468916144, 0),
(2578, 'd7d95297-acc7-4eaa-87a7-2b6a39658014', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin#regular', 'Istok Web regular (latin)', 'Istok Web', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Istok Web:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2579, 'ab4896f4-02fb-4970-805d-dedb2173f800', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=latin-ext#regular', 'Istok Web regular (latin-ext)', 'Istok Web', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Istok Web:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2580, '9f44d387-506e-417a-a445-f7802f3dc7c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Istok Web&subset=cyrillic#regular', 'Istok Web regular (cyrillic)', 'Istok Web', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Istok Web:regular";s:6:"subset";s:8:"cyrillic";}', 1468916144, 1468916144, 0),
(2581, 'aa691266-5fc6-46bd-8e8e-d01a9bea03ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Irish Grover&subset=latin#regular', 'Irish Grover regular (latin)', 'Irish Grover', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Irish Grover:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2582, '168ff215-1f7e-449d-92c0-197c9d1790b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin#900', 'Inknut Antiqua 900 (latin)', 'Inknut Antiqua', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:900";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2583, 'b0481059-d3c7-40ea-830e-89f399d47d58', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=devanagari#900', 'Inknut Antiqua 900 (devanagari)', 'Inknut Antiqua', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:900";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2584, '15512e07-1817-478f-81f5-a110e36149e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin-ext#900', 'Inknut Antiqua 900 (latin-ext)', 'Inknut Antiqua', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:900";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2585, '85531fd9-6fd7-4888-bf8d-5d683ae39680', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin#800', 'Inknut Antiqua 800 (latin)', 'Inknut Antiqua', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:800";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2586, 'afe77036-9119-427c-9705-d291fba7b796', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=devanagari#800', 'Inknut Antiqua 800 (devanagari)', 'Inknut Antiqua', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:800";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2587, 'cc1b7fb3-dc03-4ce9-8efc-68ef99f27c36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin-ext#800', 'Inknut Antiqua 800 (latin-ext)', 'Inknut Antiqua', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:800";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2588, '38513a2e-d1bf-4315-ba64-bd5b1b277f5e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin#700', 'Inknut Antiqua 700 (latin)', 'Inknut Antiqua', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:700";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2589, '36958d33-0af5-4aa0-9ae9-ec0cb028f633', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=devanagari#700', 'Inknut Antiqua 700 (devanagari)', 'Inknut Antiqua', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:700";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2590, 'be87a28d-f285-4ecd-9b75-064777ac0a65', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin-ext#700', 'Inknut Antiqua 700 (latin-ext)', 'Inknut Antiqua', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:700";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2591, 'a6c612d1-72d9-4322-a573-1fbe9ffc947f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin#600', 'Inknut Antiqua 600 (latin)', 'Inknut Antiqua', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:600";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2592, 'e659cf01-0518-4405-b276-3d4b42e5a6dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=devanagari#600', 'Inknut Antiqua 600 (devanagari)', 'Inknut Antiqua', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:600";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2593, 'a16d2922-8a87-446f-9cb3-973dd828a62a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin-ext#600', 'Inknut Antiqua 600 (latin-ext)', 'Inknut Antiqua', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:600";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2594, 'beefc5a5-14d2-430f-a904-eeb7d770b130', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin#500', 'Inknut Antiqua 500 (latin)', 'Inknut Antiqua', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:500";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2595, 'a20be9d1-8d6a-4c8c-a23f-f761bc4d41be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=devanagari#500', 'Inknut Antiqua 500 (devanagari)', 'Inknut Antiqua', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:500";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2596, 'fdb97857-fd51-46d9-9bbe-32b37c5bc442', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin-ext#500', 'Inknut Antiqua 500 (latin-ext)', 'Inknut Antiqua', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:500";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2597, '3f56e748-737a-4cc7-ac8d-a89ae590d488', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin#regular', 'Inknut Antiqua regular (latin)', 'Inknut Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Inknut Antiqua:regular";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2598, 'a0868e5a-35b8-444f-b8f0-8e4bdd3ddff2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=devanagari#regular', 'Inknut Antiqua regular (devanagari)', 'Inknut Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Inknut Antiqua:regular";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2599, '92e5e2a9-6c90-48f4-9f8b-8de30c7f0ead', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin-ext#regular', 'Inknut Antiqua regular (latin-ext)', 'Inknut Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Inknut Antiqua:regular";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2600, '051071b1-e317-463c-9b8c-34de9ec5ccd1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin#300', 'Inknut Antiqua 300 (latin)', 'Inknut Antiqua', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:300";s:6:"subset";s:5:"latin";}', 1468916144, 1468916144, 0),
(2601, 'd6ddcc5f-bc42-4d6c-98dc-9800e56b4b76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=devanagari#300', 'Inknut Antiqua 300 (devanagari)', 'Inknut Antiqua', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:300";s:6:"subset";s:10:"devanagari";}', 1468916144, 1468916144, 0),
(2602, '9409c953-0ca3-4ba0-8c33-a4e0f23b275b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inknut Antiqua&subset=latin-ext#300', 'Inknut Antiqua 300 (latin-ext)', 'Inknut Antiqua', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Inknut Antiqua:300";s:6:"subset";s:9:"latin-ext";}', 1468916144, 1468916144, 0),
(2603, 'a765e2b7-efbc-4ffe-8806-242ede1bf1b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inika&subset=latin#700', 'Inika 700 (latin)', 'Inika', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Inika:700";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2604, '089683ae-4956-4a15-8998-3172952f07f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inika&subset=latin-ext#700', 'Inika 700 (latin-ext)', 'Inika', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Inika:700";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2605, '7cc5c8a6-5268-4b55-b3d1-6894bea5e71d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inika&subset=latin#regular', 'Inika regular (latin)', 'Inika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Inika:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2606, 'b5c38c0e-e200-45a8-9f25-83062e7de4f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inika&subset=latin-ext#regular', 'Inika regular (latin-ext)', 'Inika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Inika:regular";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2607, 'bc175eca-6b2f-45fd-a267-2d486d954e35', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Indie Flower&subset=latin#regular', 'Indie Flower regular (latin)', 'Indie Flower', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Indie Flower:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2608, '49769c1e-e521-45d2-af71-1a9a7617b224', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inder&subset=latin#regular', 'Inder regular (latin)', 'Inder', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Inder:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2609, 'dd699a42-5090-4bac-93fe-fca58262c6a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inder&subset=latin-ext#regular', 'Inder regular (latin-ext)', 'Inder', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Inder:regular";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2610, '72822509-2017-4a52-b203-e56054e01ebd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inconsolata&subset=latin#700', 'Inconsolata 700 (latin)', 'Inconsolata', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Inconsolata:700";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2611, 'ff5a75fc-bb36-4401-884f-b041785989fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inconsolata&subset=latin-ext#700', 'Inconsolata 700 (latin-ext)', 'Inconsolata', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Inconsolata:700";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2612, '7e8004e8-91c3-4ce1-be77-500178fb832b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inconsolata&subset=latin#regular', 'Inconsolata regular (latin)', 'Inconsolata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Inconsolata:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2613, 'a207ebfb-1b86-4580-be28-e23742599326', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Inconsolata&subset=latin-ext#regular', 'Inconsolata regular (latin-ext)', 'Inconsolata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Inconsolata:regular";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2614, 'c67a3988-7e8e-4166-a37c-b23bc08160d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Imprima&subset=latin#regular', 'Imprima regular (latin)', 'Imprima', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Imprima:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2615, '3d5781cc-c323-4f0e-a205-37f6f4855cd0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Imprima&subset=latin-ext#regular', 'Imprima regular (latin-ext)', 'Imprima', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Imprima:regular";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2616, 'd5c13a45-6ad5-49d8-aa41-07e790213542', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Iceland&subset=latin#regular', 'Iceland regular (latin)', 'Iceland', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Iceland:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2617, '219a9135-fd3a-444b-8e8b-79af6b9d7157', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Iceberg&subset=latin#regular', 'Iceberg regular (latin)', 'Iceberg', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Iceberg:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2618, '67c44c2d-184c-4882-bbc9-bafaddaaeefb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell Great Primer SC&subset=latin#regular', 'IM Fell Great Primer SC regular (latin)', 'IM Fell Great Primer SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:31:"IM Fell Great Primer SC:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2619, '5c328c9d-1a17-44af-8ad7-749bee65acb3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell Great Primer&subset=latin#italic', 'IM Fell Great Primer italic (latin)', 'IM Fell Great Primer', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"IM Fell Great Primer:italic";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2620, '9e222dac-f65f-4162-b6da-dd15eb2e51cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell Great Primer&subset=latin#regular', 'IM Fell Great Primer regular (latin)', 'IM Fell Great Primer', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"IM Fell Great Primer:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2621, '5188df92-dd77-4e4f-bea2-e79c9c8d18c0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell French Canon SC&subset=latin#regular', 'IM Fell French Canon SC regular (latin)', 'IM Fell French Canon SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:31:"IM Fell French Canon SC:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2622, 'fcaf33ba-8828-4fc5-829d-17ffeef4c47d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell French Canon&subset=latin#italic', 'IM Fell French Canon italic (latin)', 'IM Fell French Canon', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"IM Fell French Canon:italic";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2623, 'db95d989-d502-4b5b-832c-8d68f10a9de1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell French Canon&subset=latin#regular', 'IM Fell French Canon regular (latin)', 'IM Fell French Canon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"IM Fell French Canon:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2624, '94a35b0e-6579-493f-a675-7ab647b170e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell English SC&subset=latin#regular', 'IM Fell English SC regular (latin)', 'IM Fell English SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"IM Fell English SC:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2625, 'c4f31e5a-5ce4-4e4e-8217-df92a329c547', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell English&subset=latin#italic', 'IM Fell English italic (latin)', 'IM Fell English', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"IM Fell English:italic";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2626, 'b986066b-1b42-40d2-8fe5-86150fa80568', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell English&subset=latin#regular', 'IM Fell English regular (latin)', 'IM Fell English', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"IM Fell English:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2627, 'fe14e71a-a7c2-4ccd-abd0-ebbfb7f92b75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell Double Pica SC&subset=latin#regular', 'IM Fell Double Pica SC regular (latin)', 'IM Fell Double Pica SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:30:"IM Fell Double Pica SC:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2628, 'b5076a18-4465-4946-985f-37955a534006', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell Double Pica&subset=latin#italic', 'IM Fell Double Pica italic (latin)', 'IM Fell Double Pica', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"IM Fell Double Pica:italic";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2629, '981a92f4-05bd-4f61-93d9-83db47a52a6c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell Double Pica&subset=latin#regular', 'IM Fell Double Pica regular (latin)', 'IM Fell Double Pica', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"IM Fell Double Pica:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2630, '5b18aed0-8a8c-4411-a28a-0f6ab2aa3eee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell DW Pica SC&subset=latin#regular', 'IM Fell DW Pica SC regular (latin)', 'IM Fell DW Pica SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"IM Fell DW Pica SC:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2631, 'a95103b9-df98-4b1a-85ad-9924ece6adf4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell DW Pica&subset=latin#italic', 'IM Fell DW Pica italic (latin)', 'IM Fell DW Pica', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"IM Fell DW Pica:italic";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2632, '663cbd80-18ee-4b6e-86a4-9157782a2d8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=IM Fell DW Pica&subset=latin#regular', 'IM Fell DW Pica regular (latin)', 'IM Fell DW Pica', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"IM Fell DW Pica:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2633, '1c46b84d-2f78-4f86-8bd4-9f24cc02940f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Homenaje&subset=latin#regular', 'Homenaje regular (latin)', 'Homenaje', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Homenaje:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2634, '18b5b4e0-1fc3-46ff-bc18-26f9d3d8f32a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Homenaje&subset=latin-ext#regular', 'Homenaje regular (latin-ext)', 'Homenaje', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Homenaje:regular";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2635, '0a96708b-57b8-401c-a6ac-50e7e87fc61b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Homemade Apple&subset=latin#regular', 'Homemade Apple regular (latin)', 'Homemade Apple', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Homemade Apple:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2636, '0f930bf8-2fbc-4413-a170-f44c5e6e8210', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Holtwood One SC&subset=latin#regular', 'Holtwood One SC regular (latin)', 'Holtwood One SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Holtwood One SC:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2637, '594df322-818c-44d1-a248-33cf50985218', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin#700', 'Hind Vadodara 700 (latin)', 'Hind Vadodara', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:700";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2638, '10270566-e3a0-4510-9d00-6f43736f9f5f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=gujarati#700', 'Hind Vadodara 700 (gujarati)', 'Hind Vadodara', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:700";s:6:"subset";s:8:"gujarati";}', 1468916145, 1468916145, 0),
(2639, 'c4eaaff9-ce5b-43f1-945d-1db6a7391e8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin-ext#700', 'Hind Vadodara 700 (latin-ext)', 'Hind Vadodara', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:700";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0);
INSERT INTO `fontyourface_font` VALUES
(2640, '84a7202a-9b90-46af-9b64-40eafc0dbf06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin#600', 'Hind Vadodara 600 (latin)', 'Hind Vadodara', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:600";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2641, '91518bbc-d28c-4e8c-a079-bf086fb539b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=gujarati#600', 'Hind Vadodara 600 (gujarati)', 'Hind Vadodara', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:600";s:6:"subset";s:8:"gujarati";}', 1468916145, 1468916145, 0),
(2642, '9858d2e2-3819-45a4-b83b-2e8f3c4e55bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin-ext#600', 'Hind Vadodara 600 (latin-ext)', 'Hind Vadodara', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:600";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2643, '89b02e6a-e0cc-4e49-9aa9-1d8c7e1f2122', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin#500', 'Hind Vadodara 500 (latin)', 'Hind Vadodara', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:500";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2644, '325041f2-4e2f-42e3-bc4b-983f624edff7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=gujarati#500', 'Hind Vadodara 500 (gujarati)', 'Hind Vadodara', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:500";s:6:"subset";s:8:"gujarati";}', 1468916145, 1468916145, 0),
(2645, '9719c2d5-91b8-4367-9efd-9e7cf6a9e453', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin-ext#500', 'Hind Vadodara 500 (latin-ext)', 'Hind Vadodara', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:500";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2646, '4a962bd1-617d-4bc3-8607-13f926dfa6a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin#regular', 'Hind Vadodara regular (latin)', 'Hind Vadodara', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Hind Vadodara:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2647, '5a7e7233-bcde-41ad-8673-186bb6c429dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=gujarati#regular', 'Hind Vadodara regular (gujarati)', 'Hind Vadodara', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Hind Vadodara:regular";s:6:"subset";s:8:"gujarati";}', 1468916145, 1468916145, 0),
(2648, '904011ef-84d3-40ea-bc1b-6ae55ec8a70c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin-ext#regular', 'Hind Vadodara regular (latin-ext)', 'Hind Vadodara', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Hind Vadodara:regular";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2649, '3ec5cc4b-5e7c-46a7-ba59-c7ff82825baa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin#300', 'Hind Vadodara 300 (latin)', 'Hind Vadodara', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:300";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2650, '5da23815-2fe1-48d7-9642-ba0620b3ae42', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=gujarati#300', 'Hind Vadodara 300 (gujarati)', 'Hind Vadodara', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:300";s:6:"subset";s:8:"gujarati";}', 1468916145, 1468916145, 0),
(2651, '099e6d63-7d50-4eea-be67-2639e0c72295', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Vadodara&subset=latin-ext#300', 'Hind Vadodara 300 (latin-ext)', 'Hind Vadodara', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Vadodara:300";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2652, 'c4392708-ff5d-404b-bd59-ea6b869af3a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=bengali#700', 'Hind Siliguri 700 (bengali)', 'Hind Siliguri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:700";s:6:"subset";s:7:"bengali";}', 1468916145, 1468916145, 0),
(2653, '8fa6cfa5-be55-471e-8cff-45f7a03007a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin#700', 'Hind Siliguri 700 (latin)', 'Hind Siliguri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:700";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2654, '563731a2-7a37-44e4-8f93-2c728f2c3780', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin-ext#700', 'Hind Siliguri 700 (latin-ext)', 'Hind Siliguri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:700";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2655, '9f398c98-d1b2-43b3-b478-abc56c3255b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=bengali#600', 'Hind Siliguri 600 (bengali)', 'Hind Siliguri', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:600";s:6:"subset";s:7:"bengali";}', 1468916145, 1468916145, 0),
(2656, '788fb5c1-3ea2-4e21-b0a4-adf0b885bc27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin#600', 'Hind Siliguri 600 (latin)', 'Hind Siliguri', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:600";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2657, 'e95df101-8325-447a-8c3f-d173866f28c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin-ext#600', 'Hind Siliguri 600 (latin-ext)', 'Hind Siliguri', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:600";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2658, '49f62df8-e9e1-4644-8963-6bc9516a86d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=bengali#500', 'Hind Siliguri 500 (bengali)', 'Hind Siliguri', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:500";s:6:"subset";s:7:"bengali";}', 1468916145, 1468916145, 0),
(2659, '0f182bbe-8c33-4187-899f-8c90897ab54f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin#500', 'Hind Siliguri 500 (latin)', 'Hind Siliguri', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:500";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2660, 'b6cdb164-6e54-480c-b5b8-6e4bf85cf68f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin-ext#500', 'Hind Siliguri 500 (latin-ext)', 'Hind Siliguri', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:500";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2661, 'afc11301-f1e1-4e98-9dbf-6be1c3986b98', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=bengali#regular', 'Hind Siliguri regular (bengali)', 'Hind Siliguri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Hind Siliguri:regular";s:6:"subset";s:7:"bengali";}', 1468916145, 1468916145, 0),
(2662, '5ba5af93-5b2e-4872-8b6e-c5b97a46e690', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin#regular', 'Hind Siliguri regular (latin)', 'Hind Siliguri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Hind Siliguri:regular";s:6:"subset";s:5:"latin";}', 1468916145, 1468916145, 0),
(2663, '21c0f528-d479-4af2-bdaf-d3c251830c6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin-ext#regular', 'Hind Siliguri regular (latin-ext)', 'Hind Siliguri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Hind Siliguri:regular";s:6:"subset";s:9:"latin-ext";}', 1468916145, 1468916145, 0),
(2664, 'b1a4e691-41b1-4566-a3ef-08cfc122d431', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=bengali#300', 'Hind Siliguri 300 (bengali)', 'Hind Siliguri', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:300";s:6:"subset";s:7:"bengali";}', 1468916147, 1468916147, 0),
(2665, 'f27671c1-2ba6-4d1d-9dd8-c9335f1f2834', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin#300', 'Hind Siliguri 300 (latin)', 'Hind Siliguri', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:300";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2666, '5bc94bb7-01d4-40f2-bde4-b45e327de393', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Siliguri&subset=latin-ext#300', 'Hind Siliguri 300 (latin-ext)', 'Hind Siliguri', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Hind Siliguri:300";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2667, 'b2281e61-8a3a-424f-811b-1339d003135c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin#700', 'Hind Madurai 700 (latin)', 'Hind Madurai', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:700";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2668, '926ffdc3-3ff5-490f-9ce9-d9899a3f1b2c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=tamil#700', 'Hind Madurai 700 (tamil)', 'Hind Madurai', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:700";s:6:"subset";s:5:"tamil";}', 1468916147, 1468916147, 0),
(2669, '90b60667-1fa1-494e-b8b5-b9e4200220b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin-ext#700', 'Hind Madurai 700 (latin-ext)', 'Hind Madurai', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:700";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2670, '5d400350-a78f-4d13-9985-49b823b154ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin#600', 'Hind Madurai 600 (latin)', 'Hind Madurai', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:600";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2671, '1daf252d-6853-4ba6-88c8-0ba993ce5763', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=tamil#600', 'Hind Madurai 600 (tamil)', 'Hind Madurai', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:600";s:6:"subset";s:5:"tamil";}', 1468916147, 1468916147, 0),
(2672, '3a0e0ab5-7e08-48be-ad67-2a05f1e63d7c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin-ext#600', 'Hind Madurai 600 (latin-ext)', 'Hind Madurai', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:600";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2673, '0b13e8f5-c56d-4e91-8aaa-b4d04a8b6aa9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin#500', 'Hind Madurai 500 (latin)', 'Hind Madurai', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:500";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2674, '59a859a3-5d6d-47a6-9157-8648114eed53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=tamil#500', 'Hind Madurai 500 (tamil)', 'Hind Madurai', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:500";s:6:"subset";s:5:"tamil";}', 1468916147, 1468916147, 0),
(2675, '556ec455-55f4-47f3-bee6-912719773596', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin-ext#500', 'Hind Madurai 500 (latin-ext)', 'Hind Madurai', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:500";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2676, '8e31858e-637f-4e0f-8608-02f094e1fc59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin#regular', 'Hind Madurai regular (latin)', 'Hind Madurai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Hind Madurai:regular";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2677, '78bab33f-b18d-4ff0-b44e-559ba0588f0b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=tamil#regular', 'Hind Madurai regular (tamil)', 'Hind Madurai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Hind Madurai:regular";s:6:"subset";s:5:"tamil";}', 1468916147, 1468916147, 0),
(2678, 'aed13fad-93cc-4e6c-8d7f-9b14676946b6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin-ext#regular', 'Hind Madurai regular (latin-ext)', 'Hind Madurai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Hind Madurai:regular";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2679, 'ce3b60a7-fcd8-4c1f-ac20-4c5675e65948', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin#300', 'Hind Madurai 300 (latin)', 'Hind Madurai', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:300";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2680, '13737a3c-b981-4d25-a21e-d078ae2d2154', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=tamil#300', 'Hind Madurai 300 (tamil)', 'Hind Madurai', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:300";s:6:"subset";s:5:"tamil";}', 1468916147, 1468916147, 0),
(2681, '6c7a71c5-ed34-4a5a-83ad-dd35e5ea4d4b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Madurai&subset=latin-ext#300', 'Hind Madurai 300 (latin-ext)', 'Hind Madurai', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Hind Madurai:300";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2682, 'a9d48d0c-084d-4c62-a73d-c34a8c1b6cc8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin#700', 'Hind Guntur 700 (latin)', 'Hind Guntur', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:700";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2683, 'da8c69b8-085e-4567-a878-67e52474c727', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=telugu#700', 'Hind Guntur 700 (telugu)', 'Hind Guntur', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:700";s:6:"subset";s:6:"telugu";}', 1468916147, 1468916147, 0),
(2684, '437cf408-dce8-46e9-961a-85759d42e292', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin-ext#700', 'Hind Guntur 700 (latin-ext)', 'Hind Guntur', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:700";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2685, '1ff5efea-e1e6-4d62-a7aa-c4d49b55f0b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin#600', 'Hind Guntur 600 (latin)', 'Hind Guntur', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:600";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2686, 'ac9627d1-2061-40e9-a1e4-b4a64f05e8fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=telugu#600', 'Hind Guntur 600 (telugu)', 'Hind Guntur', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:600";s:6:"subset";s:6:"telugu";}', 1468916147, 1468916147, 0),
(2687, '9df773a5-a9fc-497e-a388-a922a85cc6ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin-ext#600', 'Hind Guntur 600 (latin-ext)', 'Hind Guntur', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:600";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2688, '0467b4f4-fd5d-476f-81e3-26332fc56047', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin#500', 'Hind Guntur 500 (latin)', 'Hind Guntur', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:500";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2689, '5946144b-310c-48ef-8e88-7234ced7ba2b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=telugu#500', 'Hind Guntur 500 (telugu)', 'Hind Guntur', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:500";s:6:"subset";s:6:"telugu";}', 1468916147, 1468916147, 0),
(2690, 'c1b0addc-0613-423c-8dd6-668f23d81c23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin-ext#500', 'Hind Guntur 500 (latin-ext)', 'Hind Guntur', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:500";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2691, 'b1232476-04a3-4c71-aaae-4fb1d3192fc2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin#regular', 'Hind Guntur regular (latin)', 'Hind Guntur', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Hind Guntur:regular";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2692, 'cb4a13a2-7858-4052-bf66-819c1e26cc73', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=telugu#regular', 'Hind Guntur regular (telugu)', 'Hind Guntur', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Hind Guntur:regular";s:6:"subset";s:6:"telugu";}', 1468916147, 1468916147, 0),
(2693, 'caf0d0eb-e757-42d7-95d1-3ffcf57e4002', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin-ext#regular', 'Hind Guntur regular (latin-ext)', 'Hind Guntur', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Hind Guntur:regular";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2694, 'cca70f29-df44-4efc-99bc-b8297d7615d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin#300', 'Hind Guntur 300 (latin)', 'Hind Guntur', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:300";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2695, '2ce19346-08dd-443c-98f2-19a5b3f4d67e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=telugu#300', 'Hind Guntur 300 (telugu)', 'Hind Guntur', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:300";s:6:"subset";s:6:"telugu";}', 1468916147, 1468916147, 0),
(2696, 'd7379872-6c0f-47d8-8cb6-1f9663bb87ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind Guntur&subset=latin-ext#300', 'Hind Guntur 300 (latin-ext)', 'Hind Guntur', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hind Guntur:300";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2697, '3ff551ec-7a98-41ed-9d7f-a450b0d32af1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin#700', 'Hind 700 (latin)', 'Hind', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:700";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2698, '3582dfb9-cba2-4c35-912f-6be015994970', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=devanagari#700', 'Hind 700 (devanagari)', 'Hind', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:700";s:6:"subset";s:10:"devanagari";}', 1468916147, 1468916147, 0),
(2699, '71a80917-e8f5-428e-8ddd-cd3e2b1ae397', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin-ext#700', 'Hind 700 (latin-ext)', 'Hind', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:700";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2700, '1ee05c6c-3c45-4b4b-ada4-9e499f6d3593', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin#600', 'Hind 600 (latin)', 'Hind', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:600";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2701, 'a396dd6e-aa3d-4b9f-805a-90dcea071882', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=devanagari#600', 'Hind 600 (devanagari)', 'Hind', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:600";s:6:"subset";s:10:"devanagari";}', 1468916147, 1468916147, 0),
(2702, 'b90e47bb-d35a-4305-8ffd-a42d81ea6c8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin-ext#600', 'Hind 600 (latin-ext)', 'Hind', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:600";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2703, 'cf3cae2e-6e5e-4db3-b2d5-4e9d959d05de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin#500', 'Hind 500 (latin)', 'Hind', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:500";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2704, 'afa9820c-cd9d-4439-bc2a-965235b18ee6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=devanagari#500', 'Hind 500 (devanagari)', 'Hind', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:500";s:6:"subset";s:10:"devanagari";}', 1468916147, 1468916147, 0),
(2705, '96958314-c590-491d-8833-d7e111d639ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin-ext#500', 'Hind 500 (latin-ext)', 'Hind', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:500";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2706, '465c5a98-db61-40d2-9ef7-21d0691db7c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin#regular', 'Hind regular (latin)', 'Hind', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Hind:regular";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2707, '1e3e42ca-d4f8-41b3-927b-f5ee04a40997', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=devanagari#regular', 'Hind regular (devanagari)', 'Hind', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Hind:regular";s:6:"subset";s:10:"devanagari";}', 1468916147, 1468916147, 0),
(2708, 'c4d3e021-6e04-4fbf-84ea-b69dc6c1a2d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin-ext#regular', 'Hind regular (latin-ext)', 'Hind', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Hind:regular";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2709, '41a8f719-2358-4515-8f16-48ed5001767a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin#300', 'Hind 300 (latin)', 'Hind', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:300";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2710, 'e6ff7771-0f85-4992-a9e8-be4075f8662c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=devanagari#300', 'Hind 300 (devanagari)', 'Hind', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:300";s:6:"subset";s:10:"devanagari";}', 1468916147, 1468916147, 0),
(2711, '2ae49e6c-e32e-4dce-a0ba-92b95e310d5c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hind&subset=latin-ext#300', 'Hind 300 (latin-ext)', 'Hind', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Hind:300";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2712, 'b2a67755-f360-449d-add9-627f0f59946d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Herr Von Muellerhoff&subset=latin#regular', 'Herr Von Muellerhoff regular (latin)', 'Herr Von Muellerhoff', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Herr Von Muellerhoff:regular";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2713, 'dbe009de-8ccd-4ccc-8cac-b8d19fe99092', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Herr Von Muellerhoff&subset=latin-ext#regular', 'Herr Von Muellerhoff regular (latin-ext)', 'Herr Von Muellerhoff', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Herr Von Muellerhoff:regular";s:6:"subset";s:9:"latin-ext";}', 1468916147, 1468916147, 0),
(2714, '5622c114-87f9-420b-9046-6ae2c476cd96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Henny Penny&subset=latin#regular', 'Henny Penny regular (latin)', 'Henny Penny', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Henny Penny:regular";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2715, 'f18b54a5-9e79-4f06-9a3f-4a8e911ccd03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=latin#900', 'Heebo 900 (latin)', 'Heebo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:900";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2716, '44f9ad27-8239-4e63-8a4e-c4fdec0a8233', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=hebrew#900', 'Heebo 900 (hebrew)', 'Heebo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:900";s:6:"subset";s:6:"hebrew";}', 1468916147, 1468916147, 0),
(2717, 'ffd1be1b-36b6-41b4-8596-e69cb60aca2b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=latin#800', 'Heebo 800 (latin)', 'Heebo', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:800";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2718, '67a55347-29d3-450f-9c53-02e14a3054f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=hebrew#800', 'Heebo 800 (hebrew)', 'Heebo', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:800";s:6:"subset";s:6:"hebrew";}', 1468916147, 1468916147, 0),
(2719, 'bf231829-93df-4152-9012-aeff5e0df7d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=latin#700', 'Heebo 700 (latin)', 'Heebo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:700";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2720, 'c70724c5-abed-46a0-9a00-30da7e0626e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=hebrew#700', 'Heebo 700 (hebrew)', 'Heebo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:700";s:6:"subset";s:6:"hebrew";}', 1468916147, 1468916147, 0),
(2721, 'cdc18fcd-45eb-46f4-afd4-c57ae0a317df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=latin#500', 'Heebo 500 (latin)', 'Heebo', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:500";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2722, '9a2f099d-b0a4-40ad-b7ff-756b53af03f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=hebrew#500', 'Heebo 500 (hebrew)', 'Heebo', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:500";s:6:"subset";s:6:"hebrew";}', 1468916147, 1468916147, 0),
(2723, 'c206944b-5583-4f42-9bcd-0751fb927757', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=latin#regular', 'Heebo regular (latin)', 'Heebo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Heebo:regular";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2724, 'bb05199a-8bb9-48c8-b3b6-1d13cb61adb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=hebrew#regular', 'Heebo regular (hebrew)', 'Heebo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Heebo:regular";s:6:"subset";s:6:"hebrew";}', 1468916147, 1468916147, 0),
(2725, 'c85b3ba3-7181-43b6-9550-a767665b3939', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=latin#300', 'Heebo 300 (latin)', 'Heebo', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:300";s:6:"subset";s:5:"latin";}', 1468916147, 1468916147, 0),
(2726, '0bc8b287-2953-4221-a85d-503eafe21aac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=hebrew#300', 'Heebo 300 (hebrew)', 'Heebo', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:300";s:6:"subset";s:6:"hebrew";}', 1468916148, 1468916148, 0),
(2727, '1d41bb0d-88ec-4745-bce0-6dc7915fb608', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=latin#100', 'Heebo 100 (latin)', 'Heebo', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:100";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2728, '89774e57-4764-4758-8e41-9d4b43643817', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Heebo&subset=hebrew#100', 'Heebo 100 (hebrew)', 'Heebo', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Heebo:100";s:6:"subset";s:6:"hebrew";}', 1468916148, 1468916148, 0),
(2729, '4cfa1815-e5ba-4cef-be38-9ca46012bb9b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Headland One&subset=latin#regular', 'Headland One regular (latin)', 'Headland One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Headland One:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2730, 'd75d3ee1-2b6e-4f8f-89a2-b42756aee9ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Headland One&subset=latin-ext#regular', 'Headland One regular (latin-ext)', 'Headland One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Headland One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2731, '0f54974c-d5b3-47f6-ad42-908e122b94a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Harmattan&subset=latin#regular', 'Harmattan regular (latin)', 'Harmattan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Harmattan:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2732, 'd7ca7de7-b8b2-4fb2-ba30-9a93e01e937c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Harmattan&subset=arabic#regular', 'Harmattan regular (arabic)', 'Harmattan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Harmattan:regular";s:6:"subset";s:6:"arabic";}', 1468916148, 1468916148, 0),
(2733, '7dfb7dfd-a50a-49d1-9c66-33e0008e773b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Happy Monkey&subset=latin#regular', 'Happy Monkey regular (latin)', 'Happy Monkey', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Happy Monkey:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2734, '3f12ea5f-6511-4805-9bfa-4326c7a8a4ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Happy Monkey&subset=latin-ext#regular', 'Happy Monkey regular (latin-ext)', 'Happy Monkey', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Happy Monkey:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2735, 'e1dbb807-2f16-442d-9a20-5ecb5fbd0427', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hanuman&subset=khmer#700', 'Hanuman 700 (khmer)', 'Hanuman', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Hanuman:700";s:6:"subset";s:5:"khmer";}', 1468916148, 1468916148, 0),
(2736, '11365638-79ef-431e-b3b5-847e2c39dd23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hanuman&subset=khmer#regular', 'Hanuman regular (khmer)', 'Hanuman', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hanuman:regular";s:6:"subset";s:5:"khmer";}', 1468916148, 1468916148, 0),
(2737, '2adf69d5-e428-410f-949d-e4814765dfb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Handlee&subset=latin#regular', 'Handlee regular (latin)', 'Handlee', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Handlee:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2738, '72c4f9fe-8287-4a78-a075-8323de5f2778', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hanalei Fill&subset=latin#regular', 'Hanalei Fill regular (latin)', 'Hanalei Fill', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Hanalei Fill:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2739, 'f001d491-91f1-4569-aedf-2885a38c0ce4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hanalei Fill&subset=latin-ext#regular', 'Hanalei Fill regular (latin-ext)', 'Hanalei Fill', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Hanalei Fill:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2740, '45f9713e-6915-450e-b6b2-bbb8af0a23fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hanalei&subset=latin#regular', 'Hanalei regular (latin)', 'Hanalei', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hanalei:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2741, '061acaa1-53c0-4e37-8417-7928b898b26e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hanalei&subset=latin-ext#regular', 'Hanalei regular (latin-ext)', 'Hanalei', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Hanalei:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2742, 'f80c01c1-67a7-4220-9de3-4b79778a5377', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hammersmith One&subset=latin#regular', 'Hammersmith One regular (latin)', 'Hammersmith One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Hammersmith One:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2743, '04a75832-52d6-47df-9290-dfd2d658f42c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Hammersmith One&subset=latin-ext#regular', 'Hammersmith One regular (latin-ext)', 'Hammersmith One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Hammersmith One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2744, 'c91e8f01-bb23-488e-add9-51986ee246ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin#700', 'Halant 700 (latin)', 'Halant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:700";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2745, 'a4efc8c1-e246-471b-8e2d-8b464d23ce9c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=devanagari#700', 'Halant 700 (devanagari)', 'Halant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:700";s:6:"subset";s:10:"devanagari";}', 1468916148, 1468916148, 0),
(2746, '9f3762b4-bfa4-4a1c-bf76-e0039efde4fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin-ext#700', 'Halant 700 (latin-ext)', 'Halant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:700";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2747, 'd089652a-fd07-45a3-9f6b-f9cbc750543e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin#600', 'Halant 600 (latin)', 'Halant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:600";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2748, '27dca007-ccd6-47ee-9054-01c35b34c1f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=devanagari#600', 'Halant 600 (devanagari)', 'Halant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:600";s:6:"subset";s:10:"devanagari";}', 1468916148, 1468916148, 0),
(2749, 'a6ac2cd1-80d8-463f-a3cc-dfcc54b9c0b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin-ext#600', 'Halant 600 (latin-ext)', 'Halant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:600";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2750, 'a07aa6b1-2b69-4ee3-bc30-fb946399cf9f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin#500', 'Halant 500 (latin)', 'Halant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:500";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2751, '0badc8bf-59cd-4d60-8347-fefd9a213e85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=devanagari#500', 'Halant 500 (devanagari)', 'Halant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:500";s:6:"subset";s:10:"devanagari";}', 1468916148, 1468916148, 0),
(2752, '863a0ba8-0fc9-469c-9e49-fc224e85fea9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin-ext#500', 'Halant 500 (latin-ext)', 'Halant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:500";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2753, '2377289b-e59f-47e6-b732-31be0706dd6b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin#regular', 'Halant regular (latin)', 'Halant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Halant:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2754, '7e3e144e-87e6-4653-a211-9c352d21c031', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=devanagari#regular', 'Halant regular (devanagari)', 'Halant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Halant:regular";s:6:"subset";s:10:"devanagari";}', 1468916148, 1468916148, 0),
(2755, '71896ab5-82db-460d-a33a-b2cbcb768a16', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin-ext#regular', 'Halant regular (latin-ext)', 'Halant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Halant:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2756, 'b6376576-7e72-4b13-8424-833d9bbb6dc0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin#300', 'Halant 300 (latin)', 'Halant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:300";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2757, 'ab15fd1f-f0a6-44c8-a010-ff9aae6833f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=devanagari#300', 'Halant 300 (devanagari)', 'Halant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:300";s:6:"subset";s:10:"devanagari";}', 1468916148, 1468916148, 0),
(2758, '5030c356-08b5-4eb3-a1d5-9f104a7f7c84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Halant&subset=latin-ext#300', 'Halant 300 (latin-ext)', 'Halant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Halant:300";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2759, 'ef0d030b-f19e-4528-a993-973c42b4aad3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Habibi&subset=latin#regular', 'Habibi regular (latin)', 'Habibi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Habibi:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2760, 'e315495a-34c2-4710-9d84-c9a687ee6c40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Habibi&subset=latin-ext#regular', 'Habibi regular (latin-ext)', 'Habibi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Habibi:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2761, '85186d2b-64b6-4d46-954f-9d7ebbaf798a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gurajada&subset=latin#regular', 'Gurajada regular (latin)', 'Gurajada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Gurajada:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2762, 'd26f83f9-fc86-4b9a-881e-2f18ece9492a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gurajada&subset=telugu#regular', 'Gurajada regular (telugu)', 'Gurajada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Gurajada:regular";s:6:"subset";s:6:"telugu";}', 1468916148, 1468916148, 0),
(2763, 'e4ce11de-0d40-402e-916a-d35c45f36841', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gudea&subset=latin#700', 'Gudea 700 (latin)', 'Gudea', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Gudea:700";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2764, 'fe435d4d-680e-4108-9a71-7ab1d7adea41', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gudea&subset=latin-ext#700', 'Gudea 700 (latin-ext)', 'Gudea', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Gudea:700";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2765, 'fef94baa-419e-4d3b-a783-9bcd1c374437', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gudea&subset=latin#italic', 'Gudea italic (latin)', 'Gudea', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Gudea:italic";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2766, '6c4fb7c8-6be4-40eb-a9d8-dae6723afd68', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gudea&subset=latin-ext#italic', 'Gudea italic (latin-ext)', 'Gudea', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Gudea:italic";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2767, 'c4a8c2b3-5405-450d-8a24-de24b9f6676c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gudea&subset=latin#regular', 'Gudea regular (latin)', 'Gudea', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Gudea:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2768, '9a666a9d-5642-404f-a2cb-7a7952ae39ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gudea&subset=latin-ext#regular', 'Gudea regular (latin-ext)', 'Gudea', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Gudea:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2769, '1980ef6e-ab6a-43ce-8407-62c51e37238e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gruppo&subset=latin#regular', 'Gruppo regular (latin)', 'Gruppo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Gruppo:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2770, '953770eb-fb93-4aa6-99c0-0779c731d61b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gruppo&subset=latin-ext#regular', 'Gruppo regular (latin-ext)', 'Gruppo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Gruppo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2771, 'f294a661-2504-4ba5-b801-c50b6690f829', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Griffy&subset=latin#regular', 'Griffy regular (latin)', 'Griffy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Griffy:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2772, '9216947b-20cc-45d3-828c-7bab11177f03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Griffy&subset=latin-ext#regular', 'Griffy regular (latin-ext)', 'Griffy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Griffy:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2773, '02381697-aad5-4e56-bec5-a7cc537b33c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Great Vibes&subset=latin#regular', 'Great Vibes regular (latin)', 'Great Vibes', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Great Vibes:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2774, 'ac85e147-f1f7-4d6e-bdc6-5729437e754b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Great Vibes&subset=latin-ext#regular', 'Great Vibes regular (latin-ext)', 'Great Vibes', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Great Vibes:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2775, '6a1a9094-398d-4518-ad3c-c0cb26770a86', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gravitas One&subset=latin#regular', 'Gravitas One regular (latin)', 'Gravitas One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Gravitas One:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2776, 'd62501f1-8b55-4096-bc3e-b2f6a6790e4c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Grand Hotel&subset=latin#regular', 'Grand Hotel regular (latin)', 'Grand Hotel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Grand Hotel:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2777, 'a1527c7e-76bf-4cba-b6b3-3a1b4d3580fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Grand Hotel&subset=latin-ext#regular', 'Grand Hotel regular (latin-ext)', 'Grand Hotel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Grand Hotel:regular";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2778, '338b5892-ec3d-4afb-bc4d-a74c04b88ae4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Graduate&subset=latin#regular', 'Graduate regular (latin)', 'Graduate', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Graduate:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2779, '153c5a6e-cc87-455b-821e-91cc5f3773ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Goudy Bookletter 1911&subset=latin#regular', 'Goudy Bookletter 1911 regular (latin)', 'Goudy Bookletter 1911', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Goudy Bookletter 1911:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2780, '99e62cd8-56f5-41dc-9006-21170333ab0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gorditas&subset=latin#700', 'Gorditas 700 (latin)', 'Gorditas', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Gorditas:700";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2781, 'c9011bc4-ffae-43d5-9714-d085a7527095', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gorditas&subset=latin#regular', 'Gorditas regular (latin)', 'Gorditas', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Gorditas:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2782, 'c0db3658-74cd-4886-97cb-d05d13448923', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gochi Hand&subset=latin#regular', 'Gochi Hand regular (latin)', 'Gochi Hand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Gochi Hand:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2783, '350c26f4-e3f3-402d-a810-2386ff28f5ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Goblin One&subset=latin#regular', 'Goblin One regular (latin)', 'Goblin One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Goblin One:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2784, '97f7f712-bfb5-4226-8e2d-37c80808e97d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gloria Hallelujah&subset=latin#regular', 'Gloria Hallelujah regular (latin)', 'Gloria Hallelujah', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Gloria Hallelujah:regular";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2785, '55003b80-234b-4bdc-a612-f2d3f362f822', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glegoo&subset=latin#700', 'Glegoo 700 (latin)', 'Glegoo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Glegoo:700";s:6:"subset";s:5:"latin";}', 1468916148, 1468916148, 0),
(2786, 'd12c747e-5c28-46a7-9d75-d0379cce95e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glegoo&subset=devanagari#700', 'Glegoo 700 (devanagari)', 'Glegoo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Glegoo:700";s:6:"subset";s:10:"devanagari";}', 1468916148, 1468916148, 0),
(2787, 'f2b20e92-8b18-4a50-879b-a7538e373576', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glegoo&subset=latin-ext#700', 'Glegoo 700 (latin-ext)', 'Glegoo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Glegoo:700";s:6:"subset";s:9:"latin-ext";}', 1468916148, 1468916148, 0),
(2788, '28199fc7-35d4-4ecd-b2e4-6c1b3055a951', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glegoo&subset=latin#regular', 'Glegoo regular (latin)', 'Glegoo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Glegoo:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2789, 'ca899bc6-df7b-400f-8db6-da92c7b85c5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glegoo&subset=devanagari#regular', 'Glegoo regular (devanagari)', 'Glegoo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Glegoo:regular";s:6:"subset";s:10:"devanagari";}', 1468916149, 1468916149, 0),
(2790, 'd0480a1e-9bc0-4a9d-a9f5-6836631d4f0c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glegoo&subset=latin-ext#regular', 'Glegoo regular (latin-ext)', 'Glegoo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Glegoo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2791, '75f4b752-b187-4a1d-9e93-b410e395de20', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glass Antiqua&subset=latin#regular', 'Glass Antiqua regular (latin)', 'Glass Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Glass Antiqua:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2792, 'b75ffda9-9046-4b8a-9c26-1753720f6830', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Glass Antiqua&subset=latin-ext#regular', 'Glass Antiqua regular (latin-ext)', 'Glass Antiqua', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Glass Antiqua:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2793, '44d26958-8d38-43c6-b422-3367ec72c3f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Give You Glory&subset=latin#regular', 'Give You Glory regular (latin)', 'Give You Glory', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Give You Glory:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2794, '8cc4fbd4-c98a-4ce9-9d60-aadb269f37af', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gilda Display&subset=latin#regular', 'Gilda Display regular (latin)', 'Gilda Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Gilda Display:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2795, 'e4cc1940-1e6b-4d2f-9a42-423113713a84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gilda Display&subset=latin-ext#regular', 'Gilda Display regular (latin-ext)', 'Gilda Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Gilda Display:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2796, '24db2993-4d48-4110-838b-48e6ef97e90e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gidugu&subset=latin#regular', 'Gidugu regular (latin)', 'Gidugu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Gidugu:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2797, '8ccf1bff-db9a-4e52-8baf-34ffa17f0be8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gidugu&subset=telugu#regular', 'Gidugu regular (telugu)', 'Gidugu', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Gidugu:regular";s:6:"subset";s:6:"telugu";}', 1468916149, 1468916149, 0),
(2798, '3088fbef-bb7c-4fb2-aa9d-3e1b842f6010', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Germania One&subset=latin#regular', 'Germania One regular (latin)', 'Germania One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Germania One:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2799, '2ff9d1d3-38f6-4429-b69a-2d41ace7e407', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Geostar Fill&subset=latin#regular', 'Geostar Fill regular (latin)', 'Geostar Fill', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Geostar Fill:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2800, '8040fc63-d854-4f73-b5fc-bb5f333ee3d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Geostar&subset=latin#regular', 'Geostar regular (latin)', 'Geostar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Geostar:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2801, 'aee6f81c-7d2e-491a-8793-40f58cc3e503', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Geo&subset=latin#italic', 'Geo italic (latin)', 'Geo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Geo:italic";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2802, '8f627c11-3a01-42e7-8d82-db9e5609b5a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Geo&subset=latin#regular', 'Geo regular (latin)', 'Geo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Geo:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2803, '7498f28d-9b7e-4283-ad46-f88e8b338cb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin#700italic', 'Gentium Book Basic 700italic (latin)', 'Gentium Book Basic', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Gentium Book Basic:700italic";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2804, '7459389f-09f1-46eb-86e4-fd2e5924321d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin-ext#700italic', 'Gentium Book Basic 700italic (latin-ext)', 'Gentium Book Basic', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Gentium Book Basic:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2805, '885e47ca-a835-4387-98d3-85749a414a2e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin#700', 'Gentium Book Basic 700 (latin)', 'Gentium Book Basic', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Gentium Book Basic:700";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2806, '08eff9b8-c312-4102-a40f-848b10d2e554', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin-ext#700', 'Gentium Book Basic 700 (latin-ext)', 'Gentium Book Basic', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Gentium Book Basic:700";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2807, 'ecf65244-5711-43fb-800d-6e5c717a2ed4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin#italic', 'Gentium Book Basic italic (latin)', 'Gentium Book Basic', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Gentium Book Basic:italic";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2808, '7e51781c-8546-45b6-9920-155a32d64c9f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin-ext#italic', 'Gentium Book Basic italic (latin-ext)', 'Gentium Book Basic', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Gentium Book Basic:italic";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2809, 'b493f851-9a75-4bbd-a5af-a98610b4f743', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin#regular', 'Gentium Book Basic regular (latin)', 'Gentium Book Basic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Gentium Book Basic:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2810, '73fc460a-92d0-49ef-a6e9-bee13d35da84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Book Basic&subset=latin-ext#regular', 'Gentium Book Basic regular (latin-ext)', 'Gentium Book Basic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Gentium Book Basic:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2811, '8229820e-cb7c-437b-8570-e7f73ce5ccb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin#700italic', 'Gentium Basic 700italic (latin)', 'Gentium Basic', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Gentium Basic:700italic";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2812, '30cbbc63-87a0-43bc-ab6e-597d746cee0b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin-ext#700italic', 'Gentium Basic 700italic (latin-ext)', 'Gentium Basic', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Gentium Basic:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2813, '845db4a2-4fbc-4d86-ab4e-697eec665b70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin#700', 'Gentium Basic 700 (latin)', 'Gentium Basic', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Gentium Basic:700";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2814, '5cebb9b2-3d7e-4bb5-9501-b448303251fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin-ext#700', 'Gentium Basic 700 (latin-ext)', 'Gentium Basic', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Gentium Basic:700";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2815, 'da6c3cc0-f22d-496e-bb90-441928fde7e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin#italic', 'Gentium Basic italic (latin)', 'Gentium Basic', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Gentium Basic:italic";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2816, 'ad144122-7212-4a4b-b96d-4b099a549803', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin-ext#italic', 'Gentium Basic italic (latin-ext)', 'Gentium Basic', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Gentium Basic:italic";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2817, '813a3909-f3a6-4449-86f5-62f50d8fbc6b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin#regular', 'Gentium Basic regular (latin)', 'Gentium Basic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Gentium Basic:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2818, '9db831fb-a2f2-4c36-8ae7-023e91eff5d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gentium Basic&subset=latin-ext#regular', 'Gentium Basic regular (latin-ext)', 'Gentium Basic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Gentium Basic:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2819, '4d1a50e8-3b24-4c7b-b893-7146018280ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Galindo&subset=latin#regular', 'Galindo regular (latin)', 'Galindo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Galindo:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2820, '51c2f19c-4c90-49ce-a34d-cef7c263538d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Galindo&subset=latin-ext#regular', 'Galindo regular (latin-ext)', 'Galindo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Galindo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2821, '62d11438-23ba-4e06-a4a5-b779566ab82e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Galdeano&subset=latin#regular', 'Galdeano regular (latin)', 'Galdeano', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Galdeano:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2822, '83fc0ba9-aa80-40a7-be89-c1d4874d814b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Galada&subset=bengali#regular', 'Galada regular (bengali)', 'Galada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Galada:regular";s:6:"subset";s:7:"bengali";}', 1468916149, 1468916149, 0),
(2823, 'e773a5ae-08ca-4233-a70c-7139d969e9ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Galada&subset=latin#regular', 'Galada regular (latin)', 'Galada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Galada:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2824, '608fcbf5-bf16-44ce-92e0-883ab4f65cf2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gafata&subset=latin#regular', 'Gafata regular (latin)', 'Gafata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Gafata:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2825, 'afd88305-fe4c-4e5a-b8b0-0f78ad1fb130', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gafata&subset=latin-ext#regular', 'Gafata regular (latin-ext)', 'Gafata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Gafata:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2826, 'c932bdf8-ebbc-45dd-b4c6-78036565514b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gabriela&subset=latin#regular', 'Gabriela regular (latin)', 'Gabriela', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Gabriela:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2827, '64acb739-0314-4e92-8bfc-0712e94aca7e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Gabriela&subset=latin-ext#regular', 'Gabriela regular (latin-ext)', 'Gabriela', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Gabriela:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2828, '39682187-6bbd-434d-814f-4375c567b0cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=GFS Neohellenic&subset=greek#700italic', 'GFS Neohellenic 700italic (greek)', 'GFS Neohellenic', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"GFS Neohellenic:700italic";s:6:"subset";s:5:"greek";}', 1468916149, 1468916149, 0);
INSERT INTO `fontyourface_font` VALUES
(2829, '3b3606ca-6de8-45e3-98f2-8f4ded066590', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=GFS Neohellenic&subset=greek#700', 'GFS Neohellenic 700 (greek)', 'GFS Neohellenic', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"GFS Neohellenic:700";s:6:"subset";s:5:"greek";}', 1468916149, 1468916149, 0),
(2830, 'cdd84001-5366-4265-b8cd-90373cd61313', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=GFS Neohellenic&subset=greek#italic', 'GFS Neohellenic italic (greek)', 'GFS Neohellenic', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"GFS Neohellenic:italic";s:6:"subset";s:5:"greek";}', 1468916149, 1468916149, 0),
(2831, '1550f81c-5c24-442a-a36a-3f7e7c56e4f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=GFS Neohellenic&subset=greek#regular', 'GFS Neohellenic regular (greek)', 'GFS Neohellenic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"GFS Neohellenic:regular";s:6:"subset";s:5:"greek";}', 1468916149, 1468916149, 0),
(2832, '8051f402-6414-4dc7-ad50-43c577a30e99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=GFS Didot&subset=greek#regular', 'GFS Didot regular (greek)', 'GFS Didot', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"GFS Didot:regular";s:6:"subset";s:5:"greek";}', 1468916149, 1468916149, 0),
(2833, '34ce5190-c0f4-4282-84f3-32b92c4666b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fugaz One&subset=latin#regular', 'Fugaz One regular (latin)', 'Fugaz One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fugaz One:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2834, '8af46763-9b87-4f5c-97dc-f5358227e614', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fruktur&subset=latin#regular', 'Fruktur regular (latin)', 'Fruktur', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Fruktur:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2835, '859721b2-ed81-43b0-b230-bdce39457ffb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fruktur&subset=latin-ext#regular', 'Fruktur regular (latin-ext)', 'Fruktur', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Fruktur:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2836, '31be7ea8-f6d1-4d80-8cda-ab979552489b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frijole&subset=latin#regular', 'Frijole regular (latin)', 'Frijole', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Frijole:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2837, '576d2c48-77a3-478b-baa3-43b297c12032', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fresca&subset=latin#regular', 'Fresca regular (latin)', 'Fresca', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Fresca:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2838, '7aa0f17d-8e9c-41b3-a960-575257da9726', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fresca&subset=latin-ext#regular', 'Fresca regular (latin-ext)', 'Fresca', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Fresca:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2839, 'd22442f6-89b4-4569-a6e8-bf924e1c2138', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Freehand&subset=khmer#regular', 'Freehand regular (khmer)', 'Freehand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Freehand:regular";s:6:"subset";s:5:"khmer";}', 1468916149, 1468916149, 0),
(2840, 'fb5b0761-cd19-4293-a562-116d8bbae839', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fredoka One&subset=latin#regular', 'Fredoka One regular (latin)', 'Fredoka One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fredoka One:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2841, 'e96a1284-8c80-41d9-b021-ade96f6f43a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fredericka the Great&subset=latin#regular', 'Fredericka the Great regular (latin)', 'Fredericka the Great', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Fredericka the Great:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2842, '5f405b07-e90e-4df4-a750-290ac34d1ed1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Freckle Face&subset=latin#regular', 'Freckle Face regular (latin)', 'Freckle Face', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Freckle Face:regular";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2843, '3b216c33-4017-4e8a-af2b-51bb2b3a2201', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Freckle Face&subset=latin-ext#regular', 'Freckle Face regular (latin-ext)', 'Freckle Face', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Freckle Face:regular";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2844, 'c233840b-a67f-4433-a245-0855a8d54ec6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin#900', 'Frank Ruhl Libre 900 (latin)', 'Frank Ruhl Libre', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:900";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2845, '9bce909d-eecb-4311-b942-14462d013c04', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=hebrew#900', 'Frank Ruhl Libre 900 (hebrew)', 'Frank Ruhl Libre', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:900";s:6:"subset";s:6:"hebrew";}', 1468916149, 1468916149, 0),
(2846, 'e5f5aacf-8dc8-411d-9d3a-95d300434a04', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin-ext#900', 'Frank Ruhl Libre 900 (latin-ext)', 'Frank Ruhl Libre', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:900";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2847, 'aec6be40-bee2-4c3c-803b-91ec957f4244', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin#700', 'Frank Ruhl Libre 700 (latin)', 'Frank Ruhl Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:700";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2848, 'd179d02a-e60f-41d1-a7b9-1ef5b2fd8778', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=hebrew#700', 'Frank Ruhl Libre 700 (hebrew)', 'Frank Ruhl Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:700";s:6:"subset";s:6:"hebrew";}', 1468916149, 1468916149, 0),
(2849, '593b3f2c-9f7d-4d24-9a40-d30cbca32f76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin-ext#700', 'Frank Ruhl Libre 700 (latin-ext)', 'Frank Ruhl Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:700";s:6:"subset";s:9:"latin-ext";}', 1468916149, 1468916149, 0),
(2850, '42135c2d-38f7-4f09-8123-e4ad20908898', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin#500', 'Frank Ruhl Libre 500 (latin)', 'Frank Ruhl Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:500";s:6:"subset";s:5:"latin";}', 1468916149, 1468916149, 0),
(2851, 'c902e5e7-3330-4d10-8b48-f33ace94e805', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=hebrew#500', 'Frank Ruhl Libre 500 (hebrew)', 'Frank Ruhl Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:500";s:6:"subset";s:6:"hebrew";}', 1468916151, 1468916151, 0),
(2852, 'ddef5e0e-0b51-4792-9edd-b262e2ad7c48', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin-ext#500', 'Frank Ruhl Libre 500 (latin-ext)', 'Frank Ruhl Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:500";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2853, 'b5c6b189-12f8-46d1-8836-695f6a25b22e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin#regular', 'Frank Ruhl Libre regular (latin)', 'Frank Ruhl Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Frank Ruhl Libre:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2854, 'f4e41c6b-73fb-4b9b-95a6-2d6fbd91a602', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=hebrew#regular', 'Frank Ruhl Libre regular (hebrew)', 'Frank Ruhl Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Frank Ruhl Libre:regular";s:6:"subset";s:6:"hebrew";}', 1468916151, 1468916151, 0),
(2855, '8e582d3e-a68d-43c9-aa7d-13fe33ce5d17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin-ext#regular', 'Frank Ruhl Libre regular (latin-ext)', 'Frank Ruhl Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Frank Ruhl Libre:regular";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2856, '32aca119-0df1-4644-b033-424aa7f340de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin#300', 'Frank Ruhl Libre 300 (latin)', 'Frank Ruhl Libre', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:300";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2857, 'dfc12562-dce6-4eaf-bb09-b925a808afff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=hebrew#300', 'Frank Ruhl Libre 300 (hebrew)', 'Frank Ruhl Libre', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:300";s:6:"subset";s:6:"hebrew";}', 1468916151, 1468916151, 0),
(2858, 'b67c74f4-2f6d-4caa-ab92-0547ab830677', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Frank Ruhl Libre&subset=latin-ext#300', 'Frank Ruhl Libre 300 (latin-ext)', 'Frank Ruhl Libre', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Frank Ruhl Libre:300";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2859, 'a667ac55-4933-4f3c-a10c-738b045f2861', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Francois One&subset=latin#regular', 'Francois One regular (latin)', 'Francois One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Francois One:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2860, 'd425e51d-01e7-4a50-8051-952178645271', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Francois One&subset=latin-ext#regular', 'Francois One regular (latin-ext)', 'Francois One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Francois One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2861, 'd19de47a-dd73-430f-b24c-59b54a486882', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Forum&subset=cyrillic-ext#regular', 'Forum regular (cyrillic-ext)', 'Forum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Forum:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2862, '25e0a2a5-b6b5-4146-bfce-cab8deaec761', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Forum&subset=latin#regular', 'Forum regular (latin)', 'Forum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Forum:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2863, 'ff971259-844d-4c9b-858a-554b8ffe68d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Forum&subset=latin-ext#regular', 'Forum regular (latin-ext)', 'Forum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Forum:regular";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2864, '3c024187-a8d4-4418-a12f-dad68a36c20a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Forum&subset=cyrillic#regular', 'Forum regular (cyrillic)', 'Forum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Forum:regular";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2865, '9d7be329-93a4-4fb5-88af-4d5b6e9657b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fontdiner Swanky&subset=latin#regular', 'Fontdiner Swanky regular (latin)', 'Fontdiner Swanky', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Fontdiner Swanky:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2866, 'fba712ce-a48e-4539-bc44-718b894faf31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fondamento&subset=latin#italic', 'Fondamento italic (latin)', 'Fondamento', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fondamento:italic";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2867, 'ea052fce-2a31-49a2-a760-4c6029343f20', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fondamento&subset=latin-ext#italic', 'Fondamento italic (latin-ext)', 'Fondamento', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fondamento:italic";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2868, 'ca59bdb6-7142-409e-902d-85b650673fd2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fondamento&subset=latin#regular', 'Fondamento regular (latin)', 'Fondamento', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Fondamento:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2869, '1d3c7875-5232-47fa-b074-cdc1488f8e26', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fondamento&subset=latin-ext#regular', 'Fondamento regular (latin-ext)', 'Fondamento', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Fondamento:regular";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2870, '514f43db-8e03-48dd-a595-033d6bee1e5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Flavors&subset=latin#regular', 'Flavors regular (latin)', 'Flavors', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Flavors:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2871, '2040e6d3-d097-4109-947c-5d4ce649e29a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Flamenco&subset=latin#regular', 'Flamenco regular (latin)', 'Flamenco', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Flamenco:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2872, 'e1c54af3-6379-48f9-a77b-001925b3bfc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Flamenco&subset=latin#300', 'Flamenco 300 (latin)', 'Flamenco', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Flamenco:300";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2873, '6b891096-abb7-45d3-a086-7bc88e47a275', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fjord One&subset=latin#regular', 'Fjord One regular (latin)', 'Fjord One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fjord One:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2874, '52adb4c6-0681-48fa-b77a-8623646a761b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fjalla One&subset=latin#regular', 'Fjalla One regular (latin)', 'Fjalla One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Fjalla One:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2875, '6e4ea6f9-fa29-409a-b216-febe394777e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fjalla One&subset=latin-ext#regular', 'Fjalla One regular (latin-ext)', 'Fjalla One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Fjalla One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2876, '900c1ce6-4b03-495b-b386-f8c886bf87f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#700italic', 'Fira Sans 700italic (cyrillic-ext)', 'Fira Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2877, '32e58098-d6f3-4456-81d2-f586a19b5038', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#700italic', 'Fira Sans 700italic (latin)', 'Fira Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2878, '8e22ece1-985a-4461-b343-b331b3da3f54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#700italic', 'Fira Sans 700italic (greek)', 'Fira Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:700italic";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2879, '4290c711-8d15-4ea5-976f-adda88cf7de2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#700italic', 'Fira Sans 700italic (latin-ext)', 'Fira Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2880, 'ce12a406-e029-443f-98b5-cbe3fac4cc7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#700italic', 'Fira Sans 700italic (cyrillic)', 'Fira Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2881, '0a74b87f-bffd-4177-9fe2-55c8453d1726', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#700', 'Fira Sans 700 (cyrillic-ext)', 'Fira Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2882, '66d576d5-6eb1-4462-94d0-19bf4ab7afe9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#700', 'Fira Sans 700 (latin)', 'Fira Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:700";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2883, '112fca51-84df-41dc-afdf-cf72c9ebf881', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#700', 'Fira Sans 700 (greek)', 'Fira Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:700";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2884, '5bc84ce6-1757-41a4-a324-c97afdbb04a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#700', 'Fira Sans 700 (latin-ext)', 'Fira Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1499275257, 1),
(2885, '95375362-1309-42d0-b9ca-4fa319f9ad51', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#700', 'Fira Sans 700 (cyrillic)', 'Fira Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:700";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2886, 'ddd71975-0e03-47e0-b1a4-b2476c8e9da1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#500italic', 'Fira Sans 500italic (cyrillic-ext)', 'Fira Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:500italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2887, '71251557-c820-430d-b3d9-9f2c6983ae4d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#500italic', 'Fira Sans 500italic (latin)', 'Fira Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:500italic";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2888, '5f1bfae7-979f-46a7-840e-76a9b609e22f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#500italic', 'Fira Sans 500italic (greek)', 'Fira Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:500italic";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2889, 'cdb48644-2577-4467-aec4-85f1de305260', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#500italic', 'Fira Sans 500italic (latin-ext)', 'Fira Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2890, 'ada729f8-2d0b-46a9-947f-aed346c7a97c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#500italic', 'Fira Sans 500italic (cyrillic)', 'Fira Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2891, '6737a4ef-fa83-49e0-8abe-aaf163b324d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#500', 'Fira Sans 500 (cyrillic-ext)', 'Fira Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:500";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2892, 'ee878774-9ff1-44a5-9432-bd3dd5290935', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#500', 'Fira Sans 500 (latin)', 'Fira Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:500";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2893, '851713b4-8a30-4eed-8a42-97500c810546', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#500', 'Fira Sans 500 (greek)', 'Fira Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:500";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2894, '6a416425-bd58-4ba0-8560-48f2bb771c4d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#500', 'Fira Sans 500 (latin-ext)', 'Fira Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:500";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2895, '79ae49f8-4caf-4d58-8f84-349ebf6f4405', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#500', 'Fira Sans 500 (cyrillic)', 'Fira Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:500";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2896, '1b1d612f-b457-49ad-90a6-ae710ada83be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#italic', 'Fira Sans italic (cyrillic-ext)', 'Fira Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Fira Sans:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2897, '84c53198-6b91-4be0-8c30-ebc170781bd0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#italic', 'Fira Sans italic (latin)', 'Fira Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Fira Sans:italic";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2898, '50d66141-d562-4b2b-8f44-2d7df17f4245', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#italic', 'Fira Sans italic (greek)', 'Fira Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Fira Sans:italic";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2899, '0ec88d74-ab79-4c40-b355-86b3bb9b80df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#italic', 'Fira Sans italic (latin-ext)', 'Fira Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Fira Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2900, 'ac3d7de8-063c-48a9-916f-13f915901fbd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#italic', 'Fira Sans italic (cyrillic)', 'Fira Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Fira Sans:italic";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2901, 'c6ab3e50-ce91-4ae2-897d-28a5e48ebcba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#regular', 'Fira Sans regular (cyrillic-ext)', 'Fira Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Sans:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2902, 'fc95d974-8680-4837-ac9c-216b4263fd70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#regular', 'Fira Sans regular (latin)', 'Fira Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Sans:regular";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2903, '79cd2e0f-1089-4c4c-9c13-064d5051dc42', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#regular', 'Fira Sans regular (greek)', 'Fira Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Sans:regular";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2904, '961cb55d-cc87-4f27-9677-defcd8b00a95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#regular', 'Fira Sans regular (latin-ext)', 'Fira Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1499275325, 1),
(2905, '659cbec6-6ed0-484f-8147-e5ca802fe6c0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#regular', 'Fira Sans regular (cyrillic)', 'Fira Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Sans:regular";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2906, 'cd11c171-a362-48db-92c7-811fc43cd6bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#300italic', 'Fira Sans 300italic (cyrillic-ext)', 'Fira Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:300italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2907, '21c7cd67-660b-4ed8-bd48-775b5c291060', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#300italic', 'Fira Sans 300italic (latin)', 'Fira Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:300italic";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2908, '6462fd14-3533-469c-8f5b-84547a392e6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#300italic', 'Fira Sans 300italic (greek)', 'Fira Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:300italic";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2909, 'c3f8a153-6ffe-411a-8ba6-d0dff70f66f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#300italic', 'Fira Sans 300italic (latin-ext)', 'Fira Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916151, 1468916151, 0),
(2910, '1b799b57-d4f4-451c-9b3e-a2eee9e3985a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#300italic', 'Fira Sans 300italic (cyrillic)', 'Fira Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fira Sans:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916151, 1468916151, 0),
(2911, 'f75197e9-f484-4af6-b58a-74fc4f794d6e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic-ext#300', 'Fira Sans 300 (cyrillic-ext)', 'Fira Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916151, 1468916151, 0),
(2912, '3277fca6-5779-4927-8956-f00d9a1f2edf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin#300', 'Fira Sans 300 (latin)', 'Fira Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:300";s:6:"subset";s:5:"latin";}', 1468916151, 1468916151, 0),
(2913, '5ea21506-e31b-4fe2-9168-4f2f9cd376c2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=greek#300', 'Fira Sans 300 (greek)', 'Fira Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:300";s:6:"subset";s:5:"greek";}', 1468916151, 1468916151, 0),
(2914, '710fcaa5-d347-408a-81e3-7e6734f3c896', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=latin-ext#300', 'Fira Sans 300 (latin-ext)', 'Fira Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:300";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2915, '8c284c21-208a-4c81-a16e-939f0adab25d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Sans&subset=cyrillic#300', 'Fira Sans 300 (cyrillic)', 'Fira Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Sans:300";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2916, '43dfe78c-5796-41e7-b1b7-e82ced1209f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=cyrillic-ext#700', 'Fira Mono 700 (cyrillic-ext)', 'Fira Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Mono:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916152, 1468916152, 0),
(2917, '0125ed21-9912-4b0e-ac4f-d087aca7a44e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=latin#700', 'Fira Mono 700 (latin)', 'Fira Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Mono:700";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2918, '21d3e2f0-a4d4-4f0c-af56-84e20aee4467', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=greek#700', 'Fira Mono 700 (greek)', 'Fira Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Mono:700";s:6:"subset";s:5:"greek";}', 1468916152, 1468916152, 0),
(2919, '44847862-da93-49b2-a3a4-42c48fe3d36c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=latin-ext#700', 'Fira Mono 700 (latin-ext)', 'Fira Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Mono:700";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2920, 'd8179d23-c90e-4955-90af-34e1c554a6ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=cyrillic#700', 'Fira Mono 700 (cyrillic)', 'Fira Mono', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fira Mono:700";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2921, '792da9bd-40d5-4fff-b633-5d31f4e0b70c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=cyrillic-ext#regular', 'Fira Mono regular (cyrillic-ext)', 'Fira Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Mono:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916152, 1468916152, 0),
(2922, '8278ef76-b8ff-4f4f-b837-9a9f52e77cb3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=latin#regular', 'Fira Mono regular (latin)', 'Fira Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Mono:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2923, 'addd0e30-6726-44c9-9aa3-e59a98e8b9aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=greek#regular', 'Fira Mono regular (greek)', 'Fira Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Mono:regular";s:6:"subset";s:5:"greek";}', 1468916152, 1468916152, 0),
(2924, 'd4fe3999-a1a7-490e-a78f-976d5b9ae699', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=latin-ext#regular', 'Fira Mono regular (latin-ext)', 'Fira Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Mono:regular";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2925, '6b56f79f-040e-44d7-bd05-359ce2113094', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fira Mono&subset=cyrillic#regular', 'Fira Mono regular (cyrillic)', 'Fira Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fira Mono:regular";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2926, '04d3258b-3e79-48f7-a73c-7e2d7b90e709', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Finger Paint&subset=latin#regular', 'Finger Paint regular (latin)', 'Finger Paint', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Finger Paint:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2927, '1a6aadef-4fcb-4d1b-90f0-b50cf609c700', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fenix&subset=latin#regular', 'Fenix regular (latin)', 'Fenix', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fenix:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2928, '9bf3dc18-217b-47b8-b15c-da118e32ebe4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fenix&subset=latin-ext#regular', 'Fenix regular (latin-ext)', 'Fenix', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Fenix:regular";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2929, '514e15dc-c685-4261-915e-ad0b52dc2730', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Felipa&subset=latin#regular', 'Felipa regular (latin)', 'Felipa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Felipa:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2930, 'abb1a9bb-5d38-4378-ac73-5c58d4941e9c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Felipa&subset=latin-ext#regular', 'Felipa regular (latin-ext)', 'Felipa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Felipa:regular";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2931, '3c0ff43d-0e33-4fd1-9806-d48ca9a21cfc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Federo&subset=latin#regular', 'Federo regular (latin)', 'Federo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Federo:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2932, 'b670ab07-1c08-46fd-8cea-d9f7b24d60c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Federant&subset=latin#regular', 'Federant regular (latin)', 'Federant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Federant:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2933, '5182e226-03b8-40ca-927b-475c168c55a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fauna One&subset=latin#regular', 'Fauna One regular (latin)', 'Fauna One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fauna One:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2934, '47f8cb6d-0a21-4df0-ba43-6761a17dda9a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fauna One&subset=latin-ext#regular', 'Fauna One regular (latin-ext)', 'Fauna One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fauna One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2935, '0a9991ed-712c-4d54-8e55-fa43c043ce9a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fasthand&subset=khmer#regular', 'Fasthand regular (khmer)', 'Fasthand', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Fasthand:regular";s:6:"subset";s:5:"khmer";}', 1468916152, 1468916152, 0),
(2936, '1c68a074-4950-415e-8102-74771d90bca0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Faster One&subset=latin#regular', 'Faster One regular (latin)', 'Faster One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Faster One:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2937, 'd817edda-b28a-4796-8d3c-51358bf15144', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fascinate Inline&subset=latin#regular', 'Fascinate Inline regular (latin)', 'Fascinate Inline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Fascinate Inline:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2938, '5e15f9f8-c259-4636-b48b-37d654d7a3c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fascinate&subset=latin#regular', 'Fascinate regular (latin)', 'Fascinate', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Fascinate:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2939, '3ba08fe5-5dc2-42b2-bfc9-8dc8b5188dd8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Farsan&subset=latin#regular', 'Farsan regular (latin)', 'Farsan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Farsan:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2940, '97d08c23-fe1f-4fac-bb03-71b917e08882', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Farsan&subset=gujarati#regular', 'Farsan regular (gujarati)', 'Farsan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Farsan:regular";s:6:"subset";s:8:"gujarati";}', 1468916152, 1468916152, 0),
(2941, 'fb4ff3db-f6d2-4ddc-afce-ae53a12d51fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Farsan&subset=vietnamese#regular', 'Farsan regular (vietnamese)', 'Farsan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Farsan:regular";s:6:"subset";s:10:"vietnamese";}', 1468916152, 1468916152, 0),
(2942, '914e7108-f75e-444d-a0d4-c1e6e7fb49b3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Farsan&subset=latin-ext#regular', 'Farsan regular (latin-ext)', 'Farsan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Farsan:regular";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2943, 'df66359e-360f-4168-b449-0733162facb1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fanwood Text&subset=latin#italic', 'Fanwood Text italic (latin)', 'Fanwood Text', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Fanwood Text:italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2944, '6282938a-664f-451b-9e97-995ddf21ba8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Fanwood Text&subset=latin#regular', 'Fanwood Text regular (latin)', 'Fanwood Text', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Fanwood Text:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2945, 'c9c74382-a8c7-4411-9335-cc7752972b36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#700italic', 'Expletus Sans 700italic (latin)', 'Expletus Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Expletus Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2946, '293c6671-20dd-4624-9070-7d212c60718f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#700', 'Expletus Sans 700 (latin)', 'Expletus Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Expletus Sans:700";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2947, '6f6dbde9-da3a-4eae-bcf5-200a448864a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#600italic', 'Expletus Sans 600italic (latin)', 'Expletus Sans', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Expletus Sans:600italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2948, '0e4c2f30-d9aa-4d2a-9950-4c8bdeac1f38', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#600', 'Expletus Sans 600 (latin)', 'Expletus Sans', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Expletus Sans:600";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2949, '89565fa9-9e91-4598-997d-80a4a5e08709', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#500italic', 'Expletus Sans 500italic (latin)', 'Expletus Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Expletus Sans:500italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2950, 'd1cfd4fc-25cc-4d5a-a0c9-4cb81c1910f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#500', 'Expletus Sans 500 (latin)', 'Expletus Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Expletus Sans:500";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2951, '8405add2-6c2d-4cda-94ae-af2ea8464e53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#italic', 'Expletus Sans italic (latin)', 'Expletus Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Expletus Sans:italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2952, '4c337285-c7d7-4562-989c-2a0670cf17d3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Expletus Sans&subset=latin#regular', 'Expletus Sans regular (latin)', 'Expletus Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Expletus Sans:regular";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2953, '7dffe8bb-cdcc-4523-aa52-11c126ff1e5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#900italic', 'Exo 2 900italic (latin)', 'Exo 2', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:900italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2954, '81ed2397-3c9f-4ff5-a928-013e9ea2c663', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#900italic', 'Exo 2 900italic (latin-ext)', 'Exo 2', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2955, '81c847df-c8ab-4e61-a6d6-ea8fc39fb86c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#900italic', 'Exo 2 900italic (cyrillic)', 'Exo 2', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:900italic";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2956, '91679cc7-f5d0-49c3-925b-2368857376aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#900', 'Exo 2 900 (latin)', 'Exo 2', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:900";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2957, '76e4de4e-1fb3-414c-9465-6b83fb0a7635', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#900', 'Exo 2 900 (latin-ext)', 'Exo 2', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:900";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2958, '9b466bda-0c91-4c55-a465-be467045bb92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#900', 'Exo 2 900 (cyrillic)', 'Exo 2', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:900";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2959, '60e6cafe-cae5-4b46-b358-cb6010e61322', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#800italic', 'Exo 2 800italic (latin)', 'Exo 2', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:800italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2960, '508feeec-f257-4b00-9d7d-1c52c7b6eb49', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#800italic', 'Exo 2 800italic (latin-ext)', 'Exo 2', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2961, 'f812408e-5b6f-4f3f-9a03-b4e270f65ef9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#800italic', 'Exo 2 800italic (cyrillic)', 'Exo 2', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:800italic";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2962, '3de82caf-f76f-4d1d-8814-899188b3fa33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#800', 'Exo 2 800 (latin)', 'Exo 2', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:800";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2963, '9423174f-04a9-49c7-8716-c351b066d481', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#800', 'Exo 2 800 (latin-ext)', 'Exo 2', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:800";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2964, '73b2dbfc-3034-40fc-8331-dc99f87b819e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#800', 'Exo 2 800 (cyrillic)', 'Exo 2', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:800";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2965, '2d87bf34-7b28-42a9-9993-e52fdd614e7d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#700italic', 'Exo 2 700italic (latin)', 'Exo 2', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:700italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2966, '6ed5d351-f766-48e6-90d0-3ead8ed89722', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#700italic', 'Exo 2 700italic (latin-ext)', 'Exo 2', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2967, '11b783b3-706a-466f-923b-9002cdfb56a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#700italic', 'Exo 2 700italic (cyrillic)', 'Exo 2', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2968, '9899cbb5-403f-42d7-8f34-b92c15bba809', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#700', 'Exo 2 700 (latin)', 'Exo 2', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:700";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2969, 'f6c7290e-dc43-4fd0-adc1-a9beb4aadb59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#700', 'Exo 2 700 (latin-ext)', 'Exo 2', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:700";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2970, 'be6df48d-7baa-46b1-ad38-905cfd684eb1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#700', 'Exo 2 700 (cyrillic)', 'Exo 2', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:700";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2971, '5dd94d81-1194-460b-8118-b6e3e153b1eb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#600italic', 'Exo 2 600italic (latin)', 'Exo 2', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:600italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2972, '144869f1-83cd-46c7-a86a-0134d4603fe5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#600italic', 'Exo 2 600italic (latin-ext)', 'Exo 2', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2973, 'c8914e71-0c5e-4969-aa98-6d4cd4022340', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#600italic', 'Exo 2 600italic (cyrillic)', 'Exo 2', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:600italic";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2974, '9107d546-086e-4759-9707-7ad0a8186532', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#600', 'Exo 2 600 (latin)', 'Exo 2', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:600";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2975, 'd7199a9e-845c-4f7a-b243-2457a56b8258', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#600', 'Exo 2 600 (latin-ext)', 'Exo 2', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:600";s:6:"subset";s:9:"latin-ext";}', 1468916152, 1468916152, 0),
(2976, 'c2376284-4441-47a0-baa7-eb2608964b53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#600', 'Exo 2 600 (cyrillic)', 'Exo 2', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:600";s:6:"subset";s:8:"cyrillic";}', 1468916152, 1468916152, 0),
(2977, '3da6d3ac-adda-4aac-9a71-3059279d6103', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#500italic', 'Exo 2 500italic (latin)', 'Exo 2', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:500italic";s:6:"subset";s:5:"latin";}', 1468916152, 1468916152, 0),
(2978, '07c20922-c0ec-465b-9803-896c49b74a2e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#500italic', 'Exo 2 500italic (latin-ext)', 'Exo 2', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(2979, '34cfecd3-35c8-4ec9-becc-ba369f72389b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#500italic', 'Exo 2 500italic (cyrillic)', 'Exo 2', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(2980, '1dfe6e7f-7bd0-43b2-9ab4-c5be1135950f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#500', 'Exo 2 500 (latin)', 'Exo 2', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:500";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(2981, '7849c62b-f1f8-4601-a445-a193c501eed5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#500', 'Exo 2 500 (latin-ext)', 'Exo 2', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:500";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(2982, '02fc034d-299d-4723-aad0-df88e39ada77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#500', 'Exo 2 500 (cyrillic)', 'Exo 2', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:500";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(2983, '63a99306-843b-4cd4-8225-63ae8272490c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#italic', 'Exo 2 italic (latin)', 'Exo 2', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Exo 2:italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(2984, 'b4664602-baaa-47c8-ad77-06adbddb12d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#italic', 'Exo 2 italic (latin-ext)', 'Exo 2', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Exo 2:italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(2985, 'a7b1ef87-a215-4a4b-9384-f77f6bb2e8a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#italic', 'Exo 2 italic (cyrillic)', 'Exo 2', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Exo 2:italic";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(2986, '4f7767bf-3870-4736-843c-4b3e73834aa9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#regular', 'Exo 2 regular (latin)', 'Exo 2', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo 2:regular";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(2987, '95f2fa79-0c7d-4587-9581-f4dad3c027fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#regular', 'Exo 2 regular (latin-ext)', 'Exo 2', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo 2:regular";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(2988, 'a2ac105d-28f7-4771-bf41-3679a3a4fd34', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#regular', 'Exo 2 regular (cyrillic)', 'Exo 2', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo 2:regular";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(2989, '9d67e61a-ea65-4e59-a54b-5b1f624d8e3f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#300italic', 'Exo 2 300italic (latin)', 'Exo 2', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:300italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(2990, 'c265a6d6-39f0-48cb-9b2b-be58cf385575', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#300italic', 'Exo 2 300italic (latin-ext)', 'Exo 2', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(2991, '16fe53d3-b0f3-4278-9cc4-54ad0dd78be7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#300italic', 'Exo 2 300italic (cyrillic)', 'Exo 2', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(2992, 'b4e1e53b-7e6a-4119-b3e8-4e83d1269443', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#300', 'Exo 2 300 (latin)', 'Exo 2', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:300";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(2993, '33be23ca-cc61-4130-ac3a-dc010f908cf8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#300', 'Exo 2 300 (latin-ext)', 'Exo 2', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:300";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(2994, 'c215cf88-8f02-49fe-813f-f7bcbc7bc8de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#300', 'Exo 2 300 (cyrillic)', 'Exo 2', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:300";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(2995, '313c899e-8450-447a-b65f-90720ee3523b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#200italic', 'Exo 2 200italic (latin)', 'Exo 2', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:200italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(2996, 'c134855f-ed62-4b68-ae4d-1107b9516ea8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#200italic', 'Exo 2 200italic (latin-ext)', 'Exo 2', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(2997, '6956adae-3c9c-4414-8267-8b0d296d284a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#200italic', 'Exo 2 200italic (cyrillic)', 'Exo 2', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:200italic";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(2998, 'bddbe9a7-43b2-4438-8c43-186ee6d82bef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#200', 'Exo 2 200 (latin)', 'Exo 2', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:200";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(2999, '39185820-6052-4012-9ff7-12f7b4b8496c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#200', 'Exo 2 200 (latin-ext)', 'Exo 2', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:200";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3000, '26507fb6-18d9-439b-b2a4-f54d12a30984', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#200', 'Exo 2 200 (cyrillic)', 'Exo 2', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:200";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(3001, '44e237dc-6cab-411e-a007-6ce1c5e9cb86', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#100italic', 'Exo 2 100italic (latin)', 'Exo 2', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:100italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3002, '08bd3e72-5fe8-46f4-bd76-4b3219f81ab6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#100italic', 'Exo 2 100italic (latin-ext)', 'Exo 2', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3003, '13b7ff74-1ea0-41ad-b523-088b27157cc7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#100italic', 'Exo 2 100italic (cyrillic)', 'Exo 2', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Exo 2:100italic";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(3004, '5f276b9f-58d6-4999-8835-dd1800e41b1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin#100', 'Exo 2 100 (latin)', 'Exo 2', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:100";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3005, 'ecc7db77-1c75-4ab7-a00d-e40f8c290f5b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=latin-ext#100', 'Exo 2 100 (latin-ext)', 'Exo 2', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:100";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3006, 'da160610-4058-4318-9d2a-59b0162cdfba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo 2&subset=cyrillic#100', 'Exo 2 100 (cyrillic)', 'Exo 2', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Exo 2:100";s:6:"subset";s:8:"cyrillic";}', 1468916154, 1468916154, 0),
(3007, 'f10bebbc-8981-40d0-928b-3809eebd9f70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#900italic', 'Exo 900italic (latin)', 'Exo', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:900italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3008, '03f34cfd-1e8c-4076-ad95-13b3ab2cd8c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#900italic', 'Exo 900italic (latin-ext)', 'Exo', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3009, '7c4ea0b4-96b9-40a6-8150-2350b40364cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#900', 'Exo 900 (latin)', 'Exo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:900";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3010, '40e4ae85-c820-409a-8a94-3ba6bda0d0d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#900', 'Exo 900 (latin-ext)', 'Exo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:900";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3011, '7d7aa1bb-362b-498f-855b-cbf057e01ff3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#800italic', 'Exo 800italic (latin)', 'Exo', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:800italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3012, '8d66352f-2f6a-42a4-9e88-c5dfda13c399', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#800italic', 'Exo 800italic (latin-ext)', 'Exo', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3013, '997339ce-eef1-42ab-83c5-b04568ad2c10', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#800', 'Exo 800 (latin)', 'Exo', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:800";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3014, '15f36e5a-b583-4976-9f0b-64c5d401714d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#800', 'Exo 800 (latin-ext)', 'Exo', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:800";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3015, 'e33beb4a-2856-4271-800d-2ebe100c482d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#700italic', 'Exo 700italic (latin)', 'Exo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:700italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3016, '38905133-b73b-4cfd-a1b1-89022491007e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#700italic', 'Exo 700italic (latin-ext)', 'Exo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3017, '7b5dd522-39d3-422b-a6f6-a15cc50a6e33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#700', 'Exo 700 (latin)', 'Exo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:700";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3018, '3760246e-e5f8-4d08-8030-b9f83e80d2b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#700', 'Exo 700 (latin-ext)', 'Exo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:700";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0);
INSERT INTO `fontyourface_font` VALUES
(3019, '5bad5b7a-1411-4ecb-b017-88bedcaf162b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#600italic', 'Exo 600italic (latin)', 'Exo', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:600italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3020, 'f0e0fa3c-67a3-4995-9325-88978d3ce046', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#600italic', 'Exo 600italic (latin-ext)', 'Exo', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3021, 'f5171eaa-f73b-451b-9f09-c42e0fe44e05', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#600', 'Exo 600 (latin)', 'Exo', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:600";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3022, '8848d6b3-bb8f-4181-98c7-9323783c89bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#600', 'Exo 600 (latin-ext)', 'Exo', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:600";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3023, 'aeb67dd8-0e95-4fe2-b522-d80faec56997', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#500italic', 'Exo 500italic (latin)', 'Exo', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:500italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3024, 'd4b949a9-cac2-4249-bb89-debb078130c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#500italic', 'Exo 500italic (latin-ext)', 'Exo', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3025, '62d25d7b-9461-43e4-9cee-712b5d3c4983', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#500', 'Exo 500 (latin)', 'Exo', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:500";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3026, 'f93fc64c-2aaa-4a39-93ef-4d3b8164614e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#500', 'Exo 500 (latin-ext)', 'Exo', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:500";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3027, 'a18f214c-d0ed-4b33-adf7-8985a3d96c7c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#italic', 'Exo italic (latin)', 'Exo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Exo:italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3028, 'f1740f4b-1533-49ac-a1c5-ed35f055a843', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#italic', 'Exo italic (latin-ext)', 'Exo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Exo:italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3029, '8e9b7fe4-f3de-4369-b505-34fa02e6e90f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#regular', 'Exo regular (latin)', 'Exo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Exo:regular";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3030, 'a7eb9c90-54d3-4fa0-8ed2-c62a82f3cd3e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#regular', 'Exo regular (latin-ext)', 'Exo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Exo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3031, 'b23fd998-9e6c-45b5-b9c3-5b90cfd3455b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#300italic', 'Exo 300italic (latin)', 'Exo', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:300italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3032, 'a92ec711-4f7a-4198-9425-2c25df555541', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#300italic', 'Exo 300italic (latin-ext)', 'Exo', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3033, 'd6cd03ae-fba0-4edb-8c63-3b9e0d0818ec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#300', 'Exo 300 (latin)', 'Exo', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:300";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3034, 'a2d0c76e-4b05-412e-a664-5ccb6cd7aed6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#300', 'Exo 300 (latin-ext)', 'Exo', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:300";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3035, 'f0550518-37c4-4bf6-a909-6656bdd66122', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#200italic', 'Exo 200italic (latin)', 'Exo', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:200italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3036, '459f51b1-f77c-4af1-b69b-be52f91749fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#200italic', 'Exo 200italic (latin-ext)', 'Exo', 'italic', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:200italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3037, '5153f35e-a965-4f75-88c9-0bc1e6750af2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#200', 'Exo 200 (latin)', 'Exo', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:200";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3038, '80a63cb5-26b8-447e-a995-b15b42f4d64a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#200', 'Exo 200 (latin-ext)', 'Exo', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:200";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3039, '92159c78-2cbb-4732-9f52-10a19efd8031', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#100italic', 'Exo 100italic (latin)', 'Exo', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:100italic";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3040, '5b4c8a84-03ae-4cdd-9266-5cb4f28f9f9b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#100italic', 'Exo 100italic (latin-ext)', 'Exo', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Exo:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3041, '23104990-71f3-4bff-8470-ac755d7510b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin#100', 'Exo 100 (latin)', 'Exo', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:100";s:6:"subset";s:5:"latin";}', 1468916154, 1468916154, 0),
(3042, '3ac2d897-1296-4eeb-ae5b-0693dff3e290', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Exo&subset=latin-ext#100', 'Exo 100 (latin-ext)', 'Exo', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:7:"Exo:100";s:6:"subset";s:9:"latin-ext";}', 1468916154, 1468916154, 0),
(3043, '45d93be7-01fd-4be7-8868-ae22d78f702e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ewert&subset=latin#regular', 'Ewert regular (latin)', 'Ewert', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ewert:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3044, 'd3d16982-0e5c-42d9-a992-aa3c7c6e6899', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ewert&subset=latin-ext#regular', 'Ewert regular (latin-ext)', 'Ewert', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Ewert:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3045, 'eccb98b5-ac9b-4e11-b8ef-283148661e59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Euphoria Script&subset=latin#regular', 'Euphoria Script regular (latin)', 'Euphoria Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Euphoria Script:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3046, 'd35e7949-4d75-4260-9611-6a3ee62458bb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Euphoria Script&subset=latin-ext#regular', 'Euphoria Script regular (latin-ext)', 'Euphoria Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Euphoria Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3047, '0e23e42d-71f1-4ab2-8c76-0ae8294fde3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Esteban&subset=latin#regular', 'Esteban regular (latin)', 'Esteban', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Esteban:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3048, '624e023b-eb85-42ee-aa39-dc07a4b8e968', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Esteban&subset=latin-ext#regular', 'Esteban regular (latin-ext)', 'Esteban', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Esteban:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3049, 'b6e44012-1871-42d0-9a6d-051b753f5af0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Erica One&subset=latin#regular', 'Erica One regular (latin)', 'Erica One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Erica One:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3050, '4d0c42e7-606e-42ae-91bb-d4b248d1a111', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Erica One&subset=latin-ext#regular', 'Erica One regular (latin-ext)', 'Erica One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Erica One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3051, 'bbee0c19-a49f-4286-a83e-0e5bd63847b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Enriqueta&subset=latin#700', 'Enriqueta 700 (latin)', 'Enriqueta', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Enriqueta:700";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3052, 'a5cb4356-f1b5-4bcc-998b-1d7d77cbf1f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Enriqueta&subset=latin-ext#700', 'Enriqueta 700 (latin-ext)', 'Enriqueta', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Enriqueta:700";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3053, 'e926d0f2-5d8a-43a0-889e-4f38b8e53273', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Enriqueta&subset=latin#regular', 'Enriqueta regular (latin)', 'Enriqueta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Enriqueta:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3054, '3bd72864-1a16-4801-bfab-97947aa8653c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Enriqueta&subset=latin-ext#regular', 'Enriqueta regular (latin-ext)', 'Enriqueta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Enriqueta:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3055, '3cb536fd-580e-43df-bb8b-1cf3670931ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Englebert&subset=latin#regular', 'Englebert regular (latin)', 'Englebert', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Englebert:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3056, '43b3d668-8186-428d-b160-19cd50971971', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Englebert&subset=latin-ext#regular', 'Englebert regular (latin-ext)', 'Englebert', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Englebert:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3057, 'c5807621-4d16-454f-857b-2cf3aa530d11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Engagement&subset=latin#regular', 'Engagement regular (latin)', 'Engagement', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Engagement:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3058, 'fddbd26e-6e4d-4c1c-952e-7d41ebd422ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Emilys Candy&subset=latin#regular', 'Emilys Candy regular (latin)', 'Emilys Candy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Emilys Candy:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3059, '2821f30e-f5f2-4f7e-bdef-c62a680826f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Emilys Candy&subset=latin-ext#regular', 'Emilys Candy regular (latin-ext)', 'Emilys Candy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Emilys Candy:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3060, '3cb188bb-faba-439f-a094-f76d46686d13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Emblema One&subset=latin#regular', 'Emblema One regular (latin)', 'Emblema One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Emblema One:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3061, '7871b817-b977-47e2-9353-73b1a2e5ce27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Emblema One&subset=latin-ext#regular', 'Emblema One regular (latin-ext)', 'Emblema One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Emblema One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3062, 'a34678d9-8edc-4600-8a37-24bc1e986d19', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie Swash Caps&subset=latin#900', 'Elsie Swash Caps 900 (latin)', 'Elsie Swash Caps', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Elsie Swash Caps:900";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3063, '25c0074b-e579-40a6-bbb4-054789533722', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie Swash Caps&subset=latin-ext#900', 'Elsie Swash Caps 900 (latin-ext)', 'Elsie Swash Caps', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Elsie Swash Caps:900";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3064, 'ede4ee4f-67fc-46fa-a966-551d218515ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie Swash Caps&subset=latin#regular', 'Elsie Swash Caps regular (latin)', 'Elsie Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Elsie Swash Caps:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3065, '591a784a-c3d0-4f31-99bc-c8d9843284a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie Swash Caps&subset=latin-ext#regular', 'Elsie Swash Caps regular (latin-ext)', 'Elsie Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Elsie Swash Caps:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3066, 'ca8648fe-5fb6-45c0-a409-a75b555e707f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie&subset=latin#900', 'Elsie 900 (latin)', 'Elsie', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Elsie:900";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3067, 'e311e40e-573e-4424-baf8-ecfeff2e4d3f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie&subset=latin-ext#900', 'Elsie 900 (latin-ext)', 'Elsie', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Elsie:900";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3068, 'a7e10657-2480-4de1-9491-6e238066299d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie&subset=latin#regular', 'Elsie regular (latin)', 'Elsie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Elsie:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3069, '5ed583f1-aafb-4aab-af78-fba6aa6e882f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Elsie&subset=latin-ext#regular', 'Elsie regular (latin-ext)', 'Elsie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Elsie:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3070, '85920e2e-3ded-4ed6-90e8-0b84808cf8ad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Electrolize&subset=latin#regular', 'Electrolize regular (latin)', 'Electrolize', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Electrolize:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3071, '905c5372-993c-424d-8ecd-2f2f0bc1de8b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=latin#700', 'El Messiri 700 (latin)', 'El Messiri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:700";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3072, '56c5a533-c558-4631-9dc6-2abe8c66ff28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=arabic#700', 'El Messiri 700 (arabic)', 'El Messiri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:700";s:6:"subset";s:6:"arabic";}', 1468916155, 1468916155, 0),
(3073, '3f75ba94-307d-43e4-902b-90fafdd1f4f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=cyrillic#700', 'El Messiri 700 (cyrillic)', 'El Messiri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:700";s:6:"subset";s:8:"cyrillic";}', 1468916155, 1468916155, 0),
(3074, 'f171ba85-b9f1-4d9c-83c2-2a8d7f12196b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=latin#600', 'El Messiri 600 (latin)', 'El Messiri', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:600";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3075, '9f9ea1fb-c27a-4787-9b75-444a2bc5cf2b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=arabic#600', 'El Messiri 600 (arabic)', 'El Messiri', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:600";s:6:"subset";s:6:"arabic";}', 1468916155, 1468916155, 0),
(3076, 'a12a5aa4-a07e-432a-bc33-ac7277c5435e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=cyrillic#600', 'El Messiri 600 (cyrillic)', 'El Messiri', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:600";s:6:"subset";s:8:"cyrillic";}', 1468916155, 1468916155, 0),
(3077, '460e62ed-8b9b-4d94-9cbf-0c4a30e376d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=latin#500', 'El Messiri 500 (latin)', 'El Messiri', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:500";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3078, '8478020f-744c-4aec-a872-5848e9ac183f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=arabic#500', 'El Messiri 500 (arabic)', 'El Messiri', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:500";s:6:"subset";s:6:"arabic";}', 1468916155, 1468916155, 0),
(3079, 'cf3aec0a-699c-4679-a3d6-be8acc1adc9d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=cyrillic#500', 'El Messiri 500 (cyrillic)', 'El Messiri', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"El Messiri:500";s:6:"subset";s:8:"cyrillic";}', 1468916155, 1468916155, 0),
(3080, 'd223cbe6-0f13-493a-8f17-95a55fa9fa6c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=latin#regular', 'El Messiri regular (latin)', 'El Messiri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"El Messiri:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3081, '043e0971-f145-4899-a39c-90be8a90cce4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=arabic#regular', 'El Messiri regular (arabic)', 'El Messiri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"El Messiri:regular";s:6:"subset";s:6:"arabic";}', 1468916155, 1468916155, 0),
(3082, 'df295e47-2cd6-4f74-a7f3-ab7e7d33041a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=El Messiri&subset=cyrillic#regular', 'El Messiri regular (cyrillic)', 'El Messiri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"El Messiri:regular";s:6:"subset";s:8:"cyrillic";}', 1468916155, 1468916155, 0),
(3083, 'ed45cf81-d298-4bd8-8ad4-fb437091986d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin#800', 'Ek Mukta 800 (latin)', 'Ek Mukta', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:800";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3084, '1299b768-29de-47e8-95b4-49d9d5972db5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=devanagari#800', 'Ek Mukta 800 (devanagari)', 'Ek Mukta', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:800";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3085, 'dcb20e8f-2cf8-44fd-b290-359a1248d8ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin-ext#800', 'Ek Mukta 800 (latin-ext)', 'Ek Mukta', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:800";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3086, 'b8eae445-81bf-464d-8cd0-289ecefd7c99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin#700', 'Ek Mukta 700 (latin)', 'Ek Mukta', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:700";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3087, '55d11441-3f41-4db4-b672-c079f93f770a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=devanagari#700', 'Ek Mukta 700 (devanagari)', 'Ek Mukta', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:700";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3088, 'a5cb182e-5db8-4602-97e1-9fe3013a9162', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin-ext#700', 'Ek Mukta 700 (latin-ext)', 'Ek Mukta', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:700";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3089, '8a52dea9-aee5-416b-a303-c719f9a7aaf4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin#600', 'Ek Mukta 600 (latin)', 'Ek Mukta', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:600";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3090, '8c97b845-b185-46c3-9f67-02e5739fd20a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=devanagari#600', 'Ek Mukta 600 (devanagari)', 'Ek Mukta', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:600";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3091, '9a1886ce-d5da-4c09-a4dd-b47cafdfbac0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin-ext#600', 'Ek Mukta 600 (latin-ext)', 'Ek Mukta', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:600";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3092, 'f291a362-a0c6-48a3-9b30-f6eead4745d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin#500', 'Ek Mukta 500 (latin)', 'Ek Mukta', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:500";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3093, '260ce96e-6cd6-4bf7-9561-c510a36f46db', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=devanagari#500', 'Ek Mukta 500 (devanagari)', 'Ek Mukta', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:500";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3094, '45aeef76-729f-45d8-ae36-970ed54ad8cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin-ext#500', 'Ek Mukta 500 (latin-ext)', 'Ek Mukta', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:500";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3095, '354748f0-6cd5-4e70-9ab3-57bc83f2476c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin#regular', 'Ek Mukta regular (latin)', 'Ek Mukta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ek Mukta:regular";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3096, '76dfac3d-be24-40e5-8ce0-2e149f1cae38', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=devanagari#regular', 'Ek Mukta regular (devanagari)', 'Ek Mukta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ek Mukta:regular";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3097, 'b90a1375-6a9c-4a43-afca-e7f780127e18', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin-ext#regular', 'Ek Mukta regular (latin-ext)', 'Ek Mukta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Ek Mukta:regular";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3098, '234d6bf1-f96f-487c-8cdd-7d62f0292333', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin#300', 'Ek Mukta 300 (latin)', 'Ek Mukta', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:300";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3099, '6dc9ec1c-1883-44ee-8a00-518d66ce282b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=devanagari#300', 'Ek Mukta 300 (devanagari)', 'Ek Mukta', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:300";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3100, '3f67c6e6-7431-4ccd-829c-6da2bca658f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin-ext#300', 'Ek Mukta 300 (latin-ext)', 'Ek Mukta', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:300";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3101, 'ef8eb04d-da34-4f6d-b3ad-03bb2ec65db7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin#200', 'Ek Mukta 200 (latin)', 'Ek Mukta', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:200";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3102, 'ace5d447-3773-4bfc-9316-f75639dac29e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=devanagari#200', 'Ek Mukta 200 (devanagari)', 'Ek Mukta', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:200";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3103, 'af00ff1e-2a0a-4a57-b2f2-18b1f74a8765', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ek Mukta&subset=latin-ext#200', 'Ek Mukta 200 (latin-ext)', 'Ek Mukta', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Ek Mukta:200";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3104, '1852c766-a506-47b1-bdf4-d659a9928a1f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin#800', 'Eczar 800 (latin)', 'Eczar', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:800";s:6:"subset";s:5:"latin";}', 1468916155, 1468916155, 0),
(3105, 'c9ffa836-0b6c-46db-a2d3-194fa22b7488', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=devanagari#800', 'Eczar 800 (devanagari)', 'Eczar', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:800";s:6:"subset";s:10:"devanagari";}', 1468916155, 1468916155, 0),
(3106, '3c286b10-2121-4911-ac18-5c96fa04395f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin-ext#800', 'Eczar 800 (latin-ext)', 'Eczar', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:800";s:6:"subset";s:9:"latin-ext";}', 1468916155, 1468916155, 0),
(3107, '61e6ce91-a944-494a-b0e8-d3ef1ea555b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin#700', 'Eczar 700 (latin)', 'Eczar', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:700";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3108, '4e5ae010-e686-44d6-81d7-0b842dab055a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=devanagari#700', 'Eczar 700 (devanagari)', 'Eczar', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:700";s:6:"subset";s:10:"devanagari";}', 1468916157, 1468916157, 0),
(3109, '91177ce9-8ef1-4be4-847b-a82bf5f0095b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin-ext#700', 'Eczar 700 (latin-ext)', 'Eczar', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:700";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3110, '3c00e242-e943-4e50-a173-836ca60261a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin#600', 'Eczar 600 (latin)', 'Eczar', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:600";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3111, '0f78cd17-0a3b-4b6e-b5d8-58b324c69435', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=devanagari#600', 'Eczar 600 (devanagari)', 'Eczar', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:600";s:6:"subset";s:10:"devanagari";}', 1468916157, 1468916157, 0),
(3112, 'a52648ea-1b68-48a1-90d1-a19e5b3ec178', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin-ext#600', 'Eczar 600 (latin-ext)', 'Eczar', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:600";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3113, 'e4ee4f4d-4ce8-4b7a-b6e3-60249996316c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin#500', 'Eczar 500 (latin)', 'Eczar', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:500";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3114, '0fa91ee8-3d8f-4111-aaa4-cd1e72dc1edd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=devanagari#500', 'Eczar 500 (devanagari)', 'Eczar', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:500";s:6:"subset";s:10:"devanagari";}', 1468916157, 1468916157, 0),
(3115, '4ed389a4-ca20-4b54-909a-476abb759fd1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin-ext#500', 'Eczar 500 (latin-ext)', 'Eczar', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Eczar:500";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3116, 'b49d1260-5c80-4140-8c42-bdfb65c46b3c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin#regular', 'Eczar regular (latin)', 'Eczar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Eczar:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3117, 'b82df787-9118-488e-a36d-9f74236d48e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=devanagari#regular', 'Eczar regular (devanagari)', 'Eczar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Eczar:regular";s:6:"subset";s:10:"devanagari";}', 1468916157, 1468916157, 0),
(3118, '718f4a62-50e4-4a03-972f-3e84283459e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eczar&subset=latin-ext#regular', 'Eczar regular (latin-ext)', 'Eczar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Eczar:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3119, 'a71531d7-25eb-4dd6-abcb-1276a0282d5b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin#700italic', 'Economica 700italic (latin)', 'Economica', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Economica:700italic";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3120, '04ad867b-f8dd-4c08-99f7-a5396791b391', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin-ext#700italic', 'Economica 700italic (latin-ext)', 'Economica', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Economica:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3121, 'be7c44b5-d461-43e2-b82f-d6c0c3d138d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin#700', 'Economica 700 (latin)', 'Economica', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Economica:700";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3122, '90028793-25e1-4194-a5e3-b1062354d4c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin-ext#700', 'Economica 700 (latin-ext)', 'Economica', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Economica:700";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3123, '180d163e-bd67-44be-be19-03c0b0dd729b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin#italic', 'Economica italic (latin)', 'Economica', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Economica:italic";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3124, '531b2053-420c-4a83-b239-7c23b65d289b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin-ext#italic', 'Economica italic (latin-ext)', 'Economica', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Economica:italic";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3125, '7fd12619-bdf1-4196-84ef-06050c3c5d30', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin#regular', 'Economica regular (latin)', 'Economica', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Economica:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3126, '97f56c81-d32a-499b-9d1e-5b3f740a803f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Economica&subset=latin-ext#regular', 'Economica regular (latin-ext)', 'Economica', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Economica:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3127, '76580ed8-897a-4705-ab2f-06d7b9c34b74', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eater&subset=latin#regular', 'Eater regular (latin)', 'Eater', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Eater:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3128, '3053a1fc-de32-448d-974e-0974dcf3c33a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eater&subset=latin-ext#regular', 'Eater regular (latin-ext)', 'Eater', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Eater:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3129, '29ab79a7-bc89-4b97-a364-933d0fd36a92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eagle Lake&subset=latin#regular', 'Eagle Lake regular (latin)', 'Eagle Lake', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Eagle Lake:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3130, 'ebd0a30b-d89f-4b87-b6f8-b560ead1c67a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Eagle Lake&subset=latin-ext#regular', 'Eagle Lake regular (latin-ext)', 'Eagle Lake', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Eagle Lake:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3131, '921c3a66-7365-475c-8972-caafa6aad3e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=EB Garamond&subset=cyrillic-ext#regular', 'EB Garamond regular (cyrillic-ext)', 'EB Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"EB Garamond:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916157, 1468916157, 0),
(3132, 'f4bab8b0-b93b-4424-98a1-74814b55f67c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=EB Garamond&subset=latin#regular', 'EB Garamond regular (latin)', 'EB Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"EB Garamond:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3133, 'fb41c0d4-8c42-4d1a-878d-02908e9fc4f0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=EB Garamond&subset=vietnamese#regular', 'EB Garamond regular (vietnamese)', 'EB Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"EB Garamond:regular";s:6:"subset";s:10:"vietnamese";}', 1468916157, 1468916157, 0),
(3134, 'ed945243-918a-4629-bb53-6b2b2e54db7a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=EB Garamond&subset=latin-ext#regular', 'EB Garamond regular (latin-ext)', 'EB Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"EB Garamond:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3135, '3bd61ebb-7d61-439a-953f-eeae63aa8741', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=EB Garamond&subset=cyrillic#regular', 'EB Garamond regular (cyrillic)', 'EB Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"EB Garamond:regular";s:6:"subset";s:8:"cyrillic";}', 1468916157, 1468916157, 0),
(3136, '792137bd-5749-45db-9076-4704cc7b29a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dynalight&subset=latin#regular', 'Dynalight regular (latin)', 'Dynalight', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Dynalight:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3137, '9b543427-23c7-4d02-96f4-4b9f10c6d698', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dynalight&subset=latin-ext#regular', 'Dynalight regular (latin-ext)', 'Dynalight', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Dynalight:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3138, '44d4b912-792d-4fde-9727-223a3f3acbd5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Duru Sans&subset=latin#regular', 'Duru Sans regular (latin)', 'Duru Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Duru Sans:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3139, 'ab3c4f41-7d4d-4b06-9f14-38e8e97c7603', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Duru Sans&subset=latin-ext#regular', 'Duru Sans regular (latin-ext)', 'Duru Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Duru Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3140, 'fe0dcfae-3225-48c4-8fe2-fb1d563b2655', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Droid Serif&subset=latin#700italic', 'Droid Serif 700italic (latin)', 'Droid Serif', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Droid Serif:700italic";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3141, 'c1a65f21-a6f8-443a-adf7-77758767943f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Droid Serif&subset=latin#700', 'Droid Serif 700 (latin)', 'Droid Serif', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Droid Serif:700";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3142, 'cef0b2c4-3dd1-4f6e-9d12-76f670300f5d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Droid Serif&subset=latin#italic', 'Droid Serif italic (latin)', 'Droid Serif', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Droid Serif:italic";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3143, '1ff98b6d-87b2-48c6-8a6e-595ccf22e7a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Droid Serif&subset=latin#regular', 'Droid Serif regular (latin)', 'Droid Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Droid Serif:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3144, '3e6f3d5a-b990-4570-a172-72ba4c8216cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Droid Sans Mono&subset=latin#regular', 'Droid Sans Mono regular (latin)', 'Droid Sans Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Droid Sans Mono:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3145, '6911b070-7ddf-40e0-9599-c66644b11877', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Droid Sans&subset=latin#700', 'Droid Sans 700 (latin)', 'Droid Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Droid Sans:700";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3146, 'c8f90991-bc71-4011-ba99-74848cc11ef8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Droid Sans&subset=latin#regular', 'Droid Sans regular (latin)', 'Droid Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Droid Sans:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3147, 'ce37cfe9-68d3-4a38-83d2-e7afaefe85e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dr Sugiyama&subset=latin#regular', 'Dr Sugiyama regular (latin)', 'Dr Sugiyama', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Dr Sugiyama:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3148, '878e99a9-9bde-49a0-bc2e-95229c5c3f87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dr Sugiyama&subset=latin-ext#regular', 'Dr Sugiyama regular (latin-ext)', 'Dr Sugiyama', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Dr Sugiyama:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3149, 'c3e99469-e559-4bba-951a-bcc18a2ef054', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin#800', 'Dosis 800 (latin)', 'Dosis', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:800";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3150, '7cc18600-f60a-46f8-9020-8fc0b4a3d02a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin-ext#800', 'Dosis 800 (latin-ext)', 'Dosis', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:800";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3151, '09ffcd08-f80d-4330-9743-bce06f863409', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin#700', 'Dosis 700 (latin)', 'Dosis', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:700";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3152, '9421d379-abab-489c-8943-6ae4d5ec044f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin-ext#700', 'Dosis 700 (latin-ext)', 'Dosis', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:700";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3153, 'ca3e6345-0529-46e6-b1cd-3d52727b4a72', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin#600', 'Dosis 600 (latin)', 'Dosis', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:600";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3154, 'f3b98d7a-72cf-4beb-9956-e8a8409c16db', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin-ext#600', 'Dosis 600 (latin-ext)', 'Dosis', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:600";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3155, '40972906-43bc-4b1c-b880-97adebdb1b69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin#500', 'Dosis 500 (latin)', 'Dosis', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:500";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3156, '3597030a-0b9a-4c82-ac16-def7f7f563f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin-ext#500', 'Dosis 500 (latin-ext)', 'Dosis', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:500";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3157, '23b855d1-8afc-4bba-9d7d-7c48b88b1ef5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin#regular', 'Dosis regular (latin)', 'Dosis', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Dosis:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3158, 'd2b3967e-7aa0-49b5-aa02-566b82a68409', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin-ext#regular', 'Dosis regular (latin-ext)', 'Dosis', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Dosis:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3159, 'd562a9f4-9312-4213-86c5-b91eef611527', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin#300', 'Dosis 300 (latin)', 'Dosis', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:300";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3160, 'cd6c4383-bcb0-4fdc-a85d-2f9a01b2b59c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin-ext#300', 'Dosis 300 (latin-ext)', 'Dosis', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:300";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3161, '768026e7-0217-4b27-a718-bee7f6494e41', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin#200', 'Dosis 200 (latin)', 'Dosis', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:200";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3162, '60aa19b2-de15-42e3-965e-33c0df7ff4d0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dosis&subset=latin-ext#200', 'Dosis 200 (latin-ext)', 'Dosis', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Dosis:200";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3163, 'aa9b06e4-5f17-40b2-abe4-3a2a2b314334', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dorsa&subset=latin#regular', 'Dorsa regular (latin)', 'Dorsa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Dorsa:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3164, '576f424e-78e5-46bc-94df-3b04dd3970f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Doppio One&subset=latin#regular', 'Doppio One regular (latin)', 'Doppio One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Doppio One:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3165, '13b129db-2d6e-4aa6-a7ee-712f30781169', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Doppio One&subset=latin-ext#regular', 'Doppio One regular (latin-ext)', 'Doppio One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Doppio One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3166, '72333e5b-9ca4-418a-9088-8b402651bbc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Donegal One&subset=latin#regular', 'Donegal One regular (latin)', 'Donegal One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Donegal One:regular";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3167, '57d58e9a-0a4d-4700-974e-5ac01efa3707', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Donegal One&subset=latin-ext#regular', 'Donegal One regular (latin-ext)', 'Donegal One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Donegal One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3168, 'ca43bb4d-e0c5-4c74-a829-4c47f5f86c20', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Domine&subset=latin#700', 'Domine 700 (latin)', 'Domine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Domine:700";s:6:"subset";s:5:"latin";}', 1468916157, 1468916157, 0),
(3169, '74e0bc58-d159-4c49-abd5-3f4dc14669d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Domine&subset=latin-ext#700', 'Domine 700 (latin-ext)', 'Domine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Domine:700";s:6:"subset";s:9:"latin-ext";}', 1468916157, 1468916157, 0),
(3170, 'cfc0814b-5099-4d58-940e-2303647d6dc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Domine&subset=latin#regular', 'Domine regular (latin)', 'Domine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Domine:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3171, 'dffb2863-c43c-45d7-96e5-42d14fbe3159', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Domine&subset=latin-ext#regular', 'Domine regular (latin-ext)', 'Domine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Domine:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3172, 'd8510083-599e-42e4-a3d9-594d7e93e8c5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Diplomata SC&subset=latin#regular', 'Diplomata SC regular (latin)', 'Diplomata SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Diplomata SC:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3173, 'ee827982-d9ce-48f8-819f-f9466ee99f9f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Diplomata SC&subset=latin-ext#regular', 'Diplomata SC regular (latin-ext)', 'Diplomata SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Diplomata SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3174, 'b38c80da-1219-4ecc-8cfe-0b5f47e77e54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Diplomata&subset=latin#regular', 'Diplomata regular (latin)', 'Diplomata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Diplomata:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3175, '6febc249-df92-43c7-b00f-3a9df0e79cd7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Diplomata&subset=latin-ext#regular', 'Diplomata regular (latin-ext)', 'Diplomata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Diplomata:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3176, 'f676b896-1c3d-43ea-b833-3fc598a058cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Didact Gothic&subset=cyrillic-ext#regular', 'Didact Gothic regular (cyrillic-ext)', 'Didact Gothic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Didact Gothic:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916158, 1468916158, 0),
(3177, '50c1d38e-3abc-4c04-b7c3-5fba594ae76f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Didact Gothic&subset=latin#regular', 'Didact Gothic regular (latin)', 'Didact Gothic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Didact Gothic:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3178, '97d12760-9d40-41a6-a6ab-f18c99199a25', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Didact Gothic&subset=greek-ext#regular', 'Didact Gothic regular (greek-ext)', 'Didact Gothic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Didact Gothic:regular";s:6:"subset";s:9:"greek-ext";}', 1468916158, 1468916158, 0),
(3179, '99e72eed-1122-4797-9b90-3a280a8efba2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Didact Gothic&subset=greek#regular', 'Didact Gothic regular (greek)', 'Didact Gothic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Didact Gothic:regular";s:6:"subset";s:5:"greek";}', 1468916158, 1468916158, 0),
(3180, 'dcb6fe4f-1288-41d7-b95c-f0d6c5719d9b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Didact Gothic&subset=latin-ext#regular', 'Didact Gothic regular (latin-ext)', 'Didact Gothic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Didact Gothic:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3181, '08c650e7-7cd0-4766-8939-0d3bcc53b834', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Didact Gothic&subset=cyrillic#regular', 'Didact Gothic regular (cyrillic)', 'Didact Gothic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Didact Gothic:regular";s:6:"subset";s:8:"cyrillic";}', 1468916158, 1468916158, 0),
(3182, '196af8cb-899f-48dc-ab06-8e525e944840', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dhurjati&subset=latin#regular', 'Dhurjati regular (latin)', 'Dhurjati', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Dhurjati:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3183, '48a972a8-41c7-4361-b120-4c0449048120', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dhurjati&subset=telugu#regular', 'Dhurjati regular (telugu)', 'Dhurjati', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Dhurjati:regular";s:6:"subset";s:6:"telugu";}', 1468916158, 1468916158, 0),
(3184, '9a0d0678-65d6-401a-bdf1-3fb102c9eae3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Devonshire&subset=latin#regular', 'Devonshire regular (latin)', 'Devonshire', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Devonshire:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3185, '4d8cc321-9f02-444e-b842-61f8e269dd82', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Devonshire&subset=latin-ext#regular', 'Devonshire regular (latin-ext)', 'Devonshire', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Devonshire:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3186, '63729857-d347-45ff-b608-2323c8c216bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Denk One&subset=latin#regular', 'Denk One regular (latin)', 'Denk One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Denk One:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3187, 'f14a2078-54ea-4f4a-9897-0fc35cf85e0d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Denk One&subset=latin-ext#regular', 'Denk One regular (latin-ext)', 'Denk One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Denk One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3188, 'd2db2501-eba1-4821-8253-36983cbff558', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Della Respira&subset=latin#regular', 'Della Respira regular (latin)', 'Della Respira', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Della Respira:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3189, '480ccf48-fe27-4358-aaf7-7b982b588863', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Delius Unicase&subset=latin#700', 'Delius Unicase 700 (latin)', 'Delius Unicase', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Delius Unicase:700";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3190, '50a49730-285b-4cf5-b55d-7b939d217692', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Delius Unicase&subset=latin#regular', 'Delius Unicase regular (latin)', 'Delius Unicase', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Delius Unicase:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3191, 'c557aa61-56a9-4ac9-94de-47d66ed31f18', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Delius Swash Caps&subset=latin#regular', 'Delius Swash Caps regular (latin)', 'Delius Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Delius Swash Caps:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3192, 'a33d048e-5931-4952-bc6d-69047631e75f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Delius&subset=latin#regular', 'Delius regular (latin)', 'Delius', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Delius:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3193, 'fd5be801-a024-45e4-8bf2-d2a2e5911318', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dekko&subset=latin#regular', 'Dekko regular (latin)', 'Dekko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Dekko:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3194, 'f88df469-32c3-4138-a2d3-2cce4228bc2e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dekko&subset=devanagari#regular', 'Dekko regular (devanagari)', 'Dekko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Dekko:regular";s:6:"subset";s:10:"devanagari";}', 1468916158, 1468916158, 0),
(3195, '2696c2a1-f890-4d2d-b24e-e83d1eddf8c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dekko&subset=latin-ext#regular', 'Dekko regular (latin-ext)', 'Dekko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Dekko:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3196, '1b6d378f-ec70-49e5-867d-60e4be62586c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Days One&subset=latin#regular', 'Days One regular (latin)', 'Days One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Days One:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3197, '16241e03-84f6-40ab-9fc1-39fc15022ba4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dawning of a New Day&subset=latin#regular', 'Dawning of a New Day regular (latin)', 'Dawning of a New Day', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Dawning of a New Day:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3198, 'c9b10b2e-5513-4f99-b7eb-ed6a0aba4427', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=latin#700', 'David Libre 700 (latin)', 'David Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:700";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3199, '3b8f1e2d-0de4-459a-a79f-e876a7dea3ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=hebrew#700', 'David Libre 700 (hebrew)', 'David Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:700";s:6:"subset";s:6:"hebrew";}', 1468916158, 1468916158, 0),
(3200, '0129cfe4-c33f-48ac-a42a-8c61e4818209', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=vietnamese#700', 'David Libre 700 (vietnamese)', 'David Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:700";s:6:"subset";s:10:"vietnamese";}', 1468916158, 1468916158, 0),
(3201, '7ecd71ca-57ac-4928-bd65-10eb7be7fa75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=latin-ext#700', 'David Libre 700 (latin-ext)', 'David Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:700";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3202, 'ec7b7746-32ce-441e-a676-85b95b8d4dca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=latin#500', 'David Libre 500 (latin)', 'David Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:500";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3203, 'e8832295-f7e8-4081-a3e3-cbbdbb27b269', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=hebrew#500', 'David Libre 500 (hebrew)', 'David Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:500";s:6:"subset";s:6:"hebrew";}', 1468916158, 1468916158, 0),
(3204, '32e5f3ed-c8ef-432b-8e31-53585b167904', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=vietnamese#500', 'David Libre 500 (vietnamese)', 'David Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:500";s:6:"subset";s:10:"vietnamese";}', 1468916158, 1468916158, 0),
(3205, '7f1e774d-e8c0-44de-a3a1-c549367a7afc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=latin-ext#500', 'David Libre 500 (latin-ext)', 'David Libre', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"David Libre:500";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3206, 'c05f2679-fd83-42f3-9f19-5b33856b15b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=latin#regular', 'David Libre regular (latin)', 'David Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"David Libre:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3207, '8c178c5d-d93d-419f-a36c-edc5793b708e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=hebrew#regular', 'David Libre regular (hebrew)', 'David Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"David Libre:regular";s:6:"subset";s:6:"hebrew";}', 1468916158, 1468916158, 0),
(3208, 'a2c87174-d9c4-4e50-a2c8-fbc9fb24d349', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=vietnamese#regular', 'David Libre regular (vietnamese)', 'David Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"David Libre:regular";s:6:"subset";s:10:"vietnamese";}', 1468916158, 1468916158, 0),
(3209, '91d4a4eb-9783-43df-bb31-dffab14b3cf9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=David Libre&subset=latin-ext#regular', 'David Libre regular (latin-ext)', 'David Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"David Libre:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3210, '51adbe29-63e5-4c5d-99e0-fa78d46c9ccb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dangrek&subset=khmer#regular', 'Dangrek regular (khmer)', 'Dangrek', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Dangrek:regular";s:6:"subset";s:5:"khmer";}', 1468916158, 1468916158, 0);
INSERT INTO `fontyourface_font` VALUES
(3211, '1f971274-f8fc-4ad4-8426-b72c28624490', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dancing Script&subset=latin#700', 'Dancing Script 700 (latin)', 'Dancing Script', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Dancing Script:700";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3212, 'ee0f1957-bc37-48fa-9b6e-83950917fa56', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Dancing Script&subset=latin#regular', 'Dancing Script regular (latin)', 'Dancing Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Dancing Script:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3213, 'e981b548-3fe7-437a-bc6d-a15280f28f5e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Damion&subset=latin#regular', 'Damion regular (latin)', 'Damion', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Damion:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3214, 'a420d97d-3066-40c4-b23c-58090c1e2cc9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cutive Mono&subset=latin#regular', 'Cutive Mono regular (latin)', 'Cutive Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cutive Mono:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3215, '0e31abd0-6375-412a-861e-6b26834895bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cutive Mono&subset=latin-ext#regular', 'Cutive Mono regular (latin-ext)', 'Cutive Mono', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cutive Mono:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3216, 'c4859780-3fad-460b-b7b0-186e0c00bfd4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cutive&subset=latin#regular', 'Cutive regular (latin)', 'Cutive', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cutive:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3217, '3deb3c71-a0f2-49de-b318-12c26d21925b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cutive&subset=latin-ext#regular', 'Cutive regular (latin-ext)', 'Cutive', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cutive:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3218, '09a8c869-68b8-4d5a-8810-a8abd873f0f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin#700italic', 'Cuprum 700italic (latin)', 'Cuprum', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cuprum:700italic";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3219, '7e5e8237-cfc2-44eb-85cc-9a6cd79fa754', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin-ext#700italic', 'Cuprum 700italic (latin-ext)', 'Cuprum', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cuprum:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3220, '4a9ffccd-b37f-4088-af7b-96b25c52bfb6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=cyrillic#700italic', 'Cuprum 700italic (cyrillic)', 'Cuprum', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cuprum:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916158, 1468916158, 0),
(3221, 'ccb12a57-ba85-455a-8b2d-e4fe6d24861f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin#700', 'Cuprum 700 (latin)', 'Cuprum', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cuprum:700";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3222, 'eb765393-b514-46e2-967b-0b4cf1162b8b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin-ext#700', 'Cuprum 700 (latin-ext)', 'Cuprum', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cuprum:700";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3223, '9a90badd-b884-43a6-b386-eaec82bad3ef', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=cyrillic#700', 'Cuprum 700 (cyrillic)', 'Cuprum', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cuprum:700";s:6:"subset";s:8:"cyrillic";}', 1468916158, 1468916158, 0),
(3224, 'fb9d2a59-fd56-4282-b427-042fcf9db726', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin#italic', 'Cuprum italic (latin)', 'Cuprum', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cuprum:italic";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3225, '46787d3a-5bc9-4e7b-a557-dc01b9a37d10', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin-ext#italic', 'Cuprum italic (latin-ext)', 'Cuprum', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cuprum:italic";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3226, 'f9e9dacf-5a10-46de-ba03-7c15467f5519', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=cyrillic#italic', 'Cuprum italic (cyrillic)', 'Cuprum', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cuprum:italic";s:6:"subset";s:8:"cyrillic";}', 1468916158, 1468916158, 0),
(3227, '7f4e1367-c365-4d1a-aa58-6cfa7d0fa5bc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin#regular', 'Cuprum regular (latin)', 'Cuprum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cuprum:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3228, 'dee4e97b-556d-454e-92ad-0e5e2f8d95cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=latin-ext#regular', 'Cuprum regular (latin-ext)', 'Cuprum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cuprum:regular";s:6:"subset";s:9:"latin-ext";}', 1468916158, 1468916158, 0),
(3229, 'fe487c1f-8dc7-495d-8b49-d3e82170ad89', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cuprum&subset=cyrillic#regular', 'Cuprum regular (cyrillic)', 'Cuprum', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cuprum:regular";s:6:"subset";s:8:"cyrillic";}', 1468916158, 1468916158, 0),
(3230, 'f0c4c147-0053-4928-8d82-f7eb292de8fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crushed&subset=latin#regular', 'Crushed regular (latin)', 'Crushed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Crushed:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3231, '40cc4db1-e704-478b-af83-f3e292850567', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Croissant One&subset=latin#regular', 'Croissant One regular (latin)', 'Croissant One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Croissant One:regular";s:6:"subset";s:5:"latin";}', 1468916158, 1468916158, 0),
(3232, 'd6f68c80-8f6a-4214-b0b0-0893efd1fd1a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Croissant One&subset=latin-ext#regular', 'Croissant One regular (latin-ext)', 'Croissant One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Croissant One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3233, '6041efa7-1c13-4773-9925-fefdf8f9ae7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crimson Text&subset=latin#700italic', 'Crimson Text 700italic (latin)', 'Crimson Text', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Crimson Text:700italic";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3234, '7de91dc5-609f-4c1f-a656-881a45b83100', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crimson Text&subset=latin#700', 'Crimson Text 700 (latin)', 'Crimson Text', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Crimson Text:700";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3235, '9218fe1d-9817-42e2-8777-332a4a6d6be9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crimson Text&subset=latin#600italic', 'Crimson Text 600italic (latin)', 'Crimson Text', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Crimson Text:600italic";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3236, '8e9a9305-e662-4fc6-b98f-be61b0a683a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crimson Text&subset=latin#600', 'Crimson Text 600 (latin)', 'Crimson Text', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Crimson Text:600";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3237, '0000562e-b8a9-4522-b78f-38e3d2490d2a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crimson Text&subset=latin#italic', 'Crimson Text italic (latin)', 'Crimson Text', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Crimson Text:italic";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3238, '5415fdf0-4ced-4cb9-820a-58a999130d87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crimson Text&subset=latin#regular', 'Crimson Text regular (latin)', 'Crimson Text', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Crimson Text:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3239, 'b98b408c-6893-4f1e-8a21-3d52d984e126', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crete Round&subset=latin#italic', 'Crete Round italic (latin)', 'Crete Round', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Crete Round:italic";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3240, '55e75ce1-f3f9-41cc-9a1e-b7d0d4966925', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crete Round&subset=latin-ext#italic', 'Crete Round italic (latin-ext)', 'Crete Round', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Crete Round:italic";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3241, '2c7b37f8-cf19-4b84-81be-b8382dd0cbf5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crete Round&subset=latin#regular', 'Crete Round regular (latin)', 'Crete Round', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Crete Round:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3242, '7c5646ed-d5bb-450d-8db6-4b29ff700c20', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crete Round&subset=latin-ext#regular', 'Crete Round regular (latin-ext)', 'Crete Round', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Crete Round:regular";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3243, 'e158b5ef-b77f-453d-9dda-a1567834fbe2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Creepster&subset=latin#regular', 'Creepster regular (latin)', 'Creepster', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Creepster:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3244, '25a93277-dd0f-4b80-b8d4-8699e6441f1e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Crafty Girls&subset=latin#regular', 'Crafty Girls regular (latin)', 'Crafty Girls', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Crafty Girls:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3245, '8ce32ec4-9e2e-484f-b050-6274157d3d53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Covered By Your Grace&subset=latin#regular', 'Covered By Your Grace regular (latin)', 'Covered By Your Grace', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:29:"Covered By Your Grace:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3246, '2aaf0653-ad04-4380-b659-e885ad48e7d6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coustard&subset=latin#900', 'Coustard 900 (latin)', 'Coustard', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Coustard:900";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3247, '72eacf99-383e-44b0-9367-1754b5aeb2a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coustard&subset=latin#regular', 'Coustard regular (latin)', 'Coustard', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Coustard:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3248, 'fee18439-4502-46f0-a4dd-998f062424d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic-ext#700italic', 'Cousine 700italic (cyrillic-ext)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916159, 1468916159, 0),
(3249, 'a93f24e1-7f92-47a1-a611-1248de0f7c59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin#700italic', 'Cousine 700italic (latin)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3250, 'f1215308-50d2-499b-bcf6-2171a946b7da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek-ext#700italic', 'Cousine 700italic (greek-ext)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916159, 1468916159, 0),
(3251, 'd7524f4e-f32c-4e42-b331-d16aa5dadb74', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek#700italic', 'Cousine 700italic (greek)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:5:"greek";}', 1468916159, 1468916159, 0),
(3252, '38639f48-0e2f-47f2-b1a5-c343dd1202b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=hebrew#700italic', 'Cousine 700italic (hebrew)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:6:"hebrew";}', 1468916159, 1468916159, 0),
(3253, '6bd8c0f8-6454-4ea7-9a7b-a1b15614367f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=vietnamese#700italic', 'Cousine 700italic (vietnamese)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3254, 'ee2b7646-b91d-447c-9e48-e67759c46052', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin-ext#700italic', 'Cousine 700italic (latin-ext)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3255, '3d012616-4614-40f2-a3f0-316eb38194b6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic#700italic', 'Cousine 700italic (cyrillic)', 'Cousine', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cousine:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916159, 1468916159, 0),
(3256, '4213543f-71ee-452f-aa6e-7346fca45e53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic-ext#700', 'Cousine 700 (cyrillic-ext)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916159, 1468916159, 0),
(3257, 'ac008617-5378-4912-aed9-34fa89adeb13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin#700', 'Cousine 700 (latin)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3258, 'f4b420ee-3388-497e-945c-7d9775a1da5f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek-ext#700', 'Cousine 700 (greek-ext)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:9:"greek-ext";}', 1468916159, 1468916159, 0),
(3259, 'b2c52dd2-4601-4d20-89de-240f19dba6b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek#700', 'Cousine 700 (greek)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:5:"greek";}', 1468916159, 1468916159, 0),
(3260, '2db0eb48-7e82-4faf-aa42-aa1632c5d0ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=hebrew#700', 'Cousine 700 (hebrew)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:6:"hebrew";}', 1468916159, 1468916159, 0),
(3261, 'cae7dff1-7ded-4504-8bc3-611b97840529', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=vietnamese#700', 'Cousine 700 (vietnamese)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3262, '26ff10d1-c2f7-49b1-a78c-fc63baf1e88c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin-ext#700', 'Cousine 700 (latin-ext)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3263, '91443430-27f5-4e58-8d91-6746499162b3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic#700', 'Cousine 700 (cyrillic)', 'Cousine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Cousine:700";s:6:"subset";s:8:"cyrillic";}', 1468916159, 1468916159, 0),
(3264, '88747221-251e-4f79-8ded-2d603fd86ba5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic-ext#italic', 'Cousine italic (cyrillic-ext)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916159, 1468916159, 0),
(3265, '1c600a4f-0028-4ff6-a8bb-21635be1de63', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin#italic', 'Cousine italic (latin)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3266, '0c21b762-cffe-4862-b663-9b388bbc18e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek-ext#italic', 'Cousine italic (greek-ext)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:9:"greek-ext";}', 1468916159, 1468916159, 0),
(3267, '8471f68c-acd9-4efe-903e-fd867c99a1a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek#italic', 'Cousine italic (greek)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:5:"greek";}', 1468916159, 1468916159, 0),
(3268, '85d9b9a4-8b08-4d19-b4dd-018251c15b06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=hebrew#italic', 'Cousine italic (hebrew)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:6:"hebrew";}', 1468916159, 1468916159, 0),
(3269, '5b2d30dc-869a-4609-81fb-1ab486a3d073', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=vietnamese#italic', 'Cousine italic (vietnamese)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3270, 'e0a3d2d8-42ea-4482-9965-b128a0baa7c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin-ext#italic', 'Cousine italic (latin-ext)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3271, '38293a1d-00d5-45cf-a3ec-a30eb42d9a3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic#italic', 'Cousine italic (cyrillic)', 'Cousine', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cousine:italic";s:6:"subset";s:8:"cyrillic";}', 1468916159, 1468916159, 0),
(3272, '5977436c-dd36-4104-bc12-91abd047467a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic-ext#regular', 'Cousine regular (cyrillic-ext)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916159, 1468916159, 0),
(3273, '8444cd7e-c8a1-46ce-aa69-c28f611e3ec3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin#regular', 'Cousine regular (latin)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3274, '6d16f98a-d360-401c-8dc7-f7eca831f0c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek-ext#regular', 'Cousine regular (greek-ext)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:9:"greek-ext";}', 1468916159, 1468916159, 0),
(3275, '35c58c78-5ecf-4c1a-acd3-15b86d738359', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=greek#regular', 'Cousine regular (greek)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:5:"greek";}', 1468916159, 1468916159, 0),
(3276, '77e78674-a483-44cc-80f5-e5c20fc0cc10', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=hebrew#regular', 'Cousine regular (hebrew)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:6:"hebrew";}', 1468916159, 1468916159, 0),
(3277, '4b095af2-04d3-4734-9ec2-534317807407', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=vietnamese#regular', 'Cousine regular (vietnamese)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3278, '82201a11-56f3-4226-bf76-a0b86ec08d67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=latin-ext#regular', 'Cousine regular (latin-ext)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3279, '4a281bd5-18a7-47d9-b066-734cea4f6e3c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cousine&subset=cyrillic#regular', 'Cousine regular (cyrillic)', 'Cousine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cousine:regular";s:6:"subset";s:8:"cyrillic";}', 1468916159, 1468916159, 0),
(3280, '74ccf74d-35db-433e-a397-e3ffdee57cab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Courgette&subset=latin#regular', 'Courgette regular (latin)', 'Courgette', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Courgette:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3281, '6e86be92-5eb7-425f-a6fe-e6f39eb0016e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Courgette&subset=latin-ext#regular', 'Courgette regular (latin-ext)', 'Courgette', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Courgette:regular";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3282, '77f2b591-186d-40e1-ba7e-4e6cab1af151', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin#700', 'Cormorant Upright 700 (latin)', 'Cormorant Upright', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:700";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3283, 'd9341aed-1961-4142-a8b3-0fe09bc1cb96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=vietnamese#700', 'Cormorant Upright 700 (vietnamese)', 'Cormorant Upright', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:700";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3284, '1b703ce7-697c-4fb4-932d-add3d60adddd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin-ext#700', 'Cormorant Upright 700 (latin-ext)', 'Cormorant Upright', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:700";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3285, '8d2a517b-7f40-47a5-9453-011b4e8f4201', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin#600', 'Cormorant Upright 600 (latin)', 'Cormorant Upright', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:600";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3286, '14b1ace8-7710-497b-a093-efa3084a25ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=vietnamese#600', 'Cormorant Upright 600 (vietnamese)', 'Cormorant Upright', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:600";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3287, '23b7dae2-946b-4580-a0e6-d9c10ab53ea3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin-ext#600', 'Cormorant Upright 600 (latin-ext)', 'Cormorant Upright', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:600";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3288, '77efd8ed-1f33-4fc8-983f-e3358a40df75', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin#500', 'Cormorant Upright 500 (latin)', 'Cormorant Upright', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:500";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3289, '0d6ccff0-b87c-42ba-baa1-b1aae9fdc5d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=vietnamese#500', 'Cormorant Upright 500 (vietnamese)', 'Cormorant Upright', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:500";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3290, '7877fcb7-2545-4c3e-9076-fc41a4f61f19', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin-ext#500', 'Cormorant Upright 500 (latin-ext)', 'Cormorant Upright', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:500";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3291, '98684c2a-b242-46cf-9b79-8d079aac1b2a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin#regular', 'Cormorant Upright regular (latin)', 'Cormorant Upright', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Upright:regular";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3292, '77d2842c-b243-4dee-8267-297d1e9cf62e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=vietnamese#regular', 'Cormorant Upright regular (vietnamese)', 'Cormorant Upright', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Upright:regular";s:6:"subset";s:10:"vietnamese";}', 1468916159, 1468916159, 0),
(3293, '5a9fa3d1-6f03-4cfd-843a-3ae7bacf7beb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin-ext#regular', 'Cormorant Upright regular (latin-ext)', 'Cormorant Upright', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Upright:regular";s:6:"subset";s:9:"latin-ext";}', 1468916159, 1468916159, 0),
(3294, '39ea8dcf-7ce6-48e1-8467-9b74ca280d6a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin#300', 'Cormorant Upright 300 (latin)', 'Cormorant Upright', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:300";s:6:"subset";s:5:"latin";}', 1468916159, 1468916159, 0),
(3295, '50faad51-8c66-437f-93fd-367a404bb64e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=vietnamese#300', 'Cormorant Upright 300 (vietnamese)', 'Cormorant Upright', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:300";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3296, 'fe672743-1b9f-475b-bfbd-630432838ca9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Upright&subset=latin-ext#300', 'Cormorant Upright 300 (latin-ext)', 'Cormorant Upright', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Upright:300";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3297, '9e8533ac-5c5a-4fdf-b76c-f66411047600', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin#700', 'Cormorant Unicase 700 (latin)', 'Cormorant Unicase', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:700";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3298, 'c40bb327-18c8-4b84-914b-d6914cc9f813', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=vietnamese#700', 'Cormorant Unicase 700 (vietnamese)', 'Cormorant Unicase', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:700";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3299, 'da914f5c-2b63-4d42-8a71-338d60129696', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin-ext#700', 'Cormorant Unicase 700 (latin-ext)', 'Cormorant Unicase', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:700";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3300, '984cf6b5-d753-4d1d-b206-f9c1e33f7f7d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=cyrillic#700', 'Cormorant Unicase 700 (cyrillic)', 'Cormorant Unicase', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:700";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3301, 'c0a5a4e2-f78f-4e84-a4c7-6ac8fd075243', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin#600', 'Cormorant Unicase 600 (latin)', 'Cormorant Unicase', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:600";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3302, 'e3860225-6768-4d22-b99e-e2f1dba9a3ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=vietnamese#600', 'Cormorant Unicase 600 (vietnamese)', 'Cormorant Unicase', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:600";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3303, 'd2d324ce-f355-4924-8a9a-d48286dbe6d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin-ext#600', 'Cormorant Unicase 600 (latin-ext)', 'Cormorant Unicase', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:600";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3304, 'e3889de1-a3b0-4d8f-874d-ff43faf19aa9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=cyrillic#600', 'Cormorant Unicase 600 (cyrillic)', 'Cormorant Unicase', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:600";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3305, 'd881f5b9-8e5a-4c15-809d-ac1bc77268fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin#500', 'Cormorant Unicase 500 (latin)', 'Cormorant Unicase', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:500";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3306, '22ed45ff-be66-4935-a883-6e2e5571c7d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=vietnamese#500', 'Cormorant Unicase 500 (vietnamese)', 'Cormorant Unicase', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:500";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3307, '27be7e2f-5fa7-4610-b12b-0eaf24ac540f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin-ext#500', 'Cormorant Unicase 500 (latin-ext)', 'Cormorant Unicase', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:500";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3308, 'fb0fc802-3a3c-4c01-be5a-bd5e12a45a93', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=cyrillic#500', 'Cormorant Unicase 500 (cyrillic)', 'Cormorant Unicase', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:500";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3309, 'b6c9e3ff-0fba-4786-a3f6-d5c9e65c6cc9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin#regular', 'Cormorant Unicase regular (latin)', 'Cormorant Unicase', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Unicase:regular";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3310, '64f4e431-d2ff-4931-9bf1-c58b11f794c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=vietnamese#regular', 'Cormorant Unicase regular (vietnamese)', 'Cormorant Unicase', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Unicase:regular";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3311, '806f650e-fbab-4064-9021-62f2aa98da58', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin-ext#regular', 'Cormorant Unicase regular (latin-ext)', 'Cormorant Unicase', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Unicase:regular";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3312, '97535de9-3a55-4741-9627-cb3015188511', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=cyrillic#regular', 'Cormorant Unicase regular (cyrillic)', 'Cormorant Unicase', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Unicase:regular";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3313, '70b05d42-02d4-4480-8f0d-7ecd8f4833d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin#300', 'Cormorant Unicase 300 (latin)', 'Cormorant Unicase', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:300";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3314, 'b646cd9d-d0f0-49ee-a65a-5ab577cf2501', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=vietnamese#300', 'Cormorant Unicase 300 (vietnamese)', 'Cormorant Unicase', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:300";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3315, 'e6e1e2e5-8eab-40a5-9d4d-49985250aedf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=latin-ext#300', 'Cormorant Unicase 300 (latin-ext)', 'Cormorant Unicase', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:300";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3316, 'b1468fb8-05c1-4032-af24-56b09ae47db1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Unicase&subset=cyrillic#300', 'Cormorant Unicase 300 (cyrillic)', 'Cormorant Unicase', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cormorant Unicase:300";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3317, '9ffcd76d-bf7b-48b4-8f9d-07e677f28a26', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin#700', 'Cormorant SC 700 (latin)', 'Cormorant SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:700";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3318, '93754748-7bfc-439b-88e9-fa2936865ac9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=vietnamese#700', 'Cormorant SC 700 (vietnamese)', 'Cormorant SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:700";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3319, 'c939a1c7-f4c7-4930-9f79-3455ca25dbaa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin-ext#700', 'Cormorant SC 700 (latin-ext)', 'Cormorant SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:700";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3320, 'a80b4859-313b-4b9e-a635-cac9a2e22e2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=cyrillic#700', 'Cormorant SC 700 (cyrillic)', 'Cormorant SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:700";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3321, 'aacbfc55-7396-4922-aba6-c82453d45346', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin#600', 'Cormorant SC 600 (latin)', 'Cormorant SC', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:600";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3322, '71189288-b825-47c1-851c-7c7ef9a25633', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=vietnamese#600', 'Cormorant SC 600 (vietnamese)', 'Cormorant SC', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:600";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3323, '2adab3f6-d6b0-4b0c-b1bc-c50dcfb73ca0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin-ext#600', 'Cormorant SC 600 (latin-ext)', 'Cormorant SC', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:600";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3324, 'a2a97157-8993-45a2-83fa-79b24fd785f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=cyrillic#600', 'Cormorant SC 600 (cyrillic)', 'Cormorant SC', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:600";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3325, '62930065-858e-44d4-afba-75de815ed8ba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin#500', 'Cormorant SC 500 (latin)', 'Cormorant SC', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:500";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3326, 'cf807382-1c9b-4dbf-8c27-5e0f0a4eca23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=vietnamese#500', 'Cormorant SC 500 (vietnamese)', 'Cormorant SC', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:500";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3327, '237ef836-627c-4f24-a1e8-e884b663dc99', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin-ext#500', 'Cormorant SC 500 (latin-ext)', 'Cormorant SC', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:500";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3328, '7f482ea4-4e8f-4c88-a1ca-04218c3bf643', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=cyrillic#500', 'Cormorant SC 500 (cyrillic)', 'Cormorant SC', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:500";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3329, '538edd59-d726-4ce1-bc0a-b123d021e2db', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin#regular', 'Cormorant SC regular (latin)', 'Cormorant SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant SC:regular";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3330, 'c7ff3f98-edd4-45e6-809f-ca6f58027b4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=vietnamese#regular', 'Cormorant SC regular (vietnamese)', 'Cormorant SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant SC:regular";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3331, '75250b78-db70-457e-a279-258781f04c9b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin-ext#regular', 'Cormorant SC regular (latin-ext)', 'Cormorant SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3332, 'a6defb1b-6418-4960-824e-4e537ed7917b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=cyrillic#regular', 'Cormorant SC regular (cyrillic)', 'Cormorant SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant SC:regular";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3333, '50613648-172e-4dc8-9ab5-c8ae2929ffa0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin#300', 'Cormorant SC 300 (latin)', 'Cormorant SC', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:300";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3334, '6b39788a-259a-45fe-b6c1-ae80723b3f2b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=vietnamese#300', 'Cormorant SC 300 (vietnamese)', 'Cormorant SC', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:300";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3335, '0af6b5d5-3fa3-44fb-8dc6-65f4cb6ebc87', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=latin-ext#300', 'Cormorant SC 300 (latin-ext)', 'Cormorant SC', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:300";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3336, '9665189d-df52-4582-bfa3-df36676c9ba7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant SC&subset=cyrillic#300', 'Cormorant SC 300 (cyrillic)', 'Cormorant SC', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant SC:300";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3337, 'ef03a189-ad61-44ad-aed0-239bd36a5a98', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#700italic', 'Cormorant Infant 700italic (latin)', 'Cormorant Infant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:700italic";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3338, 'c3751461-3097-4267-af0c-4b64226645fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#700italic', 'Cormorant Infant 700italic (vietnamese)', 'Cormorant Infant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3339, 'b1a4144f-0033-49df-9562-ad64d69b8e96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#700italic', 'Cormorant Infant 700italic (latin-ext)', 'Cormorant Infant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3340, 'ab4e49b3-9a16-4478-80e6-a7f31ecaa298', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#700italic', 'Cormorant Infant 700italic (cyrillic)', 'Cormorant Infant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3341, '359bb8a6-28ec-4622-ab6c-f925973f7117', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#700', 'Cormorant Infant 700 (latin)', 'Cormorant Infant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:700";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3342, '0aa724e8-770c-4f34-b8c5-5c2c7c236e6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#700', 'Cormorant Infant 700 (vietnamese)', 'Cormorant Infant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:700";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3343, 'cc2cfbf6-59f2-4199-825c-a7f7a2408b83', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#700', 'Cormorant Infant 700 (latin-ext)', 'Cormorant Infant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:700";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3344, 'd3ff7e5d-c777-4f2e-8669-9bd38cf0b58e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#700', 'Cormorant Infant 700 (cyrillic)', 'Cormorant Infant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:700";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3345, '12c3b758-b3f7-46aa-bdd5-74876a98047d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#600italic', 'Cormorant Infant 600italic (latin)', 'Cormorant Infant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:600italic";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3346, '3385f981-87e8-493c-9529-efa8342146d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#600italic', 'Cormorant Infant 600italic (vietnamese)', 'Cormorant Infant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3347, 'bb6366dd-0439-4355-8b60-bdf236d6946f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#600italic', 'Cormorant Infant 600italic (latin-ext)', 'Cormorant Infant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3348, '65aba99b-3cb7-4446-bfc2-6a8a8ec75ba3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#600italic', 'Cormorant Infant 600italic (cyrillic)', 'Cormorant Infant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:600italic";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3349, '2a6e9955-f749-4391-991f-0fea1fa38dd2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#600', 'Cormorant Infant 600 (latin)', 'Cormorant Infant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:600";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3350, 'dd253e10-e42f-469c-abb1-b85ff9db2d27', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#600', 'Cormorant Infant 600 (vietnamese)', 'Cormorant Infant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:600";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3351, '0041861a-2067-438d-b383-1b72a215c775', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#600', 'Cormorant Infant 600 (latin-ext)', 'Cormorant Infant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:600";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3352, 'ee324c66-f0b4-4ab4-9bf7-9e62bf0280d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#600', 'Cormorant Infant 600 (cyrillic)', 'Cormorant Infant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:600";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3353, '0a92a45c-10ea-4e93-8004-c0dd3dbcbc8d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#500italic', 'Cormorant Infant 500italic (latin)', 'Cormorant Infant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:500italic";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3354, '68c16ed8-24c7-4a0c-a36a-dbc1e65a533b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#500italic', 'Cormorant Infant 500italic (vietnamese)', 'Cormorant Infant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916161, 1468916161, 0),
(3355, '23d0ee21-d285-4181-8728-c86f96a40030', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#500italic', 'Cormorant Infant 500italic (latin-ext)', 'Cormorant Infant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916161, 1468916161, 0),
(3356, 'bc5c201b-2809-4e81-8c6e-020aac72486f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#500italic', 'Cormorant Infant 500italic (cyrillic)', 'Cormorant Infant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916161, 1468916161, 0),
(3357, 'e8cabf98-2fd7-49c2-a01f-4cc68b8bf33d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#500', 'Cormorant Infant 500 (latin)', 'Cormorant Infant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:500";s:6:"subset";s:5:"latin";}', 1468916161, 1468916161, 0),
(3358, '96ed360c-ced8-49c5-bb10-71ca3c6d79b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#500', 'Cormorant Infant 500 (vietnamese)', 'Cormorant Infant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:500";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3359, 'dba14718-edbd-4dc1-a6cd-64e226daa85b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#500', 'Cormorant Infant 500 (latin-ext)', 'Cormorant Infant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:500";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3360, '48dfd665-bdfc-4f94-9a17-ef5d50cc428c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#500', 'Cormorant Infant 500 (cyrillic)', 'Cormorant Infant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:500";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3361, 'de2cb0bd-bbc9-4eba-96ba-0edcf8fb67a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#italic', 'Cormorant Infant italic (latin)', 'Cormorant Infant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Cormorant Infant:italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3362, 'b3ed83ed-f43d-410a-9400-2ec66ddbec02', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#italic', 'Cormorant Infant italic (vietnamese)', 'Cormorant Infant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Cormorant Infant:italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3363, '4c203ef3-bf11-42f8-b3ce-1893a62fd91a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#italic', 'Cormorant Infant italic (latin-ext)', 'Cormorant Infant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Cormorant Infant:italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3364, '84115986-32e7-496b-a36e-07ded2da1bfd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#italic', 'Cormorant Infant italic (cyrillic)', 'Cormorant Infant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Cormorant Infant:italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3365, 'a5915510-7263-47e5-b0c0-914c904e50c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#regular', 'Cormorant Infant regular (latin)', 'Cormorant Infant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Cormorant Infant:regular";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3366, '093178fd-d57c-4af4-97d4-4fa73c507d98', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#regular', 'Cormorant Infant regular (vietnamese)', 'Cormorant Infant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Cormorant Infant:regular";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3367, '35286db6-3e19-407f-aa4d-48d1dadfcade', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#regular', 'Cormorant Infant regular (latin-ext)', 'Cormorant Infant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Cormorant Infant:regular";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3368, '41bf4be1-8fb7-416d-8104-43a4be04a0f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#regular', 'Cormorant Infant regular (cyrillic)', 'Cormorant Infant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Cormorant Infant:regular";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3369, '3925033f-abcd-4da5-8fb9-95b9a00e9497', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#300italic', 'Cormorant Infant 300italic (latin)', 'Cormorant Infant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:300italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3370, '7b097888-c576-4fb9-956a-77d48d158da3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#300italic', 'Cormorant Infant 300italic (vietnamese)', 'Cormorant Infant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3371, 'e88f59aa-41b7-4d71-b788-918adc9d6531', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#300italic', 'Cormorant Infant 300italic (latin-ext)', 'Cormorant Infant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3372, '52e7bdc4-1302-458d-86c0-d2fe372405fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#300italic', 'Cormorant Infant 300italic (cyrillic)', 'Cormorant Infant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Infant:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3373, '0b3a0c35-b964-4d9a-aa47-e0cdce04ec53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin#300', 'Cormorant Infant 300 (latin)', 'Cormorant Infant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:300";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3374, '2b5a5dd7-4223-4e99-b2e5-e6f9a0a03741', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=vietnamese#300', 'Cormorant Infant 300 (vietnamese)', 'Cormorant Infant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:300";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3375, '9608e142-d008-42e2-aa86-7967197fa41b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=latin-ext#300', 'Cormorant Infant 300 (latin-ext)', 'Cormorant Infant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:300";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3376, '90305e62-28de-44e4-9870-8e11a977541a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Infant&subset=cyrillic#300', 'Cormorant Infant 300 (cyrillic)', 'Cormorant Infant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cormorant Infant:300";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3377, 'a5f68afc-7e33-491c-a4aa-636ef66e03e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#700italic', 'Cormorant Garamond 700italic (latin)', 'Cormorant Garamond', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:700italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3378, 'a316ad11-af36-4d55-a655-534d80d2af71', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#700italic', 'Cormorant Garamond 700italic (vietnamese)', 'Cormorant Garamond', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3379, 'ac663924-0065-419a-bcc5-733c37e03189', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#700italic', 'Cormorant Garamond 700italic (latin-ext)', 'Cormorant Garamond', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3380, 'db7539f9-83b2-44e4-878d-9d2db7c1fb54', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#700italic', 'Cormorant Garamond 700italic (cyrillic)', 'Cormorant Garamond', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3381, '41c3ed9b-bf23-4853-9608-ab717dcd33e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#700', 'Cormorant Garamond 700 (latin)', 'Cormorant Garamond', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:700";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3382, 'db6f12d2-2b5a-48ff-a91d-9945f6df881b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#700', 'Cormorant Garamond 700 (vietnamese)', 'Cormorant Garamond', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:700";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3383, '1bb6d78c-6f08-475e-8d3d-ac98ee1e9422', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#700', 'Cormorant Garamond 700 (latin-ext)', 'Cormorant Garamond', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:700";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3384, '89700dab-b1fb-4f52-937d-0dc96151028e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#700', 'Cormorant Garamond 700 (cyrillic)', 'Cormorant Garamond', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:700";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3385, '863b260b-8a75-43ab-97e3-dae3047b81a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#600italic', 'Cormorant Garamond 600italic (latin)', 'Cormorant Garamond', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:600italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3386, 'a5feb2e6-bcfe-4321-b420-8455a14d1cf0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#600italic', 'Cormorant Garamond 600italic (vietnamese)', 'Cormorant Garamond', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3387, 'd1612f39-7e6e-4ee3-94cc-8b27ffd9a2d1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#600italic', 'Cormorant Garamond 600italic (latin-ext)', 'Cormorant Garamond', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3388, '51be38c9-79d8-4251-9c1c-dbea0a780927', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#600italic', 'Cormorant Garamond 600italic (cyrillic)', 'Cormorant Garamond', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:600italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0);
INSERT INTO `fontyourface_font` VALUES
(3389, 'c615e4fb-73d0-4c70-b8a2-634f03740d8e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#600', 'Cormorant Garamond 600 (latin)', 'Cormorant Garamond', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:600";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3390, '8604ceaf-466e-4b0d-a84a-fc8b71202233', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#600', 'Cormorant Garamond 600 (vietnamese)', 'Cormorant Garamond', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:600";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3391, '7e30065b-1b3e-4fc1-8b1c-d7a0f22ef2f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#600', 'Cormorant Garamond 600 (latin-ext)', 'Cormorant Garamond', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:600";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3392, '218ec4d2-5f9a-4500-b8fd-10ac79f89be4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#600', 'Cormorant Garamond 600 (cyrillic)', 'Cormorant Garamond', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:600";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3393, '12e9ba02-6a04-4db1-8150-79f16b19cdd9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#500italic', 'Cormorant Garamond 500italic (latin)', 'Cormorant Garamond', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:500italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3394, 'd2c2e5bb-05fb-49b7-a79a-faf4371eee13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#500italic', 'Cormorant Garamond 500italic (vietnamese)', 'Cormorant Garamond', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3395, 'fcaa3617-7035-430f-9acc-f23ab49df4da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#500italic', 'Cormorant Garamond 500italic (latin-ext)', 'Cormorant Garamond', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3396, '3418b563-2185-459b-abbd-61890a445c5d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#500italic', 'Cormorant Garamond 500italic (cyrillic)', 'Cormorant Garamond', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3397, 'e3a12f90-6c27-478f-8b80-6ce0824dd7e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#500', 'Cormorant Garamond 500 (latin)', 'Cormorant Garamond', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:500";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3398, '1f58e387-85f7-403d-958b-ba92a639a1fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#500', 'Cormorant Garamond 500 (vietnamese)', 'Cormorant Garamond', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:500";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3399, 'e97f6219-cd2c-42cc-a5fc-a1ed85fa188c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#500', 'Cormorant Garamond 500 (latin-ext)', 'Cormorant Garamond', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:500";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3400, 'aa256bee-2c2a-48b9-8b0a-5710609620ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#500', 'Cormorant Garamond 500 (cyrillic)', 'Cormorant Garamond', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:500";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3401, '5c03e715-742f-49c4-9880-ba428f2b9b35', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#italic', 'Cormorant Garamond italic (latin)', 'Cormorant Garamond', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Garamond:italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3402, '96739bb4-5020-4619-8c02-02904eaa3033', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#italic', 'Cormorant Garamond italic (vietnamese)', 'Cormorant Garamond', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Garamond:italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3403, '7a37a762-3205-400c-928f-e6ed2500fbc8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#italic', 'Cormorant Garamond italic (latin-ext)', 'Cormorant Garamond', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Garamond:italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3404, 'd13b3e94-7b84-4ed7-9944-ba143237264d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#italic', 'Cormorant Garamond italic (cyrillic)', 'Cormorant Garamond', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cormorant Garamond:italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3405, '0813550d-2c83-438e-8efd-19eb7c73c4ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#regular', 'Cormorant Garamond regular (latin)', 'Cormorant Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Garamond:regular";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3406, 'd70cfb19-9d34-49ab-80ca-6623687b38e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#regular', 'Cormorant Garamond regular (vietnamese)', 'Cormorant Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Garamond:regular";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3407, '10805576-85e1-4e49-a349-3b8e47dab4b1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#regular', 'Cormorant Garamond regular (latin-ext)', 'Cormorant Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Garamond:regular";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3408, '9ab9091b-7b79-4c36-ba5a-dc657b7a1f7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#regular', 'Cormorant Garamond regular (cyrillic)', 'Cormorant Garamond', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cormorant Garamond:regular";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3409, 'f613c431-99a5-48c6-b8ef-1abd7b4e3cf2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#300italic', 'Cormorant Garamond 300italic (latin)', 'Cormorant Garamond', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:300italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3410, '30c205d0-1100-42d3-be98-66fcab32904d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#300italic', 'Cormorant Garamond 300italic (vietnamese)', 'Cormorant Garamond', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3411, '071435ea-70b2-4375-b472-1a57b8774aa6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#300italic', 'Cormorant Garamond 300italic (latin-ext)', 'Cormorant Garamond', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3412, '9bb16d09-2f9a-4286-8a41-336185902beb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#300italic', 'Cormorant Garamond 300italic (cyrillic)', 'Cormorant Garamond', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Cormorant Garamond:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3413, 'e8cbb4bb-d64f-4144-90d3-8c4f42fe0009', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin#300', 'Cormorant Garamond 300 (latin)', 'Cormorant Garamond', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:300";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3414, '2936255c-cf8b-4ff3-9169-91db7222cd73', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=vietnamese#300', 'Cormorant Garamond 300 (vietnamese)', 'Cormorant Garamond', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:300";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3415, '536ba399-fbef-49b2-ae6d-978b775276c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=latin-ext#300', 'Cormorant Garamond 300 (latin-ext)', 'Cormorant Garamond', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:300";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3416, 'cbe1b414-121b-46b5-b250-11642e71d984', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant Garamond&subset=cyrillic#300', 'Cormorant Garamond 300 (cyrillic)', 'Cormorant Garamond', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Cormorant Garamond:300";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3417, 'f6e4fcd7-cd3a-435f-a314-91d368cf2da3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#700italic', 'Cormorant 700italic (latin)', 'Cormorant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:700italic";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3418, 'a7ce2335-8305-43e2-bd7c-3d4d54206171', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#700italic', 'Cormorant 700italic (vietnamese)', 'Cormorant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3419, 'ddc94f6c-600f-4d3c-aa96-8718f603d060', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#700italic', 'Cormorant 700italic (latin-ext)', 'Cormorant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916162, 1468916162, 0),
(3420, 'eb98f306-0d5e-45cc-a3f2-3083c2477e14', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#700italic', 'Cormorant 700italic (cyrillic)', 'Cormorant', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916162, 1468916162, 0),
(3421, '4443a7a0-6d09-4901-b6b1-f0180a7c9eb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#700', 'Cormorant 700 (latin)', 'Cormorant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:700";s:6:"subset";s:5:"latin";}', 1468916162, 1468916162, 0),
(3422, '172bfed3-efec-47d8-b187-a69cc493acff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#700', 'Cormorant 700 (vietnamese)', 'Cormorant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:700";s:6:"subset";s:10:"vietnamese";}', 1468916162, 1468916162, 0),
(3423, '2accf221-b141-4884-bc61-8df3f32551ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#700', 'Cormorant 700 (latin-ext)', 'Cormorant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:700";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3424, '0eff7fe2-1a05-4cd2-b703-3cbb0c4bc644', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#700', 'Cormorant 700 (cyrillic)', 'Cormorant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:700";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3425, '57a894e0-7cff-4896-83e4-17bbd853083f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#600italic', 'Cormorant 600italic (latin)', 'Cormorant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:600italic";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3426, '0fd5f3db-5da5-4b67-b909-d043a3605ce7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#600italic', 'Cormorant 600italic (vietnamese)', 'Cormorant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:600italic";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3427, '5e87bd48-5118-4255-8a5a-c89b0302a01c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#600italic', 'Cormorant 600italic (latin-ext)', 'Cormorant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:600italic";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3428, 'f4e8416e-ad55-4761-8c7a-99e2497d2a96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#600italic', 'Cormorant 600italic (cyrillic)', 'Cormorant', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:600italic";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3429, '059b34ec-36b3-4702-a7e1-8c0eb18a9a50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#600', 'Cormorant 600 (latin)', 'Cormorant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:600";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3430, 'a1aa1b3d-203b-4d65-90dc-27b7cc3e594a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#600', 'Cormorant 600 (vietnamese)', 'Cormorant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:600";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3431, '9e302cd0-9952-44c6-8286-583c4443f59c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#600', 'Cormorant 600 (latin-ext)', 'Cormorant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:600";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3432, '53aa9482-40da-4649-a433-71cfbf53047e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#600', 'Cormorant 600 (cyrillic)', 'Cormorant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:600";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3433, 'af912862-5508-4dd8-8196-5bcc13d36520', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#500italic', 'Cormorant 500italic (latin)', 'Cormorant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:500italic";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3434, 'dccc72f9-f441-47e3-8add-d39959ba4de2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#500italic', 'Cormorant 500italic (vietnamese)', 'Cormorant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3435, '70227222-7a96-47bb-9077-03d69976662c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#500italic', 'Cormorant 500italic (latin-ext)', 'Cormorant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3436, 'f9ed478d-d206-44ed-8e13-122351aedd18', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#500italic', 'Cormorant 500italic (cyrillic)', 'Cormorant', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:500italic";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3437, '3a4f2363-74fb-456a-8c82-ba95aad2d41e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#500', 'Cormorant 500 (latin)', 'Cormorant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:500";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3438, '9c215b52-06f6-4cd7-9ed0-6db1a8286617', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#500', 'Cormorant 500 (vietnamese)', 'Cormorant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:500";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3439, '83637519-c67a-421b-a5c1-0e123c6e055f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#500', 'Cormorant 500 (latin-ext)', 'Cormorant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:500";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3440, '2815cefa-663f-4c5b-9068-73e95b559f5c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#500', 'Cormorant 500 (cyrillic)', 'Cormorant', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:500";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3441, '4e8feec9-b284-46ff-abf6-b2cde3be6df0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#italic', 'Cormorant italic (latin)', 'Cormorant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant:italic";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3442, '60b53cd3-3cea-4def-af91-e763a3dc7202', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#italic', 'Cormorant italic (vietnamese)', 'Cormorant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant:italic";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3443, 'caac6e40-1cd3-482b-8613-b8e56f72293b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#italic', 'Cormorant italic (latin-ext)', 'Cormorant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant:italic";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3444, '41a4e5e8-e142-427a-9109-2a845285aa48', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#italic', 'Cormorant italic (cyrillic)', 'Cormorant', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cormorant:italic";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3445, 'db82694a-662a-4ff8-bd67-ba4f16a9cbfd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#regular', 'Cormorant regular (latin)', 'Cormorant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cormorant:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3446, '6fe432a8-5f10-4df9-bb83-ce0c3d495b5b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#regular', 'Cormorant regular (vietnamese)', 'Cormorant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cormorant:regular";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3447, 'cc361116-e429-4036-af4a-8f9c03c8d9d8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#regular', 'Cormorant regular (latin-ext)', 'Cormorant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cormorant:regular";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3448, '28272a96-3b10-4855-ae7c-8cdc98fbb3c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#regular', 'Cormorant regular (cyrillic)', 'Cormorant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cormorant:regular";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3449, 'c6cd9ab9-81ef-41b3-b850-6b0bd552ef3f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#300italic', 'Cormorant 300italic (latin)', 'Cormorant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:300italic";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3450, 'f47a13da-c75d-4151-8275-028239529bb8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#300italic', 'Cormorant 300italic (vietnamese)', 'Cormorant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3451, 'b0ebcfc0-aa4e-4260-ab51-682a045ccfa8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#300italic', 'Cormorant 300italic (latin-ext)', 'Cormorant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3452, '4cbd955a-d20b-4e3f-9eb7-e4c1e09d82fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#300italic', 'Cormorant 300italic (cyrillic)', 'Cormorant', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cormorant:300italic";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3453, '965bd685-a734-474c-8d76-c620e0edd189', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin#300', 'Cormorant 300 (latin)', 'Cormorant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:300";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3454, '02a9d3d4-eaba-4bfa-ab77-a34efb2d9b7f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=vietnamese#300', 'Cormorant 300 (vietnamese)', 'Cormorant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:300";s:6:"subset";s:10:"vietnamese";}', 1468916163, 1468916163, 0),
(3455, '78897ff3-2044-4da2-800a-589d0fdae3dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=latin-ext#300', 'Cormorant 300 (latin-ext)', 'Cormorant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:300";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3456, '7d1e00ee-1acf-4fa6-8860-3baa97aa49b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cormorant&subset=cyrillic#300', 'Cormorant 300 (cyrillic)', 'Cormorant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cormorant:300";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3457, '38d1cc47-e26b-4cc2-b6e1-f2943f14ff63', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Corben&subset=latin#700', 'Corben 700 (latin)', 'Corben', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Corben:700";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3458, '8f00853c-bda6-4783-825d-7cfe24137374', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Corben&subset=latin-ext#700', 'Corben 700 (latin-ext)', 'Corben', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Corben:700";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3459, '82b436cd-df64-4a36-bce4-2750033c8bb3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Corben&subset=latin#regular', 'Corben regular (latin)', 'Corben', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Corben:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3460, 'ef02005e-e75c-4ed4-bb3e-c8437457389b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Corben&subset=latin-ext#regular', 'Corben regular (latin-ext)', 'Corben', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Corben:regular";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3461, '7c5e2ef2-4768-4dbd-b5b2-eb75bf47d89f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Copse&subset=latin#regular', 'Copse regular (latin)', 'Copse', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Copse:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3462, '98e94b91-233c-4358-b6e0-be50259962e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cookie&subset=latin#regular', 'Cookie regular (latin)', 'Cookie', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cookie:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3463, 'ce5d7a3b-5b2c-4755-bcee-605394e1572b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Convergence&subset=latin#regular', 'Convergence regular (latin)', 'Convergence', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Convergence:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3464, '0e8a42e9-ecd4-4b93-9f86-9914b950f16c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Contrail One&subset=latin#regular', 'Contrail One regular (latin)', 'Contrail One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Contrail One:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3465, '5c0d7907-351b-4c69-9b59-11f1a88d98e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Content&subset=khmer#700', 'Content 700 (khmer)', 'Content', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Content:700";s:6:"subset";s:5:"khmer";}', 1468916163, 1468916163, 0),
(3466, 'b1fb03f1-1000-4347-ada9-c73cb86ac19e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Content&subset=khmer#regular', 'Content regular (khmer)', 'Content', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Content:regular";s:6:"subset";s:5:"khmer";}', 1468916163, 1468916163, 0),
(3467, '727313d5-b4a4-4e3f-88ba-4b224f8c5e92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Condiment&subset=latin#regular', 'Condiment regular (latin)', 'Condiment', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Condiment:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3468, '40bd8fc5-eafc-4c41-86ed-cc5d9b9d9196', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Condiment&subset=latin-ext#regular', 'Condiment regular (latin-ext)', 'Condiment', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Condiment:regular";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3469, 'c44bf819-9ae5-4568-ad39-4491fd7f3f37', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Concert One&subset=latin#regular', 'Concert One regular (latin)', 'Concert One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Concert One:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3470, 'a8784ec8-48ac-47cb-9747-7a83c97c8cf4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Concert One&subset=latin-ext#regular', 'Concert One regular (latin-ext)', 'Concert One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Concert One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3471, 'a61d765a-40de-4fae-a433-f79e0659c429', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coming Soon&subset=latin#regular', 'Coming Soon regular (latin)', 'Coming Soon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Coming Soon:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3472, '857b96b0-5344-4ae8-aaa7-9e0cd0892330', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=cyrillic-ext#700', 'Comfortaa 700 (cyrillic-ext)', 'Comfortaa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916163, 1468916163, 0),
(3473, 'd9fbdc09-2bc9-416c-8599-ec3e115fc98c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=latin#700', 'Comfortaa 700 (latin)', 'Comfortaa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:700";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3474, '7f494798-1bd5-43c8-901f-ad554e0d5092', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=greek#700', 'Comfortaa 700 (greek)', 'Comfortaa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:700";s:6:"subset";s:5:"greek";}', 1468916163, 1468916163, 0),
(3475, 'a0263a32-7933-4847-a709-bc971e163306', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=latin-ext#700', 'Comfortaa 700 (latin-ext)', 'Comfortaa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:700";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3476, '250f0cc2-ebe4-4570-b4cd-a3647de71d49', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=cyrillic#700', 'Comfortaa 700 (cyrillic)', 'Comfortaa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:700";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3477, '406cccec-7cec-449b-8365-7c4bff5aff69', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=cyrillic-ext#regular', 'Comfortaa regular (cyrillic-ext)', 'Comfortaa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Comfortaa:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916163, 1468916163, 0),
(3478, '0eeb8d4b-917d-4988-bea8-7b92db15c93f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=latin#regular', 'Comfortaa regular (latin)', 'Comfortaa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Comfortaa:regular";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3479, '3e80f375-3900-490f-81b3-111ef366125b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=greek#regular', 'Comfortaa regular (greek)', 'Comfortaa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Comfortaa:regular";s:6:"subset";s:5:"greek";}', 1468916163, 1468916163, 0),
(3480, 'ad332831-e6c0-49b1-9264-6870a288eb84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=latin-ext#regular', 'Comfortaa regular (latin-ext)', 'Comfortaa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Comfortaa:regular";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3481, '6b26ae4d-ab1c-4f23-9561-d7fb5d0fdadf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=cyrillic#regular', 'Comfortaa regular (cyrillic)', 'Comfortaa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Comfortaa:regular";s:6:"subset";s:8:"cyrillic";}', 1468916163, 1468916163, 0),
(3482, '359ca553-7346-41c7-8d10-ad149870f08b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=cyrillic-ext#300', 'Comfortaa 300 (cyrillic-ext)', 'Comfortaa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:300";s:6:"subset";s:12:"cyrillic-ext";}', 1468916163, 1468916163, 0),
(3483, '8edf4ec4-a5e2-41bd-a32a-b94d6f56994c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=latin#300', 'Comfortaa 300 (latin)', 'Comfortaa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:300";s:6:"subset";s:5:"latin";}', 1468916163, 1468916163, 0),
(3484, 'efa17156-7854-403f-bb39-3a12b1a38406', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=greek#300', 'Comfortaa 300 (greek)', 'Comfortaa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:300";s:6:"subset";s:5:"greek";}', 1468916163, 1468916163, 0),
(3485, '9be2418c-2de0-4079-94b6-0b0f0fa028ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=latin-ext#300', 'Comfortaa 300 (latin-ext)', 'Comfortaa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:300";s:6:"subset";s:9:"latin-ext";}', 1468916163, 1468916163, 0),
(3486, '5924972f-cb4d-4c57-8c5d-1e4640b1e363', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Comfortaa&subset=cyrillic#300', 'Comfortaa 300 (cyrillic)', 'Comfortaa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Comfortaa:300";s:6:"subset";s:8:"cyrillic";}', 1468916165, 1468916165, 0),
(3487, '3690fc89-f748-42a4-8295-ec2c4aa52521', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Combo&subset=latin#regular', 'Combo regular (latin)', 'Combo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Combo:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3488, '2360b275-dbf4-40f7-a593-e4eecd714587', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Combo&subset=latin-ext#regular', 'Combo regular (latin-ext)', 'Combo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Combo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3489, '3c868c8e-38ab-4052-b358-20a6b4a3da03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coiny&subset=latin#regular', 'Coiny regular (latin)', 'Coiny', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Coiny:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3490, '7c021ce4-44d8-4265-9644-734d479bbfd1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coiny&subset=tamil#regular', 'Coiny regular (tamil)', 'Coiny', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Coiny:regular";s:6:"subset";s:5:"tamil";}', 1468916165, 1468916165, 0),
(3491, 'b330cd0e-996c-478c-8f47-988978956217', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coiny&subset=vietnamese#regular', 'Coiny regular (vietnamese)', 'Coiny', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Coiny:regular";s:6:"subset";s:10:"vietnamese";}', 1468916165, 1468916165, 0),
(3492, 'f483080b-05e8-4c4b-93c1-3347c9295d31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coiny&subset=latin-ext#regular', 'Coiny regular (latin-ext)', 'Coiny', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Coiny:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3493, '49950cae-57de-46cc-9449-3a9319ba4246', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Codystar&subset=latin#regular', 'Codystar regular (latin)', 'Codystar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Codystar:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3494, 'aa79ad0f-a262-4900-98da-22454e089347', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Codystar&subset=latin-ext#regular', 'Codystar regular (latin-ext)', 'Codystar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Codystar:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3495, '0f07653b-d529-4fbd-9687-4d011ffc6297', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Codystar&subset=latin#300', 'Codystar 300 (latin)', 'Codystar', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Codystar:300";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3496, '6b1bb685-0933-4013-99dd-baa42af2e00c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Codystar&subset=latin-ext#300', 'Codystar 300 (latin-ext)', 'Codystar', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Codystar:300";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3497, '3f334ddc-0374-4398-9b0f-42fd9cfd84cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coda Caption&subset=latin#800', 'Coda Caption 800 (latin)', 'Coda Caption', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Coda Caption:800";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3498, '6e17b7fa-72ac-46d0-aeb2-c03c4b57ae43', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coda Caption&subset=latin-ext#800', 'Coda Caption 800 (latin-ext)', 'Coda Caption', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Coda Caption:800";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3499, '096620fe-c29a-4fd3-8512-7bd948b9bd85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coda&subset=latin#800', 'Coda 800 (latin)', 'Coda', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Coda:800";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3500, 'f3ab563a-bae0-4a5c-acea-c61b41f1acf8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coda&subset=latin-ext#800', 'Coda 800 (latin-ext)', 'Coda', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Coda:800";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3501, 'f818d9fc-db00-4b08-bac1-019e952b2a51', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coda&subset=latin#regular', 'Coda regular (latin)', 'Coda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Coda:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3502, 'afeea664-cf6f-4293-a18d-55af8a5f162f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Coda&subset=latin-ext#regular', 'Coda regular (latin-ext)', 'Coda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Coda:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3503, 'a21ea7d2-cd86-409b-b68d-1def21c7a63c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Clicker Script&subset=latin#regular', 'Clicker Script regular (latin)', 'Clicker Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Clicker Script:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3504, '13d10ac5-e166-467a-9ecd-40295e7730da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Clicker Script&subset=latin-ext#regular', 'Clicker Script regular (latin-ext)', 'Clicker Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Clicker Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3505, '4fe72fcc-e5d9-4e57-bb3c-2af8a68bb925', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cinzel Decorative&subset=latin#900', 'Cinzel Decorative 900 (latin)', 'Cinzel Decorative', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cinzel Decorative:900";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3506, '68210159-2520-4ff4-b127-a0f94ab1eaed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cinzel Decorative&subset=latin#700', 'Cinzel Decorative 700 (latin)', 'Cinzel Decorative', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Cinzel Decorative:700";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3507, 'e3898066-14ce-4f19-a25b-0e11d582608e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cinzel Decorative&subset=latin#regular', 'Cinzel Decorative regular (latin)', 'Cinzel Decorative', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cinzel Decorative:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3508, '064fc54f-f8d6-48f1-8f87-fc01c5503ffc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cinzel&subset=latin#900', 'Cinzel 900 (latin)', 'Cinzel', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cinzel:900";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3509, 'f89d2208-9afa-45b9-a762-0c6c5ba58067', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cinzel&subset=latin#700', 'Cinzel 700 (latin)', 'Cinzel', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cinzel:700";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3510, 'f1cf2942-9e7b-493b-a1a2-df0b3357f84b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cinzel&subset=latin#regular', 'Cinzel regular (latin)', 'Cinzel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cinzel:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3511, '5c189967-a887-4da9-aa6b-54aef567134f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chonburi&subset=thai#regular', 'Chonburi regular (thai)', 'Chonburi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Chonburi:regular";s:6:"subset";s:4:"thai";}', 1468916165, 1468916165, 0),
(3512, 'd89c564b-08b4-41d8-9434-be9326482434', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chonburi&subset=latin#regular', 'Chonburi regular (latin)', 'Chonburi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Chonburi:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3513, 'd8ad0f98-dd06-47c2-9554-a4e8e90e9777', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chonburi&subset=vietnamese#regular', 'Chonburi regular (vietnamese)', 'Chonburi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Chonburi:regular";s:6:"subset";s:10:"vietnamese";}', 1468916165, 1468916165, 0),
(3514, '8f2ebfd3-6851-4fe9-8c9e-6dcf1be4bf9d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chonburi&subset=latin-ext#regular', 'Chonburi regular (latin-ext)', 'Chonburi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Chonburi:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3515, '057b0b8b-97c4-4a92-aaa1-2d07dd1b6465', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chivo&subset=latin#900italic', 'Chivo 900italic (latin)', 'Chivo', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Chivo:900italic";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3516, 'c1868fe1-5670-42c9-ba4f-d8cf8a831e53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chivo&subset=latin#900', 'Chivo 900 (latin)', 'Chivo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Chivo:900";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3517, 'b3293c6b-e40a-4a52-b329-bf40bc9fc671', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chivo&subset=latin#italic', 'Chivo italic (latin)', 'Chivo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chivo:italic";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3518, '80ec8bac-eb6d-4dd0-ace7-36bd07566b93', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chivo&subset=latin#regular', 'Chivo regular (latin)', 'Chivo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Chivo:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3519, '810b24ab-0af4-4c6b-a491-966dd9f281d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chicle&subset=latin#regular', 'Chicle regular (latin)', 'Chicle', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Chicle:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3520, 'b67493e5-3323-4487-93bd-095f42539300', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chicle&subset=latin-ext#regular', 'Chicle regular (latin-ext)', 'Chicle', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Chicle:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3521, '27e189d3-2701-4da4-8d66-fecc473bf30d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chewy&subset=latin#regular', 'Chewy regular (latin)', 'Chewy', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Chewy:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3522, 'c1ff2a56-e808-4e55-b55e-10a2d6213bf0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cherry Swash&subset=latin#700', 'Cherry Swash 700 (latin)', 'Cherry Swash', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cherry Swash:700";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3523, '1ea842e0-2110-4468-9083-fe41d8c78df8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cherry Swash&subset=latin-ext#700', 'Cherry Swash 700 (latin-ext)', 'Cherry Swash', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cherry Swash:700";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3524, 'a57589e4-4352-42d7-928c-683e58432a88', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cherry Swash&subset=latin#regular', 'Cherry Swash regular (latin)', 'Cherry Swash', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cherry Swash:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3525, '17be21ae-5ef2-468f-8f4e-ba2ba604c619', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cherry Swash&subset=latin-ext#regular', 'Cherry Swash regular (latin-ext)', 'Cherry Swash', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cherry Swash:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3526, '2697bd08-f633-4329-9c01-a8ba498342ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cherry Cream Soda&subset=latin#regular', 'Cherry Cream Soda regular (latin)', 'Cherry Cream Soda', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Cherry Cream Soda:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3527, '56329c46-21e4-4187-88d9-b1408a089831', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chenla&subset=khmer#regular', 'Chenla regular (khmer)', 'Chenla', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Chenla:regular";s:6:"subset";s:5:"khmer";}', 1468916165, 1468916165, 0),
(3528, '5b67e0cd-5d21-4ed0-89e3-28ba4e6f19c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chelsea Market&subset=latin#regular', 'Chelsea Market regular (latin)', 'Chelsea Market', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Chelsea Market:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3529, '2d97361a-5beb-4733-bd1d-dba90f870d09', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chelsea Market&subset=latin-ext#regular', 'Chelsea Market regular (latin-ext)', 'Chelsea Market', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Chelsea Market:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3530, 'b264a064-650d-4e75-87f6-e39dfb16f4ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chela One&subset=latin#regular', 'Chela One regular (latin)', 'Chela One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Chela One:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3531, '46bf4c76-ee0b-4f00-8142-ba24c63aab17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chela One&subset=latin-ext#regular', 'Chela One regular (latin-ext)', 'Chela One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Chela One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3532, 'e750989e-78b3-4581-a3f3-bc0fa98c85a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chau Philomene One&subset=latin#italic', 'Chau Philomene One italic (latin)', 'Chau Philomene One', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Chau Philomene One:italic";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3533, '7aea0843-f3ac-4d91-9320-c9942ca6c208', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chau Philomene One&subset=latin-ext#italic', 'Chau Philomene One italic (latin-ext)', 'Chau Philomene One', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Chau Philomene One:italic";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3534, 'd98d213a-1e0b-411e-8e37-0ab30c52c5d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chau Philomene One&subset=latin#regular', 'Chau Philomene One regular (latin)', 'Chau Philomene One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Chau Philomene One:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3535, '083e7b36-370f-4ddc-8bd0-9743c01dc50b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chau Philomene One&subset=latin-ext#regular', 'Chau Philomene One regular (latin-ext)', 'Chau Philomene One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Chau Philomene One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916165, 1468916165, 0),
(3536, '01ee419f-79ae-4eaf-b578-81515b54d7df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=latin#800', 'Chathura 800 (latin)', 'Chathura', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:800";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3537, 'b6f7cb53-3f24-4ab1-8ef8-f22af29b5f21', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=telugu#800', 'Chathura 800 (telugu)', 'Chathura', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:800";s:6:"subset";s:6:"telugu";}', 1468916165, 1468916165, 0),
(3538, 'e5166565-c179-42f7-8bb0-e5ef18fc5f36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=latin#700', 'Chathura 700 (latin)', 'Chathura', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:700";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3539, '981c0650-8a67-464b-8bf5-276c17a0290b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=telugu#700', 'Chathura 700 (telugu)', 'Chathura', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:700";s:6:"subset";s:6:"telugu";}', 1468916165, 1468916165, 0),
(3540, '2bdf155c-f651-4fad-ba01-1ec45a218c29', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=latin#regular', 'Chathura regular (latin)', 'Chathura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Chathura:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3541, 'd687f38f-fdb7-4ab3-a85b-bbf0ba7f1b37', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=telugu#regular', 'Chathura regular (telugu)', 'Chathura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Chathura:regular";s:6:"subset";s:6:"telugu";}', 1468916165, 1468916165, 0),
(3542, '5c3f349e-de35-4ff7-8e84-589d5d830562', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=latin#300', 'Chathura 300 (latin)', 'Chathura', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:300";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3543, '9ae1d665-e010-4e1f-b8ee-3943ce1faaba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=telugu#300', 'Chathura 300 (telugu)', 'Chathura', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:300";s:6:"subset";s:6:"telugu";}', 1468916165, 1468916165, 0),
(3544, 'bfdd152c-300a-4d4b-82df-827f6cbf98d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=latin#100', 'Chathura 100 (latin)', 'Chathura', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:100";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3545, '2d00ba91-70c9-47c3-878d-df3c096b68f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chathura&subset=telugu#100', 'Chathura 100 (telugu)', 'Chathura', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Chathura:100";s:6:"subset";s:6:"telugu";}', 1468916165, 1468916165, 0),
(3546, '3830f07b-c04f-4687-9e86-96d007bb929f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chango&subset=latin#regular', 'Chango regular (latin)', 'Chango', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Chango:regular";s:6:"subset";s:5:"latin";}', 1468916165, 1468916165, 0),
(3547, 'c4a10e53-75d4-4dce-a2a3-d1f1f3c618a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Chango&subset=latin-ext#regular', 'Chango regular (latin-ext)', 'Chango', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Chango:regular";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3548, 'bd3f06bb-4e05-4944-a5cf-e7f8c6e21be7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa One&subset=latin#italic', 'Changa One italic (latin)', 'Changa One', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Changa One:italic";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3549, '19910c90-adec-4b0a-bd8f-00858a9877d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa One&subset=latin#regular', 'Changa One regular (latin)', 'Changa One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Changa One:regular";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3550, 'e7ef712a-18bd-48ce-8f2c-688136caeef5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin#800', 'Changa 800 (latin)', 'Changa', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:800";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3551, '4fe6c7cc-3856-4dcf-83ef-af686ffa55df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=arabic#800', 'Changa 800 (arabic)', 'Changa', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:800";s:6:"subset";s:6:"arabic";}', 1468916166, 1468916166, 0),
(3552, '51b17213-285a-43b2-94c5-db7e5a1650ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin-ext#800', 'Changa 800 (latin-ext)', 'Changa', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:800";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3553, 'c62ba297-f37d-4ed9-8795-77769e5dc02b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin#700', 'Changa 700 (latin)', 'Changa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:700";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3554, 'f58552c5-7e11-41d0-a790-8fa2de309f6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=arabic#700', 'Changa 700 (arabic)', 'Changa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:700";s:6:"subset";s:6:"arabic";}', 1468916166, 1468916166, 0),
(3555, '0f97672c-9cfc-46f6-9504-6fdaa433c13c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin-ext#700', 'Changa 700 (latin-ext)', 'Changa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:700";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3556, '1e93da8f-f4f6-435a-b62d-929679fa0fdf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin#600', 'Changa 600 (latin)', 'Changa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:600";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3557, '9e6af5f9-365c-459a-ae29-be83ac14daca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=arabic#600', 'Changa 600 (arabic)', 'Changa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:600";s:6:"subset";s:6:"arabic";}', 1468916166, 1468916166, 0),
(3558, 'd6b9a28b-91b4-47e2-a883-ce6dfd1d52f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin-ext#600', 'Changa 600 (latin-ext)', 'Changa', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:600";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3559, '5917396c-5209-4e4a-bd94-877bf6566424', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin#500', 'Changa 500 (latin)', 'Changa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:500";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3560, 'f6ef2518-06dd-42c2-bde3-cd705240934c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=arabic#500', 'Changa 500 (arabic)', 'Changa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:500";s:6:"subset";s:6:"arabic";}', 1468916166, 1468916166, 0),
(3561, '376131dc-1ec1-4c8d-a1a1-8845919d510f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin-ext#500', 'Changa 500 (latin-ext)', 'Changa', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:500";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3562, 'f033d0d5-cf14-49ef-a043-2c6405bd1e37', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin#regular', 'Changa regular (latin)', 'Changa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Changa:regular";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3563, 'd29f3784-3911-4988-88aa-42d6f00f60de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=arabic#regular', 'Changa regular (arabic)', 'Changa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Changa:regular";s:6:"subset";s:6:"arabic";}', 1468916166, 1468916166, 0),
(3564, '9f37aa40-d275-4f88-b42b-57e068638b8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin-ext#regular', 'Changa regular (latin-ext)', 'Changa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Changa:regular";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3565, 'a0b6eaca-6a06-4ef7-964c-2b1e39e959b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin#300', 'Changa 300 (latin)', 'Changa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:300";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3566, '711ed469-bc91-4237-a277-20a87d85aeab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=arabic#300', 'Changa 300 (arabic)', 'Changa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:300";s:6:"subset";s:6:"arabic";}', 1468916166, 1468916166, 0),
(3567, '27035d1b-198c-472d-83fa-b48ebce7c3d3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin-ext#300', 'Changa 300 (latin-ext)', 'Changa', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:300";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3568, 'a6f07a31-710d-4230-ad56-bcc1a0ed6ad7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin#200', 'Changa 200 (latin)', 'Changa', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:200";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3569, '058a5d79-9189-469b-b633-f4f1567de091', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=arabic#200', 'Changa 200 (arabic)', 'Changa', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:200";s:6:"subset";s:6:"arabic";}', 1468916166, 1468916166, 0),
(3570, '1317fd39-700d-4953-b902-49d16f2ba7cb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Changa&subset=latin-ext#200', 'Changa 200 (latin-ext)', 'Changa', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Changa:200";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3571, 'd19a8d04-cf8b-415d-a5eb-1339c8bdef04', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ceviche One&subset=latin#regular', 'Ceviche One regular (latin)', 'Ceviche One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ceviche One:regular";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3572, '6408b5b0-c8e8-4f7b-a798-2c64bf821f3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Ceviche One&subset=latin-ext#regular', 'Ceviche One regular (latin-ext)', 'Ceviche One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Ceviche One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3573, 'c0706753-9e9f-4751-8e93-38ed75a65e25', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cedarville Cursive&subset=latin#regular', 'Cedarville Cursive regular (latin)', 'Cedarville Cursive', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Cedarville Cursive:regular";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3574, '52a4ba57-00a9-4b9d-8afe-84e48b864bab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caveat Brush&subset=latin#regular', 'Caveat Brush regular (latin)', 'Caveat Brush', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Caveat Brush:regular";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0);
INSERT INTO `fontyourface_font` VALUES
(3575, '21fe3386-7c67-43e4-968e-a66c67513322', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caveat Brush&subset=latin-ext#regular', 'Caveat Brush regular (latin-ext)', 'Caveat Brush', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Caveat Brush:regular";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3576, '916ccd46-80bc-4163-b272-6c91c3e9f256', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caveat&subset=latin#700', 'Caveat 700 (latin)', 'Caveat', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Caveat:700";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3577, 'a1a2a537-7c73-4742-a6d6-9506ba9c40c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caveat&subset=latin-ext#700', 'Caveat 700 (latin-ext)', 'Caveat', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Caveat:700";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3578, 'ee3d8dfb-86b5-4f17-9f64-dbcf1d859409', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caveat&subset=latin#regular', 'Caveat regular (latin)', 'Caveat', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Caveat:regular";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3579, '4267c6cd-3a5b-4325-85da-8e4357d2f5fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caveat&subset=latin-ext#regular', 'Caveat regular (latin-ext)', 'Caveat', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Caveat:regular";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3580, 'b59b94e7-2899-4a97-a34e-e2f5e4d6cddf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin#700italic', 'Caudex 700italic (latin)', 'Caudex', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Caudex:700italic";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3581, 'a33c2a37-6bf3-4552-bf67-c1e12832ffca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek-ext#700italic', 'Caudex 700italic (greek-ext)', 'Caudex', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Caudex:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916166, 1468916166, 0),
(3582, '940ee3d6-d26c-49ea-ae0f-6f2e8acdd97e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek#700italic', 'Caudex 700italic (greek)', 'Caudex', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Caudex:700italic";s:6:"subset";s:5:"greek";}', 1468916166, 1468916166, 0),
(3583, '42587883-3ff0-4350-9d76-3af2164894d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin-ext#700italic', 'Caudex 700italic (latin-ext)', 'Caudex', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Caudex:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3584, '7808895b-394c-42e0-8a54-f8ea99f729a1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin#700', 'Caudex 700 (latin)', 'Caudex', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Caudex:700";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3585, '65166e54-0bc1-481a-924c-8505769dd29d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek-ext#700', 'Caudex 700 (greek-ext)', 'Caudex', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Caudex:700";s:6:"subset";s:9:"greek-ext";}', 1468916166, 1468916166, 0),
(3586, '1a968dfd-5758-4d75-996e-b8c00fe9468f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek#700', 'Caudex 700 (greek)', 'Caudex', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Caudex:700";s:6:"subset";s:5:"greek";}', 1468916166, 1468916166, 0),
(3587, '84c91c92-5e4b-4b1e-a887-355e5eff4712', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin-ext#700', 'Caudex 700 (latin-ext)', 'Caudex', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Caudex:700";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3588, '93530f29-6e8b-455f-9f96-69b949a45271', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin#italic', 'Caudex italic (latin)', 'Caudex', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Caudex:italic";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3589, '54714ebc-96db-49ec-8fc5-4fe357eabf2b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek-ext#italic', 'Caudex italic (greek-ext)', 'Caudex', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Caudex:italic";s:6:"subset";s:9:"greek-ext";}', 1468916166, 1468916166, 0),
(3590, '624fbe04-51ae-4ded-a1bb-30193bdf91dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek#italic', 'Caudex italic (greek)', 'Caudex', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Caudex:italic";s:6:"subset";s:5:"greek";}', 1468916166, 1468916166, 0),
(3591, '4cd4af17-966e-4e02-bf39-6c87f5e8eba8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin-ext#italic', 'Caudex italic (latin-ext)', 'Caudex', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Caudex:italic";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3592, 'eba1f8c7-2f49-4219-9c29-c0dc5197f49b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin#regular', 'Caudex regular (latin)', 'Caudex', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Caudex:regular";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3593, '5874a7ce-dd78-429a-8b3b-1097cfafd4d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek-ext#regular', 'Caudex regular (greek-ext)', 'Caudex', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Caudex:regular";s:6:"subset";s:9:"greek-ext";}', 1468916166, 1468916166, 0),
(3594, 'b5637b9e-8288-4ece-80c8-698fc4335076', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=greek#regular', 'Caudex regular (greek)', 'Caudex', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Caudex:regular";s:6:"subset";s:5:"greek";}', 1468916166, 1468916166, 0),
(3595, 'f4ef025a-fc01-45de-bd23-f6b9f0df313b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caudex&subset=latin-ext#regular', 'Caudex regular (latin-ext)', 'Caudex', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Caudex:regular";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3596, 'a0b7ea88-19ff-43ce-8447-09094e7c57c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#900', 'Catamaran 900 (latin)', 'Catamaran', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:900";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3597, '16dca655-c559-4b7b-abbd-d5a4f136fb92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#900', 'Catamaran 900 (tamil)', 'Catamaran', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:900";s:6:"subset";s:5:"tamil";}', 1468916166, 1468916166, 0),
(3598, 'f3c603fc-6208-4312-adb6-a54590b79ed2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#900', 'Catamaran 900 (latin-ext)', 'Catamaran', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:900";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3599, '76446de0-e622-446a-b4ad-ad247f2e0966', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#800', 'Catamaran 800 (latin)', 'Catamaran', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:800";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3600, '8cb76ef0-a2e9-4762-993b-7c9fe928b082', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#800', 'Catamaran 800 (tamil)', 'Catamaran', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:800";s:6:"subset";s:5:"tamil";}', 1468916166, 1468916166, 0),
(3601, '3d3bc00e-cfc1-43ad-9550-bf29d1696ef4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#800', 'Catamaran 800 (latin-ext)', 'Catamaran', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:800";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3602, 'baf61f11-82af-4413-bc45-c2eec5b86a36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#700', 'Catamaran 700 (latin)', 'Catamaran', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:700";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3603, 'a6bb435c-0b74-4dcd-8cf8-54c4816c9bda', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#700', 'Catamaran 700 (tamil)', 'Catamaran', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:700";s:6:"subset";s:5:"tamil";}', 1468916166, 1468916166, 0),
(3604, 'fd8a24ed-fbd5-4a06-8dda-5a4cea6c8542', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#700', 'Catamaran 700 (latin-ext)', 'Catamaran', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:700";s:6:"subset";s:9:"latin-ext";}', 1468916166, 1468916166, 0),
(3605, '5290c698-b4d8-44f6-8f0f-2a8bd8dae0c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#600', 'Catamaran 600 (latin)', 'Catamaran', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:600";s:6:"subset";s:5:"latin";}', 1468916166, 1468916166, 0),
(3606, '2e6629b8-d852-419f-8089-602119e5b132', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#600', 'Catamaran 600 (tamil)', 'Catamaran', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:600";s:6:"subset";s:5:"tamil";}', 1468916166, 1468916166, 0),
(3607, 'd4d6bd6e-5d2f-4b68-be91-00032a10080f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#600', 'Catamaran 600 (latin-ext)', 'Catamaran', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:600";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3608, 'fc167531-9eee-47ab-a256-012a033cdab1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#500', 'Catamaran 500 (latin)', 'Catamaran', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:500";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3609, '7123ff14-58f9-4e83-b711-06d19ccfe28e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#500', 'Catamaran 500 (tamil)', 'Catamaran', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:500";s:6:"subset";s:5:"tamil";}', 1468916168, 1468916168, 0),
(3610, 'ee713b0b-06c3-4b97-a46a-b3c78d9fdf6e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#500', 'Catamaran 500 (latin-ext)', 'Catamaran', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:500";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3611, 'bc91a21e-0697-45b4-ade3-d5e03e834410', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#regular', 'Catamaran regular (latin)', 'Catamaran', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Catamaran:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3612, '70333418-9be7-47da-858a-3d2698a9867a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#regular', 'Catamaran regular (tamil)', 'Catamaran', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Catamaran:regular";s:6:"subset";s:5:"tamil";}', 1468916168, 1468916168, 0),
(3613, 'fac5ce00-ea7e-4042-8ff6-0ba83f7fabea', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#regular', 'Catamaran regular (latin-ext)', 'Catamaran', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Catamaran:regular";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3614, '140af64f-7799-4471-a0bb-c7badfb4a1dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#300', 'Catamaran 300 (latin)', 'Catamaran', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:300";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3615, '1d54722d-a931-48ff-8dda-09522a97db1a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#300', 'Catamaran 300 (tamil)', 'Catamaran', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:300";s:6:"subset";s:5:"tamil";}', 1468916168, 1468916168, 0),
(3616, '42e05a2a-bd0c-4054-a77d-e10cae5122c6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#300', 'Catamaran 300 (latin-ext)', 'Catamaran', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:300";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3617, 'ffaec4a4-33a6-411b-b7dd-ec7c0114aef1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#200', 'Catamaran 200 (latin)', 'Catamaran', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:200";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3618, 'cbc0ed32-756a-4934-9355-d919e92594a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#200', 'Catamaran 200 (tamil)', 'Catamaran', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:200";s:6:"subset";s:5:"tamil";}', 1468916168, 1468916168, 0),
(3619, '8294d594-93ba-46aa-bc2c-f64aeac60c3b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#200', 'Catamaran 200 (latin-ext)', 'Catamaran', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:200";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3620, 'a0b2bf85-924c-4770-9a2a-b1ca85cc4a72', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin#100', 'Catamaran 100 (latin)', 'Catamaran', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:100";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3621, 'b3b10969-dd35-4fb7-948e-7a74ff05a898', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=tamil#100', 'Catamaran 100 (tamil)', 'Catamaran', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:100";s:6:"subset";s:5:"tamil";}', 1468916168, 1468916168, 0),
(3622, 'be95a871-e3b6-458a-8f30-61358221a379', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Catamaran&subset=latin-ext#100', 'Catamaran 100 (latin-ext)', 'Catamaran', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Catamaran:100";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3623, '847f2c6e-5ea1-4e0c-b27d-79e59b1971c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Carter One&subset=latin#regular', 'Carter One regular (latin)', 'Carter One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Carter One:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3624, '000c025f-071c-4ad0-ac3f-1ca74e747ba2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Carrois Gothic SC&subset=latin#regular', 'Carrois Gothic SC regular (latin)', 'Carrois Gothic SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Carrois Gothic SC:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3625, '6757cf74-294f-4b2a-acb7-6468c2f85fb0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Carrois Gothic&subset=latin#regular', 'Carrois Gothic regular (latin)', 'Carrois Gothic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Carrois Gothic:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3626, '1ff5ff74-d079-4a7c-9f0e-f00d813d3551', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Carme&subset=latin#regular', 'Carme regular (latin)', 'Carme', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Carme:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3627, 'bf997828-aea5-46c8-8fa0-f3ca341ee691', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=latin#700', 'Cardo 700 (latin)', 'Cardo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cardo:700";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3628, '78b10283-6c3e-48de-b447-07f54205bd43', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=greek-ext#700', 'Cardo 700 (greek-ext)', 'Cardo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cardo:700";s:6:"subset";s:9:"greek-ext";}', 1468916168, 1468916168, 0),
(3629, 'b974cda3-f0f4-42ae-90fb-7689fc0c4a55', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=greek#700', 'Cardo 700 (greek)', 'Cardo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cardo:700";s:6:"subset";s:5:"greek";}', 1468916168, 1468916168, 0),
(3630, '0db20792-b78b-45ec-b858-e57208f524a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=latin-ext#700', 'Cardo 700 (latin-ext)', 'Cardo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cardo:700";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3631, '29dec1ad-c003-4e63-8a42-c7e5a999ea2f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=latin#italic', 'Cardo italic (latin)', 'Cardo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Cardo:italic";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3632, 'a63d8d37-0975-4f13-b65c-ab710e623964', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=greek-ext#italic', 'Cardo italic (greek-ext)', 'Cardo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Cardo:italic";s:6:"subset";s:9:"greek-ext";}', 1468916168, 1468916168, 0),
(3633, 'f2f71906-b31e-47e5-9761-48ff55cf452f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=greek#italic', 'Cardo italic (greek)', 'Cardo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Cardo:italic";s:6:"subset";s:5:"greek";}', 1468916168, 1468916168, 0),
(3634, '8eb51df7-3602-4b02-b046-d3ff41d02438', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=latin-ext#italic', 'Cardo italic (latin-ext)', 'Cardo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Cardo:italic";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3635, 'fcb1fc09-77cd-40be-b1fd-878ea759eead', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=latin#regular', 'Cardo regular (latin)', 'Cardo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cardo:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3636, '012250ef-579b-456b-86c4-b237c0a88304', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=greek-ext#regular', 'Cardo regular (greek-ext)', 'Cardo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cardo:regular";s:6:"subset";s:9:"greek-ext";}', 1468916168, 1468916168, 0),
(3637, 'eccb97da-1179-443d-8d45-0cbc11844129', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=greek#regular', 'Cardo regular (greek)', 'Cardo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cardo:regular";s:6:"subset";s:5:"greek";}', 1468916168, 1468916168, 0),
(3638, '51d61200-d560-461c-a011-ceb0846d2826', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cardo&subset=latin-ext#regular', 'Cardo regular (latin-ext)', 'Cardo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cardo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3639, 'e2eddb73-1680-4016-be20-ee1f704bfc7d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Capriola&subset=latin#regular', 'Capriola regular (latin)', 'Capriola', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Capriola:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3640, '8cab4530-ee6b-479f-a853-a8dc66c3ddcd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Capriola&subset=latin-ext#regular', 'Capriola regular (latin-ext)', 'Capriola', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Capriola:regular";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3641, '6a1097a8-6ac7-42dd-a299-0819170a3496', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantora One&subset=latin#regular', 'Cantora One regular (latin)', 'Cantora One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cantora One:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3642, 'a280e8d0-bb50-46a0-aeb8-a2bbd40843d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantora One&subset=latin-ext#regular', 'Cantora One regular (latin-ext)', 'Cantora One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cantora One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3643, '75a0afbb-1590-4b04-98cf-eebbefbedeb7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantata One&subset=latin#regular', 'Cantata One regular (latin)', 'Cantata One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cantata One:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3644, 'cd5df3bb-092a-4cf0-99e4-5bc7a003e86a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantata One&subset=latin-ext#regular', 'Cantata One regular (latin-ext)', 'Cantata One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cantata One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3645, '32ff9592-07ad-495c-aca9-b226bf5a5c23', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantarell&subset=latin#700italic', 'Cantarell 700italic (latin)', 'Cantarell', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cantarell:700italic";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3646, '38299794-c42f-4af9-88ca-369602bf862b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantarell&subset=latin#700', 'Cantarell 700 (latin)', 'Cantarell', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cantarell:700";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3647, '3c1653f5-5713-4b53-beb6-6918a310c330', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantarell&subset=latin#italic', 'Cantarell italic (latin)', 'Cantarell', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cantarell:italic";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3648, '88e1ad25-b209-4a79-83f5-c85b1c6345a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cantarell&subset=latin#regular', 'Cantarell regular (latin)', 'Cantarell', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Cantarell:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3649, 'edbfa48b-be6e-4380-b34e-f66f97c6391d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Candal&subset=latin#regular', 'Candal regular (latin)', 'Candal', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Candal:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3650, 'e0125d5a-faa8-40a7-9070-4a2af80116f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambo&subset=latin#regular', 'Cambo regular (latin)', 'Cambo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cambo:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3651, 'ada49c97-ed04-4078-8c48-4fe57b4cf0c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin#700italic', 'Cambay 700italic (latin)', 'Cambay', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cambay:700italic";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3652, '9ad7819f-0966-440e-b670-16b11b3dd8f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=devanagari#700italic', 'Cambay 700italic (devanagari)', 'Cambay', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cambay:700italic";s:6:"subset";s:10:"devanagari";}', 1468916168, 1468916168, 0),
(3653, '324f0b61-4de9-4253-9f29-53364b287f68', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin-ext#700italic', 'Cambay 700italic (latin-ext)', 'Cambay', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cambay:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3654, '515d659f-5985-44ef-b2e0-de738f61b444', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin#700', 'Cambay 700 (latin)', 'Cambay', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cambay:700";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3655, '90d237ec-818b-4a7c-bf8d-cd7199ec337b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=devanagari#700', 'Cambay 700 (devanagari)', 'Cambay', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cambay:700";s:6:"subset";s:10:"devanagari";}', 1468916168, 1468916168, 0),
(3656, '10b02ff0-1d46-4949-aec4-dde92bc5bcc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin-ext#700', 'Cambay 700 (latin-ext)', 'Cambay', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Cambay:700";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3657, 'c92f2bd5-f1ce-4ddb-8722-68f48603ce67', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin#italic', 'Cambay italic (latin)', 'Cambay', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cambay:italic";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3658, '6c2bfb16-955a-4cae-a8c8-d77f983ad944', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=devanagari#italic', 'Cambay italic (devanagari)', 'Cambay', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cambay:italic";s:6:"subset";s:10:"devanagari";}', 1468916168, 1468916168, 0),
(3659, 'c7e037bc-3ff0-40d5-b66a-59a27efdf272', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin-ext#italic', 'Cambay italic (latin-ext)', 'Cambay', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cambay:italic";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3660, '869968ae-57bc-4ae3-a8da-d7d8d414e883', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin#regular', 'Cambay regular (latin)', 'Cambay', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cambay:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3661, '22388cb5-32d8-4b3d-8173-fe1cff31f7ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=devanagari#regular', 'Cambay regular (devanagari)', 'Cambay', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cambay:regular";s:6:"subset";s:10:"devanagari";}', 1468916168, 1468916168, 0),
(3662, '89abd271-680d-4ed9-b59c-6097c86d7dd2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cambay&subset=latin-ext#regular', 'Cambay regular (latin-ext)', 'Cambay', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Cambay:regular";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3663, '71381f2e-9495-4a0e-9655-ae898fe67c92', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Calligraffitti&subset=latin#regular', 'Calligraffitti regular (latin)', 'Calligraffitti', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Calligraffitti:regular";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3664, 'cf9c1daa-072d-4b72-998e-44a24614b1ec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin#900', 'Cairo 900 (latin)', 'Cairo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:900";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3665, 'f3bf1fcf-a533-4191-9f65-30f29313f15e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=arabic#900', 'Cairo 900 (arabic)', 'Cairo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:900";s:6:"subset";s:6:"arabic";}', 1468916168, 1468916168, 0),
(3666, '80c2267d-ef8c-4187-a2f9-c9ec0326c7a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin-ext#900', 'Cairo 900 (latin-ext)', 'Cairo', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:900";s:6:"subset";s:9:"latin-ext";}', 1468916168, 1468916168, 0),
(3667, 'f4e1f2c4-1650-4098-811e-5a77c36b5113', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin#700', 'Cairo 700 (latin)', 'Cairo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:700";s:6:"subset";s:5:"latin";}', 1468916168, 1468916168, 0),
(3668, 'e3e22dba-25eb-42fd-91dc-c7340fb410ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=arabic#700', 'Cairo 700 (arabic)', 'Cairo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:700";s:6:"subset";s:6:"arabic";}', 1468916169, 1468916169, 0),
(3669, '710209cd-ea35-4665-af64-0aa985ec5ce8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin-ext#700', 'Cairo 700 (latin-ext)', 'Cairo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:700";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3670, 'b7def272-4022-45d1-9d3e-b9e9d236f9a3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin#600', 'Cairo 600 (latin)', 'Cairo', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:600";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3671, 'd06c6f89-d981-4d91-ba0a-05d35c3d85f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=arabic#600', 'Cairo 600 (arabic)', 'Cairo', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:600";s:6:"subset";s:6:"arabic";}', 1468916169, 1468916169, 0),
(3672, '38e34b5f-4292-45ec-8c4a-ca9da6a19fb0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin-ext#600', 'Cairo 600 (latin-ext)', 'Cairo', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:600";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3673, 'f28ef3fd-817b-4163-920f-523c1b44fdec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin#regular', 'Cairo regular (latin)', 'Cairo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cairo:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3674, '97807f96-fbaf-4646-ac6c-c56c4b0659cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=arabic#regular', 'Cairo regular (arabic)', 'Cairo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cairo:regular";s:6:"subset";s:6:"arabic";}', 1468916169, 1468916169, 0),
(3675, '8926ecdd-9053-439c-87eb-c36359dec7b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin-ext#regular', 'Cairo regular (latin-ext)', 'Cairo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cairo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3676, '4d1393c8-e812-45d6-a28e-5effa5e72baf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin#300', 'Cairo 300 (latin)', 'Cairo', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:300";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3677, 'cb3cbdff-11dc-4b7b-9d82-6dfe4a078b00', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=arabic#300', 'Cairo 300 (arabic)', 'Cairo', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:300";s:6:"subset";s:6:"arabic";}', 1468916169, 1468916169, 0),
(3678, '1e4e9ef2-182f-4545-8056-17143b710a2d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin-ext#300', 'Cairo 300 (latin-ext)', 'Cairo', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:300";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3679, 'ed70f884-72c3-43ba-a66b-b7bd05fdd455', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin#200', 'Cairo 200 (latin)', 'Cairo', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:200";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3680, '4de8b10a-cb4a-4b17-9d81-fd7d76b7d15d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=arabic#200', 'Cairo 200 (arabic)', 'Cairo', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:200";s:6:"subset";s:6:"arabic";}', 1468916169, 1468916169, 0),
(3681, '0cede1d6-2b07-408f-aa03-4b09c054256f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cairo&subset=latin-ext#200', 'Cairo 200 (latin-ext)', 'Cairo', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cairo:200";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3682, '8572d4f1-cf59-4e4c-9847-f585feeb0922', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cagliostro&subset=latin#regular', 'Cagliostro regular (latin)', 'Cagliostro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Cagliostro:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3683, '6648a7e7-667f-4720-8ad0-d849695dda8c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Caesar Dressing&subset=latin#regular', 'Caesar Dressing regular (latin)', 'Caesar Dressing', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Caesar Dressing:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3684, '184c9c52-96c6-47ab-85a1-2ccb2f35084f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin Sketch&subset=latin#700', 'Cabin Sketch 700 (latin)', 'Cabin Sketch', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Cabin Sketch:700";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3685, 'af166e64-211f-4ea2-bc33-90697aa0f7d9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin Sketch&subset=latin#regular', 'Cabin Sketch regular (latin)', 'Cabin Sketch', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Cabin Sketch:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3686, '4468a824-7b28-4e08-8672-c1f843f8f938', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin Condensed&subset=latin#700', 'Cabin Condensed 700 (latin)', 'Cabin Condensed', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cabin Condensed:700";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3687, '7afc7fb6-00fb-4822-868b-ecfabd70e8fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin Condensed&subset=latin#600', 'Cabin Condensed 600 (latin)', 'Cabin Condensed', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cabin Condensed:600";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3688, '7b40cc11-6222-4a9d-b052-18c58f51f131', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin Condensed&subset=latin#500', 'Cabin Condensed 500 (latin)', 'Cabin Condensed', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Cabin Condensed:500";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3689, '1a9234ac-e076-4bda-a0f3-33b58510c23a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin Condensed&subset=latin#regular', 'Cabin Condensed regular (latin)', 'Cabin Condensed', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Cabin Condensed:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3690, 'cce12f8a-c522-48d3-a636-a059df90e3aa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#700italic', 'Cabin 700italic (latin)', 'Cabin', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cabin:700italic";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3691, '5841f7a9-5d4b-45fa-a5c5-70b090061fb2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#700', 'Cabin 700 (latin)', 'Cabin', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cabin:700";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3692, '16a24d2e-8cfb-4cb3-9db4-55cd381d6fb7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#600italic', 'Cabin 600italic (latin)', 'Cabin', 'italic', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cabin:600italic";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3693, 'ddc481a4-e280-4021-bce3-92756f55cb1a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#600', 'Cabin 600 (latin)', 'Cabin', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cabin:600";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3694, '3bf108ac-96ab-454f-8d12-5342f67b50f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#500italic', 'Cabin 500italic (latin)', 'Cabin', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Cabin:500italic";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3695, 'c05204cf-db9f-4f0d-897c-3a58e03d8449', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#500', 'Cabin 500 (latin)', 'Cabin', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Cabin:500";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3696, 'c1732e07-43fa-48cb-8e0e-ed43682a2f8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#italic', 'Cabin italic (latin)', 'Cabin', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Cabin:italic";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3697, '187ca099-5bd6-49e1-aa66-16c9bcac7f93', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Cabin&subset=latin#regular', 'Cabin regular (latin)', 'Cabin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Cabin:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3698, 'eff7b8fc-d1ad-4106-8150-c3beee93d4b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Butterfly Kids&subset=latin#regular', 'Butterfly Kids regular (latin)', 'Butterfly Kids', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Butterfly Kids:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3699, '62d1b7be-c70e-4033-9976-23e80b335c6b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Butterfly Kids&subset=latin-ext#regular', 'Butterfly Kids regular (latin-ext)', 'Butterfly Kids', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Butterfly Kids:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3700, '5e9c6e12-7da2-4cd4-8667-46439f232a38', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Butcherman&subset=latin#regular', 'Butcherman regular (latin)', 'Butcherman', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Butcherman:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3701, '0036cc76-e2b9-4d8f-9859-5dd9aecaef98', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Butcherman&subset=latin-ext#regular', 'Butcherman regular (latin-ext)', 'Butcherman', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Butcherman:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3702, '3a1ded8b-e681-4191-bb32-27660216297f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Shade&subset=latin#regular', 'Bungee Shade regular (latin)', 'Bungee Shade', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Bungee Shade:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3703, '2107ef08-be35-438b-95bc-3029f27ce7d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Shade&subset=vietnamese#regular', 'Bungee Shade regular (vietnamese)', 'Bungee Shade', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Bungee Shade:regular";s:6:"subset";s:10:"vietnamese";}', 1468916169, 1468916169, 0),
(3704, '33a6dd6e-5bfc-4a1b-8e4b-7c4ecba8c19d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Shade&subset=latin-ext#regular', 'Bungee Shade regular (latin-ext)', 'Bungee Shade', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Bungee Shade:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3705, '93d43832-3614-4384-ae0a-2d21921b4827', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Outline&subset=latin#regular', 'Bungee Outline regular (latin)', 'Bungee Outline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Bungee Outline:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3706, '66e85354-ed59-450d-812b-1af14df6f916', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Outline&subset=vietnamese#regular', 'Bungee Outline regular (vietnamese)', 'Bungee Outline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Bungee Outline:regular";s:6:"subset";s:10:"vietnamese";}', 1468916169, 1468916169, 0),
(3707, 'ee92f5e4-5555-4715-ac7e-88d515799bd6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Outline&subset=latin-ext#regular', 'Bungee Outline regular (latin-ext)', 'Bungee Outline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Bungee Outline:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3708, 'c0d3b552-8768-486e-b98e-87f4a4262401', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Inline&subset=latin#regular', 'Bungee Inline regular (latin)', 'Bungee Inline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Bungee Inline:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3709, 'bbb0ecd7-9677-424c-b358-782b3e3eb0a0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Inline&subset=vietnamese#regular', 'Bungee Inline regular (vietnamese)', 'Bungee Inline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Bungee Inline:regular";s:6:"subset";s:10:"vietnamese";}', 1468916169, 1468916169, 0),
(3710, '5b4d4739-286c-4805-b6c3-fc2d5ad8f2d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Inline&subset=latin-ext#regular', 'Bungee Inline regular (latin-ext)', 'Bungee Inline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Bungee Inline:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3711, '808ce959-8d7d-455a-8d3c-a7437f398f0c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Hairline&subset=latin#regular', 'Bungee Hairline regular (latin)', 'Bungee Hairline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Bungee Hairline:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3712, 'ac1be44e-82e5-4b1f-9381-2eefd676b95e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Hairline&subset=vietnamese#regular', 'Bungee Hairline regular (vietnamese)', 'Bungee Hairline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Bungee Hairline:regular";s:6:"subset";s:10:"vietnamese";}', 1468916169, 1468916169, 0),
(3713, '775663c1-dd17-494f-9223-9598c3901f4a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee Hairline&subset=latin-ext#regular', 'Bungee Hairline regular (latin-ext)', 'Bungee Hairline', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Bungee Hairline:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3714, '3c730066-16c3-47e7-96b2-c319c68134e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee&subset=latin#regular', 'Bungee regular (latin)', 'Bungee', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Bungee:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3715, '21a3839e-608d-40e1-bdb7-e7415500d09c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee&subset=vietnamese#regular', 'Bungee regular (vietnamese)', 'Bungee', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Bungee:regular";s:6:"subset";s:10:"vietnamese";}', 1468916169, 1468916169, 0),
(3716, 'a7b3e5d5-c7e1-4468-8bb0-43ef17753e30', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bungee&subset=latin-ext#regular', 'Bungee regular (latin-ext)', 'Bungee', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Bungee:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3717, 'e258d426-4ca3-43b0-8161-4c7317c36c21', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Buenard&subset=latin#700', 'Buenard 700 (latin)', 'Buenard', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Buenard:700";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3718, '629aadc2-5102-4bdf-b007-7d60ddd87234', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Buenard&subset=latin-ext#700', 'Buenard 700 (latin-ext)', 'Buenard', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Buenard:700";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3719, '4239b60b-19d5-41a0-8d83-a00186e25fba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Buenard&subset=latin#regular', 'Buenard regular (latin)', 'Buenard', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Buenard:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3720, '38153e39-d563-4d87-9c65-66434afc971b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Buenard&subset=latin-ext#regular', 'Buenard regular (latin-ext)', 'Buenard', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Buenard:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3721, '056294b3-8889-4771-8bf6-12d7eaf2160c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Buda&subset=latin#300', 'Buda 300 (latin)', 'Buda', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Buda:300";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3722, '6a30bb58-c633-4cc9-8804-323d9aa58c17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bubbler One&subset=latin#regular', 'Bubbler One regular (latin)', 'Bubbler One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Bubbler One:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3723, 'b394b233-62ab-41df-943c-2eaa3eed0aa2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bubbler One&subset=latin-ext#regular', 'Bubbler One regular (latin-ext)', 'Bubbler One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Bubbler One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3724, 'adc81f2f-9314-45fb-b35e-36d0c125a9a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bubblegum Sans&subset=latin#regular', 'Bubblegum Sans regular (latin)', 'Bubblegum Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Bubblegum Sans:regular";s:6:"subset";s:5:"latin";}', 1468916169, 1468916169, 0),
(3725, 'ec83fbf5-3871-43ac-b699-e149514bcd08', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bubblegum Sans&subset=latin-ext#regular', 'Bubblegum Sans regular (latin-ext)', 'Bubblegum Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Bubblegum Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916169, 1468916169, 0),
(3726, 'f13b7f85-d956-43e6-a5fc-cc09bd262ea8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bree Serif&subset=latin#regular', 'Bree Serif regular (latin)', 'Bree Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Bree Serif:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3727, '14130f36-fd7c-4e06-ad48-cad1711cdae0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bree Serif&subset=latin-ext#regular', 'Bree Serif regular (latin-ext)', 'Bree Serif', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Bree Serif:regular";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3728, '3760bfcc-b921-48b4-8115-94ba7353eb13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Brawler&subset=latin#regular', 'Brawler regular (latin)', 'Brawler', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Brawler:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3729, 'b95e70dd-b335-43e0-8006-c4915045e852', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bowlby One SC&subset=latin#regular', 'Bowlby One SC regular (latin)', 'Bowlby One SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Bowlby One SC:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3730, 'ad3132af-8df8-4032-954f-7826338fda35', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bowlby One SC&subset=latin-ext#regular', 'Bowlby One SC regular (latin-ext)', 'Bowlby One SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Bowlby One SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3731, 'e2d63ff5-a0fd-4416-94c1-d390a60deaa2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bowlby One&subset=latin#regular', 'Bowlby One regular (latin)', 'Bowlby One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Bowlby One:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3732, '0ba84833-5ef3-49ba-b913-06cbfc978b70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Boogaloo&subset=latin#regular', 'Boogaloo regular (latin)', 'Boogaloo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Boogaloo:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3733, '18d7a05d-6928-48e1-90a8-c8f0b76ead58', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bonbon&subset=latin#regular', 'Bonbon regular (latin)', 'Bonbon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Bonbon:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3734, '3c50f160-3883-4587-a5cb-903fe950c2e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bokor&subset=khmer#regular', 'Bokor regular (khmer)', 'Bokor', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Bokor:regular";s:6:"subset";s:5:"khmer";}', 1468916170, 1468916170, 0),
(3735, '8fea3d47-ed81-4cc8-a116-c307bd3083da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Black Ops One&subset=latin#regular', 'Black Ops One regular (latin)', 'Black Ops One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Black Ops One:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3736, '3ff07e0f-da6a-4198-8c6b-d703354b7d21', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Black Ops One&subset=latin-ext#regular', 'Black Ops One regular (latin-ext)', 'Black Ops One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Black Ops One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3737, 'e5854171-ad93-4b29-9d0b-e821924f055b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bitter&subset=latin#700', 'Bitter 700 (latin)', 'Bitter', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Bitter:700";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3738, '68328f25-f733-4e2b-89dc-27edd3f41e55', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bitter&subset=latin-ext#700', 'Bitter 700 (latin-ext)', 'Bitter', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Bitter:700";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3739, 'e72c3378-7e47-4a2e-bcba-80a658ee4161', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bitter&subset=latin#italic', 'Bitter italic (latin)', 'Bitter', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Bitter:italic";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3740, '730887f8-decb-427c-a8f7-75d7ec6adbd0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bitter&subset=latin-ext#italic', 'Bitter italic (latin-ext)', 'Bitter', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Bitter:italic";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3741, 'a08a9dd1-bc97-44b2-8c2a-6c8b3356dd06', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bitter&subset=latin#regular', 'Bitter regular (latin)', 'Bitter', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Bitter:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3742, '629f904b-4e56-4054-899a-18ce4dae0036', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bitter&subset=latin-ext#regular', 'Bitter regular (latin-ext)', 'Bitter', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Bitter:regular";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3743, '64a85a56-4b32-4d98-8655-0218946d3dc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin#900', 'Biryani 900 (latin)', 'Biryani', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:900";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3744, '358c4c62-1df4-412e-b558-692687b6d75e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=devanagari#900', 'Biryani 900 (devanagari)', 'Biryani', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:900";s:6:"subset";s:10:"devanagari";}', 1468916170, 1468916170, 0),
(3745, '6cc8eedb-55f7-4874-9aa8-d3573f608061', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin-ext#900', 'Biryani 900 (latin-ext)', 'Biryani', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:900";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3746, '4fceae3f-b247-41ba-8765-daf2130a19fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin#800', 'Biryani 800 (latin)', 'Biryani', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:800";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3747, 'b0eac4e5-ff92-4ded-aea3-a2e7f4ebffe2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=devanagari#800', 'Biryani 800 (devanagari)', 'Biryani', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:800";s:6:"subset";s:10:"devanagari";}', 1468916170, 1468916170, 0),
(3748, '3e1844bb-07cc-4f3b-9043-5bc0ce144b5e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin-ext#800', 'Biryani 800 (latin-ext)', 'Biryani', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:800";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3749, 'b7c460d1-4de9-4b39-b90e-0837c8de7904', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin#700', 'Biryani 700 (latin)', 'Biryani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:700";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3750, '7392f090-ebdc-4cd3-a846-65450bc4b8e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=devanagari#700', 'Biryani 700 (devanagari)', 'Biryani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:700";s:6:"subset";s:10:"devanagari";}', 1468916170, 1468916170, 0),
(3751, 'd3a1656e-6c11-441b-a241-a6789dda52fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin-ext#700', 'Biryani 700 (latin-ext)', 'Biryani', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:700";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3752, '90883551-f4e8-495e-ab85-90ca789739fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin#600', 'Biryani 600 (latin)', 'Biryani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:600";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3753, 'f1697d30-1027-406e-a93c-07d9d4f41bad', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=devanagari#600', 'Biryani 600 (devanagari)', 'Biryani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:600";s:6:"subset";s:10:"devanagari";}', 1468916170, 1468916170, 0),
(3754, '78aef680-7c03-40bd-b893-b9d8f9777662', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin-ext#600', 'Biryani 600 (latin-ext)', 'Biryani', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:600";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3755, '39d9be12-f571-4da0-b2d1-28e1c3355400', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin#regular', 'Biryani regular (latin)', 'Biryani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Biryani:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3756, 'c3ef6423-cd8d-4429-9045-e832e5594780', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=devanagari#regular', 'Biryani regular (devanagari)', 'Biryani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Biryani:regular";s:6:"subset";s:10:"devanagari";}', 1468916170, 1468916170, 0),
(3757, '002c8df4-52f2-4d53-bf6d-184ed3baefd6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin-ext#regular', 'Biryani regular (latin-ext)', 'Biryani', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Biryani:regular";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3758, '82b19df1-2d8d-405d-b217-a6490d753775', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin#300', 'Biryani 300 (latin)', 'Biryani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:300";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3759, '42f020f5-2612-4315-924b-7143647fe37b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=devanagari#300', 'Biryani 300 (devanagari)', 'Biryani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:300";s:6:"subset";s:10:"devanagari";}', 1468916170, 1468916170, 0),
(3760, '33af28d3-4320-4285-b761-fd66dcc2a1f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin-ext#300', 'Biryani 300 (latin-ext)', 'Biryani', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:300";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3761, '5bce9549-c4d4-4945-8579-8957d638b2be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin#200', 'Biryani 200 (latin)', 'Biryani', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:200";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3762, '0c39a05b-8e1e-4469-9382-36c892528f2e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=devanagari#200', 'Biryani 200 (devanagari)', 'Biryani', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:200";s:6:"subset";s:10:"devanagari";}', 1468916170, 1468916170, 0),
(3763, '9f839a96-3790-498e-ac13-5a57c7bbb2a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Biryani&subset=latin-ext#200', 'Biryani 200 (latin-ext)', 'Biryani', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Biryani:200";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3764, '896609c0-bf2d-466b-aced-0d7d79d3d54e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin#800', 'BioRhyme Expanded 800 (latin)', 'BioRhyme Expanded', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:800";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3765, '8edb32bd-026d-4be6-9b75-85948e4d80cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin-ext#800', 'BioRhyme Expanded 800 (latin-ext)', 'BioRhyme Expanded', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:800";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3766, 'bcf9e397-0ee9-4e96-97a0-0874ff63d96f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin#700', 'BioRhyme Expanded 700 (latin)', 'BioRhyme Expanded', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:700";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3767, 'd8dce15d-21a5-434a-b641-b1ca549755e1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin-ext#700', 'BioRhyme Expanded 700 (latin-ext)', 'BioRhyme Expanded', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:700";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0);
INSERT INTO `fontyourface_font` VALUES
(3768, 'b0336670-54e1-4691-bc54-c42cec1f392d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin#regular', 'BioRhyme Expanded regular (latin)', 'BioRhyme Expanded', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"BioRhyme Expanded:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3769, '63e19f6f-0a64-4cba-bba9-d8c825a38919', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin-ext#regular', 'BioRhyme Expanded regular (latin-ext)', 'BioRhyme Expanded', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"BioRhyme Expanded:regular";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3770, '1a9bfa41-6d70-42b7-84c2-a52814c52e26', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin#300', 'BioRhyme Expanded 300 (latin)', 'BioRhyme Expanded', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:300";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3771, 'd30652be-a87a-4947-9c62-177292b81c28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin-ext#300', 'BioRhyme Expanded 300 (latin-ext)', 'BioRhyme Expanded', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:300";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3772, 'e7758136-ebb7-456f-9130-d308a4aa2cf3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin#200', 'BioRhyme Expanded 200 (latin)', 'BioRhyme Expanded', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:200";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3773, 'dbfa5f4d-364a-4d61-8e52-b0467bb7d3cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme Expanded&subset=latin-ext#200', 'BioRhyme Expanded 200 (latin-ext)', 'BioRhyme Expanded', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"BioRhyme Expanded:200";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3774, '5ac9e966-2941-4a10-b6fd-d07457e24331', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin#800', 'BioRhyme 800 (latin)', 'BioRhyme', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:800";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3775, '3e26232e-f7f5-4433-aa7f-8def4fcb9a56', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin-ext#800', 'BioRhyme 800 (latin-ext)', 'BioRhyme', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:800";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3776, '209169dc-5f93-4205-9f5a-3e24e3f8872d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin#700', 'BioRhyme 700 (latin)', 'BioRhyme', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:700";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3777, '5e5a3917-a423-473c-aff9-6de43582337d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin-ext#700', 'BioRhyme 700 (latin-ext)', 'BioRhyme', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:700";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3778, '91a9d617-1f4d-4579-8006-2bdc5faea918', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin#regular', 'BioRhyme regular (latin)', 'BioRhyme', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"BioRhyme:regular";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3779, '64d2cf65-e7f9-444e-8138-da897858de65', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin-ext#regular', 'BioRhyme regular (latin-ext)', 'BioRhyme', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"BioRhyme:regular";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3780, '9ba0cab4-465f-4734-b7f9-9860edf6f154', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin#300', 'BioRhyme 300 (latin)', 'BioRhyme', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:300";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3781, '0eb07718-ff71-4cc8-9ed0-0970f4d93a70', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin-ext#300', 'BioRhyme 300 (latin-ext)', 'BioRhyme', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:300";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3782, '52d054f3-3ba3-43ec-bee7-f95159c06d14', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin#200', 'BioRhyme 200 (latin)', 'BioRhyme', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:200";s:6:"subset";s:5:"latin";}', 1468916170, 1468916170, 0),
(3783, 'a7ce70a5-ff15-4fc1-ab27-5bfdf4da120f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BioRhyme&subset=latin-ext#200', 'BioRhyme 200 (latin-ext)', 'BioRhyme', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"BioRhyme:200";s:6:"subset";s:9:"latin-ext";}', 1468916170, 1468916170, 0),
(3784, 'e4a204e0-3de3-4a60-a20c-ed2631ea3c21', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bilbo Swash Caps&subset=latin#regular', 'Bilbo Swash Caps regular (latin)', 'Bilbo Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Bilbo Swash Caps:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3785, 'bfc117a8-eb12-43bf-b2e7-e3df07be38dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bilbo Swash Caps&subset=latin-ext#regular', 'Bilbo Swash Caps regular (latin-ext)', 'Bilbo Swash Caps', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Bilbo Swash Caps:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3786, '97feedd2-7375-4e75-afc5-c8e4c3817f64', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bilbo&subset=latin#regular', 'Bilbo regular (latin)', 'Bilbo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Bilbo:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3787, '9ab6fc7e-8470-496c-8f40-2c4adce0e377', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bilbo&subset=latin-ext#regular', 'Bilbo regular (latin-ext)', 'Bilbo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Bilbo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3788, '8841f40d-fcf8-4b60-a5ad-cc923ff8b57c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bigshot One&subset=latin#regular', 'Bigshot One regular (latin)', 'Bigshot One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Bigshot One:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3789, '1456902d-e024-47be-89b9-10277ede0864', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bigelow Rules&subset=latin#regular', 'Bigelow Rules regular (latin)', 'Bigelow Rules', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Bigelow Rules:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3790, 'aee78718-cfa3-42ec-809f-ca0f4a42059b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bigelow Rules&subset=latin-ext#regular', 'Bigelow Rules regular (latin-ext)', 'Bigelow Rules', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Bigelow Rules:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3791, '457af002-1111-4d61-b047-d40e1f8513bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bevan&subset=latin#regular', 'Bevan regular (latin)', 'Bevan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Bevan:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3792, 'ce91d167-4fdb-451c-8c4f-416b7cf1b68e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Berkshire Swash&subset=latin#regular', 'Berkshire Swash regular (latin)', 'Berkshire Swash', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Berkshire Swash:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3793, '26d11bc2-10a2-4cdf-83df-b27ff7d72cb9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Berkshire Swash&subset=latin-ext#regular', 'Berkshire Swash regular (latin-ext)', 'Berkshire Swash', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Berkshire Swash:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3794, '6e8eb66c-91f2-4813-9daf-bfd1ea9ebe9d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bentham&subset=latin#regular', 'Bentham regular (latin)', 'Bentham', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Bentham:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3795, 'f23b08eb-64a6-4193-91a2-f2cdfec153b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BenchNine&subset=latin#700', 'BenchNine 700 (latin)', 'BenchNine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"BenchNine:700";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3796, '92e757f0-96b2-4eee-9905-d5ee937bf671', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BenchNine&subset=latin-ext#700', 'BenchNine 700 (latin-ext)', 'BenchNine', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"BenchNine:700";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3797, 'd9983f24-72fa-48cb-8fb3-b71fb138f5fe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BenchNine&subset=latin#regular', 'BenchNine regular (latin)', 'BenchNine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"BenchNine:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3798, 'c6209c31-70d5-4c7e-bc2f-a3b19432af3e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BenchNine&subset=latin-ext#regular', 'BenchNine regular (latin-ext)', 'BenchNine', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"BenchNine:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3799, 'f4b7ee72-cb3c-4e3b-8a5a-c5df1fe5f0e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BenchNine&subset=latin#300', 'BenchNine 300 (latin)', 'BenchNine', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"BenchNine:300";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3800, '425187da-0ad8-45a1-bfc1-2a8d79cbbcf3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=BenchNine&subset=latin-ext#300', 'BenchNine 300 (latin-ext)', 'BenchNine', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"BenchNine:300";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3801, 'c198608d-b0e4-40d8-87ac-de2b3b12eb11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Belleza&subset=latin#regular', 'Belleza regular (latin)', 'Belleza', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Belleza:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3802, '56659b9e-d572-4d44-a65a-29cd6262694b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Belleza&subset=latin-ext#regular', 'Belleza regular (latin-ext)', 'Belleza', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Belleza:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3803, '30b5513a-e6b5-476e-b255-849ffdae7c50', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Belgrano&subset=latin#regular', 'Belgrano regular (latin)', 'Belgrano', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Belgrano:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3804, '7bee7b69-e699-4e72-a6c2-fc65f51e3d38', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bayon&subset=khmer#regular', 'Bayon regular (khmer)', 'Bayon', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Bayon:regular";s:6:"subset";s:5:"khmer";}', 1468916172, 1468916172, 0),
(3805, 'a754515a-2243-4699-aad3-c9658d5e5e72', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baumans&subset=latin#regular', 'Baumans regular (latin)', 'Baumans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Baumans:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3806, 'bdd51164-8915-40fd-b7f8-33625420cbb1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Battambang&subset=khmer#700', 'Battambang 700 (khmer)', 'Battambang', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Battambang:700";s:6:"subset";s:5:"khmer";}', 1468916172, 1468916172, 0),
(3807, '82fdc22d-952e-4909-8cab-9686d7e43968', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Battambang&subset=khmer#regular', 'Battambang regular (khmer)', 'Battambang', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Battambang:regular";s:6:"subset";s:5:"khmer";}', 1468916172, 1468916172, 0),
(3808, 'a042996f-c813-4ed4-b993-dab8a80eccf1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Basic&subset=latin#regular', 'Basic regular (latin)', 'Basic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Basic:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3809, 'a8ad80ee-7ba3-4a02-a4d4-54c535fa8e33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Basic&subset=latin-ext#regular', 'Basic regular (latin-ext)', 'Basic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Basic:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3810, '079c76e5-2d18-4fc3-b72b-679ab483efc2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bangers&subset=latin#regular', 'Bangers regular (latin)', 'Bangers', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Bangers:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3811, '19fe5c2f-8fff-4e83-93bc-51fde4de3627', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Balthazar&subset=latin#regular', 'Balthazar regular (latin)', 'Balthazar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Balthazar:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3812, '370d679a-46d2-4def-b086-753ca43a122b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Thambi&subset=latin#regular', 'Baloo Thambi regular (latin)', 'Baloo Thambi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Baloo Thambi:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3813, '8f7d03c1-fd46-4303-b74e-204dc89c7abe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Thambi&subset=tamil#regular', 'Baloo Thambi regular (tamil)', 'Baloo Thambi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Baloo Thambi:regular";s:6:"subset";s:5:"tamil";}', 1468916172, 1468916172, 0),
(3814, '8140752a-d445-4e45-abdc-5b3da62d4e8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Thambi&subset=vietnamese#regular', 'Baloo Thambi regular (vietnamese)', 'Baloo Thambi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Baloo Thambi:regular";s:6:"subset";s:10:"vietnamese";}', 1468916172, 1468916172, 0),
(3815, '09071ca9-18b9-4c80-931d-5d0126e8aab8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Thambi&subset=latin-ext#regular', 'Baloo Thambi regular (latin-ext)', 'Baloo Thambi', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Baloo Thambi:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3816, 'f8ade0a3-fc31-4cd5-919b-35e6529236ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Da&subset=bengali#regular', 'Baloo Da regular (bengali)', 'Baloo Da', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Baloo Da:regular";s:6:"subset";s:7:"bengali";}', 1468916172, 1468916172, 0),
(3817, 'a28a5e4e-b7de-4012-9189-5c3b3f5af4a2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Da&subset=latin#regular', 'Baloo Da regular (latin)', 'Baloo Da', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Baloo Da:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3818, '05f6ebb3-e71e-41d6-a698-e77ff353a883', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Da&subset=vietnamese#regular', 'Baloo Da regular (vietnamese)', 'Baloo Da', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Baloo Da:regular";s:6:"subset";s:10:"vietnamese";}', 1468916172, 1468916172, 0),
(3819, '5deb87fb-afbf-40b2-86a7-02e597be50f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Da&subset=latin-ext#regular', 'Baloo Da regular (latin-ext)', 'Baloo Da', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Baloo Da:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3820, '6e04f945-375a-40f3-b165-6b9022a2091f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Bhai&subset=latin#regular', 'Baloo Bhai regular (latin)', 'Baloo Bhai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Baloo Bhai:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3821, 'ff9b2d18-3996-4ce4-9398-48f271cc2b95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Bhai&subset=gujarati#regular', 'Baloo Bhai regular (gujarati)', 'Baloo Bhai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Baloo Bhai:regular";s:6:"subset";s:8:"gujarati";}', 1468916172, 1468916172, 0),
(3822, '7363b137-2b2d-402a-ad3b-942b42659517', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Bhai&subset=vietnamese#regular', 'Baloo Bhai regular (vietnamese)', 'Baloo Bhai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Baloo Bhai:regular";s:6:"subset";s:10:"vietnamese";}', 1468916172, 1468916172, 0),
(3823, '11e27fc6-7bdf-4537-a84b-b224fb87be32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo Bhai&subset=latin-ext#regular', 'Baloo Bhai regular (latin-ext)', 'Baloo Bhai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Baloo Bhai:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3824, '5cdd97d4-000a-4a2b-b84c-4cf7d8aaf35a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo&subset=latin#regular', 'Baloo regular (latin)', 'Baloo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Baloo:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3825, '605267c7-9ae8-4475-8109-b643c1ee3811', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo&subset=devanagari#regular', 'Baloo regular (devanagari)', 'Baloo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Baloo:regular";s:6:"subset";s:10:"devanagari";}', 1468916172, 1468916172, 0),
(3826, '52ec15e6-e3d0-4c80-8e54-8402f07e251f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo&subset=vietnamese#regular', 'Baloo regular (vietnamese)', 'Baloo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Baloo:regular";s:6:"subset";s:10:"vietnamese";}', 1468916172, 1468916172, 0),
(3827, '745336d3-0c44-4b41-87bb-9ee9a7719f57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Baloo&subset=latin-ext#regular', 'Baloo regular (latin-ext)', 'Baloo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Baloo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916172, 1468916172, 0),
(3828, '584ef114-2dba-47a6-a0e1-cb8d4b4cd82c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bad Script&subset=latin#regular', 'Bad Script regular (latin)', 'Bad Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Bad Script:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3829, '3e692a35-ba25-4470-a008-8ccddd57c1cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Bad Script&subset=cyrillic#regular', 'Bad Script regular (cyrillic)', 'Bad Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Bad Script:regular";s:6:"subset";s:8:"cyrillic";}', 1468916172, 1468916172, 0),
(3830, '8b96ee3a-381e-4379-b5d8-9bab261c6605', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Serif Libre&subset=latin#700italic', 'Averia Serif Libre 700italic (latin)', 'Averia Serif Libre', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Averia Serif Libre:700italic";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3831, '2e036f8e-5aba-43d7-9ff5-37f3bee190ff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Serif Libre&subset=latin#700', 'Averia Serif Libre 700 (latin)', 'Averia Serif Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Averia Serif Libre:700";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3832, '0b46d608-bfc9-4f25-96a4-5dc3bcf62e09', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Serif Libre&subset=latin#italic', 'Averia Serif Libre italic (latin)', 'Averia Serif Libre', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Averia Serif Libre:italic";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3833, '283fdf9b-9ee9-4f14-a94b-8040c00cff20', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Serif Libre&subset=latin#regular', 'Averia Serif Libre regular (latin)', 'Averia Serif Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Averia Serif Libre:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3834, '1e3dd578-a443-4452-a62e-51f8a3abd92c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Serif Libre&subset=latin#300italic', 'Averia Serif Libre 300italic (latin)', 'Averia Serif Libre', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:28:"Averia Serif Libre:300italic";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3835, '8577521f-47e9-4e83-a523-65340eeabd8b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Serif Libre&subset=latin#300', 'Averia Serif Libre 300 (latin)', 'Averia Serif Libre', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Averia Serif Libre:300";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3836, '7fc71461-36b6-4136-80d4-1dcc639fefdd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Sans Libre&subset=latin#700italic', 'Averia Sans Libre 700italic (latin)', 'Averia Sans Libre', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Averia Sans Libre:700italic";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3837, '04557e48-7711-4c82-8803-c3ed7566f9b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Sans Libre&subset=latin#700', 'Averia Sans Libre 700 (latin)', 'Averia Sans Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Averia Sans Libre:700";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3838, '7e59c175-60ee-48de-8ee7-7aa9f3a521bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Sans Libre&subset=latin#italic', 'Averia Sans Libre italic (latin)', 'Averia Sans Libre', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Averia Sans Libre:italic";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3839, '53e1aee7-c06e-4f29-9369-1ca51ac7306d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Sans Libre&subset=latin#regular', 'Averia Sans Libre regular (latin)', 'Averia Sans Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:25:"Averia Sans Libre:regular";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3840, 'bc194b2a-1522-423b-b47b-c8dd15a0b877', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Sans Libre&subset=latin#300italic', 'Averia Sans Libre 300italic (latin)', 'Averia Sans Libre', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Averia Sans Libre:300italic";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3841, 'a74d1dac-b5c1-4c22-a30f-e1906328dfa2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Sans Libre&subset=latin#300', 'Averia Sans Libre 300 (latin)', 'Averia Sans Libre', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Averia Sans Libre:300";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3842, '62d5aad0-5ab9-4088-b418-2e67a6241c34', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Libre&subset=latin#700italic', 'Averia Libre 700italic (latin)', 'Averia Libre', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Averia Libre:700italic";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3843, 'a60520aa-9aae-4fa8-b116-96855af68a44', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Libre&subset=latin#700', 'Averia Libre 700 (latin)', 'Averia Libre', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Averia Libre:700";s:6:"subset";s:5:"latin";}', 1468916172, 1468916172, 0),
(3844, 'e4a1586c-45dc-40fd-899a-25fd70746249', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Libre&subset=latin#italic', 'Averia Libre italic (latin)', 'Averia Libre', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Averia Libre:italic";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3845, '0366532c-07a6-4624-91c4-6806f9d49bf2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Libre&subset=latin#regular', 'Averia Libre regular (latin)', 'Averia Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Averia Libre:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3846, 'b55b0004-53e3-4e17-b7f2-98f32d685839', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Libre&subset=latin#300italic', 'Averia Libre 300italic (latin)', 'Averia Libre', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Averia Libre:300italic";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3847, 'da3726af-dfd0-4c72-8ad7-ccb19fe06573', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Libre&subset=latin#300', 'Averia Libre 300 (latin)', 'Averia Libre', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Averia Libre:300";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3848, '0648b08a-919c-4642-87ed-86e8b096b683', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Gruesa Libre&subset=latin#regular', 'Averia Gruesa Libre regular (latin)', 'Averia Gruesa Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Averia Gruesa Libre:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3849, 'dc669666-8d90-4958-80b3-96174e0133f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Averia Gruesa Libre&subset=latin-ext#regular', 'Averia Gruesa Libre regular (latin-ext)', 'Averia Gruesa Libre', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Averia Gruesa Libre:regular";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3850, '15796658-8cd6-4695-84b8-b8a66751e9a9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Average Sans&subset=latin#regular', 'Average Sans regular (latin)', 'Average Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Average Sans:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3851, '93e84cc3-e464-4898-ba90-70658f1144b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Average Sans&subset=latin-ext#regular', 'Average Sans regular (latin-ext)', 'Average Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Average Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3852, '2b2142a1-f6fc-41b0-ade7-6ce96a65d9e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Average&subset=latin#regular', 'Average regular (latin)', 'Average', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Average:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3853, '0fe59485-95bf-4a92-a818-cd72bb7ac76a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Average&subset=latin-ext#regular', 'Average regular (latin-ext)', 'Average', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Average:regular";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3854, '1446a98f-47f1-46d0-b7ae-cad89256cb5e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Autour One&subset=latin#regular', 'Autour One regular (latin)', 'Autour One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Autour One:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3855, 'b3929f28-02f7-453c-ab1e-f51d371ad4bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Autour One&subset=latin-ext#regular', 'Autour One regular (latin-ext)', 'Autour One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Autour One:regular";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3856, 'a23a61d1-6089-47c1-978a-264949836ab0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Audiowide&subset=latin#regular', 'Audiowide regular (latin)', 'Audiowide', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Audiowide:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3857, 'b22ffbae-6e34-4717-8a99-c5ab9456c8fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Audiowide&subset=latin-ext#regular', 'Audiowide regular (latin-ext)', 'Audiowide', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Audiowide:regular";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3858, 'afb7d9be-a874-4efd-b41d-dd182d5ebb25', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aubrey&subset=latin#regular', 'Aubrey regular (latin)', 'Aubrey', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Aubrey:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3859, 'fab68eb1-233a-4bcd-980f-e8deb0ad3535', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atomic Age&subset=latin#regular', 'Atomic Age regular (latin)', 'Atomic Age', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Atomic Age:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3860, '60cef872-cba4-4f60-ad1d-28e6d34f80dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=bengali#700', 'Atma 700 (bengali)', 'Atma', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:700";s:6:"subset";s:7:"bengali";}', 1468916173, 1468916173, 0),
(3861, '46885220-bd4a-4110-a9d9-46a7d59643b7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin#700', 'Atma 700 (latin)', 'Atma', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:700";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3862, '52d74ee8-942c-45fd-9045-8979595a9ea8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin-ext#700', 'Atma 700 (latin-ext)', 'Atma', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:700";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3863, '64e97ff4-c100-44d1-b891-f00f6fd3189a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=bengali#600', 'Atma 600 (bengali)', 'Atma', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:600";s:6:"subset";s:7:"bengali";}', 1468916173, 1468916173, 0),
(3864, 'f2eb424b-aa62-4129-b07a-6396509014b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin#600', 'Atma 600 (latin)', 'Atma', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:600";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3865, '967e6a11-cb0f-470b-8f70-5fac20c8a9f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin-ext#600', 'Atma 600 (latin-ext)', 'Atma', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:600";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3866, 'f19fb9fa-f853-417b-999d-31b84fad0112', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=bengali#500', 'Atma 500 (bengali)', 'Atma', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:500";s:6:"subset";s:7:"bengali";}', 1468916173, 1468916173, 0),
(3867, 'aa39cb9d-206e-47f5-872c-33b1883e8502', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin#500', 'Atma 500 (latin)', 'Atma', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:500";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3868, 'e3864ad9-4df8-4e84-af7e-81f89238ff0a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin-ext#500', 'Atma 500 (latin-ext)', 'Atma', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:500";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3869, '179a49db-7311-4173-ac8f-f818bc3858dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=bengali#regular', 'Atma regular (bengali)', 'Atma', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Atma:regular";s:6:"subset";s:7:"bengali";}', 1468916173, 1468916173, 0),
(3870, '06698e5d-4ce3-416f-9fd9-531f83ffd98e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin#regular', 'Atma regular (latin)', 'Atma', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Atma:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3871, '531b03e6-cd9c-442e-a0f9-e75e9fbb9800', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin-ext#regular', 'Atma regular (latin-ext)', 'Atma', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Atma:regular";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3872, 'c4762d77-c43f-43d0-bf0e-15d68934df80', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=bengali#300', 'Atma 300 (bengali)', 'Atma', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:300";s:6:"subset";s:7:"bengali";}', 1468916173, 1468916173, 0),
(3873, 'eaf56c37-6148-43d5-985c-bb5d7184a1d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin#300', 'Atma 300 (latin)', 'Atma', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:300";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3874, 'c5c5fd6f-d27c-48b6-94b6-b3805e58613b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Atma&subset=latin-ext#300', 'Atma 300 (latin-ext)', 'Atma', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Atma:300";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3875, '21f35abc-cef6-4283-af43-fa7cf3945e47', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=thai#700', 'Athiti 700 (thai)', 'Athiti', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:700";s:6:"subset";s:4:"thai";}', 1468916173, 1468916173, 0),
(3876, '8c4c4bca-a4b3-4746-9850-4556826e57f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin#700', 'Athiti 700 (latin)', 'Athiti', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:700";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3877, '1f591bca-7cad-4026-adcf-122b328afb84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=vietnamese#700', 'Athiti 700 (vietnamese)', 'Athiti', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:700";s:6:"subset";s:10:"vietnamese";}', 1468916173, 1468916173, 0),
(3878, 'db16a11a-24f6-40d1-9dc9-a99dc7b2f460', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin-ext#700', 'Athiti 700 (latin-ext)', 'Athiti', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:700";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3879, '8304f06c-d9cd-4157-8097-865f7994cc86', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=thai#600', 'Athiti 600 (thai)', 'Athiti', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:600";s:6:"subset";s:4:"thai";}', 1468916173, 1468916173, 0),
(3880, '55554693-85d4-47de-b42e-6ac71469b3f7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin#600', 'Athiti 600 (latin)', 'Athiti', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:600";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3881, '47a9169f-468b-4db4-8920-d0da1eb527c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=vietnamese#600', 'Athiti 600 (vietnamese)', 'Athiti', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:600";s:6:"subset";s:10:"vietnamese";}', 1468916173, 1468916173, 0),
(3882, '76b12e2d-5b9a-4937-a2de-d757c10e9a0b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin-ext#600', 'Athiti 600 (latin-ext)', 'Athiti', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:600";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3883, '13ea98e6-9133-400a-8df1-29c0bb22dc40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=thai#500', 'Athiti 500 (thai)', 'Athiti', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:500";s:6:"subset";s:4:"thai";}', 1468916173, 1468916173, 0),
(3884, '91353e2b-85fd-4d00-a677-db133f9b91e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin#500', 'Athiti 500 (latin)', 'Athiti', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:500";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3885, 'f56be913-3e5e-4f16-9fed-aa80bdd86deb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=vietnamese#500', 'Athiti 500 (vietnamese)', 'Athiti', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:500";s:6:"subset";s:10:"vietnamese";}', 1468916173, 1468916173, 0),
(3886, '31200d97-9961-43ae-95d2-b1f7e75a81c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin-ext#500', 'Athiti 500 (latin-ext)', 'Athiti', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:500";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3887, 'fdb55fad-d548-4c5b-8066-da1c21478a76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=thai#regular', 'Athiti regular (thai)', 'Athiti', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Athiti:regular";s:6:"subset";s:4:"thai";}', 1468916173, 1468916173, 0),
(3888, '54c2efb1-c53d-4d1e-b289-7ad890371278', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin#regular', 'Athiti regular (latin)', 'Athiti', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Athiti:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3889, '4d5214ba-be50-4d62-b720-d54a2d913ce5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=vietnamese#regular', 'Athiti regular (vietnamese)', 'Athiti', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Athiti:regular";s:6:"subset";s:10:"vietnamese";}', 1468916173, 1468916173, 0),
(3890, '7a63023e-6f44-476a-b4ea-352224258c34', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin-ext#regular', 'Athiti regular (latin-ext)', 'Athiti', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Athiti:regular";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3891, 'e96bcb0f-8b1f-4e65-945d-221fa385fbb3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=thai#300', 'Athiti 300 (thai)', 'Athiti', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:300";s:6:"subset";s:4:"thai";}', 1468916173, 1468916173, 0),
(3892, '6f7f2a1c-44b1-4713-8fa3-b57213a0d64b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin#300', 'Athiti 300 (latin)', 'Athiti', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:300";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3893, '0ee9bd0d-9b21-4b59-8178-c2e9b7061d84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=vietnamese#300', 'Athiti 300 (vietnamese)', 'Athiti', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:300";s:6:"subset";s:10:"vietnamese";}', 1468916173, 1468916173, 0),
(3894, '88edeafc-d4f3-48f0-a7a4-14bd1ce6197b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin-ext#300', 'Athiti 300 (latin-ext)', 'Athiti', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:300";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3895, '460e6364-a83c-4511-97f4-43a5bd614dde', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=thai#200', 'Athiti 200 (thai)', 'Athiti', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:200";s:6:"subset";s:4:"thai";}', 1468916173, 1468916173, 0),
(3896, 'aadd0bf9-7ec6-41dd-8a4a-2f56236b337c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin#200', 'Athiti 200 (latin)', 'Athiti', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:200";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3897, 'af503c42-9089-4d2c-bc05-7317764df5ee', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=vietnamese#200', 'Athiti 200 (vietnamese)', 'Athiti', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:200";s:6:"subset";s:10:"vietnamese";}', 1468916173, 1468916173, 0),
(3898, 'd0a8091e-f1ee-4b57-bd41-6cb09b2284d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Athiti&subset=latin-ext#200', 'Athiti 200 (latin-ext)', 'Athiti', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:10:"Athiti:200";s:6:"subset";s:9:"latin-ext";}', 1468916173, 1468916173, 0),
(3899, '215fc6a4-344f-4e4b-9633-4779883741be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asul&subset=latin#700', 'Asul 700 (latin)', 'Asul', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Asul:700";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3900, 'a3007b46-7655-4c2c-9aa3-e4f51c27d00c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asul&subset=latin#regular', 'Asul regular (latin)', 'Asul', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Asul:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3901, 'b58859dc-f24d-441b-8e97-776d6dd6ca59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Astloch&subset=latin#700', 'Astloch 700 (latin)', 'Astloch', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Astloch:700";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3902, '4b42d378-876a-47dc-be6d-ccddefa4622c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Astloch&subset=latin#regular', 'Astloch regular (latin)', 'Astloch', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Astloch:regular";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3903, '8b221b03-51cf-41bd-9036-0be41d215485', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=latin#800', 'Assistant 800 (latin)', 'Assistant', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:800";s:6:"subset";s:5:"latin";}', 1468916173, 1468916173, 0),
(3904, 'd794ffb3-17ba-4cd5-a11d-1f008aab6480', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=hebrew#800', 'Assistant 800 (hebrew)', 'Assistant', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:800";s:6:"subset";s:6:"hebrew";}', 1468916173, 1468916173, 0),
(3905, '10e2650f-12cb-4091-b118-0edeaae1c49e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=latin#700', 'Assistant 700 (latin)', 'Assistant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:700";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3906, 'd5f41b12-881c-4b5d-b33a-54774cf95080', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=hebrew#700', 'Assistant 700 (hebrew)', 'Assistant', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:700";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3907, '833774c2-d645-4be8-bb86-e8d7c5dbce2c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=latin#600', 'Assistant 600 (latin)', 'Assistant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:600";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3908, '4a3fba7b-be66-4a15-b9c6-386eee86a5f9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=hebrew#600', 'Assistant 600 (hebrew)', 'Assistant', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:600";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3909, 'e4602bc4-1629-45ee-ad5f-dde86d797d9f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=latin#regular', 'Assistant regular (latin)', 'Assistant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Assistant:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3910, 'c4968fd3-ce07-47fa-b5c4-b5467250d110', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=hebrew#regular', 'Assistant regular (hebrew)', 'Assistant', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Assistant:regular";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3911, 'fc335b09-ed02-4f28-b06a-c3c68c1bbd13', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=latin#300', 'Assistant 300 (latin)', 'Assistant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:300";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3912, 'd8e9be46-aa0b-40b7-8049-37cf84ecb6c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=hebrew#300', 'Assistant 300 (hebrew)', 'Assistant', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:300";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3913, 'be9d5c27-d54d-41a2-9762-8c9134eaa7a4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=latin#200', 'Assistant 200 (latin)', 'Assistant', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:200";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3914, 'f9381bf3-7feb-48a7-9530-5f052d0b7dbd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Assistant&subset=hebrew#200', 'Assistant 200 (hebrew)', 'Assistant', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Assistant:200";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3915, '9e7cca7b-8229-4b7e-8187-1f9d4ee4bbcb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asset&subset=latin#regular', 'Asset regular (latin)', 'Asset', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Asset:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3916, '54550a30-f6c8-4cc8-8794-6eafd6406e90', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asar&subset=latin#regular', 'Asar regular (latin)', 'Asar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Asar:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3917, '5d95cd36-9b6f-4526-b9f7-2bbbf120fea7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asar&subset=devanagari#regular', 'Asar regular (devanagari)', 'Asar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Asar:regular";s:6:"subset";s:10:"devanagari";}', 1468916174, 1468916174, 0),
(3918, '3ae46a94-1d6f-499e-aeab-bfd4660eb855', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asar&subset=latin-ext#regular', 'Asar regular (latin-ext)', 'Asar', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Asar:regular";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3919, '096823d5-bb75-4f2d-a29b-6e6e8e99db84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin#700italic', 'Asap 700italic (latin)', 'Asap', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Asap:700italic";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3920, '6757cf6f-1847-4a74-828e-7eb187e60a6f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin-ext#700italic', 'Asap 700italic (latin-ext)', 'Asap', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Asap:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3921, '3bbb512e-2d7b-4cf3-9842-d12058178589', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin#700', 'Asap 700 (latin)', 'Asap', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Asap:700";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3922, '505fc99c-9629-4e99-bef2-4e7fac513c74', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin-ext#700', 'Asap 700 (latin-ext)', 'Asap', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Asap:700";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3923, '9b46c804-bc01-4ee6-bb38-2bc24ad7201b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin#italic', 'Asap italic (latin)', 'Asap', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Asap:italic";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3924, '86b0442e-cdb3-4bd1-b63d-7abafe7224fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin-ext#italic', 'Asap italic (latin-ext)', 'Asap', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Asap:italic";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3925, 'f2b3313e-8c35-4003-85f9-2e088e4487cd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin#regular', 'Asap regular (latin)', 'Asap', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Asap:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3926, '9fbe02a3-d354-4155-b7c7-aefb0074f8ec', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Asap&subset=latin-ext#regular', 'Asap regular (latin-ext)', 'Asap', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Asap:regular";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3927, '81f250b6-7de1-4345-a0dc-cebefb399207', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arya&subset=latin#700', 'Arya 700 (latin)', 'Arya', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Arya:700";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3928, 'e357cabe-b009-4d02-9dc0-acf632b9fc03', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arya&subset=devanagari#700', 'Arya 700 (devanagari)', 'Arya', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Arya:700";s:6:"subset";s:10:"devanagari";}', 1468916174, 1468916174, 0),
(3929, '569249b1-38e6-4d9d-8aba-fe8874a0e8bf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arya&subset=latin-ext#700', 'Arya 700 (latin-ext)', 'Arya', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Arya:700";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3930, '54d12fca-8730-47d5-b60d-2cf85f789f40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arya&subset=latin#regular', 'Arya regular (latin)', 'Arya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arya:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3931, 'e043de9b-3792-41db-b084-3805d4b34033', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arya&subset=devanagari#regular', 'Arya regular (devanagari)', 'Arya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arya:regular";s:6:"subset";s:10:"devanagari";}', 1468916174, 1468916174, 0),
(3932, '0bcf58bb-bdea-49fc-9e9a-b34952981f42', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arya&subset=latin-ext#regular', 'Arya regular (latin-ext)', 'Arya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arya:regular";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3933, '74b6f164-d3dd-4d9a-bd3a-b1ba0da831af', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arvo&subset=latin#700italic', 'Arvo 700italic (latin)', 'Arvo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Arvo:700italic";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3934, '70f076b7-29e0-47cc-a1df-3c7dd5358373', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arvo&subset=latin#700', 'Arvo 700 (latin)', 'Arvo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Arvo:700";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3935, '5a25cff4-adb0-455f-b8f4-0b5d02cdd666', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arvo&subset=latin#italic', 'Arvo italic (latin)', 'Arvo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:11:"Arvo:italic";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3936, '4d13fe6c-9395-4248-bc66-05139769dc28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arvo&subset=latin#regular', 'Arvo regular (latin)', 'Arvo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arvo:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3937, '1ed2dc94-a062-43eb-af31-0ee904cba6e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Artifika&subset=latin#regular', 'Artifika regular (latin)', 'Artifika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Artifika:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3938, 'd91b15fb-0c3b-418a-bd2b-17a6f78b408b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Armata&subset=latin#regular', 'Armata regular (latin)', 'Armata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Armata:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3939, 'bb784952-0f6a-4e31-a177-56e398334fbf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Armata&subset=latin-ext#regular', 'Armata regular (latin-ext)', 'Armata', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Armata:regular";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3940, '3c3724bb-1333-4f6e-88bc-6c81a4d76336', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arizonia&subset=latin#regular', 'Arizonia regular (latin)', 'Arizonia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Arizonia:regular";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3941, 'd7c2a4a5-520f-4140-a48e-7a1cb8894206', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arizonia&subset=latin-ext#regular', 'Arizonia regular (latin-ext)', 'Arizonia', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Arizonia:regular";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3942, 'c3de81b5-6af5-4f8e-8f42-0990db98ce15', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic-ext#700italic', 'Arimo 700italic (cyrillic-ext)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916174, 1468916174, 0),
(3943, '2deeb3cb-2077-4181-8861-fe0cc5c8e8ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin#700italic', 'Arimo 700italic (latin)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3944, 'f15b7aeb-9f50-44b6-b9ae-aefd2de9c7c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek-ext#700italic', 'Arimo 700italic (greek-ext)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:9:"greek-ext";}', 1468916174, 1468916174, 0),
(3945, '09eec2c8-3fb5-40bc-96c0-6c338321571f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek#700italic', 'Arimo 700italic (greek)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:5:"greek";}', 1468916174, 1468916174, 0),
(3946, '265b58ec-10e7-462c-a6ab-ff0b4cb24f84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=hebrew#700italic', 'Arimo 700italic (hebrew)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3947, 'd8fd6785-f657-4041-8774-abe0cb9cd5da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=vietnamese#700italic', 'Arimo 700italic (vietnamese)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916174, 1468916174, 0),
(3948, '6f64db36-6c60-4987-8185-bc8a60e245c9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin-ext#700italic', 'Arimo 700italic (latin-ext)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3949, 'f9a4d2c3-1915-49cf-b3f6-b3f80e8363c4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic#700italic', 'Arimo 700italic (cyrillic)', 'Arimo', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arimo:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916174, 1468916174, 0),
(3950, '1d7dbc63-5b8e-4a06-bd3f-de14d9cb3b46', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic-ext#700', 'Arimo 700 (cyrillic-ext)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:12:"cyrillic-ext";}', 1468916174, 1468916174, 0),
(3951, 'ebaa3a29-298c-411e-adf5-cffd5794c267', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin#700', 'Arimo 700 (latin)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3952, '57ab9e17-31df-4528-bc15-efaa17c2b940', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek-ext#700', 'Arimo 700 (greek-ext)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:9:"greek-ext";}', 1468916174, 1468916174, 0),
(3953, '396222dd-b238-4698-bc42-8da181da594d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek#700', 'Arimo 700 (greek)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:5:"greek";}', 1468916174, 1468916174, 0),
(3954, '1c5dd4e5-28cd-4556-81e3-7d651a3f15b8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=hebrew#700', 'Arimo 700 (hebrew)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3955, 'd468fa14-fa68-4823-966e-9e802dffe361', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=vietnamese#700', 'Arimo 700 (vietnamese)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:10:"vietnamese";}', 1468916174, 1468916174, 0),
(3956, '4b2c4485-f25a-4af7-9cd7-accab54b0cb5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin-ext#700', 'Arimo 700 (latin-ext)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3957, '54a5a933-55b1-4c54-8522-c301a3b43163', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic#700', 'Arimo 700 (cyrillic)', 'Arimo', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Arimo:700";s:6:"subset";s:8:"cyrillic";}', 1468916174, 1468916174, 0),
(3958, '0ba11a92-3197-4f57-8789-34232f1a0d85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic-ext#italic', 'Arimo italic (cyrillic-ext)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:12:"cyrillic-ext";}', 1468916174, 1468916174, 0),
(3959, 'eaf7bd13-ef55-4af1-adf3-59355fee4563', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin#italic', 'Arimo italic (latin)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:5:"latin";}', 1468916174, 1468916174, 0),
(3960, '14b79572-117b-4f79-a5e5-feec1c97ffbc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek-ext#italic', 'Arimo italic (greek-ext)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:9:"greek-ext";}', 1468916174, 1468916174, 0);
INSERT INTO `fontyourface_font` VALUES
(3961, 'a00fe752-24c4-49c1-aa79-80735fb8a405', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek#italic', 'Arimo italic (greek)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:5:"greek";}', 1468916174, 1468916174, 0),
(3962, '8c47c42f-22fe-4e51-b18c-6039cfa9ccaa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=hebrew#italic', 'Arimo italic (hebrew)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:6:"hebrew";}', 1468916174, 1468916174, 0),
(3963, '91b5407f-7aa0-421d-8ae8-82491cf7fecd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=vietnamese#italic', 'Arimo italic (vietnamese)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:10:"vietnamese";}', 1468916174, 1468916174, 0),
(3964, 'b9ae78bf-27ac-4725-8b6e-1288d220dfdc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin-ext#italic', 'Arimo italic (latin-ext)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:9:"latin-ext";}', 1468916174, 1468916174, 0),
(3965, 'd8fd9b1f-3105-432c-94c8-ae4390a810b9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic#italic', 'Arimo italic (cyrillic)', 'Arimo', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Arimo:italic";s:6:"subset";s:8:"cyrillic";}', 1468916174, 1468916174, 0),
(3966, 'a9e8c92a-bed5-45ac-923e-e876b57276da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic-ext#regular', 'Arimo regular (cyrillic-ext)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916174, 1468916174, 0),
(3967, '78617cea-7253-4eed-81da-10061ee6d088', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin#regular', 'Arimo regular (latin)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3968, 'abc36760-9c26-4560-9237-89fa93735dbe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek-ext#regular', 'Arimo regular (greek-ext)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:9:"greek-ext";}', 1468916176, 1468916176, 0),
(3969, '5e33940d-0a19-4d4d-b869-15dabbfa1400', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=greek#regular', 'Arimo regular (greek)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:5:"greek";}', 1468916176, 1468916176, 0),
(3970, '763a5333-b417-458a-a2a6-ee2e93450089', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=hebrew#regular', 'Arimo regular (hebrew)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:6:"hebrew";}', 1468916176, 1468916176, 0),
(3971, '0c140ce7-9068-4a13-a213-1ddbe078ff6a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=vietnamese#regular', 'Arimo regular (vietnamese)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(3972, '85a6d759-366f-4922-a090-3bb2954f8c9a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=latin-ext#regular', 'Arimo regular (latin-ext)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(3973, '411f5ba1-f219-41d7-9023-749f819629df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arimo&subset=cyrillic#regular', 'Arimo regular (cyrillic)', 'Arimo', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arimo:regular";s:6:"subset";s:8:"cyrillic";}', 1468916176, 1468916176, 0),
(3974, 'f31e8def-5a51-4670-871a-eded7f4d75b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#900', 'Arima Madurai 900 (latin)', 'Arima Madurai', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:900";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3975, '0262052c-d8a6-42fc-b85b-1765d85773b3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#900', 'Arima Madurai 900 (tamil)', 'Arima Madurai', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:900";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(3976, '65c4e1cc-ab99-4c3a-a8f5-1198855ae113', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#900', 'Arima Madurai 900 (vietnamese)', 'Arima Madurai', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:900";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(3977, 'a05015c4-8a7b-4857-96be-282892460a7d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#900', 'Arima Madurai 900 (latin-ext)', 'Arima Madurai', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:900";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(3978, '9fd0fb8b-7f61-4a8d-a1d9-485728f2b136', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#800', 'Arima Madurai 800 (latin)', 'Arima Madurai', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:800";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3979, '0d81e861-371c-42f9-a298-54a65f40f453', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#800', 'Arima Madurai 800 (tamil)', 'Arima Madurai', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:800";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(3980, 'b3d39ce0-bc98-44d4-a47d-7e94627cff8f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#800', 'Arima Madurai 800 (vietnamese)', 'Arima Madurai', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:800";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(3981, '19fab545-fbb0-4bd1-9e3c-3e13d7c5fcff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#800', 'Arima Madurai 800 (latin-ext)', 'Arima Madurai', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:800";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(3982, '0ab45503-51ab-4857-8b83-eb540dac645e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#700', 'Arima Madurai 700 (latin)', 'Arima Madurai', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:700";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3983, '7876bad6-994f-4f2d-a1ba-f6c13746a7c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#700', 'Arima Madurai 700 (tamil)', 'Arima Madurai', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:700";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(3984, 'a36db082-814b-4ec7-a6fc-c69ab8734507', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#700', 'Arima Madurai 700 (vietnamese)', 'Arima Madurai', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:700";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(3985, '53c9ebcd-94d1-40e8-ab39-2ef5714440be', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#700', 'Arima Madurai 700 (latin-ext)', 'Arima Madurai', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:700";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(3986, 'aa9196b7-a3d2-4cab-b8cb-457be5dec06b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#500', 'Arima Madurai 500 (latin)', 'Arima Madurai', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:500";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3987, 'c2cde3e2-fe9d-4e6d-aef9-8dfcd29d4ae7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#500', 'Arima Madurai 500 (tamil)', 'Arima Madurai', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:500";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(3988, '5fb2e0d4-74ca-4e9c-9a85-a60772c66f2d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#500', 'Arima Madurai 500 (vietnamese)', 'Arima Madurai', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:500";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(3989, '351be5e9-6343-4ca9-9d0c-076691777c95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#500', 'Arima Madurai 500 (latin-ext)', 'Arima Madurai', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:500";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(3990, '1e4feb9c-55ee-4fc0-8ead-01f1fe8ad47d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#regular', 'Arima Madurai regular (latin)', 'Arima Madurai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Arima Madurai:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3991, '2edf9f85-fe9f-4d87-8bd5-406b9083efc8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#regular', 'Arima Madurai regular (tamil)', 'Arima Madurai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Arima Madurai:regular";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(3992, '04a0949c-a1c1-4144-afe4-d2b9714c93c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#regular', 'Arima Madurai regular (vietnamese)', 'Arima Madurai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Arima Madurai:regular";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(3993, '14cc66e6-aaad-4a55-b868-b0c406476ca7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#regular', 'Arima Madurai regular (latin-ext)', 'Arima Madurai', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Arima Madurai:regular";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(3994, 'f5ce2e87-8484-4594-a311-c9db399980e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#300', 'Arima Madurai 300 (latin)', 'Arima Madurai', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:300";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3995, '6562fc5b-045b-4919-bcca-7adb9bb47893', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#300', 'Arima Madurai 300 (tamil)', 'Arima Madurai', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:300";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(3996, 'c678ad3a-4e82-4c79-9576-a6e351781947', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#300', 'Arima Madurai 300 (vietnamese)', 'Arima Madurai', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:300";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(3997, '9c38797b-86a3-421f-8ac5-61dbc7be96bd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#300', 'Arima Madurai 300 (latin-ext)', 'Arima Madurai', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:300";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(3998, 'c7c81ac7-c21a-4ec8-b0a9-9148890f2e01', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#200', 'Arima Madurai 200 (latin)', 'Arima Madurai', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:200";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(3999, 'b13a2ef5-e379-44d4-97f7-b6f7b1778ddb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#200', 'Arima Madurai 200 (tamil)', 'Arima Madurai', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:200";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(4000, 'dda8ad04-c394-4cce-ae73-890257da848c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#200', 'Arima Madurai 200 (vietnamese)', 'Arima Madurai', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:200";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(4001, '9e01910d-2249-4fcf-a66d-3438bf1f68f2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#200', 'Arima Madurai 200 (latin-ext)', 'Arima Madurai', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:200";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4002, 'c4f52b2d-e24d-4109-be82-4bdadd1cf9b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin#100', 'Arima Madurai 100 (latin)', 'Arima Madurai', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:100";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4003, 'b40cd498-40ae-44f1-9f96-2317375cb8e6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=tamil#100', 'Arima Madurai 100 (tamil)', 'Arima Madurai', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:100";s:6:"subset";s:5:"tamil";}', 1468916176, 1468916176, 0),
(4004, 'fca05000-a8d1-4d66-a474-94abeacb654e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=vietnamese#100', 'Arima Madurai 100 (vietnamese)', 'Arima Madurai', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:100";s:6:"subset";s:10:"vietnamese";}', 1468916176, 1468916176, 0),
(4005, 'bf375bfe-3269-45d1-8170-2e41ec1169dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arima Madurai&subset=latin-ext#100', 'Arima Madurai 100 (latin-ext)', 'Arima Madurai', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Arima Madurai:100";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4006, '199d258f-85f0-439e-a1eb-3f7ac311c522', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aref Ruqaa&subset=latin#700', 'Aref Ruqaa 700 (latin)', 'Aref Ruqaa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Aref Ruqaa:700";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4007, '934d43e0-a80f-49f3-83d3-ebbf2f0cb505', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aref Ruqaa&subset=arabic#700', 'Aref Ruqaa 700 (arabic)', 'Aref Ruqaa', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Aref Ruqaa:700";s:6:"subset";s:6:"arabic";}', 1468916176, 1468916176, 0),
(4008, '67b226bd-08fd-4af5-9acc-5c3a7ce4f74b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aref Ruqaa&subset=latin#regular', 'Aref Ruqaa regular (latin)', 'Aref Ruqaa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Aref Ruqaa:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4009, '24045d63-83b3-451c-a1b0-dbb2e843eac6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aref Ruqaa&subset=arabic#regular', 'Aref Ruqaa regular (arabic)', 'Aref Ruqaa', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Aref Ruqaa:regular";s:6:"subset";s:6:"arabic";}', 1468916176, 1468916176, 0),
(4010, '8805b1d8-140b-4eb1-abe4-82ab8044a38f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin#700italic', 'Archivo Narrow 700italic (latin)', 'Archivo Narrow', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Archivo Narrow:700italic";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4011, '408474e5-0f7a-4d79-87a0-47d661309ace', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin-ext#700italic', 'Archivo Narrow 700italic (latin-ext)', 'Archivo Narrow', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Archivo Narrow:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4012, '990176e5-94d0-499f-be6f-59c64ae778a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin#700', 'Archivo Narrow 700 (latin)', 'Archivo Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Archivo Narrow:700";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4013, '5a402ab8-eaf3-497d-8123-041d08f82e85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin-ext#700', 'Archivo Narrow 700 (latin-ext)', 'Archivo Narrow', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Archivo Narrow:700";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4014, 'b284abcd-4c7f-4911-8012-d508edef70c7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin#italic', 'Archivo Narrow italic (latin)', 'Archivo Narrow', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Archivo Narrow:italic";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4015, 'a7c84952-dc1f-488c-b16d-4c428c04648f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin-ext#italic', 'Archivo Narrow italic (latin-ext)', 'Archivo Narrow', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Archivo Narrow:italic";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4016, '4547c95d-65e7-40c5-adb2-6c2dc3408b77', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin#regular', 'Archivo Narrow regular (latin)', 'Archivo Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Archivo Narrow:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4017, '645fe980-8aa8-4cef-877a-6c84c4ca818d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Narrow&subset=latin-ext#regular', 'Archivo Narrow regular (latin-ext)', 'Archivo Narrow', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:22:"Archivo Narrow:regular";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4018, '85486602-6318-48e6-af25-2335a6e94ef9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Black&subset=latin#regular', 'Archivo Black regular (latin)', 'Archivo Black', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Archivo Black:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4019, '97a7490e-7e56-4b0c-9f72-3b41d3c6cace', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Archivo Black&subset=latin-ext#regular', 'Archivo Black regular (latin-ext)', 'Archivo Black', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Archivo Black:regular";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4020, '4a43d9bc-d1c5-4fc8-a29c-963bce52235e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Architects Daughter&subset=latin#regular', 'Architects Daughter regular (latin)', 'Architects Daughter', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:27:"Architects Daughter:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4021, '9b5b46eb-314d-482e-bee7-4c415ddafd40', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arbutus Slab&subset=latin#regular', 'Arbutus Slab regular (latin)', 'Arbutus Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Arbutus Slab:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4022, '3df479fe-9779-44a3-abe2-72ff408ec4d2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arbutus Slab&subset=latin-ext#regular', 'Arbutus Slab regular (latin-ext)', 'Arbutus Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Arbutus Slab:regular";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4023, '785b202b-f1bd-4f7d-b7b1-a1aadf6e08e8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arbutus&subset=latin#regular', 'Arbutus regular (latin)', 'Arbutus', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arbutus:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4024, 'bbc29dbf-66a2-4f85-a32d-94e6f4526e57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arbutus&subset=latin-ext#regular', 'Arbutus regular (latin-ext)', 'Arbutus', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Arbutus:regular";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4025, 'ff798418-2d05-402e-943a-3211c430f289', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arapey&subset=latin#italic', 'Arapey italic (latin)', 'Arapey', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Arapey:italic";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4026, '5e2e10e2-841a-4e11-b415-08fccfb804c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Arapey&subset=latin#regular', 'Arapey regular (latin)', 'Arapey', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Arapey:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4027, '337b571d-2e97-4996-9e5d-867917c163f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anton&subset=latin#regular', 'Anton regular (latin)', 'Anton', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Anton:regular";s:6:"subset";s:5:"latin";}', 1468916176, 1468916176, 0),
(4028, 'aea30cbd-8750-4ba3-867e-78b066be4922', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anton&subset=latin-ext#regular', 'Anton regular (latin-ext)', 'Anton', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Anton:regular";s:6:"subset";s:9:"latin-ext";}', 1468916176, 1468916176, 0),
(4029, '99b1bfc4-73aa-4eb2-a8ea-19d0a5f1fe80', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Antic Slab&subset=latin#regular', 'Antic Slab regular (latin)', 'Antic Slab', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Antic Slab:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4030, '83f4f077-4cdb-4e61-b2cd-4c49f0085d42', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Antic Didone&subset=latin#regular', 'Antic Didone regular (latin)', 'Antic Didone', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Antic Didone:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4031, '37cb9258-eeca-41cc-8b74-f243beb36c12', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Antic&subset=latin#regular', 'Antic regular (latin)', 'Antic', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Antic:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4032, '90561fa4-d856-4835-b453-6f06c8dbc45c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin#700italic', 'Anonymous Pro 700italic (latin)', 'Anonymous Pro', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Anonymous Pro:700italic";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4033, 'ed8d43bd-f036-444b-8bc8-923bbb026ab0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=greek#700italic', 'Anonymous Pro 700italic (greek)', 'Anonymous Pro', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Anonymous Pro:700italic";s:6:"subset";s:5:"greek";}', 1468916177, 1468916177, 0),
(4034, 'be32b78e-f273-4322-9ef8-b6b58fef668b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin-ext#700italic', 'Anonymous Pro 700italic (latin-ext)', 'Anonymous Pro', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Anonymous Pro:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4035, '2345625b-56ef-418b-a41e-86ad107dd3f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=cyrillic#700italic', 'Anonymous Pro 700italic (cyrillic)', 'Anonymous Pro', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Anonymous Pro:700italic";s:6:"subset";s:8:"cyrillic";}', 1468916177, 1468916177, 0),
(4036, 'e6c1119b-d05d-4c50-be23-edac8068b3df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin#700', 'Anonymous Pro 700 (latin)', 'Anonymous Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Anonymous Pro:700";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4037, '16697cb9-43dd-4850-861b-36e9c9cf7b09', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=greek#700', 'Anonymous Pro 700 (greek)', 'Anonymous Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Anonymous Pro:700";s:6:"subset";s:5:"greek";}', 1468916177, 1468916177, 0),
(4038, '991aa81a-ec56-4504-8409-82d45757a83e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin-ext#700', 'Anonymous Pro 700 (latin-ext)', 'Anonymous Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Anonymous Pro:700";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4039, '6b8bdebe-7899-4359-b3d1-9d87e732e8fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=cyrillic#700', 'Anonymous Pro 700 (cyrillic)', 'Anonymous Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Anonymous Pro:700";s:6:"subset";s:8:"cyrillic";}', 1468916177, 1468916177, 0),
(4040, '762044b0-5510-499a-a399-f43914fe335a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin#italic', 'Anonymous Pro italic (latin)', 'Anonymous Pro', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Anonymous Pro:italic";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4041, 'a176f5a9-587a-47b8-a7b2-13e51d186a59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=greek#italic', 'Anonymous Pro italic (greek)', 'Anonymous Pro', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Anonymous Pro:italic";s:6:"subset";s:5:"greek";}', 1468916177, 1468916177, 0),
(4042, 'b3b9d4a8-6853-4051-96ca-7fa7238939e0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin-ext#italic', 'Anonymous Pro italic (latin-ext)', 'Anonymous Pro', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Anonymous Pro:italic";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4043, '5cd71428-c14e-4400-9ad7-c9ae87018047', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=cyrillic#italic', 'Anonymous Pro italic (cyrillic)', 'Anonymous Pro', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Anonymous Pro:italic";s:6:"subset";s:8:"cyrillic";}', 1468916177, 1468916177, 0),
(4044, '8cc8170c-d90e-4c68-a86c-250b11ad997c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin#regular', 'Anonymous Pro regular (latin)', 'Anonymous Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Anonymous Pro:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4045, 'e65134bc-10b1-4241-a23e-099093db171e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=greek#regular', 'Anonymous Pro regular (greek)', 'Anonymous Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Anonymous Pro:regular";s:6:"subset";s:5:"greek";}', 1468916177, 1468916177, 0),
(4046, 'f10779c6-dcb7-4de3-9025-bd60a65b414c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=latin-ext#regular', 'Anonymous Pro regular (latin-ext)', 'Anonymous Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Anonymous Pro:regular";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4047, '05621806-09c2-495d-af7a-85f9121a128e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anonymous Pro&subset=cyrillic#regular', 'Anonymous Pro regular (cyrillic)', 'Anonymous Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Anonymous Pro:regular";s:6:"subset";s:8:"cyrillic";}', 1468916177, 1468916177, 0),
(4048, '901ae555-8659-4266-a582-86dbe46fd316', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Annie Use Your Telescope&subset=latin#regular', 'Annie Use Your Telescope regular (latin)', 'Annie Use Your Telescope', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:32:"Annie Use Your Telescope:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4049, '314769b9-6932-4e60-8b2a-d0300ca9a559', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Angkor&subset=khmer#regular', 'Angkor regular (khmer)', 'Angkor', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Angkor:regular";s:6:"subset";s:5:"khmer";}', 1468916177, 1468916177, 0),
(4050, '2a83eed1-7ea0-4a9e-8f65-0fddcfc3e692', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Andika&subset=cyrillic-ext#regular', 'Andika regular (cyrillic-ext)', 'Andika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Andika:regular";s:6:"subset";s:12:"cyrillic-ext";}', 1468916177, 1468916177, 0),
(4051, '07771936-8935-4e40-acee-dc480b012ca0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Andika&subset=latin#regular', 'Andika regular (latin)', 'Andika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Andika:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4052, '3b98c8d1-5bb0-4e0b-a867-2aa292cee39d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Andika&subset=vietnamese#regular', 'Andika regular (vietnamese)', 'Andika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Andika:regular";s:6:"subset";s:10:"vietnamese";}', 1468916177, 1468916177, 0),
(4053, '06151d62-8a75-4157-a9f1-04451c19f964', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Andika&subset=latin-ext#regular', 'Andika regular (latin-ext)', 'Andika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Andika:regular";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4054, '4e2e1d7e-8a15-431a-b131-c62234b5a4e3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Andika&subset=cyrillic#regular', 'Andika regular (cyrillic)', 'Andika', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Andika:regular";s:6:"subset";s:8:"cyrillic";}', 1468916177, 1468916177, 0),
(4055, 'bb199c22-d3f5-46be-9f45-64902d373e68', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Andada&subset=latin#regular', 'Andada regular (latin)', 'Andada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Andada:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4056, 'a4b26de9-e353-4110-97b3-96a8e7e658ca', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Andada&subset=latin-ext#regular', 'Andada regular (latin-ext)', 'Andada', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Andada:regular";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4057, 'f417e6ce-cba9-4c4f-ba7e-d6854812f723', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anaheim&subset=latin#regular', 'Anaheim regular (latin)', 'Anaheim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Anaheim:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4058, 'f26f6eed-5483-4f5e-809c-bc316d5fd52d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Anaheim&subset=latin-ext#regular', 'Anaheim regular (latin-ext)', 'Anaheim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Anaheim:regular";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4059, 'a251310f-072b-4fb1-9fd9-e6e7777febac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amita&subset=latin#700', 'Amita 700 (latin)', 'Amita', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amita:700";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4060, 'fefe0ed9-5772-4f95-b1ba-64720c4314dd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amita&subset=devanagari#700', 'Amita 700 (devanagari)', 'Amita', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amita:700";s:6:"subset";s:10:"devanagari";}', 1468916177, 1468916177, 0),
(4061, '09683d66-2428-4736-85f0-ffeef1d50961', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amita&subset=latin-ext#700', 'Amita 700 (latin-ext)', 'Amita', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amita:700";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4062, '6b92406f-a1ee-4492-9e1d-9bb9b0b3c3e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amita&subset=latin#regular', 'Amita regular (latin)', 'Amita', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amita:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4063, 'a0425c87-ac9c-47ef-a59b-e49f0b0631b0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amita&subset=devanagari#regular', 'Amita regular (devanagari)', 'Amita', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amita:regular";s:6:"subset";s:10:"devanagari";}', 1468916177, 1468916177, 0),
(4064, 'df462efa-7a6d-4813-880d-88f93c3ab97f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amita&subset=latin-ext#regular', 'Amita regular (latin-ext)', 'Amita', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amita:regular";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4065, 'd5243cd7-0543-45bf-b041-6078305fd8de', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=latin#700italic', 'Amiri 700italic (latin)', 'Amiri', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Amiri:700italic";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4066, 'a4f941a2-4757-4f09-a1f5-ac37dd390d16', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=arabic#700italic', 'Amiri 700italic (arabic)', 'Amiri', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Amiri:700italic";s:6:"subset";s:6:"arabic";}', 1468916177, 1468916177, 0),
(4067, 'ca1ca176-da58-415b-9590-3e035741461d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=latin#700', 'Amiri 700 (latin)', 'Amiri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiri:700";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4068, '9e76ff94-9dd8-434f-8b84-67be1378813d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=arabic#700', 'Amiri 700 (arabic)', 'Amiri', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiri:700";s:6:"subset";s:6:"arabic";}', 1468916177, 1468916177, 0),
(4069, '14951861-128b-4e49-92f7-109da80fd5fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=latin#italic', 'Amiri italic (latin)', 'Amiri', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Amiri:italic";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4070, 'a605cfff-de4e-46cd-8be9-fffa10b8d48d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=arabic#italic', 'Amiri italic (arabic)', 'Amiri', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Amiri:italic";s:6:"subset";s:6:"arabic";}', 1468916177, 1468916177, 0),
(4071, '1dd585b6-7bcb-495f-ad03-764b1b2f68f6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=latin#regular', 'Amiri regular (latin)', 'Amiri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amiri:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4072, '9dd676bc-343d-497c-b4d8-124c7754d166', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiri&subset=arabic#regular', 'Amiri regular (arabic)', 'Amiri', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amiri:regular";s:6:"subset";s:6:"arabic";}', 1468916177, 1468916177, 0),
(4073, '31aa40d7-000a-4d52-a439-ff6f952e708e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=latin#700', 'Amiko 700 (latin)', 'Amiko', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiko:700";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4074, '08ec89a0-748e-49ce-800d-69e23b860aba', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=devanagari#700', 'Amiko 700 (devanagari)', 'Amiko', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiko:700";s:6:"subset";s:10:"devanagari";}', 1468916177, 1468916177, 0),
(4075, '9744f09e-f4ee-4301-ac78-f4d68bdfe473', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=latin-ext#700', 'Amiko 700 (latin-ext)', 'Amiko', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiko:700";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4076, '116cf9a9-184e-4c74-a68c-f55d1ee64e45', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=latin#600', 'Amiko 600 (latin)', 'Amiko', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiko:600";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4077, 'e498a058-48ce-45e1-9c68-3f851ff76656', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=devanagari#600', 'Amiko 600 (devanagari)', 'Amiko', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiko:600";s:6:"subset";s:10:"devanagari";}', 1468916177, 1468916177, 0),
(4078, '48be3c27-dba8-4e48-afa2-fc17547457f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=latin-ext#600', 'Amiko 600 (latin-ext)', 'Amiko', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Amiko:600";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4079, 'ffdba683-6eac-4465-8f99-a6afdf7d5660', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=latin#regular', 'Amiko regular (latin)', 'Amiko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amiko:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4080, 'a5bef9dc-33c5-4643-9064-54f73a1eb253', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=devanagari#regular', 'Amiko regular (devanagari)', 'Amiko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amiko:regular";s:6:"subset";s:10:"devanagari";}', 1468916177, 1468916177, 0),
(4081, 'c96961ea-dd26-4528-aab9-62917f71d836', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amiko&subset=latin-ext#regular', 'Amiko regular (latin-ext)', 'Amiko', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amiko:regular";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4082, '9605f6cc-5f86-4e45-8f9b-090cedfa654d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amethysta&subset=latin#regular', 'Amethysta regular (latin)', 'Amethysta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Amethysta:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4083, 'dccb9adf-88bc-41a1-aab2-7d4d796b4a11', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatica SC&subset=latin#700', 'Amatica SC 700 (latin)', 'Amatica SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Amatica SC:700";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4084, '248eb0f9-af8c-4f45-b8b1-6b00b148eaa1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatica SC&subset=hebrew#700', 'Amatica SC 700 (hebrew)', 'Amatica SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Amatica SC:700";s:6:"subset";s:6:"hebrew";}', 1468916177, 1468916177, 0),
(4085, '7c6a192a-e817-4c57-965b-ecfe663d37cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatica SC&subset=latin-ext#700', 'Amatica SC 700 (latin-ext)', 'Amatica SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Amatica SC:700";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4086, '93fcc9c0-a11f-4fb2-8d6d-51fc35fea397', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatica SC&subset=latin#regular', 'Amatica SC regular (latin)', 'Amatica SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Amatica SC:regular";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4087, 'a2ddecc4-4a53-468b-bccd-cbb776b5af98', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatica SC&subset=hebrew#regular', 'Amatica SC regular (hebrew)', 'Amatica SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Amatica SC:regular";s:6:"subset";s:6:"hebrew";}', 1468916177, 1468916177, 0),
(4088, 'b7dd0b63-5bfc-46db-a5e9-acbb8daa01a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatica SC&subset=latin-ext#regular', 'Amatica SC regular (latin-ext)', 'Amatica SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Amatica SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4089, '4f28cf1f-ab10-4443-91d7-3a16870e87da', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatic SC&subset=latin#700', 'Amatic SC 700 (latin)', 'Amatic SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amatic SC:700";s:6:"subset";s:5:"latin";}', 1468916177, 1468916177, 0),
(4090, 'dd86ad61-afc2-4b13-914b-4db26e6c5fff', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatic SC&subset=latin-ext#700', 'Amatic SC 700 (latin-ext)', 'Amatic SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Amatic SC:700";s:6:"subset";s:9:"latin-ext";}', 1468916177, 1468916177, 0),
(4091, '8c66de6f-af2c-4fa5-a857-1f468c87ac60', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatic SC&subset=latin#regular', 'Amatic SC regular (latin)', 'Amatic SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Amatic SC:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4092, '6dddd1b8-c8a4-4f08-b9e7-f310e0797d08', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amatic SC&subset=latin-ext#regular', 'Amatic SC regular (latin-ext)', 'Amatic SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Amatic SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4093, 'fd188aaf-c1a6-4623-9788-bfb47a9ec41c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amaranth&subset=latin#700italic', 'Amaranth 700italic (latin)', 'Amaranth', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Amaranth:700italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4094, '4bfa2374-8ff1-4776-8594-3ea5f8a65de1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amaranth&subset=latin#700', 'Amaranth 700 (latin)', 'Amaranth', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Amaranth:700";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4095, 'bae29b1b-2dab-4c6a-add8-b54a9844b352', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amaranth&subset=latin#italic', 'Amaranth italic (latin)', 'Amaranth', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Amaranth:italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4096, 'db8a58e5-ce2f-4986-9a8d-18b1892bf941', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amaranth&subset=latin#regular', 'Amaranth regular (latin)', 'Amaranth', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Amaranth:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4097, '041c2bf0-d03d-4179-8edd-9b60782c2601', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amarante&subset=latin#regular', 'Amarante regular (latin)', 'Amarante', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Amarante:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4098, '0681936b-67a9-4810-addf-7053dd66a955', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Amarante&subset=latin-ext#regular', 'Amarante regular (latin-ext)', 'Amarante', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Amarante:regular";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4099, '6a34517b-ade1-42f5-b08c-e86a4c3a2ff9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra SC&subset=latin#regular', 'Almendra SC regular (latin)', 'Almendra SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Almendra SC:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4100, '783d608a-7c78-48f6-aa8b-1e2cc6f25cf4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra Display&subset=latin#regular', 'Almendra Display regular (latin)', 'Almendra Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Almendra Display:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4101, 'bde8b8db-bc63-4676-ac16-00756e89e1dc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra Display&subset=latin-ext#regular', 'Almendra Display regular (latin-ext)', 'Almendra Display', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Almendra Display:regular";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4102, 'cd7bd462-23ae-4a02-b53a-277c5b376ae7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin#700italic', 'Almendra 700italic (latin)', 'Almendra', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Almendra:700italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4103, '0b646e03-7b4a-4a1f-813c-5bdcc9f168a7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin-ext#700italic', 'Almendra 700italic (latin-ext)', 'Almendra', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Almendra:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4104, 'de0a41b3-05c5-4c00-a173-d99aaf43fe61', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin#700', 'Almendra 700 (latin)', 'Almendra', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Almendra:700";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4105, 'fc119b7e-9c9c-4cf8-809a-4aba813be3a6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin-ext#700', 'Almendra 700 (latin-ext)', 'Almendra', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Almendra:700";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4106, 'dfafcf54-ee04-4bac-9e67-89349bdbd7ab', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin#italic', 'Almendra italic (latin)', 'Almendra', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Almendra:italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4107, '9d220e06-a90a-4b6b-92d5-bd5ad12650cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin-ext#italic', 'Almendra italic (latin-ext)', 'Almendra', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Almendra:italic";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4108, '0424eff4-1e17-4ab1-9b8a-342d3d2167a5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin#regular', 'Almendra regular (latin)', 'Almendra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Almendra:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4109, 'a9f2a731-ddc5-4db4-8bd8-4a5610347c39', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Almendra&subset=latin-ext#regular', 'Almendra regular (latin-ext)', 'Almendra', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Almendra:regular";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4110, '8fa87a60-d79b-42de-bae5-e955338ee3fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allura&subset=latin#regular', 'Allura regular (latin)', 'Allura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Allura:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4111, '01549c44-772a-4b01-98a7-7bb7a11a481c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allura&subset=latin-ext#regular', 'Allura regular (latin-ext)', 'Allura', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Allura:regular";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4112, '577bd53d-ed9a-4ce1-a81c-db53684b1942', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allerta Stencil&subset=latin#regular', 'Allerta Stencil regular (latin)', 'Allerta Stencil', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Allerta Stencil:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4113, '62e1024a-0bde-404e-9dfb-5d6e6b9d7c76', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allerta&subset=latin#regular', 'Allerta regular (latin)', 'Allerta', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Allerta:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4114, '329145e5-2302-4dde-979b-8deb1947cb8a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allan&subset=latin#700', 'Allan 700 (latin)', 'Allan', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Allan:700";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4115, '6c02fef4-1616-4e7d-b1ec-160ab9f97817', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allan&subset=latin-ext#700', 'Allan 700 (latin-ext)', 'Allan', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:9:"Allan:700";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4116, 'e2ddb17c-df74-4bc7-ae3d-1fc1bafa8db7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allan&subset=latin#regular', 'Allan regular (latin)', 'Allan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Allan:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4117, '1b7053ed-add6-4491-b27b-7e867405e956', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Allan&subset=latin-ext#regular', 'Allan regular (latin-ext)', 'Allan', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Allan:regular";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4118, '5fd9ae88-299e-493d-87bc-ed4a88e0ae7b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alike Angular&subset=latin#regular', 'Alike Angular regular (latin)', 'Alike Angular', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alike Angular:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4119, '121b1ffb-e68f-494c-af14-fb70eb19946e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alike&subset=latin#regular', 'Alike regular (latin)', 'Alike', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Alike:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4120, '52b1d5f7-b002-46e3-8373-1fa712c4cdc1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alice&subset=latin#regular', 'Alice regular (latin)', 'Alice', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Alice:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4121, '4689c0fd-30ee-4dd8-af8a-9be7d47f386d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alfa Slab One&subset=latin#regular', 'Alfa Slab One regular (latin)', 'Alfa Slab One', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alfa Slab One:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4122, 'a6d3303b-f802-43b9-9f9f-e36831cd1a17', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alex Brush&subset=latin#regular', 'Alex Brush regular (latin)', 'Alex Brush', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alex Brush:regular";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4123, '0c1b6280-e6e7-4c8d-af11-06fa1569d529', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alex Brush&subset=latin-ext#regular', 'Alex Brush regular (latin-ext)', 'Alex Brush', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alex Brush:regular";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4124, '9ca1b4eb-2cb7-4e58-a476-9aa981325abf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#900italic', 'Alegreya Sans SC 900italic (latin)', 'Alegreya Sans SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:900italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4125, 'be86c78b-aa34-4dd3-b5c4-2e3dba76aa30', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#900italic', 'Alegreya Sans SC 900italic (vietnamese)', 'Alegreya Sans SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4126, '1271bb2f-40bf-497e-aad0-74a3f9e67b52', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#900italic', 'Alegreya Sans SC 900italic (latin-ext)', 'Alegreya Sans SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4127, '0fffa7bc-f9dd-4928-828d-05098ea14d6d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#900', 'Alegreya Sans SC 900 (latin)', 'Alegreya Sans SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:900";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4128, 'ebec2d5f-1d1e-4050-843a-69de9ab7c6e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#900', 'Alegreya Sans SC 900 (vietnamese)', 'Alegreya Sans SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:900";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4129, 'ab4e3529-596e-4723-9c54-d87563b65b7d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#900', 'Alegreya Sans SC 900 (latin-ext)', 'Alegreya Sans SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:900";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4130, '8fee42a0-4880-4eda-b2c7-eb0d2e3050d5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#800italic', 'Alegreya Sans SC 800italic (latin)', 'Alegreya Sans SC', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:800italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4131, 'ccca2bb4-8513-4eb2-a373-8e9c4901f5e7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#800italic', 'Alegreya Sans SC 800italic (vietnamese)', 'Alegreya Sans SC', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:800italic";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4132, '978d2068-d6c5-40d2-9f53-0e8b29667572', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#800italic', 'Alegreya Sans SC 800italic (latin-ext)', 'Alegreya Sans SC', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4133, '13eface9-af38-4327-a1b5-fc13582f4d9d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#800', 'Alegreya Sans SC 800 (latin)', 'Alegreya Sans SC', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:800";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4134, '7600b7c4-7bb4-4afd-9372-575df0ac9e2e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#800', 'Alegreya Sans SC 800 (vietnamese)', 'Alegreya Sans SC', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:800";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4135, 'e535be0f-02f8-4f75-86e0-1f18d99c3250', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#800', 'Alegreya Sans SC 800 (latin-ext)', 'Alegreya Sans SC', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:800";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4136, 'b07ee48e-62cc-4c0d-94bd-899322731222', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#700italic', 'Alegreya Sans SC 700italic (latin)', 'Alegreya Sans SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:700italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4137, 'd4181d29-b8c1-404f-9257-0654e617fb84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#700italic', 'Alegreya Sans SC 700italic (vietnamese)', 'Alegreya Sans SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4138, '81f34500-2d73-4380-a48a-92ef4b755ebe', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#700italic', 'Alegreya Sans SC 700italic (latin-ext)', 'Alegreya Sans SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4139, 'a0e3a996-c6ef-447e-a21d-d98fc919410e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#700', 'Alegreya Sans SC 700 (latin)', 'Alegreya Sans SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:700";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4140, '5ff12ac8-d335-4322-af78-4704560cb1b2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#700', 'Alegreya Sans SC 700 (vietnamese)', 'Alegreya Sans SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:700";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4141, '438d0f59-295e-4720-8d1a-6bf57e41fd6d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#700', 'Alegreya Sans SC 700 (latin-ext)', 'Alegreya Sans SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:700";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4142, 'b7b604f9-6af5-42b3-a688-e9e5cd5806bb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#500italic', 'Alegreya Sans SC 500italic (latin)', 'Alegreya Sans SC', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:500italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4143, '8a2ef4a0-ef71-4555-8497-76e5cae468b4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#500italic', 'Alegreya Sans SC 500italic (vietnamese)', 'Alegreya Sans SC', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4144, '27d2948e-8b65-4e38-af0b-23b2575176fd', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#500italic', 'Alegreya Sans SC 500italic (latin-ext)', 'Alegreya Sans SC', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4145, '7295fec0-3ae5-4023-8678-d9ca73717d96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#500', 'Alegreya Sans SC 500 (latin)', 'Alegreya Sans SC', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:500";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0);
INSERT INTO `fontyourface_font` VALUES
(4146, '479ccf6a-841b-4f4c-a0fa-96e4f6b0ae96', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#500', 'Alegreya Sans SC 500 (vietnamese)', 'Alegreya Sans SC', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:500";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4147, 'bf7b0fe4-227d-4582-bbf2-7542af7a83ae', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#500', 'Alegreya Sans SC 500 (latin-ext)', 'Alegreya Sans SC', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:500";s:6:"subset";s:9:"latin-ext";}', 1468916178, 1468916178, 0),
(4148, '0bfc356e-70ce-4028-ac79-87f2df895890', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#italic', 'Alegreya Sans SC italic (latin)', 'Alegreya Sans SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans SC:italic";s:6:"subset";s:5:"latin";}', 1468916178, 1468916178, 0),
(4149, '9e6889c8-cfa8-4a53-9e60-012c2429aa37', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#italic', 'Alegreya Sans SC italic (vietnamese)', 'Alegreya Sans SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans SC:italic";s:6:"subset";s:10:"vietnamese";}', 1468916178, 1468916178, 0),
(4150, '43913241-21d5-4566-981a-4a3e4d74cb94', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#italic', 'Alegreya Sans SC italic (latin-ext)', 'Alegreya Sans SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans SC:italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4151, '9abe2611-2828-4a8a-a9d2-575e774b54e4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#regular', 'Alegreya Sans SC regular (latin)', 'Alegreya Sans SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Alegreya Sans SC:regular";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4152, '7c872f26-58f2-4331-b6d1-2223ed423e32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#regular', 'Alegreya Sans SC regular (vietnamese)', 'Alegreya Sans SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Alegreya Sans SC:regular";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4153, '5107cf6f-71f9-4c31-854b-7a2358420ec9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#regular', 'Alegreya Sans SC regular (latin-ext)', 'Alegreya Sans SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:24:"Alegreya Sans SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4154, '69ff05d2-ed73-49e6-9534-21830ab3c3a8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#300italic', 'Alegreya Sans SC 300italic (latin)', 'Alegreya Sans SC', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:300italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4155, '9a4dd086-9e4c-45da-bb3a-740096b2023c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#300italic', 'Alegreya Sans SC 300italic (vietnamese)', 'Alegreya Sans SC', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4156, '9e449332-b514-456c-a2cb-bd4634a818c1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#300italic', 'Alegreya Sans SC 300italic (latin-ext)', 'Alegreya Sans SC', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4157, 'd28a9f68-0950-4d1a-8ca1-c5abef0346f3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#300', 'Alegreya Sans SC 300 (latin)', 'Alegreya Sans SC', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:300";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4158, 'bb780b4c-a0f7-4c46-b9a4-4056606b1933', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#300', 'Alegreya Sans SC 300 (vietnamese)', 'Alegreya Sans SC', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:300";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4159, '3e07220c-3d2f-4731-b55b-6c288a72d6ed', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#300', 'Alegreya Sans SC 300 (latin-ext)', 'Alegreya Sans SC', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:300";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4160, '8ec13274-ea42-461a-8539-676c4294f158', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#100italic', 'Alegreya Sans SC 100italic (latin)', 'Alegreya Sans SC', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:100italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4161, 'b6fffb43-7503-4379-bdc1-f294ce7a83ac', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#100italic', 'Alegreya Sans SC 100italic (vietnamese)', 'Alegreya Sans SC', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4162, '77a0ca66-937b-4d17-9b31-0716359682df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#100italic', 'Alegreya Sans SC 100italic (latin-ext)', 'Alegreya Sans SC', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:26:"Alegreya Sans SC:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4163, '1a52f211-9e47-45da-8e04-1bed859a863b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin#100', 'Alegreya Sans SC 100 (latin)', 'Alegreya Sans SC', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:100";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4164, '2288e88c-3852-48bb-a0e0-ddbfbfeb2f0e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=vietnamese#100', 'Alegreya Sans SC 100 (vietnamese)', 'Alegreya Sans SC', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:100";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4165, 'b38e487a-bf8f-49ce-98a9-ce876a67b9f4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans SC&subset=latin-ext#100', 'Alegreya Sans SC 100 (latin-ext)', 'Alegreya Sans SC', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans SC:100";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4166, '28225756-c23f-439e-8385-335d05a6810a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#900italic', 'Alegreya Sans 900italic (latin)', 'Alegreya Sans', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:900italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4167, 'e40cd499-867b-4351-929a-46bbb39c319f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#900italic', 'Alegreya Sans 900italic (vietnamese)', 'Alegreya Sans', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:900italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4168, 'ad103626-2426-4fa4-a08b-bb700567d8cc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#900italic', 'Alegreya Sans 900italic (latin-ext)', 'Alegreya Sans', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4169, '61d906d7-0f00-455f-9af9-8a6f2a1af6d4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#900', 'Alegreya Sans 900 (latin)', 'Alegreya Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:900";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4170, '11b060d7-5c99-4aba-9ae2-7cb53385bd43', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#900', 'Alegreya Sans 900 (vietnamese)', 'Alegreya Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:900";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4171, '201f9863-70e7-4ba4-a411-6021d7622bc5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#900', 'Alegreya Sans 900 (latin-ext)', 'Alegreya Sans', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:900";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4172, 'd18e06e0-6c62-424f-99c0-acab866c0d7b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#800italic', 'Alegreya Sans 800italic (latin)', 'Alegreya Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:800italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4173, '4451acd6-f411-4093-b277-bdac01495e2c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#800italic', 'Alegreya Sans 800italic (vietnamese)', 'Alegreya Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:800italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4174, '8eaa7f25-a8b4-402c-9ac7-0fd233802746', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#800italic', 'Alegreya Sans 800italic (latin-ext)', 'Alegreya Sans', 'italic', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:800italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4175, 'da36b118-6246-4c24-852f-5f1968749621', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#800', 'Alegreya Sans 800 (latin)', 'Alegreya Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:800";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4176, '96de803b-4208-431b-a093-17227bfad0c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#800', 'Alegreya Sans 800 (vietnamese)', 'Alegreya Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:800";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4177, '211ea3e8-3819-4866-a4bc-4c437783bab5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#800', 'Alegreya Sans 800 (latin-ext)', 'Alegreya Sans', 'normal', '800', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:800";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4178, 'b1988634-7d1f-40f1-b1aa-8df3dbeb9c95', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#700italic', 'Alegreya Sans 700italic (latin)', 'Alegreya Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:700italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4179, '90c12ecc-a95d-432e-9e59-0cbd42f59df6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#700italic', 'Alegreya Sans 700italic (vietnamese)', 'Alegreya Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:700italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4180, '2033592c-99bd-4c26-93e4-42e2004329fb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#700italic', 'Alegreya Sans 700italic (latin-ext)', 'Alegreya Sans', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4181, '4b9d3134-d7ac-47aa-9643-49c8f7b326fc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#700', 'Alegreya Sans 700 (latin)', 'Alegreya Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:700";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4182, '0a907865-b9c7-4207-82cf-3df2fb339819', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#700', 'Alegreya Sans 700 (vietnamese)', 'Alegreya Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:700";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4183, '8a91eb8a-2139-428c-974a-ef590e3d23d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#700', 'Alegreya Sans 700 (latin-ext)', 'Alegreya Sans', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:700";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4184, 'a9519993-514e-47d5-ad95-ac2afb619f38', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#500italic', 'Alegreya Sans 500italic (latin)', 'Alegreya Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:500italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4185, '6d2f620d-9e69-4f9a-bd2c-8330d0764a85', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#500italic', 'Alegreya Sans 500italic (vietnamese)', 'Alegreya Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:500italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4186, '33c5b8f9-1a7e-4fc9-ad33-6efc15c216f5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#500italic', 'Alegreya Sans 500italic (latin-ext)', 'Alegreya Sans', 'italic', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:500italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4187, '006a513d-8e01-4ec6-95ee-27fd3806b042', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#500', 'Alegreya Sans 500 (latin)', 'Alegreya Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:500";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4188, '02dd1905-991d-4243-b311-19eef0bff327', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#500', 'Alegreya Sans 500 (vietnamese)', 'Alegreya Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:500";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4189, '605de705-5d7b-491e-ae22-323545092b88', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#500', 'Alegreya Sans 500 (latin-ext)', 'Alegreya Sans', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:500";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4190, 'ea0766d0-1b43-4eb3-a329-664502752455', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#italic', 'Alegreya Sans italic (latin)', 'Alegreya Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans:italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4191, '72b402b2-8aa3-441b-88bc-f773fa35b9d7', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#italic', 'Alegreya Sans italic (vietnamese)', 'Alegreya Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans:italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4192, '3dd012e0-4731-431d-8047-7fbde5d962bb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#italic', 'Alegreya Sans italic (latin-ext)', 'Alegreya Sans', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:20:"Alegreya Sans:italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4193, 'a3eb4f13-848c-414b-9ce4-7b9cb70d7358', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#regular', 'Alegreya Sans regular (latin)', 'Alegreya Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alegreya Sans:regular";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4194, '1e69aef1-f768-40c3-8c20-a1aa98d3e001', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#regular', 'Alegreya Sans regular (vietnamese)', 'Alegreya Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alegreya Sans:regular";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4195, '8bd884d6-dc08-4b78-a572-756f04f6c3e5', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#regular', 'Alegreya Sans regular (latin-ext)', 'Alegreya Sans', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alegreya Sans:regular";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4196, '37fd3e05-b761-46e3-bab6-c8ffe0ccea59', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#300italic', 'Alegreya Sans 300italic (latin)', 'Alegreya Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:300italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4197, 'ef8abfb8-ac3e-4a57-90e4-582856139075', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#300italic', 'Alegreya Sans 300italic (vietnamese)', 'Alegreya Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:300italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4198, 'a7165e91-6169-443c-b675-9721e8904d33', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#300italic', 'Alegreya Sans 300italic (latin-ext)', 'Alegreya Sans', 'italic', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:300italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4199, 'e2932e1f-cc11-4160-94ba-139fba89800f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#300', 'Alegreya Sans 300 (latin)', 'Alegreya Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:300";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4200, '860a749a-e40b-4c7e-9599-7e75a8c14262', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#300', 'Alegreya Sans 300 (vietnamese)', 'Alegreya Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:300";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4201, 'b52f1791-0f82-4697-88c2-b22168ec8ccc', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#300', 'Alegreya Sans 300 (latin-ext)', 'Alegreya Sans', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:300";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4202, 'ba34430d-dccb-448f-af3e-492104151f28', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#100italic', 'Alegreya Sans 100italic (latin)', 'Alegreya Sans', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:100italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4203, '1bcce689-4bf4-4843-a465-d085e16f5375', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#100italic', 'Alegreya Sans 100italic (vietnamese)', 'Alegreya Sans', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:100italic";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4204, '48858ee1-f795-46ca-9d3b-b81243a559cf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#100italic', 'Alegreya Sans 100italic (latin-ext)', 'Alegreya Sans', 'italic', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Alegreya Sans:100italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4205, 'c63641ed-9427-4347-9d8f-a230fc85ea52', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin#100', 'Alegreya Sans 100 (latin)', 'Alegreya Sans', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:100";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4206, 'a1e0d857-30e9-4ea6-a285-9dcfc3cb824f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=vietnamese#100', 'Alegreya Sans 100 (vietnamese)', 'Alegreya Sans', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:100";s:6:"subset";s:10:"vietnamese";}', 1468916180, 1468916180, 0),
(4207, 'b6a43156-640d-4b9d-9089-262133a52c4f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya Sans&subset=latin-ext#100', 'Alegreya Sans 100 (latin-ext)', 'Alegreya Sans', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:17:"Alegreya Sans:100";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4208, 'a8863a0b-8c35-4abf-aa6c-13255e413d29', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin#900italic', 'Alegreya SC 900italic (latin)', 'Alegreya SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alegreya SC:900italic";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4209, '868c24a6-74bf-4a1c-8ac5-8a6606ea4157', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin-ext#900italic', 'Alegreya SC 900italic (latin-ext)', 'Alegreya SC', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alegreya SC:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916180, 1468916180, 0),
(4210, '97f8ffa0-42b7-4381-a035-14a23dba9ecf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin#900', 'Alegreya SC 900 (latin)', 'Alegreya SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Alegreya SC:900";s:6:"subset";s:5:"latin";}', 1468916180, 1468916180, 0),
(4211, '03a1d1a1-4973-4f90-9428-d41f0dc9f56e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin-ext#900', 'Alegreya SC 900 (latin-ext)', 'Alegreya SC', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Alegreya SC:900";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4212, '6e72d775-c227-4f03-94be-3c20ba20304f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin#700italic', 'Alegreya SC 700italic (latin)', 'Alegreya SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alegreya SC:700italic";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4213, 'c4cafb35-f24c-4ff1-bfee-37c1074d668b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin-ext#700italic', 'Alegreya SC 700italic (latin-ext)', 'Alegreya SC', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Alegreya SC:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4214, '635f80e4-8c50-4742-b99a-7a8d6bd379ce', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin#700', 'Alegreya SC 700 (latin)', 'Alegreya SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Alegreya SC:700";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4215, '0a6018a2-acb1-4ab0-bbf4-590b3557cde0', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin-ext#700', 'Alegreya SC 700 (latin-ext)', 'Alegreya SC', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Alegreya SC:700";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4216, 'b307e3fe-a0c1-487f-9d3e-cef6949c3703', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin#italic', 'Alegreya SC italic (latin)', 'Alegreya SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alegreya SC:italic";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4217, '9b40e530-f586-407b-8cda-cd7fd2ad4d5a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin-ext#italic', 'Alegreya SC italic (latin-ext)', 'Alegreya SC', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alegreya SC:italic";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4218, '13863529-21ab-4bf9-8bf1-72d01f671fcb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin#regular', 'Alegreya SC regular (latin)', 'Alegreya SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Alegreya SC:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4219, 'eaee6fac-7d05-40f2-a92f-a0adb889d373', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya SC&subset=latin-ext#regular', 'Alegreya SC regular (latin-ext)', 'Alegreya SC', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:19:"Alegreya SC:regular";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4220, '6df5350c-7bf8-4a1e-a0aa-1fc9e4c953fa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin#900italic', 'Alegreya 900italic (latin)', 'Alegreya', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alegreya:900italic";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4221, '2eff6d43-0ac1-4b45-acdd-97432b7dd214', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin-ext#900italic', 'Alegreya 900italic (latin-ext)', 'Alegreya', 'italic', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alegreya:900italic";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4222, 'ab01187a-0190-4fb7-a1b4-6e5afec543c8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin#900', 'Alegreya 900 (latin)', 'Alegreya', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Alegreya:900";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4223, '84de956c-1cef-48e1-a328-592e1b15cf32', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin-ext#900', 'Alegreya 900 (latin-ext)', 'Alegreya', 'normal', '900', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Alegreya:900";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4224, '3e6c5242-e39f-41af-b1d6-1f25dde85de4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin#700italic', 'Alegreya 700italic (latin)', 'Alegreya', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alegreya:700italic";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4225, 'a91d8fc5-cbf2-4251-b1d1-49268bfd2c51', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin-ext#700italic', 'Alegreya 700italic (latin-ext)', 'Alegreya', 'italic', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Alegreya:700italic";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4226, 'd782d00c-082e-4c22-a1e1-664f4c2e6fe2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin#700', 'Alegreya 700 (latin)', 'Alegreya', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Alegreya:700";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4227, '252dc71f-2a4d-4324-96e5-9d9ee7099baa', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin-ext#700', 'Alegreya 700 (latin-ext)', 'Alegreya', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Alegreya:700";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4228, 'eeccf325-2aee-4d0b-b7d3-740bc138f890', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin#italic', 'Alegreya italic (latin)', 'Alegreya', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Alegreya:italic";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4229, '04b01679-f273-4d62-a021-688515542a07', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin-ext#italic', 'Alegreya italic (latin-ext)', 'Alegreya', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Alegreya:italic";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4230, 'aff01b5a-ff83-4eee-9436-98e50b376a8d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin#regular', 'Alegreya regular (latin)', 'Alegreya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Alegreya:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4231, '51829973-fc0c-4d3d-9e9e-41501139da53', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alegreya&subset=latin-ext#regular', 'Alegreya regular (latin-ext)', 'Alegreya', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Alegreya:regular";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4232, '95766473-b818-4dfd-9ced-87e2ccb30e36', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alef&subset=latin#700', 'Alef 700 (latin)', 'Alef', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Alef:700";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4233, '98c3417c-4a0d-4d38-bbbf-43789b31dd57', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alef&subset=hebrew#700', 'Alef 700 (hebrew)', 'Alef', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:8:"Alef:700";s:6:"subset";s:6:"hebrew";}', 1468916181, 1468916181, 0),
(4234, 'c5ad52c1-4ab9-4376-93d1-b8843dc9fe4e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alef&subset=latin#regular', 'Alef regular (latin)', 'Alef', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Alef:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4235, '665cae95-59d7-4bb2-bc2c-a99ecbf1df31', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Alef&subset=hebrew#regular', 'Alef regular (hebrew)', 'Alef', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Alef:regular";s:6:"subset";s:6:"hebrew";}', 1468916181, 1468916181, 0),
(4236, 'c85eb044-51e3-4de0-9e48-a5bfb290d7bb', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aldrich&subset=latin#regular', 'Aldrich regular (latin)', 'Aldrich', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Aldrich:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4237, 'd656d4ed-2e9d-4bde-924f-ee7175dea8f1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aladin&subset=latin#regular', 'Aladin regular (latin)', 'Aladin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Aladin:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4238, '76cd7f23-9830-4530-a8e1-ae342aaf7de1', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aladin&subset=latin-ext#regular', 'Aladin regular (latin-ext)', 'Aladin', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Aladin:regular";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4239, '0d5359c0-9fb2-434c-a201-f9d2b46bccc6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Akronim&subset=latin#regular', 'Akronim regular (latin)', 'Akronim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Akronim:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4240, 'd8e26d14-ba94-457b-be92-2edd4d84dacf', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Akronim&subset=latin-ext#regular', 'Akronim regular (latin-ext)', 'Akronim', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Akronim:regular";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4241, '361c902e-a1d5-4e69-ad97-a837a1f1d05b', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aguafina Script&subset=latin#regular', 'Aguafina Script regular (latin)', 'Aguafina Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Aguafina Script:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4242, '3534120e-7fb2-40af-a11a-2a23a213f671', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aguafina Script&subset=latin-ext#regular', 'Aguafina Script regular (latin-ext)', 'Aguafina Script', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:23:"Aguafina Script:regular";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4243, 'a21345c7-fb9f-4304-8770-2f7e76ea5942', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin#700', 'Advent Pro 700 (latin)', 'Advent Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:700";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4244, 'ebad5dff-028c-4816-8b1b-ae0f2b169c1d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=greek#700', 'Advent Pro 700 (greek)', 'Advent Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:700";s:6:"subset";s:5:"greek";}', 1468916181, 1468916181, 0),
(4245, '1f08549e-73e7-4464-957a-a48e4cb65241', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin-ext#700', 'Advent Pro 700 (latin-ext)', 'Advent Pro', 'normal', '700', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:700";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4246, '5a3a487e-33a6-4e96-9ccd-7d9587d09fa9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin#600', 'Advent Pro 600 (latin)', 'Advent Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:600";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4247, '8b9135d7-8c6e-4cdb-a42f-9824ebe08e6e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=greek#600', 'Advent Pro 600 (greek)', 'Advent Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:600";s:6:"subset";s:5:"greek";}', 1468916181, 1468916181, 0),
(4248, 'bb472313-8e06-49bc-b56f-224e6d6d435e', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin-ext#600', 'Advent Pro 600 (latin-ext)', 'Advent Pro', 'normal', '600', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:600";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4249, '360f07b2-94c3-4a62-9016-1c3fe44612df', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin#500', 'Advent Pro 500 (latin)', 'Advent Pro', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:500";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4250, 'ae3a7483-894e-4a2d-bb5b-7ceea17cf0e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=greek#500', 'Advent Pro 500 (greek)', 'Advent Pro', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:500";s:6:"subset";s:5:"greek";}', 1468916181, 1468916181, 0),
(4251, '14d2d4d6-36a5-4591-a7f1-574f6be88277', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin-ext#500', 'Advent Pro 500 (latin-ext)', 'Advent Pro', 'normal', '500', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:500";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4252, 'bf18e38f-c352-46f8-8f09-570df94588e9', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin#regular', 'Advent Pro regular (latin)', 'Advent Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Advent Pro:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4253, '2a72b754-8ed5-4d0c-b4f6-f836ccf5f951', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=greek#regular', 'Advent Pro regular (greek)', 'Advent Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Advent Pro:regular";s:6:"subset";s:5:"greek";}', 1468916181, 1468916181, 0),
(4254, 'f10d2da2-4d1e-4edc-bedf-f865d394d6e2', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin-ext#regular', 'Advent Pro regular (latin-ext)', 'Advent Pro', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:18:"Advent Pro:regular";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4255, 'd8317364-1440-432c-9af5-561f7a66fade', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin#300', 'Advent Pro 300 (latin)', 'Advent Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:300";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4256, '60031bd3-b9b0-4c57-af50-25a813a1299f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=greek#300', 'Advent Pro 300 (greek)', 'Advent Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:300";s:6:"subset";s:5:"greek";}', 1468916181, 1468916181, 0),
(4257, '7a498480-43a6-416d-91c5-0c8fa8d5f848', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin-ext#300', 'Advent Pro 300 (latin-ext)', 'Advent Pro', 'normal', '300', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:300";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4258, 'cdecda35-c817-473a-9eda-6ce2c56c203a', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin#200', 'Advent Pro 200 (latin)', 'Advent Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:200";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4259, '662ab7f5-3133-493e-a955-7b5ba766e0f8', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=greek#200', 'Advent Pro 200 (greek)', 'Advent Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:200";s:6:"subset";s:5:"greek";}', 1468916181, 1468916181, 0),
(4260, '051e08f2-fa56-4f31-b12e-5635145e28c3', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin-ext#200', 'Advent Pro 200 (latin-ext)', 'Advent Pro', 'normal', '200', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:200";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4261, 'a2080e93-df8f-49ba-a234-c7280107adb4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin#100', 'Advent Pro 100 (latin)', 'Advent Pro', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:100";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4262, '95e28d90-0177-4e87-9282-e38b193b7fb6', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=greek#100', 'Advent Pro 100 (greek)', 'Advent Pro', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:100";s:6:"subset";s:5:"greek";}', 1468916181, 1468916181, 0),
(4263, '33fd1f89-d82b-4d4e-a679-0a9ea5a0627f', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Advent Pro&subset=latin-ext#100', 'Advent Pro 100 (latin-ext)', 'Advent Pro', 'normal', '100', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"Advent Pro:100";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4264, '0eb60703-d00d-465c-8169-f28fead65bb4', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Adamina&subset=latin#regular', 'Adamina regular (latin)', 'Adamina', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"Adamina:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4265, '0cdbfc44-424b-4b6a-9071-297165834146', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Actor&subset=latin#regular', 'Actor regular (latin)', 'Actor', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:13:"Actor:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4266, 'a74c2b52-dd44-4d1e-9cfa-632aef471c30', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Acme&subset=latin#regular', 'Acme regular (latin)', 'Acme', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Acme:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4267, '53f7e9c8-b8ca-41c9-bc1c-7a09d28cfb86', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Aclonica&subset=latin#regular', 'Aclonica regular (latin)', 'Aclonica', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:16:"Aclonica:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4268, '8e58b21f-8adc-4f8f-9512-665d1d51801d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Abril Fatface&subset=latin#regular', 'Abril Fatface regular (latin)', 'Abril Fatface', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Abril Fatface:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4269, 'ce6e792a-e31c-4f50-9258-ebda1ebaa75d', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Abril Fatface&subset=latin-ext#regular', 'Abril Fatface regular (latin-ext)', 'Abril Fatface', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:21:"Abril Fatface:regular";s:6:"subset";s:9:"latin-ext";}', 1468916181, 1468916181, 0),
(4270, 'e55760ee-252a-4a60-82a7-df57d07d271c', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=Abel&subset=latin#regular', 'Abel regular (latin)', 'Abel', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:12:"Abel:regular";s:6:"subset";s:5:"latin";}', 1468916181, 1468916181, 0),
(4271, 'f16630c8-f431-425b-a469-e8c4a5f09804', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=ABeeZee&subset=latin#italic', 'ABeeZee italic (latin)', 'ABeeZee', 'italic', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:14:"ABeeZee:italic";s:6:"subset";s:5:"latin";}', 1468916182, 1468916182, 0),
(4272, 'c5f48607-3fad-43e0-b313-b10a0f47ea84', 'google_fonts_api', 'http://www.google.com/webfonts/family?family=ABeeZee&subset=latin#regular', 'ABeeZee regular (latin)', 'ABeeZee', 'normal', 'normal', NULL, NULL, NULL, NULL, NULL, NULL, 'a:2:{s:4:"path";s:15:"ABeeZee:regular";s:6:"subset";s:5:"latin";}', 1468916182, 1468916182, 0);

-- --------------------------------------------------------

--
-- Table structure for table `font__field_classification`
--

CREATE TABLE `font__field_classification` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_classification_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_classification_target_id` (`field_classification_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for font field field_classification.';

--
-- Dumping data for table `font__field_classification`
--

INSERT INTO `font__field_classification` VALUES
('font', 0, 1, 1, 'und', 0, 18),
('font', 0, 2, 2, 'und', 0, 20),
('font', 0, 3, 3, 'und', 0, 20),
('font', 0, 4, 4, 'und', 0, 20),
('font', 0, 5, 5, 'und', 0, 20),
('font', 0, 6, 6, 'und', 0, 20),
('font', 0, 7, 7, 'und', 0, 20),
('font', 0, 8, 8, 'und', 0, 20),
('font', 0, 9, 9, 'und', 0, 20),
('font', 0, 10, 10, 'und', 0, 20),
('font', 0, 11, 11, 'und', 0, 20),
('font', 0, 12, 12, 'und', 0, 18),
('font', 0, 13, 13, 'und', 0, 22),
('font', 0, 14, 14, 'und', 0, 22),
('font', 0, 15, 15, 'und', 0, 22),
('font', 0, 16, 16, 'und', 0, 18),
('font', 0, 17, 17, 'und', 0, 22),
('font', 0, 18, 18, 'und', 0, 22),
('font', 0, 19, 19, 'und', 0, 22),
('font', 0, 20, 20, 'und', 0, 25),
('font', 0, 21, 21, 'und', 0, 25),
('font', 0, 22, 22, 'und', 0, 25),
('font', 0, 23, 23, 'und', 0, 25),
('font', 0, 24, 24, 'und', 0, 25),
('font', 0, 25, 25, 'und', 0, 25),
('font', 0, 26, 26, 'und', 0, 25),
('font', 0, 27, 27, 'und', 0, 25),
('font', 0, 28, 28, 'und', 0, 25),
('font', 0, 29, 29, 'und', 0, 25),
('font', 0, 30, 30, 'und', 0, 25),
('font', 0, 31, 31, 'und', 0, 25),
('font', 0, 32, 32, 'und', 0, 25),
('font', 0, 33, 33, 'und', 0, 25),
('font', 0, 34, 34, 'und', 0, 25),
('font', 0, 35, 35, 'und', 0, 25),
('font', 0, 36, 36, 'und', 0, 25),
('font', 0, 37, 37, 'und', 0, 25),
('font', 0, 38, 38, 'und', 0, 25),
('font', 0, 39, 39, 'und', 0, 25),
('font', 0, 40, 40, 'und', 0, 25),
('font', 0, 41, 41, 'und', 0, 25),
('font', 0, 42, 42, 'und', 0, 25),
('font', 0, 43, 43, 'und', 0, 25),
('font', 0, 44, 44, 'und', 0, 25),
('font', 0, 45, 45, 'und', 0, 25),
('font', 0, 46, 46, 'und', 0, 25),
('font', 0, 47, 47, 'und', 0, 25),
('font', 0, 48, 48, 'und', 0, 25),
('font', 0, 49, 49, 'und', 0, 25),
('font', 0, 50, 50, 'und', 0, 25),
('font', 0, 51, 51, 'und', 0, 25),
('font', 0, 52, 52, 'und', 0, 25),
('font', 0, 53, 53, 'und', 0, 25),
('font', 0, 54, 54, 'und', 0, 25),
('font', 0, 55, 55, 'und', 0, 25),
('font', 0, 56, 56, 'und', 0, 25),
('font', 0, 57, 57, 'und', 0, 25),
('font', 0, 58, 58, 'und', 0, 25),
('font', 0, 59, 59, 'und', 0, 25),
('font', 0, 60, 60, 'und', 0, 25),
('font', 0, 61, 61, 'und', 0, 25),
('font', 0, 62, 62, 'und', 0, 25),
('font', 0, 63, 63, 'und', 0, 25),
('font', 0, 64, 64, 'und', 0, 25),
('font', 0, 65, 65, 'und', 0, 25),
('font', 0, 66, 66, 'und', 0, 25),
('font', 0, 67, 67, 'und', 0, 22),
('font', 0, 68, 68, 'und', 0, 22),
('font', 0, 69, 69, 'und', 0, 22),
('font', 0, 70, 70, 'und', 0, 22),
('font', 0, 71, 71, 'und', 0, 18),
('font', 0, 72, 72, 'und', 0, 22),
('font', 0, 73, 73, 'und', 0, 18),
('font', 0, 74, 74, 'und', 0, 25),
('font', 0, 75, 75, 'und', 0, 20),
('font', 0, 76, 76, 'und', 0, 20),
('font', 0, 77, 77, 'und', 0, 20),
('font', 0, 78, 78, 'und', 0, 20),
('font', 0, 79, 79, 'und', 0, 20),
('font', 0, 80, 80, 'und', 0, 20),
('font', 0, 81, 81, 'und', 0, 20),
('font', 0, 82, 82, 'und', 0, 20),
('font', 0, 83, 83, 'und', 0, 22),
('font', 0, 84, 84, 'und', 0, 22),
('font', 0, 85, 85, 'und', 0, 25),
('font', 0, 86, 86, 'und', 0, 25),
('font', 0, 87, 87, 'und', 0, 20),
('font', 0, 88, 88, 'und', 0, 18),
('font', 0, 89, 89, 'und', 0, 20),
('font', 0, 90, 90, 'und', 0, 20),
('font', 0, 91, 91, 'und', 0, 20),
('font', 0, 92, 92, 'und', 0, 20),
('font', 0, 93, 93, 'und', 0, 20),
('font', 0, 94, 94, 'und', 0, 20),
('font', 0, 95, 95, 'und', 0, 20),
('font', 0, 96, 96, 'und', 0, 20),
('font', 0, 97, 97, 'und', 0, 20),
('font', 0, 98, 98, 'und', 0, 20),
('font', 0, 99, 99, 'und', 0, 20),
('font', 0, 100, 100, 'und', 0, 20),
('font', 0, 101, 101, 'und', 0, 22),
('font', 0, 102, 102, 'und', 0, 25),
('font', 0, 103, 103, 'und', 0, 25),
('font', 0, 104, 104, 'und', 0, 25),
('font', 0, 105, 105, 'und', 0, 25),
('font', 0, 106, 106, 'und', 0, 22),
('font', 0, 107, 107, 'und', 0, 22),
('font', 0, 108, 108, 'und', 0, 27),
('font', 0, 109, 109, 'und', 0, 20),
('font', 0, 110, 110, 'und', 0, 22),
('font', 0, 111, 111, 'und', 0, 22),
('font', 0, 112, 112, 'und', 0, 22),
('font', 0, 113, 113, 'und', 0, 22),
('font', 0, 114, 114, 'und', 0, 22),
('font', 0, 115, 115, 'und', 0, 22),
('font', 0, 116, 116, 'und', 0, 22),
('font', 0, 117, 117, 'und', 0, 22),
('font', 0, 118, 118, 'und', 0, 22),
('font', 0, 119, 119, 'und', 0, 22),
('font', 0, 120, 120, 'und', 0, 22),
('font', 0, 121, 121, 'und', 0, 20),
('font', 0, 122, 122, 'und', 0, 27),
('font', 0, 123, 123, 'und', 0, 27),
('font', 0, 124, 124, 'und', 0, 27),
('font', 0, 125, 125, 'und', 0, 27),
('font', 0, 126, 126, 'und', 0, 27),
('font', 0, 127, 127, 'und', 0, 27),
('font', 0, 128, 128, 'und', 0, 27),
('font', 0, 129, 129, 'und', 0, 27),
('font', 0, 130, 130, 'und', 0, 27),
('font', 0, 131, 131, 'und', 0, 27),
('font', 0, 132, 132, 'und', 0, 27),
('font', 0, 133, 133, 'und', 0, 27),
('font', 0, 134, 134, 'und', 0, 27),
('font', 0, 135, 135, 'und', 0, 27),
('font', 0, 136, 136, 'und', 0, 27),
('font', 0, 137, 137, 'und', 0, 27),
('font', 0, 138, 138, 'und', 0, 27),
('font', 0, 139, 139, 'und', 0, 27),
('font', 0, 140, 140, 'und', 0, 27),
('font', 0, 141, 141, 'und', 0, 27),
('font', 0, 142, 142, 'und', 0, 27),
('font', 0, 143, 143, 'und', 0, 27),
('font', 0, 144, 144, 'und', 0, 27),
('font', 0, 145, 145, 'und', 0, 27),
('font', 0, 146, 146, 'und', 0, 25),
('font', 0, 147, 147, 'und', 0, 25),
('font', 0, 148, 148, 'und', 0, 25),
('font', 0, 149, 149, 'und', 0, 25),
('font', 0, 150, 150, 'und', 0, 25),
('font', 0, 151, 151, 'und', 0, 25),
('font', 0, 152, 152, 'und', 0, 25),
('font', 0, 153, 153, 'und', 0, 25),
('font', 0, 154, 154, 'und', 0, 25),
('font', 0, 155, 155, 'und', 0, 25),
('font', 0, 156, 156, 'und', 0, 25),
('font', 0, 157, 157, 'und', 0, 25),
('font', 0, 158, 158, 'und', 0, 25),
('font', 0, 159, 159, 'und', 0, 25),
('font', 0, 160, 160, 'und', 0, 25),
('font', 0, 161, 161, 'und', 0, 25),
('font', 0, 162, 162, 'und', 0, 25),
('font', 0, 163, 163, 'und', 0, 25),
('font', 0, 164, 164, 'und', 0, 25),
('font', 0, 165, 165, 'und', 0, 25),
('font', 0, 166, 166, 'und', 0, 25),
('font', 0, 167, 167, 'und', 0, 25),
('font', 0, 168, 168, 'und', 0, 25),
('font', 0, 169, 169, 'und', 0, 25),
('font', 0, 170, 170, 'und', 0, 25),
('font', 0, 171, 171, 'und', 0, 25),
('font', 0, 172, 172, 'und', 0, 25),
('font', 0, 173, 173, 'und', 0, 25),
('font', 0, 174, 174, 'und', 0, 25),
('font', 0, 175, 175, 'und', 0, 25),
('font', 0, 176, 176, 'und', 0, 25),
('font', 0, 177, 177, 'und', 0, 25),
('font', 0, 178, 178, 'und', 0, 25),
('font', 0, 179, 179, 'und', 0, 25),
('font', 0, 180, 180, 'und', 0, 25),
('font', 0, 181, 181, 'und', 0, 25),
('font', 0, 182, 182, 'und', 0, 25),
('font', 0, 183, 183, 'und', 0, 25),
('font', 0, 184, 184, 'und', 0, 25),
('font', 0, 185, 185, 'und', 0, 25),
('font', 0, 186, 186, 'und', 0, 25),
('font', 0, 187, 187, 'und', 0, 25),
('font', 0, 188, 188, 'und', 0, 25),
('font', 0, 189, 189, 'und', 0, 25),
('font', 0, 190, 190, 'und', 0, 25),
('font', 0, 191, 191, 'und', 0, 25),
('font', 0, 192, 192, 'und', 0, 25),
('font', 0, 193, 193, 'und', 0, 25),
('font', 0, 194, 194, 'und', 0, 25),
('font', 0, 195, 195, 'und', 0, 25),
('font', 0, 196, 196, 'und', 0, 25),
('font', 0, 197, 197, 'und', 0, 25),
('font', 0, 198, 198, 'und', 0, 25),
('font', 0, 199, 199, 'und', 0, 25),
('font', 0, 200, 200, 'und', 0, 22),
('font', 0, 201, 201, 'und', 0, 20),
('font', 0, 202, 202, 'und', 0, 20),
('font', 0, 203, 203, 'und', 0, 22),
('font', 0, 204, 204, 'und', 0, 22),
('font', 0, 205, 205, 'und', 0, 22),
('font', 0, 206, 206, 'und', 0, 20),
('font', 0, 207, 207, 'und', 0, 20),
('font', 0, 208, 208, 'und', 0, 20),
('font', 0, 209, 209, 'und', 0, 20),
('font', 0, 210, 210, 'und', 0, 20),
('font', 0, 211, 211, 'und', 0, 20),
('font', 0, 212, 212, 'und', 0, 20),
('font', 0, 213, 213, 'und', 0, 20),
('font', 0, 214, 214, 'und', 0, 20),
('font', 0, 215, 215, 'und', 0, 20),
('font', 0, 216, 216, 'und', 0, 20),
('font', 0, 217, 217, 'und', 0, 20),
('font', 0, 218, 218, 'und', 0, 20),
('font', 0, 219, 219, 'und', 0, 20),
('font', 0, 220, 220, 'und', 0, 20),
('font', 0, 221, 221, 'und', 0, 20),
('font', 0, 222, 222, 'und', 0, 20),
('font', 0, 223, 223, 'und', 0, 20),
('font', 0, 224, 224, 'und', 0, 20),
('font', 0, 225, 225, 'und', 0, 20),
('font', 0, 226, 226, 'und', 0, 20),
('font', 0, 227, 227, 'und', 0, 20),
('font', 0, 228, 228, 'und', 0, 20),
('font', 0, 229, 229, 'und', 0, 20),
('font', 0, 230, 230, 'und', 0, 20),
('font', 0, 231, 231, 'und', 0, 20),
('font', 0, 232, 232, 'und', 0, 20),
('font', 0, 233, 233, 'und', 0, 20),
('font', 0, 234, 234, 'und', 0, 20),
('font', 0, 235, 235, 'und', 0, 20),
('font', 0, 236, 236, 'und', 0, 20),
('font', 0, 237, 237, 'und', 0, 20),
('font', 0, 238, 238, 'und', 0, 20),
('font', 0, 239, 239, 'und', 0, 20),
('font', 0, 240, 240, 'und', 0, 20),
('font', 0, 241, 241, 'und', 0, 20),
('font', 0, 242, 242, 'und', 0, 20),
('font', 0, 243, 243, 'und', 0, 20),
('font', 0, 244, 244, 'und', 0, 20),
('font', 0, 245, 245, 'und', 0, 20),
('font', 0, 246, 246, 'und', 0, 20),
('font', 0, 247, 247, 'und', 0, 20),
('font', 0, 248, 248, 'und', 0, 20),
('font', 0, 249, 249, 'und', 0, 20),
('font', 0, 250, 250, 'und', 0, 20),
('font', 0, 251, 251, 'und', 0, 20),
('font', 0, 252, 252, 'und', 0, 20),
('font', 0, 253, 253, 'und', 0, 20),
('font', 0, 254, 254, 'und', 0, 20),
('font', 0, 255, 255, 'und', 0, 20),
('font', 0, 256, 256, 'und', 0, 20),
('font', 0, 257, 257, 'und', 0, 20),
('font', 0, 258, 258, 'und', 0, 20),
('font', 0, 259, 259, 'und', 0, 20),
('font', 0, 260, 260, 'und', 0, 20),
('font', 0, 261, 261, 'und', 0, 20),
('font', 0, 262, 262, 'und', 0, 20),
('font', 0, 263, 263, 'und', 0, 20),
('font', 0, 264, 264, 'und', 0, 20),
('font', 0, 265, 265, 'und', 0, 20),
('font', 0, 266, 266, 'und', 0, 20),
('font', 0, 267, 267, 'und', 0, 20),
('font', 0, 268, 268, 'und', 0, 20),
('font', 0, 269, 269, 'und', 0, 20),
('font', 0, 270, 270, 'und', 0, 20),
('font', 0, 271, 271, 'und', 0, 20),
('font', 0, 272, 272, 'und', 0, 20),
('font', 0, 273, 273, 'und', 0, 20),
('font', 0, 274, 274, 'und', 0, 20),
('font', 0, 275, 275, 'und', 0, 20),
('font', 0, 276, 276, 'und', 0, 20),
('font', 0, 277, 277, 'und', 0, 20),
('font', 0, 278, 278, 'und', 0, 20),
('font', 0, 279, 279, 'und', 0, 20),
('font', 0, 280, 280, 'und', 0, 22),
('font', 0, 281, 281, 'und', 0, 25),
('font', 0, 282, 282, 'und', 0, 25),
('font', 0, 283, 283, 'und', 0, 25),
('font', 0, 284, 284, 'und', 0, 25),
('font', 0, 285, 285, 'und', 0, 25),
('font', 0, 286, 286, 'und', 0, 25),
('font', 0, 287, 287, 'und', 0, 25),
('font', 0, 288, 288, 'und', 0, 25),
('font', 0, 289, 289, 'und', 0, 25),
('font', 0, 290, 290, 'und', 0, 25),
('font', 0, 291, 291, 'und', 0, 25),
('font', 0, 292, 292, 'und', 0, 25),
('font', 0, 293, 293, 'und', 0, 25),
('font', 0, 294, 294, 'und', 0, 25),
('font', 0, 295, 295, 'und', 0, 25),
('font', 0, 296, 296, 'und', 0, 25),
('font', 0, 297, 297, 'und', 0, 25),
('font', 0, 298, 298, 'und', 0, 25),
('font', 0, 299, 299, 'und', 0, 25),
('font', 0, 300, 300, 'und', 0, 25),
('font', 0, 301, 301, 'und', 0, 25),
('font', 0, 302, 302, 'und', 0, 25),
('font', 0, 303, 303, 'und', 0, 22),
('font', 0, 304, 304, 'und', 0, 22),
('font', 0, 305, 305, 'und', 0, 20),
('font', 0, 306, 306, 'und', 0, 20),
('font', 0, 307, 307, 'und', 0, 20),
('font', 0, 308, 308, 'und', 0, 20),
('font', 0, 309, 309, 'und', 0, 20),
('font', 0, 310, 310, 'und', 0, 20),
('font', 0, 311, 311, 'und', 0, 20),
('font', 0, 312, 312, 'und', 0, 20),
('font', 0, 313, 313, 'und', 0, 20),
('font', 0, 314, 314, 'und', 0, 20),
('font', 0, 315, 315, 'und', 0, 20),
('font', 0, 316, 316, 'und', 0, 20),
('font', 0, 317, 317, 'und', 0, 20),
('font', 0, 318, 318, 'und', 0, 20),
('font', 0, 319, 319, 'und', 0, 20),
('font', 0, 320, 320, 'und', 0, 20),
('font', 0, 321, 321, 'und', 0, 20),
('font', 0, 322, 322, 'und', 0, 20),
('font', 0, 323, 323, 'und', 0, 20),
('font', 0, 324, 324, 'und', 0, 20),
('font', 0, 325, 325, 'und', 0, 20),
('font', 0, 326, 326, 'und', 0, 20),
('font', 0, 327, 327, 'und', 0, 20),
('font', 0, 328, 328, 'und', 0, 20),
('font', 0, 329, 329, 'und', 0, 20),
('font', 0, 330, 330, 'und', 0, 20),
('font', 0, 331, 331, 'und', 0, 20),
('font', 0, 332, 332, 'und', 0, 20),
('font', 0, 333, 333, 'und', 0, 20),
('font', 0, 334, 334, 'und', 0, 20),
('font', 0, 335, 335, 'und', 0, 20),
('font', 0, 336, 336, 'und', 0, 20),
('font', 0, 337, 337, 'und', 0, 25),
('font', 0, 338, 338, 'und', 0, 25),
('font', 0, 339, 339, 'und', 0, 18),
('font', 0, 340, 340, 'und', 0, 18),
('font', 0, 341, 341, 'und', 0, 18),
('font', 0, 342, 342, 'und', 0, 18),
('font', 0, 343, 343, 'und', 0, 18),
('font', 0, 344, 344, 'und', 0, 18),
('font', 0, 345, 345, 'und', 0, 18),
('font', 0, 346, 346, 'und', 0, 18),
('font', 0, 347, 347, 'und', 0, 18),
('font', 0, 348, 348, 'und', 0, 18),
('font', 0, 349, 349, 'und', 0, 18),
('font', 0, 350, 350, 'und', 0, 18),
('font', 0, 351, 351, 'und', 0, 18),
('font', 0, 352, 352, 'und', 0, 18),
('font', 0, 353, 353, 'und', 0, 18),
('font', 0, 354, 354, 'und', 0, 20),
('font', 0, 355, 355, 'und', 0, 20),
('font', 0, 356, 356, 'und', 0, 20),
('font', 0, 357, 357, 'und', 0, 18),
('font', 0, 358, 358, 'und', 0, 25),
('font', 0, 359, 359, 'und', 0, 25),
('font', 0, 360, 360, 'und', 0, 25),
('font', 0, 361, 361, 'und', 0, 25),
('font', 0, 362, 362, 'und', 0, 25),
('font', 0, 363, 363, 'und', 0, 25),
('font', 0, 364, 364, 'und', 0, 25),
('font', 0, 365, 365, 'und', 0, 25),
('font', 0, 366, 366, 'und', 0, 25),
('font', 0, 367, 367, 'und', 0, 25),
('font', 0, 368, 368, 'und', 0, 25),
('font', 0, 369, 369, 'und', 0, 25),
('font', 0, 370, 370, 'und', 0, 25),
('font', 0, 371, 371, 'und', 0, 25),
('font', 0, 372, 372, 'und', 0, 25),
('font', 0, 373, 373, 'und', 0, 25),
('font', 0, 374, 374, 'und', 0, 25),
('font', 0, 375, 375, 'und', 0, 25),
('font', 0, 376, 376, 'und', 0, 25),
('font', 0, 377, 377, 'und', 0, 25),
('font', 0, 378, 378, 'und', 0, 25),
('font', 0, 379, 379, 'und', 0, 25),
('font', 0, 380, 380, 'und', 0, 25),
('font', 0, 381, 381, 'und', 0, 20),
('font', 0, 382, 382, 'und', 0, 20),
('font', 0, 383, 383, 'und', 0, 20),
('font', 0, 384, 384, 'und', 0, 20),
('font', 0, 385, 385, 'und', 0, 20),
('font', 0, 386, 386, 'und', 0, 20),
('font', 0, 387, 387, 'und', 0, 20),
('font', 0, 388, 388, 'und', 0, 20),
('font', 0, 389, 389, 'und', 0, 20),
('font', 0, 390, 390, 'und', 0, 20),
('font', 0, 391, 391, 'und', 0, 20),
('font', 0, 392, 392, 'und', 0, 20),
('font', 0, 393, 393, 'und', 0, 20),
('font', 0, 394, 394, 'und', 0, 20),
('font', 0, 395, 395, 'und', 0, 20),
('font', 0, 396, 396, 'und', 0, 20),
('font', 0, 397, 397, 'und', 0, 20),
('font', 0, 398, 398, 'und', 0, 20),
('font', 0, 399, 399, 'und', 0, 20),
('font', 0, 400, 400, 'und', 0, 20),
('font', 0, 401, 401, 'und', 0, 20),
('font', 0, 402, 402, 'und', 0, 20),
('font', 0, 403, 403, 'und', 0, 20),
('font', 0, 404, 404, 'und', 0, 20),
('font', 0, 405, 405, 'und', 0, 20),
('font', 0, 406, 406, 'und', 0, 20),
('font', 0, 407, 407, 'und', 0, 20),
('font', 0, 408, 408, 'und', 0, 20),
('font', 0, 409, 409, 'und', 0, 20),
('font', 0, 410, 410, 'und', 0, 20),
('font', 0, 411, 411, 'und', 0, 20),
('font', 0, 412, 412, 'und', 0, 20),
('font', 0, 413, 413, 'und', 0, 20),
('font', 0, 414, 414, 'und', 0, 20),
('font', 0, 415, 415, 'und', 0, 20),
('font', 0, 416, 416, 'und', 0, 20),
('font', 0, 417, 417, 'und', 0, 20),
('font', 0, 418, 418, 'und', 0, 20),
('font', 0, 419, 419, 'und', 0, 20),
('font', 0, 420, 420, 'und', 0, 20),
('font', 0, 421, 421, 'und', 0, 20),
('font', 0, 422, 422, 'und', 0, 20),
('font', 0, 423, 423, 'und', 0, 20),
('font', 0, 424, 424, 'und', 0, 20),
('font', 0, 425, 425, 'und', 0, 20),
('font', 0, 426, 426, 'und', 0, 20),
('font', 0, 427, 427, 'und', 0, 20),
('font', 0, 428, 428, 'und', 0, 20),
('font', 0, 429, 429, 'und', 0, 20),
('font', 0, 430, 430, 'und', 0, 20),
('font', 0, 431, 431, 'und', 0, 20),
('font', 0, 432, 432, 'und', 0, 20),
('font', 0, 433, 433, 'und', 0, 20),
('font', 0, 434, 434, 'und', 0, 20),
('font', 0, 435, 435, 'und', 0, 20),
('font', 0, 436, 436, 'und', 0, 20),
('font', 0, 437, 437, 'und', 0, 20),
('font', 0, 438, 438, 'und', 0, 20),
('font', 0, 439, 439, 'und', 0, 20),
('font', 0, 440, 440, 'und', 0, 20),
('font', 0, 441, 441, 'und', 0, 20),
('font', 0, 442, 442, 'und', 0, 20),
('font', 0, 443, 443, 'und', 0, 20),
('font', 0, 444, 444, 'und', 0, 20),
('font', 0, 445, 445, 'und', 0, 20),
('font', 0, 446, 446, 'und', 0, 20),
('font', 0, 447, 447, 'und', 0, 20),
('font', 0, 448, 448, 'und', 0, 20),
('font', 0, 449, 449, 'und', 0, 20),
('font', 0, 450, 450, 'und', 0, 20),
('font', 0, 451, 451, 'und', 0, 20),
('font', 0, 452, 452, 'und', 0, 20),
('font', 0, 453, 453, 'und', 0, 25),
('font', 0, 454, 454, 'und', 0, 25),
('font', 0, 455, 455, 'und', 0, 22),
('font', 0, 456, 456, 'und', 0, 18),
('font', 0, 457, 457, 'und', 0, 18),
('font', 0, 458, 458, 'und', 0, 25),
('font', 0, 459, 459, 'und', 0, 25),
('font', 0, 460, 460, 'und', 0, 18),
('font', 0, 461, 461, 'und', 0, 22),
('font', 0, 462, 462, 'und', 0, 20),
('font', 0, 463, 463, 'und', 0, 20),
('font', 0, 464, 464, 'und', 0, 20),
('font', 0, 465, 465, 'und', 0, 20),
('font', 0, 466, 466, 'und', 0, 20),
('font', 0, 467, 467, 'und', 0, 20),
('font', 0, 468, 468, 'und', 0, 20),
('font', 0, 469, 469, 'und', 0, 20),
('font', 0, 470, 470, 'und', 0, 20),
('font', 0, 471, 471, 'und', 0, 20),
('font', 0, 472, 472, 'und', 0, 22),
('font', 0, 473, 473, 'und', 0, 18),
('font', 0, 474, 474, 'und', 0, 20),
('font', 0, 475, 475, 'und', 0, 20),
('font', 0, 476, 476, 'und', 0, 20),
('font', 0, 477, 477, 'und', 0, 20),
('font', 0, 478, 478, 'und', 0, 20),
('font', 0, 479, 479, 'und', 0, 20),
('font', 0, 480, 480, 'und', 0, 20),
('font', 0, 481, 481, 'und', 0, 20),
('font', 0, 482, 482, 'und', 0, 20),
('font', 0, 483, 483, 'und', 0, 18),
('font', 0, 484, 484, 'und', 0, 25),
('font', 0, 485, 485, 'und', 0, 20),
('font', 0, 486, 486, 'und', 0, 20),
('font', 0, 487, 487, 'und', 0, 20),
('font', 0, 488, 488, 'und', 0, 20),
('font', 0, 489, 489, 'und', 0, 22),
('font', 0, 490, 490, 'und', 0, 22),
('font', 0, 491, 491, 'und', 0, 22),
('font', 0, 492, 492, 'und', 0, 22),
('font', 0, 493, 493, 'und', 0, 22),
('font', 0, 494, 494, 'und', 0, 22),
('font', 0, 495, 495, 'und', 0, 22),
('font', 0, 496, 496, 'und', 0, 22),
('font', 0, 497, 497, 'und', 0, 22),
('font', 0, 498, 498, 'und', 0, 18),
('font', 0, 499, 499, 'und', 0, 18),
('font', 0, 500, 500, 'und', 0, 18),
('font', 0, 501, 501, 'und', 0, 18),
('font', 0, 502, 502, 'und', 0, 18),
('font', 0, 503, 503, 'und', 0, 18),
('font', 0, 504, 504, 'und', 0, 20),
('font', 0, 505, 505, 'und', 0, 20),
('font', 0, 506, 506, 'und', 0, 22),
('font', 0, 507, 507, 'und', 0, 22),
('font', 0, 508, 508, 'und', 0, 25),
('font', 0, 509, 509, 'und', 0, 25),
('font', 0, 510, 510, 'und', 0, 22),
('font', 0, 511, 511, 'und', 0, 22),
('font', 0, 512, 512, 'und', 0, 27),
('font', 0, 513, 513, 'und', 0, 27),
('font', 0, 514, 514, 'und', 0, 27),
('font', 0, 515, 515, 'und', 0, 27),
('font', 0, 516, 516, 'und', 0, 27),
('font', 0, 517, 517, 'und', 0, 27),
('font', 0, 518, 518, 'und', 0, 27),
('font', 0, 519, 519, 'und', 0, 27),
('font', 0, 520, 520, 'und', 0, 27),
('font', 0, 521, 521, 'und', 0, 27),
('font', 0, 522, 522, 'und', 0, 27),
('font', 0, 523, 523, 'und', 0, 27),
('font', 0, 524, 524, 'und', 0, 20),
('font', 0, 525, 525, 'und', 0, 20),
('font', 0, 526, 526, 'und', 0, 20),
('font', 0, 527, 527, 'und', 0, 20),
('font', 0, 528, 528, 'und', 0, 20),
('font', 0, 529, 529, 'und', 0, 20),
('font', 0, 530, 530, 'und', 0, 25),
('font', 0, 531, 531, 'und', 0, 25),
('font', 0, 532, 532, 'und', 0, 25),
('font', 0, 533, 533, 'und', 0, 25),
('font', 0, 534, 534, 'und', 0, 25),
('font', 0, 535, 535, 'und', 0, 25),
('font', 0, 536, 536, 'und', 0, 25),
('font', 0, 537, 537, 'und', 0, 25),
('font', 0, 538, 538, 'und', 0, 25),
('font', 0, 539, 539, 'und', 0, 25),
('font', 0, 540, 540, 'und', 0, 25),
('font', 0, 541, 541, 'und', 0, 25),
('font', 0, 542, 542, 'und', 0, 25),
('font', 0, 543, 543, 'und', 0, 25),
('font', 0, 544, 544, 'und', 0, 25),
('font', 0, 545, 545, 'und', 0, 25),
('font', 0, 546, 546, 'und', 0, 25),
('font', 0, 547, 547, 'und', 0, 25),
('font', 0, 548, 548, 'und', 0, 25),
('font', 0, 549, 549, 'und', 0, 25),
('font', 0, 550, 550, 'und', 0, 25),
('font', 0, 551, 551, 'und', 0, 25),
('font', 0, 552, 552, 'und', 0, 25),
('font', 0, 553, 553, 'und', 0, 25),
('font', 0, 554, 554, 'und', 0, 25),
('font', 0, 555, 555, 'und', 0, 25),
('font', 0, 556, 556, 'und', 0, 25),
('font', 0, 557, 557, 'und', 0, 25),
('font', 0, 558, 558, 'und', 0, 25),
('font', 0, 559, 559, 'und', 0, 25),
('font', 0, 560, 560, 'und', 0, 25),
('font', 0, 561, 561, 'und', 0, 25),
('font', 0, 562, 562, 'und', 0, 25),
('font', 0, 563, 563, 'und', 0, 25),
('font', 0, 564, 564, 'und', 0, 25),
('font', 0, 565, 565, 'und', 0, 25),
('font', 0, 566, 566, 'und', 0, 27),
('font', 0, 567, 567, 'und', 0, 27),
('font', 0, 568, 568, 'und', 0, 27),
('font', 0, 569, 569, 'und', 0, 27),
('font', 0, 570, 570, 'und', 0, 27),
('font', 0, 571, 571, 'und', 0, 27),
('font', 0, 572, 572, 'und', 0, 27),
('font', 0, 573, 573, 'und', 0, 27),
('font', 0, 574, 574, 'und', 0, 27),
('font', 0, 575, 575, 'und', 0, 27),
('font', 0, 576, 576, 'und', 0, 27),
('font', 0, 577, 577, 'und', 0, 27),
('font', 0, 578, 578, 'und', 0, 27),
('font', 0, 579, 579, 'und', 0, 27),
('font', 0, 580, 580, 'und', 0, 20),
('font', 0, 581, 581, 'und', 0, 20),
('font', 0, 582, 582, 'und', 0, 20),
('font', 0, 583, 583, 'und', 0, 20),
('font', 0, 584, 584, 'und', 0, 22),
('font', 0, 585, 585, 'und', 0, 22),
('font', 0, 586, 586, 'und', 0, 18),
('font', 0, 587, 587, 'und', 0, 22),
('font', 0, 588, 588, 'und', 0, 22),
('font', 0, 589, 589, 'und', 0, 22),
('font', 0, 590, 590, 'und', 0, 25),
('font', 0, 591, 591, 'und', 0, 22),
('font', 0, 592, 592, 'und', 0, 22),
('font', 0, 593, 593, 'und', 0, 22),
('font', 0, 594, 594, 'und', 0, 22),
('font', 0, 595, 595, 'und', 0, 22),
('font', 0, 596, 596, 'und', 0, 22),
('font', 0, 597, 597, 'und', 0, 22),
('font', 0, 598, 598, 'und', 0, 20),
('font', 0, 599, 599, 'und', 0, 20),
('font', 0, 600, 600, 'und', 0, 20),
('font', 0, 601, 601, 'und', 0, 20),
('font', 0, 602, 602, 'und', 0, 22),
('font', 0, 603, 603, 'und', 0, 22),
('font', 0, 604, 604, 'und', 0, 22),
('font', 0, 605, 605, 'und', 0, 22),
('font', 0, 606, 606, 'und', 0, 25),
('font', 0, 607, 607, 'und', 0, 22),
('font', 0, 608, 608, 'und', 0, 25),
('font', 0, 609, 609, 'und', 0, 25),
('font', 0, 610, 610, 'und', 0, 25),
('font', 0, 611, 611, 'und', 0, 25),
('font', 0, 612, 612, 'und', 0, 22),
('font', 0, 613, 613, 'und', 0, 22),
('font', 0, 614, 614, 'und', 0, 22),
('font', 0, 615, 615, 'und', 0, 22),
('font', 0, 616, 616, 'und', 0, 22),
('font', 0, 617, 617, 'und', 0, 22),
('font', 0, 618, 618, 'und', 0, 22),
('font', 0, 619, 619, 'und', 0, 22),
('font', 0, 620, 620, 'und', 0, 25),
('font', 0, 621, 621, 'und', 0, 25),
('font', 0, 622, 622, 'und', 0, 25),
('font', 0, 623, 623, 'und', 0, 25),
('font', 0, 624, 624, 'und', 0, 25),
('font', 0, 625, 625, 'und', 0, 25),
('font', 0, 626, 626, 'und', 0, 25),
('font', 0, 627, 627, 'und', 0, 25),
('font', 0, 628, 628, 'und', 0, 25),
('font', 0, 629, 629, 'und', 0, 25),
('font', 0, 630, 630, 'und', 0, 25),
('font', 0, 631, 631, 'und', 0, 25),
('font', 0, 632, 632, 'und', 0, 25),
('font', 0, 633, 633, 'und', 0, 25),
('font', 0, 634, 634, 'und', 0, 25),
('font', 0, 635, 635, 'und', 0, 25),
('font', 0, 636, 636, 'und', 0, 22),
('font', 0, 637, 637, 'und', 0, 22),
('font', 0, 638, 638, 'und', 0, 22),
('font', 0, 639, 639, 'und', 0, 22),
('font', 0, 640, 640, 'und', 0, 22),
('font', 0, 641, 641, 'und', 0, 18),
('font', 0, 642, 642, 'und', 0, 22),
('font', 0, 643, 643, 'und', 0, 22),
('font', 0, 644, 644, 'und', 0, 27),
('font', 0, 645, 645, 'und', 0, 25),
('font', 0, 646, 646, 'und', 0, 22),
('font', 0, 647, 647, 'und', 0, 22),
('font', 0, 648, 648, 'und', 0, 22),
('font', 0, 649, 649, 'und', 0, 22),
('font', 0, 650, 650, 'und', 0, 22),
('font', 0, 651, 651, 'und', 0, 22),
('font', 0, 652, 652, 'und', 0, 22),
('font', 0, 653, 653, 'und', 0, 22),
('font', 0, 654, 654, 'und', 0, 25),
('font', 0, 655, 655, 'und', 0, 18),
('font', 0, 656, 656, 'und', 0, 18),
('font', 0, 657, 657, 'und', 0, 18),
('font', 0, 658, 658, 'und', 0, 25),
('font', 0, 659, 659, 'und', 0, 25),
('font', 0, 660, 660, 'und', 0, 25),
('font', 0, 661, 661, 'und', 0, 22),
('font', 0, 662, 662, 'und', 0, 22),
('font', 0, 663, 663, 'und', 0, 25),
('font', 0, 664, 664, 'und', 0, 25),
('font', 0, 665, 665, 'und', 0, 25),
('font', 0, 666, 666, 'und', 0, 22),
('font', 0, 667, 667, 'und', 0, 22),
('font', 0, 668, 668, 'und', 0, 20),
('font', 0, 669, 669, 'und', 0, 20),
('font', 0, 670, 670, 'und', 0, 18),
('font', 0, 671, 671, 'und', 0, 20),
('font', 0, 672, 672, 'und', 0, 20),
('font', 0, 673, 673, 'und', 0, 20),
('font', 0, 674, 674, 'und', 0, 20),
('font', 0, 675, 675, 'und', 0, 25),
('font', 0, 676, 676, 'und', 0, 25),
('font', 0, 677, 677, 'und', 0, 25),
('font', 0, 678, 678, 'und', 0, 25),
('font', 0, 679, 679, 'und', 0, 25),
('font', 0, 680, 680, 'und', 0, 25),
('font', 0, 681, 681, 'und', 0, 25),
('font', 0, 682, 682, 'und', 0, 25),
('font', 0, 683, 683, 'und', 0, 25),
('font', 0, 684, 684, 'und', 0, 25),
('font', 0, 685, 685, 'und', 0, 25),
('font', 0, 686, 686, 'und', 0, 25),
('font', 0, 687, 687, 'und', 0, 18),
('font', 0, 688, 688, 'und', 0, 25),
('font', 0, 689, 689, 'und', 0, 25),
('font', 0, 690, 690, 'und', 0, 25),
('font', 0, 691, 691, 'und', 0, 25),
('font', 0, 692, 692, 'und', 0, 25),
('font', 0, 693, 693, 'und', 0, 25),
('font', 0, 694, 694, 'und', 0, 25),
('font', 0, 695, 695, 'und', 0, 25),
('font', 0, 696, 696, 'und', 0, 25),
('font', 0, 697, 697, 'und', 0, 25),
('font', 0, 698, 698, 'und', 0, 25),
('font', 0, 699, 699, 'und', 0, 25),
('font', 0, 700, 700, 'und', 0, 25),
('font', 0, 701, 701, 'und', 0, 25),
('font', 0, 702, 702, 'und', 0, 25),
('font', 0, 703, 703, 'und', 0, 25),
('font', 0, 704, 704, 'und', 0, 25),
('font', 0, 705, 705, 'und', 0, 25),
('font', 0, 706, 706, 'und', 0, 22),
('font', 0, 707, 707, 'und', 0, 22),
('font', 0, 708, 708, 'und', 0, 25),
('font', 0, 709, 709, 'und', 0, 25),
('font', 0, 710, 710, 'und', 0, 25),
('font', 0, 711, 711, 'und', 0, 25),
('font', 0, 712, 712, 'und', 0, 25),
('font', 0, 713, 713, 'und', 0, 25),
('font', 0, 714, 714, 'und', 0, 22),
('font', 0, 715, 715, 'und', 0, 22),
('font', 0, 716, 716, 'und', 0, 22),
('font', 0, 717, 717, 'und', 0, 20),
('font', 0, 718, 718, 'und', 0, 20),
('font', 0, 719, 719, 'und', 0, 20),
('font', 0, 720, 720, 'und', 0, 20),
('font', 0, 721, 721, 'und', 0, 22),
('font', 0, 722, 722, 'und', 0, 22),
('font', 0, 723, 723, 'und', 0, 22),
('font', 0, 724, 724, 'und', 0, 20),
('font', 0, 725, 725, 'und', 0, 20),
('font', 0, 726, 726, 'und', 0, 20),
('font', 0, 727, 727, 'und', 0, 20),
('font', 0, 728, 728, 'und', 0, 18),
('font', 0, 729, 729, 'und', 0, 18),
('font', 0, 730, 730, 'und', 0, 22),
('font', 0, 731, 731, 'und', 0, 22),
('font', 0, 732, 732, 'und', 0, 18),
('font', 0, 733, 733, 'und', 0, 18),
('font', 0, 734, 734, 'und', 0, 25),
('font', 0, 735, 735, 'und', 0, 25),
('font', 0, 736, 736, 'und', 0, 25),
('font', 0, 737, 737, 'und', 0, 22),
('font', 0, 738, 738, 'und', 0, 22),
('font', 0, 739, 739, 'und', 0, 22),
('font', 0, 740, 740, 'und', 0, 25),
('font', 0, 741, 741, 'und', 0, 25),
('font', 0, 742, 742, 'und', 0, 25),
('font', 0, 743, 743, 'und', 0, 25),
('font', 0, 744, 744, 'und', 0, 18),
('font', 0, 745, 745, 'und', 0, 18),
('font', 0, 746, 746, 'und', 0, 20),
('font', 0, 747, 747, 'und', 0, 20),
('font', 0, 748, 748, 'und', 0, 20),
('font', 0, 749, 749, 'und', 0, 20),
('font', 0, 750, 750, 'und', 0, 25),
('font', 0, 751, 751, 'und', 0, 25),
('font', 0, 752, 752, 'und', 0, 25),
('font', 0, 753, 753, 'und', 0, 25),
('font', 0, 754, 754, 'und', 0, 25),
('font', 0, 755, 755, 'und', 0, 25),
('font', 0, 756, 756, 'und', 0, 25),
('font', 0, 757, 757, 'und', 0, 25),
('font', 0, 758, 758, 'und', 0, 25),
('font', 0, 759, 759, 'und', 0, 25),
('font', 0, 760, 760, 'und', 0, 25),
('font', 0, 761, 761, 'und', 0, 25),
('font', 0, 762, 762, 'und', 0, 25),
('font', 0, 763, 763, 'und', 0, 25),
('font', 0, 764, 764, 'und', 0, 25),
('font', 0, 765, 765, 'und', 0, 25),
('font', 0, 766, 766, 'und', 0, 25),
('font', 0, 767, 767, 'und', 0, 25),
('font', 0, 768, 768, 'und', 0, 25),
('font', 0, 769, 769, 'und', 0, 25),
('font', 0, 770, 770, 'und', 0, 25),
('font', 0, 771, 771, 'und', 0, 25),
('font', 0, 772, 772, 'und', 0, 25),
('font', 0, 773, 773, 'und', 0, 25),
('font', 0, 774, 774, 'und', 0, 25),
('font', 0, 775, 775, 'und', 0, 25),
('font', 0, 776, 776, 'und', 0, 25),
('font', 0, 777, 777, 'und', 0, 25),
('font', 0, 778, 778, 'und', 0, 25),
('font', 0, 779, 779, 'und', 0, 25),
('font', 0, 780, 780, 'und', 0, 25),
('font', 0, 781, 781, 'und', 0, 25),
('font', 0, 782, 782, 'und', 0, 25),
('font', 0, 783, 783, 'und', 0, 25),
('font', 0, 784, 784, 'und', 0, 25),
('font', 0, 785, 785, 'und', 0, 25),
('font', 0, 786, 786, 'und', 0, 25),
('font', 0, 787, 787, 'und', 0, 25),
('font', 0, 788, 788, 'und', 0, 25),
('font', 0, 789, 789, 'und', 0, 25),
('font', 0, 790, 790, 'und', 0, 25),
('font', 0, 791, 791, 'und', 0, 25),
('font', 0, 792, 792, 'und', 0, 25),
('font', 0, 793, 793, 'und', 0, 25),
('font', 0, 794, 794, 'und', 0, 25),
('font', 0, 795, 795, 'und', 0, 25),
('font', 0, 796, 796, 'und', 0, 25),
('font', 0, 797, 797, 'und', 0, 25),
('font', 0, 798, 798, 'und', 0, 25),
('font', 0, 799, 799, 'und', 0, 25),
('font', 0, 800, 800, 'und', 0, 25),
('font', 0, 801, 801, 'und', 0, 25),
('font', 0, 802, 802, 'und', 0, 20),
('font', 0, 803, 803, 'und', 0, 20),
('font', 0, 804, 804, 'und', 0, 20),
('font', 0, 805, 805, 'und', 0, 18),
('font', 0, 806, 806, 'und', 0, 20),
('font', 0, 807, 807, 'und', 0, 20),
('font', 0, 808, 808, 'und', 0, 20),
('font', 0, 809, 809, 'und', 0, 20),
('font', 0, 810, 810, 'und', 0, 25),
('font', 0, 811, 811, 'und', 0, 25),
('font', 0, 812, 812, 'und', 0, 25),
('font', 0, 813, 813, 'und', 0, 25),
('font', 0, 814, 814, 'und', 0, 25),
('font', 0, 815, 815, 'und', 0, 25),
('font', 0, 816, 816, 'und', 0, 25),
('font', 0, 817, 817, 'und', 0, 25),
('font', 0, 818, 818, 'und', 0, 18),
('font', 0, 819, 819, 'und', 0, 18),
('font', 0, 820, 820, 'und', 0, 20),
('font', 0, 821, 821, 'und', 0, 20),
('font', 0, 822, 822, 'und', 0, 18),
('font', 0, 823, 823, 'und', 0, 18),
('font', 0, 824, 824, 'und', 0, 20),
('font', 0, 825, 825, 'und', 0, 20),
('font', 0, 826, 826, 'und', 0, 20),
('font', 0, 827, 827, 'und', 0, 20),
('font', 0, 828, 828, 'und', 0, 20),
('font', 0, 829, 829, 'und', 0, 20),
('font', 0, 830, 830, 'und', 0, 20),
('font', 0, 831, 831, 'und', 0, 20),
('font', 0, 832, 832, 'und', 0, 20),
('font', 0, 833, 833, 'und', 0, 20),
('font', 0, 834, 834, 'und', 0, 20),
('font', 0, 835, 835, 'und', 0, 20),
('font', 0, 836, 836, 'und', 0, 20),
('font', 0, 837, 837, 'und', 0, 20),
('font', 0, 838, 838, 'und', 0, 20),
('font', 0, 839, 839, 'und', 0, 20),
('font', 0, 840, 840, 'und', 0, 20),
('font', 0, 841, 841, 'und', 0, 20),
('font', 0, 842, 842, 'und', 0, 20),
('font', 0, 843, 843, 'und', 0, 20),
('font', 0, 844, 844, 'und', 0, 20),
('font', 0, 845, 845, 'und', 0, 20),
('font', 0, 846, 846, 'und', 0, 20),
('font', 0, 847, 847, 'und', 0, 20),
('font', 0, 848, 848, 'und', 0, 20),
('font', 0, 849, 849, 'und', 0, 20),
('font', 0, 850, 850, 'und', 0, 20),
('font', 0, 851, 851, 'und', 0, 20),
('font', 0, 852, 852, 'und', 0, 27),
('font', 0, 853, 853, 'und', 0, 27),
('font', 0, 854, 854, 'und', 0, 27),
('font', 0, 855, 855, 'und', 0, 27),
('font', 0, 856, 856, 'und', 0, 27),
('font', 0, 857, 857, 'und', 0, 27),
('font', 0, 858, 858, 'und', 0, 27),
('font', 0, 859, 859, 'und', 0, 27),
('font', 0, 860, 860, 'und', 0, 27),
('font', 0, 861, 861, 'und', 0, 27),
('font', 0, 862, 862, 'und', 0, 27),
('font', 0, 863, 863, 'und', 0, 27),
('font', 0, 864, 864, 'und', 0, 27),
('font', 0, 865, 865, 'und', 0, 27),
('font', 0, 866, 866, 'und', 0, 27),
('font', 0, 867, 867, 'und', 0, 27),
('font', 0, 868, 868, 'und', 0, 27),
('font', 0, 869, 869, 'und', 0, 27),
('font', 0, 870, 870, 'und', 0, 27),
('font', 0, 871, 871, 'und', 0, 27),
('font', 0, 872, 872, 'und', 0, 27),
('font', 0, 873, 873, 'und', 0, 27),
('font', 0, 874, 874, 'und', 0, 27),
('font', 0, 875, 875, 'und', 0, 27),
('font', 0, 876, 876, 'und', 0, 27),
('font', 0, 877, 877, 'und', 0, 27),
('font', 0, 878, 878, 'und', 0, 27),
('font', 0, 879, 879, 'und', 0, 27),
('font', 0, 880, 880, 'und', 0, 27),
('font', 0, 881, 881, 'und', 0, 27),
('font', 0, 882, 882, 'und', 0, 27),
('font', 0, 883, 883, 'und', 0, 27),
('font', 0, 884, 884, 'und', 0, 27),
('font', 0, 885, 885, 'und', 0, 27),
('font', 0, 886, 886, 'und', 0, 27),
('font', 0, 887, 887, 'und', 0, 27),
('font', 0, 888, 888, 'und', 0, 27),
('font', 0, 889, 889, 'und', 0, 27),
('font', 0, 890, 890, 'und', 0, 27),
('font', 0, 891, 891, 'und', 0, 27),
('font', 0, 892, 892, 'und', 0, 27),
('font', 0, 893, 893, 'und', 0, 27),
('font', 0, 894, 894, 'und', 0, 27),
('font', 0, 895, 895, 'und', 0, 27),
('font', 0, 896, 896, 'und', 0, 27),
('font', 0, 897, 897, 'und', 0, 27),
('font', 0, 898, 898, 'und', 0, 27),
('font', 0, 899, 899, 'und', 0, 27),
('font', 0, 900, 900, 'und', 0, 27),
('font', 0, 901, 901, 'und', 0, 27),
('font', 0, 902, 902, 'und', 0, 27),
('font', 0, 903, 903, 'und', 0, 27),
('font', 0, 904, 904, 'und', 0, 27),
('font', 0, 905, 905, 'und', 0, 27),
('font', 0, 906, 906, 'und', 0, 27),
('font', 0, 907, 907, 'und', 0, 27),
('font', 0, 908, 908, 'und', 0, 27),
('font', 0, 909, 909, 'und', 0, 27),
('font', 0, 910, 910, 'und', 0, 27),
('font', 0, 911, 911, 'und', 0, 27),
('font', 0, 912, 912, 'und', 0, 27),
('font', 0, 913, 913, 'und', 0, 27),
('font', 0, 914, 914, 'und', 0, 27),
('font', 0, 915, 915, 'und', 0, 27),
('font', 0, 916, 916, 'und', 0, 27),
('font', 0, 917, 917, 'und', 0, 27),
('font', 0, 918, 918, 'und', 0, 27),
('font', 0, 919, 919, 'und', 0, 27),
('font', 0, 920, 920, 'und', 0, 27),
('font', 0, 921, 921, 'und', 0, 27),
('font', 0, 922, 922, 'und', 0, 25),
('font', 0, 923, 923, 'und', 0, 25),
('font', 0, 924, 924, 'und', 0, 25),
('font', 0, 925, 925, 'und', 0, 25),
('font', 0, 926, 926, 'und', 0, 25),
('font', 0, 927, 927, 'und', 0, 25),
('font', 0, 928, 928, 'und', 0, 25),
('font', 0, 929, 929, 'und', 0, 25),
('font', 0, 930, 930, 'und', 0, 25),
('font', 0, 931, 931, 'und', 0, 25),
('font', 0, 932, 932, 'und', 0, 25),
('font', 0, 933, 933, 'und', 0, 25),
('font', 0, 934, 934, 'und', 0, 25),
('font', 0, 935, 935, 'und', 0, 25),
('font', 0, 936, 936, 'und', 0, 25),
('font', 0, 937, 937, 'und', 0, 25),
('font', 0, 938, 938, 'und', 0, 25),
('font', 0, 939, 939, 'und', 0, 25),
('font', 0, 940, 940, 'und', 0, 25),
('font', 0, 941, 941, 'und', 0, 25),
('font', 0, 942, 942, 'und', 0, 25),
('font', 0, 943, 943, 'und', 0, 25),
('font', 0, 944, 944, 'und', 0, 25),
('font', 0, 945, 945, 'und', 0, 25),
('font', 0, 946, 946, 'und', 0, 25),
('font', 0, 947, 947, 'und', 0, 25),
('font', 0, 948, 948, 'und', 0, 25),
('font', 0, 949, 949, 'und', 0, 25),
('font', 0, 950, 950, 'und', 0, 25),
('font', 0, 951, 951, 'und', 0, 25),
('font', 0, 952, 952, 'und', 0, 25),
('font', 0, 953, 953, 'und', 0, 25),
('font', 0, 954, 954, 'und', 0, 25),
('font', 0, 955, 955, 'und', 0, 25),
('font', 0, 956, 956, 'und', 0, 25),
('font', 0, 957, 957, 'und', 0, 25),
('font', 0, 958, 958, 'und', 0, 25),
('font', 0, 959, 959, 'und', 0, 25),
('font', 0, 960, 960, 'und', 0, 25),
('font', 0, 961, 961, 'und', 0, 25),
('font', 0, 962, 962, 'und', 0, 25),
('font', 0, 963, 963, 'und', 0, 25),
('font', 0, 964, 964, 'und', 0, 25),
('font', 0, 965, 965, 'und', 0, 25),
('font', 0, 966, 966, 'und', 0, 25),
('font', 0, 967, 967, 'und', 0, 25),
('font', 0, 968, 968, 'und', 0, 25),
('font', 0, 969, 969, 'und', 0, 25),
('font', 0, 970, 970, 'und', 0, 25),
('font', 0, 971, 971, 'und', 0, 25),
('font', 0, 972, 972, 'und', 0, 25),
('font', 0, 973, 973, 'und', 0, 25),
('font', 0, 974, 974, 'und', 0, 25),
('font', 0, 975, 975, 'und', 0, 25),
('font', 0, 976, 976, 'und', 0, 25),
('font', 0, 977, 977, 'und', 0, 25),
('font', 0, 978, 978, 'und', 0, 25),
('font', 0, 979, 979, 'und', 0, 25),
('font', 0, 980, 980, 'und', 0, 25),
('font', 0, 981, 981, 'und', 0, 25),
('font', 0, 982, 982, 'und', 0, 25),
('font', 0, 983, 983, 'und', 0, 25),
('font', 0, 984, 984, 'und', 0, 25),
('font', 0, 985, 985, 'und', 0, 25),
('font', 0, 986, 986, 'und', 0, 25),
('font', 0, 987, 987, 'und', 0, 25),
('font', 0, 988, 988, 'und', 0, 25),
('font', 0, 989, 989, 'und', 0, 25),
('font', 0, 990, 990, 'und', 0, 25),
('font', 0, 991, 991, 'und', 0, 25),
('font', 0, 992, 992, 'und', 0, 25),
('font', 0, 993, 993, 'und', 0, 25),
('font', 0, 994, 994, 'und', 0, 25),
('font', 0, 995, 995, 'und', 0, 25),
('font', 0, 996, 996, 'und', 0, 25),
('font', 0, 997, 997, 'und', 0, 25),
('font', 0, 998, 998, 'und', 0, 25),
('font', 0, 999, 999, 'und', 0, 25),
('font', 0, 1000, 1000, 'und', 0, 25),
('font', 0, 1001, 1001, 'und', 0, 25),
('font', 0, 1002, 1002, 'und', 0, 25),
('font', 0, 1003, 1003, 'und', 0, 25),
('font', 0, 1004, 1004, 'und', 0, 25),
('font', 0, 1005, 1005, 'und', 0, 25),
('font', 0, 1006, 1006, 'und', 0, 25),
('font', 0, 1007, 1007, 'und', 0, 25),
('font', 0, 1008, 1008, 'und', 0, 25),
('font', 0, 1009, 1009, 'und', 0, 25),
('font', 0, 1010, 1010, 'und', 0, 25),
('font', 0, 1011, 1011, 'und', 0, 25),
('font', 0, 1012, 1012, 'und', 0, 25),
('font', 0, 1013, 1013, 'und', 0, 25),
('font', 0, 1014, 1014, 'und', 0, 25),
('font', 0, 1015, 1015, 'und', 0, 25),
('font', 0, 1016, 1016, 'und', 0, 25),
('font', 0, 1017, 1017, 'und', 0, 25),
('font', 0, 1018, 1018, 'und', 0, 25),
('font', 0, 1019, 1019, 'und', 0, 25),
('font', 0, 1020, 1020, 'und', 0, 25),
('font', 0, 1021, 1021, 'und', 0, 25),
('font', 0, 1022, 1022, 'und', 0, 25),
('font', 0, 1023, 1023, 'und', 0, 25),
('font', 0, 1024, 1024, 'und', 0, 25),
('font', 0, 1025, 1025, 'und', 0, 25),
('font', 0, 1026, 1026, 'und', 0, 25),
('font', 0, 1027, 1027, 'und', 0, 25),
('font', 0, 1028, 1028, 'und', 0, 25),
('font', 0, 1029, 1029, 'und', 0, 25),
('font', 0, 1030, 1030, 'und', 0, 25),
('font', 0, 1031, 1031, 'und', 0, 25),
('font', 0, 1032, 1032, 'und', 0, 25),
('font', 0, 1033, 1033, 'und', 0, 25),
('font', 0, 1034, 1034, 'und', 0, 25),
('font', 0, 1035, 1035, 'und', 0, 25),
('font', 0, 1036, 1036, 'und', 0, 25),
('font', 0, 1037, 1037, 'und', 0, 25),
('font', 0, 1038, 1038, 'und', 0, 25),
('font', 0, 1039, 1039, 'und', 0, 25),
('font', 0, 1040, 1040, 'und', 0, 25),
('font', 0, 1041, 1041, 'und', 0, 25),
('font', 0, 1042, 1042, 'und', 0, 25),
('font', 0, 1043, 1043, 'und', 0, 25),
('font', 0, 1044, 1044, 'und', 0, 25),
('font', 0, 1045, 1045, 'und', 0, 25),
('font', 0, 1046, 1046, 'und', 0, 25),
('font', 0, 1047, 1047, 'und', 0, 25),
('font', 0, 1048, 1048, 'und', 0, 22),
('font', 0, 1049, 1049, 'und', 0, 22),
('font', 0, 1050, 1050, 'und', 0, 22),
('font', 0, 1051, 1051, 'und', 0, 22),
('font', 0, 1052, 1052, 'und', 0, 22),
('font', 0, 1053, 1053, 'und', 0, 22),
('font', 0, 1054, 1054, 'und', 0, 22),
('font', 0, 1055, 1055, 'und', 0, 22),
('font', 0, 1056, 1056, 'und', 0, 20),
('font', 0, 1057, 1057, 'und', 0, 20),
('font', 0, 1058, 1058, 'und', 0, 20),
('font', 0, 1059, 1059, 'und', 0, 22),
('font', 0, 1060, 1060, 'und', 0, 22),
('font', 0, 1061, 1061, 'und', 0, 18),
('font', 0, 1062, 1062, 'und', 0, 25),
('font', 0, 1063, 1063, 'und', 0, 25),
('font', 0, 1064, 1064, 'und', 0, 18),
('font', 0, 1065, 1065, 'und', 0, 22),
('font', 0, 1066, 1066, 'und', 0, 22),
('font', 0, 1067, 1067, 'und', 0, 25),
('font', 0, 1068, 1068, 'und', 0, 20),
('font', 0, 1069, 1069, 'und', 0, 20),
('font', 0, 1070, 1070, 'und', 0, 20),
('font', 0, 1071, 1071, 'und', 0, 20),
('font', 0, 1072, 1072, 'und', 0, 20),
('font', 0, 1073, 1073, 'und', 0, 20),
('font', 0, 1074, 1074, 'und', 0, 20),
('font', 0, 1075, 1075, 'und', 0, 20),
('font', 0, 1076, 1076, 'und', 0, 20),
('font', 0, 1077, 1077, 'und', 0, 20),
('font', 0, 1078, 1078, 'und', 0, 20),
('font', 0, 1079, 1079, 'und', 0, 20),
('font', 0, 1080, 1080, 'und', 0, 20),
('font', 0, 1081, 1081, 'und', 0, 20),
('font', 0, 1082, 1082, 'und', 0, 20),
('font', 0, 1083, 1083, 'und', 0, 22),
('font', 0, 1084, 1084, 'und', 0, 22),
('font', 0, 1085, 1085, 'und', 0, 22),
('font', 0, 1086, 1086, 'und', 0, 22),
('font', 0, 1087, 1087, 'und', 0, 22),
('font', 0, 1088, 1088, 'und', 0, 22),
('font', 0, 1089, 1089, 'und', 0, 18),
('font', 0, 1090, 1090, 'und', 0, 22),
('font', 0, 1091, 1091, 'und', 0, 22),
('font', 0, 1092, 1092, 'und', 0, 22),
('font', 0, 1093, 1093, 'und', 0, 22),
('font', 0, 1094, 1094, 'und', 0, 25),
('font', 0, 1095, 1095, 'und', 0, 25),
('font', 0, 1096, 1096, 'und', 0, 25),
('font', 0, 1097, 1097, 'und', 0, 25),
('font', 0, 1098, 1098, 'und', 0, 25),
('font', 0, 1099, 1099, 'und', 0, 25),
('font', 0, 1100, 1100, 'und', 0, 25),
('font', 0, 1101, 1101, 'und', 0, 25),
('font', 0, 1102, 1102, 'und', 0, 20),
('font', 0, 1103, 1103, 'und', 0, 20),
('font', 0, 1104, 1104, 'und', 0, 25),
('font', 0, 1105, 1105, 'und', 0, 25),
('font', 0, 1106, 1106, 'und', 0, 22),
('font', 0, 1107, 1107, 'und', 0, 22),
('font', 0, 1108, 1108, 'und', 0, 25),
('font', 0, 1109, 1109, 'und', 0, 25),
('font', 0, 1110, 1110, 'und', 0, 25),
('font', 0, 1111, 1111, 'und', 0, 25),
('font', 0, 1112, 1112, 'und', 0, 25),
('font', 0, 1113, 1113, 'und', 0, 25),
('font', 0, 1114, 1114, 'und', 0, 25),
('font', 0, 1115, 1115, 'und', 0, 25),
('font', 0, 1116, 1116, 'und', 0, 25),
('font', 0, 1117, 1117, 'und', 0, 25),
('font', 0, 1118, 1118, 'und', 0, 25),
('font', 0, 1119, 1119, 'und', 0, 25),
('font', 0, 1120, 1120, 'und', 0, 25),
('font', 0, 1121, 1121, 'und', 0, 25),
('font', 0, 1122, 1122, 'und', 0, 25),
('font', 0, 1123, 1123, 'und', 0, 25),
('font', 0, 1124, 1124, 'und', 0, 25),
('font', 0, 1125, 1125, 'und', 0, 25),
('font', 0, 1126, 1126, 'und', 0, 25),
('font', 0, 1127, 1127, 'und', 0, 25),
('font', 0, 1128, 1128, 'und', 0, 25),
('font', 0, 1129, 1129, 'und', 0, 25),
('font', 0, 1130, 1130, 'und', 0, 25),
('font', 0, 1131, 1131, 'und', 0, 25),
('font', 0, 1132, 1132, 'und', 0, 25),
('font', 0, 1133, 1133, 'und', 0, 25),
('font', 0, 1134, 1134, 'und', 0, 25),
('font', 0, 1135, 1135, 'und', 0, 25),
('font', 0, 1136, 1136, 'und', 0, 25),
('font', 0, 1137, 1137, 'und', 0, 25),
('font', 0, 1138, 1138, 'und', 0, 25),
('font', 0, 1139, 1139, 'und', 0, 25),
('font', 0, 1140, 1140, 'und', 0, 25),
('font', 0, 1141, 1141, 'und', 0, 25),
('font', 0, 1142, 1142, 'und', 0, 25),
('font', 0, 1143, 1143, 'und', 0, 25),
('font', 0, 1144, 1144, 'und', 0, 22),
('font', 0, 1145, 1145, 'und', 0, 22),
('font', 0, 1146, 1146, 'und', 0, 22),
('font', 0, 1147, 1147, 'und', 0, 25),
('font', 0, 1148, 1148, 'und', 0, 25),
('font', 0, 1149, 1149, 'und', 0, 25),
('font', 0, 1150, 1150, 'und', 0, 25),
('font', 0, 1151, 1151, 'und', 0, 25),
('font', 0, 1152, 1152, 'und', 0, 25),
('font', 0, 1153, 1153, 'und', 0, 25),
('font', 0, 1154, 1154, 'und', 0, 25),
('font', 0, 1155, 1155, 'und', 0, 25),
('font', 0, 1156, 1156, 'und', 0, 25),
('font', 0, 1157, 1157, 'und', 0, 25),
('font', 0, 1158, 1158, 'und', 0, 25),
('font', 0, 1159, 1159, 'und', 0, 25),
('font', 0, 1160, 1160, 'und', 0, 25),
('font', 0, 1161, 1161, 'und', 0, 25),
('font', 0, 1162, 1162, 'und', 0, 20),
('font', 0, 1163, 1163, 'und', 0, 20),
('font', 0, 1164, 1164, 'und', 0, 20),
('font', 0, 1165, 1165, 'und', 0, 20),
('font', 0, 1166, 1166, 'und', 0, 22),
('font', 0, 1167, 1167, 'und', 0, 22),
('font', 0, 1168, 1168, 'und', 0, 18),
('font', 0, 1169, 1169, 'und', 0, 18),
('font', 0, 1170, 1170, 'und', 0, 18),
('font', 0, 1171, 1171, 'und', 0, 18),
('font', 0, 1172, 1172, 'und', 0, 25),
('font', 0, 1173, 1173, 'und', 0, 25),
('font', 0, 1174, 1174, 'und', 0, 25),
('font', 0, 1175, 1175, 'und', 0, 25),
('font', 0, 1176, 1176, 'und', 0, 25),
('font', 0, 1177, 1177, 'und', 0, 25),
('font', 0, 1178, 1178, 'und', 0, 25),
('font', 0, 1179, 1179, 'und', 0, 25),
('font', 0, 1180, 1180, 'und', 0, 25),
('font', 0, 1181, 1181, 'und', 0, 25),
('font', 0, 1182, 1182, 'und', 0, 25),
('font', 0, 1183, 1183, 'und', 0, 25),
('font', 0, 1184, 1184, 'und', 0, 20),
('font', 0, 1185, 1185, 'und', 0, 20),
('font', 0, 1186, 1186, 'und', 0, 20),
('font', 0, 1187, 1187, 'und', 0, 20),
('font', 0, 1188, 1188, 'und', 0, 25),
('font', 0, 1189, 1189, 'und', 0, 25),
('font', 0, 1190, 1190, 'und', 0, 25),
('font', 0, 1191, 1191, 'und', 0, 25),
('font', 0, 1192, 1192, 'und', 0, 20),
('font', 0, 1193, 1193, 'und', 0, 20),
('font', 0, 1194, 1194, 'und', 0, 22),
('font', 0, 1195, 1195, 'und', 0, 22),
('font', 0, 1196, 1196, 'und', 0, 25),
('font', 0, 1197, 1197, 'und', 0, 25),
('font', 0, 1198, 1198, 'und', 0, 25),
('font', 0, 1199, 1199, 'und', 0, 25),
('font', 0, 1200, 1200, 'und', 0, 25),
('font', 0, 1201, 1201, 'und', 0, 25),
('font', 0, 1202, 1202, 'und', 0, 25),
('font', 0, 1203, 1203, 'und', 0, 25),
('font', 0, 1204, 1204, 'und', 0, 25),
('font', 0, 1205, 1205, 'und', 0, 25),
('font', 0, 1206, 1206, 'und', 0, 25),
('font', 0, 1207, 1207, 'und', 0, 25),
('font', 0, 1208, 1208, 'und', 0, 25),
('font', 0, 1209, 1209, 'und', 0, 25),
('font', 0, 1210, 1210, 'und', 0, 25),
('font', 0, 1211, 1211, 'und', 0, 25),
('font', 0, 1212, 1212, 'und', 0, 25),
('font', 0, 1213, 1213, 'und', 0, 25),
('font', 0, 1214, 1214, 'und', 0, 25),
('font', 0, 1215, 1215, 'und', 0, 25),
('font', 0, 1216, 1216, 'und', 0, 25),
('font', 0, 1217, 1217, 'und', 0, 25),
('font', 0, 1218, 1218, 'und', 0, 25),
('font', 0, 1219, 1219, 'und', 0, 25),
('font', 0, 1220, 1220, 'und', 0, 22),
('font', 0, 1221, 1221, 'und', 0, 22),
('font', 0, 1222, 1222, 'und', 0, 22),
('font', 0, 1223, 1223, 'und', 0, 25),
('font', 0, 1224, 1224, 'und', 0, 25),
('font', 0, 1225, 1225, 'und', 0, 25),
('font', 0, 1226, 1226, 'und', 0, 25),
('font', 0, 1227, 1227, 'und', 0, 25),
('font', 0, 1228, 1228, 'und', 0, 25),
('font', 0, 1229, 1229, 'und', 0, 25),
('font', 0, 1230, 1230, 'und', 0, 25),
('font', 0, 1231, 1231, 'und', 0, 25),
('font', 0, 1232, 1232, 'und', 0, 25),
('font', 0, 1233, 1233, 'und', 0, 25),
('font', 0, 1234, 1234, 'und', 0, 25),
('font', 0, 1235, 1235, 'und', 0, 25),
('font', 0, 1236, 1236, 'und', 0, 25),
('font', 0, 1237, 1237, 'und', 0, 25),
('font', 0, 1238, 1238, 'und', 0, 25),
('font', 0, 1239, 1239, 'und', 0, 25),
('font', 0, 1240, 1240, 'und', 0, 25),
('font', 0, 1241, 1241, 'und', 0, 25),
('font', 0, 1242, 1242, 'und', 0, 25),
('font', 0, 1243, 1243, 'und', 0, 25),
('font', 0, 1244, 1244, 'und', 0, 25),
('font', 0, 1245, 1245, 'und', 0, 25),
('font', 0, 1246, 1246, 'und', 0, 25),
('font', 0, 1247, 1247, 'und', 0, 25),
('font', 0, 1248, 1248, 'und', 0, 25),
('font', 0, 1249, 1249, 'und', 0, 25),
('font', 0, 1250, 1250, 'und', 0, 25),
('font', 0, 1251, 1251, 'und', 0, 25),
('font', 0, 1252, 1252, 'und', 0, 25),
('font', 0, 1253, 1253, 'und', 0, 25),
('font', 0, 1254, 1254, 'und', 0, 25),
('font', 0, 1255, 1255, 'und', 0, 25),
('font', 0, 1256, 1256, 'und', 0, 25),
('font', 0, 1257, 1257, 'und', 0, 25),
('font', 0, 1258, 1258, 'und', 0, 25),
('font', 0, 1259, 1259, 'und', 0, 25),
('font', 0, 1260, 1260, 'und', 0, 25),
('font', 0, 1261, 1261, 'und', 0, 25),
('font', 0, 1262, 1262, 'und', 0, 25),
('font', 0, 1263, 1263, 'und', 0, 25),
('font', 0, 1264, 1264, 'und', 0, 25),
('font', 0, 1265, 1265, 'und', 0, 25),
('font', 0, 1266, 1266, 'und', 0, 25),
('font', 0, 1267, 1267, 'und', 0, 25),
('font', 0, 1268, 1268, 'und', 0, 25),
('font', 0, 1269, 1269, 'und', 0, 25),
('font', 0, 1270, 1270, 'und', 0, 25),
('font', 0, 1271, 1271, 'und', 0, 25),
('font', 0, 1272, 1272, 'und', 0, 25),
('font', 0, 1273, 1273, 'und', 0, 25),
('font', 0, 1274, 1274, 'und', 0, 25),
('font', 0, 1275, 1275, 'und', 0, 25),
('font', 0, 1276, 1276, 'und', 0, 25),
('font', 0, 1277, 1277, 'und', 0, 25),
('font', 0, 1278, 1278, 'und', 0, 25),
('font', 0, 1279, 1279, 'und', 0, 25),
('font', 0, 1280, 1280, 'und', 0, 25),
('font', 0, 1281, 1281, 'und', 0, 25),
('font', 0, 1282, 1282, 'und', 0, 25),
('font', 0, 1283, 1283, 'und', 0, 25),
('font', 0, 1284, 1284, 'und', 0, 25),
('font', 0, 1285, 1285, 'und', 0, 25),
('font', 0, 1286, 1286, 'und', 0, 25),
('font', 0, 1287, 1287, 'und', 0, 25),
('font', 0, 1288, 1288, 'und', 0, 25),
('font', 0, 1289, 1289, 'und', 0, 25),
('font', 0, 1290, 1290, 'und', 0, 25),
('font', 0, 1291, 1291, 'und', 0, 25),
('font', 0, 1292, 1292, 'und', 0, 25),
('font', 0, 1293, 1293, 'und', 0, 25),
('font', 0, 1294, 1294, 'und', 0, 25),
('font', 0, 1295, 1295, 'und', 0, 20),
('font', 0, 1296, 1296, 'und', 0, 18),
('font', 0, 1297, 1297, 'und', 0, 18),
('font', 0, 1298, 1298, 'und', 0, 20),
('font', 0, 1299, 1299, 'und', 0, 20),
('font', 0, 1300, 1300, 'und', 0, 20),
('font', 0, 1301, 1301, 'und', 0, 20),
('font', 0, 1302, 1302, 'und', 0, 20),
('font', 0, 1303, 1303, 'und', 0, 20),
('font', 0, 1304, 1304, 'und', 0, 20),
('font', 0, 1305, 1305, 'und', 0, 20),
('font', 0, 1306, 1306, 'und', 0, 20),
('font', 0, 1307, 1307, 'und', 0, 20),
('font', 0, 1308, 1308, 'und', 0, 20),
('font', 0, 1309, 1309, 'und', 0, 20),
('font', 0, 1310, 1310, 'und', 0, 20),
('font', 0, 1311, 1311, 'und', 0, 20),
('font', 0, 1312, 1312, 'und', 0, 20),
('font', 0, 1313, 1313, 'und', 0, 20),
('font', 0, 1314, 1314, 'und', 0, 20),
('font', 0, 1315, 1315, 'und', 0, 20),
('font', 0, 1316, 1316, 'und', 0, 20),
('font', 0, 1317, 1317, 'und', 0, 20),
('font', 0, 1318, 1318, 'und', 0, 20),
('font', 0, 1319, 1319, 'und', 0, 20),
('font', 0, 1320, 1320, 'und', 0, 20),
('font', 0, 1321, 1321, 'und', 0, 20),
('font', 0, 1322, 1322, 'und', 0, 22),
('font', 0, 1323, 1323, 'und', 0, 22),
('font', 0, 1324, 1324, 'und', 0, 22),
('font', 0, 1325, 1325, 'und', 0, 22),
('font', 0, 1326, 1326, 'und', 0, 22),
('font', 0, 1327, 1327, 'und', 0, 20),
('font', 0, 1328, 1328, 'und', 0, 25),
('font', 0, 1329, 1329, 'und', 0, 25),
('font', 0, 1330, 1330, 'und', 0, 25),
('font', 0, 1331, 1331, 'und', 0, 25),
('font', 0, 1332, 1332, 'und', 0, 25),
('font', 0, 1333, 1333, 'und', 0, 25),
('font', 0, 1334, 1334, 'und', 0, 20),
('font', 0, 1335, 1335, 'und', 0, 25),
('font', 0, 1336, 1336, 'und', 0, 25),
('font', 0, 1337, 1337, 'und', 0, 25),
('font', 0, 1338, 1338, 'und', 0, 25),
('font', 0, 1339, 1339, 'und', 0, 25),
('font', 0, 1340, 1340, 'und', 0, 25),
('font', 0, 1341, 1341, 'und', 0, 25),
('font', 0, 1342, 1342, 'und', 0, 25),
('font', 0, 1343, 1343, 'und', 0, 25),
('font', 0, 1344, 1344, 'und', 0, 25),
('font', 0, 1345, 1345, 'und', 0, 25),
('font', 0, 1346, 1346, 'und', 0, 25),
('font', 0, 1347, 1347, 'und', 0, 25),
('font', 0, 1348, 1348, 'und', 0, 25),
('font', 0, 1349, 1349, 'und', 0, 25),
('font', 0, 1350, 1350, 'und', 0, 25),
('font', 0, 1351, 1351, 'und', 0, 25),
('font', 0, 1352, 1352, 'und', 0, 25),
('font', 0, 1353, 1353, 'und', 0, 22),
('font', 0, 1354, 1354, 'und', 0, 20),
('font', 0, 1355, 1355, 'und', 0, 20),
('font', 0, 1356, 1356, 'und', 0, 22),
('font', 0, 1357, 1357, 'und', 0, 22),
('font', 0, 1358, 1358, 'und', 0, 22),
('font', 0, 1359, 1359, 'und', 0, 22),
('font', 0, 1360, 1360, 'und', 0, 20),
('font', 0, 1361, 1361, 'und', 0, 20),
('font', 0, 1362, 1362, 'und', 0, 20),
('font', 0, 1363, 1363, 'und', 0, 20),
('font', 0, 1364, 1364, 'und', 0, 20),
('font', 0, 1365, 1365, 'und', 0, 20),
('font', 0, 1366, 1366, 'und', 0, 20),
('font', 0, 1367, 1367, 'und', 0, 20),
('font', 0, 1368, 1368, 'und', 0, 20),
('font', 0, 1369, 1369, 'und', 0, 20),
('font', 0, 1370, 1370, 'und', 0, 20),
('font', 0, 1371, 1371, 'und', 0, 20),
('font', 0, 1372, 1372, 'und', 0, 20),
('font', 0, 1373, 1373, 'und', 0, 20),
('font', 0, 1374, 1374, 'und', 0, 20),
('font', 0, 1375, 1375, 'und', 0, 20),
('font', 0, 1376, 1376, 'und', 0, 20),
('font', 0, 1377, 1377, 'und', 0, 20),
('font', 0, 1378, 1378, 'und', 0, 20),
('font', 0, 1379, 1379, 'und', 0, 20),
('font', 0, 1380, 1380, 'und', 0, 20),
('font', 0, 1381, 1381, 'und', 0, 20),
('font', 0, 1382, 1382, 'und', 0, 20),
('font', 0, 1383, 1383, 'und', 0, 20),
('font', 0, 1384, 1384, 'und', 0, 20),
('font', 0, 1385, 1385, 'und', 0, 20),
('font', 0, 1386, 1386, 'und', 0, 20),
('font', 0, 1387, 1387, 'und', 0, 20),
('font', 0, 1388, 1388, 'und', 0, 20),
('font', 0, 1389, 1389, 'und', 0, 20),
('font', 0, 1390, 1390, 'und', 0, 20),
('font', 0, 1391, 1391, 'und', 0, 20),
('font', 0, 1392, 1392, 'und', 0, 20),
('font', 0, 1393, 1393, 'und', 0, 20),
('font', 0, 1394, 1394, 'und', 0, 20),
('font', 0, 1395, 1395, 'und', 0, 20),
('font', 0, 1396, 1396, 'und', 0, 20),
('font', 0, 1397, 1397, 'und', 0, 20),
('font', 0, 1398, 1398, 'und', 0, 22),
('font', 0, 1399, 1399, 'und', 0, 22),
('font', 0, 1400, 1400, 'und', 0, 25),
('font', 0, 1401, 1401, 'und', 0, 25),
('font', 0, 1402, 1402, 'und', 0, 25),
('font', 0, 1403, 1403, 'und', 0, 25),
('font', 0, 1404, 1404, 'und', 0, 25),
('font', 0, 1405, 1405, 'und', 0, 25),
('font', 0, 1406, 1406, 'und', 0, 25),
('font', 0, 1407, 1407, 'und', 0, 25),
('font', 0, 1408, 1408, 'und', 0, 25),
('font', 0, 1409, 1409, 'und', 0, 25),
('font', 0, 1410, 1410, 'und', 0, 22),
('font', 0, 1411, 1411, 'und', 0, 22),
('font', 0, 1412, 1412, 'und', 0, 22),
('font', 0, 1413, 1413, 'und', 0, 22),
('font', 0, 1414, 1414, 'und', 0, 18),
('font', 0, 1415, 1415, 'und', 0, 22),
('font', 0, 1416, 1416, 'und', 0, 22),
('font', 0, 1417, 1417, 'und', 0, 25),
('font', 0, 1418, 1418, 'und', 0, 25),
('font', 0, 1419, 1419, 'und', 0, 25),
('font', 0, 1420, 1420, 'und', 0, 25),
('font', 0, 1421, 1421, 'und', 0, 25),
('font', 0, 1422, 1422, 'und', 0, 25),
('font', 0, 1423, 1423, 'und', 0, 25),
('font', 0, 1424, 1424, 'und', 0, 25),
('font', 0, 1425, 1425, 'und', 0, 20),
('font', 0, 1426, 1426, 'und', 0, 18),
('font', 0, 1427, 1427, 'und', 0, 18),
('font', 0, 1428, 1428, 'und', 0, 18),
('font', 0, 1429, 1429, 'und', 0, 22),
('font', 0, 1430, 1430, 'und', 0, 22),
('font', 0, 1431, 1431, 'und', 0, 20),
('font', 0, 1432, 1432, 'und', 0, 20),
('font', 0, 1433, 1433, 'und', 0, 25),
('font', 0, 1434, 1434, 'und', 0, 25),
('font', 0, 1435, 1435, 'und', 0, 25),
('font', 0, 1436, 1436, 'und', 0, 25),
('font', 0, 1437, 1437, 'und', 0, 22),
('font', 0, 1438, 1438, 'und', 0, 25),
('font', 0, 1439, 1439, 'und', 0, 25),
('font', 0, 1440, 1440, 'und', 0, 25),
('font', 0, 1441, 1441, 'und', 0, 25),
('font', 0, 1442, 1442, 'und', 0, 25),
('font', 0, 1443, 1443, 'und', 0, 18),
('font', 0, 1444, 1444, 'und', 0, 18),
('font', 0, 1445, 1445, 'und', 0, 18),
('font', 0, 1446, 1446, 'und', 0, 18),
('font', 0, 1447, 1447, 'und', 0, 18),
('font', 0, 1448, 1448, 'und', 0, 18),
('font', 0, 1449, 1449, 'und', 0, 25),
('font', 0, 1450, 1450, 'und', 0, 25),
('font', 0, 1451, 1451, 'und', 0, 22),
('font', 0, 1452, 1452, 'und', 0, 22),
('font', 0, 1453, 1453, 'und', 0, 22),
('font', 0, 1454, 1454, 'und', 0, 22),
('font', 0, 1455, 1455, 'und', 0, 22),
('font', 0, 1456, 1456, 'und', 0, 22),
('font', 0, 1457, 1457, 'und', 0, 22),
('font', 0, 1458, 1458, 'und', 0, 22),
('font', 0, 1459, 1459, 'und', 0, 18),
('font', 0, 1460, 1460, 'und', 0, 18),
('font', 0, 1461, 1461, 'und', 0, 22),
('font', 0, 1462, 1462, 'und', 0, 25),
('font', 0, 1463, 1463, 'und', 0, 25),
('font', 0, 1464, 1464, 'und', 0, 25),
('font', 0, 1465, 1465, 'und', 0, 25),
('font', 0, 1466, 1466, 'und', 0, 25),
('font', 0, 1467, 1467, 'und', 0, 25),
('font', 0, 1468, 1468, 'und', 0, 25),
('font', 0, 1469, 1469, 'und', 0, 25),
('font', 0, 1470, 1470, 'und', 0, 25),
('font', 0, 1471, 1471, 'und', 0, 25),
('font', 0, 1472, 1472, 'und', 0, 25),
('font', 0, 1473, 1473, 'und', 0, 25),
('font', 0, 1474, 1474, 'und', 0, 25),
('font', 0, 1475, 1475, 'und', 0, 25),
('font', 0, 1476, 1476, 'und', 0, 25),
('font', 0, 1477, 1477, 'und', 0, 25),
('font', 0, 1478, 1478, 'und', 0, 25),
('font', 0, 1479, 1479, 'und', 0, 25),
('font', 0, 1480, 1480, 'und', 0, 25),
('font', 0, 1481, 1481, 'und', 0, 25),
('font', 0, 1482, 1482, 'und', 0, 25),
('font', 0, 1483, 1483, 'und', 0, 25),
('font', 0, 1484, 1484, 'und', 0, 25),
('font', 0, 1485, 1485, 'und', 0, 25),
('font', 0, 1486, 1486, 'und', 0, 25),
('font', 0, 1487, 1487, 'und', 0, 25),
('font', 0, 1488, 1488, 'und', 0, 25),
('font', 0, 1489, 1489, 'und', 0, 25),
('font', 0, 1490, 1490, 'und', 0, 25),
('font', 0, 1491, 1491, 'und', 0, 25),
('font', 0, 1492, 1492, 'und', 0, 25),
('font', 0, 1493, 1493, 'und', 0, 25),
('font', 0, 1494, 1494, 'und', 0, 25),
('font', 0, 1495, 1495, 'und', 0, 18),
('font', 0, 1496, 1496, 'und', 0, 20),
('font', 0, 1497, 1497, 'und', 0, 20),
('font', 0, 1498, 1498, 'und', 0, 20),
('font', 0, 1499, 1499, 'und', 0, 20),
('font', 0, 1500, 1500, 'und', 0, 20),
('font', 0, 1501, 1501, 'und', 0, 20),
('font', 0, 1502, 1502, 'und', 0, 20),
('font', 0, 1503, 1503, 'und', 0, 20),
('font', 0, 1504, 1504, 'und', 0, 20),
('font', 0, 1505, 1505, 'und', 0, 20),
('font', 0, 1506, 1506, 'und', 0, 20),
('font', 0, 1507, 1507, 'und', 0, 20),
('font', 0, 1508, 1508, 'und', 0, 20),
('font', 0, 1509, 1509, 'und', 0, 20),
('font', 0, 1510, 1510, 'und', 0, 20),
('font', 0, 1511, 1511, 'und', 0, 20),
('font', 0, 1512, 1512, 'und', 0, 20),
('font', 0, 1513, 1513, 'und', 0, 20),
('font', 0, 1514, 1514, 'und', 0, 20),
('font', 0, 1515, 1515, 'und', 0, 20),
('font', 0, 1516, 1516, 'und', 0, 20),
('font', 0, 1517, 1517, 'und', 0, 20),
('font', 0, 1518, 1518, 'und', 0, 20),
('font', 0, 1519, 1519, 'und', 0, 20),
('font', 0, 1520, 1520, 'und', 0, 25),
('font', 0, 1521, 1521, 'und', 0, 25),
('font', 0, 1522, 1522, 'und', 0, 25),
('font', 0, 1523, 1523, 'und', 0, 25),
('font', 0, 1524, 1524, 'und', 0, 25),
('font', 0, 1525, 1525, 'und', 0, 25),
('font', 0, 1526, 1526, 'und', 0, 25),
('font', 0, 1527, 1527, 'und', 0, 25),
('font', 0, 1528, 1528, 'und', 0, 25),
('font', 0, 1529, 1529, 'und', 0, 25),
('font', 0, 1530, 1530, 'und', 0, 25),
('font', 0, 1531, 1531, 'und', 0, 25),
('font', 0, 1532, 1532, 'und', 0, 25),
('font', 0, 1533, 1533, 'und', 0, 25),
('font', 0, 1534, 1534, 'und', 0, 25),
('font', 0, 1535, 1535, 'und', 0, 25),
('font', 0, 1536, 1536, 'und', 0, 25),
('font', 0, 1537, 1537, 'und', 0, 25),
('font', 0, 1538, 1538, 'und', 0, 25),
('font', 0, 1539, 1539, 'und', 0, 25),
('font', 0, 1540, 1540, 'und', 0, 25),
('font', 0, 1541, 1541, 'und', 0, 25),
('font', 0, 1542, 1542, 'und', 0, 25),
('font', 0, 1543, 1543, 'und', 0, 25),
('font', 0, 1544, 1544, 'und', 0, 25),
('font', 0, 1545, 1545, 'und', 0, 25),
('font', 0, 1546, 1546, 'und', 0, 25),
('font', 0, 1547, 1547, 'und', 0, 25),
('font', 0, 1548, 1548, 'und', 0, 25),
('font', 0, 1549, 1549, 'und', 0, 25),
('font', 0, 1550, 1550, 'und', 0, 25),
('font', 0, 1551, 1551, 'und', 0, 25),
('font', 0, 1552, 1552, 'und', 0, 27),
('font', 0, 1553, 1553, 'und', 0, 27),
('font', 0, 1554, 1554, 'und', 0, 27),
('font', 0, 1555, 1555, 'und', 0, 27),
('font', 0, 1556, 1556, 'und', 0, 27),
('font', 0, 1557, 1557, 'und', 0, 27),
('font', 0, 1558, 1558, 'und', 0, 25),
('font', 0, 1559, 1559, 'und', 0, 25),
('font', 0, 1560, 1560, 'und', 0, 25),
('font', 0, 1561, 1561, 'und', 0, 25),
('font', 0, 1562, 1562, 'und', 0, 25),
('font', 0, 1563, 1563, 'und', 0, 25),
('font', 0, 1564, 1564, 'und', 0, 20),
('font', 0, 1565, 1565, 'und', 0, 22),
('font', 0, 1566, 1566, 'und', 0, 22),
('font', 0, 1567, 1567, 'und', 0, 22),
('font', 0, 1568, 1568, 'und', 0, 22),
('font', 0, 1569, 1569, 'und', 0, 22),
('font', 0, 1570, 1570, 'und', 0, 22),
('font', 0, 1571, 1571, 'und', 0, 22),
('font', 0, 1572, 1572, 'und', 0, 22),
('font', 0, 1573, 1573, 'und', 0, 22),
('font', 0, 1574, 1574, 'und', 0, 22),
('font', 0, 1575, 1575, 'und', 0, 22),
('font', 0, 1576, 1576, 'und', 0, 22),
('font', 0, 1577, 1577, 'und', 0, 22),
('font', 0, 1578, 1578, 'und', 0, 22),
('font', 0, 1579, 1579, 'und', 0, 18),
('font', 0, 1580, 1580, 'und', 0, 25),
('font', 0, 1581, 1581, 'und', 0, 25),
('font', 0, 1582, 1582, 'und', 0, 25),
('font', 0, 1583, 1583, 'und', 0, 25),
('font', 0, 1584, 1584, 'und', 0, 25),
('font', 0, 1585, 1585, 'und', 0, 25),
('font', 0, 1586, 1586, 'und', 0, 22),
('font', 0, 1587, 1587, 'und', 0, 25),
('font', 0, 1588, 1588, 'und', 0, 25),
('font', 0, 1589, 1589, 'und', 0, 22),
('font', 0, 1590, 1590, 'und', 0, 22),
('font', 0, 1591, 1591, 'und', 0, 22),
('font', 0, 1592, 1592, 'und', 0, 22),
('font', 0, 1593, 1593, 'und', 0, 25),
('font', 0, 1594, 1594, 'und', 0, 25),
('font', 0, 1595, 1595, 'und', 0, 25),
('font', 0, 1596, 1596, 'und', 0, 25),
('font', 0, 1597, 1597, 'und', 0, 20),
('font', 0, 1598, 1598, 'und', 0, 20),
('font', 0, 1599, 1599, 'und', 0, 20),
('font', 0, 1600, 1600, 'und', 0, 20),
('font', 0, 1601, 1601, 'und', 0, 25),
('font', 0, 1602, 1602, 'und', 0, 25),
('font', 0, 1603, 1603, 'und', 0, 25),
('font', 0, 1604, 1604, 'und', 0, 25),
('font', 0, 1605, 1605, 'und', 0, 25),
('font', 0, 1606, 1606, 'und', 0, 25),
('font', 0, 1607, 1607, 'und', 0, 25),
('font', 0, 1608, 1608, 'und', 0, 25),
('font', 0, 1609, 1609, 'und', 0, 25),
('font', 0, 1610, 1610, 'und', 0, 25),
('font', 0, 1611, 1611, 'und', 0, 25),
('font', 0, 1612, 1612, 'und', 0, 25),
('font', 0, 1613, 1613, 'und', 0, 25),
('font', 0, 1614, 1614, 'und', 0, 25),
('font', 0, 1615, 1615, 'und', 0, 25),
('font', 0, 1616, 1616, 'und', 0, 25),
('font', 0, 1617, 1617, 'und', 0, 25),
('font', 0, 1618, 1618, 'und', 0, 25),
('font', 0, 1619, 1619, 'und', 0, 25),
('font', 0, 1620, 1620, 'und', 0, 25),
('font', 0, 1621, 1621, 'und', 0, 25),
('font', 0, 1622, 1622, 'und', 0, 25),
('font', 0, 1623, 1623, 'und', 0, 25),
('font', 0, 1624, 1624, 'und', 0, 25),
('font', 0, 1625, 1625, 'und', 0, 25),
('font', 0, 1626, 1626, 'und', 0, 25),
('font', 0, 1627, 1627, 'und', 0, 25),
('font', 0, 1628, 1628, 'und', 0, 25),
('font', 0, 1629, 1629, 'und', 0, 25),
('font', 0, 1630, 1630, 'und', 0, 25),
('font', 0, 1631, 1631, 'und', 0, 25),
('font', 0, 1632, 1632, 'und', 0, 25),
('font', 0, 1633, 1633, 'und', 0, 25),
('font', 0, 1634, 1634, 'und', 0, 25),
('font', 0, 1635, 1635, 'und', 0, 25),
('font', 0, 1636, 1636, 'und', 0, 25),
('font', 0, 1637, 1637, 'und', 0, 25),
('font', 0, 1638, 1638, 'und', 0, 25),
('font', 0, 1639, 1639, 'und', 0, 25),
('font', 0, 1640, 1640, 'und', 0, 25),
('font', 0, 1641, 1641, 'und', 0, 25),
('font', 0, 1642, 1642, 'und', 0, 25),
('font', 0, 1643, 1643, 'und', 0, 25),
('font', 0, 1644, 1644, 'und', 0, 25),
('font', 0, 1645, 1645, 'und', 0, 25),
('font', 0, 1646, 1646, 'und', 0, 25),
('font', 0, 1647, 1647, 'und', 0, 25),
('font', 0, 1648, 1648, 'und', 0, 25),
('font', 0, 1649, 1649, 'und', 0, 25),
('font', 0, 1650, 1650, 'und', 0, 25),
('font', 0, 1651, 1651, 'und', 0, 25),
('font', 0, 1652, 1652, 'und', 0, 25),
('font', 0, 1653, 1653, 'und', 0, 25),
('font', 0, 1654, 1654, 'und', 0, 25),
('font', 0, 1655, 1655, 'und', 0, 25),
('font', 0, 1656, 1656, 'und', 0, 25),
('font', 0, 1657, 1657, 'und', 0, 25),
('font', 0, 1658, 1658, 'und', 0, 25),
('font', 0, 1659, 1659, 'und', 0, 25),
('font', 0, 1660, 1660, 'und', 0, 25),
('font', 0, 1661, 1661, 'und', 0, 25),
('font', 0, 1662, 1662, 'und', 0, 25),
('font', 0, 1663, 1663, 'und', 0, 25),
('font', 0, 1664, 1664, 'und', 0, 25),
('font', 0, 1665, 1665, 'und', 0, 25),
('font', 0, 1666, 1666, 'und', 0, 25),
('font', 0, 1667, 1667, 'und', 0, 25),
('font', 0, 1668, 1668, 'und', 0, 25),
('font', 0, 1669, 1669, 'und', 0, 25),
('font', 0, 1670, 1670, 'und', 0, 25),
('font', 0, 1671, 1671, 'und', 0, 25),
('font', 0, 1672, 1672, 'und', 0, 25),
('font', 0, 1673, 1673, 'und', 0, 25),
('font', 0, 1674, 1674, 'und', 0, 25),
('font', 0, 1675, 1675, 'und', 0, 25),
('font', 0, 1676, 1676, 'und', 0, 25),
('font', 0, 1677, 1677, 'und', 0, 25),
('font', 0, 1678, 1678, 'und', 0, 25),
('font', 0, 1679, 1679, 'und', 0, 25),
('font', 0, 1680, 1680, 'und', 0, 25),
('font', 0, 1681, 1681, 'und', 0, 25),
('font', 0, 1682, 1682, 'und', 0, 25),
('font', 0, 1683, 1683, 'und', 0, 25),
('font', 0, 1684, 1684, 'und', 0, 25),
('font', 0, 1685, 1685, 'und', 0, 25),
('font', 0, 1686, 1686, 'und', 0, 25),
('font', 0, 1687, 1687, 'und', 0, 25),
('font', 0, 1688, 1688, 'und', 0, 25),
('font', 0, 1689, 1689, 'und', 0, 25),
('font', 0, 1690, 1690, 'und', 0, 25),
('font', 0, 1691, 1691, 'und', 0, 25),
('font', 0, 1692, 1692, 'und', 0, 22),
('font', 0, 1693, 1693, 'und', 0, 22),
('font', 0, 1694, 1694, 'und', 0, 22),
('font', 0, 1695, 1695, 'und', 0, 22),
('font', 0, 1696, 1696, 'und', 0, 22),
('font', 0, 1697, 1697, 'und', 0, 22),
('font', 0, 1698, 1698, 'und', 0, 22),
('font', 0, 1699, 1699, 'und', 0, 22),
('font', 0, 1700, 1700, 'und', 0, 22),
('font', 0, 1701, 1701, 'und', 0, 22),
('font', 0, 1702, 1702, 'und', 0, 20),
('font', 0, 1703, 1703, 'und', 0, 20),
('font', 0, 1704, 1704, 'und', 0, 20),
('font', 0, 1705, 1705, 'und', 0, 22),
('font', 0, 1706, 1706, 'und', 0, 22),
('font', 0, 1707, 1707, 'und', 0, 25),
('font', 0, 1708, 1708, 'und', 0, 25),
('font', 0, 1709, 1709, 'und', 0, 25),
('font', 0, 1710, 1710, 'und', 0, 25),
('font', 0, 1711, 1711, 'und', 0, 22),
('font', 0, 1712, 1712, 'und', 0, 22),
('font', 0, 1713, 1713, 'und', 0, 22),
('font', 0, 1714, 1714, 'und', 0, 22),
('font', 0, 1715, 1715, 'und', 0, 22),
('font', 0, 1716, 1716, 'und', 0, 27),
('font', 0, 1717, 1717, 'und', 0, 27),
('font', 0, 1718, 1718, 'und', 0, 22),
('font', 0, 1719, 1719, 'und', 0, 22),
('font', 0, 1720, 1720, 'und', 0, 20),
('font', 0, 1721, 1721, 'und', 0, 20),
('font', 0, 1722, 1722, 'und', 0, 20),
('font', 0, 1723, 1723, 'und', 0, 20),
('font', 0, 1724, 1724, 'und', 0, 20),
('font', 0, 1725, 1725, 'und', 0, 20),
('font', 0, 1726, 1726, 'und', 0, 20),
('font', 0, 1727, 1727, 'und', 0, 20),
('font', 0, 1728, 1728, 'und', 0, 20),
('font', 0, 1729, 1729, 'und', 0, 20),
('font', 0, 1730, 1730, 'und', 0, 20),
('font', 0, 1731, 1731, 'und', 0, 20),
('font', 0, 1732, 1732, 'und', 0, 20),
('font', 0, 1733, 1733, 'und', 0, 20),
('font', 0, 1734, 1734, 'und', 0, 20),
('font', 0, 1735, 1735, 'und', 0, 20),
('font', 0, 1736, 1736, 'und', 0, 20),
('font', 0, 1737, 1737, 'und', 0, 20),
('font', 0, 1738, 1738, 'und', 0, 20),
('font', 0, 1739, 1739, 'und', 0, 20),
('font', 0, 1740, 1740, 'und', 0, 20),
('font', 0, 1741, 1741, 'und', 0, 20),
('font', 0, 1742, 1742, 'und', 0, 20),
('font', 0, 1743, 1743, 'und', 0, 20),
('font', 0, 1744, 1744, 'und', 0, 20),
('font', 0, 1745, 1745, 'und', 0, 20),
('font', 0, 1746, 1746, 'und', 0, 20),
('font', 0, 1747, 1747, 'und', 0, 20),
('font', 0, 1748, 1748, 'und', 0, 25),
('font', 0, 1749, 1749, 'und', 0, 25),
('font', 0, 1750, 1750, 'und', 0, 25),
('font', 0, 1751, 1751, 'und', 0, 25),
('font', 0, 1752, 1752, 'und', 0, 25),
('font', 0, 1753, 1753, 'und', 0, 25),
('font', 0, 1754, 1754, 'und', 0, 25),
('font', 0, 1755, 1755, 'und', 0, 25),
('font', 0, 1756, 1756, 'und', 0, 25),
('font', 0, 1757, 1757, 'und', 0, 25),
('font', 0, 1758, 1758, 'und', 0, 25),
('font', 0, 1759, 1759, 'und', 0, 25),
('font', 0, 1760, 1760, 'und', 0, 25),
('font', 0, 1761, 1761, 'und', 0, 25),
('font', 0, 1762, 1762, 'und', 0, 25),
('font', 0, 1763, 1763, 'und', 0, 25),
('font', 0, 1764, 1764, 'und', 0, 25),
('font', 0, 1765, 1765, 'und', 0, 25),
('font', 0, 1766, 1766, 'und', 0, 25),
('font', 0, 1767, 1767, 'und', 0, 25),
('font', 0, 1768, 1768, 'und', 0, 25),
('font', 0, 1769, 1769, 'und', 0, 25),
('font', 0, 1770, 1770, 'und', 0, 25),
('font', 0, 1771, 1771, 'und', 0, 25),
('font', 0, 1772, 1772, 'und', 0, 25),
('font', 0, 1773, 1773, 'und', 0, 25),
('font', 0, 1774, 1774, 'und', 0, 25),
('font', 0, 1775, 1775, 'und', 0, 25),
('font', 0, 1776, 1776, 'und', 0, 25),
('font', 0, 1777, 1777, 'und', 0, 25),
('font', 0, 1778, 1778, 'und', 0, 25),
('font', 0, 1779, 1779, 'und', 0, 25),
('font', 0, 1780, 1780, 'und', 0, 20),
('font', 0, 1781, 1781, 'und', 0, 20),
('font', 0, 1782, 1782, 'und', 0, 20),
('font', 0, 1783, 1783, 'und', 0, 20),
('font', 0, 1784, 1784, 'und', 0, 20),
('font', 0, 1785, 1785, 'und', 0, 20),
('font', 0, 1786, 1786, 'und', 0, 20),
('font', 0, 1787, 1787, 'und', 0, 20),
('font', 0, 1788, 1788, 'und', 0, 20),
('font', 0, 1789, 1789, 'und', 0, 20),
('font', 0, 1790, 1790, 'und', 0, 20),
('font', 0, 1791, 1791, 'und', 0, 20),
('font', 0, 1792, 1792, 'und', 0, 18),
('font', 0, 1793, 1793, 'und', 0, 22),
('font', 0, 1794, 1794, 'und', 0, 22),
('font', 0, 1795, 1795, 'und', 0, 18),
('font', 0, 1796, 1796, 'und', 0, 18),
('font', 0, 1797, 1797, 'und', 0, 20),
('font', 0, 1798, 1798, 'und', 0, 20),
('font', 0, 1799, 1799, 'und', 0, 25),
('font', 0, 1800, 1800, 'und', 0, 25),
('font', 0, 1801, 1801, 'und', 0, 25),
('font', 0, 1802, 1802, 'und', 0, 25),
('font', 0, 1803, 1803, 'und', 0, 22),
('font', 0, 1804, 1804, 'und', 0, 18),
('font', 0, 1805, 1805, 'und', 0, 18),
('font', 0, 1806, 1806, 'und', 0, 25),
('font', 0, 1807, 1807, 'und', 0, 25),
('font', 0, 1808, 1808, 'und', 0, 25),
('font', 0, 1809, 1809, 'und', 0, 25),
('font', 0, 1810, 1810, 'und', 0, 22),
('font', 0, 1811, 1811, 'und', 0, 22),
('font', 0, 1812, 1812, 'und', 0, 20),
('font', 0, 1813, 1813, 'und', 0, 20),
('font', 0, 1814, 1814, 'und', 0, 20),
('font', 0, 1815, 1815, 'und', 0, 20),
('font', 0, 1816, 1816, 'und', 0, 20),
('font', 0, 1817, 1817, 'und', 0, 20),
('font', 0, 1818, 1818, 'und', 0, 20),
('font', 0, 1819, 1819, 'und', 0, 20),
('font', 0, 1820, 1820, 'und', 0, 20),
('font', 0, 1821, 1821, 'und', 0, 20),
('font', 0, 1822, 1822, 'und', 0, 20),
('font', 0, 1823, 1823, 'und', 0, 20),
('font', 0, 1824, 1824, 'und', 0, 18),
('font', 0, 1825, 1825, 'und', 0, 18),
('font', 0, 1826, 1826, 'und', 0, 25),
('font', 0, 1827, 1827, 'und', 0, 25),
('font', 0, 1828, 1828, 'und', 0, 22),
('font', 0, 1829, 1829, 'und', 0, 22),
('font', 0, 1830, 1830, 'und', 0, 25),
('font', 0, 1831, 1831, 'und', 0, 25),
('font', 0, 1832, 1832, 'und', 0, 25),
('font', 0, 1833, 1833, 'und', 0, 25),
('font', 0, 1834, 1834, 'und', 0, 25),
('font', 0, 1835, 1835, 'und', 0, 25),
('font', 0, 1836, 1836, 'und', 0, 25),
('font', 0, 1837, 1837, 'und', 0, 25),
('font', 0, 1838, 1838, 'und', 0, 25),
('font', 0, 1839, 1839, 'und', 0, 25),
('font', 0, 1840, 1840, 'und', 0, 25),
('font', 0, 1841, 1841, 'und', 0, 25),
('font', 0, 1842, 1842, 'und', 0, 25),
('font', 0, 1843, 1843, 'und', 0, 25),
('font', 0, 1844, 1844, 'und', 0, 25),
('font', 0, 1845, 1845, 'und', 0, 25),
('font', 0, 1846, 1846, 'und', 0, 25),
('font', 0, 1847, 1847, 'und', 0, 25),
('font', 0, 1848, 1848, 'und', 0, 25),
('font', 0, 1849, 1849, 'und', 0, 25),
('font', 0, 1850, 1850, 'und', 0, 25),
('font', 0, 1851, 1851, 'und', 0, 25),
('font', 0, 1852, 1852, 'und', 0, 25),
('font', 0, 1853, 1853, 'und', 0, 25),
('font', 0, 1854, 1854, 'und', 0, 25),
('font', 0, 1855, 1855, 'und', 0, 18),
('font', 0, 1856, 1856, 'und', 0, 18),
('font', 0, 1857, 1857, 'und', 0, 18),
('font', 0, 1858, 1858, 'und', 0, 18),
('font', 0, 1859, 1859, 'und', 0, 18),
('font', 0, 1860, 1860, 'und', 0, 18),
('font', 0, 1861, 1861, 'und', 0, 18),
('font', 0, 1862, 1862, 'und', 0, 18),
('font', 0, 1863, 1863, 'und', 0, 18),
('font', 0, 1864, 1864, 'und', 0, 18),
('font', 0, 1865, 1865, 'und', 0, 25),
('font', 0, 1866, 1866, 'und', 0, 25),
('font', 0, 1867, 1867, 'und', 0, 22),
('font', 0, 1868, 1868, 'und', 0, 22),
('font', 0, 1869, 1869, 'und', 0, 22),
('font', 0, 1870, 1870, 'und', 0, 22),
('font', 0, 1871, 1871, 'und', 0, 25),
('font', 0, 1872, 1872, 'und', 0, 25),
('font', 0, 1873, 1873, 'und', 0, 25),
('font', 0, 1874, 1874, 'und', 0, 25),
('font', 0, 1875, 1875, 'und', 0, 25),
('font', 0, 1876, 1876, 'und', 0, 25),
('font', 0, 1877, 1877, 'und', 0, 18),
('font', 0, 1878, 1878, 'und', 0, 20),
('font', 0, 1879, 1879, 'und', 0, 18),
('font', 0, 1880, 1880, 'und', 0, 18),
('font', 0, 1881, 1881, 'und', 0, 22),
('font', 0, 1882, 1882, 'und', 0, 22),
('font', 0, 1883, 1883, 'und', 0, 25),
('font', 0, 1884, 1884, 'und', 0, 25),
('font', 0, 1885, 1885, 'und', 0, 25),
('font', 0, 1886, 1886, 'und', 0, 25),
('font', 0, 1887, 1887, 'und', 0, 18),
('font', 0, 1888, 1888, 'und', 0, 18),
('font', 0, 1889, 1889, 'und', 0, 25),
('font', 0, 1890, 1890, 'und', 0, 25),
('font', 0, 1891, 1891, 'und', 0, 22),
('font', 0, 1892, 1892, 'und', 0, 22),
('font', 0, 1893, 1893, 'und', 0, 22),
('font', 0, 1894, 1894, 'und', 0, 22),
('font', 0, 1895, 1895, 'und', 0, 22),
('font', 0, 1896, 1896, 'und', 0, 22),
('font', 0, 1897, 1897, 'und', 0, 22),
('font', 0, 1898, 1898, 'und', 0, 22),
('font', 0, 1899, 1899, 'und', 0, 25),
('font', 0, 1900, 1900, 'und', 0, 25),
('font', 0, 1901, 1901, 'und', 0, 25),
('font', 0, 1902, 1902, 'und', 0, 25),
('font', 0, 1903, 1903, 'und', 0, 25),
('font', 0, 1904, 1904, 'und', 0, 25),
('font', 0, 1905, 1905, 'und', 0, 25),
('font', 0, 1906, 1906, 'und', 0, 25),
('font', 0, 1907, 1907, 'und', 0, 25),
('font', 0, 1908, 1908, 'und', 0, 25),
('font', 0, 1909, 1909, 'und', 0, 25),
('font', 0, 1910, 1910, 'und', 0, 25),
('font', 0, 1911, 1911, 'und', 0, 25),
('font', 0, 1912, 1912, 'und', 0, 25),
('font', 0, 1913, 1913, 'und', 0, 25),
('font', 0, 1914, 1914, 'und', 0, 25),
('font', 0, 1915, 1915, 'und', 0, 25),
('font', 0, 1916, 1916, 'und', 0, 25),
('font', 0, 1917, 1917, 'und', 0, 25),
('font', 0, 1918, 1918, 'und', 0, 25),
('font', 0, 1919, 1919, 'und', 0, 25),
('font', 0, 1920, 1920, 'und', 0, 25),
('font', 0, 1921, 1921, 'und', 0, 25),
('font', 0, 1922, 1922, 'und', 0, 25),
('font', 0, 1923, 1923, 'und', 0, 18),
('font', 0, 1924, 1924, 'und', 0, 18),
('font', 0, 1925, 1925, 'und', 0, 22),
('font', 0, 1926, 1926, 'und', 0, 22),
('font', 0, 1927, 1927, 'und', 0, 22),
('font', 0, 1928, 1928, 'und', 0, 22),
('font', 0, 1929, 1929, 'und', 0, 22),
('font', 0, 1930, 1930, 'und', 0, 22),
('font', 0, 1931, 1931, 'und', 0, 22),
('font', 0, 1932, 1932, 'und', 0, 22),
('font', 0, 1933, 1933, 'und', 0, 22),
('font', 0, 1934, 1934, 'und', 0, 22),
('font', 0, 1935, 1935, 'und', 0, 22),
('font', 0, 1936, 1936, 'und', 0, 22),
('font', 0, 1937, 1937, 'und', 0, 25),
('font', 0, 1938, 1938, 'und', 0, 25),
('font', 0, 1939, 1939, 'und', 0, 25),
('font', 0, 1940, 1940, 'und', 0, 25),
('font', 0, 1941, 1941, 'und', 0, 25),
('font', 0, 1942, 1942, 'und', 0, 25),
('font', 0, 1943, 1943, 'und', 0, 22),
('font', 0, 1944, 1944, 'und', 0, 22),
('font', 0, 1945, 1945, 'und', 0, 22),
('font', 0, 1946, 1946, 'und', 0, 22),
('font', 0, 1947, 1947, 'und', 0, 22),
('font', 0, 1948, 1948, 'und', 0, 25),
('font', 0, 1949, 1949, 'und', 0, 25),
('font', 0, 1950, 1950, 'und', 0, 22),
('font', 0, 1951, 1951, 'und', 0, 22),
('font', 0, 1952, 1952, 'und', 0, 22),
('font', 0, 1953, 1953, 'und', 0, 22),
('font', 0, 1954, 1954, 'und', 0, 22),
('font', 0, 1955, 1955, 'und', 0, 25),
('font', 0, 1956, 1956, 'und', 0, 25),
('font', 0, 1957, 1957, 'und', 0, 25),
('font', 0, 1958, 1958, 'und', 0, 25),
('font', 0, 1959, 1959, 'und', 0, 25),
('font', 0, 1960, 1960, 'und', 0, 25),
('font', 0, 1961, 1961, 'und', 0, 25),
('font', 0, 1962, 1962, 'und', 0, 25),
('font', 0, 1963, 1963, 'und', 0, 25),
('font', 0, 1964, 1964, 'und', 0, 25),
('font', 0, 1965, 1965, 'und', 0, 25),
('font', 0, 1966, 1966, 'und', 0, 25),
('font', 0, 1967, 1967, 'und', 0, 25),
('font', 0, 1968, 1968, 'und', 0, 25),
('font', 0, 1969, 1969, 'und', 0, 25),
('font', 0, 1970, 1970, 'und', 0, 25),
('font', 0, 1971, 1971, 'und', 0, 20),
('font', 0, 1972, 1972, 'und', 0, 20),
('font', 0, 1973, 1973, 'und', 0, 20),
('font', 0, 1974, 1974, 'und', 0, 20),
('font', 0, 1975, 1975, 'und', 0, 20),
('font', 0, 1976, 1976, 'und', 0, 20),
('font', 0, 1977, 1977, 'und', 0, 20),
('font', 0, 1978, 1978, 'und', 0, 20),
('font', 0, 1979, 1979, 'und', 0, 20),
('font', 0, 1980, 1980, 'und', 0, 20),
('font', 0, 1981, 1981, 'und', 0, 20),
('font', 0, 1982, 1982, 'und', 0, 20),
('font', 0, 1983, 1983, 'und', 0, 20),
('font', 0, 1984, 1984, 'und', 0, 20),
('font', 0, 1985, 1985, 'und', 0, 20),
('font', 0, 1986, 1986, 'und', 0, 20),
('font', 0, 1987, 1987, 'und', 0, 20),
('font', 0, 1988, 1988, 'und', 0, 20),
('font', 0, 1989, 1989, 'und', 0, 20),
('font', 0, 1990, 1990, 'und', 0, 20),
('font', 0, 1991, 1991, 'und', 0, 20),
('font', 0, 1992, 1992, 'und', 0, 20),
('font', 0, 1993, 1993, 'und', 0, 20),
('font', 0, 1994, 1994, 'und', 0, 20),
('font', 0, 1995, 1995, 'und', 0, 20),
('font', 0, 1996, 1996, 'und', 0, 20),
('font', 0, 1997, 1997, 'und', 0, 20),
('font', 0, 1998, 1998, 'und', 0, 20),
('font', 0, 1999, 1999, 'und', 0, 20),
('font', 0, 2000, 2000, 'und', 0, 20),
('font', 0, 2001, 2001, 'und', 0, 20),
('font', 0, 2002, 2002, 'und', 0, 20),
('font', 0, 2003, 2003, 'und', 0, 18),
('font', 0, 2004, 2004, 'und', 0, 18),
('font', 0, 2005, 2005, 'und', 0, 18),
('font', 0, 2006, 2006, 'und', 0, 18),
('font', 0, 2007, 2007, 'und', 0, 18),
('font', 0, 2008, 2008, 'und', 0, 18),
('font', 0, 2009, 2009, 'und', 0, 18),
('font', 0, 2010, 2010, 'und', 0, 22),
('font', 0, 2011, 2011, 'und', 0, 25),
('font', 0, 2012, 2012, 'und', 0, 25),
('font', 0, 2013, 2013, 'und', 0, 22),
('font', 0, 2014, 2014, 'und', 0, 22),
('font', 0, 2015, 2015, 'und', 0, 22),
('font', 0, 2016, 2016, 'und', 0, 18),
('font', 0, 2017, 2017, 'und', 0, 22),
('font', 0, 2018, 2018, 'und', 0, 22),
('font', 0, 2019, 2019, 'und', 0, 25),
('font', 0, 2020, 2020, 'und', 0, 25),
('font', 0, 2021, 2021, 'und', 0, 25),
('font', 0, 2022, 2022, 'und', 0, 25),
('font', 0, 2023, 2023, 'und', 0, 20),
('font', 0, 2024, 2024, 'und', 0, 20),
('font', 0, 2025, 2025, 'und', 0, 20),
('font', 0, 2026, 2026, 'und', 0, 25),
('font', 0, 2027, 2027, 'und', 0, 25),
('font', 0, 2028, 2028, 'und', 0, 25),
('font', 0, 2029, 2029, 'und', 0, 25),
('font', 0, 2030, 2030, 'und', 0, 25),
('font', 0, 2031, 2031, 'und', 0, 25),
('font', 0, 2032, 2032, 'und', 0, 25),
('font', 0, 2033, 2033, 'und', 0, 25),
('font', 0, 2034, 2034, 'und', 0, 25),
('font', 0, 2035, 2035, 'und', 0, 25),
('font', 0, 2036, 2036, 'und', 0, 25),
('font', 0, 2037, 2037, 'und', 0, 25),
('font', 0, 2038, 2038, 'und', 0, 25),
('font', 0, 2039, 2039, 'und', 0, 25),
('font', 0, 2040, 2040, 'und', 0, 25),
('font', 0, 2041, 2041, 'und', 0, 25),
('font', 0, 2042, 2042, 'und', 0, 25),
('font', 0, 2043, 2043, 'und', 0, 25),
('font', 0, 2044, 2044, 'und', 0, 25),
('font', 0, 2045, 2045, 'und', 0, 25),
('font', 0, 2046, 2046, 'und', 0, 25),
('font', 0, 2047, 2047, 'und', 0, 25),
('font', 0, 2048, 2048, 'und', 0, 25),
('font', 0, 2049, 2049, 'und', 0, 25),
('font', 0, 2050, 2050, 'und', 0, 25),
('font', 0, 2051, 2051, 'und', 0, 20),
('font', 0, 2052, 2052, 'und', 0, 20),
('font', 0, 2053, 2053, 'und', 0, 20),
('font', 0, 2054, 2054, 'und', 0, 20),
('font', 0, 2055, 2055, 'und', 0, 20),
('font', 0, 2056, 2056, 'und', 0, 20),
('font', 0, 2057, 2057, 'und', 0, 20),
('font', 0, 2058, 2058, 'und', 0, 20),
('font', 0, 2059, 2059, 'und', 0, 20),
('font', 0, 2060, 2060, 'und', 0, 20),
('font', 0, 2061, 2061, 'und', 0, 20),
('font', 0, 2062, 2062, 'und', 0, 20),
('font', 0, 2063, 2063, 'und', 0, 20),
('font', 0, 2064, 2064, 'und', 0, 20),
('font', 0, 2065, 2065, 'und', 0, 20),
('font', 0, 2066, 2066, 'und', 0, 20),
('font', 0, 2067, 2067, 'und', 0, 20),
('font', 0, 2068, 2068, 'und', 0, 20),
('font', 0, 2069, 2069, 'und', 0, 20),
('font', 0, 2070, 2070, 'und', 0, 20),
('font', 0, 2071, 2071, 'und', 0, 20),
('font', 0, 2072, 2072, 'und', 0, 25),
('font', 0, 2073, 2073, 'und', 0, 25),
('font', 0, 2074, 2074, 'und', 0, 25),
('font', 0, 2075, 2075, 'und', 0, 20),
('font', 0, 2076, 2076, 'und', 0, 22),
('font', 0, 2077, 2077, 'und', 0, 22),
('font', 0, 2078, 2078, 'und', 0, 18),
('font', 0, 2079, 2079, 'und', 0, 18),
('font', 0, 2080, 2080, 'und', 0, 18),
('font', 0, 2081, 2081, 'und', 0, 20),
('font', 0, 2082, 2082, 'und', 0, 20),
('font', 0, 2083, 2083, 'und', 0, 20),
('font', 0, 2084, 2084, 'und', 0, 20),
('font', 0, 2085, 2085, 'und', 0, 25),
('font', 0, 2086, 2086, 'und', 0, 25),
('font', 0, 2087, 2087, 'und', 0, 25),
('font', 0, 2088, 2088, 'und', 0, 25),
('font', 0, 2089, 2089, 'und', 0, 25),
('font', 0, 2090, 2090, 'und', 0, 20),
('font', 0, 2091, 2091, 'und', 0, 20),
('font', 0, 2092, 2092, 'und', 0, 20),
('font', 0, 2093, 2093, 'und', 0, 20),
('font', 0, 2094, 2094, 'und', 0, 20),
('font', 0, 2095, 2095, 'und', 0, 20),
('font', 0, 2096, 2096, 'und', 0, 20),
('font', 0, 2097, 2097, 'und', 0, 20),
('font', 0, 2098, 2098, 'und', 0, 20),
('font', 0, 2099, 2099, 'und', 0, 20),
('font', 0, 2100, 2100, 'und', 0, 20),
('font', 0, 2101, 2101, 'und', 0, 20),
('font', 0, 2102, 2102, 'und', 0, 20),
('font', 0, 2103, 2103, 'und', 0, 20),
('font', 0, 2104, 2104, 'und', 0, 20),
('font', 0, 2105, 2105, 'und', 0, 20),
('font', 0, 2106, 2106, 'und', 0, 20),
('font', 0, 2107, 2107, 'und', 0, 20),
('font', 0, 2108, 2108, 'und', 0, 20),
('font', 0, 2109, 2109, 'und', 0, 20),
('font', 0, 2110, 2110, 'und', 0, 20),
('font', 0, 2111, 2111, 'und', 0, 20),
('font', 0, 2112, 2112, 'und', 0, 20),
('font', 0, 2113, 2113, 'und', 0, 20),
('font', 0, 2114, 2114, 'und', 0, 22),
('font', 0, 2115, 2115, 'und', 0, 25),
('font', 0, 2116, 2116, 'und', 0, 25),
('font', 0, 2117, 2117, 'und', 0, 25),
('font', 0, 2118, 2118, 'und', 0, 25),
('font', 0, 2119, 2119, 'und', 0, 25),
('font', 0, 2120, 2120, 'und', 0, 25),
('font', 0, 2121, 2121, 'und', 0, 25),
('font', 0, 2122, 2122, 'und', 0, 25),
('font', 0, 2123, 2123, 'und', 0, 25),
('font', 0, 2124, 2124, 'und', 0, 25),
('font', 0, 2125, 2125, 'und', 0, 25),
('font', 0, 2126, 2126, 'und', 0, 25),
('font', 0, 2127, 2127, 'und', 0, 22),
('font', 0, 2128, 2128, 'und', 0, 22),
('font', 0, 2129, 2129, 'und', 0, 20),
('font', 0, 2130, 2130, 'und', 0, 20),
('font', 0, 2131, 2131, 'und', 0, 20),
('font', 0, 2132, 2132, 'und', 0, 22),
('font', 0, 2133, 2133, 'und', 0, 18),
('font', 0, 2134, 2134, 'und', 0, 18),
('font', 0, 2135, 2135, 'und', 0, 18),
('font', 0, 2136, 2136, 'und', 0, 22),
('font', 0, 2137, 2137, 'und', 0, 20),
('font', 0, 2138, 2138, 'und', 0, 20),
('font', 0, 2139, 2139, 'und', 0, 20),
('font', 0, 2140, 2140, 'und', 0, 20),
('font', 0, 2141, 2141, 'und', 0, 20),
('font', 0, 2142, 2142, 'und', 0, 20),
('font', 0, 2143, 2143, 'und', 0, 20),
('font', 0, 2144, 2144, 'und', 0, 20),
('font', 0, 2145, 2145, 'und', 0, 20),
('font', 0, 2146, 2146, 'und', 0, 20),
('font', 0, 2147, 2147, 'und', 0, 20),
('font', 0, 2148, 2148, 'und', 0, 20),
('font', 0, 2149, 2149, 'und', 0, 22),
('font', 0, 2150, 2150, 'und', 0, 22),
('font', 0, 2151, 2151, 'und', 0, 22),
('font', 0, 2152, 2152, 'und', 0, 22),
('font', 0, 2153, 2153, 'und', 0, 22),
('font', 0, 2154, 2154, 'und', 0, 22),
('font', 0, 2155, 2155, 'und', 0, 22),
('font', 0, 2156, 2156, 'und', 0, 22),
('font', 0, 2157, 2157, 'und', 0, 22),
('font', 0, 2158, 2158, 'und', 0, 22),
('font', 0, 2159, 2159, 'und', 0, 22),
('font', 0, 2160, 2160, 'und', 0, 22),
('font', 0, 2161, 2161, 'und', 0, 20),
('font', 0, 2162, 2162, 'und', 0, 20),
('font', 0, 2163, 2163, 'und', 0, 22),
('font', 0, 2164, 2164, 'und', 0, 22),
('font', 0, 2165, 2165, 'und', 0, 22),
('font', 0, 2166, 2166, 'und', 0, 22),
('font', 0, 2167, 2167, 'und', 0, 22),
('font', 0, 2168, 2168, 'und', 0, 22),
('font', 0, 2169, 2169, 'und', 0, 22),
('font', 0, 2170, 2170, 'und', 0, 22),
('font', 0, 2171, 2171, 'und', 0, 22),
('font', 0, 2172, 2172, 'und', 0, 22),
('font', 0, 2173, 2173, 'und', 0, 25),
('font', 0, 2174, 2174, 'und', 0, 25),
('font', 0, 2175, 2175, 'und', 0, 25),
('font', 0, 2176, 2176, 'und', 0, 25),
('font', 0, 2177, 2177, 'und', 0, 25),
('font', 0, 2178, 2178, 'und', 0, 25),
('font', 0, 2179, 2179, 'und', 0, 25),
('font', 0, 2180, 2180, 'und', 0, 25),
('font', 0, 2181, 2181, 'und', 0, 25),
('font', 0, 2182, 2182, 'und', 0, 25),
('font', 0, 2183, 2183, 'und', 0, 25),
('font', 0, 2184, 2184, 'und', 0, 25),
('font', 0, 2185, 2185, 'und', 0, 25),
('font', 0, 2186, 2186, 'und', 0, 25),
('font', 0, 2187, 2187, 'und', 0, 25),
('font', 0, 2188, 2188, 'und', 0, 25),
('font', 0, 2189, 2189, 'und', 0, 25),
('font', 0, 2190, 2190, 'und', 0, 25),
('font', 0, 2191, 2191, 'und', 0, 25),
('font', 0, 2192, 2192, 'und', 0, 25),
('font', 0, 2193, 2193, 'und', 0, 25),
('font', 0, 2194, 2194, 'und', 0, 25),
('font', 0, 2195, 2195, 'und', 0, 25),
('font', 0, 2196, 2196, 'und', 0, 25),
('font', 0, 2197, 2197, 'und', 0, 25),
('font', 0, 2198, 2198, 'und', 0, 25),
('font', 0, 2199, 2199, 'und', 0, 25),
('font', 0, 2200, 2200, 'und', 0, 25),
('font', 0, 2201, 2201, 'und', 0, 25),
('font', 0, 2202, 2202, 'und', 0, 25),
('font', 0, 2203, 2203, 'und', 0, 25),
('font', 0, 2204, 2204, 'und', 0, 25),
('font', 0, 2205, 2205, 'und', 0, 25),
('font', 0, 2206, 2206, 'und', 0, 25),
('font', 0, 2207, 2207, 'und', 0, 25),
('font', 0, 2208, 2208, 'und', 0, 25),
('font', 0, 2209, 2209, 'und', 0, 20),
('font', 0, 2210, 2210, 'und', 0, 20),
('font', 0, 2211, 2211, 'und', 0, 20),
('font', 0, 2212, 2212, 'und', 0, 20),
('font', 0, 2213, 2213, 'und', 0, 20),
('font', 0, 2214, 2214, 'und', 0, 20),
('font', 0, 2215, 2215, 'und', 0, 22),
('font', 0, 2216, 2216, 'und', 0, 22),
('font', 0, 2217, 2217, 'und', 0, 22),
('font', 0, 2218, 2218, 'und', 0, 22),
('font', 0, 2219, 2219, 'und', 0, 22),
('font', 0, 2220, 2220, 'und', 0, 22),
('font', 0, 2221, 2221, 'und', 0, 22),
('font', 0, 2222, 2222, 'und', 0, 22),
('font', 0, 2223, 2223, 'und', 0, 22),
('font', 0, 2224, 2224, 'und', 0, 22),
('font', 0, 2225, 2225, 'und', 0, 22),
('font', 0, 2226, 2226, 'und', 0, 22),
('font', 0, 2227, 2227, 'und', 0, 22),
('font', 0, 2228, 2228, 'und', 0, 22),
('font', 0, 2229, 2229, 'und', 0, 22),
('font', 0, 2230, 2230, 'und', 0, 22),
('font', 0, 2231, 2231, 'und', 0, 22),
('font', 0, 2232, 2232, 'und', 0, 25),
('font', 0, 2233, 2233, 'und', 0, 25),
('font', 0, 2234, 2234, 'und', 0, 25),
('font', 0, 2235, 2235, 'und', 0, 25),
('font', 0, 2236, 2236, 'und', 0, 25),
('font', 0, 2237, 2237, 'und', 0, 25),
('font', 0, 2238, 2238, 'und', 0, 20),
('font', 0, 2239, 2239, 'und', 0, 20),
('font', 0, 2240, 2240, 'und', 0, 20),
('font', 0, 2241, 2241, 'und', 0, 18),
('font', 0, 2242, 2242, 'und', 0, 18),
('font', 0, 2243, 2243, 'und', 0, 25),
('font', 0, 2244, 2244, 'und', 0, 25),
('font', 0, 2245, 2245, 'und', 0, 25),
('font', 0, 2246, 2246, 'und', 0, 25),
('font', 0, 2247, 2247, 'und', 0, 25),
('font', 0, 2248, 2248, 'und', 0, 25),
('font', 0, 2249, 2249, 'und', 0, 25),
('font', 0, 2250, 2250, 'und', 0, 25),
('font', 0, 2251, 2251, 'und', 0, 25),
('font', 0, 2252, 2252, 'und', 0, 25),
('font', 0, 2253, 2253, 'und', 0, 25),
('font', 0, 2254, 2254, 'und', 0, 25),
('font', 0, 2255, 2255, 'und', 0, 25),
('font', 0, 2256, 2256, 'und', 0, 25),
('font', 0, 2257, 2257, 'und', 0, 25),
('font', 0, 2258, 2258, 'und', 0, 25),
('font', 0, 2259, 2259, 'und', 0, 25),
('font', 0, 2260, 2260, 'und', 0, 25),
('font', 0, 2261, 2261, 'und', 0, 25),
('font', 0, 2262, 2262, 'und', 0, 25),
('font', 0, 2263, 2263, 'und', 0, 18),
('font', 0, 2264, 2264, 'und', 0, 18),
('font', 0, 2265, 2265, 'und', 0, 22),
('font', 0, 2266, 2266, 'und', 0, 22),
('font', 0, 2267, 2267, 'und', 0, 22),
('font', 0, 2268, 2268, 'und', 0, 22),
('font', 0, 2269, 2269, 'und', 0, 22),
('font', 0, 2270, 2270, 'und', 0, 22),
('font', 0, 2271, 2271, 'und', 0, 18),
('font', 0, 2272, 2272, 'und', 0, 18),
('font', 0, 2273, 2273, 'und', 0, 20),
('font', 0, 2274, 2274, 'und', 0, 20),
('font', 0, 2275, 2275, 'und', 0, 20),
('font', 0, 2276, 2276, 'und', 0, 20),
('font', 0, 2277, 2277, 'und', 0, 20),
('font', 0, 2278, 2278, 'und', 0, 20),
('font', 0, 2279, 2279, 'und', 0, 20),
('font', 0, 2280, 2280, 'und', 0, 20),
('font', 0, 2281, 2281, 'und', 0, 20),
('font', 0, 2282, 2282, 'und', 0, 20),
('font', 0, 2283, 2283, 'und', 0, 20),
('font', 0, 2284, 2284, 'und', 0, 20),
('font', 0, 2285, 2285, 'und', 0, 20),
('font', 0, 2286, 2286, 'und', 0, 20),
('font', 0, 2287, 2287, 'und', 0, 20),
('font', 0, 2288, 2288, 'und', 0, 18),
('font', 0, 2289, 2289, 'und', 0, 20),
('font', 0, 2290, 2290, 'und', 0, 20),
('font', 0, 2291, 2291, 'und', 0, 20),
('font', 0, 2292, 2292, 'und', 0, 20),
('font', 0, 2293, 2293, 'und', 0, 22),
('font', 0, 2294, 2294, 'und', 0, 22),
('font', 0, 2295, 2295, 'und', 0, 22),
('font', 0, 2296, 2296, 'und', 0, 22),
('font', 0, 2297, 2297, 'und', 0, 22),
('font', 0, 2298, 2298, 'und', 0, 22),
('font', 0, 2299, 2299, 'und', 0, 25),
('font', 0, 2300, 2300, 'und', 0, 25),
('font', 0, 2301, 2301, 'und', 0, 18),
('font', 0, 2302, 2302, 'und', 0, 20),
('font', 0, 2303, 2303, 'und', 0, 20),
('font', 0, 2304, 2304, 'und', 0, 20),
('font', 0, 2305, 2305, 'und', 0, 22),
('font', 0, 2306, 2306, 'und', 0, 22),
('font', 0, 2307, 2307, 'und', 0, 20),
('font', 0, 2308, 2308, 'und', 0, 20),
('font', 0, 2309, 2309, 'und', 0, 22),
('font', 0, 2310, 2310, 'und', 0, 22),
('font', 0, 2311, 2311, 'und', 0, 25),
('font', 0, 2312, 2312, 'und', 0, 25),
('font', 0, 2313, 2313, 'und', 0, 25),
('font', 0, 2314, 2314, 'und', 0, 25),
('font', 0, 2315, 2315, 'und', 0, 25),
('font', 0, 2316, 2316, 'und', 0, 25),
('font', 0, 2317, 2317, 'und', 0, 25),
('font', 0, 2318, 2318, 'und', 0, 25),
('font', 0, 2319, 2319, 'und', 0, 25),
('font', 0, 2320, 2320, 'und', 0, 25),
('font', 0, 2321, 2321, 'und', 0, 25),
('font', 0, 2322, 2322, 'und', 0, 25),
('font', 0, 2323, 2323, 'und', 0, 25),
('font', 0, 2324, 2324, 'und', 0, 25),
('font', 0, 2325, 2325, 'und', 0, 25),
('font', 0, 2326, 2326, 'und', 0, 25),
('font', 0, 2327, 2327, 'und', 0, 22),
('font', 0, 2328, 2328, 'und', 0, 25),
('font', 0, 2329, 2329, 'und', 0, 25),
('font', 0, 2330, 2330, 'und', 0, 25),
('font', 0, 2331, 2331, 'und', 0, 25),
('font', 0, 2332, 2332, 'und', 0, 25),
('font', 0, 2333, 2333, 'und', 0, 25),
('font', 0, 2334, 2334, 'und', 0, 25),
('font', 0, 2335, 2335, 'und', 0, 25),
('font', 0, 2336, 2336, 'und', 0, 25),
('font', 0, 2337, 2337, 'und', 0, 25),
('font', 0, 2338, 2338, 'und', 0, 25),
('font', 0, 2339, 2339, 'und', 0, 25),
('font', 0, 2340, 2340, 'und', 0, 25),
('font', 0, 2341, 2341, 'und', 0, 25),
('font', 0, 2342, 2342, 'und', 0, 25),
('font', 0, 2343, 2343, 'und', 0, 22),
('font', 0, 2344, 2344, 'und', 0, 22),
('font', 0, 2345, 2345, 'und', 0, 22),
('font', 0, 2346, 2346, 'und', 0, 22),
('font', 0, 2347, 2347, 'und', 0, 22),
('font', 0, 2348, 2348, 'und', 0, 22),
('font', 0, 2349, 2349, 'und', 0, 22),
('font', 0, 2350, 2350, 'und', 0, 22),
('font', 0, 2351, 2351, 'und', 0, 22),
('font', 0, 2352, 2352, 'und', 0, 18),
('font', 0, 2353, 2353, 'und', 0, 18),
('font', 0, 2354, 2354, 'und', 0, 18),
('font', 0, 2355, 2355, 'und', 0, 18),
('font', 0, 2356, 2356, 'und', 0, 18),
('font', 0, 2357, 2357, 'und', 0, 22),
('font', 0, 2358, 2358, 'und', 0, 22),
('font', 0, 2359, 2359, 'und', 0, 22),
('font', 0, 2360, 2360, 'und', 0, 20),
('font', 0, 2361, 2361, 'und', 0, 20),
('font', 0, 2362, 2362, 'und', 0, 20),
('font', 0, 2363, 2363, 'und', 0, 20),
('font', 0, 2364, 2364, 'und', 0, 20),
('font', 0, 2365, 2365, 'und', 0, 20),
('font', 0, 2366, 2366, 'und', 0, 20),
('font', 0, 2367, 2367, 'und', 0, 20),
('font', 0, 2368, 2368, 'und', 0, 20),
('font', 0, 2369, 2369, 'und', 0, 20),
('font', 0, 2370, 2370, 'und', 0, 20),
('font', 0, 2371, 2371, 'und', 0, 20),
('font', 0, 2372, 2372, 'und', 0, 20),
('font', 0, 2373, 2373, 'und', 0, 20),
('font', 0, 2374, 2374, 'und', 0, 20),
('font', 0, 2375, 2375, 'und', 0, 25),
('font', 0, 2376, 2376, 'und', 0, 25),
('font', 0, 2377, 2377, 'und', 0, 25),
('font', 0, 2378, 2378, 'und', 0, 25),
('font', 0, 2379, 2379, 'und', 0, 25),
('font', 0, 2380, 2380, 'und', 0, 25),
('font', 0, 2381, 2381, 'und', 0, 25),
('font', 0, 2382, 2382, 'und', 0, 25),
('font', 0, 2383, 2383, 'und', 0, 25),
('font', 0, 2384, 2384, 'und', 0, 25),
('font', 0, 2385, 2385, 'und', 0, 25),
('font', 0, 2386, 2386, 'und', 0, 25),
('font', 0, 2387, 2387, 'und', 0, 25),
('font', 0, 2388, 2388, 'und', 0, 25),
('font', 0, 2389, 2389, 'und', 0, 25),
('font', 0, 2390, 2390, 'und', 0, 25),
('font', 0, 2391, 2391, 'und', 0, 25),
('font', 0, 2392, 2392, 'und', 0, 25),
('font', 0, 2393, 2393, 'und', 0, 25),
('font', 0, 2394, 2394, 'und', 0, 25),
('font', 0, 2395, 2395, 'und', 0, 25),
('font', 0, 2396, 2396, 'und', 0, 25),
('font', 0, 2397, 2397, 'und', 0, 25),
('font', 0, 2398, 2398, 'und', 0, 25),
('font', 0, 2399, 2399, 'und', 0, 25),
('font', 0, 2400, 2400, 'und', 0, 25),
('font', 0, 2401, 2401, 'und', 0, 25),
('font', 0, 2402, 2402, 'und', 0, 25),
('font', 0, 2403, 2403, 'und', 0, 25),
('font', 0, 2404, 2404, 'und', 0, 25),
('font', 0, 2405, 2405, 'und', 0, 25),
('font', 0, 2406, 2406, 'und', 0, 25),
('font', 0, 2407, 2407, 'und', 0, 25),
('font', 0, 2408, 2408, 'und', 0, 25),
('font', 0, 2409, 2409, 'und', 0, 25),
('font', 0, 2410, 2410, 'und', 0, 25),
('font', 0, 2411, 2411, 'und', 0, 25),
('font', 0, 2412, 2412, 'und', 0, 25),
('font', 0, 2413, 2413, 'und', 0, 25),
('font', 0, 2414, 2414, 'und', 0, 25),
('font', 0, 2415, 2415, 'und', 0, 25),
('font', 0, 2416, 2416, 'und', 0, 25),
('font', 0, 2417, 2417, 'und', 0, 25),
('font', 0, 2418, 2418, 'und', 0, 25),
('font', 0, 2419, 2419, 'und', 0, 25),
('font', 0, 2420, 2420, 'und', 0, 25),
('font', 0, 2421, 2421, 'und', 0, 25),
('font', 0, 2422, 2422, 'und', 0, 25),
('font', 0, 2423, 2423, 'und', 0, 25),
('font', 0, 2424, 2424, 'und', 0, 25),
('font', 0, 2425, 2425, 'und', 0, 25),
('font', 0, 2426, 2426, 'und', 0, 25),
('font', 0, 2427, 2427, 'und', 0, 25),
('font', 0, 2428, 2428, 'und', 0, 25),
('font', 0, 2429, 2429, 'und', 0, 25),
('font', 0, 2430, 2430, 'und', 0, 25),
('font', 0, 2431, 2431, 'und', 0, 25),
('font', 0, 2432, 2432, 'und', 0, 25),
('font', 0, 2433, 2433, 'und', 0, 25),
('font', 0, 2434, 2434, 'und', 0, 25),
('font', 0, 2435, 2435, 'und', 0, 25),
('font', 0, 2436, 2436, 'und', 0, 25),
('font', 0, 2437, 2437, 'und', 0, 25),
('font', 0, 2438, 2438, 'und', 0, 25),
('font', 0, 2439, 2439, 'und', 0, 25),
('font', 0, 2440, 2440, 'und', 0, 25),
('font', 0, 2441, 2441, 'und', 0, 25),
('font', 0, 2442, 2442, 'und', 0, 25),
('font', 0, 2443, 2443, 'und', 0, 25),
('font', 0, 2444, 2444, 'und', 0, 25),
('font', 0, 2445, 2445, 'und', 0, 25),
('font', 0, 2446, 2446, 'und', 0, 25),
('font', 0, 2447, 2447, 'und', 0, 25),
('font', 0, 2448, 2448, 'und', 0, 25),
('font', 0, 2449, 2449, 'und', 0, 25),
('font', 0, 2450, 2450, 'und', 0, 25),
('font', 0, 2451, 2451, 'und', 0, 25),
('font', 0, 2452, 2452, 'und', 0, 25),
('font', 0, 2453, 2453, 'und', 0, 25),
('font', 0, 2454, 2454, 'und', 0, 25),
('font', 0, 2455, 2455, 'und', 0, 25),
('font', 0, 2456, 2456, 'und', 0, 25),
('font', 0, 2457, 2457, 'und', 0, 25),
('font', 0, 2458, 2458, 'und', 0, 20),
('font', 0, 2459, 2459, 'und', 0, 20),
('font', 0, 2460, 2460, 'und', 0, 18),
('font', 0, 2461, 2461, 'und', 0, 18),
('font', 0, 2462, 2462, 'und', 0, 18),
('font', 0, 2463, 2463, 'und', 0, 18),
('font', 0, 2464, 2464, 'und', 0, 18),
('font', 0, 2465, 2465, 'und', 0, 18),
('font', 0, 2466, 2466, 'und', 0, 18),
('font', 0, 2467, 2467, 'und', 0, 18),
('font', 0, 2468, 2468, 'und', 0, 18),
('font', 0, 2469, 2469, 'und', 0, 20),
('font', 0, 2470, 2470, 'und', 0, 20),
('font', 0, 2471, 2471, 'und', 0, 20),
('font', 0, 2472, 2472, 'und', 0, 20),
('font', 0, 2473, 2473, 'und', 0, 18),
('font', 0, 2474, 2474, 'und', 0, 18),
('font', 0, 2475, 2475, 'und', 0, 18),
('font', 0, 2476, 2476, 'und', 0, 25),
('font', 0, 2477, 2477, 'und', 0, 25),
('font', 0, 2478, 2478, 'und', 0, 25),
('font', 0, 2479, 2479, 'und', 0, 25),
('font', 0, 2480, 2480, 'und', 0, 25),
('font', 0, 2481, 2481, 'und', 0, 25),
('font', 0, 2482, 2482, 'und', 0, 25),
('font', 0, 2483, 2483, 'und', 0, 25),
('font', 0, 2484, 2484, 'und', 0, 25),
('font', 0, 2485, 2485, 'und', 0, 25),
('font', 0, 2486, 2486, 'und', 0, 25),
('font', 0, 2487, 2487, 'und', 0, 25),
('font', 0, 2488, 2488, 'und', 0, 25),
('font', 0, 2489, 2489, 'und', 0, 25),
('font', 0, 2490, 2490, 'und', 0, 25),
('font', 0, 2491, 2491, 'und', 0, 25),
('font', 0, 2492, 2492, 'und', 0, 25),
('font', 0, 2493, 2493, 'und', 0, 25),
('font', 0, 2494, 2494, 'und', 0, 25),
('font', 0, 2495, 2495, 'und', 0, 25),
('font', 0, 2496, 2496, 'und', 0, 20),
('font', 0, 2497, 2497, 'und', 0, 25),
('font', 0, 2498, 2498, 'und', 0, 25),
('font', 0, 2499, 2499, 'und', 0, 18),
('font', 0, 2500, 2500, 'und', 0, 20),
('font', 0, 2501, 2501, 'und', 0, 20),
('font', 0, 2502, 2502, 'und', 0, 20),
('font', 0, 2503, 2503, 'und', 0, 20),
('font', 0, 2504, 2504, 'und', 0, 20),
('font', 0, 2505, 2505, 'und', 0, 20),
('font', 0, 2506, 2506, 'und', 0, 20),
('font', 0, 2507, 2507, 'und', 0, 20),
('font', 0, 2508, 2508, 'und', 0, 20),
('font', 0, 2509, 2509, 'und', 0, 22),
('font', 0, 2510, 2510, 'und', 0, 22),
('font', 0, 2511, 2511, 'und', 0, 20),
('font', 0, 2512, 2512, 'und', 0, 20),
('font', 0, 2513, 2513, 'und', 0, 20),
('font', 0, 2514, 2514, 'und', 0, 20),
('font', 0, 2515, 2515, 'und', 0, 20),
('font', 0, 2516, 2516, 'und', 0, 20),
('font', 0, 2517, 2517, 'und', 0, 20),
('font', 0, 2518, 2518, 'und', 0, 20),
('font', 0, 2519, 2519, 'und', 0, 20),
('font', 0, 2520, 2520, 'und', 0, 20),
('font', 0, 2521, 2521, 'und', 0, 25),
('font', 0, 2522, 2522, 'und', 0, 25),
('font', 0, 2523, 2523, 'und', 0, 25),
('font', 0, 2524, 2524, 'und', 0, 25),
('font', 0, 2525, 2525, 'und', 0, 25),
('font', 0, 2526, 2526, 'und', 0, 25),
('font', 0, 2527, 2527, 'und', 0, 25),
('font', 0, 2528, 2528, 'und', 0, 25),
('font', 0, 2529, 2529, 'und', 0, 25),
('font', 0, 2530, 2530, 'und', 0, 25),
('font', 0, 2531, 2531, 'und', 0, 25),
('font', 0, 2532, 2532, 'und', 0, 25),
('font', 0, 2533, 2533, 'und', 0, 25),
('font', 0, 2534, 2534, 'und', 0, 25),
('font', 0, 2535, 2535, 'und', 0, 25),
('font', 0, 2536, 2536, 'und', 0, 25),
('font', 0, 2537, 2537, 'und', 0, 25),
('font', 0, 2538, 2538, 'und', 0, 25),
('font', 0, 2539, 2539, 'und', 0, 25),
('font', 0, 2540, 2540, 'und', 0, 25),
('font', 0, 2541, 2541, 'und', 0, 22),
('font', 0, 2542, 2542, 'und', 0, 22),
('font', 0, 2543, 2543, 'und', 0, 22),
('font', 0, 2544, 2544, 'und', 0, 22),
('font', 0, 2545, 2545, 'und', 0, 22),
('font', 0, 2546, 2546, 'und', 0, 25),
('font', 0, 2547, 2547, 'und', 0, 25),
('font', 0, 2548, 2548, 'und', 0, 18),
('font', 0, 2549, 2549, 'und', 0, 18),
('font', 0, 2550, 2550, 'und', 0, 25),
('font', 0, 2551, 2551, 'und', 0, 25),
('font', 0, 2552, 2552, 'und', 0, 25),
('font', 0, 2553, 2553, 'und', 0, 25),
('font', 0, 2554, 2554, 'und', 0, 25),
('font', 0, 2555, 2555, 'und', 0, 25),
('font', 0, 2556, 2556, 'und', 0, 22),
('font', 0, 2557, 2557, 'und', 0, 20),
('font', 0, 2558, 2558, 'und', 0, 18),
('font', 0, 2559, 2559, 'und', 0, 18),
('font', 0, 2560, 2560, 'und', 0, 18),
('font', 0, 2561, 2561, 'und', 0, 18),
('font', 0, 2562, 2562, 'und', 0, 18),
('font', 0, 2563, 2563, 'und', 0, 18),
('font', 0, 2564, 2564, 'und', 0, 20),
('font', 0, 2565, 2565, 'und', 0, 25),
('font', 0, 2566, 2566, 'und', 0, 25),
('font', 0, 2567, 2567, 'und', 0, 25),
('font', 0, 2568, 2568, 'und', 0, 25),
('font', 0, 2569, 2569, 'und', 0, 25),
('font', 0, 2570, 2570, 'und', 0, 25),
('font', 0, 2571, 2571, 'und', 0, 25),
('font', 0, 2572, 2572, 'und', 0, 25),
('font', 0, 2573, 2573, 'und', 0, 25),
('font', 0, 2574, 2574, 'und', 0, 25),
('font', 0, 2575, 2575, 'und', 0, 25),
('font', 0, 2576, 2576, 'und', 0, 25),
('font', 0, 2577, 2577, 'und', 0, 25),
('font', 0, 2578, 2578, 'und', 0, 25),
('font', 0, 2579, 2579, 'und', 0, 25),
('font', 0, 2580, 2580, 'und', 0, 25),
('font', 0, 2581, 2581, 'und', 0, 22),
('font', 0, 2582, 2582, 'und', 0, 20),
('font', 0, 2583, 2583, 'und', 0, 20),
('font', 0, 2584, 2584, 'und', 0, 20),
('font', 0, 2585, 2585, 'und', 0, 20),
('font', 0, 2586, 2586, 'und', 0, 20),
('font', 0, 2587, 2587, 'und', 0, 20),
('font', 0, 2588, 2588, 'und', 0, 20),
('font', 0, 2589, 2589, 'und', 0, 20),
('font', 0, 2590, 2590, 'und', 0, 20),
('font', 0, 2591, 2591, 'und', 0, 20),
('font', 0, 2592, 2592, 'und', 0, 20),
('font', 0, 2593, 2593, 'und', 0, 20),
('font', 0, 2594, 2594, 'und', 0, 20),
('font', 0, 2595, 2595, 'und', 0, 20),
('font', 0, 2596, 2596, 'und', 0, 20),
('font', 0, 2597, 2597, 'und', 0, 20),
('font', 0, 2598, 2598, 'und', 0, 20),
('font', 0, 2599, 2599, 'und', 0, 20),
('font', 0, 2600, 2600, 'und', 0, 20),
('font', 0, 2601, 2601, 'und', 0, 20),
('font', 0, 2602, 2602, 'und', 0, 20),
('font', 0, 2603, 2603, 'und', 0, 20),
('font', 0, 2604, 2604, 'und', 0, 20),
('font', 0, 2605, 2605, 'und', 0, 20),
('font', 0, 2606, 2606, 'und', 0, 20),
('font', 0, 2607, 2607, 'und', 0, 18),
('font', 0, 2608, 2608, 'und', 0, 25),
('font', 0, 2609, 2609, 'und', 0, 25),
('font', 0, 2610, 2610, 'und', 0, 27),
('font', 0, 2611, 2611, 'und', 0, 27),
('font', 0, 2612, 2612, 'und', 0, 27),
('font', 0, 2613, 2613, 'und', 0, 27),
('font', 0, 2614, 2614, 'und', 0, 25),
('font', 0, 2615, 2615, 'und', 0, 25),
('font', 0, 2616, 2616, 'und', 0, 22),
('font', 0, 2617, 2617, 'und', 0, 22),
('font', 0, 2618, 2618, 'und', 0, 20),
('font', 0, 2619, 2619, 'und', 0, 20),
('font', 0, 2620, 2620, 'und', 0, 20),
('font', 0, 2621, 2621, 'und', 0, 20),
('font', 0, 2622, 2622, 'und', 0, 20),
('font', 0, 2623, 2623, 'und', 0, 20),
('font', 0, 2624, 2624, 'und', 0, 20),
('font', 0, 2625, 2625, 'und', 0, 20),
('font', 0, 2626, 2626, 'und', 0, 20),
('font', 0, 2627, 2627, 'und', 0, 20),
('font', 0, 2628, 2628, 'und', 0, 20),
('font', 0, 2629, 2629, 'und', 0, 20),
('font', 0, 2630, 2630, 'und', 0, 20),
('font', 0, 2631, 2631, 'und', 0, 20),
('font', 0, 2632, 2632, 'und', 0, 20),
('font', 0, 2633, 2633, 'und', 0, 25),
('font', 0, 2634, 2634, 'und', 0, 25),
('font', 0, 2635, 2635, 'und', 0, 18),
('font', 0, 2636, 2636, 'und', 0, 20),
('font', 0, 2637, 2637, 'und', 0, 25),
('font', 0, 2638, 2638, 'und', 0, 25),
('font', 0, 2639, 2639, 'und', 0, 25),
('font', 0, 2640, 2640, 'und', 0, 25),
('font', 0, 2641, 2641, 'und', 0, 25),
('font', 0, 2642, 2642, 'und', 0, 25),
('font', 0, 2643, 2643, 'und', 0, 25),
('font', 0, 2644, 2644, 'und', 0, 25),
('font', 0, 2645, 2645, 'und', 0, 25),
('font', 0, 2646, 2646, 'und', 0, 25),
('font', 0, 2647, 2647, 'und', 0, 25),
('font', 0, 2648, 2648, 'und', 0, 25),
('font', 0, 2649, 2649, 'und', 0, 25),
('font', 0, 2650, 2650, 'und', 0, 25),
('font', 0, 2651, 2651, 'und', 0, 25),
('font', 0, 2652, 2652, 'und', 0, 25),
('font', 0, 2653, 2653, 'und', 0, 25),
('font', 0, 2654, 2654, 'und', 0, 25),
('font', 0, 2655, 2655, 'und', 0, 25),
('font', 0, 2656, 2656, 'und', 0, 25),
('font', 0, 2657, 2657, 'und', 0, 25),
('font', 0, 2658, 2658, 'und', 0, 25),
('font', 0, 2659, 2659, 'und', 0, 25),
('font', 0, 2660, 2660, 'und', 0, 25),
('font', 0, 2661, 2661, 'und', 0, 25),
('font', 0, 2662, 2662, 'und', 0, 25),
('font', 0, 2663, 2663, 'und', 0, 25),
('font', 0, 2664, 2664, 'und', 0, 25),
('font', 0, 2665, 2665, 'und', 0, 25),
('font', 0, 2666, 2666, 'und', 0, 25),
('font', 0, 2667, 2667, 'und', 0, 25),
('font', 0, 2668, 2668, 'und', 0, 25),
('font', 0, 2669, 2669, 'und', 0, 25),
('font', 0, 2670, 2670, 'und', 0, 25),
('font', 0, 2671, 2671, 'und', 0, 25),
('font', 0, 2672, 2672, 'und', 0, 25),
('font', 0, 2673, 2673, 'und', 0, 25),
('font', 0, 2674, 2674, 'und', 0, 25),
('font', 0, 2675, 2675, 'und', 0, 25),
('font', 0, 2676, 2676, 'und', 0, 25),
('font', 0, 2677, 2677, 'und', 0, 25),
('font', 0, 2678, 2678, 'und', 0, 25),
('font', 0, 2679, 2679, 'und', 0, 25),
('font', 0, 2680, 2680, 'und', 0, 25),
('font', 0, 2681, 2681, 'und', 0, 25),
('font', 0, 2682, 2682, 'und', 0, 25),
('font', 0, 2683, 2683, 'und', 0, 25),
('font', 0, 2684, 2684, 'und', 0, 25),
('font', 0, 2685, 2685, 'und', 0, 25),
('font', 0, 2686, 2686, 'und', 0, 25),
('font', 0, 2687, 2687, 'und', 0, 25),
('font', 0, 2688, 2688, 'und', 0, 25),
('font', 0, 2689, 2689, 'und', 0, 25),
('font', 0, 2690, 2690, 'und', 0, 25),
('font', 0, 2691, 2691, 'und', 0, 25),
('font', 0, 2692, 2692, 'und', 0, 25),
('font', 0, 2693, 2693, 'und', 0, 25),
('font', 0, 2694, 2694, 'und', 0, 25),
('font', 0, 2695, 2695, 'und', 0, 25),
('font', 0, 2696, 2696, 'und', 0, 25),
('font', 0, 2697, 2697, 'und', 0, 25),
('font', 0, 2698, 2698, 'und', 0, 25),
('font', 0, 2699, 2699, 'und', 0, 25),
('font', 0, 2700, 2700, 'und', 0, 25),
('font', 0, 2701, 2701, 'und', 0, 25),
('font', 0, 2702, 2702, 'und', 0, 25),
('font', 0, 2703, 2703, 'und', 0, 25),
('font', 0, 2704, 2704, 'und', 0, 25),
('font', 0, 2705, 2705, 'und', 0, 25),
('font', 0, 2706, 2706, 'und', 0, 25),
('font', 0, 2707, 2707, 'und', 0, 25),
('font', 0, 2708, 2708, 'und', 0, 25),
('font', 0, 2709, 2709, 'und', 0, 25),
('font', 0, 2710, 2710, 'und', 0, 25),
('font', 0, 2711, 2711, 'und', 0, 25),
('font', 0, 2712, 2712, 'und', 0, 18),
('font', 0, 2713, 2713, 'und', 0, 18),
('font', 0, 2714, 2714, 'und', 0, 22),
('font', 0, 2715, 2715, 'und', 0, 25),
('font', 0, 2716, 2716, 'und', 0, 25),
('font', 0, 2717, 2717, 'und', 0, 25),
('font', 0, 2718, 2718, 'und', 0, 25),
('font', 0, 2719, 2719, 'und', 0, 25),
('font', 0, 2720, 2720, 'und', 0, 25),
('font', 0, 2721, 2721, 'und', 0, 25),
('font', 0, 2722, 2722, 'und', 0, 25),
('font', 0, 2723, 2723, 'und', 0, 25),
('font', 0, 2724, 2724, 'und', 0, 25),
('font', 0, 2725, 2725, 'und', 0, 25),
('font', 0, 2726, 2726, 'und', 0, 25),
('font', 0, 2727, 2727, 'und', 0, 25),
('font', 0, 2728, 2728, 'und', 0, 25),
('font', 0, 2729, 2729, 'und', 0, 20),
('font', 0, 2730, 2730, 'und', 0, 20),
('font', 0, 2731, 2731, 'und', 0, 25),
('font', 0, 2732, 2732, 'und', 0, 25),
('font', 0, 2733, 2733, 'und', 0, 22),
('font', 0, 2734, 2734, 'und', 0, 22),
('font', 0, 2735, 2735, 'und', 0, 20),
('font', 0, 2736, 2736, 'und', 0, 20),
('font', 0, 2737, 2737, 'und', 0, 18),
('font', 0, 2738, 2738, 'und', 0, 22),
('font', 0, 2739, 2739, 'und', 0, 22),
('font', 0, 2740, 2740, 'und', 0, 22),
('font', 0, 2741, 2741, 'und', 0, 22),
('font', 0, 2742, 2742, 'und', 0, 25),
('font', 0, 2743, 2743, 'und', 0, 25),
('font', 0, 2744, 2744, 'und', 0, 20),
('font', 0, 2745, 2745, 'und', 0, 20),
('font', 0, 2746, 2746, 'und', 0, 20),
('font', 0, 2747, 2747, 'und', 0, 20),
('font', 0, 2748, 2748, 'und', 0, 20),
('font', 0, 2749, 2749, 'und', 0, 20);
INSERT INTO `font__field_classification` VALUES
('font', 0, 2750, 2750, 'und', 0, 20),
('font', 0, 2751, 2751, 'und', 0, 20),
('font', 0, 2752, 2752, 'und', 0, 20),
('font', 0, 2753, 2753, 'und', 0, 20),
('font', 0, 2754, 2754, 'und', 0, 20),
('font', 0, 2755, 2755, 'und', 0, 20),
('font', 0, 2756, 2756, 'und', 0, 20),
('font', 0, 2757, 2757, 'und', 0, 20),
('font', 0, 2758, 2758, 'und', 0, 20),
('font', 0, 2759, 2759, 'und', 0, 20),
('font', 0, 2760, 2760, 'und', 0, 20),
('font', 0, 2761, 2761, 'und', 0, 20),
('font', 0, 2762, 2762, 'und', 0, 20),
('font', 0, 2763, 2763, 'und', 0, 25),
('font', 0, 2764, 2764, 'und', 0, 25),
('font', 0, 2765, 2765, 'und', 0, 25),
('font', 0, 2766, 2766, 'und', 0, 25),
('font', 0, 2767, 2767, 'und', 0, 25),
('font', 0, 2768, 2768, 'und', 0, 25),
('font', 0, 2769, 2769, 'und', 0, 22),
('font', 0, 2770, 2770, 'und', 0, 22),
('font', 0, 2771, 2771, 'und', 0, 22),
('font', 0, 2772, 2772, 'und', 0, 22),
('font', 0, 2773, 2773, 'und', 0, 18),
('font', 0, 2774, 2774, 'und', 0, 18),
('font', 0, 2775, 2775, 'und', 0, 22),
('font', 0, 2776, 2776, 'und', 0, 18),
('font', 0, 2777, 2777, 'und', 0, 18),
('font', 0, 2778, 2778, 'und', 0, 22),
('font', 0, 2779, 2779, 'und', 0, 20),
('font', 0, 2780, 2780, 'und', 0, 22),
('font', 0, 2781, 2781, 'und', 0, 22),
('font', 0, 2782, 2782, 'und', 0, 18),
('font', 0, 2783, 2783, 'und', 0, 22),
('font', 0, 2784, 2784, 'und', 0, 18),
('font', 0, 2785, 2785, 'und', 0, 20),
('font', 0, 2786, 2786, 'und', 0, 20),
('font', 0, 2787, 2787, 'und', 0, 20),
('font', 0, 2788, 2788, 'und', 0, 20),
('font', 0, 2789, 2789, 'und', 0, 20),
('font', 0, 2790, 2790, 'und', 0, 20),
('font', 0, 2791, 2791, 'und', 0, 22),
('font', 0, 2792, 2792, 'und', 0, 22),
('font', 0, 2793, 2793, 'und', 0, 18),
('font', 0, 2794, 2794, 'und', 0, 20),
('font', 0, 2795, 2795, 'und', 0, 20),
('font', 0, 2796, 2796, 'und', 0, 25),
('font', 0, 2797, 2797, 'und', 0, 25),
('font', 0, 2798, 2798, 'und', 0, 22),
('font', 0, 2799, 2799, 'und', 0, 22),
('font', 0, 2800, 2800, 'und', 0, 22),
('font', 0, 2801, 2801, 'und', 0, 25),
('font', 0, 2802, 2802, 'und', 0, 25),
('font', 0, 2803, 2803, 'und', 0, 20),
('font', 0, 2804, 2804, 'und', 0, 20),
('font', 0, 2805, 2805, 'und', 0, 20),
('font', 0, 2806, 2806, 'und', 0, 20),
('font', 0, 2807, 2807, 'und', 0, 20),
('font', 0, 2808, 2808, 'und', 0, 20),
('font', 0, 2809, 2809, 'und', 0, 20),
('font', 0, 2810, 2810, 'und', 0, 20),
('font', 0, 2811, 2811, 'und', 0, 20),
('font', 0, 2812, 2812, 'und', 0, 20),
('font', 0, 2813, 2813, 'und', 0, 20),
('font', 0, 2814, 2814, 'und', 0, 20),
('font', 0, 2815, 2815, 'und', 0, 20),
('font', 0, 2816, 2816, 'und', 0, 20),
('font', 0, 2817, 2817, 'und', 0, 20),
('font', 0, 2818, 2818, 'und', 0, 20),
('font', 0, 2819, 2819, 'und', 0, 22),
('font', 0, 2820, 2820, 'und', 0, 22),
('font', 0, 2821, 2821, 'und', 0, 25),
('font', 0, 2822, 2822, 'und', 0, 22),
('font', 0, 2823, 2823, 'und', 0, 22),
('font', 0, 2824, 2824, 'und', 0, 25),
('font', 0, 2825, 2825, 'und', 0, 25),
('font', 0, 2826, 2826, 'und', 0, 20),
('font', 0, 2827, 2827, 'und', 0, 20),
('font', 0, 2828, 2828, 'und', 0, 25),
('font', 0, 2829, 2829, 'und', 0, 25),
('font', 0, 2830, 2830, 'und', 0, 25),
('font', 0, 2831, 2831, 'und', 0, 25),
('font', 0, 2832, 2832, 'und', 0, 20),
('font', 0, 2833, 2833, 'und', 0, 22),
('font', 0, 2834, 2834, 'und', 0, 22),
('font', 0, 2835, 2835, 'und', 0, 22),
('font', 0, 2836, 2836, 'und', 0, 22),
('font', 0, 2837, 2837, 'und', 0, 25),
('font', 0, 2838, 2838, 'und', 0, 25),
('font', 0, 2839, 2839, 'und', 0, 22),
('font', 0, 2840, 2840, 'und', 0, 22),
('font', 0, 2841, 2841, 'und', 0, 22),
('font', 0, 2842, 2842, 'und', 0, 22),
('font', 0, 2843, 2843, 'und', 0, 22),
('font', 0, 2844, 2844, 'und', 0, 25),
('font', 0, 2845, 2845, 'und', 0, 25),
('font', 0, 2846, 2846, 'und', 0, 25),
('font', 0, 2847, 2847, 'und', 0, 25),
('font', 0, 2848, 2848, 'und', 0, 25),
('font', 0, 2849, 2849, 'und', 0, 25),
('font', 0, 2850, 2850, 'und', 0, 25),
('font', 0, 2851, 2851, 'und', 0, 25),
('font', 0, 2852, 2852, 'und', 0, 25),
('font', 0, 2853, 2853, 'und', 0, 25),
('font', 0, 2854, 2854, 'und', 0, 25),
('font', 0, 2855, 2855, 'und', 0, 25),
('font', 0, 2856, 2856, 'und', 0, 25),
('font', 0, 2857, 2857, 'und', 0, 25),
('font', 0, 2858, 2858, 'und', 0, 25),
('font', 0, 2859, 2859, 'und', 0, 25),
('font', 0, 2860, 2860, 'und', 0, 25),
('font', 0, 2861, 2861, 'und', 0, 22),
('font', 0, 2862, 2862, 'und', 0, 22),
('font', 0, 2863, 2863, 'und', 0, 22),
('font', 0, 2864, 2864, 'und', 0, 22),
('font', 0, 2865, 2865, 'und', 0, 22),
('font', 0, 2866, 2866, 'und', 0, 18),
('font', 0, 2867, 2867, 'und', 0, 18),
('font', 0, 2868, 2868, 'und', 0, 18),
('font', 0, 2869, 2869, 'und', 0, 18),
('font', 0, 2870, 2870, 'und', 0, 22),
('font', 0, 2871, 2871, 'und', 0, 22),
('font', 0, 2872, 2872, 'und', 0, 22),
('font', 0, 2873, 2873, 'und', 0, 20),
('font', 0, 2874, 2874, 'und', 0, 25),
('font', 0, 2875, 2875, 'und', 0, 25),
('font', 0, 2876, 2876, 'und', 0, 25),
('font', 0, 2877, 2877, 'und', 0, 25),
('font', 0, 2878, 2878, 'und', 0, 25),
('font', 0, 2879, 2879, 'und', 0, 25),
('font', 0, 2880, 2880, 'und', 0, 25),
('font', 0, 2881, 2881, 'und', 0, 25),
('font', 0, 2882, 2882, 'und', 0, 25),
('font', 0, 2883, 2883, 'und', 0, 25),
('font', 0, 2884, 2884, 'und', 0, 25),
('font', 0, 2885, 2885, 'und', 0, 25),
('font', 0, 2886, 2886, 'und', 0, 25),
('font', 0, 2887, 2887, 'und', 0, 25),
('font', 0, 2888, 2888, 'und', 0, 25),
('font', 0, 2889, 2889, 'und', 0, 25),
('font', 0, 2890, 2890, 'und', 0, 25),
('font', 0, 2891, 2891, 'und', 0, 25),
('font', 0, 2892, 2892, 'und', 0, 25),
('font', 0, 2893, 2893, 'und', 0, 25),
('font', 0, 2894, 2894, 'und', 0, 25),
('font', 0, 2895, 2895, 'und', 0, 25),
('font', 0, 2896, 2896, 'und', 0, 25),
('font', 0, 2897, 2897, 'und', 0, 25),
('font', 0, 2898, 2898, 'und', 0, 25),
('font', 0, 2899, 2899, 'und', 0, 25),
('font', 0, 2900, 2900, 'und', 0, 25),
('font', 0, 2901, 2901, 'und', 0, 25),
('font', 0, 2902, 2902, 'und', 0, 25),
('font', 0, 2903, 2903, 'und', 0, 25),
('font', 0, 2904, 2904, 'und', 0, 25),
('font', 0, 2905, 2905, 'und', 0, 25),
('font', 0, 2906, 2906, 'und', 0, 25),
('font', 0, 2907, 2907, 'und', 0, 25),
('font', 0, 2908, 2908, 'und', 0, 25),
('font', 0, 2909, 2909, 'und', 0, 25),
('font', 0, 2910, 2910, 'und', 0, 25),
('font', 0, 2911, 2911, 'und', 0, 25),
('font', 0, 2912, 2912, 'und', 0, 25),
('font', 0, 2913, 2913, 'und', 0, 25),
('font', 0, 2914, 2914, 'und', 0, 25),
('font', 0, 2915, 2915, 'und', 0, 25),
('font', 0, 2916, 2916, 'und', 0, 27),
('font', 0, 2917, 2917, 'und', 0, 27),
('font', 0, 2918, 2918, 'und', 0, 27),
('font', 0, 2919, 2919, 'und', 0, 27),
('font', 0, 2920, 2920, 'und', 0, 27),
('font', 0, 2921, 2921, 'und', 0, 27),
('font', 0, 2922, 2922, 'und', 0, 27),
('font', 0, 2923, 2923, 'und', 0, 27),
('font', 0, 2924, 2924, 'und', 0, 27),
('font', 0, 2925, 2925, 'und', 0, 27),
('font', 0, 2926, 2926, 'und', 0, 22),
('font', 0, 2927, 2927, 'und', 0, 20),
('font', 0, 2928, 2928, 'und', 0, 20),
('font', 0, 2929, 2929, 'und', 0, 18),
('font', 0, 2930, 2930, 'und', 0, 18),
('font', 0, 2931, 2931, 'und', 0, 25),
('font', 0, 2932, 2932, 'und', 0, 22),
('font', 0, 2933, 2933, 'und', 0, 20),
('font', 0, 2934, 2934, 'und', 0, 20),
('font', 0, 2935, 2935, 'und', 0, 20),
('font', 0, 2936, 2936, 'und', 0, 22),
('font', 0, 2937, 2937, 'und', 0, 22),
('font', 0, 2938, 2938, 'und', 0, 22),
('font', 0, 2939, 2939, 'und', 0, 22),
('font', 0, 2940, 2940, 'und', 0, 22),
('font', 0, 2941, 2941, 'und', 0, 22),
('font', 0, 2942, 2942, 'und', 0, 22),
('font', 0, 2943, 2943, 'und', 0, 20),
('font', 0, 2944, 2944, 'und', 0, 20),
('font', 0, 2945, 2945, 'und', 0, 22),
('font', 0, 2946, 2946, 'und', 0, 22),
('font', 0, 2947, 2947, 'und', 0, 22),
('font', 0, 2948, 2948, 'und', 0, 22),
('font', 0, 2949, 2949, 'und', 0, 22),
('font', 0, 2950, 2950, 'und', 0, 22),
('font', 0, 2951, 2951, 'und', 0, 22),
('font', 0, 2952, 2952, 'und', 0, 22),
('font', 0, 2953, 2953, 'und', 0, 25),
('font', 0, 2954, 2954, 'und', 0, 25),
('font', 0, 2955, 2955, 'und', 0, 25),
('font', 0, 2956, 2956, 'und', 0, 25),
('font', 0, 2957, 2957, 'und', 0, 25),
('font', 0, 2958, 2958, 'und', 0, 25),
('font', 0, 2959, 2959, 'und', 0, 25),
('font', 0, 2960, 2960, 'und', 0, 25),
('font', 0, 2961, 2961, 'und', 0, 25),
('font', 0, 2962, 2962, 'und', 0, 25),
('font', 0, 2963, 2963, 'und', 0, 25),
('font', 0, 2964, 2964, 'und', 0, 25),
('font', 0, 2965, 2965, 'und', 0, 25),
('font', 0, 2966, 2966, 'und', 0, 25),
('font', 0, 2967, 2967, 'und', 0, 25),
('font', 0, 2968, 2968, 'und', 0, 25),
('font', 0, 2969, 2969, 'und', 0, 25),
('font', 0, 2970, 2970, 'und', 0, 25),
('font', 0, 2971, 2971, 'und', 0, 25),
('font', 0, 2972, 2972, 'und', 0, 25),
('font', 0, 2973, 2973, 'und', 0, 25),
('font', 0, 2974, 2974, 'und', 0, 25),
('font', 0, 2975, 2975, 'und', 0, 25),
('font', 0, 2976, 2976, 'und', 0, 25),
('font', 0, 2977, 2977, 'und', 0, 25),
('font', 0, 2978, 2978, 'und', 0, 25),
('font', 0, 2979, 2979, 'und', 0, 25),
('font', 0, 2980, 2980, 'und', 0, 25),
('font', 0, 2981, 2981, 'und', 0, 25),
('font', 0, 2982, 2982, 'und', 0, 25),
('font', 0, 2983, 2983, 'und', 0, 25),
('font', 0, 2984, 2984, 'und', 0, 25),
('font', 0, 2985, 2985, 'und', 0, 25),
('font', 0, 2986, 2986, 'und', 0, 25),
('font', 0, 2987, 2987, 'und', 0, 25),
('font', 0, 2988, 2988, 'und', 0, 25),
('font', 0, 2989, 2989, 'und', 0, 25),
('font', 0, 2990, 2990, 'und', 0, 25),
('font', 0, 2991, 2991, 'und', 0, 25),
('font', 0, 2992, 2992, 'und', 0, 25),
('font', 0, 2993, 2993, 'und', 0, 25),
('font', 0, 2994, 2994, 'und', 0, 25),
('font', 0, 2995, 2995, 'und', 0, 25),
('font', 0, 2996, 2996, 'und', 0, 25),
('font', 0, 2997, 2997, 'und', 0, 25),
('font', 0, 2998, 2998, 'und', 0, 25),
('font', 0, 2999, 2999, 'und', 0, 25),
('font', 0, 3000, 3000, 'und', 0, 25),
('font', 0, 3001, 3001, 'und', 0, 25),
('font', 0, 3002, 3002, 'und', 0, 25),
('font', 0, 3003, 3003, 'und', 0, 25),
('font', 0, 3004, 3004, 'und', 0, 25),
('font', 0, 3005, 3005, 'und', 0, 25),
('font', 0, 3006, 3006, 'und', 0, 25),
('font', 0, 3007, 3007, 'und', 0, 25),
('font', 0, 3008, 3008, 'und', 0, 25),
('font', 0, 3009, 3009, 'und', 0, 25),
('font', 0, 3010, 3010, 'und', 0, 25),
('font', 0, 3011, 3011, 'und', 0, 25),
('font', 0, 3012, 3012, 'und', 0, 25),
('font', 0, 3013, 3013, 'und', 0, 25),
('font', 0, 3014, 3014, 'und', 0, 25),
('font', 0, 3015, 3015, 'und', 0, 25),
('font', 0, 3016, 3016, 'und', 0, 25),
('font', 0, 3017, 3017, 'und', 0, 25),
('font', 0, 3018, 3018, 'und', 0, 25),
('font', 0, 3019, 3019, 'und', 0, 25),
('font', 0, 3020, 3020, 'und', 0, 25),
('font', 0, 3021, 3021, 'und', 0, 25),
('font', 0, 3022, 3022, 'und', 0, 25),
('font', 0, 3023, 3023, 'und', 0, 25),
('font', 0, 3024, 3024, 'und', 0, 25),
('font', 0, 3025, 3025, 'und', 0, 25),
('font', 0, 3026, 3026, 'und', 0, 25),
('font', 0, 3027, 3027, 'und', 0, 25),
('font', 0, 3028, 3028, 'und', 0, 25),
('font', 0, 3029, 3029, 'und', 0, 25),
('font', 0, 3030, 3030, 'und', 0, 25),
('font', 0, 3031, 3031, 'und', 0, 25),
('font', 0, 3032, 3032, 'und', 0, 25),
('font', 0, 3033, 3033, 'und', 0, 25),
('font', 0, 3034, 3034, 'und', 0, 25),
('font', 0, 3035, 3035, 'und', 0, 25),
('font', 0, 3036, 3036, 'und', 0, 25),
('font', 0, 3037, 3037, 'und', 0, 25),
('font', 0, 3038, 3038, 'und', 0, 25),
('font', 0, 3039, 3039, 'und', 0, 25),
('font', 0, 3040, 3040, 'und', 0, 25),
('font', 0, 3041, 3041, 'und', 0, 25),
('font', 0, 3042, 3042, 'und', 0, 25),
('font', 0, 3043, 3043, 'und', 0, 22),
('font', 0, 3044, 3044, 'und', 0, 22),
('font', 0, 3045, 3045, 'und', 0, 18),
('font', 0, 3046, 3046, 'und', 0, 18),
('font', 0, 3047, 3047, 'und', 0, 20),
('font', 0, 3048, 3048, 'und', 0, 20),
('font', 0, 3049, 3049, 'und', 0, 22),
('font', 0, 3050, 3050, 'und', 0, 22),
('font', 0, 3051, 3051, 'und', 0, 20),
('font', 0, 3052, 3052, 'und', 0, 20),
('font', 0, 3053, 3053, 'und', 0, 20),
('font', 0, 3054, 3054, 'und', 0, 20),
('font', 0, 3055, 3055, 'und', 0, 25),
('font', 0, 3056, 3056, 'und', 0, 25),
('font', 0, 3057, 3057, 'und', 0, 18),
('font', 0, 3058, 3058, 'und', 0, 22),
('font', 0, 3059, 3059, 'und', 0, 22),
('font', 0, 3060, 3060, 'und', 0, 22),
('font', 0, 3061, 3061, 'und', 0, 22),
('font', 0, 3062, 3062, 'und', 0, 22),
('font', 0, 3063, 3063, 'und', 0, 22),
('font', 0, 3064, 3064, 'und', 0, 22),
('font', 0, 3065, 3065, 'und', 0, 22),
('font', 0, 3066, 3066, 'und', 0, 22),
('font', 0, 3067, 3067, 'und', 0, 22),
('font', 0, 3068, 3068, 'und', 0, 22),
('font', 0, 3069, 3069, 'und', 0, 22),
('font', 0, 3070, 3070, 'und', 0, 25),
('font', 0, 3071, 3071, 'und', 0, 25),
('font', 0, 3072, 3072, 'und', 0, 25),
('font', 0, 3073, 3073, 'und', 0, 25),
('font', 0, 3074, 3074, 'und', 0, 25),
('font', 0, 3075, 3075, 'und', 0, 25),
('font', 0, 3076, 3076, 'und', 0, 25),
('font', 0, 3077, 3077, 'und', 0, 25),
('font', 0, 3078, 3078, 'und', 0, 25),
('font', 0, 3079, 3079, 'und', 0, 25),
('font', 0, 3080, 3080, 'und', 0, 25),
('font', 0, 3081, 3081, 'und', 0, 25),
('font', 0, 3082, 3082, 'und', 0, 25),
('font', 0, 3083, 3083, 'und', 0, 25),
('font', 0, 3084, 3084, 'und', 0, 25),
('font', 0, 3085, 3085, 'und', 0, 25),
('font', 0, 3086, 3086, 'und', 0, 25),
('font', 0, 3087, 3087, 'und', 0, 25),
('font', 0, 3088, 3088, 'und', 0, 25),
('font', 0, 3089, 3089, 'und', 0, 25),
('font', 0, 3090, 3090, 'und', 0, 25),
('font', 0, 3091, 3091, 'und', 0, 25),
('font', 0, 3092, 3092, 'und', 0, 25),
('font', 0, 3093, 3093, 'und', 0, 25),
('font', 0, 3094, 3094, 'und', 0, 25),
('font', 0, 3095, 3095, 'und', 0, 25),
('font', 0, 3096, 3096, 'und', 0, 25),
('font', 0, 3097, 3097, 'und', 0, 25),
('font', 0, 3098, 3098, 'und', 0, 25),
('font', 0, 3099, 3099, 'und', 0, 25),
('font', 0, 3100, 3100, 'und', 0, 25),
('font', 0, 3101, 3101, 'und', 0, 25),
('font', 0, 3102, 3102, 'und', 0, 25),
('font', 0, 3103, 3103, 'und', 0, 25),
('font', 0, 3104, 3104, 'und', 0, 20),
('font', 0, 3105, 3105, 'und', 0, 20),
('font', 0, 3106, 3106, 'und', 0, 20),
('font', 0, 3107, 3107, 'und', 0, 20),
('font', 0, 3108, 3108, 'und', 0, 20),
('font', 0, 3109, 3109, 'und', 0, 20),
('font', 0, 3110, 3110, 'und', 0, 20),
('font', 0, 3111, 3111, 'und', 0, 20),
('font', 0, 3112, 3112, 'und', 0, 20),
('font', 0, 3113, 3113, 'und', 0, 20),
('font', 0, 3114, 3114, 'und', 0, 20),
('font', 0, 3115, 3115, 'und', 0, 20),
('font', 0, 3116, 3116, 'und', 0, 20),
('font', 0, 3117, 3117, 'und', 0, 20),
('font', 0, 3118, 3118, 'und', 0, 20),
('font', 0, 3119, 3119, 'und', 0, 25),
('font', 0, 3120, 3120, 'und', 0, 25),
('font', 0, 3121, 3121, 'und', 0, 25),
('font', 0, 3122, 3122, 'und', 0, 25),
('font', 0, 3123, 3123, 'und', 0, 25),
('font', 0, 3124, 3124, 'und', 0, 25),
('font', 0, 3125, 3125, 'und', 0, 25),
('font', 0, 3126, 3126, 'und', 0, 25),
('font', 0, 3127, 3127, 'und', 0, 22),
('font', 0, 3128, 3128, 'und', 0, 22),
('font', 0, 3129, 3129, 'und', 0, 18),
('font', 0, 3130, 3130, 'und', 0, 18),
('font', 0, 3131, 3131, 'und', 0, 20),
('font', 0, 3132, 3132, 'und', 0, 20),
('font', 0, 3133, 3133, 'und', 0, 20),
('font', 0, 3134, 3134, 'und', 0, 20),
('font', 0, 3135, 3135, 'und', 0, 20),
('font', 0, 3136, 3136, 'und', 0, 22),
('font', 0, 3137, 3137, 'und', 0, 22),
('font', 0, 3138, 3138, 'und', 0, 25),
('font', 0, 3139, 3139, 'und', 0, 25),
('font', 0, 3140, 3140, 'und', 0, 20),
('font', 0, 3141, 3141, 'und', 0, 20),
('font', 0, 3142, 3142, 'und', 0, 20),
('font', 0, 3143, 3143, 'und', 0, 20),
('font', 0, 3144, 3144, 'und', 0, 27),
('font', 0, 3145, 3145, 'und', 0, 25),
('font', 0, 3146, 3146, 'und', 0, 25),
('font', 0, 3147, 3147, 'und', 0, 18),
('font', 0, 3148, 3148, 'und', 0, 18),
('font', 0, 3149, 3149, 'und', 0, 25),
('font', 0, 3150, 3150, 'und', 0, 25),
('font', 0, 3151, 3151, 'und', 0, 25),
('font', 0, 3152, 3152, 'und', 0, 25),
('font', 0, 3153, 3153, 'und', 0, 25),
('font', 0, 3154, 3154, 'und', 0, 25),
('font', 0, 3155, 3155, 'und', 0, 25),
('font', 0, 3156, 3156, 'und', 0, 25),
('font', 0, 3157, 3157, 'und', 0, 25),
('font', 0, 3158, 3158, 'und', 0, 25),
('font', 0, 3159, 3159, 'und', 0, 25),
('font', 0, 3160, 3160, 'und', 0, 25),
('font', 0, 3161, 3161, 'und', 0, 25),
('font', 0, 3162, 3162, 'und', 0, 25),
('font', 0, 3163, 3163, 'und', 0, 25),
('font', 0, 3164, 3164, 'und', 0, 25),
('font', 0, 3165, 3165, 'und', 0, 25),
('font', 0, 3166, 3166, 'und', 0, 20),
('font', 0, 3167, 3167, 'und', 0, 20),
('font', 0, 3168, 3168, 'und', 0, 20),
('font', 0, 3169, 3169, 'und', 0, 20),
('font', 0, 3170, 3170, 'und', 0, 20),
('font', 0, 3171, 3171, 'und', 0, 20),
('font', 0, 3172, 3172, 'und', 0, 22),
('font', 0, 3173, 3173, 'und', 0, 22),
('font', 0, 3174, 3174, 'und', 0, 22),
('font', 0, 3175, 3175, 'und', 0, 22),
('font', 0, 3176, 3176, 'und', 0, 25),
('font', 0, 3177, 3177, 'und', 0, 25),
('font', 0, 3178, 3178, 'und', 0, 25),
('font', 0, 3179, 3179, 'und', 0, 25),
('font', 0, 3180, 3180, 'und', 0, 25),
('font', 0, 3181, 3181, 'und', 0, 25),
('font', 0, 3182, 3182, 'und', 0, 25),
('font', 0, 3183, 3183, 'und', 0, 25),
('font', 0, 3184, 3184, 'und', 0, 18),
('font', 0, 3185, 3185, 'und', 0, 18),
('font', 0, 3186, 3186, 'und', 0, 25),
('font', 0, 3187, 3187, 'und', 0, 25),
('font', 0, 3188, 3188, 'und', 0, 20),
('font', 0, 3189, 3189, 'und', 0, 18),
('font', 0, 3190, 3190, 'und', 0, 18),
('font', 0, 3191, 3191, 'und', 0, 18),
('font', 0, 3192, 3192, 'und', 0, 18),
('font', 0, 3193, 3193, 'und', 0, 18),
('font', 0, 3194, 3194, 'und', 0, 18),
('font', 0, 3195, 3195, 'und', 0, 18),
('font', 0, 3196, 3196, 'und', 0, 25),
('font', 0, 3197, 3197, 'und', 0, 18),
('font', 0, 3198, 3198, 'und', 0, 20),
('font', 0, 3199, 3199, 'und', 0, 20),
('font', 0, 3200, 3200, 'und', 0, 20),
('font', 0, 3201, 3201, 'und', 0, 20),
('font', 0, 3202, 3202, 'und', 0, 20),
('font', 0, 3203, 3203, 'und', 0, 20),
('font', 0, 3204, 3204, 'und', 0, 20),
('font', 0, 3205, 3205, 'und', 0, 20),
('font', 0, 3206, 3206, 'und', 0, 20),
('font', 0, 3207, 3207, 'und', 0, 20),
('font', 0, 3208, 3208, 'und', 0, 20),
('font', 0, 3209, 3209, 'und', 0, 20),
('font', 0, 3210, 3210, 'und', 0, 22),
('font', 0, 3211, 3211, 'und', 0, 18),
('font', 0, 3212, 3212, 'und', 0, 18),
('font', 0, 3213, 3213, 'und', 0, 18),
('font', 0, 3214, 3214, 'und', 0, 27),
('font', 0, 3215, 3215, 'und', 0, 27),
('font', 0, 3216, 3216, 'und', 0, 20),
('font', 0, 3217, 3217, 'und', 0, 20),
('font', 0, 3218, 3218, 'und', 0, 25),
('font', 0, 3219, 3219, 'und', 0, 25),
('font', 0, 3220, 3220, 'und', 0, 25),
('font', 0, 3221, 3221, 'und', 0, 25),
('font', 0, 3222, 3222, 'und', 0, 25),
('font', 0, 3223, 3223, 'und', 0, 25),
('font', 0, 3224, 3224, 'und', 0, 25),
('font', 0, 3225, 3225, 'und', 0, 25),
('font', 0, 3226, 3226, 'und', 0, 25),
('font', 0, 3227, 3227, 'und', 0, 25),
('font', 0, 3228, 3228, 'und', 0, 25),
('font', 0, 3229, 3229, 'und', 0, 25),
('font', 0, 3230, 3230, 'und', 0, 22),
('font', 0, 3231, 3231, 'und', 0, 22),
('font', 0, 3232, 3232, 'und', 0, 22),
('font', 0, 3233, 3233, 'und', 0, 20),
('font', 0, 3234, 3234, 'und', 0, 20),
('font', 0, 3235, 3235, 'und', 0, 20),
('font', 0, 3236, 3236, 'und', 0, 20),
('font', 0, 3237, 3237, 'und', 0, 20),
('font', 0, 3238, 3238, 'und', 0, 20),
('font', 0, 3239, 3239, 'und', 0, 20),
('font', 0, 3240, 3240, 'und', 0, 20),
('font', 0, 3241, 3241, 'und', 0, 20),
('font', 0, 3242, 3242, 'und', 0, 20),
('font', 0, 3243, 3243, 'und', 0, 22),
('font', 0, 3244, 3244, 'und', 0, 18),
('font', 0, 3245, 3245, 'und', 0, 18),
('font', 0, 3246, 3246, 'und', 0, 20),
('font', 0, 3247, 3247, 'und', 0, 20),
('font', 0, 3248, 3248, 'und', 0, 27),
('font', 0, 3249, 3249, 'und', 0, 27),
('font', 0, 3250, 3250, 'und', 0, 27),
('font', 0, 3251, 3251, 'und', 0, 27),
('font', 0, 3252, 3252, 'und', 0, 27),
('font', 0, 3253, 3253, 'und', 0, 27),
('font', 0, 3254, 3254, 'und', 0, 27),
('font', 0, 3255, 3255, 'und', 0, 27),
('font', 0, 3256, 3256, 'und', 0, 27),
('font', 0, 3257, 3257, 'und', 0, 27),
('font', 0, 3258, 3258, 'und', 0, 27),
('font', 0, 3259, 3259, 'und', 0, 27),
('font', 0, 3260, 3260, 'und', 0, 27),
('font', 0, 3261, 3261, 'und', 0, 27),
('font', 0, 3262, 3262, 'und', 0, 27),
('font', 0, 3263, 3263, 'und', 0, 27),
('font', 0, 3264, 3264, 'und', 0, 27),
('font', 0, 3265, 3265, 'und', 0, 27),
('font', 0, 3266, 3266, 'und', 0, 27),
('font', 0, 3267, 3267, 'und', 0, 27),
('font', 0, 3268, 3268, 'und', 0, 27),
('font', 0, 3269, 3269, 'und', 0, 27),
('font', 0, 3270, 3270, 'und', 0, 27),
('font', 0, 3271, 3271, 'und', 0, 27),
('font', 0, 3272, 3272, 'und', 0, 27),
('font', 0, 3273, 3273, 'und', 0, 27),
('font', 0, 3274, 3274, 'und', 0, 27),
('font', 0, 3275, 3275, 'und', 0, 27),
('font', 0, 3276, 3276, 'und', 0, 27),
('font', 0, 3277, 3277, 'und', 0, 27),
('font', 0, 3278, 3278, 'und', 0, 27),
('font', 0, 3279, 3279, 'und', 0, 27),
('font', 0, 3280, 3280, 'und', 0, 18),
('font', 0, 3281, 3281, 'und', 0, 18),
('font', 0, 3282, 3282, 'und', 0, 20),
('font', 0, 3283, 3283, 'und', 0, 20),
('font', 0, 3284, 3284, 'und', 0, 20),
('font', 0, 3285, 3285, 'und', 0, 20),
('font', 0, 3286, 3286, 'und', 0, 20),
('font', 0, 3287, 3287, 'und', 0, 20),
('font', 0, 3288, 3288, 'und', 0, 20),
('font', 0, 3289, 3289, 'und', 0, 20),
('font', 0, 3290, 3290, 'und', 0, 20),
('font', 0, 3291, 3291, 'und', 0, 20),
('font', 0, 3292, 3292, 'und', 0, 20),
('font', 0, 3293, 3293, 'und', 0, 20),
('font', 0, 3294, 3294, 'und', 0, 20),
('font', 0, 3295, 3295, 'und', 0, 20),
('font', 0, 3296, 3296, 'und', 0, 20),
('font', 0, 3297, 3297, 'und', 0, 20),
('font', 0, 3298, 3298, 'und', 0, 20),
('font', 0, 3299, 3299, 'und', 0, 20),
('font', 0, 3300, 3300, 'und', 0, 20),
('font', 0, 3301, 3301, 'und', 0, 20),
('font', 0, 3302, 3302, 'und', 0, 20),
('font', 0, 3303, 3303, 'und', 0, 20),
('font', 0, 3304, 3304, 'und', 0, 20),
('font', 0, 3305, 3305, 'und', 0, 20),
('font', 0, 3306, 3306, 'und', 0, 20),
('font', 0, 3307, 3307, 'und', 0, 20),
('font', 0, 3308, 3308, 'und', 0, 20),
('font', 0, 3309, 3309, 'und', 0, 20),
('font', 0, 3310, 3310, 'und', 0, 20),
('font', 0, 3311, 3311, 'und', 0, 20),
('font', 0, 3312, 3312, 'und', 0, 20),
('font', 0, 3313, 3313, 'und', 0, 20),
('font', 0, 3314, 3314, 'und', 0, 20),
('font', 0, 3315, 3315, 'und', 0, 20),
('font', 0, 3316, 3316, 'und', 0, 20),
('font', 0, 3317, 3317, 'und', 0, 20),
('font', 0, 3318, 3318, 'und', 0, 20),
('font', 0, 3319, 3319, 'und', 0, 20),
('font', 0, 3320, 3320, 'und', 0, 20),
('font', 0, 3321, 3321, 'und', 0, 20),
('font', 0, 3322, 3322, 'und', 0, 20),
('font', 0, 3323, 3323, 'und', 0, 20),
('font', 0, 3324, 3324, 'und', 0, 20),
('font', 0, 3325, 3325, 'und', 0, 20),
('font', 0, 3326, 3326, 'und', 0, 20),
('font', 0, 3327, 3327, 'und', 0, 20),
('font', 0, 3328, 3328, 'und', 0, 20),
('font', 0, 3329, 3329, 'und', 0, 20),
('font', 0, 3330, 3330, 'und', 0, 20),
('font', 0, 3331, 3331, 'und', 0, 20),
('font', 0, 3332, 3332, 'und', 0, 20),
('font', 0, 3333, 3333, 'und', 0, 20),
('font', 0, 3334, 3334, 'und', 0, 20),
('font', 0, 3335, 3335, 'und', 0, 20),
('font', 0, 3336, 3336, 'und', 0, 20),
('font', 0, 3337, 3337, 'und', 0, 20),
('font', 0, 3338, 3338, 'und', 0, 20),
('font', 0, 3339, 3339, 'und', 0, 20),
('font', 0, 3340, 3340, 'und', 0, 20),
('font', 0, 3341, 3341, 'und', 0, 20),
('font', 0, 3342, 3342, 'und', 0, 20),
('font', 0, 3343, 3343, 'und', 0, 20),
('font', 0, 3344, 3344, 'und', 0, 20),
('font', 0, 3345, 3345, 'und', 0, 20),
('font', 0, 3346, 3346, 'und', 0, 20),
('font', 0, 3347, 3347, 'und', 0, 20),
('font', 0, 3348, 3348, 'und', 0, 20),
('font', 0, 3349, 3349, 'und', 0, 20),
('font', 0, 3350, 3350, 'und', 0, 20),
('font', 0, 3351, 3351, 'und', 0, 20),
('font', 0, 3352, 3352, 'und', 0, 20),
('font', 0, 3353, 3353, 'und', 0, 20),
('font', 0, 3354, 3354, 'und', 0, 20),
('font', 0, 3355, 3355, 'und', 0, 20),
('font', 0, 3356, 3356, 'und', 0, 20),
('font', 0, 3357, 3357, 'und', 0, 20),
('font', 0, 3358, 3358, 'und', 0, 20),
('font', 0, 3359, 3359, 'und', 0, 20),
('font', 0, 3360, 3360, 'und', 0, 20),
('font', 0, 3361, 3361, 'und', 0, 20),
('font', 0, 3362, 3362, 'und', 0, 20),
('font', 0, 3363, 3363, 'und', 0, 20),
('font', 0, 3364, 3364, 'und', 0, 20),
('font', 0, 3365, 3365, 'und', 0, 20),
('font', 0, 3366, 3366, 'und', 0, 20),
('font', 0, 3367, 3367, 'und', 0, 20),
('font', 0, 3368, 3368, 'und', 0, 20),
('font', 0, 3369, 3369, 'und', 0, 20),
('font', 0, 3370, 3370, 'und', 0, 20),
('font', 0, 3371, 3371, 'und', 0, 20),
('font', 0, 3372, 3372, 'und', 0, 20),
('font', 0, 3373, 3373, 'und', 0, 20),
('font', 0, 3374, 3374, 'und', 0, 20),
('font', 0, 3375, 3375, 'und', 0, 20),
('font', 0, 3376, 3376, 'und', 0, 20),
('font', 0, 3377, 3377, 'und', 0, 20),
('font', 0, 3378, 3378, 'und', 0, 20),
('font', 0, 3379, 3379, 'und', 0, 20),
('font', 0, 3380, 3380, 'und', 0, 20),
('font', 0, 3381, 3381, 'und', 0, 20),
('font', 0, 3382, 3382, 'und', 0, 20),
('font', 0, 3383, 3383, 'und', 0, 20),
('font', 0, 3384, 3384, 'und', 0, 20),
('font', 0, 3385, 3385, 'und', 0, 20),
('font', 0, 3386, 3386, 'und', 0, 20),
('font', 0, 3387, 3387, 'und', 0, 20),
('font', 0, 3388, 3388, 'und', 0, 20),
('font', 0, 3389, 3389, 'und', 0, 20),
('font', 0, 3390, 3390, 'und', 0, 20),
('font', 0, 3391, 3391, 'und', 0, 20),
('font', 0, 3392, 3392, 'und', 0, 20),
('font', 0, 3393, 3393, 'und', 0, 20),
('font', 0, 3394, 3394, 'und', 0, 20),
('font', 0, 3395, 3395, 'und', 0, 20),
('font', 0, 3396, 3396, 'und', 0, 20),
('font', 0, 3397, 3397, 'und', 0, 20),
('font', 0, 3398, 3398, 'und', 0, 20),
('font', 0, 3399, 3399, 'und', 0, 20),
('font', 0, 3400, 3400, 'und', 0, 20),
('font', 0, 3401, 3401, 'und', 0, 20),
('font', 0, 3402, 3402, 'und', 0, 20),
('font', 0, 3403, 3403, 'und', 0, 20),
('font', 0, 3404, 3404, 'und', 0, 20),
('font', 0, 3405, 3405, 'und', 0, 20),
('font', 0, 3406, 3406, 'und', 0, 20),
('font', 0, 3407, 3407, 'und', 0, 20),
('font', 0, 3408, 3408, 'und', 0, 20),
('font', 0, 3409, 3409, 'und', 0, 20),
('font', 0, 3410, 3410, 'und', 0, 20),
('font', 0, 3411, 3411, 'und', 0, 20),
('font', 0, 3412, 3412, 'und', 0, 20),
('font', 0, 3413, 3413, 'und', 0, 20),
('font', 0, 3414, 3414, 'und', 0, 20),
('font', 0, 3415, 3415, 'und', 0, 20),
('font', 0, 3416, 3416, 'und', 0, 20),
('font', 0, 3417, 3417, 'und', 0, 20),
('font', 0, 3418, 3418, 'und', 0, 20),
('font', 0, 3419, 3419, 'und', 0, 20),
('font', 0, 3420, 3420, 'und', 0, 20),
('font', 0, 3421, 3421, 'und', 0, 20),
('font', 0, 3422, 3422, 'und', 0, 20),
('font', 0, 3423, 3423, 'und', 0, 20),
('font', 0, 3424, 3424, 'und', 0, 20),
('font', 0, 3425, 3425, 'und', 0, 20),
('font', 0, 3426, 3426, 'und', 0, 20),
('font', 0, 3427, 3427, 'und', 0, 20),
('font', 0, 3428, 3428, 'und', 0, 20),
('font', 0, 3429, 3429, 'und', 0, 20),
('font', 0, 3430, 3430, 'und', 0, 20),
('font', 0, 3431, 3431, 'und', 0, 20),
('font', 0, 3432, 3432, 'und', 0, 20),
('font', 0, 3433, 3433, 'und', 0, 20),
('font', 0, 3434, 3434, 'und', 0, 20),
('font', 0, 3435, 3435, 'und', 0, 20),
('font', 0, 3436, 3436, 'und', 0, 20),
('font', 0, 3437, 3437, 'und', 0, 20),
('font', 0, 3438, 3438, 'und', 0, 20),
('font', 0, 3439, 3439, 'und', 0, 20),
('font', 0, 3440, 3440, 'und', 0, 20),
('font', 0, 3441, 3441, 'und', 0, 20),
('font', 0, 3442, 3442, 'und', 0, 20),
('font', 0, 3443, 3443, 'und', 0, 20),
('font', 0, 3444, 3444, 'und', 0, 20),
('font', 0, 3445, 3445, 'und', 0, 20),
('font', 0, 3446, 3446, 'und', 0, 20),
('font', 0, 3447, 3447, 'und', 0, 20),
('font', 0, 3448, 3448, 'und', 0, 20),
('font', 0, 3449, 3449, 'und', 0, 20),
('font', 0, 3450, 3450, 'und', 0, 20),
('font', 0, 3451, 3451, 'und', 0, 20),
('font', 0, 3452, 3452, 'und', 0, 20),
('font', 0, 3453, 3453, 'und', 0, 20),
('font', 0, 3454, 3454, 'und', 0, 20),
('font', 0, 3455, 3455, 'und', 0, 20),
('font', 0, 3456, 3456, 'und', 0, 20),
('font', 0, 3457, 3457, 'und', 0, 22),
('font', 0, 3458, 3458, 'und', 0, 22),
('font', 0, 3459, 3459, 'und', 0, 22),
('font', 0, 3460, 3460, 'und', 0, 22),
('font', 0, 3461, 3461, 'und', 0, 20),
('font', 0, 3462, 3462, 'und', 0, 18),
('font', 0, 3463, 3463, 'und', 0, 25),
('font', 0, 3464, 3464, 'und', 0, 22),
('font', 0, 3465, 3465, 'und', 0, 22),
('font', 0, 3466, 3466, 'und', 0, 22),
('font', 0, 3467, 3467, 'und', 0, 18),
('font', 0, 3468, 3468, 'und', 0, 18),
('font', 0, 3469, 3469, 'und', 0, 22),
('font', 0, 3470, 3470, 'und', 0, 22),
('font', 0, 3471, 3471, 'und', 0, 18),
('font', 0, 3472, 3472, 'und', 0, 22),
('font', 0, 3473, 3473, 'und', 0, 22),
('font', 0, 3474, 3474, 'und', 0, 22),
('font', 0, 3475, 3475, 'und', 0, 22),
('font', 0, 3476, 3476, 'und', 0, 22),
('font', 0, 3477, 3477, 'und', 0, 22),
('font', 0, 3478, 3478, 'und', 0, 22),
('font', 0, 3479, 3479, 'und', 0, 22),
('font', 0, 3480, 3480, 'und', 0, 22),
('font', 0, 3481, 3481, 'und', 0, 22),
('font', 0, 3482, 3482, 'und', 0, 22),
('font', 0, 3483, 3483, 'und', 0, 22),
('font', 0, 3484, 3484, 'und', 0, 22),
('font', 0, 3485, 3485, 'und', 0, 22),
('font', 0, 3486, 3486, 'und', 0, 22),
('font', 0, 3487, 3487, 'und', 0, 22),
('font', 0, 3488, 3488, 'und', 0, 22),
('font', 0, 3489, 3489, 'und', 0, 22),
('font', 0, 3490, 3490, 'und', 0, 22),
('font', 0, 3491, 3491, 'und', 0, 22),
('font', 0, 3492, 3492, 'und', 0, 22),
('font', 0, 3493, 3493, 'und', 0, 22),
('font', 0, 3494, 3494, 'und', 0, 22),
('font', 0, 3495, 3495, 'und', 0, 22),
('font', 0, 3496, 3496, 'und', 0, 22),
('font', 0, 3497, 3497, 'und', 0, 25),
('font', 0, 3498, 3498, 'und', 0, 25),
('font', 0, 3499, 3499, 'und', 0, 22),
('font', 0, 3500, 3500, 'und', 0, 22),
('font', 0, 3501, 3501, 'und', 0, 22),
('font', 0, 3502, 3502, 'und', 0, 22),
('font', 0, 3503, 3503, 'und', 0, 18),
('font', 0, 3504, 3504, 'und', 0, 18),
('font', 0, 3505, 3505, 'und', 0, 22),
('font', 0, 3506, 3506, 'und', 0, 22),
('font', 0, 3507, 3507, 'und', 0, 22),
('font', 0, 3508, 3508, 'und', 0, 20),
('font', 0, 3509, 3509, 'und', 0, 20),
('font', 0, 3510, 3510, 'und', 0, 20),
('font', 0, 3511, 3511, 'und', 0, 22),
('font', 0, 3512, 3512, 'und', 0, 22),
('font', 0, 3513, 3513, 'und', 0, 22),
('font', 0, 3514, 3514, 'und', 0, 22),
('font', 0, 3515, 3515, 'und', 0, 25),
('font', 0, 3516, 3516, 'und', 0, 25),
('font', 0, 3517, 3517, 'und', 0, 25),
('font', 0, 3518, 3518, 'und', 0, 25),
('font', 0, 3519, 3519, 'und', 0, 22),
('font', 0, 3520, 3520, 'und', 0, 22),
('font', 0, 3521, 3521, 'und', 0, 22),
('font', 0, 3522, 3522, 'und', 0, 22),
('font', 0, 3523, 3523, 'und', 0, 22),
('font', 0, 3524, 3524, 'und', 0, 22),
('font', 0, 3525, 3525, 'und', 0, 22),
('font', 0, 3526, 3526, 'und', 0, 22),
('font', 0, 3527, 3527, 'und', 0, 22),
('font', 0, 3528, 3528, 'und', 0, 22),
('font', 0, 3529, 3529, 'und', 0, 22),
('font', 0, 3530, 3530, 'und', 0, 22),
('font', 0, 3531, 3531, 'und', 0, 22),
('font', 0, 3532, 3532, 'und', 0, 25),
('font', 0, 3533, 3533, 'und', 0, 25),
('font', 0, 3534, 3534, 'und', 0, 25),
('font', 0, 3535, 3535, 'und', 0, 25),
('font', 0, 3536, 3536, 'und', 0, 25),
('font', 0, 3537, 3537, 'und', 0, 25),
('font', 0, 3538, 3538, 'und', 0, 25),
('font', 0, 3539, 3539, 'und', 0, 25),
('font', 0, 3540, 3540, 'und', 0, 25),
('font', 0, 3541, 3541, 'und', 0, 25),
('font', 0, 3542, 3542, 'und', 0, 25),
('font', 0, 3543, 3543, 'und', 0, 25),
('font', 0, 3544, 3544, 'und', 0, 25),
('font', 0, 3545, 3545, 'und', 0, 25),
('font', 0, 3546, 3546, 'und', 0, 22),
('font', 0, 3547, 3547, 'und', 0, 22),
('font', 0, 3548, 3548, 'und', 0, 22),
('font', 0, 3549, 3549, 'und', 0, 22),
('font', 0, 3550, 3550, 'und', 0, 25),
('font', 0, 3551, 3551, 'und', 0, 25),
('font', 0, 3552, 3552, 'und', 0, 25),
('font', 0, 3553, 3553, 'und', 0, 25),
('font', 0, 3554, 3554, 'und', 0, 25),
('font', 0, 3555, 3555, 'und', 0, 25),
('font', 0, 3556, 3556, 'und', 0, 25),
('font', 0, 3557, 3557, 'und', 0, 25),
('font', 0, 3558, 3558, 'und', 0, 25),
('font', 0, 3559, 3559, 'und', 0, 25),
('font', 0, 3560, 3560, 'und', 0, 25),
('font', 0, 3561, 3561, 'und', 0, 25),
('font', 0, 3562, 3562, 'und', 0, 25),
('font', 0, 3563, 3563, 'und', 0, 25),
('font', 0, 3564, 3564, 'und', 0, 25),
('font', 0, 3565, 3565, 'und', 0, 25),
('font', 0, 3566, 3566, 'und', 0, 25),
('font', 0, 3567, 3567, 'und', 0, 25),
('font', 0, 3568, 3568, 'und', 0, 25),
('font', 0, 3569, 3569, 'und', 0, 25),
('font', 0, 3570, 3570, 'und', 0, 25),
('font', 0, 3571, 3571, 'und', 0, 22),
('font', 0, 3572, 3572, 'und', 0, 22),
('font', 0, 3573, 3573, 'und', 0, 18),
('font', 0, 3574, 3574, 'und', 0, 18),
('font', 0, 3575, 3575, 'und', 0, 18),
('font', 0, 3576, 3576, 'und', 0, 18),
('font', 0, 3577, 3577, 'und', 0, 18),
('font', 0, 3578, 3578, 'und', 0, 18),
('font', 0, 3579, 3579, 'und', 0, 18),
('font', 0, 3580, 3580, 'und', 0, 20),
('font', 0, 3581, 3581, 'und', 0, 20),
('font', 0, 3582, 3582, 'und', 0, 20),
('font', 0, 3583, 3583, 'und', 0, 20),
('font', 0, 3584, 3584, 'und', 0, 20),
('font', 0, 3585, 3585, 'und', 0, 20),
('font', 0, 3586, 3586, 'und', 0, 20),
('font', 0, 3587, 3587, 'und', 0, 20),
('font', 0, 3588, 3588, 'und', 0, 20),
('font', 0, 3589, 3589, 'und', 0, 20),
('font', 0, 3590, 3590, 'und', 0, 20),
('font', 0, 3591, 3591, 'und', 0, 20),
('font', 0, 3592, 3592, 'und', 0, 20),
('font', 0, 3593, 3593, 'und', 0, 20),
('font', 0, 3594, 3594, 'und', 0, 20),
('font', 0, 3595, 3595, 'und', 0, 20),
('font', 0, 3596, 3596, 'und', 0, 25),
('font', 0, 3597, 3597, 'und', 0, 25),
('font', 0, 3598, 3598, 'und', 0, 25),
('font', 0, 3599, 3599, 'und', 0, 25),
('font', 0, 3600, 3600, 'und', 0, 25),
('font', 0, 3601, 3601, 'und', 0, 25),
('font', 0, 3602, 3602, 'und', 0, 25),
('font', 0, 3603, 3603, 'und', 0, 25),
('font', 0, 3604, 3604, 'und', 0, 25),
('font', 0, 3605, 3605, 'und', 0, 25),
('font', 0, 3606, 3606, 'und', 0, 25),
('font', 0, 3607, 3607, 'und', 0, 25),
('font', 0, 3608, 3608, 'und', 0, 25),
('font', 0, 3609, 3609, 'und', 0, 25),
('font', 0, 3610, 3610, 'und', 0, 25),
('font', 0, 3611, 3611, 'und', 0, 25),
('font', 0, 3612, 3612, 'und', 0, 25),
('font', 0, 3613, 3613, 'und', 0, 25),
('font', 0, 3614, 3614, 'und', 0, 25),
('font', 0, 3615, 3615, 'und', 0, 25),
('font', 0, 3616, 3616, 'und', 0, 25),
('font', 0, 3617, 3617, 'und', 0, 25),
('font', 0, 3618, 3618, 'und', 0, 25),
('font', 0, 3619, 3619, 'und', 0, 25),
('font', 0, 3620, 3620, 'und', 0, 25),
('font', 0, 3621, 3621, 'und', 0, 25),
('font', 0, 3622, 3622, 'und', 0, 25),
('font', 0, 3623, 3623, 'und', 0, 22),
('font', 0, 3624, 3624, 'und', 0, 25),
('font', 0, 3625, 3625, 'und', 0, 25),
('font', 0, 3626, 3626, 'und', 0, 25),
('font', 0, 3627, 3627, 'und', 0, 20),
('font', 0, 3628, 3628, 'und', 0, 20),
('font', 0, 3629, 3629, 'und', 0, 20),
('font', 0, 3630, 3630, 'und', 0, 20),
('font', 0, 3631, 3631, 'und', 0, 20),
('font', 0, 3632, 3632, 'und', 0, 20),
('font', 0, 3633, 3633, 'und', 0, 20),
('font', 0, 3634, 3634, 'und', 0, 20),
('font', 0, 3635, 3635, 'und', 0, 20),
('font', 0, 3636, 3636, 'und', 0, 20),
('font', 0, 3637, 3637, 'und', 0, 20),
('font', 0, 3638, 3638, 'und', 0, 20),
('font', 0, 3639, 3639, 'und', 0, 25),
('font', 0, 3640, 3640, 'und', 0, 25),
('font', 0, 3641, 3641, 'und', 0, 25),
('font', 0, 3642, 3642, 'und', 0, 25),
('font', 0, 3643, 3643, 'und', 0, 20),
('font', 0, 3644, 3644, 'und', 0, 20),
('font', 0, 3645, 3645, 'und', 0, 25),
('font', 0, 3646, 3646, 'und', 0, 25),
('font', 0, 3647, 3647, 'und', 0, 25),
('font', 0, 3648, 3648, 'und', 0, 25),
('font', 0, 3649, 3649, 'und', 0, 25),
('font', 0, 3650, 3650, 'und', 0, 20),
('font', 0, 3651, 3651, 'und', 0, 25),
('font', 0, 3652, 3652, 'und', 0, 25),
('font', 0, 3653, 3653, 'und', 0, 25),
('font', 0, 3654, 3654, 'und', 0, 25),
('font', 0, 3655, 3655, 'und', 0, 25),
('font', 0, 3656, 3656, 'und', 0, 25),
('font', 0, 3657, 3657, 'und', 0, 25),
('font', 0, 3658, 3658, 'und', 0, 25),
('font', 0, 3659, 3659, 'und', 0, 25),
('font', 0, 3660, 3660, 'und', 0, 25),
('font', 0, 3661, 3661, 'und', 0, 25),
('font', 0, 3662, 3662, 'und', 0, 25),
('font', 0, 3663, 3663, 'und', 0, 18),
('font', 0, 3664, 3664, 'und', 0, 25),
('font', 0, 3665, 3665, 'und', 0, 25),
('font', 0, 3666, 3666, 'und', 0, 25),
('font', 0, 3667, 3667, 'und', 0, 25),
('font', 0, 3668, 3668, 'und', 0, 25),
('font', 0, 3669, 3669, 'und', 0, 25),
('font', 0, 3670, 3670, 'und', 0, 25),
('font', 0, 3671, 3671, 'und', 0, 25),
('font', 0, 3672, 3672, 'und', 0, 25),
('font', 0, 3673, 3673, 'und', 0, 25),
('font', 0, 3674, 3674, 'und', 0, 25),
('font', 0, 3675, 3675, 'und', 0, 25),
('font', 0, 3676, 3676, 'und', 0, 25),
('font', 0, 3677, 3677, 'und', 0, 25),
('font', 0, 3678, 3678, 'und', 0, 25),
('font', 0, 3679, 3679, 'und', 0, 25),
('font', 0, 3680, 3680, 'und', 0, 25),
('font', 0, 3681, 3681, 'und', 0, 25),
('font', 0, 3682, 3682, 'und', 0, 25),
('font', 0, 3683, 3683, 'und', 0, 22),
('font', 0, 3684, 3684, 'und', 0, 22),
('font', 0, 3685, 3685, 'und', 0, 22),
('font', 0, 3686, 3686, 'und', 0, 25),
('font', 0, 3687, 3687, 'und', 0, 25),
('font', 0, 3688, 3688, 'und', 0, 25),
('font', 0, 3689, 3689, 'und', 0, 25),
('font', 0, 3690, 3690, 'und', 0, 25),
('font', 0, 3691, 3691, 'und', 0, 25),
('font', 0, 3692, 3692, 'und', 0, 25),
('font', 0, 3693, 3693, 'und', 0, 25),
('font', 0, 3694, 3694, 'und', 0, 25),
('font', 0, 3695, 3695, 'und', 0, 25),
('font', 0, 3696, 3696, 'und', 0, 25),
('font', 0, 3697, 3697, 'und', 0, 25),
('font', 0, 3698, 3698, 'und', 0, 18),
('font', 0, 3699, 3699, 'und', 0, 18),
('font', 0, 3700, 3700, 'und', 0, 22),
('font', 0, 3701, 3701, 'und', 0, 22),
('font', 0, 3702, 3702, 'und', 0, 22),
('font', 0, 3703, 3703, 'und', 0, 22),
('font', 0, 3704, 3704, 'und', 0, 22),
('font', 0, 3705, 3705, 'und', 0, 22),
('font', 0, 3706, 3706, 'und', 0, 22),
('font', 0, 3707, 3707, 'und', 0, 22),
('font', 0, 3708, 3708, 'und', 0, 22),
('font', 0, 3709, 3709, 'und', 0, 22),
('font', 0, 3710, 3710, 'und', 0, 22),
('font', 0, 3711, 3711, 'und', 0, 22),
('font', 0, 3712, 3712, 'und', 0, 22),
('font', 0, 3713, 3713, 'und', 0, 22),
('font', 0, 3714, 3714, 'und', 0, 22),
('font', 0, 3715, 3715, 'und', 0, 22),
('font', 0, 3716, 3716, 'und', 0, 22),
('font', 0, 3717, 3717, 'und', 0, 20),
('font', 0, 3718, 3718, 'und', 0, 20),
('font', 0, 3719, 3719, 'und', 0, 20),
('font', 0, 3720, 3720, 'und', 0, 20),
('font', 0, 3721, 3721, 'und', 0, 22),
('font', 0, 3722, 3722, 'und', 0, 25),
('font', 0, 3723, 3723, 'und', 0, 25),
('font', 0, 3724, 3724, 'und', 0, 22),
('font', 0, 3725, 3725, 'und', 0, 22),
('font', 0, 3726, 3726, 'und', 0, 20),
('font', 0, 3727, 3727, 'und', 0, 20),
('font', 0, 3728, 3728, 'und', 0, 20),
('font', 0, 3729, 3729, 'und', 0, 22),
('font', 0, 3730, 3730, 'und', 0, 22),
('font', 0, 3731, 3731, 'und', 0, 22),
('font', 0, 3732, 3732, 'und', 0, 22),
('font', 0, 3733, 3733, 'und', 0, 18),
('font', 0, 3734, 3734, 'und', 0, 22),
('font', 0, 3735, 3735, 'und', 0, 22),
('font', 0, 3736, 3736, 'und', 0, 22),
('font', 0, 3737, 3737, 'und', 0, 20),
('font', 0, 3738, 3738, 'und', 0, 20),
('font', 0, 3739, 3739, 'und', 0, 20),
('font', 0, 3740, 3740, 'und', 0, 20),
('font', 0, 3741, 3741, 'und', 0, 20),
('font', 0, 3742, 3742, 'und', 0, 20),
('font', 0, 3743, 3743, 'und', 0, 25),
('font', 0, 3744, 3744, 'und', 0, 25),
('font', 0, 3745, 3745, 'und', 0, 25),
('font', 0, 3746, 3746, 'und', 0, 25),
('font', 0, 3747, 3747, 'und', 0, 25),
('font', 0, 3748, 3748, 'und', 0, 25),
('font', 0, 3749, 3749, 'und', 0, 25),
('font', 0, 3750, 3750, 'und', 0, 25),
('font', 0, 3751, 3751, 'und', 0, 25),
('font', 0, 3752, 3752, 'und', 0, 25),
('font', 0, 3753, 3753, 'und', 0, 25),
('font', 0, 3754, 3754, 'und', 0, 25),
('font', 0, 3755, 3755, 'und', 0, 25),
('font', 0, 3756, 3756, 'und', 0, 25),
('font', 0, 3757, 3757, 'und', 0, 25),
('font', 0, 3758, 3758, 'und', 0, 25),
('font', 0, 3759, 3759, 'und', 0, 25),
('font', 0, 3760, 3760, 'und', 0, 25),
('font', 0, 3761, 3761, 'und', 0, 25),
('font', 0, 3762, 3762, 'und', 0, 25),
('font', 0, 3763, 3763, 'und', 0, 25),
('font', 0, 3764, 3764, 'und', 0, 20),
('font', 0, 3765, 3765, 'und', 0, 20),
('font', 0, 3766, 3766, 'und', 0, 20),
('font', 0, 3767, 3767, 'und', 0, 20),
('font', 0, 3768, 3768, 'und', 0, 20),
('font', 0, 3769, 3769, 'und', 0, 20),
('font', 0, 3770, 3770, 'und', 0, 20),
('font', 0, 3771, 3771, 'und', 0, 20),
('font', 0, 3772, 3772, 'und', 0, 20),
('font', 0, 3773, 3773, 'und', 0, 20),
('font', 0, 3774, 3774, 'und', 0, 20),
('font', 0, 3775, 3775, 'und', 0, 20),
('font', 0, 3776, 3776, 'und', 0, 20),
('font', 0, 3777, 3777, 'und', 0, 20),
('font', 0, 3778, 3778, 'und', 0, 20),
('font', 0, 3779, 3779, 'und', 0, 20),
('font', 0, 3780, 3780, 'und', 0, 20),
('font', 0, 3781, 3781, 'und', 0, 20),
('font', 0, 3782, 3782, 'und', 0, 20),
('font', 0, 3783, 3783, 'und', 0, 20),
('font', 0, 3784, 3784, 'und', 0, 18),
('font', 0, 3785, 3785, 'und', 0, 18),
('font', 0, 3786, 3786, 'und', 0, 18),
('font', 0, 3787, 3787, 'und', 0, 18),
('font', 0, 3788, 3788, 'und', 0, 22),
('font', 0, 3789, 3789, 'und', 0, 22),
('font', 0, 3790, 3790, 'und', 0, 22),
('font', 0, 3791, 3791, 'und', 0, 22),
('font', 0, 3792, 3792, 'und', 0, 18),
('font', 0, 3793, 3793, 'und', 0, 18),
('font', 0, 3794, 3794, 'und', 0, 20),
('font', 0, 3795, 3795, 'und', 0, 25),
('font', 0, 3796, 3796, 'und', 0, 25),
('font', 0, 3797, 3797, 'und', 0, 25),
('font', 0, 3798, 3798, 'und', 0, 25),
('font', 0, 3799, 3799, 'und', 0, 25),
('font', 0, 3800, 3800, 'und', 0, 25),
('font', 0, 3801, 3801, 'und', 0, 25),
('font', 0, 3802, 3802, 'und', 0, 25),
('font', 0, 3803, 3803, 'und', 0, 20),
('font', 0, 3804, 3804, 'und', 0, 22),
('font', 0, 3805, 3805, 'und', 0, 22),
('font', 0, 3806, 3806, 'und', 0, 22),
('font', 0, 3807, 3807, 'und', 0, 22),
('font', 0, 3808, 3808, 'und', 0, 25),
('font', 0, 3809, 3809, 'und', 0, 25),
('font', 0, 3810, 3810, 'und', 0, 22),
('font', 0, 3811, 3811, 'und', 0, 20),
('font', 0, 3812, 3812, 'und', 0, 22),
('font', 0, 3813, 3813, 'und', 0, 22),
('font', 0, 3814, 3814, 'und', 0, 22),
('font', 0, 3815, 3815, 'und', 0, 22),
('font', 0, 3816, 3816, 'und', 0, 22),
('font', 0, 3817, 3817, 'und', 0, 22),
('font', 0, 3818, 3818, 'und', 0, 22),
('font', 0, 3819, 3819, 'und', 0, 22),
('font', 0, 3820, 3820, 'und', 0, 22),
('font', 0, 3821, 3821, 'und', 0, 22),
('font', 0, 3822, 3822, 'und', 0, 22),
('font', 0, 3823, 3823, 'und', 0, 22),
('font', 0, 3824, 3824, 'und', 0, 22),
('font', 0, 3825, 3825, 'und', 0, 22),
('font', 0, 3826, 3826, 'und', 0, 22),
('font', 0, 3827, 3827, 'und', 0, 22),
('font', 0, 3828, 3828, 'und', 0, 18),
('font', 0, 3829, 3829, 'und', 0, 18),
('font', 0, 3830, 3830, 'und', 0, 22),
('font', 0, 3831, 3831, 'und', 0, 22),
('font', 0, 3832, 3832, 'und', 0, 22),
('font', 0, 3833, 3833, 'und', 0, 22),
('font', 0, 3834, 3834, 'und', 0, 22),
('font', 0, 3835, 3835, 'und', 0, 22),
('font', 0, 3836, 3836, 'und', 0, 22),
('font', 0, 3837, 3837, 'und', 0, 22),
('font', 0, 3838, 3838, 'und', 0, 22),
('font', 0, 3839, 3839, 'und', 0, 22),
('font', 0, 3840, 3840, 'und', 0, 22),
('font', 0, 3841, 3841, 'und', 0, 22),
('font', 0, 3842, 3842, 'und', 0, 22),
('font', 0, 3843, 3843, 'und', 0, 22),
('font', 0, 3844, 3844, 'und', 0, 22),
('font', 0, 3845, 3845, 'und', 0, 22),
('font', 0, 3846, 3846, 'und', 0, 22),
('font', 0, 3847, 3847, 'und', 0, 22),
('font', 0, 3848, 3848, 'und', 0, 22),
('font', 0, 3849, 3849, 'und', 0, 22),
('font', 0, 3850, 3850, 'und', 0, 25),
('font', 0, 3851, 3851, 'und', 0, 25),
('font', 0, 3852, 3852, 'und', 0, 20),
('font', 0, 3853, 3853, 'und', 0, 20),
('font', 0, 3854, 3854, 'und', 0, 22),
('font', 0, 3855, 3855, 'und', 0, 22),
('font', 0, 3856, 3856, 'und', 0, 22),
('font', 0, 3857, 3857, 'und', 0, 22),
('font', 0, 3858, 3858, 'und', 0, 22),
('font', 0, 3859, 3859, 'und', 0, 22),
('font', 0, 3860, 3860, 'und', 0, 22),
('font', 0, 3861, 3861, 'und', 0, 22),
('font', 0, 3862, 3862, 'und', 0, 22),
('font', 0, 3863, 3863, 'und', 0, 22),
('font', 0, 3864, 3864, 'und', 0, 22),
('font', 0, 3865, 3865, 'und', 0, 22),
('font', 0, 3866, 3866, 'und', 0, 22),
('font', 0, 3867, 3867, 'und', 0, 22),
('font', 0, 3868, 3868, 'und', 0, 22),
('font', 0, 3869, 3869, 'und', 0, 22),
('font', 0, 3870, 3870, 'und', 0, 22),
('font', 0, 3871, 3871, 'und', 0, 22),
('font', 0, 3872, 3872, 'und', 0, 22),
('font', 0, 3873, 3873, 'und', 0, 22),
('font', 0, 3874, 3874, 'und', 0, 22),
('font', 0, 3875, 3875, 'und', 0, 25),
('font', 0, 3876, 3876, 'und', 0, 25),
('font', 0, 3877, 3877, 'und', 0, 25),
('font', 0, 3878, 3878, 'und', 0, 25),
('font', 0, 3879, 3879, 'und', 0, 25),
('font', 0, 3880, 3880, 'und', 0, 25),
('font', 0, 3881, 3881, 'und', 0, 25),
('font', 0, 3882, 3882, 'und', 0, 25),
('font', 0, 3883, 3883, 'und', 0, 25),
('font', 0, 3884, 3884, 'und', 0, 25),
('font', 0, 3885, 3885, 'und', 0, 25),
('font', 0, 3886, 3886, 'und', 0, 25),
('font', 0, 3887, 3887, 'und', 0, 25),
('font', 0, 3888, 3888, 'und', 0, 25),
('font', 0, 3889, 3889, 'und', 0, 25),
('font', 0, 3890, 3890, 'und', 0, 25),
('font', 0, 3891, 3891, 'und', 0, 25),
('font', 0, 3892, 3892, 'und', 0, 25),
('font', 0, 3893, 3893, 'und', 0, 25),
('font', 0, 3894, 3894, 'und', 0, 25),
('font', 0, 3895, 3895, 'und', 0, 25),
('font', 0, 3896, 3896, 'und', 0, 25),
('font', 0, 3897, 3897, 'und', 0, 25),
('font', 0, 3898, 3898, 'und', 0, 25),
('font', 0, 3899, 3899, 'und', 0, 25),
('font', 0, 3900, 3900, 'und', 0, 25),
('font', 0, 3901, 3901, 'und', 0, 22),
('font', 0, 3902, 3902, 'und', 0, 22),
('font', 0, 3903, 3903, 'und', 0, 25),
('font', 0, 3904, 3904, 'und', 0, 25),
('font', 0, 3905, 3905, 'und', 0, 25),
('font', 0, 3906, 3906, 'und', 0, 25),
('font', 0, 3907, 3907, 'und', 0, 25),
('font', 0, 3908, 3908, 'und', 0, 25),
('font', 0, 3909, 3909, 'und', 0, 25),
('font', 0, 3910, 3910, 'und', 0, 25),
('font', 0, 3911, 3911, 'und', 0, 25),
('font', 0, 3912, 3912, 'und', 0, 25),
('font', 0, 3913, 3913, 'und', 0, 25),
('font', 0, 3914, 3914, 'und', 0, 25),
('font', 0, 3915, 3915, 'und', 0, 22),
('font', 0, 3916, 3916, 'und', 0, 20),
('font', 0, 3917, 3917, 'und', 0, 20),
('font', 0, 3918, 3918, 'und', 0, 20),
('font', 0, 3919, 3919, 'und', 0, 25),
('font', 0, 3920, 3920, 'und', 0, 25),
('font', 0, 3921, 3921, 'und', 0, 25),
('font', 0, 3922, 3922, 'und', 0, 25),
('font', 0, 3923, 3923, 'und', 0, 25),
('font', 0, 3924, 3924, 'und', 0, 25),
('font', 0, 3925, 3925, 'und', 0, 25),
('font', 0, 3926, 3926, 'und', 0, 25),
('font', 0, 3927, 3927, 'und', 0, 25),
('font', 0, 3928, 3928, 'und', 0, 25),
('font', 0, 3929, 3929, 'und', 0, 25),
('font', 0, 3930, 3930, 'und', 0, 25),
('font', 0, 3931, 3931, 'und', 0, 25),
('font', 0, 3932, 3932, 'und', 0, 25),
('font', 0, 3933, 3933, 'und', 0, 20),
('font', 0, 3934, 3934, 'und', 0, 20),
('font', 0, 3935, 3935, 'und', 0, 20),
('font', 0, 3936, 3936, 'und', 0, 20),
('font', 0, 3937, 3937, 'und', 0, 20),
('font', 0, 3938, 3938, 'und', 0, 25),
('font', 0, 3939, 3939, 'und', 0, 25),
('font', 0, 3940, 3940, 'und', 0, 18),
('font', 0, 3941, 3941, 'und', 0, 18),
('font', 0, 3942, 3942, 'und', 0, 25),
('font', 0, 3943, 3943, 'und', 0, 25),
('font', 0, 3944, 3944, 'und', 0, 25),
('font', 0, 3945, 3945, 'und', 0, 25),
('font', 0, 3946, 3946, 'und', 0, 25),
('font', 0, 3947, 3947, 'und', 0, 25),
('font', 0, 3948, 3948, 'und', 0, 25),
('font', 0, 3949, 3949, 'und', 0, 25),
('font', 0, 3950, 3950, 'und', 0, 25),
('font', 0, 3951, 3951, 'und', 0, 25),
('font', 0, 3952, 3952, 'und', 0, 25),
('font', 0, 3953, 3953, 'und', 0, 25),
('font', 0, 3954, 3954, 'und', 0, 25),
('font', 0, 3955, 3955, 'und', 0, 25),
('font', 0, 3956, 3956, 'und', 0, 25),
('font', 0, 3957, 3957, 'und', 0, 25),
('font', 0, 3958, 3958, 'und', 0, 25),
('font', 0, 3959, 3959, 'und', 0, 25),
('font', 0, 3960, 3960, 'und', 0, 25),
('font', 0, 3961, 3961, 'und', 0, 25),
('font', 0, 3962, 3962, 'und', 0, 25),
('font', 0, 3963, 3963, 'und', 0, 25),
('font', 0, 3964, 3964, 'und', 0, 25),
('font', 0, 3965, 3965, 'und', 0, 25),
('font', 0, 3966, 3966, 'und', 0, 25),
('font', 0, 3967, 3967, 'und', 0, 25),
('font', 0, 3968, 3968, 'und', 0, 25),
('font', 0, 3969, 3969, 'und', 0, 25),
('font', 0, 3970, 3970, 'und', 0, 25),
('font', 0, 3971, 3971, 'und', 0, 25),
('font', 0, 3972, 3972, 'und', 0, 25),
('font', 0, 3973, 3973, 'und', 0, 25),
('font', 0, 3974, 3974, 'und', 0, 22),
('font', 0, 3975, 3975, 'und', 0, 22),
('font', 0, 3976, 3976, 'und', 0, 22),
('font', 0, 3977, 3977, 'und', 0, 22),
('font', 0, 3978, 3978, 'und', 0, 22),
('font', 0, 3979, 3979, 'und', 0, 22),
('font', 0, 3980, 3980, 'und', 0, 22),
('font', 0, 3981, 3981, 'und', 0, 22),
('font', 0, 3982, 3982, 'und', 0, 22),
('font', 0, 3983, 3983, 'und', 0, 22),
('font', 0, 3984, 3984, 'und', 0, 22),
('font', 0, 3985, 3985, 'und', 0, 22),
('font', 0, 3986, 3986, 'und', 0, 22),
('font', 0, 3987, 3987, 'und', 0, 22),
('font', 0, 3988, 3988, 'und', 0, 22),
('font', 0, 3989, 3989, 'und', 0, 22),
('font', 0, 3990, 3990, 'und', 0, 22),
('font', 0, 3991, 3991, 'und', 0, 22),
('font', 0, 3992, 3992, 'und', 0, 22),
('font', 0, 3993, 3993, 'und', 0, 22),
('font', 0, 3994, 3994, 'und', 0, 22),
('font', 0, 3995, 3995, 'und', 0, 22),
('font', 0, 3996, 3996, 'und', 0, 22),
('font', 0, 3997, 3997, 'und', 0, 22),
('font', 0, 3998, 3998, 'und', 0, 22),
('font', 0, 3999, 3999, 'und', 0, 22),
('font', 0, 4000, 4000, 'und', 0, 22),
('font', 0, 4001, 4001, 'und', 0, 22),
('font', 0, 4002, 4002, 'und', 0, 22),
('font', 0, 4003, 4003, 'und', 0, 22),
('font', 0, 4004, 4004, 'und', 0, 22),
('font', 0, 4005, 4005, 'und', 0, 22),
('font', 0, 4006, 4006, 'und', 0, 20),
('font', 0, 4007, 4007, 'und', 0, 20),
('font', 0, 4008, 4008, 'und', 0, 20),
('font', 0, 4009, 4009, 'und', 0, 20),
('font', 0, 4010, 4010, 'und', 0, 25),
('font', 0, 4011, 4011, 'und', 0, 25),
('font', 0, 4012, 4012, 'und', 0, 25),
('font', 0, 4013, 4013, 'und', 0, 25),
('font', 0, 4014, 4014, 'und', 0, 25),
('font', 0, 4015, 4015, 'und', 0, 25),
('font', 0, 4016, 4016, 'und', 0, 25),
('font', 0, 4017, 4017, 'und', 0, 25),
('font', 0, 4018, 4018, 'und', 0, 25),
('font', 0, 4019, 4019, 'und', 0, 25),
('font', 0, 4020, 4020, 'und', 0, 18),
('font', 0, 4021, 4021, 'und', 0, 20),
('font', 0, 4022, 4022, 'und', 0, 20),
('font', 0, 4023, 4023, 'und', 0, 22),
('font', 0, 4024, 4024, 'und', 0, 22),
('font', 0, 4025, 4025, 'und', 0, 20),
('font', 0, 4026, 4026, 'und', 0, 20),
('font', 0, 4027, 4027, 'und', 0, 25),
('font', 0, 4028, 4028, 'und', 0, 25),
('font', 0, 4029, 4029, 'und', 0, 20),
('font', 0, 4030, 4030, 'und', 0, 20),
('font', 0, 4031, 4031, 'und', 0, 25),
('font', 0, 4032, 4032, 'und', 0, 27),
('font', 0, 4033, 4033, 'und', 0, 27),
('font', 0, 4034, 4034, 'und', 0, 27),
('font', 0, 4035, 4035, 'und', 0, 27),
('font', 0, 4036, 4036, 'und', 0, 27),
('font', 0, 4037, 4037, 'und', 0, 27),
('font', 0, 4038, 4038, 'und', 0, 27),
('font', 0, 4039, 4039, 'und', 0, 27),
('font', 0, 4040, 4040, 'und', 0, 27),
('font', 0, 4041, 4041, 'und', 0, 27),
('font', 0, 4042, 4042, 'und', 0, 27),
('font', 0, 4043, 4043, 'und', 0, 27),
('font', 0, 4044, 4044, 'und', 0, 27),
('font', 0, 4045, 4045, 'und', 0, 27),
('font', 0, 4046, 4046, 'und', 0, 27),
('font', 0, 4047, 4047, 'und', 0, 27),
('font', 0, 4048, 4048, 'und', 0, 18),
('font', 0, 4049, 4049, 'und', 0, 22),
('font', 0, 4050, 4050, 'und', 0, 25),
('font', 0, 4051, 4051, 'und', 0, 25),
('font', 0, 4052, 4052, 'und', 0, 25),
('font', 0, 4053, 4053, 'und', 0, 25),
('font', 0, 4054, 4054, 'und', 0, 25),
('font', 0, 4055, 4055, 'und', 0, 20),
('font', 0, 4056, 4056, 'und', 0, 20),
('font', 0, 4057, 4057, 'und', 0, 25),
('font', 0, 4058, 4058, 'und', 0, 25),
('font', 0, 4059, 4059, 'und', 0, 18),
('font', 0, 4060, 4060, 'und', 0, 18),
('font', 0, 4061, 4061, 'und', 0, 18),
('font', 0, 4062, 4062, 'und', 0, 18),
('font', 0, 4063, 4063, 'und', 0, 18),
('font', 0, 4064, 4064, 'und', 0, 18),
('font', 0, 4065, 4065, 'und', 0, 20),
('font', 0, 4066, 4066, 'und', 0, 20),
('font', 0, 4067, 4067, 'und', 0, 20),
('font', 0, 4068, 4068, 'und', 0, 20),
('font', 0, 4069, 4069, 'und', 0, 20),
('font', 0, 4070, 4070, 'und', 0, 20),
('font', 0, 4071, 4071, 'und', 0, 20),
('font', 0, 4072, 4072, 'und', 0, 20),
('font', 0, 4073, 4073, 'und', 0, 25),
('font', 0, 4074, 4074, 'und', 0, 25),
('font', 0, 4075, 4075, 'und', 0, 25),
('font', 0, 4076, 4076, 'und', 0, 25),
('font', 0, 4077, 4077, 'und', 0, 25),
('font', 0, 4078, 4078, 'und', 0, 25),
('font', 0, 4079, 4079, 'und', 0, 25),
('font', 0, 4080, 4080, 'und', 0, 25),
('font', 0, 4081, 4081, 'und', 0, 25),
('font', 0, 4082, 4082, 'und', 0, 20),
('font', 0, 4083, 4083, 'und', 0, 22),
('font', 0, 4084, 4084, 'und', 0, 22),
('font', 0, 4085, 4085, 'und', 0, 22),
('font', 0, 4086, 4086, 'und', 0, 22),
('font', 0, 4087, 4087, 'und', 0, 22),
('font', 0, 4088, 4088, 'und', 0, 22),
('font', 0, 4089, 4089, 'und', 0, 18),
('font', 0, 4090, 4090, 'und', 0, 18),
('font', 0, 4091, 4091, 'und', 0, 18),
('font', 0, 4092, 4092, 'und', 0, 18),
('font', 0, 4093, 4093, 'und', 0, 25),
('font', 0, 4094, 4094, 'und', 0, 25),
('font', 0, 4095, 4095, 'und', 0, 25),
('font', 0, 4096, 4096, 'und', 0, 25),
('font', 0, 4097, 4097, 'und', 0, 22),
('font', 0, 4098, 4098, 'und', 0, 22),
('font', 0, 4099, 4099, 'und', 0, 20),
('font', 0, 4100, 4100, 'und', 0, 22),
('font', 0, 4101, 4101, 'und', 0, 22),
('font', 0, 4102, 4102, 'und', 0, 20),
('font', 0, 4103, 4103, 'und', 0, 20),
('font', 0, 4104, 4104, 'und', 0, 20),
('font', 0, 4105, 4105, 'und', 0, 20),
('font', 0, 4106, 4106, 'und', 0, 20),
('font', 0, 4107, 4107, 'und', 0, 20),
('font', 0, 4108, 4108, 'und', 0, 20),
('font', 0, 4109, 4109, 'und', 0, 20),
('font', 0, 4110, 4110, 'und', 0, 18),
('font', 0, 4111, 4111, 'und', 0, 18),
('font', 0, 4112, 4112, 'und', 0, 25),
('font', 0, 4113, 4113, 'und', 0, 25),
('font', 0, 4114, 4114, 'und', 0, 22),
('font', 0, 4115, 4115, 'und', 0, 22),
('font', 0, 4116, 4116, 'und', 0, 22),
('font', 0, 4117, 4117, 'und', 0, 22),
('font', 0, 4118, 4118, 'und', 0, 20),
('font', 0, 4119, 4119, 'und', 0, 20),
('font', 0, 4120, 4120, 'und', 0, 20),
('font', 0, 4121, 4121, 'und', 0, 22),
('font', 0, 4122, 4122, 'und', 0, 18),
('font', 0, 4123, 4123, 'und', 0, 18),
('font', 0, 4124, 4124, 'und', 0, 25),
('font', 0, 4125, 4125, 'und', 0, 25),
('font', 0, 4126, 4126, 'und', 0, 25),
('font', 0, 4127, 4127, 'und', 0, 25),
('font', 0, 4128, 4128, 'und', 0, 25),
('font', 0, 4129, 4129, 'und', 0, 25),
('font', 0, 4130, 4130, 'und', 0, 25),
('font', 0, 4131, 4131, 'und', 0, 25),
('font', 0, 4132, 4132, 'und', 0, 25),
('font', 0, 4133, 4133, 'und', 0, 25),
('font', 0, 4134, 4134, 'und', 0, 25),
('font', 0, 4135, 4135, 'und', 0, 25),
('font', 0, 4136, 4136, 'und', 0, 25),
('font', 0, 4137, 4137, 'und', 0, 25),
('font', 0, 4138, 4138, 'und', 0, 25),
('font', 0, 4139, 4139, 'und', 0, 25),
('font', 0, 4140, 4140, 'und', 0, 25),
('font', 0, 4141, 4141, 'und', 0, 25),
('font', 0, 4142, 4142, 'und', 0, 25),
('font', 0, 4143, 4143, 'und', 0, 25),
('font', 0, 4144, 4144, 'und', 0, 25),
('font', 0, 4145, 4145, 'und', 0, 25),
('font', 0, 4146, 4146, 'und', 0, 25),
('font', 0, 4147, 4147, 'und', 0, 25),
('font', 0, 4148, 4148, 'und', 0, 25),
('font', 0, 4149, 4149, 'und', 0, 25),
('font', 0, 4150, 4150, 'und', 0, 25),
('font', 0, 4151, 4151, 'und', 0, 25),
('font', 0, 4152, 4152, 'und', 0, 25),
('font', 0, 4153, 4153, 'und', 0, 25),
('font', 0, 4154, 4154, 'und', 0, 25),
('font', 0, 4155, 4155, 'und', 0, 25),
('font', 0, 4156, 4156, 'und', 0, 25),
('font', 0, 4157, 4157, 'und', 0, 25),
('font', 0, 4158, 4158, 'und', 0, 25),
('font', 0, 4159, 4159, 'und', 0, 25),
('font', 0, 4160, 4160, 'und', 0, 25),
('font', 0, 4161, 4161, 'und', 0, 25),
('font', 0, 4162, 4162, 'und', 0, 25),
('font', 0, 4163, 4163, 'und', 0, 25),
('font', 0, 4164, 4164, 'und', 0, 25),
('font', 0, 4165, 4165, 'und', 0, 25),
('font', 0, 4166, 4166, 'und', 0, 25),
('font', 0, 4167, 4167, 'und', 0, 25),
('font', 0, 4168, 4168, 'und', 0, 25),
('font', 0, 4169, 4169, 'und', 0, 25),
('font', 0, 4170, 4170, 'und', 0, 25),
('font', 0, 4171, 4171, 'und', 0, 25),
('font', 0, 4172, 4172, 'und', 0, 25),
('font', 0, 4173, 4173, 'und', 0, 25),
('font', 0, 4174, 4174, 'und', 0, 25),
('font', 0, 4175, 4175, 'und', 0, 25),
('font', 0, 4176, 4176, 'und', 0, 25),
('font', 0, 4177, 4177, 'und', 0, 25),
('font', 0, 4178, 4178, 'und', 0, 25),
('font', 0, 4179, 4179, 'und', 0, 25),
('font', 0, 4180, 4180, 'und', 0, 25),
('font', 0, 4181, 4181, 'und', 0, 25),
('font', 0, 4182, 4182, 'und', 0, 25),
('font', 0, 4183, 4183, 'und', 0, 25),
('font', 0, 4184, 4184, 'und', 0, 25),
('font', 0, 4185, 4185, 'und', 0, 25),
('font', 0, 4186, 4186, 'und', 0, 25),
('font', 0, 4187, 4187, 'und', 0, 25),
('font', 0, 4188, 4188, 'und', 0, 25),
('font', 0, 4189, 4189, 'und', 0, 25),
('font', 0, 4190, 4190, 'und', 0, 25),
('font', 0, 4191, 4191, 'und', 0, 25),
('font', 0, 4192, 4192, 'und', 0, 25),
('font', 0, 4193, 4193, 'und', 0, 25),
('font', 0, 4194, 4194, 'und', 0, 25),
('font', 0, 4195, 4195, 'und', 0, 25),
('font', 0, 4196, 4196, 'und', 0, 25),
('font', 0, 4197, 4197, 'und', 0, 25),
('font', 0, 4198, 4198, 'und', 0, 25),
('font', 0, 4199, 4199, 'und', 0, 25),
('font', 0, 4200, 4200, 'und', 0, 25),
('font', 0, 4201, 4201, 'und', 0, 25),
('font', 0, 4202, 4202, 'und', 0, 25),
('font', 0, 4203, 4203, 'und', 0, 25),
('font', 0, 4204, 4204, 'und', 0, 25),
('font', 0, 4205, 4205, 'und', 0, 25),
('font', 0, 4206, 4206, 'und', 0, 25),
('font', 0, 4207, 4207, 'und', 0, 25),
('font', 0, 4208, 4208, 'und', 0, 20),
('font', 0, 4209, 4209, 'und', 0, 20),
('font', 0, 4210, 4210, 'und', 0, 20),
('font', 0, 4211, 4211, 'und', 0, 20),
('font', 0, 4212, 4212, 'und', 0, 20),
('font', 0, 4213, 4213, 'und', 0, 20),
('font', 0, 4214, 4214, 'und', 0, 20),
('font', 0, 4215, 4215, 'und', 0, 20),
('font', 0, 4216, 4216, 'und', 0, 20),
('font', 0, 4217, 4217, 'und', 0, 20),
('font', 0, 4218, 4218, 'und', 0, 20),
('font', 0, 4219, 4219, 'und', 0, 20),
('font', 0, 4220, 4220, 'und', 0, 20),
('font', 0, 4221, 4221, 'und', 0, 20),
('font', 0, 4222, 4222, 'und', 0, 20),
('font', 0, 4223, 4223, 'und', 0, 20),
('font', 0, 4224, 4224, 'und', 0, 20),
('font', 0, 4225, 4225, 'und', 0, 20),
('font', 0, 4226, 4226, 'und', 0, 20),
('font', 0, 4227, 4227, 'und', 0, 20),
('font', 0, 4228, 4228, 'und', 0, 20),
('font', 0, 4229, 4229, 'und', 0, 20),
('font', 0, 4230, 4230, 'und', 0, 20),
('font', 0, 4231, 4231, 'und', 0, 20),
('font', 0, 4232, 4232, 'und', 0, 25),
('font', 0, 4233, 4233, 'und', 0, 25),
('font', 0, 4234, 4234, 'und', 0, 25),
('font', 0, 4235, 4235, 'und', 0, 25),
('font', 0, 4236, 4236, 'und', 0, 25),
('font', 0, 4237, 4237, 'und', 0, 18),
('font', 0, 4238, 4238, 'und', 0, 18),
('font', 0, 4239, 4239, 'und', 0, 22),
('font', 0, 4240, 4240, 'und', 0, 22),
('font', 0, 4241, 4241, 'und', 0, 18),
('font', 0, 4242, 4242, 'und', 0, 18),
('font', 0, 4243, 4243, 'und', 0, 25),
('font', 0, 4244, 4244, 'und', 0, 25),
('font', 0, 4245, 4245, 'und', 0, 25),
('font', 0, 4246, 4246, 'und', 0, 25),
('font', 0, 4247, 4247, 'und', 0, 25),
('font', 0, 4248, 4248, 'und', 0, 25),
('font', 0, 4249, 4249, 'und', 0, 25),
('font', 0, 4250, 4250, 'und', 0, 25),
('font', 0, 4251, 4251, 'und', 0, 25),
('font', 0, 4252, 4252, 'und', 0, 25),
('font', 0, 4253, 4253, 'und', 0, 25),
('font', 0, 4254, 4254, 'und', 0, 25),
('font', 0, 4255, 4255, 'und', 0, 25),
('font', 0, 4256, 4256, 'und', 0, 25),
('font', 0, 4257, 4257, 'und', 0, 25),
('font', 0, 4258, 4258, 'und', 0, 25),
('font', 0, 4259, 4259, 'und', 0, 25),
('font', 0, 4260, 4260, 'und', 0, 25),
('font', 0, 4261, 4261, 'und', 0, 25),
('font', 0, 4262, 4262, 'und', 0, 25),
('font', 0, 4263, 4263, 'und', 0, 25),
('font', 0, 4264, 4264, 'und', 0, 20),
('font', 0, 4265, 4265, 'und', 0, 25),
('font', 0, 4266, 4266, 'und', 0, 25),
('font', 0, 4267, 4267, 'und', 0, 25),
('font', 0, 4268, 4268, 'und', 0, 22),
('font', 0, 4269, 4269, 'und', 0, 22),
('font', 0, 4270, 4270, 'und', 0, 25),
('font', 0, 4271, 4271, 'und', 0, 25),
('font', 0, 4272, 4272, 'und', 0, 25);

-- --------------------------------------------------------

--
-- Table structure for table `font__field_supported_languages`
--

CREATE TABLE `font__field_supported_languages` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_supported_languages_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_supported_languages_target_id` (`field_supported_languages_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for font field field_supported_languages.';

--
-- Dumping data for table `font__field_supported_languages`
--

INSERT INTO `font__field_supported_languages` VALUES
('font', 0, 1, 1, 'und', 0, 19),
('font', 0, 2, 2, 'und', 0, 19),
('font', 0, 3, 3, 'und', 0, 21),
('font', 0, 4, 4, 'und', 0, 19),
('font', 0, 5, 5, 'und', 0, 21),
('font', 0, 6, 6, 'und', 0, 19),
('font', 0, 7, 7, 'und', 0, 21),
('font', 0, 8, 8, 'und', 0, 19),
('font', 0, 9, 9, 'und', 0, 21),
('font', 0, 10, 10, 'und', 0, 19),
('font', 0, 11, 11, 'und', 0, 21),
('font', 0, 12, 12, 'und', 0, 19),
('font', 0, 13, 13, 'und', 0, 19),
('font', 0, 14, 14, 'und', 0, 21),
('font', 0, 15, 15, 'und', 0, 23),
('font', 0, 16, 16, 'und', 0, 19),
('font', 0, 17, 17, 'und', 0, 19),
('font', 0, 18, 18, 'und', 0, 24),
('font', 0, 19, 19, 'und', 0, 21),
('font', 0, 20, 20, 'und', 0, 19),
('font', 0, 21, 21, 'und', 0, 24),
('font', 0, 22, 22, 'und', 0, 21),
('font', 0, 23, 23, 'und', 0, 19),
('font', 0, 24, 24, 'und', 0, 24),
('font', 0, 25, 25, 'und', 0, 21),
('font', 0, 26, 26, 'und', 0, 19),
('font', 0, 27, 27, 'und', 0, 24),
('font', 0, 28, 28, 'und', 0, 21),
('font', 0, 29, 29, 'und', 0, 19),
('font', 0, 30, 30, 'und', 0, 24),
('font', 0, 31, 31, 'und', 0, 21),
('font', 0, 32, 32, 'und', 0, 19),
('font', 0, 33, 33, 'und', 0, 24),
('font', 0, 34, 34, 'und', 0, 21),
('font', 0, 35, 35, 'und', 0, 19),
('font', 0, 36, 36, 'und', 0, 24),
('font', 0, 37, 37, 'und', 0, 21),
('font', 0, 38, 38, 'und', 0, 19),
('font', 0, 39, 39, 'und', 0, 21),
('font', 0, 40, 40, 'und', 0, 19),
('font', 0, 41, 41, 'und', 0, 21),
('font', 0, 42, 42, 'und', 0, 19),
('font', 0, 43, 43, 'und', 0, 21),
('font', 0, 44, 44, 'und', 0, 19),
('font', 0, 45, 45, 'und', 0, 21),
('font', 0, 46, 46, 'und', 0, 19),
('font', 0, 47, 47, 'und', 0, 21),
('font', 0, 48, 48, 'und', 0, 19),
('font', 0, 49, 49, 'und', 0, 21),
('font', 0, 50, 50, 'und', 0, 19),
('font', 0, 51, 51, 'und', 0, 21),
('font', 0, 52, 52, 'und', 0, 19),
('font', 0, 53, 53, 'und', 0, 21),
('font', 0, 54, 54, 'und', 0, 19),
('font', 0, 55, 55, 'und', 0, 21),
('font', 0, 56, 56, 'und', 0, 19),
('font', 0, 57, 57, 'und', 0, 21),
('font', 0, 58, 58, 'und', 0, 19),
('font', 0, 59, 59, 'und', 0, 21),
('font', 0, 60, 60, 'und', 0, 19),
('font', 0, 61, 61, 'und', 0, 21),
('font', 0, 62, 62, 'und', 0, 19),
('font', 0, 63, 63, 'und', 0, 21),
('font', 0, 64, 64, 'und', 0, 19),
('font', 0, 65, 65, 'und', 0, 19),
('font', 0, 66, 66, 'und', 0, 21),
('font', 0, 67, 67, 'und', 0, 19),
('font', 0, 68, 68, 'und', 0, 21),
('font', 0, 69, 69, 'und', 0, 19),
('font', 0, 70, 70, 'und', 0, 21),
('font', 0, 71, 71, 'und', 0, 19),
('font', 0, 72, 72, 'und', 0, 19),
('font', 0, 73, 73, 'und', 0, 19),
('font', 0, 74, 74, 'und', 0, 19),
('font', 0, 75, 75, 'und', 0, 19),
('font', 0, 76, 76, 'und', 0, 19),
('font', 0, 77, 77, 'und', 0, 19),
('font', 0, 78, 78, 'und', 0, 19),
('font', 0, 79, 79, 'und', 0, 19),
('font', 0, 80, 80, 'und', 0, 19),
('font', 0, 81, 81, 'und', 0, 19),
('font', 0, 82, 82, 'und', 0, 19),
('font', 0, 83, 83, 'und', 0, 19),
('font', 0, 84, 84, 'und', 0, 21),
('font', 0, 85, 85, 'und', 0, 19),
('font', 0, 86, 86, 'und', 0, 21),
('font', 0, 87, 87, 'und', 0, 19),
('font', 0, 88, 88, 'und', 0, 19),
('font', 0, 89, 89, 'und', 0, 19),
('font', 0, 90, 90, 'und', 0, 24),
('font', 0, 91, 91, 'und', 0, 21),
('font', 0, 92, 92, 'und', 0, 19),
('font', 0, 93, 93, 'und', 0, 24),
('font', 0, 94, 94, 'und', 0, 21),
('font', 0, 95, 95, 'und', 0, 19),
('font', 0, 96, 96, 'und', 0, 24),
('font', 0, 97, 97, 'und', 0, 21),
('font', 0, 98, 98, 'und', 0, 19),
('font', 0, 99, 99, 'und', 0, 24),
('font', 0, 100, 100, 'und', 0, 21),
('font', 0, 101, 101, 'und', 0, 19),
('font', 0, 102, 102, 'und', 0, 19),
('font', 0, 103, 103, 'und', 0, 26),
('font', 0, 104, 104, 'und', 0, 19),
('font', 0, 105, 105, 'und', 0, 21),
('font', 0, 106, 106, 'und', 0, 19),
('font', 0, 107, 107, 'und', 0, 21),
('font', 0, 108, 108, 'und', 0, 19),
('font', 0, 109, 109, 'und', 0, 19),
('font', 0, 110, 110, 'und', 0, 19),
('font', 0, 111, 111, 'und', 0, 19),
('font', 0, 112, 112, 'und', 0, 19),
('font', 0, 113, 113, 'und', 0, 19),
('font', 0, 114, 114, 'und', 0, 19),
('font', 0, 115, 115, 'und', 0, 19),
('font', 0, 116, 116, 'und', 0, 21),
('font', 0, 117, 117, 'und', 0, 19),
('font', 0, 118, 118, 'und', 0, 21),
('font', 0, 119, 119, 'und', 0, 23),
('font', 0, 120, 120, 'und', 0, 19),
('font', 0, 121, 121, 'und', 0, 19),
('font', 0, 122, 122, 'und', 0, 28),
('font', 0, 123, 123, 'und', 0, 19),
('font', 0, 124, 124, 'und', 0, 29),
('font', 0, 125, 125, 'und', 0, 30),
('font', 0, 126, 126, 'und', 0, 21),
('font', 0, 127, 127, 'und', 0, 23),
('font', 0, 128, 128, 'und', 0, 28),
('font', 0, 129, 129, 'und', 0, 19),
('font', 0, 130, 130, 'und', 0, 29),
('font', 0, 131, 131, 'und', 0, 30),
('font', 0, 132, 132, 'und', 0, 21),
('font', 0, 133, 133, 'und', 0, 23),
('font', 0, 134, 134, 'und', 0, 28),
('font', 0, 135, 135, 'und', 0, 19),
('font', 0, 136, 136, 'und', 0, 29),
('font', 0, 137, 137, 'und', 0, 30),
('font', 0, 138, 138, 'und', 0, 21),
('font', 0, 139, 139, 'und', 0, 23),
('font', 0, 140, 140, 'und', 0, 28),
('font', 0, 141, 141, 'und', 0, 19),
('font', 0, 142, 142, 'und', 0, 29),
('font', 0, 143, 143, 'und', 0, 30),
('font', 0, 144, 144, 'und', 0, 21),
('font', 0, 145, 145, 'und', 0, 23),
('font', 0, 146, 146, 'und', 0, 28),
('font', 0, 147, 147, 'und', 0, 19),
('font', 0, 148, 148, 'und', 0, 29),
('font', 0, 149, 149, 'und', 0, 30),
('font', 0, 150, 150, 'und', 0, 21),
('font', 0, 151, 151, 'und', 0, 23),
('font', 0, 152, 152, 'und', 0, 28),
('font', 0, 153, 153, 'und', 0, 19),
('font', 0, 154, 154, 'und', 0, 29),
('font', 0, 155, 155, 'und', 0, 30),
('font', 0, 156, 156, 'und', 0, 21),
('font', 0, 157, 157, 'und', 0, 23),
('font', 0, 158, 158, 'und', 0, 28),
('font', 0, 159, 159, 'und', 0, 19),
('font', 0, 160, 160, 'und', 0, 29),
('font', 0, 161, 161, 'und', 0, 30),
('font', 0, 162, 162, 'und', 0, 21),
('font', 0, 163, 163, 'und', 0, 23),
('font', 0, 164, 164, 'und', 0, 28),
('font', 0, 165, 165, 'und', 0, 19),
('font', 0, 166, 166, 'und', 0, 29),
('font', 0, 167, 167, 'und', 0, 30),
('font', 0, 168, 168, 'und', 0, 21),
('font', 0, 169, 169, 'und', 0, 23),
('font', 0, 170, 170, 'und', 0, 28),
('font', 0, 171, 171, 'und', 0, 19),
('font', 0, 172, 172, 'und', 0, 29),
('font', 0, 173, 173, 'und', 0, 30),
('font', 0, 174, 174, 'und', 0, 21),
('font', 0, 175, 175, 'und', 0, 23),
('font', 0, 176, 176, 'und', 0, 28),
('font', 0, 177, 177, 'und', 0, 19),
('font', 0, 178, 178, 'und', 0, 29),
('font', 0, 179, 179, 'und', 0, 30),
('font', 0, 180, 180, 'und', 0, 21),
('font', 0, 181, 181, 'und', 0, 23),
('font', 0, 182, 182, 'und', 0, 28),
('font', 0, 183, 183, 'und', 0, 19),
('font', 0, 184, 184, 'und', 0, 29),
('font', 0, 185, 185, 'und', 0, 30),
('font', 0, 186, 186, 'und', 0, 21),
('font', 0, 187, 187, 'und', 0, 23),
('font', 0, 188, 188, 'und', 0, 28),
('font', 0, 189, 189, 'und', 0, 19),
('font', 0, 190, 190, 'und', 0, 29),
('font', 0, 191, 191, 'und', 0, 30),
('font', 0, 192, 192, 'und', 0, 21),
('font', 0, 193, 193, 'und', 0, 23),
('font', 0, 194, 194, 'und', 0, 28),
('font', 0, 195, 195, 'und', 0, 19),
('font', 0, 196, 196, 'und', 0, 29),
('font', 0, 197, 197, 'und', 0, 30),
('font', 0, 198, 198, 'und', 0, 21),
('font', 0, 199, 199, 'und', 0, 23),
('font', 0, 200, 200, 'und', 0, 19),
('font', 0, 201, 201, 'und', 0, 19),
('font', 0, 202, 202, 'und', 0, 21),
('font', 0, 203, 203, 'und', 0, 19),
('font', 0, 204, 204, 'und', 0, 19),
('font', 0, 205, 205, 'und', 0, 19),
('font', 0, 206, 206, 'und', 0, 19),
('font', 0, 207, 207, 'und', 0, 21),
('font', 0, 208, 208, 'und', 0, 31),
('font', 0, 209, 209, 'und', 0, 19),
('font', 0, 210, 210, 'und', 0, 32),
('font', 0, 211, 211, 'und', 0, 21),
('font', 0, 212, 212, 'und', 0, 31),
('font', 0, 213, 213, 'und', 0, 19),
('font', 0, 214, 214, 'und', 0, 32),
('font', 0, 215, 215, 'und', 0, 21),
('font', 0, 216, 216, 'und', 0, 31),
('font', 0, 217, 217, 'und', 0, 19),
('font', 0, 218, 218, 'und', 0, 32),
('font', 0, 219, 219, 'und', 0, 21),
('font', 0, 220, 220, 'und', 0, 31),
('font', 0, 221, 221, 'und', 0, 19),
('font', 0, 222, 222, 'und', 0, 32),
('font', 0, 223, 223, 'und', 0, 21),
('font', 0, 224, 224, 'und', 0, 31),
('font', 0, 225, 225, 'und', 0, 19),
('font', 0, 226, 226, 'und', 0, 32),
('font', 0, 227, 227, 'und', 0, 21),
('font', 0, 228, 228, 'und', 0, 31),
('font', 0, 229, 229, 'und', 0, 19),
('font', 0, 230, 230, 'und', 0, 32),
('font', 0, 231, 231, 'und', 0, 21),
('font', 0, 232, 232, 'und', 0, 31),
('font', 0, 233, 233, 'und', 0, 19),
('font', 0, 234, 234, 'und', 0, 32),
('font', 0, 235, 235, 'und', 0, 21),
('font', 0, 236, 236, 'und', 0, 31),
('font', 0, 237, 237, 'und', 0, 19),
('font', 0, 238, 238, 'und', 0, 32),
('font', 0, 239, 239, 'und', 0, 21),
('font', 0, 240, 240, 'und', 0, 31),
('font', 0, 241, 241, 'und', 0, 19),
('font', 0, 242, 242, 'und', 0, 32),
('font', 0, 243, 243, 'und', 0, 21),
('font', 0, 244, 244, 'und', 0, 31),
('font', 0, 245, 245, 'und', 0, 19),
('font', 0, 246, 246, 'und', 0, 32),
('font', 0, 247, 247, 'und', 0, 21),
('font', 0, 248, 248, 'und', 0, 31),
('font', 0, 249, 249, 'und', 0, 19),
('font', 0, 250, 250, 'und', 0, 32),
('font', 0, 251, 251, 'und', 0, 21),
('font', 0, 252, 252, 'und', 0, 31),
('font', 0, 253, 253, 'und', 0, 19),
('font', 0, 254, 254, 'und', 0, 32),
('font', 0, 255, 255, 'und', 0, 21),
('font', 0, 256, 256, 'und', 0, 31),
('font', 0, 257, 257, 'und', 0, 19),
('font', 0, 258, 258, 'und', 0, 32),
('font', 0, 259, 259, 'und', 0, 21),
('font', 0, 260, 260, 'und', 0, 31),
('font', 0, 261, 261, 'und', 0, 19),
('font', 0, 262, 262, 'und', 0, 32),
('font', 0, 263, 263, 'und', 0, 21),
('font', 0, 264, 264, 'und', 0, 31),
('font', 0, 265, 265, 'und', 0, 19),
('font', 0, 266, 266, 'und', 0, 32),
('font', 0, 267, 267, 'und', 0, 21),
('font', 0, 268, 268, 'und', 0, 31),
('font', 0, 269, 269, 'und', 0, 19),
('font', 0, 270, 270, 'und', 0, 32),
('font', 0, 271, 271, 'und', 0, 21),
('font', 0, 272, 272, 'und', 0, 31),
('font', 0, 273, 273, 'und', 0, 19),
('font', 0, 274, 274, 'und', 0, 32),
('font', 0, 275, 275, 'und', 0, 21),
('font', 0, 276, 276, 'und', 0, 31),
('font', 0, 277, 277, 'und', 0, 19),
('font', 0, 278, 278, 'und', 0, 32),
('font', 0, 279, 279, 'und', 0, 21),
('font', 0, 280, 280, 'und', 0, 19),
('font', 0, 281, 281, 'und', 0, 19),
('font', 0, 282, 282, 'und', 0, 21),
('font', 0, 283, 283, 'und', 0, 19),
('font', 0, 284, 284, 'und', 0, 21),
('font', 0, 285, 285, 'und', 0, 19),
('font', 0, 286, 286, 'und', 0, 21),
('font', 0, 287, 287, 'und', 0, 19),
('font', 0, 288, 288, 'und', 0, 21),
('font', 0, 289, 289, 'und', 0, 19),
('font', 0, 290, 290, 'und', 0, 21),
('font', 0, 291, 291, 'und', 0, 19),
('font', 0, 292, 292, 'und', 0, 21),
('font', 0, 293, 293, 'und', 0, 19),
('font', 0, 294, 294, 'und', 0, 21),
('font', 0, 295, 295, 'und', 0, 19),
('font', 0, 296, 296, 'und', 0, 21),
('font', 0, 297, 297, 'und', 0, 19),
('font', 0, 298, 298, 'und', 0, 21),
('font', 0, 299, 299, 'und', 0, 19),
('font', 0, 300, 300, 'und', 0, 21),
('font', 0, 301, 301, 'und', 0, 19),
('font', 0, 302, 302, 'und', 0, 21),
('font', 0, 303, 303, 'und', 0, 19),
('font', 0, 304, 304, 'und', 0, 21),
('font', 0, 305, 305, 'und', 0, 28),
('font', 0, 306, 306, 'und', 0, 19),
('font', 0, 307, 307, 'und', 0, 29),
('font', 0, 308, 308, 'und', 0, 30),
('font', 0, 309, 309, 'und', 0, 26),
('font', 0, 310, 310, 'und', 0, 32),
('font', 0, 311, 311, 'und', 0, 21),
('font', 0, 312, 312, 'und', 0, 23),
('font', 0, 313, 313, 'und', 0, 28),
('font', 0, 314, 314, 'und', 0, 19),
('font', 0, 315, 315, 'und', 0, 29),
('font', 0, 316, 316, 'und', 0, 30),
('font', 0, 317, 317, 'und', 0, 26),
('font', 0, 318, 318, 'und', 0, 32),
('font', 0, 319, 319, 'und', 0, 21),
('font', 0, 320, 320, 'und', 0, 23),
('font', 0, 321, 321, 'und', 0, 28),
('font', 0, 322, 322, 'und', 0, 19),
('font', 0, 323, 323, 'und', 0, 29),
('font', 0, 324, 324, 'und', 0, 30),
('font', 0, 325, 325, 'und', 0, 26),
('font', 0, 326, 326, 'und', 0, 32),
('font', 0, 327, 327, 'und', 0, 21),
('font', 0, 328, 328, 'und', 0, 23),
('font', 0, 329, 329, 'und', 0, 28),
('font', 0, 330, 330, 'und', 0, 19),
('font', 0, 331, 331, 'und', 0, 29),
('font', 0, 332, 332, 'und', 0, 30),
('font', 0, 333, 333, 'und', 0, 26),
('font', 0, 334, 334, 'und', 0, 32),
('font', 0, 335, 335, 'und', 0, 21),
('font', 0, 336, 336, 'und', 0, 23),
('font', 0, 337, 337, 'und', 0, 19),
('font', 0, 338, 338, 'und', 0, 33),
('font', 0, 339, 339, 'und', 0, 19),
('font', 0, 340, 340, 'und', 0, 24),
('font', 0, 341, 341, 'und', 0, 21),
('font', 0, 342, 342, 'und', 0, 19),
('font', 0, 343, 343, 'und', 0, 24),
('font', 0, 344, 344, 'und', 0, 21),
('font', 0, 345, 345, 'und', 0, 19),
('font', 0, 346, 346, 'und', 0, 24),
('font', 0, 347, 347, 'und', 0, 21),
('font', 0, 348, 348, 'und', 0, 19),
('font', 0, 349, 349, 'und', 0, 24),
('font', 0, 350, 350, 'und', 0, 21),
('font', 0, 351, 351, 'und', 0, 19),
('font', 0, 352, 352, 'und', 0, 24),
('font', 0, 353, 353, 'und', 0, 21),
('font', 0, 354, 354, 'und', 0, 19),
('font', 0, 355, 355, 'und', 0, 19),
('font', 0, 356, 356, 'und', 0, 19),
('font', 0, 357, 357, 'und', 0, 19),
('font', 0, 358, 358, 'und', 0, 19),
('font', 0, 359, 359, 'und', 0, 21),
('font', 0, 360, 360, 'und', 0, 19),
('font', 0, 361, 361, 'und', 0, 21),
('font', 0, 362, 362, 'und', 0, 23),
('font', 0, 363, 363, 'und', 0, 19),
('font', 0, 364, 364, 'und', 0, 33),
('font', 0, 365, 365, 'und', 0, 19),
('font', 0, 366, 366, 'und', 0, 19),
('font', 0, 367, 367, 'und', 0, 24),
('font', 0, 368, 368, 'und', 0, 21),
('font', 0, 369, 369, 'und', 0, 19),
('font', 0, 370, 370, 'und', 0, 24),
('font', 0, 371, 371, 'und', 0, 21),
('font', 0, 372, 372, 'und', 0, 19),
('font', 0, 373, 373, 'und', 0, 24),
('font', 0, 374, 374, 'und', 0, 21),
('font', 0, 375, 375, 'und', 0, 19),
('font', 0, 376, 376, 'und', 0, 24),
('font', 0, 377, 377, 'und', 0, 21),
('font', 0, 378, 378, 'und', 0, 19),
('font', 0, 379, 379, 'und', 0, 24),
('font', 0, 380, 380, 'und', 0, 21),
('font', 0, 381, 381, 'und', 0, 31),
('font', 0, 382, 382, 'und', 0, 19),
('font', 0, 383, 383, 'und', 0, 32),
('font', 0, 384, 384, 'und', 0, 21),
('font', 0, 385, 385, 'und', 0, 31),
('font', 0, 386, 386, 'und', 0, 19),
('font', 0, 387, 387, 'und', 0, 32),
('font', 0, 388, 388, 'und', 0, 21),
('font', 0, 389, 389, 'und', 0, 31),
('font', 0, 390, 390, 'und', 0, 19),
('font', 0, 391, 391, 'und', 0, 32),
('font', 0, 392, 392, 'und', 0, 21),
('font', 0, 393, 393, 'und', 0, 31),
('font', 0, 394, 394, 'und', 0, 19),
('font', 0, 395, 395, 'und', 0, 32),
('font', 0, 396, 396, 'und', 0, 21),
('font', 0, 397, 397, 'und', 0, 31),
('font', 0, 398, 398, 'und', 0, 19),
('font', 0, 399, 399, 'und', 0, 32),
('font', 0, 400, 400, 'und', 0, 21),
('font', 0, 401, 401, 'und', 0, 31),
('font', 0, 402, 402, 'und', 0, 19),
('font', 0, 403, 403, 'und', 0, 32),
('font', 0, 404, 404, 'und', 0, 21),
('font', 0, 405, 405, 'und', 0, 31),
('font', 0, 406, 406, 'und', 0, 19),
('font', 0, 407, 407, 'und', 0, 32),
('font', 0, 408, 408, 'und', 0, 21),
('font', 0, 409, 409, 'und', 0, 31),
('font', 0, 410, 410, 'und', 0, 19),
('font', 0, 411, 411, 'und', 0, 32),
('font', 0, 412, 412, 'und', 0, 21),
('font', 0, 413, 413, 'und', 0, 31),
('font', 0, 414, 414, 'und', 0, 19),
('font', 0, 415, 415, 'und', 0, 32),
('font', 0, 416, 416, 'und', 0, 21),
('font', 0, 417, 417, 'und', 0, 31),
('font', 0, 418, 418, 'und', 0, 19),
('font', 0, 419, 419, 'und', 0, 32),
('font', 0, 420, 420, 'und', 0, 21),
('font', 0, 421, 421, 'und', 0, 31),
('font', 0, 422, 422, 'und', 0, 19),
('font', 0, 423, 423, 'und', 0, 32),
('font', 0, 424, 424, 'und', 0, 21),
('font', 0, 425, 425, 'und', 0, 31),
('font', 0, 426, 426, 'und', 0, 19),
('font', 0, 427, 427, 'und', 0, 32),
('font', 0, 428, 428, 'und', 0, 21),
('font', 0, 429, 429, 'und', 0, 31),
('font', 0, 430, 430, 'und', 0, 19),
('font', 0, 431, 431, 'und', 0, 32),
('font', 0, 432, 432, 'und', 0, 21),
('font', 0, 433, 433, 'und', 0, 31),
('font', 0, 434, 434, 'und', 0, 19),
('font', 0, 435, 435, 'und', 0, 32),
('font', 0, 436, 436, 'und', 0, 21),
('font', 0, 437, 437, 'und', 0, 31),
('font', 0, 438, 438, 'und', 0, 19),
('font', 0, 439, 439, 'und', 0, 32),
('font', 0, 440, 440, 'und', 0, 21),
('font', 0, 441, 441, 'und', 0, 31),
('font', 0, 442, 442, 'und', 0, 19),
('font', 0, 443, 443, 'und', 0, 32),
('font', 0, 444, 444, 'und', 0, 21),
('font', 0, 445, 445, 'und', 0, 31),
('font', 0, 446, 446, 'und', 0, 19),
('font', 0, 447, 447, 'und', 0, 32),
('font', 0, 448, 448, 'und', 0, 21),
('font', 0, 449, 449, 'und', 0, 31),
('font', 0, 450, 450, 'und', 0, 19),
('font', 0, 451, 451, 'und', 0, 32),
('font', 0, 452, 452, 'und', 0, 21),
('font', 0, 453, 453, 'und', 0, 19),
('font', 0, 454, 454, 'und', 0, 21),
('font', 0, 455, 455, 'und', 0, 34),
('font', 0, 456, 456, 'und', 0, 19),
('font', 0, 457, 457, 'und', 0, 19),
('font', 0, 458, 458, 'und', 0, 19),
('font', 0, 459, 459, 'und', 0, 19),
('font', 0, 460, 460, 'und', 0, 19),
('font', 0, 461, 461, 'und', 0, 34),
('font', 0, 462, 462, 'und', 0, 19),
('font', 0, 463, 463, 'und', 0, 33),
('font', 0, 464, 464, 'und', 0, 19),
('font', 0, 465, 465, 'und', 0, 33),
('font', 0, 466, 466, 'und', 0, 19),
('font', 0, 467, 467, 'und', 0, 24),
('font', 0, 468, 468, 'und', 0, 21),
('font', 0, 469, 469, 'und', 0, 19),
('font', 0, 470, 470, 'und', 0, 24),
('font', 0, 471, 471, 'und', 0, 21),
('font', 0, 472, 472, 'und', 0, 19),
('font', 0, 473, 473, 'und', 0, 19),
('font', 0, 474, 474, 'und', 0, 19),
('font', 0, 475, 475, 'und', 0, 24),
('font', 0, 476, 476, 'und', 0, 21),
('font', 0, 477, 477, 'und', 0, 19),
('font', 0, 478, 478, 'und', 0, 24),
('font', 0, 479, 479, 'und', 0, 21),
('font', 0, 480, 480, 'und', 0, 19),
('font', 0, 481, 481, 'und', 0, 26),
('font', 0, 482, 482, 'und', 0, 21),
('font', 0, 483, 483, 'und', 0, 19),
('font', 0, 484, 484, 'und', 0, 19),
('font', 0, 485, 485, 'und', 0, 19),
('font', 0, 486, 486, 'und', 0, 21),
('font', 0, 487, 487, 'und', 0, 19),
('font', 0, 488, 488, 'und', 0, 21),
('font', 0, 489, 489, 'und', 0, 19),
('font', 0, 490, 490, 'und', 0, 21),
('font', 0, 491, 491, 'und', 0, 19),
('font', 0, 492, 492, 'und', 0, 21),
('font', 0, 493, 493, 'und', 0, 19),
('font', 0, 494, 494, 'und', 0, 19),
('font', 0, 495, 495, 'und', 0, 19),
('font', 0, 496, 496, 'und', 0, 21),
('font', 0, 497, 497, 'und', 0, 23),
('font', 0, 498, 498, 'und', 0, 19),
('font', 0, 499, 499, 'und', 0, 21),
('font', 0, 500, 500, 'und', 0, 31),
('font', 0, 501, 501, 'und', 0, 19),
('font', 0, 502, 502, 'und', 0, 32),
('font', 0, 503, 503, 'und', 0, 21),
('font', 0, 504, 504, 'und', 0, 19),
('font', 0, 505, 505, 'und', 0, 33),
('font', 0, 506, 506, 'und', 0, 19),
('font', 0, 507, 507, 'und', 0, 19),
('font', 0, 508, 508, 'und', 0, 19),
('font', 0, 509, 509, 'und', 0, 21),
('font', 0, 510, 510, 'und', 0, 19),
('font', 0, 511, 511, 'und', 0, 19),
('font', 0, 512, 512, 'und', 0, 19),
('font', 0, 513, 513, 'und', 0, 32),
('font', 0, 514, 514, 'und', 0, 21),
('font', 0, 515, 515, 'und', 0, 19),
('font', 0, 516, 516, 'und', 0, 32),
('font', 0, 517, 517, 'und', 0, 21),
('font', 0, 518, 518, 'und', 0, 19),
('font', 0, 519, 519, 'und', 0, 32),
('font', 0, 520, 520, 'und', 0, 21),
('font', 0, 521, 521, 'und', 0, 19),
('font', 0, 522, 522, 'und', 0, 32),
('font', 0, 523, 523, 'und', 0, 21),
('font', 0, 524, 524, 'und', 0, 19),
('font', 0, 525, 525, 'und', 0, 21),
('font', 0, 526, 526, 'und', 0, 19),
('font', 0, 527, 527, 'und', 0, 21),
('font', 0, 528, 528, 'und', 0, 19),
('font', 0, 529, 529, 'und', 0, 21),
('font', 0, 530, 530, 'und', 0, 19),
('font', 0, 531, 531, 'und', 0, 32),
('font', 0, 532, 532, 'und', 0, 21),
('font', 0, 533, 533, 'und', 0, 19),
('font', 0, 534, 534, 'und', 0, 32),
('font', 0, 535, 535, 'und', 0, 21),
('font', 0, 536, 536, 'und', 0, 19),
('font', 0, 537, 537, 'und', 0, 32),
('font', 0, 538, 538, 'und', 0, 21),
('font', 0, 539, 539, 'und', 0, 19),
('font', 0, 540, 540, 'und', 0, 32),
('font', 0, 541, 541, 'und', 0, 21),
('font', 0, 542, 542, 'und', 0, 19),
('font', 0, 543, 543, 'und', 0, 32),
('font', 0, 544, 544, 'und', 0, 21),
('font', 0, 545, 545, 'und', 0, 19),
('font', 0, 546, 546, 'und', 0, 32),
('font', 0, 547, 547, 'und', 0, 21),
('font', 0, 548, 548, 'und', 0, 19),
('font', 0, 549, 549, 'und', 0, 32),
('font', 0, 550, 550, 'und', 0, 21),
('font', 0, 551, 551, 'und', 0, 19),
('font', 0, 552, 552, 'und', 0, 32),
('font', 0, 553, 553, 'und', 0, 21),
('font', 0, 554, 554, 'und', 0, 19),
('font', 0, 555, 555, 'und', 0, 32),
('font', 0, 556, 556, 'und', 0, 21),
('font', 0, 557, 557, 'und', 0, 19),
('font', 0, 558, 558, 'und', 0, 32),
('font', 0, 559, 559, 'und', 0, 21),
('font', 0, 560, 560, 'und', 0, 19),
('font', 0, 561, 561, 'und', 0, 32),
('font', 0, 562, 562, 'und', 0, 21),
('font', 0, 563, 563, 'und', 0, 19),
('font', 0, 564, 564, 'und', 0, 32),
('font', 0, 565, 565, 'und', 0, 21),
('font', 0, 566, 566, 'und', 0, 19),
('font', 0, 567, 567, 'und', 0, 21),
('font', 0, 568, 568, 'und', 0, 19),
('font', 0, 569, 569, 'und', 0, 21),
('font', 0, 570, 570, 'und', 0, 19),
('font', 0, 571, 571, 'und', 0, 21),
('font', 0, 572, 572, 'und', 0, 19),
('font', 0, 573, 573, 'und', 0, 21),
('font', 0, 574, 574, 'und', 0, 19),
('font', 0, 575, 575, 'und', 0, 21),
('font', 0, 576, 576, 'und', 0, 19),
('font', 0, 577, 577, 'und', 0, 21),
('font', 0, 578, 578, 'und', 0, 19),
('font', 0, 579, 579, 'und', 0, 21),
('font', 0, 580, 580, 'und', 0, 19),
('font', 0, 581, 581, 'und', 0, 21),
('font', 0, 582, 582, 'und', 0, 19),
('font', 0, 583, 583, 'und', 0, 21),
('font', 0, 584, 584, 'und', 0, 19),
('font', 0, 585, 585, 'und', 0, 21),
('font', 0, 586, 586, 'und', 0, 19),
('font', 0, 587, 587, 'und', 0, 19),
('font', 0, 588, 588, 'und', 0, 19),
('font', 0, 589, 589, 'und', 0, 21),
('font', 0, 590, 590, 'und', 0, 19),
('font', 0, 591, 591, 'und', 0, 19),
('font', 0, 592, 592, 'und', 0, 21),
('font', 0, 593, 593, 'und', 0, 19),
('font', 0, 594, 594, 'und', 0, 21),
('font', 0, 595, 595, 'und', 0, 19),
('font', 0, 596, 596, 'und', 0, 19),
('font', 0, 597, 597, 'und', 0, 19),
('font', 0, 598, 598, 'und', 0, 19),
('font', 0, 599, 599, 'und', 0, 21),
('font', 0, 600, 600, 'und', 0, 19),
('font', 0, 601, 601, 'und', 0, 21),
('font', 0, 602, 602, 'und', 0, 19),
('font', 0, 603, 603, 'und', 0, 21),
('font', 0, 604, 604, 'und', 0, 19),
('font', 0, 605, 605, 'und', 0, 21),
('font', 0, 606, 606, 'und', 0, 19),
('font', 0, 607, 607, 'und', 0, 19),
('font', 0, 608, 608, 'und', 0, 19),
('font', 0, 609, 609, 'und', 0, 21),
('font', 0, 610, 610, 'und', 0, 19),
('font', 0, 611, 611, 'und', 0, 21),
('font', 0, 612, 612, 'und', 0, 19),
('font', 0, 613, 613, 'und', 0, 21),
('font', 0, 614, 614, 'und', 0, 19),
('font', 0, 615, 615, 'und', 0, 21),
('font', 0, 616, 616, 'und', 0, 19),
('font', 0, 617, 617, 'und', 0, 21),
('font', 0, 618, 618, 'und', 0, 19),
('font', 0, 619, 619, 'und', 0, 21),
('font', 0, 620, 620, 'und', 0, 19),
('font', 0, 621, 621, 'und', 0, 21),
('font', 0, 622, 622, 'und', 0, 19),
('font', 0, 623, 623, 'und', 0, 21),
('font', 0, 624, 624, 'und', 0, 19),
('font', 0, 625, 625, 'und', 0, 21),
('font', 0, 626, 626, 'und', 0, 19),
('font', 0, 627, 627, 'und', 0, 21),
('font', 0, 628, 628, 'und', 0, 19),
('font', 0, 629, 629, 'und', 0, 21),
('font', 0, 630, 630, 'und', 0, 19),
('font', 0, 631, 631, 'und', 0, 21),
('font', 0, 632, 632, 'und', 0, 19),
('font', 0, 633, 633, 'und', 0, 21),
('font', 0, 634, 634, 'und', 0, 19),
('font', 0, 635, 635, 'und', 0, 21),
('font', 0, 636, 636, 'und', 0, 19),
('font', 0, 637, 637, 'und', 0, 34),
('font', 0, 638, 638, 'und', 0, 19),
('font', 0, 639, 639, 'und', 0, 35),
('font', 0, 640, 640, 'und', 0, 21),
('font', 0, 641, 641, 'und', 0, 19),
('font', 0, 642, 642, 'und', 0, 19),
('font', 0, 643, 643, 'und', 0, 21),
('font', 0, 644, 644, 'und', 0, 19),
('font', 0, 645, 645, 'und', 0, 19),
('font', 0, 646, 646, 'und', 0, 19),
('font', 0, 647, 647, 'und', 0, 21),
('font', 0, 648, 648, 'und', 0, 19),
('font', 0, 649, 649, 'und', 0, 21),
('font', 0, 650, 650, 'und', 0, 19),
('font', 0, 651, 651, 'und', 0, 21),
('font', 0, 652, 652, 'und', 0, 19),
('font', 0, 653, 653, 'und', 0, 21),
('font', 0, 654, 654, 'und', 0, 19),
('font', 0, 655, 655, 'und', 0, 19),
('font', 0, 656, 656, 'und', 0, 21),
('font', 0, 657, 657, 'und', 0, 19),
('font', 0, 658, 658, 'und', 0, 19),
('font', 0, 659, 659, 'und', 0, 21),
('font', 0, 660, 660, 'und', 0, 23),
('font', 0, 661, 661, 'und', 0, 19),
('font', 0, 662, 662, 'und', 0, 21),
('font', 0, 663, 663, 'und', 0, 19),
('font', 0, 664, 664, 'und', 0, 26),
('font', 0, 665, 665, 'und', 0, 21),
('font', 0, 666, 666, 'und', 0, 19),
('font', 0, 667, 667, 'und', 0, 21),
('font', 0, 668, 668, 'und', 0, 19),
('font', 0, 669, 669, 'und', 0, 21),
('font', 0, 670, 670, 'und', 0, 19),
('font', 0, 671, 671, 'und', 0, 19),
('font', 0, 672, 672, 'und', 0, 36),
('font', 0, 673, 673, 'und', 0, 19),
('font', 0, 674, 674, 'und', 0, 36),
('font', 0, 675, 675, 'und', 0, 19),
('font', 0, 676, 676, 'und', 0, 21),
('font', 0, 677, 677, 'und', 0, 23),
('font', 0, 678, 678, 'und', 0, 19),
('font', 0, 679, 679, 'und', 0, 21),
('font', 0, 680, 680, 'und', 0, 23),
('font', 0, 681, 681, 'und', 0, 19),
('font', 0, 682, 682, 'und', 0, 21),
('font', 0, 683, 683, 'und', 0, 23),
('font', 0, 684, 684, 'und', 0, 19),
('font', 0, 685, 685, 'und', 0, 21),
('font', 0, 686, 686, 'und', 0, 23),
('font', 0, 687, 687, 'und', 0, 19),
('font', 0, 688, 688, 'und', 0, 19),
('font', 0, 689, 689, 'und', 0, 24),
('font', 0, 690, 690, 'und', 0, 21),
('font', 0, 691, 691, 'und', 0, 19),
('font', 0, 692, 692, 'und', 0, 24),
('font', 0, 693, 693, 'und', 0, 21),
('font', 0, 694, 694, 'und', 0, 19),
('font', 0, 695, 695, 'und', 0, 24),
('font', 0, 696, 696, 'und', 0, 21),
('font', 0, 697, 697, 'und', 0, 19),
('font', 0, 698, 698, 'und', 0, 24),
('font', 0, 699, 699, 'und', 0, 21),
('font', 0, 700, 700, 'und', 0, 19),
('font', 0, 701, 701, 'und', 0, 24),
('font', 0, 702, 702, 'und', 0, 21),
('font', 0, 703, 703, 'und', 0, 19),
('font', 0, 704, 704, 'und', 0, 24),
('font', 0, 705, 705, 'und', 0, 21),
('font', 0, 706, 706, 'und', 0, 19),
('font', 0, 707, 707, 'und', 0, 21),
('font', 0, 708, 708, 'und', 0, 19),
('font', 0, 709, 709, 'und', 0, 24),
('font', 0, 710, 710, 'und', 0, 21),
('font', 0, 711, 711, 'und', 0, 19),
('font', 0, 712, 712, 'und', 0, 24),
('font', 0, 713, 713, 'und', 0, 21),
('font', 0, 714, 714, 'und', 0, 19),
('font', 0, 715, 715, 'und', 0, 19),
('font', 0, 716, 716, 'und', 0, 21),
('font', 0, 717, 717, 'und', 0, 19),
('font', 0, 718, 718, 'und', 0, 21),
('font', 0, 719, 719, 'und', 0, 19),
('font', 0, 720, 720, 'und', 0, 21),
('font', 0, 721, 721, 'und', 0, 19),
('font', 0, 722, 722, 'und', 0, 19),
('font', 0, 723, 723, 'und', 0, 21),
('font', 0, 724, 724, 'und', 0, 19),
('font', 0, 725, 725, 'und', 0, 24),
('font', 0, 726, 726, 'und', 0, 19),
('font', 0, 727, 727, 'und', 0, 24),
('font', 0, 728, 728, 'und', 0, 19),
('font', 0, 729, 729, 'und', 0, 21),
('font', 0, 730, 730, 'und', 0, 19),
('font', 0, 731, 731, 'und', 0, 21),
('font', 0, 732, 732, 'und', 0, 19),
('font', 0, 733, 733, 'und', 0, 21),
('font', 0, 734, 734, 'und', 0, 19),
('font', 0, 735, 735, 'und', 0, 21),
('font', 0, 736, 736, 'und', 0, 23),
('font', 0, 737, 737, 'und', 0, 19),
('font', 0, 738, 738, 'und', 0, 21),
('font', 0, 739, 739, 'und', 0, 23),
('font', 0, 740, 740, 'und', 0, 19),
('font', 0, 741, 741, 'und', 0, 21),
('font', 0, 742, 742, 'und', 0, 19),
('font', 0, 743, 743, 'und', 0, 21),
('font', 0, 744, 744, 'und', 0, 19),
('font', 0, 745, 745, 'und', 0, 21),
('font', 0, 746, 746, 'und', 0, 19),
('font', 0, 747, 747, 'und', 0, 21),
('font', 0, 748, 748, 'und', 0, 19),
('font', 0, 749, 749, 'und', 0, 21),
('font', 0, 750, 750, 'und', 0, 19),
('font', 0, 751, 751, 'und', 0, 21),
('font', 0, 752, 752, 'und', 0, 19),
('font', 0, 753, 753, 'und', 0, 21),
('font', 0, 754, 754, 'und', 0, 19),
('font', 0, 755, 755, 'und', 0, 21),
('font', 0, 756, 756, 'und', 0, 19),
('font', 0, 757, 757, 'und', 0, 21),
('font', 0, 758, 758, 'und', 0, 23),
('font', 0, 759, 759, 'und', 0, 19),
('font', 0, 760, 760, 'und', 0, 21),
('font', 0, 761, 761, 'und', 0, 23),
('font', 0, 762, 762, 'und', 0, 19),
('font', 0, 763, 763, 'und', 0, 26),
('font', 0, 764, 764, 'und', 0, 21),
('font', 0, 765, 765, 'und', 0, 23),
('font', 0, 766, 766, 'und', 0, 19),
('font', 0, 767, 767, 'und', 0, 26),
('font', 0, 768, 768, 'und', 0, 21),
('font', 0, 769, 769, 'und', 0, 23),
('font', 0, 770, 770, 'und', 0, 19),
('font', 0, 771, 771, 'und', 0, 26),
('font', 0, 772, 772, 'und', 0, 21),
('font', 0, 773, 773, 'und', 0, 23),
('font', 0, 774, 774, 'und', 0, 19),
('font', 0, 775, 775, 'und', 0, 26),
('font', 0, 776, 776, 'und', 0, 21),
('font', 0, 777, 777, 'und', 0, 23),
('font', 0, 778, 778, 'und', 0, 19),
('font', 0, 779, 779, 'und', 0, 26),
('font', 0, 780, 780, 'und', 0, 21),
('font', 0, 781, 781, 'und', 0, 23),
('font', 0, 782, 782, 'und', 0, 19),
('font', 0, 783, 783, 'und', 0, 26),
('font', 0, 784, 784, 'und', 0, 21),
('font', 0, 785, 785, 'und', 0, 23),
('font', 0, 786, 786, 'und', 0, 19),
('font', 0, 787, 787, 'und', 0, 26),
('font', 0, 788, 788, 'und', 0, 21),
('font', 0, 789, 789, 'und', 0, 23),
('font', 0, 790, 790, 'und', 0, 19),
('font', 0, 791, 791, 'und', 0, 26),
('font', 0, 792, 792, 'und', 0, 21),
('font', 0, 793, 793, 'und', 0, 23),
('font', 0, 794, 794, 'und', 0, 19),
('font', 0, 795, 795, 'und', 0, 26),
('font', 0, 796, 796, 'und', 0, 21),
('font', 0, 797, 797, 'und', 0, 23),
('font', 0, 798, 798, 'und', 0, 19),
('font', 0, 799, 799, 'und', 0, 26),
('font', 0, 800, 800, 'und', 0, 21),
('font', 0, 801, 801, 'und', 0, 23),
('font', 0, 802, 802, 'und', 0, 19),
('font', 0, 803, 803, 'und', 0, 24),
('font', 0, 804, 804, 'und', 0, 21),
('font', 0, 805, 805, 'und', 0, 19),
('font', 0, 806, 806, 'und', 0, 19),
('font', 0, 807, 807, 'und', 0, 21),
('font', 0, 808, 808, 'und', 0, 19),
('font', 0, 809, 809, 'und', 0, 21),
('font', 0, 810, 810, 'und', 0, 19),
('font', 0, 811, 811, 'und', 0, 19),
('font', 0, 812, 812, 'und', 0, 19),
('font', 0, 813, 813, 'und', 0, 19),
('font', 0, 814, 814, 'und', 0, 19),
('font', 0, 815, 815, 'und', 0, 21),
('font', 0, 816, 816, 'und', 0, 19),
('font', 0, 817, 817, 'und', 0, 21),
('font', 0, 818, 818, 'und', 0, 19),
('font', 0, 819, 819, 'und', 0, 21),
('font', 0, 820, 820, 'und', 0, 19),
('font', 0, 821, 821, 'und', 0, 19),
('font', 0, 822, 822, 'und', 0, 19),
('font', 0, 823, 823, 'und', 0, 19),
('font', 0, 824, 824, 'und', 0, 28),
('font', 0, 825, 825, 'und', 0, 19),
('font', 0, 826, 826, 'und', 0, 29),
('font', 0, 827, 827, 'und', 0, 30),
('font', 0, 828, 828, 'und', 0, 32),
('font', 0, 829, 829, 'und', 0, 21),
('font', 0, 830, 830, 'und', 0, 23),
('font', 0, 831, 831, 'und', 0, 28),
('font', 0, 832, 832, 'und', 0, 19),
('font', 0, 833, 833, 'und', 0, 29),
('font', 0, 834, 834, 'und', 0, 30),
('font', 0, 835, 835, 'und', 0, 32),
('font', 0, 836, 836, 'und', 0, 21),
('font', 0, 837, 837, 'und', 0, 23),
('font', 0, 838, 838, 'und', 0, 28),
('font', 0, 839, 839, 'und', 0, 19),
('font', 0, 840, 840, 'und', 0, 29),
('font', 0, 841, 841, 'und', 0, 30),
('font', 0, 842, 842, 'und', 0, 32),
('font', 0, 843, 843, 'und', 0, 21),
('font', 0, 844, 844, 'und', 0, 23),
('font', 0, 845, 845, 'und', 0, 28),
('font', 0, 846, 846, 'und', 0, 19),
('font', 0, 847, 847, 'und', 0, 29),
('font', 0, 848, 848, 'und', 0, 30),
('font', 0, 849, 849, 'und', 0, 32),
('font', 0, 850, 850, 'und', 0, 21),
('font', 0, 851, 851, 'und', 0, 23),
('font', 0, 852, 852, 'und', 0, 28),
('font', 0, 853, 853, 'und', 0, 19),
('font', 0, 854, 854, 'und', 0, 29),
('font', 0, 855, 855, 'und', 0, 30),
('font', 0, 856, 856, 'und', 0, 32),
('font', 0, 857, 857, 'und', 0, 21),
('font', 0, 858, 858, 'und', 0, 23),
('font', 0, 859, 859, 'und', 0, 28),
('font', 0, 860, 860, 'und', 0, 19),
('font', 0, 861, 861, 'und', 0, 29),
('font', 0, 862, 862, 'und', 0, 30),
('font', 0, 863, 863, 'und', 0, 32),
('font', 0, 864, 864, 'und', 0, 21),
('font', 0, 865, 865, 'und', 0, 23),
('font', 0, 866, 866, 'und', 0, 28),
('font', 0, 867, 867, 'und', 0, 19),
('font', 0, 868, 868, 'und', 0, 29),
('font', 0, 869, 869, 'und', 0, 30),
('font', 0, 870, 870, 'und', 0, 32),
('font', 0, 871, 871, 'und', 0, 21),
('font', 0, 872, 872, 'und', 0, 23),
('font', 0, 873, 873, 'und', 0, 28),
('font', 0, 874, 874, 'und', 0, 19),
('font', 0, 875, 875, 'und', 0, 29),
('font', 0, 876, 876, 'und', 0, 30),
('font', 0, 877, 877, 'und', 0, 32),
('font', 0, 878, 878, 'und', 0, 21),
('font', 0, 879, 879, 'und', 0, 23),
('font', 0, 880, 880, 'und', 0, 28),
('font', 0, 881, 881, 'und', 0, 19),
('font', 0, 882, 882, 'und', 0, 29),
('font', 0, 883, 883, 'und', 0, 30),
('font', 0, 884, 884, 'und', 0, 32),
('font', 0, 885, 885, 'und', 0, 21),
('font', 0, 886, 886, 'und', 0, 23),
('font', 0, 887, 887, 'und', 0, 28),
('font', 0, 888, 888, 'und', 0, 19),
('font', 0, 889, 889, 'und', 0, 29),
('font', 0, 890, 890, 'und', 0, 30),
('font', 0, 891, 891, 'und', 0, 32),
('font', 0, 892, 892, 'und', 0, 21),
('font', 0, 893, 893, 'und', 0, 23),
('font', 0, 894, 894, 'und', 0, 28),
('font', 0, 895, 895, 'und', 0, 19),
('font', 0, 896, 896, 'und', 0, 29),
('font', 0, 897, 897, 'und', 0, 30),
('font', 0, 898, 898, 'und', 0, 32),
('font', 0, 899, 899, 'und', 0, 21),
('font', 0, 900, 900, 'und', 0, 23),
('font', 0, 901, 901, 'und', 0, 28),
('font', 0, 902, 902, 'und', 0, 19),
('font', 0, 903, 903, 'und', 0, 29),
('font', 0, 904, 904, 'und', 0, 30),
('font', 0, 905, 905, 'und', 0, 32),
('font', 0, 906, 906, 'und', 0, 21),
('font', 0, 907, 907, 'und', 0, 23),
('font', 0, 908, 908, 'und', 0, 28),
('font', 0, 909, 909, 'und', 0, 19),
('font', 0, 910, 910, 'und', 0, 29),
('font', 0, 911, 911, 'und', 0, 30),
('font', 0, 912, 912, 'und', 0, 32),
('font', 0, 913, 913, 'und', 0, 21),
('font', 0, 914, 914, 'und', 0, 23),
('font', 0, 915, 915, 'und', 0, 28),
('font', 0, 916, 916, 'und', 0, 19),
('font', 0, 917, 917, 'und', 0, 29),
('font', 0, 918, 918, 'und', 0, 30),
('font', 0, 919, 919, 'und', 0, 32),
('font', 0, 920, 920, 'und', 0, 21),
('font', 0, 921, 921, 'und', 0, 23),
('font', 0, 922, 922, 'und', 0, 28),
('font', 0, 923, 923, 'und', 0, 19),
('font', 0, 924, 924, 'und', 0, 29),
('font', 0, 925, 925, 'und', 0, 30),
('font', 0, 926, 926, 'und', 0, 32),
('font', 0, 927, 927, 'und', 0, 21),
('font', 0, 928, 928, 'und', 0, 23),
('font', 0, 929, 929, 'und', 0, 28),
('font', 0, 930, 930, 'und', 0, 19),
('font', 0, 931, 931, 'und', 0, 29),
('font', 0, 932, 932, 'und', 0, 30),
('font', 0, 933, 933, 'und', 0, 32),
('font', 0, 934, 934, 'und', 0, 21),
('font', 0, 935, 935, 'und', 0, 23),
('font', 0, 936, 936, 'und', 0, 28),
('font', 0, 937, 937, 'und', 0, 19),
('font', 0, 938, 938, 'und', 0, 29),
('font', 0, 939, 939, 'und', 0, 30),
('font', 0, 940, 940, 'und', 0, 32),
('font', 0, 941, 941, 'und', 0, 21),
('font', 0, 942, 942, 'und', 0, 23),
('font', 0, 943, 943, 'und', 0, 28),
('font', 0, 944, 944, 'und', 0, 19),
('font', 0, 945, 945, 'und', 0, 29),
('font', 0, 946, 946, 'und', 0, 30),
('font', 0, 947, 947, 'und', 0, 32),
('font', 0, 948, 948, 'und', 0, 21),
('font', 0, 949, 949, 'und', 0, 23),
('font', 0, 950, 950, 'und', 0, 28),
('font', 0, 951, 951, 'und', 0, 19),
('font', 0, 952, 952, 'und', 0, 29),
('font', 0, 953, 953, 'und', 0, 30),
('font', 0, 954, 954, 'und', 0, 32),
('font', 0, 955, 955, 'und', 0, 21),
('font', 0, 956, 956, 'und', 0, 23),
('font', 0, 957, 957, 'und', 0, 28),
('font', 0, 958, 958, 'und', 0, 19),
('font', 0, 959, 959, 'und', 0, 29),
('font', 0, 960, 960, 'und', 0, 30),
('font', 0, 961, 961, 'und', 0, 32),
('font', 0, 962, 962, 'und', 0, 21),
('font', 0, 963, 963, 'und', 0, 23),
('font', 0, 964, 964, 'und', 0, 28),
('font', 0, 965, 965, 'und', 0, 19),
('font', 0, 966, 966, 'und', 0, 29),
('font', 0, 967, 967, 'und', 0, 30),
('font', 0, 968, 968, 'und', 0, 32),
('font', 0, 969, 969, 'und', 0, 21),
('font', 0, 970, 970, 'und', 0, 23),
('font', 0, 971, 971, 'und', 0, 28),
('font', 0, 972, 972, 'und', 0, 19),
('font', 0, 973, 973, 'und', 0, 29),
('font', 0, 974, 974, 'und', 0, 30),
('font', 0, 975, 975, 'und', 0, 32),
('font', 0, 976, 976, 'und', 0, 21),
('font', 0, 977, 977, 'und', 0, 23),
('font', 0, 978, 978, 'und', 0, 28),
('font', 0, 979, 979, 'und', 0, 19),
('font', 0, 980, 980, 'und', 0, 29),
('font', 0, 981, 981, 'und', 0, 30),
('font', 0, 982, 982, 'und', 0, 32),
('font', 0, 983, 983, 'und', 0, 21),
('font', 0, 984, 984, 'und', 0, 23),
('font', 0, 985, 985, 'und', 0, 28),
('font', 0, 986, 986, 'und', 0, 19),
('font', 0, 987, 987, 'und', 0, 29),
('font', 0, 988, 988, 'und', 0, 30),
('font', 0, 989, 989, 'und', 0, 32),
('font', 0, 990, 990, 'und', 0, 21),
('font', 0, 991, 991, 'und', 0, 23),
('font', 0, 992, 992, 'und', 0, 28),
('font', 0, 993, 993, 'und', 0, 19),
('font', 0, 994, 994, 'und', 0, 29),
('font', 0, 995, 995, 'und', 0, 30),
('font', 0, 996, 996, 'und', 0, 32),
('font', 0, 997, 997, 'und', 0, 21),
('font', 0, 998, 998, 'und', 0, 23),
('font', 0, 999, 999, 'und', 0, 28),
('font', 0, 1000, 1000, 'und', 0, 19),
('font', 0, 1001, 1001, 'und', 0, 29),
('font', 0, 1002, 1002, 'und', 0, 30),
('font', 0, 1003, 1003, 'und', 0, 32),
('font', 0, 1004, 1004, 'und', 0, 21),
('font', 0, 1005, 1005, 'und', 0, 23),
('font', 0, 1006, 1006, 'und', 0, 28),
('font', 0, 1007, 1007, 'und', 0, 19),
('font', 0, 1008, 1008, 'und', 0, 29),
('font', 0, 1009, 1009, 'und', 0, 30),
('font', 0, 1010, 1010, 'und', 0, 32),
('font', 0, 1011, 1011, 'und', 0, 21),
('font', 0, 1012, 1012, 'und', 0, 23),
('font', 0, 1013, 1013, 'und', 0, 28),
('font', 0, 1014, 1014, 'und', 0, 19),
('font', 0, 1015, 1015, 'und', 0, 29),
('font', 0, 1016, 1016, 'und', 0, 30),
('font', 0, 1017, 1017, 'und', 0, 32),
('font', 0, 1018, 1018, 'und', 0, 21),
('font', 0, 1019, 1019, 'und', 0, 23),
('font', 0, 1020, 1020, 'und', 0, 28),
('font', 0, 1021, 1021, 'und', 0, 19),
('font', 0, 1022, 1022, 'und', 0, 29),
('font', 0, 1023, 1023, 'und', 0, 30),
('font', 0, 1024, 1024, 'und', 0, 32),
('font', 0, 1025, 1025, 'und', 0, 21),
('font', 0, 1026, 1026, 'und', 0, 23),
('font', 0, 1027, 1027, 'und', 0, 28),
('font', 0, 1028, 1028, 'und', 0, 19),
('font', 0, 1029, 1029, 'und', 0, 29),
('font', 0, 1030, 1030, 'und', 0, 30),
('font', 0, 1031, 1031, 'und', 0, 32),
('font', 0, 1032, 1032, 'und', 0, 21),
('font', 0, 1033, 1033, 'und', 0, 23),
('font', 0, 1034, 1034, 'und', 0, 28),
('font', 0, 1035, 1035, 'und', 0, 19),
('font', 0, 1036, 1036, 'und', 0, 29),
('font', 0, 1037, 1037, 'und', 0, 30),
('font', 0, 1038, 1038, 'und', 0, 32),
('font', 0, 1039, 1039, 'und', 0, 21),
('font', 0, 1040, 1040, 'und', 0, 23),
('font', 0, 1041, 1041, 'und', 0, 28),
('font', 0, 1042, 1042, 'und', 0, 19),
('font', 0, 1043, 1043, 'und', 0, 29),
('font', 0, 1044, 1044, 'und', 0, 30),
('font', 0, 1045, 1045, 'und', 0, 32),
('font', 0, 1046, 1046, 'und', 0, 21),
('font', 0, 1047, 1047, 'und', 0, 23),
('font', 0, 1048, 1048, 'und', 0, 19),
('font', 0, 1049, 1049, 'und', 0, 21),
('font', 0, 1050, 1050, 'und', 0, 19),
('font', 0, 1051, 1051, 'und', 0, 21),
('font', 0, 1052, 1052, 'und', 0, 19),
('font', 0, 1053, 1053, 'und', 0, 21),
('font', 0, 1054, 1054, 'und', 0, 19),
('font', 0, 1055, 1055, 'und', 0, 21),
('font', 0, 1056, 1056, 'und', 0, 19),
('font', 0, 1057, 1057, 'und', 0, 24),
('font', 0, 1058, 1058, 'und', 0, 21),
('font', 0, 1059, 1059, 'und', 0, 19),
('font', 0, 1060, 1060, 'und', 0, 21),
('font', 0, 1061, 1061, 'und', 0, 19),
('font', 0, 1062, 1062, 'und', 0, 19),
('font', 0, 1063, 1063, 'und', 0, 36),
('font', 0, 1064, 1064, 'und', 0, 19),
('font', 0, 1065, 1065, 'und', 0, 19),
('font', 0, 1066, 1066, 'und', 0, 33),
('font', 0, 1067, 1067, 'und', 0, 19),
('font', 0, 1068, 1068, 'und', 0, 19),
('font', 0, 1069, 1069, 'und', 0, 35),
('font', 0, 1070, 1070, 'und', 0, 21),
('font', 0, 1071, 1071, 'und', 0, 19),
('font', 0, 1072, 1072, 'und', 0, 35),
('font', 0, 1073, 1073, 'und', 0, 21),
('font', 0, 1074, 1074, 'und', 0, 19),
('font', 0, 1075, 1075, 'und', 0, 35),
('font', 0, 1076, 1076, 'und', 0, 21),
('font', 0, 1077, 1077, 'und', 0, 19),
('font', 0, 1078, 1078, 'und', 0, 35),
('font', 0, 1079, 1079, 'und', 0, 21),
('font', 0, 1080, 1080, 'und', 0, 19),
('font', 0, 1081, 1081, 'und', 0, 35),
('font', 0, 1082, 1082, 'und', 0, 21),
('font', 0, 1083, 1083, 'und', 0, 19),
('font', 0, 1084, 1084, 'und', 0, 24),
('font', 0, 1085, 1085, 'und', 0, 21),
('font', 0, 1086, 1086, 'und', 0, 19),
('font', 0, 1087, 1087, 'und', 0, 24),
('font', 0, 1088, 1088, 'und', 0, 21),
('font', 0, 1089, 1089, 'und', 0, 19),
('font', 0, 1090, 1090, 'und', 0, 19),
('font', 0, 1091, 1091, 'und', 0, 21),
('font', 0, 1092, 1092, 'und', 0, 19),
('font', 0, 1093, 1093, 'und', 0, 21),
('font', 0, 1094, 1094, 'und', 0, 19),
('font', 0, 1095, 1095, 'und', 0, 21),
('font', 0, 1096, 1096, 'und', 0, 19),
('font', 0, 1097, 1097, 'und', 0, 21),
('font', 0, 1098, 1098, 'und', 0, 19),
('font', 0, 1099, 1099, 'und', 0, 21),
('font', 0, 1100, 1100, 'und', 0, 19),
('font', 0, 1101, 1101, 'und', 0, 21),
('font', 0, 1102, 1102, 'und', 0, 19),
('font', 0, 1103, 1103, 'und', 0, 33),
('font', 0, 1104, 1104, 'und', 0, 19),
('font', 0, 1105, 1105, 'und', 0, 33),
('font', 0, 1106, 1106, 'und', 0, 19),
('font', 0, 1107, 1107, 'und', 0, 21),
('font', 0, 1108, 1108, 'und', 0, 19),
('font', 0, 1109, 1109, 'und', 0, 21),
('font', 0, 1110, 1110, 'und', 0, 19),
('font', 0, 1111, 1111, 'und', 0, 21),
('font', 0, 1112, 1112, 'und', 0, 19),
('font', 0, 1113, 1113, 'und', 0, 21),
('font', 0, 1114, 1114, 'und', 0, 19),
('font', 0, 1115, 1115, 'und', 0, 21),
('font', 0, 1116, 1116, 'und', 0, 19),
('font', 0, 1117, 1117, 'und', 0, 21),
('font', 0, 1118, 1118, 'und', 0, 19),
('font', 0, 1119, 1119, 'und', 0, 21),
('font', 0, 1120, 1120, 'und', 0, 19),
('font', 0, 1121, 1121, 'und', 0, 21),
('font', 0, 1122, 1122, 'und', 0, 19),
('font', 0, 1123, 1123, 'und', 0, 21),
('font', 0, 1124, 1124, 'und', 0, 19),
('font', 0, 1125, 1125, 'und', 0, 21),
('font', 0, 1126, 1126, 'und', 0, 19),
('font', 0, 1127, 1127, 'und', 0, 21),
('font', 0, 1128, 1128, 'und', 0, 19),
('font', 0, 1129, 1129, 'und', 0, 21),
('font', 0, 1130, 1130, 'und', 0, 19),
('font', 0, 1131, 1131, 'und', 0, 21),
('font', 0, 1132, 1132, 'und', 0, 19),
('font', 0, 1133, 1133, 'und', 0, 21),
('font', 0, 1134, 1134, 'und', 0, 19),
('font', 0, 1135, 1135, 'und', 0, 21),
('font', 0, 1136, 1136, 'und', 0, 19),
('font', 0, 1137, 1137, 'und', 0, 21),
('font', 0, 1138, 1138, 'und', 0, 19),
('font', 0, 1139, 1139, 'und', 0, 21),
('font', 0, 1140, 1140, 'und', 0, 19),
('font', 0, 1141, 1141, 'und', 0, 21),
('font', 0, 1142, 1142, 'und', 0, 19),
('font', 0, 1143, 1143, 'und', 0, 21),
('font', 0, 1144, 1144, 'und', 0, 19),
('font', 0, 1145, 1145, 'und', 0, 36),
('font', 0, 1146, 1146, 'und', 0, 21),
('font', 0, 1147, 1147, 'und', 0, 19),
('font', 0, 1148, 1148, 'und', 0, 24),
('font', 0, 1149, 1149, 'und', 0, 21),
('font', 0, 1150, 1150, 'und', 0, 19),
('font', 0, 1151, 1151, 'und', 0, 24),
('font', 0, 1152, 1152, 'und', 0, 21),
('font', 0, 1153, 1153, 'und', 0, 19),
('font', 0, 1154, 1154, 'und', 0, 24),
('font', 0, 1155, 1155, 'und', 0, 21),
('font', 0, 1156, 1156, 'und', 0, 19),
('font', 0, 1157, 1157, 'und', 0, 24),
('font', 0, 1158, 1158, 'und', 0, 21),
('font', 0, 1159, 1159, 'und', 0, 19),
('font', 0, 1160, 1160, 'und', 0, 24),
('font', 0, 1161, 1161, 'und', 0, 21),
('font', 0, 1162, 1162, 'und', 0, 19),
('font', 0, 1163, 1163, 'und', 0, 21),
('font', 0, 1164, 1164, 'und', 0, 19),
('font', 0, 1165, 1165, 'und', 0, 21),
('font', 0, 1166, 1166, 'und', 0, 19),
('font', 0, 1167, 1167, 'und', 0, 21),
('font', 0, 1168, 1168, 'und', 0, 19),
('font', 0, 1169, 1169, 'und', 0, 21),
('font', 0, 1170, 1170, 'und', 0, 19),
('font', 0, 1171, 1171, 'und', 0, 21),
('font', 0, 1172, 1172, 'und', 0, 19),
('font', 0, 1173, 1173, 'und', 0, 19),
('font', 0, 1174, 1174, 'und', 0, 19),
('font', 0, 1175, 1175, 'und', 0, 19),
('font', 0, 1176, 1176, 'und', 0, 19),
('font', 0, 1177, 1177, 'und', 0, 21),
('font', 0, 1178, 1178, 'und', 0, 19),
('font', 0, 1179, 1179, 'und', 0, 21),
('font', 0, 1180, 1180, 'und', 0, 19),
('font', 0, 1181, 1181, 'und', 0, 21),
('font', 0, 1182, 1182, 'und', 0, 19),
('font', 0, 1183, 1183, 'und', 0, 21),
('font', 0, 1184, 1184, 'und', 0, 19),
('font', 0, 1185, 1185, 'und', 0, 21),
('font', 0, 1186, 1186, 'und', 0, 19),
('font', 0, 1187, 1187, 'und', 0, 21),
('font', 0, 1188, 1188, 'und', 0, 19),
('font', 0, 1189, 1189, 'und', 0, 19),
('font', 0, 1190, 1190, 'und', 0, 19),
('font', 0, 1191, 1191, 'und', 0, 19),
('font', 0, 1192, 1192, 'und', 0, 19),
('font', 0, 1193, 1193, 'und', 0, 21),
('font', 0, 1194, 1194, 'und', 0, 19),
('font', 0, 1195, 1195, 'und', 0, 21),
('font', 0, 1196, 1196, 'und', 0, 19),
('font', 0, 1197, 1197, 'und', 0, 19),
('font', 0, 1198, 1198, 'und', 0, 19),
('font', 0, 1199, 1199, 'und', 0, 19),
('font', 0, 1200, 1200, 'und', 0, 19),
('font', 0, 1201, 1201, 'und', 0, 21),
('font', 0, 1202, 1202, 'und', 0, 19),
('font', 0, 1203, 1203, 'und', 0, 21),
('font', 0, 1204, 1204, 'und', 0, 19),
('font', 0, 1205, 1205, 'und', 0, 21),
('font', 0, 1206, 1206, 'und', 0, 19),
('font', 0, 1207, 1207, 'und', 0, 21),
('font', 0, 1208, 1208, 'und', 0, 19),
('font', 0, 1209, 1209, 'und', 0, 21),
('font', 0, 1210, 1210, 'und', 0, 19),
('font', 0, 1211, 1211, 'und', 0, 21),
('font', 0, 1212, 1212, 'und', 0, 19),
('font', 0, 1213, 1213, 'und', 0, 21),
('font', 0, 1214, 1214, 'und', 0, 19),
('font', 0, 1215, 1215, 'und', 0, 21),
('font', 0, 1216, 1216, 'und', 0, 19),
('font', 0, 1217, 1217, 'und', 0, 21),
('font', 0, 1218, 1218, 'und', 0, 19),
('font', 0, 1219, 1219, 'und', 0, 21),
('font', 0, 1220, 1220, 'und', 0, 19),
('font', 0, 1221, 1221, 'und', 0, 21),
('font', 0, 1222, 1222, 'und', 0, 23),
('font', 0, 1223, 1223, 'und', 0, 31),
('font', 0, 1224, 1224, 'und', 0, 19),
('font', 0, 1225, 1225, 'und', 0, 32),
('font', 0, 1226, 1226, 'und', 0, 21),
('font', 0, 1227, 1227, 'und', 0, 31),
('font', 0, 1228, 1228, 'und', 0, 19),
('font', 0, 1229, 1229, 'und', 0, 32),
('font', 0, 1230, 1230, 'und', 0, 21),
('font', 0, 1231, 1231, 'und', 0, 31),
('font', 0, 1232, 1232, 'und', 0, 19),
('font', 0, 1233, 1233, 'und', 0, 32),
('font', 0, 1234, 1234, 'und', 0, 21),
('font', 0, 1235, 1235, 'und', 0, 31),
('font', 0, 1236, 1236, 'und', 0, 19),
('font', 0, 1237, 1237, 'und', 0, 32),
('font', 0, 1238, 1238, 'und', 0, 21),
('font', 0, 1239, 1239, 'und', 0, 31),
('font', 0, 1240, 1240, 'und', 0, 19),
('font', 0, 1241, 1241, 'und', 0, 32),
('font', 0, 1242, 1242, 'und', 0, 21),
('font', 0, 1243, 1243, 'und', 0, 31),
('font', 0, 1244, 1244, 'und', 0, 19),
('font', 0, 1245, 1245, 'und', 0, 32),
('font', 0, 1246, 1246, 'und', 0, 21),
('font', 0, 1247, 1247, 'und', 0, 31),
('font', 0, 1248, 1248, 'und', 0, 19),
('font', 0, 1249, 1249, 'und', 0, 32),
('font', 0, 1250, 1250, 'und', 0, 21),
('font', 0, 1251, 1251, 'und', 0, 31),
('font', 0, 1252, 1252, 'und', 0, 19),
('font', 0, 1253, 1253, 'und', 0, 32),
('font', 0, 1254, 1254, 'und', 0, 21),
('font', 0, 1255, 1255, 'und', 0, 31),
('font', 0, 1256, 1256, 'und', 0, 19),
('font', 0, 1257, 1257, 'und', 0, 32),
('font', 0, 1258, 1258, 'und', 0, 21),
('font', 0, 1259, 1259, 'und', 0, 31),
('font', 0, 1260, 1260, 'und', 0, 19),
('font', 0, 1261, 1261, 'und', 0, 32),
('font', 0, 1262, 1262, 'und', 0, 21),
('font', 0, 1263, 1263, 'und', 0, 31),
('font', 0, 1264, 1264, 'und', 0, 19),
('font', 0, 1265, 1265, 'und', 0, 32),
('font', 0, 1266, 1266, 'und', 0, 21),
('font', 0, 1267, 1267, 'und', 0, 31),
('font', 0, 1268, 1268, 'und', 0, 19),
('font', 0, 1269, 1269, 'und', 0, 32),
('font', 0, 1270, 1270, 'und', 0, 21),
('font', 0, 1271, 1271, 'und', 0, 31),
('font', 0, 1272, 1272, 'und', 0, 19),
('font', 0, 1273, 1273, 'und', 0, 32),
('font', 0, 1274, 1274, 'und', 0, 21),
('font', 0, 1275, 1275, 'und', 0, 31),
('font', 0, 1276, 1276, 'und', 0, 19),
('font', 0, 1277, 1277, 'und', 0, 32),
('font', 0, 1278, 1278, 'und', 0, 21),
('font', 0, 1279, 1279, 'und', 0, 31),
('font', 0, 1280, 1280, 'und', 0, 19),
('font', 0, 1281, 1281, 'und', 0, 32),
('font', 0, 1282, 1282, 'und', 0, 21),
('font', 0, 1283, 1283, 'und', 0, 31),
('font', 0, 1284, 1284, 'und', 0, 19),
('font', 0, 1285, 1285, 'und', 0, 32),
('font', 0, 1286, 1286, 'und', 0, 21),
('font', 0, 1287, 1287, 'und', 0, 31),
('font', 0, 1288, 1288, 'und', 0, 19),
('font', 0, 1289, 1289, 'und', 0, 32),
('font', 0, 1290, 1290, 'und', 0, 21),
('font', 0, 1291, 1291, 'und', 0, 31),
('font', 0, 1292, 1292, 'und', 0, 19),
('font', 0, 1293, 1293, 'und', 0, 32),
('font', 0, 1294, 1294, 'und', 0, 21),
('font', 0, 1295, 1295, 'und', 0, 19),
('font', 0, 1296, 1296, 'und', 0, 19),
('font', 0, 1297, 1297, 'und', 0, 21),
('font', 0, 1298, 1298, 'und', 0, 31),
('font', 0, 1299, 1299, 'und', 0, 19),
('font', 0, 1300, 1300, 'und', 0, 32),
('font', 0, 1301, 1301, 'und', 0, 21),
('font', 0, 1302, 1302, 'und', 0, 31),
('font', 0, 1303, 1303, 'und', 0, 19),
('font', 0, 1304, 1304, 'und', 0, 32),
('font', 0, 1305, 1305, 'und', 0, 21),
('font', 0, 1306, 1306, 'und', 0, 31),
('font', 0, 1307, 1307, 'und', 0, 19),
('font', 0, 1308, 1308, 'und', 0, 32),
('font', 0, 1309, 1309, 'und', 0, 21),
('font', 0, 1310, 1310, 'und', 0, 31),
('font', 0, 1311, 1311, 'und', 0, 19),
('font', 0, 1312, 1312, 'und', 0, 32),
('font', 0, 1313, 1313, 'und', 0, 21),
('font', 0, 1314, 1314, 'und', 0, 31),
('font', 0, 1315, 1315, 'und', 0, 19),
('font', 0, 1316, 1316, 'und', 0, 32),
('font', 0, 1317, 1317, 'und', 0, 21),
('font', 0, 1318, 1318, 'und', 0, 31),
('font', 0, 1319, 1319, 'und', 0, 19),
('font', 0, 1320, 1320, 'und', 0, 32),
('font', 0, 1321, 1321, 'und', 0, 21),
('font', 0, 1322, 1322, 'und', 0, 19),
('font', 0, 1323, 1323, 'und', 0, 30),
('font', 0, 1324, 1324, 'und', 0, 21),
('font', 0, 1325, 1325, 'und', 0, 23),
('font', 0, 1326, 1326, 'und', 0, 34),
('font', 0, 1327, 1327, 'und', 0, 19),
('font', 0, 1328, 1328, 'und', 0, 19),
('font', 0, 1329, 1329, 'und', 0, 24),
('font', 0, 1330, 1330, 'und', 0, 21),
('font', 0, 1331, 1331, 'und', 0, 19),
('font', 0, 1332, 1332, 'und', 0, 24),
('font', 0, 1333, 1333, 'und', 0, 21),
('font', 0, 1334, 1334, 'und', 0, 19),
('font', 0, 1335, 1335, 'und', 0, 19),
('font', 0, 1336, 1336, 'und', 0, 19),
('font', 0, 1337, 1337, 'und', 0, 24),
('font', 0, 1338, 1338, 'und', 0, 21),
('font', 0, 1339, 1339, 'und', 0, 19),
('font', 0, 1340, 1340, 'und', 0, 24),
('font', 0, 1341, 1341, 'und', 0, 21),
('font', 0, 1342, 1342, 'und', 0, 19),
('font', 0, 1343, 1343, 'und', 0, 24),
('font', 0, 1344, 1344, 'und', 0, 21),
('font', 0, 1345, 1345, 'und', 0, 19),
('font', 0, 1346, 1346, 'und', 0, 24),
('font', 0, 1347, 1347, 'und', 0, 21),
('font', 0, 1348, 1348, 'und', 0, 19),
('font', 0, 1349, 1349, 'und', 0, 24),
('font', 0, 1350, 1350, 'und', 0, 21),
('font', 0, 1351, 1351, 'und', 0, 19),
('font', 0, 1352, 1352, 'und', 0, 21),
('font', 0, 1353, 1353, 'und', 0, 19),
('font', 0, 1354, 1354, 'und', 0, 19),
('font', 0, 1355, 1355, 'und', 0, 19),
('font', 0, 1356, 1356, 'und', 0, 19),
('font', 0, 1357, 1357, 'und', 0, 19),
('font', 0, 1358, 1358, 'und', 0, 21),
('font', 0, 1359, 1359, 'und', 0, 23),
('font', 0, 1360, 1360, 'und', 0, 19),
('font', 0, 1361, 1361, 'und', 0, 19),
('font', 0, 1362, 1362, 'und', 0, 19),
('font', 0, 1363, 1363, 'und', 0, 21),
('font', 0, 1364, 1364, 'und', 0, 23),
('font', 0, 1365, 1365, 'und', 0, 19),
('font', 0, 1366, 1366, 'und', 0, 21),
('font', 0, 1367, 1367, 'und', 0, 23),
('font', 0, 1368, 1368, 'und', 0, 19),
('font', 0, 1369, 1369, 'und', 0, 21),
('font', 0, 1370, 1370, 'und', 0, 23),
('font', 0, 1371, 1371, 'und', 0, 19),
('font', 0, 1372, 1372, 'und', 0, 21),
('font', 0, 1373, 1373, 'und', 0, 23),
('font', 0, 1374, 1374, 'und', 0, 19),
('font', 0, 1375, 1375, 'und', 0, 21),
('font', 0, 1376, 1376, 'und', 0, 23),
('font', 0, 1377, 1377, 'und', 0, 19),
('font', 0, 1378, 1378, 'und', 0, 21),
('font', 0, 1379, 1379, 'und', 0, 23),
('font', 0, 1380, 1380, 'und', 0, 19),
('font', 0, 1381, 1381, 'und', 0, 21),
('font', 0, 1382, 1382, 'und', 0, 23),
('font', 0, 1383, 1383, 'und', 0, 19),
('font', 0, 1384, 1384, 'und', 0, 21),
('font', 0, 1385, 1385, 'und', 0, 23),
('font', 0, 1386, 1386, 'und', 0, 19),
('font', 0, 1387, 1387, 'und', 0, 21),
('font', 0, 1388, 1388, 'und', 0, 23),
('font', 0, 1389, 1389, 'und', 0, 19),
('font', 0, 1390, 1390, 'und', 0, 21),
('font', 0, 1391, 1391, 'und', 0, 23),
('font', 0, 1392, 1392, 'und', 0, 19),
('font', 0, 1393, 1393, 'und', 0, 21),
('font', 0, 1394, 1394, 'und', 0, 23),
('font', 0, 1395, 1395, 'und', 0, 19),
('font', 0, 1396, 1396, 'und', 0, 21),
('font', 0, 1397, 1397, 'und', 0, 23),
('font', 0, 1398, 1398, 'und', 0, 19),
('font', 0, 1399, 1399, 'und', 0, 21),
('font', 0, 1400, 1400, 'und', 0, 28),
('font', 0, 1401, 1401, 'und', 0, 19),
('font', 0, 1402, 1402, 'und', 0, 30),
('font', 0, 1403, 1403, 'und', 0, 21),
('font', 0, 1404, 1404, 'und', 0, 23),
('font', 0, 1405, 1405, 'und', 0, 28),
('font', 0, 1406, 1406, 'und', 0, 19),
('font', 0, 1407, 1407, 'und', 0, 30),
('font', 0, 1408, 1408, 'und', 0, 21),
('font', 0, 1409, 1409, 'und', 0, 23),
('font', 0, 1410, 1410, 'und', 0, 19),
('font', 0, 1411, 1411, 'und', 0, 21),
('font', 0, 1412, 1412, 'und', 0, 19),
('font', 0, 1413, 1413, 'und', 0, 21),
('font', 0, 1414, 1414, 'und', 0, 19),
('font', 0, 1415, 1415, 'und', 0, 19),
('font', 0, 1416, 1416, 'und', 0, 21),
('font', 0, 1417, 1417, 'und', 0, 19),
('font', 0, 1418, 1418, 'und', 0, 23),
('font', 0, 1419, 1419, 'und', 0, 19),
('font', 0, 1420, 1420, 'und', 0, 23),
('font', 0, 1421, 1421, 'und', 0, 19),
('font', 0, 1422, 1422, 'und', 0, 23),
('font', 0, 1423, 1423, 'und', 0, 19),
('font', 0, 1424, 1424, 'und', 0, 23),
('font', 0, 1425, 1425, 'und', 0, 19),
('font', 0, 1426, 1426, 'und', 0, 19),
('font', 0, 1427, 1427, 'und', 0, 21),
('font', 0, 1428, 1428, 'und', 0, 19),
('font', 0, 1429, 1429, 'und', 0, 19),
('font', 0, 1430, 1430, 'und', 0, 21),
('font', 0, 1431, 1431, 'und', 0, 19),
('font', 0, 1432, 1432, 'und', 0, 33),
('font', 0, 1433, 1433, 'und', 0, 19),
('font', 0, 1434, 1434, 'und', 0, 19),
('font', 0, 1435, 1435, 'und', 0, 37),
('font', 0, 1436, 1436, 'und', 0, 21),
('font', 0, 1437, 1437, 'und', 0, 19),
('font', 0, 1438, 1438, 'und', 0, 31),
('font', 0, 1439, 1439, 'und', 0, 19),
('font', 0, 1440, 1440, 'und', 0, 32),
('font', 0, 1441, 1441, 'und', 0, 21),
('font', 0, 1442, 1442, 'und', 0, 23),
('font', 0, 1443, 1443, 'und', 0, 19),
('font', 0, 1444, 1444, 'und', 0, 32),
('font', 0, 1445, 1445, 'und', 0, 21),
('font', 0, 1446, 1446, 'und', 0, 19),
('font', 0, 1447, 1447, 'und', 0, 32),
('font', 0, 1448, 1448, 'und', 0, 21),
('font', 0, 1449, 1449, 'und', 0, 19),
('font', 0, 1450, 1450, 'und', 0, 21),
('font', 0, 1451, 1451, 'und', 0, 19),
('font', 0, 1452, 1452, 'und', 0, 21),
('font', 0, 1453, 1453, 'und', 0, 19),
('font', 0, 1454, 1454, 'und', 0, 21),
('font', 0, 1455, 1455, 'und', 0, 19),
('font', 0, 1456, 1456, 'und', 0, 21),
('font', 0, 1457, 1457, 'und', 0, 19),
('font', 0, 1458, 1458, 'und', 0, 21),
('font', 0, 1459, 1459, 'und', 0, 19),
('font', 0, 1460, 1460, 'und', 0, 21),
('font', 0, 1461, 1461, 'und', 0, 19),
('font', 0, 1462, 1462, 'und', 0, 19),
('font', 0, 1463, 1463, 'und', 0, 24),
('font', 0, 1464, 1464, 'und', 0, 21),
('font', 0, 1465, 1465, 'und', 0, 19),
('font', 0, 1466, 1466, 'und', 0, 24),
('font', 0, 1467, 1467, 'und', 0, 21),
('font', 0, 1468, 1468, 'und', 0, 19),
('font', 0, 1469, 1469, 'und', 0, 24),
('font', 0, 1470, 1470, 'und', 0, 21),
('font', 0, 1471, 1471, 'und', 0, 19),
('font', 0, 1472, 1472, 'und', 0, 24),
('font', 0, 1473, 1473, 'und', 0, 21),
('font', 0, 1474, 1474, 'und', 0, 19),
('font', 0, 1475, 1475, 'und', 0, 24),
('font', 0, 1476, 1476, 'und', 0, 21),
('font', 0, 1477, 1477, 'und', 0, 19),
('font', 0, 1478, 1478, 'und', 0, 24),
('font', 0, 1479, 1479, 'und', 0, 21),
('font', 0, 1480, 1480, 'und', 0, 19),
('font', 0, 1481, 1481, 'und', 0, 24),
('font', 0, 1482, 1482, 'und', 0, 21),
('font', 0, 1483, 1483, 'und', 0, 19),
('font', 0, 1484, 1484, 'und', 0, 24),
('font', 0, 1485, 1485, 'und', 0, 21),
('font', 0, 1486, 1486, 'und', 0, 19),
('font', 0, 1487, 1487, 'und', 0, 24),
('font', 0, 1488, 1488, 'und', 0, 21),
('font', 0, 1489, 1489, 'und', 0, 19),
('font', 0, 1490, 1490, 'und', 0, 24),
('font', 0, 1491, 1491, 'und', 0, 21),
('font', 0, 1492, 1492, 'und', 0, 19),
('font', 0, 1493, 1493, 'und', 0, 24),
('font', 0, 1494, 1494, 'und', 0, 21),
('font', 0, 1495, 1495, 'und', 0, 19),
('font', 0, 1496, 1496, 'und', 0, 28),
('font', 0, 1497, 1497, 'und', 0, 19),
('font', 0, 1498, 1498, 'und', 0, 21),
('font', 0, 1499, 1499, 'und', 0, 23),
('font', 0, 1500, 1500, 'und', 0, 28),
('font', 0, 1501, 1501, 'und', 0, 19),
('font', 0, 1502, 1502, 'und', 0, 21),
('font', 0, 1503, 1503, 'und', 0, 23),
('font', 0, 1504, 1504, 'und', 0, 28),
('font', 0, 1505, 1505, 'und', 0, 19),
('font', 0, 1506, 1506, 'und', 0, 21),
('font', 0, 1507, 1507, 'und', 0, 23),
('font', 0, 1508, 1508, 'und', 0, 28),
('font', 0, 1509, 1509, 'und', 0, 19),
('font', 0, 1510, 1510, 'und', 0, 21),
('font', 0, 1511, 1511, 'und', 0, 23),
('font', 0, 1512, 1512, 'und', 0, 28),
('font', 0, 1513, 1513, 'und', 0, 19),
('font', 0, 1514, 1514, 'und', 0, 21),
('font', 0, 1515, 1515, 'und', 0, 23),
('font', 0, 1516, 1516, 'und', 0, 28),
('font', 0, 1517, 1517, 'und', 0, 19),
('font', 0, 1518, 1518, 'und', 0, 21),
('font', 0, 1519, 1519, 'und', 0, 23),
('font', 0, 1520, 1520, 'und', 0, 28),
('font', 0, 1521, 1521, 'und', 0, 19),
('font', 0, 1522, 1522, 'und', 0, 21),
('font', 0, 1523, 1523, 'und', 0, 23),
('font', 0, 1524, 1524, 'und', 0, 28),
('font', 0, 1525, 1525, 'und', 0, 19),
('font', 0, 1526, 1526, 'und', 0, 21),
('font', 0, 1527, 1527, 'und', 0, 23),
('font', 0, 1528, 1528, 'und', 0, 28),
('font', 0, 1529, 1529, 'und', 0, 19),
('font', 0, 1530, 1530, 'und', 0, 21),
('font', 0, 1531, 1531, 'und', 0, 23),
('font', 0, 1532, 1532, 'und', 0, 28),
('font', 0, 1533, 1533, 'und', 0, 19),
('font', 0, 1534, 1534, 'und', 0, 21),
('font', 0, 1535, 1535, 'und', 0, 23),
('font', 0, 1536, 1536, 'und', 0, 28),
('font', 0, 1537, 1537, 'und', 0, 19),
('font', 0, 1538, 1538, 'und', 0, 21),
('font', 0, 1539, 1539, 'und', 0, 23),
('font', 0, 1540, 1540, 'und', 0, 28),
('font', 0, 1541, 1541, 'und', 0, 19),
('font', 0, 1542, 1542, 'und', 0, 21),
('font', 0, 1543, 1543, 'und', 0, 23),
('font', 0, 1544, 1544, 'und', 0, 28),
('font', 0, 1545, 1545, 'und', 0, 19),
('font', 0, 1546, 1546, 'und', 0, 21),
('font', 0, 1547, 1547, 'und', 0, 23),
('font', 0, 1548, 1548, 'und', 0, 28),
('font', 0, 1549, 1549, 'und', 0, 19),
('font', 0, 1550, 1550, 'und', 0, 21),
('font', 0, 1551, 1551, 'und', 0, 23),
('font', 0, 1552, 1552, 'und', 0, 28),
('font', 0, 1553, 1553, 'und', 0, 19),
('font', 0, 1554, 1554, 'und', 0, 21),
('font', 0, 1555, 1555, 'und', 0, 23),
('font', 0, 1556, 1556, 'und', 0, 19),
('font', 0, 1557, 1557, 'und', 0, 21),
('font', 0, 1558, 1558, 'und', 0, 19),
('font', 0, 1559, 1559, 'und', 0, 21),
('font', 0, 1560, 1560, 'und', 0, 19),
('font', 0, 1561, 1561, 'und', 0, 21),
('font', 0, 1562, 1562, 'und', 0, 19),
('font', 0, 1563, 1563, 'und', 0, 21),
('font', 0, 1564, 1564, 'und', 0, 19),
('font', 0, 1565, 1565, 'und', 0, 19),
('font', 0, 1566, 1566, 'und', 0, 21),
('font', 0, 1567, 1567, 'und', 0, 19),
('font', 0, 1568, 1568, 'und', 0, 21),
('font', 0, 1569, 1569, 'und', 0, 19),
('font', 0, 1570, 1570, 'und', 0, 21),
('font', 0, 1571, 1571, 'und', 0, 19),
('font', 0, 1572, 1572, 'und', 0, 21),
('font', 0, 1573, 1573, 'und', 0, 19),
('font', 0, 1574, 1574, 'und', 0, 21),
('font', 0, 1575, 1575, 'und', 0, 19),
('font', 0, 1576, 1576, 'und', 0, 21),
('font', 0, 1577, 1577, 'und', 0, 19),
('font', 0, 1578, 1578, 'und', 0, 21),
('font', 0, 1579, 1579, 'und', 0, 19),
('font', 0, 1580, 1580, 'und', 0, 19),
('font', 0, 1581, 1581, 'und', 0, 21),
('font', 0, 1582, 1582, 'und', 0, 19),
('font', 0, 1583, 1583, 'und', 0, 21),
('font', 0, 1584, 1584, 'und', 0, 19),
('font', 0, 1585, 1585, 'und', 0, 21),
('font', 0, 1586, 1586, 'und', 0, 19),
('font', 0, 1587, 1587, 'und', 0, 19),
('font', 0, 1588, 1588, 'und', 0, 21),
('font', 0, 1589, 1589, 'und', 0, 19),
('font', 0, 1590, 1590, 'und', 0, 21),
('font', 0, 1591, 1591, 'und', 0, 19),
('font', 0, 1592, 1592, 'und', 0, 21),
('font', 0, 1593, 1593, 'und', 0, 19),
('font', 0, 1594, 1594, 'und', 0, 19),
('font', 0, 1595, 1595, 'und', 0, 19),
('font', 0, 1596, 1596, 'und', 0, 19),
('font', 0, 1597, 1597, 'und', 0, 28),
('font', 0, 1598, 1598, 'und', 0, 19),
('font', 0, 1599, 1599, 'und', 0, 21),
('font', 0, 1600, 1600, 'und', 0, 23),
('font', 0, 1601, 1601, 'und', 0, 28),
('font', 0, 1602, 1602, 'und', 0, 19),
('font', 0, 1603, 1603, 'und', 0, 29),
('font', 0, 1604, 1604, 'und', 0, 30),
('font', 0, 1605, 1605, 'und', 0, 32),
('font', 0, 1606, 1606, 'und', 0, 21),
('font', 0, 1607, 1607, 'und', 0, 23),
('font', 0, 1608, 1608, 'und', 0, 28),
('font', 0, 1609, 1609, 'und', 0, 19),
('font', 0, 1610, 1610, 'und', 0, 29),
('font', 0, 1611, 1611, 'und', 0, 30),
('font', 0, 1612, 1612, 'und', 0, 32),
('font', 0, 1613, 1613, 'und', 0, 21),
('font', 0, 1614, 1614, 'und', 0, 23),
('font', 0, 1615, 1615, 'und', 0, 28),
('font', 0, 1616, 1616, 'und', 0, 19),
('font', 0, 1617, 1617, 'und', 0, 29),
('font', 0, 1618, 1618, 'und', 0, 30),
('font', 0, 1619, 1619, 'und', 0, 32),
('font', 0, 1620, 1620, 'und', 0, 21),
('font', 0, 1621, 1621, 'und', 0, 23),
('font', 0, 1622, 1622, 'und', 0, 28),
('font', 0, 1623, 1623, 'und', 0, 19),
('font', 0, 1624, 1624, 'und', 0, 29),
('font', 0, 1625, 1625, 'und', 0, 30),
('font', 0, 1626, 1626, 'und', 0, 32),
('font', 0, 1627, 1627, 'und', 0, 21),
('font', 0, 1628, 1628, 'und', 0, 23),
('font', 0, 1629, 1629, 'und', 0, 28),
('font', 0, 1630, 1630, 'und', 0, 19),
('font', 0, 1631, 1631, 'und', 0, 29),
('font', 0, 1632, 1632, 'und', 0, 30),
('font', 0, 1633, 1633, 'und', 0, 32),
('font', 0, 1634, 1634, 'und', 0, 21),
('font', 0, 1635, 1635, 'und', 0, 23),
('font', 0, 1636, 1636, 'und', 0, 28),
('font', 0, 1637, 1637, 'und', 0, 19),
('font', 0, 1638, 1638, 'und', 0, 29),
('font', 0, 1639, 1639, 'und', 0, 30),
('font', 0, 1640, 1640, 'und', 0, 32),
('font', 0, 1641, 1641, 'und', 0, 21),
('font', 0, 1642, 1642, 'und', 0, 23),
('font', 0, 1643, 1643, 'und', 0, 28),
('font', 0, 1644, 1644, 'und', 0, 19),
('font', 0, 1645, 1645, 'und', 0, 29),
('font', 0, 1646, 1646, 'und', 0, 30),
('font', 0, 1647, 1647, 'und', 0, 32),
('font', 0, 1648, 1648, 'und', 0, 21),
('font', 0, 1649, 1649, 'und', 0, 23),
('font', 0, 1650, 1650, 'und', 0, 28),
('font', 0, 1651, 1651, 'und', 0, 19),
('font', 0, 1652, 1652, 'und', 0, 29),
('font', 0, 1653, 1653, 'und', 0, 30),
('font', 0, 1654, 1654, 'und', 0, 32),
('font', 0, 1655, 1655, 'und', 0, 21),
('font', 0, 1656, 1656, 'und', 0, 23),
('font', 0, 1657, 1657, 'und', 0, 28),
('font', 0, 1658, 1658, 'und', 0, 19),
('font', 0, 1659, 1659, 'und', 0, 29),
('font', 0, 1660, 1660, 'und', 0, 30),
('font', 0, 1661, 1661, 'und', 0, 32),
('font', 0, 1662, 1662, 'und', 0, 21),
('font', 0, 1663, 1663, 'und', 0, 23),
('font', 0, 1664, 1664, 'und', 0, 28),
('font', 0, 1665, 1665, 'und', 0, 19),
('font', 0, 1666, 1666, 'und', 0, 29),
('font', 0, 1667, 1667, 'und', 0, 30),
('font', 0, 1668, 1668, 'und', 0, 32),
('font', 0, 1669, 1669, 'und', 0, 21),
('font', 0, 1670, 1670, 'und', 0, 23),
('font', 0, 1671, 1671, 'und', 0, 28),
('font', 0, 1672, 1672, 'und', 0, 19),
('font', 0, 1673, 1673, 'und', 0, 29),
('font', 0, 1674, 1674, 'und', 0, 30),
('font', 0, 1675, 1675, 'und', 0, 32),
('font', 0, 1676, 1676, 'und', 0, 21),
('font', 0, 1677, 1677, 'und', 0, 23),
('font', 0, 1678, 1678, 'und', 0, 28),
('font', 0, 1679, 1679, 'und', 0, 19),
('font', 0, 1680, 1680, 'und', 0, 29),
('font', 0, 1681, 1681, 'und', 0, 30),
('font', 0, 1682, 1682, 'und', 0, 32),
('font', 0, 1683, 1683, 'und', 0, 21),
('font', 0, 1684, 1684, 'und', 0, 23),
('font', 0, 1685, 1685, 'und', 0, 28),
('font', 0, 1686, 1686, 'und', 0, 19),
('font', 0, 1687, 1687, 'und', 0, 29),
('font', 0, 1688, 1688, 'und', 0, 30),
('font', 0, 1689, 1689, 'und', 0, 32),
('font', 0, 1690, 1690, 'und', 0, 21),
('font', 0, 1691, 1691, 'und', 0, 23),
('font', 0, 1692, 1692, 'und', 0, 19),
('font', 0, 1693, 1693, 'und', 0, 21),
('font', 0, 1694, 1694, 'und', 0, 19),
('font', 0, 1695, 1695, 'und', 0, 21),
('font', 0, 1696, 1696, 'und', 0, 19),
('font', 0, 1697, 1697, 'und', 0, 21),
('font', 0, 1698, 1698, 'und', 0, 19),
('font', 0, 1699, 1699, 'und', 0, 21),
('font', 0, 1700, 1700, 'und', 0, 19),
('font', 0, 1701, 1701, 'und', 0, 21),
('font', 0, 1702, 1702, 'und', 0, 19),
('font', 0, 1703, 1703, 'und', 0, 19),
('font', 0, 1704, 1704, 'und', 0, 19),
('font', 0, 1705, 1705, 'und', 0, 19),
('font', 0, 1706, 1706, 'und', 0, 34),
('font', 0, 1707, 1707, 'und', 0, 19),
('font', 0, 1708, 1708, 'und', 0, 19),
('font', 0, 1709, 1709, 'und', 0, 19),
('font', 0, 1710, 1710, 'und', 0, 19),
('font', 0, 1711, 1711, 'und', 0, 19),
('font', 0, 1712, 1712, 'und', 0, 19),
('font', 0, 1713, 1713, 'und', 0, 19),
('font', 0, 1714, 1714, 'und', 0, 19),
('font', 0, 1715, 1715, 'und', 0, 19),
('font', 0, 1716, 1716, 'und', 0, 19),
('font', 0, 1717, 1717, 'und', 0, 30),
('font', 0, 1718, 1718, 'und', 0, 19),
('font', 0, 1719, 1719, 'und', 0, 19),
('font', 0, 1720, 1720, 'und', 0, 28),
('font', 0, 1721, 1721, 'und', 0, 19),
('font', 0, 1722, 1722, 'und', 0, 29),
('font', 0, 1723, 1723, 'und', 0, 30),
('font', 0, 1724, 1724, 'und', 0, 32),
('font', 0, 1725, 1725, 'und', 0, 21),
('font', 0, 1726, 1726, 'und', 0, 23),
('font', 0, 1727, 1727, 'und', 0, 28),
('font', 0, 1728, 1728, 'und', 0, 19),
('font', 0, 1729, 1729, 'und', 0, 29),
('font', 0, 1730, 1730, 'und', 0, 30),
('font', 0, 1731, 1731, 'und', 0, 32),
('font', 0, 1732, 1732, 'und', 0, 21),
('font', 0, 1733, 1733, 'und', 0, 23),
('font', 0, 1734, 1734, 'und', 0, 28),
('font', 0, 1735, 1735, 'und', 0, 19),
('font', 0, 1736, 1736, 'und', 0, 29),
('font', 0, 1737, 1737, 'und', 0, 30),
('font', 0, 1738, 1738, 'und', 0, 32),
('font', 0, 1739, 1739, 'und', 0, 21),
('font', 0, 1740, 1740, 'und', 0, 23),
('font', 0, 1741, 1741, 'und', 0, 28),
('font', 0, 1742, 1742, 'und', 0, 19),
('font', 0, 1743, 1743, 'und', 0, 29),
('font', 0, 1744, 1744, 'und', 0, 30),
('font', 0, 1745, 1745, 'und', 0, 32),
('font', 0, 1746, 1746, 'und', 0, 21),
('font', 0, 1747, 1747, 'und', 0, 23),
('font', 0, 1748, 1748, 'und', 0, 28),
('font', 0, 1749, 1749, 'und', 0, 19),
('font', 0, 1750, 1750, 'und', 0, 29),
('font', 0, 1751, 1751, 'und', 0, 30),
('font', 0, 1752, 1752, 'und', 0, 24),
('font', 0, 1753, 1753, 'und', 0, 32),
('font', 0, 1754, 1754, 'und', 0, 21),
('font', 0, 1755, 1755, 'und', 0, 23),
('font', 0, 1756, 1756, 'und', 0, 28),
('font', 0, 1757, 1757, 'und', 0, 19),
('font', 0, 1758, 1758, 'und', 0, 29),
('font', 0, 1759, 1759, 'und', 0, 30),
('font', 0, 1760, 1760, 'und', 0, 24),
('font', 0, 1761, 1761, 'und', 0, 32),
('font', 0, 1762, 1762, 'und', 0, 21),
('font', 0, 1763, 1763, 'und', 0, 23),
('font', 0, 1764, 1764, 'und', 0, 28),
('font', 0, 1765, 1765, 'und', 0, 19),
('font', 0, 1766, 1766, 'und', 0, 29),
('font', 0, 1767, 1767, 'und', 0, 30),
('font', 0, 1768, 1768, 'und', 0, 24),
('font', 0, 1769, 1769, 'und', 0, 32),
('font', 0, 1770, 1770, 'und', 0, 21),
('font', 0, 1771, 1771, 'und', 0, 23),
('font', 0, 1772, 1772, 'und', 0, 28),
('font', 0, 1773, 1773, 'und', 0, 19),
('font', 0, 1774, 1774, 'und', 0, 29),
('font', 0, 1775, 1775, 'und', 0, 30),
('font', 0, 1776, 1776, 'und', 0, 24),
('font', 0, 1777, 1777, 'und', 0, 32),
('font', 0, 1778, 1778, 'und', 0, 21),
('font', 0, 1779, 1779, 'und', 0, 23),
('font', 0, 1780, 1780, 'und', 0, 19),
('font', 0, 1781, 1781, 'und', 0, 32),
('font', 0, 1782, 1782, 'und', 0, 21),
('font', 0, 1783, 1783, 'und', 0, 19),
('font', 0, 1784, 1784, 'und', 0, 32),
('font', 0, 1785, 1785, 'und', 0, 21),
('font', 0, 1786, 1786, 'und', 0, 19),
('font', 0, 1787, 1787, 'und', 0, 32),
('font', 0, 1788, 1788, 'und', 0, 21),
('font', 0, 1789, 1789, 'und', 0, 19),
('font', 0, 1790, 1790, 'und', 0, 32),
('font', 0, 1791, 1791, 'und', 0, 21),
('font', 0, 1792, 1792, 'und', 0, 19),
('font', 0, 1793, 1793, 'und', 0, 19),
('font', 0, 1794, 1794, 'und', 0, 21),
('font', 0, 1795, 1795, 'und', 0, 19),
('font', 0, 1796, 1796, 'und', 0, 21),
('font', 0, 1797, 1797, 'und', 0, 34),
('font', 0, 1798, 1798, 'und', 0, 34),
('font', 0, 1799, 1799, 'und', 0, 19),
('font', 0, 1800, 1800, 'und', 0, 19),
('font', 0, 1801, 1801, 'und', 0, 19),
('font', 0, 1802, 1802, 'und', 0, 19),
('font', 0, 1803, 1803, 'und', 0, 19),
('font', 0, 1804, 1804, 'und', 0, 19),
('font', 0, 1805, 1805, 'und', 0, 21),
('font', 0, 1806, 1806, 'und', 0, 19),
('font', 0, 1807, 1807, 'und', 0, 21),
('font', 0, 1808, 1808, 'und', 0, 19),
('font', 0, 1809, 1809, 'und', 0, 21),
('font', 0, 1810, 1810, 'und', 0, 19),
('font', 0, 1811, 1811, 'und', 0, 21),
('font', 0, 1812, 1812, 'und', 0, 19),
('font', 0, 1813, 1813, 'und', 0, 21),
('font', 0, 1814, 1814, 'und', 0, 19),
('font', 0, 1815, 1815, 'und', 0, 21),
('font', 0, 1816, 1816, 'und', 0, 19),
('font', 0, 1817, 1817, 'und', 0, 21),
('font', 0, 1818, 1818, 'und', 0, 19),
('font', 0, 1819, 1819, 'und', 0, 21),
('font', 0, 1820, 1820, 'und', 0, 19),
('font', 0, 1821, 1821, 'und', 0, 21),
('font', 0, 1822, 1822, 'und', 0, 19),
('font', 0, 1823, 1823, 'und', 0, 21),
('font', 0, 1824, 1824, 'und', 0, 19),
('font', 0, 1825, 1825, 'und', 0, 23),
('font', 0, 1826, 1826, 'und', 0, 19),
('font', 0, 1827, 1827, 'und', 0, 33),
('font', 0, 1828, 1828, 'und', 0, 19),
('font', 0, 1829, 1829, 'und', 0, 21),
('font', 0, 1830, 1830, 'und', 0, 19),
('font', 0, 1831, 1831, 'und', 0, 19),
('font', 0, 1832, 1832, 'und', 0, 19),
('font', 0, 1833, 1833, 'und', 0, 19),
('font', 0, 1834, 1834, 'und', 0, 19),
('font', 0, 1835, 1835, 'und', 0, 35),
('font', 0, 1836, 1836, 'und', 0, 21),
('font', 0, 1837, 1837, 'und', 0, 19),
('font', 0, 1838, 1838, 'und', 0, 35),
('font', 0, 1839, 1839, 'und', 0, 21),
('font', 0, 1840, 1840, 'und', 0, 19),
('font', 0, 1841, 1841, 'und', 0, 35),
('font', 0, 1842, 1842, 'und', 0, 21),
('font', 0, 1843, 1843, 'und', 0, 19),
('font', 0, 1844, 1844, 'und', 0, 35),
('font', 0, 1845, 1845, 'und', 0, 21),
('font', 0, 1846, 1846, 'und', 0, 19),
('font', 0, 1847, 1847, 'und', 0, 35),
('font', 0, 1848, 1848, 'und', 0, 21),
('font', 0, 1849, 1849, 'und', 0, 19),
('font', 0, 1850, 1850, 'und', 0, 35),
('font', 0, 1851, 1851, 'und', 0, 21),
('font', 0, 1852, 1852, 'und', 0, 19),
('font', 0, 1853, 1853, 'und', 0, 35),
('font', 0, 1854, 1854, 'und', 0, 21),
('font', 0, 1855, 1855, 'und', 0, 19),
('font', 0, 1856, 1856, 'und', 0, 21),
('font', 0, 1857, 1857, 'und', 0, 19),
('font', 0, 1858, 1858, 'und', 0, 21),
('font', 0, 1859, 1859, 'und', 0, 19),
('font', 0, 1860, 1860, 'und', 0, 21),
('font', 0, 1861, 1861, 'und', 0, 19),
('font', 0, 1862, 1862, 'und', 0, 21),
('font', 0, 1863, 1863, 'und', 0, 19),
('font', 0, 1864, 1864, 'und', 0, 21),
('font', 0, 1865, 1865, 'und', 0, 19),
('font', 0, 1866, 1866, 'und', 0, 21),
('font', 0, 1867, 1867, 'und', 0, 19),
('font', 0, 1868, 1868, 'und', 0, 19),
('font', 0, 1869, 1869, 'und', 0, 34),
('font', 0, 1870, 1870, 'und', 0, 34),
('font', 0, 1871, 1871, 'und', 0, 19),
('font', 0, 1872, 1872, 'und', 0, 19),
('font', 0, 1873, 1873, 'und', 0, 19),
('font', 0, 1874, 1874, 'und', 0, 19),
('font', 0, 1875, 1875, 'und', 0, 19),
('font', 0, 1876, 1876, 'und', 0, 19),
('font', 0, 1877, 1877, 'und', 0, 19),
('font', 0, 1878, 1878, 'und', 0, 19),
('font', 0, 1879, 1879, 'und', 0, 19),
('font', 0, 1880, 1880, 'und', 0, 21),
('font', 0, 1881, 1881, 'und', 0, 19),
('font', 0, 1882, 1882, 'und', 0, 19),
('font', 0, 1883, 1883, 'und', 0, 19),
('font', 0, 1884, 1884, 'und', 0, 21),
('font', 0, 1885, 1885, 'und', 0, 19),
('font', 0, 1886, 1886, 'und', 0, 21),
('font', 0, 1887, 1887, 'und', 0, 19),
('font', 0, 1888, 1888, 'und', 0, 21),
('font', 0, 1889, 1889, 'und', 0, 19),
('font', 0, 1890, 1890, 'und', 0, 21),
('font', 0, 1891, 1891, 'und', 0, 19),
('font', 0, 1892, 1892, 'und', 0, 35),
('font', 0, 1893, 1893, 'und', 0, 21),
('font', 0, 1894, 1894, 'und', 0, 19),
('font', 0, 1895, 1895, 'und', 0, 21),
('font', 0, 1896, 1896, 'und', 0, 19),
('font', 0, 1897, 1897, 'und', 0, 24),
('font', 0, 1898, 1898, 'und', 0, 21),
('font', 0, 1899, 1899, 'und', 0, 31),
('font', 0, 1900, 1900, 'und', 0, 19),
('font', 0, 1901, 1901, 'und', 0, 32),
('font', 0, 1902, 1902, 'und', 0, 21),
('font', 0, 1903, 1903, 'und', 0, 31),
('font', 0, 1904, 1904, 'und', 0, 19),
('font', 0, 1905, 1905, 'und', 0, 32),
('font', 0, 1906, 1906, 'und', 0, 21),
('font', 0, 1907, 1907, 'und', 0, 31),
('font', 0, 1908, 1908, 'und', 0, 19),
('font', 0, 1909, 1909, 'und', 0, 32),
('font', 0, 1910, 1910, 'und', 0, 21),
('font', 0, 1911, 1911, 'und', 0, 31),
('font', 0, 1912, 1912, 'und', 0, 19),
('font', 0, 1913, 1913, 'und', 0, 32),
('font', 0, 1914, 1914, 'und', 0, 21),
('font', 0, 1915, 1915, 'und', 0, 31),
('font', 0, 1916, 1916, 'und', 0, 19),
('font', 0, 1917, 1917, 'und', 0, 32),
('font', 0, 1918, 1918, 'und', 0, 21),
('font', 0, 1919, 1919, 'und', 0, 31),
('font', 0, 1920, 1920, 'und', 0, 19),
('font', 0, 1921, 1921, 'und', 0, 32),
('font', 0, 1922, 1922, 'und', 0, 21),
('font', 0, 1923, 1923, 'und', 0, 19),
('font', 0, 1924, 1924, 'und', 0, 21),
('font', 0, 1925, 1925, 'und', 0, 19),
('font', 0, 1926, 1926, 'und', 0, 36),
('font', 0, 1927, 1927, 'und', 0, 21),
('font', 0, 1928, 1928, 'und', 0, 19),
('font', 0, 1929, 1929, 'und', 0, 36),
('font', 0, 1930, 1930, 'und', 0, 21),
('font', 0, 1931, 1931, 'und', 0, 19),
('font', 0, 1932, 1932, 'und', 0, 36),
('font', 0, 1933, 1933, 'und', 0, 21),
('font', 0, 1934, 1934, 'und', 0, 19),
('font', 0, 1935, 1935, 'und', 0, 36),
('font', 0, 1936, 1936, 'und', 0, 21),
('font', 0, 1937, 1937, 'und', 0, 19),
('font', 0, 1938, 1938, 'und', 0, 26),
('font', 0, 1939, 1939, 'und', 0, 21),
('font', 0, 1940, 1940, 'und', 0, 19),
('font', 0, 1941, 1941, 'und', 0, 26),
('font', 0, 1942, 1942, 'und', 0, 21),
('font', 0, 1943, 1943, 'und', 0, 19),
('font', 0, 1944, 1944, 'und', 0, 19),
('font', 0, 1945, 1945, 'und', 0, 19),
('font', 0, 1946, 1946, 'und', 0, 19),
('font', 0, 1947, 1947, 'und', 0, 21),
('font', 0, 1948, 1948, 'und', 0, 19),
('font', 0, 1949, 1949, 'und', 0, 19),
('font', 0, 1950, 1950, 'und', 0, 19),
('font', 0, 1951, 1951, 'und', 0, 21),
('font', 0, 1952, 1952, 'und', 0, 19),
('font', 0, 1953, 1953, 'und', 0, 21),
('font', 0, 1954, 1954, 'und', 0, 34),
('font', 0, 1955, 1955, 'und', 0, 19),
('font', 0, 1956, 1956, 'und', 0, 21),
('font', 0, 1957, 1957, 'und', 0, 19),
('font', 0, 1958, 1958, 'und', 0, 21),
('font', 0, 1959, 1959, 'und', 0, 19),
('font', 0, 1960, 1960, 'und', 0, 21),
('font', 0, 1961, 1961, 'und', 0, 19),
('font', 0, 1962, 1962, 'und', 0, 21),
('font', 0, 1963, 1963, 'und', 0, 19),
('font', 0, 1964, 1964, 'und', 0, 21),
('font', 0, 1965, 1965, 'und', 0, 19),
('font', 0, 1966, 1966, 'und', 0, 21),
('font', 0, 1967, 1967, 'und', 0, 19),
('font', 0, 1968, 1968, 'und', 0, 21),
('font', 0, 1969, 1969, 'und', 0, 19),
('font', 0, 1970, 1970, 'und', 0, 21),
('font', 0, 1971, 1971, 'und', 0, 28),
('font', 0, 1972, 1972, 'und', 0, 19),
('font', 0, 1973, 1973, 'und', 0, 21),
('font', 0, 1974, 1974, 'und', 0, 23),
('font', 0, 1975, 1975, 'und', 0, 28),
('font', 0, 1976, 1976, 'und', 0, 19),
('font', 0, 1977, 1977, 'und', 0, 21),
('font', 0, 1978, 1978, 'und', 0, 23),
('font', 0, 1979, 1979, 'und', 0, 28),
('font', 0, 1980, 1980, 'und', 0, 19),
('font', 0, 1981, 1981, 'und', 0, 21),
('font', 0, 1982, 1982, 'und', 0, 23),
('font', 0, 1983, 1983, 'und', 0, 28),
('font', 0, 1984, 1984, 'und', 0, 19),
('font', 0, 1985, 1985, 'und', 0, 21),
('font', 0, 1986, 1986, 'und', 0, 23),
('font', 0, 1987, 1987, 'und', 0, 28),
('font', 0, 1988, 1988, 'und', 0, 19),
('font', 0, 1989, 1989, 'und', 0, 21),
('font', 0, 1990, 1990, 'und', 0, 23),
('font', 0, 1991, 1991, 'und', 0, 28),
('font', 0, 1992, 1992, 'und', 0, 19),
('font', 0, 1993, 1993, 'und', 0, 21),
('font', 0, 1994, 1994, 'und', 0, 23),
('font', 0, 1995, 1995, 'und', 0, 28),
('font', 0, 1996, 1996, 'und', 0, 19),
('font', 0, 1997, 1997, 'und', 0, 21),
('font', 0, 1998, 1998, 'und', 0, 23),
('font', 0, 1999, 1999, 'und', 0, 28),
('font', 0, 2000, 2000, 'und', 0, 19),
('font', 0, 2001, 2001, 'und', 0, 21),
('font', 0, 2002, 2002, 'und', 0, 23),
('font', 0, 2003, 2003, 'und', 0, 19),
('font', 0, 2004, 2004, 'und', 0, 19),
('font', 0, 2005, 2005, 'und', 0, 21),
('font', 0, 2006, 2006, 'und', 0, 19),
('font', 0, 2007, 2007, 'und', 0, 21),
('font', 0, 2008, 2008, 'und', 0, 19),
('font', 0, 2009, 2009, 'und', 0, 21),
('font', 0, 2010, 2010, 'und', 0, 19),
('font', 0, 2011, 2011, 'und', 0, 19),
('font', 0, 2012, 2012, 'und', 0, 37),
('font', 0, 2013, 2013, 'und', 0, 19),
('font', 0, 2014, 2014, 'und', 0, 19),
('font', 0, 2015, 2015, 'und', 0, 21),
('font', 0, 2016, 2016, 'und', 0, 19),
('font', 0, 2017, 2017, 'und', 0, 19),
('font', 0, 2018, 2018, 'und', 0, 21),
('font', 0, 2019, 2019, 'und', 0, 19),
('font', 0, 2020, 2020, 'und', 0, 19),
('font', 0, 2021, 2021, 'und', 0, 19),
('font', 0, 2022, 2022, 'und', 0, 19),
('font', 0, 2023, 2023, 'und', 0, 19),
('font', 0, 2024, 2024, 'und', 0, 19),
('font', 0, 2025, 2025, 'und', 0, 19),
('font', 0, 2026, 2026, 'und', 0, 19),
('font', 0, 2027, 2027, 'und', 0, 19),
('font', 0, 2028, 2028, 'und', 0, 19),
('font', 0, 2029, 2029, 'und', 0, 19),
('font', 0, 2030, 2030, 'und', 0, 19),
('font', 0, 2031, 2031, 'und', 0, 24),
('font', 0, 2032, 2032, 'und', 0, 21),
('font', 0, 2033, 2033, 'und', 0, 19),
('font', 0, 2034, 2034, 'und', 0, 24),
('font', 0, 2035, 2035, 'und', 0, 21),
('font', 0, 2036, 2036, 'und', 0, 19),
('font', 0, 2037, 2037, 'und', 0, 24),
('font', 0, 2038, 2038, 'und', 0, 21),
('font', 0, 2039, 2039, 'und', 0, 19),
('font', 0, 2040, 2040, 'und', 0, 24),
('font', 0, 2041, 2041, 'und', 0, 21),
('font', 0, 2042, 2042, 'und', 0, 19),
('font', 0, 2043, 2043, 'und', 0, 24),
('font', 0, 2044, 2044, 'und', 0, 21),
('font', 0, 2045, 2045, 'und', 0, 19),
('font', 0, 2046, 2046, 'und', 0, 24),
('font', 0, 2047, 2047, 'und', 0, 21),
('font', 0, 2048, 2048, 'und', 0, 19),
('font', 0, 2049, 2049, 'und', 0, 24),
('font', 0, 2050, 2050, 'und', 0, 21),
('font', 0, 2051, 2051, 'und', 0, 19),
('font', 0, 2052, 2052, 'und', 0, 24),
('font', 0, 2053, 2053, 'und', 0, 21),
('font', 0, 2054, 2054, 'und', 0, 19),
('font', 0, 2055, 2055, 'und', 0, 24),
('font', 0, 2056, 2056, 'und', 0, 21),
('font', 0, 2057, 2057, 'und', 0, 19),
('font', 0, 2058, 2058, 'und', 0, 24),
('font', 0, 2059, 2059, 'und', 0, 21),
('font', 0, 2060, 2060, 'und', 0, 19),
('font', 0, 2061, 2061, 'und', 0, 24),
('font', 0, 2062, 2062, 'und', 0, 21),
('font', 0, 2063, 2063, 'und', 0, 19),
('font', 0, 2064, 2064, 'und', 0, 24),
('font', 0, 2065, 2065, 'und', 0, 21),
('font', 0, 2066, 2066, 'und', 0, 19),
('font', 0, 2067, 2067, 'und', 0, 24),
('font', 0, 2068, 2068, 'und', 0, 21),
('font', 0, 2069, 2069, 'und', 0, 19),
('font', 0, 2070, 2070, 'und', 0, 24),
('font', 0, 2071, 2071, 'und', 0, 21),
('font', 0, 2072, 2072, 'und', 0, 19),
('font', 0, 2073, 2073, 'und', 0, 21),
('font', 0, 2074, 2074, 'und', 0, 23),
('font', 0, 2075, 2075, 'und', 0, 19),
('font', 0, 2076, 2076, 'und', 0, 19),
('font', 0, 2077, 2077, 'und', 0, 21),
('font', 0, 2078, 2078, 'und', 0, 19),
('font', 0, 2079, 2079, 'und', 0, 21),
('font', 0, 2080, 2080, 'und', 0, 23),
('font', 0, 2081, 2081, 'und', 0, 19),
('font', 0, 2082, 2082, 'und', 0, 21),
('font', 0, 2083, 2083, 'und', 0, 19),
('font', 0, 2084, 2084, 'und', 0, 21),
('font', 0, 2085, 2085, 'und', 0, 19),
('font', 0, 2086, 2086, 'und', 0, 33),
('font', 0, 2087, 2087, 'und', 0, 19),
('font', 0, 2088, 2088, 'und', 0, 33),
('font', 0, 2089, 2089, 'und', 0, 19),
('font', 0, 2090, 2090, 'und', 0, 31),
('font', 0, 2091, 2091, 'und', 0, 19),
('font', 0, 2092, 2092, 'und', 0, 32),
('font', 0, 2093, 2093, 'und', 0, 21),
('font', 0, 2094, 2094, 'und', 0, 31),
('font', 0, 2095, 2095, 'und', 0, 19),
('font', 0, 2096, 2096, 'und', 0, 32),
('font', 0, 2097, 2097, 'und', 0, 21),
('font', 0, 2098, 2098, 'und', 0, 31),
('font', 0, 2099, 2099, 'und', 0, 19),
('font', 0, 2100, 2100, 'und', 0, 32),
('font', 0, 2101, 2101, 'und', 0, 21),
('font', 0, 2102, 2102, 'und', 0, 31),
('font', 0, 2103, 2103, 'und', 0, 19),
('font', 0, 2104, 2104, 'und', 0, 32),
('font', 0, 2105, 2105, 'und', 0, 21),
('font', 0, 2106, 2106, 'und', 0, 31),
('font', 0, 2107, 2107, 'und', 0, 19),
('font', 0, 2108, 2108, 'und', 0, 32),
('font', 0, 2109, 2109, 'und', 0, 21),
('font', 0, 2110, 2110, 'und', 0, 31),
('font', 0, 2111, 2111, 'und', 0, 19),
('font', 0, 2112, 2112, 'und', 0, 32),
('font', 0, 2113, 2113, 'und', 0, 21),
('font', 0, 2114, 2114, 'und', 0, 19),
('font', 0, 2115, 2115, 'und', 0, 19),
('font', 0, 2116, 2116, 'und', 0, 21),
('font', 0, 2117, 2117, 'und', 0, 19),
('font', 0, 2118, 2118, 'und', 0, 21),
('font', 0, 2119, 2119, 'und', 0, 19),
('font', 0, 2120, 2120, 'und', 0, 36),
('font', 0, 2121, 2121, 'und', 0, 19),
('font', 0, 2122, 2122, 'und', 0, 36),
('font', 0, 2123, 2123, 'und', 0, 19),
('font', 0, 2124, 2124, 'und', 0, 36),
('font', 0, 2125, 2125, 'und', 0, 19),
('font', 0, 2126, 2126, 'und', 0, 36),
('font', 0, 2127, 2127, 'und', 0, 19),
('font', 0, 2128, 2128, 'und', 0, 19),
('font', 0, 2129, 2129, 'und', 0, 19),
('font', 0, 2130, 2130, 'und', 0, 19),
('font', 0, 2131, 2131, 'und', 0, 19),
('font', 0, 2132, 2132, 'und', 0, 19),
('font', 0, 2133, 2133, 'und', 0, 19),
('font', 0, 2134, 2134, 'und', 0, 21),
('font', 0, 2135, 2135, 'und', 0, 19),
('font', 0, 2136, 2136, 'und', 0, 19),
('font', 0, 2137, 2137, 'und', 0, 19),
('font', 0, 2138, 2138, 'und', 0, 21),
('font', 0, 2139, 2139, 'und', 0, 23),
('font', 0, 2140, 2140, 'und', 0, 19),
('font', 0, 2141, 2141, 'und', 0, 21),
('font', 0, 2142, 2142, 'und', 0, 23),
('font', 0, 2143, 2143, 'und', 0, 19),
('font', 0, 2144, 2144, 'und', 0, 21),
('font', 0, 2145, 2145, 'und', 0, 23),
('font', 0, 2146, 2146, 'und', 0, 19),
('font', 0, 2147, 2147, 'und', 0, 21),
('font', 0, 2148, 2148, 'und', 0, 23),
('font', 0, 2149, 2149, 'und', 0, 19),
('font', 0, 2150, 2150, 'und', 0, 19),
('font', 0, 2151, 2151, 'und', 0, 19),
('font', 0, 2152, 2152, 'und', 0, 19),
('font', 0, 2153, 2153, 'und', 0, 19),
('font', 0, 2154, 2154, 'und', 0, 19),
('font', 0, 2155, 2155, 'und', 0, 19),
('font', 0, 2156, 2156, 'und', 0, 19),
('font', 0, 2157, 2157, 'und', 0, 19),
('font', 0, 2158, 2158, 'und', 0, 32),
('font', 0, 2159, 2159, 'und', 0, 21),
('font', 0, 2160, 2160, 'und', 0, 23),
('font', 0, 2161, 2161, 'und', 0, 19),
('font', 0, 2162, 2162, 'und', 0, 19),
('font', 0, 2163, 2163, 'und', 0, 19),
('font', 0, 2164, 2164, 'und', 0, 21),
('font', 0, 2165, 2165, 'und', 0, 19),
('font', 0, 2166, 2166, 'und', 0, 21),
('font', 0, 2167, 2167, 'und', 0, 19),
('font', 0, 2168, 2168, 'und', 0, 21),
('font', 0, 2169, 2169, 'und', 0, 19),
('font', 0, 2170, 2170, 'und', 0, 21),
('font', 0, 2171, 2171, 'und', 0, 19),
('font', 0, 2172, 2172, 'und', 0, 21),
('font', 0, 2173, 2173, 'und', 0, 19),
('font', 0, 2174, 2174, 'und', 0, 21),
('font', 0, 2175, 2175, 'und', 0, 19),
('font', 0, 2176, 2176, 'und', 0, 21),
('font', 0, 2177, 2177, 'und', 0, 19),
('font', 0, 2178, 2178, 'und', 0, 21),
('font', 0, 2179, 2179, 'und', 0, 19),
('font', 0, 2180, 2180, 'und', 0, 21),
('font', 0, 2181, 2181, 'und', 0, 19),
('font', 0, 2182, 2182, 'und', 0, 21),
('font', 0, 2183, 2183, 'und', 0, 19),
('font', 0, 2184, 2184, 'und', 0, 21),
('font', 0, 2185, 2185, 'und', 0, 19),
('font', 0, 2186, 2186, 'und', 0, 21),
('font', 0, 2187, 2187, 'und', 0, 19),
('font', 0, 2188, 2188, 'und', 0, 21),
('font', 0, 2189, 2189, 'und', 0, 19),
('font', 0, 2190, 2190, 'und', 0, 21),
('font', 0, 2191, 2191, 'und', 0, 19),
('font', 0, 2192, 2192, 'und', 0, 21),
('font', 0, 2193, 2193, 'und', 0, 19),
('font', 0, 2194, 2194, 'und', 0, 21),
('font', 0, 2195, 2195, 'und', 0, 19),
('font', 0, 2196, 2196, 'und', 0, 21),
('font', 0, 2197, 2197, 'und', 0, 19),
('font', 0, 2198, 2198, 'und', 0, 21),
('font', 0, 2199, 2199, 'und', 0, 19),
('font', 0, 2200, 2200, 'und', 0, 21),
('font', 0, 2201, 2201, 'und', 0, 19),
('font', 0, 2202, 2202, 'und', 0, 21),
('font', 0, 2203, 2203, 'und', 0, 19),
('font', 0, 2204, 2204, 'und', 0, 21),
('font', 0, 2205, 2205, 'und', 0, 19),
('font', 0, 2206, 2206, 'und', 0, 21),
('font', 0, 2207, 2207, 'und', 0, 19),
('font', 0, 2208, 2208, 'und', 0, 21),
('font', 0, 2209, 2209, 'und', 0, 19),
('font', 0, 2210, 2210, 'und', 0, 21),
('font', 0, 2211, 2211, 'und', 0, 19),
('font', 0, 2212, 2212, 'und', 0, 21),
('font', 0, 2213, 2213, 'und', 0, 19),
('font', 0, 2214, 2214, 'und', 0, 21),
('font', 0, 2215, 2215, 'und', 0, 19),
('font', 0, 2216, 2216, 'und', 0, 36),
('font', 0, 2217, 2217, 'und', 0, 32),
('font', 0, 2218, 2218, 'und', 0, 21),
('font', 0, 2219, 2219, 'und', 0, 19),
('font', 0, 2220, 2220, 'und', 0, 36),
('font', 0, 2221, 2221, 'und', 0, 32),
('font', 0, 2222, 2222, 'und', 0, 21),
('font', 0, 2223, 2223, 'und', 0, 19),
('font', 0, 2224, 2224, 'und', 0, 36),
('font', 0, 2225, 2225, 'und', 0, 32),
('font', 0, 2226, 2226, 'und', 0, 21),
('font', 0, 2227, 2227, 'und', 0, 19),
('font', 0, 2228, 2228, 'und', 0, 36),
('font', 0, 2229, 2229, 'und', 0, 32),
('font', 0, 2230, 2230, 'und', 0, 21),
('font', 0, 2231, 2231, 'und', 0, 19),
('font', 0, 2232, 2232, 'und', 0, 19),
('font', 0, 2233, 2233, 'und', 0, 21),
('font', 0, 2234, 2234, 'und', 0, 19),
('font', 0, 2235, 2235, 'und', 0, 21),
('font', 0, 2236, 2236, 'und', 0, 19),
('font', 0, 2237, 2237, 'und', 0, 21),
('font', 0, 2238, 2238, 'und', 0, 19),
('font', 0, 2239, 2239, 'und', 0, 21),
('font', 0, 2240, 2240, 'und', 0, 23),
('font', 0, 2241, 2241, 'und', 0, 19),
('font', 0, 2242, 2242, 'und', 0, 19),
('font', 0, 2243, 2243, 'und', 0, 19),
('font', 0, 2244, 2244, 'und', 0, 21),
('font', 0, 2245, 2245, 'und', 0, 19),
('font', 0, 2246, 2246, 'und', 0, 21),
('font', 0, 2247, 2247, 'und', 0, 19),
('font', 0, 2248, 2248, 'und', 0, 21),
('font', 0, 2249, 2249, 'und', 0, 19),
('font', 0, 2250, 2250, 'und', 0, 21),
('font', 0, 2251, 2251, 'und', 0, 19),
('font', 0, 2252, 2252, 'und', 0, 21),
('font', 0, 2253, 2253, 'und', 0, 19),
('font', 0, 2254, 2254, 'und', 0, 21),
('font', 0, 2255, 2255, 'und', 0, 19),
('font', 0, 2256, 2256, 'und', 0, 21),
('font', 0, 2257, 2257, 'und', 0, 19),
('font', 0, 2258, 2258, 'und', 0, 21),
('font', 0, 2259, 2259, 'und', 0, 19),
('font', 0, 2260, 2260, 'und', 0, 21),
('font', 0, 2261, 2261, 'und', 0, 19),
('font', 0, 2262, 2262, 'und', 0, 21),
('font', 0, 2263, 2263, 'und', 0, 19),
('font', 0, 2264, 2264, 'und', 0, 36),
('font', 0, 2265, 2265, 'und', 0, 19),
('font', 0, 2266, 2266, 'und', 0, 21),
('font', 0, 2267, 2267, 'und', 0, 19),
('font', 0, 2268, 2268, 'und', 0, 36),
('font', 0, 2269, 2269, 'und', 0, 32),
('font', 0, 2270, 2270, 'und', 0, 21),
('font', 0, 2271, 2271, 'und', 0, 19),
('font', 0, 2272, 2272, 'und', 0, 33),
('font', 0, 2273, 2273, 'und', 0, 19),
('font', 0, 2274, 2274, 'und', 0, 24),
('font', 0, 2275, 2275, 'und', 0, 21),
('font', 0, 2276, 2276, 'und', 0, 19),
('font', 0, 2277, 2277, 'und', 0, 24),
('font', 0, 2278, 2278, 'und', 0, 21),
('font', 0, 2279, 2279, 'und', 0, 19),
('font', 0, 2280, 2280, 'und', 0, 24),
('font', 0, 2281, 2281, 'und', 0, 21),
('font', 0, 2282, 2282, 'und', 0, 19),
('font', 0, 2283, 2283, 'und', 0, 24),
('font', 0, 2284, 2284, 'und', 0, 21),
('font', 0, 2285, 2285, 'und', 0, 19),
('font', 0, 2286, 2286, 'und', 0, 24),
('font', 0, 2287, 2287, 'und', 0, 21),
('font', 0, 2288, 2288, 'und', 0, 19),
('font', 0, 2289, 2289, 'und', 0, 19),
('font', 0, 2290, 2290, 'und', 0, 24),
('font', 0, 2291, 2291, 'und', 0, 21),
('font', 0, 2292, 2292, 'und', 0, 23),
('font', 0, 2293, 2293, 'und', 0, 19),
('font', 0, 2294, 2294, 'und', 0, 35),
('font', 0, 2295, 2295, 'und', 0, 21),
('font', 0, 2296, 2296, 'und', 0, 19),
('font', 0, 2297, 2297, 'und', 0, 35),
('font', 0, 2298, 2298, 'und', 0, 21),
('font', 0, 2299, 2299, 'und', 0, 19),
('font', 0, 2300, 2300, 'und', 0, 21),
('font', 0, 2301, 2301, 'und', 0, 19),
('font', 0, 2302, 2302, 'und', 0, 19),
('font', 0, 2303, 2303, 'und', 0, 19),
('font', 0, 2304, 2304, 'und', 0, 19),
('font', 0, 2305, 2305, 'und', 0, 19),
('font', 0, 2306, 2306, 'und', 0, 34),
('font', 0, 2307, 2307, 'und', 0, 19),
('font', 0, 2308, 2308, 'und', 0, 21),
('font', 0, 2309, 2309, 'und', 0, 19),
('font', 0, 2310, 2310, 'und', 0, 21),
('font', 0, 2311, 2311, 'und', 0, 19),
('font', 0, 2312, 2312, 'und', 0, 19),
('font', 0, 2313, 2313, 'und', 0, 24),
('font', 0, 2314, 2314, 'und', 0, 21),
('font', 0, 2315, 2315, 'und', 0, 19),
('font', 0, 2316, 2316, 'und', 0, 24),
('font', 0, 2317, 2317, 'und', 0, 21),
('font', 0, 2318, 2318, 'und', 0, 19),
('font', 0, 2319, 2319, 'und', 0, 24),
('font', 0, 2320, 2320, 'und', 0, 21),
('font', 0, 2321, 2321, 'und', 0, 19),
('font', 0, 2322, 2322, 'und', 0, 24),
('font', 0, 2323, 2323, 'und', 0, 21),
('font', 0, 2324, 2324, 'und', 0, 19),
('font', 0, 2325, 2325, 'und', 0, 24),
('font', 0, 2326, 2326, 'und', 0, 21),
('font', 0, 2327, 2327, 'und', 0, 34),
('font', 0, 2328, 2328, 'und', 0, 19),
('font', 0, 2329, 2329, 'und', 0, 24),
('font', 0, 2330, 2330, 'und', 0, 21),
('font', 0, 2331, 2331, 'und', 0, 19),
('font', 0, 2332, 2332, 'und', 0, 24),
('font', 0, 2333, 2333, 'und', 0, 21),
('font', 0, 2334, 2334, 'und', 0, 19),
('font', 0, 2335, 2335, 'und', 0, 24),
('font', 0, 2336, 2336, 'und', 0, 21),
('font', 0, 2337, 2337, 'und', 0, 19),
('font', 0, 2338, 2338, 'und', 0, 24),
('font', 0, 2339, 2339, 'und', 0, 21),
('font', 0, 2340, 2340, 'und', 0, 19),
('font', 0, 2341, 2341, 'und', 0, 24),
('font', 0, 2342, 2342, 'und', 0, 21),
('font', 0, 2343, 2343, 'und', 0, 19),
('font', 0, 2344, 2344, 'und', 0, 19),
('font', 0, 2345, 2345, 'und', 0, 21),
('font', 0, 2346, 2346, 'und', 0, 23),
('font', 0, 2347, 2347, 'und', 0, 19),
('font', 0, 2348, 2348, 'und', 0, 21),
('font', 0, 2349, 2349, 'und', 0, 34),
('font', 0, 2350, 2350, 'und', 0, 19),
('font', 0, 2351, 2351, 'und', 0, 21),
('font', 0, 2352, 2352, 'und', 0, 19),
('font', 0, 2353, 2353, 'und', 0, 37),
('font', 0, 2354, 2354, 'und', 0, 21),
('font', 0, 2355, 2355, 'und', 0, 19),
('font', 0, 2356, 2356, 'und', 0, 21),
('font', 0, 2357, 2357, 'und', 0, 19),
('font', 0, 2358, 2358, 'und', 0, 36),
('font', 0, 2359, 2359, 'und', 0, 21),
('font', 0, 2360, 2360, 'und', 0, 19),
('font', 0, 2361, 2361, 'und', 0, 24),
('font', 0, 2362, 2362, 'und', 0, 21),
('font', 0, 2363, 2363, 'und', 0, 19),
('font', 0, 2364, 2364, 'und', 0, 24),
('font', 0, 2365, 2365, 'und', 0, 21),
('font', 0, 2366, 2366, 'und', 0, 19),
('font', 0, 2367, 2367, 'und', 0, 24),
('font', 0, 2368, 2368, 'und', 0, 21),
('font', 0, 2369, 2369, 'und', 0, 19),
('font', 0, 2370, 2370, 'und', 0, 24),
('font', 0, 2371, 2371, 'und', 0, 21),
('font', 0, 2372, 2372, 'und', 0, 19),
('font', 0, 2373, 2373, 'und', 0, 24),
('font', 0, 2374, 2374, 'und', 0, 21),
('font', 0, 2375, 2375, 'und', 0, 19),
('font', 0, 2376, 2376, 'und', 0, 21),
('font', 0, 2377, 2377, 'und', 0, 19),
('font', 0, 2378, 2378, 'und', 0, 21),
('font', 0, 2379, 2379, 'und', 0, 19),
('font', 0, 2380, 2380, 'und', 0, 21),
('font', 0, 2381, 2381, 'und', 0, 19),
('font', 0, 2382, 2382, 'und', 0, 21),
('font', 0, 2383, 2383, 'und', 0, 34),
('font', 0, 2384, 2384, 'und', 0, 34),
('font', 0, 2385, 2385, 'und', 0, 34),
('font', 0, 2386, 2386, 'und', 0, 31),
('font', 0, 2387, 2387, 'und', 0, 19),
('font', 0, 2388, 2388, 'und', 0, 32),
('font', 0, 2389, 2389, 'und', 0, 21),
('font', 0, 2390, 2390, 'und', 0, 31),
('font', 0, 2391, 2391, 'und', 0, 19),
('font', 0, 2392, 2392, 'und', 0, 32),
('font', 0, 2393, 2393, 'und', 0, 21),
('font', 0, 2394, 2394, 'und', 0, 31),
('font', 0, 2395, 2395, 'und', 0, 19),
('font', 0, 2396, 2396, 'und', 0, 32),
('font', 0, 2397, 2397, 'und', 0, 21),
('font', 0, 2398, 2398, 'und', 0, 31),
('font', 0, 2399, 2399, 'und', 0, 19),
('font', 0, 2400, 2400, 'und', 0, 32),
('font', 0, 2401, 2401, 'und', 0, 21),
('font', 0, 2402, 2402, 'und', 0, 31),
('font', 0, 2403, 2403, 'und', 0, 19),
('font', 0, 2404, 2404, 'und', 0, 32),
('font', 0, 2405, 2405, 'und', 0, 21),
('font', 0, 2406, 2406, 'und', 0, 31),
('font', 0, 2407, 2407, 'und', 0, 19),
('font', 0, 2408, 2408, 'und', 0, 32),
('font', 0, 2409, 2409, 'und', 0, 21),
('font', 0, 2410, 2410, 'und', 0, 31),
('font', 0, 2411, 2411, 'und', 0, 19),
('font', 0, 2412, 2412, 'und', 0, 32),
('font', 0, 2413, 2413, 'und', 0, 21),
('font', 0, 2414, 2414, 'und', 0, 31),
('font', 0, 2415, 2415, 'und', 0, 19),
('font', 0, 2416, 2416, 'und', 0, 32),
('font', 0, 2417, 2417, 'und', 0, 21),
('font', 0, 2418, 2418, 'und', 0, 31),
('font', 0, 2419, 2419, 'und', 0, 19),
('font', 0, 2420, 2420, 'und', 0, 32),
('font', 0, 2421, 2421, 'und', 0, 21),
('font', 0, 2422, 2422, 'und', 0, 31),
('font', 0, 2423, 2423, 'und', 0, 19),
('font', 0, 2424, 2424, 'und', 0, 32),
('font', 0, 2425, 2425, 'und', 0, 21),
('font', 0, 2426, 2426, 'und', 0, 31),
('font', 0, 2427, 2427, 'und', 0, 19),
('font', 0, 2428, 2428, 'und', 0, 32),
('font', 0, 2429, 2429, 'und', 0, 21),
('font', 0, 2430, 2430, 'und', 0, 31),
('font', 0, 2431, 2431, 'und', 0, 19),
('font', 0, 2432, 2432, 'und', 0, 32),
('font', 0, 2433, 2433, 'und', 0, 21),
('font', 0, 2434, 2434, 'und', 0, 31),
('font', 0, 2435, 2435, 'und', 0, 19),
('font', 0, 2436, 2436, 'und', 0, 32),
('font', 0, 2437, 2437, 'und', 0, 21),
('font', 0, 2438, 2438, 'und', 0, 31),
('font', 0, 2439, 2439, 'und', 0, 19),
('font', 0, 2440, 2440, 'und', 0, 32),
('font', 0, 2441, 2441, 'und', 0, 21),
('font', 0, 2442, 2442, 'und', 0, 31),
('font', 0, 2443, 2443, 'und', 0, 19),
('font', 0, 2444, 2444, 'und', 0, 32),
('font', 0, 2445, 2445, 'und', 0, 21),
('font', 0, 2446, 2446, 'und', 0, 31),
('font', 0, 2447, 2447, 'und', 0, 19),
('font', 0, 2448, 2448, 'und', 0, 32),
('font', 0, 2449, 2449, 'und', 0, 21),
('font', 0, 2450, 2450, 'und', 0, 31),
('font', 0, 2451, 2451, 'und', 0, 19),
('font', 0, 2452, 2452, 'und', 0, 32),
('font', 0, 2453, 2453, 'und', 0, 21),
('font', 0, 2454, 2454, 'und', 0, 31),
('font', 0, 2455, 2455, 'und', 0, 19),
('font', 0, 2456, 2456, 'und', 0, 32),
('font', 0, 2457, 2457, 'und', 0, 21),
('font', 0, 2458, 2458, 'und', 0, 19),
('font', 0, 2459, 2459, 'und', 0, 19),
('font', 0, 2460, 2460, 'und', 0, 19),
('font', 0, 2461, 2461, 'und', 0, 24),
('font', 0, 2462, 2462, 'und', 0, 21),
('font', 0, 2463, 2463, 'und', 0, 19),
('font', 0, 2464, 2464, 'und', 0, 24),
('font', 0, 2465, 2465, 'und', 0, 21),
('font', 0, 2466, 2466, 'und', 0, 19),
('font', 0, 2467, 2467, 'und', 0, 24),
('font', 0, 2468, 2468, 'und', 0, 21),
('font', 0, 2469, 2469, 'und', 0, 19),
('font', 0, 2470, 2470, 'und', 0, 24),
('font', 0, 2471, 2471, 'und', 0, 19),
('font', 0, 2472, 2472, 'und', 0, 24),
('font', 0, 2473, 2473, 'und', 0, 19),
('font', 0, 2474, 2474, 'und', 0, 21),
('font', 0, 2475, 2475, 'und', 0, 19),
('font', 0, 2476, 2476, 'und', 0, 28),
('font', 0, 2477, 2477, 'und', 0, 19),
('font', 0, 2478, 2478, 'und', 0, 30),
('font', 0, 2479, 2479, 'und', 0, 21),
('font', 0, 2480, 2480, 'und', 0, 23),
('font', 0, 2481, 2481, 'und', 0, 28),
('font', 0, 2482, 2482, 'und', 0, 19),
('font', 0, 2483, 2483, 'und', 0, 30),
('font', 0, 2484, 2484, 'und', 0, 21),
('font', 0, 2485, 2485, 'und', 0, 23),
('font', 0, 2486, 2486, 'und', 0, 28),
('font', 0, 2487, 2487, 'und', 0, 19),
('font', 0, 2488, 2488, 'und', 0, 30),
('font', 0, 2489, 2489, 'und', 0, 21),
('font', 0, 2490, 2490, 'und', 0, 23),
('font', 0, 2491, 2491, 'und', 0, 28),
('font', 0, 2492, 2492, 'und', 0, 19),
('font', 0, 2493, 2493, 'und', 0, 30),
('font', 0, 2494, 2494, 'und', 0, 21),
('font', 0, 2495, 2495, 'und', 0, 23),
('font', 0, 2496, 2496, 'und', 0, 19),
('font', 0, 2497, 2497, 'und', 0, 19),
('font', 0, 2498, 2498, 'und', 0, 21),
('font', 0, 2499, 2499, 'und', 0, 19),
('font', 0, 2500, 2500, 'und', 0, 19),
('font', 0, 2501, 2501, 'und', 0, 32),
('font', 0, 2502, 2502, 'und', 0, 21),
('font', 0, 2503, 2503, 'und', 0, 19),
('font', 0, 2504, 2504, 'und', 0, 32),
('font', 0, 2505, 2505, 'und', 0, 21),
('font', 0, 2506, 2506, 'und', 0, 19),
('font', 0, 2507, 2507, 'und', 0, 32),
('font', 0, 2508, 2508, 'und', 0, 21),
('font', 0, 2509, 2509, 'und', 0, 19),
('font', 0, 2510, 2510, 'und', 0, 21),
('font', 0, 2511, 2511, 'und', 0, 19),
('font', 0, 2512, 2512, 'und', 0, 19),
('font', 0, 2513, 2513, 'und', 0, 19),
('font', 0, 2514, 2514, 'und', 0, 19),
('font', 0, 2515, 2515, 'und', 0, 19),
('font', 0, 2516, 2516, 'und', 0, 19),
('font', 0, 2517, 2517, 'und', 0, 19),
('font', 0, 2518, 2518, 'und', 0, 19),
('font', 0, 2519, 2519, 'und', 0, 19),
('font', 0, 2520, 2520, 'und', 0, 19),
('font', 0, 2521, 2521, 'und', 0, 19),
('font', 0, 2522, 2522, 'und', 0, 21),
('font', 0, 2523, 2523, 'und', 0, 19),
('font', 0, 2524, 2524, 'und', 0, 21),
('font', 0, 2525, 2525, 'und', 0, 19),
('font', 0, 2526, 2526, 'und', 0, 21),
('font', 0, 2527, 2527, 'und', 0, 19),
('font', 0, 2528, 2528, 'und', 0, 21),
('font', 0, 2529, 2529, 'und', 0, 19),
('font', 0, 2530, 2530, 'und', 0, 21),
('font', 0, 2531, 2531, 'und', 0, 19),
('font', 0, 2532, 2532, 'und', 0, 21),
('font', 0, 2533, 2533, 'und', 0, 19),
('font', 0, 2534, 2534, 'und', 0, 21),
('font', 0, 2535, 2535, 'und', 0, 19),
('font', 0, 2536, 2536, 'und', 0, 21),
('font', 0, 2537, 2537, 'und', 0, 19),
('font', 0, 2538, 2538, 'und', 0, 21),
('font', 0, 2539, 2539, 'und', 0, 19),
('font', 0, 2540, 2540, 'und', 0, 21),
('font', 0, 2541, 2541, 'und', 0, 19),
('font', 0, 2542, 2542, 'und', 0, 36),
('font', 0, 2543, 2543, 'und', 0, 21),
('font', 0, 2544, 2544, 'und', 0, 19),
('font', 0, 2545, 2545, 'und', 0, 21),
('font', 0, 2546, 2546, 'und', 0, 19),
('font', 0, 2547, 2547, 'und', 0, 21),
('font', 0, 2548, 2548, 'und', 0, 19),
('font', 0, 2549, 2549, 'und', 0, 21),
('font', 0, 2550, 2550, 'und', 0, 19),
('font', 0, 2551, 2551, 'und', 0, 24),
('font', 0, 2552, 2552, 'und', 0, 21),
('font', 0, 2553, 2553, 'und', 0, 19),
('font', 0, 2554, 2554, 'und', 0, 24),
('font', 0, 2555, 2555, 'und', 0, 21),
('font', 0, 2556, 2556, 'und', 0, 19),
('font', 0, 2557, 2557, 'und', 0, 19),
('font', 0, 2558, 2558, 'und', 0, 31),
('font', 0, 2559, 2559, 'und', 0, 19),
('font', 0, 2560, 2560, 'und', 0, 32),
('font', 0, 2561, 2561, 'und', 0, 21),
('font', 0, 2562, 2562, 'und', 0, 19),
('font', 0, 2563, 2563, 'und', 0, 21),
('font', 0, 2564, 2564, 'und', 0, 19),
('font', 0, 2565, 2565, 'und', 0, 28),
('font', 0, 2566, 2566, 'und', 0, 19),
('font', 0, 2567, 2567, 'und', 0, 21),
('font', 0, 2568, 2568, 'und', 0, 23),
('font', 0, 2569, 2569, 'und', 0, 28),
('font', 0, 2570, 2570, 'und', 0, 19),
('font', 0, 2571, 2571, 'und', 0, 21),
('font', 0, 2572, 2572, 'und', 0, 23),
('font', 0, 2573, 2573, 'und', 0, 28),
('font', 0, 2574, 2574, 'und', 0, 19),
('font', 0, 2575, 2575, 'und', 0, 21),
('font', 0, 2576, 2576, 'und', 0, 23),
('font', 0, 2577, 2577, 'und', 0, 28),
('font', 0, 2578, 2578, 'und', 0, 19),
('font', 0, 2579, 2579, 'und', 0, 21),
('font', 0, 2580, 2580, 'und', 0, 23),
('font', 0, 2581, 2581, 'und', 0, 19),
('font', 0, 2582, 2582, 'und', 0, 19),
('font', 0, 2583, 2583, 'und', 0, 24),
('font', 0, 2584, 2584, 'und', 0, 21),
('font', 0, 2585, 2585, 'und', 0, 19),
('font', 0, 2586, 2586, 'und', 0, 24),
('font', 0, 2587, 2587, 'und', 0, 21),
('font', 0, 2588, 2588, 'und', 0, 19),
('font', 0, 2589, 2589, 'und', 0, 24),
('font', 0, 2590, 2590, 'und', 0, 21),
('font', 0, 2591, 2591, 'und', 0, 19),
('font', 0, 2592, 2592, 'und', 0, 24),
('font', 0, 2593, 2593, 'und', 0, 21),
('font', 0, 2594, 2594, 'und', 0, 19),
('font', 0, 2595, 2595, 'und', 0, 24),
('font', 0, 2596, 2596, 'und', 0, 21),
('font', 0, 2597, 2597, 'und', 0, 19),
('font', 0, 2598, 2598, 'und', 0, 24),
('font', 0, 2599, 2599, 'und', 0, 21),
('font', 0, 2600, 2600, 'und', 0, 19),
('font', 0, 2601, 2601, 'und', 0, 24),
('font', 0, 2602, 2602, 'und', 0, 21),
('font', 0, 2603, 2603, 'und', 0, 19),
('font', 0, 2604, 2604, 'und', 0, 21),
('font', 0, 2605, 2605, 'und', 0, 19),
('font', 0, 2606, 2606, 'und', 0, 21),
('font', 0, 2607, 2607, 'und', 0, 19),
('font', 0, 2608, 2608, 'und', 0, 19),
('font', 0, 2609, 2609, 'und', 0, 21),
('font', 0, 2610, 2610, 'und', 0, 19),
('font', 0, 2611, 2611, 'und', 0, 21),
('font', 0, 2612, 2612, 'und', 0, 19),
('font', 0, 2613, 2613, 'und', 0, 21),
('font', 0, 2614, 2614, 'und', 0, 19),
('font', 0, 2615, 2615, 'und', 0, 21),
('font', 0, 2616, 2616, 'und', 0, 19),
('font', 0, 2617, 2617, 'und', 0, 19),
('font', 0, 2618, 2618, 'und', 0, 19),
('font', 0, 2619, 2619, 'und', 0, 19),
('font', 0, 2620, 2620, 'und', 0, 19),
('font', 0, 2621, 2621, 'und', 0, 19),
('font', 0, 2622, 2622, 'und', 0, 19),
('font', 0, 2623, 2623, 'und', 0, 19),
('font', 0, 2624, 2624, 'und', 0, 19),
('font', 0, 2625, 2625, 'und', 0, 19),
('font', 0, 2626, 2626, 'und', 0, 19),
('font', 0, 2627, 2627, 'und', 0, 19),
('font', 0, 2628, 2628, 'und', 0, 19),
('font', 0, 2629, 2629, 'und', 0, 19),
('font', 0, 2630, 2630, 'und', 0, 19),
('font', 0, 2631, 2631, 'und', 0, 19),
('font', 0, 2632, 2632, 'und', 0, 19),
('font', 0, 2633, 2633, 'und', 0, 19),
('font', 0, 2634, 2634, 'und', 0, 21),
('font', 0, 2635, 2635, 'und', 0, 19),
('font', 0, 2636, 2636, 'und', 0, 19),
('font', 0, 2637, 2637, 'und', 0, 19),
('font', 0, 2638, 2638, 'und', 0, 35),
('font', 0, 2639, 2639, 'und', 0, 21),
('font', 0, 2640, 2640, 'und', 0, 19),
('font', 0, 2641, 2641, 'und', 0, 35),
('font', 0, 2642, 2642, 'und', 0, 21),
('font', 0, 2643, 2643, 'und', 0, 19),
('font', 0, 2644, 2644, 'und', 0, 35),
('font', 0, 2645, 2645, 'und', 0, 21),
('font', 0, 2646, 2646, 'und', 0, 19),
('font', 0, 2647, 2647, 'und', 0, 35),
('font', 0, 2648, 2648, 'und', 0, 21),
('font', 0, 2649, 2649, 'und', 0, 19),
('font', 0, 2650, 2650, 'und', 0, 35),
('font', 0, 2651, 2651, 'und', 0, 21),
('font', 0, 2652, 2652, 'und', 0, 38),
('font', 0, 2653, 2653, 'und', 0, 19),
('font', 0, 2654, 2654, 'und', 0, 21),
('font', 0, 2655, 2655, 'und', 0, 38),
('font', 0, 2656, 2656, 'und', 0, 19),
('font', 0, 2657, 2657, 'und', 0, 21),
('font', 0, 2658, 2658, 'und', 0, 38),
('font', 0, 2659, 2659, 'und', 0, 19),
('font', 0, 2660, 2660, 'und', 0, 21),
('font', 0, 2661, 2661, 'und', 0, 38),
('font', 0, 2662, 2662, 'und', 0, 19),
('font', 0, 2663, 2663, 'und', 0, 21),
('font', 0, 2664, 2664, 'und', 0, 38),
('font', 0, 2665, 2665, 'und', 0, 19),
('font', 0, 2666, 2666, 'und', 0, 21),
('font', 0, 2667, 2667, 'und', 0, 19),
('font', 0, 2668, 2668, 'und', 0, 37),
('font', 0, 2669, 2669, 'und', 0, 21),
('font', 0, 2670, 2670, 'und', 0, 19),
('font', 0, 2671, 2671, 'und', 0, 37),
('font', 0, 2672, 2672, 'und', 0, 21),
('font', 0, 2673, 2673, 'und', 0, 19),
('font', 0, 2674, 2674, 'und', 0, 37),
('font', 0, 2675, 2675, 'und', 0, 21),
('font', 0, 2676, 2676, 'und', 0, 19),
('font', 0, 2677, 2677, 'und', 0, 37),
('font', 0, 2678, 2678, 'und', 0, 21),
('font', 0, 2679, 2679, 'und', 0, 19),
('font', 0, 2680, 2680, 'und', 0, 37),
('font', 0, 2681, 2681, 'und', 0, 21),
('font', 0, 2682, 2682, 'und', 0, 19),
('font', 0, 2683, 2683, 'und', 0, 33),
('font', 0, 2684, 2684, 'und', 0, 21),
('font', 0, 2685, 2685, 'und', 0, 19),
('font', 0, 2686, 2686, 'und', 0, 33),
('font', 0, 2687, 2687, 'und', 0, 21),
('font', 0, 2688, 2688, 'und', 0, 19),
('font', 0, 2689, 2689, 'und', 0, 33),
('font', 0, 2690, 2690, 'und', 0, 21),
('font', 0, 2691, 2691, 'und', 0, 19),
('font', 0, 2692, 2692, 'und', 0, 33),
('font', 0, 2693, 2693, 'und', 0, 21),
('font', 0, 2694, 2694, 'und', 0, 19),
('font', 0, 2695, 2695, 'und', 0, 33),
('font', 0, 2696, 2696, 'und', 0, 21),
('font', 0, 2697, 2697, 'und', 0, 19),
('font', 0, 2698, 2698, 'und', 0, 24),
('font', 0, 2699, 2699, 'und', 0, 21),
('font', 0, 2700, 2700, 'und', 0, 19),
('font', 0, 2701, 2701, 'und', 0, 24),
('font', 0, 2702, 2702, 'und', 0, 21),
('font', 0, 2703, 2703, 'und', 0, 19),
('font', 0, 2704, 2704, 'und', 0, 24),
('font', 0, 2705, 2705, 'und', 0, 21),
('font', 0, 2706, 2706, 'und', 0, 19),
('font', 0, 2707, 2707, 'und', 0, 24),
('font', 0, 2708, 2708, 'und', 0, 21),
('font', 0, 2709, 2709, 'und', 0, 19),
('font', 0, 2710, 2710, 'und', 0, 24),
('font', 0, 2711, 2711, 'und', 0, 21),
('font', 0, 2712, 2712, 'und', 0, 19),
('font', 0, 2713, 2713, 'und', 0, 21),
('font', 0, 2714, 2714, 'und', 0, 19),
('font', 0, 2715, 2715, 'und', 0, 19),
('font', 0, 2716, 2716, 'und', 0, 26),
('font', 0, 2717, 2717, 'und', 0, 19),
('font', 0, 2718, 2718, 'und', 0, 26),
('font', 0, 2719, 2719, 'und', 0, 19),
('font', 0, 2720, 2720, 'und', 0, 26),
('font', 0, 2721, 2721, 'und', 0, 19),
('font', 0, 2722, 2722, 'und', 0, 26),
('font', 0, 2723, 2723, 'und', 0, 19),
('font', 0, 2724, 2724, 'und', 0, 26),
('font', 0, 2725, 2725, 'und', 0, 19),
('font', 0, 2726, 2726, 'und', 0, 26),
('font', 0, 2727, 2727, 'und', 0, 19),
('font', 0, 2728, 2728, 'und', 0, 26),
('font', 0, 2729, 2729, 'und', 0, 19),
('font', 0, 2730, 2730, 'und', 0, 21),
('font', 0, 2731, 2731, 'und', 0, 19),
('font', 0, 2732, 2732, 'und', 0, 36),
('font', 0, 2733, 2733, 'und', 0, 19),
('font', 0, 2734, 2734, 'und', 0, 21),
('font', 0, 2735, 2735, 'und', 0, 34),
('font', 0, 2736, 2736, 'und', 0, 34),
('font', 0, 2737, 2737, 'und', 0, 19),
('font', 0, 2738, 2738, 'und', 0, 19),
('font', 0, 2739, 2739, 'und', 0, 21),
('font', 0, 2740, 2740, 'und', 0, 19),
('font', 0, 2741, 2741, 'und', 0, 21),
('font', 0, 2742, 2742, 'und', 0, 19),
('font', 0, 2743, 2743, 'und', 0, 21),
('font', 0, 2744, 2744, 'und', 0, 19),
('font', 0, 2745, 2745, 'und', 0, 24),
('font', 0, 2746, 2746, 'und', 0, 21),
('font', 0, 2747, 2747, 'und', 0, 19),
('font', 0, 2748, 2748, 'und', 0, 24),
('font', 0, 2749, 2749, 'und', 0, 21);
INSERT INTO `font__field_supported_languages` VALUES
('font', 0, 2750, 2750, 'und', 0, 19),
('font', 0, 2751, 2751, 'und', 0, 24),
('font', 0, 2752, 2752, 'und', 0, 21),
('font', 0, 2753, 2753, 'und', 0, 19),
('font', 0, 2754, 2754, 'und', 0, 24),
('font', 0, 2755, 2755, 'und', 0, 21),
('font', 0, 2756, 2756, 'und', 0, 19),
('font', 0, 2757, 2757, 'und', 0, 24),
('font', 0, 2758, 2758, 'und', 0, 21),
('font', 0, 2759, 2759, 'und', 0, 19),
('font', 0, 2760, 2760, 'und', 0, 21),
('font', 0, 2761, 2761, 'und', 0, 19),
('font', 0, 2762, 2762, 'und', 0, 33),
('font', 0, 2763, 2763, 'und', 0, 19),
('font', 0, 2764, 2764, 'und', 0, 21),
('font', 0, 2765, 2765, 'und', 0, 19),
('font', 0, 2766, 2766, 'und', 0, 21),
('font', 0, 2767, 2767, 'und', 0, 19),
('font', 0, 2768, 2768, 'und', 0, 21),
('font', 0, 2769, 2769, 'und', 0, 19),
('font', 0, 2770, 2770, 'und', 0, 21),
('font', 0, 2771, 2771, 'und', 0, 19),
('font', 0, 2772, 2772, 'und', 0, 21),
('font', 0, 2773, 2773, 'und', 0, 19),
('font', 0, 2774, 2774, 'und', 0, 21),
('font', 0, 2775, 2775, 'und', 0, 19),
('font', 0, 2776, 2776, 'und', 0, 19),
('font', 0, 2777, 2777, 'und', 0, 21),
('font', 0, 2778, 2778, 'und', 0, 19),
('font', 0, 2779, 2779, 'und', 0, 19),
('font', 0, 2780, 2780, 'und', 0, 19),
('font', 0, 2781, 2781, 'und', 0, 19),
('font', 0, 2782, 2782, 'und', 0, 19),
('font', 0, 2783, 2783, 'und', 0, 19),
('font', 0, 2784, 2784, 'und', 0, 19),
('font', 0, 2785, 2785, 'und', 0, 19),
('font', 0, 2786, 2786, 'und', 0, 24),
('font', 0, 2787, 2787, 'und', 0, 21),
('font', 0, 2788, 2788, 'und', 0, 19),
('font', 0, 2789, 2789, 'und', 0, 24),
('font', 0, 2790, 2790, 'und', 0, 21),
('font', 0, 2791, 2791, 'und', 0, 19),
('font', 0, 2792, 2792, 'und', 0, 21),
('font', 0, 2793, 2793, 'und', 0, 19),
('font', 0, 2794, 2794, 'und', 0, 19),
('font', 0, 2795, 2795, 'und', 0, 21),
('font', 0, 2796, 2796, 'und', 0, 19),
('font', 0, 2797, 2797, 'und', 0, 33),
('font', 0, 2798, 2798, 'und', 0, 19),
('font', 0, 2799, 2799, 'und', 0, 19),
('font', 0, 2800, 2800, 'und', 0, 19),
('font', 0, 2801, 2801, 'und', 0, 19),
('font', 0, 2802, 2802, 'und', 0, 19),
('font', 0, 2803, 2803, 'und', 0, 19),
('font', 0, 2804, 2804, 'und', 0, 21),
('font', 0, 2805, 2805, 'und', 0, 19),
('font', 0, 2806, 2806, 'und', 0, 21),
('font', 0, 2807, 2807, 'und', 0, 19),
('font', 0, 2808, 2808, 'und', 0, 21),
('font', 0, 2809, 2809, 'und', 0, 19),
('font', 0, 2810, 2810, 'und', 0, 21),
('font', 0, 2811, 2811, 'und', 0, 19),
('font', 0, 2812, 2812, 'und', 0, 21),
('font', 0, 2813, 2813, 'und', 0, 19),
('font', 0, 2814, 2814, 'und', 0, 21),
('font', 0, 2815, 2815, 'und', 0, 19),
('font', 0, 2816, 2816, 'und', 0, 21),
('font', 0, 2817, 2817, 'und', 0, 19),
('font', 0, 2818, 2818, 'und', 0, 21),
('font', 0, 2819, 2819, 'und', 0, 19),
('font', 0, 2820, 2820, 'und', 0, 21),
('font', 0, 2821, 2821, 'und', 0, 19),
('font', 0, 2822, 2822, 'und', 0, 38),
('font', 0, 2823, 2823, 'und', 0, 19),
('font', 0, 2824, 2824, 'und', 0, 19),
('font', 0, 2825, 2825, 'und', 0, 21),
('font', 0, 2826, 2826, 'und', 0, 19),
('font', 0, 2827, 2827, 'und', 0, 21),
('font', 0, 2828, 2828, 'und', 0, 30),
('font', 0, 2829, 2829, 'und', 0, 30),
('font', 0, 2830, 2830, 'und', 0, 30),
('font', 0, 2831, 2831, 'und', 0, 30),
('font', 0, 2832, 2832, 'und', 0, 30),
('font', 0, 2833, 2833, 'und', 0, 19),
('font', 0, 2834, 2834, 'und', 0, 19),
('font', 0, 2835, 2835, 'und', 0, 21),
('font', 0, 2836, 2836, 'und', 0, 19),
('font', 0, 2837, 2837, 'und', 0, 19),
('font', 0, 2838, 2838, 'und', 0, 21),
('font', 0, 2839, 2839, 'und', 0, 34),
('font', 0, 2840, 2840, 'und', 0, 19),
('font', 0, 2841, 2841, 'und', 0, 19),
('font', 0, 2842, 2842, 'und', 0, 19),
('font', 0, 2843, 2843, 'und', 0, 21),
('font', 0, 2844, 2844, 'und', 0, 19),
('font', 0, 2845, 2845, 'und', 0, 26),
('font', 0, 2846, 2846, 'und', 0, 21),
('font', 0, 2847, 2847, 'und', 0, 19),
('font', 0, 2848, 2848, 'und', 0, 26),
('font', 0, 2849, 2849, 'und', 0, 21),
('font', 0, 2850, 2850, 'und', 0, 19),
('font', 0, 2851, 2851, 'und', 0, 26),
('font', 0, 2852, 2852, 'und', 0, 21),
('font', 0, 2853, 2853, 'und', 0, 19),
('font', 0, 2854, 2854, 'und', 0, 26),
('font', 0, 2855, 2855, 'und', 0, 21),
('font', 0, 2856, 2856, 'und', 0, 19),
('font', 0, 2857, 2857, 'und', 0, 26),
('font', 0, 2858, 2858, 'und', 0, 21),
('font', 0, 2859, 2859, 'und', 0, 19),
('font', 0, 2860, 2860, 'und', 0, 21),
('font', 0, 2861, 2861, 'und', 0, 28),
('font', 0, 2862, 2862, 'und', 0, 19),
('font', 0, 2863, 2863, 'und', 0, 21),
('font', 0, 2864, 2864, 'und', 0, 23),
('font', 0, 2865, 2865, 'und', 0, 19),
('font', 0, 2866, 2866, 'und', 0, 19),
('font', 0, 2867, 2867, 'und', 0, 21),
('font', 0, 2868, 2868, 'und', 0, 19),
('font', 0, 2869, 2869, 'und', 0, 21),
('font', 0, 2870, 2870, 'und', 0, 19),
('font', 0, 2871, 2871, 'und', 0, 19),
('font', 0, 2872, 2872, 'und', 0, 19),
('font', 0, 2873, 2873, 'und', 0, 19),
('font', 0, 2874, 2874, 'und', 0, 19),
('font', 0, 2875, 2875, 'und', 0, 21),
('font', 0, 2876, 2876, 'und', 0, 28),
('font', 0, 2877, 2877, 'und', 0, 19),
('font', 0, 2878, 2878, 'und', 0, 30),
('font', 0, 2879, 2879, 'und', 0, 21),
('font', 0, 2880, 2880, 'und', 0, 23),
('font', 0, 2881, 2881, 'und', 0, 28),
('font', 0, 2882, 2882, 'und', 0, 19),
('font', 0, 2883, 2883, 'und', 0, 30),
('font', 0, 2884, 2884, 'und', 0, 21),
('font', 0, 2885, 2885, 'und', 0, 23),
('font', 0, 2886, 2886, 'und', 0, 28),
('font', 0, 2887, 2887, 'und', 0, 19),
('font', 0, 2888, 2888, 'und', 0, 30),
('font', 0, 2889, 2889, 'und', 0, 21),
('font', 0, 2890, 2890, 'und', 0, 23),
('font', 0, 2891, 2891, 'und', 0, 28),
('font', 0, 2892, 2892, 'und', 0, 19),
('font', 0, 2893, 2893, 'und', 0, 30),
('font', 0, 2894, 2894, 'und', 0, 21),
('font', 0, 2895, 2895, 'und', 0, 23),
('font', 0, 2896, 2896, 'und', 0, 28),
('font', 0, 2897, 2897, 'und', 0, 19),
('font', 0, 2898, 2898, 'und', 0, 30),
('font', 0, 2899, 2899, 'und', 0, 21),
('font', 0, 2900, 2900, 'und', 0, 23),
('font', 0, 2901, 2901, 'und', 0, 28),
('font', 0, 2902, 2902, 'und', 0, 19),
('font', 0, 2903, 2903, 'und', 0, 30),
('font', 0, 2904, 2904, 'und', 0, 21),
('font', 0, 2905, 2905, 'und', 0, 23),
('font', 0, 2906, 2906, 'und', 0, 28),
('font', 0, 2907, 2907, 'und', 0, 19),
('font', 0, 2908, 2908, 'und', 0, 30),
('font', 0, 2909, 2909, 'und', 0, 21),
('font', 0, 2910, 2910, 'und', 0, 23),
('font', 0, 2911, 2911, 'und', 0, 28),
('font', 0, 2912, 2912, 'und', 0, 19),
('font', 0, 2913, 2913, 'und', 0, 30),
('font', 0, 2914, 2914, 'und', 0, 21),
('font', 0, 2915, 2915, 'und', 0, 23),
('font', 0, 2916, 2916, 'und', 0, 28),
('font', 0, 2917, 2917, 'und', 0, 19),
('font', 0, 2918, 2918, 'und', 0, 30),
('font', 0, 2919, 2919, 'und', 0, 21),
('font', 0, 2920, 2920, 'und', 0, 23),
('font', 0, 2921, 2921, 'und', 0, 28),
('font', 0, 2922, 2922, 'und', 0, 19),
('font', 0, 2923, 2923, 'und', 0, 30),
('font', 0, 2924, 2924, 'und', 0, 21),
('font', 0, 2925, 2925, 'und', 0, 23),
('font', 0, 2926, 2926, 'und', 0, 19),
('font', 0, 2927, 2927, 'und', 0, 19),
('font', 0, 2928, 2928, 'und', 0, 21),
('font', 0, 2929, 2929, 'und', 0, 19),
('font', 0, 2930, 2930, 'und', 0, 21),
('font', 0, 2931, 2931, 'und', 0, 19),
('font', 0, 2932, 2932, 'und', 0, 19),
('font', 0, 2933, 2933, 'und', 0, 19),
('font', 0, 2934, 2934, 'und', 0, 21),
('font', 0, 2935, 2935, 'und', 0, 34),
('font', 0, 2936, 2936, 'und', 0, 19),
('font', 0, 2937, 2937, 'und', 0, 19),
('font', 0, 2938, 2938, 'und', 0, 19),
('font', 0, 2939, 2939, 'und', 0, 19),
('font', 0, 2940, 2940, 'und', 0, 35),
('font', 0, 2941, 2941, 'und', 0, 32),
('font', 0, 2942, 2942, 'und', 0, 21),
('font', 0, 2943, 2943, 'und', 0, 19),
('font', 0, 2944, 2944, 'und', 0, 19),
('font', 0, 2945, 2945, 'und', 0, 19),
('font', 0, 2946, 2946, 'und', 0, 19),
('font', 0, 2947, 2947, 'und', 0, 19),
('font', 0, 2948, 2948, 'und', 0, 19),
('font', 0, 2949, 2949, 'und', 0, 19),
('font', 0, 2950, 2950, 'und', 0, 19),
('font', 0, 2951, 2951, 'und', 0, 19),
('font', 0, 2952, 2952, 'und', 0, 19),
('font', 0, 2953, 2953, 'und', 0, 19),
('font', 0, 2954, 2954, 'und', 0, 21),
('font', 0, 2955, 2955, 'und', 0, 23),
('font', 0, 2956, 2956, 'und', 0, 19),
('font', 0, 2957, 2957, 'und', 0, 21),
('font', 0, 2958, 2958, 'und', 0, 23),
('font', 0, 2959, 2959, 'und', 0, 19),
('font', 0, 2960, 2960, 'und', 0, 21),
('font', 0, 2961, 2961, 'und', 0, 23),
('font', 0, 2962, 2962, 'und', 0, 19),
('font', 0, 2963, 2963, 'und', 0, 21),
('font', 0, 2964, 2964, 'und', 0, 23),
('font', 0, 2965, 2965, 'und', 0, 19),
('font', 0, 2966, 2966, 'und', 0, 21),
('font', 0, 2967, 2967, 'und', 0, 23),
('font', 0, 2968, 2968, 'und', 0, 19),
('font', 0, 2969, 2969, 'und', 0, 21),
('font', 0, 2970, 2970, 'und', 0, 23),
('font', 0, 2971, 2971, 'und', 0, 19),
('font', 0, 2972, 2972, 'und', 0, 21),
('font', 0, 2973, 2973, 'und', 0, 23),
('font', 0, 2974, 2974, 'und', 0, 19),
('font', 0, 2975, 2975, 'und', 0, 21),
('font', 0, 2976, 2976, 'und', 0, 23),
('font', 0, 2977, 2977, 'und', 0, 19),
('font', 0, 2978, 2978, 'und', 0, 21),
('font', 0, 2979, 2979, 'und', 0, 23),
('font', 0, 2980, 2980, 'und', 0, 19),
('font', 0, 2981, 2981, 'und', 0, 21),
('font', 0, 2982, 2982, 'und', 0, 23),
('font', 0, 2983, 2983, 'und', 0, 19),
('font', 0, 2984, 2984, 'und', 0, 21),
('font', 0, 2985, 2985, 'und', 0, 23),
('font', 0, 2986, 2986, 'und', 0, 19),
('font', 0, 2987, 2987, 'und', 0, 21),
('font', 0, 2988, 2988, 'und', 0, 23),
('font', 0, 2989, 2989, 'und', 0, 19),
('font', 0, 2990, 2990, 'und', 0, 21),
('font', 0, 2991, 2991, 'und', 0, 23),
('font', 0, 2992, 2992, 'und', 0, 19),
('font', 0, 2993, 2993, 'und', 0, 21),
('font', 0, 2994, 2994, 'und', 0, 23),
('font', 0, 2995, 2995, 'und', 0, 19),
('font', 0, 2996, 2996, 'und', 0, 21),
('font', 0, 2997, 2997, 'und', 0, 23),
('font', 0, 2998, 2998, 'und', 0, 19),
('font', 0, 2999, 2999, 'und', 0, 21),
('font', 0, 3000, 3000, 'und', 0, 23),
('font', 0, 3001, 3001, 'und', 0, 19),
('font', 0, 3002, 3002, 'und', 0, 21),
('font', 0, 3003, 3003, 'und', 0, 23),
('font', 0, 3004, 3004, 'und', 0, 19),
('font', 0, 3005, 3005, 'und', 0, 21),
('font', 0, 3006, 3006, 'und', 0, 23),
('font', 0, 3007, 3007, 'und', 0, 19),
('font', 0, 3008, 3008, 'und', 0, 21),
('font', 0, 3009, 3009, 'und', 0, 19),
('font', 0, 3010, 3010, 'und', 0, 21),
('font', 0, 3011, 3011, 'und', 0, 19),
('font', 0, 3012, 3012, 'und', 0, 21),
('font', 0, 3013, 3013, 'und', 0, 19),
('font', 0, 3014, 3014, 'und', 0, 21),
('font', 0, 3015, 3015, 'und', 0, 19),
('font', 0, 3016, 3016, 'und', 0, 21),
('font', 0, 3017, 3017, 'und', 0, 19),
('font', 0, 3018, 3018, 'und', 0, 21),
('font', 0, 3019, 3019, 'und', 0, 19),
('font', 0, 3020, 3020, 'und', 0, 21),
('font', 0, 3021, 3021, 'und', 0, 19),
('font', 0, 3022, 3022, 'und', 0, 21),
('font', 0, 3023, 3023, 'und', 0, 19),
('font', 0, 3024, 3024, 'und', 0, 21),
('font', 0, 3025, 3025, 'und', 0, 19),
('font', 0, 3026, 3026, 'und', 0, 21),
('font', 0, 3027, 3027, 'und', 0, 19),
('font', 0, 3028, 3028, 'und', 0, 21),
('font', 0, 3029, 3029, 'und', 0, 19),
('font', 0, 3030, 3030, 'und', 0, 21),
('font', 0, 3031, 3031, 'und', 0, 19),
('font', 0, 3032, 3032, 'und', 0, 21),
('font', 0, 3033, 3033, 'und', 0, 19),
('font', 0, 3034, 3034, 'und', 0, 21),
('font', 0, 3035, 3035, 'und', 0, 19),
('font', 0, 3036, 3036, 'und', 0, 21),
('font', 0, 3037, 3037, 'und', 0, 19),
('font', 0, 3038, 3038, 'und', 0, 21),
('font', 0, 3039, 3039, 'und', 0, 19),
('font', 0, 3040, 3040, 'und', 0, 21),
('font', 0, 3041, 3041, 'und', 0, 19),
('font', 0, 3042, 3042, 'und', 0, 21),
('font', 0, 3043, 3043, 'und', 0, 19),
('font', 0, 3044, 3044, 'und', 0, 21),
('font', 0, 3045, 3045, 'und', 0, 19),
('font', 0, 3046, 3046, 'und', 0, 21),
('font', 0, 3047, 3047, 'und', 0, 19),
('font', 0, 3048, 3048, 'und', 0, 21),
('font', 0, 3049, 3049, 'und', 0, 19),
('font', 0, 3050, 3050, 'und', 0, 21),
('font', 0, 3051, 3051, 'und', 0, 19),
('font', 0, 3052, 3052, 'und', 0, 21),
('font', 0, 3053, 3053, 'und', 0, 19),
('font', 0, 3054, 3054, 'und', 0, 21),
('font', 0, 3055, 3055, 'und', 0, 19),
('font', 0, 3056, 3056, 'und', 0, 21),
('font', 0, 3057, 3057, 'und', 0, 19),
('font', 0, 3058, 3058, 'und', 0, 19),
('font', 0, 3059, 3059, 'und', 0, 21),
('font', 0, 3060, 3060, 'und', 0, 19),
('font', 0, 3061, 3061, 'und', 0, 21),
('font', 0, 3062, 3062, 'und', 0, 19),
('font', 0, 3063, 3063, 'und', 0, 21),
('font', 0, 3064, 3064, 'und', 0, 19),
('font', 0, 3065, 3065, 'und', 0, 21),
('font', 0, 3066, 3066, 'und', 0, 19),
('font', 0, 3067, 3067, 'und', 0, 21),
('font', 0, 3068, 3068, 'und', 0, 19),
('font', 0, 3069, 3069, 'und', 0, 21),
('font', 0, 3070, 3070, 'und', 0, 19),
('font', 0, 3071, 3071, 'und', 0, 19),
('font', 0, 3072, 3072, 'und', 0, 36),
('font', 0, 3073, 3073, 'und', 0, 23),
('font', 0, 3074, 3074, 'und', 0, 19),
('font', 0, 3075, 3075, 'und', 0, 36),
('font', 0, 3076, 3076, 'und', 0, 23),
('font', 0, 3077, 3077, 'und', 0, 19),
('font', 0, 3078, 3078, 'und', 0, 36),
('font', 0, 3079, 3079, 'und', 0, 23),
('font', 0, 3080, 3080, 'und', 0, 19),
('font', 0, 3081, 3081, 'und', 0, 36),
('font', 0, 3082, 3082, 'und', 0, 23),
('font', 0, 3083, 3083, 'und', 0, 19),
('font', 0, 3084, 3084, 'und', 0, 24),
('font', 0, 3085, 3085, 'und', 0, 21),
('font', 0, 3086, 3086, 'und', 0, 19),
('font', 0, 3087, 3087, 'und', 0, 24),
('font', 0, 3088, 3088, 'und', 0, 21),
('font', 0, 3089, 3089, 'und', 0, 19),
('font', 0, 3090, 3090, 'und', 0, 24),
('font', 0, 3091, 3091, 'und', 0, 21),
('font', 0, 3092, 3092, 'und', 0, 19),
('font', 0, 3093, 3093, 'und', 0, 24),
('font', 0, 3094, 3094, 'und', 0, 21),
('font', 0, 3095, 3095, 'und', 0, 19),
('font', 0, 3096, 3096, 'und', 0, 24),
('font', 0, 3097, 3097, 'und', 0, 21),
('font', 0, 3098, 3098, 'und', 0, 19),
('font', 0, 3099, 3099, 'und', 0, 24),
('font', 0, 3100, 3100, 'und', 0, 21),
('font', 0, 3101, 3101, 'und', 0, 19),
('font', 0, 3102, 3102, 'und', 0, 24),
('font', 0, 3103, 3103, 'und', 0, 21),
('font', 0, 3104, 3104, 'und', 0, 19),
('font', 0, 3105, 3105, 'und', 0, 24),
('font', 0, 3106, 3106, 'und', 0, 21),
('font', 0, 3107, 3107, 'und', 0, 19),
('font', 0, 3108, 3108, 'und', 0, 24),
('font', 0, 3109, 3109, 'und', 0, 21),
('font', 0, 3110, 3110, 'und', 0, 19),
('font', 0, 3111, 3111, 'und', 0, 24),
('font', 0, 3112, 3112, 'und', 0, 21),
('font', 0, 3113, 3113, 'und', 0, 19),
('font', 0, 3114, 3114, 'und', 0, 24),
('font', 0, 3115, 3115, 'und', 0, 21),
('font', 0, 3116, 3116, 'und', 0, 19),
('font', 0, 3117, 3117, 'und', 0, 24),
('font', 0, 3118, 3118, 'und', 0, 21),
('font', 0, 3119, 3119, 'und', 0, 19),
('font', 0, 3120, 3120, 'und', 0, 21),
('font', 0, 3121, 3121, 'und', 0, 19),
('font', 0, 3122, 3122, 'und', 0, 21),
('font', 0, 3123, 3123, 'und', 0, 19),
('font', 0, 3124, 3124, 'und', 0, 21),
('font', 0, 3125, 3125, 'und', 0, 19),
('font', 0, 3126, 3126, 'und', 0, 21),
('font', 0, 3127, 3127, 'und', 0, 19),
('font', 0, 3128, 3128, 'und', 0, 21),
('font', 0, 3129, 3129, 'und', 0, 19),
('font', 0, 3130, 3130, 'und', 0, 21),
('font', 0, 3131, 3131, 'und', 0, 28),
('font', 0, 3132, 3132, 'und', 0, 19),
('font', 0, 3133, 3133, 'und', 0, 32),
('font', 0, 3134, 3134, 'und', 0, 21),
('font', 0, 3135, 3135, 'und', 0, 23),
('font', 0, 3136, 3136, 'und', 0, 19),
('font', 0, 3137, 3137, 'und', 0, 21),
('font', 0, 3138, 3138, 'und', 0, 19),
('font', 0, 3139, 3139, 'und', 0, 21),
('font', 0, 3140, 3140, 'und', 0, 19),
('font', 0, 3141, 3141, 'und', 0, 19),
('font', 0, 3142, 3142, 'und', 0, 19),
('font', 0, 3143, 3143, 'und', 0, 19),
('font', 0, 3144, 3144, 'und', 0, 19),
('font', 0, 3145, 3145, 'und', 0, 19),
('font', 0, 3146, 3146, 'und', 0, 19),
('font', 0, 3147, 3147, 'und', 0, 19),
('font', 0, 3148, 3148, 'und', 0, 21),
('font', 0, 3149, 3149, 'und', 0, 19),
('font', 0, 3150, 3150, 'und', 0, 21),
('font', 0, 3151, 3151, 'und', 0, 19),
('font', 0, 3152, 3152, 'und', 0, 21),
('font', 0, 3153, 3153, 'und', 0, 19),
('font', 0, 3154, 3154, 'und', 0, 21),
('font', 0, 3155, 3155, 'und', 0, 19),
('font', 0, 3156, 3156, 'und', 0, 21),
('font', 0, 3157, 3157, 'und', 0, 19),
('font', 0, 3158, 3158, 'und', 0, 21),
('font', 0, 3159, 3159, 'und', 0, 19),
('font', 0, 3160, 3160, 'und', 0, 21),
('font', 0, 3161, 3161, 'und', 0, 19),
('font', 0, 3162, 3162, 'und', 0, 21),
('font', 0, 3163, 3163, 'und', 0, 19),
('font', 0, 3164, 3164, 'und', 0, 19),
('font', 0, 3165, 3165, 'und', 0, 21),
('font', 0, 3166, 3166, 'und', 0, 19),
('font', 0, 3167, 3167, 'und', 0, 21),
('font', 0, 3168, 3168, 'und', 0, 19),
('font', 0, 3169, 3169, 'und', 0, 21),
('font', 0, 3170, 3170, 'und', 0, 19),
('font', 0, 3171, 3171, 'und', 0, 21),
('font', 0, 3172, 3172, 'und', 0, 19),
('font', 0, 3173, 3173, 'und', 0, 21),
('font', 0, 3174, 3174, 'und', 0, 19),
('font', 0, 3175, 3175, 'und', 0, 21),
('font', 0, 3176, 3176, 'und', 0, 28),
('font', 0, 3177, 3177, 'und', 0, 19),
('font', 0, 3178, 3178, 'und', 0, 29),
('font', 0, 3179, 3179, 'und', 0, 30),
('font', 0, 3180, 3180, 'und', 0, 21),
('font', 0, 3181, 3181, 'und', 0, 23),
('font', 0, 3182, 3182, 'und', 0, 19),
('font', 0, 3183, 3183, 'und', 0, 33),
('font', 0, 3184, 3184, 'und', 0, 19),
('font', 0, 3185, 3185, 'und', 0, 21),
('font', 0, 3186, 3186, 'und', 0, 19),
('font', 0, 3187, 3187, 'und', 0, 21),
('font', 0, 3188, 3188, 'und', 0, 19),
('font', 0, 3189, 3189, 'und', 0, 19),
('font', 0, 3190, 3190, 'und', 0, 19),
('font', 0, 3191, 3191, 'und', 0, 19),
('font', 0, 3192, 3192, 'und', 0, 19),
('font', 0, 3193, 3193, 'und', 0, 19),
('font', 0, 3194, 3194, 'und', 0, 24),
('font', 0, 3195, 3195, 'und', 0, 21),
('font', 0, 3196, 3196, 'und', 0, 19),
('font', 0, 3197, 3197, 'und', 0, 19),
('font', 0, 3198, 3198, 'und', 0, 19),
('font', 0, 3199, 3199, 'und', 0, 26),
('font', 0, 3200, 3200, 'und', 0, 32),
('font', 0, 3201, 3201, 'und', 0, 21),
('font', 0, 3202, 3202, 'und', 0, 19),
('font', 0, 3203, 3203, 'und', 0, 26),
('font', 0, 3204, 3204, 'und', 0, 32),
('font', 0, 3205, 3205, 'und', 0, 21),
('font', 0, 3206, 3206, 'und', 0, 19),
('font', 0, 3207, 3207, 'und', 0, 26),
('font', 0, 3208, 3208, 'und', 0, 32),
('font', 0, 3209, 3209, 'und', 0, 21),
('font', 0, 3210, 3210, 'und', 0, 34),
('font', 0, 3211, 3211, 'und', 0, 19),
('font', 0, 3212, 3212, 'und', 0, 19),
('font', 0, 3213, 3213, 'und', 0, 19),
('font', 0, 3214, 3214, 'und', 0, 19),
('font', 0, 3215, 3215, 'und', 0, 21),
('font', 0, 3216, 3216, 'und', 0, 19),
('font', 0, 3217, 3217, 'und', 0, 21),
('font', 0, 3218, 3218, 'und', 0, 19),
('font', 0, 3219, 3219, 'und', 0, 21),
('font', 0, 3220, 3220, 'und', 0, 23),
('font', 0, 3221, 3221, 'und', 0, 19),
('font', 0, 3222, 3222, 'und', 0, 21),
('font', 0, 3223, 3223, 'und', 0, 23),
('font', 0, 3224, 3224, 'und', 0, 19),
('font', 0, 3225, 3225, 'und', 0, 21),
('font', 0, 3226, 3226, 'und', 0, 23),
('font', 0, 3227, 3227, 'und', 0, 19),
('font', 0, 3228, 3228, 'und', 0, 21),
('font', 0, 3229, 3229, 'und', 0, 23),
('font', 0, 3230, 3230, 'und', 0, 19),
('font', 0, 3231, 3231, 'und', 0, 19),
('font', 0, 3232, 3232, 'und', 0, 21),
('font', 0, 3233, 3233, 'und', 0, 19),
('font', 0, 3234, 3234, 'und', 0, 19),
('font', 0, 3235, 3235, 'und', 0, 19),
('font', 0, 3236, 3236, 'und', 0, 19),
('font', 0, 3237, 3237, 'und', 0, 19),
('font', 0, 3238, 3238, 'und', 0, 19),
('font', 0, 3239, 3239, 'und', 0, 19),
('font', 0, 3240, 3240, 'und', 0, 21),
('font', 0, 3241, 3241, 'und', 0, 19),
('font', 0, 3242, 3242, 'und', 0, 21),
('font', 0, 3243, 3243, 'und', 0, 19),
('font', 0, 3244, 3244, 'und', 0, 19),
('font', 0, 3245, 3245, 'und', 0, 19),
('font', 0, 3246, 3246, 'und', 0, 19),
('font', 0, 3247, 3247, 'und', 0, 19),
('font', 0, 3248, 3248, 'und', 0, 28),
('font', 0, 3249, 3249, 'und', 0, 19),
('font', 0, 3250, 3250, 'und', 0, 29),
('font', 0, 3251, 3251, 'und', 0, 30),
('font', 0, 3252, 3252, 'und', 0, 26),
('font', 0, 3253, 3253, 'und', 0, 32),
('font', 0, 3254, 3254, 'und', 0, 21),
('font', 0, 3255, 3255, 'und', 0, 23),
('font', 0, 3256, 3256, 'und', 0, 28),
('font', 0, 3257, 3257, 'und', 0, 19),
('font', 0, 3258, 3258, 'und', 0, 29),
('font', 0, 3259, 3259, 'und', 0, 30),
('font', 0, 3260, 3260, 'und', 0, 26),
('font', 0, 3261, 3261, 'und', 0, 32),
('font', 0, 3262, 3262, 'und', 0, 21),
('font', 0, 3263, 3263, 'und', 0, 23),
('font', 0, 3264, 3264, 'und', 0, 28),
('font', 0, 3265, 3265, 'und', 0, 19),
('font', 0, 3266, 3266, 'und', 0, 29),
('font', 0, 3267, 3267, 'und', 0, 30),
('font', 0, 3268, 3268, 'und', 0, 26),
('font', 0, 3269, 3269, 'und', 0, 32),
('font', 0, 3270, 3270, 'und', 0, 21),
('font', 0, 3271, 3271, 'und', 0, 23),
('font', 0, 3272, 3272, 'und', 0, 28),
('font', 0, 3273, 3273, 'und', 0, 19),
('font', 0, 3274, 3274, 'und', 0, 29),
('font', 0, 3275, 3275, 'und', 0, 30),
('font', 0, 3276, 3276, 'und', 0, 26),
('font', 0, 3277, 3277, 'und', 0, 32),
('font', 0, 3278, 3278, 'und', 0, 21),
('font', 0, 3279, 3279, 'und', 0, 23),
('font', 0, 3280, 3280, 'und', 0, 19),
('font', 0, 3281, 3281, 'und', 0, 21),
('font', 0, 3282, 3282, 'und', 0, 19),
('font', 0, 3283, 3283, 'und', 0, 32),
('font', 0, 3284, 3284, 'und', 0, 21),
('font', 0, 3285, 3285, 'und', 0, 19),
('font', 0, 3286, 3286, 'und', 0, 32),
('font', 0, 3287, 3287, 'und', 0, 21),
('font', 0, 3288, 3288, 'und', 0, 19),
('font', 0, 3289, 3289, 'und', 0, 32),
('font', 0, 3290, 3290, 'und', 0, 21),
('font', 0, 3291, 3291, 'und', 0, 19),
('font', 0, 3292, 3292, 'und', 0, 32),
('font', 0, 3293, 3293, 'und', 0, 21),
('font', 0, 3294, 3294, 'und', 0, 19),
('font', 0, 3295, 3295, 'und', 0, 32),
('font', 0, 3296, 3296, 'und', 0, 21),
('font', 0, 3297, 3297, 'und', 0, 19),
('font', 0, 3298, 3298, 'und', 0, 32),
('font', 0, 3299, 3299, 'und', 0, 21),
('font', 0, 3300, 3300, 'und', 0, 23),
('font', 0, 3301, 3301, 'und', 0, 19),
('font', 0, 3302, 3302, 'und', 0, 32),
('font', 0, 3303, 3303, 'und', 0, 21),
('font', 0, 3304, 3304, 'und', 0, 23),
('font', 0, 3305, 3305, 'und', 0, 19),
('font', 0, 3306, 3306, 'und', 0, 32),
('font', 0, 3307, 3307, 'und', 0, 21),
('font', 0, 3308, 3308, 'und', 0, 23),
('font', 0, 3309, 3309, 'und', 0, 19),
('font', 0, 3310, 3310, 'und', 0, 32),
('font', 0, 3311, 3311, 'und', 0, 21),
('font', 0, 3312, 3312, 'und', 0, 23),
('font', 0, 3313, 3313, 'und', 0, 19),
('font', 0, 3314, 3314, 'und', 0, 32),
('font', 0, 3315, 3315, 'und', 0, 21),
('font', 0, 3316, 3316, 'und', 0, 23),
('font', 0, 3317, 3317, 'und', 0, 19),
('font', 0, 3318, 3318, 'und', 0, 32),
('font', 0, 3319, 3319, 'und', 0, 21),
('font', 0, 3320, 3320, 'und', 0, 23),
('font', 0, 3321, 3321, 'und', 0, 19),
('font', 0, 3322, 3322, 'und', 0, 32),
('font', 0, 3323, 3323, 'und', 0, 21),
('font', 0, 3324, 3324, 'und', 0, 23),
('font', 0, 3325, 3325, 'und', 0, 19),
('font', 0, 3326, 3326, 'und', 0, 32),
('font', 0, 3327, 3327, 'und', 0, 21),
('font', 0, 3328, 3328, 'und', 0, 23),
('font', 0, 3329, 3329, 'und', 0, 19),
('font', 0, 3330, 3330, 'und', 0, 32),
('font', 0, 3331, 3331, 'und', 0, 21),
('font', 0, 3332, 3332, 'und', 0, 23),
('font', 0, 3333, 3333, 'und', 0, 19),
('font', 0, 3334, 3334, 'und', 0, 32),
('font', 0, 3335, 3335, 'und', 0, 21),
('font', 0, 3336, 3336, 'und', 0, 23),
('font', 0, 3337, 3337, 'und', 0, 19),
('font', 0, 3338, 3338, 'und', 0, 32),
('font', 0, 3339, 3339, 'und', 0, 21),
('font', 0, 3340, 3340, 'und', 0, 23),
('font', 0, 3341, 3341, 'und', 0, 19),
('font', 0, 3342, 3342, 'und', 0, 32),
('font', 0, 3343, 3343, 'und', 0, 21),
('font', 0, 3344, 3344, 'und', 0, 23),
('font', 0, 3345, 3345, 'und', 0, 19),
('font', 0, 3346, 3346, 'und', 0, 32),
('font', 0, 3347, 3347, 'und', 0, 21),
('font', 0, 3348, 3348, 'und', 0, 23),
('font', 0, 3349, 3349, 'und', 0, 19),
('font', 0, 3350, 3350, 'und', 0, 32),
('font', 0, 3351, 3351, 'und', 0, 21),
('font', 0, 3352, 3352, 'und', 0, 23),
('font', 0, 3353, 3353, 'und', 0, 19),
('font', 0, 3354, 3354, 'und', 0, 32),
('font', 0, 3355, 3355, 'und', 0, 21),
('font', 0, 3356, 3356, 'und', 0, 23),
('font', 0, 3357, 3357, 'und', 0, 19),
('font', 0, 3358, 3358, 'und', 0, 32),
('font', 0, 3359, 3359, 'und', 0, 21),
('font', 0, 3360, 3360, 'und', 0, 23),
('font', 0, 3361, 3361, 'und', 0, 19),
('font', 0, 3362, 3362, 'und', 0, 32),
('font', 0, 3363, 3363, 'und', 0, 21),
('font', 0, 3364, 3364, 'und', 0, 23),
('font', 0, 3365, 3365, 'und', 0, 19),
('font', 0, 3366, 3366, 'und', 0, 32),
('font', 0, 3367, 3367, 'und', 0, 21),
('font', 0, 3368, 3368, 'und', 0, 23),
('font', 0, 3369, 3369, 'und', 0, 19),
('font', 0, 3370, 3370, 'und', 0, 32),
('font', 0, 3371, 3371, 'und', 0, 21),
('font', 0, 3372, 3372, 'und', 0, 23),
('font', 0, 3373, 3373, 'und', 0, 19),
('font', 0, 3374, 3374, 'und', 0, 32),
('font', 0, 3375, 3375, 'und', 0, 21),
('font', 0, 3376, 3376, 'und', 0, 23),
('font', 0, 3377, 3377, 'und', 0, 19),
('font', 0, 3378, 3378, 'und', 0, 32),
('font', 0, 3379, 3379, 'und', 0, 21),
('font', 0, 3380, 3380, 'und', 0, 23),
('font', 0, 3381, 3381, 'und', 0, 19),
('font', 0, 3382, 3382, 'und', 0, 32),
('font', 0, 3383, 3383, 'und', 0, 21),
('font', 0, 3384, 3384, 'und', 0, 23),
('font', 0, 3385, 3385, 'und', 0, 19),
('font', 0, 3386, 3386, 'und', 0, 32),
('font', 0, 3387, 3387, 'und', 0, 21),
('font', 0, 3388, 3388, 'und', 0, 23),
('font', 0, 3389, 3389, 'und', 0, 19),
('font', 0, 3390, 3390, 'und', 0, 32),
('font', 0, 3391, 3391, 'und', 0, 21),
('font', 0, 3392, 3392, 'und', 0, 23),
('font', 0, 3393, 3393, 'und', 0, 19),
('font', 0, 3394, 3394, 'und', 0, 32),
('font', 0, 3395, 3395, 'und', 0, 21),
('font', 0, 3396, 3396, 'und', 0, 23),
('font', 0, 3397, 3397, 'und', 0, 19),
('font', 0, 3398, 3398, 'und', 0, 32),
('font', 0, 3399, 3399, 'und', 0, 21),
('font', 0, 3400, 3400, 'und', 0, 23),
('font', 0, 3401, 3401, 'und', 0, 19),
('font', 0, 3402, 3402, 'und', 0, 32),
('font', 0, 3403, 3403, 'und', 0, 21),
('font', 0, 3404, 3404, 'und', 0, 23),
('font', 0, 3405, 3405, 'und', 0, 19),
('font', 0, 3406, 3406, 'und', 0, 32),
('font', 0, 3407, 3407, 'und', 0, 21),
('font', 0, 3408, 3408, 'und', 0, 23),
('font', 0, 3409, 3409, 'und', 0, 19),
('font', 0, 3410, 3410, 'und', 0, 32),
('font', 0, 3411, 3411, 'und', 0, 21),
('font', 0, 3412, 3412, 'und', 0, 23),
('font', 0, 3413, 3413, 'und', 0, 19),
('font', 0, 3414, 3414, 'und', 0, 32),
('font', 0, 3415, 3415, 'und', 0, 21),
('font', 0, 3416, 3416, 'und', 0, 23),
('font', 0, 3417, 3417, 'und', 0, 19),
('font', 0, 3418, 3418, 'und', 0, 32),
('font', 0, 3419, 3419, 'und', 0, 21),
('font', 0, 3420, 3420, 'und', 0, 23),
('font', 0, 3421, 3421, 'und', 0, 19),
('font', 0, 3422, 3422, 'und', 0, 32),
('font', 0, 3423, 3423, 'und', 0, 21),
('font', 0, 3424, 3424, 'und', 0, 23),
('font', 0, 3425, 3425, 'und', 0, 19),
('font', 0, 3426, 3426, 'und', 0, 32),
('font', 0, 3427, 3427, 'und', 0, 21),
('font', 0, 3428, 3428, 'und', 0, 23),
('font', 0, 3429, 3429, 'und', 0, 19),
('font', 0, 3430, 3430, 'und', 0, 32),
('font', 0, 3431, 3431, 'und', 0, 21),
('font', 0, 3432, 3432, 'und', 0, 23),
('font', 0, 3433, 3433, 'und', 0, 19),
('font', 0, 3434, 3434, 'und', 0, 32),
('font', 0, 3435, 3435, 'und', 0, 21),
('font', 0, 3436, 3436, 'und', 0, 23),
('font', 0, 3437, 3437, 'und', 0, 19),
('font', 0, 3438, 3438, 'und', 0, 32),
('font', 0, 3439, 3439, 'und', 0, 21),
('font', 0, 3440, 3440, 'und', 0, 23),
('font', 0, 3441, 3441, 'und', 0, 19),
('font', 0, 3442, 3442, 'und', 0, 32),
('font', 0, 3443, 3443, 'und', 0, 21),
('font', 0, 3444, 3444, 'und', 0, 23),
('font', 0, 3445, 3445, 'und', 0, 19),
('font', 0, 3446, 3446, 'und', 0, 32),
('font', 0, 3447, 3447, 'und', 0, 21),
('font', 0, 3448, 3448, 'und', 0, 23),
('font', 0, 3449, 3449, 'und', 0, 19),
('font', 0, 3450, 3450, 'und', 0, 32),
('font', 0, 3451, 3451, 'und', 0, 21),
('font', 0, 3452, 3452, 'und', 0, 23),
('font', 0, 3453, 3453, 'und', 0, 19),
('font', 0, 3454, 3454, 'und', 0, 32),
('font', 0, 3455, 3455, 'und', 0, 21),
('font', 0, 3456, 3456, 'und', 0, 23),
('font', 0, 3457, 3457, 'und', 0, 19),
('font', 0, 3458, 3458, 'und', 0, 21),
('font', 0, 3459, 3459, 'und', 0, 19),
('font', 0, 3460, 3460, 'und', 0, 21),
('font', 0, 3461, 3461, 'und', 0, 19),
('font', 0, 3462, 3462, 'und', 0, 19),
('font', 0, 3463, 3463, 'und', 0, 19),
('font', 0, 3464, 3464, 'und', 0, 19),
('font', 0, 3465, 3465, 'und', 0, 34),
('font', 0, 3466, 3466, 'und', 0, 34),
('font', 0, 3467, 3467, 'und', 0, 19),
('font', 0, 3468, 3468, 'und', 0, 21),
('font', 0, 3469, 3469, 'und', 0, 19),
('font', 0, 3470, 3470, 'und', 0, 21),
('font', 0, 3471, 3471, 'und', 0, 19),
('font', 0, 3472, 3472, 'und', 0, 28),
('font', 0, 3473, 3473, 'und', 0, 19),
('font', 0, 3474, 3474, 'und', 0, 30),
('font', 0, 3475, 3475, 'und', 0, 21),
('font', 0, 3476, 3476, 'und', 0, 23),
('font', 0, 3477, 3477, 'und', 0, 28),
('font', 0, 3478, 3478, 'und', 0, 19),
('font', 0, 3479, 3479, 'und', 0, 30),
('font', 0, 3480, 3480, 'und', 0, 21),
('font', 0, 3481, 3481, 'und', 0, 23),
('font', 0, 3482, 3482, 'und', 0, 28),
('font', 0, 3483, 3483, 'und', 0, 19),
('font', 0, 3484, 3484, 'und', 0, 30),
('font', 0, 3485, 3485, 'und', 0, 21),
('font', 0, 3486, 3486, 'und', 0, 23),
('font', 0, 3487, 3487, 'und', 0, 19),
('font', 0, 3488, 3488, 'und', 0, 21),
('font', 0, 3489, 3489, 'und', 0, 19),
('font', 0, 3490, 3490, 'und', 0, 37),
('font', 0, 3491, 3491, 'und', 0, 32),
('font', 0, 3492, 3492, 'und', 0, 21),
('font', 0, 3493, 3493, 'und', 0, 19),
('font', 0, 3494, 3494, 'und', 0, 21),
('font', 0, 3495, 3495, 'und', 0, 19),
('font', 0, 3496, 3496, 'und', 0, 21),
('font', 0, 3497, 3497, 'und', 0, 19),
('font', 0, 3498, 3498, 'und', 0, 21),
('font', 0, 3499, 3499, 'und', 0, 19),
('font', 0, 3500, 3500, 'und', 0, 21),
('font', 0, 3501, 3501, 'und', 0, 19),
('font', 0, 3502, 3502, 'und', 0, 21),
('font', 0, 3503, 3503, 'und', 0, 19),
('font', 0, 3504, 3504, 'und', 0, 21),
('font', 0, 3505, 3505, 'und', 0, 19),
('font', 0, 3506, 3506, 'und', 0, 19),
('font', 0, 3507, 3507, 'und', 0, 19),
('font', 0, 3508, 3508, 'und', 0, 19),
('font', 0, 3509, 3509, 'und', 0, 19),
('font', 0, 3510, 3510, 'und', 0, 19),
('font', 0, 3511, 3511, 'und', 0, 31),
('font', 0, 3512, 3512, 'und', 0, 19),
('font', 0, 3513, 3513, 'und', 0, 32),
('font', 0, 3514, 3514, 'und', 0, 21),
('font', 0, 3515, 3515, 'und', 0, 19),
('font', 0, 3516, 3516, 'und', 0, 19),
('font', 0, 3517, 3517, 'und', 0, 19),
('font', 0, 3518, 3518, 'und', 0, 19),
('font', 0, 3519, 3519, 'und', 0, 19),
('font', 0, 3520, 3520, 'und', 0, 21),
('font', 0, 3521, 3521, 'und', 0, 19),
('font', 0, 3522, 3522, 'und', 0, 19),
('font', 0, 3523, 3523, 'und', 0, 21),
('font', 0, 3524, 3524, 'und', 0, 19),
('font', 0, 3525, 3525, 'und', 0, 21),
('font', 0, 3526, 3526, 'und', 0, 19),
('font', 0, 3527, 3527, 'und', 0, 34),
('font', 0, 3528, 3528, 'und', 0, 19),
('font', 0, 3529, 3529, 'und', 0, 21),
('font', 0, 3530, 3530, 'und', 0, 19),
('font', 0, 3531, 3531, 'und', 0, 21),
('font', 0, 3532, 3532, 'und', 0, 19),
('font', 0, 3533, 3533, 'und', 0, 21),
('font', 0, 3534, 3534, 'und', 0, 19),
('font', 0, 3535, 3535, 'und', 0, 21),
('font', 0, 3536, 3536, 'und', 0, 19),
('font', 0, 3537, 3537, 'und', 0, 33),
('font', 0, 3538, 3538, 'und', 0, 19),
('font', 0, 3539, 3539, 'und', 0, 33),
('font', 0, 3540, 3540, 'und', 0, 19),
('font', 0, 3541, 3541, 'und', 0, 33),
('font', 0, 3542, 3542, 'und', 0, 19),
('font', 0, 3543, 3543, 'und', 0, 33),
('font', 0, 3544, 3544, 'und', 0, 19),
('font', 0, 3545, 3545, 'und', 0, 33),
('font', 0, 3546, 3546, 'und', 0, 19),
('font', 0, 3547, 3547, 'und', 0, 21),
('font', 0, 3548, 3548, 'und', 0, 19),
('font', 0, 3549, 3549, 'und', 0, 19),
('font', 0, 3550, 3550, 'und', 0, 19),
('font', 0, 3551, 3551, 'und', 0, 36),
('font', 0, 3552, 3552, 'und', 0, 21),
('font', 0, 3553, 3553, 'und', 0, 19),
('font', 0, 3554, 3554, 'und', 0, 36),
('font', 0, 3555, 3555, 'und', 0, 21),
('font', 0, 3556, 3556, 'und', 0, 19),
('font', 0, 3557, 3557, 'und', 0, 36),
('font', 0, 3558, 3558, 'und', 0, 21),
('font', 0, 3559, 3559, 'und', 0, 19),
('font', 0, 3560, 3560, 'und', 0, 36),
('font', 0, 3561, 3561, 'und', 0, 21),
('font', 0, 3562, 3562, 'und', 0, 19),
('font', 0, 3563, 3563, 'und', 0, 36),
('font', 0, 3564, 3564, 'und', 0, 21),
('font', 0, 3565, 3565, 'und', 0, 19),
('font', 0, 3566, 3566, 'und', 0, 36),
('font', 0, 3567, 3567, 'und', 0, 21),
('font', 0, 3568, 3568, 'und', 0, 19),
('font', 0, 3569, 3569, 'und', 0, 36),
('font', 0, 3570, 3570, 'und', 0, 21),
('font', 0, 3571, 3571, 'und', 0, 19),
('font', 0, 3572, 3572, 'und', 0, 21),
('font', 0, 3573, 3573, 'und', 0, 19),
('font', 0, 3574, 3574, 'und', 0, 19),
('font', 0, 3575, 3575, 'und', 0, 21),
('font', 0, 3576, 3576, 'und', 0, 19),
('font', 0, 3577, 3577, 'und', 0, 21),
('font', 0, 3578, 3578, 'und', 0, 19),
('font', 0, 3579, 3579, 'und', 0, 21),
('font', 0, 3580, 3580, 'und', 0, 19),
('font', 0, 3581, 3581, 'und', 0, 29),
('font', 0, 3582, 3582, 'und', 0, 30),
('font', 0, 3583, 3583, 'und', 0, 21),
('font', 0, 3584, 3584, 'und', 0, 19),
('font', 0, 3585, 3585, 'und', 0, 29),
('font', 0, 3586, 3586, 'und', 0, 30),
('font', 0, 3587, 3587, 'und', 0, 21),
('font', 0, 3588, 3588, 'und', 0, 19),
('font', 0, 3589, 3589, 'und', 0, 29),
('font', 0, 3590, 3590, 'und', 0, 30),
('font', 0, 3591, 3591, 'und', 0, 21),
('font', 0, 3592, 3592, 'und', 0, 19),
('font', 0, 3593, 3593, 'und', 0, 29),
('font', 0, 3594, 3594, 'und', 0, 30),
('font', 0, 3595, 3595, 'und', 0, 21),
('font', 0, 3596, 3596, 'und', 0, 19),
('font', 0, 3597, 3597, 'und', 0, 37),
('font', 0, 3598, 3598, 'und', 0, 21),
('font', 0, 3599, 3599, 'und', 0, 19),
('font', 0, 3600, 3600, 'und', 0, 37),
('font', 0, 3601, 3601, 'und', 0, 21),
('font', 0, 3602, 3602, 'und', 0, 19),
('font', 0, 3603, 3603, 'und', 0, 37),
('font', 0, 3604, 3604, 'und', 0, 21),
('font', 0, 3605, 3605, 'und', 0, 19),
('font', 0, 3606, 3606, 'und', 0, 37),
('font', 0, 3607, 3607, 'und', 0, 21),
('font', 0, 3608, 3608, 'und', 0, 19),
('font', 0, 3609, 3609, 'und', 0, 37),
('font', 0, 3610, 3610, 'und', 0, 21),
('font', 0, 3611, 3611, 'und', 0, 19),
('font', 0, 3612, 3612, 'und', 0, 37),
('font', 0, 3613, 3613, 'und', 0, 21),
('font', 0, 3614, 3614, 'und', 0, 19),
('font', 0, 3615, 3615, 'und', 0, 37),
('font', 0, 3616, 3616, 'und', 0, 21),
('font', 0, 3617, 3617, 'und', 0, 19),
('font', 0, 3618, 3618, 'und', 0, 37),
('font', 0, 3619, 3619, 'und', 0, 21),
('font', 0, 3620, 3620, 'und', 0, 19),
('font', 0, 3621, 3621, 'und', 0, 37),
('font', 0, 3622, 3622, 'und', 0, 21),
('font', 0, 3623, 3623, 'und', 0, 19),
('font', 0, 3624, 3624, 'und', 0, 19),
('font', 0, 3625, 3625, 'und', 0, 19),
('font', 0, 3626, 3626, 'und', 0, 19),
('font', 0, 3627, 3627, 'und', 0, 19),
('font', 0, 3628, 3628, 'und', 0, 29),
('font', 0, 3629, 3629, 'und', 0, 30),
('font', 0, 3630, 3630, 'und', 0, 21),
('font', 0, 3631, 3631, 'und', 0, 19),
('font', 0, 3632, 3632, 'und', 0, 29),
('font', 0, 3633, 3633, 'und', 0, 30),
('font', 0, 3634, 3634, 'und', 0, 21),
('font', 0, 3635, 3635, 'und', 0, 19),
('font', 0, 3636, 3636, 'und', 0, 29),
('font', 0, 3637, 3637, 'und', 0, 30),
('font', 0, 3638, 3638, 'und', 0, 21),
('font', 0, 3639, 3639, 'und', 0, 19),
('font', 0, 3640, 3640, 'und', 0, 21),
('font', 0, 3641, 3641, 'und', 0, 19),
('font', 0, 3642, 3642, 'und', 0, 21),
('font', 0, 3643, 3643, 'und', 0, 19),
('font', 0, 3644, 3644, 'und', 0, 21),
('font', 0, 3645, 3645, 'und', 0, 19),
('font', 0, 3646, 3646, 'und', 0, 19),
('font', 0, 3647, 3647, 'und', 0, 19),
('font', 0, 3648, 3648, 'und', 0, 19),
('font', 0, 3649, 3649, 'und', 0, 19),
('font', 0, 3650, 3650, 'und', 0, 19),
('font', 0, 3651, 3651, 'und', 0, 19),
('font', 0, 3652, 3652, 'und', 0, 24),
('font', 0, 3653, 3653, 'und', 0, 21),
('font', 0, 3654, 3654, 'und', 0, 19),
('font', 0, 3655, 3655, 'und', 0, 24),
('font', 0, 3656, 3656, 'und', 0, 21),
('font', 0, 3657, 3657, 'und', 0, 19),
('font', 0, 3658, 3658, 'und', 0, 24),
('font', 0, 3659, 3659, 'und', 0, 21),
('font', 0, 3660, 3660, 'und', 0, 19),
('font', 0, 3661, 3661, 'und', 0, 24),
('font', 0, 3662, 3662, 'und', 0, 21),
('font', 0, 3663, 3663, 'und', 0, 19),
('font', 0, 3664, 3664, 'und', 0, 19),
('font', 0, 3665, 3665, 'und', 0, 36),
('font', 0, 3666, 3666, 'und', 0, 21),
('font', 0, 3667, 3667, 'und', 0, 19),
('font', 0, 3668, 3668, 'und', 0, 36),
('font', 0, 3669, 3669, 'und', 0, 21),
('font', 0, 3670, 3670, 'und', 0, 19),
('font', 0, 3671, 3671, 'und', 0, 36),
('font', 0, 3672, 3672, 'und', 0, 21),
('font', 0, 3673, 3673, 'und', 0, 19),
('font', 0, 3674, 3674, 'und', 0, 36),
('font', 0, 3675, 3675, 'und', 0, 21),
('font', 0, 3676, 3676, 'und', 0, 19),
('font', 0, 3677, 3677, 'und', 0, 36),
('font', 0, 3678, 3678, 'und', 0, 21),
('font', 0, 3679, 3679, 'und', 0, 19),
('font', 0, 3680, 3680, 'und', 0, 36),
('font', 0, 3681, 3681, 'und', 0, 21),
('font', 0, 3682, 3682, 'und', 0, 19),
('font', 0, 3683, 3683, 'und', 0, 19),
('font', 0, 3684, 3684, 'und', 0, 19),
('font', 0, 3685, 3685, 'und', 0, 19),
('font', 0, 3686, 3686, 'und', 0, 19),
('font', 0, 3687, 3687, 'und', 0, 19),
('font', 0, 3688, 3688, 'und', 0, 19),
('font', 0, 3689, 3689, 'und', 0, 19),
('font', 0, 3690, 3690, 'und', 0, 19),
('font', 0, 3691, 3691, 'und', 0, 19),
('font', 0, 3692, 3692, 'und', 0, 19),
('font', 0, 3693, 3693, 'und', 0, 19),
('font', 0, 3694, 3694, 'und', 0, 19),
('font', 0, 3695, 3695, 'und', 0, 19),
('font', 0, 3696, 3696, 'und', 0, 19),
('font', 0, 3697, 3697, 'und', 0, 19),
('font', 0, 3698, 3698, 'und', 0, 19),
('font', 0, 3699, 3699, 'und', 0, 21),
('font', 0, 3700, 3700, 'und', 0, 19),
('font', 0, 3701, 3701, 'und', 0, 21),
('font', 0, 3702, 3702, 'und', 0, 19),
('font', 0, 3703, 3703, 'und', 0, 32),
('font', 0, 3704, 3704, 'und', 0, 21),
('font', 0, 3705, 3705, 'und', 0, 19),
('font', 0, 3706, 3706, 'und', 0, 32),
('font', 0, 3707, 3707, 'und', 0, 21),
('font', 0, 3708, 3708, 'und', 0, 19),
('font', 0, 3709, 3709, 'und', 0, 32),
('font', 0, 3710, 3710, 'und', 0, 21),
('font', 0, 3711, 3711, 'und', 0, 19),
('font', 0, 3712, 3712, 'und', 0, 32),
('font', 0, 3713, 3713, 'und', 0, 21),
('font', 0, 3714, 3714, 'und', 0, 19),
('font', 0, 3715, 3715, 'und', 0, 32),
('font', 0, 3716, 3716, 'und', 0, 21),
('font', 0, 3717, 3717, 'und', 0, 19),
('font', 0, 3718, 3718, 'und', 0, 21),
('font', 0, 3719, 3719, 'und', 0, 19),
('font', 0, 3720, 3720, 'und', 0, 21),
('font', 0, 3721, 3721, 'und', 0, 19),
('font', 0, 3722, 3722, 'und', 0, 19),
('font', 0, 3723, 3723, 'und', 0, 21),
('font', 0, 3724, 3724, 'und', 0, 19),
('font', 0, 3725, 3725, 'und', 0, 21),
('font', 0, 3726, 3726, 'und', 0, 19),
('font', 0, 3727, 3727, 'und', 0, 21),
('font', 0, 3728, 3728, 'und', 0, 19),
('font', 0, 3729, 3729, 'und', 0, 19),
('font', 0, 3730, 3730, 'und', 0, 21),
('font', 0, 3731, 3731, 'und', 0, 19),
('font', 0, 3732, 3732, 'und', 0, 19),
('font', 0, 3733, 3733, 'und', 0, 19),
('font', 0, 3734, 3734, 'und', 0, 34),
('font', 0, 3735, 3735, 'und', 0, 19),
('font', 0, 3736, 3736, 'und', 0, 21),
('font', 0, 3737, 3737, 'und', 0, 19),
('font', 0, 3738, 3738, 'und', 0, 21),
('font', 0, 3739, 3739, 'und', 0, 19),
('font', 0, 3740, 3740, 'und', 0, 21),
('font', 0, 3741, 3741, 'und', 0, 19),
('font', 0, 3742, 3742, 'und', 0, 21),
('font', 0, 3743, 3743, 'und', 0, 19),
('font', 0, 3744, 3744, 'und', 0, 24),
('font', 0, 3745, 3745, 'und', 0, 21),
('font', 0, 3746, 3746, 'und', 0, 19),
('font', 0, 3747, 3747, 'und', 0, 24),
('font', 0, 3748, 3748, 'und', 0, 21),
('font', 0, 3749, 3749, 'und', 0, 19),
('font', 0, 3750, 3750, 'und', 0, 24),
('font', 0, 3751, 3751, 'und', 0, 21),
('font', 0, 3752, 3752, 'und', 0, 19),
('font', 0, 3753, 3753, 'und', 0, 24),
('font', 0, 3754, 3754, 'und', 0, 21),
('font', 0, 3755, 3755, 'und', 0, 19),
('font', 0, 3756, 3756, 'und', 0, 24),
('font', 0, 3757, 3757, 'und', 0, 21),
('font', 0, 3758, 3758, 'und', 0, 19),
('font', 0, 3759, 3759, 'und', 0, 24),
('font', 0, 3760, 3760, 'und', 0, 21),
('font', 0, 3761, 3761, 'und', 0, 19),
('font', 0, 3762, 3762, 'und', 0, 24),
('font', 0, 3763, 3763, 'und', 0, 21),
('font', 0, 3764, 3764, 'und', 0, 19),
('font', 0, 3765, 3765, 'und', 0, 21),
('font', 0, 3766, 3766, 'und', 0, 19),
('font', 0, 3767, 3767, 'und', 0, 21),
('font', 0, 3768, 3768, 'und', 0, 19),
('font', 0, 3769, 3769, 'und', 0, 21),
('font', 0, 3770, 3770, 'und', 0, 19),
('font', 0, 3771, 3771, 'und', 0, 21),
('font', 0, 3772, 3772, 'und', 0, 19),
('font', 0, 3773, 3773, 'und', 0, 21),
('font', 0, 3774, 3774, 'und', 0, 19),
('font', 0, 3775, 3775, 'und', 0, 21),
('font', 0, 3776, 3776, 'und', 0, 19),
('font', 0, 3777, 3777, 'und', 0, 21),
('font', 0, 3778, 3778, 'und', 0, 19),
('font', 0, 3779, 3779, 'und', 0, 21),
('font', 0, 3780, 3780, 'und', 0, 19),
('font', 0, 3781, 3781, 'und', 0, 21),
('font', 0, 3782, 3782, 'und', 0, 19),
('font', 0, 3783, 3783, 'und', 0, 21),
('font', 0, 3784, 3784, 'und', 0, 19),
('font', 0, 3785, 3785, 'und', 0, 21),
('font', 0, 3786, 3786, 'und', 0, 19),
('font', 0, 3787, 3787, 'und', 0, 21),
('font', 0, 3788, 3788, 'und', 0, 19),
('font', 0, 3789, 3789, 'und', 0, 19),
('font', 0, 3790, 3790, 'und', 0, 21),
('font', 0, 3791, 3791, 'und', 0, 19),
('font', 0, 3792, 3792, 'und', 0, 19),
('font', 0, 3793, 3793, 'und', 0, 21),
('font', 0, 3794, 3794, 'und', 0, 19),
('font', 0, 3795, 3795, 'und', 0, 19),
('font', 0, 3796, 3796, 'und', 0, 21),
('font', 0, 3797, 3797, 'und', 0, 19),
('font', 0, 3798, 3798, 'und', 0, 21),
('font', 0, 3799, 3799, 'und', 0, 19),
('font', 0, 3800, 3800, 'und', 0, 21),
('font', 0, 3801, 3801, 'und', 0, 19),
('font', 0, 3802, 3802, 'und', 0, 21),
('font', 0, 3803, 3803, 'und', 0, 19),
('font', 0, 3804, 3804, 'und', 0, 34),
('font', 0, 3805, 3805, 'und', 0, 19),
('font', 0, 3806, 3806, 'und', 0, 34),
('font', 0, 3807, 3807, 'und', 0, 34),
('font', 0, 3808, 3808, 'und', 0, 19),
('font', 0, 3809, 3809, 'und', 0, 21),
('font', 0, 3810, 3810, 'und', 0, 19),
('font', 0, 3811, 3811, 'und', 0, 19),
('font', 0, 3812, 3812, 'und', 0, 19),
('font', 0, 3813, 3813, 'und', 0, 37),
('font', 0, 3814, 3814, 'und', 0, 32),
('font', 0, 3815, 3815, 'und', 0, 21),
('font', 0, 3816, 3816, 'und', 0, 38),
('font', 0, 3817, 3817, 'und', 0, 19),
('font', 0, 3818, 3818, 'und', 0, 32),
('font', 0, 3819, 3819, 'und', 0, 21),
('font', 0, 3820, 3820, 'und', 0, 19),
('font', 0, 3821, 3821, 'und', 0, 35),
('font', 0, 3822, 3822, 'und', 0, 32),
('font', 0, 3823, 3823, 'und', 0, 21),
('font', 0, 3824, 3824, 'und', 0, 19),
('font', 0, 3825, 3825, 'und', 0, 24),
('font', 0, 3826, 3826, 'und', 0, 32),
('font', 0, 3827, 3827, 'und', 0, 21),
('font', 0, 3828, 3828, 'und', 0, 19),
('font', 0, 3829, 3829, 'und', 0, 23),
('font', 0, 3830, 3830, 'und', 0, 19),
('font', 0, 3831, 3831, 'und', 0, 19),
('font', 0, 3832, 3832, 'und', 0, 19),
('font', 0, 3833, 3833, 'und', 0, 19),
('font', 0, 3834, 3834, 'und', 0, 19),
('font', 0, 3835, 3835, 'und', 0, 19),
('font', 0, 3836, 3836, 'und', 0, 19),
('font', 0, 3837, 3837, 'und', 0, 19),
('font', 0, 3838, 3838, 'und', 0, 19),
('font', 0, 3839, 3839, 'und', 0, 19),
('font', 0, 3840, 3840, 'und', 0, 19),
('font', 0, 3841, 3841, 'und', 0, 19),
('font', 0, 3842, 3842, 'und', 0, 19),
('font', 0, 3843, 3843, 'und', 0, 19),
('font', 0, 3844, 3844, 'und', 0, 19),
('font', 0, 3845, 3845, 'und', 0, 19),
('font', 0, 3846, 3846, 'und', 0, 19),
('font', 0, 3847, 3847, 'und', 0, 19),
('font', 0, 3848, 3848, 'und', 0, 19),
('font', 0, 3849, 3849, 'und', 0, 21),
('font', 0, 3850, 3850, 'und', 0, 19),
('font', 0, 3851, 3851, 'und', 0, 21),
('font', 0, 3852, 3852, 'und', 0, 19),
('font', 0, 3853, 3853, 'und', 0, 21),
('font', 0, 3854, 3854, 'und', 0, 19),
('font', 0, 3855, 3855, 'und', 0, 21),
('font', 0, 3856, 3856, 'und', 0, 19),
('font', 0, 3857, 3857, 'und', 0, 21),
('font', 0, 3858, 3858, 'und', 0, 19),
('font', 0, 3859, 3859, 'und', 0, 19),
('font', 0, 3860, 3860, 'und', 0, 38),
('font', 0, 3861, 3861, 'und', 0, 19),
('font', 0, 3862, 3862, 'und', 0, 21),
('font', 0, 3863, 3863, 'und', 0, 38),
('font', 0, 3864, 3864, 'und', 0, 19),
('font', 0, 3865, 3865, 'und', 0, 21),
('font', 0, 3866, 3866, 'und', 0, 38),
('font', 0, 3867, 3867, 'und', 0, 19),
('font', 0, 3868, 3868, 'und', 0, 21),
('font', 0, 3869, 3869, 'und', 0, 38),
('font', 0, 3870, 3870, 'und', 0, 19),
('font', 0, 3871, 3871, 'und', 0, 21),
('font', 0, 3872, 3872, 'und', 0, 38),
('font', 0, 3873, 3873, 'und', 0, 19),
('font', 0, 3874, 3874, 'und', 0, 21),
('font', 0, 3875, 3875, 'und', 0, 31),
('font', 0, 3876, 3876, 'und', 0, 19),
('font', 0, 3877, 3877, 'und', 0, 32),
('font', 0, 3878, 3878, 'und', 0, 21),
('font', 0, 3879, 3879, 'und', 0, 31),
('font', 0, 3880, 3880, 'und', 0, 19),
('font', 0, 3881, 3881, 'und', 0, 32),
('font', 0, 3882, 3882, 'und', 0, 21),
('font', 0, 3883, 3883, 'und', 0, 31),
('font', 0, 3884, 3884, 'und', 0, 19),
('font', 0, 3885, 3885, 'und', 0, 32),
('font', 0, 3886, 3886, 'und', 0, 21),
('font', 0, 3887, 3887, 'und', 0, 31),
('font', 0, 3888, 3888, 'und', 0, 19),
('font', 0, 3889, 3889, 'und', 0, 32),
('font', 0, 3890, 3890, 'und', 0, 21),
('font', 0, 3891, 3891, 'und', 0, 31),
('font', 0, 3892, 3892, 'und', 0, 19),
('font', 0, 3893, 3893, 'und', 0, 32),
('font', 0, 3894, 3894, 'und', 0, 21),
('font', 0, 3895, 3895, 'und', 0, 31),
('font', 0, 3896, 3896, 'und', 0, 19),
('font', 0, 3897, 3897, 'und', 0, 32),
('font', 0, 3898, 3898, 'und', 0, 21),
('font', 0, 3899, 3899, 'und', 0, 19),
('font', 0, 3900, 3900, 'und', 0, 19),
('font', 0, 3901, 3901, 'und', 0, 19),
('font', 0, 3902, 3902, 'und', 0, 19),
('font', 0, 3903, 3903, 'und', 0, 19),
('font', 0, 3904, 3904, 'und', 0, 26),
('font', 0, 3905, 3905, 'und', 0, 19),
('font', 0, 3906, 3906, 'und', 0, 26),
('font', 0, 3907, 3907, 'und', 0, 19),
('font', 0, 3908, 3908, 'und', 0, 26),
('font', 0, 3909, 3909, 'und', 0, 19),
('font', 0, 3910, 3910, 'und', 0, 26),
('font', 0, 3911, 3911, 'und', 0, 19),
('font', 0, 3912, 3912, 'und', 0, 26),
('font', 0, 3913, 3913, 'und', 0, 19),
('font', 0, 3914, 3914, 'und', 0, 26),
('font', 0, 3915, 3915, 'und', 0, 19),
('font', 0, 3916, 3916, 'und', 0, 19),
('font', 0, 3917, 3917, 'und', 0, 24),
('font', 0, 3918, 3918, 'und', 0, 21),
('font', 0, 3919, 3919, 'und', 0, 19),
('font', 0, 3920, 3920, 'und', 0, 21),
('font', 0, 3921, 3921, 'und', 0, 19),
('font', 0, 3922, 3922, 'und', 0, 21),
('font', 0, 3923, 3923, 'und', 0, 19),
('font', 0, 3924, 3924, 'und', 0, 21),
('font', 0, 3925, 3925, 'und', 0, 19),
('font', 0, 3926, 3926, 'und', 0, 21),
('font', 0, 3927, 3927, 'und', 0, 19),
('font', 0, 3928, 3928, 'und', 0, 24),
('font', 0, 3929, 3929, 'und', 0, 21),
('font', 0, 3930, 3930, 'und', 0, 19),
('font', 0, 3931, 3931, 'und', 0, 24),
('font', 0, 3932, 3932, 'und', 0, 21),
('font', 0, 3933, 3933, 'und', 0, 19),
('font', 0, 3934, 3934, 'und', 0, 19),
('font', 0, 3935, 3935, 'und', 0, 19),
('font', 0, 3936, 3936, 'und', 0, 19),
('font', 0, 3937, 3937, 'und', 0, 19),
('font', 0, 3938, 3938, 'und', 0, 19),
('font', 0, 3939, 3939, 'und', 0, 21),
('font', 0, 3940, 3940, 'und', 0, 19),
('font', 0, 3941, 3941, 'und', 0, 21),
('font', 0, 3942, 3942, 'und', 0, 28),
('font', 0, 3943, 3943, 'und', 0, 19),
('font', 0, 3944, 3944, 'und', 0, 29),
('font', 0, 3945, 3945, 'und', 0, 30),
('font', 0, 3946, 3946, 'und', 0, 26),
('font', 0, 3947, 3947, 'und', 0, 32),
('font', 0, 3948, 3948, 'und', 0, 21),
('font', 0, 3949, 3949, 'und', 0, 23),
('font', 0, 3950, 3950, 'und', 0, 28),
('font', 0, 3951, 3951, 'und', 0, 19),
('font', 0, 3952, 3952, 'und', 0, 29),
('font', 0, 3953, 3953, 'und', 0, 30),
('font', 0, 3954, 3954, 'und', 0, 26),
('font', 0, 3955, 3955, 'und', 0, 32),
('font', 0, 3956, 3956, 'und', 0, 21),
('font', 0, 3957, 3957, 'und', 0, 23),
('font', 0, 3958, 3958, 'und', 0, 28),
('font', 0, 3959, 3959, 'und', 0, 19),
('font', 0, 3960, 3960, 'und', 0, 29),
('font', 0, 3961, 3961, 'und', 0, 30),
('font', 0, 3962, 3962, 'und', 0, 26),
('font', 0, 3963, 3963, 'und', 0, 32),
('font', 0, 3964, 3964, 'und', 0, 21),
('font', 0, 3965, 3965, 'und', 0, 23),
('font', 0, 3966, 3966, 'und', 0, 28),
('font', 0, 3967, 3967, 'und', 0, 19),
('font', 0, 3968, 3968, 'und', 0, 29),
('font', 0, 3969, 3969, 'und', 0, 30),
('font', 0, 3970, 3970, 'und', 0, 26),
('font', 0, 3971, 3971, 'und', 0, 32),
('font', 0, 3972, 3972, 'und', 0, 21),
('font', 0, 3973, 3973, 'und', 0, 23),
('font', 0, 3974, 3974, 'und', 0, 19),
('font', 0, 3975, 3975, 'und', 0, 37),
('font', 0, 3976, 3976, 'und', 0, 32),
('font', 0, 3977, 3977, 'und', 0, 21),
('font', 0, 3978, 3978, 'und', 0, 19),
('font', 0, 3979, 3979, 'und', 0, 37),
('font', 0, 3980, 3980, 'und', 0, 32),
('font', 0, 3981, 3981, 'und', 0, 21),
('font', 0, 3982, 3982, 'und', 0, 19),
('font', 0, 3983, 3983, 'und', 0, 37),
('font', 0, 3984, 3984, 'und', 0, 32),
('font', 0, 3985, 3985, 'und', 0, 21),
('font', 0, 3986, 3986, 'und', 0, 19),
('font', 0, 3987, 3987, 'und', 0, 37),
('font', 0, 3988, 3988, 'und', 0, 32),
('font', 0, 3989, 3989, 'und', 0, 21),
('font', 0, 3990, 3990, 'und', 0, 19),
('font', 0, 3991, 3991, 'und', 0, 37),
('font', 0, 3992, 3992, 'und', 0, 32),
('font', 0, 3993, 3993, 'und', 0, 21),
('font', 0, 3994, 3994, 'und', 0, 19),
('font', 0, 3995, 3995, 'und', 0, 37),
('font', 0, 3996, 3996, 'und', 0, 32),
('font', 0, 3997, 3997, 'und', 0, 21),
('font', 0, 3998, 3998, 'und', 0, 19),
('font', 0, 3999, 3999, 'und', 0, 37),
('font', 0, 4000, 4000, 'und', 0, 32),
('font', 0, 4001, 4001, 'und', 0, 21),
('font', 0, 4002, 4002, 'und', 0, 19),
('font', 0, 4003, 4003, 'und', 0, 37),
('font', 0, 4004, 4004, 'und', 0, 32),
('font', 0, 4005, 4005, 'und', 0, 21),
('font', 0, 4006, 4006, 'und', 0, 19),
('font', 0, 4007, 4007, 'und', 0, 36),
('font', 0, 4008, 4008, 'und', 0, 19),
('font', 0, 4009, 4009, 'und', 0, 36),
('font', 0, 4010, 4010, 'und', 0, 19),
('font', 0, 4011, 4011, 'und', 0, 21),
('font', 0, 4012, 4012, 'und', 0, 19),
('font', 0, 4013, 4013, 'und', 0, 21),
('font', 0, 4014, 4014, 'und', 0, 19),
('font', 0, 4015, 4015, 'und', 0, 21),
('font', 0, 4016, 4016, 'und', 0, 19),
('font', 0, 4017, 4017, 'und', 0, 21),
('font', 0, 4018, 4018, 'und', 0, 19),
('font', 0, 4019, 4019, 'und', 0, 21),
('font', 0, 4020, 4020, 'und', 0, 19),
('font', 0, 4021, 4021, 'und', 0, 19),
('font', 0, 4022, 4022, 'und', 0, 21),
('font', 0, 4023, 4023, 'und', 0, 19),
('font', 0, 4024, 4024, 'und', 0, 21),
('font', 0, 4025, 4025, 'und', 0, 19),
('font', 0, 4026, 4026, 'und', 0, 19),
('font', 0, 4027, 4027, 'und', 0, 19),
('font', 0, 4028, 4028, 'und', 0, 21),
('font', 0, 4029, 4029, 'und', 0, 19),
('font', 0, 4030, 4030, 'und', 0, 19),
('font', 0, 4031, 4031, 'und', 0, 19),
('font', 0, 4032, 4032, 'und', 0, 19),
('font', 0, 4033, 4033, 'und', 0, 30),
('font', 0, 4034, 4034, 'und', 0, 21),
('font', 0, 4035, 4035, 'und', 0, 23),
('font', 0, 4036, 4036, 'und', 0, 19),
('font', 0, 4037, 4037, 'und', 0, 30),
('font', 0, 4038, 4038, 'und', 0, 21),
('font', 0, 4039, 4039, 'und', 0, 23),
('font', 0, 4040, 4040, 'und', 0, 19),
('font', 0, 4041, 4041, 'und', 0, 30),
('font', 0, 4042, 4042, 'und', 0, 21),
('font', 0, 4043, 4043, 'und', 0, 23),
('font', 0, 4044, 4044, 'und', 0, 19),
('font', 0, 4045, 4045, 'und', 0, 30),
('font', 0, 4046, 4046, 'und', 0, 21),
('font', 0, 4047, 4047, 'und', 0, 23),
('font', 0, 4048, 4048, 'und', 0, 19),
('font', 0, 4049, 4049, 'und', 0, 34),
('font', 0, 4050, 4050, 'und', 0, 28),
('font', 0, 4051, 4051, 'und', 0, 19),
('font', 0, 4052, 4052, 'und', 0, 32),
('font', 0, 4053, 4053, 'und', 0, 21),
('font', 0, 4054, 4054, 'und', 0, 23),
('font', 0, 4055, 4055, 'und', 0, 19),
('font', 0, 4056, 4056, 'und', 0, 21),
('font', 0, 4057, 4057, 'und', 0, 19),
('font', 0, 4058, 4058, 'und', 0, 21),
('font', 0, 4059, 4059, 'und', 0, 19),
('font', 0, 4060, 4060, 'und', 0, 24),
('font', 0, 4061, 4061, 'und', 0, 21),
('font', 0, 4062, 4062, 'und', 0, 19),
('font', 0, 4063, 4063, 'und', 0, 24),
('font', 0, 4064, 4064, 'und', 0, 21),
('font', 0, 4065, 4065, 'und', 0, 19),
('font', 0, 4066, 4066, 'und', 0, 36),
('font', 0, 4067, 4067, 'und', 0, 19),
('font', 0, 4068, 4068, 'und', 0, 36),
('font', 0, 4069, 4069, 'und', 0, 19),
('font', 0, 4070, 4070, 'und', 0, 36),
('font', 0, 4071, 4071, 'und', 0, 19),
('font', 0, 4072, 4072, 'und', 0, 36),
('font', 0, 4073, 4073, 'und', 0, 19),
('font', 0, 4074, 4074, 'und', 0, 24),
('font', 0, 4075, 4075, 'und', 0, 21),
('font', 0, 4076, 4076, 'und', 0, 19),
('font', 0, 4077, 4077, 'und', 0, 24),
('font', 0, 4078, 4078, 'und', 0, 21),
('font', 0, 4079, 4079, 'und', 0, 19),
('font', 0, 4080, 4080, 'und', 0, 24),
('font', 0, 4081, 4081, 'und', 0, 21),
('font', 0, 4082, 4082, 'und', 0, 19),
('font', 0, 4083, 4083, 'und', 0, 19),
('font', 0, 4084, 4084, 'und', 0, 26),
('font', 0, 4085, 4085, 'und', 0, 21),
('font', 0, 4086, 4086, 'und', 0, 19),
('font', 0, 4087, 4087, 'und', 0, 26),
('font', 0, 4088, 4088, 'und', 0, 21),
('font', 0, 4089, 4089, 'und', 0, 19),
('font', 0, 4090, 4090, 'und', 0, 21),
('font', 0, 4091, 4091, 'und', 0, 19),
('font', 0, 4092, 4092, 'und', 0, 21),
('font', 0, 4093, 4093, 'und', 0, 19),
('font', 0, 4094, 4094, 'und', 0, 19),
('font', 0, 4095, 4095, 'und', 0, 19),
('font', 0, 4096, 4096, 'und', 0, 19),
('font', 0, 4097, 4097, 'und', 0, 19),
('font', 0, 4098, 4098, 'und', 0, 21),
('font', 0, 4099, 4099, 'und', 0, 19),
('font', 0, 4100, 4100, 'und', 0, 19),
('font', 0, 4101, 4101, 'und', 0, 21),
('font', 0, 4102, 4102, 'und', 0, 19),
('font', 0, 4103, 4103, 'und', 0, 21),
('font', 0, 4104, 4104, 'und', 0, 19),
('font', 0, 4105, 4105, 'und', 0, 21),
('font', 0, 4106, 4106, 'und', 0, 19),
('font', 0, 4107, 4107, 'und', 0, 21),
('font', 0, 4108, 4108, 'und', 0, 19),
('font', 0, 4109, 4109, 'und', 0, 21),
('font', 0, 4110, 4110, 'und', 0, 19),
('font', 0, 4111, 4111, 'und', 0, 21),
('font', 0, 4112, 4112, 'und', 0, 19),
('font', 0, 4113, 4113, 'und', 0, 19),
('font', 0, 4114, 4114, 'und', 0, 19),
('font', 0, 4115, 4115, 'und', 0, 21),
('font', 0, 4116, 4116, 'und', 0, 19),
('font', 0, 4117, 4117, 'und', 0, 21),
('font', 0, 4118, 4118, 'und', 0, 19),
('font', 0, 4119, 4119, 'und', 0, 19),
('font', 0, 4120, 4120, 'und', 0, 19),
('font', 0, 4121, 4121, 'und', 0, 19),
('font', 0, 4122, 4122, 'und', 0, 19),
('font', 0, 4123, 4123, 'und', 0, 21),
('font', 0, 4124, 4124, 'und', 0, 19),
('font', 0, 4125, 4125, 'und', 0, 32),
('font', 0, 4126, 4126, 'und', 0, 21),
('font', 0, 4127, 4127, 'und', 0, 19),
('font', 0, 4128, 4128, 'und', 0, 32),
('font', 0, 4129, 4129, 'und', 0, 21),
('font', 0, 4130, 4130, 'und', 0, 19),
('font', 0, 4131, 4131, 'und', 0, 32),
('font', 0, 4132, 4132, 'und', 0, 21),
('font', 0, 4133, 4133, 'und', 0, 19),
('font', 0, 4134, 4134, 'und', 0, 32),
('font', 0, 4135, 4135, 'und', 0, 21),
('font', 0, 4136, 4136, 'und', 0, 19),
('font', 0, 4137, 4137, 'und', 0, 32),
('font', 0, 4138, 4138, 'und', 0, 21),
('font', 0, 4139, 4139, 'und', 0, 19),
('font', 0, 4140, 4140, 'und', 0, 32),
('font', 0, 4141, 4141, 'und', 0, 21),
('font', 0, 4142, 4142, 'und', 0, 19),
('font', 0, 4143, 4143, 'und', 0, 32),
('font', 0, 4144, 4144, 'und', 0, 21),
('font', 0, 4145, 4145, 'und', 0, 19),
('font', 0, 4146, 4146, 'und', 0, 32),
('font', 0, 4147, 4147, 'und', 0, 21),
('font', 0, 4148, 4148, 'und', 0, 19),
('font', 0, 4149, 4149, 'und', 0, 32),
('font', 0, 4150, 4150, 'und', 0, 21),
('font', 0, 4151, 4151, 'und', 0, 19),
('font', 0, 4152, 4152, 'und', 0, 32),
('font', 0, 4153, 4153, 'und', 0, 21),
('font', 0, 4154, 4154, 'und', 0, 19),
('font', 0, 4155, 4155, 'und', 0, 32),
('font', 0, 4156, 4156, 'und', 0, 21),
('font', 0, 4157, 4157, 'und', 0, 19),
('font', 0, 4158, 4158, 'und', 0, 32),
('font', 0, 4159, 4159, 'und', 0, 21),
('font', 0, 4160, 4160, 'und', 0, 19),
('font', 0, 4161, 4161, 'und', 0, 32),
('font', 0, 4162, 4162, 'und', 0, 21),
('font', 0, 4163, 4163, 'und', 0, 19),
('font', 0, 4164, 4164, 'und', 0, 32),
('font', 0, 4165, 4165, 'und', 0, 21),
('font', 0, 4166, 4166, 'und', 0, 19),
('font', 0, 4167, 4167, 'und', 0, 32),
('font', 0, 4168, 4168, 'und', 0, 21),
('font', 0, 4169, 4169, 'und', 0, 19),
('font', 0, 4170, 4170, 'und', 0, 32),
('font', 0, 4171, 4171, 'und', 0, 21),
('font', 0, 4172, 4172, 'und', 0, 19),
('font', 0, 4173, 4173, 'und', 0, 32),
('font', 0, 4174, 4174, 'und', 0, 21),
('font', 0, 4175, 4175, 'und', 0, 19),
('font', 0, 4176, 4176, 'und', 0, 32),
('font', 0, 4177, 4177, 'und', 0, 21),
('font', 0, 4178, 4178, 'und', 0, 19),
('font', 0, 4179, 4179, 'und', 0, 32),
('font', 0, 4180, 4180, 'und', 0, 21),
('font', 0, 4181, 4181, 'und', 0, 19),
('font', 0, 4182, 4182, 'und', 0, 32),
('font', 0, 4183, 4183, 'und', 0, 21),
('font', 0, 4184, 4184, 'und', 0, 19),
('font', 0, 4185, 4185, 'und', 0, 32),
('font', 0, 4186, 4186, 'und', 0, 21),
('font', 0, 4187, 4187, 'und', 0, 19),
('font', 0, 4188, 4188, 'und', 0, 32),
('font', 0, 4189, 4189, 'und', 0, 21),
('font', 0, 4190, 4190, 'und', 0, 19),
('font', 0, 4191, 4191, 'und', 0, 32),
('font', 0, 4192, 4192, 'und', 0, 21),
('font', 0, 4193, 4193, 'und', 0, 19),
('font', 0, 4194, 4194, 'und', 0, 32),
('font', 0, 4195, 4195, 'und', 0, 21),
('font', 0, 4196, 4196, 'und', 0, 19),
('font', 0, 4197, 4197, 'und', 0, 32),
('font', 0, 4198, 4198, 'und', 0, 21),
('font', 0, 4199, 4199, 'und', 0, 19),
('font', 0, 4200, 4200, 'und', 0, 32),
('font', 0, 4201, 4201, 'und', 0, 21),
('font', 0, 4202, 4202, 'und', 0, 19),
('font', 0, 4203, 4203, 'und', 0, 32),
('font', 0, 4204, 4204, 'und', 0, 21),
('font', 0, 4205, 4205, 'und', 0, 19),
('font', 0, 4206, 4206, 'und', 0, 32),
('font', 0, 4207, 4207, 'und', 0, 21),
('font', 0, 4208, 4208, 'und', 0, 19),
('font', 0, 4209, 4209, 'und', 0, 21),
('font', 0, 4210, 4210, 'und', 0, 19),
('font', 0, 4211, 4211, 'und', 0, 21),
('font', 0, 4212, 4212, 'und', 0, 19),
('font', 0, 4213, 4213, 'und', 0, 21),
('font', 0, 4214, 4214, 'und', 0, 19),
('font', 0, 4215, 4215, 'und', 0, 21),
('font', 0, 4216, 4216, 'und', 0, 19),
('font', 0, 4217, 4217, 'und', 0, 21),
('font', 0, 4218, 4218, 'und', 0, 19),
('font', 0, 4219, 4219, 'und', 0, 21),
('font', 0, 4220, 4220, 'und', 0, 19),
('font', 0, 4221, 4221, 'und', 0, 21),
('font', 0, 4222, 4222, 'und', 0, 19),
('font', 0, 4223, 4223, 'und', 0, 21),
('font', 0, 4224, 4224, 'und', 0, 19),
('font', 0, 4225, 4225, 'und', 0, 21),
('font', 0, 4226, 4226, 'und', 0, 19),
('font', 0, 4227, 4227, 'und', 0, 21),
('font', 0, 4228, 4228, 'und', 0, 19),
('font', 0, 4229, 4229, 'und', 0, 21),
('font', 0, 4230, 4230, 'und', 0, 19),
('font', 0, 4231, 4231, 'und', 0, 21),
('font', 0, 4232, 4232, 'und', 0, 19),
('font', 0, 4233, 4233, 'und', 0, 26),
('font', 0, 4234, 4234, 'und', 0, 19),
('font', 0, 4235, 4235, 'und', 0, 26),
('font', 0, 4236, 4236, 'und', 0, 19),
('font', 0, 4237, 4237, 'und', 0, 19),
('font', 0, 4238, 4238, 'und', 0, 21),
('font', 0, 4239, 4239, 'und', 0, 19),
('font', 0, 4240, 4240, 'und', 0, 21),
('font', 0, 4241, 4241, 'und', 0, 19),
('font', 0, 4242, 4242, 'und', 0, 21),
('font', 0, 4243, 4243, 'und', 0, 19),
('font', 0, 4244, 4244, 'und', 0, 30),
('font', 0, 4245, 4245, 'und', 0, 21),
('font', 0, 4246, 4246, 'und', 0, 19),
('font', 0, 4247, 4247, 'und', 0, 30),
('font', 0, 4248, 4248, 'und', 0, 21),
('font', 0, 4249, 4249, 'und', 0, 19),
('font', 0, 4250, 4250, 'und', 0, 30),
('font', 0, 4251, 4251, 'und', 0, 21),
('font', 0, 4252, 4252, 'und', 0, 19),
('font', 0, 4253, 4253, 'und', 0, 30),
('font', 0, 4254, 4254, 'und', 0, 21),
('font', 0, 4255, 4255, 'und', 0, 19),
('font', 0, 4256, 4256, 'und', 0, 30),
('font', 0, 4257, 4257, 'und', 0, 21),
('font', 0, 4258, 4258, 'und', 0, 19),
('font', 0, 4259, 4259, 'und', 0, 30),
('font', 0, 4260, 4260, 'und', 0, 21),
('font', 0, 4261, 4261, 'und', 0, 19),
('font', 0, 4262, 4262, 'und', 0, 30),
('font', 0, 4263, 4263, 'und', 0, 21),
('font', 0, 4264, 4264, 'und', 0, 19),
('font', 0, 4265, 4265, 'und', 0, 19),
('font', 0, 4266, 4266, 'und', 0, 19),
('font', 0, 4267, 4267, 'und', 0, 19),
('font', 0, 4268, 4268, 'und', 0, 19),
('font', 0, 4269, 4269, 'und', 0, 21),
('font', 0, 4270, 4270, 'und', 0, 19),
('font', 0, 4271, 4271, 'und', 0, 19),
('font', 0, 4272, 4272, 'und', 0, 19);

-- --------------------------------------------------------

--
-- Table structure for table `font__field_tags`
--

CREATE TABLE `font__field_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_tags_target_id` (`field_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for font field field_tags.';

-- --------------------------------------------------------

--
-- Table structure for table `history`
--

CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT 0 COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='A record of which users have read which nodes.';

--
-- Dumping data for table `history`
--

INSERT INTO `history` VALUES
(1, 35, 1681653963),
(1, 94, 1681653975),
(1, 95, 1681495633);

-- --------------------------------------------------------

--
-- Table structure for table `key_value`
--

CREATE TABLE `key_value` (
  `collection` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'A named collection of key and value pairs.',
  `name` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The key of the key-value pair. As KEY is a SQL reserved keyword, name was chosen instead.',
  `value` longblob NOT NULL COMMENT 'The value.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Generic key-value storage table. See the state system for…';

--
-- Dumping data for table `key_value`
--

INSERT INTO `key_value` VALUES
('config.entity.key_store.action', 'uuid:05a7ea99-e7b2-4356-ae40-bc9ab358a7fc', 'a:1:{i:0;s:36:"system.action.comment_publish_action";}'),
('config.entity.key_store.action', 'uuid:10435f0c-17a0-4d3e-b6d3-36f6bc940a80', 'a:1:{i:0;s:35:"system.action.comment_delete_action";}'),
('config.entity.key_store.action', 'uuid:1f815e82-4343-47e2-92fb-87707756f7a1', 'a:1:{i:0;s:35:"system.action.node_unpromote_action";}'),
('config.entity.key_store.action', 'uuid:1fab0859-1fe9-4383-bebb-f2fb607500e2', 'a:1:{i:0;s:33:"system.action.node_promote_action";}'),
('config.entity.key_store.action', 'uuid:2c4c0d36-8317-40a5-9d85-93640328328d', 'a:1:{i:0;s:37:"system.action.node_make_sticky_action";}'),
('config.entity.key_store.action', 'uuid:2c53863b-8faf-4203-8e8a-3f007168758b', 'a:1:{i:0;s:35:"system.action.node_unpublish_action";}'),
('config.entity.key_store.action', 'uuid:5cbc002c-5edc-429f-a8f7-92d5218f1951', 'a:1:{i:0;s:32:"system.action.node_delete_action";}'),
('config.entity.key_store.action', 'uuid:6640eb68-e48b-49c1-91b5-e56d68549585', 'a:1:{i:0;s:49:"system.action.webform_submission_make_lock_action";}'),
('config.entity.key_store.action', 'uuid:6a24a960-11b5-48ea-8725-0de7caee1a0e', 'a:1:{i:0;s:37:"system.action.user_cancel_user_action";}'),
('config.entity.key_store.action', 'uuid:84157d44-8353-46f5-bc56-8617350d2847', 'a:1:{i:0;s:33:"system.action.node_publish_action";}'),
('config.entity.key_store.action', 'uuid:91f98b8d-64de-484a-8aa1-3be73b98da97', 'a:1:{i:0;s:51:"system.action.webform_submission_make_unlock_action";}'),
('config.entity.key_store.action', 'uuid:95f590f5-91e9-41a0-aec1-b5ecd70cba18', 'a:1:{i:0;s:38:"system.action.user_unblock_user_action";}'),
('config.entity.key_store.action', 'uuid:980bfc2f-e26d-45eb-9312-28f6b5a332d6', 'a:1:{i:0;s:33:"system.action.comment_save_action";}'),
('config.entity.key_store.action', 'uuid:a28f6a0e-d856-40f4-9c51-7986e0b0c58b', 'a:1:{i:0;s:46:"system.action.webform_submission_delete_action";}'),
('config.entity.key_store.action', 'uuid:a52855ce-fa3d-4eeb-b531-4f7d7b74f1e9', 'a:1:{i:0;s:36:"system.action.user_block_user_action";}'),
('config.entity.key_store.action', 'uuid:b8d45f31-1ae4-4e38-8bda-60c1c24fdc70', 'a:1:{i:0;s:38:"system.action.comment_unpublish_action";}'),
('config.entity.key_store.action', 'uuid:bac492ac-9baa-45fa-b537-5dfea5142d72', 'a:1:{i:0;s:53:"system.action.webform_submission_make_unsticky_action";}'),
('config.entity.key_store.action', 'uuid:bcb78cdd-6d7b-4feb-ab1e-87cfa602e037', 'a:1:{i:0;s:30:"system.action.node_save_action";}'),
('config.entity.key_store.action', 'uuid:bec19807-3067-49e9-9508-82114f0c8351', 'a:1:{i:0;s:51:"system.action.user_remove_role_action.administrator";}'),
('config.entity.key_store.action', 'uuid:c3abba57-d2cd-4984-9348-4304ae98281b', 'a:1:{i:0;s:39:"system.action.node_make_unsticky_action";}'),
('config.entity.key_store.action', 'uuid:c5b24ca7-20a2-4ce3-86e0-2ec8085d6b48', 'a:1:{i:0;s:51:"system.action.webform_submission_make_sticky_action";}'),
('config.entity.key_store.action', 'uuid:ea0a2265-63ff-43b9-bcf2-cb7f2985f3e1', 'a:1:{i:0;s:48:"system.action.user_add_role_action.administrator";}'),
('config.entity.key_store.base_field_override', 'uuid:752d654a-6fff-4e3e-a554-938216d43b3d', 'a:1:{i:0;s:48:"core.base_field_override.node.mt_speaker.promote";}'),
('config.entity.key_store.base_field_override', 'uuid:e0894692-fd19-4dfe-b036-cb10d9f082b1', 'a:1:{i:0;s:52:"core.base_field_override.node.mt_team_member.promote";}'),
('config.entity.key_store.base_field_override', 'uuid:ef42ff06-6621-4821-8ffb-9a5b22a6283b', 'a:1:{i:0;s:42:"core.base_field_override.node.page.promote";}'),
('config.entity.key_store.block', 'theme:conferenceplus', 'a:120:{i:0;s:37:"block.block.conferenceplus_page_title";i:1;s:38:"block.block.conferenceplus_local_tasks";i:2;s:40:"block.block.conferenceplus_local_actions";i:3;s:35:"block.block.conferenceplus_messages";i:4;s:34:"block.block.conferenceplus_content";i:5;s:38:"block.block.conferenceplus_breadcrumbs";i:6;s:35:"block.block.conferenceplus_branding";i:8;s:36:"block.block.conferenceplus_main_menu";i:10;s:31:"block.block.conferenceplus_help";i:11;s:33:"block.block.conferenceplus_search";i:13;s:33:"block.block.conferenceplus_footer";i:14;s:19:"block.block.aboutme";i:17;s:41:"block.block.areyoulookingforagreatservice";i:20;s:39:"block.block.backgroundimageblockclients";i:22;s:35:"block.block.backgroundimageblockcta";i:28;s:26:"block.block.calltoaction_2";i:29;s:24:"block.block.calltoaction";i:30;s:25:"block.block.calltoaction2";i:31;s:39:"block.block.conferenceplus_announcement";i:33;s:41:"block.block.conferenceplus_blockwithimage";i:34;s:45:"block.block.conferenceplus_connectwithuslarge";i:36;s:38:"block.block.conferenceplus_contactinfo";i:37;s:47:"block.block.conferenceplus_contactinfoheadertop";i:38;s:36:"block.block.conferenceplus_copyright";i:39;s:55:"block.block.conferenceplus_exposedformmt_productspage_1";i:40;s:55:"block.block.conferenceplus_exposedformmt_productspage_2";i:41;s:55:"block.block.conferenceplus_exposedformmt_productspage_3";i:43;s:44:"block.block.conferenceplus_fancylinkedimages";i:44;s:40:"block.block.conferenceplus_frontpagetabs";i:45;s:39:"block.block.conferenceplus_genericblock";i:48;s:43:"block.block.conferenceplus_mainnavigation_2";i:49;s:45:"block.block.conferenceplus_popularsalesstatic";i:50;s:59:"block.block.conferenceplus_productslayoutswitcherlistactive";i:51;s:58:"block.block.conferenceplus_productslayoutswithergridactive";i:53;s:38:"block.block.conferenceplus_sidebartabs";i:55;s:42:"block.block.conferenceplus_socialbookmarks";i:58;s:37:"block.block.conferenceplus_textblocks";i:61;s:71:"block.block.conferenceplus_views_block__mt_collections_carousel_block_1";i:62;s:70:"block.block.conferenceplus_views_block__mt_collections_masonry_block_1";i:64;s:57:"block.block.conferenceplus_views_block__mt_latest_block_1";i:65;s:57:"block.block.conferenceplus_views_block__mt_latest_block_3";i:66;s:63:"block.block.conferenceplus_views_block__mt_popular_tags_block_1";i:67;s:65:"block.block.conferenceplus_views_block__mt_pricing_tables_block_1";i:69;s:64:"block.block.conferenceplus_views_block__mt_products_list_block_1";i:70;s:67:"block.block.conferenceplus_views_block__mt_products_masonry_block_1";i:71;s:72:"block.block.conferenceplus_views_block__mt_slideshow_boxed_width_block_1";i:72;s:72:"block.block.conferenceplus_views_block__mt_slideshow_full_screen_block_1";i:73;s:71:"block.block.conferenceplus_views_block__mt_slideshow_full_width_block_1";i:74;s:63:"block.block.conferenceplus_views_block__mt_testimonials_block_1";i:75;s:63:"block.block.conferenceplus_views_block__mt_testimonials_block_2";i:77;s:32:"block.block.contactinfofootertop";i:78;s:29:"block.block.contactinfoheader";i:79;s:31:"block.block.contactinfoslideout";i:82;s:30:"block.block.customsitebranding";i:83;s:22:"block.block.fancyblock";i:84;s:29:"block.block.featuresfrontpage";i:87;s:30:"block.block.fullwidthslideshow";i:88;s:29:"block.block.googlemapbanner_3";i:89;s:29:"block.block.googlemapbanner_2";i:90;s:27:"block.block.googlemapbanner";i:91;s:27:"block.block.headerdropdowns";i:92;s:22:"block.block.highlights";i:93;s:31:"block.block.highlightsfrontpage";i:95;s:26:"block.block.iconssubfooter";i:96;s:39:"block.block.interestedininvestingwithus";i:97;s:35:"block.block.landingpagenavigation_2";i:98;s:28:"block.block.languageswitcher";i:99;s:28:"block.block.mainnavigation_2";i:100;s:28:"block.block.mainnavigation_4";i:101;s:20:"block.block.mediatab";i:102;s:20:"block.block.megamenu";i:103;s:19:"block.block.mystory";i:104;s:25:"block.block.ournewsletter";i:107;s:24:"block.block.searchform_3";i:108;s:24:"block.block.searchform_4";i:109;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:112;s:23:"block.block.sociallinks";i:113;s:23:"block.block.socialmedia";i:114;s:30:"block.block.stillhavequestions";i:116;s:34:"block.block.tellusaboutyourproject";i:117;s:26:"block.block.uniquefeatures";i:118;s:32:"block.block.videobackgroundblock";i:119;s:31:"block.block.videogalleryblock_2";i:120;s:29:"block.block.videogalleryblock";i:121;s:53:"block.block.views_block__mt_articles_carousel_block_1";i:124;s:53:"block.block.views_block__mt_products_carousel_block_1";i:127;s:57:"block.block.views_block__mt_team_members_carousel_block_1";i:128;s:57:"block.block.views_block__mt_testimonials_carousel_block_1";i:129;s:17:"block.block.whyme";i:130;s:29:"block.block.contactinfofooter";i:131;s:23:"block.block.aboutfooter";i:132;s:23:"block.block.usefullinks";i:133;s:31:"block.block.headertopctabuttons";i:134;s:51:"block.block.views_block__mt_recent_comments_block_1";i:135;s:28:"block.block.collapsibleblock";i:137;s:17:"block.block.phone";i:138;s:19:"block.block.address";i:139;s:24:"block.block.workinghours";i:140;s:53:"block.block.views_block__mt_speakers_carousel_block_1";i:142;s:49:"block.block.backgroundimageblockshowcasescarousel";i:143;s:53:"block.block.views_block__mt_sponsors_carousel_block_1";i:144;s:42:"block.block.registrationlocationinthevenue";i:145;s:25:"block.block.usefullinks_2";i:146;s:42:"block.block.footerbottomcustomsitebranding";i:148;s:21:"block.block.countdown";i:149;s:23:"block.block.subscribe_2";i:150;s:59:"block.block.views_block__mt_other_speakers_carousel_block_1";i:151;s:51:"block.block.views_block__mt_articles_list_2_block_1";i:152;s:27:"block.block.typinganimation";i:153;s:20:"block.block.timeline";i:154;s:57:"block.block.views_block__mt_related_presentations_block_1";i:155;s:59:"block.block.views_block__mt_related_presentations_2_block_1";i:156;s:28:"block.block.presentationtabs";i:157;s:51:"block.block.views_block__mt_albums_carousel_block_1";i:158;s:50:"block.block.views_block__mt_related_events_block_1";i:159;s:59:"block.block.views_block__mt_related_presentations_3_block_1";i:160;s:28:"block.block.juicerembedfeed1";i:161;s:26:"block.block.paymentmethods";i:162;s:51:"block.block.views_block__mt_sponsors_grid_2_block_1";i:163;s:20:"block.block.benefits";}'),
('config.entity.key_store.block', 'theme:corporateplus', 'a:66:{i:11;s:19:"block.block.aboutme";i:12;s:19:"block.block.aboutus";i:13;s:25:"block.block.aboutusbanner";i:14;s:29:"block.block.aboutuscontenttop";i:15;s:41:"block.block.areyoulookingforagreatservice";i:16;s:39:"block.block.backgroundimageblockaboutus";i:17;s:36:"block.block.backgroundimageblockblog";i:18;s:39:"block.block.backgroundimageblockclients";i:19;s:41:"block.block.backgroundimageblockcontactus";i:21;s:35:"block.block.backgroundimageblockcta";i:22;s:40:"block.block.backgroundimageblockproducts";i:23;s:40:"block.block.backgroundimageblockservices";i:24;s:41:"block.block.backgroundimageblockshowcases";i:25;s:22:"block.block.blogbanner";i:26;s:24:"block.block.calltoaction";i:27;s:25:"block.block.calltoaction2";i:28;s:41:"block.block.contactinfocontactalternative";i:29;s:32:"block.block.contactinfofootertop";i:30;s:29:"block.block.contactinfoheader";i:32;s:31:"block.block.contactinfoslideout";i:33;s:27:"block.block.contactusbanner";i:34;s:22:"block.block.fancyblock";i:36;s:42:"block.block.footerbottomcustomsitebranding";i:37;s:30:"block.block.fullwidthslideshow";i:38;s:29:"block.block.googlemapbanner_2";i:39;s:29:"block.block.googlemapbanner_3";i:40;s:27:"block.block.googlemapbanner";i:41;s:27:"block.block.headerdropdowns";i:42;s:22:"block.block.highlights";i:43;s:37:"block.block.howprofessionalisourstaff";i:44;s:26:"block.block.iconssubfooter";i:45;s:39:"block.block.interestedininvestingwithus";i:46;s:28:"block.block.languageswitcher";i:47;s:28:"block.block.mainnavigation_2";i:48;s:28:"block.block.mainnavigation_3";i:49;s:28:"block.block.mainnavigation_4";i:51;s:20:"block.block.mediatab";i:52;s:20:"block.block.megamenu";i:53;s:19:"block.block.mystory";i:54;s:25:"block.block.ournewsletter";i:55;s:27:"block.block.poweredbydrupal";i:56;s:26:"block.block.productsbanner";i:57;s:24:"block.block.searchform_2";i:58;s:24:"block.block.searchform_3";i:59;s:24:"block.block.searchform_4";i:60;s:22:"block.block.searchform";i:61;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:62;s:26:"block.block.servicesbanner";i:115;s:27:"block.block.showcasesbanner";i:116;s:24:"block.block.sitebranding";i:117;s:23:"block.block.sociallinks";i:118;s:23:"block.block.socialmedia";i:119;s:30:"block.block.stillhavequestions";i:120;s:34:"block.block.tellusaboutyourproject";i:121;s:34:"block.block.testimonialscarousel_2";i:122;s:31:"block.block.videogalleryblock_2";i:123;s:29:"block.block.videogalleryblock";i:124;s:17:"block.block.whyme";i:128;s:21:"block.block.subscribe";i:129;s:36:"block.block.socialbookmarksfootertop";i:130;s:44:"block.block.footerbottomcustomsitebranding_2";i:131;s:23:"block.block.creditcards";i:136;s:26:"block.block.calltoaction_2";i:137;s:26:"block.block.uniquefeatures";i:142;s:32:"block.block.videobackgroundblock";i:144;s:35:"block.block.landingpagenavigation_2";}'),
('config.entity.key_store.block', 'theme:olivero', 'a:15:{i:0;s:24:"block.block.olivero_help";i:1;s:30:"block.block.olivero_page_title";i:2;s:41:"block.block.olivero_primary_admin_actions";i:3;s:39:"block.block.olivero_primary_local_tasks";i:4;s:41:"block.block.olivero_secondary_local_tasks";i:5;s:29:"block.block.olivero_syndicate";i:6;s:38:"block.block.olivero_search_form_narrow";i:7;s:36:"block.block.olivero_search_form_wide";i:8;s:31:"block.block.olivero_breadcrumbs";i:9;s:27:"block.block.olivero_content";i:10;s:28:"block.block.olivero_messages";i:11;s:27:"block.block.olivero_powered";i:12;s:33:"block.block.olivero_site_branding";i:13;s:32:"block.block.olivero_account_menu";i:14;s:29:"block.block.olivero_main_menu";}'),
('config.entity.key_store.block', 'theme:seven', 'a:9:{i:0;s:29:"block.block.seven_breadcrumbs";i:1;s:25:"block.block.seven_content";i:2;s:22:"block.block.seven_help";i:3;s:31:"block.block.seven_local_actions";i:4;s:23:"block.block.seven_login";i:5;s:26:"block.block.seven_messages";i:6;s:28:"block.block.seven_page_title";i:7;s:37:"block.block.seven_primary_local_tasks";i:8;s:39:"block.block.seven_secondary_local_tasks";}'),
('config.entity.key_store.block', 'theme:showcaseplus', 'a:63:{i:10;s:19:"block.block.aboutus";i:11;s:29:"block.block.aboutuscontenttop";i:12;s:24:"block.block.calltoaction";i:13;s:32:"block.block.contactinfofootertop";i:14;s:29:"block.block.contactinfoheader";i:15;s:32:"block.block.contactinfoheadertop";i:16;s:35:"block.block.featuredlinkedtexttiles";i:17;s:31:"block.block.contactinfoslideout";i:18;s:30:"block.block.fullwidthslideshow";i:19;s:29:"block.block.googlemapbanner_2";i:20;s:29:"block.block.googlemapbanner_3";i:21;s:27:"block.block.googlemapbanner";i:22;s:22:"block.block.highlights";i:23;s:37:"block.block.howprofessionalisourstaff";i:24;s:39:"block.block.interestedininvestingwithus";i:25;s:28:"block.block.mainnavigation_2";i:26;s:28:"block.block.mainnavigation_3";i:27;s:28:"block.block.mainnavigation_4";i:28;s:26:"block.block.mainnavigation";i:29;s:20:"block.block.mediatab";i:30;s:25:"block.block.ournewsletter";i:31;s:27:"block.block.poweredbydrupal";i:32;s:24:"block.block.searchform_2";i:33;s:24:"block.block.searchform_3";i:34;s:22:"block.block.searchform";i:35;s:49:"block.block.seeafulllistoftheserviceswecanprovide";i:90;s:24:"block.block.sitebranding";i:91;s:34:"block.block.tellusaboutyourproject";i:92;s:31:"block.block.videogalleryblock_2";i:93;s:29:"block.block.videogalleryblock";i:104;s:19:"block.block.aboutme";i:105;s:35:"block.block.backgroundimageblockcta";i:109;s:30:"block.block.stillhavequestions";i:110;s:25:"block.block.calltoaction2";i:111;s:41:"block.block.areyoulookingforagreatservice";i:112;s:22:"block.block.fancyblock";i:114;s:34:"block.block.testimonialscarousel_2";i:116;s:19:"block.block.mystory";i:117;s:39:"block.block.backgroundimageblockclients";i:118;s:27:"block.block.headerdropdowns";i:119;s:24:"block.block.searchform_4";i:120;s:25:"block.block.aboutusbanner";i:121;s:39:"block.block.backgroundimageblockaboutus";i:122;s:21:"block.block.aboutme_2";i:123;s:37:"block.block.backgroundimageblockcta_2";i:124;s:17:"block.block.whyme";i:125;s:23:"block.block.socialmedia";i:126;s:26:"block.block.iconssubfooter";i:127;s:26:"block.block.servicesbanner";i:128;s:40:"block.block.backgroundimageblockservices";i:129;s:26:"block.block.productsbanner";i:130;s:27:"block.block.showcasesbanner";i:131;s:27:"block.block.contactusbanner";i:132;s:22:"block.block.blogbanner";i:133;s:40:"block.block.backgroundimageblockproducts";i:134;s:41:"block.block.backgroundimageblockshowcases";i:135;s:36:"block.block.backgroundimageblockblog";i:136;s:41:"block.block.backgroundimageblockcontactus";i:137;s:41:"block.block.contactinfocontactalternative";i:138;s:28:"block.block.languageswitcher";i:139;s:23:"block.block.sociallinks";i:141;s:42:"block.block.footerbottomcustomsitebranding";i:142;s:20:"block.block.megamenu";}'),
('config.entity.key_store.block', 'uuid:017937c5-2c7f-4119-a4a4-ae80e1022e0c', 'a:1:{i:0;s:30:"block.block.stillhavequestions";}'),
('config.entity.key_store.block', 'uuid:032040f6-1518-4134-8f6e-cc2e3530b0a7', 'a:1:{i:0;s:37:"block.block.seven_primary_local_tasks";}'),
('config.entity.key_store.block', 'uuid:08cb2d52-2717-4af3-a32e-6caf294b74b0', 'a:1:{i:0;s:22:"block.block.seven_help";}'),
('config.entity.key_store.block', 'uuid:0dd6732e-0540-4619-94f1-24ebd8f579be', 'a:1:{i:0;s:63:"block.block.conferenceplus_views_block__mt_testimonials_block_2";}'),
('config.entity.key_store.block', 'uuid:0efc1f50-254a-46c5-aa3c-836705892d93', 'a:1:{i:0;s:71:"block.block.conferenceplus_views_block__mt_collections_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:11641027-cc8b-4b33-9229-d63288aceaee', 'a:1:{i:0;s:36:"block.block.conferenceplus_copyright";}'),
('config.entity.key_store.block', 'uuid:120b6030-cd0e-45b1-aa88-ccfcac607122', 'a:1:{i:0;s:38:"block.block.conferenceplus_sidebartabs";}'),
('config.entity.key_store.block', 'uuid:12a47add-bd79-4175-b219-1be1dd263221', 'a:1:{i:0;s:33:"block.block.olivero_site_branding";}'),
('config.entity.key_store.block', 'uuid:184c47f2-6b01-45d6-b835-b2910a04ebee', 'a:1:{i:0;s:65:"block.block.conferenceplus_views_block__mt_pricing_tables_block_1";}'),
('config.entity.key_store.block', 'uuid:19b8eee9-a89d-4ded-84bc-bd0a2a593d54', 'a:1:{i:0;s:35:"block.block.conferenceplus_messages";}'),
('config.entity.key_store.block', 'uuid:19fbd9e1-d81e-4714-a1e2-fb520093f7d7', 'a:1:{i:0;s:31:"block.block.contactinfoslideout";}'),
('config.entity.key_store.block', 'uuid:1adba593-91fc-4156-875a-84e26a8bcba9', 'a:1:{i:0;s:25:"block.block.usefullinks_2";}'),
('config.entity.key_store.block', 'uuid:1de34cc7-105e-4cdc-bba2-d5e9ccc619c4', 'a:1:{i:0;s:39:"block.block.seven_secondary_local_tasks";}'),
('config.entity.key_store.block', 'uuid:1e822d9d-d1fb-4d4e-9c41-667ec450ffa3', 'a:1:{i:0;s:24:"block.block.workinghours";}'),
('config.entity.key_store.block', 'uuid:235d4489-7492-45bf-800f-4f4ba08aba1d', 'a:1:{i:0;s:38:"block.block.conferenceplus_breadcrumbs";}'),
('config.entity.key_store.block', 'uuid:23867c08-8ba0-4650-8114-60806f07b8f3', 'a:1:{i:0;s:26:"block.block.seven_messages";}'),
('config.entity.key_store.block', 'uuid:23978d02-fa16-4e5f-9e67-5fc844dc4fe6', 'a:1:{i:0;s:27:"block.block.typinganimation";}'),
('config.entity.key_store.block', 'uuid:245666af-c45e-4c0e-9f1e-f3f351a05410', 'a:1:{i:0;s:39:"block.block.conferenceplus_genericblock";}'),
('config.entity.key_store.block', 'uuid:261f9a48-9380-4025-b725-8b67f250af9c', 'a:1:{i:0;s:64:"block.block.conferenceplus_views_block__mt_products_list_block_1";}'),
('config.entity.key_store.block', 'uuid:275c0f18-d478-4a9c-afc5-b3c2acc4b188', 'a:1:{i:0;s:24:"block.block.searchform_3";}'),
('config.entity.key_store.block', 'uuid:288afbea-8976-44ef-9390-670452d7c669', 'a:1:{i:0;s:39:"block.block.olivero_primary_local_tasks";}'),
('config.entity.key_store.block', 'uuid:2b69e964-be88-49ac-a4d8-05e1e2b2c847', 'a:1:{i:0;s:24:"block.block.calltoaction";}'),
('config.entity.key_store.block', 'uuid:2ba18c03-f53f-45cc-a558-48112d6faf19', 'a:1:{i:0;s:39:"block.block.backgroundimageblockclients";}'),
('config.entity.key_store.block', 'uuid:2bec5add-0843-4a4b-a1e5-309c432f9ad2', 'a:1:{i:0;s:44:"block.block.conferenceplus_fancylinkedimages";}'),
('config.entity.key_store.block', 'uuid:2cbc947a-99cc-4f99-ba0e-19a3ca84c67f', 'a:1:{i:0;s:45:"block.block.conferenceplus_connectwithuslarge";}'),
('config.entity.key_store.block', 'uuid:301bb505-1dfd-4723-b70a-523b3d993aeb', 'a:1:{i:0;s:28:"block.block.mainnavigation_4";}'),
('config.entity.key_store.block', 'uuid:32a48f5b-2bb7-4e4d-85f8-71cdb7f0d6d9', 'a:1:{i:0;s:29:"block.block.videogalleryblock";}'),
('config.entity.key_store.block', 'uuid:33f02150-fa55-4d26-89cd-765c9f74d85d', 'a:1:{i:0;s:72:"block.block.conferenceplus_views_block__mt_slideshow_boxed_width_block_1";}'),
('config.entity.key_store.block', 'uuid:34f50f77-7219-4f36-a963-1adb0b3c2f12', 'a:1:{i:0;s:49:"block.block.backgroundimageblockshowcasescarousel";}'),
('config.entity.key_store.block', 'uuid:37ca0b46-35f4-4dd4-b763-6bcdf96e974a', 'a:1:{i:0;s:21:"block.block.countdown";}'),
('config.entity.key_store.block', 'uuid:386bcb7e-59a6-45ed-881a-e7d32c1ba23c', 'a:1:{i:0;s:42:"block.block.conferenceplus_socialbookmarks";}'),
('config.entity.key_store.block', 'uuid:39f0a9a7-a677-45cb-9d15-47c576b4048f', 'a:1:{i:0;s:53:"block.block.views_block__mt_speakers_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:3a24a11c-4802-4158-9511-e3ea5ba4bf33', 'a:1:{i:0;s:39:"block.block.conferenceplus_announcement";}'),
('config.entity.key_store.block', 'uuid:3b1c87e1-518e-4d8d-8283-50c1c41ff2fc', 'a:1:{i:0;s:29:"block.block.googlemapbanner_2";}'),
('config.entity.key_store.block', 'uuid:3b4dac48-e513-4c4c-b1fc-a965eb97202f', 'a:1:{i:0;s:23:"block.block.seven_login";}'),
('config.entity.key_store.block', 'uuid:3ca3546b-5d3f-4b9a-8b53-e043679faa9f', 'a:1:{i:0;s:57:"block.block.views_block__mt_related_presentations_block_1";}'),
('config.entity.key_store.block', 'uuid:42957dee-4e6b-4866-ad35-39fe6cbc332e', 'a:1:{i:0;s:53:"block.block.views_block__mt_articles_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:4295e030-0c05-4306-ac57-f12f0f9a7aee', 'a:1:{i:0;s:32:"block.block.videobackgroundblock";}'),
('config.entity.key_store.block', 'uuid:42edd28e-3462-4ed5-8ec6-57177ff08f59', 'a:1:{i:0;s:72:"block.block.conferenceplus_views_block__mt_slideshow_full_screen_block_1";}'),
('config.entity.key_store.block', 'uuid:45978682-cf35-4968-9c9c-44d2c11d0e70', 'a:1:{i:0;s:17:"block.block.whyme";}'),
('config.entity.key_store.block', 'uuid:4789b551-d544-4938-9997-9874595380fb', 'a:1:{i:0;s:29:"block.block.featuresfrontpage";}'),
('config.entity.key_store.block', 'uuid:47cbec45-aff5-4825-a53e-6095acd2c301', 'a:1:{i:0;s:51:"block.block.views_block__mt_albums_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:4a2b38dd-f09b-4d8e-a086-c3bde3f1549c', 'a:1:{i:0;s:19:"block.block.mystory";}'),
('config.entity.key_store.block', 'uuid:4c25018e-f5da-41d8-8b07-df33e1b73b14', 'a:1:{i:0;s:63:"block.block.conferenceplus_views_block__mt_testimonials_block_1";}'),
('config.entity.key_store.block', 'uuid:4c40df7d-982b-43a3-96e8-9b4c86ded561', 'a:1:{i:0;s:35:"block.block.landingpagenavigation_2";}'),
('config.entity.key_store.block', 'uuid:4e216a01-764f-4790-8c2a-bcc96f1bad5f', 'a:1:{i:0;s:42:"block.block.footerbottomcustomsitebranding";}'),
('config.entity.key_store.block', 'uuid:4faf678b-2df9-46c0-b87f-8109723a1692', 'a:1:{i:0;s:36:"block.block.olivero_search_form_wide";}'),
('config.entity.key_store.block', 'uuid:5149169e-91a8-4f9f-88d0-916ded6b7d78', 'a:1:{i:0;s:23:"block.block.subscribe_2";}'),
('config.entity.key_store.block', 'uuid:551f49ae-6e25-46ba-94fd-97857339fa33', 'a:1:{i:0;s:50:"block.block.views_block__mt_related_events_block_1";}'),
('config.entity.key_store.block', 'uuid:5739756b-4957-4eee-a4e4-2828c96f9345', 'a:1:{i:0;s:34:"block.block.tellusaboutyourproject";}'),
('config.entity.key_store.block', 'uuid:582d083b-d922-409f-9a43-e0d21e647825', 'a:1:{i:0;s:29:"block.block.contactinfoheader";}'),
('config.entity.key_store.block', 'uuid:584f76a5-06a8-49f8-802a-49362220ab53', 'a:1:{i:0;s:22:"block.block.highlights";}'),
('config.entity.key_store.block', 'uuid:59c4ba3a-e73b-46f0-8f39-8c1eaa27da42', 'a:1:{i:0;s:55:"block.block.conferenceplus_exposedformmt_productspage_1";}'),
('config.entity.key_store.block', 'uuid:59c5de11-9b4c-4dd4-aeb1-aa1320cba44f', 'a:1:{i:0;s:19:"block.block.aboutme";}'),
('config.entity.key_store.block', 'uuid:5b0f1b48-ca64-4949-95e5-9becf8ef094d', 'a:1:{i:0;s:40:"block.block.conferenceplus_local_actions";}'),
('config.entity.key_store.block', 'uuid:5b108211-d855-47e5-ab36-4b43b07beb96', 'a:1:{i:0;s:27:"block.block.headerdropdowns";}'),
('config.entity.key_store.block', 'uuid:5cb79725-1721-47cc-92a2-5e24596b9ab8', 'a:1:{i:0;s:20:"block.block.timeline";}'),
('config.entity.key_store.block', 'uuid:612fa5b3-9c73-4a4d-823f-2d4e4c953f4e', 'a:1:{i:0;s:59:"block.block.conferenceplus_productslayoutswitcherlistactive";}'),
('config.entity.key_store.block', 'uuid:6317a94d-3486-43d3-86f7-280cfe6e35b8', 'a:1:{i:0;s:27:"block.block.olivero_powered";}'),
('config.entity.key_store.block', 'uuid:63759610-6f81-43c5-bd6c-64ee7d363a15', 'a:1:{i:0;s:26:"block.block.calltoaction_2";}'),
('config.entity.key_store.block', 'uuid:67d0e0cc-1727-4b15-b9dd-3c2b528b57b8', 'a:1:{i:0;s:71:"block.block.conferenceplus_views_block__mt_slideshow_full_width_block_1";}'),
('config.entity.key_store.block', 'uuid:691edf14-7bd9-4a23-9525-d53ade64cd55', 'a:1:{i:0;s:57:"block.block.conferenceplus_views_block__mt_latest_block_3";}'),
('config.entity.key_store.block', 'uuid:69c542e9-888c-4797-bdbe-7a04ed5adc2e', 'a:1:{i:0;s:26:"block.block.iconssubfooter";}'),
('config.entity.key_store.block', 'uuid:6a02ab02-7255-412a-8132-d9fe56612676', 'a:1:{i:0;s:27:"block.block.googlemapbanner";}'),
('config.entity.key_store.block', 'uuid:6b1c8b70-5c53-427b-8091-3fa772e60fe5', 'a:1:{i:0;s:28:"block.block.languageswitcher";}'),
('config.entity.key_store.block', 'uuid:6d4d095e-d879-4aa7-ac57-332535d3bfac', 'a:1:{i:0;s:51:"block.block.views_block__mt_sponsors_grid_2_block_1";}'),
('config.entity.key_store.block', 'uuid:6f4b6dd8-e877-49af-a99a-87fd21304918', 'a:1:{i:0;s:20:"block.block.megamenu";}'),
('config.entity.key_store.block', 'uuid:7207fb8b-2abc-4328-ad2f-fc056e51d670', 'a:1:{i:0;s:31:"block.block.olivero_breadcrumbs";}'),
('config.entity.key_store.block', 'uuid:7a02f097-db7f-4b5d-bc0f-65ff642d46c1', 'a:1:{i:0;s:31:"block.block.highlightsfrontpage";}'),
('config.entity.key_store.block', 'uuid:7ab65d6a-a18a-4dd2-9e82-9baaa225289c', 'a:1:{i:0;s:25:"block.block.ournewsletter";}'),
('config.entity.key_store.block', 'uuid:7ba9f362-014d-478e-a169-25be92964cd6', 'a:1:{i:0;s:47:"block.block.conferenceplus_contactinfoheadertop";}'),
('config.entity.key_store.block', 'uuid:7c95fd8c-69ff-4020-89c5-7dd93915cf34', 'a:1:{i:0;s:59:"block.block.views_block__mt_related_presentations_3_block_1";}'),
('config.entity.key_store.block', 'uuid:7da21122-1a94-42eb-ab06-6f48902948ef', 'a:1:{i:0;s:32:"block.block.olivero_account_menu";}'),
('config.entity.key_store.block', 'uuid:7e0feb68-df9c-40f6-a79f-ec0635b951be', 'a:1:{i:0;s:53:"block.block.views_block__mt_products_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:7e808777-e818-46c8-8b5a-6dfd8777aee6', 'a:1:{i:0;s:59:"block.block.views_block__mt_other_speakers_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:7fbfc9b3-e614-4cf4-b9d3-7097078d7a55', 'a:1:{i:0;s:58:"block.block.conferenceplus_productslayoutswithergridactive";}'),
('config.entity.key_store.block', 'uuid:7fdf28cc-3d55-4944-af9c-f6430c954771', 'a:1:{i:0;s:41:"block.block.conferenceplus_blockwithimage";}'),
('config.entity.key_store.block', 'uuid:8050817f-48b9-4b28-8abc-8d485939aafb', 'a:1:{i:0;s:33:"block.block.conferenceplus_search";}'),
('config.entity.key_store.block', 'uuid:8592efcd-ab10-4322-a84d-a5c31d90529b', 'a:1:{i:0;s:57:"block.block.conferenceplus_views_block__mt_latest_block_1";}'),
('config.entity.key_store.block', 'uuid:886dcb82-e300-45ee-ace2-9eb4f6c977bb', 'a:1:{i:0;s:42:"block.block.registrationlocationinthevenue";}'),
('config.entity.key_store.block', 'uuid:8ad54f83-876a-4b9a-9d39-e1ba2b41491b', 'a:1:{i:0;s:57:"block.block.views_block__mt_testimonials_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:8ae72d31-e6eb-4441-88cf-d31b20db68c8', 'a:1:{i:0;s:43:"block.block.conferenceplus_mainnavigation_2";}'),
('config.entity.key_store.block', 'uuid:8bef6587-3720-427b-ad76-ed7d5037416d', 'a:1:{i:0;s:28:"block.block.juicerembedfeed1";}'),
('config.entity.key_store.block', 'uuid:8c4cac00-3310-4e42-8bf0-4f4d753ada6e', 'a:1:{i:0;s:38:"block.block.conferenceplus_contactinfo";}'),
('config.entity.key_store.block', 'uuid:8e14267d-4c47-47fd-900a-7ac2186d236b', 'a:1:{i:0;s:29:"block.block.contactinfofooter";}'),
('config.entity.key_store.block', 'uuid:8f25e8a6-4214-481a-8a09-5dce40e3dd91', 'a:1:{i:0;s:23:"block.block.socialmedia";}'),
('config.entity.key_store.block', 'uuid:8f91f2e5-61a9-4c7f-b2a9-1320dfa6253b', 'a:1:{i:0;s:29:"block.block.olivero_main_menu";}'),
('config.entity.key_store.block', 'uuid:91d5cd18-b645-4931-a189-da31fa3fc74e', 'a:1:{i:0;s:45:"block.block.conferenceplus_popularsalesstatic";}'),
('config.entity.key_store.block', 'uuid:925dad75-2bb5-4c8d-ae40-377b64669731', 'a:1:{i:0;s:39:"block.block.interestedininvestingwithus";}'),
('config.entity.key_store.block', 'uuid:92e6d6a7-baca-4fdd-9750-be49a080d11f', 'a:1:{i:0;s:51:"block.block.views_block__mt_articles_list_2_block_1";}'),
('config.entity.key_store.block', 'uuid:95853e93-2d3a-4042-86f2-491b12d5f8e2', 'a:1:{i:0;s:26:"block.block.paymentmethods";}'),
('config.entity.key_store.block', 'uuid:9cc9ef5e-7e89-49ab-b070-772a4dbf2887', 'a:1:{i:0;s:41:"block.block.olivero_secondary_local_tasks";}'),
('config.entity.key_store.block', 'uuid:9e00754d-db97-4126-8933-86d757bf4a57', 'a:1:{i:0;s:70:"block.block.conferenceplus_views_block__mt_collections_masonry_block_1";}'),
('config.entity.key_store.block', 'uuid:9ef0fbc8-8b03-4724-8324-4ffeb63aad42', 'a:1:{i:0;s:23:"block.block.usefullinks";}'),
('config.entity.key_store.block', 'uuid:a0b85f8f-fe1d-46fd-8257-6fd40cc4fdb2', 'a:1:{i:0;s:38:"block.block.conferenceplus_local_tasks";}'),
('config.entity.key_store.block', 'uuid:a7228b23-8adb-481b-a519-4b8f3feb63b6', 'a:1:{i:0;s:30:"block.block.fullwidthslideshow";}'),
('config.entity.key_store.block', 'uuid:a7a028b7-625b-4f84-99ee-037bce14ee9f', 'a:1:{i:0;s:31:"block.block.headertopctabuttons";}'),
('config.entity.key_store.block', 'uuid:af56190b-ddd8-4886-b51d-2fb00478fcc4', 'a:1:{i:0;s:24:"block.block.searchform_4";}'),
('config.entity.key_store.block', 'uuid:afdb7db5-0679-497e-99fd-272991ca6324', 'a:1:{i:0;s:51:"block.block.views_block__mt_recent_comments_block_1";}'),
('config.entity.key_store.block', 'uuid:b1913af5-1acb-4c6f-a1b7-7fabda0567bc', 'a:1:{i:0;s:30:"block.block.customsitebranding";}'),
('config.entity.key_store.block', 'uuid:b1b7de06-62c9-4e40-86e1-9e254ad980be', 'a:1:{i:0;s:49:"block.block.seeafulllistoftheserviceswecanprovide";}'),
('config.entity.key_store.block', 'uuid:b3527c50-3d2f-45e5-836e-7b018d155a2f', 'a:1:{i:0;s:67:"block.block.conferenceplus_views_block__mt_products_masonry_block_1";}'),
('config.entity.key_store.block', 'uuid:b4d91453-f46d-454d-98cb-e3605ace2f7a', 'a:1:{i:0;s:28:"block.block.mainnavigation_2";}'),
('config.entity.key_store.block', 'uuid:b527b37d-492a-490b-8891-00034ef5854f', 'a:1:{i:0;s:35:"block.block.conferenceplus_branding";}'),
('config.entity.key_store.block', 'uuid:b602253b-5f9f-4b88-8b81-047a8e95b56f', 'a:1:{i:0;s:17:"block.block.phone";}'),
('config.entity.key_store.block', 'uuid:b76de573-35bc-4a48-9394-c7f2643c835f', 'a:1:{i:0;s:22:"block.block.fancyblock";}'),
('config.entity.key_store.block', 'uuid:b894d68d-a55f-411f-8988-82ab71fd6ac9', 'a:1:{i:0;s:28:"block.block.collapsibleblock";}'),
('config.entity.key_store.block', 'uuid:b8e993e5-2532-4f3c-9d2c-710d282727ca', 'a:1:{i:0;s:28:"block.block.olivero_messages";}'),
('config.entity.key_store.block', 'uuid:bdff3748-a1ef-4554-bc18-08d201a5c543', 'a:1:{i:0;s:57:"block.block.views_block__mt_team_members_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:bfc74345-e26b-4c67-a81d-78f3561d6627', 'a:1:{i:0;s:30:"block.block.olivero_page_title";}'),
('config.entity.key_store.block', 'uuid:c0036d15-91a7-4700-bc8a-053eae359499', 'a:1:{i:0;s:25:"block.block.calltoaction2";}'),
('config.entity.key_store.block', 'uuid:c1244a35-1ab3-4aff-aadd-ec21512ba4d7', 'a:1:{i:0;s:29:"block.block.seven_breadcrumbs";}'),
('config.entity.key_store.block', 'uuid:c2fe3bfd-3728-4cc7-9c81-718ba5a5f84f', 'a:1:{i:0;s:35:"block.block.backgroundimageblockcta";}'),
('config.entity.key_store.block', 'uuid:c95e4ec6-ad8b-45dd-8526-ebfe6d7630bd', 'a:1:{i:0;s:36:"block.block.conferenceplus_main_menu";}'),
('config.entity.key_store.block', 'uuid:ccf0d776-467c-4abf-abc7-7ff23e0f608d', 'a:1:{i:0;s:55:"block.block.conferenceplus_exposedformmt_productspage_2";}'),
('config.entity.key_store.block', 'uuid:ce4cfd14-3e23-4e8e-a6ba-7b24c39b8dd4', 'a:1:{i:0;s:38:"block.block.olivero_search_form_narrow";}'),
('config.entity.key_store.block', 'uuid:ce597708-c746-4729-a8dc-03b02d8b8020', 'a:1:{i:0;s:26:"block.block.uniquefeatures";}'),
('config.entity.key_store.block', 'uuid:d111352d-97ce-4f9b-879a-5d71883f4bb4', 'a:1:{i:0;s:25:"block.block.seven_content";}'),
('config.entity.key_store.block', 'uuid:d1f99bfd-23ce-4195-9e73-73a7141be77a', 'a:1:{i:0;s:20:"block.block.benefits";}'),
('config.entity.key_store.block', 'uuid:d24c3972-6788-4628-b837-51186597afcd', 'a:1:{i:0;s:63:"block.block.conferenceplus_views_block__mt_popular_tags_block_1";}'),
('config.entity.key_store.block', 'uuid:d3f88b9c-42d5-4e86-9f4e-364ff7c2e313', 'a:1:{i:0;s:19:"block.block.address";}'),
('config.entity.key_store.block', 'uuid:d4d3c2f4-dd15-46fd-95f0-84330a09d16e', 'a:1:{i:0;s:27:"block.block.olivero_content";}'),
('config.entity.key_store.block', 'uuid:d4f78299-2284-414b-b3af-295755977262', 'a:1:{i:0;s:31:"block.block.videogalleryblock_2";}'),
('config.entity.key_store.block', 'uuid:d517aa40-ba8a-4f5c-ac7a-08464050b66a', 'a:1:{i:0;s:28:"block.block.seven_page_title";}'),
('config.entity.key_store.block', 'uuid:d92aa69a-58d1-4e6e-8443-eb17c7e4df42', 'a:1:{i:0;s:33:"block.block.conferenceplus_footer";}'),
('config.entity.key_store.block', 'uuid:dcb5d477-b33f-46c7-849d-20dfbfbded53', 'a:1:{i:0;s:32:"block.block.contactinfofootertop";}'),
('config.entity.key_store.block', 'uuid:dd417b8b-815a-4deb-90b3-7fe1bcaf0a04', 'a:1:{i:0;s:41:"block.block.areyoulookingforagreatservice";}'),
('config.entity.key_store.block', 'uuid:df4fe143-d4e1-457f-ae15-b2bcc6d0fba1', 'a:1:{i:0;s:23:"block.block.sociallinks";}'),
('config.entity.key_store.block', 'uuid:df55a70e-aadc-444d-beca-a00ffd650fc2', 'a:1:{i:0;s:24:"block.block.olivero_help";}'),
('config.entity.key_store.block', 'uuid:e6fbdcd2-4e1a-4a59-ae05-dc851d0776c7', 'a:1:{i:0;s:23:"block.block.aboutfooter";}'),
('config.entity.key_store.block', 'uuid:e900a9d5-c9d8-4e6d-91dc-9f44aaf85525', 'a:1:{i:0;s:34:"block.block.conferenceplus_content";}'),
('config.entity.key_store.block', 'uuid:e92bd59f-0f63-4072-9913-e9bc91bb21af', 'a:1:{i:0;s:28:"block.block.presentationtabs";}'),
('config.entity.key_store.block', 'uuid:e9dcb22d-2737-4612-90f0-7cc2e4707b30', 'a:1:{i:0;s:20:"block.block.mediatab";}'),
('config.entity.key_store.block', 'uuid:ed699ab4-610a-4b74-b839-c35ac836e998', 'a:1:{i:0;s:40:"block.block.conferenceplus_frontpagetabs";}'),
('config.entity.key_store.block', 'uuid:edf9f999-1021-4b99-9b16-790a40493b4c', 'a:1:{i:0;s:37:"block.block.conferenceplus_textblocks";}'),
('config.entity.key_store.block', 'uuid:efe3ca24-6c86-4612-b252-fae200ac3356', 'a:1:{i:0;s:41:"block.block.olivero_primary_admin_actions";}'),
('config.entity.key_store.block', 'uuid:f12f4bf7-1fb4-4d57-bd03-b8fbab02b55a', 'a:1:{i:0;s:55:"block.block.conferenceplus_exposedformmt_productspage_3";}'),
('config.entity.key_store.block', 'uuid:f1896df8-0898-4ed3-a33a-98726d4e5117', 'a:1:{i:0;s:31:"block.block.seven_local_actions";}'),
('config.entity.key_store.block', 'uuid:f50a670e-3eae-4584-a00f-4c53506eef60', 'a:1:{i:0;s:29:"block.block.olivero_syndicate";}'),
('config.entity.key_store.block', 'uuid:f7a6be46-2344-4820-8fdf-b49578e6a2c8', 'a:1:{i:0;s:37:"block.block.conferenceplus_page_title";}'),
('config.entity.key_store.block', 'uuid:f919370f-158b-4d67-a9a3-1d5c07958590', 'a:1:{i:0;s:59:"block.block.views_block__mt_related_presentations_2_block_1";}'),
('config.entity.key_store.block', 'uuid:fc8a649e-aaeb-4335-b614-ae99f196df32', 'a:1:{i:0;s:29:"block.block.googlemapbanner_3";}'),
('config.entity.key_store.block', 'uuid:fcbcf865-bdde-499c-a704-51026a70e919', 'a:1:{i:0;s:53:"block.block.views_block__mt_sponsors_carousel_block_1";}'),
('config.entity.key_store.block', 'uuid:fd5d8f8d-69f9-4584-a429-962b1fbf6cc9', 'a:1:{i:0;s:31:"block.block.conferenceplus_help";}'),
('config.entity.key_store.block_content_type', 'uuid:355bea42-ffd1-4e33-b819-0f410a396e1c', 'a:1:{i:0;s:36:"block_content.type.mt_timeline_block";}'),
('config.entity.key_store.block_content_type', 'uuid:3e60a524-ec02-4b6c-9e39-097d5c30ef0b', 'a:1:{i:0;s:24:"block_content.type.basic";}'),
('config.entity.key_store.block_content_type', 'uuid:54860869-169a-4b75-8143-39e8fdce0b3b', 'a:1:{i:0;s:33:"block_content.type.mt_google_maps";}'),
('config.entity.key_store.block_content_type', 'uuid:63ece5a9-51fb-44bd-a560-87e58f555b60', 'a:1:{i:0;s:37:"block_content.type.mt_dropdowns_block";}'),
('config.entity.key_store.block_content_type', 'uuid:727d7d81-0a6d-4acf-ac08-8857c7c722b7', 'a:1:{i:0;s:30:"block_content.type.mt_if_block";}'),
('config.entity.key_store.block_content_type', 'uuid:88712612-0078-4fc6-b562-a1e14fb2f043', 'a:1:{i:0;s:44:"block_content.type.mt_background_video_block";}'),
('config.entity.key_store.block_content_type', 'uuid:8ef02d16-8d1e-429d-9abe-9955bdc07683', 'a:1:{i:0;s:38:"block_content.type.mt_fancy_tabs_block";}'),
('config.entity.key_store.block_content_type', 'uuid:a056708b-5a10-4f7c-b26d-96512fe8e8b9', 'a:1:{i:0;s:47:"block_content.type.mt_fancy_linked_images_block";}'),
('config.entity.key_store.block_content_type', 'uuid:a6cd2a36-e4ad-43ad-85ff-b6d44a316a60', 'a:1:{i:0;s:32:"block_content.type.mt_tabs_block";}'),
('config.entity.key_store.block_content_type', 'uuid:c8bb8728-cde4-4615-b450-56b25a16a077', 'a:1:{i:0;s:39:"block_content.type.mt_collapsible_block";}'),
('config.entity.key_store.block_content_type', 'uuid:cacd24d9-115f-420b-b539-1d3835fc0ba9', 'a:1:{i:0;s:44:"block_content.type.mt_background_image_block";}'),
('config.entity.key_store.block_content_type', 'uuid:d2edbc11-0f7b-42e4-a260-0587b8ca3e66', 'a:1:{i:0;s:41:"block_content.type.mt_video_gallery_block";}'),
('config.entity.key_store.block_content_type', 'uuid:dd8d418d-f141-45ee-85f9-3fdc434c0edd', 'a:1:{i:0;s:32:"block_content.type.mt_fltt_block";}'),
('config.entity.key_store.block_content_type', 'uuid:e3e6a291-88ce-4f12-8aaa-216db3a29ff0', 'a:1:{i:0;s:44:"block_content.type.mt_typing_animation_block";}'),
('config.entity.key_store.block_content_type', 'uuid:e67b5a79-74be-4a62-b1b5-c44cb8918296', 'a:1:{i:0;s:42:"block_content.type.mt_main_slideshow_block";}'),
('config.entity.key_store.block_content_type', 'uuid:e6ac96b7-5e1a-40de-99a6-b4795ddce610', 'a:1:{i:0;s:38:"block_content.type.mt_media_tabs_block";}'),
('config.entity.key_store.block_content_type', 'uuid:eaa98d97-7b17-4adf-91c4-67ae129c6989', 'a:1:{i:0;s:43:"block_content.type.mt_nodes_slideshow_block";}'),
('config.entity.key_store.comment_type', 'uuid:49514a7c-35d6-4c53-b0c2-e2e92cffcaf8', 'a:1:{i:0;s:20:"comment.type.comment";}'),
('config.entity.key_store.contact_form', 'uuid:aca09177-c586-4c02-975c-b22f9a106494', 'a:1:{i:0;s:21:"contact.form.personal";}'),
('config.entity.key_store.contact_form', 'uuid:c04f9bc4-1a2c-4170-855d-4f9a0073373d', 'a:1:{i:0;s:24:"contact.form.alternative";}'),
('config.entity.key_store.contact_form', 'uuid:d5496ce4-af1c-42d0-898a-99058d1b898d', 'a:1:{i:0;s:21:"contact.form.feedback";}'),
('config.entity.key_store.date_format', 'uuid:0c5c8810-50b9-43a1-8350-1546e0a47eef', 'a:1:{i:0;s:24:"core.date_format.mt_time";}'),
('config.entity.key_store.date_format', 'uuid:16774ce5-6184-402b-80ef-85f1e3b4fd64', 'a:1:{i:0;s:26:"core.date_format.html_date";}'),
('config.entity.key_store.date_format', 'uuid:460367c2-78f3-42db-ae80-31a6b3741475', 'a:1:{i:0;s:22:"core.date_format.short";}'),
('config.entity.key_store.date_format', 'uuid:4676d758-bbfb-4221-a689-80c15a8378bd', 'a:1:{i:0;s:26:"core.date_format.html_time";}'),
('config.entity.key_store.date_format', 'uuid:4faad2dd-5cc8-4f5f-bc6d-493732bdb8e4', 'a:1:{i:0;s:23:"core.date_format.medium";}'),
('config.entity.key_store.date_format', 'uuid:5560b95d-cd3b-4acf-9196-df895f083350', 'a:1:{i:0;s:25:"core.date_format.fallback";}'),
('config.entity.key_store.date_format', 'uuid:61577c3c-0cc9-4311-b83e-07b2972ff37e', 'a:1:{i:0;s:30:"core.date_format.html_datetime";}'),
('config.entity.key_store.date_format', 'uuid:6718b0cb-5556-4df6-8dfd-2bbda5ad1cb6', 'a:1:{i:0;s:26:"core.date_format.html_year";}'),
('config.entity.key_store.date_format', 'uuid:8bd0c3fa-d550-4c87-a2f9-ef4a2020bd5e', 'a:1:{i:0;s:33:"core.date_format.mt_yearless_date";}'),
('config.entity.key_store.date_format', 'uuid:a08d9435-0103-4a77-8fb8-9c458d26c9ab', 'a:1:{i:0;s:21:"core.date_format.long";}'),
('config.entity.key_store.date_format', 'uuid:a171df48-885a-4562-a882-ce09a15c647c', 'a:1:{i:0;s:26:"core.date_format.html_week";}'),
('config.entity.key_store.date_format', 'uuid:a9825677-3e63-4a61-9c64-cb6ebb02f6a3', 'a:1:{i:0;s:31:"core.date_format.olivero_medium";}'),
('config.entity.key_store.date_format', 'uuid:bea23acd-be17-4c08-a92f-199ce61bfd3b', 'a:1:{i:0;s:27:"core.date_format.html_month";}'),
('config.entity.key_store.date_format', 'uuid:ef5e3569-3f0f-4039-bd2f-853f96ded465', 'a:1:{i:0;s:35:"core.date_format.html_yearless_date";}'),
('config.entity.key_store.editor', 'uuid:d877a2d5-bd90-40a3-8c44-29e01424b548', 'a:1:{i:0;s:24:"editor.editor.basic_html";}'),
('config.entity.key_store.editor', 'uuid:ef256e59-f7c5-4793-9d96-00edd5e592c2', 'a:1:{i:0;s:23:"editor.editor.full_html";}'),
('config.entity.key_store.entity_form_display', 'uuid:00cefa62-75f7-4282-af89-ce34005cbe87', 'a:1:{i:0;s:48:"core.entity_form_display.comment.comment.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:02bba738-478b-4c3b-9b77-6e4e36355a82', 'a:1:{i:0;s:59:"core.entity_form_display.paragraph.mt_icon_features.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:0c8f9c68-92e4-46ab-960c-0590e1517862', 'a:1:{i:0;s:62:"core.entity_form_display.taxonomy_term.mt_affiliations.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:11c06597-e0d0-441a-ac58-558b4036a669', 'a:1:{i:0;s:52:"core.entity_form_display.node.mt_team_member.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:142a8db9-15bc-4622-a6bb-a44f90231838', 'a:1:{i:0;s:71:"core.entity_form_display.block_content.mt_nodes_slideshow_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:1e40ff88-865a-4cb0-a6df-2a5e312f4e57', 'a:1:{i:0;s:61:"core.entity_form_display.block_content.mt_google_maps.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:1fbd22d1-4b25-4399-8276-4f38d567980d', 'a:1:{i:0;s:72:"core.entity_form_display.block_content.mt_background_video_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:2f4c3b21-c151-4111-978c-b2d4edfdce2e', 'a:1:{i:0;s:66:"core.entity_form_display.paragraph.mt_main_slideshow_slide.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:42c86e3c-5f41-4f65-97c6-5bdd0dd1dc0f', 'a:1:{i:0;s:42:"core.entity_form_display.node.page.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:4c08e0a8-5971-46fc-879f-ad962dc81471', 'a:1:{i:0;s:42:"core.entity_form_display.user.user.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:4da315a2-89b9-48ce-a469-5f1ccc114c9d', 'a:1:{i:0;s:65:"core.entity_form_display.block_content.mt_dropdowns_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:5f5aae53-9318-4c34-bdb9-789d5631101f', 'a:1:{i:0;s:60:"core.entity_form_display.contact_message.alternative.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:609a1c77-67d4-4adf-b951-65da61c9f352', 'a:1:{i:0;s:52:"core.entity_form_display.node.mt_canvas_page.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:72450637-0088-42cd-8c14-28a5fe22d47b', 'a:1:{i:0;s:48:"core.entity_form_display.node.mt_speaker.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:74f0f725-170b-481c-b405-e4e7735ad171', 'a:1:{i:0;s:54:"core.entity_form_display.paragraph.mt_collapse.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:75a5b5eb-cde2-40b0-a343-eeb416b4682e', 'a:1:{i:0;s:52:"core.entity_form_display.node.mt_testimonial.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:7713358b-d7bb-4f61-b16f-38d653cc9af8', 'a:1:{i:0;s:58:"core.entity_form_display.block_content.mt_if_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:7f86e331-8cca-4643-9f80-f5dbcc3124e6', 'a:1:{i:0;s:48:"core.entity_form_display.node.mt_service.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:813a86f2-e86b-4f2b-8f04-24cdbbfc8cbe', 'a:1:{i:0;s:48:"core.entity_form_display.node.mt_product.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:8196430b-f257-4769-9d66-d636dd23222a', 'a:1:{i:0;s:67:"core.entity_form_display.block_content.mt_collapsible_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:898680fd-963a-42a7-a292-ca4d30525d61', 'a:1:{i:0;s:54:"core.entity_form_display.paragraph.mt_dropdown.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:8e4ae787-0a8a-48de-a52a-6b2b8ff35ea3', 'a:1:{i:0;s:59:"core.entity_form_display.paragraph.mt_timeline_item.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:8efc2e26-37ec-4457-8e21-0d53c55466bd', 'a:1:{i:0;s:69:"core.entity_form_display.block_content.mt_video_gallery_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:8f489796-f547-45ff-8672-f73f68415ff1', 'a:1:{i:0;s:70:"core.entity_form_display.block_content.mt_main_slideshow_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:8fcde634-491c-44f8-b37c-f65f9db24187', 'a:1:{i:0;s:75:"core.entity_form_display.block_content.mt_fancy_linked_images_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:907285b5-06ed-4d87-b482-1d56b154ebdf', 'a:1:{i:0;s:55:"core.entity_form_display.paragraph.mt_fancy_tab.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:9e486985-b11b-4a11-a202-71cca9344902', 'a:1:{i:0;s:66:"core.entity_form_display.block_content.mt_fancy_tabs_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:a5d7a563-7318-45ad-9f36-900a2fc638ca', 'a:1:{i:0;s:61:"core.entity_form_display.taxonomy_term.mt_collections.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:a61d0399-56d3-4451-bf56-20d8b46f5a91', 'a:1:{i:0;s:52:"core.entity_form_display.block_content.basic.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:b78c9233-ee52-4ce7-939c-6d3b9189c67f', 'a:1:{i:0;s:55:"core.entity_form_display.paragraph.mt_highlight.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:b8964e63-5165-479e-a3ea-d87f1a987f07', 'a:1:{i:0;s:46:"core.entity_form_display.node.mt_event.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:b9e4801e-9842-4570-bd8a-8628532b688d', 'a:1:{i:0;s:54:"core.entity_form_display.node.mt_program_entry.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:bb22db0d-bc11-4582-9ecf-de76dd8185f4', 'a:1:{i:0;s:57:"core.entity_form_display.contact_message.personal.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:c21a131b-0c05-44e5-863e-925cad05f171', 'a:1:{i:0;s:64:"core.entity_form_display.paragraph.mt_fancy_linked_image.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:c60c5aa4-1928-4818-90fe-54aa3e8f6fa6', 'a:1:{i:0;s:49:"core.entity_form_display.paragraph.mt_tab.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:c9c775d4-52d7-4947-8832-d928c4a49bb2', 'a:1:{i:0;s:60:"core.entity_form_display.block_content.mt_fltt_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:d1b119c6-52c0-43a6-8aaf-a1446a64f846', 'a:1:{i:0;s:53:"core.entity_form_display.node.mt_presentation.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:d26fa8bc-555a-4c12-b614-2ee51df1e025', 'a:1:{i:0;s:64:"core.entity_form_display.paragraph.mt_additional_feature.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:d8fdcf29-f7e0-4ff1-87c2-6626554d08cc', 'a:1:{i:0;s:72:"core.entity_form_display.block_content.mt_background_image_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:d9fe5a47-3f17-4466-bf54-cb5e635860c5', 'a:1:{i:0;s:72:"core.entity_form_display.block_content.mt_typing_animation_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:e0c2d206-b3b9-4557-a7b4-ca33ce3a5757', 'a:1:{i:0;s:48:"core.entity_form_display.node.mt_sponsor.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:ea94e29c-8e2b-42ef-9a8c-59934fcb1f86', 'a:1:{i:0;s:64:"core.entity_form_display.block_content.mt_timeline_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:eea34379-0502-4f6d-b1f7-2a3acbdd3d70', 'a:1:{i:0;s:45:"core.entity_form_display.node.article.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:eee40aac-d896-4135-834d-abb714fbace3', 'a:1:{i:0;s:66:"core.entity_form_display.block_content.mt_media_tabs_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:ef0d5a12-7bbb-4103-9936-579a0244f61d', 'a:1:{i:0;s:46:"core.entity_form_display.node.mt_album.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:ef9e5f11-e359-4b1f-abbf-353761059e14', 'a:1:{i:0;s:71:"core.entity_form_display.paragraph.mt_featured_linked_text_tile.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:f3863b3c-9dd7-40be-a844-b0812855716b', 'a:1:{i:0;s:57:"core.entity_form_display.contact_message.feedback.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:f72667f3-48e6-4e09-9ca8-84e210a81e20', 'a:1:{i:0;s:60:"core.entity_form_display.block_content.mt_tabs_block.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:f8df525a-0299-4fe8-95d9-6ae418dabfd3', 'a:1:{i:0;s:55:"core.entity_form_display.paragraph.mt_media_tab.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:f9c092ec-32a2-4fd6-8db4-cf73105ce8f1', 'a:1:{i:0;s:65:"core.entity_form_display.paragraph.mt_video_gallery_slide.default";}'),
('config.entity.key_store.entity_form_display', 'uuid:fb3e5e5d-bad3-4d2b-af1c-c80d125c3a10', 'a:1:{i:0;s:58:"core.entity_form_display.paragraph.mt_map_location.default";}'),
('config.entity.key_store.entity_form_mode', 'uuid:85abc5c1-223a-434a-bc58-df86662fa3d3', 'a:1:{i:0;s:35:"core.entity_form_mode.user.register";}'),
('config.entity.key_store.entity_view_display', 'uuid:02aa789c-e09a-4921-ba95-db9a210f9af5', 'a:1:{i:0;s:66:"core.entity_view_display.block_content.mt_fancy_tabs_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:09e4d23f-08bf-419e-8686-91267d5a2601', 'a:1:{i:0;s:48:"core.entity_view_display.node.mt_service.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:102a6da8-f4c8-4c1e-94cf-9da0115aa486', 'a:1:{i:0;s:55:"core.entity_view_display.paragraph.mt_highlight.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:117dc762-2666-45b3-ab31-dc6c238e5182', 'a:1:{i:0;s:48:"core.entity_view_display.node.mt_product.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:16771de1-8af0-4cb1-b872-288631e830fd', 'a:1:{i:0;s:45:"core.entity_view_display.node.article.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:173ae27c-4a33-4d13-9083-4dfbb94b92e8', 'a:1:{i:0;s:59:"core.entity_view_display.node.mt_product.mt_video_grid_item";}'),
('config.entity.key_store.entity_view_display', 'uuid:187fcbab-b85d-44fb-9af3-f1bf6a34865b', 'a:1:{i:0;s:75:"core.entity_view_display.block_content.mt_fancy_linked_images_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:1a1bcc99-a2f9-439c-9a2c-2a1958e13065', 'a:1:{i:0;s:64:"core.entity_view_display.block_content.mt_timeline_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:1a8abdd8-32e9-43ca-a55f-c231e05a240b', 'a:1:{i:0;s:65:"core.entity_view_display.block_content.mt_dropdowns_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:1dbc52e8-b36c-46fe-b4a5-51a61c2477cc', 'a:1:{i:0;s:64:"core.entity_view_display.paragraph.mt_fancy_linked_image.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:25297fff-e7d3-4d89-931b-5ca13af018d5', 'a:1:{i:0;s:54:"core.entity_view_display.paragraph.mt_dropdown.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:27bffcb5-39e6-42bc-a34d-2ffed0abeb1e', 'a:1:{i:0;s:61:"core.entity_view_display.block_content.mt_google_maps.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:29569baf-13c0-4450-8e19-6737bfeeac7c', 'a:1:{i:0;s:48:"core.entity_view_display.comment.comment.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:3021ae9c-fbd0-439d-aaaf-069fa3c90536', 'a:1:{i:0;s:52:"core.entity_view_display.block_content.basic.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:30711c7b-450f-40e2-a034-36111d0222e6', 'a:1:{i:0;s:52:"core.entity_view_display.node.mt_testimonial.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:343daf9f-99e2-4f6a-acd6-1f80b766679d', 'a:1:{i:0;s:72:"core.entity_view_display.block_content.mt_typing_animation_block.default";}');
INSERT INTO `key_value` VALUES
('config.entity.key_store.entity_view_display', 'uuid:3c83f4f8-4f03-41d4-b090-506c51f23482', 'a:1:{i:0;s:42:"core.entity_view_display.node.page.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:4e754196-0fa0-40d3-83ea-fc7f597ea1c2', 'a:1:{i:0;s:45:"core.entity_view_display.node.mt_album.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:549c3a30-b97a-40b8-b0db-115a77a79e1b', 'a:1:{i:0;s:56:"core.entity_view_display.node.article.mt_video_grid_item";}'),
('config.entity.key_store.entity_view_display', 'uuid:571a2255-4b9d-47fd-b63e-bf8fe9a8a691', 'a:1:{i:0;s:54:"core.entity_view_display.node.mt_program_entry.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:57f7772a-3cfe-4e19-9055-a9c3f56ba339', 'a:1:{i:0;s:41:"core.entity_view_display.node.article.rss";}'),
('config.entity.key_store.entity_view_display', 'uuid:5d2481c4-938d-4605-95b5-0075e89e97e7', 'a:1:{i:0;s:53:"core.entity_view_display.node.mt_program_entry.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:61d1d94e-c76c-4b7e-aa3f-472b5666e40a', 'a:1:{i:0;s:65:"core.entity_view_display.paragraph.mt_video_gallery_slide.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:661201be-0e59-4ab0-b0bb-e5bc673ec683', 'a:1:{i:0;s:48:"core.entity_view_display.node.mt_sponsor.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:671d497d-6d6a-4b22-8555-8122bf67ac0b', 'a:1:{i:0;s:67:"core.entity_view_display.block_content.mt_collapsible_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:67b362fb-d8bb-481a-a917-2306096dcdc7', 'a:1:{i:0;s:66:"core.entity_view_display.block_content.mt_media_tabs_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:6914ed2a-3603-4769-8474-677c5a7a6ec7', 'a:1:{i:0;s:41:"core.entity_view_display.node.page.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:6c017005-bc62-4b27-8796-ddb249b3256a', 'a:1:{i:0;s:60:"core.entity_view_display.contact_message.alternative.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:6d5ee254-fdeb-4033-8687-244722a305c4', 'a:1:{i:0;s:51:"core.entity_view_display.node.mt_canvas_page.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:76e93c0c-e8dd-4e00-9bb5-85240cb6e5d6', 'a:1:{i:0;s:51:"core.entity_view_display.node.mt_testimonial.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:76fcebaf-409c-4dfe-9f9c-3e5a0de1f7cc', 'a:1:{i:0;s:57:"core.entity_view_display.node.mt_album.mt_video_grid_item";}'),
('config.entity.key_store.entity_view_display', 'uuid:7e23721c-bb88-421f-abe9-7a2575d0b241', 'a:1:{i:0;s:47:"core.entity_view_display.node.mt_product.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:7e69d613-711d-4659-a521-75104d35342c', 'a:1:{i:0;s:53:"core.entity_view_display.node.mt_presentation.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:7f6245de-56cf-4a75-86b1-bbd5d3c8527e', 'a:1:{i:0;s:54:"core.entity_view_display.paragraph.mt_collapse.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:88bf21a9-6a65-4d9b-8512-f6d9d511966e', 'a:1:{i:0;s:52:"core.entity_view_display.node.mt_canvas_page.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:8da06888-c4cd-4bae-b68b-e727c8097702', 'a:1:{i:0;s:52:"core.entity_view_display.node.mt_presentation.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:958708a5-d665-4834-852d-168279fc0843', 'a:1:{i:0;s:42:"core.entity_view_display.user.user.compact";}'),
('config.entity.key_store.entity_view_display', 'uuid:970c2840-8051-4de8-b2a7-9024e38e17ee', 'a:1:{i:0;s:55:"core.entity_view_display.paragraph.mt_media_tab.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:98949051-6c07-442c-84ac-38b0eefae150', 'a:1:{i:0;s:60:"core.entity_view_display.block_content.mt_tabs_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:9f9acc6e-12f7-4fe7-aaaf-e38cea563693', 'a:1:{i:0;s:59:"core.entity_view_display.node.mt_service.mt_video_grid_item";}'),
('config.entity.key_store.entity_view_display', 'uuid:a227dbcf-75d1-4235-87c0-68db32110152', 'a:1:{i:0;s:46:"core.entity_view_display.node.mt_album.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:ab11fbef-c5ef-427c-ae70-838c206a3523', 'a:1:{i:0;s:51:"core.entity_view_display.node.mt_team_member.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:acb2e8f2-f1d9-44a9-905f-ff4bc0df9af8', 'a:1:{i:0;s:58:"core.entity_view_display.block_content.mt_if_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:b094942e-ecc7-44d3-a48e-6b645cfbcee0', 'a:1:{i:0;s:62:"core.entity_view_display.taxonomy_term.mt_affiliations.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:b2c71c2c-8bdb-41c9-add1-c2814f182a73', 'a:1:{i:0;s:71:"core.entity_view_display.block_content.mt_nodes_slideshow_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:b912651f-d6b5-430c-8d9d-2ab6cce4d153', 'a:1:{i:0;s:70:"core.entity_view_display.block_content.mt_main_slideshow_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:bbd780a7-569d-447e-b724-0f0937970483', 'a:1:{i:0;s:48:"core.entity_view_display.node.mt_speaker.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:bdc44654-1674-4e55-a59b-232179ed3e60', 'a:1:{i:0;s:56:"core.entity_view_display.node.mt_speaker.mt_listing_item";}'),
('config.entity.key_store.entity_view_display', 'uuid:c0cf4165-406d-47a9-97ea-117eb5215fce', 'a:1:{i:0;s:47:"core.entity_view_display.node.mt_sponsor.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:caac6962-9909-4237-b0ba-6ea80dc671e4', 'a:1:{i:0;s:46:"core.entity_view_display.node.mt_event.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:cb83fc12-0efe-4958-9b6d-68cd870db8f7', 'a:1:{i:0;s:64:"core.entity_view_display.paragraph.mt_additional_feature.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:d08d6598-4f43-40fc-9bb0-1cff37f2aef2', 'a:1:{i:0;s:56:"core.entity_view_display.node.mt_sponsor.mt_listing_item";}'),
('config.entity.key_store.entity_view_display', 'uuid:d14980e3-1881-48e6-8db3-cf0f21155a83', 'a:1:{i:0;s:59:"core.entity_view_display.paragraph.mt_timeline_item.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:d1b7a49b-a868-44a7-99cb-54fc1a2c8516', 'a:1:{i:0;s:49:"core.entity_view_display.paragraph.mt_tab.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:d2686508-614d-420d-ba28-afafc7079fb3', 'a:1:{i:0;s:54:"core.entity_view_display.node.mt_product.mt_slide_view";}'),
('config.entity.key_store.entity_view_display', 'uuid:d2d59f86-d41d-4c05-91f0-3c612f6a9323', 'a:1:{i:0;s:69:"core.entity_view_display.block_content.mt_video_gallery_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:d4408096-6c43-48db-8f36-301e98f6dd67', 'a:1:{i:0;s:54:"core.entity_view_display.node.mt_service.mt_slide_view";}'),
('config.entity.key_store.entity_view_display', 'uuid:d4ba0d95-afe7-4974-bdf3-36608970e257', 'a:1:{i:0;s:47:"core.entity_view_display.node.mt_service.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:d8e6a67d-156e-458b-a248-969111195826', 'a:1:{i:0;s:72:"core.entity_view_display.block_content.mt_background_video_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:dcf6cde2-0ae6-4fc0-b6e2-b0ced9df5862', 'a:1:{i:0;s:66:"core.entity_view_display.paragraph.mt_main_slideshow_slide.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:ddcc87b0-50a3-4e35-a0a5-4fb5968c0aea', 'a:1:{i:0;s:72:"core.entity_view_display.block_content.mt_background_image_block.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:e3d9a969-1e63-4df4-a254-03460204eee4', 'a:1:{i:0;s:42:"core.entity_view_display.user.user.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:e6be2356-6bc3-43a1-a898-8b2c69dfe559', 'a:1:{i:0;s:59:"core.entity_view_display.paragraph.mt_icon_features.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:e77041ec-7e62-4132-ba57-10a3b832b971', 'a:1:{i:0;s:54:"core.entity_view_display.node.mt_event.mt_listing_item";}'),
('config.entity.key_store.entity_view_display', 'uuid:e861ee8a-8df1-4f71-b991-57b12863f206', 'a:1:{i:0;s:58:"core.entity_view_display.paragraph.mt_map_location.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:ee529fc4-ebc5-4f06-8deb-359001ebc3fd', 'a:1:{i:0;s:52:"core.entity_view_display.node.mt_team_member.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:f36f0bac-92b1-4cd3-bfd8-0a70d56c54e5', 'a:1:{i:0;s:71:"core.entity_view_display.paragraph.mt_featured_linked_text_tile.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:f391486b-464c-4a66-8129-735ceb4742f0', 'a:1:{i:0;s:47:"core.entity_view_display.node.mt_speaker.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:f4280b6a-3f28-4d72-a30c-e7a053c1ec39', 'a:1:{i:0;s:45:"core.entity_view_display.node.mt_event.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:f58e136a-3bf6-455e-b04d-85bb5a366486', 'a:1:{i:0;s:44:"core.entity_view_display.node.article.teaser";}'),
('config.entity.key_store.entity_view_display', 'uuid:fbbcd41d-b9bf-4412-a8ae-e96139aa1ba3', 'a:1:{i:0;s:55:"core.entity_view_display.paragraph.mt_fancy_tab.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:fc3ceec8-f563-49b0-aef8-be55538c51a3', 'a:1:{i:0;s:61:"core.entity_view_display.taxonomy_term.mt_collections.default";}'),
('config.entity.key_store.entity_view_display', 'uuid:fe5314e6-33a1-4beb-82e5-2cfa537b957d', 'a:1:{i:0;s:60:"core.entity_view_display.block_content.mt_fltt_block.default";}'),
('config.entity.key_store.entity_view_mode', 'uuid:089eca0f-5c1d-4f3e-9811-0463ad7bb7e5', 'a:1:{i:0;s:40:"core.entity_view_mode.taxonomy_term.full";}'),
('config.entity.key_store.entity_view_mode', 'uuid:30f36b6e-7d0d-4254-97f3-c5600cb7480e', 'a:1:{i:0;s:34:"core.entity_view_mode.comment.full";}'),
('config.entity.key_store.entity_view_mode', 'uuid:494343ff-2220-4c36-8495-cdf3cc0e70da', 'a:1:{i:0;s:31:"core.entity_view_mode.font.full";}'),
('config.entity.key_store.entity_view_mode', 'uuid:542fcebc-8bc4-4bef-8210-2b235d80f09e', 'a:1:{i:0;s:31:"core.entity_view_mode.user.full";}'),
('config.entity.key_store.entity_view_mode', 'uuid:75303881-05f4-4b3d-8fdb-fd2a36127668', 'a:1:{i:0;s:33:"core.entity_view_mode.font.teaser";}'),
('config.entity.key_store.entity_view_mode', 'uuid:7d2f6fa1-2287-4b88-8555-48299c7e903d', 'a:1:{i:0;s:39:"core.entity_view_mode.paragraph.preview";}'),
('config.entity.key_store.entity_view_mode', 'uuid:8546524f-b24c-4bfe-923e-79c2b408e26a', 'a:1:{i:0;s:30:"core.entity_view_mode.node.rss";}'),
('config.entity.key_store.entity_view_mode', 'uuid:891e050b-6c78-4ae8-bbe5-b6a3429eac8d', 'a:1:{i:0;s:42:"core.entity_view_mode.node.mt_listing_item";}'),
('config.entity.key_store.entity_view_mode', 'uuid:9584664a-2b8a-4480-b4d8-cda66b96f312', 'a:1:{i:0;s:40:"core.entity_view_mode.node.search_result";}'),
('config.entity.key_store.entity_view_mode', 'uuid:c7bb6b4f-5590-48c0-a151-6f5c5f292689', 'a:1:{i:0;s:39:"core.entity_view_mode.node.search_index";}'),
('config.entity.key_store.entity_view_mode', 'uuid:d31285d9-0f94-454a-9ca7-41eddec3cd99', 'a:1:{i:0;s:40:"core.entity_view_mode.block_content.full";}'),
('config.entity.key_store.entity_view_mode', 'uuid:d3c8590d-54ba-440c-a302-54c15fddc36b', 'a:1:{i:0;s:34:"core.entity_view_mode.user.compact";}'),
('config.entity.key_store.entity_view_mode', 'uuid:da926b75-afbd-41bd-bcb7-874911a84e84', 'a:1:{i:0;s:33:"core.entity_view_mode.node.teaser";}'),
('config.entity.key_store.entity_view_mode', 'uuid:e37271ae-777c-4c26-9a0c-13044d7c9d46', 'a:1:{i:0;s:40:"core.entity_view_mode.node.mt_slide_view";}'),
('config.entity.key_store.entity_view_mode', 'uuid:ec8cc51e-8173-41db-a117-05131af2f5f1', 'a:1:{i:0;s:45:"core.entity_view_mode.node.mt_video_grid_item";}'),
('config.entity.key_store.entity_view_mode', 'uuid:f8fe4612-74a5-4b56-9058-e6e50ee9d0fb', 'a:1:{i:0;s:31:"core.entity_view_mode.node.full";}'),
('config.entity.key_store.field_config', 'uuid:01604ab2-6b80-4d72-a7fd-d1b91b54d6fb', 'a:1:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_link";}'),
('config.entity.key_store.field_config', 'uuid:0330cd7f-bc68-4f05-8b31-f4ace910553e', 'a:1:{i:0;s:56:"field.field.node.mt_speaker.field_mt_spk_youtube_account";}'),
('config.entity.key_store.field_config', 'uuid:033e1106-e2fd-4fec-861a-5634185014c3', 'a:1:{i:0;s:77:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_color";}'),
('config.entity.key_store.field_config', 'uuid:03505e3d-d874-42e5-94c7-14258e003539', 'a:1:{i:0;s:49:"field.field.node.article.field_mt_slideshow_image";}'),
('config.entity.key_store.field_config', 'uuid:046d32d1-ebf9-4d60-81bc-57076b72d6b7', 'a:1:{i:0;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_bullets_position";}'),
('config.entity.key_store.field_config', 'uuid:052adc29-f2e6-4b8e-a837-8b0db5ac613f', 'a:1:{i:0;s:32:"field.field.node.article.comment";}'),
('config.entity.key_store.field_config', 'uuid:06dd9a5c-813b-4d07-9861-bb83b20f2855', 'a:1:{i:0;s:46:"field.field.node.mt_service.field_mt_srv_price";}'),
('config.entity.key_store.field_config', 'uuid:0abffa15-cd17-4135-bf22-1d34fb82a983', 'a:1:{i:0;s:46:"field.field.node.mt_product.field_mt_prd_video";}'),
('config.entity.key_store.field_config', 'uuid:0b43c71d-e59d-4f58-8fed-fd3a92a1eb5f', 'a:1:{i:0;s:49:"field.field.node.mt_speaker.field_mt_spk_subtitle";}'),
('config.entity.key_store.field_config', 'uuid:0d0ca2de-0b85-4c71-b689-725e4d9f9900', 'a:1:{i:0;s:60:"field.field.node.mt_product.field_mt_prd_additional_features";}'),
('config.entity.key_store.field_config', 'uuid:0e84b8d5-880e-43c2-9923-b4d4e18e58e9', 'a:1:{i:0;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_title";}'),
('config.entity.key_store.field_config', 'uuid:0ef202ef-8e68-4891-9ca0-36f63cd365bc', 'a:1:{i:0;s:61:"field.field.node.mt_testimonial.field_mt_tst_testimonial_link";}'),
('config.entity.key_store.field_config', 'uuid:12785108-0046-4edb-bf28-e3435510607b', 'a:1:{i:0;s:71:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption";}'),
('config.entity.key_store.field_config', 'uuid:1661d076-db9b-4e1c-96d0-b7fb01c2b87b', 'a:1:{i:0;s:44:"field.field.node.mt_album.field_mt_alb_video";}'),
('config.entity.key_store.field_config', 'uuid:1aff6d1f-eb44-47c2-b4e1-487eda51f86a', 'a:1:{i:0;s:46:"field.field.node.mt_event.field_mt_evn_speaker";}'),
('config.entity.key_store.field_config', 'uuid:21604998-f196-4c1d-a923-37b10a4bb54b', 'a:1:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_logo";}'),
('config.entity.key_store.field_config', 'uuid:22774150-a9d0-4c26-aead-900d5e77ef52', 'a:1:{i:0;s:29:"field.field.node.article.body";}'),
('config.entity.key_store.field_config', 'uuid:22ecabbe-c5ad-46d8-ad32-d7364028a0f5', 'a:1:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_banner_image";}'),
('config.entity.key_store.field_config', 'uuid:2345eac5-938c-40ce-ba2a-6f8e48cf32c5', 'a:1:{i:0;s:56:"field.field.paragraph.mt_collapse.field_mt_collapse_body";}'),
('config.entity.key_store.field_config', 'uuid:235ffff1-7343-47f9-9694-465345f7467d', 'a:1:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_tags";}'),
('config.entity.key_store.field_config', 'uuid:2411ac4b-7cca-492a-9de8-3bcd634ea6c3', 'a:1:{i:0;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_title";}'),
('config.entity.key_store.field_config', 'uuid:269be0cc-b9e2-469d-91bc-42e9d051e0fd', 'a:1:{i:0;s:40:"field.field.user.user.field_mt_signature";}'),
('config.entity.key_store.field_config', 'uuid:2727f19a-5f06-4bdc-84de-a03588fa9653', 'a:1:{i:0;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_shape";}'),
('config.entity.key_store.field_config', 'uuid:298acee4-fcf1-42af-9112-da13e40b8afd', 'a:1:{i:0;s:52:"field.field.node.mt_program_entry.field_mt_prg_event";}'),
('config.entity.key_store.field_config', 'uuid:2a4620e7-c99e-4894-8184-e2db12120c20', 'a:1:{i:0;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_title";}'),
('config.entity.key_store.field_config', 'uuid:2d18fcde-fe25-4fb3-9ae3-62af7706af1e', 'a:1:{i:0;s:56:"field.field.node.mt_product.field_mt_prd_landscape_image";}'),
('config.entity.key_store.field_config', 'uuid:2e04f648-833e-4e53-9c7c-5f0916829e8a', 'a:1:{i:0;s:70:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_item";}'),
('config.entity.key_store.field_config', 'uuid:342f745a-3ef3-42eb-b2f6-43eecc424666', 'a:1:{i:0;s:82:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_ignore_header_height";}'),
('config.entity.key_store.field_config', 'uuid:34b90fa6-b72a-42e3-9b99-9791af8db9de', 'a:1:{i:0;s:46:"field.field.node.mt_service.field_mt_srv_video";}'),
('config.entity.key_store.field_config', 'uuid:36ac5121-0d74-42d0-838c-6db43f49526e', 'a:1:{i:0;s:51:"field.field.node.mt_product.field_mt_prd_categories";}'),
('config.entity.key_store.field_config', 'uuid:38140e70-b567-4556-bb3e-abee9a438310', 'a:1:{i:0;s:54:"field.field.paragraph.mt_media_tab.field_mt_media_body";}'),
('config.entity.key_store.field_config', 'uuid:39c1f90c-b22f-4d3e-98fd-2e6beff28835', 'a:1:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_link";}'),
('config.entity.key_store.field_config', 'uuid:3dc8330f-5039-4bab-a393-460593651aaf', 'a:1:{i:0;s:73:"field.field.block_content.mt_background_video_block.field_mt_bv_video_mp4";}'),
('config.entity.key_store.field_config', 'uuid:3e82a681-b916-42a5-a0f3-7fc7d45591f3', 'a:1:{i:0;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_state";}'),
('config.entity.key_store.field_config', 'uuid:3f95e2d6-db73-4eb4-9992-093b8571db66', 'a:1:{i:0;s:66:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_vimeo_id";}'),
('config.entity.key_store.field_config', 'uuid:401f70f1-7f83-46d3-a195-3c85f8c072b3', 'a:1:{i:0;s:56:"field.field.block_content.mt_typing_animation_block.body";}'),
('config.entity.key_store.field_config', 'uuid:441d8f87-fc79-406c-9188-1d07c7ae9044', 'a:1:{i:0;s:58:"field.field.node.mt_presentation.field_mt_prs_affiliations";}'),
('config.entity.key_store.field_config', 'uuid:4614f686-f6dd-4bee-afc1-9d9bbf063c7c', 'a:1:{i:0;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_layout_mode";}'),
('config.entity.key_store.field_config', 'uuid:465c50c2-9f00-4996-9c2f-c1d76faccf34', 'a:1:{i:0;s:70:"field.field.block_content.mt_collapsible_block.field_mt_cb_expand_icon";}'),
('config.entity.key_store.field_config', 'uuid:4840933e-2edf-4262-b29e-a092b1b5e3d5', 'a:1:{i:0;s:72:"field.field.block_content.mt_collapsible_block.field_mt_cb_collapse_icon";}'),
('config.entity.key_store.field_config', 'uuid:489416d5-4c46-412f-a540-488ea5520eb8', 'a:1:{i:0;s:58:"field.field.paragraph.mt_highlight.field_mt_highlight_body";}'),
('config.entity.key_store.field_config', 'uuid:4e738158-1217-45ee-ac9c-06708611d158', 'a:1:{i:0;s:79:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_opacity";}'),
('config.entity.key_store.field_config', 'uuid:4edd66b7-718b-428f-bc26-43936c6ff5d7', 'a:1:{i:0;s:60:"field.field.node.mt_team_member.field_mt_tmm_twitter_account";}'),
('config.entity.key_store.field_config', 'uuid:4f3296df-f4b4-4ece-af56-1d24de77f3e4', 'a:1:{i:0;s:53:"field.field.node.mt_team_member.field_mt_tmm_subtitle";}'),
('config.entity.key_store.field_config', 'uuid:4f459cf5-c75a-47d2-bc62-5a8f4fe4f626', 'a:1:{i:0;s:76:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_caption_opac";}'),
('config.entity.key_store.field_config', 'uuid:510183e4-3805-4ba2-97f3-6d71b7e173ba', 'a:1:{i:0;s:77:"field.field.block_content.mt_background_image_block.field_mt_background_image";}'),
('config.entity.key_store.field_config', 'uuid:5141e284-dd7e-44a5-be00-364fe51781f4', 'a:1:{i:0;s:55:"field.field.node.mt_product.field_mt_prd_subheader_body";}'),
('config.entity.key_store.field_config', 'uuid:518cf7f8-069b-4e72-a3d5-e463eadb4ce9', 'a:1:{i:0;s:35:"field.field.node.article.field_tags";}'),
('config.entity.key_store.field_config', 'uuid:51e65240-f907-49e5-86e4-4c49cda0a8d6', 'a:1:{i:0;s:44:"field.field.node.mt_album.field_mt_alb_image";}'),
('config.entity.key_store.field_config', 'uuid:54f9ec84-30f0-4e01-9913-c195cf1483fe', 'a:1:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_body";}'),
('config.entity.key_store.field_config', 'uuid:557d23a8-a38e-46ef-b8bf-4523658ceb11', 'a:1:{i:0;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_image";}'),
('config.entity.key_store.field_config', 'uuid:569f4368-bc9e-41f6-937d-9c11e0426174', 'a:1:{i:0;s:43:"field.field.node.article.field_mt_slideshow";}'),
('config.entity.key_store.field_config', 'uuid:56e92ae2-8a91-455f-a172-08a2dd950634', 'a:1:{i:0;s:53:"field.field.node.mt_presentation.field_mt_prs_authors";}'),
('config.entity.key_store.field_config', 'uuid:57b659d4-dcfe-4ef7-8d1b-1220c55574e3', 'a:1:{i:0;s:34:"field.field.user.user.user_picture";}'),
('config.entity.key_store.field_config', 'uuid:58ea92f5-47cb-4e3c-a43c-ee50a95e27bc', 'a:1:{i:0;s:45:"field.field.node.mt_product.field_mt_prd_tags";}'),
('config.entity.key_store.field_config', 'uuid:5c99299b-1d23-4c61-8e5c-b89b1251ff5b', 'a:1:{i:0;s:71:"field.field.taxonomy_term.mt_collections.field_mt_wide_collection_image";}'),
('config.entity.key_store.field_config', 'uuid:5d26169d-e72b-4ad8-9090-2d3f3c570a46', 'a:1:{i:0;s:44:"field.field.node.mt_event.field_mt_evn_files";}'),
('config.entity.key_store.field_config', 'uuid:5e48e528-c122-4020-984a-e98c7ffe27d3', 'a:1:{i:0;s:68:"field.field.block_content.mt_nodes_slideshow_block.field_mt_ns_slide";}'),
('config.entity.key_store.field_config', 'uuid:5f243c35-c3e6-4c88-9213-eff2e2efe812', 'a:1:{i:0;s:62:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_title";}'),
('config.entity.key_store.field_config', 'uuid:5f9c7c3e-c383-4146-88b1-5a15ee83a7dc', 'a:1:{i:0;s:61:"field.field.paragraph.mt_additional_feature.field_mt_adf_body";}'),
('config.entity.key_store.field_config', 'uuid:5fd4e67c-ca7f-4372-95c9-791b73fc79ec', 'a:1:{i:0;s:53:"field.field.node.mt_presentation.field_mt_prs_session";}'),
('config.entity.key_store.field_config', 'uuid:6040ca86-6b34-439f-ae76-57d78f1414f8', 'a:1:{i:0;s:61:"field.field.node.mt_team_member.field_mt_tmm_linkedin_account";}'),
('config.entity.key_store.field_config', 'uuid:647a139e-5fa5-47f2-80ea-98be384fd40d', 'a:1:{i:0;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_title";}'),
('config.entity.key_store.field_config', 'uuid:64def67f-327a-4207-8497-c4f740c842b8', 'a:1:{i:0;s:45:"field.field.node.page.field_mt_subheader_body";}'),
('config.entity.key_store.field_config', 'uuid:6530800d-8d39-4cd5-a484-738140500835', 'a:1:{i:0;s:62:"field.field.block_content.mt_google_maps.field_mt_map_location";}'),
('config.entity.key_store.field_config', 'uuid:6573184d-fb8a-4b27-8794-df2823e33318', 'a:1:{i:0;s:45:"field.field.node.mt_speaker.field_mt_spk_body";}'),
('config.entity.key_store.field_config', 'uuid:660f4e1e-355e-4466-9d35-c85e750dd60f', 'a:1:{i:0;s:42:"field.field.font.font.field_classification";}'),
('config.entity.key_store.field_config', 'uuid:6854265c-fd55-4245-8de0-a87b5a880e7e', 'a:1:{i:0;s:53:"field.field.node.mt_presentation.field_mt_prs_speaker";}'),
('config.entity.key_store.field_config', 'uuid:6906f236-70f9-4bb9-b147-46810d13eb33', 'a:1:{i:0;s:45:"field.field.node.mt_service.field_mt_srv_body";}'),
('config.entity.key_store.field_config', 'uuid:6ad7fa09-01a9-4b33-ad70-980512ba8fa9', 'a:1:{i:0;s:49:"field.field.node.mt_testimonial.field_mt_tst_body";}'),
('config.entity.key_store.field_config', 'uuid:6e19c0a9-4d4f-4cf7-92f7-49615df0e6a0', 'a:1:{i:0;s:66:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_title";}'),
('config.entity.key_store.field_config', 'uuid:6f545a9b-d554-4421-9d1d-e40b0ab1f8e4', 'a:1:{i:0;s:68:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_youtube_id";}'),
('config.entity.key_store.field_config', 'uuid:6fa600ac-335d-4682-96fd-a998bd127b75', 'a:1:{i:0;s:75:"field.field.block_content.mt_background_video_block.field_mt_bv_layout_mode";}'),
('config.entity.key_store.field_config', 'uuid:703119d5-eebc-41b9-80a6-b40096093135', 'a:1:{i:0;s:53:"field.field.node.mt_testimonial.field_mt_tst_subtitle";}'),
('config.entity.key_store.field_config', 'uuid:707fd58a-e82f-4ed2-8594-af23a4c14e55', 'a:1:{i:0;s:64:"field.field.block_content.mt_collapsible_block.field_mt_cb_title";}'),
('config.entity.key_store.field_config', 'uuid:723f0719-8d77-42da-b1e9-7466933da6a3', 'a:1:{i:0;s:46:"field.field.node.mt_product.field_mt_prd_price";}'),
('config.entity.key_store.field_config', 'uuid:728d24fe-81aa-4461-a52c-d83eee6d97db', 'a:1:{i:0;s:53:"field.field.node.mt_product.field_mt_prd_most_popular";}'),
('config.entity.key_store.field_config', 'uuid:737bcadb-82d9-4a27-b0e7-bb1d23ed980d', 'a:1:{i:0;s:57:"field.field.node.mt_speaker.field_mt_spk_linkedin_account";}'),
('config.entity.key_store.field_config', 'uuid:73e5c94d-e744-4da9-a15c-92742479687a', 'a:1:{i:0;s:49:"field.field.paragraph.mt_tab.field_mt_tab_content";}'),
('config.entity.key_store.field_config', 'uuid:7703a1b1-a719-4c64-af82-69995891c91d', 'a:1:{i:0;s:69:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_image";}'),
('config.entity.key_store.field_config', 'uuid:77823686-2655-47b6-b873-a892d9e2b2d5', 'a:1:{i:0;s:53:"field.field.node.mt_product.field_mt_prd_product_code";}'),
('config.entity.key_store.field_config', 'uuid:796c42d4-74fa-41cf-972e-90e85f022d9d', 'a:1:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_link";}'),
('config.entity.key_store.field_config', 'uuid:7a2c2551-6edb-4854-a578-89c3e7f2f7ec', 'a:1:{i:0;s:68:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_link";}'),
('config.entity.key_store.field_config', 'uuid:7b21f57f-0ca1-4b0a-865e-60b58eaab5c7', 'a:1:{i:0;s:64:"field.field.block_content.mt_media_tabs_block.field_mt_media_tab";}'),
('config.entity.key_store.field_config', 'uuid:7b424705-b0e2-4b30-a35a-5a6e695c339e', 'a:1:{i:0;s:55:"field.field.node.mt_program_entry.field_mt_prg_end_date";}'),
('config.entity.key_store.field_config', 'uuid:7b4fb691-fd2d-4460-83c8-084c7df8497a', 'a:1:{i:0;s:81:"field.field.block_content.mt_background_image_block.field_mt_bg_image_positioning";}'),
('config.entity.key_store.field_config', 'uuid:7bf9a499-85be-4053-bf1b-43a19216631c', 'a:1:{i:0;s:63:"field.field.paragraph.mt_map_location.field_mt_ml_location_name";}'),
('config.entity.key_store.field_config', 'uuid:7cb6cdf9-a5a9-4383-9e57-e818a72a3cc9', 'a:1:{i:0;s:70:"field.field.block_content.mt_background_video_block.field_mt_bv_poster";}'),
('config.entity.key_store.field_config', 'uuid:7ee18867-5cad-424f-bd24-9e972434dac0', 'a:1:{i:0;s:71:"field.field.block_content.mt_collapsible_block.field_mt_block_reference";}'),
('config.entity.key_store.field_config', 'uuid:82b9a147-6edb-4f09-a9d8-81e265c1149a', 'a:1:{i:0;s:60:"field.field.node.mt_team_member.field_mt_tmm_youtube_account";}'),
('config.entity.key_store.field_config', 'uuid:8500a028-bd4f-4b01-bbcf-c96c4ae70a95', 'a:1:{i:0;s:64:"field.field.block_content.mt_tabs_block.field_mt_block_reference";}'),
('config.entity.key_store.field_config', 'uuid:86e1ea52-9089-4a78-b695-43327a7aaf34', 'a:1:{i:0;s:55:"field.field.node.mt_program_entry.field_mt_prg_category";}'),
('config.entity.key_store.field_config', 'uuid:877ba83b-1973-4631-8e59-1159e0a236f4', 'a:1:{i:0;s:69:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_body";}'),
('config.entity.key_store.field_config', 'uuid:8d699d38-a735-4fb3-85e4-0ac1dc6331ed', 'a:1:{i:0;s:46:"field.field.node.mt_product.field_mt_prd_image";}'),
('config.entity.key_store.field_config', 'uuid:8f81fe8d-6554-4ac7-9be0-19c93ef40272', 'a:1:{i:0;s:47:"field.field.paragraph.mt_tab.field_mt_tab_title";}'),
('config.entity.key_store.field_config', 'uuid:8fe7e957-51c6-4af3-96ed-31b1701463b7', 'a:1:{i:0;s:76:"field.field.block_content.mt_background_image_block.field_mt_block_reference";}'),
('config.entity.key_store.field_config', 'uuid:91084980-ce10-4f4a-b965-812eddf014f1', 'a:1:{i:0;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_layout";}'),
('config.entity.key_store.field_config', 'uuid:91c6da3d-07c1-4748-8794-4b3e2a1275a9', 'a:1:{i:0;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_touch_swipe_nav";}'),
('config.entity.key_store.field_config', 'uuid:92ac7626-1e4e-4f27-9583-5f957279d016', 'a:1:{i:0;s:39:"field.field.node.article.field_mt_video";}'),
('config.entity.key_store.field_config', 'uuid:92c94f79-5370-4102-95a6-ab40813f1992', 'a:1:{i:0;s:62:"field.field.node.mt_testimonial.field_mt_tst_testimonial_image";}'),
('config.entity.key_store.field_config', 'uuid:92d78097-ffa0-4a75-b096-72b118c765a8', 'a:1:{i:0;s:51:"field.field.node.mt_presentation.field_mt_prs_image";}'),
('config.entity.key_store.field_config', 'uuid:940aacc1-364a-4ac8-9c89-959cb2d6f701', 'a:1:{i:0;s:56:"field.field.paragraph.mt_icon_features.field_mt_if_image";}'),
('config.entity.key_store.field_config', 'uuid:95953737-44ab-4383-a154-9283325ad37a', 'a:1:{i:0;s:49:"field.field.block_content.mt_if_block.field_mt_if";}'),
('config.entity.key_store.field_config', 'uuid:974767ed-4e6c-4913-abe3-646727e95c35', 'a:1:{i:0;s:68:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect";}'),
('config.entity.key_store.field_config', 'uuid:97a21dea-e00a-4f83-b086-67cf94a24b38', 'a:1:{i:0;s:53:"field.field.node.mt_event.field_mt_evn_event_category";}'),
('config.entity.key_store.field_config', 'uuid:9813a7b9-e5ea-48f4-8305-7a3d6d85432f', 'a:1:{i:0;s:40:"field.field.user.user.field_mt_full_name";}'),
('config.entity.key_store.field_config', 'uuid:99b60365-42f4-47c2-baf4-a3e44bab5407', 'a:1:{i:0;s:50:"field.field.node.mt_service.field_mt_srv_highlight";}'),
('config.entity.key_store.field_config', 'uuid:9aa9532c-d771-45d7-b444-02cd499867ed', 'a:1:{i:0;s:59:"field.field.paragraph.mt_media_tab.field_mt_media_tab_title";}'),
('config.entity.key_store.field_config', 'uuid:9ae356df-db03-4d39-a138-a2f0b569b950', 'a:1:{i:0;s:49:"field.field.node.mt_team_member.field_mt_tmm_body";}'),
('config.entity.key_store.field_config', 'uuid:9dd19524-de06-4b9e-bbe1-70c871b65323', 'a:1:{i:0;s:56:"field.field.node.mt_product.field_mt_prd_banner_carousel";}'),
('config.entity.key_store.field_config', 'uuid:9f5aeaec-f577-4b34-b516-bac71c883e2c', 'a:1:{i:0;s:76:"field.field.block_content.mt_background_video_block.field_mt_block_reference";}'),
('config.entity.key_store.field_config', 'uuid:9fa17553-5cda-430c-8cde-06f12263c3d9', 'a:1:{i:0;s:77:"field.field.block_content.mt_background_video_block.field_mt_bv_overlay_color";}'),
('config.entity.key_store.field_config', 'uuid:a14ac2c2-0aa6-40f0-bfee-2ca1a8494dff', 'a:1:{i:0;s:50:"field.field.node.mt_presentation.field_mt_prs_body";}'),
('config.entity.key_store.field_config', 'uuid:a329c6d3-3e9a-4ec7-bbd8-37173eff9ac1', 'a:1:{i:0;s:76:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_initial_height";}'),
('config.entity.key_store.field_config', 'uuid:a43bd031-153a-40f7-acb2-f716f55adeb4', 'a:1:{i:0;s:59:"field.field.paragraph.mt_map_location.field_mt_ml_longitude";}'),
('config.entity.key_store.field_config', 'uuid:a4d573d8-b1ab-4b93-90b5-232d471a3cbf', 'a:1:{i:0;s:53:"field.field.node.mt_speaker.field_mt_spk_affiliations";}'),
('config.entity.key_store.field_config', 'uuid:a542e6e4-5522-4272-af12-78e39d4a7d40', 'a:1:{i:0;s:49:"field.field.node.mt_canvas_page.field_mt_cnv_body";}'),
('config.entity.key_store.field_config', 'uuid:a66b3b85-b093-4f8c-83aa-4b16176ceaa1', 'a:1:{i:0;s:56:"field.field.node.mt_speaker.field_mt_spk_twitter_account";}'),
('config.entity.key_store.field_config', 'uuid:a712a34e-6e42-4df3-8340-4891b7f206e7', 'a:1:{i:0;s:36:"field.field.node.article.field_image";}'),
('config.entity.key_store.field_config', 'uuid:a76cb6fa-1b6b-479b-bbd3-25c722ac8b2d', 'a:1:{i:0;s:53:"field.field.node.mt_product.field_mt_prd_content_tabs";}'),
('config.entity.key_store.field_config', 'uuid:ac418b6b-61e3-4957-9d18-f521a83a5507', 'a:1:{i:0;s:59:"field.field.paragraph.mt_highlight.field_mt_highlight_image";}'),
('config.entity.key_store.field_config', 'uuid:accbab0b-6151-461f-8b78-6629b3e991c1', 'a:1:{i:0;s:69:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_slide_title";}'),
('config.entity.key_store.field_config', 'uuid:af206751-4195-49c8-b4cb-b5d4cb04c5d4', 'a:1:{i:0;s:48:"field.field.node.article.field_mt_slideshow_text";}'),
('config.entity.key_store.field_config', 'uuid:b05f7c01-155a-4bb4-b62a-b77b75e91fcf', 'a:1:{i:0;s:26:"field.field.node.page.body";}'),
('config.entity.key_store.field_config', 'uuid:b0a743ac-6b06-49a4-bdf2-725ef69dd5f2', 'a:1:{i:0;s:70:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_volume";}'),
('config.entity.key_store.field_config', 'uuid:b186b011-3386-453b-b481-b2be1c3bd678', 'a:1:{i:0;s:70:"field.field.paragraph.mt_featured_linked_text_tile.field_mt_fltt_title";}'),
('config.entity.key_store.field_config', 'uuid:b22fcff9-12c4-4129-938f-35edb13ef6b5', 'a:1:{i:0;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_title";}'),
('config.entity.key_store.field_config', 'uuid:b3798000-e15f-4123-b4b6-99d507302ec0', 'a:1:{i:0;s:57:"field.field.node.mt_team_member.field_mt_tmm_member_photo";}'),
('config.entity.key_store.field_config', 'uuid:b3f2234e-46f4-4172-9ee8-392185faa425', 'a:1:{i:0;s:53:"field.field.block_content.mt_fltt_block.field_mt_fltt";}'),
('config.entity.key_store.field_config', 'uuid:b403a9da-837e-4877-867a-0fba333c8e0c', 'a:1:{i:0;s:44:"field.field.node.mt_event.field_mt_evn_video";}'),
('config.entity.key_store.field_config', 'uuid:b5846f43-cde4-4029-b58d-c3cd02304edb', 'a:1:{i:0;s:50:"field.field.node.mt_product.field_mt_prd_highlight";}'),
('config.entity.key_store.field_config', 'uuid:b63f2f87-90f9-4e22-ac09-a79d44f208be', 'a:1:{i:0;s:53:"field.field.node.mt_presentation.field_mt_prs_sponsor";}'),
('config.entity.key_store.field_config', 'uuid:b8597cd5-9374-4804-b9eb-d78374518481', 'a:1:{i:0;s:44:"field.field.node.mt_event.field_mt_evn_image";}'),
('config.entity.key_store.field_config', 'uuid:b8cdf293-25a7-43ab-b965-29ddd0933646', 'a:1:{i:0;s:59:"field.field.paragraph.mt_dropdown.field_mt_dropdown_fa_icon";}'),
('config.entity.key_store.field_config', 'uuid:bbd57de8-d236-4c75-88f0-56002523dced', 'a:1:{i:0;s:74:"field.field.block_content.mt_background_video_block.field_mt_bv_video_webm";}'),
('config.entity.key_store.field_config', 'uuid:bc3df0d5-dd6b-4c97-b05b-6f6476b39928', 'a:1:{i:0;s:75:"field.field.block_content.mt_background_image_block.field_mt_bg_image_color";}'),
('config.entity.key_store.field_config', 'uuid:bd90e19e-db77-48f5-b8fc-834bd9b60502', 'a:1:{i:0;s:64:"field.field.paragraph.mt_additional_feature.field_mt_adf_fa_icon";}'),
('config.entity.key_store.field_config', 'uuid:be56227e-0f0a-4ff0-a9cf-cd2e517a9338', 'a:1:{i:0;s:47:"field.field.font.font.field_supported_languages";}'),
('config.entity.key_store.field_config', 'uuid:bf24cdb9-5b0e-43fc-bf96-a9309e27ccbd', 'a:1:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_body";}'),
('config.entity.key_store.field_config', 'uuid:bfd78a87-aa63-4939-be4c-52eb6d6295d1', 'a:1:{i:0;s:44:"field.field.node.mt_event.field_mt_evn_place";}'),
('config.entity.key_store.field_config', 'uuid:c304a903-454a-48c8-9ba8-836679a6b551', 'a:1:{i:0;s:57:"field.field.node.mt_speaker.field_mt_spk_facebook_account";}'),
('config.entity.key_store.field_config', 'uuid:c390feb5-cae9-4743-a89f-82757cfe5b20', 'a:1:{i:0;s:55:"field.field.paragraph.mt_icon_features.field_mt_if_link";}'),
('config.entity.key_store.field_config', 'uuid:c3f40f9b-7ed7-43c3-ae36-0808913a59c1', 'a:1:{i:0;s:49:"field.field.node.mt_product.field_mt_prd_buy_link";}'),
('config.entity.key_store.field_config', 'uuid:c3f9e7d8-3a8b-40db-8882-a32ffa575b0f', 'a:1:{i:0;s:77:"field.field.block_content.mt_background_image_block.field_mt_bg_image_opacity";}'),
('config.entity.key_store.field_config', 'uuid:c6550e11-7ea0-434c-b297-c2cbdf99d954', 'a:1:{i:0;s:79:"field.field.block_content.mt_main_slideshow_block.field_mt_main_slideshow_slide";}'),
('config.entity.key_store.field_config', 'uuid:c73050a5-213e-4bd8-9eec-4e6f8421dab1', 'a:1:{i:0;s:51:"field.field.node.mt_presentation.field_mt_prs_video";}'),
('config.entity.key_store.field_config', 'uuid:c848d333-8a45-47c9-92ed-046945e890e9', 'a:1:{i:0;s:40:"field.field.comment.comment.comment_body";}'),
('config.entity.key_store.field_config', 'uuid:c8bb5a18-33c7-4b9f-999e-c0122f2cb105', 'a:1:{i:0;s:58:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_subtitle";}'),
('config.entity.key_store.field_config', 'uuid:c93449a4-013c-494d-9fe4-14299f602bc2', 'a:1:{i:0;s:45:"field.field.node.mt_sponsor.field_mt_spn_body";}'),
('config.entity.key_store.field_config', 'uuid:c96b6770-6250-4c07-9d12-1dd05990d5fe', 'a:1:{i:0;s:82:"field.field.block_content.mt_fancy_linked_images_block.field_mt_fancy_linked_image";}'),
('config.entity.key_store.field_config', 'uuid:c9b98218-f13c-469a-9427-2b3bc5d600ea', 'a:1:{i:0;s:46:"field.field.node.mt_service.field_mt_srv_image";}'),
('config.entity.key_store.field_config', 'uuid:c9c5cfe8-58f4-4fb3-bb40-9ade76dec52d', 'a:1:{i:0;s:43:"field.field.node.mt_event.field_mt_evn_date";}'),
('config.entity.key_store.field_config', 'uuid:cb4aa9af-87d2-439e-a4b6-09779d3495d1', 'a:1:{i:0;s:47:"field.field.node.mt_event.field_mt_evn_location";}'),
('config.entity.key_store.field_config', 'uuid:cc3406c0-6618-4249-8835-9fff2ebef6a6', 'a:1:{i:0;s:64:"field.field.block_content.mt_fancy_tabs_block.field_mt_fancy_tab";}'),
('config.entity.key_store.field_config', 'uuid:cc47cfd7-3a6d-4f98-9655-66aeab6c03e1', 'a:1:{i:0;s:68:"field.field.taxonomy_term.mt_affiliations.field_mt_affiliation_image";}'),
('config.entity.key_store.field_config', 'uuid:cc8318ea-85b5-4216-86d3-d3e5b419d96f', 'a:1:{i:0;s:62:"field.field.paragraph.mt_additional_feature.field_mt_adf_image";}'),
('config.entity.key_store.field_config', 'uuid:ccd0f471-d8a5-4f4d-a24a-9e3b18bd4fbe', 'a:1:{i:0;s:49:"field.field.node.mt_service.field_mt_srv_buy_link";}'),
('config.entity.key_store.field_config', 'uuid:cf099eb0-f4cf-4db8-8689-32e4543691b7', 'a:1:{i:0;s:75:"field.field.block_content.mt_collapsible_block.field_mt_cb_trigger_position";}'),
('config.entity.key_store.field_config', 'uuid:d0cc1c8a-9126-48f4-b816-29b0bb812b69', 'a:1:{i:0;s:57:"field.field.node.mt_program_entry.field_mt_prg_start_date";}'),
('config.entity.key_store.field_config', 'uuid:d1c071cc-0984-40da-84a4-43532908db72', 'a:1:{i:0;s:77:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_effect_duration";}'),
('config.entity.key_store.field_config', 'uuid:d2e7c07d-a77f-4ae6-885a-14cde6dee8bf', 'a:1:{i:0;s:56:"field.field.paragraph.mt_media_tab.field_mt_media_button";}'),
('config.entity.key_store.field_config', 'uuid:d52be9d6-c574-4b3e-8af9-6787187bfec8', 'a:1:{i:0;s:54:"field.field.node.mt_speaker.field_mt_spk_speaker_photo";}'),
('config.entity.key_store.field_config', 'uuid:d549a8d3-fdc7-4cec-a855-59b5e0034682', 'a:1:{i:0;s:57:"field.field.paragraph.mt_collapse.field_mt_collapse_title";}'),
('config.entity.key_store.field_config', 'uuid:d637e6d3-d559-42e2-9a86-7347a494ac49', 'a:1:{i:0;s:78:"field.field.block_content.mt_video_gallery_block.field_mt_video_gallery_slides";}'),
('config.entity.key_store.field_config', 'uuid:d6575ee4-8157-4c81-a2d2-06af8e101d36', 'a:1:{i:0;s:45:"field.field.node.mt_product.field_mt_prd_body";}'),
('config.entity.key_store.field_config', 'uuid:d6e9e355-572d-42fe-8d08-7db6c40dc2aa', 'a:1:{i:0;s:74:"field.field.block_content.mt_timeline_block.field_mt_tml_timeline_viewmore";}'),
('config.entity.key_store.field_config', 'uuid:d784c561-19f7-4dc0-9898-38fc2d37629d', 'a:1:{i:0;s:54:"field.field.node.mt_presentation.field_mt_prs_location";}'),
('config.entity.key_store.field_config', 'uuid:d7fa6b65-cbde-4142-b701-0f23680ca4f6', 'a:1:{i:0;s:53:"field.field.node.mt_service.field_mt_srv_service_tags";}'),
('config.entity.key_store.field_config', 'uuid:d919dfa9-d051-4d12-8fa7-c91ed6cc3c63', 'a:1:{i:0;s:32:"field.field.font.font.field_tags";}'),
('config.entity.key_store.field_config', 'uuid:d9c25109-2c57-4c0c-9296-67d27f8e3c6c', 'a:1:{i:0;s:64:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_volume";}'),
('config.entity.key_store.field_config', 'uuid:da5f21f9-32f5-4d84-a650-b5b9071ad0ab', 'a:1:{i:0;s:58:"field.field.paragraph.mt_icon_features.field_mt_if_fa_icon";}'),
('config.entity.key_store.field_config', 'uuid:da83d41f-08a4-43b0-a841-bdabb04e92a9', 'a:1:{i:0;s:61:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_link";}'),
('config.entity.key_store.field_config', 'uuid:db823943-d35e-41fe-bcc0-f8fb65b77104', 'a:1:{i:0;s:71:"field.field.paragraph.mt_fancy_linked_image.field_mt_fli_button_fa_icon";}'),
('config.entity.key_store.field_config', 'uuid:dc0f7a98-8e90-4a61-b4f7-5676550f21a3', 'a:1:{i:0;s:47:"field.field.node.mt_event.field_mt_evn_map_zoom";}'),
('config.entity.key_store.field_config', 'uuid:dc28e249-bce8-4b19-aea0-1217b857896e', 'a:1:{i:0;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_image";}'),
('config.entity.key_store.field_config', 'uuid:dceba06e-f3c2-4fab-bd63-311dbea437c9', 'a:1:{i:0;s:62:"field.field.block_content.mt_dropdowns_block.field_mt_dropdown";}'),
('config.entity.key_store.field_config', 'uuid:dd02e27a-e3ec-4f93-8fea-69882281b848', 'a:1:{i:0;s:66:"field.field.taxonomy_term.mt_collections.field_mt_collection_image";}'),
('config.entity.key_store.field_config', 'uuid:dd7b7186-fc99-4e24-ac6d-481d29194524', 'a:1:{i:0;s:78:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_navigation_style";}'),
('config.entity.key_store.field_config', 'uuid:dda452e3-f319-4a83-be91-ccf7673fa96a', 'a:1:{i:0;s:53:"field.field.node.mt_product.field_mt_prd_availability";}'),
('config.entity.key_store.field_config', 'uuid:de785d49-7af0-4169-8879-85219002d834', 'a:1:{i:0;s:51:"field.field.node.mt_presentation.field_mt_prs_files";}'),
('config.entity.key_store.field_config', 'uuid:df52ca38-e2c4-4642-bfdf-7913b7beb37a', 'a:1:{i:0;s:55:"field.field.paragraph.mt_media_tab.field_mt_media_video";}'),
('config.entity.key_store.field_config', 'uuid:e078d316-f77a-4846-b985-c06a7ac7d414', 'a:1:{i:0;s:55:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_title";}'),
('config.entity.key_store.field_config', 'uuid:e1db7556-cf02-487d-869c-c5948a138216', 'a:1:{i:0;s:80:"field.field.block_content.mt_main_slideshow_block.field_mt_ms_background_opacity";}'),
('config.entity.key_store.field_config', 'uuid:e313ac40-23cf-479c-a0d6-3c24779afd3f', 'a:1:{i:0;s:74:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_youtube_id";}'),
('config.entity.key_store.field_config', 'uuid:e31a8f7b-fc55-4076-bb8c-e82d95b18ca5', 'a:1:{i:0;s:58:"field.field.block_content.mt_google_maps.field_mt_map_zoom";}'),
('config.entity.key_store.field_config', 'uuid:e52d7ab8-3aaa-40af-b8fd-36f52663b9ea', 'a:1:{i:0;s:61:"field.field.node.mt_team_member.field_mt_tmm_facebook_account";}'),
('config.entity.key_store.field_config', 'uuid:ea6328af-0cea-4c6c-ad18-c4dfd101e518', 'a:1:{i:0;s:55:"field.field.node.mt_service.field_mt_srv_subheader_body";}'),
('config.entity.key_store.field_config', 'uuid:eb7aca32-d198-4871-9851-58ede3afc312', 'a:1:{i:0;s:54:"field.field.node.mt_presentation.field_mt_prs_category";}'),
('config.entity.key_store.field_config', 'uuid:ec07141b-78cf-436e-b19e-24b806149761', 'a:1:{i:0;s:72:"field.field.paragraph.mt_main_slideshow_slide.field_mt_ms_slide_vimeo_id";}'),
('config.entity.key_store.field_config', 'uuid:eeeef153-2eba-46fa-90d5-2eb8ee48663a', 'a:1:{i:0;s:65:"field.field.paragraph.mt_fancy_tab.field_mt_fancy_block_reference";}'),
('config.entity.key_store.field_config', 'uuid:f061a972-8b30-4868-987f-925de9d42e55', 'a:1:{i:0;s:58:"field.field.paragraph.mt_map_location.field_mt_ml_latitude";}'),
('config.entity.key_store.field_config', 'uuid:f0fd1baf-e571-4c96-b102-2b48dd347650', 'a:1:{i:0;s:52:"field.field.node.mt_presentation.field_mt_prs_topics";}'),
('config.entity.key_store.field_config', 'uuid:f1515804-8001-4a07-977f-6e0632e0473f', 'a:1:{i:0;s:65:"field.field.paragraph.mt_timeline_item.field_mt_tml_timeline_date";}'),
('config.entity.key_store.field_config', 'uuid:f239972d-00fa-495e-b0c9-64f155e995ed', 'a:1:{i:0;s:46:"field.field.node.mt_event.field_mt_evn_sponsor";}'),
('config.entity.key_store.field_config', 'uuid:f434c6af-4f07-4aa0-b31f-bda05139fb53', 'a:1:{i:0;s:43:"field.field.node.mt_album.field_mt_alb_body";}'),
('config.entity.key_store.field_config', 'uuid:f5d8cd86-08aa-4168-af5e-bb864823688a', 'a:1:{i:0;s:57:"field.field.paragraph.mt_dropdown.field_mt_dropdown_block";}'),
('config.entity.key_store.field_config', 'uuid:f79ac09c-a4af-4582-a742-8aba532ee391', 'a:1:{i:0;s:67:"field.field.paragraph.mt_video_gallery_slide.field_mt_vgs_thumbnail";}'),
('config.entity.key_store.field_config', 'uuid:f846560e-28fe-4c24-a2e5-edde073bddae', 'a:1:{i:0;s:36:"field.field.block_content.basic.body";}'),
('config.entity.key_store.field_config', 'uuid:f95663f8-eae5-4d7e-bfcb-c8be713fd952', 'a:1:{i:0;s:50:"field.field.node.mt_presentation.field_mt_prs_date";}'),
('config.entity.key_store.field_config', 'uuid:fa4a9ab6-0302-45a1-903f-ac097047bfe6', 'a:1:{i:0;s:59:"field.field.node.mt_product.field_mt_prd_pricing_table_item";}'),
('config.entity.key_store.field_storage_config', 'uuid:01fca423-5a83-44b6-9e5d-4360e1e3d63e', 'a:1:{i:0;s:42:"field.storage.node.field_mt_prg_start_date";}'),
('config.entity.key_store.field_storage_config', 'uuid:02bb7fd0-ff84-419b-b27b-3630f012c544', 'a:1:{i:0;s:47:"field.storage.node.field_mt_spk_twitter_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:0310b659-5dc8-4b13-98ae-cc7810d380c7', 'a:1:{i:0;s:39:"field.storage.node.field_mt_prs_sponsor";}'),
('config.entity.key_store.field_storage_config', 'uuid:07f3e102-c381-474f-827d-40061f9bc979', 'a:1:{i:0;s:39:"field.storage.font.field_classification";}'),
('config.entity.key_store.field_storage_config', 'uuid:08a6120b-4162-4793-b771-4b4d3f2b00c2', 'a:1:{i:0;s:46:"field.storage.paragraph.field_mt_ms_slide_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:0938f442-b0f1-4ede-92e4-0272810be1c5', 'a:1:{i:0;s:51:"field.storage.node.field_mt_prd_additional_features";}'),
('config.entity.key_store.field_storage_config', 'uuid:09731928-6b4a-4bf0-abfb-f31b3ff87d31', 'a:1:{i:0;s:40:"field.storage.paragraph.field_mt_if_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:0a9fb0d4-50a6-452a-9e43-93728f2049f6', 'a:1:{i:0;s:51:"field.storage.paragraph.field_mt_tml_timeline_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:0c16129a-2c39-4904-bb98-a28c620ed30a', 'a:1:{i:0;s:46:"field.storage.block_content.field_mt_ms_effect";}'),
('config.entity.key_store.field_storage_config', 'uuid:0dae3eda-c427-426f-9588-8c94a053c3f1', 'a:1:{i:0;s:36:"field.storage.node.field_mt_srv_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:11d2ef71-9700-4313-b6c9-67b13a5f3a81', 'a:1:{i:0;s:50:"field.storage.block_content.field_mt_bv_video_webm";}'),
('config.entity.key_store.field_storage_config', 'uuid:12dd58db-4c2f-4307-b9cd-d5b7cde44d84', 'a:1:{i:0;s:49:"field.storage.node.field_mt_tst_testimonial_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:1398bb02-fdcc-4a5f-9a91-586130931cd4', 'a:1:{i:0;s:36:"field.storage.node.field_mt_tmm_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:1471fc88-8de5-48f0-8729-064f91a2df45', 'a:1:{i:0;s:37:"field.storage.node.field_mt_slideshow";}'),
('config.entity.key_store.field_storage_config', 'uuid:15b0899e-dcf0-45c3-a334-bc716152898c', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_fli_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:16663e87-ce79-463a-9d25-a6d396e2f10c', 'a:1:{i:0;s:36:"field.storage.node.field_mt_evn_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:16d5fc08-5a2e-4feb-9bdc-0e4a7448244d', 'a:1:{i:0;s:53:"field.storage.block_content.field_mt_background_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:179fd45e-975a-4f23-8b3e-38012b2f9c6b', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:181f66bf-6c58-4c80-8f07-f1c650410514', 'a:1:{i:0;s:58:"field.storage.block_content.field_mt_tml_timeline_viewmore";}'),
('config.entity.key_store.field_storage_config', 'uuid:18848f68-89ce-48ce-bf32-185c155df1a6', 'a:1:{i:0;s:36:"field.storage.node.field_mt_spk_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:193b151e-6364-4b67-a16b-7319d84e28d0', 'a:1:{i:0;s:53:"field.storage.block_content.field_mt_bv_overlay_color";}'),
('config.entity.key_store.field_storage_config', 'uuid:1a80dccc-f7da-4eca-a1ed-aa3fe2b3a480', 'a:1:{i:0;s:48:"field.storage.node.field_mt_spk_linkedin_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:1c106149-1590-48b3-bcf3-90bd79900b79', 'a:1:{i:0;s:45:"field.storage.block_content.field_mt_cb_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:22a2d0a9-bfcd-4089-8826-e8cec286023f', 'a:1:{i:0;s:32:"field.storage.block_content.body";}'),
('config.entity.key_store.field_storage_config', 'uuid:22b11c07-c927-43e7-8b82-cfc83e4214d0', 'a:1:{i:0;s:39:"field.storage.block_content.field_mt_if";}'),
('config.entity.key_store.field_storage_config', 'uuid:23216993-e812-4af4-b76f-19b6a6b97743', 'a:1:{i:0;s:47:"field.storage.node.field_mt_spk_youtube_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:24d48946-187a-427f-a31d-4ca87ded9852', 'a:1:{i:0;s:37:"field.storage.node.field_mt_prs_video";}'),
('config.entity.key_store.field_storage_config', 'uuid:25257e3c-f8a1-45fd-9f5b-2a15f05476a9', 'a:1:{i:0;s:39:"field.storage.node.field_mt_prs_speaker";}'),
('config.entity.key_store.field_storage_config', 'uuid:26a44d40-32c5-4fd7-99f0-1f88c4bba220', 'a:1:{i:0;s:40:"field.storage.paragraph.field_mt_if_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:2a46f5aa-0a9f-4cf3-8d61-15741b636da6', 'a:1:{i:0;s:46:"field.storage.block_content.field_mt_media_tab";}'),
('config.entity.key_store.field_storage_config', 'uuid:2c8d6014-742a-4ed1-ae81-80597bc94f28', 'a:1:{i:0;s:41:"field.storage.paragraph.field_mt_adf_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:311ce268-9f91-4185-9950-cacffc7bb8c5', 'a:1:{i:0;s:44:"field.storage.node.field_mt_prd_content_tabs";}'),
('config.entity.key_store.field_storage_config', 'uuid:31840a61-d96b-462b-8f51-baf1e38d0bb8', 'a:1:{i:0;s:45:"field.storage.paragraph.field_mt_ml_longitude";}'),
('config.entity.key_store.field_storage_config', 'uuid:31a9f97d-a721-41b9-a379-dc006c5ae921', 'a:1:{i:0;s:53:"field.storage.block_content.field_mt_bg_image_opacity";}'),
('config.entity.key_store.field_storage_config', 'uuid:32eace59-1b58-4c3e-a3ee-4c5354109b58', 'a:1:{i:0;s:38:"field.storage.node.field_mt_prs_topics";}'),
('config.entity.key_store.field_storage_config', 'uuid:33b69423-ea44-41ec-aee9-ce7d25f09cdb', 'a:1:{i:0;s:45:"field.storage.block_content.field_mt_dropdown";}'),
('config.entity.key_store.field_storage_config', 'uuid:34af3af4-3c4f-4a03-962c-743021baae5a', 'a:1:{i:0;s:44:"field.storage.node.field_mt_prs_affiliations";}'),
('config.entity.key_store.field_storage_config', 'uuid:3713d413-2c19-4893-8376-e19b8ac769a8', 'a:1:{i:0;s:37:"field.storage.node.field_mt_prs_files";}'),
('config.entity.key_store.field_storage_config', 'uuid:3812ab0b-108c-44c0-92c3-d62ed70aed61', 'a:1:{i:0;s:54:"field.storage.block_content.field_mt_ms_initial_height";}'),
('config.entity.key_store.field_storage_config', 'uuid:38d56e66-8c3a-4efb-bb91-07af0e6d8021', 'a:1:{i:0;s:39:"field.storage.node.field_mt_evn_sponsor";}'),
('config.entity.key_store.field_storage_config', 'uuid:38f70c30-2626-487f-8c2e-bb90b6cdd3de', 'a:1:{i:0;s:42:"field.storage.node.field_mt_slideshow_text";}'),
('config.entity.key_store.field_storage_config', 'uuid:3b0044db-78aa-4c23-b632-ad8f4e5206f9', 'a:1:{i:0;s:41:"field.storage.paragraph.field_mt_if_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:3b3198c2-2fe4-429c-9294-aee9112f21f5', 'a:1:{i:0;s:54:"field.storage.block_content.field_mt_tml_timeline_item";}'),
('config.entity.key_store.field_storage_config', 'uuid:3bda504a-27b2-4fec-9799-cea3cba0b66f', 'a:1:{i:0;s:46:"field.storage.block_content.field_mt_fancy_tab";}'),
('config.entity.key_store.field_storage_config', 'uuid:3cf62ee8-4c5a-4afc-84b8-de928e1a5bc4', 'a:1:{i:0;s:44:"field.storage.node.field_mt_srv_service_tags";}'),
('config.entity.key_store.field_storage_config', 'uuid:3db39b50-af1a-4d58-a620-831ff4fc05b1', 'a:1:{i:0;s:51:"field.storage.block_content.field_mt_bg_image_color";}'),
('config.entity.key_store.field_storage_config', 'uuid:3ff57e43-e23f-4d7a-bc37-a00cabf21daa', 'a:1:{i:0;s:51:"field.storage.block_content.field_mt_bv_layout_mode";}'),
('config.entity.key_store.field_storage_config', 'uuid:405653ec-41d6-401b-814f-c93e960a25dd', 'a:1:{i:0;s:36:"field.storage.node.field_mt_alb_tags";}'),
('config.entity.key_store.field_storage_config', 'uuid:40dea6df-38f3-483c-bdbb-0798b74dd2c4', 'a:1:{i:0;s:46:"field.storage.node.field_mt_srv_subheader_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:4153f528-5737-4aee-a825-9050ba3e7166', 'a:1:{i:0;s:37:"field.storage.node.field_mt_prd_price";}'),
('config.entity.key_store.field_storage_config', 'uuid:41fee351-a71a-4d0b-af51-5266604def6c', 'a:1:{i:0;s:48:"field.storage.paragraph.field_mt_vgs_slide_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:4455a9ab-950b-4210-b101-bf64e792a0d4', 'a:1:{i:0;s:37:"field.storage.node.field_mt_alb_video";}'),
('config.entity.key_store.field_storage_config', 'uuid:452635bf-db2a-47c7-8fbc-23ec09b7b654', 'a:1:{i:0;s:29:"field.storage.font.field_tags";}'),
('config.entity.key_store.field_storage_config', 'uuid:45c55712-bed0-49c3-b77b-849509bd6bf7', 'a:1:{i:0;s:40:"field.storage.node.field_mt_tmm_subtitle";}'),
('config.entity.key_store.field_storage_config', 'uuid:4810fde7-063f-4484-9736-af1f95c6f030', 'a:1:{i:0;s:40:"field.storage.node.field_mt_prg_category";}'),
('config.entity.key_store.field_storage_config', 'uuid:4d050aec-a3d7-428b-9c9a-071fb2f70861', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_tab_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:4ff8dd6c-b9f2-40a9-8035-9333480b5f3d', 'a:1:{i:0;s:43:"field.storage.paragraph.field_mt_media_body";}');
INSERT INTO `key_value` VALUES
('config.entity.key_store.field_storage_config', 'uuid:4ffd5f68-1974-4672-8314-237bb2cb3c78', 'a:1:{i:0;s:58:"field.storage.taxonomy_term.field_mt_wide_collection_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:520bb678-1cf3-4cc0-9daf-bfd3c6339bcd', 'a:1:{i:0;s:37:"field.storage.node.field_mt_evn_files";}'),
('config.entity.key_store.field_storage_config', 'uuid:53d36706-a3e1-4d19-b24d-f5ce99518aa5', 'a:1:{i:0;s:43:"field.storage.paragraph.field_mt_vgs_volume";}'),
('config.entity.key_store.field_storage_config', 'uuid:543acd0b-d450-42a8-9906-6c1f2a1b8a85', 'a:1:{i:0;s:36:"field.storage.node.field_mt_prd_tags";}'),
('config.entity.key_store.field_storage_config', 'uuid:54fa2967-39c1-494d-babe-0adc81a814d8', 'a:1:{i:0;s:37:"field.storage.node.field_mt_evn_video";}'),
('config.entity.key_store.field_storage_config', 'uuid:55c47ffa-ec98-4e52-bd4e-eb9c26e35cea', 'a:1:{i:0;s:23:"field.storage.node.body";}'),
('config.entity.key_store.field_storage_config', 'uuid:56213120-ac5c-443e-9c10-4b110cfbbe30', 'a:1:{i:0;s:40:"field.storage.node.field_mt_spk_subtitle";}'),
('config.entity.key_store.field_storage_config', 'uuid:5a08c1bb-1357-4416-a8bb-a0098072ce7d', 'a:1:{i:0;s:36:"field.storage.node.field_mt_alb_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:5c37b63e-a20f-4a54-89a0-80cd1b025ce4', 'a:1:{i:0;s:41:"field.storage.node.field_mt_srv_highlight";}'),
('config.entity.key_store.field_storage_config', 'uuid:5e018863-8933-4e50-95e9-be57ab7af654', 'a:1:{i:0;s:51:"field.storage.block_content.field_mt_cb_expand_icon";}'),
('config.entity.key_store.field_storage_config', 'uuid:5f2dfd1a-3163-43a1-99f6-bca61cc01dde', 'a:1:{i:0;s:44:"field.storage.node.field_mt_srv_banner_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:5f4e8e01-4077-4234-bac5-3a75658e1822', 'a:1:{i:0;s:57:"field.storage.block_content.field_mt_bg_image_layout_mode";}'),
('config.entity.key_store.field_storage_config', 'uuid:6111a56a-09d6-4bd2-8ff0-5f96c1fc0a85', 'a:1:{i:0;s:39:"field.storage.node.field_mt_prs_authors";}'),
('config.entity.key_store.field_storage_config', 'uuid:62702c8d-027a-4937-a662-67c21e9563d5', 'a:1:{i:0;s:48:"field.storage.node.field_mt_tmm_linkedin_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:66d47275-e96c-443a-a558-a20c72c27032', 'a:1:{i:0;s:40:"field.storage.node.field_mt_prs_category";}'),
('config.entity.key_store.field_storage_config', 'uuid:67ae6567-0556-4ab5-8b6f-58e662ed1ad6', 'a:1:{i:0;s:53:"field.storage.block_content.field_mt_cb_collapse_icon";}'),
('config.entity.key_store.field_storage_config', 'uuid:6838af8e-c37f-4777-87f3-eeff2b1ae726', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:6a9f6825-4765-4702-8bcd-9a97cfa4afd4', 'a:1:{i:0;s:36:"field.storage.node.field_mt_spn_logo";}'),
('config.entity.key_store.field_storage_config', 'uuid:6b8a187d-cd95-47f7-af2a-37149570aa19', 'a:1:{i:0;s:44:"field.storage.paragraph.field_mt_tab_content";}'),
('config.entity.key_store.field_storage_config', 'uuid:6b8ce1be-94b6-409f-a777-a1db3df94795', 'a:1:{i:0;s:57:"field.storage.block_content.field_mt_video_gallery_slides";}'),
('config.entity.key_store.field_storage_config', 'uuid:6d5f86fa-218c-47ff-af97-70cc7ecf06db', 'a:1:{i:0;s:44:"field.storage.node.field_mt_prd_most_popular";}'),
('config.entity.key_store.field_storage_config', 'uuid:6e016bba-8606-4d8a-82f7-1cdf7d1d0283', 'a:1:{i:0;s:46:"field.storage.node.field_mt_prd_subheader_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:6ee6777f-e2a3-4047-b58b-05a26c08eb15', 'a:1:{i:0;s:39:"field.storage.node.field_mt_evn_speaker";}'),
('config.entity.key_store.field_storage_config', 'uuid:71918686-62dc-4f99-8da8-73b219b5b1f9', 'a:1:{i:0;s:37:"field.storage.node.field_mt_alb_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:7239379b-4bd7-4655-a9b3-e31d45d02308', 'a:1:{i:0;s:41:"field.storage.node.field_mt_prd_highlight";}'),
('config.entity.key_store.field_storage_config', 'uuid:7499d773-1e75-4110-9d0a-2e2d93829a0d', 'a:1:{i:0;s:40:"field.storage.node.field_mt_tst_subtitle";}'),
('config.entity.key_store.field_storage_config', 'uuid:75348b10-8fc5-4961-85ac-27734415b947', 'a:1:{i:0;s:55:"field.storage.paragraph.field_mt_ms_slide_caption_color";}'),
('config.entity.key_store.field_storage_config', 'uuid:75d626f2-053b-4058-9367-e9959a4c193e', 'a:1:{i:0;s:37:"field.storage.node.field_mt_prs_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:75f4013a-0861-49c9-ba7e-895c7c970ae2', 'a:1:{i:0;s:46:"field.storage.block_content.field_mt_bv_poster";}'),
('config.entity.key_store.field_storage_config', 'uuid:77b5d167-f7c5-42cb-92fc-8118aafec1c4', 'a:1:{i:0;s:36:"field.storage.node.field_mt_evn_date";}'),
('config.entity.key_store.field_storage_config', 'uuid:77dbe3d4-bf6e-4615-beed-10a1d41d9fb1', 'a:1:{i:0;s:37:"field.storage.user.field_mt_signature";}'),
('config.entity.key_store.field_storage_config', 'uuid:78850486-6f49-458e-a357-18c3a457235d', 'a:1:{i:0;s:37:"field.storage.node.field_mt_srv_price";}'),
('config.entity.key_store.field_storage_config', 'uuid:7a7f1471-7a26-4517-94cb-2b34ed5873e5', 'a:1:{i:0;s:51:"field.storage.paragraph.field_mt_fli_button_fa_icon";}'),
('config.entity.key_store.field_storage_config', 'uuid:7b867270-8272-4f7f-9590-a46a16167e32', 'a:1:{i:0;s:49:"field.storage.block_content.field_mt_map_location";}'),
('config.entity.key_store.field_storage_config', 'uuid:7bcaa053-3d3c-4434-b441-359b8d79f0f3', 'a:1:{i:0;s:41:"field.storage.paragraph.field_mt_if_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:7e53f77f-0469-434d-81d4-6108c2943b5a', 'a:1:{i:0;s:48:"field.storage.node.field_mt_tmm_facebook_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:7fd82e69-15e5-4a4f-9146-40bfa18abf8d', 'a:1:{i:0;s:39:"field.storage.node.field_mt_prs_session";}'),
('config.entity.key_store.field_storage_config', 'uuid:84f9688c-9f92-4c02-97cc-1b9a9cb1555c', 'a:1:{i:0;s:58:"field.storage.block_content.field_mt_main_slideshow_layout";}'),
('config.entity.key_store.field_storage_config', 'uuid:86510cb9-19ac-4f48-9da1-4945c3d81ca6', 'a:1:{i:0;s:57:"field.storage.block_content.field_mt_main_slideshow_slide";}'),
('config.entity.key_store.field_storage_config', 'uuid:8686529f-724b-4f7d-8574-1ea4f8e604dc', 'a:1:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:87d33644-d499-49e8-a893-c338caf12d9a', 'a:1:{i:0;s:40:"field.storage.node.field_mt_prd_buy_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:88614c60-d30f-4248-bf30-e24dc8468f67', 'a:1:{i:0;s:49:"field.storage.paragraph.field_mt_dropdown_fa_icon";}'),
('config.entity.key_store.field_storage_config', 'uuid:89fa6163-5fe3-4952-ab68-e93a9a623646', 'a:1:{i:0;s:48:"field.storage.paragraph.field_mt_media_tab_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:8a1d6191-b91f-4d1e-9700-c32c8f3d42f7', 'a:1:{i:0;s:40:"field.storage.node.field_mt_prs_location";}'),
('config.entity.key_store.field_storage_config', 'uuid:8caef820-31c8-4ad1-b8e0-73c603d19615', 'a:1:{i:0;s:54:"field.storage.paragraph.field_mt_fancy_block_reference";}'),
('config.entity.key_store.field_storage_config', 'uuid:9191fcd7-831a-45b3-b932-bd495ee745b8', 'a:1:{i:0;s:45:"field.storage.node.field_mt_spk_speaker_photo";}'),
('config.entity.key_store.field_storage_config', 'uuid:9ab6972a-46db-4eda-84d6-6971ce553cf1', 'a:1:{i:0;s:36:"field.storage.node.field_mt_tst_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:9d50c033-0baf-468c-810b-5051355ace40', 'a:1:{i:0;s:37:"field.storage.node.field_mt_srv_video";}'),
('config.entity.key_store.field_storage_config', 'uuid:9fc6832e-c6e1-4e94-9d43-88cd1c5decf6', 'a:1:{i:0;s:36:"field.storage.node.field_mt_prs_date";}'),
('config.entity.key_store.field_storage_config', 'uuid:a089ccbd-adfc-4ded-94f6-c5958bc83399', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_fancy_subtitle";}'),
('config.entity.key_store.field_storage_config', 'uuid:a0fc8145-a35c-46a1-a14f-13ab1c60a39c', 'a:1:{i:0;s:37:"field.storage.node.field_mt_evn_place";}'),
('config.entity.key_store.field_storage_config', 'uuid:a560034a-6389-438f-8948-dec1013e9d52', 'a:1:{i:0;s:49:"field.storage.block_content.field_mt_bv_video_mp4";}'),
('config.entity.key_store.field_storage_config', 'uuid:a63b3db3-3f9e-41e2-a8f7-485115e762ad', 'a:1:{i:0;s:40:"field.storage.node.field_mt_evn_map_zoom";}'),
('config.entity.key_store.field_storage_config', 'uuid:a6eadfdb-8d35-40b1-b64a-e0ed97d4cf01', 'a:1:{i:0;s:48:"field.storage.paragraph.field_mt_ms_slide_volume";}'),
('config.entity.key_store.field_storage_config', 'uuid:a7a54853-d273-4f1d-bd1e-6d318ec2a3ec', 'a:1:{i:0;s:34:"field.storage.comment.comment_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:a8eb5ef7-7656-4155-98dd-a641bd0f5302', 'a:1:{i:0;s:47:"field.storage.node.field_mt_prd_landscape_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:a8f36d15-3e3b-4b73-8bca-a6d7b13a415d', 'a:1:{i:0;s:44:"field.storage.font.field_supported_languages";}'),
('config.entity.key_store.field_storage_config', 'uuid:a9b306ad-e77e-47d2-9ed7-d81b1b1ba4d8', 'a:1:{i:0;s:40:"field.storage.node.field_mt_srv_buy_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:a9c91566-b021-4c07-9675-1c59fbe11bb3', 'a:1:{i:0;s:58:"field.storage.block_content.field_mt_ms_background_opacity";}'),
('config.entity.key_store.field_storage_config', 'uuid:a9f667ff-ac20-415a-b9f3-148a958ad5a6', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_fli_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:aad212db-5687-4c24-aaa1-5c88457f6ab3', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_fltt_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:ab1ac840-29d1-4b47-8a7a-c49a7c67d5d5', 'a:1:{i:0;s:44:"field.storage.paragraph.field_mt_media_video";}'),
('config.entity.key_store.field_storage_config', 'uuid:ab48c77f-7b0f-4932-8554-0c77b61778d1', 'a:1:{i:0;s:50:"field.storage.paragraph.field_mt_ms_slide_vimeo_id";}'),
('config.entity.key_store.field_storage_config', 'uuid:acaccd17-017c-4752-950c-1887e9027c77', 'a:1:{i:0;s:41:"field.storage.paragraph.field_mt_fli_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:add4ab49-0933-4384-84bb-fc3f63632656', 'a:1:{i:0;s:42:"field.storage.node.field_mt_subheader_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:b12ebed0-ffaf-4b79-9a17-3a48fac1327e', 'a:1:{i:0;s:37:"field.storage.node.field_mt_evn_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:b21a2a87-c0c4-45be-815e-3dd8dfcafc81', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:b23fcdef-1ff7-435f-afaa-f0ace9a39c74', 'a:1:{i:0;s:55:"field.storage.block_content.field_mt_bv_overlay_opacity";}'),
('config.entity.key_store.field_storage_config', 'uuid:b513fc7f-4e98-449c-b940-5a30ece271fb', 'a:1:{i:0;s:42:"field.storage.node.field_mt_prd_categories";}'),
('config.entity.key_store.field_storage_config', 'uuid:b6518fb2-9112-4145-83c1-f353b3ad684a', 'a:1:{i:0;s:26:"field.storage.node.comment";}'),
('config.entity.key_store.field_storage_config', 'uuid:b73c5625-e2f4-4884-943f-b23a3e1569b7', 'a:1:{i:0;s:36:"field.storage.node.field_mt_prd_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:b873d67c-7b08-4c38-9f72-89d4424c50c1', 'a:1:{i:0;s:48:"field.storage.paragraph.field_mt_highlight_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:b9164f15-9819-49bf-a6f9-897bf63318c5', 'a:1:{i:0;s:53:"field.storage.taxonomy_term.field_mt_collection_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:ba1446e3-dd7e-4cf8-9703-de7e6390abbe', 'a:1:{i:0;s:30:"field.storage.node.field_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:ba4ebccf-deee-443e-a92c-156111fe424a', 'a:1:{i:0;s:50:"field.storage.node.field_mt_prd_pricing_table_item";}'),
('config.entity.key_store.field_storage_config', 'uuid:ba947929-7f8c-463b-a0d0-0d37ddadb91a', 'a:1:{i:0;s:45:"field.storage.block_content.field_mt_map_zoom";}'),
('config.entity.key_store.field_storage_config', 'uuid:bd5ad38a-f8fb-403e-ba93-1b3f66564f2d', 'a:1:{i:0;s:44:"field.storage.paragraph.field_mt_adf_fa_icon";}'),
('config.entity.key_store.field_storage_config', 'uuid:bddf548c-c44b-4a0f-9ea0-742e2a68e9e2', 'a:1:{i:0;s:37:"field.storage.node.field_mt_prd_video";}'),
('config.entity.key_store.field_storage_config', 'uuid:be80686f-f1db-478d-ad52-c6032507a7d1', 'a:1:{i:0;s:49:"field.storage.paragraph.field_mt_ms_slide_caption";}'),
('config.entity.key_store.field_storage_config', 'uuid:c202ff20-5128-428f-91d2-3e892b9141e9', 'a:1:{i:0;s:45:"field.storage.paragraph.field_mt_media_button";}'),
('config.entity.key_store.field_storage_config', 'uuid:c240e0ca-88f5-4702-b173-fd19bbd61c52', 'a:1:{i:0;s:55:"field.storage.block_content.field_mt_ms_effect_duration";}'),
('config.entity.key_store.field_storage_config', 'uuid:c282c20a-3e12-4ee6-92d1-311ee1d72972', 'a:1:{i:0;s:55:"field.storage.block_content.field_mt_ms_touch_swipe_nav";}'),
('config.entity.key_store.field_storage_config', 'uuid:c42cd2df-6f2d-486e-94aa-ab3c74b73414', 'a:1:{i:0;s:49:"field.storage.paragraph.field_mt_ml_location_name";}'),
('config.entity.key_store.field_storage_config', 'uuid:c440dcd1-bd3d-4448-97df-351c36123b2d', 'a:1:{i:0;s:46:"field.storage.paragraph.field_mt_collapse_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:c518e1da-b52d-4753-8a28-bbb0fb5c7fb6', 'a:1:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_date";}'),
('config.entity.key_store.field_storage_config', 'uuid:c6bf2893-0fbe-444e-964d-512ee14ef798', 'a:1:{i:0;s:40:"field.storage.node.field_mt_evn_location";}'),
('config.entity.key_store.field_storage_config', 'uuid:c9858a15-e3cb-4bf7-955e-5ab137e86d5e', 'a:1:{i:0;s:47:"field.storage.node.field_mt_prd_banner_carousel";}'),
('config.entity.key_store.field_storage_config', 'uuid:ca5ed19f-0907-4e4b-bd05-c4b68b09b67a', 'a:1:{i:0;s:40:"field.storage.node.field_mt_prg_end_date";}'),
('config.entity.key_store.field_storage_config', 'uuid:cef61c7a-5240-47bd-a045-1c532b47c298', 'a:1:{i:0;s:46:"field.storage.node.field_mt_evn_event_category";}'),
('config.entity.key_store.field_storage_config', 'uuid:cffa24e8-0fa8-42b3-9776-dc4c9295af1e', 'a:1:{i:0;s:48:"field.storage.node.field_mt_tst_testimonial_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:d020301c-6aed-4357-b8bc-5bd0a08e8943', 'a:1:{i:0;s:56:"field.storage.block_content.field_mt_cb_trigger_position";}'),
('config.entity.key_store.field_storage_config', 'uuid:d0efee66-e49f-4f2d-a236-dc3d665983a8', 'a:1:{i:0;s:37:"field.storage.node.field_mt_srv_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:d15e5d4e-7e8d-4662-88d7-c4a43d3aa058', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_fli_shape";}'),
('config.entity.key_store.field_storage_config', 'uuid:d1a11029-d4db-459a-9b2b-e5a2206df914', 'a:1:{i:0;s:44:"field.storage.node.field_mt_spk_affiliations";}'),
('config.entity.key_store.field_storage_config', 'uuid:d449ceae-ffd4-4fb2-a060-2e98cb57955c', 'a:1:{i:0;s:54:"field.storage.taxonomy_term.field_mt_affiliation_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:d546f2a5-5609-42ee-8d9a-c126f9f57177', 'a:1:{i:0;s:44:"field.storage.node.field_mt_prd_availability";}'),
('config.entity.key_store.field_storage_config', 'uuid:d7031199-ca07-441c-ac16-32e4ebd4fadb', 'a:1:{i:0;s:52:"field.storage.paragraph.field_mt_ms_slide_youtube_id";}'),
('config.entity.key_store.field_storage_config', 'uuid:d7cc154f-9ddf-4087-94e9-410c2cc50c72', 'a:1:{i:0;s:57:"field.storage.block_content.field_mt_bg_image_positioning";}'),
('config.entity.key_store.field_storage_config', 'uuid:da5267cd-4ffb-4da8-84f3-7eeae26e3132', 'a:1:{i:0;s:60:"field.storage.block_content.field_mt_ms_ignore_header_height";}'),
('config.entity.key_store.field_storage_config', 'uuid:dc0b97a7-c172-4930-89af-5cf5489c16fc', 'a:1:{i:0;s:54:"field.storage.paragraph.field_mt_ms_slide_caption_opac";}'),
('config.entity.key_store.field_storage_config', 'uuid:ded79a92-0d9f-45ca-8218-0de7b6a02173', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_ms_slide_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:df9b82a6-6ce9-4aff-9594-af09ac953a40', 'a:1:{i:0;s:56:"field.storage.block_content.field_mt_ms_bullets_position";}'),
('config.entity.key_store.field_storage_config', 'uuid:e135eeab-e5b4-4289-98ff-4ea88745ebb5', 'a:1:{i:0;s:46:"field.storage.paragraph.field_mt_vgs_thumbnail";}'),
('config.entity.key_store.field_storage_config', 'uuid:e146d8c2-d58b-48ff-8fb4-4bb19b51e88a', 'a:1:{i:0;s:44:"field.storage.paragraph.field_mt_ml_latitude";}'),
('config.entity.key_store.field_storage_config', 'uuid:e28da9b4-4e23-41dd-bde4-cccc2e658110', 'a:1:{i:0;s:33:"field.storage.node.field_mt_video";}'),
('config.entity.key_store.field_storage_config', 'uuid:e36ac1a7-eee5-4947-9b6b-e2a6736c0d01', 'a:1:{i:0;s:44:"field.storage.node.field_mt_tmm_member_photo";}'),
('config.entity.key_store.field_storage_config', 'uuid:e3aac836-a3d9-43da-b1c4-1889f6e2c807', 'a:1:{i:0;s:50:"field.storage.paragraph.field_mt_tml_timeline_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:e41c0ee4-3c09-4a16-8404-7c2d5b326ca0', 'a:1:{i:0;s:37:"field.storage.user.field_mt_full_name";}'),
('config.entity.key_store.field_storage_config', 'uuid:e5a8c98d-bb21-4ded-ba9b-9fb2b2bfada3', 'a:1:{i:0;s:44:"field.storage.paragraph.field_mt_fancy_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:e5aa9ce5-66bd-404d-be2d-813277baa058', 'a:1:{i:0;s:29:"field.storage.node.field_tags";}'),
('config.entity.key_store.field_storage_config', 'uuid:e6192d57-be1d-41f3-88fc-08e118f09ec3', 'a:1:{i:0;s:36:"field.storage.node.field_mt_prs_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:e73c6db6-24dd-4622-becd-5ae935bd4743', 'a:1:{i:0;s:43:"field.storage.paragraph.field_mt_fltt_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:e7bdf794-5c56-42f2-a5ec-723912f16715', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_dropdown_block";}'),
('config.entity.key_store.field_storage_config', 'uuid:e7f6e71a-e39f-499e-a2e3-938f006edd87', 'a:1:{i:0;s:41:"field.storage.block_content.field_mt_fltt";}'),
('config.entity.key_store.field_storage_config', 'uuid:e9cb60b7-569e-488d-910c-b7735cabd029', 'a:1:{i:0;s:36:"field.storage.node.field_mt_spn_body";}'),
('config.entity.key_store.field_storage_config', 'uuid:eb990010-4176-496f-be00-e17240f696cd', 'a:1:{i:0;s:47:"field.storage.node.field_mt_tmm_youtube_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:ec7763f0-9dbe-4c60-9153-5c790791aeef', 'a:1:{i:0;s:43:"field.storage.node.field_mt_slideshow_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:f089042b-2b79-44ee-9e7d-29f69733f15b', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_collapse_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:f0a7a429-9964-450b-9517-9f8312b42f58', 'a:1:{i:0;s:31:"field.storage.user.user_picture";}'),
('config.entity.key_store.field_storage_config', 'uuid:f20586f9-91c0-4de8-9414-ddf69e44d81f', 'a:1:{i:0;s:52:"field.storage.block_content.field_mt_block_reference";}'),
('config.entity.key_store.field_storage_config', 'uuid:f3d6fea2-4b1a-4220-b617-1f1996125741', 'a:1:{i:0;s:45:"field.storage.block_content.field_mt_cb_state";}'),
('config.entity.key_store.field_storage_config', 'uuid:f3ec65f5-0c55-4198-abb7-bbe64c6b5785', 'a:1:{i:0;s:55:"field.storage.block_content.field_mt_fancy_linked_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:f62d9501-6a67-4167-bdff-8f02bd5a4838', 'a:1:{i:0;s:37:"field.storage.node.field_mt_prg_event";}'),
('config.entity.key_store.field_storage_config', 'uuid:f6ed5339-162f-440b-a909-001f88790ad1', 'a:1:{i:0;s:45:"field.storage.block_content.field_mt_ns_slide";}'),
('config.entity.key_store.field_storage_config', 'uuid:f6eebd65-bc0e-4021-ab06-5d4ef4dd7059', 'a:1:{i:0;s:47:"field.storage.node.field_mt_tmm_twitter_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:f7832ba2-748e-4d86-8761-3210e399511f', 'a:1:{i:0;s:44:"field.storage.paragraph.field_mt_media_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:f80919da-8c64-4b7c-bc55-2fa1226038ec', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_adf_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:f867e3b0-b47c-46ad-b4eb-280a76d01dd1', 'a:1:{i:0;s:42:"field.storage.paragraph.field_mt_adf_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:f8796200-9830-414a-8ecd-41d7080f1dbc', 'a:1:{i:0;s:44:"field.storage.node.field_mt_prd_product_code";}'),
('config.entity.key_store.field_storage_config', 'uuid:f9156901-f743-4337-a41c-33c7ccf3f226', 'a:1:{i:0;s:44:"field.storage.paragraph.field_mt_media_title";}'),
('config.entity.key_store.field_storage_config', 'uuid:fb7f2538-8f3c-4e44-bd67-a6af291bf090', 'a:1:{i:0;s:45:"field.storage.paragraph.field_mt_vgs_vimeo_id";}'),
('config.entity.key_store.field_storage_config', 'uuid:fd035759-3cc2-43ee-9ef7-e9d7dac4b49e', 'a:1:{i:0;s:48:"field.storage.node.field_mt_spk_facebook_account";}'),
('config.entity.key_store.field_storage_config', 'uuid:fd87b624-24fb-48b9-b4c3-60fa49f5bde1', 'a:1:{i:0;s:43:"field.storage.paragraph.field_mt_if_fa_icon";}'),
('config.entity.key_store.field_storage_config', 'uuid:fe2d3505-de9d-4091-8947-c5b1f7fc764e', 'a:1:{i:0;s:37:"field.storage.node.field_mt_prd_image";}'),
('config.entity.key_store.field_storage_config', 'uuid:fe621dec-b9dc-4f5b-b407-9c808562435a', 'a:1:{i:0;s:56:"field.storage.block_content.field_mt_ms_navigation_style";}'),
('config.entity.key_store.field_storage_config', 'uuid:fe94388f-8916-414f-8c24-363021492f00', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_highlight_link";}'),
('config.entity.key_store.field_storage_config', 'uuid:febe0f55-0cb9-4218-aa61-92fb7aa664a0', 'a:1:{i:0;s:47:"field.storage.paragraph.field_mt_vgs_youtube_id";}'),
('config.entity.key_store.field_storage_config', 'uuid:ff311524-02b7-460f-83ff-058adf081455', 'a:1:{i:0;s:36:"field.storage.node.field_mt_cnv_body";}'),
('config.entity.key_store.filter_format', 'uuid:06d3ce9b-1031-4159-89ae-e1425fcfa68a', 'a:1:{i:0;s:24:"filter.format.basic_html";}'),
('config.entity.key_store.filter_format', 'uuid:40d93674-0b33-45e3-846f-c5cf3a5d4005', 'a:1:{i:0;s:29:"filter.format.restricted_html";}'),
('config.entity.key_store.filter_format', 'uuid:45916f93-0151-4ad1-bbe9-9271b1d33790', 'a:1:{i:0;s:23:"filter.format.full_html";}'),
('config.entity.key_store.filter_format', 'uuid:cf4d1199-6883-4249-a8e5-f11d18bab72a', 'a:1:{i:0;s:24:"filter.format.plain_text";}'),
('config.entity.key_store.filter_format', 'uuid:cf80cad5-4edb-46a3-9062-a97d7593445f', 'a:1:{i:0;s:22:"filter.format.raw_html";}'),
('config.entity.key_store.font_display', 'uuid:2477394c-d822-40c7-a92a-5ed635bfff9b', 'a:1:{i:0;s:38:"fontyourface.font_display.mt_paragraph";}'),
('config.entity.key_store.font_display', 'uuid:613e21fb-42c6-4714-a5b9-aee9a09b245a', 'a:1:{i:0;s:37:"fontyourface.font_display.mt_headings";}'),
('config.entity.key_store.font_display', 'uuid:e3ad3996-daab-420e-9ea1-1d7c17927d6d', 'a:1:{i:0;s:38:"fontyourface.font_display.mt_site_name";}'),
('config.entity.key_store.font_display', 'uuid:ea6b03e6-5b95-4ebe-8d0d-75ad266f79c4', 'a:1:{i:0;s:40:"fontyourface.font_display.mt_site_slogan";}'),
('config.entity.key_store.image_style', 'uuid:11cb48d4-9b3b-45ba-8bf7-2a44df59eb3d', 'a:1:{i:0;s:18:"image.style.medium";}'),
('config.entity.key_store.image_style', 'uuid:24ad0c0b-6cc6-4e8b-bc1c-289da941938a', 'a:1:{i:0;s:35:"image.style.mt_slideshow_fullscreen";}'),
('config.entity.key_store.image_style', 'uuid:257341b9-e611-4ee3-babc-e4b760e2e73d', 'a:1:{i:0;s:28:"image.style.mt_product_image";}'),
('config.entity.key_store.image_style', 'uuid:499e568c-36b0-45c1-abdd-b531d5cf47c7', 'a:1:{i:0;s:30:"image.style.mt_landscape_image";}'),
('config.entity.key_store.image_style', 'uuid:54917034-6898-44a1-9a10-4969810f0780', 'a:1:{i:0;s:38:"image.style.mt_video_gallery_thumbnail";}'),
('config.entity.key_store.image_style', 'uuid:65eaec9a-abee-4e56-91f7-a03a5b9407b6', 'a:1:{i:0;s:29:"image.style.mt_portrait_image";}'),
('config.entity.key_store.image_style', 'uuid:6cb51469-fcc0-4cd6-95d2-8938347043c8', 'a:1:{i:0;s:30:"image.style.mt_media_tab_image";}'),
('config.entity.key_store.image_style', 'uuid:7636825c-f524-4a44-90cc-cc6bbe878619', 'a:1:{i:0;s:24:"image.style.mt_fli_image";}'),
('config.entity.key_store.image_style', 'uuid:802866b5-fdbc-4851-85e8-9d8a225530c8', 'a:1:{i:0;s:30:"image.style.mt_slideshow_boxed";}'),
('config.entity.key_store.image_style', 'uuid:80cba29a-9c51-4aec-bdd0-04f3ff568ed4', 'a:2:{i:0;s:19:"image.style.mt_logo";i:1;s:20:"image.style.mt_logos";}'),
('config.entity.key_store.image_style', 'uuid:83f5ecf4-f5b6-418e-94b2-f15be3e50354', 'a:1:{i:0;s:17:"image.style.large";}'),
('config.entity.key_store.image_style', 'uuid:8f64a3c1-49af-47cc-9d2d-5f2f78d73a42', 'a:1:{i:0;s:21:"image.style.thumbnail";}'),
('config.entity.key_store.image_style', 'uuid:c7f63738-8e70-4b2d-87e0-449906ddde64', 'a:2:{i:0;s:33:"image.style.mt_showcases_carousel";i:1;s:30:"image.style.mt_albums_carousel";}'),
('config.entity.key_store.image_style', 'uuid:d5600cfe-3961-44db-be44-ed3f244d4ce4', 'a:2:{i:0;s:26:"image.style.mtmember_photo";i:1;s:27:"image.style.mt_member_photo";}'),
('config.entity.key_store.image_style', 'uuid:e99a84eb-4c9f-4c9e-8f7c-a0550a1e2892', 'a:1:{i:0;s:21:"image.style.mt_brands";}'),
('config.entity.key_store.image_style', 'uuid:f0f9c2c4-8ce5-44a3-a0c2-8ffb45146cbb', 'a:1:{i:0;s:20:"image.style.mt_icons";}'),
('config.entity.key_store.image_style', 'uuid:f39dd703-ec67-4192-ad10-88bd795ea4b1', 'a:1:{i:0;s:32:"image.style.mt_testimonial_image";}'),
('config.entity.key_store.menu', 'uuid:000f093e-22f4-4cbb-b7e8-313fcc229382', 'a:1:{i:0;s:30:"system.menu.mt-footer-menu-two";}'),
('config.entity.key_store.menu', 'uuid:0be8b4e3-ea91-49ff-9c8b-cdf9e24c6f64', 'a:1:{i:0;s:35:"system.menu.landing-page-navigation";}'),
('config.entity.key_store.menu', 'uuid:35da80ef-1dd0-491b-8157-376a510fbb90', 'a:1:{i:0;s:24:"system.menu.mt-mega-menu";}'),
('config.entity.key_store.menu', 'uuid:3cfab3d5-93e5-4ce3-ae65-16606aad1062', 'a:1:{i:0;s:18:"system.menu.footer";}'),
('config.entity.key_store.menu', 'uuid:4e38bdf0-504c-413d-af4c-004d0914b5bc', 'a:1:{i:0;s:19:"system.menu.account";}'),
('config.entity.key_store.menu', 'uuid:5511deda-3f20-4ad6-a97b-05d5cc83b3c2', 'a:1:{i:0;s:17:"system.menu.tools";}'),
('config.entity.key_store.menu', 'uuid:7fa47f53-df1a-475e-b654-d93a5b54fd93', 'a:1:{i:0;s:17:"system.menu.admin";}'),
('config.entity.key_store.menu', 'uuid:8b0558ea-e5d9-40ca-bc8d-1877b4f7c9bc', 'a:1:{i:0;s:16:"system.menu.main";}'),
('config.entity.key_store.menu', 'uuid:d1d4f39f-4e00-4907-85f7-66e516e6c836', 'a:1:{i:0;s:32:"system.menu.mt-footer-menu-three";}'),
('config.entity.key_store.menu', 'uuid:d25f7cb9-f8e4-4695-b8f5-11746f2be18c', 'a:1:{i:0;s:29:"system.menu.mt-subfooter-menu";}'),
('config.entity.key_store.node_type', 'uuid:01c23e36-7b09-4950-8ece-04b9df3049b8', 'a:1:{i:0;s:24:"node.type.mt_testimonial";}'),
('config.entity.key_store.node_type', 'uuid:04ea06b2-ca37-4e0c-b3ef-0c0cd5cbbc17', 'a:1:{i:0;s:20:"node.type.mt_speaker";}'),
('config.entity.key_store.node_type', 'uuid:1ec5bb17-b507-4dac-a96c-851b1c06ad6e', 'a:1:{i:0;s:17:"node.type.article";}'),
('config.entity.key_store.node_type', 'uuid:49bdf411-7145-4dd0-aa11-88acfe8351c1', 'a:1:{i:0;s:18:"node.type.mt_album";}'),
('config.entity.key_store.node_type', 'uuid:57b64f48-ce71-46a0-8b34-e3a3d6426839', 'a:1:{i:0;s:14:"node.type.page";}'),
('config.entity.key_store.node_type', 'uuid:7c2974b4-3327-433b-9236-18e8f96f44c1', 'a:1:{i:0;s:25:"node.type.mt_presentation";}'),
('config.entity.key_store.node_type', 'uuid:9721f71b-0da2-40c5-812b-9975e3d06a97', 'a:1:{i:0;s:20:"node.type.mt_product";}'),
('config.entity.key_store.node_type', 'uuid:9fdd1ae2-f882-4153-a8b8-2f46a0e56795', 'a:1:{i:0;s:26:"node.type.mt_program_entry";}'),
('config.entity.key_store.node_type', 'uuid:a09dcd9d-6112-4d55-a0e7-8b1d642cf458', 'a:1:{i:0;s:20:"node.type.mt_sponsor";}'),
('config.entity.key_store.node_type', 'uuid:a1cad46e-58a4-43b9-ad41-9b932e0d507c', 'a:1:{i:0;s:18:"node.type.mt_event";}'),
('config.entity.key_store.node_type', 'uuid:a9a3dbab-9378-428e-afe8-277a5ba749b2', 'a:1:{i:0;s:24:"node.type.mt_team_member";}'),
('config.entity.key_store.node_type', 'uuid:afe38aed-9c93-4a06-b601-903c7f88f06b', 'a:1:{i:0;s:20:"node.type.mt_service";}'),
('config.entity.key_store.node_type', 'uuid:bc1fcc49-6c25-44a1-87c7-c1a852ca949c', 'a:1:{i:0;s:24:"node.type.mt_canvas_page";}'),
('config.entity.key_store.paragraphs_type', 'uuid:29a4d57f-71b3-43e3-999c-a1e4277fc03a', 'a:1:{i:0;s:39:"paragraphs.paragraphs_type.mt_highlight";}'),
('config.entity.key_store.paragraphs_type', 'uuid:3696ea7b-210d-42c4-8826-cc1915ca907b', 'a:1:{i:0;s:42:"paragraphs.paragraphs_type.mt_map_location";}'),
('config.entity.key_store.paragraphs_type', 'uuid:49cce4cd-0e2b-4833-9e62-6ba3f7739337', 'a:1:{i:0;s:48:"paragraphs.paragraphs_type.mt_additional_feature";}'),
('config.entity.key_store.paragraphs_type', 'uuid:5bb01ad3-a9b1-47c5-b9b4-401a016f1d14', 'a:1:{i:0;s:48:"paragraphs.paragraphs_type.mt_fancy_linked_image";}'),
('config.entity.key_store.paragraphs_type', 'uuid:6c880f0e-6d3d-481f-a922-ed0a9245190d', 'a:1:{i:0;s:55:"paragraphs.paragraphs_type.mt_featured_linked_text_tile";}'),
('config.entity.key_store.paragraphs_type', 'uuid:7299434e-30a5-4a17-9d82-d5679e584176', 'a:1:{i:0;s:33:"paragraphs.paragraphs_type.mt_tab";}'),
('config.entity.key_store.paragraphs_type', 'uuid:a596081e-94fb-4e3f-9d79-f2c2205a48fb', 'a:1:{i:0;s:50:"paragraphs.paragraphs_type.mt_main_slideshow_slide";}'),
('config.entity.key_store.paragraphs_type', 'uuid:ab5747eb-d1d2-4437-bb7c-e4ea7db801c9', 'a:1:{i:0;s:38:"paragraphs.paragraphs_type.mt_collapse";}'),
('config.entity.key_store.paragraphs_type', 'uuid:b9558bd1-c6fd-4e8a-b383-4266b3508f02', 'a:1:{i:0;s:38:"paragraphs.paragraphs_type.mt_dropdown";}'),
('config.entity.key_store.paragraphs_type', 'uuid:bf084c62-a6f6-4940-ac5d-4e393ca31228', 'a:1:{i:0;s:49:"paragraphs.paragraphs_type.mt_video_gallery_slide";}'),
('config.entity.key_store.paragraphs_type', 'uuid:cf04796c-73c7-4765-b7ab-ee377826b2f5', 'a:1:{i:0;s:43:"paragraphs.paragraphs_type.mt_icon_features";}'),
('config.entity.key_store.paragraphs_type', 'uuid:d96140d6-6079-42e0-a79e-44e7a4e67686', 'a:1:{i:0;s:39:"paragraphs.paragraphs_type.mt_fancy_tab";}'),
('config.entity.key_store.paragraphs_type', 'uuid:edabb2a6-00c5-4529-bb31-cfbe62532f2b', 'a:1:{i:0;s:43:"paragraphs.paragraphs_type.mt_timeline_item";}'),
('config.entity.key_store.paragraphs_type', 'uuid:ffc819cc-5337-4afa-a786-aa9d8a4b74f6', 'a:1:{i:0;s:39:"paragraphs.paragraphs_type.mt_media_tab";}'),
('config.entity.key_store.rdf_mapping', 'uuid:0e814a7f-8a1e-4065-ac6d-2ea69f011304', 'a:1:{i:0;s:27:"rdf.mapping.comment.comment";}'),
('config.entity.key_store.rdf_mapping', 'uuid:6438bce3-2094-40e4-9681-677c866f265f', 'a:1:{i:0;s:21:"rdf.mapping.user.user";}'),
('config.entity.key_store.rdf_mapping', 'uuid:867e193e-69ba-4d58-b486-6f5c024f731f', 'a:1:{i:0;s:24:"rdf.mapping.node.article";}'),
('config.entity.key_store.rdf_mapping', 'uuid:c6cd68b2-2660-474f-8177-7ca432e309c5', 'a:1:{i:0;s:30:"rdf.mapping.taxonomy_term.tags";}'),
('config.entity.key_store.rdf_mapping', 'uuid:eb565cb5-4dba-4f72-a362-9f00ea6c1ecb', 'a:1:{i:0;s:21:"rdf.mapping.node.page";}'),
('config.entity.key_store.search_page', 'uuid:c628b64b-57a7-4b8c-96ac-4eecd4cceebc', 'a:1:{i:0;s:23:"search.page.node_search";}'),
('config.entity.key_store.search_page', 'uuid:dd09885b-5c41-44a9-82b8-26ce0a53be7c', 'a:1:{i:0;s:23:"search.page.user_search";}'),
('config.entity.key_store.shortcut_set', 'uuid:f57c239c-05ba-4e95-97f7-9e82a36c3b93', 'a:1:{i:0;s:20:"shortcut.set.default";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:00fae69a-8ea9-4dd4-bd65-90c6465fcc25', 'a:1:{i:0;s:33:"taxonomy.vocabulary.font_designer";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:033054b9-bcd7-4b69-b49f-290cd558ab30', 'a:1:{i:0;s:32:"taxonomy.vocabulary.font_foundry";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:0541a736-3493-4822-879d-e9d1d2f383be', 'a:1:{i:0;s:39:"taxonomy.vocabulary.font_classification";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:0d119282-d68b-4987-81d7-f94469bd08d3', 'a:1:{i:0;s:39:"taxonomy.vocabulary.mt_album_categories";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:430a0a69-faf8-4d49-91bb-847224e28e54', 'a:1:{i:0;s:34:"taxonomy.vocabulary.mt_collections";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:4f4ee99c-091e-4820-b189-2ff7079540a6', 'a:1:{i:0;s:47:"taxonomy.vocabulary.mt_program_entry_categories";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:720a3950-eb59-4271-b66a-cf61999273a4', 'a:1:{i:0;s:30:"taxonomy.vocabulary.mt_session";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:78dfe75a-5c5c-4b6d-97f7-cd3188368ad0', 'a:1:{i:0;s:39:"taxonomy.vocabulary.languages_supported";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:7e12e657-fc36-45f9-b838-8371643734d5', 'a:1:{i:0;s:39:"taxonomy.vocabulary.mt_event_categories";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:80aecd93-36bb-4584-b5cf-2af4530735df', 'a:1:{i:0;s:35:"taxonomy.vocabulary.mt_affiliations";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:98aa458b-00e7-4122-833e-a0671b30c301', 'a:1:{i:0;s:46:"taxonomy.vocabulary.mt_presentation_categories";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:99b9524c-7a99-453a-9ea1-a6f2d8186661', 'a:1:{i:0;s:24:"taxonomy.vocabulary.tags";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:a1c0de83-61e3-420c-a189-3cc61091a01d', 'a:1:{i:0;s:29:"taxonomy.vocabulary.mt_topics";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:a8a22330-d52a-4272-ab33-388270e8f814', 'a:1:{i:0;s:35:"taxonomy.vocabulary.mt_service_tags";}'),
('config.entity.key_store.taxonomy_vocabulary', 'uuid:eef8c2ba-dc13-4ac7-9d89-a4e61fd4de92', 'a:1:{i:0;s:29:"taxonomy.vocabulary.font_tags";}'),
('config.entity.key_store.tour', 'routes.*.route_name:entity.view.edit_display_form', 'a:1:{i:0;s:18:"tour.tour.views-ui";}'),
('config.entity.key_store.tour', 'routes.*.route_name:entity.view.edit_form', 'a:1:{i:0;s:18:"tour.tour.views-ui";}'),
('config.entity.key_store.tour', 'uuid:66c94185-731f-4543-842d-01116b2f101a', 'a:1:{i:0;s:18:"tour.tour.views-ui";}'),
('config.entity.key_store.user_role', 'uuid:4b3b6df3-3505-4613-82c8-afd95fc5887f', 'a:1:{i:0;s:23:"user.role.authenticated";}'),
('config.entity.key_store.user_role', 'uuid:bfc23256-f9a0-4aea-bb69-b8f7290643dc', 'a:1:{i:0;s:23:"user.role.administrator";}'),
('config.entity.key_store.user_role', 'uuid:f4aa5a02-a0f2-42e3-8fef-e2483ed22d1e', 'a:1:{i:0;s:19:"user.role.anonymous";}'),
('config.entity.key_store.view', 'uuid:0046cb67-454b-411d-abe7-b3f09d439a89', 'a:1:{i:0;s:24:"views.view.block_content";}'),
('config.entity.key_store.view', 'uuid:10fd6a83-7178-49d9-b950-ebc2cb49c84c', 'a:1:{i:0;s:34:"views.view.mt_testimonials_masonry";}'),
('config.entity.key_store.view', 'uuid:130aebd0-229f-4232-b66d-fd59d2934418', 'a:1:{i:0;s:33:"views.view.mt_testimonials_grid_2";}'),
('config.entity.key_store.view', 'uuid:13605e43-2427-4dc6-8c0b-d21d33003ed8', 'a:1:{i:0;s:26:"views.view.comments_recent";}'),
('config.entity.key_store.view', 'uuid:1863d2bf-fdde-43c8-b9a2-1a9f95099b83', 'a:1:{i:0;s:21:"views.view.mt_isotope";}'),
('config.entity.key_store.view', 'uuid:18e21340-f0c4-47f3-a12b-c35acd0d8e6f', 'a:1:{i:0;s:24:"views.view.taxonomy_term";}'),
('config.entity.key_store.view', 'uuid:1a694062-9fb4-48e0-aaab-fe191fa5fa92', 'a:1:{i:0;s:22:"views.view.mt_products";}'),
('config.entity.key_store.view', 'uuid:1b20386a-38e5-4d3c-85b1-7f6265bb866f', 'a:1:{i:0;s:31:"views.view.mt_team_members_list";}'),
('config.entity.key_store.view', 'uuid:1d229422-9eab-4655-93a2-3d0c2de13522', 'a:1:{i:0;s:30:"views.view.webform_submissions";}'),
('config.entity.key_store.view', 'uuid:219ef55b-3419-4544-8349-7a27dc8fe341', 'a:1:{i:0;s:26:"views.view.mt_testimonials";}'),
('config.entity.key_store.view', 'uuid:270d3f72-cdac-43fa-a81c-017fbc689d17', 'a:1:{i:0;s:19:"views.view.glossary";}'),
('config.entity.key_store.view', 'uuid:2b78d66b-75e2-4a2b-8cdc-a0b45db97f98', 'a:1:{i:0;s:19:"views.view.watchdog";}'),
('config.entity.key_store.view', 'uuid:2e765768-4002-4387-9642-46b292adb731', 'a:1:{i:0;s:28:"views.view.mt_pricing_tables";}'),
('config.entity.key_store.view', 'uuid:2f805a0e-eead-455b-bf58-8852025453af', 'a:1:{i:0;s:35:"views.view.mt_slideshow_full_screen";}'),
('config.entity.key_store.view', 'uuid:31df822d-0b0a-440f-a3c7-ed18b2060c62', 'a:1:{i:0;s:20:"views.view.frontpage";}'),
('config.entity.key_store.view', 'uuid:3333ba41-494c-4c2d-a967-4b9e89ba665d', 'a:1:{i:0;s:29:"views.view.mt_articles_list_2";}'),
('config.entity.key_store.view', 'uuid:383531f5-9915-47d2-99de-57e442f36b18', 'a:1:{i:0;s:34:"views.view.mt_collections_carousel";}'),
('config.entity.key_store.view', 'uuid:3ed24100-48e6-4fa3-a088-32c8e136d364', 'a:1:{i:0;s:37:"views.view.mt_other_speakers_carousel";}'),
('config.entity.key_store.view', 'uuid:40ed4ad9-53a8-4e89-a1f4-68905ed4d6b1', 'a:1:{i:0;s:18:"views.view.comment";}'),
('config.entity.key_store.view', 'uuid:46df9fc7-0b8d-4c6c-b63a-1a46737eac5f', 'a:1:{i:0;s:18:"views.view.content";}'),
('config.entity.key_store.view', 'uuid:515bdceb-9bf5-4ab2-818d-0325823fff04', 'a:1:{i:0;s:26:"views.view.mt_popular_tags";}'),
('config.entity.key_store.view', 'uuid:5ca27d09-d628-4c0c-9600-def9bd221576', 'a:1:{i:0;s:35:"views.view.mt_slideshow_boxed_width";}'),
('config.entity.key_store.view', 'uuid:69f594c3-c866-4760-a316-6f4ebd53c2c1', 'a:1:{i:0;s:27:"views.view.mt_services_list";}'),
('config.entity.key_store.view', 'uuid:6a9fc952-231b-474d-bb39-9534be670686', 'a:1:{i:0;s:27:"views.view.mt_products_list";}'),
('config.entity.key_store.view', 'uuid:7719875b-c5db-4ef8-b4a1-8158682d76ec', 'a:1:{i:0;s:27:"views.view.mt_articles_list";}'),
('config.entity.key_store.view', 'uuid:791c109f-83d0-43d6-a6da-f7c06d877cde', 'a:1:{i:0;s:29:"views.view.mt_recent_comments";}'),
('config.entity.key_store.view', 'uuid:873ed9cd-f989-41fd-8467-e2529f0d8384', 'a:1:{i:0;s:35:"views.view.mt_related_presentations";}'),
('config.entity.key_store.view', 'uuid:8a0b25cb-351d-4d58-8a4b-959fa7fa4bf7', 'a:1:{i:0;s:37:"views.view.mt_related_presentations_2";}'),
('config.entity.key_store.view', 'uuid:8b8e5386-9cad-44e4-a76b-94ccf3700451', 'a:1:{i:0;s:30:"views.view.mt_products_masonry";}'),
('config.entity.key_store.view', 'uuid:8c0f28b0-ae0d-450c-89e2-f7230c1efb43', 'a:1:{i:0;s:20:"views.view.mt_videos";}'),
('config.entity.key_store.view', 'uuid:959234a5-a6e8-4d3e-b740-64f30e95bfab', 'a:1:{i:0;s:34:"views.view.mt_slideshow_full_width";}'),
('config.entity.key_store.view', 'uuid:95cff3e3-a514-441a-b409-619a7a0c1af8', 'a:1:{i:0;s:32:"views.view.mt_presentations_grid";}'),
('config.entity.key_store.view', 'uuid:98d5b933-bff8-408e-b14b-052e47b51121', 'a:1:{i:0;s:20:"views.view.mt_latest";}'),
('config.entity.key_store.view', 'uuid:99ca7dbc-19a1-4774-8d20-5b6c294521a0', 'a:1:{i:0;s:27:"views.view.mt_sponsors_grid";}'),
('config.entity.key_store.view', 'uuid:9cf85ab3-64ae-41c6-9022-862e8288b4c3', 'a:1:{i:0;s:22:"views.view.mt_articles";}'),
('config.entity.key_store.view', 'uuid:a5e53f22-b2dc-47b0-aa2a-dc01d0e4eae7', 'a:1:{i:0;s:18:"views.view.archive";}'),
('config.entity.key_store.view', 'uuid:a6d1e9b6-da29-4024-9de3-d90d98107c91', 'a:1:{i:0;s:33:"views.view.mt_collections_masonry";}'),
('config.entity.key_store.view', 'uuid:a70c2300-cbdd-4a31-a743-d251a1f01b8f', 'a:1:{i:0;s:22:"views.view.mt_services";}'),
('config.entity.key_store.view', 'uuid:a9b14826-5731-4f6c-adb5-dba760a5e114', 'a:1:{i:0;s:31:"views.view.mt_sponsors_carousel";}'),
('config.entity.key_store.view', 'uuid:aa64836e-9c2f-45e1-bbcd-c83ef0bfc266', 'a:1:{i:0;s:28:"views.view.user_admin_people";}'),
('config.entity.key_store.view', 'uuid:abe909ab-d1fe-4f96-9ff7-36d11fafa3dc', 'a:1:{i:0;s:22:"views.view.mt_speakers";}'),
('config.entity.key_store.view', 'uuid:b092ae51-6a12-4b71-85fb-aae7364dfe30', 'a:1:{i:0;s:29:"views.view.mt_sponsors_grid_2";}'),
('config.entity.key_store.view', 'uuid:bb004630-0ce7-448a-b08a-b2e8f6295a42', 'a:1:{i:0;s:16:"views.view.files";}'),
('config.entity.key_store.view', 'uuid:bdd40e2f-abaa-4849-9250-37b446dd193a', 'a:1:{i:0;s:21:"views.view.mt_program";}'),
('config.entity.key_store.view', 'uuid:c0743566-3686-4b50-bd71-f193372fcf38', 'a:1:{i:0;s:30:"views.view.mt_collections_grid";}'),
('config.entity.key_store.view', 'uuid:cd9bfe98-189a-4272-b52b-478d83cb45b0', 'a:1:{i:0;s:23:"views.view.who_s_online";}'),
('config.entity.key_store.view', 'uuid:ce97a407-c0f9-41e5-8a3b-0d4bbf9b5929', 'a:1:{i:0;s:35:"views.view.mt_testimonials_carousel";}'),
('config.entity.key_store.view', 'uuid:ced7aef0-bf97-449c-9b28-7397fa84fe96', 'a:1:{i:0;s:31:"views.view.mt_articles_carousel";}'),
('config.entity.key_store.view', 'uuid:cf2885bd-d542-4d5b-b942-ff848a7437c2', 'a:1:{i:0;s:20:"views.view.mt_albums";}'),
('config.entity.key_store.view', 'uuid:cfb4e2c0-49e6-4fbc-a731-22eb461bab63', 'a:1:{i:0;s:36:"views.view.fontyourface_font_manager";}'),
('config.entity.key_store.view', 'uuid:d34b597b-853d-4711-a3fc-96f4009e3886', 'a:1:{i:0;s:35:"views.view.mt_team_members_carousel";}'),
('config.entity.key_store.view', 'uuid:d37d19dc-f68c-4241-be24-11a29bb2feaa', 'a:1:{i:0;s:29:"views.view.mt_albums_carousel";}'),
('config.entity.key_store.view', 'uuid:d3dfca20-e5e4-4ff5-b11b-1e943e44ba2a', 'a:1:{i:0;s:33:"views.view.mt_albums_grid_style_2";}'),
('config.entity.key_store.view', 'uuid:d5bf94f8-0219-4c92-a2ef-10fb647f68f3', 'a:1:{i:0;s:31:"views.view.mt_testimonials_grid";}'),
('config.entity.key_store.view', 'uuid:d9a7eefa-bb7e-4c18-8856-bd5af8f96d23', 'a:1:{i:0;s:31:"views.view.mt_team_members_grid";}'),
('config.entity.key_store.view', 'uuid:da726044-b2b9-47d9-b150-9cc817dea024', 'a:1:{i:0;s:31:"views.view.mt_products_carousel";}'),
('config.entity.key_store.view', 'uuid:df7c8f0b-d1d0-4db0-a14f-189e28752f8c', 'a:1:{i:0;s:20:"views.view.who_s_new";}'),
('config.entity.key_store.view', 'uuid:e066a8e3-2f89-4443-8ef4-2d06df8085a7', 'a:1:{i:0;s:25:"views.view.mt_events_list";}'),
('config.entity.key_store.view', 'uuid:e0fbdad5-cb3a-4aff-b69c-c045bd4c825f', 'a:1:{i:0;s:25:"views.view.content_recent";}'),
('config.entity.key_store.view', 'uuid:e2222b36-c445-4169-b4e8-2014e4658574', 'a:1:{i:0;s:28:"views.view.mt_related_events";}'),
('config.entity.key_store.view', 'uuid:e3560280-8fd8-423a-b075-aa83d79710dc', 'a:1:{i:0;s:37:"views.view.mt_related_presentations_3";}'),
('config.entity.key_store.view', 'uuid:e43e23d7-6386-4559-bd00-e8da8b68d1a8', 'a:1:{i:0;s:36:"views.view.mt_related_nodes_carousel";}'),
('config.entity.key_store.view', 'uuid:f7196d94-40dc-483d-b47e-fd917516e483', 'a:1:{i:0;s:27:"views.view.mt_articles_grid";}'),
('config.entity.key_store.view', 'uuid:f872f70f-a667-4a00-8cd8-4b795eea5896', 'a:1:{i:0;s:33:"views.view.mt_team_members_grid_2";}'),
('config.entity.key_store.view', 'uuid:ff8e957e-2021-4947-b0d2-5fce1c9a2ef3', 'a:1:{i:0;s:25:"views.view.mt_events_grid";}'),
('config.entity.key_store.view', 'uuid:ffbd0fee-8045-43f4-9bd1-37e36d4942b7', 'a:1:{i:0;s:31:"views.view.mt_speakers_carousel";}'),
('config.entity.key_store.webform', 'status:open', 'a:1:{i:0;s:24:"webform.webform.register";}'),
('config.entity.key_store.webform', 'template:', 'a:1:{i:0;s:24:"webform.webform.register";}'),
('config.entity.key_store.webform', 'uuid:6b981562-5f20-4cb2-9431-f2c2d9eeae4e', 'a:1:{i:0;s:24:"webform.webform.register";}'),
('config.entity.key_store.webform_options', 'uuid:00427b8c-bfc0-48bc-8324-fa7988c02878', 'a:1:{i:0;s:32:"webform.webform_options.industry";}'),
('config.entity.key_store.webform_options', 'uuid:01c11346-91b5-4a14-99de-f372ef483989', 'a:1:{i:0;s:30:"webform.webform_options.months";}'),
('config.entity.key_store.webform_options', 'uuid:0387c2e6-2fa7-4d97-8120-f577eff15247', 'a:1:{i:0;s:28:"webform.webform_options.days";}'),
('config.entity.key_store.webform_options', 'uuid:06b028c0-77cb-484e-a387-f067fb89b561', 'a:1:{i:0;s:40:"webform.webform_options.likert_agreement";}'),
('config.entity.key_store.webform_options', 'uuid:12a6316b-7973-4f58-83b1-b1b24c22b748', 'a:1:{i:0;s:35:"webform.webform_options.state_names";}'),
('config.entity.key_store.webform_options', 'uuid:14d99d07-725d-43c2-9b4d-97b25d013b78', 'a:1:{i:0;s:30:"webform.webform_options.titles";}'),
('config.entity.key_store.webform_options', 'uuid:2ad65419-ec25-49a1-9aae-a384d8c20c4b', 'a:1:{i:0;s:40:"webform.webform_options.likert_would_you";}'),
('config.entity.key_store.webform_options', 'uuid:45dfea24-8d7e-4abb-b500-5ba5d3243876', 'a:1:{i:0;s:38:"webform.webform_options.marital_status";}'),
('config.entity.key_store.webform_options', 'uuid:4cdea8fc-a159-4014-bf04-bd111dd901ef', 'a:1:{i:0;s:44:"webform.webform_options.state_province_codes";}'),
('config.entity.key_store.webform_options', 'uuid:4ed58eaa-6290-4e12-a30f-c4ccd9929808', 'a:1:{i:0;s:41:"webform.webform_options.employment_status";}'),
('config.entity.key_store.webform_options', 'uuid:5433e7db-f872-4889-9766-768f249bd5ae', 'a:1:{i:0;s:33:"webform.webform_options.ethnicity";}'),
('config.entity.key_store.webform_options', 'uuid:6ce3f898-1aa1-4731-86af-ce5b3f21b6b1', 'a:1:{i:0;s:30:"webform.webform_options.yes_no";}'),
('config.entity.key_store.webform_options', 'uuid:6f4f41b8-ef61-48b5-bb99-829d43e2d41c', 'a:1:{i:0;s:34:"webform.webform_options.time_zones";}'),
('config.entity.key_store.webform_options', 'uuid:73e9911a-aa59-4e58-af19-7ba0564ba9af', 'a:1:{i:0;s:33:"webform.webform_options.languages";}'),
('config.entity.key_store.webform_options', 'uuid:7de8bd34-7bf2-4787-a3bb-1ac3950906ad', 'a:1:{i:0;s:35:"webform.webform_options.phone_types";}'),
('config.entity.key_store.webform_options', 'uuid:80dee6a8-02ee-4d31-a290-aa735a33122e', 'a:1:{i:0;s:41:"webform.webform_options.likert_comparison";}'),
('config.entity.key_store.webform_options', 'uuid:9660a3e7-a55c-4ff8-a91a-b059c4f6534b', 'a:1:{i:0;s:35:"webform.webform_options.state_codes";}'),
('config.entity.key_store.webform_options', 'uuid:b49b70bf-b854-4168-a9f3-0d907e72b4cf', 'a:1:{i:0;s:37:"webform.webform_options.country_names";}'),
('config.entity.key_store.webform_options', 'uuid:b9b962fc-aa85-4a33-b958-5fd04c2d294d', 'a:1:{i:0;s:41:"webform.webform_options.likert_importance";}'),
('config.entity.key_store.webform_options', 'uuid:cc472489-3ceb-4b87-99f7-e6220e1f72f2', 'a:1:{i:0;s:38:"webform.webform_options.likert_quality";}'),
('config.entity.key_store.webform_options', 'uuid:d82f67d3-81d5-4502-a039-89c318d7db88', 'a:1:{i:0;s:36:"webform.webform_options.relationship";}'),
('config.entity.key_store.webform_options', 'uuid:d880f508-4b42-4603-887f-a75b1e3765b3', 'a:1:{i:0;s:28:"webform.webform_options.size";}'),
('config.entity.key_store.webform_options', 'uuid:df7274d1-ebb9-4385-9a57-47f1950b14ff', 'a:1:{i:0;s:33:"webform.webform_options.education";}'),
('config.entity.key_store.webform_options', 'uuid:eda1522e-0c7e-4875-a331-93fa362607e4', 'a:1:{i:0;s:30:"webform.webform_options.gender";}'),
('config.entity.key_store.webform_options', 'uuid:f078288f-ea56-4a02-9cc8-cbe437105d6c', 'a:1:{i:0;s:43:"webform.webform_options.likert_satisfaction";}'),
('config.entity.key_store.webform_options', 'uuid:f08ec2e6-781c-41a4-8180-79de983fab8f', 'a:1:{i:0;s:40:"webform.webform_options.likert_ten_scale";}'),
('config.entity.key_store.webform_options', 'uuid:f4ace93a-87f7-4e74-97da-b88713f85082', 'a:1:{i:0;s:37:"webform.webform_options.country_codes";}'),
('config.entity.key_store.webform_options', 'uuid:fd89b317-c689-46e0-9aff-36e79f79b7a8', 'a:1:{i:0;s:44:"webform.webform_options.state_province_names";}'),
('entity.definitions.bundle_field_map', 'block_content', 'a:40:{s:4:"body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:2:{s:5:"basic";s:5:"basic";s:25:"mt_typing_animation_block";s:25:"mt_typing_animation_block";}}s:24:"field_mt_block_reference";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:4:{s:13:"mt_tabs_block";s:13:"mt_tabs_block";s:25:"mt_background_image_block";s:25:"mt_background_image_block";s:25:"mt_background_video_block";s:25:"mt_background_video_block";s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:17:"field_mt_map_zoom";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_google_maps";s:14:"mt_google_maps";}}s:18:"field_mt_fancy_tab";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:19:"mt_fancy_tabs_block";s:19:"mt_fancy_tabs_block";}}s:27:"field_mt_fancy_linked_image";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:28:"mt_fancy_linked_images_block";s:28:"mt_fancy_linked_images_block";}}s:25:"field_mt_background_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:23:"field_mt_bg_image_color";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:29:"field_mt_bg_image_layout_mode";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:25:"field_mt_bg_image_opacity";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:17:"field_mt_ns_slide";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:24:"mt_nodes_slideshow_block";s:24:"mt_nodes_slideshow_block";}}s:18:"field_mt_media_tab";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:19:"mt_media_tabs_block";s:19:"mt_media_tabs_block";}}s:13:"field_mt_fltt";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:13:"mt_fltt_block";s:13:"mt_fltt_block";}}s:29:"field_mt_main_slideshow_slide";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:30:"field_mt_main_slideshow_layout";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:26:"field_mt_ms_initial_height";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:27:"field_mt_ms_effect_duration";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:28:"field_mt_ms_navigation_style";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:18:"field_mt_ms_effect";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:27:"field_mt_ms_touch_swipe_nav";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:28:"field_mt_ms_bullets_position";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:30:"field_mt_ms_background_opacity";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:29:"field_mt_video_gallery_slides";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:22:"mt_video_gallery_block";s:22:"mt_video_gallery_block";}}s:32:"field_mt_ms_ignore_header_height";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_block";s:23:"mt_main_slideshow_block";}}s:29:"field_mt_bg_image_positioning";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:25:"mt_background_image_block";s:25:"mt_background_image_block";}}s:17:"field_mt_dropdown";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:18:"mt_dropdowns_block";s:18:"mt_dropdowns_block";}}s:21:"field_mt_map_location";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:14:"mt_google_maps";s:14:"mt_google_maps";}}s:11:"field_mt_if";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:11:"mt_if_block";s:11:"mt_if_block";}}s:21:"field_mt_bv_video_mp4";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:22:"field_mt_bv_video_webm";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:25:"field_mt_bv_overlay_color";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:27:"field_mt_bv_overlay_opacity";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:23:"field_mt_bv_layout_mode";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:18:"field_mt_bv_poster";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:25:"mt_background_video_block";s:25:"mt_background_video_block";}}s:25:"field_mt_cb_collapse_icon";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:23:"field_mt_cb_expand_icon";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:17:"field_mt_cb_state";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:17:"field_mt_cb_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:28:"field_mt_cb_trigger_position";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:20:"mt_collapsible_block";s:20:"mt_collapsible_block";}}s:26:"field_mt_tml_timeline_item";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:17:"mt_timeline_block";s:17:"mt_timeline_block";}}s:30:"field_mt_tml_timeline_viewmore";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:17:"mt_timeline_block";s:17:"mt_timeline_block";}}}'),
('entity.definitions.bundle_field_map', 'comment', 'a:1:{s:12:"comment_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:7:"comment";s:7:"comment";}}}'),
('entity.definitions.bundle_field_map', 'contact_message', 'a:0:{}'),
('entity.definitions.bundle_field_map', 'font', 'a:3:{s:20:"field_classification";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:10:"field_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}s:25:"field_supported_languages";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:4:"font";s:4:"font";}}}');
INSERT INTO `key_value` VALUES
('entity.definitions.bundle_field_map', 'node', 'a:89:{s:4:"body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:2:{s:7:"article";s:7:"article";s:4:"page";s:4:"page";}}s:7:"comment";a:2:{s:4:"type";s:7:"comment";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:11:"field_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:10:"field_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:18:"field_mt_slideshow";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:24:"field_mt_slideshow_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:23:"field_mt_slideshow_text";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:23:"field_mt_subheader_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:4:"page";s:4:"page";}}s:14:"field_mt_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:7:"article";s:7:"article";}}s:18:"field_mt_alb_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:18:"field_mt_alb_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:17:"field_mt_alb_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:32:"field_mt_prd_additional_features";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_availability";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:21:"field_mt_prd_buy_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:23:"field_mt_prd_categories";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:22:"field_mt_prd_highlight";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_prd_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:18:"field_mt_prd_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:28:"field_mt_prd_landscape_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_most_popular";a:2:{s:4:"type";s:7:"boolean";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:18:"field_mt_prd_price";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:31:"field_mt_prd_pricing_table_item";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_product_code";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:27:"field_mt_prd_subheader_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:25:"field_mt_prd_content_tabs";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_prd_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:18:"field_mt_prd_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_alb_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:8:"mt_album";s:8:"mt_album";}}s:17:"field_mt_srv_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:21:"field_mt_srv_buy_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:22:"field_mt_srv_highlight";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:18:"field_mt_srv_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:18:"field_mt_srv_price";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:25:"field_mt_srv_service_tags";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:18:"field_mt_srv_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:27:"field_mt_srv_subheader_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:25:"field_mt_spk_affiliations";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:17:"field_mt_spk_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:29:"field_mt_spk_facebook_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:29:"field_mt_spk_linkedin_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:26:"field_mt_spk_speaker_photo";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:21:"field_mt_spk_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:28:"field_mt_spk_twitter_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:28:"field_mt_spk_youtube_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}}s:17:"field_mt_spn_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}}s:17:"field_mt_spn_logo";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}}s:17:"field_mt_tmm_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:29:"field_mt_tmm_facebook_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:29:"field_mt_tmm_linkedin_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:25:"field_mt_tmm_member_photo";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:21:"field_mt_tmm_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:28:"field_mt_tmm_twitter_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:28:"field_mt_tmm_youtube_account";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_team_member";s:14:"mt_team_member";}}s:17:"field_mt_tst_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:21:"field_mt_tst_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:30:"field_mt_tst_testimonial_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:29:"field_mt_tst_testimonial_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:14:"mt_testimonial";s:14:"mt_testimonial";}}s:25:"field_mt_srv_banner_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_service";s:10:"mt_service";}}s:28:"field_mt_prd_banner_carousel";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}}s:17:"field_mt_evn_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:17:"field_mt_evn_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_evn_files";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_evn_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:20:"field_mt_evn_sponsor";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:20:"field_mt_evn_speaker";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_evn_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:18:"field_mt_prs_files";a:2:{s:4:"type";s:4:"file";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:17:"field_mt_prs_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:17:"field_mt_prs_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:18:"field_mt_prs_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:21:"field_mt_prs_location";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_speaker";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_sponsor";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:18:"field_mt_prs_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_authors";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:25:"field_mt_prs_affiliations";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:19:"field_mt_prs_topics";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:20:"field_mt_prs_session";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:18:"field_mt_evn_place";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:21:"field_mt_evn_location";a:2:{s:4:"type";s:26:"entity_reference_revisions";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:21:"field_mt_evn_map_zoom";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:27:"field_mt_evn_event_category";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}}s:21:"field_mt_prs_category";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}}s:23:"field_mt_prg_start_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:21:"field_mt_prg_end_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:21:"field_mt_prg_category";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:18:"field_mt_prg_event";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:16:"mt_program_entry";s:16:"mt_program_entry";}}s:17:"field_mt_cnv_body";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:14:"mt_canvas_page";s:14:"mt_canvas_page";}}}'),
('entity.definitions.bundle_field_map', 'paragraph', 'a:56:{s:30:"field_mt_fancy_block_reference";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}}s:23:"field_mt_fancy_subtitle";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}}s:20:"field_mt_fancy_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_fancy_tab";s:12:"mt_fancy_tab";}}s:18:"field_mt_tab_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}}s:20:"field_mt_tab_content";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:6:"mt_tab";s:6:"mt_tab";}}s:18:"field_mt_fli_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:18:"field_mt_fli_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:17:"field_mt_fli_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:18:"field_mt_fli_shape";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:24:"field_mt_media_tab_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:20:"field_mt_media_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:19:"field_mt_media_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:20:"field_mt_media_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:20:"field_mt_media_video";a:2:{s:4:"type";s:17:"video_embed_field";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:21:"field_mt_media_button";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:12:"mt_media_tab";s:12:"mt_media_tab";}}s:23:"field_mt_collapse_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:11:"mt_collapse";s:11:"mt_collapse";}}s:22:"field_mt_collapse_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:11:"mt_collapse";s:11:"mt_collapse";}}s:18:"field_mt_fltt_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}}s:19:"field_mt_fltt_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}}s:18:"field_mt_fltt_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:28:"mt_featured_linked_text_tile";s:28:"mt_featured_linked_text_tile";}}s:23:"field_mt_ms_slide_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:25:"field_mt_ms_slide_caption";a:2:{s:4:"type";s:11:"string_long";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:22:"field_mt_ms_slide_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:23:"field_mt_ms_slide_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:26:"field_mt_ms_slide_vimeo_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:28:"field_mt_ms_slide_youtube_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:24:"field_mt_ms_slide_volume";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:31:"field_mt_ms_slide_caption_color";a:2:{s:4:"type";s:11:"list_string";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:30:"field_mt_ms_slide_caption_opac";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:23:"mt_main_slideshow_slide";s:23:"mt_main_slideshow_slide";}}s:24:"field_mt_vgs_slide_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:22:"field_mt_vgs_thumbnail";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:21:"field_mt_vgs_vimeo_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:19:"field_mt_vgs_volume";a:2:{s:4:"type";s:7:"integer";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:23:"field_mt_vgs_youtube_id";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:22:"mt_video_gallery_slide";s:22:"mt_video_gallery_slide";}}s:23:"field_mt_dropdown_block";a:2:{s:4:"type";s:16:"entity_reference";s:7:"bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}}s:20:"field_mt_ml_latitude";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}}s:25:"field_mt_ml_location_name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}}s:21:"field_mt_ml_longitude";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:15:"mt_map_location";s:15:"mt_map_location";}}s:23:"field_mt_highlight_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:24:"field_mt_highlight_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:23:"field_mt_highlight_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:24:"field_mt_highlight_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:12:"mt_highlight";s:12:"mt_highlight";}}s:17:"field_mt_if_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:16:"field_mt_if_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:16:"field_mt_if_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:17:"field_mt_if_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:18:"field_mt_adf_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:17:"field_mt_adf_body";a:2:{s:4:"type";s:9:"text_long";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:18:"field_mt_adf_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:27:"field_mt_tml_timeline_title";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}}s:26:"field_mt_tml_timeline_date";a:2:{s:4:"type";s:8:"datetime";s:7:"bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}}s:26:"field_mt_tml_timeline_link";a:2:{s:4:"type";s:4:"link";s:7:"bundles";a:1:{s:16:"mt_timeline_item";s:16:"mt_timeline_item";}}s:20:"field_mt_adf_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:21:"mt_additional_feature";s:21:"mt_additional_feature";}}s:27:"field_mt_fli_button_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:21:"mt_fancy_linked_image";s:21:"mt_fancy_linked_image";}}s:19:"field_mt_if_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:16:"mt_icon_features";s:16:"mt_icon_features";}}s:25:"field_mt_dropdown_fa_icon";a:2:{s:4:"type";s:16:"fontawesome_icon";s:7:"bundles";a:1:{s:11:"mt_dropdown";s:11:"mt_dropdown";}}}'),
('entity.definitions.bundle_field_map', 'taxonomy_term', 'a:3:{s:25:"field_mt_collection_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}}s:30:"field_mt_wide_collection_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}}s:26:"field_mt_affiliation_image";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}}}'),
('entity.definitions.bundle_field_map', 'user', 'a:3:{s:12:"user_picture";a:2:{s:4:"type";s:5:"image";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:18:"field_mt_full_name";a:2:{s:4:"type";s:6:"string";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}s:18:"field_mt_signature";a:2:{s:4:"type";s:17:"text_with_summary";s:7:"bundles";a:1:{s:4:"user";s:4:"user";}}}'),
('entity.definitions.installed', 'action.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:4:"type";i:3;s:6:"plugin";i:4;s:13:"configuration";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:6:"action";s:11:"\0*\0provider";s:6:"system";s:8:"\0*\0class";s:27:"Drupal\\system\\Entity\\Action";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:18:"administer actions";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Action";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"config:action_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'base_field_override.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:19:"base_field_override";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:6:"bundle";i:4;s:5:"label";i:5;s:11:"description";i:6;s:8:"required";i:7;s:12:"translatable";i:8;s:13:"default_value";i:9;s:22:"default_value_callback";i:10;s:8:"settings";i:11;s:10:"field_type";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:19:"base_field_override";s:11:"\0*\0provider";s:4:"core";s:8:"\0*\0class";s:42:"Drupal\\Core\\Field\\Entity\\BaseFieldOverride";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:7:"storage";s:42:"Drupal\\Core\\Field\\BaseFieldOverrideStorage";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Base field override";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:base_field_override_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'block.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:2:{i:0;s:5:"theme";i:1;s:4:"uuid";}s:16:"\0*\0config_export";a:8:{i:0;s:2:"id";i:1;s:5:"theme";i:2;s:6:"region";i:3;s:6:"weight";i:4;s:8:"provider";i:5;s:6:"plugin";i:6;s:8:"settings";i:7;s:10:"visibility";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:5:"block";s:11:"\0*\0provider";s:5:"block";s:8:"\0*\0class";s:25:"Drupal\\block\\Entity\\Block";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:6:"access";s:38:"Drupal\\block\\BlockAccessControlHandler";s:12:"view_builder";s:29:"Drupal\\block\\BlockViewBuilder";s:12:"list_builder";s:29:"Drupal\\block\\BlockListBuilder";s:4:"form";a:2:{s:7:"default";s:22:"Drupal\\block\\BlockForm";s:6:"delete";s:33:"Drupal\\block\\Form\\BlockDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:2:{s:11:"delete-form";s:44:"/admin/structure/block/manage/{block}/delete";s:9:"edit-form";s:37:"/admin/structure/block/manage/{block}";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:17:"config:block_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'block_content.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:4:{s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:12:"revision_log";s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:0;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:8:"revision";s:11:"revision_id";s:6:"bundle";s:4:"type";s:5:"label";s:4:"info";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:5:"\0*\0id";s:13:"block_content";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:7:{s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:6:"access";s:53:"Drupal\\block_content\\BlockContentAccessControlHandler";s:12:"list_builder";s:44:"Drupal\\block_content\\BlockContentListBuilder";s:12:"view_builder";s:44:"Drupal\\block_content\\BlockContentViewBuilder";s:10:"views_data";s:42:"Drupal\\block_content\\BlockContentViewsData";s:4:"form";a:4:{s:3:"add";s:37:"Drupal\\block_content\\BlockContentForm";s:4:"edit";s:37:"Drupal\\block_content\\BlockContentForm";s:6:"delete";s:48:"Drupal\\block_content\\Form\\BlockContentDeleteForm";s:7:"default";s:37:"Drupal\\block_content\\BlockContentForm";}s:11:"translation";s:51:"Drupal\\block_content\\BlockContentTranslationHandler";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"canonical";s:22:"/block/{block_content}";s:11:"delete-form";s:29:"/block/{block_content}/delete";s:9:"edit-form";s:22:"/block/{block_content}";s:10:"collection";s:36:"/admin/structure/block/block-content";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:18:"block_content_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:13:"block_content";s:22:"\0*\0revision_data_table";s:28:"block_content_field_revision";s:17:"\0*\0revision_table";s:22:"block_content_revision";s:13:"\0*\0data_table";s:24:"block_content_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Custom block";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:35:"entity.block_content_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"block_content_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:40:"Drupal\\block_content\\Entity\\BlockContent";s:11:"\0*\0provider";s:13:"block_content";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'block_content.field_storage_definitions', 'a:55:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Custom block ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"The custom block ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The custom block UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"The revision ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:112;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:31:"The custom block language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:4:"info";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:151;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:11:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Block description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"A brief description of your block.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:11:"constraints";a:1:{s:11:"UniqueField";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"info";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:195;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:18:"block_content_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The block type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:4:"type";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:12:"revision_log";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:230;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The log entry explaining the changes in this revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:12:"revision_log";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:261;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the custom block was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:291;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:331;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:13:"block_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:4:"body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:18:"block_content.body";s:13:"\0*\0field_name";s:4:"body";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:18:"block_content.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22a2d0a9-bfcd-4089-8826-e8cec286023f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"text";}}}s:24:"field_mt_block_reference";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:38:"block_content.field_mt_block_reference";s:13:"\0*\0field_name";s:24:"field_mt_block_reference";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:38:"block_content.field_mt_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f20586f9-91c0-4de8-9414-ddf69e44d81f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:5:"block";i:1;s:13:"block_content";}}}s:17:"field_mt_map_zoom";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:31:"block_content.field_mt_map_zoom";s:13:"\0*\0field_name";s:17:"field_mt_map_zoom";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"block_content.field_mt_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba947929-7f8c-463b-a0d0-0d37ddadb91a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}}s:18:"field_mt_fancy_tab";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:32:"block_content.field_mt_fancy_tab";s:13:"\0*\0field_name";s:18:"field_mt_fancy_tab";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"block_content.field_mt_fancy_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3bda504a-27b2-4fec-9799-cea3cba0b66f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-WPsolhu-QFSCaPuAteiuhZyMgJVq0di0txNXxszdWCo";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_fancy_linked_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:41:"block_content.field_mt_fancy_linked_image";s:13:"\0*\0field_name";s:27:"field_mt_fancy_linked_image";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:41:"block_content.field_mt_fancy_linked_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f3ec65f5-0c55-4198-abb7-bbe64c6b5785";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-tCZ_XGrxbnd-XqhuiDrMHdA1YAAaCf0EqETp1hEv6jk";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_background_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:39:"block_content.field_mt_background_image";s:13:"\0*\0field_name";s:25:"field_mt_background_image";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:39:"block_content.field_mt_background_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"16d5fc08-5a2e-4feb-9bdc-0e4a7448244d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-gkDKZLmhADb9E5LfKmYAG0GC3_U9VzppvnUqczghAKw";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_bg_image_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:37:"block_content.field_mt_bg_image_color";s:13:"\0*\0field_name";s:23:"field_mt_bg_image_color";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:4:"Dark";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:37:"block_content.field_mt_bg_image_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3db39b50-af1a-4d58-a620-831ff4fc05b1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-pOnUBwwvA3mO_hxBsHRMv1J-TQFhsb_mVqo7aVtkgak";s:10:"form_token";s:43:"FrzYrWjJ7BiNmfIs7VF1DSs0lbhJrDC24jaUqUhnoQw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_bg_image_layout_mode";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:43:"block_content.field_mt_bg_image_layout_mode";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_layout_mode";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"container";s:11:"Fixed Width";s:15:"container-fluid";s:10:"Full Width";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:43:"block_content.field_mt_bg_image_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f4e8e01-4077-4234-bac5-3a75658e1822";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-QiFnobClOnvNYAaeBh0c_2ga1wAUGZRiCmkOyCjC9Aw";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_bg_image_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:39:"block_content.field_mt_bg_image_opacity";s:13:"\0*\0field_name";s:25:"field_mt_bg_image_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:39:"block_content.field_mt_bg_image_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"31a9f97d-a721-41b9-a379-dc006c5ae921";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-eg_LIYh4mJ4_syWXErA34oaErUEiExA0lmAWQG4mjEU";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:750;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:779;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:8:"provider";s:13:"block_content";s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:13:"block_content";s:6:"bundle";N;}}s:17:"field_mt_ns_slide";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:31:"block_content.field_mt_ns_slide";s:13:"\0*\0field_name";s:17:"field_mt_ns_slide";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"block_content.field_mt_ns_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f6ed5339-162f-440b-a909-001f88790ad1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"node";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-nngNcoJF1GbogcidUULIMK2ueJUCBreHP73t6FGPwvI";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_media_tab";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:32:"block_content.field_mt_media_tab";s:13:"\0*\0field_name";s:18:"field_mt_media_tab";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"block_content.field_mt_media_tab";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2a46f5aa-0a9f-4cf3-8d61-15741b636da6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-IxSEX3id-cAiBtUXPTy1aD8qfa664HzG4E1CrlI-NbI";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:13:"field_mt_fltt";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:27:"block_content.field_mt_fltt";s:13:"\0*\0field_name";s:13:"field_mt_fltt";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:27:"block_content.field_mt_fltt";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e7f6e71a-e39f-499e-a2e3-938f006edd87";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-jFxAuo3cJp5AE2wASqC9vUY8c_raH77LQTJZAUQmY1M";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_main_slideshow_slide";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:43:"block_content.field_mt_main_slideshow_slide";s:13:"\0*\0field_name";s:29:"field_mt_main_slideshow_slide";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:43:"block_content.field_mt_main_slideshow_slide";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"86510cb9-19ac-4f48-9da1-4945c3d81ca6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-l2Mcd4gfHKeUErgzHDtxC9z9hbZLfdW_cO6k_MBEtVY";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_main_slideshow_layout";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:44:"block_content.field_mt_main_slideshow_layout";s:13:"\0*\0field_name";s:30:"field_mt_main_slideshow_layout";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"fullwidth";s:10:"Full Width";s:10:"fullscreen";s:11:"Full Screen";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:44:"block_content.field_mt_main_slideshow_layout";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"84f9688c-9f92-4c02-97cc-1b9a9cb1555c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-kmcnQOWBDQKklUJvV_ALWGt7vW3k-YqC1d199JEgzwA";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_ms_initial_height";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:40:"block_content.field_mt_ms_initial_height";s:13:"\0*\0field_name";s:26:"field_mt_ms_initial_height";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:40:"block_content.field_mt_ms_initial_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3812ab0b-108c-44c0-92c3-d62ed70aed61";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-KW4Tnm4uxqz10JP9KLyfQMW-j6hrRKis6zWvB4QZSyw";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_ms_effect_duration";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:41:"block_content.field_mt_ms_effect_duration";s:13:"\0*\0field_name";s:27:"field_mt_ms_effect_duration";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:41:"block_content.field_mt_ms_effect_duration";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c240e0ca-88f5-4702-b173-fd19bbd61c52";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-M7Djh5EnWPWupHzo_mx9A5bbE8WVi7XZwoIp4wJYn7o";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_ms_navigation_style";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:42:"block_content.field_mt_ms_navigation_style";s:13:"\0*\0field_name";s:28:"field_mt_ms_navigation_style";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:7:"bullets";s:7:"Bullets";s:15:"titles_carousel";s:15:"Titles Carousel";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:42:"block_content.field_mt_ms_navigation_style";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe621dec-b9dc-4f5b-b407-9c808562435a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FQJt3rkVFcS6hacYh5di4R-1i4WHlI7oHMLAwpkGEEA";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_ms_effect";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:32:"block_content.field_mt_ms_effect";s:13:"\0*\0field_name";s:18:"field_mt_ms_effect";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:49:{s:4:"fade";s:4:"Fade";s:7:"slideup";s:12:"Slide To Top";s:9:"slidedown";s:15:"Slide To Bottom";s:10:"slideright";s:14:"Slide To Right";s:9:"slideleft";s:13:"Slide To Left";s:15:"slidehorizontal";s:16:"Slide Horizontal";s:13:"slidevertical";s:14:"Slide Vertical";s:8:"boxslide";s:11:"Slide Boxes";s:20:"slotslide-horizontal";s:22:"Slide Slots Horizontal";s:18:"slotslide-vertical";s:20:"Slide Slots Vertical";s:7:"boxfade";s:10:"Fade Boxes";s:19:"slotfade-horizontal";s:21:"Fade Slots Horizontal";s:17:"slotfade-vertical";s:19:"Fade Slots Vertical";s:13:"fadefromright";s:25:"Fade and Slide from Right";s:12:"fadefromleft";s:24:"Fade and Slide from Left";s:11:"fadefromtop";s:23:"Fade and Slide from Top";s:14:"fadefrombottom";s:26:"Fade and Slide from Bottom";s:23:"fadetoleftfadefromright";s:32:"Fade To Left and Fade From Right";s:23:"fadetorightfadefromleft";s:32:"Fade To Right and Fade From Left";s:23:"fadetotopfadefrombottom";s:32:"Fade To Top and Fade From Bottom";s:23:"fadetobottomfadefromtop";s:32:"Fade To Bottom and Fade From Top";s:15:"parallaxtoright";s:17:"Parallax to Right";s:14:"parallaxtoleft";s:16:"Parallax to Left";s:13:"parallaxtotop";s:15:"Parallax to Top";s:16:"parallaxtobottom";s:18:"Parallax to Bottom";s:18:"scaledownfromright";s:28:"Zoom Out and Fade From Right";s:17:"scaledownfromleft";s:27:"Zoom Out and Fade From Left";s:16:"scaledownfromtop";s:26:"Zoom Out and Fade From Top";s:19:"scaledownfrombottom";s:29:"Zoom Out and Fade From Bottom";s:7:"zoomout";s:7:"ZoomOut";s:6:"zoomin";s:6:"ZoomIn";s:19:"slotzoom-horizontal";s:21:"Zoom Slots Horizontal";s:17:"slotzoom-vertical";s:19:"Zoom Slots Vertical";s:9:"curtain-1";s:17:"Curtain from Left";s:9:"curtain-2";s:18:"Curtain from Right";s:9:"curtain-3";s:19:"Curtain from Middle";s:20:"3dcurtain-horizontal";s:21:"3D Curtain Horizontal";s:18:"3dcurtain-vertical";s:19:"3D Curtain Vertical";s:4:"cube";s:13:"Cube Vertical";s:15:"cube-horizontal";s:15:"Cube Horizontal";s:6:"incube";s:16:"In Cube Vertical";s:17:"incube-horizontal";s:18:"In Cube Horizontal";s:7:"turnoff";s:18:"TurnOff Horizontal";s:16:"turnoff-vertical";s:16:"TurnOff Vertical";s:8:"papercut";s:9:"Paper Cut";s:5:"flyin";s:6:"Fly In";s:13:"random-static";s:11:"Random Flat";s:14:"random-premium";s:14:"Random Premium";s:6:"random";s:31:"Random Flat and Premium/Default";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"block_content.field_mt_ms_effect";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0c16129a-2c39-4904-bb98-a28c620ed30a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-HrhaHTb0hkUH9ZWv4OOrUlWQ2LNWZ8B_h8D_CYfRHeI";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_ms_touch_swipe_nav";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:13:"\0*\0field_name";s:27:"field_mt_ms_touch_swipe_nav";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:41:"block_content.field_mt_ms_touch_swipe_nav";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c282c20a-3e12-4ee6-92d1-311ee1d72972";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-btAtPCQqgIx-s_hdzAPKKLcdAzUT9FjpjxrkQHu6G0g";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_ms_bullets_position";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:42:"block_content.field_mt_ms_bullets_position";s:13:"\0*\0field_name";s:28:"field_mt_ms_bullets_position";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:3:{s:4:"left";s:4:"Left";s:5:"right";s:5:"Right";s:6:"center";s:6:"Center";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:42:"block_content.field_mt_ms_bullets_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"df9b82a6-6ce9-4aff-9594-af09ac953a40";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-7xcXNWEFzu9uXOQCZhm1m8lT4ZGSk351mVLdyUWOmXE";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_ms_background_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:44:"block_content.field_mt_ms_background_opacity";s:13:"\0*\0field_name";s:30:"field_mt_ms_background_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:44:"block_content.field_mt_ms_background_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9c91566-b021-4c07-9675-1c59fbe11bb3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GM8IvLlOQkiVXp5Hm7755Vml5bencuGseoF5PZyCiUc";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_video_gallery_slides";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:43:"block_content.field_mt_video_gallery_slides";s:13:"\0*\0field_name";s:29:"field_mt_video_gallery_slides";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:43:"block_content.field_mt_video_gallery_slides";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6b8ce1be-94b6-409f-a777-a1db3df94795";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rTy0ry_i1lg-rfiTRRWsoIpMbTgsvv_F5VofC87rbIc";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:32:"field_mt_ms_ignore_header_height";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:46:"block_content.field_mt_ms_ignore_header_height";s:13:"\0*\0field_name";s:32:"field_mt_ms_ignore_header_height";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:46:"block_content.field_mt_ms_ignore_header_height";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"da5267cd-4ffb-4da8-84f3-7eeae26e3132";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-4-RfXfie1Dz-V5MfPn_64H2NKsF_HQFBubUj8Ol44YM";s:10:"form_token";s:43:"_VS9PsHVI9vvvhTz4vB34I8insibnowFTW3oyMneu3g";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_bg_image_positioning";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:43:"block_content.field_mt_bg_image_positioning";s:13:"\0*\0field_name";s:29:"field_mt_bg_image_positioning";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:43:"block_content.field_mt_bg_image_positioning";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d7cc154f-9ddf-4087-94e9-410c2cc50c72";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0rGgPRmma5RSMbghVoZYsl7pamu7gLvYS0XyUHjSkw0";s:10:"form_token";s:43:"1p7AqqKoy2E0KpCw8SPhXfsUVE8TZDgqMGzLxw5xRj4";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_dropdown";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:31:"block_content.field_mt_dropdown";s:13:"\0*\0field_name";s:17:"field_mt_dropdown";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"block_content.field_mt_dropdown";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"33b69423-ea44-41ec-aee9-ce7d25f09cdb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-t0YRipUmJADTg9nfNGvn-gcp_PlDDyl8Z0BnwjCD1Bc";s:10:"form_token";s:43:"hBQ7ImlRH4zqyQum8pafo4Jyn_vtM2B5AJbmx2GlGRM";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_map_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:35:"block_content.field_mt_map_location";s:13:"\0*\0field_name";s:21:"field_mt_map_location";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:35:"block_content.field_mt_map_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7b867270-8272-4f7f-9590-a46a16167e32";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}}s:11:"field_mt_if";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:25:"block_content.field_mt_if";s:13:"\0*\0field_name";s:11:"field_mt_if";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"block_content.field_mt_if";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"22b11c07-c927-43e7-8b82-cfc83e4214d0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-71tZCV9es2haHa3OJYZIq2jvCxm-DSiK1jmFZZdRSEI";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_bv_video_mp4";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:35:"block_content.field_mt_bv_video_mp4";s:13:"\0*\0field_name";s:21:"field_mt_bv_video_mp4";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:35:"block_content.field_mt_bv_video_mp4";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a560034a-6389-438f-8948-dec1013e9d52";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-wnBzt82MoJ_VwfjrNhMoHzzMK7pbP-YbsSvmLoaVmzA";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_bv_video_webm";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:36:"block_content.field_mt_bv_video_webm";s:13:"\0*\0field_name";s:22:"field_mt_bv_video_webm";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:36:"block_content.field_mt_bv_video_webm";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"11d2ef71-9700-4313-b6c9-67b13a5f3a81";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"file";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-8bebOu9dvqrxad9oeun3sadK7WT7FycOjwAhj-P868o";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_bv_overlay_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:39:"block_content.field_mt_bv_overlay_color";s:13:"\0*\0field_name";s:25:"field_mt_bv_overlay_color";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:4:"Dark";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:39:"block_content.field_mt_bv_overlay_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"193b151e-6364-4b67-a16b-7319d84e28d0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-K8OutL3AH2JxiRDRxGWojwN8gXy_fP1_rlOhGXRKhb4";s:10:"form_token";s:43:"FrzYrWjJ7BiNmfIs7VF1DSs0lbhJrDC24jaUqUhnoQw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_bv_overlay_opacity";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:41:"block_content.field_mt_bv_overlay_opacity";s:13:"\0*\0field_name";s:27:"field_mt_bv_overlay_opacity";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:41:"block_content.field_mt_bv_overlay_opacity";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b23fcdef-1ff7-435f-afaa-f0ace9a39c74";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-PmUVFURYsZ4MasHiR0BtAGt_IyXt8Yayolpm3wow8qs";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_bv_layout_mode";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:37:"block_content.field_mt_bv_layout_mode";s:13:"\0*\0field_name";s:23:"field_mt_bv_layout_mode";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:9:"container";s:11:"Fixed Width";s:15:"container-fluid";s:10:"Full Width";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:37:"block_content.field_mt_bv_layout_mode";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3ff57e43-e23f-4d7a-bc37-a00cabf21daa";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-q0bQ1oKynEcPialAIKN1AMPhb0Fmb0ZPJraJlMFb4GQ";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_bv_poster";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:32:"block_content.field_mt_bv_poster";s:13:"\0*\0field_name";s:18:"field_mt_bv_poster";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"block_content.field_mt_bv_poster";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75f4013a-0861-49c9-ba7e-895c7c970ae2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:4:"file";i:2;s:5:"image";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uEO0Om8rIzL9NUq6qitw4uXOkX908O3IHS7UJmN1TG0";s:10:"form_token";s:43:"9g4awWeHsc7OUt7JoSgqMVKJEhDzqPA4bPSSm5Ba1ks";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_cb_expand_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:37:"block_content.field_mt_cb_expand_icon";s:13:"\0*\0field_name";s:23:"field_mt_cb_expand_icon";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:37:"block_content.field_mt_cb_expand_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5e018863-8933-4e50-95e9-be57ab7af654";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}}s:25:"field_mt_cb_collapse_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:39:"block_content.field_mt_cb_collapse_icon";s:13:"\0*\0field_name";s:25:"field_mt_cb_collapse_icon";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:39:"block_content.field_mt_cb_collapse_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"67ae6567-0556-4ab5-8b6f-58e662ed1ad6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}}s:17:"field_mt_cb_state";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:31:"block_content.field_mt_cb_state";s:13:"\0*\0field_name";s:17:"field_mt_cb_state";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:8:"expanded";s:8:"Expanded";s:9:"collapsed";s:9:"Collapsed";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"block_content.field_mt_cb_state";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f3d6fea2-4b1a-4220-b617-1f1996125741";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}}s:17:"field_mt_cb_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:31:"block_content.field_mt_cb_title";s:13:"\0*\0field_name";s:17:"field_mt_cb_title";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"block_content.field_mt_cb_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1c106149-1590-48b3-bcf3-90bd79900b79";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:13:"block_content";}}}s:28:"field_mt_cb_trigger_position";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":29:{s:5:"\0*\0id";s:42:"block_content.field_mt_cb_trigger_position";s:13:"\0*\0field_name";s:28:"field_mt_cb_trigger_position";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:3:"top";s:3:"Top";s:6:"bottom";s:6:"Bottom";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:42:"block_content.field_mt_cb_trigger_position";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d020301c-6aed-4357-b8bc-5bd0a08e8943";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:7:"options";}}}s:26:"field_mt_tml_timeline_item";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:40:"block_content.field_mt_tml_timeline_item";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_item";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:40:"block_content.field_mt_tml_timeline_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3b3198c2-2fe4-429c-9294-aee9112f21f5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:13:"block_content";i:1;s:26:"entity_reference_revisions";i:2;s:10:"paragraphs";}}s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-3Vuc1StR_9Z3xFEL8-OH3uOlOaBW9K-YXin0YVBb4z4";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_tml_timeline_viewmore";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":34:{s:5:"\0*\0id";s:44:"block_content.field_mt_tml_timeline_viewmore";s:13:"\0*\0field_name";s:30:"field_mt_tml_timeline_viewmore";s:14:"\0*\0entity_type";s:13:"block_content";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:44:"block_content.field_mt_tml_timeline_viewmore";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"181f66bf-6c58-4c80-8f07-f1c650410514";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:13:"block_content";i:1;s:4:"link";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uamPLmJmF7vddXJzb9XidgciuWU8XHD_Y-amSxMnHkI";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2165;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"block_content";s:8:"provider";s:13:"block_content";s:6:"bundle";N;}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2210;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:13:"block_content";s:8:"provider";s:13:"block_content";s:6:"bundle";N;}}s:8:"reusable";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2253;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Reusable";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"A boolean indicating whether this block is reusable.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:0;s:12:"revisionable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:8:"reusable";s:11:"entity_type";s:13:"block_content";s:8:"provider";s:13:"block_content";s:6:"bundle";N;}}}');
INSERT INTO `key_value` VALUES
('entity.definitions.installed', 'block_content_type.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:4:"type";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:8:"revision";i:3;s:11:"description";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:18:"block_content_type";s:11:"\0*\0provider";s:13:"block_content";s:8:"\0*\0class";s:44:"Drupal\\block_content\\Entity\\BlockContentType";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:4:{s:7:"default";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:3:"add";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:4:"edit";s:41:"Drupal\\block_content\\BlockContentTypeForm";s:6:"delete";s:52:"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm";}s:12:"list_builder";s:48:"Drupal\\block_content\\BlockContentTypeListBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer blocks";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:11:"delete-form";s:71:"/admin/structure/block/block-content/manage/{block_content_type}/delete";s:9:"edit-form";s:64:"/admin/structure/block/block-content/manage/{block_content_type}";s:10:"collection";s:42:"/admin/structure/block/block-content/types";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:13:"block_content";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Custom block type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:30:"config:block_content_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'comment.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"cid";s:6:"bundle";s:12:"comment_type";s:5:"label";s:7:"subject";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:5:"owner";s:3:"uid";}s:5:"\0*\0id";s:7:"comment";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:8:{s:7:"storage";s:29:"Drupal\\comment\\CommentStorage";s:14:"storage_schema";s:35:"Drupal\\comment\\CommentStorageSchema";s:6:"access";s:42:"Drupal\\comment\\CommentAccessControlHandler";s:12:"list_builder";s:36:"Drupal\\Core\\Entity\\EntityListBuilder";s:12:"view_builder";s:33:"Drupal\\comment\\CommentViewBuilder";s:10:"views_data";s:31:"Drupal\\comment\\CommentViewsData";s:4:"form";a:2:{s:7:"default";s:26:"Drupal\\comment\\CommentForm";s:6:"delete";s:30:"Drupal\\comment\\Form\\DeleteForm";}s:11:"translation";s:40:"Drupal\\comment\\CommentTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:18:"/comment/{comment}";s:11:"delete-form";s:25:"/comment/{comment}/delete";s:9:"edit-form";s:23:"/comment/{comment}/edit";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:12:"comment_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:7:"comment";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:18:"comment_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Comment";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";s:11:"comment_uri";s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:29:"entity.comment_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:12:"comment_list";}s:14:"\0*\0constraints";a:2:{s:11:"CommentName";a:0:{}s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:29:"Drupal\\comment\\Entity\\Comment";s:11:"\0*\0provider";s:7:"comment";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'comment.field_storage_definitions', 'a:20:{s:3:"cid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Comment ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"The comment ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"cid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:3:"pid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:7:"comment";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Parent ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The parent comment ID if this is a reply to a comment.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"pid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:9:"entity_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:110;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"node";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The ID of the entity of which this comment is a reply.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:9:"entity_id";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:146;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:7:"subject";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:64;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:184;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:64;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Subject";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;}s:12:"configurable";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"subject";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:220;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The user ID of the comment author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:9:"target_id";i:0;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:60;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:259;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:60;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The comment author''s name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"name";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:7:"varchar";s:6:"length";i:254;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:296;s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The comment author''s email address.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:8:"homepage";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:3:"uri";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:326;s:13:"\0*\0definition";a:2:{s:4:"type";s:14:"field_item:uri";s:8:"settings";a:2:{s:10:"max_length";i:255;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Homepage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The comment author''s home page address.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"homepage";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:8:"hostname";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:359;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Hostname";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The comment author''s hostname.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:8:"hostname";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:22:"default_value_callback";s:49:"Drupal\\comment\\Entity\\Comment::getDefaultHostname";}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:394;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The time that the comment was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"created";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:423;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The time that the comment was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:7:"comment";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";r:463;s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"A boolean indicating whether the comment is published.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"status";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";r:477;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"status";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:6:"thread";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:519;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Thread place";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:144:"The alphadecimal representation of the comment''s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:6:"thread";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:11:"entity_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:552;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The entity type to which this comment is attached.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:11:"entity_type";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:8:"required";b:1;}}s:12:"comment_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:586;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"comment_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment Type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The comment type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:12:"comment_type";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:10:"field_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:621;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Comment field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The field name through which this comment was added.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"comment";s:10:"field_name";s:10:"field_name";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;s:8:"required";b:1;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:655;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:7:"comment";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:7:"comment";s:6:"bundle";N;}}s:12:"comment_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:20:"comment.comment_body";s:13:"\0*\0field_name";s:12:"comment_body";s:14:"\0*\0entity_type";s:7:"comment";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:20:"comment.comment_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a7a54853-d273-4f1d-bd1e-6d318ec2a3ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;}}'),
('entity.definitions.installed', 'comment_type.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:4:"type";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:21:"target_entity_type_id";i:3;s:11:"description";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:12:"comment_type";s:11:"\0*\0provider";s:7:"comment";s:8:"\0*\0class";s:33:"Drupal\\comment\\Entity\\CommentType";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:4:{s:7:"default";s:30:"Drupal\\comment\\CommentTypeForm";s:3:"add";s:30:"Drupal\\comment\\CommentTypeForm";s:4:"edit";s:30:"Drupal\\comment\\CommentTypeForm";s:6:"delete";s:41:"Drupal\\comment\\Form\\CommentTypeDeleteForm";}s:12:"list_builder";s:37:"Drupal\\comment\\CommentTypeListBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer comment types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:53:"/admin/structure/comment/manage/{comment_type}/delete";s:9:"edit-form";s:46:"/admin/structure/comment/manage/{comment_type}";s:8:"add-form";s:34:"/admin/structure/comment/types/add";s:10:"collection";s:30:"/admin/structure/comment/types";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:7:"comment";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Comment type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:comment_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'contact_form.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:4:"form";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:10:"recipients";i:3;s:5:"reply";i:4;s:6:"weight";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:12:"contact_form";s:11:"\0*\0provider";s:7:"contact";s:8:"\0*\0class";s:33:"Drupal\\contact\\Entity\\ContactForm";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:46:"Drupal\\contact\\ContactFormAccessControlHandler";s:12:"list_builder";s:37:"Drupal\\contact\\ContactFormListBuilder";s:4:"form";a:3:{s:3:"add";s:34:"Drupal\\contact\\ContactFormEditForm";s:4:"edit";s:34:"Drupal\\contact\\ContactFormEditForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer contact forms";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:53:"/admin/structure/contact/manage/{contact_form}/delete";s:9:"edit-form";s:46:"/admin/structure/contact/manage/{contact_form}";s:10:"collection";s:24:"/admin/structure/contact";s:9:"canonical";s:23:"/contact/{contact_form}";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:15:"contact_message";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Contact form";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:contact_form_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'contact_message.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":35:{s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:5:{s:6:"bundle";s:12:"contact_form";s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:5:"\0*\0id";s:15:"contact_message";s:11:"\0*\0provider";s:7:"contact";s:8:"\0*\0class";s:29:"Drupal\\contact\\Entity\\Message";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:49:"Drupal\\contact\\ContactMessageAccessControlHandler";s:7:"storage";s:43:"Drupal\\Core\\Entity\\ContentEntityNullStorage";s:12:"view_builder";s:33:"Drupal\\contact\\MessageViewBuilder";s:4:"form";a:1:{s:7:"default";s:26:"Drupal\\contact\\MessageForm";}}s:19:"\0*\0admin_permission";s:24:"administer contact forms";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:12:"contact_form";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Contact message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:29:"entity.contact_form.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:20:"contact_message_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'contact_message.field_storage_definitions', 'a:9:{s:12:"contact_form";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"contact_form";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Form ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The ID of the associated form.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:7:"contact";s:10:"field_name";s:12:"contact_form";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:28;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The message UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:54;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The message language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:7:"contact";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:81;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"The sender''s name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The name of the person that is sending the contact message.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"name";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:106;s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"The sender''s email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The email of the person that is sending the contact message.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:7:"subject";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:128;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:100;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Subject";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;}s:12:"configurable";b:1;}}s:8:"provider";s:7:"contact";s:10:"field_name";s:7:"subject";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:7:"message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:156;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:2:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:0;s:8:"settings";a:1:{s:4:"rows";i:12;}}s:12:"configurable";b:1;}s:4:"view";a:2:{s:7:"options";a:3:{s:4:"type";s:6:"string";s:6:"weight";i:0;s:5:"label";s:5:"above";}s:12:"configurable";b:1;}}s:8:"provider";s:7:"contact";s:10:"field_name";s:7:"message";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:4:"copy";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:190;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Copy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Whether to send a copy of the message to the sender.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:4:"copy";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}s:9:"recipient";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";N;s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:220;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Recipient ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"The ID of the recipient user for personal contact messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"contact";s:10:"field_name";s:9:"recipient";s:11:"entity_type";s:15:"contact_message";s:6:"bundle";N;}}}'),
('entity.definitions.installed', 'date_format.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"locked";i:3;s:7:"pattern";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:11:"date_format";s:11:"\0*\0provider";s:4:"core";s:8:"\0*\0class";s:38:"Drupal\\Core\\Datetime\\Entity\\DateFormat";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\system\\DateFormatAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";s:4:"form";a:3:{s:3:"add";s:36:"Drupal\\system\\Form\\DateFormatAddForm";s:4:"edit";s:37:"Drupal\\system\\Form\\DateFormatEditForm";s:6:"delete";s:39:"Drupal\\system\\Form\\DateFormatDeleteForm";}s:12:"list_builder";s:35:"Drupal\\system\\DateFormatListBuilder";}s:19:"\0*\0admin_permission";s:29:"administer site configuration";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:61:"/admin/config/regional/date-time/formats/manage/{date_format}";s:11:"delete-form";s:68:"/admin/config/regional/date-time/formats/manage/{date_format}/delete";s:10:"collection";s:40:"/admin/config/regional/date-time/formats";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Date format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:8:"rendered";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'editor.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:6:"format";i:1;s:6:"editor";i:2;s:8:"settings";i:3;s:12:"image_upload";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:6:"format";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:6:"editor";s:11:"\0*\0provider";s:6:"editor";s:8:"\0*\0class";s:27:"Drupal\\editor\\Entity\\Editor";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text Editor";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"config:editor_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}');
INSERT INTO `key_value` VALUES
('entity.definitions.installed', 'entity_form_display.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:4:"mode";i:4;s:7:"content";i:5;s:6:"hidden";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:19:"entity_form_display";s:11:"\0*\0provider";s:4:"core";s:8:"\0*\0class";s:43:"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity form display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:entity_form_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'entity_form_mode.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:16:"targetEntityType";i:3;s:5:"cache";}s:21:"\0*\0mergedConfigExport";a:10:{s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:6:"status";s:6:"status";s:12:"dependencies";s:12:"dependencies";s:20:"third_party_settings";s:20:"third_party_settings";s:5:"_core";s:5:"_core";s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:16:"targetEntityType";s:16:"targetEntityType";s:5:"cache";s:5:"cache";}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:16:"entity_form_mode";s:11:"\0*\0provider";s:4:"core";s:8:"\0*\0class";s:40:"Drupal\\Core\\Entity\\Entity\\EntityFormMode";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Form mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:28:"config:entity_form_mode_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'entity_view_display.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:4:"mode";i:4;s:7:"content";i:5;s:6:"hidden";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:19:"entity_view_display";s:11:"\0*\0provider";s:4:"core";s:8:"\0*\0class";s:43:"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Entity view display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:entity_view_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'entity_view_mode.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:16:"targetEntityType";i:3;s:5:"cache";}s:21:"\0*\0mergedConfigExport";a:10:{s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:6:"status";s:6:"status";s:12:"dependencies";s:12:"dependencies";s:20:"third_party_settings";s:20:"third_party_settings";s:5:"_core";s:5:"_core";s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:16:"targetEntityType";s:16:"targetEntityType";s:5:"cache";s:5:"cache";}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:16:"entity_view_mode";s:11:"\0*\0provider";s:4:"core";s:8:"\0*\0class";s:40:"Drupal\\Core\\Entity\\Entity\\EntityViewMode";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"View mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:28:"config:entity_view_mode_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'field_config.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:5:"field";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:6:"bundle";i:4;s:5:"label";i:5;s:11:"description";i:6;s:8:"required";i:7;s:12:"translatable";i:8;s:13:"default_value";i:9;s:22:"default_value_callback";i:10;s:8:"settings";i:11;s:10:"field_type";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:12:"field_config";s:11:"\0*\0provider";s:5:"field";s:8:"\0*\0class";s:31:"Drupal\\field\\Entity\\FieldConfig";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:44:"Drupal\\field\\FieldConfigAccessControlHandler";s:7:"storage";s:31:"Drupal\\field\\FieldConfigStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Field";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:field_config_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'field_storage_config.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:7:"storage";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:12:{i:0;s:2:"id";i:1;s:10:"field_name";i:2;s:11:"entity_type";i:3;s:4:"type";i:4;s:8:"settings";i:5;s:6:"module";i:6;s:6:"locked";i:7;s:11:"cardinality";i:8;s:12:"translatable";i:9;s:7:"indexes";i:10;s:22:"persist_with_no_fields";i:11;s:14:"custom_storage";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:20:"field_storage_config";s:11:"\0*\0provider";s:5:"field";s:8:"\0*\0class";s:38:"Drupal\\field\\Entity\\FieldStorageConfig";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:7:"storage";s:38:"Drupal\\field\\FieldStorageConfigStorage";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Field storage";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:32:"config:field_storage_config_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'file.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:3:"fid";s:5:"label";s:8:"filename";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:5:"owner";s:3:"uid";}s:5:"\0*\0id";s:4:"file";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:7:"storage";s:23:"Drupal\\file\\FileStorage";s:14:"storage_schema";s:29:"Drupal\\file\\FileStorageSchema";s:6:"access";s:36:"Drupal\\file\\FileAccessControlHandler";s:10:"views_data";s:25:"Drupal\\file\\FileViewsData";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:12:"file_managed";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"File";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"file_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:23:"Drupal\\file\\Entity\\File";s:11:"\0*\0provider";s:4:"file";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'file.field_storage_definitions', 'a:11:{s:3:"fid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"File ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The file ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"file";s:10:"field_name";s:3:"fid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The file UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"file";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The file language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:104;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The user ID of the file.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:8:"filename";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:139;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Filename";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"Name of the file with no path components.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filename";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:3:"uri";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:3:"uri";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:1;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:172;s:13:"\0*\0definition";a:2:{s:4:"type";s:14:"field_item:uri";s:8:"settings";a:2:{s:10:"max_length";i:255;s:14:"case_sensitive";b:1;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The URI to access the file (either local or remote).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:13:"FileUriUnique";N;}s:8:"provider";s:4:"file";s:10:"field_name";s:3:"uri";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:8:"filemime";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:206;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"File MIME type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The file''s MIME type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filemime";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:8:"filesize";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:239;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:3:"big";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"File size";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:30:"The size of the file in bytes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:8:"filesize";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:275;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The status of the file, temporary (FALSE) and permanent (TRUE).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:4:"file";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:315;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The timestamp that the file was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:343;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The timestamp that the file was last changed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"file";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"file";s:6:"bundle";N;}}}'),
('entity.definitions.installed', 'filter_format.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:6:"format";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:4:"name";i:1;s:6:"format";i:2;s:6:"weight";i:3;s:5:"roles";i:4;s:7:"filters";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:6:"format";s:5:"label";s:4:"name";s:6:"weight";s:6:"weight";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:13:"filter_format";s:11:"\0*\0provider";s:6:"filter";s:8:"\0*\0class";s:33:"Drupal\\filter\\Entity\\FilterFormat";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:3:{s:3:"add";s:33:"Drupal\\filter\\FilterFormatAddForm";s:4:"edit";s:34:"Drupal\\filter\\FilterFormatEditForm";s:7:"disable";s:36:"Drupal\\filter\\Form\\FilterDisableForm";}s:12:"list_builder";s:37:"Drupal\\filter\\FilterFormatListBuilder";s:6:"access";s:46:"Drupal\\filter\\FilterFormatAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:18:"administer filters";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:2:{s:9:"edit-form";s:52:"/admin/config/content/formats/manage/{filter_format}";s:7:"disable";s:60:"/admin/config/content/formats/manage/{filter_format}/disable";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Text format";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:25:"config:filter_format_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'font.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":35:{s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:0;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"fid";s:5:"label";s:4:"name";s:4:"uuid";s:4:"uuid";s:3:"pid";s:3:"pid";s:3:"url";s:3:"url";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:5:"\0*\0id";s:4:"font";s:11:"\0*\0provider";s:12:"fontyourface";s:8:"\0*\0class";s:31:"Drupal\\fontyourface\\Entity\\Font";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:8:{s:14:"storage_schema";s:37:"Drupal\\fontyourface\\FontStorageSchema";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:12:"list_builder";s:35:"Drupal\\fontyourface\\FontListBuilder";s:10:"views_data";s:40:"Drupal\\fontyourface\\Entity\\FontViewsData";s:4:"form";a:2:{s:7:"default";s:33:"Drupal\\fontyourface\\Form\\FontForm";s:4:"edit";s:33:"Drupal\\fontyourface\\Form\\FontForm";}s:6:"access";s:44:"Drupal\\fontyourface\\FontAccessControlHandler";s:14:"route_provider";a:1:{s:4:"html";s:41:"Drupal\\fontyourface\\FontHtmlRouteProvider";}s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer font entities";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"canonical";s:29:"/admin/appearance/font/{font}";s:6:"enable";s:41:"/admin/appearance/font/{font}/{js}/enable";s:7:"disable";s:42:"/admin/appearance/font/{font}/{js}/disable";s:10:"collection";s:22:"/admin/appearance/font";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"fontyourface_font";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Font";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:13:"font.settings";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"font_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'font.field_storage_definitions', 'a:21:{s:3:"fid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The ID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"fid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The UUID of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:3:"pid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:50;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:50;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Provider ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"The font provider ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"pid";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:3:"url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:191;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:124;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:191;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Font URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"A URL for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:3:"url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:173;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The name of the Font entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:4:"name";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:10:"css_family";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:222;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Family";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS family for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:10:"css_family";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:9:"css_style";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:271;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"CSS Style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"CSS style for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:9:"css_style";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:10:"css_weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:320;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"CSS Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"CSS weight for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:10:"css_weight";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:7:"foundry";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:369;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Foundry";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Foundry for the font.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"foundry";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:11:"foundry_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:418;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Foundry URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Foundry URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:11:"foundry_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:7:"license";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:467;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"License";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font License.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"license";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:11:"license_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:516;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"License URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"License URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:11:"license_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:8:"designer";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:565;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Designer";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:8:"designer";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:12:"designer_url";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:614;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:4:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;s:15:"text_processing";i:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Designer URL";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Designer URL.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:5:"above";s:4:"type";s:6:"string";s:6:"weight";i:-4;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-4;}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:12:"designer_url";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:8:"metadata";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:663;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Additional Font Metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"form";a:2:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}s:12:"configurable";b:1;}s:4:"view";a:2:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}s:12:"configurable";b:1;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:8:"metadata";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:702;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The time that the entity was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:730;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The time that the entity was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:758;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Font status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A boolean indicating whether the font is enabled. Mostly used for views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:12:"fontyourface";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"font";s:6:"bundle";N;}}s:10:"field_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":28:{s:5:"\0*\0id";s:15:"font.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:15:"font.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"452635bf-db2a-47c7-8fbc-23ec09b7b654";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"kEXAWX8HgcTM3RtpMvfkU8QeDoOGCOSh4EXqHe_u-LQ";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}}s:25:"field_supported_languages";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":28:{s:5:"\0*\0id";s:30:"font.field_supported_languages";s:13:"\0*\0field_name";s:25:"field_supported_languages";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"font.field_supported_languages";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a8f36d15-3e3b-4b73-8bca-a6d7b13a415d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"svUf3mifm4Fij8pp1e3TX1v-5cA6fr4_YmcCFNn3_I4";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}}s:20:"field_classification";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":28:{s:5:"\0*\0id";s:25:"font.field_classification";s:13:"\0*\0field_name";s:20:"field_classification";s:14:"\0*\0entity_type";s:4:"font";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"font.field_classification";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"07f3e102-c381-474f-827d-40061f9bc979";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"ow0pX66YjSmmNFHkjtHc_kfAjCaXJ94Msu27zaUb_hk";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:12:"fontyourface";i:1;s:8:"taxonomy";}}}}');
INSERT INTO `key_value` VALUES
('entity.definitions.installed', 'font_display.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:12:"font_display";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:0:{}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:13:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:4:"uuid";s:4:"uuid";s:8:"font_url";s:8:"font_url";s:5:"style";s:5:"style";s:6:"weight";s:6:"weight";s:8:"fallback";s:8:"fallback";s:9:"selectors";s:9:"selectors";s:5:"theme";s:5:"theme";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";}s:5:"\0*\0id";s:12:"font_display";s:11:"\0*\0provider";s:12:"fontyourface";s:8:"\0*\0class";s:38:"Drupal\\fontyourface\\Entity\\FontDisplay";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:12:"list_builder";s:42:"Drupal\\fontyourface\\FontDisplayListBuilder";s:4:"form";a:3:{s:3:"add";s:40:"Drupal\\fontyourface\\Form\\FontDisplayForm";s:4:"edit";s:40:"Drupal\\fontyourface\\Form\\FontDisplayForm";s:6:"delete";s:46:"Drupal\\fontyourface\\Form\\FontDisplayDeleteForm";}s:14:"route_provider";a:1:{s:4:"html";s:48:"Drupal\\fontyourface\\FontDisplayHtmlRouteProvider";}s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:29:"administer site configuration";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:9:"canonical";s:50:"/admin/appearance/font/font_display/{font_display}";s:8:"add-form";s:39:"/admin/appearance/font/font_display/add";s:9:"edit-form";s:55:"/admin/appearance/font/font_display/{font_display}/edit";s:11:"delete-form";s:57:"/admin/appearance/font/font_display/{font_display}/delete";s:10:"collection";s:35:"/admin/appearance/font/font_display";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:font_display_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'image_style.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:5:"style";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:3:{i:0;s:4:"name";i:1;s:5:"label";i:2;s:7:"effects";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:4:"name";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:11:"image_style";s:11:"\0*\0provider";s:5:"image";s:8:"\0*\0class";s:30:"Drupal\\image\\Entity\\ImageStyle";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:4:"form";a:4:{s:3:"add";s:35:"Drupal\\image\\Form\\ImageStyleAddForm";s:4:"edit";s:36:"Drupal\\image\\Form\\ImageStyleEditForm";s:6:"delete";s:38:"Drupal\\image\\Form\\ImageStyleDeleteForm";s:5:"flush";s:37:"Drupal\\image\\Form\\ImageStyleFlushForm";}s:12:"list_builder";s:34:"Drupal\\image\\ImageStyleListBuilder";s:7:"storage";s:30:"Drupal\\image\\ImageStyleStorage";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";s:23:"administer image styles";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:10:"flush-form";s:59:"/admin/config/media/image-styles/manage/{image_style}/flush";s:9:"edit-form";s:53:"/admin/config/media/image-styles/manage/{image_style}";s:11:"delete-form";s:60:"/admin/config/media/image-styles/manage/{image_style}/delete";s:10:"collection";s:32:"/admin/config/media/image-styles";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Image style";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:image_style_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'menu.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:4:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:11:"description";i:3;s:6:"locked";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:4:"menu";s:11:"\0*\0provider";s:6:"system";s:8:"\0*\0class";s:25:"Drupal\\system\\Entity\\Menu";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:38:"Drupal\\system\\MenuAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Menu";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:menu_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'menu_link_content.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:4:{s:16:"revision_default";s:16:"revision_default";s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:20:"revision_log_message";}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:6:"bundle";s:8:"revision";s:11:"revision_id";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:7:"enabled";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:5:"\0*\0id";s:17:"menu_link_content";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:14:"storage_schema";s:53:"Drupal\\menu_link_content\\MenuLinkContentStorageSchema";s:6:"access";s:60:"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler";s:4:"form";a:2:{s:7:"default";s:49:"Drupal\\menu_link_content\\Form\\MenuLinkContentForm";s:6:"delete";s:55:"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm";}s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:9:"edit-form";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:11:"delete-form";s:53:"/admin/structure/menu/item/{menu_link_content}/delete";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"menu_link_content";s:22:"\0*\0revision_data_table";s:32:"menu_link_content_field_revision";s:17:"\0*\0revision_table";s:26:"menu_link_content_revision";s:13:"\0*\0data_table";s:22:"menu_link_content_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:22:"menu_link_content_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent";s:11:"\0*\0provider";s:17:"menu_link_content";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'menu_link_content.field_storage_definitions', 'a:22:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"The entity ID for this menu link content entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The content menu link UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"bundle";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Bundle";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The content menu link bundle.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"bundle";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:109;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Menu link title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The text to be used for this link in the menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:5:"title";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:156;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Shown when hovering over the menu link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:11:"description";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:9:"menu_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:201;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Menu name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"The menu name. All links with the same menu name (such as "tools") are part of the same menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:5:"tools";}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:9:"menu_name";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";a:4:{s:7:"columns";a:3:{s:3:"uri";a:3:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;}s:5:"title";a:3:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;}s:7:"options";a:4:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;}}s:7:"indexes";a:1:{s:3:"uri";a:1:{i:0;a:2:{i:0;s:3:"uri";i:1;i:30;}}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:237;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:17;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The location this menu link points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:-2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"link";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:8:"external";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:289;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"External";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:120:"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"external";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:10:"rediscover";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:330;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Indicates whether the menu link should be rediscovered";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:10:"rediscover";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:366;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:172:"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"integer";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:6:"number";s:6:"weight";i:20;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:8:"expanded";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:415;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Show as expanded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"If selected and this menu link has children, the menu will always appear expanded.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"expanded";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:7:"enabled";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:466;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Enabled";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"A flag for whether the link should be enabled in menus or hidden.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:-1;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"enabled";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:518;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The menu link language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:557;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Parent plugin ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:94:"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:590;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"The time that the menu link was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:620;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:662;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:6:{s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:13:"initial_value";N;}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:695;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";N;}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:736;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"initial_value";N;}}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:776;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:805;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}}s:20:"revision_log_message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:841;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:8:{s:10:"field_name";s:20:"revision_log_message";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:13:"initial_value";N;}}}'),
('entity.definitions.installed', 'node.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:4:{s:16:"revision_default";s:16:"revision_default";s:13:"revision_user";s:12:"revision_uid";s:16:"revision_created";s:18:"revision_timestamp";s:20:"revision_log_message";s:12:"revision_log";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:12:{s:2:"id";s:3:"nid";s:8:"revision";s:3:"vid";s:6:"bundle";s:4:"type";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"status";s:6:"status";s:3:"uid";s:3:"uid";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:5:"owner";s:3:"uid";}s:5:"\0*\0id";s:4:"node";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:9:{s:7:"storage";s:23:"Drupal\\node\\NodeStorage";s:14:"storage_schema";s:29:"Drupal\\node\\NodeStorageSchema";s:12:"view_builder";s:27:"Drupal\\node\\NodeViewBuilder";s:6:"access";s:36:"Drupal\\node\\NodeAccessControlHandler";s:10:"views_data";s:25:"Drupal\\node\\NodeViewsData";s:4:"form";a:3:{s:7:"default";s:20:"Drupal\\node\\NodeForm";s:6:"delete";s:31:"Drupal\\node\\Form\\NodeDeleteForm";s:4:"edit";s:20:"Drupal\\node\\NodeForm";}s:14:"route_provider";a:1:{s:4:"html";s:36:"Drupal\\node\\Entity\\NodeRouteProvider";}s:12:"list_builder";s:27:"Drupal\\node\\NodeListBuilder";s:11:"translation";s:34:"Drupal\\node\\NodeTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:5:{s:9:"canonical";s:12:"/node/{node}";s:11:"delete-form";s:19:"/node/{node}/delete";s:9:"edit-form";s:17:"/node/{node}/edit";s:15:"version-history";s:22:"/node/{node}/revisions";s:8:"revision";s:43:"/node/{node}/revisions/{node_revision}/view";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:9:"node_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:4:"node";s:22:"\0*\0revision_data_table";s:19:"node_field_revision";s:17:"\0*\0revision_table";s:13:"node_revision";s:13:"\0*\0data_table";s:15:"node_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"content item";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"content items";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:19:"@count content item";s:6:"plural";s:20:"@count content items";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:26:"entity.node_type.edit_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:1:{i:0;s:21:"user.node_grants:view";}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"node_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:23:"Drupal\\node\\Entity\\Node";s:11:"\0*\0provider";s:4:"node";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'node.field_storage_definitions', 'a:107:{s:3:"nid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:3:"nid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:35;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:67;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:100;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:135;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:9:"node_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";s:12:"Content type";s:8:"required";b:1;s:9:"read-only";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:4:"type";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:165;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:12:"revisionable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:5:"title";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:208;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The username of the content author.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:22:"default_value_callback";s:41:"Drupal\\node\\Entity\\Node::getCurrentUserId";s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"author";s:6:"weight";i:0;}}s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:29:"entity_reference_autocomplete";s:6:"weight";i:5;s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";s:2:"60";s:11:"placeholder";s:0:"";}}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:261;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"A boolean indicating whether the node is published.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:303;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the node was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:9:"timestamp";s:6:"weight";i:0;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:18:"datetime_timestamp";s:6:"weight";i:10;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:344;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the node was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:7:"promote";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:374;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Promoted to front page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:15;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:7:"promote";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:6:"sticky";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:420;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"Sticky at top of lists";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:3:{s:4:"type";s:16:"boolean_checkbox";s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:16;}s:12:"configurable";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:6:"sticky";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:18:"revision_timestamp";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:466;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Revision timestamp";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"queryable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:18:"revision_timestamp";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:12:"revision_uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:496;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Revision user ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"queryable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:12:"revision_uid";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:12:"revision_log";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:533;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:15:"string_textarea";s:6:"weight";i:25;s:8:"settings";a:1:{s:4:"rows";i:4;}}}}s:8:"provider";s:4:"node";s:10:"field_name";s:12:"revision_log";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:574;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:4:"node";s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:614;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"node";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:4:"node";s:6:"bundle";N;}}s:4:"body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:9:"node.body";s:13:"\0*\0field_name";s:4:"body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:1;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:9:"node.body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"55c47ffa-ec98-4e52-bd4e-eb9c26e35cea";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;}s:7:"comment";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:12:"node.comment";s:13:"\0*\0field_name";s:7:"comment";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"comment";s:9:"\0*\0module";s:7:"comment";s:11:"\0*\0settings";a:1:{s:12:"comment_type";s:7:"comment";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:12:"node.comment";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b6518fb2-9112-4145-83c1-f353b3ad684a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"comment";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;}s:11:"field_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:16:"node.field_image";s:13:"\0*\0field_name";s:11:"field_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:16:"node.field_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba1446e3-dd7e-4cf8-9703-de7e6390abbe";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME";}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rqikSVG02rAbNHiaadXxp1pG13O0v1M-jZVk8BKbghc";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:10:"field_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:15:"node.field_tags";s:13:"\0*\0field_name";s:10:"field_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:15:"node.field_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e5aa9ce5-66bd-404d-be2d-813277baa058";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;}s:18:"field_mt_slideshow";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_slideshow";s:13:"\0*\0field_name";s:18:"field_mt_slideshow";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_slideshow";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1471fc88-8de5-48f0-8729-064f91a2df45";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-_BBF0z5wlGyS8abowmkDS8VHSq6mYGIsqx_iQHR8d3U";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_slideshow_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:29:"node.field_mt_slideshow_image";s:13:"\0*\0field_name";s:24:"field_mt_slideshow_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:29:"node.field_mt_slideshow_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ec7763f0-9dbe-4c60-9153-5c790791aeef";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Y6ot9wtG482-yA8qADaMMVolwf2_1jXBmUeyGiygJN0";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_slideshow_text";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"node.field_mt_slideshow_text";s:13:"\0*\0field_name";s:23:"field_mt_slideshow_text";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"node.field_mt_slideshow_text";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"38f70c30-2626-487f-8c2e-bb90b6cdd3de";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-zsB75d1Map9Uvi1UoNa88EqlI_HLOwVWIkUPs_9-s-8";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"node.field_mt_subheader_body";s:13:"\0*\0field_name";s:23:"field_mt_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"node.field_mt_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"add4ab49-0933-4384-84bb-fc3f63632656";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rlTTU5octKah9Is-dPLUBBJzJ4b0YyHz063QcTSJWL8";s:10:"form_token";s:43:"DGc5iV2jqAfnJv1e0HjBtKcbAmH2GcAia3gGrbmfhVo";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:14:"field_mt_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:19:"node.field_mt_video";s:13:"\0*\0field_name";s:14:"field_mt_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";i:-1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:19:"node.field_mt_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e28da9b4-4e23-41dd-bde4-cccc2e658110";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;}s:18:"field_mt_alb_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_alb_image";s:13:"\0*\0field_name";s:18:"field_mt_alb_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_alb_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"71918686-62dc-4f99-8da8-73b219b5b1f9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FTMDy5rwUBpZeax7J3Gg3cQn7GbgzmCsexvZKdwNtQI";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_alb_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_alb_video";s:13:"\0*\0field_name";s:18:"field_mt_alb_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_alb_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4455a9ab-950b-4210-b101-bf64e792a0d4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Srwn9lcsAK-1HVkbI5BrVSiQCTJF5kOvuQRY3YoRS9o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_alb_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_alb_tags";s:13:"\0*\0field_name";s:17:"field_mt_alb_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_alb_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"405653ec-41d6-401b-814f-c93e960a25dd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-klABrAXL5quKLUZ-JLTbTAWNfBF_Mi8K6-X4CFfPKeg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:32:"field_mt_prd_additional_features";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:37:"node.field_mt_prd_additional_features";s:13:"\0*\0field_name";s:32:"field_mt_prd_additional_features";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:37:"node.field_mt_prd_additional_features";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0938f442-b0f1-4ede-92e4-0272810be1c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-1aihlD_XsRLWzMaZERPuOTFD_eZkGXHdysb7jeIYG7s";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_availability";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_prd_availability";s:13:"\0*\0field_name";s:25:"field_mt_prd_availability";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:2:{s:8:"in_stock";s:8:"In Stock";s:12:"out_of_stock";s:12:"Out of Stock";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_prd_availability";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d546f2a5-5609-42ee-8d9a-c126f9f57177";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:7:"options";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-2A30_a-7vGe84_DKpsYjDUfLL1o-yebZSe1KXAQ_ed4";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prd_buy_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_prd_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_prd_buy_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_prd_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"87d33644-d499-49e8-a893-c338caf12d9a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-HBUUWOvhySVL_NxTnuuR38BrseJ2aQQ_jAvNRAbpPSk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_prd_categories";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"node.field_mt_prd_categories";s:13:"\0*\0field_name";s:23:"field_mt_prd_categories";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"node.field_mt_prd_categories";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b513fc7f-4e98-449c-b940-5a30ece271fb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GolLYEEJ8YdGd4tcWLFhpwePpnuT3Cpahb38EML87Yc";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_prd_highlight";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:27:"node.field_mt_prd_highlight";s:13:"\0*\0field_name";s:22:"field_mt_prd_highlight";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:27:"node.field_mt_prd_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7239379b-4bd7-4655-a9b3-e31d45d02308";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-t4oWkTco4Cr4ye-xZxkqtQDslX5Sqr8mFKlWq1ai-gY";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prd_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_prd_body";s:13:"\0*\0field_name";s:17:"field_mt_prd_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_prd_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b73c5625-e2f4-4884-943f-b23a3e1569b7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-C3cQEM87tD10xSs4nBbFN5_jgH7ditq7bux8kJ7oNW0";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prd_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_prd_image";s:13:"\0*\0field_name";s:18:"field_mt_prd_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_prd_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe2d3505-de9d-4091-8947-c5b1f7fc764e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-X-nDFRPFj6C7Angayo8fcp0jbdle7UP1d-IXUJeId_o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_prd_landscape_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"node.field_mt_prd_landscape_image";s:13:"\0*\0field_name";s:28:"field_mt_prd_landscape_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"node.field_mt_prd_landscape_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a8eb5ef7-7656-4155-98dd-a641bd0f5302";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-zR3LXn9lixzOwmsjkrDpxo5wxE-n02iPs35XyTQRgjw";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_most_popular";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_prd_most_popular";s:13:"\0*\0field_name";s:25:"field_mt_prd_most_popular";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_prd_most_popular";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6d5f86fa-218c-47ff-af97-70cc7ecf06db";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-5zd9kqBF25gLbXA9VE4cu-jpWPn_MssMyKC9xfmwRkg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prd_price";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_prd_price";s:13:"\0*\0field_name";s:18:"field_mt_prd_price";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_prd_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4153f528-5737-4aee-a825-9050ba3e7166";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Oy2s9pQRypGeFeJsxIiKBRYKHySFZ1NQZBDBx6Irm_A";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:31:"field_mt_prd_pricing_table_item";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:36:"node.field_mt_prd_pricing_table_item";s:13:"\0*\0field_name";s:31:"field_mt_prd_pricing_table_item";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:36:"node.field_mt_prd_pricing_table_item";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ba4ebccf-deee-443e-a92c-156111fe424a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-B0fG31eX_dIjSsd30c3RrnXumMEmHfq_b6SjVe-_imI";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_product_code";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_prd_product_code";s:13:"\0*\0field_name";s:25:"field_mt_prd_product_code";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_prd_product_code";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f8796200-9830-414a-8ecd-41d7080f1dbc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-4CEwuiCtoZsB3PzXlT-igZdlAGfHB9_yoX3ODpK1E_Y";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_prd_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:32:"node.field_mt_prd_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_prd_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"node.field_mt_prd_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6e016bba-8606-4d8a-82f7-1cdf7d1d0283";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-G2zPZxP6IfabDo__owDNDm42YcXn0aI2nqXzccOIQbU";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prd_content_tabs";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_prd_content_tabs";s:13:"\0*\0field_name";s:25:"field_mt_prd_content_tabs";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_prd_content_tabs";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"311ce268-9f91-4185-9950-cacffc7bb8c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-hOr6rSxxGKEqg6xsKropJOOgCBQ-GGL3-i14XulF2M4";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prd_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_prd_tags";s:13:"\0*\0field_name";s:17:"field_mt_prd_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_prd_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"543acd0b-d450-42a8-9906-6c1f2a1b8a85";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-EBg7VQA3uvWDiN8p_t8uuKRwq1Re2bcXPXGcbKUlL1c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prd_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_prd_video";s:13:"\0*\0field_name";s:18:"field_mt_prd_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_prd_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bddf548c-c44b-4a0f-9ea0-742e2a68e9e2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-ox0t3Xe77Fero9SicCRzk_3KU_ULq2KpOi-Qm6GXPQ0";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_alb_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_alb_body";s:13:"\0*\0field_name";s:17:"field_mt_alb_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_alb_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5a08c1bb-1357-4416-a8bb-a0098072ce7d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Zig4Bs1soKbv8KD9Eo_SizL-8ZFkueRDPpeMl-YviBs";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_srv_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_srv_body";s:13:"\0*\0field_name";s:17:"field_mt_srv_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_srv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0dae3eda-c427-426f-9588-8c94a053c3f1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-umiBlcnqhxn_juIj78x8-6_5uY-PmwRn7grhje5AaTs";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_srv_buy_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_srv_buy_link";s:13:"\0*\0field_name";s:21:"field_mt_srv_buy_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_srv_buy_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9b306ad-e77e-47d2-9ed7-d81b1b1ba4d8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-2U6iJ2qsVLDmMw8zxKGpvcLgAZZJ-ioDBqQqx9g_3LE";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_srv_highlight";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:27:"node.field_mt_srv_highlight";s:13:"\0*\0field_name";s:22:"field_mt_srv_highlight";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:27:"node.field_mt_srv_highlight";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5c37b63e-a20f-4a54-89a0-80cd1b025ce4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0hXPJ6IacTadD5sEs7dE2y4opu30g1Y2EGoMcGI0yjg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_srv_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_srv_image";s:13:"\0*\0field_name";s:18:"field_mt_srv_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_srv_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d0efee66-e49f-4f2d-a236-dc3d665983a8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-jB55xYcrkmLgUAxMSClxp8ESZpFPB_qDng5HzXHCUCM";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_srv_price";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_srv_price";s:13:"\0*\0field_name";s:18:"field_mt_srv_price";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_srv_price";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"78850486-6f49-458e-a357-18c3a457235d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FAlMFbC2ZzIoiyBrZzQo_DZ6i1OVQ1XG4QzlSO_mDmQ";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_srv_service_tags";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_srv_service_tags";s:13:"\0*\0field_name";s:25:"field_mt_srv_service_tags";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_srv_service_tags";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3cf62ee8-4c5a-4afc-84b8-de928e1a5bc4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-qX4wv12X3wSGzRSxHx_DwjftGeKQnLCa4zaulSz6slY";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_srv_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_srv_video";s:13:"\0*\0field_name";s:18:"field_mt_srv_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_srv_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9d50c033-0baf-468c-810b-5051355ace40";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-XE7Rxp_oOjZlQ-A39OpHulpaCbX4c5XrE_5DU-OoKmk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_srv_subheader_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:32:"node.field_mt_srv_subheader_body";s:13:"\0*\0field_name";s:27:"field_mt_srv_subheader_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"node.field_mt_srv_subheader_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"40dea6df-38f3-483c-bdbb-0798b74dd2c4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form--Fd6AwDNeAO7WtlckrC-x2dth80yLNkqS0NwUbZSnjk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_spk_affiliations";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_spk_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_spk_affiliations";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_spk_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d1a11029-d4db-459a-9b2b-e5a2206df914";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0zL7psKfO5UgwbAp70LK8T9vsmzP1IlADzAIQuPw4Rs";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_spk_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_spk_body";s:13:"\0*\0field_name";s:17:"field_mt_spk_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_spk_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"18848f68-89ce-48ce-bf32-185c155df1a6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-7mny8tnk8tI7Uk0EqsEn0MPu4Z5bCIRVWneAzsv4xyM";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_spk_facebook_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"node.field_mt_spk_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_facebook_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"node.field_mt_spk_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fd035759-3cc2-43ee-9ef7-e9d7dac4b49e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uISaBI6krigW19vphF7yNWiTRRjfTHkMsuYq8RQV8dk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_spk_linkedin_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"node.field_mt_spk_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_spk_linkedin_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"node.field_mt_spk_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1a80dccc-f7da-4eca-a1ed-aa3fe2b3a480";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-j8hMVcDoJRpASpZIn9yGTCsUFdrJ4JauD4j6yJLaarg";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_spk_speaker_photo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:31:"node.field_mt_spk_speaker_photo";s:13:"\0*\0field_name";s:26:"field_mt_spk_speaker_photo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"node.field_mt_spk_speaker_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9191fcd7-831a-45b3-b932-bd495ee745b8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-50WBBHz_cSTmMsIphiIVlppASzzMEfTMUanUQagrF0c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_spk_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_spk_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_spk_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_spk_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"56213120-ac5c-443e-9c10-4b110cfbbe30";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Q0dRutfh-NjT5viKg88pzb8Cosab35fy9bdySRTmQzQ";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_spk_twitter_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"node.field_mt_spk_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_twitter_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"node.field_mt_spk_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"02bb7fd0-ff84-419b-b27b-3630f012c544";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-xr3gzrurP0_whjUpXWdW9VJ0BTtjuplr8PtQ7QNG5ec";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_spk_youtube_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"node.field_mt_spk_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_spk_youtube_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"node.field_mt_spk_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"23216993-e812-4af4-b76f-19b6a6b97743";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-qPkgWLaLM14ycBeWs967vk70nNiedV9ic-xmARTS7f0";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_spn_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_spn_body";s:13:"\0*\0field_name";s:17:"field_mt_spn_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_spn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e9cb60b7-569e-488d-910c-b7735cabd029";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-r-Psf9L53e7HG_Svl6qBIsd_4GXP0CpIP21X_5AKsic";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_spn_logo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_spn_logo";s:13:"\0*\0field_name";s:17:"field_mt_spn_logo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_spn_logo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6a9f6825-4765-4702-8bcd-9a97cfa4afd4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-r1HxXQytoB_oPIIQO905SV-V6qvfzhm_TL1ScQpHrCc";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_tmm_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_tmm_body";s:13:"\0*\0field_name";s:17:"field_mt_tmm_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_tmm_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"1398bb02-fdcc-4a5f-9a91-586130931cd4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-WFdza3NoLdVihoB1zWpcB13ra4kQcb8ZnGX5ZfL45EA";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_tmm_facebook_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"node.field_mt_tmm_facebook_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_facebook_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"node.field_mt_tmm_facebook_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7e53f77f-0469-434d-81d4-6108c2943b5a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-eDqlDruvYFwNx3DtoDipD8e6Nsv9CJCoGtLgL5Yni5A";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_tmm_linkedin_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"node.field_mt_tmm_linkedin_account";s:13:"\0*\0field_name";s:29:"field_mt_tmm_linkedin_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"node.field_mt_tmm_linkedin_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"62702c8d-027a-4937-a662-67c21e9563d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-vPudgnALKJ_H87_w6IiQBJ7OJ7Ay5ppv2cTVyFxoVpE";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_tmm_member_photo";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_tmm_member_photo";s:13:"\0*\0field_name";s:25:"field_mt_tmm_member_photo";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_tmm_member_photo";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e36ac1a7-eee5-4947-9b6b-e2a6736c0d01";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GI-n75BxkJquofkx3cdVJ9Jttt-KTRWrMFJoe1G4RJw";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_tmm_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_tmm_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tmm_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_tmm_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"45c55712-bed0-49c3-b77b-849509bd6bf7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-bECrG1R0cKPviKNVZFpN1adGWo2R7LdyxtjwK57Xq0c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_tmm_twitter_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"node.field_mt_tmm_twitter_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_twitter_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"node.field_mt_tmm_twitter_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f6eebd65-bc0e-4021-ab06-5d4ef4dd7059";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-oXn-GomQ-uXsOE1oJeqGCYcfd0eDMiYcc9HbaCTn14c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_tmm_youtube_account";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"node.field_mt_tmm_youtube_account";s:13:"\0*\0field_name";s:28:"field_mt_tmm_youtube_account";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"node.field_mt_tmm_youtube_account";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"eb990010-4176-496f-be00-e17240f696cd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-87Zl2BUFOA17RqA_bc66WirX_kYaMCeUqC8FElzQedI";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_tst_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_tst_body";s:13:"\0*\0field_name";s:17:"field_mt_tst_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_tst_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9ab6972a-46db-4eda-84d6-6971ce553cf1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-DDruQFkTY6LVXyH_1nWwA71VJEzDKwJPYMq8dIi6GnU";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_tst_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_tst_subtitle";s:13:"\0*\0field_name";s:21:"field_mt_tst_subtitle";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_tst_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7499d773-1e75-4110-9d0a-2e2d93829a0d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-1IujF5IopNhkO5D1E1OWNTgZCVH98cp00u8R_dOWZYQ";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_tst_testimonial_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:35:"node.field_mt_tst_testimonial_image";s:13:"\0*\0field_name";s:30:"field_mt_tst_testimonial_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:35:"node.field_mt_tst_testimonial_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"12dd58db-4c2f-4307-b9cd-d5b7cde44d84";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form--1MNVpFUevv8GrM0T1BmWMV6qBL-C1Yx7Y9CSuE2SgM";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"field_mt_tst_testimonial_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"node.field_mt_tst_testimonial_link";s:13:"\0*\0field_name";s:29:"field_mt_tst_testimonial_link";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"node.field_mt_tst_testimonial_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cffa24e8-0fa8-42b3-9776-dc4c9295af1e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-sSfiAxSvxbl4UsxZw1Lt1t4y4r9G5MgxFCZ8nnK8s3Y";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_srv_banner_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_srv_banner_image";s:13:"\0*\0field_name";s:25:"field_mt_srv_banner_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_srv_banner_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"5f2dfd1a-3163-43a1-99f6-bca61cc01dde";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-S3ekTQzSE4ZBWiQhieLnVNe8TN6KijcKEXYEraeXxns";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_prd_banner_carousel";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"node.field_mt_prd_banner_carousel";s:13:"\0*\0field_name";s:28:"field_mt_prd_banner_carousel";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"node.field_mt_prd_banner_carousel";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c9858a15-e3cb-4bf7-955e-5ab137e86d5e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-dd9S9v_cYKiGUjxciEkTSaqwBzJpxQxjfvvUq7hYMcE";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_evn_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_evn_body";s:13:"\0*\0field_name";s:17:"field_mt_evn_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_evn_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"16663e87-ce79-463a-9d25-a6d396e2f10c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fgGojKPAL_GdwsFbyJvNKvSxyWeVPKgEEHAnU9S_ktM";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_evn_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_evn_date";s:13:"\0*\0field_name";s:17:"field_mt_evn_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_evn_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"77b5d167-f7c5-42cb-92fc-8118aafec1c4";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-ofg_lZ2KuCNeD1nHCsCKWiXy8Mm3yli8p5NNXWpa_UU";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_files";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_evn_files";s:13:"\0*\0field_name";s:18:"field_mt_evn_files";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_evn_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"520bb678-1cf3-4cc0-9daf-bfd3c6339bcd";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-MMT3dD9CDbjMu73dvgW_qDzileTcu2mn99nP5kXxNg8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_evn_image";s:13:"\0*\0field_name";s:18:"field_mt_evn_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_evn_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b12ebed0-ffaf-4b79-9a17-3a48fac1327e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-tbXqydOxeRqClpSxwcasoad7_FN6GbbYCR2M_hgvVZg";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_evn_sponsor";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:25:"node.field_mt_evn_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_evn_sponsor";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"node.field_mt_evn_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"38d56e66-8c3a-4efb-bb91-07af0e6d8021";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-bytFnfwYQLhNJP6-cviVV89_qfczFT7v4x4Wn7yZ_SU";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_evn_speaker";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:25:"node.field_mt_evn_speaker";s:13:"\0*\0field_name";s:20:"field_mt_evn_speaker";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"node.field_mt_evn_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6ee6777f-e2a3-4047-b58b-05a26c08eb15";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-8IHDGFciPY1VP1vGBn3OCP4JKlCdfl5s9UNIEwKP71M";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_evn_video";s:13:"\0*\0field_name";s:18:"field_mt_evn_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_evn_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"54fa2967-39c1-494d-babe-0adc81a814d8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-f1K_ughyl0UT02vYtjnc81flmvfsk4CdvEyWiqnYBl8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prs_files";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_prs_files";s:13:"\0*\0field_name";s:18:"field_mt_prs_files";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:4:"file";s:9:"\0*\0module";s:4:"file";s:11:"\0*\0settings";a:4:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";s:11:"target_type";s:4:"file";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_prs_files";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3713d413-2c19-4893-8376-e19b8ac769a8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"file";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-I3b9IUs0_88xC9PzqmNYp1EVFVqAGrbVRE9JB8SPSx8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prs_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_prs_body";s:13:"\0*\0field_name";s:17:"field_mt_prs_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_prs_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e6192d57-be1d-41f3-88fc-08e118f09ec3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-uPJ_uXT84-ATDdDw7cdJzVW8HMp-R0Pcelxna6ArJC8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_prs_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_prs_date";s:13:"\0*\0field_name";s:17:"field_mt_prs_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_prs_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"9fc6832e-c6e1-4e94-9d43-88cd1c5decf6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-wUtraDYlzr7ZNW0L9Yy18A0BOqrSEk7voKVf68ZLnRg";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prs_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_prs_image";s:13:"\0*\0field_name";s:18:"field_mt_prs_image";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_prs_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75d626f2-053b-4058-9367-e9959a4c193e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-rAIgQ-gRKGirt3hAuoiDemGAGpSRGWjSfgd82C1zl6k";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prs_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_prs_location";s:13:"\0*\0field_name";s:21:"field_mt_prs_location";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_prs_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8a1d6191-b91f-4d1e-9700-c32c8f3d42f7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-h5bWVChC3FhWkAEkL9XWw-Vz334o9jqGIgnV4gb1v-Y";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_speaker";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:25:"node.field_mt_prs_speaker";s:13:"\0*\0field_name";s:20:"field_mt_prs_speaker";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"node.field_mt_prs_speaker";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"25257e3c-f8a1-45fd-9f5b-2a15f05476a9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fk1syX6VJHK5nuVZLK-REGUvjFX0hNA13lDk8JYEhds";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_sponsor";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:25:"node.field_mt_prs_sponsor";s:13:"\0*\0field_name";s:20:"field_mt_prs_sponsor";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"node.field_mt_prs_sponsor";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0310b659-5dc8-4b13-98ae-cc7810d380c7";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-mXPMEj1E4l_NvhozVo3L1Y_SZyeFpLGxnfBsK2b7oUI";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prs_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_prs_video";s:13:"\0*\0field_name";s:18:"field_mt_prs_video";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_prs_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"24d48946-187a-427f-a31d-4ca87ded9852";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fBDDNAWGC3EwLvTg-snjuRf2idevyircm1tECrODB5I";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_authors";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:25:"node.field_mt_prs_authors";s:13:"\0*\0field_name";s:20:"field_mt_prs_authors";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"node.field_mt_prs_authors";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6111a56a-09d6-4bd2-8ff0-5f96c1fc0a85";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-pviZ3p1rsxIR71GiBL4tXSzTtZjVnSCwzF5jC9D_aJA";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_prs_affiliations";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"node.field_mt_prs_affiliations";s:13:"\0*\0field_name";s:25:"field_mt_prs_affiliations";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"node.field_mt_prs_affiliations";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"34af3af4-3c4f-4a03-962c-743021baae5a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-41n2lcZDtz-G6sqBDbPphcQAD8QzAZc-QY9jvxOCTW8";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_prs_topics";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:24:"node.field_mt_prs_topics";s:13:"\0*\0field_name";s:19:"field_mt_prs_topics";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:24:"node.field_mt_prs_topics";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"32eace59-1b58-4c3e-a3ee-4c5354109b58";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-pvGKQasoRkdMp2DQ4Wl31sW5F_mZpx4DzKmBxOg6yLo";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_prs_session";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:25:"node.field_mt_prs_session";s:13:"\0*\0field_name";s:20:"field_mt_prs_session";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:25:"node.field_mt_prs_session";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7fd82e69-15e5-4a4f-9146-40bfa18abf8d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-fb3HIM_6veJTcqXdaEu-JShqc3vtSkthLaZ3O038f7s";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_evn_place";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_evn_place";s:13:"\0*\0field_name";s:18:"field_mt_evn_place";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_evn_place";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a0fc8145-a35c-46a1-a14f-13ab1c60a39c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Xey3JEVn0oIqGJxkjTqhYnL556NTFgt1MDpAkULXFTM";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_evn_location";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_evn_location";s:13:"\0*\0field_name";s:21:"field_mt_evn_location";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:26:"entity_reference_revisions";s:9:"\0*\0module";s:26:"entity_reference_revisions";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:9:"paragraph";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_evn_location";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c6bf2893-0fbe-444e-964d-512ee14ef798";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:26:"entity_reference_revisions";i:1;s:4:"node";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-DwAnynngXYOWdYBCCYhC4WGp3aOADsN1crOgHkpFSjw";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_evn_map_zoom";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_evn_map_zoom";s:13:"\0*\0field_name";s:21:"field_mt_evn_map_zoom";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_evn_map_zoom";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a63b3db3-3f9e-41e2-a8f7-485115e762ad";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-TxV-ueShAcK-ZgpPeuxsNnkjCzGPE8mIHo8xPdch46E";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_evn_event_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:32:"node.field_mt_evn_event_category";s:13:"\0*\0field_name";s:27:"field_mt_evn_event_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"node.field_mt_evn_event_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"cef61c7a-5240-47bd-a045-1c532b47c298";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-o3aJ21xaOWdmXrPGtC4XzVB4T31a5q3XbIhzgwXWpnA";s:10:"form_token";s:43:"aG0VFDADX1y-Y2b3x1umMlmqtZJmPEWmyXa1VvJEWSk";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prs_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_prs_category";s:13:"\0*\0field_name";s:21:"field_mt_prs_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_prs_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"66d47275-e96c-443a-a558-a20c72c27032";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-HsbRivCtrOvLqi5fzSpAAOJWL-SFs77fjRVdAuoF7DE";s:10:"form_token";s:43:"aG0VFDADX1y-Y2b3x1umMlmqtZJmPEWmyXa1VvJEWSk";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:4384;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:4:"node";s:8:"provider";s:4:"node";s:6:"bundle";N;}}s:23:"field_mt_prg_start_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"node.field_mt_prg_start_date";s:13:"\0*\0field_name";s:23:"field_mt_prg_start_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"node.field_mt_prg_start_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"01fca423-5a83-44b6-9e5d-4360e1e3d63e";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-f7jlO_tQ6q7TEUegwKeCkXz6BZg-67sX1kr9Q--EZ-E";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prg_end_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_prg_end_date";s:13:"\0*\0field_name";s:21:"field_mt_prg_end_date";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:8:"datetime";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_prg_end_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ca5ed19f-0907-4e4b-bd05-c4b68b09b67a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GbNZbh5INQbrFUG89unlkicF8bS_Kpfgp-bGMaopHCk";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_prg_category";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"node.field_mt_prg_category";s:13:"\0*\0field_name";s:21:"field_mt_prg_category";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:13:"taxonomy_term";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"node.field_mt_prg_category";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4810fde7-063f-4484-9736-af1f95c6f030";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-0ggDlSq30Vw0Xv2_6x12_6zJpA_z7m2gc9_F2gLkmg4";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_prg_event";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:23:"node.field_mt_prg_event";s:13:"\0*\0field_name";s:18:"field_mt_prg_event";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:4:"node";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"node.field_mt_prg_event";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f62d9501-6a67-4167-bdff-8f02bd5a4838";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"node";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-QAM75CurvADs8UPaQtcW_4gGU6lwTPA_t9guP0qSn1w";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_cnv_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:22:"node.field_mt_cnv_body";s:13:"\0*\0field_name";s:17:"field_mt_cnv_body";s:14:"\0*\0entity_type";s:4:"node";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:22:"node.field_mt_cnv_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ff311524-02b7-460f-83ff-058adf081455";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-ybgfgBtpND8wc3f5A4Xl6k7Btk12oFtpGd3jGruk1Ck";s:10:"form_token";s:43:"FaiqjRc23B-2k3FCaC-4vUMO5sliLAnVYBsS2WpO9oU";s:7:"form_id";s:30:"field_storage_config_edit_form";}}');
INSERT INTO `key_value` VALUES
('entity.definitions.installed', 'node_type.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:4:"type";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:7:{i:0;s:4:"name";i:1;s:4:"type";i:2;s:11:"description";i:3;s:4:"help";i:4;s:12:"new_revision";i:5;s:12:"preview_mode";i:6;s:17:"display_submitted";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:4:"type";s:5:"label";s:4:"name";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:9:"node_type";s:11:"\0*\0provider";s:4:"node";s:8:"\0*\0class";s:27:"Drupal\\node\\Entity\\NodeType";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:40:"Drupal\\node\\NodeTypeAccessControlHandler";s:4:"form";a:3:{s:3:"add";s:24:"Drupal\\node\\NodeTypeForm";s:4:"edit";s:24:"Drupal\\node\\NodeTypeForm";s:6:"delete";s:38:"Drupal\\node\\Form\\NodeTypeDeleteConfirm";}s:12:"list_builder";s:31:"Drupal\\node\\NodeTypeListBuilder";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:24:"administer content types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:41:"/admin/structure/types/manage/{node_type}";s:11:"delete-form";s:48:"/admin/structure/types/manage/{node_type}/delete";s:10:"collection";s:22:"/admin/structure/types";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:4:"node";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Content type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:21:"config:node_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'paragraph.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:4:"type";s:8:"langcode";s:8:"langcode";s:8:"revision";s:11:"revision_id";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:5:"\0*\0id";s:9:"paragraph";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:6:{s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:6:"access";s:47:"Drupal\\paragraphs\\ParagraphAccessControlHandler";s:14:"storage_schema";s:40:"Drupal\\paragraphs\\ParagraphStorageSchema";s:4:"form";a:3:{s:7:"default";s:36:"Drupal\\Core\\Entity\\ContentEntityForm";s:6:"delete";s:42:"Drupal\\Core\\Entity\\ContentEntityDeleteForm";s:4:"edit";s:36:"Drupal\\Core\\Entity\\ContentEntityForm";}s:10:"views_data";s:28:"Drupal\\views\\EntityViewsData";s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:15:"paragraphs_type";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Paragraph type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:15:"paragraphs_item";s:22:"\0*\0revision_data_table";s:35:"paragraphs_item_revision_field_data";s:17:"\0*\0revision_table";s:24:"paragraphs_item_revision";s:13:"\0*\0data_table";s:26:"paragraphs_item_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Paragraph";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:32:"entity.paragraphs_type.edit_form";s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:14:"paragraph_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:6:{s:33:"entity_revision_parent_type_field";s:11:"parent_type";s:31:"entity_revision_parent_id_field";s:9:"parent_id";s:39:"entity_revision_parent_field_name_field";s:17:"parent_field_name";s:33:"common_reference_revisions_target";b:1;s:27:"content_translation_ui_skip";b:1;s:35:"default_reference_revision_settings";a:4:{s:20:"field_storage_config";a:2:{s:11:"cardinality";i:-1;s:8:"settings";a:1:{s:11:"target_type";s:9:"paragraph";}}s:12:"field_config";a:1:{s:8:"settings";a:1:{s:7:"handler";s:17:"default:paragraph";}}s:19:"entity_form_display";a:1:{s:4:"type";s:27:"entity_reference_paragraphs";}s:19:"entity_view_display";a:1:{s:4:"type";s:38:"entity_reference_revisions_entity_view";}}}s:8:"\0*\0class";s:34:"Drupal\\paragraphs\\Entity\\Paragraph";s:11:"\0*\0provider";s:10:"paragraphs";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'paragraph.field_storage_definitions', 'a:70:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"The ID of the Paragraphs entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:2:"id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The UUID of the paragraphs entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The paragraphs entity revision ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:4:"type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:112;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:15:"paragraphs_type";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"The paragraphs type.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:4:"type";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:148;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The paragraphs entity language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:179;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}s:12:"configurable";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:6:"status";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:222;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Authored on";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The time that the Paragraph was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:2:{s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:7:"created";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:9:"parent_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:263;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Parent ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:63:"The ID of the parent entity of which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:9:"parent_id";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:11:"parent_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:297;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Parent type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"The entity parent type to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:11:"parent_type";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:17:"parent_field_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:331;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Parent field name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"The entity parent field name to which this entity is referenced.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:17:"parent_field_name";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:365;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:30:"field_mt_fancy_block_reference";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:40:"paragraph.field_mt_fancy_block_reference";s:13:"\0*\0field_name";s:30:"field_mt_fancy_block_reference";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:40:"paragraph.field_mt_fancy_block_reference";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8caef820-31c8-4ad1-b8e0-73c603d19615";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-NQeAAHGH8DhjtSqOg0dz0CpfQnmbjHiRgT6xTqrOIVc";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_fancy_subtitle";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"paragraph.field_mt_fancy_subtitle";s:13:"\0*\0field_name";s:23:"field_mt_fancy_subtitle";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_fancy_subtitle";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a089ccbd-adfc-4ded-94f6-c5958bc83399";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-vk7t_7-_iSjd0vvV6IQipBULMYmxRvZCp_292VjW0dI";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_fancy_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"paragraph.field_mt_fancy_title";s:13:"\0*\0field_name";s:20:"field_mt_fancy_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"paragraph.field_mt_fancy_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e5a8c98d-bb21-4ded-ba9b-9fb2b2bfada3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-48VGyArU3PITE_PTDDLo2pXhPwCggfXAskJUzaukuyQ";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_tab_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_tab_title";s:13:"\0*\0field_name";s:18:"field_mt_tab_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4d050aec-a3d7-428b-9c9a-071fb2f70861";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-svrqtShPyZsux4HgnUKNiIFXfrdMkIjrrdNEV5BO900";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_tab_content";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"paragraph.field_mt_tab_content";s:13:"\0*\0field_name";s:20:"field_mt_tab_content";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"paragraph.field_mt_tab_content";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6b8a187d-cd95-47f7-af2a-37149570aa19";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-wRyxVuMZ-3iur9pftLzdqBJtoFFrFMkXGmf8Si53np0";s:10:"form_token";s:43:"WWfbQozMsWfIW0c8l7dMdWcII_QOgaxffHQ3qG7tdug";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fli_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_image";s:13:"\0*\0field_name";s:18:"field_mt_fli_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a9f667ff-ac20-415a-b9f3-148a958ad5a6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Vhcvdoar1-QdY66Ty-fubpTvLb6uBR2nO7kaE00UFm0";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fli_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_title";s:13:"\0*\0field_name";s:18:"field_mt_fli_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"15b0899e-dcf0-45c3-a334-bc716152898c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-VDCx5BkbOgrm7mCBDzw2pQzboOmqaurpq2KAvvz043k";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_fli_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:27:"paragraph.field_mt_fli_link";s:13:"\0*\0field_name";s:17:"field_mt_fli_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:27:"paragraph.field_mt_fli_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"acaccd17-017c-4752-950c-1887e9027c77";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-_6fbFkY5ZGZB_cmkrurv3QvdemzMAY7_Lz-AqkE7DR0";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fli_shape";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_fli_shape";s:13:"\0*\0field_name";s:18:"field_mt_fli_shape";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:4:{s:4:"none";s:4:"None";s:9:"rectangle";s:9:"Rectangle";s:6:"circle";s:6:"Circle";s:8:"pentagon";s:8:"Pentagon";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fli_shape";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d15e5d4e-7e8d-4662-88d7-c4a43d3aa058";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-8mEQi9pUzKELxNJWrvWEJ6KZXmLhH-f_Bg8QD2fNG9k";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_media_tab_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"paragraph.field_mt_media_tab_title";s:13:"\0*\0field_name";s:24:"field_mt_media_tab_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"paragraph.field_mt_media_tab_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"89fa6163-5fe3-4952-ab68-e93a9a623646";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-oaMY7r2nGqSk6ByAhqUmD20YMhYPhVg3WwcRuCadM_8";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_media_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"paragraph.field_mt_media_title";s:13:"\0*\0field_name";s:20:"field_mt_media_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f9156901-f743-4337-a41c-33c7ccf3f226";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-PR00xOT2J-kb-WP_1HcqlA37xXt0ONajiAnoJpuqeo4";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_media_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:29:"paragraph.field_mt_media_body";s:13:"\0*\0field_name";s:19:"field_mt_media_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:29:"paragraph.field_mt_media_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ff8dd6c-b9f2-40a9-8035-9333480b5f3d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-GWa3pqSD4dDy3K1fynPISsPjO6_mAVpPTWb9qd9-E1E";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_media_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"paragraph.field_mt_media_image";s:13:"\0*\0field_name";s:20:"field_mt_media_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f7832ba2-748e-4d86-8761-3210e399511f";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-9DTd-HMfN7VzvhNo3A0Vl9oBlmdVuMqGopU-VeQ6oZE";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_media_video";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"paragraph.field_mt_media_video";s:13:"\0*\0field_name";s:20:"field_mt_media_video";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:17:"video_embed_field";s:9:"\0*\0module";s:17:"video_embed_field";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"paragraph.field_mt_media_video";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ab1ac840-29d1-4b47-8a7a-c49a7c67d5d5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:17:"video_embed_field";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-_Ek39SkGfNYXa1hfQeW0xiTJnhI-9iIOgMDzfLhSFtg";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:21:"field_mt_media_button";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:31:"paragraph.field_mt_media_button";s:13:"\0*\0field_name";s:21:"field_mt_media_button";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"paragraph.field_mt_media_button";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c202ff20-5128-428f-91d2-3e892b9141e9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-mfX_z-7FE8MQ26PxWePBr7l-RVi4eNrcJ6Yz-2GBc3k";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_collapse_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"paragraph.field_mt_collapse_title";s:13:"\0*\0field_name";s:23:"field_mt_collapse_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_collapse_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f089042b-2b79-44ee-9e7d-29f69733f15b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-O4neiCK27aQmjCihyc1YSzIWYPmENHuiV7kCdALfRhQ";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_collapse_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:32:"paragraph.field_mt_collapse_body";s:13:"\0*\0field_name";s:22:"field_mt_collapse_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"paragraph.field_mt_collapse_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c440dcd1-bd3d-4448-97df-351c36123b2d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-53AlfcILS32_hR7B5W5As6vLbJ0I-5dS5Os4ZVYz_zk";s:10:"form_token";s:43:"3UQMHUSwbpQ-ZMbRSgC7Bx0dRGQiY92UsfDKSH9J_WU";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fltt_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_fltt_body";s:13:"\0*\0field_name";s:18:"field_mt_fltt_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fltt_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"aad212db-5687-4c24-aaa1-5c88457f6ab3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-YgRb21MejsFwiXNgU2LGBH6GcWwrj9c_mm6QG-ckyEo";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_fltt_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:29:"paragraph.field_mt_fltt_title";s:13:"\0*\0field_name";s:19:"field_mt_fltt_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:29:"paragraph.field_mt_fltt_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e73c6db6-24dd-4622-becd-5ae935bd4743";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-blmjE25QA10mt-UxQ1cMeZJ1USj5LwY5oITtO0tBsEY";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_fltt_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_fltt_link";s:13:"\0*\0field_name";s:18:"field_mt_fltt_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_fltt_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"6838af8e-c37f-4777-87f3-eeff2b1ae726";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-SJh7sGy1e2VnLXwYLr8ziikOImsG1-leXPJMBNZwGhA";s:10:"form_token";s:43:"6SlubCUZe134XRLuHxonknfvjSuNh1IRAEpVNKX0afw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_ms_slide_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"paragraph.field_mt_ms_slide_title";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_ms_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ded79a92-0d9f-45ca-8218-0de7b6a02173";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-AqKxYDFRphq7iAuGzgIaZ6ftSYPuWqBORT7moevzGTI";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_ms_slide_caption";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:35:"paragraph.field_mt_ms_slide_caption";s:13:"\0*\0field_name";s:25:"field_mt_ms_slide_caption";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:35:"paragraph.field_mt_ms_slide_caption";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"be80686f-f1db-478d-ad52-c6032507a7d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-chvnB1yOrM47p_1272JpOO7PTTSsQPL5rlmiZuTaSaU";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:22:"field_mt_ms_slide_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:32:"paragraph.field_mt_ms_slide_link";s:13:"\0*\0field_name";s:22:"field_mt_ms_slide_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"paragraph.field_mt_ms_slide_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"08a6120b-4162-4793-b771-4b4d3f2b00c2";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-UDQ5oDnbi7gVCVdYVbigpPJBn6bg4vvPFV-t7yimNGk";s:10:"form_token";s:43:"1p7AqqKoy2E0KpCw8SPhXfsUVE8TZDgqMGzLxw5xRj4";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_ms_slide_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"paragraph.field_mt_ms_slide_image";s:13:"\0*\0field_name";s:23:"field_mt_ms_slide_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_ms_slide_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b21a2a87-c0c4-45be-815e-3dd8dfcafc81";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form--IdIZ-Hpgo_WapuiZk3UWoN1XFV9s3pP-Kmg62TOEh8";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_ms_slide_vimeo_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:13:"\0*\0field_name";s:26:"field_mt_ms_slide_vimeo_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:36:"paragraph.field_mt_ms_slide_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"ab48c77f-7b0f-4932-8554-0c77b61778d1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-zIQHJMfdDUrEydw0p0Rcz37CFuETJqYAY-o5oYzS21k";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:28:"field_mt_ms_slide_youtube_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:13:"\0*\0field_name";s:28:"field_mt_ms_slide_youtube_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:38:"paragraph.field_mt_ms_slide_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d7031199-ca07-441c-ac16-32e4ebd4fadb";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-sECiCbpLMJSYTE-et2JT_6af0IZ9OeNjUr84KIgsQAY";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_ms_slide_volume";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"paragraph.field_mt_ms_slide_volume";s:13:"\0*\0field_name";s:24:"field_mt_ms_slide_volume";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"paragraph.field_mt_ms_slide_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"a6eadfdb-8d35-40b1-b64a-e0ed97d4cf01";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-g2JqlwxhFxJDrypzSJ7jFz9LchCZWgH-qsBbWGPpqps";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:31:"field_mt_ms_slide_caption_color";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:41:"paragraph.field_mt_ms_slide_caption_color";s:13:"\0*\0field_name";s:31:"field_mt_ms_slide_caption_color";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:11:"list_string";s:9:"\0*\0module";s:7:"options";s:11:"\0*\0settings";a:2:{s:14:"allowed_values";a:6:{s:48:"region--dark-typography region--white-background";s:5:"White";s:47:"region--dark-typography region--gray-background";s:10:"Light Gray";s:53:"region--light-typography region--dark-gray-background";s:9:"Dark Gray";s:51:"region--light-typography region--colored-background";s:7:"Colored";s:48:"region--light-typography region--dark-background";s:12:"Dark Colored";s:49:"region--light-typography region--black-background";s:5:"Black";}s:23:"allowed_values_function";s:0:"";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:41:"paragraph.field_mt_ms_slide_caption_color";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"75348b10-8fc5-4961-85ac-27734415b947";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:7:"options";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-i9hR5k7uPm1HLx6pVa6-SdjyDdhdd4p4kjhQ4M0CXUE";s:10:"form_token";s:43:"FrzYrWjJ7BiNmfIs7VF1DSs0lbhJrDC24jaUqUhnoQw";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_ms_slide_caption_opac";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:13:"\0*\0field_name";s:30:"field_mt_ms_slide_caption_opac";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:40:"paragraph.field_mt_ms_slide_caption_opac";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"dc0b97a7-c172-4930-89af-5cf5489c16fc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-FSFQjuFSlq3jB89er9a96-IaFsJ2dojUU9H2L_Ir2O0";s:10:"form_token";s:43:"H9Cx_7F4tH7_BonKCgDQVcCZ5ecdZoIKobIxZpRDsXQ";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_vgs_slide_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:34:"paragraph.field_mt_vgs_slide_title";s:13:"\0*\0field_name";s:24:"field_mt_vgs_slide_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"paragraph.field_mt_vgs_slide_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"41fee351-a71a-4d0b-af51-5266604def6c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:22:"field_mt_vgs_thumbnail";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:32:"paragraph.field_mt_vgs_thumbnail";s:13:"\0*\0field_name";s:22:"field_mt_vgs_thumbnail";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:32:"paragraph.field_mt_vgs_thumbnail";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e135eeab-e5b4-4289-98ff-4ea88745ebb5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:21:"field_mt_vgs_vimeo_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:31:"paragraph.field_mt_vgs_vimeo_id";s:13:"\0*\0field_name";s:21:"field_mt_vgs_vimeo_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"paragraph.field_mt_vgs_vimeo_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fb7f2538-8f3c-4e44-bd67-a6af291bf090";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:19:"field_mt_vgs_volume";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:29:"paragraph.field_mt_vgs_volume";s:13:"\0*\0field_name";s:19:"field_mt_vgs_volume";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:2:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:29:"paragraph.field_mt_vgs_volume";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"53d36706-a3e1-4d19-b24d-f5ce99518aa5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:23:"field_mt_vgs_youtube_id";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:33:"paragraph.field_mt_vgs_youtube_id";s:13:"\0*\0field_name";s:23:"field_mt_vgs_youtube_id";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_vgs_youtube_id";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"febe0f55-0cb9-4218-aa61-92fb7aa664a0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:23:"field_mt_dropdown_block";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"paragraph.field_mt_dropdown_block";s:13:"\0*\0field_name";s:23:"field_mt_dropdown_block";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:1:{s:11:"target_type";s:5:"block";}s:14:"\0*\0cardinality";s:2:"-1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_dropdown_block";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e7bdf794-5c56-42f2-a5ec-723912f16715";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"node";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";i:1;s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-RU1E0j3B49nED2Ohx2W0W9S-jS1hq-FcahKBTLx4FR0";s:10:"form_token";s:43:"hBQ7ImlRH4zqyQum8pafo4Jyn_vtM2B5AJbmx2GlGRM";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"behavior_settings";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1928;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Behavior settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The behavior plugin settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:6:"a:0:{}";}}s:8:"provider";s:10:"paragraphs";s:10:"field_name";s:17:"behavior_settings";s:11:"entity_type";s:9:"paragraph";s:6:"bundle";N;}}s:20:"field_mt_ml_latitude";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:30:"paragraph.field_mt_ml_latitude";s:13:"\0*\0field_name";s:20:"field_mt_ml_latitude";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"paragraph.field_mt_ml_latitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e146d8c2-d58b-48ff-8fb4-4bb19b51e88a";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:25:"field_mt_ml_location_name";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:35:"paragraph.field_mt_ml_location_name";s:13:"\0*\0field_name";s:25:"field_mt_ml_location_name";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:35:"paragraph.field_mt_ml_location_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c42cd2df-6f2d-486e-94aa-ab3c74b73414";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:21:"field_mt_ml_longitude";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":30:{s:5:"\0*\0id";s:31:"paragraph.field_mt_ml_longitude";s:13:"\0*\0field_name";s:21:"field_mt_ml_longitude";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:31:"paragraph.field_mt_ml_longitude";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"31840a61-d96b-462b-8f51-baf1e38d0bb8";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;}s:23:"field_mt_highlight_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"paragraph.field_mt_highlight_body";s:13:"\0*\0field_name";s:23:"field_mt_highlight_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_highlight_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"179fd45e-975a-4f23-8b3e-38012b2f9c6b";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-3h8KLdHZdLBzGPpi97OX7MP6W9f4-GB1YNyOc3qKMy4";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_highlight_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"paragraph.field_mt_highlight_image";s:13:"\0*\0field_name";s:24:"field_mt_highlight_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"paragraph.field_mt_highlight_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"8686529f-724b-4f7d-8574-1ea4f8e604dc";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-MdUxBheZYlHUoIqXOqKvriw00r6HEH5Vt0jz-euIbEo";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:23:"field_mt_highlight_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:33:"paragraph.field_mt_highlight_link";s:13:"\0*\0field_name";s:23:"field_mt_highlight_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:33:"paragraph.field_mt_highlight_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fe94388f-8916-414f-8c24-363021492f00";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-dQ1zmsnfwFiI3JoqjK0ZkZ_eyEY7VHr9A4GzQ5uj3Q8";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:24:"field_mt_highlight_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:34:"paragraph.field_mt_highlight_title";s:13:"\0*\0field_name";s:24:"field_mt_highlight_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:34:"paragraph.field_mt_highlight_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b873d67c-7b08-4c38-9f72-89d4424c50c1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-qlsIFJfciTSOtYKLiw5ldy7BFwvkrUwMexon6nkezbY";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_if_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:27:"paragraph.field_mt_if_title";s:13:"\0*\0field_name";s:17:"field_mt_if_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:27:"paragraph.field_mt_if_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"3b0044db-78aa-4c23-b632-ad8f4e5206f9";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-2kPFBGbL5U0QPUzoRS3iWUvtDkagA8w1mSCWeFUleek";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"field_mt_if_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"paragraph.field_mt_if_body";s:13:"\0*\0field_name";s:16:"field_mt_if_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"paragraph.field_mt_if_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"09731928-6b4a-4bf0-abfb-f31b3ff87d31";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-52FCpPBeaT7uJUBk5cjZs15gbZhPRPDw0lWCHNGv-kk";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"field_mt_if_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:26:"paragraph.field_mt_if_link";s:13:"\0*\0field_name";s:16:"field_mt_if_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:26:"paragraph.field_mt_if_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"26a44d40-32c5-4fd7-99f0-1f88c4bba220";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-b0Jk41yUJdA76x4gvDAlGUHswyVlHeZ9Cocx-H14iUk";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_if_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:27:"paragraph.field_mt_if_image";s:13:"\0*\0field_name";s:17:"field_mt_if_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:27:"paragraph.field_mt_if_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7bcaa053-3d3c-4434-b441-359b8d79f0f3";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Klgz0ib47uVfz_CNvJVHVQyI9B8Byj9Y0WXAukyxpBM";s:10:"form_token";s:43:"pweOVlAenSgAdCPEtyz3jgobgsEFCmPx4fD0dDrYGw0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_adf_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_adf_image";s:13:"\0*\0field_name";s:18:"field_mt_adf_image";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_adf_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f80919da-8c64-4b7c-bc55-2fa1226038ec";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-RBfVqoUq2JUv9DmLs1MT9ftEowUPA_6p4vf5xY71lvg";s:10:"form_token";s:43:"D-q6-R6MQmqXMOu5jtNjQDMWq7ZXIXRtCAF3PzHmu1E";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:17:"field_mt_adf_body";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:27:"paragraph.field_mt_adf_body";s:13:"\0*\0field_name";s:17:"field_mt_adf_body";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:27:"paragraph.field_mt_adf_body";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"2c8d6014-742a-4ed1-ae81-80597bc94f28";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:10:"paragraphs";i:1;s:4:"text";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-G0AkboCmhNJBEPShGlQu7H-4DLFZl3XEW61k5hfMUlU";s:10:"form_token";s:43:"D-q6-R6MQmqXMOu5jtNjQDMWq7ZXIXRtCAF3PzHmu1E";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_adf_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:28:"paragraph.field_mt_adf_title";s:13:"\0*\0field_name";s:18:"field_mt_adf_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:28:"paragraph.field_mt_adf_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f867e3b0-b47c-46ad-b4eb-280a76d01dd1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Vjnv4mfuSX8ufOV0WwiOJbuV4uuTcM5PFe1VIs6NEZg";s:10:"form_token";s:43:"D-q6-R6MQmqXMOu5jtNjQDMWq7ZXIXRtCAF3PzHmu1E";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2571;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:9:"paragraph";s:8:"provider";s:9:"paragraph";s:6:"bundle";N;}}s:27:"field_mt_tml_timeline_title";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:37:"paragraph.field_mt_tml_timeline_title";s:13:"\0*\0field_name";s:27:"field_mt_tml_timeline_title";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:37:"paragraph.field_mt_tml_timeline_title";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"0a9fb0d4-50a6-452a-9e43-93728f2049f6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-eLsyJHCHfpbLE73VkGtHGpswNbx3Snn6KI7JM4B72pk";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_tml_timeline_date";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:36:"paragraph.field_mt_tml_timeline_date";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_date";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:8:"datetime";s:9:"\0*\0module";s:8:"datetime";s:11:"\0*\0settings";a:1:{s:13:"datetime_type";s:4:"date";}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:36:"paragraph.field_mt_tml_timeline_date";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"c518e1da-b52d-4753-8a28-bbb0fb5c7fb6";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:8:"datetime";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-TfjZcef53Gv5tDOhAsXdoR2-h581eNgca3kqPU_tdkA";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_tml_timeline_link";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:36:"paragraph.field_mt_tml_timeline_link";s:13:"\0*\0field_name";s:26:"field_mt_tml_timeline_link";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:4:"link";s:9:"\0*\0module";s:4:"link";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:36:"paragraph.field_mt_tml_timeline_link";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e3aac836-a3d9-43da-b1c4-1889f6e2c807";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"link";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-gdlwKHikyv6mtekyGJA9fOocNz5V6p0-808tFkN0C3c";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:20:"field_mt_adf_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:30:"paragraph.field_mt_adf_fa_icon";s:13:"\0*\0field_name";s:20:"field_mt_adf_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:30:"paragraph.field_mt_adf_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"bd5ad38a-f8fb-403e-ba93-1b3f66564f2d";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-xdzchbBh0trYyleXCKlVOe7rt5XoPhF9JgZduuceMOg";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:27:"field_mt_fli_button_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:37:"paragraph.field_mt_fli_button_fa_icon";s:13:"\0*\0field_name";s:27:"field_mt_fli_button_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:37:"paragraph.field_mt_fli_button_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"7a7f1471-7a26-4517-94cb-2b34ed5873e5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-NqdKSR7Fa3Oi1F5qP-73G3Qq5tI42t2ifcgrclhKA6I";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:19:"field_mt_if_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:29:"paragraph.field_mt_if_fa_icon";s:13:"\0*\0field_name";s:19:"field_mt_if_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:29:"paragraph.field_mt_if_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"fd87b624-24fb-48b9-b4c3-60fa49f5bde1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Bi_QGoKsabHf3Hh1jClEUuqXOHTqVVJX4tHbhM0v6rs";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:25:"field_mt_dropdown_fa_icon";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:35:"paragraph.field_mt_dropdown_fa_icon";s:13:"\0*\0field_name";s:25:"field_mt_dropdown_fa_icon";s:14:"\0*\0entity_type";s:9:"paragraph";s:7:"\0*\0type";s:16:"fontawesome_icon";s:9:"\0*\0module";s:11:"fontawesome";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:35:"paragraph.field_mt_dropdown_fa_icon";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"88614c60-d30f-4248-bf30-e24dc8468f67";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:11:"fontawesome";i:1;s:10:"paragraphs";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-AFtVcWPzJ2ROBYoWEXF3f0q_3-foqEdNUFR46u8MpHk";s:10:"form_token";s:43:"QTcfge0Haad_A19BQMzF4mi1dsB7XPU6eTupZr44IoE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2911;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:9:"paragraph";s:8:"provider";s:9:"paragraph";s:6:"bundle";N;}}}');
INSERT INTO `key_value` VALUES
('entity.definitions.installed', 'paragraphs_type.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:15:"paragraphs_type";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:2:{i:0;s:2:"id";i:1;s:5:"label";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:15:"paragraphs_type";s:11:"\0*\0provider";s:10:"paragraphs";s:8:"\0*\0class";s:39:"Drupal\\paragraphs\\Entity\\ParagraphsType";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:12:"list_builder";s:54:"Drupal\\paragraphs\\Controller\\ParagraphsTypeListBuilder";s:4:"form";a:3:{s:3:"add";s:41:"Drupal\\paragraphs\\Form\\ParagraphsTypeForm";s:4:"edit";s:41:"Drupal\\paragraphs\\Form\\ParagraphsTypeForm";s:6:"delete";s:50:"Drupal\\paragraphs\\Form\\ParagraphsTypeDeleteConfirm";}s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:27:"administer paragraphs types";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"edit-form";s:50:"/admin/structure/paragraphs_type/{paragraphs_type}";s:11:"delete-form";s:57:"/admin/structure/paragraphs_type/{paragraphs_type}/delete";s:10:"collection";s:32:"/admin/structure/paragraphs_type";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:9:"paragraph";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraphs type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:27:"config:paragraphs_type_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'path_alias.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:8:"revision";s:11:"revision_id";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:9:"published";s:6:"status";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:5:"\0*\0id";s:10:"path_alias";s:16:"\0*\0originalClass";s:34:"Drupal\\path_alias\\Entity\\PathAlias";s:11:"\0*\0handlers";a:7:{s:7:"storage";s:34:"Drupal\\path_alias\\PathAliasStorage";s:14:"storage_schema";s:40:"Drupal\\path_alias\\PathAliasStorageSchema";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";s:4:"form";a:2:{s:7:"default";s:25:"Drupal\\path\\PathAliasForm";s:6:"delete";s:42:"Drupal\\Core\\Entity\\ContentEntityDeleteForm";}s:14:"route_provider";a:1:{s:4:"html";s:49:"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider";}s:12:"list_builder";s:32:"Drupal\\path\\PathAliasListBuilder";}s:19:"\0*\0admin_permission";s:22:"administer url aliases";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:10:"collection";s:25:"/admin/config/search/path";s:8:"add-form";s:29:"/admin/config/search/path/add";s:9:"edit-form";s:43:"/admin/config/search/path/edit/{path_alias}";s:11:"delete-form";s:45:"/admin/config/search/path/delete/{path_alias}";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:10:"path_alias";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";s:19:"path_alias_revision";s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:15:"\0*\0label_plural";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:14:"\0*\0label_count";a:3:{s:8:"singular";s:16:"@count URL alias";s:6:"plural";s:18:"@count URL aliases";s:7:"context";N;}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:11:"route_match";}s:14:"\0*\0constraints";a:2:{s:15:"UniquePathAlias";a:0:{}s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:34:"Drupal\\path_alias\\Entity\\PathAlias";s:11:"\0*\0provider";s:10:"path_alias";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'path_alias.field_storage_definitions', 'a:8:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:2:"id";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:36;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:69;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:103;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:6:"region";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:15:"language_select";s:6:"weight";i:0;s:8:"settings";a:1:{s:14:"include_locked";b:0;}}}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:3:"und";}}s:8:"provider";s:10:"path_alias";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}}s:4:"path";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:143;s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:9:"ValidPath";a:0:{}s:5:"Regex";a:2:{s:7:"pattern";s:6:"/^\\//i";s:7:"message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The source path has to start with a slash.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"System path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"The path that this alias belongs to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:4:"path";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:5;s:8:"settings";a:1:{s:4:"size";i:45;}}}}s:13:"initial_value";N;}}s:5:"alias";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:196;s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:5:"Regex";a:2:{s:7:"pattern";s:6:"/^\\//i";s:7:"message";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"The alias path has to start with a slash.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"URL alias";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"An alias used with this path.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:5:"alias";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:10;s:8:"settings";a:1:{s:4:"size";i:45;}}}}s:13:"initial_value";N;}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:248;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Published";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:0;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:10:"path_alias";s:10:"field_name";s:6:"status";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:287;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:11:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:8:"provider";s:10:"path_alias";s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:10:"path_alias";s:6:"bundle";N;s:13:"initial_value";N;}}}'),
('entity.definitions.installed', 'rdf_mapping.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:7:"mapping";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:16:"targetEntityType";i:2;s:6:"bundle";i:3;s:5:"types";i:4;s:13:"fieldMappings";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:2:"id";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:11:"rdf_mapping";s:11:"\0*\0provider";s:3:"rdf";s:8:"\0*\0class";s:28:"Drupal\\rdf\\Entity\\RdfMapping";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"RDF mapping";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:rdf_mapping_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'search_page.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:4:"page";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:4:"path";i:3;s:6:"weight";i:4;s:6:"plugin";i:5;s:13:"configuration";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:6:"weight";s:6:"weight";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:11:"search_page";s:11:"\0*\0provider";s:6:"search";s:8:"\0*\0class";s:31:"Drupal\\search\\Entity\\SearchPage";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:6:"access";s:44:"Drupal\\search\\SearchPageAccessControlHandler";s:12:"list_builder";s:35:"Drupal\\search\\SearchPageListBuilder";s:4:"form";a:4:{s:3:"add";s:36:"Drupal\\search\\Form\\SearchPageAddForm";s:4:"edit";s:37:"Drupal\\search\\Form\\SearchPageEditForm";s:6:"search";s:33:"Drupal\\search\\Form\\SearchPageForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:17:"administer search";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:6:{s:9:"edit-form";s:47:"/admin/config/search/pages/manage/{search_page}";s:11:"delete-form";s:54:"/admin/config/search/pages/manage/{search_page}/delete";s:6:"enable";s:54:"/admin/config/search/pages/manage/{search_page}/enable";s:7:"disable";s:55:"/admin/config/search/pages/manage/{search_page}/disable";s:11:"set-default";s:59:"/admin/config/search/pages/manage/{search_page}/set-default";s:10:"collection";s:26:"/admin/config/search/pages";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Search page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"config:search_page_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'shortcut.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":35:{s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:12:"shortcut_set";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:5:"\0*\0id";s:8:"shortcut";s:11:"\0*\0provider";s:8:"shortcut";s:8:"\0*\0class";s:31:"Drupal\\shortcut\\Entity\\Shortcut";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:6:"access";s:44:"Drupal\\shortcut\\ShortcutAccessControlHandler";s:4:"form";a:4:{s:7:"default";s:28:"Drupal\\shortcut\\ShortcutForm";s:3:"add";s:28:"Drupal\\shortcut\\ShortcutForm";s:4:"edit";s:28:"Drupal\\shortcut\\ShortcutForm";s:6:"delete";s:39:"Drupal\\shortcut\\Form\\ShortcutDeleteForm";}s:11:"translation";s:52:"Drupal\\content_translation\\ContentTranslationHandler";s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";s:11:"delete-form";s:60:"/admin/config/user-interface/shortcut/link/{shortcut}/delete";s:9:"edit-form";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:12:"shortcut_set";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:8:"shortcut";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:19:"shortcut_field_data";s:15:"\0*\0translatable";b:1;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Shortcut link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:shortcut_set_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'shortcut.field_storage_definitions', 'a:8:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The ID of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"shortcut";s:10:"field_name";s:2:"id";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The UUID of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"shortcut";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}s:12:"shortcut_set";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:12:"shortcut_set";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The bundle of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:8:"provider";s:8:"shortcut";s:10:"field_name";s:12:"shortcut_set";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:111;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The name of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:3:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-10;s:8:"settings";a:1:{s:4:"size";i:40;}}}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:5:"title";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:153;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Weight among shortcuts in the same shortcut set.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";a:4:{s:7:"columns";a:3:{s:3:"uri";a:3:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;}s:5:"title";a:3:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;}s:7:"options";a:4:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;}}s:7:"indexes";a:1:{s:3:"uri";a:1:{i:0;a:2:{i:0;s:3:"uri";i:1;i:30;}}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:189;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:1;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Path";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"The location this shortcut points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:4:"link";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:241;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"The language code of the shortcut.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:279;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"shortcut";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:8:"shortcut";s:6:"bundle";N;}}}'),
('entity.definitions.installed', 'shortcut_set.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:3:"set";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:2:{i:0;s:2:"id";i:1;s:5:"label";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:12:"shortcut_set";s:11:"\0*\0provider";s:8:"shortcut";s:8:"\0*\0class";s:34:"Drupal\\shortcut\\Entity\\ShortcutSet";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:7:"storage";s:34:"Drupal\\shortcut\\ShortcutSetStorage";s:6:"access";s:47:"Drupal\\shortcut\\ShortcutSetAccessControlHandler";s:12:"list_builder";s:38:"Drupal\\shortcut\\ShortcutSetListBuilder";s:4:"form";a:5:{s:7:"default";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:3:"add";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:4:"edit";s:31:"Drupal\\shortcut\\ShortcutSetForm";s:9:"customize";s:33:"Drupal\\shortcut\\Form\\SetCustomize";s:6:"delete";s:42:"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm";}}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:14:"customize-form";s:69:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize";s:11:"delete-form";s:66:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete";s:9:"edit-form";s:59:"/admin/config/user-interface/shortcut/manage/{shortcut_set}";s:10:"collection";s:37:"/admin/config/user-interface/shortcut";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:8:"shortcut";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Shortcut set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:24:"config:shortcut_set_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'taxonomy_term.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:4:{s:16:"revision_default";s:16:"revision_default";s:13:"revision_user";s:13:"revision_user";s:16:"revision_created";s:16:"revision_created";s:20:"revision_log_message";s:20:"revision_log_message";}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:9:{s:2:"id";s:3:"tid";s:6:"bundle";s:3:"vid";s:5:"label";s:4:"name";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:11:"revision_id";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:5:"\0*\0id";s:13:"taxonomy_term";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:7:{s:7:"storage";s:27:"Drupal\\taxonomy\\TermStorage";s:14:"storage_schema";s:33:"Drupal\\taxonomy\\TermStorageSchema";s:12:"view_builder";s:31:"Drupal\\taxonomy\\TermViewBuilder";s:6:"access";s:40:"Drupal\\taxonomy\\TermAccessControlHandler";s:10:"views_data";s:29:"Drupal\\taxonomy\\TermViewsData";s:4:"form";a:2:{s:7:"default";s:24:"Drupal\\taxonomy\\TermForm";s:6:"delete";s:35:"Drupal\\taxonomy\\Form\\TermDeleteForm";}s:11:"translation";s:38:"Drupal\\taxonomy\\TermTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:3:{s:9:"canonical";s:30:"/taxonomy/term/{taxonomy_term}";s:11:"delete-form";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:9:"edit-form";s:35:"/taxonomy/term/{taxonomy_term}/edit";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:19:"taxonomy_vocabulary";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"taxonomy_term_data";s:22:"\0*\0revision_data_table";s:28:"taxonomy_term_field_revision";s:17:"\0*\0revision_table";s:22:"taxonomy_term_revision";s:13:"\0*\0data_table";s:24:"taxonomy_term_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";s:17:"taxonomy_term_uri";s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"taxonomy_term_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:27:"Drupal\\taxonomy\\Entity\\Term";s:11:"\0*\0provider";s:8:"taxonomy";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'taxonomy_term.field_storage_definitions', 'a:20:{s:3:"tid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The term ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"tid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:19:"taxonomy_vocabulary";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The vocabulary to which the term is assigned.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:110;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The term language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:149;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"required";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:2:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}s:6:"format";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:196;s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:text_long";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"A description of the term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:11:"description";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:244;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The weight of this term in relation to other terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:283;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:14:"custom_storage";b:0;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:320;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the term was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:12:"revisionable";b:1;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:350;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:25:"field_mt_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:39:"taxonomy_term.field_mt_collection_image";s:13:"\0*\0field_name";s:25:"field_mt_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:39:"taxonomy_term.field_mt_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-lR5c9_tUf2-ia5m2Pp2NrbexnvAg20VvfhEaiAusrXc";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_wide_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:13:"\0*\0field_name";s:30:"field_mt_wide_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:44:"taxonomy_term.field_mt_wide_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Dny-6e8rMd8eqZ51C4w8LPWJeAASFPLtS_V45MfI1t4";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_affiliation_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:40:"taxonomy_term.field_mt_affiliation_image";s:13:"\0*\0field_name";s:26:"field_mt_affiliation_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:40:"taxonomy_term.field_mt_affiliation_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-XUGpAywA2DuVWGLYDvnLUka6Exz4cej4bpJ3Q2lkV9o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:551;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"taxonomy_term";s:8:"provider";s:13:"taxonomy_term";s:6:"bundle";N;}}s:11:"revision_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:596;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:6:{s:10:"field_name";s:11:"revision_id";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Revision ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:13:"initial_value";N;}}s:16:"revision_default";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:629;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:10:"field_name";s:16:"revision_default";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Default revision";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"A flag indicating whether this was a default revision when it was saved.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:16:"storage_required";b:1;s:8:"internal";b:1;s:12:"translatable";b:0;s:12:"revisionable";b:1;s:13:"initial_value";N;}}s:29:"revision_translation_affected";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:670;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:10:"field_name";s:29:"revision_translation_affected";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Revision translation affected";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"Indicates if the last edit of a translation belongs to current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"initial_value";N;}}s:16:"revision_created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:710;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:10:"field_name";s:16:"revision_created";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision create time";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"The time that the current revision was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}}s:13:"revision_user";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:739;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:10:"field_name";s:13:"revision_user";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Revision user";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"The user ID of the author of the current revision.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"initial_value";N;}}s:20:"revision_log_message";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:775;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:8:{s:10:"field_name";s:20:"revision_log_message";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Revision log message";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Briefly describe the changes you have made.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:13:"initial_value";N;}}}');
INSERT INTO `key_value` VALUES
('entity.definitions.installed', 'taxonomy_vocabulary.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:10:"vocabulary";s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:4:"name";i:1;s:3:"vid";i:2;s:11:"description";i:3;s:9:"hierarchy";i:4;s:6:"weight";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:3:"vid";s:5:"label";s:4:"name";s:6:"weight";s:6:"weight";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:19:"taxonomy_vocabulary";s:11:"\0*\0provider";s:8:"taxonomy";s:8:"\0*\0class";s:33:"Drupal\\taxonomy\\Entity\\Vocabulary";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:7:"storage";s:33:"Drupal\\taxonomy\\VocabularyStorage";s:12:"list_builder";s:37:"Drupal\\taxonomy\\VocabularyListBuilder";s:4:"form";a:3:{s:7:"default";s:30:"Drupal\\taxonomy\\VocabularyForm";s:5:"reset";s:40:"Drupal\\taxonomy\\Form\\VocabularyResetForm";s:6:"delete";s:41:"Drupal\\taxonomy\\Form\\VocabularyDeleteForm";}s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";}s:19:"\0*\0admin_permission";s:19:"administer taxonomy";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:6:{s:8:"add-form";s:58:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add";s:11:"delete-form";s:61:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete";s:10:"reset-form";s:60:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset";s:13:"overview-form";s:63:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview";s:9:"edit-form";s:54:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}";s:10:"collection";s:25:"/admin/structure/taxonomy";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:13:"taxonomy_term";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Taxonomy vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:31:"config:taxonomy_vocabulary_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'tour.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:2:{i:0;s:19:"routes.*.route_name";i:1;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"module";i:3;s:6:"routes";i:4;s:4:"tips";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:4:"tour";s:11:"\0*\0provider";s:4:"tour";s:8:"\0*\0class";s:23:"Drupal\\tour\\Entity\\Tour";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:3:{s:12:"view_builder";s:27:"Drupal\\tour\\TourViewBuilder";s:6:"access";s:45:"Drupal\\Core\\Entity\\EntityAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Tour";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:tour_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'user.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":35:{s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:6:{s:2:"id";s:3:"uid";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:16:"default_langcode";s:16:"default_langcode";}s:5:"\0*\0id";s:4:"user";s:11:"\0*\0provider";s:4:"user";s:8:"\0*\0class";s:23:"Drupal\\user\\Entity\\User";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:9:{s:7:"storage";s:23:"Drupal\\user\\UserStorage";s:14:"storage_schema";s:29:"Drupal\\user\\UserStorageSchema";s:6:"access";s:36:"Drupal\\user\\UserAccessControlHandler";s:12:"list_builder";s:27:"Drupal\\user\\UserListBuilder";s:10:"views_data";s:25:"Drupal\\user\\UserViewsData";s:14:"route_provider";a:1:{s:4:"html";s:36:"Drupal\\user\\Entity\\UserRouteProvider";}s:4:"form";a:3:{s:7:"default";s:23:"Drupal\\user\\ProfileForm";s:6:"cancel";s:31:"Drupal\\user\\Form\\UserCancelForm";s:8:"register";s:24:"Drupal\\user\\RegisterForm";}s:11:"translation";s:37:"Drupal\\user\\ProfileTranslationHandler";s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";s:16:"administer users";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:9:"canonical";s:12:"/user/{user}";s:9:"edit-form";s:17:"/user/{user}/edit";s:11:"cancel-form";s:19:"/user/{user}/cancel";s:10:"collection";s:13:"/admin/people";}s:17:"\0*\0label_callback";s:16:"user_format_name";s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:5:"users";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:16:"users_field_data";s:15:"\0*\0translatable";b:1;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"User";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:22:"entity.user.admin_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:9:"user_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'user.field_storage_definitions', 'a:20:{s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"User ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The user ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The user UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:75;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The user language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:18:"preferred_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:105;s:13:"\0*\0definition";a:3:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:13:"AllowedValues";a:1:{s:8:"callback";s:60:"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes";}s:6:"Length";a:1:{s:3:"max";i:12;}}}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Preferred language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"The user''s preferred language code for receiving emails and viewing the site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:18:"preferred_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:24:"preferred_admin_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:141;s:13:"\0*\0definition";a:3:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:2:{s:13:"AllowedValues";a:1:{s:8:"callback";s:60:"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes";}s:6:"Length";a:1:{s:3:"max";i:12;}}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Preferred admin language code";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:68:"The user''s preferred language code for viewing administration pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";N;}}s:8:"provider";s:4:"user";s:10:"field_name";s:24:"preferred_admin_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:180;s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:5:"class";s:25:"\\Drupal\\user\\UserNameItem";}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:22:"The name of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:11:"constraints";a:2:{s:8:"UserName";a:0:{}s:14:"UserNameUnique";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"name";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:4:"pass";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"password";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:218;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:password";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Password";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The password of this user (hashed).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"constraints";a:1:{s:18:"ProtectedUserField";N;}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"pass";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:4:"mail";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:7:"varchar";s:6:"length";i:254;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:253;s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The email of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:11:"constraints";a:3:{s:14:"UserMailUnique";N;s:16:"UserMailRequired";N;s:18:"ProtectedUserField";N;}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"mail";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:8:"timezone";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:289;s:13:"\0*\0definition";a:3:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:11:"constraints";a:1:{s:11:"ComplexData";a:1:{s:5:"value";a:1:{s:13:"AllowedValues";a:1:{s:8:"callback";s:44:"Drupal\\user\\Entity\\User::getAllowedTimezones";}}}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Timezone";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"The timezone of this user.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:8:"timezone";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:327;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"User status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Whether the user is active or blocked.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:6:"status";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:367;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"The time that the user was created.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:7:"created";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:395;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the user was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:4:"user";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:6:"access";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:424;s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Last access";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The time that the user last accessed the site.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:6:"access";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:5:"login";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:455;s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Last login";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The time that the user last logged in.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:4:"user";s:10:"field_name";s:5:"login";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:4:"init";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:5:"email";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:7:"varchar";s:6:"length";i:254;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:486;s:13:"\0*\0definition";a:2:{s:4:"type";s:16:"field_item:email";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Initial email";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The email address used for initial account creation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:4:"user";s:10:"field_name";s:4:"init";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:5:"roles";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:518;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:9:"user_role";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Roles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The roles the user has.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:4:"user";s:10:"field_name";s:5:"roles";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:554;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:4:"user";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:4:"user";s:6:"bundle";N;}}s:12:"user_picture";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":28:{s:5:"\0*\0id";s:17:"user.user_picture";s:13:"\0*\0field_name";s:12:"user_picture";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";N;s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";i:1;s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:17:"user.user_picture";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"f0a7a429-9964-450b-9517-9f8312b42f58";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:1:{s:19:"default_config_hash";s:43:"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU";}s:14:"\0*\0trustedData";b:1;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";b:1;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:4:"user";}}}s:18:"field_mt_full_name";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":33:{s:5:"\0*\0id";s:23:"user.field_mt_full_name";s:13:"\0*\0field_name";s:18:"field_mt_full_name";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:6:"string";s:9:"\0*\0module";s:4:"core";s:11:"\0*\0settings";a:3:{s:10:"max_length";s:3:"255";s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"user.field_mt_full_name";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"e41c0ee4-3c09-4a16-8404-7c2d5b326ca0";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:1:{i:0;s:4:"user";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-7MWzSGxa_U6e1mMeAFjTJN6UA0J7OfYaBaJ7_BJCzUo";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:18:"field_mt_signature";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":33:{s:5:"\0*\0id";s:23:"user.field_mt_signature";s:13:"\0*\0field_name";s:18:"field_mt_signature";s:14:"\0*\0entity_type";s:4:"user";s:7:"\0*\0type";s:17:"text_with_summary";s:9:"\0*\0module";s:4:"text";s:11:"\0*\0settings";a:0:{}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:23:"user.field_mt_signature";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"77dbe3d4-bf6e-4615-beed-10a1d41d9fb1";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:2:{i:0;s:4:"text";i:1;s:4:"user";}}s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-VUfGMCYSV7JRxyh7Xtm5m_qu1_wXAEeifFJCLgyLr5M";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}}'),
('entity.definitions.installed', 'user_role.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";s:4:"role";s:15:"\0*\0static_cache";b:1;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:5:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"weight";i:3;s:8:"is_admin";i:4;s:11:"permissions";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:6:"weight";s:6:"weight";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:9:"user_role";s:11:"\0*\0provider";s:4:"user";s:8:"\0*\0class";s:23:"Drupal\\user\\Entity\\Role";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:4:{s:7:"storage";s:23:"Drupal\\user\\RoleStorage";s:6:"access";s:36:"Drupal\\user\\RoleAccessControlHandler";s:12:"list_builder";s:27:"Drupal\\user\\RoleListBuilder";s:4:"form";a:2:{s:7:"default";s:20:"Drupal\\user\\RoleForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}}s:19:"\0*\0admin_permission";s:22:"administer permissions";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:4:{s:11:"delete-form";s:45:"/admin/people/roles/manage/{user_role}/delete";s:9:"edit-form";s:38:"/admin/people/roles/manage/{user_role}";s:21:"edit-permissions-form";s:37:"/admin/people/permissions/{user_role}";s:10:"collection";s:19:"/admin/people/roles";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Role";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:21:"config:user_role_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'view.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":39:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:9:{i:0;s:2:"id";i:1;s:5:"label";i:2;s:6:"module";i:3;s:11:"description";i:4;s:3:"tag";i:5;s:10:"base_table";i:6;s:10:"base_field";i:7;s:4:"core";i:8;s:7:"display";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:6:"status";s:6:"status";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:4:"view";s:11:"\0*\0provider";s:5:"views";s:8:"\0*\0class";s:24:"Drupal\\views\\Entity\\View";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:2:{s:6:"access";s:37:"Drupal\\views\\ViewAccessControlHandler";s:7:"storage";s:45:"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage";}s:19:"\0*\0admin_permission";s:16:"administer views";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:0:{}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:15:"\0*\0translatable";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"View";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:16:"View entity type";}}s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:16:"config:view_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'webform.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":42:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:3:{i:0;s:6:"status";i:1;s:8:"template";i:2;s:4:"uuid";}s:16:"\0*\0config_export";a:17:{i:0;s:6:"status";i:1;s:4:"open";i:2;s:5:"close";i:3;s:3:"uid";i:4;s:8:"template";i:5;s:2:"id";i:6;s:4:"uuid";i:7;s:5:"title";i:8;s:11:"description";i:9;s:8:"category";i:10;s:8:"elements";i:11;s:3:"css";i:12;s:10:"javascript";i:13;s:8:"settings";i:14;s:6:"access";i:15;s:8:"handlers";i:16;s:20:"third_party_settings";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"title";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:7:"webform";s:16:"\0*\0originalClass";s:29:"Drupal\\webform\\Entity\\Webform";s:11:"\0*\0handlers";a:5:{s:7:"storage";s:36:"\\Drupal\\webform\\WebformEntityStorage";s:12:"view_builder";s:39:"Drupal\\webform\\WebformEntityViewBuilder";s:12:"list_builder";s:39:"Drupal\\webform\\WebformEntityListBuilder";s:6:"access";s:48:"Drupal\\webform\\WebformEntityAccessControlHandler";s:4:"form";a:11:{s:3:"add";s:35:"Drupal\\webform\\WebformEntityAddForm";s:9:"duplicate";s:35:"Drupal\\webform\\WebformEntityAddForm";s:6:"delete";s:38:"Drupal\\webform\\WebformEntityDeleteForm";s:4:"edit";s:40:"Drupal\\webform\\WebformEntityElementsForm";s:8:"settings";s:62:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsGeneralForm";s:13:"settings_form";s:59:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsFormForm";s:20:"settings_submissions";s:66:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsSubmissionsForm";s:21:"settings_confirmation";s:67:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsConfirmationForm";s:15:"settings_assets";s:61:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsAssetsForm";s:15:"settings_access";s:61:"Drupal\\webform\\EntitySettings\\WebformEntitySettingsAccessForm";s:8:"handlers";s:40:"Drupal\\webform\\WebformEntityHandlersForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:20:{s:9:"canonical";s:18:"/webform/{webform}";s:11:"submissions";s:30:"/webform/{webform}/submissions";s:8:"add-form";s:18:"/webform/{webform}";s:9:"edit-form";s:50:"/admin/structure/webform/manage/{webform}/elements";s:9:"test-form";s:23:"/webform/{webform}/test";s:14:"duplicate-form";s:51:"/admin/structure/webform/manage/{webform}/duplicate";s:11:"delete-form";s:48:"/admin/structure/webform/manage/{webform}/delete";s:11:"export-form";s:48:"/admin/structure/webform/manage/{webform}/export";s:8:"settings";s:50:"/admin/structure/webform/manage/{webform}/settings";s:13:"settings-form";s:55:"/admin/structure/webform/manage/{webform}/settings/form";s:20:"settings-submissions";s:62:"/admin/structure/webform/manage/{webform}/settings/submissions";s:21:"settings-confirmation";s:63:"/admin/structure/webform/manage/{webform}/settings/confirmation";s:15:"settings-assets";s:57:"/admin/structure/webform/manage/{webform}/settings/assets";s:15:"settings-access";s:57:"/admin/structure/webform/manage/{webform}/settings/access";s:8:"handlers";s:50:"/admin/structure/webform/manage/{webform}/handlers";s:19:"results-submissions";s:61:"/admin/structure/webform/manage/{webform}/results/submissions";s:14:"results-export";s:58:"/admin/structure/webform/manage/{webform}/results/download";s:11:"results-log";s:53:"/admin/structure/webform/manage/{webform}/results/log";s:13:"results-clear";s:55:"/admin/structure/webform/manage/{webform}/results/clear";s:10:"collection";s:24:"/admin/structure/webform";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";s:18:"webform_submission";s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:19:"config:webform_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:29:"Drupal\\webform\\Entity\\Webform";s:11:"\0*\0provider";s:7:"webform";s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'webform_options.entity_type', 'O:42:"Drupal\\Core\\Config\\Entity\\ConfigEntityType":42:{s:16:"\0*\0config_prefix";N;s:15:"\0*\0static_cache";b:0;s:14:"\0*\0lookup_keys";a:1:{i:0;s:4:"uuid";}s:16:"\0*\0config_export";a:6:{i:0;s:2:"id";i:1;s:4:"uuid";i:2;s:5:"label";i:3;s:8:"category";i:4;s:6:"likert";i:5;s:7:"options";}s:21:"\0*\0mergedConfigExport";a:0:{}s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"label";s:8:"revision";s:0:"";s:6:"bundle";s:0:"";s:8:"langcode";s:8:"langcode";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";s:4:"uuid";s:4:"uuid";}s:5:"\0*\0id";s:15:"webform_options";s:16:"\0*\0originalClass";s:36:"Drupal\\webform\\Entity\\WebformOptions";s:11:"\0*\0handlers";a:4:{s:7:"storage";s:37:"\\Drupal\\webform\\WebformOptionsStorage";s:6:"access";s:49:"Drupal\\webform\\WebformOptionsAccessControlHandler";s:12:"list_builder";s:40:"Drupal\\webform\\WebformOptionsListBuilder";s:4:"form";a:4:{s:3:"add";s:33:"Drupal\\webform\\WebformOptionsForm";s:4:"edit";s:33:"Drupal\\webform\\WebformOptionsForm";s:9:"duplicate";s:33:"Drupal\\webform\\WebformOptionsForm";s:6:"delete";s:35:"Drupal\\Core\\Entity\\EntityDeleteForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:5:{s:8:"add-form";s:43:"/admin/structure/webform/config/options/add";s:9:"edit-form";s:69:"/admin/structure/webform/config/options/manage/{webform_options}/edit";s:14:"duplicate-form";s:74:"/admin/structure/webform/config/options/manage/{webform_options}/duplicate";s:11:"delete-form";s:71:"/admin/structure/webform/config/options/manage/{webform_options}/delete";s:10:"collection";s:46:"/admin/structure/webform/config/options/manage";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";N;s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform options";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:13:"configuration";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:27:"config:webform_options_list";}s:14:"\0*\0constraints";a:0:{}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:36:"Drupal\\webform\\Entity\\WebformOptions";s:11:"\0*\0provider";s:7:"webform";s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'webform_submission.entity_type', 'O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:31:"\0*\0requiredRevisionMetadataKeys";a:1:{s:16:"revision_default";s:16:"revision_default";}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:7:{s:2:"id";s:3:"sid";s:6:"bundle";s:10:"webform_id";s:4:"uuid";s:4:"uuid";s:8:"langcode";s:8:"langcode";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:29:"revision_translation_affected";s:29:"revision_translation_affected";}s:5:"\0*\0id";s:18:"webform_submission";s:16:"\0*\0originalClass";s:39:"Drupal\\webform\\Entity\\WebformSubmission";s:11:"\0*\0handlers";a:7:{s:7:"storage";s:39:"Drupal\\webform\\WebformSubmissionStorage";s:14:"storage_schema";s:45:"Drupal\\webform\\WebformSubmissionStorageSchema";s:10:"views_data";s:41:"Drupal\\webform\\WebformSubmissionViewsData";s:12:"view_builder";s:43:"Drupal\\webform\\WebformSubmissionViewBuilder";s:12:"list_builder";s:43:"Drupal\\webform\\WebformSubmissionListBuilder";s:6:"access";s:52:"Drupal\\webform\\WebformSubmissionAccessControlHandler";s:4:"form";a:8:{s:3:"add";s:36:"Drupal\\webform\\WebformSubmissionForm";s:4:"edit";s:36:"Drupal\\webform\\WebformSubmissionForm";s:8:"edit_all";s:36:"Drupal\\webform\\WebformSubmissionForm";s:3:"api";s:36:"Drupal\\webform\\WebformSubmissionForm";s:4:"test";s:36:"Drupal\\webform\\WebformSubmissionForm";s:5:"notes";s:41:"Drupal\\webform\\WebformSubmissionNotesForm";s:9:"duplicate";s:45:"Drupal\\webform\\WebformSubmissionDuplicateForm";s:6:"delete";s:47:"Drupal\\webform\\Form\\WebformSubmissionDeleteForm";}}s:19:"\0*\0admin_permission";s:18:"administer webform";s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:10:{s:9:"canonical";s:73:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}";s:5:"table";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/table";s:4:"text";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/text";s:4:"yaml";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/yaml";s:9:"edit-form";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/edit";s:10:"notes-form";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/notes";s:11:"resend-form";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/resend";s:14:"duplicate-form";s:83:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/duplicate";s:11:"delete-form";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/delete";s:10:"collection";s:48:"/admin/structure/webform/submissions/manage/list";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:7:"webform";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"webform_submission";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";N;s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:0;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Webform submission";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:1:{i:0;s:4:"user";}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:23:"webform_submission_list";}s:14:"\0*\0constraints";a:1:{s:26:"EntityUntranslatableFields";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:39:"Drupal\\webform\\Entity\\WebformSubmission";s:11:"\0*\0provider";s:7:"webform";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}'),
('entity.definitions.installed', 'webform_submission.field_storage_definitions', 'a:19:{s:6:"serial";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:2;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Serial number";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The serial number of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"serial";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:3:"sid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:39;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Submission ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"The ID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"sid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:76;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Submission UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:42:"The UUID of the webform submission entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:5:"token";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:112;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Token";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"A secure token used to look up a submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:5:"token";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:3:"uri";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:2000;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:146;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:2000;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Submission URI";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The URI the user submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"uri";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:7:"created";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"created";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:180;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:created";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Created";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was first saved as draft or submitted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:7:"created";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:9:"completed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:9:"timestamp";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:208;s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:timestamp";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Completed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:75:"The time that the webform submission was submitted as complete (not draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:9:"completed";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:236;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:72:"The time that the webform submission was last saved (complete or draft).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:8:"in_draft";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:264;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Is draft";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Is this a draft of the submission?";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:8:"in_draft";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:12:"current_page";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:304;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Current page";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"The current wizard page.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:12:"current_page";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:11:"remote_addr";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:337;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Remote IP address";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"The IP address of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:11:"remote_addr";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:3:"uid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:370;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:4:"user";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Submitted by";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"The username of the user that submitted the webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:22:"default_value_callback";s:57:"Drupal\\webform\\Entity\\WebformSubmission::getCurrentUserId";s:8:"provider";s:7:"webform";s:10:"field_name";s:3:"uid";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:406;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The submission language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:10:"webform_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:435;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:7:"webform";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Webform";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The associated webform.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:10:"webform_id";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:11:"entity_type";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:470;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Submitted to: Entity type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:60:"The entity type to which this submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:11:"entity_type";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:9:"entity_id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:503;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"Submitted to: Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:73:"The ID of the entity of which this webform submission was submitted from.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:7:"webform";s:10:"field_name";s:9:"entity_id";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:6:"locked";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:536;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Locked";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"A flag that indicates a locked webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"locked";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:6:"sticky";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:576;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Sticky";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag that indicate the status of the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:7:"webform";s:10:"field_name";s:6:"sticky";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}s:5:"notes";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:11:"string_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:616;s:13:"\0*\0definition";a:2:{s:4:"type";s:22:"field_item:string_long";s:8:"settings";a:1:{s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Notes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:50:"Administrative notes about the webform submission.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:8:"provider";s:7:"webform";s:10:"field_name";s:5:"notes";s:11:"entity_type";s:18:"webform_submission";s:6:"bundle";N;}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'block_content.entity_schema_data', 'a:4:{s:13:"block_content";a:2:{s:11:"primary key";a:1:{i:0;s:2:"id";}s:11:"unique keys";a:1:{s:26:"block_content__revision_id";a:1:{i:0;s:11:"revision_id";}}}s:22:"block_content_revision";a:2:{s:11:"primary key";a:1:{i:0;s:11:"revision_id";}s:7:"indexes";a:1:{s:17:"block_content__id";a:1:{i:0;s:2:"id";}}}s:24:"block_content_field_data";a:2:{s:11:"primary key";a:2:{i:0;s:2:"id";i:1;s:8:"langcode";}s:7:"indexes";a:3:{s:45:"block_content__id__default_langcode__langcode";a:3:{i:0;s:2:"id";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}s:26:"block_content__revision_id";a:1:{i:0;s:11:"revision_id";}s:26:"block_content__status_type";a:3:{i:0;s:6:"status";i:1;s:4:"type";i:2;s:2:"id";}}}s:28:"block_content_field_revision";a:2:{s:11:"primary key";a:2:{i:0;s:11:"revision_id";i:1;s:8:"langcode";}s:7:"indexes";a:1:{s:45:"block_content__id__default_langcode__langcode";a:3:{i:0;s:2:"id";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.body', 'a:2:{s:19:"block_content__body";a:4:{s:11:"description";s:42:"Data storage for block_content field body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:10:"body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:12:"body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:11:"body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:11:"body_format";a:1:{i:0;s:11:"body_format";}}}s:28:"block_content_revision__body";a:4:{s:11:"description";s:54:"Revision archive storage for block_content field body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:10:"body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:12:"body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:11:"body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:11:"body_format";a:1:{i:0;s:11:"body_format";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.changed', 'a:2:{s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.default_langcode', 'a:2:{s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_background_image', 'a:2:{s:40:"block_content__field_mt_background_image";a:5:{s:11:"description";s:63:"Data storage for block_content field field_mt_background_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_background_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_background_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_background_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_background_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_background_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_background_image_target_id";a:1:{i:0;s:35:"field_mt_background_image_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_background_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_background_image_target_id";s:3:"fid";}}}}s:27:"block_content_r__7b18559961";a:5:{s:11:"description";s:75:"Revision archive storage for block_content field field_mt_background_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_background_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_background_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_background_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_background_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_background_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_background_image_target_id";a:1:{i:0;s:35:"field_mt_background_image_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_background_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_background_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bg_image_color', 'a:2:{s:38:"block_content__field_mt_bg_image_color";a:4:{s:11:"description";s:61:"Data storage for block_content field field_mt_bg_image_color.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_bg_image_color_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_bg_image_color_value";a:1:{i:0;s:29:"field_mt_bg_image_color_value";}}}s:47:"block_content_revision__field_mt_bg_image_color";a:4:{s:11:"description";s:73:"Revision archive storage for block_content field field_mt_bg_image_color.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_bg_image_color_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_bg_image_color_value";a:1:{i:0;s:29:"field_mt_bg_image_color_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bg_image_layout_mode', 'a:2:{s:44:"block_content__field_mt_bg_image_layout_mode";a:4:{s:11:"description";s:67:"Data storage for block_content field field_mt_bg_image_layout_mode.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_bg_image_layout_mode_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_bg_image_layout_mode_value";a:1:{i:0;s:35:"field_mt_bg_image_layout_mode_value";}}}s:27:"block_content_r__5b9b19743c";a:4:{s:11:"description";s:79:"Revision archive storage for block_content field field_mt_bg_image_layout_mode.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_bg_image_layout_mode_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_bg_image_layout_mode_value";a:1:{i:0;s:35:"field_mt_bg_image_layout_mode_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bg_image_opacity', 'a:2:{s:40:"block_content__field_mt_bg_image_opacity";a:4:{s:11:"description";s:63:"Data storage for block_content field field_mt_bg_image_opacity.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bg_image_opacity_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__e46051d2e8";a:4:{s:11:"description";s:75:"Revision archive storage for block_content field field_mt_bg_image_opacity.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bg_image_opacity_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bg_image_positioning', 'a:2:{s:44:"block_content__field_mt_bg_image_positioning";a:4:{s:11:"description";s:67:"Data storage for block_content field field_mt_bg_image_positioning.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_bg_image_positioning_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__72fc733ed0";a:4:{s:11:"description";s:79:"Revision archive storage for block_content field field_mt_bg_image_positioning.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_bg_image_positioning_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_block_reference', 'a:2:{s:39:"block_content__field_mt_block_reference";a:4:{s:11:"description";s:62:"Data storage for block_content field field_mt_block_reference.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_block_reference_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_block_reference_target_id";a:1:{i:0;s:34:"field_mt_block_reference_target_id";}}}s:48:"block_content_revision__field_mt_block_reference";a:4:{s:11:"description";s:74:"Revision archive storage for block_content field field_mt_block_reference.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_block_reference_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_block_reference_target_id";a:1:{i:0;s:34:"field_mt_block_reference_target_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bv_layout_mode', 'a:2:{s:38:"block_content__field_mt_bv_layout_mode";a:4:{s:11:"description";s:61:"Data storage for block_content field field_mt_bv_layout_mode.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_bv_layout_mode_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_bv_layout_mode_value";a:1:{i:0;s:29:"field_mt_bv_layout_mode_value";}}}s:47:"block_content_revision__field_mt_bv_layout_mode";a:4:{s:11:"description";s:73:"Revision archive storage for block_content field field_mt_bv_layout_mode.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_bv_layout_mode_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_bv_layout_mode_value";a:1:{i:0;s:29:"field_mt_bv_layout_mode_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bv_overlay_color', 'a:2:{s:40:"block_content__field_mt_bv_overlay_color";a:4:{s:11:"description";s:63:"Data storage for block_content field field_mt_bv_overlay_color.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bv_overlay_color_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_bv_overlay_color_value";a:1:{i:0;s:31:"field_mt_bv_overlay_color_value";}}}s:27:"block_content_r__4631ce0d7c";a:4:{s:11:"description";s:75:"Revision archive storage for block_content field field_mt_bv_overlay_color.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bv_overlay_color_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_bv_overlay_color_value";a:1:{i:0;s:31:"field_mt_bv_overlay_color_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bv_overlay_opacity', 'a:2:{s:42:"block_content__field_mt_bv_overlay_opacity";a:4:{s:11:"description";s:65:"Data storage for block_content field field_mt_bv_overlay_opacity.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_bv_overlay_opacity_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__6e405e2d16";a:4:{s:11:"description";s:77:"Revision archive storage for block_content field field_mt_bv_overlay_opacity.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_bv_overlay_opacity_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bv_poster', 'a:2:{s:33:"block_content__field_mt_bv_poster";a:5:{s:11:"description";s:56:"Data storage for block_content field field_mt_bv_poster.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_bv_poster_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_bv_poster_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_bv_poster_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_bv_poster_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_bv_poster_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_bv_poster_target_id";a:1:{i:0;s:28:"field_mt_bv_poster_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_bv_poster_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_bv_poster_target_id";s:3:"fid";}}}}s:42:"block_content_revision__field_mt_bv_poster";a:5:{s:11:"description";s:68:"Revision archive storage for block_content field field_mt_bv_poster.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_bv_poster_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_bv_poster_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_bv_poster_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_bv_poster_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_bv_poster_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_bv_poster_target_id";a:1:{i:0;s:28:"field_mt_bv_poster_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_bv_poster_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_bv_poster_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bv_video_mp4', 'a:2:{s:36:"block_content__field_mt_bv_video_mp4";a:5:{s:11:"description";s:59:"Data storage for block_content field field_mt_bv_video_mp4.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bv_video_mp4_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_bv_video_mp4_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:33:"field_mt_bv_video_mp4_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_bv_video_mp4_target_id";a:1:{i:0;s:31:"field_mt_bv_video_mp4_target_id";}}s:12:"foreign keys";a:1:{s:31:"field_mt_bv_video_mp4_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:31:"field_mt_bv_video_mp4_target_id";s:3:"fid";}}}}s:45:"block_content_revision__field_mt_bv_video_mp4";a:5:{s:11:"description";s:71:"Revision archive storage for block_content field field_mt_bv_video_mp4.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bv_video_mp4_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_bv_video_mp4_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:33:"field_mt_bv_video_mp4_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_bv_video_mp4_target_id";a:1:{i:0;s:31:"field_mt_bv_video_mp4_target_id";}}s:12:"foreign keys";a:1:{s:31:"field_mt_bv_video_mp4_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:31:"field_mt_bv_video_mp4_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_bv_video_webm', 'a:2:{s:37:"block_content__field_mt_bv_video_webm";a:5:{s:11:"description";s:60:"Data storage for block_content field field_mt_bv_video_webm.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_bv_video_webm_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_bv_video_webm_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:34:"field_mt_bv_video_webm_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_bv_video_webm_target_id";a:1:{i:0;s:32:"field_mt_bv_video_webm_target_id";}}s:12:"foreign keys";a:1:{s:32:"field_mt_bv_video_webm_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:32:"field_mt_bv_video_webm_target_id";s:3:"fid";}}}}s:46:"block_content_revision__field_mt_bv_video_webm";a:5:{s:11:"description";s:72:"Revision archive storage for block_content field field_mt_bv_video_webm.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_bv_video_webm_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_bv_video_webm_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:34:"field_mt_bv_video_webm_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_bv_video_webm_target_id";a:1:{i:0;s:32:"field_mt_bv_video_webm_target_id";}}s:12:"foreign keys";a:1:{s:32:"field_mt_bv_video_webm_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:32:"field_mt_bv_video_webm_target_id";s:3:"fid";}}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_cb_collapse_icon', 'a:2:{s:40:"block_content__field_mt_cb_collapse_icon";a:4:{s:11:"description";s:63:"Data storage for block_content field field_mt_cb_collapse_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_cb_collapse_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__97edb858ae";a:4:{s:11:"description";s:75:"Revision archive storage for block_content field field_mt_cb_collapse_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_cb_collapse_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_cb_expand_icon', 'a:2:{s:38:"block_content__field_mt_cb_expand_icon";a:4:{s:11:"description";s:61:"Data storage for block_content field field_mt_cb_expand_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_cb_expand_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:47:"block_content_revision__field_mt_cb_expand_icon";a:4:{s:11:"description";s:73:"Revision archive storage for block_content field field_mt_cb_expand_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_cb_expand_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_cb_state', 'a:2:{s:32:"block_content__field_mt_cb_state";a:4:{s:11:"description";s:55:"Data storage for block_content field field_mt_cb_state.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_cb_state_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_cb_state_value";a:1:{i:0;s:23:"field_mt_cb_state_value";}}}s:41:"block_content_revision__field_mt_cb_state";a:4:{s:11:"description";s:67:"Revision archive storage for block_content field field_mt_cb_state.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_cb_state_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_cb_state_value";a:1:{i:0;s:23:"field_mt_cb_state_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_cb_title', 'a:2:{s:32:"block_content__field_mt_cb_title";a:4:{s:11:"description";s:55:"Data storage for block_content field field_mt_cb_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_cb_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:41:"block_content_revision__field_mt_cb_title";a:4:{s:11:"description";s:67:"Revision archive storage for block_content field field_mt_cb_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_cb_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_cb_trigger_position', 'a:2:{s:43:"block_content__field_mt_cb_trigger_position";a:4:{s:11:"description";s:66:"Data storage for block_content field field_mt_cb_trigger_position.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_cb_trigger_position_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_cb_trigger_position_value";a:1:{i:0;s:34:"field_mt_cb_trigger_position_value";}}}s:27:"block_content_r__66091821cc";a:4:{s:11:"description";s:78:"Revision archive storage for block_content field field_mt_cb_trigger_position.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_cb_trigger_position_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_cb_trigger_position_value";a:1:{i:0;s:34:"field_mt_cb_trigger_position_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_dropdown', 'a:2:{s:32:"block_content__field_mt_dropdown";a:4:{s:11:"description";s:55:"Data storage for block_content field field_mt_dropdown.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_dropdown_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:36:"field_mt_dropdown_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_dropdown_target_id";a:1:{i:0;s:27:"field_mt_dropdown_target_id";}s:36:"field_mt_dropdown_target_revision_id";a:1:{i:0;s:36:"field_mt_dropdown_target_revision_id";}}}s:41:"block_content_revision__field_mt_dropdown";a:4:{s:11:"description";s:67:"Revision archive storage for block_content field field_mt_dropdown.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_dropdown_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:36:"field_mt_dropdown_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_dropdown_target_id";a:1:{i:0;s:27:"field_mt_dropdown_target_id";}s:36:"field_mt_dropdown_target_revision_id";a:1:{i:0;s:36:"field_mt_dropdown_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_fancy_linked_image', 'a:2:{s:42:"block_content__field_mt_fancy_linked_image";a:4:{s:11:"description";s:65:"Data storage for block_content field field_mt_fancy_linked_image.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_fancy_linked_image_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:46:"field_mt_fancy_linked_image_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:37:"field_mt_fancy_linked_image_target_id";a:1:{i:0;s:37:"field_mt_fancy_linked_image_target_id";}s:46:"field_mt_fancy_linked_image_target_revision_id";a:1:{i:0;s:46:"field_mt_fancy_linked_image_target_revision_id";}}}s:27:"block_content_r__4c59a7dd4d";a:4:{s:11:"description";s:77:"Revision archive storage for block_content field field_mt_fancy_linked_image.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_fancy_linked_image_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:46:"field_mt_fancy_linked_image_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:37:"field_mt_fancy_linked_image_target_id";a:1:{i:0;s:37:"field_mt_fancy_linked_image_target_id";}s:46:"field_mt_fancy_linked_image_target_revision_id";a:1:{i:0;s:46:"field_mt_fancy_linked_image_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_fancy_tab', 'a:2:{s:33:"block_content__field_mt_fancy_tab";a:4:{s:11:"description";s:56:"Data storage for block_content field field_mt_fancy_tab.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_fancy_tab_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:37:"field_mt_fancy_tab_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_fancy_tab_target_id";a:1:{i:0;s:28:"field_mt_fancy_tab_target_id";}s:37:"field_mt_fancy_tab_target_revision_id";a:1:{i:0;s:37:"field_mt_fancy_tab_target_revision_id";}}}s:42:"block_content_revision__field_mt_fancy_tab";a:4:{s:11:"description";s:68:"Revision archive storage for block_content field field_mt_fancy_tab.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_fancy_tab_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:37:"field_mt_fancy_tab_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_fancy_tab_target_id";a:1:{i:0;s:28:"field_mt_fancy_tab_target_id";}s:37:"field_mt_fancy_tab_target_revision_id";a:1:{i:0;s:37:"field_mt_fancy_tab_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_fltt', 'a:2:{s:28:"block_content__field_mt_fltt";a:4:{s:11:"description";s:51:"Data storage for block_content field field_mt_fltt.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_fltt_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:32:"field_mt_fltt_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_fltt_target_id";a:1:{i:0;s:23:"field_mt_fltt_target_id";}s:32:"field_mt_fltt_target_revision_id";a:1:{i:0;s:32:"field_mt_fltt_target_revision_id";}}}s:37:"block_content_revision__field_mt_fltt";a:4:{s:11:"description";s:63:"Revision archive storage for block_content field field_mt_fltt.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_fltt_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:32:"field_mt_fltt_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_fltt_target_id";a:1:{i:0;s:23:"field_mt_fltt_target_id";}s:32:"field_mt_fltt_target_revision_id";a:1:{i:0;s:32:"field_mt_fltt_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_if', 'a:2:{s:26:"block_content__field_mt_if";a:4:{s:11:"description";s:49:"Data storage for block_content field field_mt_if.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_if_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_if_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_if_target_id";a:1:{i:0;s:21:"field_mt_if_target_id";}s:30:"field_mt_if_target_revision_id";a:1:{i:0;s:30:"field_mt_if_target_revision_id";}}}s:35:"block_content_revision__field_mt_if";a:4:{s:11:"description";s:61:"Revision archive storage for block_content field field_mt_if.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_if_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_if_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_if_target_id";a:1:{i:0;s:21:"field_mt_if_target_id";}s:30:"field_mt_if_target_revision_id";a:1:{i:0;s:30:"field_mt_if_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_main_slideshow_layout', 'a:2:{s:45:"block_content__field_mt_main_slideshow_layout";a:4:{s:11:"description";s:68:"Data storage for block_content field field_mt_main_slideshow_layout.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_main_slideshow_layout_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_main_slideshow_layout_value";a:1:{i:0;s:36:"field_mt_main_slideshow_layout_value";}}}s:27:"block_content_r__f74aaa688c";a:4:{s:11:"description";s:80:"Revision archive storage for block_content field field_mt_main_slideshow_layout.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_main_slideshow_layout_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_main_slideshow_layout_value";a:1:{i:0;s:36:"field_mt_main_slideshow_layout_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_main_slideshow_slide', 'a:2:{s:44:"block_content__field_mt_main_slideshow_slide";a:4:{s:11:"description";s:67:"Data storage for block_content field field_mt_main_slideshow_slide.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:39:"field_mt_main_slideshow_slide_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:48:"field_mt_main_slideshow_slide_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:39:"field_mt_main_slideshow_slide_target_id";a:1:{i:0;s:39:"field_mt_main_slideshow_slide_target_id";}s:48:"field_mt_main_slideshow_slide_target_revision_id";a:1:{i:0;s:48:"field_mt_main_slideshow_slide_target_revision_id";}}}s:27:"block_content_r__c13740b5bd";a:4:{s:11:"description";s:79:"Revision archive storage for block_content field field_mt_main_slideshow_slide.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:39:"field_mt_main_slideshow_slide_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:48:"field_mt_main_slideshow_slide_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:39:"field_mt_main_slideshow_slide_target_id";a:1:{i:0;s:39:"field_mt_main_slideshow_slide_target_id";}s:48:"field_mt_main_slideshow_slide_target_revision_id";a:1:{i:0;s:48:"field_mt_main_slideshow_slide_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_map_location', 'a:2:{s:36:"block_content__field_mt_map_location";a:4:{s:11:"description";s:59:"Data storage for block_content field field_mt_map_location.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_map_location_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:40:"field_mt_map_location_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_map_location_target_id";a:1:{i:0;s:31:"field_mt_map_location_target_id";}s:40:"field_mt_map_location_target_revision_id";a:1:{i:0;s:40:"field_mt_map_location_target_revision_id";}}}s:45:"block_content_revision__field_mt_map_location";a:4:{s:11:"description";s:71:"Revision archive storage for block_content field field_mt_map_location.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_map_location_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:40:"field_mt_map_location_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_map_location_target_id";a:1:{i:0;s:31:"field_mt_map_location_target_id";}s:40:"field_mt_map_location_target_revision_id";a:1:{i:0;s:40:"field_mt_map_location_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_map_zoom', 'a:2:{s:32:"block_content__field_mt_map_zoom";a:4:{s:11:"description";s:55:"Data storage for block_content field field_mt_map_zoom.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_map_zoom_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:41:"block_content_revision__field_mt_map_zoom";a:4:{s:11:"description";s:67:"Revision archive storage for block_content field field_mt_map_zoom.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_map_zoom_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_media_tab', 'a:2:{s:33:"block_content__field_mt_media_tab";a:4:{s:11:"description";s:56:"Data storage for block_content field field_mt_media_tab.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_media_tab_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:37:"field_mt_media_tab_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_media_tab_target_id";a:1:{i:0;s:28:"field_mt_media_tab_target_id";}s:37:"field_mt_media_tab_target_revision_id";a:1:{i:0;s:37:"field_mt_media_tab_target_revision_id";}}}s:42:"block_content_revision__field_mt_media_tab";a:4:{s:11:"description";s:68:"Revision archive storage for block_content field field_mt_media_tab.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_media_tab_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:37:"field_mt_media_tab_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_media_tab_target_id";a:1:{i:0;s:28:"field_mt_media_tab_target_id";}s:37:"field_mt_media_tab_target_revision_id";a:1:{i:0;s:37:"field_mt_media_tab_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_background_opacity', 'a:2:{s:45:"block_content__field_mt_ms_background_opacity";a:4:{s:11:"description";s:68:"Data storage for block_content field field_mt_ms_background_opacity.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_ms_background_opacity_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__fd238027f5";a:4:{s:11:"description";s:80:"Revision archive storage for block_content field field_mt_ms_background_opacity.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_ms_background_opacity_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_bullets_position', 'a:2:{s:43:"block_content__field_mt_ms_bullets_position";a:4:{s:11:"description";s:66:"Data storage for block_content field field_mt_ms_bullets_position.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_ms_bullets_position_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_ms_bullets_position_value";a:1:{i:0;s:34:"field_mt_ms_bullets_position_value";}}}s:27:"block_content_r__27683698d1";a:4:{s:11:"description";s:78:"Revision archive storage for block_content field field_mt_ms_bullets_position.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_ms_bullets_position_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_ms_bullets_position_value";a:1:{i:0;s:34:"field_mt_ms_bullets_position_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_effect', 'a:2:{s:33:"block_content__field_mt_ms_effect";a:4:{s:11:"description";s:56:"Data storage for block_content field field_mt_ms_effect.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_ms_effect_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_ms_effect_value";a:1:{i:0;s:24:"field_mt_ms_effect_value";}}}s:42:"block_content_revision__field_mt_ms_effect";a:4:{s:11:"description";s:68:"Revision archive storage for block_content field field_mt_ms_effect.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_ms_effect_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_ms_effect_value";a:1:{i:0;s:24:"field_mt_ms_effect_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_effect_duration', 'a:2:{s:42:"block_content__field_mt_ms_effect_duration";a:4:{s:11:"description";s:65:"Data storage for block_content field field_mt_ms_effect_duration.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_ms_effect_duration_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__518dec608d";a:4:{s:11:"description";s:77:"Revision archive storage for block_content field field_mt_ms_effect_duration.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_ms_effect_duration_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_ignore_header_height', 'a:2:{s:47:"block_content__field_mt_ms_ignore_header_height";a:4:{s:11:"description";s:70:"Data storage for block_content field field_mt_ms_ignore_header_height.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:38:"field_mt_ms_ignore_header_height_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__261b197ca8";a:4:{s:11:"description";s:82:"Revision archive storage for block_content field field_mt_ms_ignore_header_height.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:38:"field_mt_ms_ignore_header_height_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_initial_height', 'a:2:{s:41:"block_content__field_mt_ms_initial_height";a:4:{s:11:"description";s:64:"Data storage for block_content field field_mt_ms_initial_height.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_ms_initial_height_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__b159949da4";a:4:{s:11:"description";s:76:"Revision archive storage for block_content field field_mt_ms_initial_height.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_ms_initial_height_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_navigation_style', 'a:2:{s:43:"block_content__field_mt_ms_navigation_style";a:4:{s:11:"description";s:66:"Data storage for block_content field field_mt_ms_navigation_style.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_ms_navigation_style_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_ms_navigation_style_value";a:1:{i:0;s:34:"field_mt_ms_navigation_style_value";}}}s:27:"block_content_r__e2adef1542";a:4:{s:11:"description";s:78:"Revision archive storage for block_content field field_mt_ms_navigation_style.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_ms_navigation_style_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_ms_navigation_style_value";a:1:{i:0;s:34:"field_mt_ms_navigation_style_value";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ms_touch_swipe_nav', 'a:2:{s:42:"block_content__field_mt_ms_touch_swipe_nav";a:4:{s:11:"description";s:65:"Data storage for block_content field field_mt_ms_touch_swipe_nav.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_ms_touch_swipe_nav_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:27:"block_content_r__a3a390ca74";a:4:{s:11:"description";s:77:"Revision archive storage for block_content field field_mt_ms_touch_swipe_nav.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_ms_touch_swipe_nav_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_ns_slide', 'a:2:{s:32:"block_content__field_mt_ns_slide";a:4:{s:11:"description";s:55:"Data storage for block_content field field_mt_ns_slide.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_ns_slide_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_ns_slide_target_id";a:1:{i:0;s:27:"field_mt_ns_slide_target_id";}}}s:41:"block_content_revision__field_mt_ns_slide";a:4:{s:11:"description";s:67:"Revision archive storage for block_content field field_mt_ns_slide.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_ns_slide_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_ns_slide_target_id";a:1:{i:0;s:27:"field_mt_ns_slide_target_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_tml_link', 'a:2:{s:32:"block_content__field_mt_tml_link";a:4:{s:11:"description";s:55:"Data storage for block_content field field_mt_tml_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_tml_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:23:"field_mt_tml_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:25:"field_mt_tml_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_tml_link_uri";a:1:{i:0;a:2:{i:0;s:21:"field_mt_tml_link_uri";i:1;i:30;}}}}s:41:"block_content_revision__field_mt_tml_link";a:4:{s:11:"description";s:67:"Revision archive storage for block_content field field_mt_tml_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_tml_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:23:"field_mt_tml_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:25:"field_mt_tml_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_tml_link_uri";a:1:{i:0;a:2:{i:0;s:21:"field_mt_tml_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_tml_timeline_item', 'a:2:{s:41:"block_content__field_mt_tml_timeline_item";a:4:{s:11:"description";s:64:"Data storage for block_content field field_mt_tml_timeline_item.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_tml_timeline_item_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:45:"field_mt_tml_timeline_item_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_tml_timeline_item_target_id";a:1:{i:0;s:36:"field_mt_tml_timeline_item_target_id";}s:45:"field_mt_tml_timeline_item_target_revision_id";a:1:{i:0;s:45:"field_mt_tml_timeline_item_target_revision_id";}}}s:27:"block_content_r__18093c0f61";a:4:{s:11:"description";s:76:"Revision archive storage for block_content field field_mt_tml_timeline_item.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_tml_timeline_item_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:45:"field_mt_tml_timeline_item_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_tml_timeline_item_target_id";a:1:{i:0;s:36:"field_mt_tml_timeline_item_target_id";}s:45:"field_mt_tml_timeline_item_target_revision_id";a:1:{i:0;s:45:"field_mt_tml_timeline_item_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_tml_timeline_viewmore', 'a:2:{s:45:"block_content__field_mt_tml_timeline_viewmore";a:4:{s:11:"description";s:68:"Data storage for block_content field field_mt_tml_timeline_viewmore.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_tml_timeline_viewmore_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:36:"field_mt_tml_timeline_viewmore_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:38:"field_mt_tml_timeline_viewmore_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_tml_timeline_viewmore_uri";a:1:{i:0;a:2:{i:0;s:34:"field_mt_tml_timeline_viewmore_uri";i:1;i:30;}}}}s:27:"block_content_r__23529b2712";a:4:{s:11:"description";s:80:"Revision archive storage for block_content field field_mt_tml_timeline_viewmore.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_tml_timeline_viewmore_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:36:"field_mt_tml_timeline_viewmore_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:38:"field_mt_tml_timeline_viewmore_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_tml_timeline_viewmore_uri";a:1:{i:0;a:2:{i:0;s:34:"field_mt_tml_timeline_viewmore_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.field_mt_video_gallery_slides', 'a:2:{s:44:"block_content__field_mt_video_gallery_slides";a:4:{s:11:"description";s:67:"Data storage for block_content field field_mt_video_gallery_slides.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:39:"field_mt_video_gallery_slides_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:48:"field_mt_video_gallery_slides_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:39:"field_mt_video_gallery_slides_target_id";a:1:{i:0;s:39:"field_mt_video_gallery_slides_target_id";}s:48:"field_mt_video_gallery_slides_target_revision_id";a:1:{i:0;s:48:"field_mt_video_gallery_slides_target_revision_id";}}}s:27:"block_content_r__79da35558f";a:4:{s:11:"description";s:79:"Revision archive storage for block_content field field_mt_video_gallery_slides.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:39:"field_mt_video_gallery_slides_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:48:"field_mt_video_gallery_slides_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:39:"field_mt_video_gallery_slides_target_id";a:1:{i:0;s:39:"field_mt_video_gallery_slides_target_id";}s:48:"field_mt_video_gallery_slides_target_revision_id";a:1:{i:0;s:48:"field_mt_video_gallery_slides_target_revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'block_content.field_schema_data.id', 'a:4:{s:13:"block_content";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:22:"block_content_revision";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.info', 'a:2:{s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:4:"info";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:4:"info";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.langcode', 'a:4:{s:13:"block_content";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:22:"block_content_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.reusable', 'a:1:{s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:8:"reusable";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.revision_created', 'a:1:{s:22:"block_content_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.revision_default', 'a:1:{s:22:"block_content_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_default";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.revision_id', 'a:4:{s:13:"block_content";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:22:"block_content_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.revision_log', 'a:1:{s:22:"block_content_revision";a:1:{s:6:"fields";a:1:{s:12:"revision_log";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.revision_translation_affected', 'a:2:{s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.revision_user', 'a:1:{s:22:"block_content_revision";a:2:{s:6:"fields";a:1:{s:13:"revision_user";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:45:"block_content_field__revision_user__target_id";a:1:{i:0;s:13:"revision_user";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.status', 'a:2:{s:24:"block_content_field_data";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:28:"block_content_field_revision";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.type', 'a:2:{s:13:"block_content";a:2:{s:6:"fields";a:1:{s:4:"type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:36:"block_content_field__type__target_id";a:1:{i:0;s:4:"type";}}}s:24:"block_content_field_data";a:2:{s:6:"fields";a:1:{s:4:"type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:36:"block_content_field__type__target_id";a:1:{i:0;s:4:"type";}}}}'),
('entity.storage_schema.sql', 'block_content.field_schema_data.uuid', 'a:1:{s:13:"block_content";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:32:"block_content_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'comment.entity_schema_data', 'a:2:{s:7:"comment";a:1:{s:11:"primary key";a:1:{i:0;s:3:"cid";}}s:18:"comment_field_data";a:2:{s:11:"primary key";a:2:{i:0;s:3:"cid";i:1;s:8:"langcode";}s:7:"indexes";a:5:{s:39:"comment__id__default_langcode__langcode";a:3:{i:0;s:3:"cid";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}s:28:"comment__status_comment_type";a:3:{i:0;s:6:"status";i:1;s:12:"comment_type";i:2;s:3:"cid";}s:19:"comment__status_pid";a:2:{i:0;s:3:"pid";i:1;s:6:"status";}s:16:"comment__num_new";a:7:{i:0;s:9:"entity_id";i:1;s:11:"entity_type";i:2;s:12:"comment_type";i:3;s:6:"status";i:4;s:7:"created";i:5;s:3:"cid";i:6;s:6:"thread";}s:24:"comment__entity_langcode";a:4:{i:0;s:9:"entity_id";i:1;s:11:"entity_type";i:2;s:12:"comment_type";i:3;s:16:"default_langcode";}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.changed', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.cid', 'a:2:{s:7:"comment";a:1:{s:6:"fields";a:1:{s:3:"cid";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:3:"cid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.comment_body', 'a:1:{s:21:"comment__comment_body";a:4:{s:11:"description";s:44:"Data storage for comment field comment_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:18:"comment_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:19:"comment_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:19:"comment_body_format";a:1:{i:0;s:19:"comment_body_format";}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.comment_type', 'a:2:{s:7:"comment";a:2:{s:6:"fields";a:1:{s:12:"comment_type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:38:"comment_field__comment_type__target_id";a:1:{i:0;s:12:"comment_type";}}}s:18:"comment_field_data";a:2:{s:6:"fields";a:1:{s:12:"comment_type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:38:"comment_field__comment_type__target_id";a:1:{i:0;s:12:"comment_type";}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.created', 'a:1:{s:18:"comment_field_data";a:2:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:22:"comment_field__created";a:1:{i:0;s:7:"created";}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.default_langcode', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.entity_id', 'a:1:{s:18:"comment_field_data";a:2:{s:6:"fields";a:1:{s:9:"entity_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:0:{}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.entity_type', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:11:"entity_type";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.field_name', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:10:"field_name";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.homepage', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:8:"homepage";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.hostname', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:8:"hostname";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.langcode', 'a:2:{s:7:"comment";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.mail', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:4:"mail";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:254;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.name', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:4:"name";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:60;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.pid', 'a:1:{s:18:"comment_field_data";a:2:{s:6:"fields";a:1:{s:3:"pid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:0:{}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.status', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.subject', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:7:"subject";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:64;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.thread', 'a:1:{s:18:"comment_field_data";a:1:{s:6:"fields";a:1:{s:6:"thread";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.uid', 'a:1:{s:18:"comment_field_data";a:3:{s:6:"fields";a:1:{s:3:"uid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:29:"comment_field__uid__target_id";a:1:{i:0;s:3:"uid";}}s:12:"foreign keys";a:1:{s:18:"comment_field__uid";a:2:{s:5:"table";s:5:"users";s:7:"columns";a:1:{s:3:"uid";s:3:"uid";}}}}}'),
('entity.storage_schema.sql', 'comment.field_schema_data.uuid', 'a:1:{s:7:"comment";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:26:"comment_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'file.entity_schema_data', 'a:1:{s:12:"file_managed";a:1:{s:11:"primary key";a:1:{i:0;s:3:"fid";}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.changed', 'a:1:{s:12:"file_managed";a:2:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:19:"file_field__changed";a:1:{i:0;s:7:"changed";}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.created', 'a:1:{s:12:"file_managed";a:1:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.fid', 'a:1:{s:12:"file_managed";a:1:{s:6:"fields";a:1:{s:3:"fid";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.filemime', 'a:1:{s:12:"file_managed";a:1:{s:6:"fields";a:1:{s:8:"filemime";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.filename', 'a:1:{s:12:"file_managed";a:1:{s:6:"fields";a:1:{s:8:"filename";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.filesize', 'a:1:{s:12:"file_managed";a:1:{s:6:"fields";a:1:{s:8:"filesize";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.langcode', 'a:1:{s:12:"file_managed";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.status', 'a:1:{s:12:"file_managed";a:2:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:18:"file_field__status";a:1:{i:0;s:6:"status";}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.uid', 'a:1:{s:12:"file_managed";a:2:{s:6:"fields";a:1:{s:3:"uid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:26:"file_field__uid__target_id";a:1:{i:0;s:3:"uid";}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.uri', 'a:1:{s:12:"file_managed";a:2:{s:6:"fields";a:1:{s:3:"uri";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:1;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:15:"file_field__uri";a:1:{i:0;s:3:"uri";}}}}'),
('entity.storage_schema.sql', 'file.field_schema_data.uuid', 'a:1:{s:12:"file_managed";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:23:"file_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'font.entity_schema_data', 'a:1:{s:17:"fontyourface_font";a:3:{s:11:"primary key";a:1:{i:0;s:3:"fid";}s:7:"indexes";a:2:{s:4:"name";a:1:{i:0;s:4:"name";}s:3:"pid";a:1:{i:0;s:3:"pid";}}s:11:"unique keys";a:1:{s:3:"url";a:1:{i:0;s:3:"url";}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.changed', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.created', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.css_family', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:10:"css_family";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.css_style', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:9:"css_style";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.css_weight', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:10:"css_weight";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.designer', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:8:"designer";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.designer_url', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:12:"designer_url";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.fid', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:3:"fid";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.field_classification', 'a:1:{s:26:"font__field_classification";a:4:{s:11:"description";s:49:"Data storage for font field field_classification.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_classification_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_classification_target_id";a:1:{i:0;s:30:"field_classification_target_id";}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.field_supported_languages', 'a:1:{s:31:"font__field_supported_languages";a:4:{s:11:"description";s:54:"Data storage for font field field_supported_languages.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_supported_languages_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_supported_languages_target_id";a:1:{i:0;s:35:"field_supported_languages_target_id";}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.field_tags', 'a:1:{s:16:"font__field_tags";a:4:{s:11:"description";s:39:"Data storage for font field field_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:20:"field_tags_target_id";a:1:{i:0;s:20:"field_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.foundry', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:7:"foundry";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.foundry_url', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:11:"foundry_url";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.license', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:7:"license";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.license_url', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:11:"license_url";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.metadata', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:8:"metadata";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.name', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:4:"name";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.pid', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:3:"pid";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:50;s:6:"binary";b:0;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.status', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.url', 'a:1:{s:17:"fontyourface_font";a:1:{s:6:"fields";a:1:{s:3:"url";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:191;s:6:"binary";b:0;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'font.field_schema_data.uuid', 'a:1:{s:17:"fontyourface_font";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:23:"font_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'menu_link_content.entity_schema_data', 'a:4:{s:17:"menu_link_content";a:2:{s:11:"primary key";a:1:{i:0;s:2:"id";}s:11:"unique keys";a:1:{s:30:"menu_link_content__revision_id";a:1:{i:0;s:11:"revision_id";}}}s:26:"menu_link_content_revision";a:2:{s:11:"primary key";a:1:{i:0;s:11:"revision_id";}s:7:"indexes";a:1:{s:21:"menu_link_content__id";a:1:{i:0;s:2:"id";}}}s:22:"menu_link_content_data";a:2:{s:11:"primary key";a:2:{i:0;s:2:"id";i:1;s:8:"langcode";}s:7:"indexes";a:3:{s:49:"menu_link_content__id__default_langcode__langcode";a:3:{i:0;s:2:"id";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}s:30:"menu_link_content__revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"menu_link_content__enabled_bundle";a:3:{i:0;s:7:"enabled";i:1;s:6:"bundle";i:2;s:2:"id";}}}s:32:"menu_link_content_field_revision";a:2:{s:11:"primary key";a:2:{i:0;s:11:"revision_id";i:1;s:8:"langcode";}s:7:"indexes";a:1:{s:49:"menu_link_content__id__default_langcode__langcode";a:3:{i:0;s:2:"id";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.bundle', 'a:2:{s:17:"menu_link_content";a:1:{s:6:"fields";a:1:{s:6:"bundle";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:1;}}}s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:6:"bundle";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.changed', 'a:2:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.default_langcode', 'a:2:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.description', 'a:2:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:11:"description";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:11:"description";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.enabled', 'a:2:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:7:"enabled";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:7:"enabled";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.expanded', 'a:1:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:8:"expanded";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.external', 'a:2:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:8:"external";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:8:"external";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.id', 'a:4:{s:17:"menu_link_content";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:26:"menu_link_content_revision";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.langcode', 'a:4:{s:17:"menu_link_content";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:26:"menu_link_content_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.link', 'a:2:{s:22:"menu_link_content_data";a:2:{s:6:"fields";a:3:{s:9:"link__uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:11:"link__title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:13:"link__options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:34:"menu_link_content_field__link__uri";a:1:{i:0;a:2:{i:0;s:9:"link__uri";i:1;i:30;}}}}s:32:"menu_link_content_field_revision";a:2:{s:6:"fields";a:3:{s:9:"link__uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:11:"link__title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:13:"link__options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:34:"menu_link_content_field__link__uri";a:1:{i:0;a:2:{i:0;s:9:"link__uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.menu_name', 'a:1:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:9:"menu_name";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.parent', 'a:1:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:6:"parent";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.rediscover', 'a:1:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:10:"rediscover";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.revision_created', 'a:1:{s:26:"menu_link_content_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.revision_default', 'a:1:{s:26:"menu_link_content_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_default";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.revision_id', 'a:4:{s:17:"menu_link_content";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:26:"menu_link_content_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.revision_log_message', 'a:1:{s:26:"menu_link_content_revision";a:1:{s:6:"fields";a:1:{s:20:"revision_log_message";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.revision_translation_affected', 'a:2:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.revision_user', 'a:1:{s:26:"menu_link_content_revision";a:2:{s:6:"fields";a:1:{s:13:"revision_user";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:29:"menu_link_content__ef029a1897";a:1:{i:0;s:13:"revision_user";}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.title', 'a:2:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:5:"title";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:32:"menu_link_content_field_revision";a:1:{s:6:"fields";a:1:{s:5:"title";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.uuid', 'a:1:{s:17:"menu_link_content";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:36:"menu_link_content_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'menu_link_content.field_schema_data.weight', 'a:1:{s:22:"menu_link_content_data";a:1:{s:6:"fields";a:1:{s:6:"weight";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.entity_schema_data', 'a:4:{s:4:"node";a:2:{s:11:"primary key";a:1:{i:0;s:3:"nid";}s:11:"unique keys";a:1:{s:9:"node__vid";a:1:{i:0;s:3:"vid";}}}s:13:"node_revision";a:2:{s:11:"primary key";a:1:{i:0;s:3:"vid";}s:7:"indexes";a:1:{s:9:"node__nid";a:1:{i:0;s:3:"nid";}}}s:15:"node_field_data";a:2:{s:11:"primary key";a:2:{i:0;s:3:"nid";i:1;s:8:"langcode";}s:7:"indexes";a:5:{s:36:"node__id__default_langcode__langcode";a:3:{i:0;s:3:"nid";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}s:9:"node__vid";a:1:{i:0;s:3:"vid";}s:15:"node__frontpage";a:4:{i:0;s:7:"promote";i:1;s:6:"status";i:2;s:6:"sticky";i:3;s:7:"created";}s:17:"node__status_type";a:3:{i:0;s:6:"status";i:1;s:4:"type";i:2;s:3:"nid";}s:16:"node__title_type";a:2:{i:0;s:5:"title";i:1;a:2:{i:0;s:4:"type";i:1;i:4;}}}}s:19:"node_field_revision";a:2:{s:11:"primary key";a:2:{i:0;s:3:"vid";i:1;s:8:"langcode";}s:7:"indexes";a:1:{s:36:"node__id__default_langcode__langcode";a:3:{i:0;s:3:"nid";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.body', 'a:2:{s:10:"node__body";a:4:{s:11:"description";s:33:"Data storage for node field body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:10:"body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:12:"body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:11:"body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:11:"body_format";a:1:{i:0;s:11:"body_format";}}}s:19:"node_revision__body";a:4:{s:11:"description";s:45:"Revision archive storage for node field body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:10:"body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:12:"body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:11:"body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:11:"body_format";a:1:{i:0;s:11:"body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.changed', 'a:2:{s:15:"node_field_data";a:2:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:19:"node_field__changed";a:1:{i:0;s:7:"changed";}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.comment', 'a:2:{s:13:"node__comment";a:4:{s:11:"description";s:36:"Data storage for node field comment.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:14:"comment_status";a:4:{s:11:"description";s:99:"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).";s:4:"type";s:3:"int";s:7:"default";i:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:22:"node_revision__comment";a:4:{s:11:"description";s:48:"Revision archive storage for node field comment.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:14:"comment_status";a:4:{s:11:"description";s:99:"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).";s:4:"type";s:3:"int";s:7:"default";i:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.created', 'a:2:{s:15:"node_field_data";a:2:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:19:"node_field__created";a:1:{i:0;s:7:"created";}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.default_langcode', 'a:2:{s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_image', 'a:2:{s:17:"node__field_image";a:5:{s:11:"description";s:40:"Data storage for node field field_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:15:"field_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:17:"field_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:17:"field_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:18:"field_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_image_target_id";a:1:{i:0;s:21:"field_image_target_id";}}s:12:"foreign keys";a:1:{s:21:"field_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:21:"field_image_target_id";s:3:"fid";}}}}s:26:"node_revision__field_image";a:5:{s:11:"description";s:52:"Revision archive storage for node field field_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:15:"field_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:17:"field_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:17:"field_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:18:"field_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_image_target_id";a:1:{i:0;s:21:"field_image_target_id";}}s:12:"foreign keys";a:1:{s:21:"field_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:21:"field_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_body', 'a:2:{s:23:"node__field_mt_abs_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_abs_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_abs_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_abs_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_abs_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_abs_body_format";a:1:{i:0;s:24:"field_mt_abs_body_format";}}}s:32:"node_revision__field_mt_abs_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_abs_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_abs_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_abs_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_abs_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_abs_body_format";a:1:{i:0;s:24:"field_mt_abs_body_format";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_date', 'a:2:{s:23:"node__field_mt_abs_date";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_abs_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_abs_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_abs_date_value";a:1:{i:0;s:23:"field_mt_abs_date_value";}}}s:32:"node_revision__field_mt_abs_date";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_abs_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_abs_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_abs_date_value";a:1:{i:0;s:23:"field_mt_abs_date_value";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_files', 'a:2:{s:24:"node__field_mt_abs_files";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_abs_files.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_abs_files_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_abs_files_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:30:"field_mt_abs_files_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_abs_files_target_id";a:1:{i:0;s:28:"field_mt_abs_files_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_abs_files_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_abs_files_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_abs_files";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_abs_files.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_abs_files_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_abs_files_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:30:"field_mt_abs_files_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_abs_files_target_id";a:1:{i:0;s:28:"field_mt_abs_files_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_abs_files_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_abs_files_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_image', 'a:2:{s:24:"node__field_mt_abs_image";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_abs_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_abs_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_abs_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_abs_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_abs_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_abs_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_abs_image_target_id";a:1:{i:0;s:28:"field_mt_abs_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_abs_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_abs_image_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_abs_image";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_abs_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_abs_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_abs_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_abs_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_abs_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_abs_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_abs_image_target_id";a:1:{i:0;s:28:"field_mt_abs_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_abs_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_abs_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_location', 'a:2:{s:27:"node__field_mt_abs_location";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_abs_location.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_abs_location_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_mt_abs_location";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_abs_location.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_abs_location_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_speaker', 'a:2:{s:26:"node__field_mt_abs_speaker";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_abs_speaker.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_abs_speaker_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_abs_speaker_target_id";a:1:{i:0;s:30:"field_mt_abs_speaker_target_id";}}}s:35:"node_revision__field_mt_abs_speaker";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_abs_speaker.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_abs_speaker_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_abs_speaker_target_id";a:1:{i:0;s:30:"field_mt_abs_speaker_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_sponsor', 'a:2:{s:26:"node__field_mt_abs_sponsor";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_abs_sponsor.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_abs_sponsor_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_abs_sponsor_target_id";a:1:{i:0;s:30:"field_mt_abs_sponsor_target_id";}}}s:35:"node_revision__field_mt_abs_sponsor";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_abs_sponsor.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_abs_sponsor_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_abs_sponsor_target_id";a:1:{i:0;s:30:"field_mt_abs_sponsor_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_abs_video', 'a:2:{s:24:"node__field_mt_abs_video";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_abs_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_abs_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_abs_video";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_abs_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_abs_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_affiliations', 'a:2:{s:27:"node__field_mt_affiliations";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_affiliations.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_affiliations_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_affiliations_target_id";a:1:{i:0;s:31:"field_mt_affiliations_target_id";}}}s:36:"node_revision__field_mt_affiliations";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_affiliations.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_affiliations_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_affiliations_target_id";a:1:{i:0;s:31:"field_mt_affiliations_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_alb_body', 'a:2:{s:23:"node__field_mt_alb_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_alb_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_alb_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_alb_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_alb_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_alb_body_format";a:1:{i:0;s:24:"field_mt_alb_body_format";}}}s:32:"node_revision__field_mt_alb_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_alb_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_alb_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_alb_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_alb_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_alb_body_format";a:1:{i:0;s:24:"field_mt_alb_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_alb_image', 'a:2:{s:24:"node__field_mt_alb_image";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_alb_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_alb_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_alb_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_alb_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_alb_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_alb_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_alb_image_target_id";a:1:{i:0;s:28:"field_mt_alb_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_alb_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_alb_image_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_alb_image";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_alb_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_alb_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_alb_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_alb_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_alb_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_alb_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_alb_image_target_id";a:1:{i:0;s:28:"field_mt_alb_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_alb_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_alb_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_alb_tags', 'a:2:{s:23:"node__field_mt_alb_tags";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_alb_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_alb_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_alb_tags_target_id";a:1:{i:0;s:27:"field_mt_alb_tags_target_id";}}}s:32:"node_revision__field_mt_alb_tags";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_alb_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_alb_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_alb_tags_target_id";a:1:{i:0;s:27:"field_mt_alb_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_alb_video', 'a:2:{s:24:"node__field_mt_alb_video";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_alb_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_alb_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_alb_video";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_alb_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_alb_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_banner_image', 'a:2:{s:27:"node__field_mt_banner_image";a:5:{s:11:"description";s:50:"Data storage for node field field_mt_banner_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_banner_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:25:"field_mt_banner_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:27:"field_mt_banner_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:27:"field_mt_banner_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:28:"field_mt_banner_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_banner_image_target_id";a:1:{i:0;s:31:"field_mt_banner_image_target_id";}}s:12:"foreign keys";a:1:{s:31:"field_mt_banner_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:31:"field_mt_banner_image_target_id";s:3:"fid";}}}}s:36:"node_revision__field_mt_banner_image";a:5:{s:11:"description";s:62:"Revision archive storage for node field field_mt_banner_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_banner_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:25:"field_mt_banner_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:27:"field_mt_banner_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:27:"field_mt_banner_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:28:"field_mt_banner_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_banner_image_target_id";a:1:{i:0;s:31:"field_mt_banner_image_target_id";}}s:12:"foreign keys";a:1:{s:31:"field_mt_banner_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:31:"field_mt_banner_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_bg_video_vimeo', 'a:2:{s:29:"node__field_mt_bg_video_vimeo";a:4:{s:11:"description";s:52:"Data storage for node field field_mt_bg_video_vimeo.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_bg_video_vimeo_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:38:"node_revision__field_mt_bg_video_vimeo";a:4:{s:11:"description";s:64:"Revision archive storage for node field field_mt_bg_video_vimeo.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_bg_video_vimeo_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_bg_video_volume', 'a:2:{s:30:"node__field_mt_bg_video_volume";a:4:{s:11:"description";s:53:"Data storage for node field field_mt_bg_video_volume.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_bg_video_volume_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:39:"node_revision__field_mt_bg_video_volume";a:4:{s:11:"description";s:65:"Revision archive storage for node field field_mt_bg_video_volume.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_bg_video_volume_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_bg_video_youtube', 'a:2:{s:31:"node__field_mt_bg_video_youtube";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_bg_video_youtube.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bg_video_youtube_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"node_revision__field_mt_bg_video_youtube";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_bg_video_youtube.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_bg_video_youtube_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_buy_link', 'a:2:{s:23:"node__field_mt_buy_link";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_buy_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_buy_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:23:"field_mt_buy_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:25:"field_mt_buy_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_buy_link_uri";a:1:{i:0;a:2:{i:0;s:21:"field_mt_buy_link_uri";i:1;i:30;}}}}s:32:"node_revision__field_mt_buy_link";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_buy_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_buy_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:23:"field_mt_buy_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:25:"field_mt_buy_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_buy_link_uri";a:1:{i:0;a:2:{i:0;s:21:"field_mt_buy_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_clients_tags', 'a:2:{s:27:"node__field_mt_clients_tags";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_clients_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_clients_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_clients_tags_target_id";a:1:{i:0;s:31:"field_mt_clients_tags_target_id";}}}s:36:"node_revision__field_mt_clients_tags";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_clients_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_clients_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_clients_tags_target_id";a:1:{i:0;s:31:"field_mt_clients_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_cnv_body', 'a:2:{s:23:"node__field_mt_cnv_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_cnv_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_cnv_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_cnv_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_cnv_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_cnv_body_format";a:1:{i:0;s:24:"field_mt_cnv_body_format";}}}s:32:"node_revision__field_mt_cnv_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_cnv_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_cnv_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_cnv_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_cnv_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_cnv_body_format";a:1:{i:0;s:24:"field_mt_cnv_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_collections', 'a:2:{s:26:"node__field_mt_collections";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_collections.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_collections_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_collections_target_id";a:1:{i:0;s:30:"field_mt_collections_target_id";}}}s:35:"node_revision__field_mt_collections";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_collections.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_collections_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_collections_target_id";a:1:{i:0;s:30:"field_mt_collections_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_content_collapses', 'a:2:{s:32:"node__field_mt_content_collapses";a:4:{s:11:"description";s:55:"Data storage for node field field_mt_content_collapses.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_content_collapses_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:45:"field_mt_content_collapses_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_content_collapses_target_id";a:1:{i:0;s:36:"field_mt_content_collapses_target_id";}s:45:"field_mt_content_collapses_target_revision_id";a:1:{i:0;s:45:"field_mt_content_collapses_target_revision_id";}}}s:41:"node_revision__field_mt_content_collapses";a:4:{s:11:"description";s:67:"Revision archive storage for node field field_mt_content_collapses.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_content_collapses_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:45:"field_mt_content_collapses_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_content_collapses_target_id";a:1:{i:0;s:36:"field_mt_content_collapses_target_id";}s:45:"field_mt_content_collapses_target_revision_id";a:1:{i:0;s:45:"field_mt_content_collapses_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_content_tabs', 'a:2:{s:27:"node__field_mt_content_tabs";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_content_tabs.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_content_tabs_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:40:"field_mt_content_tabs_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_content_tabs_target_id";a:1:{i:0;s:31:"field_mt_content_tabs_target_id";}s:40:"field_mt_content_tabs_target_revision_id";a:1:{i:0;s:40:"field_mt_content_tabs_target_revision_id";}}}s:36:"node_revision__field_mt_content_tabs";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_content_tabs.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_content_tabs_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:40:"field_mt_content_tabs_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_content_tabs_target_id";a:1:{i:0;s:31:"field_mt_content_tabs_target_id";}s:40:"field_mt_content_tabs_target_revision_id";a:1:{i:0;s:40:"field_mt_content_tabs_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_body', 'a:2:{s:23:"node__field_mt_evn_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_evn_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_evn_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_evn_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_evn_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_evn_body_format";a:1:{i:0;s:24:"field_mt_evn_body_format";}}}s:32:"node_revision__field_mt_evn_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_evn_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_evn_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_evn_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_evn_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_evn_body_format";a:1:{i:0;s:24:"field_mt_evn_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_date', 'a:2:{s:23:"node__field_mt_evn_date";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_evn_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_evn_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_evn_date_value";a:1:{i:0;s:23:"field_mt_evn_date_value";}}}s:32:"node_revision__field_mt_evn_date";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_evn_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_evn_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_evn_date_value";a:1:{i:0;s:23:"field_mt_evn_date_value";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_event_category', 'a:2:{s:33:"node__field_mt_evn_event_category";a:4:{s:11:"description";s:56:"Data storage for node field field_mt_evn_event_category.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_evn_event_category_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:37:"field_mt_evn_event_category_target_id";a:1:{i:0;s:37:"field_mt_evn_event_category_target_id";}}}s:42:"node_revision__field_mt_evn_event_category";a:4:{s:11:"description";s:68:"Revision archive storage for node field field_mt_evn_event_category.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_evn_event_category_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:37:"field_mt_evn_event_category_target_id";a:1:{i:0;s:37:"field_mt_evn_event_category_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_files', 'a:2:{s:24:"node__field_mt_evn_files";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_evn_files.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_evn_files_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_evn_files_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:30:"field_mt_evn_files_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_evn_files_target_id";a:1:{i:0;s:28:"field_mt_evn_files_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_evn_files_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_evn_files_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_evn_files";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_evn_files.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_evn_files_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_evn_files_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:30:"field_mt_evn_files_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_evn_files_target_id";a:1:{i:0;s:28:"field_mt_evn_files_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_evn_files_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_evn_files_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_image', 'a:2:{s:24:"node__field_mt_evn_image";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_evn_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_evn_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_evn_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_evn_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_evn_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_evn_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_evn_image_target_id";a:1:{i:0;s:28:"field_mt_evn_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_evn_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_evn_image_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_evn_image";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_evn_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_evn_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_evn_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_evn_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_evn_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_evn_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_evn_image_target_id";a:1:{i:0;s:28:"field_mt_evn_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_evn_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_evn_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_location', 'a:2:{s:27:"node__field_mt_evn_location";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_evn_location.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_evn_location_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:40:"field_mt_evn_location_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_evn_location_target_id";a:1:{i:0;s:31:"field_mt_evn_location_target_id";}s:40:"field_mt_evn_location_target_revision_id";a:1:{i:0;s:40:"field_mt_evn_location_target_revision_id";}}}s:36:"node_revision__field_mt_evn_location";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_evn_location.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_evn_location_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:40:"field_mt_evn_location_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_evn_location_target_id";a:1:{i:0;s:31:"field_mt_evn_location_target_id";}s:40:"field_mt_evn_location_target_revision_id";a:1:{i:0;s:40:"field_mt_evn_location_target_revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_map_zoom', 'a:2:{s:27:"node__field_mt_evn_map_zoom";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_evn_map_zoom.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_evn_map_zoom_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_mt_evn_map_zoom";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_evn_map_zoom.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_evn_map_zoom_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_place', 'a:2:{s:24:"node__field_mt_evn_place";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_evn_place.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_evn_place_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_evn_place";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_evn_place.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_evn_place_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_speaker', 'a:2:{s:26:"node__field_mt_evn_speaker";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_evn_speaker.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_evn_speaker_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_evn_speaker_target_id";a:1:{i:0;s:30:"field_mt_evn_speaker_target_id";}}}s:35:"node_revision__field_mt_evn_speaker";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_evn_speaker.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_evn_speaker_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_evn_speaker_target_id";a:1:{i:0;s:30:"field_mt_evn_speaker_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_sponsor', 'a:2:{s:26:"node__field_mt_evn_sponsor";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_evn_sponsor.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_evn_sponsor_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_evn_sponsor_target_id";a:1:{i:0;s:30:"field_mt_evn_sponsor_target_id";}}}s:35:"node_revision__field_mt_evn_sponsor";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_evn_sponsor.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_evn_sponsor_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_evn_sponsor_target_id";a:1:{i:0;s:30:"field_mt_evn_sponsor_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_evn_video', 'a:2:{s:24:"node__field_mt_evn_video";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_evn_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_evn_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_evn_video";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_evn_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_evn_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_facebook_account', 'a:2:{s:31:"node__field_mt_facebook_account";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_facebook_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_facebook_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"node_revision__field_mt_facebook_account";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_facebook_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_facebook_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_font_awesome_classes', 'a:2:{s:35:"node__field_mt_font_awesome_classes";a:4:{s:11:"description";s:58:"Data storage for node field field_mt_font_awesome_classes.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_font_awesome_classes_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"node_revision__field_mt_font_awesome_classes";a:4:{s:11:"description";s:70:"Revision archive storage for node field field_mt_font_awesome_classes.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_font_awesome_classes_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_highlight', 'a:2:{s:24:"node__field_mt_highlight";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_highlight.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_highlight_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:37:"field_mt_highlight_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_highlight_target_id";a:1:{i:0;s:28:"field_mt_highlight_target_id";}s:37:"field_mt_highlight_target_revision_id";a:1:{i:0;s:37:"field_mt_highlight_target_revision_id";}}}s:33:"node_revision__field_mt_highlight";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_highlight.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_highlight_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:37:"field_mt_highlight_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_highlight_target_id";a:1:{i:0;s:28:"field_mt_highlight_target_id";}s:37:"field_mt_highlight_target_revision_id";a:1:{i:0;s:37:"field_mt_highlight_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_landscape_image', 'a:2:{s:30:"node__field_mt_landscape_image";a:5:{s:11:"description";s:53:"Data storage for node field field_mt_landscape_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_landscape_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:28:"field_mt_landscape_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:30:"field_mt_landscape_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:30:"field_mt_landscape_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:31:"field_mt_landscape_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_landscape_image_target_id";a:1:{i:0;s:34:"field_mt_landscape_image_target_id";}}s:12:"foreign keys";a:1:{s:34:"field_mt_landscape_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:34:"field_mt_landscape_image_target_id";s:3:"fid";}}}}s:39:"node_revision__field_mt_landscape_image";a:5:{s:11:"description";s:65:"Revision archive storage for node field field_mt_landscape_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_landscape_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:28:"field_mt_landscape_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:30:"field_mt_landscape_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:30:"field_mt_landscape_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:31:"field_mt_landscape_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_landscape_image_target_id";a:1:{i:0;s:34:"field_mt_landscape_image_target_id";}}s:12:"foreign keys";a:1:{s:34:"field_mt_landscape_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:34:"field_mt_landscape_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_linkedin_account', 'a:2:{s:31:"node__field_mt_linkedin_account";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_linkedin_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_linkedin_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"node_revision__field_mt_linkedin_account";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_linkedin_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_linkedin_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_logo', 'a:2:{s:19:"node__field_mt_logo";a:5:{s:11:"description";s:42:"Data storage for node field field_mt_logo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_logo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:17:"field_mt_logo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:19:"field_mt_logo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:19:"field_mt_logo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:20:"field_mt_logo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_logo_target_id";a:1:{i:0;s:23:"field_mt_logo_target_id";}}s:12:"foreign keys";a:1:{s:23:"field_mt_logo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:23:"field_mt_logo_target_id";s:3:"fid";}}}}s:28:"node_revision__field_mt_logo";a:5:{s:11:"description";s:54:"Revision archive storage for node field field_mt_logo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_logo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:17:"field_mt_logo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:19:"field_mt_logo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:19:"field_mt_logo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:20:"field_mt_logo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_logo_target_id";a:1:{i:0;s:23:"field_mt_logo_target_id";}}s:12:"foreign keys";a:1:{s:23:"field_mt_logo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:23:"field_mt_logo_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_member_photo', 'a:2:{s:27:"node__field_mt_member_photo";a:5:{s:11:"description";s:50:"Data storage for node field field_mt_member_photo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_member_photo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:25:"field_mt_member_photo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:27:"field_mt_member_photo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:27:"field_mt_member_photo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:28:"field_mt_member_photo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_member_photo_target_id";a:1:{i:0;s:31:"field_mt_member_photo_target_id";}}s:12:"foreign keys";a:1:{s:31:"field_mt_member_photo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:31:"field_mt_member_photo_target_id";s:3:"fid";}}}}s:36:"node_revision__field_mt_member_photo";a:5:{s:11:"description";s:62:"Revision archive storage for node field field_mt_member_photo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_member_photo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:25:"field_mt_member_photo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:27:"field_mt_member_photo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:27:"field_mt_member_photo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:28:"field_mt_member_photo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_member_photo_target_id";a:1:{i:0;s:31:"field_mt_member_photo_target_id";}}s:12:"foreign keys";a:1:{s:31:"field_mt_member_photo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:31:"field_mt_member_photo_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_additional_features', 'a:2:{s:38:"node__field_mt_prd_additional_features";a:4:{s:11:"description";s:61:"Data storage for node field field_mt_prd_additional_features.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:42:"field_mt_prd_additional_features_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:51:"field_mt_prd_additional_features_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:42:"field_mt_prd_additional_features_target_id";a:1:{i:0;s:42:"field_mt_prd_additional_features_target_id";}s:51:"field_mt_prd_additional_features_target_revision_id";a:1:{i:0;s:51:"field_mt_prd_additional_features_target_revision_id";}}}s:47:"node_revision__field_mt_prd_additional_features";a:4:{s:11:"description";s:73:"Revision archive storage for node field field_mt_prd_additional_features.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:42:"field_mt_prd_additional_features_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:51:"field_mt_prd_additional_features_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:42:"field_mt_prd_additional_features_target_id";a:1:{i:0;s:42:"field_mt_prd_additional_features_target_id";}s:51:"field_mt_prd_additional_features_target_revision_id";a:1:{i:0;s:51:"field_mt_prd_additional_features_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_availability', 'a:2:{s:31:"node__field_mt_prd_availability";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_prd_availability.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prd_availability_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_prd_availability_value";a:1:{i:0;s:31:"field_mt_prd_availability_value";}}}s:40:"node_revision__field_mt_prd_availability";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_prd_availability.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prd_availability_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_prd_availability_value";a:1:{i:0;s:31:"field_mt_prd_availability_value";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_banner_carousel', 'a:2:{s:34:"node__field_mt_prd_banner_carousel";a:5:{s:11:"description";s:57:"Data storage for node field field_mt_prd_banner_carousel.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:38:"field_mt_prd_banner_carousel_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:32:"field_mt_prd_banner_carousel_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:34:"field_mt_prd_banner_carousel_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:34:"field_mt_prd_banner_carousel_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:35:"field_mt_prd_banner_carousel_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:38:"field_mt_prd_banner_carousel_target_id";a:1:{i:0;s:38:"field_mt_prd_banner_carousel_target_id";}}s:12:"foreign keys";a:1:{s:38:"field_mt_prd_banner_carousel_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:38:"field_mt_prd_banner_carousel_target_id";s:3:"fid";}}}}s:43:"node_revision__field_mt_prd_banner_carousel";a:5:{s:11:"description";s:69:"Revision archive storage for node field field_mt_prd_banner_carousel.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:38:"field_mt_prd_banner_carousel_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:32:"field_mt_prd_banner_carousel_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:34:"field_mt_prd_banner_carousel_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:34:"field_mt_prd_banner_carousel_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:35:"field_mt_prd_banner_carousel_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:38:"field_mt_prd_banner_carousel_target_id";a:1:{i:0;s:38:"field_mt_prd_banner_carousel_target_id";}}s:12:"foreign keys";a:1:{s:38:"field_mt_prd_banner_carousel_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:38:"field_mt_prd_banner_carousel_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_body', 'a:2:{s:23:"node__field_mt_prd_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_prd_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_prd_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_prd_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_prd_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_prd_body_format";a:1:{i:0;s:24:"field_mt_prd_body_format";}}}s:32:"node_revision__field_mt_prd_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_prd_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_prd_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_prd_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_prd_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_prd_body_format";a:1:{i:0;s:24:"field_mt_prd_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_buy_link', 'a:2:{s:27:"node__field_mt_prd_buy_link";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_prd_buy_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_prd_buy_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:27:"field_mt_prd_buy_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:29:"field_mt_prd_buy_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_prd_buy_link_uri";a:1:{i:0;a:2:{i:0;s:25:"field_mt_prd_buy_link_uri";i:1;i:30;}}}}s:36:"node_revision__field_mt_prd_buy_link";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_prd_buy_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_prd_buy_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:27:"field_mt_prd_buy_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:29:"field_mt_prd_buy_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_prd_buy_link_uri";a:1:{i:0;a:2:{i:0;s:25:"field_mt_prd_buy_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_categories', 'a:2:{s:29:"node__field_mt_prd_categories";a:4:{s:11:"description";s:52:"Data storage for node field field_mt_prd_categories.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_prd_categories_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_prd_categories_target_id";a:1:{i:0;s:33:"field_mt_prd_categories_target_id";}}}s:38:"node_revision__field_mt_prd_categories";a:4:{s:11:"description";s:64:"Revision archive storage for node field field_mt_prd_categories.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_prd_categories_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_prd_categories_target_id";a:1:{i:0;s:33:"field_mt_prd_categories_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_content_tabs', 'a:2:{s:31:"node__field_mt_prd_content_tabs";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_prd_content_tabs.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_prd_content_tabs_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:44:"field_mt_prd_content_tabs_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_prd_content_tabs_target_id";a:1:{i:0;s:35:"field_mt_prd_content_tabs_target_id";}s:44:"field_mt_prd_content_tabs_target_revision_id";a:1:{i:0;s:44:"field_mt_prd_content_tabs_target_revision_id";}}}s:40:"node_revision__field_mt_prd_content_tabs";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_prd_content_tabs.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_prd_content_tabs_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:44:"field_mt_prd_content_tabs_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_prd_content_tabs_target_id";a:1:{i:0;s:35:"field_mt_prd_content_tabs_target_id";}s:44:"field_mt_prd_content_tabs_target_revision_id";a:1:{i:0;s:44:"field_mt_prd_content_tabs_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_highlight', 'a:2:{s:28:"node__field_mt_prd_highlight";a:4:{s:11:"description";s:51:"Data storage for node field field_mt_prd_highlight.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_prd_highlight_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:41:"field_mt_prd_highlight_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_prd_highlight_target_id";a:1:{i:0;s:32:"field_mt_prd_highlight_target_id";}s:41:"field_mt_prd_highlight_target_revision_id";a:1:{i:0;s:41:"field_mt_prd_highlight_target_revision_id";}}}s:37:"node_revision__field_mt_prd_highlight";a:4:{s:11:"description";s:63:"Revision archive storage for node field field_mt_prd_highlight.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_prd_highlight_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:41:"field_mt_prd_highlight_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_prd_highlight_target_id";a:1:{i:0;s:32:"field_mt_prd_highlight_target_id";}s:41:"field_mt_prd_highlight_target_revision_id";a:1:{i:0;s:41:"field_mt_prd_highlight_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_image', 'a:2:{s:24:"node__field_mt_prd_image";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_prd_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prd_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_prd_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_prd_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_prd_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_prd_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prd_image_target_id";a:1:{i:0;s:28:"field_mt_prd_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_prd_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_prd_image_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_prd_image";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_prd_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prd_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_prd_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_prd_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_prd_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_prd_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prd_image_target_id";a:1:{i:0;s:28:"field_mt_prd_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_prd_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_prd_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_landscape_image', 'a:2:{s:34:"node__field_mt_prd_landscape_image";a:5:{s:11:"description";s:57:"Data storage for node field field_mt_prd_landscape_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:38:"field_mt_prd_landscape_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:32:"field_mt_prd_landscape_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:34:"field_mt_prd_landscape_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:34:"field_mt_prd_landscape_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:35:"field_mt_prd_landscape_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:38:"field_mt_prd_landscape_image_target_id";a:1:{i:0;s:38:"field_mt_prd_landscape_image_target_id";}}s:12:"foreign keys";a:1:{s:38:"field_mt_prd_landscape_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:38:"field_mt_prd_landscape_image_target_id";s:3:"fid";}}}}s:43:"node_revision__field_mt_prd_landscape_image";a:5:{s:11:"description";s:69:"Revision archive storage for node field field_mt_prd_landscape_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:38:"field_mt_prd_landscape_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:32:"field_mt_prd_landscape_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:34:"field_mt_prd_landscape_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:34:"field_mt_prd_landscape_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:35:"field_mt_prd_landscape_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:38:"field_mt_prd_landscape_image_target_id";a:1:{i:0;s:38:"field_mt_prd_landscape_image_target_id";}}s:12:"foreign keys";a:1:{s:38:"field_mt_prd_landscape_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:38:"field_mt_prd_landscape_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_most_popular', 'a:2:{s:31:"node__field_mt_prd_most_popular";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_prd_most_popular.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prd_most_popular_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"node_revision__field_mt_prd_most_popular";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_prd_most_popular.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prd_most_popular_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_price', 'a:2:{s:24:"node__field_mt_prd_price";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_prd_price.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_prd_price_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_prd_price";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_prd_price.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_prd_price_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_pricing_table_item', 'a:2:{s:37:"node__field_mt_prd_pricing_table_item";a:4:{s:11:"description";s:60:"Data storage for node field field_mt_prd_pricing_table_item.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_prd_pricing_table_item_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:46:"node_revision__field_mt_prd_pricing_table_item";a:4:{s:11:"description";s:72:"Revision archive storage for node field field_mt_prd_pricing_table_item.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_prd_pricing_table_item_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_product_code', 'a:2:{s:31:"node__field_mt_prd_product_code";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_prd_product_code.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prd_product_code_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"node_revision__field_mt_prd_product_code";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_prd_product_code.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prd_product_code_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_subheader_body', 'a:2:{s:33:"node__field_mt_prd_subheader_body";a:4:{s:11:"description";s:56:"Data storage for node field field_mt_prd_subheader_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_prd_subheader_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:35:"field_mt_prd_subheader_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:34:"field_mt_prd_subheader_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_prd_subheader_body_format";a:1:{i:0;s:34:"field_mt_prd_subheader_body_format";}}}s:42:"node_revision__field_mt_prd_subheader_body";a:4:{s:11:"description";s:68:"Revision archive storage for node field field_mt_prd_subheader_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_prd_subheader_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:35:"field_mt_prd_subheader_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:34:"field_mt_prd_subheader_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_prd_subheader_body_format";a:1:{i:0;s:34:"field_mt_prd_subheader_body_format";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_tags', 'a:2:{s:23:"node__field_mt_prd_tags";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_prd_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_prd_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_prd_tags_target_id";a:1:{i:0;s:27:"field_mt_prd_tags_target_id";}}}s:32:"node_revision__field_mt_prd_tags";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_prd_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_prd_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_prd_tags_target_id";a:1:{i:0;s:27:"field_mt_prd_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prd_video', 'a:2:{s:24:"node__field_mt_prd_video";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_prd_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_prd_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_prd_video";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_prd_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_prd_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prg_additional_features', 'a:2:{s:38:"node__field_mt_prg_additional_features";a:4:{s:11:"description";s:61:"Data storage for node field field_mt_prg_additional_features.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:42:"field_mt_prg_additional_features_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:51:"field_mt_prg_additional_features_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:42:"field_mt_prg_additional_features_target_id";a:1:{i:0;s:42:"field_mt_prg_additional_features_target_id";}s:51:"field_mt_prg_additional_features_target_revision_id";a:1:{i:0;s:51:"field_mt_prg_additional_features_target_revision_id";}}}s:47:"node_revision__field_mt_prg_additional_features";a:4:{s:11:"description";s:73:"Revision archive storage for node field field_mt_prg_additional_features.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:42:"field_mt_prg_additional_features_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:51:"field_mt_prg_additional_features_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:42:"field_mt_prg_additional_features_target_id";a:1:{i:0;s:42:"field_mt_prg_additional_features_target_id";}s:51:"field_mt_prg_additional_features_target_revision_id";a:1:{i:0;s:51:"field_mt_prg_additional_features_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prg_category', 'a:2:{s:27:"node__field_mt_prg_category";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_prg_category.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prg_category_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_prg_category_target_id";a:1:{i:0;s:31:"field_mt_prg_category_target_id";}}}s:36:"node_revision__field_mt_prg_category";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_prg_category.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prg_category_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_prg_category_target_id";a:1:{i:0;s:31:"field_mt_prg_category_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prg_end_date', 'a:2:{s:27:"node__field_mt_prg_end_date";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_prg_end_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_prg_end_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_prg_end_date_value";a:1:{i:0;s:27:"field_mt_prg_end_date_value";}}}s:36:"node_revision__field_mt_prg_end_date";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_prg_end_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_prg_end_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_prg_end_date_value";a:1:{i:0;s:27:"field_mt_prg_end_date_value";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prg_event', 'a:2:{s:24:"node__field_mt_prg_event";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_prg_event.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prg_event_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prg_event_target_id";a:1:{i:0;s:28:"field_mt_prg_event_target_id";}}}s:33:"node_revision__field_mt_prg_event";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_prg_event.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prg_event_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prg_event_target_id";a:1:{i:0;s:28:"field_mt_prg_event_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prg_start_date', 'a:2:{s:29:"node__field_mt_prg_start_date";a:4:{s:11:"description";s:52:"Data storage for node field field_mt_prg_start_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_prg_start_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_prg_start_date_value";a:1:{i:0;s:29:"field_mt_prg_start_date_value";}}}s:38:"node_revision__field_mt_prg_start_date";a:4:{s:11:"description";s:64:"Revision archive storage for node field field_mt_prg_start_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_prg_start_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_prg_start_date_value";a:1:{i:0;s:29:"field_mt_prg_start_date_value";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_price', 'a:2:{s:20:"node__field_mt_price";a:4:{s:11:"description";s:43:"Data storage for node field field_mt_price.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_mt_price_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:29:"node_revision__field_mt_price";a:4:{s:11:"description";s:55:"Revision archive storage for node field field_mt_price.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_mt_price_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_pricing_table_item', 'a:2:{s:33:"node__field_mt_pricing_table_item";a:4:{s:11:"description";s:56:"Data storage for node field field_mt_pricing_table_item.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_pricing_table_item_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:42:"node_revision__field_mt_pricing_table_item";a:4:{s:11:"description";s:68:"Revision archive storage for node field field_mt_pricing_table_item.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_pricing_table_item_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_products_tags', 'a:2:{s:28:"node__field_mt_products_tags";a:4:{s:11:"description";s:51:"Data storage for node field field_mt_products_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_products_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_products_tags_target_id";a:1:{i:0;s:32:"field_mt_products_tags_target_id";}}}s:37:"node_revision__field_mt_products_tags";a:4:{s:11:"description";s:63:"Revision archive storage for node field field_mt_products_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_products_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_products_tags_target_id";a:1:{i:0;s:32:"field_mt_products_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_product_availability', 'a:2:{s:35:"node__field_mt_product_availability";a:4:{s:11:"description";s:58:"Data storage for node field field_mt_product_availability.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_product_availability_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_product_availability_value";a:1:{i:0;s:35:"field_mt_product_availability_value";}}}s:44:"node_revision__field_mt_product_availability";a:4:{s:11:"description";s:70:"Revision archive storage for node field field_mt_product_availability.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_product_availability_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_product_availability_value";a:1:{i:0;s:35:"field_mt_product_availability_value";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_product_code', 'a:2:{s:27:"node__field_mt_product_code";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_product_code.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_product_code_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_mt_product_code";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_product_code.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_product_code_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_affiliations', 'a:2:{s:31:"node__field_mt_prs_affiliations";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_prs_affiliations.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prs_affiliations_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"node_revision__field_mt_prs_affiliations";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_prs_affiliations.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prs_affiliations_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_authors', 'a:2:{s:26:"node__field_mt_prs_authors";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_prs_authors.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_prs_authors_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:35:"node_revision__field_mt_prs_authors";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_prs_authors.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_prs_authors_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_body', 'a:2:{s:23:"node__field_mt_prs_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_prs_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_prs_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_prs_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_prs_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_prs_body_format";a:1:{i:0;s:24:"field_mt_prs_body_format";}}}s:32:"node_revision__field_mt_prs_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_prs_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_prs_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_prs_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_prs_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_prs_body_format";a:1:{i:0;s:24:"field_mt_prs_body_format";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_category', 'a:2:{s:27:"node__field_mt_prs_category";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_prs_category.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prs_category_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_prs_category_target_id";a:1:{i:0;s:31:"field_mt_prs_category_target_id";}}}s:36:"node_revision__field_mt_prs_category";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_prs_category.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_prs_category_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_prs_category_target_id";a:1:{i:0;s:31:"field_mt_prs_category_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_date', 'a:2:{s:23:"node__field_mt_prs_date";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_prs_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_prs_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_prs_date_value";a:1:{i:0;s:23:"field_mt_prs_date_value";}}}s:32:"node_revision__field_mt_prs_date";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_prs_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_prs_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_prs_date_value";a:1:{i:0;s:23:"field_mt_prs_date_value";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_files', 'a:2:{s:24:"node__field_mt_prs_files";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_prs_files.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prs_files_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_prs_files_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:30:"field_mt_prs_files_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prs_files_target_id";a:1:{i:0;s:28:"field_mt_prs_files_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_prs_files_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_prs_files_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_prs_files";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_prs_files.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prs_files_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_prs_files_display";a:6:{s:11:"description";s:75:"Flag to control whether this file should be displayed when viewing content.";s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"unsigned";b:1;s:7:"default";i:1;s:8:"not null";b:0;}s:30:"field_mt_prs_files_description";a:3:{s:11:"description";s:26:"A description of the file.";s:4:"type";s:4:"text";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prs_files_target_id";a:1:{i:0;s:28:"field_mt_prs_files_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_prs_files_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_prs_files_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_image', 'a:2:{s:24:"node__field_mt_prs_image";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_prs_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prs_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_prs_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_prs_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_prs_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_prs_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prs_image_target_id";a:1:{i:0;s:28:"field_mt_prs_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_prs_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_prs_image_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_prs_image";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_prs_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_prs_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_prs_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_prs_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_prs_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_prs_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_prs_image_target_id";a:1:{i:0;s:28:"field_mt_prs_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_prs_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_prs_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_location', 'a:2:{s:27:"node__field_mt_prs_location";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_prs_location.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_prs_location_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_mt_prs_location";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_prs_location.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_prs_location_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_session', 'a:2:{s:26:"node__field_mt_prs_session";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_prs_session.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_prs_session_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_prs_session_target_id";a:1:{i:0;s:30:"field_mt_prs_session_target_id";}}}s:35:"node_revision__field_mt_prs_session";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_prs_session.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_prs_session_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_prs_session_target_id";a:1:{i:0;s:30:"field_mt_prs_session_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_speaker', 'a:2:{s:26:"node__field_mt_prs_speaker";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_prs_speaker.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_prs_speaker_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_prs_speaker_target_id";a:1:{i:0;s:30:"field_mt_prs_speaker_target_id";}}}s:35:"node_revision__field_mt_prs_speaker";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_prs_speaker.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_prs_speaker_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_prs_speaker_target_id";a:1:{i:0;s:30:"field_mt_prs_speaker_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_sponsor', 'a:2:{s:26:"node__field_mt_prs_sponsor";a:4:{s:11:"description";s:49:"Data storage for node field field_mt_prs_sponsor.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_prs_sponsor_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_prs_sponsor_target_id";a:1:{i:0;s:30:"field_mt_prs_sponsor_target_id";}}}s:35:"node_revision__field_mt_prs_sponsor";a:4:{s:11:"description";s:61:"Revision archive storage for node field field_mt_prs_sponsor.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_prs_sponsor_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_prs_sponsor_target_id";a:1:{i:0;s:30:"field_mt_prs_sponsor_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_topics', 'a:2:{s:25:"node__field_mt_prs_topics";a:4:{s:11:"description";s:48:"Data storage for node field field_mt_prs_topics.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_prs_topics_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_prs_topics_target_id";a:1:{i:0;s:29:"field_mt_prs_topics_target_id";}}}s:34:"node_revision__field_mt_prs_topics";a:4:{s:11:"description";s:60:"Revision archive storage for node field field_mt_prs_topics.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_prs_topics_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_prs_topics_target_id";a:1:{i:0;s:29:"field_mt_prs_topics_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_prs_video', 'a:2:{s:24:"node__field_mt_prs_video";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_prs_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_prs_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_prs_video";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_prs_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_prs_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_service_tags', 'a:2:{s:27:"node__field_mt_service_tags";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_service_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_service_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_service_tags_target_id";a:1:{i:0;s:31:"field_mt_service_tags_target_id";}}}s:36:"node_revision__field_mt_service_tags";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_service_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_service_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:31:"field_mt_service_tags_target_id";a:1:{i:0;s:31:"field_mt_service_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_showcase_tags', 'a:2:{s:28:"node__field_mt_showcase_tags";a:4:{s:11:"description";s:51:"Data storage for node field field_mt_showcase_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_showcase_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_showcase_tags_target_id";a:1:{i:0;s:32:"field_mt_showcase_tags_target_id";}}}s:37:"node_revision__field_mt_showcase_tags";a:4:{s:11:"description";s:63:"Revision archive storage for node field field_mt_showcase_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_showcase_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_showcase_tags_target_id";a:1:{i:0;s:32:"field_mt_showcase_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_slideshow', 'a:2:{s:24:"node__field_mt_slideshow";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_slideshow.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_slideshow_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_slideshow";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_slideshow.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_slideshow_value";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_slideshow_image', 'a:2:{s:30:"node__field_mt_slideshow_image";a:5:{s:11:"description";s:53:"Data storage for node field field_mt_slideshow_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_slideshow_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:28:"field_mt_slideshow_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:30:"field_mt_slideshow_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:30:"field_mt_slideshow_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:31:"field_mt_slideshow_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_slideshow_image_target_id";a:1:{i:0;s:34:"field_mt_slideshow_image_target_id";}}s:12:"foreign keys";a:1:{s:34:"field_mt_slideshow_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:34:"field_mt_slideshow_image_target_id";s:3:"fid";}}}}s:39:"node_revision__field_mt_slideshow_image";a:5:{s:11:"description";s:65:"Revision archive storage for node field field_mt_slideshow_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_slideshow_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:28:"field_mt_slideshow_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:30:"field_mt_slideshow_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:30:"field_mt_slideshow_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:31:"field_mt_slideshow_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_slideshow_image_target_id";a:1:{i:0;s:34:"field_mt_slideshow_image_target_id";}}s:12:"foreign keys";a:1:{s:34:"field_mt_slideshow_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:34:"field_mt_slideshow_image_target_id";s:3:"fid";}}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_slideshow_path', 'a:2:{s:29:"node__field_mt_slideshow_path";a:4:{s:11:"description";s:52:"Data storage for node field field_mt_slideshow_path.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_slideshow_path_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:38:"node_revision__field_mt_slideshow_path";a:4:{s:11:"description";s:64:"Revision archive storage for node field field_mt_slideshow_path.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_slideshow_path_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_slideshow_text', 'a:2:{s:29:"node__field_mt_slideshow_text";a:4:{s:11:"description";s:52:"Data storage for node field field_mt_slideshow_text.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_slideshow_text_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:30:"field_mt_slideshow_text_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_slideshow_text_format";a:1:{i:0;s:30:"field_mt_slideshow_text_format";}}}s:38:"node_revision__field_mt_slideshow_text";a:4:{s:11:"description";s:64:"Revision archive storage for node field field_mt_slideshow_text.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_slideshow_text_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:30:"field_mt_slideshow_text_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_slideshow_text_format";a:1:{i:0;s:30:"field_mt_slideshow_text_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_affiliations', 'a:2:{s:31:"node__field_mt_spk_affiliations";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_spk_affiliations.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_spk_affiliations_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_spk_affiliations_target_id";a:1:{i:0;s:35:"field_mt_spk_affiliations_target_id";}}}s:40:"node_revision__field_mt_spk_affiliations";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_spk_affiliations.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_spk_affiliations_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_spk_affiliations_target_id";a:1:{i:0;s:35:"field_mt_spk_affiliations_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_body', 'a:2:{s:23:"node__field_mt_spk_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_spk_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_spk_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_spk_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_spk_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_spk_body_format";a:1:{i:0;s:24:"field_mt_spk_body_format";}}}s:32:"node_revision__field_mt_spk_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_spk_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_spk_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_spk_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_spk_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_spk_body_format";a:1:{i:0;s:24:"field_mt_spk_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_facebook_account', 'a:2:{s:35:"node__field_mt_spk_facebook_account";a:4:{s:11:"description";s:58:"Data storage for node field field_mt_spk_facebook_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_spk_facebook_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"node_revision__field_mt_spk_facebook_account";a:4:{s:11:"description";s:70:"Revision archive storage for node field field_mt_spk_facebook_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_spk_facebook_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_linkedin_account', 'a:2:{s:35:"node__field_mt_spk_linkedin_account";a:4:{s:11:"description";s:58:"Data storage for node field field_mt_spk_linkedin_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_spk_linkedin_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"node_revision__field_mt_spk_linkedin_account";a:4:{s:11:"description";s:70:"Revision archive storage for node field field_mt_spk_linkedin_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_spk_linkedin_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_speaker_photo', 'a:2:{s:32:"node__field_mt_spk_speaker_photo";a:5:{s:11:"description";s:55:"Data storage for node field field_mt_spk_speaker_photo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_spk_speaker_photo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_spk_speaker_photo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:32:"field_mt_spk_speaker_photo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:32:"field_mt_spk_speaker_photo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:33:"field_mt_spk_speaker_photo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_spk_speaker_photo_target_id";a:1:{i:0;s:36:"field_mt_spk_speaker_photo_target_id";}}s:12:"foreign keys";a:1:{s:36:"field_mt_spk_speaker_photo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:36:"field_mt_spk_speaker_photo_target_id";s:3:"fid";}}}}s:41:"node_revision__field_mt_spk_speaker_photo";a:5:{s:11:"description";s:67:"Revision archive storage for node field field_mt_spk_speaker_photo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_spk_speaker_photo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_spk_speaker_photo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:32:"field_mt_spk_speaker_photo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:32:"field_mt_spk_speaker_photo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:33:"field_mt_spk_speaker_photo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_spk_speaker_photo_target_id";a:1:{i:0;s:36:"field_mt_spk_speaker_photo_target_id";}}s:12:"foreign keys";a:1:{s:36:"field_mt_spk_speaker_photo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:36:"field_mt_spk_speaker_photo_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_subtitle', 'a:2:{s:27:"node__field_mt_spk_subtitle";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_spk_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_spk_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_mt_spk_subtitle";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_spk_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_spk_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_twitter_account', 'a:2:{s:34:"node__field_mt_spk_twitter_account";a:4:{s:11:"description";s:57:"Data storage for node field field_mt_spk_twitter_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_spk_twitter_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"node_revision__field_mt_spk_twitter_account";a:4:{s:11:"description";s:69:"Revision archive storage for node field field_mt_spk_twitter_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_spk_twitter_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spk_youtube_account', 'a:2:{s:34:"node__field_mt_spk_youtube_account";a:4:{s:11:"description";s:57:"Data storage for node field field_mt_spk_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_spk_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"node_revision__field_mt_spk_youtube_account";a:4:{s:11:"description";s:69:"Revision archive storage for node field field_mt_spk_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_spk_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spn_body', 'a:2:{s:23:"node__field_mt_spn_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_spn_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_spn_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_spn_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_spn_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_spn_body_format";a:1:{i:0;s:24:"field_mt_spn_body_format";}}}s:32:"node_revision__field_mt_spn_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_spn_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_spn_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_spn_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_spn_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_spn_body_format";a:1:{i:0;s:24:"field_mt_spn_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_spn_logo', 'a:2:{s:23:"node__field_mt_spn_logo";a:5:{s:11:"description";s:46:"Data storage for node field field_mt_spn_logo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_spn_logo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:21:"field_mt_spn_logo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:23:"field_mt_spn_logo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:23:"field_mt_spn_logo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:24:"field_mt_spn_logo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_spn_logo_target_id";a:1:{i:0;s:27:"field_mt_spn_logo_target_id";}}s:12:"foreign keys";a:1:{s:27:"field_mt_spn_logo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:27:"field_mt_spn_logo_target_id";s:3:"fid";}}}}s:32:"node_revision__field_mt_spn_logo";a:5:{s:11:"description";s:58:"Revision archive storage for node field field_mt_spn_logo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_spn_logo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:21:"field_mt_spn_logo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:23:"field_mt_spn_logo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:23:"field_mt_spn_logo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:24:"field_mt_spn_logo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_spn_logo_target_id";a:1:{i:0;s:27:"field_mt_spn_logo_target_id";}}s:12:"foreign keys";a:1:{s:27:"field_mt_spn_logo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:27:"field_mt_spn_logo_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_banner_image', 'a:2:{s:31:"node__field_mt_srv_banner_image";a:5:{s:11:"description";s:54:"Data storage for node field field_mt_srv_banner_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_srv_banner_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_srv_banner_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_srv_banner_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_srv_banner_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_srv_banner_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_srv_banner_image_target_id";a:1:{i:0;s:35:"field_mt_srv_banner_image_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_srv_banner_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_srv_banner_image_target_id";s:3:"fid";}}}}s:40:"node_revision__field_mt_srv_banner_image";a:5:{s:11:"description";s:66:"Revision archive storage for node field field_mt_srv_banner_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_srv_banner_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_srv_banner_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_srv_banner_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_srv_banner_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_srv_banner_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_srv_banner_image_target_id";a:1:{i:0;s:35:"field_mt_srv_banner_image_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_srv_banner_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_srv_banner_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_body', 'a:2:{s:23:"node__field_mt_srv_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_srv_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_srv_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_srv_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_srv_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_srv_body_format";a:1:{i:0;s:24:"field_mt_srv_body_format";}}}s:32:"node_revision__field_mt_srv_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_srv_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_srv_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_srv_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_srv_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_srv_body_format";a:1:{i:0;s:24:"field_mt_srv_body_format";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_buy_link', 'a:2:{s:27:"node__field_mt_srv_buy_link";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_srv_buy_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_srv_buy_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:27:"field_mt_srv_buy_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:29:"field_mt_srv_buy_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_srv_buy_link_uri";a:1:{i:0;a:2:{i:0;s:25:"field_mt_srv_buy_link_uri";i:1;i:30;}}}}s:36:"node_revision__field_mt_srv_buy_link";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_srv_buy_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_srv_buy_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:27:"field_mt_srv_buy_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:29:"field_mt_srv_buy_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_srv_buy_link_uri";a:1:{i:0;a:2:{i:0;s:25:"field_mt_srv_buy_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_highlight', 'a:2:{s:28:"node__field_mt_srv_highlight";a:4:{s:11:"description";s:51:"Data storage for node field field_mt_srv_highlight.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_srv_highlight_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:41:"field_mt_srv_highlight_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_srv_highlight_target_id";a:1:{i:0;s:32:"field_mt_srv_highlight_target_id";}s:41:"field_mt_srv_highlight_target_revision_id";a:1:{i:0;s:41:"field_mt_srv_highlight_target_revision_id";}}}s:37:"node_revision__field_mt_srv_highlight";a:4:{s:11:"description";s:63:"Revision archive storage for node field field_mt_srv_highlight.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_srv_highlight_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:41:"field_mt_srv_highlight_target_revision_id";a:4:{s:11:"description";s:37:"The revision ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:4:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_srv_highlight_target_id";a:1:{i:0;s:32:"field_mt_srv_highlight_target_id";}s:41:"field_mt_srv_highlight_target_revision_id";a:1:{i:0;s:41:"field_mt_srv_highlight_target_revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_image', 'a:2:{s:24:"node__field_mt_srv_image";a:5:{s:11:"description";s:47:"Data storage for node field field_mt_srv_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_srv_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_srv_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_srv_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_srv_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_srv_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_srv_image_target_id";a:1:{i:0;s:28:"field_mt_srv_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_srv_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_srv_image_target_id";s:3:"fid";}}}}s:33:"node_revision__field_mt_srv_image";a:5:{s:11:"description";s:59:"Revision archive storage for node field field_mt_srv_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_srv_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_srv_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_srv_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_srv_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_srv_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_srv_image_target_id";a:1:{i:0;s:28:"field_mt_srv_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_srv_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_srv_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_price', 'a:2:{s:24:"node__field_mt_srv_price";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_srv_price.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_srv_price_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_srv_price";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_srv_price.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_srv_price_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_service_tags', 'a:2:{s:31:"node__field_mt_srv_service_tags";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_srv_service_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_srv_service_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_srv_service_tags_target_id";a:1:{i:0;s:35:"field_mt_srv_service_tags_target_id";}}}s:40:"node_revision__field_mt_srv_service_tags";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_srv_service_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_srv_service_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_srv_service_tags_target_id";a:1:{i:0;s:35:"field_mt_srv_service_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_subheader_body', 'a:2:{s:33:"node__field_mt_srv_subheader_body";a:4:{s:11:"description";s:56:"Data storage for node field field_mt_srv_subheader_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_srv_subheader_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:35:"field_mt_srv_subheader_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:34:"field_mt_srv_subheader_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_srv_subheader_body_format";a:1:{i:0;s:34:"field_mt_srv_subheader_body_format";}}}s:42:"node_revision__field_mt_srv_subheader_body";a:4:{s:11:"description";s:68:"Revision archive storage for node field field_mt_srv_subheader_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_srv_subheader_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:35:"field_mt_srv_subheader_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:34:"field_mt_srv_subheader_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_srv_subheader_body_format";a:1:{i:0;s:34:"field_mt_srv_subheader_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_srv_video', 'a:2:{s:24:"node__field_mt_srv_video";a:4:{s:11:"description";s:47:"Data storage for node field field_mt_srv_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_srv_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:33:"node_revision__field_mt_srv_video";a:4:{s:11:"description";s:59:"Revision archive storage for node field field_mt_srv_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_srv_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_subheader_body', 'a:2:{s:29:"node__field_mt_subheader_body";a:4:{s:11:"description";s:52:"Data storage for node field field_mt_subheader_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_subheader_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:31:"field_mt_subheader_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:30:"field_mt_subheader_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_subheader_body_format";a:1:{i:0;s:30:"field_mt_subheader_body_format";}}}s:38:"node_revision__field_mt_subheader_body";a:4:{s:11:"description";s:64:"Revision archive storage for node field field_mt_subheader_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_subheader_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:31:"field_mt_subheader_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:30:"field_mt_subheader_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_subheader_body_format";a:1:{i:0;s:30:"field_mt_subheader_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_subtitle', 'a:2:{s:23:"node__field_mt_subtitle";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:32:"node_revision__field_mt_subtitle";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_testimonial_image', 'a:2:{s:32:"node__field_mt_testimonial_image";a:5:{s:11:"description";s:55:"Data storage for node field field_mt_testimonial_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_testimonial_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_testimonial_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:32:"field_mt_testimonial_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:32:"field_mt_testimonial_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:33:"field_mt_testimonial_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_testimonial_image_target_id";a:1:{i:0;s:36:"field_mt_testimonial_image_target_id";}}s:12:"foreign keys";a:1:{s:36:"field_mt_testimonial_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:36:"field_mt_testimonial_image_target_id";s:3:"fid";}}}}s:41:"node_revision__field_mt_testimonial_image";a:5:{s:11:"description";s:67:"Revision archive storage for node field field_mt_testimonial_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_testimonial_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_testimonial_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:32:"field_mt_testimonial_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:32:"field_mt_testimonial_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:33:"field_mt_testimonial_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_testimonial_image_target_id";a:1:{i:0;s:36:"field_mt_testimonial_image_target_id";}}s:12:"foreign keys";a:1:{s:36:"field_mt_testimonial_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:36:"field_mt_testimonial_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_testimonial_link', 'a:2:{s:31:"node__field_mt_testimonial_link";a:4:{s:11:"description";s:54:"Data storage for node field field_mt_testimonial_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_testimonial_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:31:"field_mt_testimonial_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:33:"field_mt_testimonial_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_testimonial_link_uri";a:1:{i:0;a:2:{i:0;s:29:"field_mt_testimonial_link_uri";i:1;i:30;}}}}s:40:"node_revision__field_mt_testimonial_link";a:4:{s:11:"description";s:66:"Revision archive storage for node field field_mt_testimonial_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_testimonial_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:31:"field_mt_testimonial_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:33:"field_mt_testimonial_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_testimonial_link_uri";a:1:{i:0;a:2:{i:0;s:29:"field_mt_testimonial_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tmm_body', 'a:2:{s:23:"node__field_mt_tmm_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_tmm_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_tmm_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_tmm_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_tmm_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_tmm_body_format";a:1:{i:0;s:24:"field_mt_tmm_body_format";}}}s:32:"node_revision__field_mt_tmm_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_tmm_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_tmm_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_tmm_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_tmm_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_tmm_body_format";a:1:{i:0;s:24:"field_mt_tmm_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tmm_facebook_account', 'a:2:{s:35:"node__field_mt_tmm_facebook_account";a:4:{s:11:"description";s:58:"Data storage for node field field_mt_tmm_facebook_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_tmm_facebook_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"node_revision__field_mt_tmm_facebook_account";a:4:{s:11:"description";s:70:"Revision archive storage for node field field_mt_tmm_facebook_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_tmm_facebook_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tmm_linkedin_account', 'a:2:{s:35:"node__field_mt_tmm_linkedin_account";a:4:{s:11:"description";s:58:"Data storage for node field field_mt_tmm_linkedin_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_tmm_linkedin_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"node_revision__field_mt_tmm_linkedin_account";a:4:{s:11:"description";s:70:"Revision archive storage for node field field_mt_tmm_linkedin_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_tmm_linkedin_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tmm_member_photo', 'a:2:{s:31:"node__field_mt_tmm_member_photo";a:5:{s:11:"description";s:54:"Data storage for node field field_mt_tmm_member_photo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_tmm_member_photo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_tmm_member_photo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_tmm_member_photo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_tmm_member_photo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_tmm_member_photo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_tmm_member_photo_target_id";a:1:{i:0;s:35:"field_mt_tmm_member_photo_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_tmm_member_photo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_tmm_member_photo_target_id";s:3:"fid";}}}}s:40:"node_revision__field_mt_tmm_member_photo";a:5:{s:11:"description";s:66:"Revision archive storage for node field field_mt_tmm_member_photo.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_tmm_member_photo_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_tmm_member_photo_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_tmm_member_photo_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_tmm_member_photo_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_tmm_member_photo_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_tmm_member_photo_target_id";a:1:{i:0;s:35:"field_mt_tmm_member_photo_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_tmm_member_photo_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_tmm_member_photo_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tmm_subtitle', 'a:2:{s:27:"node__field_mt_tmm_subtitle";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_tmm_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_tmm_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_mt_tmm_subtitle";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_tmm_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_tmm_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tmm_twitter_account', 'a:2:{s:34:"node__field_mt_tmm_twitter_account";a:4:{s:11:"description";s:57:"Data storage for node field field_mt_tmm_twitter_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_tmm_twitter_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"node_revision__field_mt_tmm_twitter_account";a:4:{s:11:"description";s:69:"Revision archive storage for node field field_mt_tmm_twitter_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_tmm_twitter_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tmm_youtube_account', 'a:2:{s:34:"node__field_mt_tmm_youtube_account";a:4:{s:11:"description";s:57:"Data storage for node field field_mt_tmm_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_tmm_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"node_revision__field_mt_tmm_youtube_account";a:4:{s:11:"description";s:69:"Revision archive storage for node field field_mt_tmm_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_tmm_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tst_body', 'a:2:{s:23:"node__field_mt_tst_body";a:4:{s:11:"description";s:46:"Data storage for node field field_mt_tst_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_tst_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_tst_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_tst_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_tst_body_format";a:1:{i:0;s:24:"field_mt_tst_body_format";}}}s:32:"node_revision__field_mt_tst_body";a:4:{s:11:"description";s:58:"Revision archive storage for node field field_mt_tst_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_tst_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_tst_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:24:"field_mt_tst_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_tst_body_format";a:1:{i:0;s:24:"field_mt_tst_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tst_subtitle', 'a:2:{s:27:"node__field_mt_tst_subtitle";a:4:{s:11:"description";s:50:"Data storage for node field field_mt_tst_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_tst_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_mt_tst_subtitle";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_mt_tst_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_tst_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tst_testimonial_image', 'a:2:{s:36:"node__field_mt_tst_testimonial_image";a:5:{s:11:"description";s:59:"Data storage for node field field_mt_tst_testimonial_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:40:"field_mt_tst_testimonial_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:34:"field_mt_tst_testimonial_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:36:"field_mt_tst_testimonial_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:36:"field_mt_tst_testimonial_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:37:"field_mt_tst_testimonial_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:40:"field_mt_tst_testimonial_image_target_id";a:1:{i:0;s:40:"field_mt_tst_testimonial_image_target_id";}}s:12:"foreign keys";a:1:{s:40:"field_mt_tst_testimonial_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:40:"field_mt_tst_testimonial_image_target_id";s:3:"fid";}}}}s:45:"node_revision__field_mt_tst_testimonial_image";a:5:{s:11:"description";s:71:"Revision archive storage for node field field_mt_tst_testimonial_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:40:"field_mt_tst_testimonial_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:34:"field_mt_tst_testimonial_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:36:"field_mt_tst_testimonial_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:36:"field_mt_tst_testimonial_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:37:"field_mt_tst_testimonial_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:40:"field_mt_tst_testimonial_image_target_id";a:1:{i:0;s:40:"field_mt_tst_testimonial_image_target_id";}}s:12:"foreign keys";a:1:{s:40:"field_mt_tst_testimonial_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:40:"field_mt_tst_testimonial_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_tst_testimonial_link', 'a:2:{s:35:"node__field_mt_tst_testimonial_link";a:4:{s:11:"description";s:58:"Data storage for node field field_mt_tst_testimonial_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_tst_testimonial_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:35:"field_mt_tst_testimonial_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:37:"field_mt_tst_testimonial_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_tst_testimonial_link_uri";a:1:{i:0;a:2:{i:0;s:33:"field_mt_tst_testimonial_link_uri";i:1;i:30;}}}}s:44:"node_revision__field_mt_tst_testimonial_link";a:4:{s:11:"description";s:70:"Revision archive storage for node field field_mt_tst_testimonial_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_tst_testimonial_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:35:"field_mt_tst_testimonial_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:37:"field_mt_tst_testimonial_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_tst_testimonial_link_uri";a:1:{i:0;a:2:{i:0;s:33:"field_mt_tst_testimonial_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_twitter_account', 'a:2:{s:30:"node__field_mt_twitter_account";a:4:{s:11:"description";s:53:"Data storage for node field field_mt_twitter_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_twitter_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:39:"node_revision__field_mt_twitter_account";a:4:{s:11:"description";s:65:"Revision archive storage for node field field_mt_twitter_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_twitter_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_video', 'a:2:{s:20:"node__field_mt_video";a:4:{s:11:"description";s:43:"Data storage for node field field_mt_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_mt_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:29:"node_revision__field_mt_video";a:4:{s:11:"description";s:55:"Revision archive storage for node field field_mt_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_mt_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_youtube', 'a:2:{s:22:"node__field_mt_youtube";a:4:{s:11:"description";s:45:"Data storage for node field field_mt_youtube.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_youtube_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:31:"node_revision__field_mt_youtube";a:4:{s:11:"description";s:57:"Revision archive storage for node field field_mt_youtube.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_youtube_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_mt_youtube_account', 'a:2:{s:30:"node__field_mt_youtube_account";a:4:{s:11:"description";s:53:"Data storage for node field field_mt_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:39:"node_revision__field_mt_youtube_account";a:4:{s:11:"description";s:65:"Revision archive storage for node field field_mt_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_prs_body', 'a:2:{s:20:"node__field_prs_body";a:4:{s:11:"description";s:43:"Data storage for node field field_prs_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_prs_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:22:"field_prs_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:21:"field_prs_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_prs_body_format";a:1:{i:0;s:21:"field_prs_body_format";}}}s:29:"node_revision__field_prs_body";a:4:{s:11:"description";s:55:"Revision archive storage for node field field_prs_body.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_prs_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:22:"field_prs_body_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:21:"field_prs_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_prs_body_format";a:1:{i:0;s:21:"field_prs_body_format";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_prs_date', 'a:2:{s:20:"node__field_prs_date";a:4:{s:11:"description";s:43:"Data storage for node field field_prs_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_prs_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:20:"field_prs_date_value";a:1:{i:0;s:20:"field_prs_date_value";}}}s:29:"node_revision__field_prs_date";a:4:{s:11:"description";s:55:"Revision archive storage for node field field_prs_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_prs_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:20:"field_prs_date_value";a:1:{i:0;s:20:"field_prs_date_value";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'node.field_schema_data.field_tags', 'a:2:{s:16:"node__field_tags";a:4:{s:11:"description";s:39:"Data storage for node field field_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:20:"field_tags_target_id";a:1:{i:0;s:20:"field_tags_target_id";}}}s:25:"node_revision__field_tags";a:4:{s:11:"description";s:51:"Revision archive storage for node field field_tags.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_tags_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:20:"field_tags_target_id";a:1:{i:0;s:20:"field_tags_target_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.field_youtube_account', 'a:2:{s:27:"node__field_youtube_account";a:4:{s:11:"description";s:50:"Data storage for node field field_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"node_revision__field_youtube_account";a:4:{s:11:"description";s:62:"Revision archive storage for node field field_youtube_account.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_youtube_account_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.langcode', 'a:4:{s:4:"node";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:13:"node_revision";a:2:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:20:"node_field__langcode";a:1:{i:0;s:8:"langcode";}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.nid', 'a:4:{s:4:"node";a:1:{s:6:"fields";a:1:{s:3:"nid";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:3:"nid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:13:"node_revision";a:1:{s:6:"fields";a:1:{s:3:"nid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:3:"nid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.promote', 'a:2:{s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:7:"promote";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:7:"promote";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.revision_default', 'a:1:{s:13:"node_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_default";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.revision_log', 'a:1:{s:13:"node_revision";a:1:{s:6:"fields";a:1:{s:12:"revision_log";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.revision_timestamp', 'a:1:{s:13:"node_revision";a:1:{s:6:"fields";a:1:{s:18:"revision_timestamp";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.revision_translation_affected', 'a:2:{s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.revision_uid', 'a:1:{s:13:"node_revision";a:3:{s:6:"fields";a:1:{s:12:"revision_uid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:35:"node_field__revision_uid__target_id";a:1:{i:0;s:12:"revision_uid";}}s:12:"foreign keys";a:1:{s:24:"node_field__revision_uid";a:2:{s:5:"table";s:5:"users";s:7:"columns";a:1:{s:12:"revision_uid";s:3:"uid";}}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.status', 'a:2:{s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.sticky', 'a:2:{s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:6:"sticky";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:6:"sticky";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.title', 'a:2:{s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:5:"title";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:5:"title";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.type', 'a:2:{s:4:"node";a:2:{s:6:"fields";a:1:{s:4:"type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:27:"node_field__type__target_id";a:1:{i:0;s:4:"type";}}}s:15:"node_field_data";a:2:{s:6:"fields";a:1:{s:4:"type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:27:"node_field__type__target_id";a:1:{i:0;s:4:"type";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.uid', 'a:2:{s:15:"node_field_data";a:2:{s:6:"fields";a:1:{s:3:"uid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:26:"node_field__uid__target_id";a:1:{i:0;s:3:"uid";}}}s:19:"node_field_revision";a:2:{s:6:"fields";a:1:{s:3:"uid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:26:"node_field__uid__target_id";a:1:{i:0;s:3:"uid";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.uuid', 'a:1:{s:4:"node";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:23:"node_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'node.field_schema_data.vid', 'a:4:{s:4:"node";a:1:{s:6:"fields";a:1:{s:3:"vid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}s:15:"node_field_data";a:1:{s:6:"fields";a:1:{s:3:"vid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:13:"node_revision";a:1:{s:6:"fields";a:1:{s:3:"vid";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:19:"node_field_revision";a:1:{s:6:"fields";a:1:{s:3:"vid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'paragraph.entity_schema_data', 'a:4:{s:15:"paragraphs_item";a:2:{s:11:"primary key";a:1:{i:0;s:2:"id";}s:11:"unique keys";a:1:{s:22:"paragraph__revision_id";a:1:{i:0;s:11:"revision_id";}}}s:24:"paragraphs_item_revision";a:2:{s:11:"primary key";a:1:{i:0;s:11:"revision_id";}s:7:"indexes";a:1:{s:13:"paragraph__id";a:1:{i:0;s:2:"id";}}}s:26:"paragraphs_item_field_data";a:2:{s:11:"primary key";a:2:{i:0;s:2:"id";i:1;s:8:"langcode";}s:7:"indexes";a:4:{s:41:"paragraph__id__default_langcode__langcode";a:3:{i:0;s:2:"id";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}s:22:"paragraph__revision_id";a:1:{i:0;s:11:"revision_id";}s:22:"paragraph__status_type";a:3:{i:0;s:6:"status";i:1;s:4:"type";i:2;s:2:"id";}s:25:"paragraphs__parent_fields";a:3:{i:0;s:11:"parent_type";i:1;s:9:"parent_id";i:2;s:17:"parent_field_name";}}}s:35:"paragraphs_item_revision_field_data";a:2:{s:11:"primary key";a:2:{i:0;s:11:"revision_id";i:1;s:8:"langcode";}s:7:"indexes";a:2:{s:41:"paragraph__id__default_langcode__langcode";a:3:{i:0;s:2:"id";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}s:25:"paragraphs__parent_fields";a:3:{i:0;s:11:"parent_type";i:1;s:9:"parent_id";i:2;s:17:"parent_field_name";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.behavior_settings', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:17:"behavior_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:17:"behavior_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.created', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.default_langcode', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_adf_body', 'a:2:{s:28:"paragraph__field_mt_adf_body";a:4:{s:11:"description";s:51:"Data storage for paragraph field field_mt_adf_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_adf_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:24:"field_mt_adf_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_adf_body_format";a:1:{i:0;s:24:"field_mt_adf_body_format";}}}s:37:"paragraph_revision__field_mt_adf_body";a:4:{s:11:"description";s:63:"Revision archive storage for paragraph field field_mt_adf_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_adf_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:24:"field_mt_adf_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_adf_body_format";a:1:{i:0;s:24:"field_mt_adf_body_format";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_adf_fa_icon', 'a:2:{s:31:"paragraph__field_mt_adf_fa_icon";a:4:{s:11:"description";s:54:"Data storage for paragraph field field_mt_adf_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_adf_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:26:"field_mt_adf_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:29:"field_mt_adf_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"paragraph_revision__field_mt_adf_fa_icon";a:4:{s:11:"description";s:66:"Revision archive storage for paragraph field field_mt_adf_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_adf_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:26:"field_mt_adf_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:29:"field_mt_adf_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_adf_image', 'a:2:{s:29:"paragraph__field_mt_adf_image";a:5:{s:11:"description";s:52:"Data storage for paragraph field field_mt_adf_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_adf_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_adf_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_adf_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_adf_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_adf_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_adf_image_target_id";a:1:{i:0;s:28:"field_mt_adf_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_adf_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_adf_image_target_id";s:3:"fid";}}}}s:38:"paragraph_revision__field_mt_adf_image";a:5:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_adf_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_adf_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_adf_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_adf_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_adf_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_adf_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_adf_image_target_id";a:1:{i:0;s:28:"field_mt_adf_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_adf_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_adf_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_adf_title', 'a:2:{s:29:"paragraph__field_mt_adf_title";a:4:{s:11:"description";s:52:"Data storage for paragraph field field_mt_adf_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_adf_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:38:"paragraph_revision__field_mt_adf_title";a:4:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_adf_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_adf_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_collapse_body', 'a:2:{s:33:"paragraph__field_mt_collapse_body";a:4:{s:11:"description";s:56:"Data storage for paragraph field field_mt_collapse_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_collapse_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:29:"field_mt_collapse_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_collapse_body_format";a:1:{i:0;s:29:"field_mt_collapse_body_format";}}}s:42:"paragraph_revision__field_mt_collapse_body";a:4:{s:11:"description";s:68:"Revision archive storage for paragraph field field_mt_collapse_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_collapse_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:29:"field_mt_collapse_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:29:"field_mt_collapse_body_format";a:1:{i:0;s:29:"field_mt_collapse_body_format";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_collapse_title', 'a:2:{s:34:"paragraph__field_mt_collapse_title";a:4:{s:11:"description";s:57:"Data storage for paragraph field field_mt_collapse_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_collapse_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"paragraph_revision__field_mt_collapse_title";a:4:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_collapse_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_collapse_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_dropdown_block', 'a:2:{s:34:"paragraph__field_mt_dropdown_block";a:4:{s:11:"description";s:57:"Data storage for paragraph field field_mt_dropdown_block.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_dropdown_block_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_dropdown_block_target_id";a:1:{i:0;s:33:"field_mt_dropdown_block_target_id";}}}s:43:"paragraph_revision__field_mt_dropdown_block";a:4:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_dropdown_block.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_dropdown_block_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_dropdown_block_target_id";a:1:{i:0;s:33:"field_mt_dropdown_block_target_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_dropdown_fa_icon', 'a:2:{s:36:"paragraph__field_mt_dropdown_fa_icon";a:4:{s:11:"description";s:59:"Data storage for paragraph field field_mt_dropdown_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_dropdown_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:31:"field_mt_dropdown_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:34:"field_mt_dropdown_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:45:"paragraph_revision__field_mt_dropdown_fa_icon";a:4:{s:11:"description";s:71:"Revision archive storage for paragraph field field_mt_dropdown_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_dropdown_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:31:"field_mt_dropdown_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:34:"field_mt_dropdown_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fancy_block_reference', 'a:2:{s:41:"paragraph__field_mt_fancy_block_reference";a:4:{s:11:"description";s:64:"Data storage for paragraph field field_mt_fancy_block_reference.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:40:"field_mt_fancy_block_reference_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:40:"field_mt_fancy_block_reference_target_id";a:1:{i:0;s:40:"field_mt_fancy_block_reference_target_id";}}}s:23:"paragraph_r__55757bbefd";a:4:{s:11:"description";s:76:"Revision archive storage for paragraph field field_mt_fancy_block_reference.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:40:"field_mt_fancy_block_reference_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:40:"field_mt_fancy_block_reference_target_id";a:1:{i:0;s:40:"field_mt_fancy_block_reference_target_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fancy_subtitle', 'a:2:{s:34:"paragraph__field_mt_fancy_subtitle";a:4:{s:11:"description";s:57:"Data storage for paragraph field field_mt_fancy_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_fancy_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"paragraph_revision__field_mt_fancy_subtitle";a:4:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_fancy_subtitle.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_fancy_subtitle_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fancy_title', 'a:2:{s:31:"paragraph__field_mt_fancy_title";a:4:{s:11:"description";s:54:"Data storage for paragraph field field_mt_fancy_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_fancy_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"paragraph_revision__field_mt_fancy_title";a:4:{s:11:"description";s:66:"Revision archive storage for paragraph field field_mt_fancy_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_fancy_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fli_button_fa_icon', 'a:2:{s:38:"paragraph__field_mt_fli_button_fa_icon";a:4:{s:11:"description";s:61:"Data storage for paragraph field field_mt_fli_button_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_fli_button_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:33:"field_mt_fli_button_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:36:"field_mt_fli_button_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:47:"paragraph_revision__field_mt_fli_button_fa_icon";a:4:{s:11:"description";s:73:"Revision archive storage for paragraph field field_mt_fli_button_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_fli_button_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:33:"field_mt_fli_button_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:36:"field_mt_fli_button_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fli_button_icon', 'a:2:{s:35:"paragraph__field_mt_fli_button_icon";a:4:{s:11:"description";s:58:"Data storage for paragraph field field_mt_fli_button_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_fli_button_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"paragraph_revision__field_mt_fli_button_icon";a:4:{s:11:"description";s:70:"Revision archive storage for paragraph field field_mt_fli_button_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_fli_button_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fli_image', 'a:2:{s:29:"paragraph__field_mt_fli_image";a:5:{s:11:"description";s:52:"Data storage for paragraph field field_mt_fli_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_fli_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_fli_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_fli_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_fli_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_fli_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_fli_image_target_id";a:1:{i:0;s:28:"field_mt_fli_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_fli_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_fli_image_target_id";s:3:"fid";}}}}s:38:"paragraph_revision__field_mt_fli_image";a:5:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_fli_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:28:"field_mt_fli_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:22:"field_mt_fli_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:24:"field_mt_fli_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:24:"field_mt_fli_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:25:"field_mt_fli_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:28:"field_mt_fli_image_target_id";a:1:{i:0;s:28:"field_mt_fli_image_target_id";}}s:12:"foreign keys";a:1:{s:28:"field_mt_fli_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:28:"field_mt_fli_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fli_link', 'a:2:{s:28:"paragraph__field_mt_fli_link";a:4:{s:11:"description";s:51:"Data storage for paragraph field field_mt_fli_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_fli_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:23:"field_mt_fli_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:25:"field_mt_fli_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_fli_link_uri";a:1:{i:0;a:2:{i:0;s:21:"field_mt_fli_link_uri";i:1;i:30;}}}}s:37:"paragraph_revision__field_mt_fli_link";a:4:{s:11:"description";s:63:"Revision archive storage for paragraph field field_mt_fli_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:21:"field_mt_fli_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:23:"field_mt_fli_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:25:"field_mt_fli_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:21:"field_mt_fli_link_uri";a:1:{i:0;a:2:{i:0;s:21:"field_mt_fli_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fli_shape', 'a:2:{s:29:"paragraph__field_mt_fli_shape";a:4:{s:11:"description";s:52:"Data storage for paragraph field field_mt_fli_shape.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_fli_shape_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_fli_shape_value";a:1:{i:0;s:24:"field_mt_fli_shape_value";}}}s:38:"paragraph_revision__field_mt_fli_shape";a:4:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_fli_shape.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_fli_shape_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:24:"field_mt_fli_shape_value";a:1:{i:0;s:24:"field_mt_fli_shape_value";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fli_title', 'a:2:{s:29:"paragraph__field_mt_fli_title";a:4:{s:11:"description";s:52:"Data storage for paragraph field field_mt_fli_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_fli_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:38:"paragraph_revision__field_mt_fli_title";a:4:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_fli_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_fli_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fltt_body', 'a:2:{s:29:"paragraph__field_mt_fltt_body";a:4:{s:11:"description";s:52:"Data storage for paragraph field field_mt_fltt_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_fltt_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_fltt_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_fltt_body_format";a:1:{i:0;s:25:"field_mt_fltt_body_format";}}}s:38:"paragraph_revision__field_mt_fltt_body";a:4:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_fltt_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_fltt_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:25:"field_mt_fltt_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_fltt_body_format";a:1:{i:0;s:25:"field_mt_fltt_body_format";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fltt_link', 'a:2:{s:29:"paragraph__field_mt_fltt_link";a:4:{s:11:"description";s:52:"Data storage for paragraph field field_mt_fltt_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_fltt_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:24:"field_mt_fltt_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:26:"field_mt_fltt_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:22:"field_mt_fltt_link_uri";a:1:{i:0;a:2:{i:0;s:22:"field_mt_fltt_link_uri";i:1;i:30;}}}}s:38:"paragraph_revision__field_mt_fltt_link";a:4:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_fltt_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_fltt_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:24:"field_mt_fltt_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:26:"field_mt_fltt_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:22:"field_mt_fltt_link_uri";a:1:{i:0;a:2:{i:0;s:22:"field_mt_fltt_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_fltt_title', 'a:2:{s:30:"paragraph__field_mt_fltt_title";a:4:{s:11:"description";s:53:"Data storage for paragraph field field_mt_fltt_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_fltt_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:39:"paragraph_revision__field_mt_fltt_title";a:4:{s:11:"description";s:65:"Revision archive storage for paragraph field field_mt_fltt_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_fltt_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_highlight_body', 'a:2:{s:34:"paragraph__field_mt_highlight_body";a:4:{s:11:"description";s:57:"Data storage for paragraph field field_mt_highlight_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_highlight_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:30:"field_mt_highlight_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_highlight_body_format";a:1:{i:0;s:30:"field_mt_highlight_body_format";}}}s:43:"paragraph_revision__field_mt_highlight_body";a:4:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_highlight_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_highlight_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:30:"field_mt_highlight_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_highlight_body_format";a:1:{i:0;s:30:"field_mt_highlight_body_format";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_highlight_image', 'a:2:{s:35:"paragraph__field_mt_highlight_image";a:5:{s:11:"description";s:58:"Data storage for paragraph field field_mt_highlight_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_highlight_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:28:"field_mt_highlight_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:30:"field_mt_highlight_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:30:"field_mt_highlight_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:31:"field_mt_highlight_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_highlight_image_target_id";a:1:{i:0;s:34:"field_mt_highlight_image_target_id";}}s:12:"foreign keys";a:1:{s:34:"field_mt_highlight_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:34:"field_mt_highlight_image_target_id";s:3:"fid";}}}}s:44:"paragraph_revision__field_mt_highlight_image";a:5:{s:11:"description";s:70:"Revision archive storage for paragraph field field_mt_highlight_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_highlight_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:28:"field_mt_highlight_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:30:"field_mt_highlight_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:30:"field_mt_highlight_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:31:"field_mt_highlight_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:34:"field_mt_highlight_image_target_id";a:1:{i:0;s:34:"field_mt_highlight_image_target_id";}}s:12:"foreign keys";a:1:{s:34:"field_mt_highlight_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:34:"field_mt_highlight_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_highlight_link', 'a:2:{s:34:"paragraph__field_mt_highlight_link";a:4:{s:11:"description";s:57:"Data storage for paragraph field field_mt_highlight_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_highlight_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:29:"field_mt_highlight_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:31:"field_mt_highlight_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_highlight_link_uri";a:1:{i:0;a:2:{i:0;s:27:"field_mt_highlight_link_uri";i:1;i:30;}}}}s:43:"paragraph_revision__field_mt_highlight_link";a:4:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_highlight_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_highlight_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:29:"field_mt_highlight_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:31:"field_mt_highlight_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_highlight_link_uri";a:1:{i:0;a:2:{i:0;s:27:"field_mt_highlight_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_highlight_title', 'a:2:{s:35:"paragraph__field_mt_highlight_title";a:4:{s:11:"description";s:58:"Data storage for paragraph field field_mt_highlight_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_highlight_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"paragraph_revision__field_mt_highlight_title";a:4:{s:11:"description";s:70:"Revision archive storage for paragraph field field_mt_highlight_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_highlight_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_if_body', 'a:2:{s:27:"paragraph__field_mt_if_body";a:4:{s:11:"description";s:50:"Data storage for paragraph field field_mt_if_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_if_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:23:"field_mt_if_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_if_body_format";a:1:{i:0;s:23:"field_mt_if_body_format";}}}s:36:"paragraph_revision__field_mt_if_body";a:4:{s:11:"description";s:62:"Revision archive storage for paragraph field field_mt_if_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_if_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:23:"field_mt_if_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:23:"field_mt_if_body_format";a:1:{i:0;s:23:"field_mt_if_body_format";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_if_fa_icon', 'a:2:{s:30:"paragraph__field_mt_if_fa_icon";a:4:{s:11:"description";s:53:"Data storage for paragraph field field_mt_if_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_if_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:25:"field_mt_if_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:28:"field_mt_if_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:39:"paragraph_revision__field_mt_if_fa_icon";a:4:{s:11:"description";s:65:"Revision archive storage for paragraph field field_mt_if_fa_icon.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_if_fa_icon_icon_name";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}s:25:"field_mt_if_fa_icon_style";a:3:{s:4:"type";s:4:"text";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}s:28:"field_mt_if_fa_icon_settings";a:3:{s:4:"type";s:4:"text";s:4:"size";s:6:"normal";s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_if_icon', 'a:2:{s:27:"paragraph__field_mt_if_icon";a:4:{s:11:"description";s:50:"Data storage for paragraph field field_mt_if_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_if_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:36:"paragraph_revision__field_mt_if_icon";a:4:{s:11:"description";s:62:"Revision archive storage for paragraph field field_mt_if_icon.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"field_mt_if_icon_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_if_image', 'a:2:{s:28:"paragraph__field_mt_if_image";a:5:{s:11:"description";s:51:"Data storage for paragraph field field_mt_if_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_if_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:21:"field_mt_if_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:23:"field_mt_if_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:23:"field_mt_if_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:24:"field_mt_if_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_if_image_target_id";a:1:{i:0;s:27:"field_mt_if_image_target_id";}}s:12:"foreign keys";a:1:{s:27:"field_mt_if_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:27:"field_mt_if_image_target_id";s:3:"fid";}}}}s:37:"paragraph_revision__field_mt_if_image";a:5:{s:11:"description";s:63:"Revision archive storage for paragraph field field_mt_if_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_if_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:21:"field_mt_if_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:23:"field_mt_if_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:23:"field_mt_if_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:24:"field_mt_if_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_if_image_target_id";a:1:{i:0;s:27:"field_mt_if_image_target_id";}}s:12:"foreign keys";a:1:{s:27:"field_mt_if_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:27:"field_mt_if_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_if_link', 'a:2:{s:27:"paragraph__field_mt_if_link";a:4:{s:11:"description";s:50:"Data storage for paragraph field field_mt_if_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_mt_if_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:22:"field_mt_if_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:24:"field_mt_if_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:20:"field_mt_if_link_uri";a:1:{i:0;a:2:{i:0;s:20:"field_mt_if_link_uri";i:1;i:30;}}}}s:36:"paragraph_revision__field_mt_if_link";a:4:{s:11:"description";s:62:"Revision archive storage for paragraph field field_mt_if_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:20:"field_mt_if_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:22:"field_mt_if_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:24:"field_mt_if_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:20:"field_mt_if_link_uri";a:1:{i:0;a:2:{i:0;s:20:"field_mt_if_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_if_title', 'a:2:{s:28:"paragraph__field_mt_if_title";a:4:{s:11:"description";s:51:"Data storage for paragraph field field_mt_if_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_if_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:37:"paragraph_revision__field_mt_if_title";a:4:{s:11:"description";s:63:"Revision archive storage for paragraph field field_mt_if_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:23:"field_mt_if_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_media_body', 'a:2:{s:30:"paragraph__field_mt_media_body";a:4:{s:11:"description";s:53:"Data storage for paragraph field field_mt_media_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_media_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:26:"field_mt_media_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:26:"field_mt_media_body_format";a:1:{i:0;s:26:"field_mt_media_body_format";}}}s:39:"paragraph_revision__field_mt_media_body";a:4:{s:11:"description";s:65:"Revision archive storage for paragraph field field_mt_media_body.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_media_body_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:26:"field_mt_media_body_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:26:"field_mt_media_body_format";a:1:{i:0;s:26:"field_mt_media_body_format";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_media_button', 'a:2:{s:32:"paragraph__field_mt_media_button";a:4:{s:11:"description";s:55:"Data storage for paragraph field field_mt_media_button.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_media_button_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:27:"field_mt_media_button_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:29:"field_mt_media_button_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_media_button_uri";a:1:{i:0;a:2:{i:0;s:25:"field_mt_media_button_uri";i:1;i:30;}}}}s:41:"paragraph_revision__field_mt_media_button";a:4:{s:11:"description";s:67:"Revision archive storage for paragraph field field_mt_media_button.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_media_button_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:27:"field_mt_media_button_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:29:"field_mt_media_button_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_media_button_uri";a:1:{i:0;a:2:{i:0;s:25:"field_mt_media_button_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_media_image', 'a:2:{s:31:"paragraph__field_mt_media_image";a:5:{s:11:"description";s:54:"Data storage for paragraph field field_mt_media_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_media_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:24:"field_mt_media_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:26:"field_mt_media_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:26:"field_mt_media_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:27:"field_mt_media_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_media_image_target_id";a:1:{i:0;s:30:"field_mt_media_image_target_id";}}s:12:"foreign keys";a:1:{s:30:"field_mt_media_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:30:"field_mt_media_image_target_id";s:3:"fid";}}}}s:40:"paragraph_revision__field_mt_media_image";a:5:{s:11:"description";s:66:"Revision archive storage for paragraph field field_mt_media_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_media_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:24:"field_mt_media_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:26:"field_mt_media_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:26:"field_mt_media_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:27:"field_mt_media_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_media_image_target_id";a:1:{i:0;s:30:"field_mt_media_image_target_id";}}s:12:"foreign keys";a:1:{s:30:"field_mt_media_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:30:"field_mt_media_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_media_tab_title', 'a:2:{s:35:"paragraph__field_mt_media_tab_title";a:4:{s:11:"description";s:58:"Data storage for paragraph field field_mt_media_tab_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_media_tab_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"paragraph_revision__field_mt_media_tab_title";a:4:{s:11:"description";s:70:"Revision archive storage for paragraph field field_mt_media_tab_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_media_tab_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_media_title', 'a:2:{s:31:"paragraph__field_mt_media_title";a:4:{s:11:"description";s:54:"Data storage for paragraph field field_mt_media_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_media_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"paragraph_revision__field_mt_media_title";a:4:{s:11:"description";s:66:"Revision archive storage for paragraph field field_mt_media_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_media_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_media_video', 'a:2:{s:31:"paragraph__field_mt_media_video";a:4:{s:11:"description";s:54:"Data storage for paragraph field field_mt_media_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_media_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"paragraph_revision__field_mt_media_video";a:4:{s:11:"description";s:66:"Revision archive storage for paragraph field field_mt_media_video.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_media_video_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:256;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ml_latitude', 'a:2:{s:31:"paragraph__field_mt_ml_latitude";a:4:{s:11:"description";s:54:"Data storage for paragraph field field_mt_ml_latitude.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_ml_latitude_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:40:"paragraph_revision__field_mt_ml_latitude";a:4:{s:11:"description";s:66:"Revision archive storage for paragraph field field_mt_ml_latitude.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_ml_latitude_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ml_location_name', 'a:2:{s:36:"paragraph__field_mt_ml_location_name";a:4:{s:11:"description";s:59:"Data storage for paragraph field field_mt_ml_location_name.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_ml_location_name_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:45:"paragraph_revision__field_mt_ml_location_name";a:4:{s:11:"description";s:71:"Revision archive storage for paragraph field field_mt_ml_location_name.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_ml_location_name_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ml_longitude', 'a:2:{s:32:"paragraph__field_mt_ml_longitude";a:4:{s:11:"description";s:55:"Data storage for paragraph field field_mt_ml_longitude.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_ml_longitude_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:41:"paragraph_revision__field_mt_ml_longitude";a:4:{s:11:"description";s:67:"Revision archive storage for paragraph field field_mt_ml_longitude.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_ml_longitude_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_caption', 'a:2:{s:36:"paragraph__field_mt_ms_slide_caption";a:4:{s:11:"description";s:59:"Data storage for paragraph field field_mt_ms_slide_caption.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_ms_slide_caption_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:45:"paragraph_revision__field_mt_ms_slide_caption";a:4:{s:11:"description";s:71:"Revision archive storage for paragraph field field_mt_ms_slide_caption.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:31:"field_mt_ms_slide_caption_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_caption_color', 'a:2:{s:42:"paragraph__field_mt_ms_slide_caption_color";a:4:{s:11:"description";s:65:"Data storage for paragraph field field_mt_ms_slide_caption_color.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_ms_slide_caption_color_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:37:"field_mt_ms_slide_caption_color_value";a:1:{i:0;s:37:"field_mt_ms_slide_caption_color_value";}}}s:23:"paragraph_r__b5f38bd69e";a:4:{s:11:"description";s:77:"Revision archive storage for paragraph field field_mt_ms_slide_caption_color.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:37:"field_mt_ms_slide_caption_color_value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:37:"field_mt_ms_slide_caption_color_value";a:1:{i:0;s:37:"field_mt_ms_slide_caption_color_value";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_caption_opac', 'a:2:{s:41:"paragraph__field_mt_ms_slide_caption_opac";a:4:{s:11:"description";s:64:"Data storage for paragraph field field_mt_ms_slide_caption_opac.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_ms_slide_caption_opac_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:23:"paragraph_r__482119a80c";a:4:{s:11:"description";s:76:"Revision archive storage for paragraph field field_mt_ms_slide_caption_opac.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_ms_slide_caption_opac_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_image', 'a:2:{s:34:"paragraph__field_mt_ms_slide_image";a:5:{s:11:"description";s:57:"Data storage for paragraph field field_mt_ms_slide_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_ms_slide_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:27:"field_mt_ms_slide_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:29:"field_mt_ms_slide_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:29:"field_mt_ms_slide_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:30:"field_mt_ms_slide_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_ms_slide_image_target_id";a:1:{i:0;s:33:"field_mt_ms_slide_image_target_id";}}s:12:"foreign keys";a:1:{s:33:"field_mt_ms_slide_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:33:"field_mt_ms_slide_image_target_id";s:3:"fid";}}}}s:43:"paragraph_revision__field_mt_ms_slide_image";a:5:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_ms_slide_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_ms_slide_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:27:"field_mt_ms_slide_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:29:"field_mt_ms_slide_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:29:"field_mt_ms_slide_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:30:"field_mt_ms_slide_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:33:"field_mt_ms_slide_image_target_id";a:1:{i:0;s:33:"field_mt_ms_slide_image_target_id";}}s:12:"foreign keys";a:1:{s:33:"field_mt_ms_slide_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:33:"field_mt_ms_slide_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_link', 'a:2:{s:33:"paragraph__field_mt_ms_slide_link";a:4:{s:11:"description";s:56:"Data storage for paragraph field field_mt_ms_slide_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_ms_slide_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:28:"field_mt_ms_slide_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:30:"field_mt_ms_slide_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:26:"field_mt_ms_slide_link_uri";a:1:{i:0;a:2:{i:0;s:26:"field_mt_ms_slide_link_uri";i:1;i:30;}}}}s:42:"paragraph_revision__field_mt_ms_slide_link";a:4:{s:11:"description";s:68:"Revision archive storage for paragraph field field_mt_ms_slide_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_ms_slide_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:28:"field_mt_ms_slide_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:30:"field_mt_ms_slide_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:26:"field_mt_ms_slide_link_uri";a:1:{i:0;a:2:{i:0;s:26:"field_mt_ms_slide_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_title', 'a:2:{s:34:"paragraph__field_mt_ms_slide_title";a:4:{s:11:"description";s:57:"Data storage for paragraph field field_mt_ms_slide_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_ms_slide_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"paragraph_revision__field_mt_ms_slide_title";a:4:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_ms_slide_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_ms_slide_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_vimeo_id', 'a:2:{s:37:"paragraph__field_mt_ms_slide_vimeo_id";a:4:{s:11:"description";s:60:"Data storage for paragraph field field_mt_ms_slide_vimeo_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_ms_slide_vimeo_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:46:"paragraph_revision__field_mt_ms_slide_vimeo_id";a:4:{s:11:"description";s:72:"Revision archive storage for paragraph field field_mt_ms_slide_vimeo_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_ms_slide_vimeo_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_volume', 'a:2:{s:35:"paragraph__field_mt_ms_slide_volume";a:4:{s:11:"description";s:58:"Data storage for paragraph field field_mt_ms_slide_volume.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_ms_slide_volume_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"paragraph_revision__field_mt_ms_slide_volume";a:4:{s:11:"description";s:70:"Revision archive storage for paragraph field field_mt_ms_slide_volume.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_ms_slide_volume_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_ms_slide_youtube_id', 'a:2:{s:39:"paragraph__field_mt_ms_slide_youtube_id";a:4:{s:11:"description";s:62:"Data storage for paragraph field field_mt_ms_slide_youtube_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_ms_slide_youtube_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:48:"paragraph_revision__field_mt_ms_slide_youtube_id";a:4:{s:11:"description";s:74:"Revision archive storage for paragraph field field_mt_ms_slide_youtube_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:34:"field_mt_ms_slide_youtube_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_tab_content', 'a:2:{s:31:"paragraph__field_mt_tab_content";a:4:{s:11:"description";s:54:"Data storage for paragraph field field_mt_tab_content.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_tab_content_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:27:"field_mt_tab_content_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_tab_content_format";a:1:{i:0;s:27:"field_mt_tab_content_format";}}}s:40:"paragraph_revision__field_mt_tab_content";a:4:{s:11:"description";s:66:"Revision archive storage for paragraph field field_mt_tab_content.";s:6:"fields";a:8:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:26:"field_mt_tab_content_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:27:"field_mt_tab_content_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:27:"field_mt_tab_content_format";a:1:{i:0;s:27:"field_mt_tab_content_format";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_tab_title', 'a:2:{s:29:"paragraph__field_mt_tab_title";a:4:{s:11:"description";s:52:"Data storage for paragraph field field_mt_tab_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_tab_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:38:"paragraph_revision__field_mt_tab_title";a:4:{s:11:"description";s:64:"Revision archive storage for paragraph field field_mt_tab_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_tab_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_tml_timeline_date', 'a:2:{s:37:"paragraph__field_mt_tml_timeline_date";a:4:{s:11:"description";s:60:"Data storage for paragraph field field_mt_tml_timeline_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_tml_timeline_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_tml_timeline_date_value";a:1:{i:0;s:32:"field_mt_tml_timeline_date_value";}}}s:46:"paragraph_revision__field_mt_tml_timeline_date";a:4:{s:11:"description";s:72:"Revision archive storage for paragraph field field_mt_tml_timeline_date.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_tml_timeline_date_value";a:4:{s:11:"description";s:15:"The date value.";s:4:"type";s:7:"varchar";s:6:"length";i:20;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_tml_timeline_date_value";a:1:{i:0;s:32:"field_mt_tml_timeline_date_value";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_tml_timeline_link', 'a:2:{s:37:"paragraph__field_mt_tml_timeline_link";a:4:{s:11:"description";s:60:"Data storage for paragraph field field_mt_tml_timeline_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_tml_timeline_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:32:"field_mt_tml_timeline_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:34:"field_mt_tml_timeline_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_tml_timeline_link_uri";a:1:{i:0;a:2:{i:0;s:30:"field_mt_tml_timeline_link_uri";i:1;i:30;}}}}s:46:"paragraph_revision__field_mt_tml_timeline_link";a:4:{s:11:"description";s:72:"Revision archive storage for paragraph field field_mt_tml_timeline_link.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_tml_timeline_link_uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:32:"field_mt_tml_timeline_link_title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:34:"field_mt_tml_timeline_link_options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:30:"field_mt_tml_timeline_link_uri";a:1:{i:0;a:2:{i:0;s:30:"field_mt_tml_timeline_link_uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_tml_timeline_title', 'a:2:{s:38:"paragraph__field_mt_tml_timeline_title";a:4:{s:11:"description";s:61:"Data storage for paragraph field field_mt_tml_timeline_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_tml_timeline_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:47:"paragraph_revision__field_mt_tml_timeline_title";a:4:{s:11:"description";s:73:"Revision archive storage for paragraph field field_mt_tml_timeline_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:33:"field_mt_tml_timeline_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_vgs_slide_title', 'a:2:{s:35:"paragraph__field_mt_vgs_slide_title";a:4:{s:11:"description";s:58:"Data storage for paragraph field field_mt_vgs_slide_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_vgs_slide_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:44:"paragraph_revision__field_mt_vgs_slide_title";a:4:{s:11:"description";s:70:"Revision archive storage for paragraph field field_mt_vgs_slide_title.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:30:"field_mt_vgs_slide_title_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_vgs_thumbnail', 'a:2:{s:33:"paragraph__field_mt_vgs_thumbnail";a:5:{s:11:"description";s:56:"Data storage for paragraph field field_mt_vgs_thumbnail.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_vgs_thumbnail_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_vgs_thumbnail_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:28:"field_mt_vgs_thumbnail_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:28:"field_mt_vgs_thumbnail_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:29:"field_mt_vgs_thumbnail_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_vgs_thumbnail_target_id";a:1:{i:0;s:32:"field_mt_vgs_thumbnail_target_id";}}s:12:"foreign keys";a:1:{s:32:"field_mt_vgs_thumbnail_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:32:"field_mt_vgs_thumbnail_target_id";s:3:"fid";}}}}s:42:"paragraph_revision__field_mt_vgs_thumbnail";a:5:{s:11:"description";s:68:"Revision archive storage for paragraph field field_mt_vgs_thumbnail.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:32:"field_mt_vgs_thumbnail_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:26:"field_mt_vgs_thumbnail_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:28:"field_mt_vgs_thumbnail_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:28:"field_mt_vgs_thumbnail_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:29:"field_mt_vgs_thumbnail_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:32:"field_mt_vgs_thumbnail_target_id";a:1:{i:0;s:32:"field_mt_vgs_thumbnail_target_id";}}s:12:"foreign keys";a:1:{s:32:"field_mt_vgs_thumbnail_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:32:"field_mt_vgs_thumbnail_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_vgs_vimeo_id', 'a:2:{s:32:"paragraph__field_mt_vgs_vimeo_id";a:4:{s:11:"description";s:55:"Data storage for paragraph field field_mt_vgs_vimeo_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_vgs_vimeo_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:41:"paragraph_revision__field_mt_vgs_vimeo_id";a:4:{s:11:"description";s:67:"Revision archive storage for paragraph field field_mt_vgs_vimeo_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:27:"field_mt_vgs_vimeo_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_vgs_volume', 'a:2:{s:30:"paragraph__field_mt_vgs_volume";a:4:{s:11:"description";s:53:"Data storage for paragraph field field_mt_vgs_volume.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_vgs_volume_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:39:"paragraph_revision__field_mt_vgs_volume";a:4:{s:11:"description";s:65:"Revision archive storage for paragraph field field_mt_vgs_volume.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:25:"field_mt_vgs_volume_value";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.field_mt_vgs_youtube_id', 'a:2:{s:34:"paragraph__field_mt_vgs_youtube_id";a:4:{s:11:"description";s:57:"Data storage for paragraph field field_mt_vgs_youtube_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_vgs_youtube_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}s:43:"paragraph_revision__field_mt_vgs_youtube_id";a:4:{s:11:"description";s:69:"Revision archive storage for paragraph field field_mt_vgs_youtube_id.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:29:"field_mt_vgs_youtube_id_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.id', 'a:4:{s:15:"paragraphs_item";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:24:"paragraphs_item_revision";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.langcode', 'a:4:{s:15:"paragraphs_item";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:24:"paragraphs_item_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.parent_field_name', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:17:"parent_field_name";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:17:"parent_field_name";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.parent_id', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:9:"parent_id";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:9:"parent_id";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.parent_type', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:11:"parent_type";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:11:"parent_type";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.revision_default', 'a:1:{s:24:"paragraphs_item_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_default";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.revision_id', 'a:4:{s:15:"paragraphs_item";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:24:"paragraphs_item_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.revision_translation_affected', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.status', 'a:2:{s:26:"paragraphs_item_field_data";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:35:"paragraphs_item_revision_field_data";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.type', 'a:2:{s:15:"paragraphs_item";a:2:{s:6:"fields";a:1:{s:4:"type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:32:"paragraph_field__type__target_id";a:1:{i:0;s:4:"type";}}}s:26:"paragraphs_item_field_data";a:2:{s:6:"fields";a:1:{s:4:"type";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:32:"paragraph_field__type__target_id";a:1:{i:0;s:4:"type";}}}}'),
('entity.storage_schema.sql', 'paragraph.field_schema_data.uuid', 'a:1:{s:15:"paragraphs_item";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:28:"paragraph_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'path_alias.entity_schema_data', 'a:2:{s:10:"path_alias";a:3:{s:11:"primary key";a:1:{i:0;s:2:"id";}s:7:"indexes";a:3:{s:18:"path_alias__status";a:2:{i:0;s:6:"status";i:1;s:2:"id";}s:36:"path_alias__alias_langcode_id_status";a:4:{i:0;s:5:"alias";i:1;s:8:"langcode";i:2;s:2:"id";i:3;s:6:"status";}s:35:"path_alias__path_langcode_id_status";a:4:{i:0;s:4:"path";i:1;s:8:"langcode";i:2;s:2:"id";i:3;s:6:"status";}}s:11:"unique keys";a:1:{s:23:"path_alias__revision_id";a:1:{i:0;s:11:"revision_id";}}}s:19:"path_alias_revision";a:2:{s:11:"primary key";a:1:{i:0;s:11:"revision_id";}s:7:"indexes";a:1:{s:14:"path_alias__id";a:1:{i:0;s:2:"id";}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.alias', 'a:2:{s:10:"path_alias";a:1:{s:6:"fields";a:1:{s:5:"alias";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:19:"path_alias_revision";a:1:{s:6:"fields";a:1:{s:5:"alias";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.id', 'a:2:{s:10:"path_alias";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:19:"path_alias_revision";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.langcode', 'a:2:{s:10:"path_alias";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:19:"path_alias_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.path', 'a:2:{s:10:"path_alias";a:1:{s:6:"fields";a:1:{s:4:"path";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}s:19:"path_alias_revision";a:1:{s:6:"fields";a:1:{s:4:"path";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.revision_default', 'a:1:{s:19:"path_alias_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_default";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.revision_id', 'a:2:{s:10:"path_alias";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}s:19:"path_alias_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.status', 'a:2:{s:10:"path_alias";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:19:"path_alias_revision";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'path_alias.field_schema_data.uuid', 'a:1:{s:10:"path_alias";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:29:"path_alias_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'shortcut.entity_schema_data', 'a:2:{s:8:"shortcut";a:1:{s:11:"primary key";a:1:{i:0;s:2:"id";}}s:19:"shortcut_field_data";a:2:{s:11:"primary key";a:2:{i:0;s:2:"id";i:1;s:8:"langcode";}s:7:"indexes";a:1:{s:40:"shortcut__id__default_langcode__langcode";a:3:{i:0;s:2:"id";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.default_langcode', 'a:1:{s:19:"shortcut_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.id', 'a:2:{s:8:"shortcut";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:19:"shortcut_field_data";a:1:{s:6:"fields";a:1:{s:2:"id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.langcode', 'a:2:{s:8:"shortcut";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:19:"shortcut_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.link', 'a:1:{s:19:"shortcut_field_data";a:2:{s:6:"fields";a:3:{s:9:"link__uri";a:4:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;s:8:"not null";b:0;}s:11:"link__title";a:4:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;s:8:"not null";b:0;}s:13:"link__options";a:5:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:25:"shortcut_field__link__uri";a:1:{i:0;a:2:{i:0;s:9:"link__uri";i:1;i:30;}}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.shortcut_set', 'a:2:{s:8:"shortcut";a:2:{s:6:"fields";a:1:{s:12:"shortcut_set";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:39:"shortcut_field__shortcut_set__target_id";a:1:{i:0;s:12:"shortcut_set";}}}s:19:"shortcut_field_data";a:2:{s:6:"fields";a:1:{s:12:"shortcut_set";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:39:"shortcut_field__shortcut_set__target_id";a:1:{i:0;s:12:"shortcut_set";}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.title', 'a:1:{s:19:"shortcut_field_data";a:1:{s:6:"fields";a:1:{s:5:"title";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.uuid', 'a:1:{s:8:"shortcut";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:27:"shortcut_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'shortcut.field_schema_data.weight', 'a:1:{s:19:"shortcut_field_data";a:1:{s:6:"fields";a:1:{s:6:"weight";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.entity_schema_data', 'a:5:{s:18:"taxonomy_term_data";a:2:{s:11:"primary key";a:1:{i:0;s:3:"tid";}s:11:"unique keys";a:1:{s:26:"taxonomy_term__revision_id";a:1:{i:0;s:11:"revision_id";}}}s:22:"taxonomy_term_revision";a:2:{s:11:"primary key";a:1:{i:0;s:11:"revision_id";}s:7:"indexes";a:1:{s:18:"taxonomy_term__tid";a:1:{i:0;s:3:"tid";}}}s:24:"taxonomy_term_field_data";a:2:{s:11:"primary key";a:2:{i:0;s:3:"tid";i:1;s:8:"langcode";}s:7:"indexes";a:5:{s:45:"taxonomy_term__id__default_langcode__langcode";a:3:{i:0;s:3:"tid";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}s:26:"taxonomy_term__revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"taxonomy_term__status_vid";a:3:{i:0;s:6:"status";i:1;s:3:"vid";i:2;s:3:"tid";}s:19:"taxonomy_term__tree";a:3:{i:0;s:3:"vid";i:1;s:6:"weight";i:2;s:4:"name";}s:23:"taxonomy_term__vid_name";a:2:{i:0;s:3:"vid";i:1;s:4:"name";}}}s:28:"taxonomy_term_field_revision";a:2:{s:11:"primary key";a:2:{i:0;s:11:"revision_id";i:1;s:8:"langcode";}s:7:"indexes";a:1:{s:45:"taxonomy_term__id__default_langcode__langcode";a:3:{i:0;s:3:"tid";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}}}s:14:"taxonomy_index";a:2:{s:11:"primary key";a:2:{i:0;s:3:"nid";i:1;s:3:"tid";}s:7:"indexes";a:1:{s:9:"term_node";a:4:{i:0;s:3:"tid";i:1;s:6:"status";i:2;s:6:"sticky";i:3;s:7:"created";}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.changed', 'a:2:{s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.default_langcode', 'a:2:{s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.description', 'a:2:{s:24:"taxonomy_term_field_data";a:2:{s:6:"fields";a:2:{s:18:"description__value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:19:"description__format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:7:"indexes";a:0:{}}s:28:"taxonomy_term_field_revision";a:2:{s:6:"fields";a:2:{s:18:"description__value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:19:"description__format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:40:"taxonomy_term_field__description__format";a:1:{i:0;s:19:"description__format";}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.field_mt_affiliation_description', 'a:1:{s:47:"taxonomy_term__field_mt_affiliation_description";a:4:{s:11:"description";s:70:"Data storage for taxonomy_term field field_mt_affiliation_description.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:38:"field_mt_affiliation_description_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:40:"field_mt_affiliation_description_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:39:"field_mt_affiliation_description_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:39:"field_mt_affiliation_description_format";a:1:{i:0;s:39:"field_mt_affiliation_description_format";}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.field_mt_affiliation_image', 'a:2:{s:41:"taxonomy_term__field_mt_affiliation_image";a:5:{s:11:"description";s:64:"Data storage for taxonomy_term field field_mt_affiliation_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_affiliation_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_affiliation_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:32:"field_mt_affiliation_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:32:"field_mt_affiliation_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:33:"field_mt_affiliation_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_affiliation_image_target_id";a:1:{i:0;s:36:"field_mt_affiliation_image_target_id";}}s:12:"foreign keys";a:1:{s:36:"field_mt_affiliation_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:36:"field_mt_affiliation_image_target_id";s:3:"fid";}}}}s:27:"taxonomy_term_r__476ddfcb47";a:5:{s:11:"description";s:76:"Revision archive storage for taxonomy_term field field_mt_affiliation_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:36:"field_mt_affiliation_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:30:"field_mt_affiliation_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:32:"field_mt_affiliation_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:32:"field_mt_affiliation_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:33:"field_mt_affiliation_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:36:"field_mt_affiliation_image_target_id";a:1:{i:0;s:36:"field_mt_affiliation_image_target_id";}}s:12:"foreign keys";a:1:{s:36:"field_mt_affiliation_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:36:"field_mt_affiliation_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.field_mt_collection_image', 'a:2:{s:40:"taxonomy_term__field_mt_collection_image";a:5:{s:11:"description";s:63:"Data storage for taxonomy_term field field_mt_collection_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_collection_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_collection_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_collection_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_collection_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_collection_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_collection_image_target_id";a:1:{i:0;s:35:"field_mt_collection_image_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_collection_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_collection_image_target_id";s:3:"fid";}}}}s:27:"taxonomy_term_r__abcfb5d9bd";a:5:{s:11:"description";s:75:"Revision archive storage for taxonomy_term field field_mt_collection_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:35:"field_mt_collection_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:29:"field_mt_collection_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:31:"field_mt_collection_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:31:"field_mt_collection_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:32:"field_mt_collection_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:35:"field_mt_collection_image_target_id";a:1:{i:0;s:35:"field_mt_collection_image_target_id";}}s:12:"foreign keys";a:1:{s:35:"field_mt_collection_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:35:"field_mt_collection_image_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.field_mt_wide_collection_image', 'a:2:{s:45:"taxonomy_term__field_mt_wide_collection_image";a:5:{s:11:"description";s:68:"Data storage for taxonomy_term field field_mt_wide_collection_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:40:"field_mt_wide_collection_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:34:"field_mt_wide_collection_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:36:"field_mt_wide_collection_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:36:"field_mt_wide_collection_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:37:"field_mt_wide_collection_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:40:"field_mt_wide_collection_image_target_id";a:1:{i:0;s:40:"field_mt_wide_collection_image_target_id";}}s:12:"foreign keys";a:1:{s:40:"field_mt_wide_collection_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:40:"field_mt_wide_collection_image_target_id";s:3:"fid";}}}}s:27:"taxonomy_term_r__fd8cfd99f4";a:5:{s:11:"description";s:80:"Revision archive storage for taxonomy_term field field_mt_wide_collection_image.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:40:"field_mt_wide_collection_image_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:34:"field_mt_wide_collection_image_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:36:"field_mt_wide_collection_image_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:36:"field_mt_wide_collection_image_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:37:"field_mt_wide_collection_image_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:40:"field_mt_wide_collection_image_target_id";a:1:{i:0;s:40:"field_mt_wide_collection_image_target_id";}}s:12:"foreign keys";a:1:{s:40:"field_mt_wide_collection_image_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:40:"field_mt_wide_collection_image_target_id";s:3:"fid";}}}}}');
INSERT INTO `key_value` VALUES
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.langcode', 'a:4:{s:18:"taxonomy_term_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:22:"taxonomy_term_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.name', 'a:2:{s:24:"taxonomy_term_field_data";a:2:{s:6:"fields";a:1:{s:4:"name";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:25:"taxonomy_term_field__name";a:1:{i:0;s:4:"name";}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:4:"name";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.parent', 'a:2:{s:21:"taxonomy_term__parent";a:4:{s:11:"description";s:44:"Data storage for taxonomy_term field parent.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:16:"parent_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:16:"parent_target_id";a:1:{i:0;s:16:"parent_target_id";}s:22:"bundle_delta_target_id";a:3:{i:0;s:6:"bundle";i:1;s:5:"delta";i:2;s:16:"parent_target_id";}}}s:30:"taxonomy_term_revision__parent";a:4:{s:11:"description";s:56:"Revision archive storage for taxonomy_term field parent.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:47:"The entity revision id this data is attached to";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:16:"parent_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}}s:11:"primary key";a:5:{i:0;s:9:"entity_id";i:1;s:11:"revision_id";i:2;s:7:"deleted";i:3;s:5:"delta";i:4;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:16:"parent_target_id";a:1:{i:0;s:16:"parent_target_id";}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.revision_created', 'a:1:{s:22:"taxonomy_term_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.revision_default', 'a:1:{s:22:"taxonomy_term_revision";a:1:{s:6:"fields";a:1:{s:16:"revision_default";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.revision_id', 'a:4:{s:18:"taxonomy_term_data";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:22:"taxonomy_term_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.revision_log_message', 'a:1:{s:22:"taxonomy_term_revision";a:1:{s:6:"fields";a:1:{s:20:"revision_log_message";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.revision_translation_affected', 'a:2:{s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:29:"revision_translation_affected";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.revision_user', 'a:1:{s:22:"taxonomy_term_revision";a:2:{s:6:"fields";a:1:{s:13:"revision_user";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:45:"taxonomy_term_field__revision_user__target_id";a:1:{i:0;s:13:"revision_user";}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.status', 'a:2:{s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.tid', 'a:4:{s:18:"taxonomy_term_data";a:1:{s:6:"fields";a:1:{s:3:"tid";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:3:"tid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:22:"taxonomy_term_revision";a:1:{s:6:"fields";a:1:{s:3:"tid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:28:"taxonomy_term_field_revision";a:1:{s:6:"fields";a:1:{s:3:"tid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.uuid', 'a:1:{s:18:"taxonomy_term_data";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:32:"taxonomy_term_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.vid', 'a:2:{s:18:"taxonomy_term_data";a:2:{s:6:"fields";a:1:{s:3:"vid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:35:"taxonomy_term_field__vid__target_id";a:1:{i:0;s:3:"vid";}}}s:24:"taxonomy_term_field_data";a:2:{s:6:"fields";a:1:{s:3:"vid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:0:{}}}'),
('entity.storage_schema.sql', 'taxonomy_term.field_schema_data.weight', 'a:1:{s:24:"taxonomy_term_field_data";a:1:{s:6:"fields";a:1:{s:6:"weight";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'user.entity_schema_data', 'a:2:{s:5:"users";a:1:{s:11:"primary key";a:1:{i:0;s:3:"uid";}}s:16:"users_field_data";a:3:{s:11:"primary key";a:2:{i:0;s:3:"uid";i:1;s:8:"langcode";}s:7:"indexes";a:1:{s:36:"user__id__default_langcode__langcode";a:3:{i:0;s:3:"uid";i:1;s:16:"default_langcode";i:2;s:8:"langcode";}}s:11:"unique keys";a:1:{s:10:"user__name";a:2:{i:0;s:4:"name";i:1;s:8:"langcode";}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.access', 'a:1:{s:16:"users_field_data";a:2:{s:6:"fields";a:1:{s:6:"access";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:18:"user_field__access";a:1:{i:0;s:6:"access";}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.changed', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.created', 'a:1:{s:16:"users_field_data";a:2:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:19:"user_field__created";a:1:{i:0;s:7:"created";}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.default_langcode', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:16:"default_langcode";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.field_mt_full_name', 'a:1:{s:24:"user__field_mt_full_name";a:4:{s:11:"description";s:47:"Data storage for user field field_mt_full_name.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_full_name_value";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:2:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.field_mt_signature', 'a:1:{s:24:"user__field_mt_signature";a:4:{s:11:"description";s:47:"Data storage for user field field_mt_signature.";s:6:"fields";a:9:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:24:"field_mt_signature_value";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:1;}s:26:"field_mt_signature_summary";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}s:25:"field_mt_signature_format";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:25:"field_mt_signature_format";a:1:{i:0;s:25:"field_mt_signature_format";}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.init', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:4:"init";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:254;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.langcode', 'a:2:{s:5:"users";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.login', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:5:"login";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.mail', 'a:1:{s:16:"users_field_data";a:2:{s:6:"fields";a:1:{s:4:"mail";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:254;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:16:"user_field__mail";a:1:{i:0;s:4:"mail";}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.name', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:4:"name";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:60;s:6:"binary";b:0;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.pass', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:4:"pass";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.preferred_admin_langcode', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:24:"preferred_admin_langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.preferred_langcode', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:18:"preferred_langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.roles', 'a:1:{s:11:"user__roles";a:4:{s:11:"description";s:34:"Data storage for user field roles.";s:6:"fields";a:7:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:15:"roles_target_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:8:"not null";b:1;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:15:"roles_target_id";a:1:{i:0;s:15:"roles_target_id";}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.status', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:6:"status";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.timezone', 'a:1:{s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:8:"timezone";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.uid', 'a:2:{s:5:"users";a:1:{s:6:"fields";a:1:{s:3:"uid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}s:16:"users_field_data";a:1:{s:6:"fields";a:1:{s:3:"uid";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.user_picture', 'a:1:{s:18:"user__user_picture";a:5:{s:11:"description";s:41:"Data storage for user field user_picture.";s:6:"fields";a:11:{s:6:"bundle";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:88:"The field instance bundle to which this row belongs, used when deleting a field instance";}s:7:"deleted";a:5:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:1;s:7:"default";i:0;s:11:"description";s:60:"A boolean indicating whether this data item has been deleted";}s:9:"entity_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:38:"The entity id this data is attached to";}s:11:"revision_id";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:114:"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id";}s:8:"langcode";a:5:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;s:7:"default";s:0:"";s:11:"description";s:37:"The language code for this data item.";}s:5:"delta";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;s:11:"description";s:67:"The sequence number for this data item, used for multi-value fields";}s:22:"user_picture_target_id";a:4:{s:11:"description";s:26:"The ID of the file entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:1;}s:16:"user_picture_alt";a:4:{s:11:"description";s:56:"Alternative image text, for the image''s ''alt'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:512;s:8:"not null";b:0;}s:18:"user_picture_title";a:4:{s:11:"description";s:52:"Image title text, for the image''s ''title'' attribute.";s:4:"type";s:7:"varchar";s:6:"length";i:1024;s:8:"not null";b:0;}s:18:"user_picture_width";a:4:{s:11:"description";s:33:"The width of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}s:19:"user_picture_height";a:4:{s:11:"description";s:34:"The height of the image in pixels.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:11:"primary key";a:4:{i:0;s:9:"entity_id";i:1;s:7:"deleted";i:2;s:5:"delta";i:3;s:8:"langcode";}s:7:"indexes";a:3:{s:6:"bundle";a:1:{i:0;s:6:"bundle";}s:11:"revision_id";a:1:{i:0;s:11:"revision_id";}s:22:"user_picture_target_id";a:1:{i:0;s:22:"user_picture_target_id";}}s:12:"foreign keys";a:1:{s:22:"user_picture_target_id";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:22:"user_picture_target_id";s:3:"fid";}}}}}'),
('entity.storage_schema.sql', 'user.field_schema_data.uuid', 'a:1:{s:5:"users";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:23:"user_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'webform_submission.entity_schema_data', 'a:2:{s:18:"webform_submission";a:1:{s:11:"primary key";a:1:{i:0;s:3:"sid";}}s:23:"webform_submission_data";a:2:{s:11:"primary key";a:4:{i:0;s:3:"sid";i:1;s:4:"name";i:2;s:8:"property";i:3;s:5:"delta";}s:7:"indexes";a:2:{s:10:"webform_id";a:1:{i:0;s:10:"webform_id";}s:14:"sid_webform_id";a:2:{i:0;s:3:"sid";i:1;s:10:"webform_id";}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.changed', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:7:"changed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.completed', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:9:"completed";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.created', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:7:"created";a:2:{s:4:"type";s:3:"int";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.current_page', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:12:"current_page";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.entity_id', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:9:"entity_id";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.entity_type', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:11:"entity_type";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.in_draft', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:8:"in_draft";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.langcode', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:8:"langcode";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.locked', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:6:"locked";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.notes', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:5:"notes";a:3:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.remote_addr', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:11:"remote_addr";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.serial', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:6:"serial";a:4:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.sid', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:3:"sid";a:4:{s:4:"type";s:6:"serial";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:8:"not null";b:1;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.sticky', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:6:"sticky";a:3:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.token', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:5:"token";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.uid', 'a:1:{s:18:"webform_submission";a:2:{s:6:"fields";a:1:{s:3:"uid";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:8:"not null";b:0;}}s:7:"indexes";a:1:{s:40:"webform_submission_field__uid__target_id";a:1:{i:0;s:3:"uid";}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.uri', 'a:1:{s:18:"webform_submission";a:1:{s:6:"fields";a:1:{s:3:"uri";a:4:{s:4:"type";s:7:"varchar";s:6:"length";i:2000;s:6:"binary";b:0;s:8:"not null";b:0;}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.uuid', 'a:1:{s:18:"webform_submission";a:2:{s:6:"fields";a:1:{s:4:"uuid";a:4:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;s:8:"not null";b:1;}}s:11:"unique keys";a:1:{s:37:"webform_submission_field__uuid__value";a:1:{i:0;s:4:"uuid";}}}}'),
('entity.storage_schema.sql', 'webform_submission.field_schema_data.webform_id', 'a:1:{s:18:"webform_submission";a:2:{s:6:"fields";a:1:{s:10:"webform_id";a:4:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:8:"not null";b:1;}}s:7:"indexes";a:1:{s:47:"webform_submission_field__webform_id__target_id";a:1:{i:0;s:10:"webform_id";}}}}'),
('entity.update_backup', 'menu_link_content.130fd6', 'a:4:{s:11:"entity_type";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:6:"bundle";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:7:"enabled";}s:5:"\0*\0id";s:17:"menu_link_content";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:14:"storage_schema";s:53:"Drupal\\menu_link_content\\MenuLinkContentStorageSchema";s:6:"access";s:60:"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler";s:4:"form";a:2:{s:7:"default";s:49:"Drupal\\menu_link_content\\Form\\MenuLinkContentForm";s:6:"delete";s:55:"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm";}s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:9:"edit-form";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:11:"delete-form";s:53:"/admin/structure/menu/item/{menu_link_content}/delete";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"menu_link_content";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:22:"menu_link_content_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:22:"menu_link_content_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent";s:11:"\0*\0provider";s:17:"menu_link_content";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}s:25:"field_storage_definitions";a:16:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:73;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"The entity ID for this menu link content entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:110;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The content menu link UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"bundle";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:146;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Bundle";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The content menu link bundle.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"bundle";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:180;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Menu link title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The text to be used for this link in the menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:5:"title";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:226;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Shown when hovering over the menu link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:11:"description";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:9:"menu_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:270;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Menu name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"The menu name. All links with the same menu name (such as "tools") are part of the same menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:5:"tools";}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:9:"menu_name";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";a:4:{s:7:"columns";a:3:{s:3:"uri";a:3:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;}s:5:"title";a:3:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;}s:7:"options";a:4:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;}}s:7:"indexes";a:1:{s:3:"uri";a:1:{i:0;a:2:{i:0;s:3:"uri";i:1;i:30;}}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:306;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:17;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The location this menu link points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:-2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"link";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:8:"external";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:357;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"External";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:120:"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"external";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:10:"rediscover";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:397;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Indicates whether the menu link should be rediscovered";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:10:"rediscover";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:433;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:172:"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"integer";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:6:"number";s:6:"weight";i:20;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:8:"expanded";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:482;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Show as expanded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"If selected and this menu link has children, the menu will always appear expanded.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"expanded";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:7:"enabled";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:533;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Enabled";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"A flag for whether the link should be enabled in menus or hidden.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:-1;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"enabled";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:584;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The menu link language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:622;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Parent plugin ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:94:"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:655;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"The time that the menu link was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:684;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}}s:13:"table_mapping";O:42:"Drupal\\Core\\Entity\\Sql\\DefaultTableMapping":11:{s:13:"\0*\0entityType";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:2:"id";s:5:"label";s:5:"title";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:6:"bundle";s:6:"bundle";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:7:"enabled";}s:5:"\0*\0id";s:17:"menu_link_content";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:5:{s:7:"storage";s:46:"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage";s:14:"storage_schema";s:53:"Drupal\\menu_link_content\\MenuLinkContentStorageSchema";s:6:"access";s:60:"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler";s:4:"form";a:2:{s:7:"default";s:49:"Drupal\\menu_link_content\\Form\\MenuLinkContentForm";s:6:"delete";s:55:"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm";}s:12:"view_builder";s:36:"Drupal\\Core\\Entity\\EntityViewBuilder";}s:19:"\0*\0admin_permission";s:15:"administer menu";s:25:"\0*\0permission_granularity";s:11:"entity_type";s:8:"\0*\0links";a:3:{s:9:"canonical";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:9:"edit-form";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:11:"delete-form";s:53:"/admin/structure/menu/item/{menu_link_content}/delete";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";N;s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";N;s:13:"\0*\0base_table";s:17:"menu_link_content";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:22:"menu_link_content_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Custom menu link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";N;s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";N;s:26:"\0*\0common_reference_target";b:0;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:22:"menu_link_content_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:47:"Drupal\\menu_link_content\\Entity\\MenuLinkContent";s:11:"\0*\0provider";s:17:"menu_link_content";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}s:26:"\0*\0fieldStorageDefinitions";a:16:{s:2:"id";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:798;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Entity ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"The entity ID for this menu link content entity.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:2:"id";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:835;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"The content menu link UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"bundle";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:871;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:32;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Bundle";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"The content menu link bundle.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"bundle";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:5:"title";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:905;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Menu link title";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"The text to be used for this link in the menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:5:"title";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:951;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Shown when hovering over the menu link.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:11:"description";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:9:"menu_name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:995;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Menu name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:93:"The menu name. All links with the same menu name (such as "tools") are part of the same menu.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:5:"tools";}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:9:"menu_name";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:4:"link";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"link";s:9:"\0*\0schema";a:4:{s:7:"columns";a:3:{s:3:"uri";a:3:{s:11:"description";s:20:"The URI of the link.";s:4:"type";s:7:"varchar";s:6:"length";i:2048;}s:5:"title";a:3:{s:11:"description";s:14:"The link text.";s:4:"type";s:7:"varchar";s:6:"length";i:255;}s:7:"options";a:4:{s:11:"description";s:41:"Serialized array of options for the link.";s:4:"type";s:4:"blob";s:4:"size";s:3:"big";s:9:"serialize";b:1;}}s:7:"indexes";a:1:{s:3:"uri";a:1:{i:0;a:2:{i:0;s:3:"uri";i:1;i:30;}}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1031;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:link";s:8:"settings";a:2:{s:5:"title";i:0;s:9:"link_type";i:17;}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Link";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"The location this menu link points to.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"required";b:1;s:7:"display";a:1:{s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:12:"link_default";s:6:"weight";i:-2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:4:"link";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:8:"external";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1082;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"External";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:120:"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"external";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:10:"rediscover";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1122;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Indicates whether the menu link should be rediscovered";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:10:"rediscover";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1158;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:172:"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"integer";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:6:"number";s:6:"weight";i:20;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:8:"expanded";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1207;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Show as expanded";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"If selected and this menu link has children, the menu will always appear expanded.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:0;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:0;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"expanded";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:7:"enabled";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1258;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Enabled";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"A flag for whether the link should be enabled in menus or hidden.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"boolean";s:6:"weight";i:0;}}s:4:"form";a:1:{s:7:"options";a:2:{s:8:"settings";a:1:{s:13:"display_label";b:1;}s:6:"weight";i:-1;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"enabled";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1309;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"The menu link language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1347;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Parent plugin ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:94:"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1380;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"The time that the menu link was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1409;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:17:"menu_link_content";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:17:"menu_link_content";s:6:"bundle";N;}}}s:9:"\0*\0prefix";s:10:"old_130fd6";s:12:"\0*\0baseTable";s:27:"old_130fd6menu_link_content";s:16:"\0*\0revisionTable";N;s:12:"\0*\0dataTable";s:32:"old_130fd6menu_link_content_data";s:20:"\0*\0revisionDataTable";N;s:13:"\0*\0fieldNames";a:2:{s:27:"old_130fd6menu_link_content";a:4:{i:0;s:2:"id";i:1;s:6:"bundle";i:2;s:4:"uuid";i:3;s:8:"langcode";}s:32:"old_130fd6menu_link_content_data";a:15:{i:0;s:2:"id";i:1;s:6:"bundle";i:2;s:8:"langcode";i:3;s:5:"title";i:4;s:11:"description";i:5;s:9:"menu_name";i:6;s:4:"link";i:7;s:8:"external";i:8;s:10:"rediscover";i:9;s:6:"weight";i:10;s:8:"expanded";i:11;s:7:"enabled";i:12;s:6:"parent";i:13;s:7:"changed";i:14;s:16:"default_langcode";}}s:15:"\0*\0extraColumns";a:0:{}s:16:"\0*\0columnMapping";a:0:{}s:13:"\0*\0allColumns";a:0:{}}s:12:"request_time";i:1560338372;}');
INSERT INTO `key_value` VALUES
('entity.update_backup', 'taxonomy_term.8cbfc2', 'a:4:{s:11:"entity_type";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:3:"tid";s:6:"bundle";s:3:"vid";s:5:"label";s:4:"name";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";}s:5:"\0*\0id";s:13:"taxonomy_term";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:7:{s:7:"storage";s:27:"Drupal\\taxonomy\\TermStorage";s:14:"storage_schema";s:33:"Drupal\\taxonomy\\TermStorageSchema";s:12:"view_builder";s:31:"Drupal\\taxonomy\\TermViewBuilder";s:6:"access";s:40:"Drupal\\taxonomy\\TermAccessControlHandler";s:10:"views_data";s:29:"Drupal\\taxonomy\\TermViewsData";s:4:"form";a:2:{s:7:"default";s:24:"Drupal\\taxonomy\\TermForm";s:6:"delete";s:35:"Drupal\\taxonomy\\Form\\TermDeleteForm";}s:11:"translation";s:38:"Drupal\\taxonomy\\TermTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:3:{s:9:"canonical";s:30:"/taxonomy/term/{taxonomy_term}";s:11:"delete-form";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:9:"edit-form";s:35:"/taxonomy/term/{taxonomy_term}/edit";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:19:"taxonomy_vocabulary";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"taxonomy_term_data";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:24:"taxonomy_term_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";s:17:"taxonomy_term_uri";s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"taxonomy_term_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:27:"Drupal\\taxonomy\\Entity\\Term";s:11:"\0*\0provider";s:8:"taxonomy";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}s:25:"field_storage_definitions";a:14:{s:3:"tid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:78;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The term ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"tid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:115;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:151;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:19:"taxonomy_vocabulary";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The vocabulary to which the term is assigned.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:186;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The term language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:224;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"required";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:2:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}s:6:"format";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:270;s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:text_long";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"A description of the term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:11:"description";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:317;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The weight of this term in relation to other terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:356;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:14:"custom_storage";b:0;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:393;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the term was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:422;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:25:"field_mt_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:39:"taxonomy_term.field_mt_collection_image";s:13:"\0*\0field_name";s:25:"field_mt_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:39:"taxonomy_term.field_mt_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-lR5c9_tUf2-ia5m2Pp2NrbexnvAg20VvfhEaiAusrXc";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_wide_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:13:"\0*\0field_name";s:30:"field_mt_wide_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:44:"taxonomy_term.field_mt_wide_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Dny-6e8rMd8eqZ51C4w8LPWJeAASFPLtS_V45MfI1t4";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_affiliation_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:40:"taxonomy_term.field_mt_affiliation_image";s:13:"\0*\0field_name";s:26:"field_mt_affiliation_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:40:"taxonomy_term.field_mt_affiliation_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-XUGpAywA2DuVWGLYDvnLUka6Exz4cej4bpJ3Q2lkV9o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:623;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"taxonomy_term";s:8:"provider";s:13:"taxonomy_term";s:6:"bundle";N;}}}s:13:"table_mapping";O:42:"Drupal\\Core\\Entity\\Sql\\DefaultTableMapping":11:{s:13:"\0*\0entityType";O:36:"Drupal\\Core\\Entity\\ContentEntityType":42:{s:25:"\0*\0revision_metadata_keys";a:0:{}s:31:"\0*\0requiredRevisionMetadataKeys";a:0:{}s:15:"\0*\0static_cache";b:1;s:15:"\0*\0render_cache";b:1;s:19:"\0*\0persistent_cache";b:1;s:14:"\0*\0entity_keys";a:8:{s:2:"id";s:3:"tid";s:6:"bundle";s:3:"vid";s:5:"label";s:4:"name";s:8:"langcode";s:8:"langcode";s:4:"uuid";s:4:"uuid";s:8:"revision";s:0:"";s:16:"default_langcode";s:16:"default_langcode";s:9:"published";s:6:"status";}s:5:"\0*\0id";s:13:"taxonomy_term";s:16:"\0*\0originalClass";N;s:11:"\0*\0handlers";a:7:{s:7:"storage";s:27:"Drupal\\taxonomy\\TermStorage";s:14:"storage_schema";s:33:"Drupal\\taxonomy\\TermStorageSchema";s:12:"view_builder";s:31:"Drupal\\taxonomy\\TermViewBuilder";s:6:"access";s:40:"Drupal\\taxonomy\\TermAccessControlHandler";s:10:"views_data";s:29:"Drupal\\taxonomy\\TermViewsData";s:4:"form";a:2:{s:7:"default";s:24:"Drupal\\taxonomy\\TermForm";s:6:"delete";s:35:"Drupal\\taxonomy\\Form\\TermDeleteForm";}s:11:"translation";s:38:"Drupal\\taxonomy\\TermTranslationHandler";}s:19:"\0*\0admin_permission";N;s:25:"\0*\0permission_granularity";s:6:"bundle";s:8:"\0*\0links";a:3:{s:9:"canonical";s:30:"/taxonomy/term/{taxonomy_term}";s:11:"delete-form";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:9:"edit-form";s:35:"/taxonomy/term/{taxonomy_term}/edit";}s:17:"\0*\0label_callback";N;s:21:"\0*\0bundle_entity_type";s:19:"taxonomy_vocabulary";s:12:"\0*\0bundle_of";N;s:15:"\0*\0bundle_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"\0*\0base_table";s:18:"taxonomy_term_data";s:22:"\0*\0revision_data_table";N;s:17:"\0*\0revision_table";N;s:13:"\0*\0data_table";s:24:"taxonomy_term_field_data";s:11:"\0*\0internal";b:0;s:15:"\0*\0translatable";b:1;s:19:"\0*\0show_revision_ui";b:0;s:8:"\0*\0label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Taxonomy term";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:19:"\0*\0label_collection";s:0:"";s:17:"\0*\0label_singular";s:0:"";s:15:"\0*\0label_plural";s:0:"";s:14:"\0*\0label_count";a:0:{}s:15:"\0*\0uri_callback";s:17:"taxonomy_term_uri";s:8:"\0*\0group";s:7:"content";s:14:"\0*\0group_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:1:{s:7:"context";s:17:"Entity type group";}}s:22:"\0*\0field_ui_base_route";s:40:"entity.taxonomy_vocabulary.overview_form";s:26:"\0*\0common_reference_target";b:1;s:22:"\0*\0list_cache_contexts";a:0:{}s:18:"\0*\0list_cache_tags";a:1:{i:0;s:18:"taxonomy_term_list";}s:14:"\0*\0constraints";a:1:{s:13:"EntityChanged";N;}s:13:"\0*\0additional";a:0:{}s:8:"\0*\0class";s:27:"Drupal\\taxonomy\\Entity\\Term";s:11:"\0*\0provider";s:8:"taxonomy";s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:20:"\0*\0stringTranslation";N;}s:26:"\0*\0fieldStorageDefinitions";a:14:{s:3:"tid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:1;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:745;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:1;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Term ID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"The term ID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"tid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:4:"uuid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:4:"uuid";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:128;s:6:"binary";b:0;}}s:11:"unique keys";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:782;s:13:"\0*\0definition";a:2:{s:4:"type";s:15:"field_item:uuid";s:8:"settings";a:3:{s:10:"max_length";i:128;s:8:"is_ascii";b:1;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"UUID";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term UUID.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"read-only";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"uuid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:3:"vid";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:13:"varchar_ascii";s:6:"length";i:32;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:818;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:19:"taxonomy_vocabulary";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:6:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Vocabulary";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"The vocabulary to which the term is assigned.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:3:"vid";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:8:"langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:8:"language";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:12;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:853;s:13:"\0*\0definition";a:2:{s:4:"type";s:19:"field_item:language";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:23:"The term language code.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:1:{s:4:"type";s:6:"hidden";}}s:4:"form";a:1:{s:7:"options";a:2:{s:4:"type";s:15:"language_select";s:6:"weight";i:2;}}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:8:"langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:4:"name";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:6:"string";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:7:"varchar";s:6:"length";i:255;s:6:"binary";b:0;}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:891;s:13:"\0*\0definition";a:2:{s:4:"type";s:17:"field_item:string";s:8:"settings";a:3:{s:10:"max_length";i:255;s:8:"is_ascii";b:0;s:14:"case_sensitive";b:0;}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Name";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"The term name.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"required";b:1;s:7:"display";a:2:{s:4:"view";a:1:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"string";s:6:"weight";i:-5;}}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:16:"string_textfield";s:6:"weight";i:-5;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:4:"name";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:11:"description";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:9:"text_long";s:9:"\0*\0schema";a:4:{s:7:"columns";a:2:{s:5:"value";a:2:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";}s:6:"format";a:2:{s:4:"type";s:13:"varchar_ascii";s:6:"length";i:255;}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:937;s:13:"\0*\0definition";a:2:{s:4:"type";s:20:"field_item:text_long";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Description";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"A description of the term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:7:"display";a:2:{s:4:"view";a:2:{s:7:"options";a:3:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;}s:12:"configurable";b:1;}s:4:"form";a:2:{s:7:"options";a:2:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;}s:12:"configurable";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:11:"description";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:6:"weight";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"integer";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"unsigned";b:0;s:4:"size";s:6:"normal";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:984;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:integer";s:8:"settings";a:6:{s:8:"unsigned";b:0;s:4:"size";s:6:"normal";s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Weight";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"The weight of this term in relation to other terms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"weight";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:6:"parent";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:16:"entity_reference";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:9:"target_id";a:3:{s:11:"description";s:28:"The ID of the target entity.";s:4:"type";s:3:"int";s:8:"unsigned";b:1;}}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}s:11:"unique keys";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1023;s:13:"\0*\0definition";a:2:{s:4:"type";s:27:"field_item:entity_reference";s:8:"settings";a:3:{s:11:"target_type";s:13:"taxonomy_term";s:7:"handler";s:7:"default";s:16:"handler_settings";a:0:{}}}}s:13:"\0*\0definition";a:8:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Term Parents";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"The parents of this term.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"cardinality";i:-1;s:14:"custom_storage";b:0;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:6:"parent";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:7:"changed";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"changed";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:1:{s:4:"type";s:3:"int";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1060;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:changed";s:8:"settings";a:0:{}}}s:13:"\0*\0definition";a:7:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Changed";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"The time that the term was last edited.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:7:"changed";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:16:"default_langcode";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1089;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:9:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Default translation";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:58:"A flag indicating whether this is the default translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"translatable";b:1;s:12:"revisionable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:8:"provider";s:8:"taxonomy";s:10:"field_name";s:16:"default_langcode";s:11:"entity_type";s:13:"taxonomy_term";s:6:"bundle";N;}}s:25:"field_mt_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:39:"taxonomy_term.field_mt_collection_image";s:13:"\0*\0field_name";s:25:"field_mt_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:39:"taxonomy_term.field_mt_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"b9164f15-9819-49bf-a6f9-897bf63318c5";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-lR5c9_tUf2-ia5m2Pp2NrbexnvAg20VvfhEaiAusrXc";s:10:"form_token";s:43:"ChPOdKeoJw1AtJE4n6e67aBgyRdlMcRaIy-jKLSUJOE";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:30:"field_mt_wide_collection_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:44:"taxonomy_term.field_mt_wide_collection_image";s:13:"\0*\0field_name";s:30:"field_mt_wide_collection_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:44:"taxonomy_term.field_mt_wide_collection_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"4ffd5f68-1974-4672-8314-237bb2cb3c78";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-Dny-6e8rMd8eqZ51C4w8LPWJeAASFPLtS_V45MfI1t4";s:10:"form_token";s:43:"I-kFDcyRqbe7MkuRnzJkov2YY05glsLMdfGTqkV8Zd0";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:26:"field_mt_affiliation_image";O:38:"Drupal\\field\\Entity\\FieldStorageConfig":35:{s:5:"\0*\0id";s:40:"taxonomy_term.field_mt_affiliation_image";s:13:"\0*\0field_name";s:26:"field_mt_affiliation_image";s:14:"\0*\0entity_type";s:13:"taxonomy_term";s:7:"\0*\0type";s:5:"image";s:9:"\0*\0module";s:5:"image";s:11:"\0*\0settings";a:5:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";a:5:{s:4:"uuid";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";s:5:"width";N;s:6:"height";N;}s:11:"target_type";s:4:"file";s:13:"display_field";b:0;s:15:"display_default";b:0;}s:14:"\0*\0cardinality";s:1:"1";s:15:"\0*\0translatable";b:1;s:9:"\0*\0locked";b:0;s:25:"\0*\0persist_with_no_fields";b:0;s:14:"custom_storage";b:0;s:10:"\0*\0indexes";a:0:{}s:10:"\0*\0deleted";b:0;s:13:"\0*\0originalId";s:40:"taxonomy_term.field_mt_affiliation_image";s:9:"\0*\0status";b:1;s:7:"\0*\0uuid";s:36:"d449ceae-ffd4-4fb2-a060-2e98cb57955c";s:11:"\0*\0langcode";s:2:"en";s:23:"\0*\0third_party_settings";a:0:{}s:8:"\0*\0_core";a:0:{}s:14:"\0*\0trustedData";b:0;s:15:"\0*\0entityTypeId";s:20:"field_storage_config";s:15:"\0*\0enforceIsNew";N;s:12:"\0*\0typedData";N;s:16:"\0*\0cacheContexts";a:0:{}s:12:"\0*\0cacheTags";a:0:{}s:14:"\0*\0cacheMaxAge";i:-1;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}s:15:"\0*\0dependencies";a:1:{s:6:"module";a:3:{i:0;s:4:"file";i:1;s:5:"image";i:2;s:8:"taxonomy";}}s:12:"\0*\0isSyncing";b:0;s:18:"cardinality_number";s:1:"1";s:6:"submit";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Save field settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:13:"form_build_id";s:48:"form-XUGpAywA2DuVWGLYDvnLUka6Exz4cej4bpJ3Q2lkV9o";s:10:"form_token";s:43:"EWtEVyaOFvabYA63vVLhMtlTB0yHp8bH1RwDJa_ogpg";s:7:"form_id";s:30:"field_storage_config_edit_form";}s:6:"status";O:37:"Drupal\\Core\\Field\\BaseFieldDefinition":5:{s:7:"\0*\0type";s:7:"boolean";s:9:"\0*\0schema";a:4:{s:7:"columns";a:1:{s:5:"value";a:2:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";}}s:11:"unique keys";a:0:{}s:7:"indexes";a:0:{}s:12:"foreign keys";a:0:{}}s:10:"\0*\0indexes";a:0:{}s:17:"\0*\0itemDefinition";O:51:"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition":2:{s:18:"\0*\0fieldDefinition";r:1290;s:13:"\0*\0definition";a:2:{s:4:"type";s:18:"field_item:boolean";s:8:"settings";a:2:{s:8:"on_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:2:"On";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:9:"off_label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:3:"Off";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}}s:13:"\0*\0definition";a:10:{s:5:"label";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Publishing status";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:11:"description";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:41:"A boolean indicating the published state.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:12:"revisionable";b:1;s:12:"translatable";b:1;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:13:"initial_value";a:1:{i:0;a:1:{s:5:"value";b:1;}}s:10:"field_name";s:6:"status";s:11:"entity_type";s:13:"taxonomy_term";s:8:"provider";s:13:"taxonomy_term";s:6:"bundle";N;}}}s:9:"\0*\0prefix";s:10:"old_8cbfc2";s:12:"\0*\0baseTable";s:28:"old_8cbfc2taxonomy_term_data";s:16:"\0*\0revisionTable";N;s:12:"\0*\0dataTable";s:34:"old_8cbfc2taxonomy_term_field_data";s:20:"\0*\0revisionDataTable";N;s:13:"\0*\0fieldNames";a:6:{s:28:"old_8cbfc2taxonomy_term_data";a:4:{i:0;s:3:"tid";i:1;s:3:"vid";i:2;s:4:"uuid";i:3;s:8:"langcode";}s:34:"old_8cbfc2taxonomy_term_field_data";a:9:{i:0;s:3:"tid";i:1;s:3:"vid";i:2;s:8:"langcode";i:3;s:4:"name";i:4;s:11:"description";i:5;s:6:"weight";i:6;s:7:"changed";i:7;s:16:"default_langcode";i:8;s:6:"status";}s:31:"old_8cbfc2taxonomy_term__parent";a:1:{i:0;s:6:"parent";}s:35:"old_8cbfc2taxonomy_term__abcfb5d9bd";a:1:{i:0;s:25:"field_mt_collection_image";}s:35:"old_8cbfc2taxonomy_term__fd8cfd99f4";a:1:{i:0;s:30:"field_mt_wide_collection_image";}s:35:"old_8cbfc2taxonomy_term__476ddfcb47";a:1:{i:0;s:26:"field_mt_affiliation_image";}}s:15:"\0*\0extraColumns";a:4:{s:31:"old_8cbfc2taxonomy_term__parent";a:6:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";}s:35:"old_8cbfc2taxonomy_term__abcfb5d9bd";a:6:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";}s:35:"old_8cbfc2taxonomy_term__fd8cfd99f4";a:6:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";}s:35:"old_8cbfc2taxonomy_term__476ddfcb47";a:6:{i:0;s:6:"bundle";i:1;s:7:"deleted";i:2;s:9:"entity_id";i:3;s:11:"revision_id";i:4;s:8:"langcode";i:5;s:5:"delta";}}s:16:"\0*\0columnMapping";a:0:{}s:13:"\0*\0allColumns";a:0:{}}s:12:"request_time";i:1560338372;}'),
('entity_autocomplete', '-jIxdcMaQE8hJ5FPb3k5wjaOfrbJN2dq6NgmL_00SdQ', 'a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '-SIgvXoYHGGOE5JWx4n5LgBXPCA_gD3IHIMLQ9IjqQg', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', '-Ygi2WEVoRUnJWnKaWD9ns3HR_puaXzT3gbgBvlbgIE', 'a:1:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}}'),
('entity_autocomplete', '-_bohLRjKah2e1wv5hVl1cAUZh23p5q6nCiizCRxpEk', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', '0UUAeJO8uO0Y3RlNeNibNVmJMpWsaKcWNDOBPLmMzxk', 'a:5:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '21U2NNrHRMTSXDo4utFUlTkxM7FRxzwntilxAXE4-9g', 'a:5:{s:14:"target_bundles";a:1:{s:19:"mt_album_categories";s:19:"mt_album_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '2AcYy3EkX33HywmunYyAYP6ojbRLVnnLFbMoXBCTXlA', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '2HMtXsFxSgWifVBrTSivI3dBw5NJH6l2hFaBM3CrVYc', 'a:1:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}}'),
('entity_autocomplete', '2PWTbE1qBoJoxtxjFy7MFgGIgqgd1tRAXgVCA40wSrM', 'a:0:{}'),
('entity_autocomplete', '2u-5L7Y2FHnRAHBTGLyE3Ht-sHPzXobDwZtXq-c9NGk', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', '2yCx68X259IPN7YJvOorYSEI0USrt0qwedXp4UsT56g', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '3PaUzTYeWLaljGfQSOnLd9DFwe8fKq9MlWoKJt3cp2s', 'a:4:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', '3s7_z5akozkVK9eu4zrMVX7wKqnpIQF7aI3JpZPg-fE', 'a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}'),
('entity_autocomplete', '3SnyphV4kIkR7pyVLe522wnePPj7mBQ-evXNi6Sk0m0', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '3vg6Y7gYWY1lc9cKjquSMyTKsZJEAhsfhKAFnPj2hH4', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '3x0ONUtPfsuIKyZyrhnma10zAMnSRpq537mnDYgp0Ak', 'a:0:{}'),
('entity_autocomplete', '40Y5HjOz9FkYwt2iQTz5JLJGksINSBVGSSQmFi0zZoE', 'a:5:{s:14:"target_bundles";a:1:{s:10:"mt_speaker";s:10:"mt_speaker";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '4Rz2XlQjjecHv5Uu0rJmA8TA00Xw_5r8Q1JznPgEixs', 'a:1:{s:17:"include_anonymous";b:1;}'),
('entity_autocomplete', '5g8B12k1Kf22T3MWOsYAhoalq9ZYQ8b_I0QeNYm1BmQ', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', '7k4YtXrzaNqvo-0CsnTFYdlAfdokJrXH_bwBvGL0iHA', 'a:4:{s:14:"target_bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:10:"mt_product";}'),
('entity_autocomplete', '7ZLQRTB2SjznCVHGG3-FFhszWQjtdXUkNfBsYOaqq28', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '816CiX5C04IJVSktUcc6Y74KwUEYoJpMKVfzG-RuXGU', 'a:4:{s:14:"target_bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', '8De_jVZfhGdozDIj6BNUeTzbY1qF5fRkgSb2v5rQLeY', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}');
INSERT INTO `key_value` VALUES
('entity_autocomplete', '9BiE2uRWkms8_gvLT1yUefcDI8CZfPDiEpp7SzVoIo8', 'a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}'),
('entity_autocomplete', '9denWbzM_N_UJheZgGVXnsS9MpKpATlIyFB4liX88c4', 'a:4:{s:14:"target_bundles";a:3:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";s:11:"mt_showcase";s:11:"mt_showcase";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";}'),
('entity_autocomplete', '9HCyhYHnELU6HqbfTehIrlRz2cUGT_JsmgrATPu9o5M', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', '9rrNxFhcoDneTiHoM0W52IIG97JTk1aXo4MFPI4dKTw', 'a:1:{s:14:"target_bundles";a:1:{i:0;s:4:"tags";}}'),
('entity_autocomplete', '9VI-eO1pIT6qr3zbXI-ow8A9rZrrLZ-RIHziOYkqmEg', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'AFTp8BSTZG8ninbbGIJPtCmenrrSPk3oESQzXvNWF9Y', 'a:5:{s:14:"target_bundles";a:2:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'AhjGLyqzdXWz1CITIGqIEJC4Qw9oNb4VGeOUJIlKQHc', 'a:3:{s:14:"target_bundles";N;s:11:"auto_create";b:0;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'aKB75lutzzyaiA9oO6bSNeCBhiZNl_gFVnhFSZv_I5c', 'a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}'),
('entity_autocomplete', 'BAv5Zcxtxc9Klz-JjjhYOg31skovqN2ddiIeG533Zj0', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'bnOBRxs3VyyuBU-73XZCe0WpFTBNUQbLjob1gvCBKUQ', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'BX1DnGmaU03eTOCmGFkHuipWhp7PX0BHplUyV0C6GMw', 'a:2:{s:14:"target_bundles";N;s:11:"auto_create";b:0;}'),
('entity_autocomplete', 'CBlnz_G7GGmqDNDn9YtZo82pvtBjNhec_UYhYdJBtHQ', 'a:4:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'cHOGAduxklXb2HeSKOA7MTjlcpoREOqWagNNkHdn0kY', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'CM3iLmCwMZWtvDzLCApx219AbffT1_1taQzq2VoK3-o', 'a:1:{s:17:"include_anonymous";b:1;}'),
('entity_autocomplete', 'CqLC4k19ICdlaqJvn1ctzV7-5HFrJfxDLW0PshmWf9o', 'a:1:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}}'),
('entity_autocomplete', 'ctTCYxIECSUY1oBP05xJccJa2qaAky5cISSGgNgPgfc', 'a:4:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'CvDNZMDktT2WmUWYoS4xHqelgGt3H1Ivc-uu3xRqRfQ', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'cvP__7ZGfXUzci9HBTLSGagCOKKVZI9oszMfnORTHkw', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'D8kVvK_t-GmMGCQtFv_cvJ1OEYqI5LAG7vXFjBfMBLI', 'a:0:{}'),
('entity_autocomplete', 'db5vObrxDBjJpeXiaomwZAhyV2pmJZAjXVwO0erwIAM', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_presentation";s:15:"mt_presentation";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'dJ_1CdM8qCxVActpuizat0j0CTSUu1z1lsr-b-gmS5I', 'a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'dL4ygKcMji5inQuAEjj-V7r0mEE5Q2q8y-wnxdO2KeQ', 'a:1:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}}'),
('entity_autocomplete', 'Dl_u122SYYyWas-M7zKvcKmzVlpgAZwAPWI-atR06Is', 'a:5:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'DXnOZ6y34olEboEoUeZsGEM9_2hrIutEReZCxABpu-c', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'e6oSuDZko2xQv5nMGZszu7rrpPl9OqcO4xxi_hEUImE', 'a:3:{s:14:"target_bundles";N;s:11:"auto_create";b:0;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'ekJtLXOSbdAyMZi0HWDvyOi0YkP4cvdm7mN-n9ft8Ps', 'a:1:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}}'),
('entity_autocomplete', 'ekKn8SGHsObJ48pKLNfq-5wbtTaBRb8smD4RxlWGjBA', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'EoKSeexlulxHX9tIWdkYcT-L1QPUknJ03R9xWs0DwG0', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'eyMtXeogdlWWBm5KmKybWU-eh1vZYGrXrdPN5rUQPJc', 'a:0:{}'),
('entity_autocomplete', 'f5dL6GjnDZOJmrCVi9z2UK60_RFaFD-dgAs3vXVuxUY', 'a:0:{}'),
('entity_autocomplete', 'FaLuoCZpjfYSgy1QsWiVWGYdHZMa7sn-vGh03m1FE78', 'a:3:{s:14:"target_bundles";N;s:11:"auto_create";b:0;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'Fclnn-MXi7YfKnD7Ff6sFBlKvTng-aaltqRlHsZla7M', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'fIISiWL6TFYvQLjcQtEa7MSe1l_izeHk6yvN51pdjDo', 'a:4:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'FsxZKAPZakrU_4P9i-1y44qzKdGZdxwM8wY4619JgWk', 'a:4:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'gCIsw5XTOSdMiH1i5MeoKckdREwdanGYt5I6LFuvJ9k', 'a:0:{}'),
('entity_autocomplete', 'GC_9PTp9rDQSYfdCW_jMB6WOHSLoOPdjyqiZRXb4dq0', 'a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'GeuMDyldfsBLe662bIWs_sGo0CLnP_BaPYQcnCV-C8A', 'a:1:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}}'),
('entity_autocomplete', 'GFEMFWMY1uF8aqBCyO0cQ3zEODpuJNuyN31HVdkjzoM', 'a:0:{}'),
('entity_autocomplete', 'h4s3K02c62GFLmIBsSWVMVI2Sn6Wi0I7HW8wsgyc6Bk', 'a:5:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'i8bYGCZl3_r-cB1LkuT0-R3lVZeMHfqZN5ZE4TvuA18', 'a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}'),
('entity_autocomplete', 'IEdjPrrezsSbgLW4ExtWMnDKEgJ7O8FzS6aPUngdsJY', 'a:5:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'iEMei0qbTaK68ISma3Tcx_pjDL8YCWGCD4fCKIXBDRI', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'ihClG3_Sjbl1eLkdvRi0C3XwNPSueRIxbFuGsJvQD0k', 'a:1:{s:14:"target_bundles";a:1:{i:0;s:14:"mt_brands_tags";}}'),
('entity_autocomplete', 'iqrM3iwjlcEqvjJnEStUC8aU7RrkzbXpVrtUxJrnVjw', 'a:4:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'IS_perw3pZoNsZ8FlabYFGKEW1HHYum2CgrpU5y-nV4', 'a:1:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}}'),
('entity_autocomplete', 'iYc1asTjssPZfMj6WAAf7a1Ie8dzFoLA6zQ0hd_POpI', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'Iz-t41uG-TTUFoa9gJx94ABUPB8hfFVce8W97n19b7k', 'a:0:{}'),
('entity_autocomplete', 'jPILXw7lPes51He_KLi7eB7DT3UycYZ3Kd9JxU0rGeo', 'a:5:{s:14:"target_bundles";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'KuGvJeZWudkySVe8GjOUmFbErzxDBiq0_KtpKTORZnI', 'a:5:{s:14:"target_bundles";a:1:{s:10:"mt_sponsor";s:10:"mt_sponsor";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'k_udaJA1c67nuadB6-bAci7Arw70uxlVwVHagZXQy0Y', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'l9_aQwfI09ztDl23U325qh_gsA-Wu6tKv-BA_MaYBd8', 'a:5:{s:14:"target_bundles";a:2:{s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:8:"mt_event";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'LR-syR2jkwgIFgVLwyHuFHv7gHFk3St34V9pULhUil0', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'lxC4ZiVuumatTxAslAREKaf9FvFzvJ87v92y69HeQkQ', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'L_jtnYK55-9jxsR8zRQK4dHdFHLdRl3NhnbqRCqSXDU', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'M-z-1tHxTYfG8V8n37bndCfBVuWu334zODrfIvi2Nmk', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'meeDtdzY81QWa1i0dHCcuRiyNT73P6WYYN6y-gngrFo', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'MK_lncNEJkfxo_hKYy41_jnvxyZ6YO30UuCSCyG5Dmg', 'a:5:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'mvG4zUo1tzhZmMwjOiitlrNEz1H_XK7VY8ca28-OVA0', 'a:1:{s:14:"target_bundles";a:1:{i:0;s:19:"font_classification";}}'),
('entity_autocomplete', 'mY-vavoQWTU9N47cByUAzz02iFMhqFHzqUOhN7Mw0wQ', 'a:5:{s:14:"target_bundles";a:1:{s:8:"mt_event";s:8:"mt_event";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'nHfbUyY714lbkm2eVMLF6MbPFuHynlpnRAEFY3xkTrQ', 'a:0:{}'),
('entity_autocomplete', 'NJ8-xSLn1bR5lYrW01Hgp5oPTwe3dImt0XfXKBDCoFM', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'ohfMiH_gywT_Do0xUfBzIjwSPnuVievby8UiAU4v1no', 'a:5:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'ophLz02MiLU__Vb0e6NG8oj35jGaVG2fuBtSbKWelag', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'ou3nziAzeZJs9dAB4o02FQVXFiyt1xNQvSxolhRiwtY', 'a:5:{s:14:"target_bundles";a:2:{s:8:"mt_event";s:8:"mt_event";s:15:"mt_presentation";s:15:"mt_presentation";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:8:"mt_event";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'OuDMkQMTjU48OIRUvJFI8GxK6TWZFMQjo2v4mLclDFc', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'P9FFWGsTytymj7spc_DfyMAiyOE7_BgSsQehOlaQnkU', 'a:5:{s:14:"target_bundles";a:0:{}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'PA8Bse3B85ASZOBmZRqz9uGxixgeA9VQcrWrg-2rx4E', 'a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'PbiCL5ESBp4B25_SWjxyMt6pLZc6pggM1DCbp3mYCrk', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'pKMaYLgz0PtFZH97AoV52Ir2BUf4aFLUP12A9URTtxU', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'Pztm_Cpy65d5orooVHcre1cZ03XWnaKu4YFL8DZdh9Q', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'qDyEMlSTXIE-iAOmNGJ-gUlE9JMq7dBRdqR38GPXLSI', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'qlSftoh0CMTKy7JeDy5_gRrmm7zx6A6bgRDba1yexMc', 'a:0:{}'),
('entity_autocomplete', 'qVIS6pPEOvVoq4c1Uwmqmfb3Y_PsHLd5YI413WAGohM', 'a:0:{}'),
('entity_autocomplete', 'QzYiAfx_y-j8FJSQWuMrcSbGJ5wDELH7S025iORA1lU', 'a:4:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'R2sLz_XY8lXKF1YYyCKqtXKIIHn0uOENUHYS6LPT3PA', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'r8Oli9X4PWnIJ-IhIANtD2-prFBQizzh1nm5b2eWCCQ', 'a:5:{s:14:"target_bundles";a:2:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'SBzhgVsjY9R4EGS_ZF7LvlnMtDDHqF_RIgsTPnJNP-M', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'sC9GoU9X9rvTYtoum_PkhaCLddG0qel2UgS5sh8F94g', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'SfZmlMdo8NB4hOdBlRjC7Qr5nRHoYAIyY5emYiuuXsk', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'sQHNtzyLy3l0bRYXeOFKzxpgP01eBY-54mAMzrEPU2k', 'a:0:{}'),
('entity_autocomplete', 'T2IN_1A7vm9qOw4ltJhexVCafqdcLeEH-4YsyKv-kUU', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'tC4Nvq4_eXJQosTzj_tRHq9RutCF7uhkvdetLEj5q7E', 'a:4:{s:14:"target_bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'tcA0iYi6IWlYEwfUMN8uYZFDFYyMGtFjZxW9uVpPRQY', 'a:3:{s:14:"target_bundles";N;s:11:"auto_create";b:0;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'THAwdSRKYoEssqByJq6ARa_ZJTJjxTBlmEGyce4pxGw', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'Ti4XbWiFRLbH-Cwcwwtp93_TdCVTclPWxj_Z9K9geKo', 'a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}'),
('entity_autocomplete', 'TKHBjYuyuS2XdNKwj2y77spL5TA_1-rFyli3uPpJh9o', 'a:0:{}'),
('entity_autocomplete', 'TMcSs_hcDTgkQWqP0kegIrBdS7Nevu_cxSlJnrZIyjo', 'a:0:{}'),
('entity_autocomplete', 'tnF9oqbzx-IpPp5tDoxDNmoIp0MZ_KJCBLJumVEhfkQ', 'a:4:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'Tnx6CX_OGrNvxxpmI18-p1bOoZXZPXe24za803BcIdw', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'UAmY7EGw3zh042pAk0_6JL9eGE2iuiBxszZrbx96q_I', 'a:0:{}'),
('entity_autocomplete', 'uGfnV_PnMPslGvoDbt6Uy8GTNEyZgmkg2uPnv_7257k', 'a:4:{s:14:"target_bundles";a:1:{s:10:"mt_product";s:10:"mt_product";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";}'),
('entity_autocomplete', 'uJT-J6ObzM1ka4dQsnySS0Sp_Ap0XQrpuoBG4p7V2sA', 'a:5:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'v4tjS010TaSHUxAxhMmalv1BwM2XbSNwFLjvdPvKMIo', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'Vbxu9BLpt3VL9X1wlZosCPJP6_-jU6ogjQwhU0RZfrU', 'a:5:{s:14:"target_bundles";a:1:{s:26:"mt_presentation_categories";s:26:"mt_presentation_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'VdeMZNrdT8tVeUVDPRRIx0QN9wcbHlmAG78LK0qIGgE', 'a:5:{s:14:"target_bundles";a:1:{s:9:"mt_topics";s:9:"mt_topics";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'VMXLm_yVs-UOUphqZx2xfGDNYus0ZuS1g57S8Sy_SkE', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'VqvBD6JSbh-oUcSzG_7wa70ioifGFd6V9VP1dPJQJug', 'a:3:{s:14:"target_bundles";N;s:11:"auto_create";b:0;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'VQ_MrMW0v0u_Viw5sH9LuogiJUMsJp45OXgcADJ4vxw', 'a:5:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'Vr9O_HsWOJaYMVuY76Fzgk63BCX2e3BrD4CgmybJ1Mw', 'a:2:{s:14:"match_operator";s:8:"CONTAINS";s:11:"match_limit";i:10;}'),
('entity_autocomplete', 'wcoyACDvZ4xpGUJ4-ELtRVv1LdjPjS9hddDW-F0QIE4', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_product_tags";s:15:"mt_product_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'WxiN6e_FOarEWdtAtcCcILrfPPNJRXGCv6hY1_Jph_U', 'a:0:{}'),
('entity_autocomplete', 'x2mT8ctolxzqYG7xgZ-_f2sej_tHzpDyg8522X9XG18', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'XA0EvHMEHrTsVERDGmUfC3kttPRIlKVTpC0qFAxSIJk', 'a:5:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'Xb-M-ts5KTLwPlnAfjof4eBr711tqUiJiAnW6wY42AQ', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_brands_tags";s:14:"mt_brands_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'xDNbPuiGIkvyZXPKzROG39-v4LAvGjI1oK3ex5UM6MQ', 'a:4:{s:14:"target_bundles";a:2:{s:10:"mt_product";s:10:"mt_product";s:10:"mt_service";s:10:"mt_service";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:10:"mt_product";}'),
('entity_autocomplete', 'xzpyyDLXyiLCSUOJXff_vC9vv5KPiiikmxg2pAQdAG8', 'a:4:{s:14:"target_bundles";a:1:{s:16:"mt_showcase_tags";s:16:"mt_showcase_tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";}'),
('entity_autocomplete', 'y-79phZU8a8auDrHKk0Lb_9L7elqh-gs_CXTtdh0i_I', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'yAI-xq5j0q23KOWQV4ONLiEyQCfUOFolt3mQmPB_Cmc', 'a:0:{}'),
('entity_autocomplete', 'yiifHYvRX7jlDTGntdbVA9jrqAJNgU5UHFsyUSTcghU', 'a:1:{s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'yoMbWQ3juDxnFahr2sczR2T8BVrG51qWXLRp5etL0YU', 'a:0:{}'),
('entity_autocomplete', 'YsdaP4uxd1rL-_vKYZqA7BcOnUKROxJNrYb8GU9apP0', 'a:5:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'YtduWUX2-lyRBuZfMICxXXbyU0tnQx2quR0jyoPvkcc', 'a:1:{s:17:"include_anonymous";b:0;}'),
('entity_autocomplete', 'zA4LkAP_kPUyofTBptL526P_tU_ULHaFtoukqcZ6NX0', 'a:5:{s:14:"target_bundles";a:1:{s:14:"mt_collections";s:14:"mt_collections";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'zg7DRBSWF1gTc-NT6XlLRfCjnpSF2OPC67AG29BP7rI', 'a:5:{s:14:"target_bundles";a:1:{s:19:"mt_album_categories";s:19:"mt_album_categories";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', 'ZgAD7rJDHwZsJk2b9zl92iLTY4rCsHNlHsPW6gvZXK0', 'a:0:{}'),
('entity_autocomplete', 'zTkgkgckwlFVS8Qeu56MIo4UW2pgMPIhYgz2lAGH6v0', 'a:3:{s:14:"target_bundles";N;s:11:"auto_create";b:0;s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '_3Oq_oM45QP3iFO379OoNIIWBukSCgxJac6SYfgwS94', 'a:3:{s:14:"target_bundles";a:1:{s:4:"tags";s:4:"tags";}s:4:"sort";a:1:{s:5:"field";s:5:"_none";}s:11:"auto_create";b:1;}'),
('entity_autocomplete', '_xC-jP7Wbk2Tx6hwnad2dAFBBPYNvAJHhJMKmUeyLFs', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_service_tags";s:15:"mt_service_tags";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('entity_autocomplete', '__vvzGZPb5TOoOv0u4dwaPU1ZOKHn_N5JlwtVfe7QKg', 'a:5:{s:14:"target_bundles";a:1:{s:15:"mt_affiliations";s:15:"mt_affiliations";}s:4:"sort";a:2:{s:5:"field";s:4:"name";s:9:"direction";s:3:"asc";}s:11:"auto_create";b:0;s:18:"auto_create_bundle";s:0:"";s:14:"match_operator";s:8:"CONTAINS";}'),
('post_update', 'existing_updates', 'a:71:{i:0;s:64:"system_post_update_recalculate_configuration_entity_dependencies";i:1;s:43:"field_post_update_email_widget_size_setting";i:2;s:50:"field_post_update_entity_reference_handler_setting";i:3;s:46:"field_post_update_save_custom_storage_property";i:4;s:54:"block_post_update_disable_blocks_with_missing_contexts";i:5;s:42:"image_post_update_image_style_dependencies";i:6;s:46:"views_post_update_cleanup_duplicate_views_data";i:7;s:46:"views_post_update_field_formatter_dependencies";i:8;s:36:"views_post_update_taxonomy_index_tid";i:9;s:46:"views_post_update_update_cacheability_metadata";i:10;s:51:"paragraphs_post_update_set_paragraphs_parent_fields";i:11;s:62:"contact_post_update_add_message_redirect_field_to_contact_form";i:12;s:56:"editor_post_update_clear_cache_for_file_reference_filter";i:13;s:39:"views_post_update_boolean_filter_values";i:14;s:41:"views_post_update_serializer_dependencies";i:15;s:42:"block_post_update_fix_negate_in_conditions";i:16;s:40:"block_post_update_disabled_region_update";i:17;s:48:"system_post_update_add_region_to_entity_displays";i:18;s:37:"system_post_update_hashes_clear_cache";i:19;s:36:"system_post_update_timestamp_plugins";i:20;s:45:"user_post_update_enforce_order_of_permissions";i:21;s:33:"views_post_update_grouped_filters";i:22;s:45:"comment_post_update_enable_comment_admin_view";i:23;s:49:"dblog_post_update_convert_recent_messages_to_view";i:24;s:47:"field_post_update_remove_handler_submit_setting";i:25;s:46:"node_post_update_configure_status_field_widget";i:26;s:41:"system_post_update_classy_message_library";i:27;s:37:"system_post_update_field_type_plugins";i:28;s:42:"views_post_update_revision_metadata_fields";i:29;s:40:"system_post_update_change_action_plugins";i:30;s:48:"system_post_update_field_formatter_entity_schema";i:31;s:34:"views_post_update_bulk_field_moved";i:32;s:33:"views_post_update_entity_link_url";i:33;s:41:"views_post_update_filter_placeholder_text";i:34;s:45:"views_post_update_table_display_cache_max_age";i:35;s:47:"views_post_update_views_data_table_dependencies";i:36;s:51:"block_content_post_update_add_views_reusable_filter";i:37;s:50:"image_post_update_scale_and_crop_effect_add_anchor";i:38;s:47:"system_post_update_change_delete_action_plugins";i:39;s:31:"system_post_update_extra_fields";i:40;s:41:"system_post_update_language_item_callback";i:41;s:64:"taxonomy_post_update_clear_entity_bundle_field_definitions_cache";i:42;s:43:"taxonomy_post_update_clear_views_data_cache";i:43;s:63:"taxonomy_post_update_handle_publishing_status_addition_in_views";i:44;s:48:"contextual_post_update_fixed_endpoint_and_markup";i:45;s:41:"node_post_update_node_revision_views_data";i:46;s:37:"system_post_update_states_clear_cache";i:47;s:42:"comment_post_update_add_ip_address_setting";i:48;s:65:"menu_link_content_post_update_make_menu_link_content_revisionable";i:49;s:64:"system_post_update_add_expand_all_items_key_in_system_menu_block";i:50;s:35:"system_post_update_clear_menu_cache";i:51;s:36:"system_post_update_fix_jquery_extend";i:52;s:52:"taxonomy_post_update_make_taxonomy_term_revisionable";i:53;s:55:"taxonomy_post_update_remove_hierarchy_from_vocabularies";i:54;s:53:"views_post_update_exposed_filter_blocks_label_display";i:55;s:48:"views_post_update_make_placeholders_translatable";i:56;s:28:"field_group_post_update_0001";i:57;s:44:"paragraphs_post_update_rebuild_parent_fields";i:58;s:49:"path_post_update_create_language_content_settings";i:59;s:29:"search_post_update_block_page";i:60;s:60:"system_post_update_entity_reference_autocomplete_match_limit";i:61;s:44:"system_post_update_extra_fields_form_display";i:62;s:46:"system_post_update_layout_plugin_schema_change";i:63;s:50:"taxonomy_post_update_configure_status_field_widget";i:64;s:42:"text_post_update_add_required_summary_flag";i:65;s:55:"text_post_update_add_required_summary_flag_form_display";i:66;s:41:"views_post_update_limit_operator_defaults";i:67;s:33:"views_post_update_remove_core_key";i:68;s:40:"node_post_update_glossary_view_published";i:69;s:55:"search_post_update_reindex_after_diacritics_rule_change";i:70;s:51:"views_post_update_field_names_for_multivalue_fields";}'),
('state', 'comment.maintain_entity_statistics', 'b:1;'),
('state', 'comment.node_comment_statistics_scale', 'd:0.200000000000000011102230246251565404236316680908203125;'),
('state', 'drupal_css_cache_files', 'a:21:{s:64:"30cec3a799b20ae6473b4c510e64b5aa873c2b6101ca72fd8b74095d2f8d4a97";s:64:"public://css/css_VQDk4iw7PLpOJGXP6BmMjpKmrPBWBrBHsVG1YZaKigE.css";s:64:"253542d9f1865a88cdf4bc43006513cb8306cb468c42298bf831082720bdfcdd";s:64:"public://css/css_A4fAF-tSxQQaqdlU6gtvXxawnLnm1r9h90dUSEe-4eY.css";s:64:"f494ab238240f7468aea23efbb22f7a597df3445641b77d1d28512289b4c8844";s:64:"public://css/css_C_3NL2a4VAKew2mTjwdWki7NXIrJOnw8yAthuxs_6vA.css";s:64:"c9bf1a3c0aea9668e27f123a1676845dcbc89404307b48299ff9044c0aad622f";s:64:"public://css/css_Fo0WsLQ4SPBxV6CB36E-sRXiCcqgB-GODfLmHzDGpgE.css";s:64:"d4998eb564fc63abcb48a1a386a6294f83721f5e1a8e930ea37e219fe4e89cb1";s:64:"public://css/css_4dMyyxGCiol63xn39YlERBs1uZzBR7sabORPkupR8qE.css";s:64:"d7f6a2abd4f1f7ea0f1fe9af5bab70078a24a9be5a0422477a0df7f7e7f19f7e";s:64:"public://css/css_DLGuV4f1afcESO-iBH5wBVy9nb8SZdjGRGPj3Q8AYTY.css";s:64:"eeab4bd8f04040c467c6744037caa76dfe240ad375614d12fe7f2e0fb60b3e70";s:64:"public://css/css_gjpv-iu2DwqeYu56S9qeH4YpZq1NnlNZXY03hyBSMRU.css";s:64:"559b8158b22caa6004d995d090fed710c88869ad318af8cfae8d43fb6abb5af6";s:64:"public://css/css_BvCU1GH4Fs5FJKyS_qDnIPzrOLr15TyI8k31IRdjOQY.css";s:64:"af53afa29e19b069d300063b57233215f48536970cbdcb2592ded01842b6fe1d";s:64:"public://css/css_WU5eXrsOJpSmtOtEMMFdND843FxVdjeK1qG1efNihVU.css";s:64:"929e15b81adb859c755e1ce539221daac1ab33ca05fe5b0ad1e5205a038d365f";s:64:"public://css/css_b9nII4PtkopCby3wvgKEWxPfzsfhOdcKdg_PuFDeFeE.css";s:64:"5e893ca6c156c1fd04a133e1782c025305dd0bdd2bc5225310143461300b5399";s:64:"public://css/css_5M8rUBWUqyg3PwkKeI75JL4FQYSE-txTDqQyc3uveAI.css";s:64:"a2d2e66e168dc061740ffbec1ce4a4fead06749059f5915c8f9110bc0bad8395";s:64:"public://css/css_PZI3MSMQIudeYvYXUnZYiAtSaDm2e-VaJCOTw_uxl0A.css";s:64:"6227caaba8714da2f9b812ad573e2136fc463dac8fe379e513544985519f6f60";s:64:"public://css/css_gB_iP3A4Db5rgmHyx8TCsj9QQQ5oDeUS_TOd50QH0oI.css";s:64:"548732085fefcf93241d971f6081a22c746aa4268877647cdef28ab3632fceb6";s:64:"public://css/css_OxoVOR-o3xOU1S1BXQAa6J46uGGZ75Z9cmG1miC_it4.css";s:64:"04b012857f08728a6eb50a98881d9a4807ac2d1618793d3dbc8c45e8e5618f0c";s:64:"public://css/css_dWkBEbZaRtDu9WN1dk0QmIDnN0UaqUWgi5ioLUFgO5U.css";s:64:"98bf539af5f92acfdee7c3fdbf001cd00d97e4a0585825d86e8aadd0c98b0fe6";s:64:"public://css/css_BJYeRmnNe7BdAZmuZ98M07H_OqIg9f0iVg6wCFekNbM.css";s:64:"9825a73ba912854d479acb0ca87c4304a2197e60d43b4c4d2cdb452b499f8b4a";s:64:"public://css/css_FMlUizyhU1mIKJfLgZeYvqaqnmVXHURG33lE9F65U3M.css";s:64:"302178fca30ae6a148705462c21d51fb749a49c33a5970336280228f9383c22c";s:64:"public://css/css_kTEdNi8XdMVN0i8ChtmKR0IYswtM-aBcSiWn1iSjXFA.css";s:64:"9bff94f394a4bfd74fe30e1f52ce09eec140ea13fc8f6718bd48cc5bda49fcdc";s:64:"public://css/css_dsUY8Gx6o22LFz1cG2fWLIsm3avdTirc7AcLhw_NmSg.css";s:64:"623779c106e4a4a17f04b1eeb456ba7a7d90c73dec6e5fb8f726aa3c43b281b2";s:64:"public://css/css_So3FlmtSG7zvslb6BQlr0lfaWsLvzv9VYSO5O9UgQaE.css";s:64:"e0e616a4e62a0fbc28bafae02437fe07b409476fd53dce021843ca042c7341cc";s:64:"public://css/css_bty4VhPeQFqA-kZiDm-K0cS_vPbht9sr0Myu4ZdMb_Q.css";}'),
('state', 'field.field.deleted', 'a:0:{}'),
('state', 'field.storage.deleted', 'a:0:{}'),
('state', 'install_task', 's:4:"done";'),
('state', 'install_time', 'i:1464713110;'),
('state', 'node.min_max_update_time', 'a:2:{s:11:"min_created";s:10:"1458323138";s:11:"max_created";s:10:"1521700581";}'),
('state', 'router.path_roots', 'a:74:{i:0;s:5:"admin";i:1;s:14:"block-category";i:2;s:5:"block";i:3;s:7:"comment";i:4;s:8:"comments";i:5;s:7:"contact";i:6;s:4:"user";i:7;s:10:"contextual";i:8;s:6:"editor";i:9;s:4:"file";i:10;s:6:"filter";i:11;s:11:"fontawesome";i:12;s:24:"fontawesome-autocomplete";i:13;s:30:"fullcalendar-view-event-update";i:14;s:27:"fullcalendar-view-event-add";i:15;s:7:"history";i:16;s:5:"sites";i:17;s:6:"system";i:18;s:4:"node";i:19;s:9:"quickedit";i:20;s:6:"search";i:21;s:4:"cron";i:22;s:12:"machine_name";i:23;s:0:"";i:24;s:9:"<current>";i:25;s:5:"batch";i:26;s:10:"update.php";i:27;s:29:"entity_reference_autocomplete";i:28;s:7:"session";i:29;s:8:"taxonomy";i:30;s:7:"toolbar";i:31;s:11:".well-known";i:32;s:7:"webform";i:33;s:7:"rss.xml";i:34;s:20:"albums-3-col-style-2";i:35;s:6:"albums";i:36;s:12:"albums-2-col";i:37;s:8:"articles";i:38;s:14:"articles-4-col";i:39;s:14:"articles-3-col";i:40;s:14:"articles-2-col";i:41;s:13:"articles-list";i:42;s:18:"merchandise-groups";i:43;s:26:"merchandise-groups-masonry";i:44;s:12:"events-3-col";i:45;s:12:"events-2-col";i:46;s:6:"events";i:47;s:14:"albums-isotope";i:48;s:22:"accommodations-isotope";i:49;s:19:"merchandise-isotope";i:50;s:19:"presentations-3-col";i:51;s:13:"presentations";i:52;s:14:"pricing-tables";i:53;s:17:"merchandise-4-col";i:54;s:11:"merchandise";i:55;s:17:"merchandise-2-col";i:56;s:16:"merchandise-list";i:57;s:19:"merchandise-masonry";i:58;s:7:"program";i:59;s:20:"accommodations-4-col";i:60;s:14:"accommodations";i:61;s:20:"accommodations-2-col";i:62;s:19:"accommodations-list";i:63;s:8:"speakers";i:64;s:8:"sponsors";i:65;s:12:"team-members";i:66;s:14:"team-members-2";i:67;s:17:"team-members-list";i:68;s:12:"testimonials";i:69;s:18:"testimonials-3-col";i:70;s:20:"testimonials-3-col-2";i:71;s:20:"testimonials-masonry";i:72;s:6:"videos";i:73;s:5:"views";}'),
('state', 'routing.menu_masks.router', 'a:57:{i:0;i:1001;i:1;i:985;i:2;i:501;i:3;i:495;i:4;i:494;i:5;i:493;i:6;i:491;i:7;i:489;i:8;i:464;i:9;i:253;i:10;i:252;i:11;i:251;i:12;i:250;i:13;i:249;i:14;i:247;i:15;i:246;i:16;i:245;i:17;i:233;i:18;i:232;i:19;i:224;i:20;i:127;i:21;i:126;i:22;i:125;i:23;i:123;i:24;i:122;i:25;i:117;i:26;i:116;i:27;i:96;i:28;i:63;i:29;i:62;i:30;i:61;i:31;i:60;i:32;i:59;i:33;i:58;i:34;i:57;i:35;i:49;i:36;i:42;i:37;i:32;i:38;i:31;i:39;i:30;i:40;i:29;i:41;i:28;i:42;i:24;i:43;i:21;i:44;i:15;i:45;i:14;i:46;i:13;i:47;i:12;i:48;i:11;i:49;i:10;i:50;i:8;i:51;i:7;i:52;i:6;i:53;i:5;i:54;i:3;i:55;i:2;i:56;i:1;}'),
('state', 'routing.non_admin_routes', 'a:151:{i:0;s:27:"block.category_autocomplete";i:1;s:22:"block_content.add_page";i:2;s:22:"block_content.add_form";i:3;s:30:"entity.block_content.canonical";i:4;s:30:"entity.block_content.edit_form";i:5;s:32:"entity.block_content.delete_form";i:6;s:24:"entity.comment.edit_form";i:7;s:15:"comment.approve";i:8;s:24:"entity.comment.canonical";i:9;s:26:"entity.comment.delete_form";i:10;s:13:"comment.reply";i:11;s:31:"comment.new_comments_node_links";i:12;s:21:"comment.node_redirect";i:13;s:17:"contact.site_page";i:14;s:29:"entity.contact_form.canonical";i:15;s:24:"entity.user.contact_form";i:16;s:17:"contextual.render";i:17;s:17:"editor.filter_xss";i:18;s:19:"editor.image_dialog";i:19;s:18:"editor.link_dialog";i:20;s:18:"file.ajax_progress";i:21;s:15:"filter.tips_all";i:22;s:11:"filter.tips";i:23;s:23:"fontawesome.icon_dialog";i:24;s:24:"fontawesome.autocomplete";i:25;s:30:"fullcalendar_view.update_event";i:26;s:27:"fullcalendar_view.add_event";i:27;s:26:"history.get_last_node_view";i:28;s:17:"history.read_node";i:29;s:18:"image.style_public";i:30;s:19:"image.style_private";i:31;s:13:"node.add_page";i:32;s:8:"node.add";i:33;s:19:"entity.node.preview";i:34;s:27:"entity.node.version_history";i:35;s:20:"entity.node.revision";i:36;s:28:"node.revision_revert_confirm";i:37;s:40:"node.revision_revert_translation_confirm";i:38;s:28:"node.revision_delete_confirm";i:39;s:18:"quickedit.metadata";i:40;s:21:"quickedit.attachments";i:41;s:20:"quickedit.field_form";i:42;s:21:"quickedit.entity_save";i:43;s:22:"quickedit.image_upload";i:44;s:20:"quickedit.image_info";i:45;s:34:"quickedit.field_untransformed_text";i:46;s:11:"search.view";i:47;s:23:"search.view_node_search";i:48;s:23:"search.help_node_search";i:49;s:23:"search.view_user_search";i:50;s:23:"search.help_user_search";i:51;s:19:"shortcut.set_switch";i:52;s:10:"system.401";i:53;s:10:"system.403";i:54;s:10:"system.404";i:55;s:10:"system.4xx";i:56;s:11:"system.cron";i:57;s:33:"system.machine_name_transliterate";i:58;s:12:"system.files";i:59;s:28:"system.private_file_download";i:60;s:16:"system.temporary";i:61;s:7:"<front>";i:62;s:6:"<none>";i:63;s:8:"<nolink>";i:64;s:8:"<button>";i:65;s:9:"<current>";i:66;s:15:"system.timezone";i:67;s:22:"system.batch_page.html";i:68;s:16:"system.db_update";i:69;s:26:"system.entity_autocomplete";i:70;s:16:"system.csrftoken";i:71;s:30:"entity.taxonomy_term.edit_form";i:72;s:32:"entity.taxonomy_term.delete_form";i:73;s:16:"toolbar.subtrees";i:74;s:13:"user.register";i:75;s:11:"user.logout";i:76;s:9:"user.pass";i:77;s:9:"user.page";i:78;s:9:"user.edit";i:79;s:10:"user.login";i:80;s:19:"user.cancel_confirm";i:81;s:16:"user.reset.login";i:82;s:10:"user.reset";i:83;s:15:"user.reset.form";i:84;s:31:"user.well-known.change_password";i:85;s:24:"entity.webform.canonical";i:86;s:28:"entity.webform.access_denied";i:87;s:32:"entity.webform.assets.javascript";i:88;s:25:"entity.webform.assets.css";i:89;s:27:"entity.webform.confirmation";i:90;s:31:"entity.webform.user.submissions";i:91;s:26:"entity.webform.user.drafts";i:92;s:30:"entity.webform.user.submission";i:93;s:35:"entity.webform.user.submission.edit";i:94;s:37:"entity.webform.user.submission.delete";i:95;s:40:"entity.webform.user.submission.duplicate";i:96;s:24:"entity.webform.test_form";i:97;s:30:"entity.webform_submission.user";i:98;s:28:"webform.element.autocomplete";i:99;s:29:"webform.element.message.close";i:100;s:21:"view.frontpage.feed_1";i:101;s:21:"view.frontpage.page_1";i:102;s:21:"view.mt_albums.page_2";i:103;s:34:"view.mt_albums_grid_style_2.page_2";i:104;s:34:"view.mt_albums_grid_style_2.page_3";i:105;s:23:"view.mt_articles.page_1";i:106;s:28:"view.mt_articles_grid.page_1";i:107;s:28:"view.mt_articles_grid.page_2";i:108;s:28:"view.mt_articles_grid.page_4";i:109;s:28:"view.mt_articles_list.page_1";i:110;s:31:"view.mt_collections_grid.page_1";i:111;s:34:"view.mt_collections_masonry.page_1";i:112;s:26:"view.mt_events_grid.page_2";i:113;s:26:"view.mt_events_grid.page_3";i:114;s:26:"view.mt_events_list.page_1";i:115;s:22:"view.mt_isotope.page_1";i:116;s:22:"view.mt_isotope.page_2";i:117;s:22:"view.mt_isotope.page_3";i:118;s:33:"view.mt_presentations_grid.page_2";i:119;s:33:"view.mt_presentations_grid.page_3";i:120;s:29:"view.mt_pricing_tables.page_1";i:121;s:23:"view.mt_products.page_1";i:122;s:23:"view.mt_products.page_2";i:123;s:23:"view.mt_products.page_3";i:124;s:28:"view.mt_products_list.page_1";i:125;s:31:"view.mt_products_masonry.page_1";i:126;s:22:"view.mt_program.page_1";i:127;s:23:"view.mt_services.page_1";i:128;s:23:"view.mt_services.page_2";i:129;s:23:"view.mt_services.page_3";i:130;s:28:"view.mt_services_list.page_1";i:131;s:23:"view.mt_speakers.page_1";i:132;s:28:"view.mt_sponsors_grid.page_2";i:133;s:32:"view.mt_team_members_grid.page_2";i:134;s:34:"view.mt_team_members_grid_2.page_2";i:135;s:32:"view.mt_team_members_list.page_1";i:136;s:27:"view.mt_testimonials.page_1";i:137;s:32:"view.mt_testimonials_grid.page_1";i:138;s:34:"view.mt_testimonials_grid_2.page_1";i:139;s:35:"view.mt_testimonials_masonry.page_1";i:140;s:21:"view.mt_videos.page_1";i:141;s:25:"view.taxonomy_term.feed_1";i:142;s:25:"view.taxonomy_term.page_1";i:143;s:10:"views.ajax";i:144;s:21:"entity.node.canonical";i:145;s:23:"entity.node.delete_form";i:146;s:21:"entity.node.edit_form";i:147;s:21:"entity.user.canonical";i:148;s:21:"entity.user.edit_form";i:149;s:23:"entity.user.cancel_form";i:150;s:30:"entity.taxonomy_term.canonical";}'),
('state', 'statistics.day_timestamp', 'i:1681645548;'),
('state', 'statistics.node_counter_scale', 'd:0.002272727272727272616881233346930457628332078456878662109375;'),
('state', 'system.cron_key', 's:74:"WP1Ou_RJqt8MLaKxQpZjnLJ92sfj7_WIrB1WrFSQfxwU187-v9Ye4vIraN034KuUd3dsEPdDPg";'),
('state', 'system.cron_last', 'i:1681645548;'),
('state', 'system.css_js_query_string', 's:6:"rt7l9b";'),
('state', 'system.js_cache_files', 'a:14:{s:64:"2c20ad6786747eaa12d86edd2ae4a8e6aced7e3b706ef7d408b8a985c8d8df8e";s:61:"public://js/js_-obZvqtqO2lRvZEZq_RZhbVtAIAOAnR9t09ZSoFsa-M.js";s:64:"242075357ae359b74e09a22c60ca2c757e3dcb28420b39ced6b44d13c3801079";s:61:"public://js/js_P3U2ci-l5uYOOI0Z_PVANPFGMDwtWvwUHrZMkki_7Ow.js";s:64:"979127364e6e0e90f2950fc66b768763184d8c60dac44f46247f473654021125";s:61:"public://js/js_wKYM-TesSlI4rgE3E6xh_Z1T3YezxI8jCqdF00PO46Y.js";s:64:"2f2f1f85f4236c815e51e699e330c52551a9398c7c051f810f3ee117b7166633";s:61:"public://js/js_7iQyaV2dd1CHPeX8YUEiiQLAkdNxk747i75aiHw5Y_U.js";s:64:"f643215e3d51030c2e7c89c3bf65f01b88ec1b503cabf25a453b1228e7842565";s:61:"public://js/js_MKZyre8B4Cdlp7y6rSLYFXOnTF0GmJM8frNZCGwkWWc.js";s:64:"5f6fbc4c6a1988d7836b9feacd336e3017153f67f7465395d501a2ee9f4c950b";s:61:"public://js/js_y57geBL-K47QfSLZFcl_jtxJKKl-i8yIkHt048E1tQc.js";s:64:"259709b65792cac9880bde255d4fd4df02ad4852cf66e203174cbdfda9559032";s:61:"public://js/js_kI3-qcNH9s1doPOLnmDTBUEugbEAfJIYWFRiGiA4AtM.js";s:64:"8e3f13a24c53082e906d5ff8257f9372423909c10752a4ce41d4932334c55dc6";s:61:"public://js/js_eRHDJXENX535nI1cLiVTSGYJ1gX7owibVLOP6LryIeM.js";s:64:"ce3bba4bcadd420199f00d4172c1029247f4fdf5f1f72ebda159b6c2c2ad90a1";s:61:"public://js/js_gcIRpj4Q7k8ThXL7qu5UxrxPEidpEKfXcn-mrQ7Be44.js";s:64:"eb28b17c0054e85f0314ceecd847df081d0f369b8be152224426c9f8676399bb";s:61:"public://js/js_z0WhPcEELmWevxXtsAP3Hr4UO8ft7HeB5euvEmEnp84.js";s:64:"87e5d24550da415b5820f9a386c7dec19c18592bfa9e3fc02185dfacdf50aa9f";s:61:"public://js/js_1EzNe1qyQleqxAHQ8ua3Taepj2u4BgZ2BUgzk7DTyHA.js";s:64:"f4cc15002c213ffe1b7fbf81e6e14575702f77af53a127d264aa619f17a55364";s:61:"public://js/js_vnAGZapKnTCzivLtVdnwI1hoNPGwUhVAM5nT3DANm4k.js";s:64:"e7586f56cccad44afca9b84da9a8f8f2f93331976998ac92f95f501fa0286112";s:61:"public://js/js_b5ppXX2BiDR772JVynU8sfNALS7E7-_YQ8Bwg7ucLC0.js";s:64:"3991f44630758311cb4eb503de7a0be817305aed6640f5412aaba113f9b877ac";s:61:"public://js/js_ka3caNjuKU11rEO7WQEXqkYVXZTumrhN2cl7VvVgeJE.js";}'),
('state', 'system.maintenance_mode', 'b:1;'),
('state', 'system.private_key', 's:74:"NlUp2JLdVRhczPPoAWKRHM8Do5bclV8YuFRe9JueP_pStlaNW8mjm9OGIjP1P9Ofk_P6_89-sA";'),
('state', 'system.profile.files', 'a:15:{s:10:"demo_umami";s:44:"core/profiles/demo_umami/demo_umami.info.yml";s:7:"minimal";s:38:"core/profiles/minimal/minimal.info.yml";s:18:"nightwatch_testing";s:60:"core/profiles/nightwatch_testing/nightwatch_testing.info.yml";s:8:"standard";s:40:"core/profiles/standard/standard.info.yml";s:7:"testing";s:38:"core/profiles/testing/testing.info.yml";s:21:"testing_config_import";s:66:"core/profiles/testing_config_import/testing_config_import.info.yml";s:24:"testing_config_overrides";s:72:"core/profiles/testing_config_overrides/testing_config_overrides.info.yml";s:40:"testing_install_profile_all_dependencies";s:104:"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml";s:36:"testing_install_profile_dependencies";s:96:"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml";s:28:"testing_missing_dependencies";s:80:"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml";s:20:"testing_multilingual";s:64:"core/profiles/testing_multilingual/testing_multilingual.info.yml";s:33:"testing_multilingual_with_english";s:90:"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml";s:20:"testing_requirements";s:64:"core/profiles/testing_requirements/testing_requirements.info.yml";s:19:"testing_site_config";s:62:"core/profiles/testing_site_config/testing_site_config.info.yml";s:21:"testing_themes_blocks";s:66:"core/profiles/testing_themes_blocks/testing_themes_blocks.info.yml";}'),
('state', 'system.theme.files', 'a:10:{s:6:"bartik";s:34:"core/themes/bartik/bartik.info.yml";s:5:"claro";s:32:"core/themes/claro/claro.info.yml";s:6:"classy";s:34:"core/themes/classy/classy.info.yml";s:14:"conferenceplus";s:52:"themes/custom/conferenceplus/conferenceplus.info.yml";s:7:"olivero";s:36:"core/themes/olivero/olivero.info.yml";s:5:"seven";s:32:"core/themes/seven/seven.info.yml";s:6:"stable";s:34:"core/themes/stable/stable.info.yml";s:7:"stable9";s:36:"core/themes/stable9/stable9.info.yml";s:5:"stark";s:32:"core/themes/stark/stark.info.yml";s:16:"starterkit_theme";s:54:"core/themes/starterkit_theme/starterkit_theme.info.yml";}'),
('state', 'twig_extension_hash_prefix', 'a:2:{s:19:"twig_extension_hash";s:43:"SRCbKmgqqgpsPRAqN02xrcmOgFlMGU89Cu_dJ9uwz7I";s:17:"twig_cache_prefix";s:13:"643bf061e8a9a";}'),
('state', 'update.last_check', 'i:1681653330;'),
('state', 'update.last_email_notification', 'i:1522744076;'),
('state', 'views.view_route_names', 'a:52:{s:13:"watchdog.page";s:14:"dblog.overview";s:24:"user_admin_people.page_1";s:22:"entity.user.collection";s:20:"taxonomy_term.page_1";s:30:"entity.taxonomy_term.canonical";s:32:"fontyourface_font_manager.page_1";s:22:"entity.font.collection";s:14:"content.page_1";s:20:"system.admin_content";s:23:"comment.page_unapproved";s:22:"comment.admin_approval";s:22:"comment.page_published";s:13:"comment.admin";s:20:"block_content.page_1";s:31:"entity.block_content.collection";s:12:"files.page_1";s:17:"view.files.page_1";s:12:"files.page_2";s:17:"view.files.page_2";s:16:"frontpage.feed_1";s:21:"view.frontpage.feed_1";s:16:"frontpage.page_1";s:21:"view.frontpage.page_1";s:16:"mt_albums.page_2";s:21:"view.mt_albums.page_2";s:29:"mt_albums_grid_style_2.page_2";s:34:"view.mt_albums_grid_style_2.page_2";s:29:"mt_albums_grid_style_2.page_3";s:34:"view.mt_albums_grid_style_2.page_3";s:18:"mt_articles.page_1";s:23:"view.mt_articles.page_1";s:23:"mt_articles_grid.page_1";s:28:"view.mt_articles_grid.page_1";s:23:"mt_articles_grid.page_2";s:28:"view.mt_articles_grid.page_2";s:23:"mt_articles_grid.page_4";s:28:"view.mt_articles_grid.page_4";s:23:"mt_articles_list.page_1";s:28:"view.mt_articles_list.page_1";s:26:"mt_collections_grid.page_1";s:31:"view.mt_collections_grid.page_1";s:29:"mt_collections_masonry.page_1";s:34:"view.mt_collections_masonry.page_1";s:21:"mt_events_grid.page_2";s:26:"view.mt_events_grid.page_2";s:21:"mt_events_grid.page_3";s:26:"view.mt_events_grid.page_3";s:21:"mt_events_list.page_1";s:26:"view.mt_events_list.page_1";s:17:"mt_isotope.page_1";s:22:"view.mt_isotope.page_1";s:17:"mt_isotope.page_2";s:22:"view.mt_isotope.page_2";s:17:"mt_isotope.page_3";s:22:"view.mt_isotope.page_3";s:28:"mt_presentations_grid.page_2";s:33:"view.mt_presentations_grid.page_2";s:28:"mt_presentations_grid.page_3";s:33:"view.mt_presentations_grid.page_3";s:24:"mt_pricing_tables.page_1";s:29:"view.mt_pricing_tables.page_1";s:18:"mt_products.page_1";s:23:"view.mt_products.page_1";s:18:"mt_products.page_2";s:23:"view.mt_products.page_2";s:18:"mt_products.page_3";s:23:"view.mt_products.page_3";s:23:"mt_products_list.page_1";s:28:"view.mt_products_list.page_1";s:26:"mt_products_masonry.page_1";s:31:"view.mt_products_masonry.page_1";s:17:"mt_program.page_1";s:22:"view.mt_program.page_1";s:18:"mt_services.page_1";s:23:"view.mt_services.page_1";s:18:"mt_services.page_2";s:23:"view.mt_services.page_2";s:18:"mt_services.page_3";s:23:"view.mt_services.page_3";s:23:"mt_services_list.page_1";s:28:"view.mt_services_list.page_1";s:18:"mt_speakers.page_1";s:23:"view.mt_speakers.page_1";s:23:"mt_sponsors_grid.page_2";s:28:"view.mt_sponsors_grid.page_2";s:27:"mt_team_members_grid.page_2";s:32:"view.mt_team_members_grid.page_2";s:29:"mt_team_members_grid_2.page_2";s:34:"view.mt_team_members_grid_2.page_2";s:27:"mt_team_members_list.page_1";s:32:"view.mt_team_members_list.page_1";s:22:"mt_testimonials.page_1";s:27:"view.mt_testimonials.page_1";s:27:"mt_testimonials_grid.page_1";s:32:"view.mt_testimonials_grid.page_1";s:29:"mt_testimonials_grid_2.page_1";s:34:"view.mt_testimonials_grid_2.page_1";s:30:"mt_testimonials_masonry.page_1";s:35:"view.mt_testimonials_masonry.page_1";s:16:"mt_videos.page_1";s:21:"view.mt_videos.page_1";s:20:"taxonomy_term.feed_1";s:25:"view.taxonomy_term.feed_1";}'),
('state', 'webform.element.message', 'a:1:{s:25:"webform.help.installation";b:1;}'),
('state', 'webform.version', 's:5:"6.1.4";'),
('state', 'webform_help_notifications', 'a:1:{s:7:"warning";a:3:{s:19:"webform_update_8119";s:316:"<strong>ATTENTION DEVELOPERS!!!</strong> The webform submission form''s  BASE_FORM_ID and FORM_ID have changed.<br/>Please make sure to update all webform related <code>hook_form_BASE_FORM_ID_alter()</code> and <code>hook_form_FORM_ID_alter()</code> hooks. <a href="https://www.drupal.org/node/2959264">Learn more</a>";s:19:"webform_update_8139";a:2:{s:4:"list";a:3:{s:6:"#theme";s:9:"item_list";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:155:"IMPORTANT! Elements, containers, and pages that are hidden using conditional logic will now have their submission data cleared when a webform is submitted.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:6:"#items";a:3:{i:0;O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:103:"Please make sure to test any webform that contains conditionally hidden elements, containers, or pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}i:1;O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:79:"Any element that is conditionally hidden will have its submission data cleared.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}i:2;O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:140:"Existing submissions that have conditionally hidden elements will have the element''s submission data cleared when the submission is updated.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}}s:4:"link";a:3:{s:5:"#type";s:4:"link";s:6:"#title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Learn more";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}s:4:"#url";O:15:"Drupal\\Core\\Url":12:{s:15:"\0*\0urlGenerator";N;s:15:"\0*\0urlAssembler";N;s:16:"\0*\0accessManager";N;s:12:"\0*\0routeName";N;s:18:"\0*\0routeParameters";a:0:{}s:10:"\0*\0options";a:1:{s:8:"external";b:1;}s:11:"\0*\0external";b:1;s:11:"\0*\0unrouted";b:1;s:6:"\0*\0uri";s:35:"https://www.drupal.org/node/2956589";s:15:"\0*\0internalPath";N;s:14:"\0*\0_serviceIds";a:0:{}s:18:"\0*\0_entityStorages";a:0:{}}}}s:19:"webform_update_8187";s:320:"<strong>ATTENTION DEVELOPERS!!!</strong> Please make sure to download and update the <a href="https://github.com/RobinHerbots/Inputmask">Input Mask</a> library to version 5.0.x <a href="https://www.drupal.org/docs/8/modules/webform/webform-libraries">Learn more about updating the Webform module''s external libraries</a>";}}'),
('system.schema', 'automated_cron', 'i:8000;'),
('system.schema', 'better_exposed_filters', 'i:8000;'),
('system.schema', 'block', 's:4:"8003";'),
('system.schema', 'block_content', 'i:8600;'),
('system.schema', 'breakpoint', 'i:8000;'),
('system.schema', 'ckeditor', 'i:8000;'),
('system.schema', 'color', 'i:8000;'),
('system.schema', 'comment', 'i:8701;'),
('system.schema', 'config', 'i:8000;'),
('system.schema', 'contact', 'i:8000;'),
('system.schema', 'contextual', 'i:8000;'),
('system.schema', 'datetime', 'i:8000;'),
('system.schema', 'dblog', 'i:8600;'),
('system.schema', 'dynamic_page_cache', 'i:8000;'),
('system.schema', 'editor', 's:4:"8001";'),
('system.schema', 'entity_reference_revisions', 'i:8000;'),
('system.schema', 'field', 'i:8500;'),
('system.schema', 'field_group', 'i:8301;'),
('system.schema', 'field_ui', 'i:8000;'),
('system.schema', 'file', 'i:8700;'),
('system.schema', 'filter', 'i:8000;'),
('system.schema', 'fontawesome', 'i:8000;'),
('system.schema', 'fontyourface', 'i:8005;'),
('system.schema', 'fullcalendar_view', 'i:8000;'),
('system.schema', 'google_fonts_api', 'i:8000;'),
('system.schema', 'help', 'i:8000;'),
('system.schema', 'history', 's:4:"8101";'),
('system.schema', 'image', 'i:8201;'),
('system.schema', 'juicerio', 's:4:"8001";'),
('system.schema', 'link', 'i:8000;'),
('system.schema', 'menu_link_content', 'i:8601;'),
('system.schema', 'menu_ui', 'i:8000;'),
('system.schema', 'mt_cookieconsent', 'i:8000;'),
('system.schema', 'mt_countdown', 'i:8000;'),
('system.schema', 'node', 'i:8700;'),
('system.schema', 'options', 'i:8000;'),
('system.schema', 'page_cache', 'i:8000;'),
('system.schema', 'paragraphs', 'i:8022;'),
('system.schema', 'path', 'i:8200;'),
('system.schema', 'path_alias', 'i:8000;');
INSERT INTO `key_value` VALUES
('system.schema', 'quickedit', 'i:8000;'),
('system.schema', 'rdf', 'i:8000;'),
('system.schema', 'search', 'i:8000;'),
('system.schema', 'shortcut', 'i:8000;'),
('system.schema', 'standard', 'i:8000;'),
('system.schema', 'statistics', 's:4:"8300";'),
('system.schema', 'superfish', 'i:8000;'),
('system.schema', 'system', 'i:8901;'),
('system.schema', 'taxonomy', 'i:8702;'),
('system.schema', 'text', 'i:8000;'),
('system.schema', 'toolbar', 'i:8000;'),
('system.schema', 'tour', 'i:8000;'),
('system.schema', 'update', 'i:8001;'),
('system.schema', 'user', 's:4:"8100";'),
('system.schema', 'video_embed_field', 'i:8000;'),
('system.schema', 'views', 'i:8500;'),
('system.schema', 'views_ui', 'i:8000;'),
('system.schema', 'webform', 'i:8189;'),
('system.schema', 'webform_ui', 'i:8000;');

-- --------------------------------------------------------

--
-- Table structure for table `key_value_expire`
--

CREATE TABLE `key_value_expire` (
  `collection` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'A named collection of key and value pairs.',
  `name` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The key of the key/value pair.',
  `value` longblob NOT NULL COMMENT 'The value of the key/value pair.',
  `expire` int(11) NOT NULL DEFAULT 2147483647 COMMENT 'The time since Unix epoch in seconds when this item expires. Defaults to the maximum possible time.',
  PRIMARY KEY (`collection`,`name`),
  KEY `all` (`name`,`collection`,`expire`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Generic key/value storage table with an expiration.';

--
-- Dumping data for table `key_value_expire`
--

INSERT INTO `key_value_expire` VALUES
('update', 'fetch_failures', 'N;', 1681653630),
('update', 'update_project_data', 'a:12:{s:6:"drupal";a:16:{s:4:"name";s:6:"drupal";s:4:"info";a:6:{s:4:"name";s:14:"Automated Cron";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649427;s:9:"datestamp";i:0;}s:9:"datestamp";i:0;s:8:"includes";a:43:{s:14:"automated_cron";s:14:"Automated Cron";s:5:"block";s:5:"Block";s:13:"block_content";s:12:"Custom Block";s:10:"breakpoint";s:10:"Breakpoint";s:8:"ckeditor";s:8:"CKEditor";s:5:"color";s:5:"Color";s:7:"comment";s:7:"Comment";s:6:"config";s:21:"Configuration Manager";s:7:"contact";s:7:"Contact";s:10:"contextual";s:16:"Contextual Links";s:8:"datetime";s:8:"Datetime";s:5:"dblog";s:16:"Database Logging";s:18:"dynamic_page_cache";s:27:"Internal Dynamic Page Cache";s:6:"editor";s:11:"Text Editor";s:5:"field";s:5:"Field";s:8:"field_ui";s:8:"Field UI";s:4:"file";s:4:"File";s:6:"filter";s:6:"Filter";s:4:"help";s:4:"Help";s:7:"history";s:7:"History";s:5:"image";s:5:"Image";s:4:"link";s:4:"Link";s:17:"menu_link_content";s:17:"Custom Menu Links";s:7:"menu_ui";s:7:"Menu UI";s:4:"node";s:4:"Node";s:7:"options";s:7:"Options";s:10:"page_cache";s:19:"Internal Page Cache";s:4:"path";s:4:"Path";s:10:"path_alias";s:10:"Path alias";s:9:"quickedit";s:10:"Quick Edit";s:3:"rdf";s:3:"RDF";s:6:"search";s:6:"Search";s:8:"shortcut";s:8:"Shortcut";s:10:"statistics";s:10:"Statistics";s:6:"system";s:6:"System";s:8:"taxonomy";s:8:"Taxonomy";s:4:"text";s:4:"Text";s:7:"toolbar";s:7:"Toolbar";s:4:"tour";s:4:"Tour";s:6:"update";s:14:"Update Manager";s:4:"user";s:4:"User";s:5:"views";s:5:"Views";s:8:"views_ui";s:8:"Views UI";}s:12:"project_type";s:4:"core";s:14:"project_status";b:1;s:16:"existing_version";s:5:"9.5.7";s:14:"existing_major";s:1:"9";s:12:"install_type";s:8:"official";s:5:"title";s:11:"Drupal core";s:4:"link";s:37:"https://www.drupal.org/project/drupal";s:4:"also";a:1:{i:10;s:6:"10.0.7";}s:8:"releases";a:2:{s:6:"10.0.7";a:10:{s:4:"name";s:13:"drupal 10.0.7";s:7:"version";s:6:"10.0.7";s:3:"tag";s:6:"10.0.7";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.7";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.7.tar.gz";s:4:"date";s:10:"1679678060";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.7";a:10:{s:4:"name";s:12:"drupal 9.5.7";s:7:"version";s:5:"9.5.7";s:3:"tag";s:5:"9.5.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.7.tar.gz";s:4:"date";s:10:"1679677448";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}}s:14:"latest_version";s:5:"9.5.7";s:11:"recommended";s:5:"9.5.7";s:6:"status";i:5;}s:22:"better_exposed_filters";a:16:{s:4:"name";s:22:"better_exposed_filters";s:4:"info";a:6:{s:4:"name";s:22:"Better Exposed Filters";s:7:"package";s:5:"Views";s:7:"version";s:7:"8.x-5.2";s:7:"project";s:22:"better_exposed_filters";s:9:"datestamp";i:1657172289;s:16:"_info_file_ctime";i:1681648113;}s:9:"datestamp";i:1657172289;s:8:"includes";a:1:{s:22:"better_exposed_filters";s:22:"Better Exposed Filters";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:7:"8.x-5.2";s:14:"existing_major";s:1:"5";s:12:"install_type";s:8:"official";s:5:"title";s:22:"Better Exposed Filters";s:4:"link";s:53:"https://www.drupal.org/project/better_exposed_filters";s:4:"also";a:1:{i:6;s:5:"6.0.3";}s:8:"releases";a:2:{s:5:"6.0.3";a:13:{s:4:"name";s:28:"better_exposed_filters 6.0.3";s:7:"version";s:5:"6.0.3";s:3:"tag";s:5:"6.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:68:"https://www.drupal.org/project/better_exposed_filters/releases/6.0.3";s:13:"download_link";s:73:"https://ftp.drupal.org/files/projects/better_exposed_filters-6.0.3.tar.gz";s:4:"date";s:10:"1671541877";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:9:"^9 || ^10";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}s:7:"8.x-5.2";a:13:{s:4:"name";s:30:"better_exposed_filters 8.x-5.2";s:7:"version";s:7:"8.x-5.2";s:3:"tag";s:7:"8.x-5.2";s:6:"status";s:9:"published";s:12:"release_link";s:70:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.2";s:13:"download_link";s:75:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.2.tar.gz";s:4:"date";s:10:"1657172286";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:27:"Requires Drupal core: 9.5.7";}}s:14:"latest_version";s:7:"8.x-5.2";s:11:"recommended";s:7:"8.x-5.2";s:6:"status";i:5;}s:26:"entity_reference_revisions";a:15:{s:4:"name";s:26:"entity_reference_revisions";s:4:"info";a:6:{s:4:"name";s:26:"Entity Reference Revisions";s:7:"package";s:11:"Field types";s:7:"version";s:8:"8.x-1.10";s:7:"project";s:26:"entity_reference_revisions";s:9:"datestamp";i:1660664714;s:16:"_info_file_ctime";i:1681652117;}s:9:"datestamp";i:1660664714;s:8:"includes";a:1:{s:26:"entity_reference_revisions";s:26:"Entity Reference Revisions";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:8:"8.x-1.10";s:14:"existing_major";s:1:"1";s:12:"install_type";s:8:"official";s:5:"title";s:26:"Entity Reference Revisions";s:4:"link";s:57:"https://www.drupal.org/project/entity_reference_revisions";s:14:"latest_version";s:8:"8.x-1.10";s:8:"releases";a:1:{s:8:"8.x-1.10";a:13:{s:4:"name";s:35:"entity_reference_revisions 8.x-1.10";s:7:"version";s:8:"8.x-1.10";s:3:"tag";s:8:"8.x-1.10";s:6:"status";s:9:"published";s:12:"release_link";s:75:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.10";s:13:"download_link";s:80:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.10.tar.gz";s:4:"date";s:10:"1660664712";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:9:"^9 || ^10";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}}s:11:"recommended";s:8:"8.x-1.10";s:6:"status";i:5;}s:11:"field_group";a:15:{s:4:"name";s:11:"field_group";s:4:"info";a:6:{s:4:"name";s:11:"Field Group";s:7:"package";s:6:"Fields";s:7:"version";s:7:"8.x-3.4";s:7:"project";s:11:"field_group";s:9:"datestamp";i:1667241980;s:16:"_info_file_ctime";i:1681652118;}s:9:"datestamp";i:1667241980;s:8:"includes";a:1:{s:11:"field_group";s:11:"Field Group";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:7:"8.x-3.4";s:14:"existing_major";s:1:"3";s:12:"install_type";s:8:"official";s:5:"title";s:11:"Field Group";s:4:"link";s:42:"https://www.drupal.org/project/field_group";s:14:"latest_version";s:7:"8.x-3.4";s:8:"releases";a:1:{s:7:"8.x-3.4";a:13:{s:4:"name";s:19:"field_group 8.x-3.4";s:7:"version";s:7:"8.x-3.4";s:3:"tag";s:7:"8.x-3.4";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/field_group/releases/8.x-3.4";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/field_group-8.x-3.4.tar.gz";s:4:"date";s:10:"1667241979";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.2 || ^10";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}}s:11:"recommended";s:7:"8.x-3.4";s:6:"status";i:5;}s:11:"fontawesome";a:15:{s:4:"name";s:11:"fontawesome";s:4:"info";a:6:{s:4:"name";s:12:"Font Awesome";s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:7:"package";s:5:"Other";s:16:"_info_file_ctime";i:1681652118;}s:9:"datestamp";i:1676999828;s:8:"includes";a:1:{s:11:"fontawesome";s:12:"Font Awesome";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:8:"8.x-2.25";s:14:"existing_major";s:1:"2";s:12:"install_type";s:8:"official";s:5:"title";s:18:"Font Awesome Icons";s:4:"link";s:42:"https://www.drupal.org/project/fontawesome";s:14:"latest_version";s:8:"8.x-2.25";s:8:"releases";a:1:{s:8:"8.x-2.25";a:13:{s:4:"name";s:20:"fontawesome 8.x-2.25";s:7:"version";s:8:"8.x-2.25";s:3:"tag";s:8:"8.x-2.25";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.25";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.25.tar.gz";s:4:"date";s:10:"1676999823";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.4 || ^10";s:5:"terms";a:0:{}s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}}s:11:"recommended";s:8:"8.x-2.25";s:6:"status";i:5;}s:12:"fontyourface";a:15:{s:4:"name";s:12:"fontyourface";s:4:"info";a:6:{s:4:"name";s:13:"@fontyourface";s:7:"package";s:15:"@font-your-face";s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:16:"_info_file_ctime";i:1681648219;}s:9:"datestamp";i:1614963173;s:8:"includes";a:2:{s:12:"fontyourface";s:13:"@fontyourface";s:16:"google_fonts_api";s:28:"@fontyourface - Google Fonts";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:7:"8.x-3.6";s:14:"existing_major";s:1:"3";s:12:"install_type";s:8:"official";s:5:"title";s:15:"@font-your-face";s:4:"link";s:43:"https://www.drupal.org/project/fontyourface";s:14:"latest_version";s:7:"8.x-3.6";s:8:"releases";a:1:{s:7:"8.x-3.6";a:13:{s:4:"name";s:20:"fontyourface 8.x-3.6";s:7:"version";s:7:"8.x-3.6";s:3:"tag";s:7:"8.x-3.6";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.6";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.6.tar.gz";s:4:"date";s:10:"1614963172";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:27:"Requires Drupal core: 9.5.7";}}s:11:"recommended";s:7:"8.x-3.6";s:6:"status";i:5;}s:17:"fullcalendar_view";a:15:{s:4:"name";s:17:"fullcalendar_view";s:4:"info";a:6:{s:4:"name";s:25:"Full Calendar View Plugin";s:7:"package";s:5:"Views";s:7:"version";s:6:"5.1.12";s:7:"project";s:17:"fullcalendar_view";s:9:"datestamp";i:1680506581;s:16:"_info_file_ctime";i:1681652120;}s:9:"datestamp";i:1680506581;s:8:"includes";a:1:{s:17:"fullcalendar_view";s:25:"Full Calendar View Plugin";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:6:"5.1.12";s:14:"existing_major";s:1:"5";s:12:"install_type";s:8:"official";s:5:"title";s:17:"Fullcalendar View";s:4:"link";s:48:"https://www.drupal.org/project/fullcalendar_view";s:14:"latest_version";s:6:"5.1.12";s:8:"releases";a:1:{s:6:"5.1.12";a:13:{s:4:"name";s:24:"fullcalendar_view 5.1.12";s:7:"version";s:6:"5.1.12";s:3:"tag";s:6:"5.1.12";s:6:"status";s:9:"published";s:12:"release_link";s:64:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.12";s:13:"download_link";s:69:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.12.tar.gz";s:4:"date";s:10:"1680506578";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:13:"^9.2.0 || ^10";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}}s:11:"recommended";s:6:"5.1.12";s:6:"status";i:5;}s:8:"juicerio";a:15:{s:4:"name";s:8:"juicerio";s:4:"info";a:6:{s:4:"name";s:37:"Juicer - Social Media Feed Aggregator";s:7:"version";s:5:"2.0.3";s:7:"project";s:8:"juicerio";s:9:"datestamp";i:1675604335;s:7:"package";s:5:"Other";s:16:"_info_file_ctime";i:1681648219;}s:9:"datestamp";i:1675604335;s:8:"includes";a:1:{s:8:"juicerio";s:37:"Juicer - Social Media Feed Aggregator";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:5:"2.0.3";s:14:"existing_major";s:1:"2";s:12:"install_type";s:8:"official";s:5:"title";s:37:"Juicer - Social Media Feed Aggregator";s:4:"link";s:39:"https://www.drupal.org/project/juicerio";s:14:"latest_version";s:5:"2.0.3";s:8:"releases";a:1:{s:5:"2.0.3";a:13:{s:4:"name";s:14:"juicerio 2.0.3";s:7:"version";s:5:"2.0.3";s:3:"tag";s:5:"2.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:54:"https://www.drupal.org/project/juicerio/releases/2.0.3";s:13:"download_link";s:59:"https://ftp.drupal.org/files/projects/juicerio-2.0.3.tar.gz";s:4:"date";s:10:"1675604333";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:15:"^8 || ^9 || ^10";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}}s:11:"recommended";s:5:"2.0.3";s:6:"status";i:5;}s:10:"paragraphs";a:15:{s:4:"name";s:10:"paragraphs";s:4:"info";a:6:{s:4:"name";s:10:"Paragraphs";s:7:"package";s:10:"Paragraphs";s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:16:"_info_file_ctime";i:1681652124;}s:9:"datestamp";i:1661440900;s:8:"includes";a:1:{s:10:"paragraphs";s:10:"Paragraphs";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:8:"8.x-1.15";s:14:"existing_major";s:1:"1";s:12:"install_type";s:8:"official";s:5:"title";s:10:"Paragraphs";s:4:"link";s:41:"https://www.drupal.org/project/paragraphs";s:14:"latest_version";s:8:"8.x-1.15";s:8:"releases";a:1:{s:8:"8.x-1.15";a:13:{s:4:"name";s:19:"paragraphs 8.x-1.15";s:7:"version";s:8:"8.x-1.15";s:3:"tag";s:8:"8.x-1.15";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/paragraphs/releases/8.x-1.15";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.15.tar.gz";s:4:"date";s:10:"1661440897";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.3 || ^10";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}}s:11:"recommended";s:8:"8.x-1.15";s:6:"status";i:5;}s:9:"superfish";a:15:{s:4:"name";s:9:"superfish";s:4:"info";a:6:{s:4:"name";s:9:"Superfish";s:7:"package";s:14:"User interface";s:7:"version";s:7:"8.x-1.4";s:7:"project";s:9:"superfish";s:9:"datestamp";i:1590438118;s:16:"_info_file_ctime";i:1681648219;}s:9:"datestamp";i:1590438118;s:8:"includes";a:1:{s:9:"superfish";s:9:"Superfish";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:7:"8.x-1.4";s:14:"existing_major";s:1:"1";s:12:"install_type";s:8:"official";s:5:"title";s:9:"Superfish";s:4:"link";s:40:"https://www.drupal.org/project/superfish";s:14:"latest_version";s:7:"8.x-1.4";s:8:"releases";a:1:{s:7:"8.x-1.4";a:13:{s:4:"name";s:17:"superfish 8.x-1.4";s:7:"version";s:7:"8.x-1.4";s:3:"tag";s:7:"8.x-1.4";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/superfish/releases/8.x-1.4";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/superfish-8.x-1.4.tar.gz";s:4:"date";s:10:"1590438116";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:27:"Requires Drupal core: 9.5.7";}}s:11:"recommended";s:7:"8.x-1.4";s:6:"status";i:5;}s:17:"video_embed_field";a:15:{s:4:"name";s:17:"video_embed_field";s:4:"info";a:6:{s:4:"name";s:17:"Video Embed Field";s:7:"package";s:17:"Video Embed Field";s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:16:"_info_file_ctime";i:1681652128;}s:9:"datestamp";i:1671413313;s:8:"includes";a:1:{s:17:"video_embed_field";s:17:"Video Embed Field";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:7:"8.x-2.5";s:14:"existing_major";s:1:"2";s:12:"install_type";s:8:"official";s:5:"title";s:17:"Video Embed Field";s:4:"link";s:48:"https://www.drupal.org/project/video_embed_field";s:14:"latest_version";s:7:"8.x-2.5";s:8:"releases";a:1:{s:7:"8.x-2.5";a:13:{s:4:"name";s:25:"video_embed_field 8.x-2.5";s:7:"version";s:7:"8.x-2.5";s:3:"tag";s:7:"8.x-2.5";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.5";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.5.tar.gz";s:4:"date";s:10:"1671413311";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.2 || ^10";s:5:"terms";a:0:{}s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}}s:11:"recommended";s:7:"8.x-2.5";s:6:"status";i:5;}s:7:"webform";a:15:{s:4:"name";s:7:"webform";s:4:"info";a:6:{s:4:"name";s:10:"Webform UI";s:7:"package";s:7:"Webform";s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:16:"_info_file_ctime";i:1681648234;}s:9:"datestamp";i:1673535473;s:8:"includes";a:2:{s:10:"webform_ui";s:10:"Webform UI";s:7:"webform";s:7:"Webform";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:16:"existing_version";s:5:"6.1.4";s:14:"existing_major";s:1:"6";s:12:"install_type";s:8:"official";s:5:"title";s:7:"Webform";s:4:"link";s:38:"https://www.drupal.org/project/webform";s:14:"latest_version";s:11:"6.2.0-beta5";s:8:"releases";a:2:{s:11:"6.2.0-beta5";a:13:{s:4:"name";s:19:"webform 6.2.0-beta5";s:7:"version";s:11:"6.2.0-beta5";s:3:"tag";s:11:"6.2.0-beta5";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.2.0-beta5";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.2.0-beta5.tar.gz";s:4:"date";s:10:"1673535773";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.4 || ^10";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:37:"Requires Drupal core: 9.5.7 to 10.0.7";}s:5:"6.1.4";a:13:{s:4:"name";s:13:"webform 6.1.4";s:7:"version";s:5:"6.1.4";s:3:"tag";s:5:"6.1.4";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.1.4";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.1.4.tar.gz";s:4:"date";s:10:"1673535467";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";s:15:"core_compatible";b:1;s:26:"core_compatibility_message";s:27:"Requires Drupal core: 9.5.7";}}s:11:"recommended";s:5:"6.1.4";s:6:"status";i:5;}}', 1681656983),
('update', 'update_project_projects', 'a:12:{s:6:"drupal";a:6:{s:4:"name";s:6:"drupal";s:4:"info";a:6:{s:4:"name";s:14:"Automated Cron";s:7:"package";s:4:"Core";s:7:"version";s:5:"9.5.7";s:7:"project";s:6:"drupal";s:16:"_info_file_ctime";i:1681649427;s:9:"datestamp";i:0;}s:9:"datestamp";i:0;s:8:"includes";a:43:{s:14:"automated_cron";s:14:"Automated Cron";s:5:"block";s:5:"Block";s:13:"block_content";s:12:"Custom Block";s:10:"breakpoint";s:10:"Breakpoint";s:8:"ckeditor";s:8:"CKEditor";s:5:"color";s:5:"Color";s:7:"comment";s:7:"Comment";s:6:"config";s:21:"Configuration Manager";s:7:"contact";s:7:"Contact";s:10:"contextual";s:16:"Contextual Links";s:8:"datetime";s:8:"Datetime";s:5:"dblog";s:16:"Database Logging";s:18:"dynamic_page_cache";s:27:"Internal Dynamic Page Cache";s:6:"editor";s:11:"Text Editor";s:5:"field";s:5:"Field";s:8:"field_ui";s:8:"Field UI";s:4:"file";s:4:"File";s:6:"filter";s:6:"Filter";s:4:"help";s:4:"Help";s:7:"history";s:7:"History";s:5:"image";s:5:"Image";s:4:"link";s:4:"Link";s:17:"menu_link_content";s:17:"Custom Menu Links";s:7:"menu_ui";s:7:"Menu UI";s:4:"node";s:4:"Node";s:7:"options";s:7:"Options";s:10:"page_cache";s:19:"Internal Page Cache";s:4:"path";s:4:"Path";s:10:"path_alias";s:10:"Path alias";s:9:"quickedit";s:10:"Quick Edit";s:3:"rdf";s:3:"RDF";s:6:"search";s:6:"Search";s:8:"shortcut";s:8:"Shortcut";s:10:"statistics";s:10:"Statistics";s:6:"system";s:6:"System";s:8:"taxonomy";s:8:"Taxonomy";s:4:"text";s:4:"Text";s:7:"toolbar";s:7:"Toolbar";s:4:"tour";s:4:"Tour";s:6:"update";s:14:"Update Manager";s:4:"user";s:4:"User";s:5:"views";s:5:"Views";s:8:"views_ui";s:8:"Views UI";}s:12:"project_type";s:4:"core";s:14:"project_status";b:1;}s:22:"better_exposed_filters";a:6:{s:4:"name";s:22:"better_exposed_filters";s:4:"info";a:6:{s:4:"name";s:22:"Better Exposed Filters";s:7:"package";s:5:"Views";s:7:"version";s:7:"8.x-5.2";s:7:"project";s:22:"better_exposed_filters";s:9:"datestamp";i:1657172289;s:16:"_info_file_ctime";i:1681648113;}s:9:"datestamp";i:1657172289;s:8:"includes";a:1:{s:22:"better_exposed_filters";s:22:"Better Exposed Filters";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:26:"entity_reference_revisions";a:6:{s:4:"name";s:26:"entity_reference_revisions";s:4:"info";a:6:{s:4:"name";s:26:"Entity Reference Revisions";s:7:"package";s:11:"Field types";s:7:"version";s:8:"8.x-1.10";s:7:"project";s:26:"entity_reference_revisions";s:9:"datestamp";i:1660664714;s:16:"_info_file_ctime";i:1681652117;}s:9:"datestamp";i:1660664714;s:8:"includes";a:1:{s:26:"entity_reference_revisions";s:26:"Entity Reference Revisions";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:11:"field_group";a:6:{s:4:"name";s:11:"field_group";s:4:"info";a:6:{s:4:"name";s:11:"Field Group";s:7:"package";s:6:"Fields";s:7:"version";s:7:"8.x-3.4";s:7:"project";s:11:"field_group";s:9:"datestamp";i:1667241980;s:16:"_info_file_ctime";i:1681652118;}s:9:"datestamp";i:1667241980;s:8:"includes";a:1:{s:11:"field_group";s:11:"Field Group";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:11:"fontawesome";a:6:{s:4:"name";s:11:"fontawesome";s:4:"info";a:6:{s:4:"name";s:12:"Font Awesome";s:7:"version";s:8:"8.x-2.25";s:7:"project";s:11:"fontawesome";s:9:"datestamp";i:1676999828;s:7:"package";s:5:"Other";s:16:"_info_file_ctime";i:1681652118;}s:9:"datestamp";i:1676999828;s:8:"includes";a:1:{s:11:"fontawesome";s:12:"Font Awesome";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:12:"fontyourface";a:6:{s:4:"name";s:12:"fontyourface";s:4:"info";a:6:{s:4:"name";s:13:"@fontyourface";s:7:"package";s:15:"@font-your-face";s:7:"version";s:7:"8.x-3.6";s:7:"project";s:12:"fontyourface";s:9:"datestamp";i:1614963173;s:16:"_info_file_ctime";i:1681648219;}s:9:"datestamp";i:1614963173;s:8:"includes";a:2:{s:12:"fontyourface";s:13:"@fontyourface";s:16:"google_fonts_api";s:28:"@fontyourface - Google Fonts";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:17:"fullcalendar_view";a:6:{s:4:"name";s:17:"fullcalendar_view";s:4:"info";a:6:{s:4:"name";s:25:"Full Calendar View Plugin";s:7:"package";s:5:"Views";s:7:"version";s:6:"5.1.12";s:7:"project";s:17:"fullcalendar_view";s:9:"datestamp";i:1680506581;s:16:"_info_file_ctime";i:1681652120;}s:9:"datestamp";i:1680506581;s:8:"includes";a:1:{s:17:"fullcalendar_view";s:25:"Full Calendar View Plugin";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:8:"juicerio";a:6:{s:4:"name";s:8:"juicerio";s:4:"info";a:6:{s:4:"name";s:37:"Juicer - Social Media Feed Aggregator";s:7:"version";s:5:"2.0.3";s:7:"project";s:8:"juicerio";s:9:"datestamp";i:1675604335;s:7:"package";s:5:"Other";s:16:"_info_file_ctime";i:1681648219;}s:9:"datestamp";i:1675604335;s:8:"includes";a:1:{s:8:"juicerio";s:37:"Juicer - Social Media Feed Aggregator";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:10:"paragraphs";a:6:{s:4:"name";s:10:"paragraphs";s:4:"info";a:6:{s:4:"name";s:10:"Paragraphs";s:7:"package";s:10:"Paragraphs";s:7:"version";s:8:"8.x-1.15";s:7:"project";s:10:"paragraphs";s:9:"datestamp";i:1661440900;s:16:"_info_file_ctime";i:1681652124;}s:9:"datestamp";i:1661440900;s:8:"includes";a:1:{s:10:"paragraphs";s:10:"Paragraphs";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:9:"superfish";a:6:{s:4:"name";s:9:"superfish";s:4:"info";a:6:{s:4:"name";s:9:"Superfish";s:7:"package";s:14:"User interface";s:7:"version";s:7:"8.x-1.4";s:7:"project";s:9:"superfish";s:9:"datestamp";i:1590438118;s:16:"_info_file_ctime";i:1681648219;}s:9:"datestamp";i:1590438118;s:8:"includes";a:1:{s:9:"superfish";s:9:"Superfish";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:17:"video_embed_field";a:6:{s:4:"name";s:17:"video_embed_field";s:4:"info";a:6:{s:4:"name";s:17:"Video Embed Field";s:7:"package";s:17:"Video Embed Field";s:7:"version";s:7:"8.x-2.5";s:7:"project";s:17:"video_embed_field";s:9:"datestamp";i:1671413313;s:16:"_info_file_ctime";i:1681652128;}s:9:"datestamp";i:1671413313;s:8:"includes";a:1:{s:17:"video_embed_field";s:17:"Video Embed Field";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}s:7:"webform";a:6:{s:4:"name";s:7:"webform";s:4:"info";a:6:{s:4:"name";s:10:"Webform UI";s:7:"package";s:7:"Webform";s:7:"version";s:5:"6.1.4";s:7:"project";s:7:"webform";s:9:"datestamp";i:1673535473;s:16:"_info_file_ctime";i:1681648234;}s:9:"datestamp";i:1673535473;s:8:"includes";a:2:{s:10:"webform_ui";s:10:"Webform UI";s:7:"webform";s:7:"Webform";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;}}', 1681656983),
('update_available_releases', 'better_exposed_filters', 'a:10:{s:5:"title";s:22:"Better Exposed Filters";s:10:"short_name";s:22:"better_exposed_filters";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:18:"6.0.,8.x-4.,8.x-5.";s:18:"composer_namespace";s:29:"drupal/better_exposed_filters";s:14:"project_status";s:9:"published";s:4:"link";s:53:"https://www.drupal.org/project/better_exposed_filters";s:5:"terms";s:0:"";s:8:"releases";a:26:{s:5:"6.0.3";a:11:{s:4:"name";s:28:"better_exposed_filters 6.0.3";s:7:"version";s:5:"6.0.3";s:3:"tag";s:5:"6.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:68:"https://www.drupal.org/project/better_exposed_filters/releases/6.0.3";s:13:"download_link";s:73:"https://ftp.drupal.org/files/projects/better_exposed_filters-6.0.3.tar.gz";s:4:"date";s:10:"1671541877";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:9:"^9 || ^10";}s:5:"6.0.2";a:11:{s:4:"name";s:28:"better_exposed_filters 6.0.2";s:7:"version";s:5:"6.0.2";s:3:"tag";s:5:"6.0.2";s:6:"status";s:9:"published";s:12:"release_link";s:68:"https://www.drupal.org/project/better_exposed_filters/releases/6.0.2";s:13:"download_link";s:73:"https://ftp.drupal.org/files/projects/better_exposed_filters-6.0.2.tar.gz";s:4:"date";s:10:"1666017720";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:9:"^9 || ^10";}s:5:"6.0.1";a:11:{s:4:"name";s:28:"better_exposed_filters 6.0.1";s:7:"version";s:5:"6.0.1";s:3:"tag";s:5:"6.0.1";s:6:"status";s:9:"published";s:12:"release_link";s:68:"https://www.drupal.org/project/better_exposed_filters/releases/6.0.1";s:13:"download_link";s:73:"https://ftp.drupal.org/files/projects/better_exposed_filters-6.0.1.tar.gz";s:4:"date";s:10:"1662993217";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:9:"^9 || ^10";}s:7:"8.x-5.2";a:11:{s:4:"name";s:30:"better_exposed_filters 8.x-5.2";s:7:"version";s:7:"8.x-5.2";s:3:"tag";s:7:"8.x-5.2";s:6:"status";s:9:"published";s:12:"release_link";s:70:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.2";s:13:"download_link";s:75:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.2.tar.gz";s:4:"date";s:10:"1657172286";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:7:"8.x-5.1";a:11:{s:4:"name";s:30:"better_exposed_filters 8.x-5.1";s:7:"version";s:7:"8.x-5.1";s:3:"tag";s:7:"8.x-5.1";s:6:"status";s:9:"published";s:12:"release_link";s:70:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.1";s:13:"download_link";s:75:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.1.tar.gz";s:4:"date";s:10:"1654277111";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:7:"8.x-5.0";a:11:{s:4:"name";s:30:"better_exposed_filters 8.x-5.0";s:7:"version";s:7:"8.x-5.0";s:3:"tag";s:7:"8.x-5.0";s:6:"status";s:9:"published";s:12:"release_link";s:70:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.0";s:13:"download_link";s:75:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.0.tar.gz";s:4:"date";s:10:"1634748723";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"8.x-5.0-beta3";a:11:{s:4:"name";s:36:"better_exposed_filters 8.x-5.0-beta3";s:7:"version";s:13:"8.x-5.0-beta3";s:3:"tag";s:13:"8.x-5.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:76:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.0-beta3";s:13:"download_link";s:81:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.0-beta3.tar.gz";s:4:"date";s:10:"1625665747";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"8.x-5.0-beta2";a:11:{s:4:"name";s:36:"better_exposed_filters 8.x-5.0-beta2";s:7:"version";s:13:"8.x-5.0-beta2";s:3:"tag";s:13:"8.x-5.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:76:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.0-beta2";s:13:"download_link";s:81:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.0-beta2.tar.gz";s:4:"date";s:10:"1624554647";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"8.x-5.0-beta1";a:11:{s:4:"name";s:36:"better_exposed_filters 8.x-5.0-beta1";s:7:"version";s:13:"8.x-5.0-beta1";s:3:"tag";s:13:"8.x-5.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:76:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.0-beta1";s:13:"download_link";s:81:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.0-beta1.tar.gz";s:4:"date";s:10:"1594141892";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:7:"8.x-4.1";a:11:{s:4:"name";s:30:"better_exposed_filters 8.x-4.1";s:7:"version";s:7:"8.x-4.1";s:3:"tag";s:7:"8.x-4.1";s:6:"status";s:9:"published";s:12:"release_link";s:70:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.1";s:13:"download_link";s:75:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.1.tar.gz";s:4:"date";s:10:"1654277347";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:2:"^8";}s:7:"8.x-4.0";a:11:{s:4:"name";s:30:"better_exposed_filters 8.x-4.0";s:7:"version";s:7:"8.x-4.0";s:3:"tag";s:7:"8.x-4.0";s:6:"status";s:9:"published";s:12:"release_link";s:70:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.0";s:13:"download_link";s:75:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.0.tar.gz";s:4:"date";s:10:"1634748844";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:2:"^8";}s:13:"8.x-4.0-beta4";a:11:{s:4:"name";s:36:"better_exposed_filters 8.x-4.0-beta4";s:7:"version";s:13:"8.x-4.0-beta4";s:3:"tag";s:13:"8.x-4.0-beta4";s:6:"status";s:9:"published";s:12:"release_link";s:76:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.0-beta4";s:13:"download_link";s:81:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.0-beta4.tar.gz";s:4:"date";s:10:"1625666046";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:2:"^8";}s:13:"8.x-4.0-beta3";a:11:{s:4:"name";s:36:"better_exposed_filters 8.x-4.0-beta3";s:7:"version";s:13:"8.x-4.0-beta3";s:3:"tag";s:13:"8.x-4.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:76:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.0-beta3";s:13:"download_link";s:81:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.0-beta3.tar.gz";s:4:"date";s:10:"1624553721";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:2:"^8";}s:13:"8.x-4.0-beta2";a:11:{s:4:"name";s:36:"better_exposed_filters 8.x-4.0-beta2";s:7:"version";s:13:"8.x-4.0-beta2";s:3:"tag";s:13:"8.x-4.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:76:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.0-beta2";s:13:"download_link";s:81:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.0-beta2.tar.gz";s:4:"date";s:10:"1594138017";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:2:"^8";}s:13:"8.x-4.0-beta1";a:11:{s:4:"name";s:36:"better_exposed_filters 8.x-4.0-beta1";s:7:"version";s:13:"8.x-4.0-beta1";s:3:"tag";s:13:"8.x-4.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:76:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.0-beta1";s:13:"download_link";s:81:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.0-beta1.tar.gz";s:4:"date";s:10:"1587154928";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";}s:14:"8.x-4.0-alpha1";a:11:{s:4:"name";s:37:"better_exposed_filters 8.x-4.0-alpha1";s:7:"version";s:14:"8.x-4.0-alpha1";s:3:"tag";s:14:"8.x-4.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:77:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.0-alpha1";s:13:"download_link";s:82:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.0-alpha1.tar.gz";s:4:"date";s:10:"1572828784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";}s:14:"8.x-3.0-alpha6";a:11:{s:4:"name";s:37:"better_exposed_filters 8.x-3.0-alpha6";s:7:"version";s:14:"8.x-3.0-alpha6";s:3:"tag";s:14:"8.x-3.0-alpha6";s:6:"status";s:9:"published";s:12:"release_link";s:77:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-3.0-alpha6";s:13:"download_link";s:82:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-3.0-alpha6.tar.gz";s:4:"date";s:10:"1550449381";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha5";a:11:{s:4:"name";s:37:"better_exposed_filters 8.x-3.0-alpha5";s:7:"version";s:14:"8.x-3.0-alpha5";s:3:"tag";s:14:"8.x-3.0-alpha5";s:6:"status";s:9:"published";s:12:"release_link";s:77:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-3.0-alpha5";s:13:"download_link";s:82:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-3.0-alpha5.tar.gz";s:4:"date";s:10:"1540513084";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha4";a:11:{s:4:"name";s:37:"better_exposed_filters 8.x-3.0-alpha4";s:7:"version";s:14:"8.x-3.0-alpha4";s:3:"tag";s:14:"8.x-3.0-alpha4";s:6:"status";s:9:"published";s:12:"release_link";s:77:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-3.0-alpha4";s:13:"download_link";s:82:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-3.0-alpha4.tar.gz";s:4:"date";s:10:"1525044484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha3";a:11:{s:4:"name";s:37:"better_exposed_filters 8.x-3.0-alpha3";s:7:"version";s:14:"8.x-3.0-alpha3";s:3:"tag";s:14:"8.x-3.0-alpha3";s:6:"status";s:9:"published";s:12:"release_link";s:77:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-3.0-alpha3";s:13:"download_link";s:82:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-3.0-alpha3.tar.gz";s:4:"date";s:10:"1501274342";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha2";a:11:{s:4:"name";s:37:"better_exposed_filters 8.x-3.0-alpha2";s:7:"version";s:14:"8.x-3.0-alpha2";s:3:"tag";s:14:"8.x-3.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:77:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-3.0-alpha2";s:13:"download_link";s:82:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-3.0-alpha2.tar.gz";s:4:"date";s:10:"1484626084";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha1";a:11:{s:4:"name";s:37:"better_exposed_filters 8.x-3.0-alpha1";s:7:"version";s:14:"8.x-3.0-alpha1";s:3:"tag";s:14:"8.x-3.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:77:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-3.0-alpha1";s:13:"download_link";s:82:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-3.0-alpha1.tar.gz";s:4:"date";s:10:"1466481839";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:9:"6.0.x-dev";a:11:{s:4:"name";s:32:"better_exposed_filters 6.0.x-dev";s:7:"version";s:9:"6.0.x-dev";s:3:"tag";s:5:"6.0.x";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/better_exposed_filters/releases/6.0.x-dev";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/better_exposed_filters-6.0.x-dev.tar.gz";s:4:"date";s:10:"1671541817";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:9:"^9 || ^10";}s:11:"8.x-5.x-dev";a:11:{s:4:"name";s:34:"better_exposed_filters 8.x-5.x-dev";s:7:"version";s:11:"8.x-5.x-dev";s:3:"tag";s:7:"8.x-5.x";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-5.x-dev";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-5.x-dev.tar.gz";s:4:"date";s:10:"1662992742";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:9:"^9 || ^10";s:5:"terms";a:0:{}}s:11:"8.x-4.x-dev";a:11:{s:4:"name";s:34:"better_exposed_filters 8.x-4.x-dev";s:7:"version";s:11:"8.x-4.x-dev";s:3:"tag";s:7:"8.x-4.x";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-4.x-dev";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-4.x-dev.tar.gz";s:4:"date";s:10:"1657348596";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:2:"^8";s:5:"terms";a:0:{}}s:11:"8.x-3.x-dev";a:11:{s:4:"name";s:34:"better_exposed_filters 8.x-3.x-dev";s:7:"version";s:11:"8.x-3.x-dev";s:3:"tag";s:7:"8.x-3.x";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/better_exposed_filters/releases/8.x-3.x-dev";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/better_exposed_filters-8.x-3.x-dev.tar.gz";s:4:"date";s:10:"1600190760";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681648148;}', 1681734548),
('update_available_releases', 'drupal', 'a:9:{s:5:"title";s:11:"Drupal core";s:10:"short_name";s:6:"drupal";s:4:"type";s:12:"project_core";s:18:"supported_branches";s:21:"10.0.,10.1.,9.4.,9.5.";s:14:"project_status";s:9:"published";s:4:"link";s:37:"https://www.drupal.org/project/drupal";s:5:"terms";s:0:"";s:8:"releases";a:363:{s:6:"10.0.7";a:10:{s:4:"name";s:13:"drupal 10.0.7";s:7:"version";s:6:"10.0.7";s:3:"tag";s:6:"10.0.7";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.7";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.7.tar.gz";s:4:"date";s:10:"1679678060";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"10.0.6";a:10:{s:4:"name";s:13:"drupal 10.0.6";s:7:"version";s:6:"10.0.6";s:3:"tag";s:6:"10.0.6";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.6";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.6.tar.gz";s:4:"date";s:10:"1679664982";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"10.0.5";a:10:{s:4:"name";s:13:"drupal 10.0.5";s:7:"version";s:6:"10.0.5";s:3:"tag";s:6:"10.0.5";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.5";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.5.tar.gz";s:4:"date";s:10:"1678901067";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"10.0.4";a:10:{s:4:"name";s:13:"drupal 10.0.4";s:7:"version";s:6:"10.0.4";s:3:"tag";s:6:"10.0.4";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.4";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.4.tar.gz";s:4:"date";s:10:"1677681486";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"10.0.3";a:10:{s:4:"name";s:13:"drupal 10.0.3";s:7:"version";s:6:"10.0.3";s:3:"tag";s:6:"10.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.3";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.3.tar.gz";s:4:"date";s:10:"1675276709";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"10.0.2";a:10:{s:4:"name";s:13:"drupal 10.0.2";s:7:"version";s:6:"10.0.2";s:3:"tag";s:6:"10.0.2";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.2";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.2.tar.gz";s:4:"date";s:10:"1674065542";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"10.0.1";a:10:{s:4:"name";s:13:"drupal 10.0.1";s:7:"version";s:6:"10.0.1";s:3:"tag";s:6:"10.0.1";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.1";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.1.tar.gz";s:4:"date";s:10:"1672847780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"10.0.0";a:10:{s:4:"name";s:13:"drupal 10.0.0";s:7:"version";s:6:"10.0.0";s:3:"tag";s:6:"10.0.0";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/10.0.0";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-10.0.0.tar.gz";s:4:"date";s:10:"1671125939";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:10:"10.0.0-rc3";a:10:{s:4:"name";s:17:"drupal 10.0.0-rc3";s:7:"version";s:10:"10.0.0-rc3";s:3:"tag";s:10:"10.0.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/10.0.0-rc3";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-10.0.0-rc3.tar.gz";s:4:"date";s:10:"1670591784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:10:"10.0.0-rc2";a:10:{s:4:"name";s:17:"drupal 10.0.0-rc2";s:7:"version";s:10:"10.0.0-rc2";s:3:"tag";s:10:"10.0.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/10.0.0-rc2";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-10.0.0-rc2.tar.gz";s:4:"date";s:10:"1670320927";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:10:"10.0.0-rc1";a:10:{s:4:"name";s:17:"drupal 10.0.0-rc1";s:7:"version";s:10:"10.0.0-rc1";s:3:"tag";s:10:"10.0.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/10.0.0-rc1";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-10.0.0-rc1.tar.gz";s:4:"date";s:10:"1668612993";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:12:"10.0.0-beta2";a:10:{s:4:"name";s:19:"drupal 10.0.0-beta2";s:7:"version";s:12:"10.0.0-beta2";s:3:"tag";s:12:"10.0.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/10.0.0-beta2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-10.0.0-beta2.tar.gz";s:4:"date";s:10:"1664462663";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"10.0.0-beta1";a:10:{s:4:"name";s:19:"drupal 10.0.0-beta1";s:7:"version";s:12:"10.0.0-beta1";s:3:"tag";s:12:"10.0.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/10.0.0-beta1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-10.0.0-beta1.tar.gz";s:4:"date";s:10:"1663358020";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:13:"10.0.0-alpha7";a:10:{s:4:"name";s:20:"drupal 10.0.0-alpha7";s:7:"version";s:13:"10.0.0-alpha7";s:3:"tag";s:13:"10.0.0-alpha7";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/10.0.0-alpha7";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha7.tar.gz";s:4:"date";s:10:"1659633851";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:13:"10.0.0-alpha6";a:10:{s:4:"name";s:20:"drupal 10.0.0-alpha6";s:7:"version";s:13:"10.0.0-alpha6";s:3:"tag";s:13:"10.0.0-alpha6";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/10.0.0-alpha6";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha6.tar.gz";s:4:"date";s:10:"1657218740";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:13:"10.0.0-alpha5";a:10:{s:4:"name";s:20:"drupal 10.0.0-alpha5";s:7:"version";s:13:"10.0.0-alpha5";s:3:"tag";s:13:"10.0.0-alpha5";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/10.0.0-alpha5";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha5.tar.gz";s:4:"date";s:10:"1654722993";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:13:"10.0.0-alpha4";a:10:{s:4:"name";s:20:"drupal 10.0.0-alpha4";s:7:"version";s:13:"10.0.0-alpha4";s:3:"tag";s:13:"10.0.0-alpha4";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/10.0.0-alpha4";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha4.tar.gz";s:4:"date";s:10:"1651875601";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:13:"10.0.0-alpha3";a:10:{s:4:"name";s:20:"drupal 10.0.0-alpha3";s:7:"version";s:13:"10.0.0-alpha3";s:3:"tag";s:13:"10.0.0-alpha3";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/10.0.0-alpha3";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha3.tar.gz";s:4:"date";s:10:"1649887793";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:13:"10.0.0-alpha2";a:10:{s:4:"name";s:20:"drupal 10.0.0-alpha2";s:7:"version";s:13:"10.0.0-alpha2";s:3:"tag";s:13:"10.0.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/10.0.0-alpha2";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha2.tar.gz";s:4:"date";s:10:"1645204305";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:13:"10.0.0-alpha1";a:10:{s:4:"name";s:20:"drupal 10.0.0-alpha1";s:7:"version";s:13:"10.0.0-alpha1";s:3:"tag";s:13:"10.0.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/10.0.0-alpha1";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-10.0.0-alpha1.tar.gz";s:4:"date";s:10:"1643404041";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:5:"9.5.7";a:10:{s:4:"name";s:12:"drupal 9.5.7";s:7:"version";s:5:"9.5.7";s:3:"tag";s:5:"9.5.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.7.tar.gz";s:4:"date";s:10:"1679677448";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.6";a:10:{s:4:"name";s:12:"drupal 9.5.6";s:7:"version";s:5:"9.5.6";s:3:"tag";s:5:"9.5.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.6.tar.gz";s:4:"date";s:10:"1679664389";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.5";a:10:{s:4:"name";s:12:"drupal 9.5.5";s:7:"version";s:5:"9.5.5";s:3:"tag";s:5:"9.5.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.5.tar.gz";s:4:"date";s:10:"1678902101";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.4";a:10:{s:4:"name";s:12:"drupal 9.5.4";s:7:"version";s:5:"9.5.4";s:3:"tag";s:5:"9.5.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.4.tar.gz";s:4:"date";s:10:"1677680813";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.3";a:10:{s:4:"name";s:12:"drupal 9.5.3";s:7:"version";s:5:"9.5.3";s:3:"tag";s:5:"9.5.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.3.tar.gz";s:4:"date";s:10:"1675281829";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.2";a:10:{s:4:"name";s:12:"drupal 9.5.2";s:7:"version";s:5:"9.5.2";s:3:"tag";s:5:"9.5.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.2.tar.gz";s:4:"date";s:10:"1674066112";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.1";a:10:{s:4:"name";s:12:"drupal 9.5.1";s:7:"version";s:5:"9.5.1";s:3:"tag";s:5:"9.5.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.1.tar.gz";s:4:"date";s:10:"1672849046";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.5.0";a:10:{s:4:"name";s:12:"drupal 9.5.0";s:7:"version";s:5:"9.5.0";s:3:"tag";s:5:"9.5.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.5.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.5.0.tar.gz";s:4:"date";s:10:"1671115839";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"9.5.0-rc2";a:10:{s:4:"name";s:16:"drupal 9.5.0-rc2";s:7:"version";s:9:"9.5.0-rc2";s:3:"tag";s:9:"9.5.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.5.0-rc2";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.5.0-rc2.tar.gz";s:4:"date";s:10:"1670593040";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"9.5.0-rc1";a:10:{s:4:"name";s:16:"drupal 9.5.0-rc1";s:7:"version";s:9:"9.5.0-rc1";s:3:"tag";s:9:"9.5.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.5.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.5.0-rc1.tar.gz";s:4:"date";s:10:"1668611189";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"9.5.0-beta2";a:10:{s:4:"name";s:18:"drupal 9.5.0-beta2";s:7:"version";s:11:"9.5.0-beta2";s:3:"tag";s:11:"9.5.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.5.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.5.0-beta2.tar.gz";s:4:"date";s:10:"1664463958";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"9.5.0-beta1";a:10:{s:4:"name";s:18:"drupal 9.5.0-beta1";s:7:"version";s:11:"9.5.0-beta1";s:3:"tag";s:11:"9.5.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.5.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.5.0-beta1.tar.gz";s:4:"date";s:10:"1663358587";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:6:"9.4.13";a:10:{s:4:"name";s:13:"drupal 9.4.13";s:7:"version";s:6:"9.4.13";s:3:"tag";s:6:"9.4.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.4.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.4.13.tar.gz";s:4:"date";s:10:"1679665413";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.4.12";a:10:{s:4:"name";s:13:"drupal 9.4.12";s:7:"version";s:6:"9.4.12";s:3:"tag";s:6:"9.4.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.4.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.4.12.tar.gz";s:4:"date";s:10:"1678901516";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.4.11";a:10:{s:4:"name";s:13:"drupal 9.4.11";s:7:"version";s:6:"9.4.11";s:3:"tag";s:6:"9.4.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.4.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.4.11.tar.gz";s:4:"date";s:10:"1675282255";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.4.10";a:10:{s:4:"name";s:13:"drupal 9.4.10";s:7:"version";s:6:"9.4.10";s:3:"tag";s:6:"9.4.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.4.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.4.10.tar.gz";s:4:"date";s:10:"1674066615";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.9";a:10:{s:4:"name";s:12:"drupal 9.4.9";s:7:"version";s:5:"9.4.9";s:3:"tag";s:5:"9.4.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.9.tar.gz";s:4:"date";s:10:"1670421053";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.8";a:10:{s:4:"name";s:12:"drupal 9.4.8";s:7:"version";s:5:"9.4.8";s:3:"tag";s:5:"9.4.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.8.tar.gz";s:4:"date";s:10:"1665072393";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.7";a:10:{s:4:"name";s:12:"drupal 9.4.7";s:7:"version";s:5:"9.4.7";s:3:"tag";s:5:"9.4.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.7.tar.gz";s:4:"date";s:10:"1664383239";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.6";a:10:{s:4:"name";s:12:"drupal 9.4.6";s:7:"version";s:5:"9.4.6";s:3:"tag";s:5:"9.4.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.6.tar.gz";s:4:"date";s:10:"1663681319";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.5";a:10:{s:4:"name";s:12:"drupal 9.4.5";s:7:"version";s:5:"9.4.5";s:3:"tag";s:5:"9.4.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.5.tar.gz";s:4:"date";s:10:"1659545453";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.4";a:10:{s:4:"name";s:12:"drupal 9.4.4";s:7:"version";s:5:"9.4.4";s:3:"tag";s:5:"9.4.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.4.tar.gz";s:4:"date";s:10:"1659037490";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.3";a:10:{s:4:"name";s:12:"drupal 9.4.3";s:7:"version";s:5:"9.4.3";s:3:"tag";s:5:"9.4.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.3.tar.gz";s:4:"date";s:10:"1658333415";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.2";a:10:{s:4:"name";s:12:"drupal 9.4.2";s:7:"version";s:5:"9.4.2";s:3:"tag";s:5:"9.4.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.2.tar.gz";s:4:"date";s:10:"1657157309";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.1";a:10:{s:4:"name";s:12:"drupal 9.4.1";s:7:"version";s:5:"9.4.1";s:3:"tag";s:5:"9.4.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.1.tar.gz";s:4:"date";s:10:"1655845511";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.4.0";a:10:{s:4:"name";s:12:"drupal 9.4.0";s:7:"version";s:5:"9.4.0";s:3:"tag";s:5:"9.4.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.4.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.4.0.tar.gz";s:4:"date";s:10:"1655311138";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"9.4.0-rc2";a:10:{s:4:"name";s:16:"drupal 9.4.0-rc2";s:7:"version";s:9:"9.4.0-rc2";s:3:"tag";s:9:"9.4.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.4.0-rc2";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.4.0-rc2.tar.gz";s:4:"date";s:10:"1654890055";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"9.4.0-rc1";a:10:{s:4:"name";s:16:"drupal 9.4.0-rc1";s:7:"version";s:9:"9.4.0-rc1";s:3:"tag";s:9:"9.4.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.4.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.4.0-rc1.tar.gz";s:4:"date";s:10:"1654740019";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"9.4.0-beta1";a:10:{s:4:"name";s:18:"drupal 9.4.0-beta1";s:7:"version";s:11:"9.4.0-beta1";s:3:"tag";s:11:"9.4.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.4.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.4.0-beta1.tar.gz";s:4:"date";s:10:"1653938214";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"9.4.0-alpha1";a:10:{s:4:"name";s:19:"drupal 9.4.0-alpha1";s:7:"version";s:12:"9.4.0-alpha1";s:3:"tag";s:12:"9.4.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/9.4.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-9.4.0-alpha1.tar.gz";s:4:"date";s:10:"1651875606";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"9.3.22";a:10:{s:4:"name";s:13:"drupal 9.3.22";s:7:"version";s:6:"9.3.22";s:3:"tag";s:6:"9.3.22";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.22";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.22.tar.gz";s:4:"date";s:10:"1664382666";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.21";a:10:{s:4:"name";s:13:"drupal 9.3.21";s:7:"version";s:6:"9.3.21";s:3:"tag";s:6:"9.3.21";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.21";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.21.tar.gz";s:4:"date";s:10:"1659544886";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.20";a:10:{s:4:"name";s:13:"drupal 9.3.20";s:7:"version";s:6:"9.3.20";s:3:"tag";s:6:"9.3.20";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.20";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.20.tar.gz";s:4:"date";s:10:"1659037977";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.19";a:10:{s:4:"name";s:13:"drupal 9.3.19";s:7:"version";s:6:"9.3.19";s:3:"tag";s:6:"9.3.19";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.19";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.19.tar.gz";s:4:"date";s:10:"1658333887";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.18";a:10:{s:4:"name";s:13:"drupal 9.3.18";s:7:"version";s:6:"9.3.18";s:3:"tag";s:6:"9.3.18";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.18";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.18.tar.gz";s:4:"date";s:10:"1657238772";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.17";a:10:{s:4:"name";s:13:"drupal 9.3.17";s:7:"version";s:6:"9.3.17";s:3:"tag";s:6:"9.3.17";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.17";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.17.tar.gz";s:4:"date";s:10:"1655846622";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.16";a:10:{s:4:"name";s:13:"drupal 9.3.16";s:7:"version";s:6:"9.3.16";s:3:"tag";s:6:"9.3.16";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.16";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.16.tar.gz";s:4:"date";s:10:"1654888736";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.15";a:10:{s:4:"name";s:13:"drupal 9.3.15";s:7:"version";s:6:"9.3.15";s:3:"tag";s:6:"9.3.15";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.15";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.15.tar.gz";s:4:"date";s:10:"1654098765";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.14";a:10:{s:4:"name";s:13:"drupal 9.3.14";s:7:"version";s:6:"9.3.14";s:3:"tag";s:6:"9.3.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.14.tar.gz";s:4:"date";s:10:"1653506291";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.13";a:10:{s:4:"name";s:13:"drupal 9.3.13";s:7:"version";s:6:"9.3.13";s:3:"tag";s:6:"9.3.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.13.tar.gz";s:4:"date";s:10:"1652261874";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.12";a:10:{s:4:"name";s:13:"drupal 9.3.12";s:7:"version";s:6:"9.3.12";s:3:"tag";s:6:"9.3.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.12.tar.gz";s:4:"date";s:10:"1650467536";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.11";a:10:{s:4:"name";s:13:"drupal 9.3.11";s:7:"version";s:6:"9.3.11";s:3:"tag";s:6:"9.3.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.11.tar.gz";s:4:"date";s:10:"1649897391";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.3.10";a:10:{s:4:"name";s:13:"drupal 9.3.10";s:7:"version";s:6:"9.3.10";s:3:"tag";s:6:"9.3.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.3.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.3.10.tar.gz";s:4:"date";s:10:"1649890098";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.9";a:10:{s:4:"name";s:12:"drupal 9.3.9";s:7:"version";s:5:"9.3.9";s:3:"tag";s:5:"9.3.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.9.tar.gz";s:4:"date";s:10:"1647899360";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.8";a:10:{s:4:"name";s:12:"drupal 9.3.8";s:7:"version";s:5:"9.3.8";s:3:"tag";s:5:"9.3.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.8.tar.gz";s:4:"date";s:10:"1647446914";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.7";a:10:{s:4:"name";s:12:"drupal 9.3.7";s:7:"version";s:5:"9.3.7";s:3:"tag";s:5:"9.3.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.7.tar.gz";s:4:"date";s:10:"1646300599";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.6";a:10:{s:4:"name";s:12:"drupal 9.3.6";s:7:"version";s:5:"9.3.6";s:3:"tag";s:5:"9.3.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.6.tar.gz";s:4:"date";s:10:"1645029460";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.5";a:10:{s:4:"name";s:12:"drupal 9.3.5";s:7:"version";s:5:"9.3.5";s:3:"tag";s:5:"9.3.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.5.tar.gz";s:4:"date";s:10:"1644011676";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.4";a:10:{s:4:"name";s:12:"drupal 9.3.4";s:7:"version";s:5:"9.3.4";s:3:"tag";s:5:"9.3.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.4.tar.gz";s:4:"date";s:10:"1643832805";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.3";a:10:{s:4:"name";s:12:"drupal 9.3.3";s:7:"version";s:5:"9.3.3";s:3:"tag";s:5:"9.3.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.3.tar.gz";s:4:"date";s:10:"1642607769";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.2";a:10:{s:4:"name";s:12:"drupal 9.3.2";s:7:"version";s:5:"9.3.2";s:3:"tag";s:5:"9.3.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.2.tar.gz";s:4:"date";s:10:"1641351799";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.1";a:10:{s:4:"name";s:12:"drupal 9.3.1";s:7:"version";s:5:"9.3.1";s:3:"tag";s:5:"9.3.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.1.tar.gz";s:4:"date";s:10:"1641342679";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.3.0";a:10:{s:4:"name";s:12:"drupal 9.3.0";s:7:"version";s:5:"9.3.0";s:3:"tag";s:5:"9.3.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.3.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.3.0.tar.gz";s:4:"date";s:10:"1639051276";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"9.3.0-rc1";a:10:{s:4:"name";s:16:"drupal 9.3.0-rc1";s:7:"version";s:9:"9.3.0-rc1";s:3:"tag";s:9:"9.3.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.3.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.3.0-rc1.tar.gz";s:4:"date";s:10:"1637959424";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"9.3.0-beta3";a:10:{s:4:"name";s:18:"drupal 9.3.0-beta3";s:7:"version";s:11:"9.3.0-beta3";s:3:"tag";s:11:"9.3.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.3.0-beta3";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta3.tar.gz";s:4:"date";s:10:"1637764182";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"9.3.0-beta2";a:10:{s:4:"name";s:18:"drupal 9.3.0-beta2";s:7:"version";s:11:"9.3.0-beta2";s:3:"tag";s:11:"9.3.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.3.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta2.tar.gz";s:4:"date";s:10:"1637196496";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"9.3.0-beta1";a:10:{s:4:"name";s:18:"drupal 9.3.0-beta1";s:7:"version";s:11:"9.3.0-beta1";s:3:"tag";s:11:"9.3.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.3.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta1.tar.gz";s:4:"date";s:10:"1636746050";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"9.3.0-alpha1";a:10:{s:4:"name";s:19:"drupal 9.3.0-alpha1";s:7:"version";s:12:"9.3.0-alpha1";s:3:"tag";s:12:"9.3.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/9.3.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-9.3.0-alpha1.tar.gz";s:4:"date";s:10:"1635510285";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"9.2.21";a:10:{s:4:"name";s:13:"drupal 9.2.21";s:7:"version";s:6:"9.2.21";s:3:"tag";s:6:"9.2.21";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.21";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.21.tar.gz";s:4:"date";s:10:"1654889475";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.20";a:10:{s:4:"name";s:13:"drupal 9.2.20";s:7:"version";s:6:"9.2.20";s:3:"tag";s:6:"9.2.20";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.20";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.20.tar.gz";s:4:"date";s:10:"1653507225";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.19";a:10:{s:4:"name";s:13:"drupal 9.2.19";s:7:"version";s:6:"9.2.19";s:3:"tag";s:6:"9.2.19";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.19";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.19.tar.gz";s:4:"date";s:10:"1652306637";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.18";a:10:{s:4:"name";s:13:"drupal 9.2.18";s:7:"version";s:6:"9.2.18";s:3:"tag";s:6:"9.2.18";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.18";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.18.tar.gz";s:4:"date";s:10:"1650466972";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.17";a:10:{s:4:"name";s:13:"drupal 9.2.17";s:7:"version";s:6:"9.2.17";s:3:"tag";s:6:"9.2.17";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.17";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.17.tar.gz";s:4:"date";s:10:"1649898006";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.16";a:10:{s:4:"name";s:13:"drupal 9.2.16";s:7:"version";s:6:"9.2.16";s:3:"tag";s:6:"9.2.16";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.16";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.16.tar.gz";s:4:"date";s:10:"1647898826";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.15";a:10:{s:4:"name";s:13:"drupal 9.2.15";s:7:"version";s:6:"9.2.15";s:3:"tag";s:6:"9.2.15";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.15";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.15.tar.gz";s:4:"date";s:10:"1647447411";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.14";a:10:{s:4:"name";s:13:"drupal 9.2.14";s:7:"version";s:6:"9.2.14";s:3:"tag";s:6:"9.2.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.14.tar.gz";s:4:"date";s:10:"1647027629";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.13";a:10:{s:4:"name";s:13:"drupal 9.2.13";s:7:"version";s:6:"9.2.13";s:3:"tag";s:6:"9.2.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.13.tar.gz";s:4:"date";s:10:"1645029955";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.12";a:10:{s:4:"name";s:13:"drupal 9.2.12";s:7:"version";s:6:"9.2.12";s:3:"tag";s:6:"9.2.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.12.tar.gz";s:4:"date";s:10:"1644012448";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.11";a:10:{s:4:"name";s:13:"drupal 9.2.11";s:7:"version";s:6:"9.2.11";s:3:"tag";s:6:"9.2.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.11.tar.gz";s:4:"date";s:10:"1642608353";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.2.10";a:10:{s:4:"name";s:13:"drupal 9.2.10";s:7:"version";s:6:"9.2.10";s:3:"tag";s:6:"9.2.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.2.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.2.10.tar.gz";s:4:"date";s:10:"1637765544";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.9";a:10:{s:4:"name";s:12:"drupal 9.2.9";s:7:"version";s:5:"9.2.9";s:3:"tag";s:5:"9.2.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.9.tar.gz";s:4:"date";s:10:"1637184936";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.8";a:10:{s:4:"name";s:12:"drupal 9.2.8";s:7:"version";s:5:"9.2.8";s:3:"tag";s:5:"9.2.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.8.tar.gz";s:4:"date";s:10:"1635961216";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.7";a:10:{s:4:"name";s:12:"drupal 9.2.7";s:7:"version";s:5:"9.2.7";s:3:"tag";s:5:"9.2.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.7.tar.gz";s:4:"date";s:10:"1633544267";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.6";a:10:{s:4:"name";s:12:"drupal 9.2.6";s:7:"version";s:5:"9.2.6";s:3:"tag";s:5:"9.2.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.6.tar.gz";s:4:"date";s:10:"1631721555";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.5";a:10:{s:4:"name";s:12:"drupal 9.2.5";s:7:"version";s:5:"9.2.5";s:3:"tag";s:5:"9.2.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.5.tar.gz";s:4:"date";s:10:"1630534729";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.4";a:10:{s:4:"name";s:12:"drupal 9.2.4";s:7:"version";s:5:"9.2.4";s:3:"tag";s:5:"9.2.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.4.tar.gz";s:4:"date";s:10:"1628791178";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.3";a:10:{s:4:"name";s:12:"drupal 9.2.3";s:7:"version";s:5:"9.2.3";s:3:"tag";s:5:"9.2.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.3.tar.gz";s:4:"date";s:10:"1627997922";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.2";a:10:{s:4:"name";s:12:"drupal 9.2.2";s:7:"version";s:5:"9.2.2";s:3:"tag";s:5:"9.2.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.2.tar.gz";s:4:"date";s:10:"1626882385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.1";a:10:{s:4:"name";s:12:"drupal 9.2.1";s:7:"version";s:5:"9.2.1";s:3:"tag";s:5:"9.2.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.1.tar.gz";s:4:"date";s:10:"1625664286";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.2.0";a:10:{s:4:"name";s:12:"drupal 9.2.0";s:7:"version";s:5:"9.2.0";s:3:"tag";s:5:"9.2.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.2.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.2.0.tar.gz";s:4:"date";s:10:"1623847798";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"9.2.0-rc1";a:10:{s:4:"name";s:16:"drupal 9.2.0-rc1";s:7:"version";s:9:"9.2.0-rc1";s:3:"tag";s:9:"9.2.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.2.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.2.0-rc1.tar.gz";s:4:"date";s:10:"1623080867";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"9.2.0-beta3";a:10:{s:4:"name";s:18:"drupal 9.2.0-beta3";s:7:"version";s:11:"9.2.0-beta3";s:3:"tag";s:11:"9.2.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.2.0-beta3";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta3.tar.gz";s:4:"date";s:10:"1622207568";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"9.2.0-beta2";a:10:{s:4:"name";s:18:"drupal 9.2.0-beta2";s:7:"version";s:11:"9.2.0-beta2";s:3:"tag";s:11:"9.2.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.2.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta2.tar.gz";s:4:"date";s:10:"1622068611";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:4:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:12:"New features";i:3;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"9.2.0-beta1";a:10:{s:4:"name";s:18:"drupal 9.2.0-beta1";s:7:"version";s:11:"9.2.0-beta1";s:3:"tag";s:11:"9.2.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.2.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta1.tar.gz";s:4:"date";s:10:"1621506248";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"9.2.0-alpha1";a:10:{s:4:"name";s:19:"drupal 9.2.0-alpha1";s:7:"version";s:12:"9.2.0-alpha1";s:3:"tag";s:12:"9.2.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/9.2.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-9.2.0-alpha1.tar.gz";s:4:"date";s:10:"1620291652";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"9.1.15";a:10:{s:4:"name";s:13:"drupal 9.1.15";s:7:"version";s:6:"9.1.15";s:3:"tag";s:6:"9.1.15";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.1.15";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.1.15.tar.gz";s:4:"date";s:10:"1637766681";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.1.14";a:10:{s:4:"name";s:13:"drupal 9.1.14";s:7:"version";s:6:"9.1.14";s:3:"tag";s:6:"9.1.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.1.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.1.14.tar.gz";s:4:"date";s:10:"1637185450";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.1.13";a:10:{s:4:"name";s:13:"drupal 9.1.13";s:7:"version";s:6:"9.1.13";s:3:"tag";s:6:"9.1.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.1.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.1.13.tar.gz";s:4:"date";s:10:"1631722011";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.1.12";a:10:{s:4:"name";s:13:"drupal 9.1.12";s:7:"version";s:6:"9.1.12";s:3:"tag";s:6:"9.1.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.1.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.1.12.tar.gz";s:4:"date";s:10:"1628791786";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.1.11";a:10:{s:4:"name";s:13:"drupal 9.1.11";s:7:"version";s:6:"9.1.11";s:3:"tag";s:6:"9.1.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.1.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.1.11.tar.gz";s:4:"date";s:10:"1626882849";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.1.10";a:10:{s:4:"name";s:13:"drupal 9.1.10";s:7:"version";s:6:"9.1.10";s:3:"tag";s:6:"9.1.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.1.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.1.10.tar.gz";s:4:"date";s:10:"1622828120";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.9";a:10:{s:4:"name";s:12:"drupal 9.1.9";s:7:"version";s:5:"9.1.9";s:3:"tag";s:5:"9.1.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.9.tar.gz";s:4:"date";s:10:"1622056478";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.8";a:10:{s:4:"name";s:12:"drupal 9.1.8";s:7:"version";s:5:"9.1.8";s:3:"tag";s:5:"9.1.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.8.tar.gz";s:4:"date";s:10:"1620214182";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.7";a:10:{s:4:"name";s:12:"drupal 9.1.7";s:7:"version";s:5:"9.1.7";s:3:"tag";s:5:"9.1.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.7.tar.gz";s:4:"date";s:10:"1619022156";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.6";a:10:{s:4:"name";s:12:"drupal 9.1.6";s:7:"version";s:5:"9.1.6";s:3:"tag";s:5:"9.1.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.6.tar.gz";s:4:"date";s:10:"1617795446";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.5";a:10:{s:4:"name";s:12:"drupal 9.1.5";s:7:"version";s:5:"9.1.5";s:3:"tag";s:5:"9.1.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.5.tar.gz";s:4:"date";s:10:"1614869503";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.4";a:10:{s:4:"name";s:12:"drupal 9.1.4";s:7:"version";s:5:"9.1.4";s:3:"tag";s:5:"9.1.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.4.tar.gz";s:4:"date";s:10:"1612380948";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.3";a:10:{s:4:"name";s:12:"drupal 9.1.3";s:7:"version";s:5:"9.1.3";s:3:"tag";s:5:"9.1.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.3.tar.gz";s:4:"date";s:10:"1611161215";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.2";a:10:{s:4:"name";s:12:"drupal 9.1.2";s:7:"version";s:5:"9.1.2";s:3:"tag";s:5:"9.1.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.2.tar.gz";s:4:"date";s:10:"1609984407";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.1";a:10:{s:4:"name";s:12:"drupal 9.1.1";s:7:"version";s:5:"9.1.1";s:3:"tag";s:5:"9.1.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.1.tar.gz";s:4:"date";s:10:"1609979034";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.1.0";a:10:{s:4:"name";s:12:"drupal 9.1.0";s:7:"version";s:5:"9.1.0";s:3:"tag";s:5:"9.1.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.1.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.1.0.tar.gz";s:4:"date";s:10:"1606933254";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"9.1.0-rc3";a:10:{s:4:"name";s:16:"drupal 9.1.0-rc3";s:7:"version";s:9:"9.1.0-rc3";s:3:"tag";s:9:"9.1.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.1.0-rc3";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc3.tar.gz";s:4:"date";s:10:"1606357271";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"9.1.0-rc2";a:10:{s:4:"name";s:16:"drupal 9.1.0-rc2";s:7:"version";s:9:"9.1.0-rc2";s:3:"tag";s:9:"9.1.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.1.0-rc2";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc2.tar.gz";s:4:"date";s:10:"1606332982";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"9.1.0-rc1";a:10:{s:4:"name";s:16:"drupal 9.1.0-rc1";s:7:"version";s:9:"9.1.0-rc1";s:3:"tag";s:9:"9.1.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.1.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc1.tar.gz";s:4:"date";s:10:"1605722782";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:4:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:12:"New features";i:3;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"9.1.0-beta1";a:10:{s:4:"name";s:18:"drupal 9.1.0-beta1";s:7:"version";s:11:"9.1.0-beta1";s:3:"tag";s:11:"9.1.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.1.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.1.0-beta1.tar.gz";s:4:"date";s:10:"1604672644";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"9.1.0-alpha1";a:10:{s:4:"name";s:19:"drupal 9.1.0-alpha1";s:7:"version";s:12:"9.1.0-alpha1";s:3:"tag";s:12:"9.1.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/9.1.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-9.1.0-alpha1.tar.gz";s:4:"date";s:10:"1603466665";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"9.0.14";a:10:{s:4:"name";s:13:"drupal 9.0.14";s:7:"version";s:6:"9.0.14";s:3:"tag";s:6:"9.0.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.0.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.0.14.tar.gz";s:4:"date";s:10:"1622055778";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.0.13";a:10:{s:4:"name";s:13:"drupal 9.0.13";s:7:"version";s:6:"9.0.13";s:3:"tag";s:6:"9.0.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.0.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.0.13.tar.gz";s:4:"date";s:10:"1620218506";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.0.12";a:10:{s:4:"name";s:13:"drupal 9.0.12";s:7:"version";s:6:"9.0.12";s:3:"tag";s:6:"9.0.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.0.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.0.12.tar.gz";s:4:"date";s:10:"1619020951";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.0.11";a:10:{s:4:"name";s:13:"drupal 9.0.11";s:7:"version";s:6:"9.0.11";s:3:"tag";s:6:"9.0.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.0.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.0.11.tar.gz";s:4:"date";s:10:"1611161749";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"9.0.10";a:10:{s:4:"name";s:13:"drupal 9.0.10";s:7:"version";s:6:"9.0.10";s:3:"tag";s:6:"9.0.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/9.0.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-9.0.10.tar.gz";s:4:"date";s:10:"1607029536";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.9";a:10:{s:4:"name";s:12:"drupal 9.0.9";s:7:"version";s:5:"9.0.9";s:3:"tag";s:5:"9.0.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.9.tar.gz";s:4:"date";s:10:"1606359757";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.8";a:10:{s:4:"name";s:12:"drupal 9.0.8";s:7:"version";s:5:"9.0.8";s:3:"tag";s:5:"9.0.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.8.tar.gz";s:4:"date";s:10:"1605720638";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.7";a:10:{s:4:"name";s:12:"drupal 9.0.7";s:7:"version";s:5:"9.0.7";s:3:"tag";s:5:"9.0.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.7.tar.gz";s:4:"date";s:10:"1602100055";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.6";a:10:{s:4:"name";s:12:"drupal 9.0.6";s:7:"version";s:5:"9.0.6";s:3:"tag";s:5:"9.0.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.6.tar.gz";s:4:"date";s:10:"1600275813";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.5";a:10:{s:4:"name";s:12:"drupal 9.0.5";s:7:"version";s:5:"9.0.5";s:3:"tag";s:5:"9.0.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.5.tar.gz";s:4:"date";s:10:"1599167739";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.4";a:10:{s:4:"name";s:12:"drupal 9.0.4";s:7:"version";s:5:"9.0.4";s:3:"tag";s:5:"9.0.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.4.tar.gz";s:4:"date";s:10:"1599046734";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.3";a:10:{s:4:"name";s:12:"drupal 9.0.3";s:7:"version";s:5:"9.0.3";s:3:"tag";s:5:"9.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.3.tar.gz";s:4:"date";s:10:"1596664575";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.2";a:10:{s:4:"name";s:12:"drupal 9.0.2";s:7:"version";s:5:"9.0.2";s:3:"tag";s:5:"9.0.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.2.tar.gz";s:4:"date";s:10:"1594237418";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.1";a:10:{s:4:"name";s:12:"drupal 9.0.1";s:7:"version";s:5:"9.0.1";s:3:"tag";s:5:"9.0.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.1.tar.gz";s:4:"date";s:10:"1592417721";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"9.0.0";a:10:{s:4:"name";s:12:"drupal 9.0.0";s:7:"version";s:5:"9.0.0";s:3:"tag";s:5:"9.0.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/9.0.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-9.0.0.tar.gz";s:4:"date";s:10:"1591221685";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"9.0.0-rc1";a:10:{s:4:"name";s:16:"drupal 9.0.0-rc1";s:7:"version";s:9:"9.0.0-rc1";s:3:"tag";s:9:"9.0.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.0.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.0.0-rc1.tar.gz";s:4:"date";s:10:"1590187579";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"9.0.0-beta3";a:10:{s:4:"name";s:18:"drupal 9.0.0-beta3";s:7:"version";s:11:"9.0.0-beta3";s:3:"tag";s:11:"9.0.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.0.0-beta3";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta3.tar.gz";s:4:"date";s:10:"1589587936";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"9.0.0-beta2";a:10:{s:4:"name";s:18:"drupal 9.0.0-beta2";s:7:"version";s:11:"9.0.0-beta2";s:3:"tag";s:11:"9.0.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.0.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta2.tar.gz";s:4:"date";s:10:"1585597395";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"9.0.0-beta1";a:10:{s:4:"name";s:18:"drupal 9.0.0-beta1";s:7:"version";s:11:"9.0.0-beta1";s:3:"tag";s:11:"9.0.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/9.0.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta1.tar.gz";s:4:"date";s:10:"1584734060";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"9.0.0-alpha2";a:10:{s:4:"name";s:19:"drupal 9.0.0-alpha2";s:7:"version";s:12:"9.0.0-alpha2";s:3:"tag";s:12:"9.0.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/9.0.0-alpha2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-9.0.0-alpha2.tar.gz";s:4:"date";s:10:"1583349043";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:12:"9.0.0-alpha1";a:10:{s:4:"name";s:19:"drupal 9.0.0-alpha1";s:7:"version";s:12:"9.0.0-alpha1";s:3:"tag";s:12:"9.0.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/9.0.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-9.0.0-alpha1.tar.gz";s:4:"date";s:10:"1581447927";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"8.9.20";a:10:{s:4:"name";s:13:"drupal 8.9.20";s:7:"version";s:6:"8.9.20";s:3:"tag";s:6:"8.9.20";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.20";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.20.tar.gz";s:4:"date";s:10:"1637185966";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.19";a:10:{s:4:"name";s:13:"drupal 8.9.19";s:7:"version";s:6:"8.9.19";s:3:"tag";s:6:"8.9.19";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.19";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.19.tar.gz";s:4:"date";s:10:"1631722431";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.18";a:10:{s:4:"name";s:13:"drupal 8.9.18";s:7:"version";s:6:"8.9.18";s:3:"tag";s:6:"8.9.18";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.18";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.18.tar.gz";s:4:"date";s:10:"1628792296";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.17";a:10:{s:4:"name";s:13:"drupal 8.9.17";s:7:"version";s:6:"8.9.17";s:3:"tag";s:6:"8.9.17";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.17";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.17.tar.gz";s:4:"date";s:10:"1626883324";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.16";a:10:{s:4:"name";s:13:"drupal 8.9.16";s:7:"version";s:6:"8.9.16";s:3:"tag";s:6:"8.9.16";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.16";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.16.tar.gz";s:4:"date";s:10:"1622058087";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.15";a:10:{s:4:"name";s:13:"drupal 8.9.15";s:7:"version";s:6:"8.9.15";s:3:"tag";s:6:"8.9.15";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.15";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.15.tar.gz";s:4:"date";s:10:"1620216983";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.14";a:10:{s:4:"name";s:13:"drupal 8.9.14";s:7:"version";s:6:"8.9.14";s:3:"tag";s:6:"8.9.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.14.tar.gz";s:4:"date";s:10:"1619021518";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.13";a:10:{s:4:"name";s:13:"drupal 8.9.13";s:7:"version";s:6:"8.9.13";s:3:"tag";s:6:"8.9.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.13.tar.gz";s:4:"date";s:10:"1611162272";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.12";a:10:{s:4:"name";s:13:"drupal 8.9.12";s:7:"version";s:6:"8.9.12";s:3:"tag";s:6:"8.9.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.12.tar.gz";s:4:"date";s:10:"1609977009";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.11";a:10:{s:4:"name";s:13:"drupal 8.9.11";s:7:"version";s:6:"8.9.11";s:3:"tag";s:6:"8.9.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.11.tar.gz";s:4:"date";s:10:"1607030087";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.9.10";a:10:{s:4:"name";s:13:"drupal 8.9.10";s:7:"version";s:6:"8.9.10";s:3:"tag";s:6:"8.9.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.9.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.9.10.tar.gz";s:4:"date";s:10:"1606360301";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.9";a:10:{s:4:"name";s:12:"drupal 8.9.9";s:7:"version";s:5:"8.9.9";s:3:"tag";s:5:"8.9.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.9.tar.gz";s:4:"date";s:10:"1605721120";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.8";a:10:{s:4:"name";s:12:"drupal 8.9.8";s:7:"version";s:5:"8.9.8";s:3:"tag";s:5:"8.9.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.8.tar.gz";s:4:"date";s:10:"1604595269";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.7";a:10:{s:4:"name";s:12:"drupal 8.9.7";s:7:"version";s:5:"8.9.7";s:3:"tag";s:5:"8.9.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.7.tar.gz";s:4:"date";s:10:"1602100507";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.6";a:10:{s:4:"name";s:12:"drupal 8.9.6";s:7:"version";s:5:"8.9.6";s:3:"tag";s:5:"8.9.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.6.tar.gz";s:4:"date";s:10:"1600276267";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.5";a:10:{s:4:"name";s:12:"drupal 8.9.5";s:7:"version";s:5:"8.9.5";s:3:"tag";s:5:"8.9.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.5.tar.gz";s:4:"date";s:10:"1599168205";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.4";a:10:{s:4:"name";s:12:"drupal 8.9.4";s:7:"version";s:5:"8.9.4";s:3:"tag";s:5:"8.9.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.4.tar.gz";s:4:"date";s:10:"1599047691";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.3";a:10:{s:4:"name";s:12:"drupal 8.9.3";s:7:"version";s:5:"8.9.3";s:3:"tag";s:5:"8.9.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.3.tar.gz";s:4:"date";s:10:"1596665051";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.2";a:10:{s:4:"name";s:12:"drupal 8.9.2";s:7:"version";s:5:"8.9.2";s:3:"tag";s:5:"8.9.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.2.tar.gz";s:4:"date";s:10:"1594237961";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.1";a:10:{s:4:"name";s:12:"drupal 8.9.1";s:7:"version";s:5:"8.9.1";s:3:"tag";s:5:"8.9.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.1.tar.gz";s:4:"date";s:10:"1592418237";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.9.0";a:10:{s:4:"name";s:12:"drupal 8.9.0";s:7:"version";s:5:"8.9.0";s:3:"tag";s:5:"8.9.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.9.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.9.0.tar.gz";s:4:"date";s:10:"1591204117";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.9.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.9.0-rc1";s:7:"version";s:9:"8.9.0-rc1";s:3:"tag";s:9:"8.9.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.9.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.9.0-rc1.tar.gz";s:4:"date";s:10:"1590189096";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.9.0-beta3";a:10:{s:4:"name";s:18:"drupal 8.9.0-beta3";s:7:"version";s:11:"8.9.0-beta3";s:3:"tag";s:11:"8.9.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.9.0-beta3";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta3.tar.gz";s:4:"date";s:10:"1589746375";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.9.0-beta2";a:10:{s:4:"name";s:18:"drupal 8.9.0-beta2";s:7:"version";s:11:"8.9.0-beta2";s:3:"tag";s:11:"8.9.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.9.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta2.tar.gz";s:4:"date";s:10:"1585863226";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.9.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.9.0-beta1";s:7:"version";s:11:"8.9.0-beta1";s:3:"tag";s:11:"8.9.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.9.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta1.tar.gz";s:4:"date";s:10:"1585263710";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:6:"8.8.12";a:10:{s:4:"name";s:13:"drupal 8.8.12";s:7:"version";s:6:"8.8.12";s:3:"tag";s:6:"8.8.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.8.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.8.12.tar.gz";s:4:"date";s:10:"1606360866";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.8.11";a:10:{s:4:"name";s:13:"drupal 8.8.11";s:7:"version";s:6:"8.8.11";s:3:"tag";s:6:"8.8.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.8.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.8.11.tar.gz";s:4:"date";s:10:"1605721628";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.8.10";a:10:{s:4:"name";s:13:"drupal 8.8.10";s:7:"version";s:6:"8.8.10";s:3:"tag";s:6:"8.8.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.8.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.8.10.tar.gz";s:4:"date";s:10:"1600276704";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.9";a:10:{s:4:"name";s:12:"drupal 8.8.9";s:7:"version";s:5:"8.8.9";s:3:"tag";s:5:"8.8.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.9.tar.gz";s:4:"date";s:10:"1599168716";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.8";a:10:{s:4:"name";s:12:"drupal 8.8.8";s:7:"version";s:5:"8.8.8";s:3:"tag";s:5:"8.8.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.8.tar.gz";s:4:"date";s:10:"1592418750";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.7";a:10:{s:4:"name";s:12:"drupal 8.8.7";s:7:"version";s:5:"8.8.7";s:3:"tag";s:5:"8.8.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.7.tar.gz";s:4:"date";s:10:"1591203837";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.6";a:10:{s:4:"name";s:12:"drupal 8.8.6";s:7:"version";s:5:"8.8.6";s:3:"tag";s:5:"8.8.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.6.tar.gz";s:4:"date";s:10:"1589989060";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.5";a:10:{s:4:"name";s:12:"drupal 8.8.5";s:7:"version";s:5:"8.8.5";s:3:"tag";s:5:"8.8.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.5.tar.gz";s:4:"date";s:10:"1585861530";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.4";a:10:{s:4:"name";s:12:"drupal 8.8.4";s:7:"version";s:5:"8.8.4";s:3:"tag";s:5:"8.8.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.4.tar.gz";s:4:"date";s:10:"1584560524";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.3";a:10:{s:4:"name";s:12:"drupal 8.8.3";s:7:"version";s:5:"8.8.3";s:3:"tag";s:5:"8.8.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.3.tar.gz";s:4:"date";s:10:"1583347094";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.2";a:10:{s:4:"name";s:12:"drupal 8.8.2";s:7:"version";s:5:"8.8.2";s:3:"tag";s:5:"8.8.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.2.tar.gz";s:4:"date";s:10:"1580598849";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.1";a:10:{s:4:"name";s:12:"drupal 8.8.1";s:7:"version";s:5:"8.8.1";s:3:"tag";s:5:"8.8.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.1.tar.gz";s:4:"date";s:10:"1576695785";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.8.0";a:10:{s:4:"name";s:12:"drupal 8.8.0";s:7:"version";s:5:"8.8.0";s:3:"tag";s:5:"8.8.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.8.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.8.0.tar.gz";s:4:"date";s:10:"1575450481";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.8.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.8.0-rc1";s:7:"version";s:9:"8.8.0-rc1";s:3:"tag";s:9:"8.8.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.8.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.8.0-rc1.tar.gz";s:4:"date";s:10:"1574462580";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.8.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.8.0-beta1";s:7:"version";s:11:"8.8.0-beta1";s:3:"tag";s:11:"8.8.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.8.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.8.0-beta1.tar.gz";s:4:"date";s:10:"1573256280";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.8.0-alpha1";a:10:{s:4:"name";s:19:"drupal 8.8.0-alpha1";s:7:"version";s:12:"8.8.0-alpha1";s:3:"tag";s:12:"8.8.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.8.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.8.0-alpha1.tar.gz";s:4:"date";s:10:"1571355784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"8.7.14";a:10:{s:4:"name";s:13:"drupal 8.7.14";s:7:"version";s:6:"8.7.14";s:3:"tag";s:6:"8.7.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.7.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.7.14.tar.gz";s:4:"date";s:10:"1589988665";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.7.13";a:10:{s:4:"name";s:13:"drupal 8.7.13";s:7:"version";s:6:"8.7.13";s:3:"tag";s:6:"8.7.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.7.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.7.13.tar.gz";s:4:"date";s:10:"1585861883";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.7.12";a:10:{s:4:"name";s:13:"drupal 8.7.12";s:7:"version";s:6:"8.7.12";s:3:"tag";s:6:"8.7.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.7.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.7.12.tar.gz";s:4:"date";s:10:"1584552250";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.7.11";a:10:{s:4:"name";s:13:"drupal 8.7.11";s:7:"version";s:6:"8.7.11";s:3:"tag";s:6:"8.7.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.7.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.7.11.tar.gz";s:4:"date";s:10:"1576695785";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.7.10";a:10:{s:4:"name";s:13:"drupal 8.7.10";s:7:"version";s:6:"8.7.10";s:3:"tag";s:6:"8.7.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.7.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.7.10.tar.gz";s:4:"date";s:10:"1573687985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.9";a:10:{s:4:"name";s:12:"drupal 8.7.9";s:7:"version";s:5:"8.7.9";s:3:"tag";s:5:"8.7.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.9.tar.gz";s:4:"date";s:10:"1573063387";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.8";a:10:{s:4:"name";s:12:"drupal 8.7.8";s:7:"version";s:5:"8.7.8";s:3:"tag";s:5:"8.7.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.8.tar.gz";s:4:"date";s:10:"1570044484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.7";a:10:{s:4:"name";s:12:"drupal 8.7.7";s:7:"version";s:5:"8.7.7";s:3:"tag";s:5:"8.7.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.7.tar.gz";s:4:"date";s:10:"1567593185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.6";a:10:{s:4:"name";s:12:"drupal 8.7.6";s:7:"version";s:5:"8.7.6";s:3:"tag";s:5:"8.7.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.6.tar.gz";s:4:"date";s:10:"1565206385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.5";a:10:{s:4:"name";s:12:"drupal 8.7.5";s:7:"version";s:5:"8.7.5";s:3:"tag";s:5:"8.7.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.5.tar.gz";s:4:"date";s:10:"1563380885";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.4";a:10:{s:4:"name";s:12:"drupal 8.7.4";s:7:"version";s:5:"8.7.4";s:3:"tag";s:5:"8.7.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.4.tar.gz";s:4:"date";s:10:"1562225587";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.3";a:10:{s:4:"name";s:12:"drupal 8.7.3";s:7:"version";s:5:"8.7.3";s:3:"tag";s:5:"8.7.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.3.tar.gz";s:4:"date";s:10:"1559762581";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.2";a:10:{s:4:"name";s:12:"drupal 8.7.2";s:7:"version";s:5:"8.7.2";s:3:"tag";s:5:"8.7.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.2.tar.gz";s:4:"date";s:10:"1558597086";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.1";a:10:{s:4:"name";s:12:"drupal 8.7.1";s:7:"version";s:5:"8.7.1";s:3:"tag";s:5:"8.7.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.1.tar.gz";s:4:"date";s:10:"1557335588";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.7.0";a:10:{s:4:"name";s:12:"drupal 8.7.0";s:7:"version";s:5:"8.7.0";s:3:"tag";s:5:"8.7.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.7.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.7.0.tar.gz";s:4:"date";s:10:"1556737085";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.7.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.7.0-rc1";s:7:"version";s:9:"8.7.0-rc1";s:3:"tag";s:9:"8.7.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.7.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.7.0-rc1.tar.gz";s:4:"date";s:10:"1555603385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:4:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:12:"New features";i:3;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.7.0-beta2";a:10:{s:4:"name";s:18:"drupal 8.7.0-beta2";s:7:"version";s:11:"8.7.0-beta2";s:3:"tag";s:11:"8.7.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.7.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.7.0-beta2.tar.gz";s:4:"date";s:10:"1554684784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.7.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.7.0-beta1";s:7:"version";s:11:"8.7.0-beta1";s:3:"tag";s:11:"8.7.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.7.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.7.0-beta1.tar.gz";s:4:"date";s:10:"1553881681";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.7.0-alpha2";a:10:{s:4:"name";s:19:"drupal 8.7.0-alpha2";s:7:"version";s:12:"8.7.0-alpha2";s:3:"tag";s:12:"8.7.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.7.0-alpha2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.7.0-alpha2.tar.gz";s:4:"date";s:10:"1553106180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:12:"8.7.0-alpha1";a:10:{s:4:"name";s:19:"drupal 8.7.0-alpha1";s:7:"version";s:12:"8.7.0-alpha1";s:3:"tag";s:12:"8.7.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.7.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.7.0-alpha1.tar.gz";s:4:"date";s:10:"1552602484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"8.6.18";a:10:{s:4:"name";s:13:"drupal 8.6.18";s:7:"version";s:6:"8.6.18";s:3:"tag";s:6:"8.6.18";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.18";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.18.tar.gz";s:4:"date";s:10:"1573687985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.17";a:10:{s:4:"name";s:13:"drupal 8.6.17";s:7:"version";s:6:"8.6.17";s:3:"tag";s:6:"8.6.17";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.17";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.17.tar.gz";s:4:"date";s:10:"1560756785";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.16";a:10:{s:4:"name";s:13:"drupal 8.6.16";s:7:"version";s:6:"8.6.16";s:3:"tag";s:6:"8.6.16";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.16";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.16.tar.gz";s:4:"date";s:10:"1557335588";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.15";a:10:{s:4:"name";s:13:"drupal 8.6.15";s:7:"version";s:6:"8.6.15";s:3:"tag";s:6:"8.6.15";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.15";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.15.tar.gz";s:4:"date";s:10:"1555533181";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.14";a:10:{s:4:"name";s:13:"drupal 8.6.14";s:7:"version";s:6:"8.6.14";s:3:"tag";s:6:"8.6.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.14.tar.gz";s:4:"date";s:10:"1554688384";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.13";a:10:{s:4:"name";s:13:"drupal 8.6.13";s:7:"version";s:6:"8.6.13";s:3:"tag";s:6:"8.6.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.13.tar.gz";s:4:"date";s:10:"1553099584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.12";a:10:{s:4:"name";s:13:"drupal 8.6.12";s:7:"version";s:6:"8.6.12";s:3:"tag";s:6:"8.6.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.12.tar.gz";s:4:"date";s:10:"1552601584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.11";a:10:{s:4:"name";s:13:"drupal 8.6.11";s:7:"version";s:6:"8.6.11";s:3:"tag";s:6:"8.6.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.11.tar.gz";s:4:"date";s:10:"1552511584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.6.10";a:10:{s:4:"name";s:13:"drupal 8.6.10";s:7:"version";s:6:"8.6.10";s:3:"tag";s:6:"8.6.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.6.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.6.10.tar.gz";s:4:"date";s:10:"1550691784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.9";a:10:{s:4:"name";s:12:"drupal 8.6.9";s:7:"version";s:5:"8.6.9";s:3:"tag";s:5:"8.6.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.9.tar.gz";s:4:"date";s:10:"1549628580";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.8";a:10:{s:4:"name";s:12:"drupal 8.6.8";s:7:"version";s:5:"8.6.8";s:3:"tag";s:5:"8.6.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.8.tar.gz";s:4:"date";s:10:"1549466580";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.7";a:10:{s:4:"name";s:12:"drupal 8.6.7";s:7:"version";s:5:"8.6.7";s:3:"tag";s:5:"8.6.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.7.tar.gz";s:4:"date";s:10:"1547682180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.6";a:10:{s:4:"name";s:12:"drupal 8.6.6";s:7:"version";s:5:"8.6.6";s:3:"tag";s:5:"8.6.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.6.tar.gz";s:4:"date";s:10:"1547663557";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.5";a:10:{s:4:"name";s:12:"drupal 8.6.5";s:7:"version";s:5:"8.6.5";s:3:"tag";s:5:"8.6.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.5.tar.gz";s:4:"date";s:10:"1546467485";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.4";a:10:{s:4:"name";s:12:"drupal 8.6.4";s:7:"version";s:5:"8.6.4";s:3:"tag";s:5:"8.6.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.4.tar.gz";s:4:"date";s:10:"1544011681";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.3";a:10:{s:4:"name";s:12:"drupal 8.6.3";s:7:"version";s:5:"8.6.3";s:3:"tag";s:5:"8.6.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.3.tar.gz";s:4:"date";s:10:"1541602684";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.2";a:10:{s:4:"name";s:12:"drupal 8.6.2";s:7:"version";s:5:"8.6.2";s:3:"tag";s:5:"8.6.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.2.tar.gz";s:4:"date";s:10:"1539816180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.1";a:10:{s:4:"name";s:12:"drupal 8.6.1";s:7:"version";s:5:"8.6.1";s:3:"tag";s:5:"8.6.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.1.tar.gz";s:4:"date";s:10:"1536585780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.6.0";a:10:{s:4:"name";s:12:"drupal 8.6.0";s:7:"version";s:5:"8.6.0";s:3:"tag";s:5:"8.6.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.6.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.6.0.tar.gz";s:4:"date";s:10:"1536186480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.6.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.6.0-rc1";s:7:"version";s:9:"8.6.0-rc1";s:3:"tag";s:9:"8.6.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.6.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.6.0-rc1.tar.gz";s:4:"date";s:10:"1534532580";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.6.0-beta2";a:10:{s:4:"name";s:18:"drupal 8.6.0-beta2";s:7:"version";s:11:"8.6.0-beta2";s:3:"tag";s:11:"8.6.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.6.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.6.0-beta2.tar.gz";s:4:"date";s:10:"1533298080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.6.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.6.0-beta1";s:7:"version";s:11:"8.6.0-beta1";s:3:"tag";s:11:"8.6.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.6.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.6.0-beta1.tar.gz";s:4:"date";s:10:"1533270485";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.6.0-alpha1";a:10:{s:4:"name";s:19:"drupal 8.6.0-alpha1";s:7:"version";s:12:"8.6.0-alpha1";s:3:"tag";s:12:"8.6.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.6.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.6.0-alpha1.tar.gz";s:4:"date";s:10:"1532033881";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:6:"8.5.15";a:10:{s:4:"name";s:13:"drupal 8.5.15";s:7:"version";s:6:"8.5.15";s:3:"tag";s:6:"8.5.15";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.5.15";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.5.15.tar.gz";s:4:"date";s:10:"1555533181";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.5.14";a:10:{s:4:"name";s:13:"drupal 8.5.14";s:7:"version";s:6:"8.5.14";s:3:"tag";s:6:"8.5.14";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.5.14";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.5.14.tar.gz";s:4:"date";s:10:"1553099584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.5.13";a:10:{s:4:"name";s:13:"drupal 8.5.13";s:7:"version";s:6:"8.5.13";s:3:"tag";s:6:"8.5.13";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.5.13";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.5.13.tar.gz";s:4:"date";s:10:"1552601584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.5.12";a:10:{s:4:"name";s:13:"drupal 8.5.12";s:7:"version";s:6:"8.5.12";s:3:"tag";s:6:"8.5.12";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.5.12";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.5.12.tar.gz";s:4:"date";s:10:"1552511584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.5.11";a:10:{s:4:"name";s:13:"drupal 8.5.11";s:7:"version";s:6:"8.5.11";s:3:"tag";s:6:"8.5.11";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.5.11";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.5.11.tar.gz";s:4:"date";s:10:"1550691784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:6:"8.5.10";a:10:{s:4:"name";s:13:"drupal 8.5.10";s:7:"version";s:6:"8.5.10";s:3:"tag";s:6:"8.5.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.5.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.5.10.tar.gz";s:4:"date";s:10:"1547682180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.9";a:10:{s:4:"name";s:12:"drupal 8.5.9";s:7:"version";s:5:"8.5.9";s:3:"tag";s:5:"8.5.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.9.tar.gz";s:4:"date";s:10:"1547663557";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.8";a:10:{s:4:"name";s:12:"drupal 8.5.8";s:7:"version";s:5:"8.5.8";s:3:"tag";s:5:"8.5.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.8.tar.gz";s:4:"date";s:10:"1539816180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.7";a:10:{s:4:"name";s:12:"drupal 8.5.7";s:7:"version";s:5:"8.5.7";s:3:"tag";s:5:"8.5.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.7.tar.gz";s:4:"date";s:10:"1536187080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.6";a:10:{s:4:"name";s:12:"drupal 8.5.6";s:7:"version";s:5:"8.5.6";s:3:"tag";s:5:"8.5.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.6.tar.gz";s:4:"date";s:10:"1533156780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.5";a:10:{s:4:"name";s:12:"drupal 8.5.5";s:7:"version";s:5:"8.5.5";s:3:"tag";s:5:"8.5.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.5.tar.gz";s:4:"date";s:10:"1530738820";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.4";a:10:{s:4:"name";s:12:"drupal 8.5.4";s:7:"version";s:5:"8.5.4";s:3:"tag";s:5:"8.5.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.4.tar.gz";s:4:"date";s:10:"1528319584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.3";a:10:{s:4:"name";s:12:"drupal 8.5.3";s:7:"version";s:5:"8.5.3";s:3:"tag";s:5:"8.5.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.3.tar.gz";s:4:"date";s:10:"1524672780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.2";a:10:{s:4:"name";s:12:"drupal 8.5.2";s:7:"version";s:5:"8.5.2";s:3:"tag";s:5:"8.5.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.2.tar.gz";s:4:"date";s:10:"1524073147";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.1";a:10:{s:4:"name";s:12:"drupal 8.5.1";s:7:"version";s:5:"8.5.1";s:3:"tag";s:5:"8.5.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.1.tar.gz";s:4:"date";s:10:"1522263480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.5.0";a:10:{s:4:"name";s:12:"drupal 8.5.0";s:7:"version";s:5:"8.5.0";s:3:"tag";s:5:"8.5.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.5.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.5.0.tar.gz";s:4:"date";s:10:"1520457780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.5.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.5.0-rc1";s:7:"version";s:9:"8.5.0-rc1";s:3:"tag";s:9:"8.5.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.5.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.5.0-rc1.tar.gz";s:4:"date";s:10:"1519234680";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:4:{i:0;s:8:"Insecure";i:1;s:15:"Security update";i:2;s:9:"Bug fixes";i:3;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.5.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.5.0-beta1";s:7:"version";s:11:"8.5.0-beta1";s:3:"tag";s:11:"8.5.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.5.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.5.0-beta1.tar.gz";s:4:"date";s:10:"1518211380";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.5.0-alpha1";a:10:{s:4:"name";s:19:"drupal 8.5.0-alpha1";s:7:"version";s:12:"8.5.0-alpha1";s:3:"tag";s:12:"8.5.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.5.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.5.0-alpha1.tar.gz";s:4:"date";s:10:"1516320484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:5:"8.4.8";a:10:{s:4:"name";s:12:"drupal 8.4.8";s:7:"version";s:5:"8.4.8";s:3:"tag";s:5:"8.4.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.8.tar.gz";s:4:"date";s:10:"1524672780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.7";a:10:{s:4:"name";s:12:"drupal 8.4.7";s:7:"version";s:5:"8.4.7";s:3:"tag";s:5:"8.4.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.7.tar.gz";s:4:"date";s:10:"1524073147";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.6";a:10:{s:4:"name";s:12:"drupal 8.4.6";s:7:"version";s:5:"8.4.6";s:3:"tag";s:5:"8.4.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.6.tar.gz";s:4:"date";s:10:"1522263480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.5";a:10:{s:4:"name";s:12:"drupal 8.4.5";s:7:"version";s:5:"8.4.5";s:3:"tag";s:5:"8.4.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.5.tar.gz";s:4:"date";s:10:"1519234680";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.4";a:10:{s:4:"name";s:12:"drupal 8.4.4";s:7:"version";s:5:"8.4.4";s:3:"tag";s:5:"8.4.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.4.tar.gz";s:4:"date";s:10:"1515021185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.3";a:10:{s:4:"name";s:12:"drupal 8.4.3";s:7:"version";s:5:"8.4.3";s:3:"tag";s:5:"8.4.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.3.tar.gz";s:4:"date";s:10:"1512600784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.2";a:10:{s:4:"name";s:12:"drupal 8.4.2";s:7:"version";s:5:"8.4.2";s:3:"tag";s:5:"8.4.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.2.tar.gz";s:4:"date";s:10:"1509719885";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.1";a:10:{s:4:"name";s:12:"drupal 8.4.1";s:7:"version";s:5:"8.4.1";s:3:"tag";s:5:"8.4.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.1.tar.gz";s:4:"date";s:10:"1509562384";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.4.0";a:10:{s:4:"name";s:12:"drupal 8.4.0";s:7:"version";s:5:"8.4.0";s:3:"tag";s:5:"8.4.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.4.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.4.0.tar.gz";s:4:"date";s:10:"1507146244";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.4.0-rc2";a:10:{s:4:"name";s:16:"drupal 8.4.0-rc2";s:7:"version";s:9:"8.4.0-rc2";s:3:"tag";s:9:"8.4.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.4.0-rc2";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.4.0-rc2.tar.gz";s:4:"date";s:10:"1505911444";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"8.4.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.4.0-rc1";s:7:"version";s:9:"8.4.0-rc1";s:3:"tag";s:9:"8.4.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.4.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.4.0-rc1.tar.gz";s:4:"date";s:10:"1504733043";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.4.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.4.0-beta1";s:7:"version";s:11:"8.4.0-beta1";s:3:"tag";s:11:"8.4.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.4.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.4.0-beta1.tar.gz";s:4:"date";s:10:"1502992144";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.4.0-alpha1";a:10:{s:4:"name";s:19:"drupal 8.4.0-alpha1";s:7:"version";s:12:"8.4.0-alpha1";s:3:"tag";s:12:"8.4.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.4.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.4.0-alpha1.tar.gz";s:4:"date";s:10:"1501790944";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:5:"8.3.9";a:10:{s:4:"name";s:12:"drupal 8.3.9";s:7:"version";s:5:"8.3.9";s:3:"tag";s:5:"8.3.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.9.tar.gz";s:4:"date";s:10:"1522263480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.8";a:10:{s:4:"name";s:12:"drupal 8.3.8";s:7:"version";s:5:"8.3.8";s:3:"tag";s:5:"8.3.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.8.tar.gz";s:4:"date";s:10:"1520881985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:15:"Security update";i:2;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.7";a:10:{s:4:"name";s:12:"drupal 8.3.7";s:7:"version";s:5:"8.3.7";s:3:"tag";s:5:"8.3.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.7.tar.gz";s:4:"date";s:10:"1502903903";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.6";a:10:{s:4:"name";s:12:"drupal 8.3.6";s:7:"version";s:5:"8.3.6";s:3:"tag";s:5:"8.3.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.6.tar.gz";s:4:"date";s:10:"1501688043";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.5";a:10:{s:4:"name";s:12:"drupal 8.3.5";s:7:"version";s:5:"8.3.5";s:3:"tag";s:5:"8.3.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.5.tar.gz";s:4:"date";s:10:"1499274843";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.4";a:10:{s:4:"name";s:12:"drupal 8.3.4";s:7:"version";s:5:"8.3.4";s:3:"tag";s:5:"8.3.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.4.tar.gz";s:4:"date";s:10:"1498069442";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.3";a:10:{s:4:"name";s:12:"drupal 8.3.3";s:7:"version";s:5:"8.3.3";s:3:"tag";s:5:"8.3.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.3.tar.gz";s:4:"date";s:10:"1496858041";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.2";a:10:{s:4:"name";s:12:"drupal 8.3.2";s:7:"version";s:5:"8.3.2";s:3:"tag";s:5:"8.3.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.2.tar.gz";s:4:"date";s:10:"1493834585";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.1";a:10:{s:4:"name";s:12:"drupal 8.3.1";s:7:"version";s:5:"8.3.1";s:3:"tag";s:5:"8.3.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.1.tar.gz";s:4:"date";s:10:"1492622946";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.3.0";a:10:{s:4:"name";s:12:"drupal 8.3.0";s:7:"version";s:5:"8.3.0";s:3:"tag";s:5:"8.3.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.3.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.3.0.tar.gz";s:4:"date";s:10:"1491439084";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.3.0-rc2";a:10:{s:4:"name";s:16:"drupal 8.3.0-rc2";s:7:"version";s:9:"8.3.0-rc2";s:3:"tag";s:9:"8.3.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.3.0-rc2";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.3.0-rc2.tar.gz";s:4:"date";s:10:"1489613583";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"8.3.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.3.0-rc1";s:7:"version";s:9:"8.3.0-rc1";s:3:"tag";s:9:"8.3.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.3.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.3.0-rc1.tar.gz";s:4:"date";s:10:"1488383284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.3.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.3.0-beta1";s:7:"version";s:11:"8.3.0-beta1";s:3:"tag";s:11:"8.3.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.3.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.3.0-beta1.tar.gz";s:4:"date";s:10:"1487175783";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.3.0-alpha1";a:10:{s:4:"name";s:19:"drupal 8.3.0-alpha1";s:7:"version";s:12:"8.3.0-alpha1";s:3:"tag";s:12:"8.3.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.3.0-alpha1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.3.0-alpha1.tar.gz";s:4:"date";s:10:"1485968583";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:5:"8.2.8";a:10:{s:4:"name";s:12:"drupal 8.2.8";s:7:"version";s:5:"8.2.8";s:3:"tag";s:5:"8.2.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.8.tar.gz";s:4:"date";s:10:"1492622852";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.7";a:10:{s:4:"name";s:12:"drupal 8.2.7";s:7:"version";s:5:"8.2.7";s:3:"tag";s:5:"8.2.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.7.tar.gz";s:4:"date";s:10:"1489609638";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.6";a:10:{s:4:"name";s:12:"drupal 8.2.6";s:7:"version";s:5:"8.2.6";s:3:"tag";s:5:"8.2.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.6.tar.gz";s:4:"date";s:10:"1485975485";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.5";a:10:{s:4:"name";s:12:"drupal 8.2.5";s:7:"version";s:5:"8.2.5";s:3:"tag";s:5:"8.2.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.5.tar.gz";s:4:"date";s:10:"1483529942";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.4";a:10:{s:4:"name";s:12:"drupal 8.2.4";s:7:"version";s:5:"8.2.4";s:3:"tag";s:5:"8.2.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.4.tar.gz";s:4:"date";s:10:"1481136784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.3";a:10:{s:4:"name";s:12:"drupal 8.2.3";s:7:"version";s:5:"8.2.3";s:3:"tag";s:5:"8.2.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.3.tar.gz";s:4:"date";s:10:"1479322439";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.2";a:10:{s:4:"name";s:12:"drupal 8.2.2";s:7:"version";s:5:"8.2.2";s:3:"tag";s:5:"8.2.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.2.tar.gz";s:4:"date";s:10:"1478106542";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.1";a:10:{s:4:"name";s:12:"drupal 8.2.1";s:7:"version";s:5:"8.2.1";s:3:"tag";s:5:"8.2.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.1.tar.gz";s:4:"date";s:10:"1476181439";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.2.0";a:10:{s:4:"name";s:12:"drupal 8.2.0";s:7:"version";s:5:"8.2.0";s:3:"tag";s:5:"8.2.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.2.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.2.0.tar.gz";s:4:"date";s:10:"1475660639";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.2.0-rc2";a:10:{s:4:"name";s:16:"drupal 8.2.0-rc2";s:7:"version";s:9:"8.2.0-rc2";s:3:"tag";s:9:"8.2.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.2.0-rc2";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.2.0-rc2.tar.gz";s:4:"date";s:10:"1474484358";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"8.2.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.2.0-rc1";s:7:"version";s:9:"8.2.0-rc1";s:3:"tag";s:9:"8.2.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.2.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.2.0-rc1.tar.gz";s:4:"date";s:10:"1473285089";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.2.0-beta3";a:10:{s:4:"name";s:18:"drupal 8.2.0-beta3";s:7:"version";s:11:"8.2.0-beta3";s:3:"tag";s:11:"8.2.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.2.0-beta3";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta3.tar.gz";s:4:"date";s:10:"1472222475";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.2.0-beta2";a:10:{s:4:"name";s:18:"drupal 8.2.0-beta2";s:7:"version";s:11:"8.2.0-beta2";s:3:"tag";s:11:"8.2.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.2.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta2.tar.gz";s:4:"date";s:10:"1471710839";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.2.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.2.0-beta1";s:7:"version";s:11:"8.2.0-beta1";s:3:"tag";s:11:"8.2.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.2.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta1.tar.gz";s:4:"date";s:10:"1470230639";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:6:"8.1.10";a:10:{s:4:"name";s:13:"drupal 8.1.10";s:7:"version";s:6:"8.1.10";s:3:"tag";s:6:"8.1.10";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/drupal/releases/8.1.10";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/drupal-8.1.10.tar.gz";s:4:"date";s:10:"1474478939";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.9";a:10:{s:4:"name";s:12:"drupal 8.1.9";s:7:"version";s:5:"8.1.9";s:3:"tag";s:5:"8.1.9";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.9";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.9.tar.gz";s:4:"date";s:10:"1473276313";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.8";a:10:{s:4:"name";s:12:"drupal 8.1.8";s:7:"version";s:5:"8.1.8";s:3:"tag";s:5:"8.1.8";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.8";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.8.tar.gz";s:4:"date";s:10:"1470233647";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.7";a:10:{s:4:"name";s:12:"drupal 8.1.7";s:7:"version";s:5:"8.1.7";s:3:"tag";s:5:"8.1.7";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.7";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.7.tar.gz";s:4:"date";s:10:"1468855358";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.6";a:10:{s:4:"name";s:12:"drupal 8.1.6";s:7:"version";s:5:"8.1.6";s:3:"tag";s:5:"8.1.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.6.tar.gz";s:4:"date";s:10:"1468242539";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.5";a:10:{s:4:"name";s:12:"drupal 8.1.5";s:7:"version";s:5:"8.1.5";s:3:"tag";s:5:"8.1.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.5.tar.gz";s:4:"date";s:10:"1467884639";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.4";a:10:{s:4:"name";s:12:"drupal 8.1.4";s:7:"version";s:5:"8.1.4";s:3:"tag";s:5:"8.1.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.4.tar.gz";s:4:"date";s:10:"1467810839";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.3";a:10:{s:4:"name";s:12:"drupal 8.1.3";s:7:"version";s:5:"8.1.3";s:3:"tag";s:5:"8.1.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.3.tar.gz";s:4:"date";s:10:"1466021480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.2";a:10:{s:4:"name";s:12:"drupal 8.1.2";s:7:"version";s:5:"8.1.2";s:3:"tag";s:5:"8.1.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.2.tar.gz";s:4:"date";s:10:"1464824339";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.1";a:10:{s:4:"name";s:12:"drupal 8.1.1";s:7:"version";s:5:"8.1.1";s:3:"tag";s:5:"8.1.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.1.tar.gz";s:4:"date";s:10:"1462361039";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.1.0";a:10:{s:4:"name";s:12:"drupal 8.1.0";s:7:"version";s:5:"8.1.0";s:3:"tag";s:5:"8.1.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.1.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.1.0.tar.gz";s:4:"date";s:10:"1461118190";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.1.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.1.0-rc1";s:7:"version";s:9:"8.1.0-rc1";s:3:"tag";s:9:"8.1.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.1.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.1.0-rc1.tar.gz";s:4:"date";s:10:"1459976639";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.1.0-beta2";a:10:{s:4:"name";s:18:"drupal 8.1.0-beta2";s:7:"version";s:11:"8.1.0-beta2";s:3:"tag";s:11:"8.1.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.1.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.1.0-beta2.tar.gz";s:4:"date";s:10:"1458699840";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.1.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.1.0-beta1";s:7:"version";s:11:"8.1.0-beta1";s:3:"tag";s:11:"8.1.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.1.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.1.0-beta1.tar.gz";s:4:"date";s:10:"1456975758";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:5:"8.0.6";a:10:{s:4:"name";s:12:"drupal 8.0.6";s:7:"version";s:5:"8.0.6";s:3:"tag";s:5:"8.0.6";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.0.6";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.0.6.tar.gz";s:4:"date";s:10:"1459900439";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.0.5";a:10:{s:4:"name";s:12:"drupal 8.0.5";s:7:"version";s:5:"8.0.5";s:3:"tag";s:5:"8.0.5";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.0.5";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.0.5.tar.gz";s:4:"date";s:10:"1456914839";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.0.4";a:10:{s:4:"name";s:12:"drupal 8.0.4";s:7:"version";s:5:"8.0.4";s:3:"tag";s:5:"8.0.4";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.0.4";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.0.4.tar.gz";s:4:"date";s:10:"1456341749";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.0.3";a:10:{s:4:"name";s:12:"drupal 8.0.3";s:7:"version";s:5:"8.0.3";s:3:"tag";s:5:"8.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.0.3";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.0.3.tar.gz";s:4:"date";s:10:"1454489043";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.0.2";a:10:{s:4:"name";s:12:"drupal 8.0.2";s:7:"version";s:5:"8.0.2";s:3:"tag";s:5:"8.0.2";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.0.2";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.0.2.tar.gz";s:4:"date";s:10:"1452119939";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.0.1";a:10:{s:4:"name";s:12:"drupal 8.0.1";s:7:"version";s:5:"8.0.1";s:3:"tag";s:5:"8.0.1";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.0.1";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.0.1.tar.gz";s:4:"date";s:10:"1449066839";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:5:"8.0.0";a:10:{s:4:"name";s:12:"drupal 8.0.0";s:7:"version";s:5:"8.0.0";s:3:"tag";s:5:"8.0.0";s:6:"status";s:9:"published";s:12:"release_link";s:52:"https://www.drupal.org/project/drupal/releases/8.0.0";s:13:"download_link";s:57:"https://ftp.drupal.org/files/projects/drupal-8.0.0.tar.gz";s:4:"date";s:10:"1447941840";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";}s:9:"8.0.0-rc4";a:10:{s:4:"name";s:16:"drupal 8.0.0-rc4";s:7:"version";s:9:"8.0.0-rc4";s:3:"tag";s:9:"8.0.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.0.0-rc4";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc4.tar.gz";s:4:"date";s:10:"1447413840";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"8.0.0-rc3";a:10:{s:4:"name";s:16:"drupal 8.0.0-rc3";s:7:"version";s:9:"8.0.0-rc3";s:3:"tag";s:9:"8.0.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.0.0-rc3";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc3.tar.gz";s:4:"date";s:10:"1446633239";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"8.0.0-rc2";a:10:{s:4:"name";s:16:"drupal 8.0.0-rc2";s:7:"version";s:9:"8.0.0-rc2";s:3:"tag";s:9:"8.0.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.0.0-rc2";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc2.tar.gz";s:4:"date";s:10:"1445468639";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:9:"8.0.0-rc1";a:10:{s:4:"name";s:16:"drupal 8.0.0-rc1";s:7:"version";s:9:"8.0.0-rc1";s:3:"tag";s:9:"8.0.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.0.0-rc1";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc1.tar.gz";s:4:"date";s:10:"1444253039";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:12:"8.0.0-beta16";a:10:{s:4:"name";s:19:"drupal 8.0.0-beta16";s:7:"version";s:12:"8.0.0-beta16";s:3:"tag";s:12:"8.0.0-beta16";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.0.0-beta16";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta16.tar.gz";s:4:"date";s:10:"1443746640";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.0.0-beta15";a:10:{s:4:"name";s:19:"drupal 8.0.0-beta15";s:7:"version";s:12:"8.0.0-beta15";s:3:"tag";s:12:"8.0.0-beta15";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.0.0-beta15";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta15.tar.gz";s:4:"date";s:10:"1441357140";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.0.0-beta14";a:10:{s:4:"name";s:19:"drupal 8.0.0-beta14";s:7:"version";s:12:"8.0.0-beta14";s:3:"tag";s:12:"8.0.0-beta14";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.0.0-beta14";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta14.tar.gz";s:4:"date";s:10:"1438593539";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.0.0-beta13";a:10:{s:4:"name";s:19:"drupal 8.0.0-beta13";s:7:"version";s:12:"8.0.0-beta13";s:3:"tag";s:12:"8.0.0-beta13";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.0.0-beta13";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta13.tar.gz";s:4:"date";s:10:"1438194539";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.0.0-beta12";a:10:{s:4:"name";s:19:"drupal 8.0.0-beta12";s:7:"version";s:12:"8.0.0-beta12";s:3:"tag";s:12:"8.0.0-beta12";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.0.0-beta12";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta12.tar.gz";s:4:"date";s:10:"1435601583";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.0.0-beta11";a:10:{s:4:"name";s:19:"drupal 8.0.0-beta11";s:7:"version";s:12:"8.0.0-beta11";s:3:"tag";s:12:"8.0.0-beta11";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.0.0-beta11";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta11.tar.gz";s:4:"date";s:10:"1432758481";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:12:"8.0.0-beta10";a:10:{s:4:"name";s:19:"drupal 8.0.0-beta10";s:7:"version";s:12:"8.0.0-beta10";s:3:"tag";s:12:"8.0.0-beta10";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/drupal/releases/8.0.0-beta10";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta10.tar.gz";s:4:"date";s:10:"1430314681";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.0.0-beta9";a:10:{s:4:"name";s:18:"drupal 8.0.0-beta9";s:7:"version";s:11:"8.0.0-beta9";s:3:"tag";s:11:"8.0.0-beta9";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0.0-beta9";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta9.tar.gz";s:4:"date";s:10:"1427299981";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.0.0-beta7";a:10:{s:4:"name";s:18:"drupal 8.0.0-beta7";s:7:"version";s:11:"8.0.0-beta7";s:3:"tag";s:11:"8.0.0-beta7";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0.0-beta7";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta7.tar.gz";s:4:"date";s:10:"1424875381";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.0.0-beta6";a:10:{s:4:"name";s:18:"drupal 8.0.0-beta6";s:7:"version";s:11:"8.0.0-beta6";s:3:"tag";s:11:"8.0.0-beta6";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0.0-beta6";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta6.tar.gz";s:4:"date";s:10:"1422443800";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.0.0-beta4";a:10:{s:4:"name";s:18:"drupal 8.0.0-beta4";s:7:"version";s:11:"8.0.0-beta4";s:3:"tag";s:11:"8.0.0-beta4";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0.0-beta4";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta4.tar.gz";s:4:"date";s:10:"1418825280";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.0.0-beta3";a:10:{s:4:"name";s:18:"drupal 8.0.0-beta3";s:7:"version";s:11:"8.0.0-beta3";s:3:"tag";s:11:"8.0.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0.0-beta3";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta3.tar.gz";s:4:"date";s:10:"1415797380";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.0.0-beta2";a:10:{s:4:"name";s:18:"drupal 8.0.0-beta2";s:7:"version";s:11:"8.0.0-beta2";s:3:"tag";s:11:"8.0.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0.0-beta2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta2.tar.gz";s:4:"date";s:10:"1413394161";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:8:"Insecure";i:1;s:15:"Security update";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:11:"8.0.0-beta1";a:10:{s:4:"name";s:18:"drupal 8.0.0-beta1";s:7:"version";s:11:"8.0.0-beta1";s:3:"tag";s:11:"8.0.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0.0-beta1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta1.tar.gz";s:4:"date";s:10:"1412147030";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";}s:13:"8.0.0-alpha15";a:10:{s:4:"name";s:20:"drupal 8.0.0-alpha15";s:7:"version";s:13:"8.0.0-alpha15";s:3:"tag";s:13:"8.0.0-alpha15";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/8.0.0-alpha15";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-8.0.0-alpha15.tar.gz";s:4:"date";s:10:"1411139628";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:13:"8.0.0-alpha14";a:10:{s:4:"name";s:20:"drupal 8.0.0-alpha14";s:7:"version";s:13:"8.0.0-alpha14";s:3:"tag";s:13:"8.0.0-alpha14";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/drupal/releases/8.0.0-alpha14";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/drupal-8.0.0-alpha14.tar.gz";s:4:"date";s:10:"1407344628";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:11:"8.0-alpha13";a:10:{s:4:"name";s:18:"drupal 8.0-alpha13";s:7:"version";s:11:"8.0-alpha13";s:3:"tag";s:11:"8.0-alpha13";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0-alpha13";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha13.tar.gz";s:4:"date";s:10:"1404296627";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:11:"8.0-alpha12";a:10:{s:4:"name";s:18:"drupal 8.0-alpha12";s:7:"version";s:11:"8.0-alpha12";s:3:"tag";s:11:"8.0-alpha12";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0-alpha12";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha12.tar.gz";s:4:"date";s:10:"1401293627";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:11:"8.0-alpha11";a:10:{s:4:"name";s:18:"drupal 8.0-alpha11";s:7:"version";s:11:"8.0-alpha11";s:3:"tag";s:11:"8.0-alpha11";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0-alpha11";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha11.tar.gz";s:4:"date";s:10:"1398249227";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:11:"8.0-alpha10";a:10:{s:4:"name";s:18:"drupal 8.0-alpha10";s:7:"version";s:11:"8.0-alpha10";s:3:"tag";s:11:"8.0-alpha10";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/drupal/releases/8.0-alpha10";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha10.tar.gz";s:4:"date";s:10:"1395231556";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha9";a:10:{s:4:"name";s:17:"drupal 8.0-alpha9";s:7:"version";s:10:"8.0-alpha9";s:3:"tag";s:10:"8.0-alpha9";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha9";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha9.tar.gz";s:4:"date";s:10:"1392806005";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:12:"New features";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha8";a:10:{s:4:"name";s:17:"drupal 8.0-alpha8";s:7:"version";s:10:"8.0-alpha8";s:3:"tag";s:10:"8.0-alpha8";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha8";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha8.tar.gz";s:4:"date";s:10:"1390393105";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha7";a:10:{s:4:"name";s:17:"drupal 8.0-alpha7";s:7:"version";s:10:"8.0-alpha7";s:3:"tag";s:10:"8.0-alpha7";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha7";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha7.tar.gz";s:4:"date";s:10:"1387399705";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha6";a:10:{s:4:"name";s:17:"drupal 8.0-alpha6";s:7:"version";s:10:"8.0-alpha6";s:3:"tag";s:10:"8.0-alpha6";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha6";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha6.tar.gz";s:4:"date";s:10:"1385153305";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha5";a:10:{s:4:"name";s:17:"drupal 8.0-alpha5";s:7:"version";s:10:"8.0-alpha5";s:3:"tag";s:10:"8.0-alpha5";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha5";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha5.tar.gz";s:4:"date";s:10:"1384850305";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha4";a:10:{s:4:"name";s:17:"drupal 8.0-alpha4";s:7:"version";s:10:"8.0-alpha4";s:3:"tag";s:10:"8.0-alpha4";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha4";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha4.tar.gz";s:4:"date";s:10:"1382092313";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:12:"New features";i:1;s:9:"Bug fixes";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha3";a:10:{s:4:"name";s:17:"drupal 8.0-alpha3";s:7:"version";s:10:"8.0-alpha3";s:3:"tag";s:10:"8.0-alpha3";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha3";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha3.tar.gz";s:4:"date";s:10:"1378303307";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:12:"New features";i:1;s:9:"Bug fixes";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"8.0-alpha2";a:10:{s:4:"name";s:17:"drupal 8.0-alpha2";s:7:"version";s:10:"8.0-alpha2";s:3:"tag";s:10:"8.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/8.0-alpha2";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-8.0-alpha2.tar.gz";s:4:"date";s:10:"1372069563";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";}s:10:"11.0.x-dev";a:7:{s:4:"name";s:17:"drupal 11.0.x-dev";s:7:"version";s:10:"11.0.x-dev";s:3:"tag";s:6:"11.0.x";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/11.0.x-dev";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:10:"10.1.x-dev";a:10:{s:4:"name";s:17:"drupal 10.1.x-dev";s:7:"version";s:10:"10.1.x-dev";s:3:"tag";s:6:"10.1.x";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/10.1.x-dev";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-10.1.x-dev.tar.gz";s:4:"date";s:10:"1681508562";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:10:"10.0.x-dev";a:10:{s:4:"name";s:17:"drupal 10.0.x-dev";s:7:"version";s:10:"10.0.x-dev";s:3:"tag";s:6:"10.0.x";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/drupal/releases/10.0.x-dev";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/drupal-10.0.x-dev.tar.gz";s:4:"date";s:10:"1681424901";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:9:"9.5.x-dev";a:10:{s:4:"name";s:16:"drupal 9.5.x-dev";s:7:"version";s:9:"9.5.x-dev";s:3:"tag";s:5:"9.5.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.5.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.5.x-dev.tar.gz";s:4:"date";s:10:"1681463339";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"9.4.x-dev";a:10:{s:4:"name";s:16:"drupal 9.4.x-dev";s:7:"version";s:9:"9.4.x-dev";s:3:"tag";s:5:"9.4.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.4.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.4.x-dev.tar.gz";s:4:"date";s:10:"1681164505";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"9.3.x-dev";a:10:{s:4:"name";s:16:"drupal 9.3.x-dev";s:7:"version";s:9:"9.3.x-dev";s:3:"tag";s:5:"9.3.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.3.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.3.x-dev.tar.gz";s:4:"date";s:10:"1664385919";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:9:"9.2.x-dev";a:10:{s:4:"name";s:16:"drupal 9.2.x-dev";s:7:"version";s:9:"9.2.x-dev";s:3:"tag";s:5:"9.2.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.2.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.2.x-dev.tar.gz";s:4:"date";s:10:"1654891907";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"9.1.x-dev";a:10:{s:4:"name";s:16:"drupal 9.1.x-dev";s:7:"version";s:9:"9.1.x-dev";s:3:"tag";s:5:"9.1.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.1.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.1.x-dev.tar.gz";s:4:"date";s:10:"1637766277";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"9.0.x-dev";a:10:{s:4:"name";s:16:"drupal 9.0.x-dev";s:7:"version";s:9:"9.0.x-dev";s:3:"tag";s:5:"9.0.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/9.0.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-9.0.x-dev.tar.gz";s:4:"date";s:10:"1622063424";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"8.9.x-dev";a:10:{s:4:"name";s:16:"drupal 8.9.x-dev";s:7:"version";s:9:"8.9.x-dev";s:3:"tag";s:5:"8.9.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.9.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.9.x-dev.tar.gz";s:4:"date";s:10:"1637188625";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"8.8.x-dev";a:10:{s:4:"name";s:16:"drupal 8.8.x-dev";s:7:"version";s:9:"8.8.x-dev";s:3:"tag";s:5:"8.8.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.8.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.8.x-dev.tar.gz";s:4:"date";s:10:"1606364994";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"8.7.x-dev";a:10:{s:4:"name";s:16:"drupal 8.7.x-dev";s:7:"version";s:9:"8.7.x-dev";s:3:"tag";s:5:"8.7.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.7.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.7.x-dev.tar.gz";s:4:"date";s:10:"1589987612";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"8.6.x-dev";a:10:{s:4:"name";s:16:"drupal 8.6.x-dev";s:7:"version";s:9:"8.6.x-dev";s:3:"tag";s:5:"8.6.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.6.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.6.x-dev.tar.gz";s:4:"date";s:10:"1573687985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}s:9:"8.5.x-dev";a:10:{s:4:"name";s:16:"drupal 8.5.x-dev";s:7:"version";s:9:"8.5.x-dev";s:3:"tag";s:5:"8.5.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.5.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.5.x-dev.tar.gz";s:4:"date";s:10:"1555533181";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:9:"8.4.x-dev";a:10:{s:4:"name";s:16:"drupal 8.4.x-dev";s:7:"version";s:9:"8.4.x-dev";s:3:"tag";s:5:"8.4.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.4.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.4.x-dev.tar.gz";s:4:"date";s:10:"1533047880";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:9:"8.3.x-dev";a:10:{s:4:"name";s:16:"drupal 8.3.x-dev";s:7:"version";s:9:"8.3.x-dev";s:3:"tag";s:5:"8.3.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.3.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.3.x-dev.tar.gz";s:4:"date";s:10:"1522263480";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:9:"8.2.x-dev";a:10:{s:4:"name";s:16:"drupal 8.2.x-dev";s:7:"version";s:9:"8.2.x-dev";s:3:"tag";s:5:"8.2.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.2.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.2.x-dev.tar.gz";s:4:"date";s:10:"1492624982";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:9:"8.1.x-dev";a:10:{s:4:"name";s:16:"drupal 8.1.x-dev";s:7:"version";s:9:"8.1.x-dev";s:3:"tag";s:5:"8.1.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.1.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.1.x-dev.tar.gz";s:4:"date";s:10:"1474478393";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}s:9:"8.0.x-dev";a:10:{s:4:"name";s:16:"drupal 8.0.x-dev";s:7:"version";s:9:"8.0.x-dev";s:3:"tag";s:5:"8.0.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/drupal/releases/8.0.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/drupal-8.0.x-dev.tar.gz";s:4:"date";s:10:"1459900439";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";}}s:10:"last_fetch";i:1681649634;}', 1681736034);
INSERT INTO `key_value_expire` VALUES
('update_available_releases', 'entity_reference_revisions', 'a:10:{s:5:"title";s:26:"Entity Reference Revisions";s:10:"short_name";s:26:"entity_reference_revisions";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:6:"8.x-1.";s:18:"composer_namespace";s:33:"drupal/entity_reference_revisions";s:14:"project_status";s:9:"published";s:4:"link";s:57:"https://www.drupal.org/project/entity_reference_revisions";s:5:"terms";s:0:"";s:8:"releases";a:16:{s:8:"8.x-1.10";a:11:{s:4:"name";s:35:"entity_reference_revisions 8.x-1.10";s:7:"version";s:8:"8.x-1.10";s:3:"tag";s:8:"8.x-1.10";s:6:"status";s:9:"published";s:12:"release_link";s:75:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.10";s:13:"download_link";s:80:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.10.tar.gz";s:4:"date";s:10:"1660664712";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:9:"^9 || ^10";}s:7:"8.x-1.9";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.9";s:7:"version";s:7:"8.x-1.9";s:3:"tag";s:7:"8.x-1.9";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.9";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.9.tar.gz";s:4:"date";s:10:"1614805871";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:7:"8.x-1.8";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.8";s:7:"version";s:7:"8.x-1.8";s:3:"tag";s:7:"8.x-1.8";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.8";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.8.tar.gz";s:4:"date";s:10:"1583961846";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:7:"8.x-1.7";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.7";s:7:"version";s:7:"8.x-1.7";s:3:"tag";s:7:"8.x-1.7";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.7";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.7.tar.gz";s:4:"date";s:10:"1570284187";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.6";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.6";s:7:"version";s:7:"8.x-1.6";s:3:"tag";s:7:"8.x-1.6";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.6";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.6.tar.gz";s:4:"date";s:10:"1539588781";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.5";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.5";s:7:"version";s:7:"8.x-1.5";s:3:"tag";s:7:"8.x-1.5";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.5";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.5.tar.gz";s:4:"date";s:10:"1527241084";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.4";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.4";s:7:"version";s:7:"8.x-1.4";s:3:"tag";s:7:"8.x-1.4";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.4";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.4.tar.gz";s:4:"date";s:10:"1515143885";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.3";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.3";s:7:"version";s:7:"8.x-1.3";s:3:"tag";s:7:"8.x-1.3";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.3";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.3.tar.gz";s:4:"date";s:10:"1495814284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.2";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.2";s:7:"version";s:7:"8.x-1.2";s:3:"tag";s:7:"8.x-1.2";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.2";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.2.tar.gz";s:4:"date";s:10:"1485790085";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.1";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.1";s:7:"version";s:7:"8.x-1.1";s:3:"tag";s:7:"8.x-1.1";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.1";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.1.tar.gz";s:4:"date";s:10:"1485526384";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.0";a:11:{s:4:"name";s:34:"entity_reference_revisions 8.x-1.0";s:7:"version";s:7:"8.x-1.0";s:3:"tag";s:7:"8.x-1.0";s:6:"status";s:9:"published";s:12:"release_link";s:74:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.0";s:13:"download_link";s:79:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.0.tar.gz";s:4:"date";s:10:"1469725439";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc7";a:11:{s:4:"name";s:38:"entity_reference_revisions 8.x-1.0-rc7";s:7:"version";s:11:"8.x-1.0-rc7";s:3:"tag";s:11:"8.x-1.0-rc7";s:6:"status";s:9:"published";s:12:"release_link";s:78:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.0-rc7";s:13:"download_link";s:83:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.0-rc7.tar.gz";s:4:"date";s:10:"1464727139";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc6";a:11:{s:4:"name";s:38:"entity_reference_revisions 8.x-1.0-rc6";s:7:"version";s:11:"8.x-1.0-rc6";s:3:"tag";s:11:"8.x-1.0-rc6";s:6:"status";s:9:"published";s:12:"release_link";s:78:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.0-rc6";s:13:"download_link";s:83:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.0-rc6.tar.gz";s:4:"date";s:10:"1460582040";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc4";a:11:{s:4:"name";s:38:"entity_reference_revisions 8.x-1.0-rc4";s:7:"version";s:11:"8.x-1.0-rc4";s:3:"tag";s:11:"8.x-1.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:78:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.0-rc4";s:13:"download_link";s:83:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.0-rc4.tar.gz";s:4:"date";s:10:"1447766339";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc1";a:11:{s:4:"name";s:38:"entity_reference_revisions 8.x-1.0-rc1";s:7:"version";s:11:"8.x-1.0-rc1";s:3:"tag";s:11:"8.x-1.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:78:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.0-rc1";s:13:"download_link";s:83:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.0-rc1.tar.gz";s:4:"date";s:10:"1444419239";s:5:"files";s:0:"";s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:38:"entity_reference_revisions 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:78:"https://www.drupal.org/project/entity_reference_revisions/releases/8.x-1.x-dev";s:13:"download_link";s:83:"https://ftp.drupal.org/files/projects/entity_reference_revisions-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1660581249";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:9:"^9 || ^10";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681653330;}', 1681739730),
('update_available_releases', 'field_group', 'a:10:{s:5:"title";s:11:"Field Group";s:10:"short_name";s:11:"field_group";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:6:"8.x-3.";s:18:"composer_namespace";s:18:"drupal/field_group";s:14:"project_status";s:9:"published";s:4:"link";s:42:"https://www.drupal.org/project/field_group";s:5:"terms";s:0:"";s:8:"releases";a:15:{s:7:"8.x-3.4";a:11:{s:4:"name";s:19:"field_group 8.x-3.4";s:7:"version";s:7:"8.x-3.4";s:3:"tag";s:7:"8.x-3.4";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/field_group/releases/8.x-3.4";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/field_group-8.x-3.4.tar.gz";s:4:"date";s:10:"1667241979";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.2 || ^10";}s:7:"8.x-3.3";a:11:{s:4:"name";s:19:"field_group 8.x-3.3";s:7:"version";s:7:"8.x-3.3";s:3:"tag";s:7:"8.x-3.3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/field_group/releases/8.x-3.3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/field_group-8.x-3.3.tar.gz";s:4:"date";s:10:"1663516404";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:7:"8.x-3.2";a:11:{s:4:"name";s:19:"field_group 8.x-3.2";s:7:"version";s:7:"8.x-3.2";s:3:"tag";s:7:"8.x-3.2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/field_group/releases/8.x-3.2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/field_group-8.x-3.2.tar.gz";s:4:"date";s:10:"1628513585";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:7:"8.x-3.1";a:11:{s:4:"name";s:19:"field_group 8.x-3.1";s:7:"version";s:7:"8.x-3.1";s:3:"tag";s:7:"8.x-3.1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/field_group/releases/8.x-3.1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/field_group-8.x-3.1.tar.gz";s:4:"date";s:10:"1591772567";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:7:"8.x-3.0";a:11:{s:4:"name";s:19:"field_group 8.x-3.0";s:7:"version";s:7:"8.x-3.0";s:3:"tag";s:7:"8.x-3.0";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/field_group/releases/8.x-3.0";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/field_group-8.x-3.0.tar.gz";s:4:"date";s:10:"1580250787";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:11:"8.x-3.0-rc2";a:11:{s:4:"name";s:23:"field_group 8.x-3.0-rc2";s:7:"version";s:11:"8.x-3.0-rc2";s:3:"tag";s:11:"8.x-3.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-3.0-rc2";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-3.0-rc2.tar.gz";s:4:"date";s:10:"1574200085";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-3.0-rc1";a:11:{s:4:"name";s:23:"field_group 8.x-3.0-rc1";s:7:"version";s:11:"8.x-3.0-rc1";s:3:"tag";s:11:"8.x-3.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-3.0-rc1";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-3.0-rc1.tar.gz";s:4:"date";s:10:"1558647185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-3.0-beta1";a:11:{s:4:"name";s:25:"field_group 8.x-3.0-beta1";s:7:"version";s:13:"8.x-3.0-beta1";s:3:"tag";s:13:"8.x-3.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/field_group/releases/8.x-3.0-beta1";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/field_group-8.x-3.0-beta1.tar.gz";s:4:"date";s:10:"1510352284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.0";a:11:{s:4:"name";s:19:"field_group 8.x-1.0";s:7:"version";s:7:"8.x-1.0";s:3:"tag";s:7:"8.x-1.0";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/field_group/releases/8.x-1.0";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/field_group-8.x-1.0.tar.gz";s:4:"date";s:10:"1510352885";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc6";a:11:{s:4:"name";s:23:"field_group 8.x-1.0-rc6";s:7:"version";s:11:"8.x-1.0-rc6";s:3:"tag";s:11:"8.x-1.0-rc6";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc6";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc6.tar.gz";s:4:"date";s:10:"1480365484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc5";a:11:{s:4:"name";s:23:"field_group 8.x-1.0-rc5";s:7:"version";s:11:"8.x-1.0-rc5";s:3:"tag";s:11:"8.x-1.0-rc5";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc5";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc5.tar.gz";s:4:"date";s:10:"1480288380";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc4";a:11:{s:4:"name";s:23:"field_group 8.x-1.0-rc4";s:7:"version";s:11:"8.x-1.0-rc4";s:3:"tag";s:11:"8.x-1.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc4";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc4.tar.gz";s:4:"date";s:10:"1449771240";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc3";a:11:{s:4:"name";s:23:"field_group 8.x-1.0-rc3";s:7:"version";s:11:"8.x-1.0-rc3";s:3:"tag";s:11:"8.x-1.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-1.0-rc3";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-1.0-rc3.tar.gz";s:4:"date";s:10:"1447385940";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-3.x-dev";a:11:{s:4:"name";s:23:"field_group 8.x-3.x-dev";s:7:"version";s:11:"8.x-3.x-dev";s:3:"tag";s:7:"8.x-3.x";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-3.x-dev";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-3.x-dev.tar.gz";s:4:"date";s:10:"1667403745";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.2 || ^10";s:5:"terms";a:0:{}}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:23:"field_group 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/field_group/releases/8.x-1.x-dev";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/field_group-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1570214888";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681653330;}', 1681739730),
('update_available_releases', 'fontawesome', 'a:10:{s:5:"title";s:18:"Font Awesome Icons";s:10:"short_name";s:11:"fontawesome";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:6:"8.x-2.";s:18:"composer_namespace";s:18:"drupal/fontawesome";s:14:"project_status";s:9:"published";s:4:"link";s:42:"https://www.drupal.org/project/fontawesome";s:5:"terms";s:0:"";s:8:"releases";a:35:{s:8:"8.x-2.25";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.25";s:7:"version";s:8:"8.x-2.25";s:3:"tag";s:8:"8.x-2.25";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.25";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.25.tar.gz";s:4:"date";s:10:"1676999823";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.4 || ^10";s:5:"terms";a:0:{}}s:8:"8.x-2.24";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.24";s:7:"version";s:8:"8.x-2.24";s:3:"tag";s:8:"8.x-2.24";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.24";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.24.tar.gz";s:4:"date";s:10:"1666211201";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.4 || ^10";}s:8:"8.x-2.23";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.23";s:7:"version";s:8:"8.x-2.23";s:3:"tag";s:8:"8.x-2.23";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.23";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.23.tar.gz";s:4:"date";s:10:"1650642403";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.22";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.22";s:7:"version";s:8:"8.x-2.22";s:3:"tag";s:8:"8.x-2.22";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.22";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.22.tar.gz";s:4:"date";s:10:"1648222747";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.21";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.21";s:7:"version";s:8:"8.x-2.21";s:3:"tag";s:8:"8.x-2.21";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.21";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.21.tar.gz";s:4:"date";s:10:"1647616835";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.20";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.20";s:7:"version";s:8:"8.x-2.20";s:3:"tag";s:8:"8.x-2.20";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.20";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.20.tar.gz";s:4:"date";s:10:"1647454351";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.19";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.19";s:7:"version";s:8:"8.x-2.19";s:3:"tag";s:8:"8.x-2.19";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.19";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.19.tar.gz";s:4:"date";s:10:"1623794225";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.18";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.18";s:7:"version";s:8:"8.x-2.18";s:3:"tag";s:8:"8.x-2.18";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.18";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.18.tar.gz";s:4:"date";s:10:"1614784477";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.17";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.17";s:7:"version";s:8:"8.x-2.17";s:3:"tag";s:8:"8.x-2.17";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.17";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.17.tar.gz";s:4:"date";s:10:"1593708087";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.16";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.16";s:7:"version";s:8:"8.x-2.16";s:3:"tag";s:8:"8.x-2.16";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.16";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.16.tar.gz";s:4:"date";s:10:"1588952353";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-2.15";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.15";s:7:"version";s:8:"8.x-2.15";s:3:"tag";s:8:"8.x-2.15";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.15";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.15.tar.gz";s:4:"date";s:10:"1578431890";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:8:"8.x-2.14";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.14";s:7:"version";s:8:"8.x-2.14";s:3:"tag";s:8:"8.x-2.14";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.14";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.14.tar.gz";s:4:"date";s:10:"1564762385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:8:"8.x-2.13";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.13";s:7:"version";s:8:"8.x-2.13";s:3:"tag";s:8:"8.x-2.13";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.13";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.13.tar.gz";s:4:"date";s:10:"1557577985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:8:"8.x-2.12";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.12";s:7:"version";s:8:"8.x-2.12";s:3:"tag";s:8:"8.x-2.12";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.12";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.12.tar.gz";s:4:"date";s:10:"1550687580";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:8:"8.x-2.11";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.11";s:7:"version";s:8:"8.x-2.11";s:3:"tag";s:8:"8.x-2.11";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.11";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.11.tar.gz";s:4:"date";s:10:"1550073481";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:12:"New features";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:8:"8.x-2.10";a:11:{s:4:"name";s:20:"fontawesome 8.x-2.10";s:7:"version";s:8:"8.x-2.10";s:3:"tag";s:8:"8.x-2.10";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontawesome/releases/8.x-2.10";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.10.tar.gz";s:4:"date";s:10:"1549786384";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.9";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.9";s:7:"version";s:7:"8.x-2.9";s:3:"tag";s:7:"8.x-2.9";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.9";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.9.tar.gz";s:4:"date";s:10:"1541188681";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:12:"New features";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.8";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.8";s:7:"version";s:7:"8.x-2.8";s:3:"tag";s:7:"8.x-2.8";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.8";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.8.tar.gz";s:4:"date";s:10:"1539366180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.7";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.7";s:7:"version";s:7:"8.x-2.7";s:3:"tag";s:7:"8.x-2.7";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.7";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.7.tar.gz";s:4:"date";s:10:"1539031080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.6";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.6";s:7:"version";s:7:"8.x-2.6";s:3:"tag";s:7:"8.x-2.6";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.6";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.6.tar.gz";s:4:"date";s:10:"1535484781";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:12:"New features";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.5";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.5";s:7:"version";s:7:"8.x-2.5";s:3:"tag";s:7:"8.x-2.5";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.5";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.5.tar.gz";s:4:"date";s:10:"1535395080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.4";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.4";s:7:"version";s:7:"8.x-2.4";s:3:"tag";s:7:"8.x-2.4";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.4";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.4.tar.gz";s:4:"date";s:10:"1531922921";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.3";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.3";s:7:"version";s:7:"8.x-2.3";s:3:"tag";s:7:"8.x-2.3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.3.tar.gz";s:4:"date";s:10:"1529608724";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:12:"New features";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.2";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.2";s:7:"version";s:7:"8.x-2.2";s:3:"tag";s:7:"8.x-2.2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.2.tar.gz";s:4:"date";s:10:"1526243880";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.1";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.1";s:7:"version";s:7:"8.x-2.1";s:3:"tag";s:7:"8.x-2.1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.1.tar.gz";s:4:"date";s:10:"1523983080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.0";a:11:{s:4:"name";s:19:"fontawesome 8.x-2.0";s:7:"version";s:7:"8.x-2.0";s:3:"tag";s:7:"8.x-2.0";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-2.0";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.0.tar.gz";s:4:"date";s:10:"1519143180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-2.0-beta1";a:11:{s:4:"name";s:25:"fontawesome 8.x-2.0-beta1";s:7:"version";s:13:"8.x-2.0-beta1";s:3:"tag";s:13:"8.x-2.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fontawesome/releases/8.x-2.0-beta1";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.0-beta1.tar.gz";s:4:"date";s:10:"1515436384";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-2.0-alpha2";a:11:{s:4:"name";s:26:"fontawesome 8.x-2.0-alpha2";s:7:"version";s:14:"8.x-2.0-alpha2";s:3:"tag";s:14:"8.x-2.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:66:"https://www.drupal.org/project/fontawesome/releases/8.x-2.0-alpha2";s:13:"download_link";s:71:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.0-alpha2.tar.gz";s:4:"date";s:10:"1513706884";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-2.0-alpha1";a:11:{s:4:"name";s:26:"fontawesome 8.x-2.0-alpha1";s:7:"version";s:14:"8.x-2.0-alpha1";s:3:"tag";s:14:"8.x-2.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:66:"https://www.drupal.org/project/fontawesome/releases/8.x-2.0-alpha1";s:13:"download_link";s:71:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.0-alpha1.tar.gz";s:4:"date";s:10:"1513362485";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:12:"New features";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.4";a:11:{s:4:"name";s:19:"fontawesome 8.x-1.4";s:7:"version";s:7:"8.x-1.4";s:3:"tag";s:7:"8.x-1.4";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-1.4";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-1.4.tar.gz";s:4:"date";s:10:"1523983080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.3";a:11:{s:4:"name";s:19:"fontawesome 8.x-1.3";s:7:"version";s:7:"8.x-1.3";s:3:"tag";s:7:"8.x-1.3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-1.3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-1.3.tar.gz";s:4:"date";s:10:"1511994184";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.2";a:11:{s:4:"name";s:19:"fontawesome 8.x-1.2";s:7:"version";s:7:"8.x-1.2";s:3:"tag";s:7:"8.x-1.2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-1.2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-1.2.tar.gz";s:4:"date";s:10:"1486972083";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.1";a:11:{s:4:"name";s:19:"fontawesome 8.x-1.1";s:7:"version";s:7:"8.x-1.1";s:3:"tag";s:7:"8.x-1.1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/fontawesome/releases/8.x-1.1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/fontawesome-8.x-1.1.tar.gz";s:4:"date";s:10:"1486962485";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.x-dev";a:11:{s:4:"name";s:23:"fontawesome 8.x-2.x-dev";s:7:"version";s:11:"8.x-2.x-dev";s:3:"tag";s:7:"8.x-2.x";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fontawesome/releases/8.x-2.x-dev";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fontawesome-8.x-2.x-dev.tar.gz";s:4:"date";s:10:"1680881865";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.4 || ^10";}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:23:"fontawesome 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fontawesome/releases/8.x-1.x-dev";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fontawesome-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1523982180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}}s:10:"last_fetch";i:1681653330;}', 1681739730),
('update_available_releases', 'fontyourface', 'a:10:{s:5:"title";s:15:"@font-your-face";s:10:"short_name";s:12:"fontyourface";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:6:"8.x-3.";s:18:"composer_namespace";s:19:"drupal/fontyourface";s:14:"project_status";s:9:"published";s:4:"link";s:43:"https://www.drupal.org/project/fontyourface";s:5:"terms";s:0:"";s:8:"releases";a:15:{s:7:"8.x-3.6";a:11:{s:4:"name";s:20:"fontyourface 8.x-3.6";s:7:"version";s:7:"8.x-3.6";s:3:"tag";s:7:"8.x-3.6";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.6";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.6.tar.gz";s:4:"date";s:10:"1614963172";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-3.5";a:11:{s:4:"name";s:20:"fontyourface 8.x-3.5";s:7:"version";s:7:"8.x-3.5";s:3:"tag";s:7:"8.x-3.5";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.5";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.5.tar.gz";s:4:"date";s:10:"1601309657";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-3.4";a:11:{s:4:"name";s:20:"fontyourface 8.x-3.4";s:7:"version";s:7:"8.x-3.4";s:3:"tag";s:7:"8.x-3.4";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.4";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.4.tar.gz";s:4:"date";s:10:"1599818817";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-3.3";a:11:{s:4:"name";s:20:"fontyourface 8.x-3.3";s:7:"version";s:7:"8.x-3.3";s:3:"tag";s:7:"8.x-3.3";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.3";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.3.tar.gz";s:4:"date";s:10:"1597334555";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-3.2";a:11:{s:4:"name";s:20:"fontyourface 8.x-3.2";s:7:"version";s:7:"8.x-3.2";s:3:"tag";s:7:"8.x-3.2";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.2";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.2.tar.gz";s:4:"date";s:10:"1517458980";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-3.1";a:11:{s:4:"name";s:20:"fontyourface 8.x-3.1";s:7:"version";s:7:"8.x-3.1";s:3:"tag";s:7:"8.x-3.1";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.1";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.1.tar.gz";s:4:"date";s:10:"1490223783";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-3.0";a:11:{s:4:"name";s:20:"fontyourface 8.x-3.0";s:7:"version";s:7:"8.x-3.0";s:3:"tag";s:7:"8.x-3.0";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0.tar.gz";s:4:"date";s:10:"1476908339";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-3.0-rc1";a:11:{s:4:"name";s:24:"fontyourface 8.x-3.0-rc1";s:7:"version";s:11:"8.x-3.0-rc1";s:3:"tag";s:11:"8.x-3.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:64:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0-rc1";s:13:"download_link";s:69:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0-rc1.tar.gz";s:4:"date";s:10:"1476294970";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-3.0-beta3";a:11:{s:4:"name";s:26:"fontyourface 8.x-3.0-beta3";s:7:"version";s:13:"8.x-3.0-beta3";s:3:"tag";s:13:"8.x-3.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:66:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0-beta3";s:13:"download_link";s:71:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0-beta3.tar.gz";s:4:"date";s:10:"1475135639";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-3.0-beta2";a:11:{s:4:"name";s:26:"fontyourface 8.x-3.0-beta2";s:7:"version";s:13:"8.x-3.0-beta2";s:3:"tag";s:13:"8.x-3.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:66:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0-beta2";s:13:"download_link";s:71:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0-beta2.tar.gz";s:4:"date";s:10:"1473832439";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-3.0-beta1";a:11:{s:4:"name";s:26:"fontyourface 8.x-3.0-beta1";s:7:"version";s:13:"8.x-3.0-beta1";s:3:"tag";s:13:"8.x-3.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:66:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0-beta1";s:13:"download_link";s:71:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0-beta1.tar.gz";s:4:"date";s:10:"1472017139";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha3";a:11:{s:4:"name";s:27:"fontyourface 8.x-3.0-alpha3";s:7:"version";s:14:"8.x-3.0-alpha3";s:3:"tag";s:14:"8.x-3.0-alpha3";s:6:"status";s:9:"published";s:12:"release_link";s:67:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0-alpha3";s:13:"download_link";s:72:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0-alpha3.tar.gz";s:4:"date";s:10:"1464886220";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha2";a:11:{s:4:"name";s:27:"fontyourface 8.x-3.0-alpha2";s:7:"version";s:14:"8.x-3.0-alpha2";s:3:"tag";s:14:"8.x-3.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:67:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0-alpha2";s:13:"download_link";s:72:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0-alpha2.tar.gz";s:4:"date";s:10:"1463555339";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-3.0-alpha1";a:11:{s:4:"name";s:27:"fontyourface 8.x-3.0-alpha1";s:7:"version";s:14:"8.x-3.0-alpha1";s:3:"tag";s:14:"8.x-3.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:67:"https://www.drupal.org/project/fontyourface/releases/8.x-3.0-alpha1";s:13:"download_link";s:72:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.0-alpha1.tar.gz";s:4:"date";s:10:"1463554439";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-3.x-dev";a:11:{s:4:"name";s:24:"fontyourface 8.x-3.x-dev";s:7:"version";s:11:"8.x-3.x-dev";s:3:"tag";s:7:"8.x-3.x";s:6:"status";s:9:"published";s:12:"release_link";s:64:"https://www.drupal.org/project/fontyourface/releases/8.x-3.x-dev";s:13:"download_link";s:69:"https://ftp.drupal.org/files/projects/fontyourface-8.x-3.x-dev.tar.gz";s:4:"date";s:10:"1680072330";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:13:"^9.4 || ^10.0";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681648324;}', 1681734724),
('update_available_releases', 'fullcalendar_view', 'a:10:{s:5:"title";s:17:"Fullcalendar View";s:10:"short_name";s:17:"fullcalendar_view";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:4:"5.1.";s:18:"composer_namespace";s:24:"drupal/fullcalendar_view";s:14:"project_status";s:9:"published";s:4:"link";s:48:"https://www.drupal.org/project/fullcalendar_view";s:5:"terms";s:0:"";s:8:"releases";a:65:{s:6:"5.1.12";a:11:{s:4:"name";s:24:"fullcalendar_view 5.1.12";s:7:"version";s:6:"5.1.12";s:3:"tag";s:6:"5.1.12";s:6:"status";s:9:"published";s:12:"release_link";s:64:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.12";s:13:"download_link";s:69:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.12.tar.gz";s:4:"date";s:10:"1680506578";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:13:"^9.2.0 || ^10";}s:6:"5.1.11";a:11:{s:4:"name";s:24:"fullcalendar_view 5.1.11";s:7:"version";s:6:"5.1.11";s:3:"tag";s:6:"5.1.11";s:6:"status";s:9:"published";s:12:"release_link";s:64:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.11";s:13:"download_link";s:69:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.11.tar.gz";s:4:"date";s:10:"1676726166";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:13:"^9.2.0 || ^10";}s:6:"5.1.10";a:11:{s:4:"name";s:24:"fullcalendar_view 5.1.10";s:7:"version";s:6:"5.1.10";s:3:"tag";s:6:"5.1.10";s:6:"status";s:9:"published";s:12:"release_link";s:64:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.10";s:13:"download_link";s:69:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.10.tar.gz";s:4:"date";s:10:"1675318146";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:15:"^8 || ^9 || ^10";}s:5:"5.1.9";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.9";s:7:"version";s:5:"5.1.9";s:3:"tag";s:5:"5.1.9";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.9";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.9.tar.gz";s:4:"date";s:10:"1675217015";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:15:"^8 || ^9 || ^10";}s:5:"5.1.8";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.8";s:7:"version";s:5:"5.1.8";s:3:"tag";s:5:"5.1.8";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.8";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.8.tar.gz";s:4:"date";s:10:"1671066570";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:15:"^8 || ^9 || ^10";}s:5:"5.1.7";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.7";s:7:"version";s:5:"5.1.7";s:3:"tag";s:5:"5.1.7";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.7";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.7.tar.gz";s:4:"date";s:10:"1660091558";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.1.6";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.6";s:7:"version";s:5:"5.1.6";s:3:"tag";s:5:"5.1.6";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.6";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.6.tar.gz";s:4:"date";s:10:"1659583448";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}s:5:"5.1.5";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.5";s:7:"version";s:5:"5.1.5";s:3:"tag";s:5:"5.1.5";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.5";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.5.tar.gz";s:4:"date";s:10:"1651671345";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.1.4";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.4";s:7:"version";s:5:"5.1.4";s:3:"tag";s:5:"5.1.4";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.4";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.4.tar.gz";s:4:"date";s:10:"1646881046";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.1.3";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.3";s:7:"version";s:5:"5.1.3";s:3:"tag";s:5:"5.1.3";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.3";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.3.tar.gz";s:4:"date";s:10:"1646391658";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.1.2";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.2";s:7:"version";s:5:"5.1.2";s:3:"tag";s:5:"5.1.2";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.2";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.2.tar.gz";s:4:"date";s:10:"1629420252";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.1.1";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.1";s:7:"version";s:5:"5.1.1";s:3:"tag";s:5:"5.1.1";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.1";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.1.tar.gz";s:4:"date";s:10:"1623998023";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.1.0";a:11:{s:4:"name";s:23:"fullcalendar_view 5.1.0";s:7:"version";s:5:"5.1.0";s:3:"tag";s:5:"5.1.0";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.1.0";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.1.0.tar.gz";s:4:"date";s:10:"1623715878";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.8";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.8";s:7:"version";s:5:"5.0.8";s:3:"tag";s:5:"5.0.8";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.8";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.8.tar.gz";s:4:"date";s:10:"1615420063";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}s:5:"5.0.7";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.7";s:7:"version";s:5:"5.0.7";s:3:"tag";s:5:"5.0.7";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.7";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.7.tar.gz";s:4:"date";s:10:"1611102195";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.6";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.6";s:7:"version";s:5:"5.0.6";s:3:"tag";s:5:"5.0.6";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.6";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.6.tar.gz";s:4:"date";s:10:"1607300089";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.5";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.5";s:7:"version";s:5:"5.0.5";s:3:"tag";s:5:"5.0.5";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.5";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.5.tar.gz";s:4:"date";s:10:"1600263273";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.4";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.4";s:7:"version";s:5:"5.0.4";s:3:"tag";s:5:"5.0.4";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.4";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.4.tar.gz";s:4:"date";s:10:"1596069772";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.3";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.3";s:7:"version";s:5:"5.0.3";s:3:"tag";s:5:"5.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.3";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.3.tar.gz";s:4:"date";s:10:"1591919250";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.2";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.2";s:7:"version";s:5:"5.0.2";s:3:"tag";s:5:"5.0.2";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.2";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.2.tar.gz";s:4:"date";s:10:"1591532715";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.1";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.1";s:7:"version";s:5:"5.0.1";s:3:"tag";s:5:"5.0.1";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.1";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.1.tar.gz";s:4:"date";s:10:"1591325560";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"5.0.0";a:11:{s:4:"name";s:23:"fullcalendar_view 5.0.0";s:7:"version";s:5:"5.0.0";s:3:"tag";s:5:"5.0.0";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/fullcalendar_view/releases/5.0.0";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.0.0.tar.gz";s:4:"date";s:10:"1591244907";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}s:7:"8.x-4.5";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-4.5";s:7:"version";s:7:"8.x-4.5";s:3:"tag";s:7:"8.x-4.5";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-4.5";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-4.5.tar.gz";s:4:"date";s:10:"1590881332";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-4.4";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-4.4";s:7:"version";s:7:"8.x-4.4";s:3:"tag";s:7:"8.x-4.4";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-4.4";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-4.4.tar.gz";s:4:"date";s:10:"1590757565";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-4.3";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-4.3";s:7:"version";s:7:"8.x-4.3";s:3:"tag";s:7:"8.x-4.3";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-4.3";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-4.3.tar.gz";s:4:"date";s:10:"1589984791";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-4.2";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-4.2";s:7:"version";s:7:"8.x-4.2";s:3:"tag";s:7:"8.x-4.2";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-4.2";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-4.2.tar.gz";s:4:"date";s:10:"1589285134";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-4.1";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-4.1";s:7:"version";s:7:"8.x-4.1";s:3:"tag";s:7:"8.x-4.1";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-4.1";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-4.1.tar.gz";s:4:"date";s:10:"1587916690";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-4.0";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-4.0";s:7:"version";s:7:"8.x-4.0";s:3:"tag";s:7:"8.x-4.0";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-4.0";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-4.0.tar.gz";s:4:"date";s:10:"1587551467";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-2.8";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.8";s:7:"version";s:7:"8.x-2.8";s:3:"tag";s:7:"8.x-2.8";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.8";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.8.tar.gz";s:4:"date";s:10:"1626141050";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-2.7";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.7";s:7:"version";s:7:"8.x-2.7";s:3:"tag";s:7:"8.x-2.7";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.7";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.7.tar.gz";s:4:"date";s:10:"1596410912";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-2.6";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.6";s:7:"version";s:7:"8.x-2.6";s:3:"tag";s:7:"8.x-2.6";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.6";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.6.tar.gz";s:4:"date";s:10:"1580427715";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:7:"8.x-2.5";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.5";s:7:"version";s:7:"8.x-2.5";s:3:"tag";s:7:"8.x-2.5";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.5";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.5.tar.gz";s:4:"date";s:10:"1578376087";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.4";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.4";s:7:"version";s:7:"8.x-2.4";s:3:"tag";s:7:"8.x-2.4";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.4";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.4.tar.gz";s:4:"date";s:10:"1570762687";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.3";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.3";s:7:"version";s:7:"8.x-2.3";s:3:"tag";s:7:"8.x-2.3";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.3";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.3.tar.gz";s:4:"date";s:10:"1568683088";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.2";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.2";s:7:"version";s:7:"8.x-2.2";s:3:"tag";s:7:"8.x-2.2";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.2";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.2.tar.gz";s:4:"date";s:10:"1553734981";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.1";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.1";s:7:"version";s:7:"8.x-2.1";s:3:"tag";s:7:"8.x-2.1";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.1";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.1.tar.gz";s:4:"date";s:10:"1553212080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.0";a:11:{s:4:"name";s:25:"fullcalendar_view 8.x-2.0";s:7:"version";s:7:"8.x-2.0";s:3:"tag";s:7:"8.x-2.0";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0.tar.gz";s:4:"date";s:10:"1552438086";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:12:"8.x-2.0-rc10";a:11:{s:4:"name";s:30:"fullcalendar_view 8.x-2.0-rc10";s:7:"version";s:12:"8.x-2.0-rc10";s:3:"tag";s:12:"8.x-2.0-rc10";s:6:"status";s:9:"published";s:12:"release_link";s:70:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc10";s:13:"download_link";s:75:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc10.tar.gz";s:4:"date";s:10:"1543296484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.0-rc9";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc9";s:7:"version";s:11:"8.x-2.0-rc9";s:3:"tag";s:11:"8.x-2.0-rc9";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc9";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc9.tar.gz";s:4:"date";s:10:"1530270520";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.0-rc8";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc8";s:7:"version";s:11:"8.x-2.0-rc8";s:3:"tag";s:11:"8.x-2.0-rc8";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc8";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc8.tar.gz";s:4:"date";s:10:"1528103584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.0-rc7";a:10:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc7";s:7:"version";s:11:"8.x-2.0-rc7";s:3:"tag";s:11:"8.x-2.0-rc7";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc7";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc7.tar.gz";s:4:"date";s:10:"1526987883";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";}s:11:"8.x-2.0-rc6";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc6";s:7:"version";s:11:"8.x-2.0-rc6";s:3:"tag";s:11:"8.x-2.0-rc6";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc6";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc6.tar.gz";s:4:"date";s:10:"1525348984";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.0-rc5";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc5";s:7:"version";s:11:"8.x-2.0-rc5";s:3:"tag";s:11:"8.x-2.0-rc5";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc5";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc5.tar.gz";s:4:"date";s:10:"1523350685";s:5:"files";s:0:"";s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-2.0-rc4";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc4";s:7:"version";s:11:"8.x-2.0-rc4";s:3:"tag";s:11:"8.x-2.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc4";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc4.tar.gz";s:4:"date";s:10:"1523262184";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.0-rc3";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc3";s:7:"version";s:11:"8.x-2.0-rc3";s:3:"tag";s:11:"8.x-2.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc3";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc3.tar.gz";s:4:"date";s:10:"1521282484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.0-rc2";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc2";s:7:"version";s:11:"8.x-2.0-rc2";s:3:"tag";s:11:"8.x-2.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc2";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc2.tar.gz";s:4:"date";s:10:"1521013084";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-2.0-rc1";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.0-rc1";s:7:"version";s:11:"8.x-2.0-rc1";s:3:"tag";s:11:"8.x-2.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.0-rc1";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.0-rc1.tar.gz";s:4:"date";s:10:"1520171584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc3";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-1.0-rc3";s:7:"version";s:11:"8.x-1.0-rc3";s:3:"tag";s:11:"8.x-1.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-rc3";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-rc3.tar.gz";s:4:"date";s:10:"1519888084";s:5:"files";s:0:"";s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-1.0-rc2";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-1.0-rc2";s:7:"version";s:11:"8.x-1.0-rc2";s:3:"tag";s:11:"8.x-1.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-rc2";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-rc2.tar.gz";s:4:"date";s:10:"1519821484";s:5:"files";s:0:"";s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-1.0-rc1";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-1.0-rc1";s:7:"version";s:11:"8.x-1.0-rc1";s:3:"tag";s:11:"8.x-1.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-rc1";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-rc1.tar.gz";s:4:"date";s:10:"1519631284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-1.0-beta2";a:11:{s:4:"name";s:31:"fullcalendar_view 8.x-1.0-beta2";s:7:"version";s:13:"8.x-1.0-beta2";s:3:"tag";s:13:"8.x-1.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:71:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-beta2";s:13:"download_link";s:76:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-beta2.tar.gz";s:4:"date";s:10:"1519561685";s:5:"files";s:0:"";s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:13:"8.x-1.0-beta1";a:11:{s:4:"name";s:31:"fullcalendar_view 8.x-1.0-beta1";s:7:"version";s:13:"8.x-1.0-beta1";s:3:"tag";s:13:"8.x-1.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:71:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-beta1";s:13:"download_link";s:76:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-beta1.tar.gz";s:4:"date";s:10:"1519511880";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:15:"8.x-1.0-alpha10";a:11:{s:4:"name";s:33:"fullcalendar_view 8.x-1.0-alpha10";s:7:"version";s:15:"8.x-1.0-alpha10";s:3:"tag";s:15:"8.x-1.0-alpha10";s:6:"status";s:9:"published";s:12:"release_link";s:73:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha10";s:13:"download_link";s:78:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha10.tar.gz";s:4:"date";s:10:"1519483384";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha7";a:11:{s:4:"name";s:32:"fullcalendar_view 8.x-1.0-alpha7";s:7:"version";s:14:"8.x-1.0-alpha7";s:3:"tag";s:14:"8.x-1.0-alpha7";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha7";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha7.tar.gz";s:4:"date";s:10:"1519123680";s:5:"files";s:0:"";s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:14:"8.x-1.0-alpha6";a:11:{s:4:"name";s:32:"fullcalendar_view 8.x-1.0-alpha6";s:7:"version";s:14:"8.x-1.0-alpha6";s:3:"tag";s:14:"8.x-1.0-alpha6";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha6";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha6.tar.gz";s:4:"date";s:10:"1518831185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha5";a:11:{s:4:"name";s:32:"fullcalendar_view 8.x-1.0-alpha5";s:7:"version";s:14:"8.x-1.0-alpha5";s:3:"tag";s:14:"8.x-1.0-alpha5";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha5";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha5.tar.gz";s:4:"date";s:10:"1518677280";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha4";a:11:{s:4:"name";s:32:"fullcalendar_view 8.x-1.0-alpha4";s:7:"version";s:14:"8.x-1.0-alpha4";s:3:"tag";s:14:"8.x-1.0-alpha4";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha4";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha4.tar.gz";s:4:"date";s:10:"1518595680";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha3";a:11:{s:4:"name";s:32:"fullcalendar_view 8.x-1.0-alpha3";s:7:"version";s:14:"8.x-1.0-alpha3";s:3:"tag";s:14:"8.x-1.0-alpha3";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha3";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha3.tar.gz";s:4:"date";s:10:"1518419880";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha2";a:11:{s:4:"name";s:32:"fullcalendar_view 8.x-1.0-alpha2";s:7:"version";s:14:"8.x-1.0-alpha2";s:3:"tag";s:14:"8.x-1.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha2";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha2.tar.gz";s:4:"date";s:10:"1516173185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha1";a:11:{s:4:"name";s:32:"fullcalendar_view 8.x-1.0-alpha1";s:7:"version";s:14:"8.x-1.0-alpha1";s:3:"tag";s:14:"8.x-1.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.0-alpha1";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.0-alpha1.tar.gz";s:4:"date";s:10:"1516091285";s:5:"files";s:0:"";s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:7:"6.x-dev";a:11:{s:4:"name";s:25:"fullcalendar_view 6.x-dev";s:7:"version";s:7:"6.x-dev";s:3:"tag";s:3:"6.x";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/6.x-dev";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-6.x-dev.tar.gz";s:4:"date";s:10:"1675318507";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}s:7:"5.x-dev";a:11:{s:4:"name";s:25:"fullcalendar_view 5.x-dev";s:7:"version";s:7:"5.x-dev";s:3:"tag";s:3:"5.x";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/fullcalendar_view/releases/5.x-dev";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/fullcalendar_view-5.x-dev.tar.gz";s:4:"date";s:10:"1680505687";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:13:"^9.2.0 || ^10";s:5:"terms";a:0:{}}s:11:"8.x-3.x-dev";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-3.x-dev";s:7:"version";s:11:"8.x-3.x-dev";s:3:"tag";s:7:"8.x-3.x";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-3.x-dev";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-3.x-dev.tar.gz";s:4:"date";s:10:"1583365609";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}s:11:"8.x-2.x-dev";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-2.x-dev";s:7:"version";s:11:"8.x-2.x-dev";s:3:"tag";s:7:"8.x-2.x";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-2.x-dev";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-2.x-dev.tar.gz";s:4:"date";s:10:"1620258909";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:29:"fullcalendar_view 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/fullcalendar_view/releases/8.x-1.x-dev";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/fullcalendar_view-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1519887184";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681653330;}', 1681739730);
INSERT INTO `key_value_expire` VALUES
('update_available_releases', 'juicerio', 'a:10:{s:5:"title";s:37:"Juicer - Social Media Feed Aggregator";s:10:"short_name";s:8:"juicerio";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:4:"2.0.";s:18:"composer_namespace";s:15:"drupal/juicerio";s:14:"project_status";s:9:"published";s:4:"link";s:39:"https://www.drupal.org/project/juicerio";s:5:"terms";s:0:"";s:8:"releases";a:13:{s:5:"2.0.3";a:11:{s:4:"name";s:14:"juicerio 2.0.3";s:7:"version";s:5:"2.0.3";s:3:"tag";s:5:"2.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:54:"https://www.drupal.org/project/juicerio/releases/2.0.3";s:13:"download_link";s:59:"https://ftp.drupal.org/files/projects/juicerio-2.0.3.tar.gz";s:4:"date";s:10:"1675604333";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:15:"^8 || ^9 || ^10";}s:5:"2.0.2";a:11:{s:4:"name";s:14:"juicerio 2.0.2";s:7:"version";s:5:"2.0.2";s:3:"tag";s:5:"2.0.2";s:6:"status";s:9:"published";s:12:"release_link";s:54:"https://www.drupal.org/project/juicerio/releases/2.0.2";s:13:"download_link";s:59:"https://ftp.drupal.org/files/projects/juicerio-2.0.2.tar.gz";s:4:"date";s:10:"1664519605";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:5:"2.0.1";a:11:{s:4:"name";s:14:"juicerio 2.0.1";s:7:"version";s:5:"2.0.1";s:3:"tag";s:5:"2.0.1";s:6:"status";s:9:"published";s:12:"release_link";s:54:"https://www.drupal.org/project/juicerio/releases/2.0.1";s:13:"download_link";s:59:"https://ftp.drupal.org/files/projects/juicerio-2.0.1.tar.gz";s:4:"date";s:10:"1664519212";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";}s:13:"8.x-1.0-beta2";a:11:{s:4:"name";s:22:"juicerio 8.x-1.0-beta2";s:7:"version";s:13:"8.x-1.0-beta2";s:3:"tag";s:13:"8.x-1.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/juicerio/releases/8.x-1.0-beta2";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.0-beta2.tar.gz";s:4:"date";s:10:"1664518404";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";}s:13:"8.x-1.0-beta1";a:11:{s:4:"name";s:22:"juicerio 8.x-1.0-beta1";s:7:"version";s:13:"8.x-1.0-beta1";s:3:"tag";s:13:"8.x-1.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/juicerio/releases/8.x-1.0-beta1";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.0-beta1.tar.gz";s:4:"date";s:10:"1664518327";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha5";a:11:{s:4:"name";s:23:"juicerio 8.x-1.0-alpha5";s:7:"version";s:14:"8.x-1.0-alpha5";s:3:"tag";s:14:"8.x-1.0-alpha5";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/juicerio/releases/8.x-1.0-alpha5";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.0-alpha5.tar.gz";s:4:"date";s:10:"1519270085";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha4";a:11:{s:4:"name";s:23:"juicerio 8.x-1.0-alpha4";s:7:"version";s:14:"8.x-1.0-alpha4";s:3:"tag";s:14:"8.x-1.0-alpha4";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/juicerio/releases/8.x-1.0-alpha4";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.0-alpha4.tar.gz";s:4:"date";s:10:"1507955347";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha3";a:11:{s:4:"name";s:23:"juicerio 8.x-1.0-alpha3";s:7:"version";s:14:"8.x-1.0-alpha3";s:3:"tag";s:14:"8.x-1.0-alpha3";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/juicerio/releases/8.x-1.0-alpha3";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.0-alpha3.tar.gz";s:4:"date";s:10:"1498271043";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha2";a:11:{s:4:"name";s:23:"juicerio 8.x-1.0-alpha2";s:7:"version";s:14:"8.x-1.0-alpha2";s:3:"tag";s:14:"8.x-1.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/juicerio/releases/8.x-1.0-alpha2";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.0-alpha2.tar.gz";s:4:"date";s:10:"1498270143";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha1";a:11:{s:4:"name";s:23:"juicerio 8.x-1.0-alpha1";s:7:"version";s:14:"8.x-1.0-alpha1";s:3:"tag";s:14:"8.x-1.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:63:"https://www.drupal.org/project/juicerio/releases/8.x-1.0-alpha1";s:13:"download_link";s:68:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.0-alpha1.tar.gz";s:4:"date";s:10:"1498268343";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:9:"2.0.x-dev";a:11:{s:4:"name";s:18:"juicerio 2.0.x-dev";s:7:"version";s:9:"2.0.x-dev";s:3:"tag";s:5:"2.0.x";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/juicerio/releases/2.0.x-dev";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/juicerio-2.0.x-dev.tar.gz";s:4:"date";s:10:"1675604132";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:15:"^8 || ^9 || ^10";}s:7:"2.x-dev";a:11:{s:4:"name";s:16:"juicerio 2.x-dev";s:7:"version";s:7:"2.x-dev";s:3:"tag";s:3:"2.x";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/juicerio/releases/2.x-dev";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/juicerio-2.x-dev.tar.gz";s:4:"date";s:10:"1664518895";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:20:"juicerio 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/juicerio/releases/8.x-1.x-dev";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/juicerio-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1664518180";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681648324;}', 1681734724),
('update_available_releases', 'paragraphs', 'a:10:{s:5:"title";s:10:"Paragraphs";s:10:"short_name";s:10:"paragraphs";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:6:"8.x-1.";s:18:"composer_namespace";s:17:"drupal/paragraphs";s:14:"project_status";s:9:"published";s:4:"link";s:41:"https://www.drupal.org/project/paragraphs";s:5:"terms";s:0:"";s:8:"releases";a:21:{s:8:"8.x-1.15";a:11:{s:4:"name";s:19:"paragraphs 8.x-1.15";s:7:"version";s:8:"8.x-1.15";s:3:"tag";s:8:"8.x-1.15";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/paragraphs/releases/8.x-1.15";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.15.tar.gz";s:4:"date";s:10:"1661440897";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.3 || ^10";}s:8:"8.x-1.14";a:11:{s:4:"name";s:19:"paragraphs 8.x-1.14";s:7:"version";s:8:"8.x-1.14";s:3:"tag";s:8:"8.x-1.14";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/paragraphs/releases/8.x-1.14";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.14.tar.gz";s:4:"date";s:10:"1650520869";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^9.2";}s:8:"8.x-1.13";a:11:{s:4:"name";s:19:"paragraphs 8.x-1.13";s:7:"version";s:8:"8.x-1.13";s:3:"tag";s:8:"8.x-1.13";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/paragraphs/releases/8.x-1.13";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.13.tar.gz";s:4:"date";s:10:"1646121716";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:8:"8.x-1.12";a:11:{s:4:"name";s:19:"paragraphs 8.x-1.12";s:7:"version";s:8:"8.x-1.12";s:3:"tag";s:8:"8.x-1.12";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/paragraphs/releases/8.x-1.12";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.12.tar.gz";s:4:"date";s:10:"1590061335";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:8:"8.x-1.11";a:11:{s:4:"name";s:19:"paragraphs 8.x-1.11";s:7:"version";s:8:"8.x-1.11";s:3:"tag";s:8:"8.x-1.11";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/paragraphs/releases/8.x-1.11";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.11.tar.gz";s:4:"date";s:10:"1581850829";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:8:"8.x-1.10";a:11:{s:4:"name";s:19:"paragraphs 8.x-1.10";s:7:"version";s:8:"8.x-1.10";s:3:"tag";s:8:"8.x-1.10";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/paragraphs/releases/8.x-1.10";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.10.tar.gz";s:4:"date";s:10:"1572617586";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.9";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.9";s:7:"version";s:7:"8.x-1.9";s:3:"tag";s:7:"8.x-1.9";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.9";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.9.tar.gz";s:4:"date";s:10:"1565881389";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.8";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.8";s:7:"version";s:7:"8.x-1.8";s:3:"tag";s:7:"8.x-1.8";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.8";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.8.tar.gz";s:4:"date";s:10:"1553618281";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.7";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.7";s:7:"version";s:7:"8.x-1.7";s:3:"tag";s:7:"8.x-1.7";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.7";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.7.tar.gz";s:4:"date";s:10:"1553087589";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.6";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.6";s:7:"version";s:7:"8.x-1.6";s:3:"tag";s:7:"8.x-1.6";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.6";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.6.tar.gz";s:4:"date";s:10:"1550669584";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.5";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.5";s:7:"version";s:7:"8.x-1.5";s:3:"tag";s:7:"8.x-1.5";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.5";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.5.tar.gz";s:4:"date";s:10:"1541001780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.4";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.4";s:7:"version";s:7:"8.x-1.4";s:3:"tag";s:7:"8.x-1.4";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.4";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.4.tar.gz";s:4:"date";s:10:"1540628880";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.3";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.3";s:7:"version";s:7:"8.x-1.3";s:3:"tag";s:7:"8.x-1.3";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.3";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.3.tar.gz";s:4:"date";s:10:"1527502684";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.2";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.2";s:7:"version";s:7:"8.x-1.2";s:3:"tag";s:7:"8.x-1.2";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.2";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.2.tar.gz";s:4:"date";s:10:"1505802544";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.1";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.1";s:7:"version";s:7:"8.x-1.1";s:3:"tag";s:7:"8.x-1.1";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.1";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.1.tar.gz";s:4:"date";s:10:"1487331784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.0";a:11:{s:4:"name";s:18:"paragraphs 8.x-1.0";s:7:"version";s:7:"8.x-1.0";s:3:"tag";s:7:"8.x-1.0";s:6:"status";s:9:"published";s:12:"release_link";s:58:"https://www.drupal.org/project/paragraphs/releases/8.x-1.0";s:13:"download_link";s:63:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.0.tar.gz";s:4:"date";s:10:"1469725739";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc5";a:11:{s:4:"name";s:22:"paragraphs 8.x-1.0-rc5";s:7:"version";s:11:"8.x-1.0-rc5";s:3:"tag";s:11:"8.x-1.0-rc5";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/paragraphs/releases/8.x-1.0-rc5";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.0-rc5.tar.gz";s:4:"date";s:10:"1464728039";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc4";a:11:{s:4:"name";s:22:"paragraphs 8.x-1.0-rc4";s:7:"version";s:11:"8.x-1.0-rc4";s:3:"tag";s:11:"8.x-1.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/paragraphs/releases/8.x-1.0-rc4";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.0-rc4.tar.gz";s:4:"date";s:10:"1447766339";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha2";a:11:{s:4:"name";s:25:"paragraphs 8.x-1.0-alpha2";s:7:"version";s:14:"8.x-1.0-alpha2";s:3:"tag";s:14:"8.x-1.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/paragraphs/releases/8.x-1.0-alpha2";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.0-alpha2.tar.gz";s:4:"date";s:10:"1421889780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-1.0-alpha1";a:11:{s:4:"name";s:25:"paragraphs 8.x-1.0-alpha1";s:7:"version";s:14:"8.x-1.0-alpha1";s:3:"tag";s:14:"8.x-1.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/paragraphs/releases/8.x-1.0-alpha1";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.0-alpha1.tar.gz";s:4:"date";s:10:"1421790180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:22:"paragraphs 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/paragraphs/releases/8.x-1.x-dev";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/paragraphs-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1664283535";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.3 || ^10";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681653330;}', 1681739730),
('update_available_releases', 'superfish', 'a:10:{s:5:"title";s:9:"Superfish";s:10:"short_name";s:9:"superfish";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:6:"8.x-1.";s:18:"composer_namespace";s:16:"drupal/superfish";s:14:"project_status";s:9:"published";s:4:"link";s:40:"https://www.drupal.org/project/superfish";s:5:"terms";s:0:"";s:8:"releases";a:12:{s:7:"8.x-1.4";a:11:{s:4:"name";s:17:"superfish 8.x-1.4";s:7:"version";s:7:"8.x-1.4";s:3:"tag";s:7:"8.x-1.4";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/superfish/releases/8.x-1.4";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/superfish-8.x-1.4.tar.gz";s:4:"date";s:10:"1590438116";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}s:7:"8.x-1.3";a:11:{s:4:"name";s:17:"superfish 8.x-1.3";s:7:"version";s:7:"8.x-1.3";s:3:"tag";s:7:"8.x-1.3";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/superfish/releases/8.x-1.3";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/superfish-8.x-1.3.tar.gz";s:4:"date";s:10:"1544460480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.2";a:11:{s:4:"name";s:17:"superfish 8.x-1.2";s:7:"version";s:7:"8.x-1.2";s:3:"tag";s:7:"8.x-1.2";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/superfish/releases/8.x-1.2";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/superfish-8.x-1.2.tar.gz";s:4:"date";s:10:"1517739480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.1";a:11:{s:4:"name";s:17:"superfish 8.x-1.1";s:7:"version";s:7:"8.x-1.1";s:3:"tag";s:7:"8.x-1.1";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/superfish/releases/8.x-1.1";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/superfish-8.x-1.1.tar.gz";s:4:"date";s:10:"1496335443";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.0";a:11:{s:4:"name";s:17:"superfish 8.x-1.0";s:7:"version";s:7:"8.x-1.0";s:3:"tag";s:7:"8.x-1.0";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/superfish/releases/8.x-1.0";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/superfish-8.x-1.0.tar.gz";s:4:"date";s:10:"1496163842";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc6";a:11:{s:4:"name";s:21:"superfish 8.x-1.0-rc6";s:7:"version";s:11:"8.x-1.0-rc6";s:3:"tag";s:11:"8.x-1.0-rc6";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/superfish/releases/8.x-1.0-rc6";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/superfish-8.x-1.0-rc6.tar.gz";s:4:"date";s:10:"1486319283";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc5";a:11:{s:4:"name";s:21:"superfish 8.x-1.0-rc5";s:7:"version";s:11:"8.x-1.0-rc5";s:3:"tag";s:11:"8.x-1.0-rc5";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/superfish/releases/8.x-1.0-rc5";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/superfish-8.x-1.0-rc5.tar.gz";s:4:"date";s:10:"1479489839";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc4";a:11:{s:4:"name";s:21:"superfish 8.x-1.0-rc4";s:7:"version";s:11:"8.x-1.0-rc4";s:3:"tag";s:11:"8.x-1.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/superfish/releases/8.x-1.0-rc4";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/superfish-8.x-1.0-rc4.tar.gz";s:4:"date";s:10:"1478587140";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc3";a:11:{s:4:"name";s:21:"superfish 8.x-1.0-rc3";s:7:"version";s:11:"8.x-1.0-rc3";s:3:"tag";s:11:"8.x-1.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/superfish/releases/8.x-1.0-rc3";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/superfish-8.x-1.0-rc3.tar.gz";s:4:"date";s:10:"1478296140";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc2";a:11:{s:4:"name";s:21:"superfish 8.x-1.0-rc2";s:7:"version";s:11:"8.x-1.0-rc2";s:3:"tag";s:11:"8.x-1.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/superfish/releases/8.x-1.0-rc2";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/superfish-8.x-1.0-rc2.tar.gz";s:4:"date";s:10:"1447955642";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc1";a:11:{s:4:"name";s:21:"superfish 8.x-1.0-rc1";s:7:"version";s:11:"8.x-1.0-rc1";s:3:"tag";s:11:"8.x-1.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/superfish/releases/8.x-1.0-rc1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/superfish-8.x-1.0-rc1.tar.gz";s:4:"date";s:10:"1447941840";s:5:"files";s:0:"";s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:21:"superfish 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/superfish/releases/8.x-1.x-dev";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/superfish-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1590437886";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681648324;}', 1681734724),
('update_available_releases', 'video_embed_field', 'a:10:{s:5:"title";s:17:"Video Embed Field";s:10:"short_name";s:17:"video_embed_field";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:6:"8.x-2.";s:18:"composer_namespace";s:24:"drupal/video_embed_field";s:14:"project_status";s:9:"published";s:4:"link";s:48:"https://www.drupal.org/project/video_embed_field";s:5:"terms";s:0:"";s:8:"releases";a:25:{s:7:"8.x-2.5";a:11:{s:4:"name";s:25:"video_embed_field 8.x-2.5";s:7:"version";s:7:"8.x-2.5";s:3:"tag";s:7:"8.x-2.5";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.5";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.5.tar.gz";s:4:"date";s:10:"1671413311";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:11:"^9.2 || ^10";s:5:"terms";a:0:{}}s:7:"8.x-2.4";a:11:{s:4:"name";s:25:"video_embed_field 8.x-2.4";s:7:"version";s:7:"8.x-2.4";s:3:"tag";s:7:"8.x-2.4";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.4";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.4.tar.gz";s:4:"date";s:10:"1587686284";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";s:5:"terms";a:0:{}}s:7:"8.x-2.3";a:11:{s:4:"name";s:25:"video_embed_field 8.x-2.3";s:7:"version";s:7:"8.x-2.3";s:3:"tag";s:7:"8.x-2.3";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.3";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.3.tar.gz";s:4:"date";s:10:"1584489966";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";s:5:"terms";a:0:{}}s:7:"8.x-2.2";a:11:{s:4:"name";s:25:"video_embed_field 8.x-2.2";s:7:"version";s:7:"8.x-2.2";s:3:"tag";s:7:"8.x-2.2";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.2";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.2.tar.gz";s:4:"date";s:10:"1564103585";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.1";a:11:{s:4:"name";s:25:"video_embed_field 8.x-2.1";s:7:"version";s:7:"8.x-2.1";s:3:"tag";s:7:"8.x-2.1";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.1";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.1.tar.gz";s:4:"date";s:10:"1557724385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-2.0";a:11:{s:4:"name";s:25:"video_embed_field 8.x-2.0";s:7:"version";s:7:"8.x-2.0";s:3:"tag";s:7:"8.x-2.0";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0.tar.gz";s:4:"date";s:10:"1523338084";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:14:"8.x-2.0-alpha2";a:11:{s:4:"name";s:32:"video_embed_field 8.x-2.0-alpha2";s:7:"version";s:14:"8.x-2.0-alpha2";s:3:"tag";s:14:"8.x-2.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0-alpha2";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0-alpha2.tar.gz";s:4:"date";s:10:"1512694688";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-2.0-alpha1";a:11:{s:4:"name";s:32:"video_embed_field 8.x-2.0-alpha1";s:7:"version";s:14:"8.x-2.0-alpha1";s:3:"tag";s:14:"8.x-2.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:72:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0-alpha1";s:13:"download_link";s:77:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0-alpha1.tar.gz";s:4:"date";s:10:"1506684843";s:5:"files";s:0:"";s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:7:"8.x-1.6";a:11:{s:4:"name";s:25:"video_embed_field 8.x-1.6";s:7:"version";s:7:"8.x-1.6";s:3:"tag";s:7:"8.x-1.6";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.6";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.6.tar.gz";s:4:"date";s:10:"1557724385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.5";a:11:{s:4:"name";s:25:"video_embed_field 8.x-1.5";s:7:"version";s:7:"8.x-1.5";s:3:"tag";s:7:"8.x-1.5";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.5";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.5.tar.gz";s:4:"date";s:10:"1493246342";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.4";a:11:{s:4:"name";s:25:"video_embed_field 8.x-1.4";s:7:"version";s:7:"8.x-1.4";s:3:"tag";s:7:"8.x-1.4";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.4";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.4.tar.gz";s:4:"date";s:10:"1484253183";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.3";a:11:{s:4:"name";s:25:"video_embed_field 8.x-1.3";s:7:"version";s:7:"8.x-1.3";s:3:"tag";s:7:"8.x-1.3";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.3";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.3.tar.gz";s:4:"date";s:10:"1470991139";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.2";a:11:{s:4:"name";s:25:"video_embed_field 8.x-1.2";s:7:"version";s:7:"8.x-1.2";s:3:"tag";s:7:"8.x-1.2";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.2";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.2.tar.gz";s:4:"date";s:10:"1469178539";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-1.1";a:11:{s:4:"name";s:25:"video_embed_field 8.x-1.1";s:7:"version";s:7:"8.x-1.1";s:3:"tag";s:7:"8.x-1.1";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.1";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.1.tar.gz";s:4:"date";s:10:"1466402039";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:7:"8.x-1.0";a:11:{s:4:"name";s:25:"video_embed_field 8.x-1.0";s:7:"version";s:7:"8.x-1.0";s:3:"tag";s:7:"8.x-1.0";s:6:"status";s:9:"published";s:12:"release_link";s:65:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0";s:13:"download_link";s:70:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0.tar.gz";s:4:"date";s:10:"1463131439";s:5:"files";s:0:"";s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-1.0-rc8";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc8";s:7:"version";s:11:"8.x-1.0-rc8";s:3:"tag";s:11:"8.x-1.0-rc8";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc8";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc8.tar.gz";s:4:"date";s:10:"1461927809";s:5:"files";s:0:"";s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-1.0-rc7";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc7";s:7:"version";s:11:"8.x-1.0-rc7";s:3:"tag";s:11:"8.x-1.0-rc7";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc7";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc7.tar.gz";s:4:"date";s:10:"1460534039";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc6";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc6";s:7:"version";s:11:"8.x-1.0-rc6";s:3:"tag";s:11:"8.x-1.0-rc6";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc6";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc6.tar.gz";s:4:"date";s:10:"1459730642";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc5";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc5";s:7:"version";s:11:"8.x-1.0-rc5";s:3:"tag";s:11:"8.x-1.0-rc5";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc5";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc5.tar.gz";s:4:"date";s:10:"1458050080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc4";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc4";s:7:"version";s:11:"8.x-1.0-rc4";s:3:"tag";s:11:"8.x-1.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc4";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc4.tar.gz";s:4:"date";s:10:"1457346497";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc3";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc3";s:7:"version";s:11:"8.x-1.0-rc3";s:3:"tag";s:11:"8.x-1.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc3";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc3.tar.gz";s:4:"date";s:10:"1453357740";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc2";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc2";s:7:"version";s:11:"8.x-1.0-rc2";s:3:"tag";s:11:"8.x-1.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc2";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc2.tar.gz";s:4:"date";s:10:"1450136640";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-1.0-rc1";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.0-rc1";s:7:"version";s:11:"8.x-1.0-rc1";s:3:"tag";s:11:"8.x-1.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc1";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc1.tar.gz";s:4:"date";s:10:"1447238040";s:5:"files";s:0:"";s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}s:11:"8.x-2.x-dev";a:11:{s:4:"name";s:29:"video_embed_field 8.x-2.x-dev";s:7:"version";s:11:"8.x-2.x-dev";s:3:"tag";s:7:"8.x-2.x";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-2.x-dev";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.x-dev.tar.gz";s:4:"date";s:10:"1671413203";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.2 || ^10";s:5:"terms";a:0:{}}s:11:"8.x-1.x-dev";a:11:{s:4:"name";s:29:"video_embed_field 8.x-1.x-dev";s:7:"version";s:11:"8.x-1.x-dev";s:3:"tag";s:7:"8.x-1.x";s:6:"status";s:9:"published";s:12:"release_link";s:69:"https://www.drupal.org/project/video_embed_field/releases/8.x-1.x-dev";s:13:"download_link";s:74:"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.x-dev.tar.gz";s:4:"date";s:10:"1558683487";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681653330;}', 1681739730),
('update_available_releases', 'webform', 'a:10:{s:5:"title";s:7:"Webform";s:10:"short_name";s:7:"webform";s:4:"type";s:14:"project_module";s:18:"supported_branches";s:14:"6.0.,6.1.,6.2.";s:18:"composer_namespace";s:14:"drupal/webform";s:14:"project_status";s:9:"published";s:4:"link";s:38:"https://www.drupal.org/project/webform";s:5:"terms";s:0:"";s:8:"releases";a:175:{s:11:"6.2.0-beta5";a:11:{s:4:"name";s:19:"webform 6.2.0-beta5";s:7:"version";s:11:"6.2.0-beta5";s:3:"tag";s:11:"6.2.0-beta5";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.2.0-beta5";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.2.0-beta5.tar.gz";s:4:"date";s:10:"1673535773";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.4 || ^10";}s:11:"6.2.0-beta4";a:11:{s:4:"name";s:19:"webform 6.2.0-beta4";s:7:"version";s:11:"6.2.0-beta4";s:3:"tag";s:11:"6.2.0-beta4";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.2.0-beta4";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.2.0-beta4.tar.gz";s:4:"date";s:10:"1672758935";s:5:"files";s:0:"";s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.4 || ^10";s:5:"terms";a:0:{}}s:11:"6.2.0-beta3";a:11:{s:4:"name";s:19:"webform 6.2.0-beta3";s:7:"version";s:11:"6.2.0-beta3";s:3:"tag";s:11:"6.2.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.2.0-beta3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.2.0-beta3.tar.gz";s:4:"date";s:10:"1663937872";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^9.4";}s:11:"6.2.0-beta2";a:11:{s:4:"name";s:19:"webform 6.2.0-beta2";s:7:"version";s:11:"6.2.0-beta2";s:3:"tag";s:11:"6.2.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.2.0-beta2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.2.0-beta2.tar.gz";s:4:"date";s:10:"1644940970";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^9.2";}s:11:"6.2.0-beta1";a:11:{s:4:"name";s:19:"webform 6.2.0-beta1";s:7:"version";s:11:"6.2.0-beta1";s:3:"tag";s:11:"6.2.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.2.0-beta1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.2.0-beta1.tar.gz";s:4:"date";s:10:"1640795829";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^9.2";}s:5:"6.1.4";a:11:{s:4:"name";s:13:"webform 6.1.4";s:7:"version";s:5:"6.1.4";s:3:"tag";s:5:"6.1.4";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.1.4";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.1.4.tar.gz";s:4:"date";s:10:"1673535467";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:11:"6.1.4-beta2";a:11:{s:4:"name";s:19:"webform 6.1.4-beta2";s:7:"version";s:11:"6.1.4-beta2";s:3:"tag";s:11:"6.1.4-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.1.4-beta2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.1.4-beta2.tar.gz";s:4:"date";s:10:"1672758568";s:5:"files";s:0:"";s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";s:5:"terms";a:0:{}}s:11:"6.1.4-beta1";a:11:{s:4:"name";s:19:"webform 6.1.4-beta1";s:7:"version";s:11:"6.1.4-beta1";s:3:"tag";s:11:"6.1.4-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.1.4-beta1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.1.4-beta1.tar.gz";s:4:"date";s:10:"1663937578";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.1.3";a:11:{s:4:"name";s:13:"webform 6.1.3";s:7:"version";s:5:"6.1.3";s:3:"tag";s:5:"6.1.3";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.1.3";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.1.3.tar.gz";s:4:"date";s:10:"1644940723";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:11:"6.1.3-beta1";a:11:{s:4:"name";s:19:"webform 6.1.3-beta1";s:7:"version";s:11:"6.1.3-beta1";s:3:"tag";s:11:"6.1.3-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.1.3-beta1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.1.3-beta1.tar.gz";s:4:"date";s:10:"1640795631";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.1.2";a:11:{s:4:"name";s:13:"webform 6.1.2";s:7:"version";s:5:"6.1.2";s:3:"tag";s:5:"6.1.2";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.1.2";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.1.2.tar.gz";s:4:"date";s:10:"1638917151";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:12:"New features";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.1.1";a:11:{s:4:"name";s:13:"webform 6.1.1";s:7:"version";s:5:"6.1.1";s:3:"tag";s:5:"6.1.1";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.1.1";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.1.1.tar.gz";s:4:"date";s:10:"1638398898";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.1.0";a:11:{s:4:"name";s:13:"webform 6.1.0";s:7:"version";s:5:"6.1.0";s:3:"tag";s:5:"6.1.0";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.1.0";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.1.0.tar.gz";s:4:"date";s:10:"1635676666";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:11:"6.1.0-beta2";a:11:{s:4:"name";s:19:"webform 6.1.0-beta2";s:7:"version";s:11:"6.1.0-beta2";s:3:"tag";s:11:"6.1.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.1.0-beta2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.1.0-beta2.tar.gz";s:4:"date";s:10:"1629904016";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:4:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:12:"New features";i:3;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:11:"6.1.0-beta1";a:11:{s:4:"name";s:19:"webform 6.1.0-beta1";s:7:"version";s:11:"6.1.0-beta1";s:3:"tag";s:11:"6.1.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.1.0-beta1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.1.0-beta1.tar.gz";s:4:"date";s:10:"1626269425";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.8";a:11:{s:4:"name";s:13:"webform 6.0.8";s:7:"version";s:5:"6.0.8";s:3:"tag";s:5:"6.0.8";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.8";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.8.tar.gz";s:4:"date";s:10:"1673535119";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.7";a:11:{s:4:"name";s:13:"webform 6.0.7";s:7:"version";s:5:"6.0.7";s:3:"tag";s:5:"6.0.7";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.7";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.7.tar.gz";s:4:"date";s:10:"1644940479";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:9:"Bug fixes";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.6";a:11:{s:4:"name";s:13:"webform 6.0.6";s:7:"version";s:5:"6.0.6";s:3:"tag";s:5:"6.0.6";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.6";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.6.tar.gz";s:4:"date";s:10:"1638916646";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.5";a:11:{s:4:"name";s:13:"webform 6.0.5";s:7:"version";s:5:"6.0.5";s:3:"tag";s:5:"6.0.5";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.5";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.5.tar.gz";s:4:"date";s:10:"1629903941";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.4";a:11:{s:4:"name";s:13:"webform 6.0.4";s:7:"version";s:5:"6.0.4";s:3:"tag";s:5:"6.0.4";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.4";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.4.tar.gz";s:4:"date";s:10:"1624461046";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.3";a:11:{s:4:"name";s:13:"webform 6.0.3";s:7:"version";s:5:"6.0.3";s:3:"tag";s:5:"6.0.3";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.3";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.3.tar.gz";s:4:"date";s:10:"1620250254";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.2";a:11:{s:4:"name";s:13:"webform 6.0.2";s:7:"version";s:5:"6.0.2";s:3:"tag";s:5:"6.0.2";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.2";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.2.tar.gz";s:4:"date";s:10:"1614711149";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.1";a:11:{s:4:"name";s:13:"webform 6.0.1";s:7:"version";s:5:"6.0.1";s:3:"tag";s:5:"6.0.1";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.1";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.1.tar.gz";s:4:"date";s:10:"1612453373";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:5:"6.0.0";a:11:{s:4:"name";s:13:"webform 6.0.0";s:7:"version";s:5:"6.0.0";s:3:"tag";s:5:"6.0.0";s:6:"status";s:9:"published";s:12:"release_link";s:53:"https://www.drupal.org/project/webform/releases/6.0.0";s:13:"download_link";s:58:"https://ftp.drupal.org/files/projects/webform-6.0.0.tar.gz";s:4:"date";s:10:"1608855845";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:11:"6.0.0-beta3";a:11:{s:4:"name";s:19:"webform 6.0.0-beta3";s:7:"version";s:11:"6.0.0-beta3";s:3:"tag";s:11:"6.0.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.0.0-beta3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.0.0-beta3.tar.gz";s:4:"date";s:10:"1608425493";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:11:"6.0.0-beta2";a:11:{s:4:"name";s:19:"webform 6.0.0-beta2";s:7:"version";s:11:"6.0.0-beta2";s:3:"tag";s:11:"6.0.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.0.0-beta2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.0.0-beta2.tar.gz";s:4:"date";s:10:"1606687841";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:11:"6.0.0-beta1";a:11:{s:4:"name";s:19:"webform 6.0.0-beta1";s:7:"version";s:11:"6.0.0-beta1";s:3:"tag";s:11:"6.0.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/6.0.0-beta1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-6.0.0-beta1.tar.gz";s:4:"date";s:10:"1606179568";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha21";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha21";s:7:"version";s:13:"6.0.0-alpha21";s:3:"tag";s:13:"6.0.0-alpha21";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha21";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha21.tar.gz";s:4:"date";s:10:"1604531929";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha20";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha20";s:7:"version";s:13:"6.0.0-alpha20";s:3:"tag";s:13:"6.0.0-alpha20";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha20";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha20.tar.gz";s:4:"date";s:10:"1601919730";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha19";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha19";s:7:"version";s:13:"6.0.0-alpha19";s:3:"tag";s:13:"6.0.0-alpha19";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha19";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha19.tar.gz";s:4:"date";s:10:"1601647879";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha18";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha18";s:7:"version";s:13:"6.0.0-alpha18";s:3:"tag";s:13:"6.0.0-alpha18";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha18";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha18.tar.gz";s:4:"date";s:10:"1601385862";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha17";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha17";s:7:"version";s:13:"6.0.0-alpha17";s:3:"tag";s:13:"6.0.0-alpha17";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha17";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha17.tar.gz";s:4:"date";s:10:"1600376449";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha16";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha16";s:7:"version";s:13:"6.0.0-alpha16";s:3:"tag";s:13:"6.0.0-alpha16";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha16";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha16.tar.gz";s:4:"date";s:10:"1599851828";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha15";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha15";s:7:"version";s:13:"6.0.0-alpha15";s:3:"tag";s:13:"6.0.0-alpha15";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha15";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha15.tar.gz";s:4:"date";s:10:"1599240333";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha14";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha14";s:7:"version";s:13:"6.0.0-alpha14";s:3:"tag";s:13:"6.0.0-alpha14";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha14";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha14.tar.gz";s:4:"date";s:10:"1597828848";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha13";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha13";s:7:"version";s:13:"6.0.0-alpha13";s:3:"tag";s:13:"6.0.0-alpha13";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha13";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha13.tar.gz";s:4:"date";s:10:"1597166474";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha12";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha12";s:7:"version";s:13:"6.0.0-alpha12";s:3:"tag";s:13:"6.0.0-alpha12";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha12";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha12.tar.gz";s:4:"date";s:10:"1595283358";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha11";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha11";s:7:"version";s:13:"6.0.0-alpha11";s:3:"tag";s:13:"6.0.0-alpha11";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha11";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha11.tar.gz";s:4:"date";s:10:"1594713947";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:13:"6.0.0-alpha10";a:11:{s:4:"name";s:21:"webform 6.0.0-alpha10";s:7:"version";s:13:"6.0.0-alpha10";s:3:"tag";s:13:"6.0.0-alpha10";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/6.0.0-alpha10";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha10.tar.gz";s:4:"date";s:10:"1594241841";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha9";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha9";s:7:"version";s:12:"6.0.0-alpha9";s:3:"tag";s:12:"6.0.0-alpha9";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha9";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha9.tar.gz";s:4:"date";s:10:"1593681225";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha8";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha8";s:7:"version";s:12:"6.0.0-alpha8";s:3:"tag";s:12:"6.0.0-alpha8";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha8";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha8.tar.gz";s:4:"date";s:10:"1593034684";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha7";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha7";s:7:"version";s:12:"6.0.0-alpha7";s:3:"tag";s:12:"6.0.0-alpha7";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha7";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha7.tar.gz";s:4:"date";s:10:"1592841350";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha6";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha6";s:7:"version";s:12:"6.0.0-alpha6";s:3:"tag";s:12:"6.0.0-alpha6";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha6";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha6.tar.gz";s:4:"date";s:10:"1592616296";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha5";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha5";s:7:"version";s:12:"6.0.0-alpha5";s:3:"tag";s:12:"6.0.0-alpha5";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha5";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha5.tar.gz";s:4:"date";s:10:"1592495851";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha4";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha4";s:7:"version";s:12:"6.0.0-alpha4";s:3:"tag";s:12:"6.0.0-alpha4";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha4";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha4.tar.gz";s:4:"date";s:10:"1591273787";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha3";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha3";s:7:"version";s:12:"6.0.0-alpha3";s:3:"tag";s:12:"6.0.0-alpha3";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha3";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha3.tar.gz";s:4:"date";s:10:"1591199141";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:12:"6.0.0-alpha2";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha2";s:7:"version";s:12:"6.0.0-alpha2";s:3:"tag";s:12:"6.0.0-alpha2";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha2";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha2.tar.gz";s:4:"date";s:10:"1590971769";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";}s:12:"6.0.0-alpha1";a:11:{s:4:"name";s:20:"webform 6.0.0-alpha1";s:7:"version";s:12:"6.0.0-alpha1";s:3:"tag";s:12:"6.0.0-alpha1";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/6.0.0-alpha1";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-6.0.0-alpha1.tar.gz";s:4:"date";s:10:"1590950600";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:61:"Alpha releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:8:"^8 || ^9";}s:8:"8.x-5.31";a:11:{s:4:"name";s:16:"webform 8.x-5.31";s:7:"version";s:8:"8.x-5.31";s:3:"tag";s:8:"8.x-5.31";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.31";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.31.tar.gz";s:4:"date";s:10:"1638915771";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.30";a:11:{s:4:"name";s:16:"webform 8.x-5.30";s:7:"version";s:8:"8.x-5.30";s:3:"tag";s:8:"8.x-5.30";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.30";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.30.tar.gz";s:4:"date";s:10:"1638915163";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:15:"Security update";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.29";a:11:{s:4:"name";s:16:"webform 8.x-5.29";s:7:"version";s:8:"8.x-5.29";s:3:"tag";s:8:"8.x-5.29";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.29";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.29.tar.gz";s:4:"date";s:10:"1635676451";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.28";a:11:{s:4:"name";s:16:"webform 8.x-5.28";s:7:"version";s:8:"8.x-5.28";s:3:"tag";s:8:"8.x-5.28";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.28";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.28.tar.gz";s:4:"date";s:10:"1629903873";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:4:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:12:"New features";i:3;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.28-beta1";a:11:{s:4:"name";s:22:"webform 8.x-5.28-beta1";s:7:"version";s:14:"8.x-5.28-beta1";s:3:"tag";s:14:"8.x-5.28-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.28-beta1";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.28-beta1.tar.gz";s:4:"date";s:10:"1626269167";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.27";a:11:{s:4:"name";s:16:"webform 8.x-5.27";s:7:"version";s:8:"8.x-5.27";s:3:"tag";s:8:"8.x-5.27";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.27";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.27.tar.gz";s:4:"date";s:10:"1624460854";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.26";a:11:{s:4:"name";s:16:"webform 8.x-5.26";s:7:"version";s:8:"8.x-5.26";s:3:"tag";s:8:"8.x-5.26";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.26";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.26.tar.gz";s:4:"date";s:10:"1620250064";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.25";a:11:{s:4:"name";s:16:"webform 8.x-5.25";s:7:"version";s:8:"8.x-5.25";s:3:"tag";s:8:"8.x-5.25";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.25";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.25.tar.gz";s:4:"date";s:10:"1614711099";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.24";a:11:{s:4:"name";s:16:"webform 8.x-5.24";s:7:"version";s:8:"8.x-5.24";s:3:"tag";s:8:"8.x-5.24";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.24";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.24.tar.gz";s:4:"date";s:10:"1612453175";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.23";a:11:{s:4:"name";s:16:"webform 8.x-5.23";s:7:"version";s:8:"8.x-5.23";s:3:"tag";s:8:"8.x-5.23";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.23";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.23.tar.gz";s:4:"date";s:10:"1608855643";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.23-beta4";a:11:{s:4:"name";s:22:"webform 8.x-5.23-beta4";s:7:"version";s:14:"8.x-5.23-beta4";s:3:"tag";s:14:"8.x-5.23-beta4";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.23-beta4";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.23-beta4.tar.gz";s:4:"date";s:10:"1608425252";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.23-beta3";a:11:{s:4:"name";s:22:"webform 8.x-5.23-beta3";s:7:"version";s:14:"8.x-5.23-beta3";s:3:"tag";s:14:"8.x-5.23-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.23-beta3";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.23-beta3.tar.gz";s:4:"date";s:10:"1606687658";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.23-beta2";a:11:{s:4:"name";s:22:"webform 8.x-5.23-beta2";s:7:"version";s:14:"8.x-5.23-beta2";s:3:"tag";s:14:"8.x-5.23-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.23-beta2";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.23-beta2.tar.gz";s:4:"date";s:10:"1606179294";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.23-beta1";a:11:{s:4:"name";s:22:"webform 8.x-5.23-beta1";s:7:"version";s:14:"8.x-5.23-beta1";s:3:"tag";s:14:"8.x-5.23-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.23-beta1";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.23-beta1.tar.gz";s:4:"date";s:10:"1604531721";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.22";a:11:{s:4:"name";s:16:"webform 8.x-5.22";s:7:"version";s:8:"8.x-5.22";s:3:"tag";s:8:"8.x-5.22";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.22";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.22.tar.gz";s:4:"date";s:10:"1601919522";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.21";a:11:{s:4:"name";s:16:"webform 8.x-5.21";s:7:"version";s:8:"8.x-5.21";s:3:"tag";s:8:"8.x-5.21";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.21";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.21.tar.gz";s:4:"date";s:10:"1601385690";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.20";a:11:{s:4:"name";s:16:"webform 8.x-5.20";s:7:"version";s:8:"8.x-5.20";s:3:"tag";s:8:"8.x-5.20";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.20";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.20.tar.gz";s:4:"date";s:10:"1599851752";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.20-beta6";a:11:{s:4:"name";s:22:"webform 8.x-5.20-beta6";s:7:"version";s:14:"8.x-5.20-beta6";s:3:"tag";s:14:"8.x-5.20-beta6";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.20-beta6";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.20-beta6.tar.gz";s:4:"date";s:10:"1599240197";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.20-beta5";a:11:{s:4:"name";s:22:"webform 8.x-5.20-beta5";s:7:"version";s:14:"8.x-5.20-beta5";s:3:"tag";s:14:"8.x-5.20-beta5";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.20-beta5";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.20-beta5.tar.gz";s:4:"date";s:10:"1597828670";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.20-beta4";a:11:{s:4:"name";s:22:"webform 8.x-5.20-beta4";s:7:"version";s:14:"8.x-5.20-beta4";s:3:"tag";s:14:"8.x-5.20-beta4";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.20-beta4";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.20-beta4.tar.gz";s:4:"date";s:10:"1597166399";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.20-beta3";a:11:{s:4:"name";s:22:"webform 8.x-5.20-beta3";s:7:"version";s:14:"8.x-5.20-beta3";s:3:"tag";s:14:"8.x-5.20-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.20-beta3";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.20-beta3.tar.gz";s:4:"date";s:10:"1595283192";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.20-beta2";a:11:{s:4:"name";s:22:"webform 8.x-5.20-beta2";s:7:"version";s:14:"8.x-5.20-beta2";s:3:"tag";s:14:"8.x-5.20-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.20-beta2";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.20-beta2.tar.gz";s:4:"date";s:10:"1594713787";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.20-beta1";a:11:{s:4:"name";s:22:"webform 8.x-5.20-beta1";s:7:"version";s:14:"8.x-5.20-beta1";s:3:"tag";s:14:"8.x-5.20-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.20-beta1";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.20-beta1.tar.gz";s:4:"date";s:10:"1594241756";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.19";a:11:{s:4:"name";s:16:"webform 8.x-5.19";s:7:"version";s:8:"8.x-5.19";s:3:"tag";s:8:"8.x-5.19";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.19";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.19.tar.gz";s:4:"date";s:10:"1593681136";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.18";a:11:{s:4:"name";s:16:"webform 8.x-5.18";s:7:"version";s:8:"8.x-5.18";s:3:"tag";s:8:"8.x-5.18";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.18";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.18.tar.gz";s:4:"date";s:10:"1593034084";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.17";a:11:{s:4:"name";s:16:"webform 8.x-5.17";s:7:"version";s:8:"8.x-5.17";s:3:"tag";s:8:"8.x-5.17";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.17";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.17.tar.gz";s:4:"date";s:10:"1592841189";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:14:"8.x-5.17-beta1";a:11:{s:4:"name";s:22:"webform 8.x-5.17-beta1";s:7:"version";s:14:"8.x-5.17-beta1";s:3:"tag";s:14:"8.x-5.17-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.17-beta1";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.17-beta1.tar.gz";s:4:"date";s:10:"1592495751";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.16";a:11:{s:4:"name";s:16:"webform 8.x-5.16";s:7:"version";s:8:"8.x-5.16";s:3:"tag";s:8:"8.x-5.16";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.16";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.16.tar.gz";s:4:"date";s:10:"1591198998";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:4:"^8.8";}s:8:"8.x-5.15";a:11:{s:4:"name";s:16:"webform 8.x-5.15";s:7:"version";s:8:"8.x-5.15";s:3:"tag";s:8:"8.x-5.15";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.15";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.15.tar.gz";s:4:"date";s:10:"1590971702";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:2:"^8";}s:8:"8.x-5.14";a:11:{s:4:"name";s:16:"webform 8.x-5.14";s:7:"version";s:8:"8.x-5.14";s:3:"tag";s:8:"8.x-5.14";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.14";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.14.tar.gz";s:4:"date";s:10:"1590950034";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:2:"^8";}s:14:"8.x-5.14-beta2";a:11:{s:4:"name";s:22:"webform 8.x-5.14-beta2";s:7:"version";s:14:"8.x-5.14-beta2";s:3:"tag";s:14:"8.x-5.14-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.14-beta2";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.14-beta2.tar.gz";s:4:"date";s:10:"1590499309";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:14:"8.x-5.14-beta1";a:11:{s:4:"name";s:22:"webform 8.x-5.14-beta1";s:7:"version";s:14:"8.x-5.14-beta1";s:3:"tag";s:14:"8.x-5.14-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.14-beta1";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.14-beta1.tar.gz";s:4:"date";s:10:"1590275692";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";}s:8:"8.x-5.13";a:11:{s:4:"name";s:16:"webform 8.x-5.13";s:7:"version";s:8:"8.x-5.13";s:3:"tag";s:8:"8.x-5.13";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.13";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.13.tar.gz";s:4:"date";s:10:"1589661354";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:8:"8.x-5.12";a:11:{s:4:"name";s:16:"webform 8.x-5.12";s:7:"version";s:8:"8.x-5.12";s:3:"tag";s:8:"8.x-5.12";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.12";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.12.tar.gz";s:4:"date";s:10:"1589372278";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:15:"Security update";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:8:"8.x-5.11";a:11:{s:4:"name";s:16:"webform 8.x-5.11";s:7:"version";s:8:"8.x-5.11";s:3:"tag";s:8:"8.x-5.11";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.11";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.11.tar.gz";s:4:"date";s:10:"1588690387";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:15:"Security update";i:1;s:9:"Bug fixes";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:8:"8.x-5.10";a:11:{s:4:"name";s:16:"webform 8.x-5.10";s:7:"version";s:8:"8.x-5.10";s:3:"tag";s:8:"8.x-5.10";s:6:"status";s:9:"published";s:12:"release_link";s:56:"https://www.drupal.org/project/webform/releases/8.x-5.10";s:13:"download_link";s:61:"https://ftp.drupal.org/files/projects/webform-8.x-5.10.tar.gz";s:4:"date";s:10:"1588090448";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:7:"8.x-5.9";a:11:{s:4:"name";s:15:"webform 8.x-5.9";s:7:"version";s:7:"8.x-5.9";s:3:"tag";s:7:"8.x-5.9";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.9";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.9.tar.gz";s:4:"date";s:10:"1584560013";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:13:"8.x-5.9-beta2";a:11:{s:4:"name";s:21:"webform 8.x-5.9-beta2";s:7:"version";s:13:"8.x-5.9-beta2";s:3:"tag";s:13:"8.x-5.9-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.9-beta2";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.9-beta2.tar.gz";s:4:"date";s:10:"1582899185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:13:"8.x-5.9-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.9-beta1";s:7:"version";s:13:"8.x-5.9-beta1";s:3:"tag";s:13:"8.x-5.9-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.9-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.9-beta1.tar.gz";s:4:"date";s:10:"1581626310";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:12:"^8.7.7 || ^9";}s:7:"8.x-5.8";a:11:{s:4:"name";s:15:"webform 8.x-5.8";s:7:"version";s:7:"8.x-5.8";s:3:"tag";s:7:"8.x-5.8";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.8";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.8.tar.gz";s:4:"date";s:10:"1579637587";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:2:"^8";}s:7:"8.x-5.7";a:11:{s:4:"name";s:15:"webform 8.x-5.7";s:7:"version";s:7:"8.x-5.7";s:3:"tag";s:7:"8.x-5.7";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.7";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.7.tar.gz";s:4:"date";s:10:"1579208583";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:2:"^8";}s:13:"8.x-5.7-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.7-beta1";s:7:"version";s:13:"8.x-5.7-beta1";s:3:"tag";s:13:"8.x-5.7-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.7-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.7-beta1.tar.gz";s:4:"date";s:10:"1578341283";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:2:"^8";}s:7:"8.x-5.6";a:11:{s:4:"name";s:15:"webform 8.x-5.6";s:7:"version";s:7:"8.x-5.6";s:3:"tag";s:7:"8.x-5.6";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.6";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.6.tar.gz";s:4:"date";s:10:"1575331086";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.6-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.6-beta1";s:7:"version";s:13:"8.x-5.6-beta1";s:3:"tag";s:13:"8.x-5.6-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.6-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.6-beta1.tar.gz";s:4:"date";s:10:"1574077985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-5.5";a:11:{s:4:"name";s:15:"webform 8.x-5.5";s:7:"version";s:7:"8.x-5.5";s:3:"tag";s:7:"8.x-5.5";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.5";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.5.tar.gz";s:4:"date";s:10:"1572377284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.5-rc2";a:11:{s:4:"name";s:19:"webform 8.x-5.5-rc2";s:7:"version";s:11:"8.x-5.5-rc2";s:3:"tag";s:11:"8.x-5.5-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.5-rc2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.5-rc2.tar.gz";s:4:"date";s:10:"1570176784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.5-rc1";a:11:{s:4:"name";s:19:"webform 8.x-5.5-rc1";s:7:"version";s:11:"8.x-5.5-rc1";s:3:"tag";s:11:"8.x-5.5-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.5-rc1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.5-rc1.tar.gz";s:4:"date";s:10:"1569445386";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.5-beta2";a:11:{s:4:"name";s:21:"webform 8.x-5.5-beta2";s:7:"version";s:13:"8.x-5.5-beta2";s:3:"tag";s:13:"8.x-5.5-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.5-beta2";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.5-beta2.tar.gz";s:4:"date";s:10:"1568992985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.5-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.5-beta1";s:7:"version";s:13:"8.x-5.5-beta1";s:3:"tag";s:13:"8.x-5.5-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.5-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.5-beta1.tar.gz";s:4:"date";s:10:"1567698485";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-5.4";a:11:{s:4:"name";s:15:"webform 8.x-5.4";s:7:"version";s:7:"8.x-5.4";s:3:"tag";s:7:"8.x-5.4";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.4";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.4.tar.gz";s:4:"date";s:10:"1566209286";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.4-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.4-beta1";s:7:"version";s:13:"8.x-5.4-beta1";s:3:"tag";s:13:"8.x-5.4-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.4-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.4-beta1.tar.gz";s:4:"date";s:10:"1565332985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-5.3";a:11:{s:4:"name";s:15:"webform 8.x-5.3";s:7:"version";s:7:"8.x-5.3";s:3:"tag";s:7:"8.x-5.3";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.3";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.3.tar.gz";s:4:"date";s:10:"1563460085";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.3-rc3";a:11:{s:4:"name";s:19:"webform 8.x-5.3-rc3";s:7:"version";s:11:"8.x-5.3-rc3";s:3:"tag";s:11:"8.x-5.3-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.3-rc3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.3-rc3.tar.gz";s:4:"date";s:10:"1562013184";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.3-rc2";a:11:{s:4:"name";s:19:"webform 8.x-5.3-rc2";s:7:"version";s:11:"8.x-5.3-rc2";s:3:"tag";s:11:"8.x-5.3-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.3-rc2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.3-rc2.tar.gz";s:4:"date";s:10:"1561474385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.3-rc1";a:11:{s:4:"name";s:19:"webform 8.x-5.3-rc1";s:7:"version";s:11:"8.x-5.3-rc1";s:3:"tag";s:11:"8.x-5.3-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.3-rc1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.3-rc1.tar.gz";s:4:"date";s:10:"1559676185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.3-beta3";a:11:{s:4:"name";s:21:"webform 8.x-5.3-beta3";s:7:"version";s:13:"8.x-5.3-beta3";s:3:"tag";s:13:"8.x-5.3-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.3-beta3";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.3-beta3.tar.gz";s:4:"date";s:10:"1558032481";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.3-beta2";a:11:{s:4:"name";s:21:"webform 8.x-5.3-beta2";s:7:"version";s:13:"8.x-5.3-beta2";s:3:"tag";s:13:"8.x-5.3-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.3-beta2";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.3-beta2.tar.gz";s:4:"date";s:10:"1557417193";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.3-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.3-beta1";s:7:"version";s:13:"8.x-5.3-beta1";s:3:"tag";s:13:"8.x-5.3-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.3-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.3-beta1.tar.gz";s:4:"date";s:10:"1556736481";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-5.2";a:11:{s:4:"name";s:15:"webform 8.x-5.2";s:7:"version";s:7:"8.x-5.2";s:3:"tag";s:7:"8.x-5.2";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.2";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.2.tar.gz";s:4:"date";s:10:"1553768585";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.2-rc3";a:11:{s:4:"name";s:19:"webform 8.x-5.2-rc3";s:7:"version";s:11:"8.x-5.2-rc3";s:3:"tag";s:11:"8.x-5.2-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.2-rc3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.2-rc3.tar.gz";s:4:"date";s:10:"1552733285";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.2-rc2";a:11:{s:4:"name";s:19:"webform 8.x-5.2-rc2";s:7:"version";s:11:"8.x-5.2-rc2";s:3:"tag";s:11:"8.x-5.2-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.2-rc2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.2-rc2.tar.gz";s:4:"date";s:10:"1551880385";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.2-rc1";a:11:{s:4:"name";s:19:"webform 8.x-5.2-rc1";s:7:"version";s:11:"8.x-5.2-rc1";s:3:"tag";s:11:"8.x-5.2-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.2-rc1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.2-rc1.tar.gz";s:4:"date";s:10:"1551829980";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.2-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.2-beta1";s:7:"version";s:13:"8.x-5.2-beta1";s:3:"tag";s:13:"8.x-5.2-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.2-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.2-beta1.tar.gz";s:4:"date";s:10:"1548435780";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-5.1";a:11:{s:4:"name";s:15:"webform 8.x-5.1";s:7:"version";s:7:"8.x-5.1";s:3:"tag";s:7:"8.x-5.1";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.1";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.1.tar.gz";s:4:"date";s:10:"1546458480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:7:"8.x-5.0";a:11:{s:4:"name";s:15:"webform 8.x-5.0";s:7:"version";s:7:"8.x-5.0";s:3:"tag";s:7:"8.x-5.0";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/8.x-5.0";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-8.x-5.0.tar.gz";s:4:"date";s:10:"1545656285";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:44:"Covered by Drupal''s security advisory policy";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc31";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc31";s:7:"version";s:12:"8.x-5.0-rc31";s:3:"tag";s:12:"8.x-5.0-rc31";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc31";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc31.tar.gz";s:4:"date";s:10:"1545138180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc30";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc30";s:7:"version";s:12:"8.x-5.0-rc30";s:3:"tag";s:12:"8.x-5.0-rc30";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc30";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc30.tar.gz";s:4:"date";s:10:"1544990880";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc29";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc29";s:7:"version";s:12:"8.x-5.0-rc29";s:3:"tag";s:12:"8.x-5.0-rc29";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc29";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc29.tar.gz";s:4:"date";s:10:"1544223180";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc28";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc28";s:7:"version";s:12:"8.x-5.0-rc28";s:3:"tag";s:12:"8.x-5.0-rc28";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc28";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc28.tar.gz";s:4:"date";s:10:"1544218081";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc27";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc27";s:7:"version";s:12:"8.x-5.0-rc27";s:3:"tag";s:12:"8.x-5.0-rc27";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc27";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc27.tar.gz";s:4:"date";s:10:"1543520280";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc26";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc26";s:7:"version";s:12:"8.x-5.0-rc26";s:3:"tag";s:12:"8.x-5.0-rc26";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc26";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc26.tar.gz";s:4:"date";s:10:"1541466481";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc25";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc25";s:7:"version";s:12:"8.x-5.0-rc25";s:3:"tag";s:12:"8.x-5.0-rc25";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc25";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc25.tar.gz";s:4:"date";s:10:"1541452980";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc24";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc24";s:7:"version";s:12:"8.x-5.0-rc24";s:3:"tag";s:12:"8.x-5.0-rc24";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc24";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc24.tar.gz";s:4:"date";s:10:"1540255380";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc23";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc23";s:7:"version";s:12:"8.x-5.0-rc23";s:3:"tag";s:12:"8.x-5.0-rc23";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc23";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc23.tar.gz";s:4:"date";s:10:"1540052580";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc22";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc22";s:7:"version";s:12:"8.x-5.0-rc22";s:3:"tag";s:12:"8.x-5.0-rc22";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc22";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc22.tar.gz";s:4:"date";s:10:"1538482685";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc21";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc21";s:7:"version";s:12:"8.x-5.0-rc21";s:3:"tag";s:12:"8.x-5.0-rc21";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc21";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc21.tar.gz";s:4:"date";s:10:"1536405484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc20";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc20";s:7:"version";s:12:"8.x-5.0-rc20";s:3:"tag";s:12:"8.x-5.0-rc20";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc20";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc20.tar.gz";s:4:"date";s:10:"1536336480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc19";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc19";s:7:"version";s:12:"8.x-5.0-rc19";s:3:"tag";s:12:"8.x-5.0-rc19";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc19";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc19.tar.gz";s:4:"date";s:10:"1536257580";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc18";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc18";s:7:"version";s:12:"8.x-5.0-rc18";s:3:"tag";s:12:"8.x-5.0-rc18";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc18";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc18.tar.gz";s:4:"date";s:10:"1533682980";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc17";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc17";s:7:"version";s:12:"8.x-5.0-rc17";s:3:"tag";s:12:"8.x-5.0-rc17";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc17";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc17.tar.gz";s:4:"date";s:10:"1533563280";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc16";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc16";s:7:"version";s:12:"8.x-5.0-rc16";s:3:"tag";s:12:"8.x-5.0-rc16";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc16";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc16.tar.gz";s:4:"date";s:10:"1530298420";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc15";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc15";s:7:"version";s:12:"8.x-5.0-rc15";s:3:"tag";s:12:"8.x-5.0-rc15";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc15";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc15.tar.gz";s:4:"date";s:10:"1528795685";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc14";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc14";s:7:"version";s:12:"8.x-5.0-rc14";s:3:"tag";s:12:"8.x-5.0-rc14";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc14";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc14.tar.gz";s:4:"date";s:10:"1528277284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc13";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc13";s:7:"version";s:12:"8.x-5.0-rc13";s:3:"tag";s:12:"8.x-5.0-rc13";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc13";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc13.tar.gz";s:4:"date";s:10:"1528137480";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc12";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc12";s:7:"version";s:12:"8.x-5.0-rc12";s:3:"tag";s:12:"8.x-5.0-rc12";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc12";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc12.tar.gz";s:4:"date";s:10:"1524706684";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc11";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc11";s:7:"version";s:12:"8.x-5.0-rc11";s:3:"tag";s:12:"8.x-5.0-rc11";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc11";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc11.tar.gz";s:4:"date";s:10:"1524229380";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:12:"8.x-5.0-rc10";a:11:{s:4:"name";s:20:"webform 8.x-5.0-rc10";s:7:"version";s:12:"8.x-5.0-rc10";s:3:"tag";s:12:"8.x-5.0-rc10";s:6:"status";s:9:"published";s:12:"release_link";s:60:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc10";s:13:"download_link";s:65:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc10.tar.gz";s:4:"date";s:10:"1523291284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc9";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc9";s:7:"version";s:11:"8.x-5.0-rc9";s:3:"tag";s:11:"8.x-5.0-rc9";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc9";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc9.tar.gz";s:4:"date";s:10:"1523115484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc8";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc8";s:7:"version";s:11:"8.x-5.0-rc8";s:3:"tag";s:11:"8.x-5.0-rc8";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc8";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc8.tar.gz";s:4:"date";s:10:"1522698184";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc7";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc7";s:7:"version";s:11:"8.x-5.0-rc7";s:3:"tag";s:11:"8.x-5.0-rc7";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc7";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc7.tar.gz";s:4:"date";s:10:"1521829380";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc6";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc6";s:7:"version";s:11:"8.x-5.0-rc6";s:3:"tag";s:11:"8.x-5.0-rc6";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc6";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc6.tar.gz";s:4:"date";s:10:"1521230880";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc5";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc5";s:7:"version";s:11:"8.x-5.0-rc5";s:3:"tag";s:11:"8.x-5.0-rc5";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc5";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc5.tar.gz";s:4:"date";s:10:"1521041284";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc4";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc4";s:7:"version";s:11:"8.x-5.0-rc4";s:3:"tag";s:11:"8.x-5.0-rc4";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc4";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc4.tar.gz";s:4:"date";s:10:"1520964784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc3";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc3";s:7:"version";s:11:"8.x-5.0-rc3";s:3:"tag";s:11:"8.x-5.0-rc3";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc3";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc3.tar.gz";s:4:"date";s:10:"1517746080";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc2";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc2";s:7:"version";s:11:"8.x-5.0-rc2";s:3:"tag";s:11:"8.x-5.0-rc2";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc2";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc2.tar.gz";s:4:"date";s:10:"1517359384";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:11:"8.x-5.0-rc1";a:11:{s:4:"name";s:19:"webform 8.x-5.0-rc1";s:7:"version";s:11:"8.x-5.0-rc1";s:3:"tag";s:11:"8.x-5.0-rc1";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.0-rc1";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-rc1.tar.gz";s:4:"date";s:10:"1514196484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:58:"RC releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta25";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta25";s:7:"version";s:14:"8.x-5.0-beta25";s:3:"tag";s:14:"8.x-5.0-beta25";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta25";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta25.tar.gz";s:4:"date";s:10:"1513003985";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta24";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta24";s:7:"version";s:14:"8.x-5.0-beta24";s:3:"tag";s:14:"8.x-5.0-beta24";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta24";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta24.tar.gz";s:4:"date";s:10:"1510867685";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta23";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta23";s:7:"version";s:14:"8.x-5.0-beta23";s:3:"tag";s:14:"8.x-5.0-beta23";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta23";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta23.tar.gz";s:4:"date";s:10:"1509673984";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta22";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta22";s:7:"version";s:14:"8.x-5.0-beta22";s:3:"tag";s:14:"8.x-5.0-beta22";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta22";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta22.tar.gz";s:4:"date";s:10:"1509576185";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta21";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta21";s:7:"version";s:14:"8.x-5.0-beta21";s:3:"tag";s:14:"8.x-5.0-beta21";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta21";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta21.tar.gz";s:4:"date";s:10:"1509363484";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta20";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta20";s:7:"version";s:14:"8.x-5.0-beta20";s:3:"tag";s:14:"8.x-5.0-beta20";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta20";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta20.tar.gz";s:4:"date";s:10:"1509357785";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta19";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta19";s:7:"version";s:14:"8.x-5.0-beta19";s:3:"tag";s:14:"8.x-5.0-beta19";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta19";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta19.tar.gz";s:4:"date";s:10:"1506634743";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta18";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta18";s:7:"version";s:14:"8.x-5.0-beta18";s:3:"tag";s:14:"8.x-5.0-beta18";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta18";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta18.tar.gz";s:4:"date";s:10:"1505244243";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta17";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta17";s:7:"version";s:14:"8.x-5.0-beta17";s:3:"tag";s:14:"8.x-5.0-beta17";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta17";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta17.tar.gz";s:4:"date";s:10:"1505089745";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta16";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta16";s:7:"version";s:14:"8.x-5.0-beta16";s:3:"tag";s:14:"8.x-5.0-beta16";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta16";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta16.tar.gz";s:4:"date";s:10:"1502154844";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta15";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta15";s:7:"version";s:14:"8.x-5.0-beta15";s:3:"tag";s:14:"8.x-5.0-beta15";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta15";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta15.tar.gz";s:4:"date";s:10:"1498873444";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta14";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta14";s:7:"version";s:14:"8.x-5.0-beta14";s:3:"tag";s:14:"8.x-5.0-beta14";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta14";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta14.tar.gz";s:4:"date";s:10:"1498698843";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta13";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta13";s:7:"version";s:14:"8.x-5.0-beta13";s:3:"tag";s:14:"8.x-5.0-beta13";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta13";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta13.tar.gz";s:4:"date";s:10:"1496265842";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta12";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta12";s:7:"version";s:14:"8.x-5.0-beta12";s:3:"tag";s:14:"8.x-5.0-beta12";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta12";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta12.tar.gz";s:4:"date";s:10:"1492798443";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta11";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta11";s:7:"version";s:14:"8.x-5.0-beta11";s:3:"tag";s:14:"8.x-5.0-beta11";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta11";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta11.tar.gz";s:4:"date";s:10:"1491471183";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:14:"8.x-5.0-beta10";a:11:{s:4:"name";s:22:"webform 8.x-5.0-beta10";s:7:"version";s:14:"8.x-5.0-beta10";s:3:"tag";s:14:"8.x-5.0-beta10";s:6:"status";s:9:"published";s:12:"release_link";s:62:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta10";s:13:"download_link";s:67:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta10.tar.gz";s:4:"date";s:10:"1491362286";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta9";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta9";s:7:"version";s:13:"8.x-5.0-beta9";s:3:"tag";s:13:"8.x-5.0-beta9";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta9";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta9.tar.gz";s:4:"date";s:10:"1488753784";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta8";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta8";s:7:"version";s:13:"8.x-5.0-beta8";s:3:"tag";s:13:"8.x-5.0-beta8";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta8";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta8.tar.gz";s:4:"date";s:10:"1488739683";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta7";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta7";s:7:"version";s:13:"8.x-5.0-beta7";s:3:"tag";s:13:"8.x-5.0-beta7";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta7";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta7.tar.gz";s:4:"date";s:10:"1487143684";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta6";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta6";s:7:"version";s:13:"8.x-5.0-beta6";s:3:"tag";s:13:"8.x-5.0-beta6";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta6";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta6.tar.gz";s:4:"date";s:10:"1487025483";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta5";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta5";s:7:"version";s:13:"8.x-5.0-beta5";s:3:"tag";s:13:"8.x-5.0-beta5";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta5";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta5.tar.gz";s:4:"date";s:10:"1485776283";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta4";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta4";s:7:"version";s:13:"8.x-5.0-beta4";s:3:"tag";s:13:"8.x-5.0-beta4";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta4";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta4.tar.gz";s:4:"date";s:10:"1482752282";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta3";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta3";s:7:"version";s:13:"8.x-5.0-beta3";s:3:"tag";s:13:"8.x-5.0-beta3";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta3";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta3.tar.gz";s:4:"date";s:10:"1482316383";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:3:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";i:2;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta2";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta2";s:7:"version";s:13:"8.x-5.0-beta2";s:3:"tag";s:13:"8.x-5.0-beta2";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta2";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta2.tar.gz";s:4:"date";s:10:"1481192283";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:13:"8.x-5.0-beta1";a:11:{s:4:"name";s:21:"webform 8.x-5.0-beta1";s:7:"version";s:13:"8.x-5.0-beta1";s:3:"tag";s:13:"8.x-5.0-beta1";s:6:"status";s:9:"published";s:12:"release_link";s:61:"https://www.drupal.org/project/webform/releases/8.x-5.0-beta1";s:13:"download_link";s:66:"https://ftp.drupal.org/files/projects/webform-8.x-5.0-beta1.tar.gz";s:4:"date";s:10:"1481140089";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:1:{i:0;s:8:"Insecure";}}s:8:"security";s:60:"Beta releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:3:"8.x";}s:9:"6.2.x-dev";a:11:{s:4:"name";s:17:"webform 6.2.x-dev";s:7:"version";s:9:"6.2.x-dev";s:3:"tag";s:5:"6.2.x";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/webform/releases/6.2.x-dev";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/webform-6.2.x-dev.tar.gz";s:4:"date";s:10:"1681381149";s:5:"files";s:0:"";s:5:"terms";a:1:{s:12:"Release type";a:2:{i:0;s:9:"Bug fixes";i:1;s:12:"New features";}}s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:11:"^9.4 || ^10";}s:9:"6.1.x-dev";a:11:{s:4:"name";s:17:"webform 6.1.x-dev";s:7:"version";s:9:"6.1.x-dev";s:3:"tag";s:5:"6.1.x";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/webform/releases/6.1.x-dev";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/webform-6.1.x-dev.tar.gz";s:4:"date";s:10:"1681380579";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^9.3";s:5:"terms";a:0:{}}s:9:"6.0.x-dev";a:11:{s:4:"name";s:17:"webform 6.0.x-dev";s:7:"version";s:9:"6.0.x-dev";s:3:"tag";s:5:"6.0.x";s:6:"status";s:9:"published";s:12:"release_link";s:57:"https://www.drupal.org/project/webform/releases/6.0.x-dev";s:13:"download_link";s:62:"https://ftp.drupal.org/files/projects/webform-6.0.x-dev.tar.gz";s:4:"date";s:10:"1644873671";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:10:"^8.8 || ^9";s:5:"terms";a:0:{}}s:7:"6.x-dev";a:11:{s:4:"name";s:15:"webform 6.x-dev";s:7:"version";s:7:"6.x-dev";s:3:"tag";s:3:"6.x";s:6:"status";s:9:"published";s:12:"release_link";s:55:"https://www.drupal.org/project/webform/releases/6.x-dev";s:13:"download_link";s:60:"https://ftp.drupal.org/files/projects/webform-6.x-dev.tar.gz";s:4:"date";s:10:"1681380886";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^9.3";s:5:"terms";a:0:{}}s:11:"8.x-5.x-dev";a:11:{s:4:"name";s:19:"webform 8.x-5.x-dev";s:7:"version";s:11:"8.x-5.x-dev";s:3:"tag";s:7:"8.x-5.x";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-5.x-dev";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-5.x-dev.tar.gz";s:4:"date";s:10:"1638915617";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:18:"core_compatibility";s:4:"^8.8";s:5:"terms";a:0:{}}s:11:"8.x-4.x-dev";a:10:{s:4:"name";s:19:"webform 8.x-4.x-dev";s:7:"version";s:11:"8.x-4.x-dev";s:3:"tag";s:7:"8.x-4.x";s:6:"status";s:9:"published";s:12:"release_link";s:59:"https://www.drupal.org/project/webform/releases/8.x-4.x-dev";s:13:"download_link";s:64:"https://ftp.drupal.org/files/projects/webform-8.x-4.x-dev.tar.gz";s:4:"date";s:10:"1480317483";s:5:"files";s:0:"";s:8:"security";s:59:"Dev releases are not covered by Drupal security advisories.";s:5:"terms";a:0:{}}}s:10:"last_fetch";i:1681648324;}', 1681734724);
;

-- --------------------------------------------------------

--
-- Table structure for table `menu_link_content`
--

CREATE TABLE `menu_link_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `bundle` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menu_link_content_field__uuid__value` (`uuid`),
  UNIQUE KEY `menu_link_content__revision_id` (`revision_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for menu_link_content entities.';

--
-- Dumping data for table `menu_link_content`
--

INSERT INTO `menu_link_content` VALUES
(1, 1, 'menu_link_content', 'df77133f-33d8-40c7-b465-e6451721ac92', 'en'),
(3, 3, 'menu_link_content', '619f6fb8-9500-4e06-9d96-c99657a5a3c3', 'en'),
(4, 4, 'menu_link_content', 'b71ef69d-3e76-4aeb-9dbd-cdd461c28187', 'en'),
(6, 6, 'menu_link_content', '46d71c54-fa86-4922-832e-5b85197258b2', 'en'),
(7, 7, 'menu_link_content', 'ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'en'),
(8, 8, 'menu_link_content', 'd885efac-4a83-4c84-bc8f-68f41300bacd', 'en'),
(9, 9, 'menu_link_content', 'd0ef304a-5246-4977-98a7-dfc835e2a4d8', 'en'),
(11, 11, 'menu_link_content', 'd2dbe641-ddd9-49a5-ac0d-73cfa65ec2f2', 'en'),
(12, 12, 'menu_link_content', 'aac7ac25-9547-42a5-97b3-4d6ad5a19734', 'en'),
(13, 13, 'menu_link_content', '819ad9da-c46a-41a9-9d32-2943791ce48b', 'en'),
(15, 15, 'menu_link_content', 'ff0055e1-2453-4bda-9436-0473cabce714', 'en'),
(16, 16, 'menu_link_content', '7c08d680-4d48-471f-92ae-efed8cbe00b6', 'en'),
(19, 19, 'menu_link_content', '150fae1b-8c12-4f20-812b-680ce5cc429a', 'en'),
(20, 20, 'menu_link_content', '7b33e2ce-9ae0-422a-9b4c-9a8fa296981f', 'en'),
(21, 21, 'menu_link_content', 'bc25bc25-3670-4c2f-9559-4d8ce6b952a6', 'en'),
(22, 22, 'menu_link_content', '14496e50-e17c-4842-b670-d720ed26b3e9', 'en'),
(23, 23, 'menu_link_content', 'ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'en'),
(24, 24, 'menu_link_content', '6ca70e43-62d1-45ab-bceb-2bd9e449bc80', 'en'),
(25, 25, 'menu_link_content', 'c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 'en'),
(26, 26, 'menu_link_content', '58a26d4a-d78e-449a-9938-7a5351fe4644', 'en'),
(27, 27, 'menu_link_content', 'ff9a11ff-f17d-4a50-834e-6baf68dbb119', 'en'),
(28, 28, 'menu_link_content', 'dace7424-33df-4648-9f9f-2ad1eeca9079', 'en'),
(29, 29, 'menu_link_content', '54900fd2-9dc8-4c1a-8609-14d2001f244b', 'en'),
(30, 30, 'menu_link_content', 'be7b613a-6626-466c-80c4-dea9a4c336e3', 'en'),
(31, 31, 'menu_link_content', 'd69f1890-a005-48af-a01a-87dedcb06adf', 'en'),
(32, 32, 'menu_link_content', '35cba033-55ae-4e59-8ef1-93e1bd6b72e4', 'en'),
(33, 33, 'menu_link_content', 'd11ff201-ce68-476d-b3c7-078f68c5ac37', 'en'),
(34, 34, 'menu_link_content', '30062ec7-50ae-4f75-94c7-78a958ef8a92', 'en'),
(35, 35, 'menu_link_content', '9a7cc794-b7c2-4c34-abdb-41ed4d5a00e8', 'en'),
(36, 36, 'menu_link_content', '91eff73f-c8fc-43c3-be2e-1d1021b31b94', 'en'),
(37, 37, 'menu_link_content', 'e61eab73-2915-4717-a269-71c754fe1d1d', 'en'),
(38, 38, 'menu_link_content', 'aa6234db-421d-4b9c-88ab-d52f67396385', 'en'),
(39, 39, 'menu_link_content', 'adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 'en'),
(40, 40, 'menu_link_content', '1ffa5919-0721-44cc-81a0-0ed8ae8cbe8b', 'en'),
(41, 41, 'menu_link_content', 'ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 'en'),
(43, 43, 'menu_link_content', 'a47935fa-6da5-4f2b-a1cc-f22110b535f3', 'en'),
(44, 44, 'menu_link_content', '9a6aeb08-fa1d-45ff-8bff-735206f163e7', 'en'),
(45, 45, 'menu_link_content', 'ed3ae2f3-4b6a-4ca8-b49a-33e726e0b091', 'en'),
(46, 46, 'menu_link_content', '58b51955-7a6c-4cdc-a3a7-e8cc9f9451b1', 'en'),
(47, 47, 'menu_link_content', '4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 'en'),
(48, 48, 'menu_link_content', 'c5d1ad7c-9f51-4739-a1bb-2a314cf4fa5e', 'en'),
(49, 49, 'menu_link_content', 'd728e857-6891-40ce-982b-38166d6ae9eb', 'en'),
(50, 50, 'menu_link_content', 'e493b484-6770-4386-80a9-b04d0ad1be22', 'en'),
(51, 51, 'menu_link_content', 'a264aad3-3826-482d-8e27-8b95eb25bd12', 'en'),
(52, 52, 'menu_link_content', '74a12bfb-fecb-4c33-af66-8f2648611ce3', 'en'),
(53, 53, 'menu_link_content', '6389ddae-6271-4615-9295-61674f44b990', 'en'),
(54, 54, 'menu_link_content', '14aa4e63-6a31-4c10-b3f2-456555e8877d', 'en'),
(55, 55, 'menu_link_content', 'fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 'en'),
(57, 57, 'menu_link_content', 'b700fea9-6998-421d-84e7-3f659bf73f4f', 'en'),
(58, 58, 'menu_link_content', '98c995be-c2d9-4813-a9a7-e714edf59114', 'en'),
(59, 59, 'menu_link_content', 'ea018f77-4dd8-48ff-8930-10b0ce2e9084', 'en'),
(60, 60, 'menu_link_content', '9a8899a4-6547-40ac-a043-c2547e167918', 'en'),
(61, 61, 'menu_link_content', '9db72736-10bd-4f84-b110-08423df4e416', 'en'),
(63, 63, 'menu_link_content', 'e17c1216-c7e8-444a-bfec-5139b1f2a9a2', 'en'),
(64, 64, 'menu_link_content', 'cf7b31c8-2f90-432b-877b-9203b12b1f8d', 'en'),
(65, 65, 'menu_link_content', '0bb8fa3f-64cc-4084-9f09-a75a2d49e89a', 'en'),
(66, 66, 'menu_link_content', 'b2aa9ae0-8454-4247-806d-e07ce9b9ee7c', 'en'),
(67, 67, 'menu_link_content', 'e513ba0a-7451-468b-b56e-9d6c44f7946c', 'en'),
(68, 68, 'menu_link_content', 'cd2e6dc8-d6f0-4677-9e13-f826adf4333c', 'en'),
(69, 69, 'menu_link_content', '6b617081-dd99-41cd-b895-9c4d730a7c06', 'en'),
(70, 70, 'menu_link_content', 'bf6e2e6e-719c-4d0f-9c58-652c6dff4573', 'en'),
(71, 71, 'menu_link_content', '39b3c326-cbfc-4ba6-b0ff-fb189687221a', 'en'),
(72, 72, 'menu_link_content', '33cf538c-c38c-4b93-9647-3ff85adcde4c', 'en'),
(73, 73, 'menu_link_content', '91b616bb-a24a-4829-b510-71b79daa22d4', 'en'),
(74, 74, 'menu_link_content', '47123056-5045-42bd-9fd8-524e872e201e', 'en'),
(75, 75, 'menu_link_content', 'c8fd0bcc-25fe-4f82-88fb-4753ef1511bc', 'en'),
(76, 76, 'menu_link_content', '98ce31d5-5281-48ff-a951-e361ad538153', 'en'),
(78, 78, 'menu_link_content', 'cb3ba90d-f7a6-4c09-aa1f-1ad4975c76a2', 'en'),
(79, 79, 'menu_link_content', 'fa6c18d9-3d2f-47be-b8c2-7772f0d3c31f', 'en'),
(80, 80, 'menu_link_content', '233c90c6-cf4c-445f-918e-98996a936196', 'en'),
(81, 81, 'menu_link_content', '83b37503-f515-42e6-9276-3c3667c07a5a', 'en'),
(83, 83, 'menu_link_content', '2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 'en'),
(84, 84, 'menu_link_content', '420b8104-48c7-4570-b3b8-bd30a38f6043', 'en'),
(86, 86, 'menu_link_content', '456805c4-f7f2-4126-ba37-0d3ee662160e', 'en'),
(87, 87, 'menu_link_content', '74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 'en'),
(88, 88, 'menu_link_content', '2b9bf63c-e26e-4a2b-9fbf-b12ef7ec0cc1', 'en'),
(89, 89, 'menu_link_content', 'e111820b-4474-4d74-9849-47f82c2a4fa3', 'en'),
(90, 90, 'menu_link_content', 'f9da2d12-b06f-4f14-91d4-ef517018ab94', 'en'),
(91, 91, 'menu_link_content', '93af63bc-239a-49ca-b12d-f0958d8eeed3', 'en'),
(92, 92, 'menu_link_content', '9803cd36-9e28-48f9-9565-c796b7718fa4', 'en'),
(93, 93, 'menu_link_content', 'd46f67bc-5e1f-4286-a9b8-41486bb6e3af', 'en'),
(94, 94, 'menu_link_content', '27c39f44-547f-4498-90a3-26db1e6d01f3', 'en'),
(95, 95, 'menu_link_content', '19d0386c-1e6c-41b1-824f-3f08110cef8a', 'en'),
(96, 96, 'menu_link_content', '57249075-93aa-40ca-ad1e-69d459470fd3', 'en'),
(97, 97, 'menu_link_content', '87d9d3a4-f55c-4376-a1cf-0c6d8d50b2f4', 'en'),
(98, 98, 'menu_link_content', 'ec2a42f2-8b1f-44a8-9ad6-0a341538acdb', 'en'),
(99, 99, 'menu_link_content', '187c2768-dfc7-453f-9924-6e34ad9526f1', 'en'),
(100, 100, 'menu_link_content', '38c113cc-ed8e-4c6e-89f9-0eea95f6a764', 'en'),
(101, 101, 'menu_link_content', 'ea83656c-4196-4016-b1b7-ce2683133f01', 'en'),
(104, 104, 'menu_link_content', 'dfe4e87c-b750-4274-8a33-42e9511ef462', 'en'),
(109, 109, 'menu_link_content', '27773c78-6e23-4e95-a49a-ce29c10d1739', 'en'),
(110, 110, 'menu_link_content', '628f53d2-9894-41e9-8258-3ee56ac5e123', 'en'),
(111, 111, 'menu_link_content', '529004c5-ee96-4898-91c1-c96f2d69141f', 'en'),
(112, 112, 'menu_link_content', '72b61854-74ba-40ba-849a-6a87f4ab0230', 'en'),
(113, 113, 'menu_link_content', '24fc6a71-2598-4617-80c6-d2af28bdd5e9', 'en'),
(114, 114, 'menu_link_content', '7172b9a8-f520-4d23-b3a8-21b2eebaf3be', 'en'),
(115, 115, 'menu_link_content', 'd5a57270-ad64-4078-9ae4-2fa74c473d09', 'en'),
(118, 118, 'menu_link_content', '6062f6ce-04c0-4c72-b574-839305ea7ada', 'en'),
(119, 119, 'menu_link_content', 'f93fe558-7ff5-4041-9ebc-2c9acb5b0101', 'en'),
(120, 120, 'menu_link_content', '50a0e873-392f-47d7-9ac8-7fdc2313fffc', 'en'),
(121, 121, 'menu_link_content', '78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', 'en'),
(122, 122, 'menu_link_content', '9c6c595e-a457-4583-bb16-1c43c80f6598', 'en'),
(123, 123, 'menu_link_content', 'c3cf9603-75d2-4750-bf01-8d3fa4d091f1', 'en'),
(124, 124, 'menu_link_content', '77e4b263-d12a-4e53-8812-4e80a6ce5942', 'en'),
(125, 125, 'menu_link_content', '636cd3bc-86c2-497a-b53e-c093a9fd09c4', 'en'),
(126, 126, 'menu_link_content', '69b1c99b-1625-45a1-9c08-c9323fe184a9', 'en'),
(127, 127, 'menu_link_content', '8ba02371-4d02-4f94-a50c-1eca14192dc2', 'en'),
(128, 128, 'menu_link_content', '9723492c-1562-4b50-a072-7591560ea73d', 'en'),
(129, 129, 'menu_link_content', 'c112ad51-86f9-4817-a6dc-e36b04a20b46', 'en'),
(130, 130, 'menu_link_content', '0dddf63f-8702-4e97-8a12-91604468968e', 'en'),
(131, 131, 'menu_link_content', 'e40bc484-f1ca-4d41-95f5-c14c1c75731c', 'en'),
(132, 132, 'menu_link_content', '35356869-6cc7-4780-aec3-495ad4906b4d', 'en'),
(133, 133, 'menu_link_content', '30680075-2a20-4ce9-bdb4-b0dd21dc1e95', 'en'),
(134, 134, 'menu_link_content', '9125f74a-30ce-48ee-a3a9-e5c92d614f82', 'en'),
(135, 135, 'menu_link_content', 'b8282728-08a0-49df-a3bb-5e7a9eeb7a88', 'en'),
(136, 136, 'menu_link_content', '613bc0cf-f6fd-43b7-b74c-d28650a45368', 'en'),
(137, 137, 'menu_link_content', 'b15e8053-394a-4127-917c-29d9f4821388', 'en'),
(139, 139, 'menu_link_content', '992d67ca-2c8a-4c22-afd9-7ce75542504e', 'en'),
(141, 141, 'menu_link_content', 'd18a5e03-6a2b-4e4d-bb47-9dd5e1208ce0', 'en'),
(142, 142, 'menu_link_content', '646a9bf3-02b0-40e5-a32c-1633c607e6d7', 'en'),
(143, 143, 'menu_link_content', '6cd9d972-5ec3-41c1-ab9e-bd7c9da308c7', 'en'),
(144, 144, 'menu_link_content', '620a77e8-7f6a-439d-8bff-3073d09e9a5d', 'en'),
(145, 145, 'menu_link_content', '311318c2-6a78-4f3d-b231-4a039894a343', 'en'),
(146, 146, 'menu_link_content', '3ebb6549-59dd-4434-ada0-cd9247827dd2', 'en'),
(147, 147, 'menu_link_content', '9214ce65-ffa1-408c-ae8d-76fde4380101', 'en'),
(148, 148, 'menu_link_content', '5b42e52b-11c0-4b0c-adca-55ac10e758aa', 'en'),
(149, 149, 'menu_link_content', '6b0c0519-d617-4b85-87ee-60645657efef', 'en'),
(150, 150, 'menu_link_content', '31546571-3294-4362-a08f-fb0fd0115c9d', 'en'),
(151, 151, 'menu_link_content', '5558911e-ba7c-4c9e-9ed2-e35567693508', 'en'),
(152, 152, 'menu_link_content', 'f0df3a78-8db5-465b-a22c-dcfdff6a56da', 'en'),
(154, 154, 'menu_link_content', 'bbd49726-99c2-4550-8d07-98c2a8537880', 'en'),
(155, 155, 'menu_link_content', '56b0d28d-f3ce-458c-9923-9bef3deed0f9', 'en'),
(156, 156, 'menu_link_content', '4618e30d-7fd6-4972-ac8d-bfde8b236485', 'en'),
(158, 158, 'menu_link_content', 'a030d70e-aca1-406a-b486-7cc0af36e492', 'en'),
(159, 159, 'menu_link_content', 'ff40c4ab-7ae8-4987-962f-749786b775d1', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `menu_link_content_data`
--

CREATE TABLE `menu_link_content_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `bundle` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `menu_name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `rediscover` tinyint(4) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `expanded` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `parent` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content__revision_id` (`revision_id`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30)),
  KEY `menu_link_content__enabled_bundle` (`enabled`,`bundle`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for menu_link_content entities.';

--
-- Dumping data for table `menu_link_content_data`
--

INSERT INTO `menu_link_content_data` VALUES
(1, 1, 'menu_link_content', 'en', 'Style Guide', NULL, 'main', 'entity:node/1', '', 'a:0:{}', 0, 0, -94, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(3, 3, 'menu_link_content', 'en', 'Contact', NULL, 'main', 'internal:/contact', '', 'a:0:{}', 0, 1, -93, 0, 1, NULL, 1521029487, 1, 1),
(4, 4, 'menu_link_content', 'en', 'Shortcodes', NULL, 'main', 'internal:/node/2', '', 'a:0:{}', 0, 1, -93, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(6, 6, 'menu_link_content', 'en', 'About', NULL, 'main', 'internal:/about-us', '', 'a:0:{}', 0, 1, -95, 0, 1, NULL, 1521029487, 1, 1),
(7, 7, 'menu_link_content', 'en', 'Features', NULL, 'main', 'internal:/node/2', '', 'a:0:{}', 0, 1, -94, 0, 1, NULL, 1521029487, 1, 1),
(8, 8, 'menu_link_content', 'en', 'Alternative Homepages', NULL, 'main', 'internal:/node/16', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1, 1),
(9, 9, 'menu_link_content', 'en', 'Slideshow - Boxed Width', NULL, 'main', 'internal:/node/16', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1465554673, 1, 1),
(11, 11, 'menu_link_content', 'en', 'Slideshow - Full Screen', NULL, 'main', 'internal:/node/17', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1505469205, 1, 1),
(12, 12, 'menu_link_content', 'en', 'Slideshow - Full Width', NULL, 'main', 'internal:/node/59', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1484678368, 1, 1),
(13, 13, 'menu_link_content', 'en', 'Features', NULL, 'footer', 'internal:/node/2', '', 'a:0:{}', 0, 1, 0, 0, 1, NULL, 1465586186, 1, 1),
(15, 15, 'menu_link_content', 'en', 'Home', NULL, 'footer', 'internal:/', '', 'a:0:{}', 0, 1, 0, 0, 1, NULL, 1465586226, 1, 1),
(16, 16, 'menu_link_content', 'en', 'Typography', NULL, 'footer', 'internal:/node/1', '', 'a:0:{}', 0, 1, 0, 0, 1, NULL, 1465586244, 1, 1),
(19, 19, 'menu_link_content', 'en', 'Typography', NULL, 'mt-subfooter-menu', 'internal:/node/1', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1465587232, 1, 1),
(20, 20, 'menu_link_content', 'en', 'Features', NULL, 'mt-subfooter-menu', 'internal:/node/2', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1465587232, 1, 1),
(21, 21, 'menu_link_content', 'en', 'Contact', NULL, 'mt-subfooter-menu', 'internal:/contact', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1465587232, 1, 1),
(22, 22, 'menu_link_content', 'en', 'Home', NULL, 'mt-subfooter-menu', 'internal:/', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1465587226, 1, 1),
(23, 23, 'menu_link_content', 'en', 'Accommodation', NULL, 'main', 'internal:/accommodations', '', 'a:0:{}', 0, 1, -96, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521741008, 1, 1),
(24, 24, 'menu_link_content', 'en', 'Accommodations - 2 Columns', NULL, 'main', 'internal:/accommodations-2-col', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1520513854, 1, 1),
(25, 25, 'menu_link_content', 'en', 'Accommodations - 3 Columns', NULL, 'main', 'internal:/accommodations', '', 'a:0:{}', 0, 1, -87, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1521136976, 1, 1),
(26, 26, 'menu_link_content', 'en', 'Accommodations - 4 Columns', NULL, 'main', 'internal:/accommodations-4-col', '', 'a:0:{}', 0, 1, -86, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1520513860, 1, 1),
(27, 27, 'menu_link_content', 'en', 'Room type 1', NULL, 'main', 'internal:/node/9', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442712, 1, 1),
(28, 28, 'menu_link_content', 'en', 'Room type 2', NULL, 'main', 'internal:/node/8', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442717, 1, 1),
(29, 29, 'menu_link_content', 'en', 'Room type 3', NULL, 'main', 'internal:/node/7', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442722, 1, 1),
(30, 30, 'menu_link_content', 'en', 'Room type 4', NULL, 'main', 'internal:/node/6', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442727, 1, 1),
(31, 31, 'menu_link_content', 'en', 'Merchandise', NULL, 'main', 'internal:/merchandise', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521741008, 1, 1),
(32, 32, 'menu_link_content', 'en', 'Merchandise - 2 Columns', NULL, 'main', 'internal:/merchandise-2-col', '', 'a:0:{}', 0, 1, -78, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1520531695, 1, 1),
(33, 33, 'menu_link_content', 'en', 'Merchandise - 3 columns', NULL, 'main', 'internal:/merchandise', '', 'a:0:{}', 0, 1, -76, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1521136990, 1, 1),
(34, 34, 'menu_link_content', 'en', 'Merchandise - 4 Columns', NULL, 'main', 'internal:/merchandise-4-col', '', 'a:0:{}', 0, 1, -75, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1520531703, 1, 1),
(35, 35, 'menu_link_content', 'en', 'First T-shirt', NULL, 'main', 'internal:/node/23', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440485, 1, 1),
(36, 36, 'menu_link_content', 'en', 'Second T-shirt', NULL, 'main', 'internal:/node/22', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440498, 1, 1),
(37, 37, 'menu_link_content', 'en', 'Longsleeve', NULL, 'main', 'internal:/node/21', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440511, 1, 1),
(38, 38, 'menu_link_content', 'en', 'Hoodie', NULL, 'main', 'internal:/node/20', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440520, 1, 1),
(39, 39, 'menu_link_content', 'en', 'Photo Albums', NULL, 'main', 'internal:/albums', '', 'a:0:{}', 0, 1, -97, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521741076, 1, 1),
(40, 40, 'menu_link_content', 'en', 'Photo Albums - 2 Columns', NULL, 'main', 'internal:/albums-2-col', '', 'a:0:{}', 0, 1, -79, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741059, 1, 1),
(41, 41, 'menu_link_content', 'en', 'Photo Albums - 3 Columns', NULL, 'main', 'internal:/albums', '', 'a:0:{}', 0, 1, -78, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741062, 1, 1),
(43, 43, 'menu_link_content', 'en', 'First Album', NULL, 'main', 'internal:/node/81', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606616, 1, 1),
(44, 44, 'menu_link_content', 'en', 'Second Album', NULL, 'main', 'internal:/node/80', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606633, 1, 1),
(45, 45, 'menu_link_content', 'en', 'Third Album', NULL, 'main', 'internal:/node/79', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606656, 1, 1),
(46, 46, 'menu_link_content', 'en', 'Fourth Album', NULL, 'main', 'internal:/node/78', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606674, 1, 1),
(47, 47, 'menu_link_content', 'en', 'Testimonials', NULL, 'main', 'internal:/testimonials', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(48, 48, 'menu_link_content', 'en', 'Photo Albums - Isotope', NULL, 'main', 'internal:/albums-isotope', '', 'a:0:{}', 0, 1, -75, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741071, 1, 1),
(49, 49, 'menu_link_content', 'en', 'Accommodations - Isotope', NULL, 'main', 'internal:/accommodations-isotope', '', 'a:0:{}', 0, 1, -85, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1520513865, 1, 1),
(50, 50, 'menu_link_content', 'en', 'Merchandise - Isotope', NULL, 'main', 'internal:/merchandise-isotope', '', 'a:0:{}', 0, 1, -74, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1520531707, 1, 1),
(51, 51, 'menu_link_content', 'en', 'Alternative Contact', NULL, 'main', 'internal:/contact/alternative', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1, 1),
(52, 52, 'menu_link_content', 'en', 'Responsive Grid', NULL, 'main', 'internal:/node/36', '', 'a:0:{}', 0, 1, -89, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(53, 53, 'menu_link_content', 'en', 'Grid - No Sidebar', NULL, 'main', 'internal:/node/36', '', 'a:0:{}', 0, 1, -83, 0, 1, 'menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3', 1479213330, 1, 1),
(54, 54, 'menu_link_content', 'en', 'Grid - With Sidebar', NULL, 'main', 'internal:/node/37', '', 'a:0:{}', 0, 1, -82, 0, 1, 'menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3', 1479213330, 1, 1),
(55, 55, 'menu_link_content', 'en', 'Internal Layouts', NULL, 'main', 'internal:/node/9', '', 'a:0:{}', 0, 1, -97, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(57, 57, 'menu_link_content', 'en', 'One sidebar', NULL, 'main', 'internal:/node/9', '', 'a:0:{}', 0, 1, -57, 0, 1, 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 1472059850, 1, 1),
(58, 58, 'menu_link_content', 'en', 'Two sidebars', NULL, 'main', 'internal:/node/5', '', 'a:0:{}', 0, 1, -55, 0, 1, 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 1472059850, 1, 1),
(59, 59, 'menu_link_content', 'en', 'Page with comments', NULL, 'main', 'internal:/node/15', '', 'a:0:{}', 0, 1, -56, 0, 1, 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 1472059850, 1, 1),
(60, 60, 'menu_link_content', 'en', 'Videos', NULL, 'main', 'internal:/videos', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(61, 61, 'menu_link_content', 'en', 'Articles', NULL, 'main', 'internal:/articles', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(63, 63, 'menu_link_content', 'en', 'Merchandise - List', NULL, 'main', 'internal:/merchandise-list', '', 'a:0:{}', 0, 1, -73, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1522338734, 1, 1),
(64, 64, 'menu_link_content', 'en', 'Accommodations - List', NULL, 'main', 'internal:/accommodations-list', '', 'a:0:{}', 0, 1, -84, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1522338729, 1, 1),
(65, 65, 'menu_link_content', 'en', 'Articles - 2 columns', NULL, 'main', 'internal:/articles-2-col', '', 'a:0:{}', 0, 1, -93, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1520611766, 1, 1),
(66, 66, 'menu_link_content', 'en', 'Articles - 3 columns', NULL, 'main', 'internal:/articles-3-col', '', 'a:0:{}', 0, 1, -92, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1520611766, 1, 1),
(67, 67, 'menu_link_content', 'en', 'Articles - 4 columns', NULL, 'main', 'internal:/articles-4-col', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1520611766, 1, 1),
(68, 68, 'menu_link_content', 'en', 'Articles - teasers', NULL, 'main', 'internal:/articles', '', 'a:0:{}', 0, 1, -87, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1522338755, 1, 1),
(69, 69, 'menu_link_content', 'en', 'Articles - list', NULL, 'main', 'internal:/articles-list', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1522338744, 1, 1),
(70, 70, 'menu_link_content', 'en', 'Help Support', NULL, 'mt-footer-menu-two', 'internal:/style-guide', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1471887374, 1, 1),
(71, 71, 'menu_link_content', 'en', 'Track Order', NULL, 'mt-footer-menu-two', 'internal:/contact', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1471887374, 1, 1),
(72, 72, 'menu_link_content', 'en', 'Returns', NULL, 'mt-footer-menu-two', 'internal:/contact', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1471887374, 1, 1),
(73, 73, 'menu_link_content', 'en', 'Shipping Info', NULL, 'mt-footer-menu-two', 'internal:/shortcodes', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1471887374, 1, 1),
(74, 74, 'menu_link_content', 'en', 'FAQs', NULL, 'mt-footer-menu-two', 'internal:/faq', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1472044034, 1, 1),
(75, 75, 'menu_link_content', 'en', 'Shortcodes', NULL, 'mt-footer-menu-three', 'internal:/shortcodes', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1509472798, 1, 1),
(76, 76, 'menu_link_content', 'en', 'Blog', NULL, 'mt-footer-menu-three', 'internal:/articles', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1509472798, 1, 1),
(78, 78, 'menu_link_content', 'en', 'Contact', NULL, 'mt-footer-menu-three', 'internal:/contact', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1509472798, 1, 1),
(79, 79, 'menu_link_content', 'en', 'Login', NULL, 'mt-footer-menu-three', 'internal:/user/login', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1520421684, 1, 1),
(80, 80, 'menu_link_content', 'en', 'FAQ', NULL, 'main', 'internal:/faq', '', 'a:0:{}', 0, 1, -87, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1, 1),
(81, 81, 'menu_link_content', 'en', 'Merchandise - Masonry', NULL, 'main', 'internal:/merchandise-masonry', '', 'a:0:{}', 0, 1, -72, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1522338738, 1, 1),
(83, 83, 'menu_link_content', 'en', 'Alternative Headers', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1, 1),
(84, 84, 'menu_link_content', 'en', 'CtA navigation header', NULL, 'main', 'internal:/node/17', '', 'a:0:{}', 0, 1, -89, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1, 1),
(86, 86, 'menu_link_content', 'en', 'Alternative header 3', NULL, 'main', 'internal:/node/40', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1, 1),
(87, 87, 'menu_link_content', 'en', 'Merchandise Groups', NULL, 'main', 'internal:/merchandise-groups', '', 'a:0:{}', 0, 1, -84, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(88, 88, 'menu_link_content', 'en', 'John Smith', NULL, 'main', 'internal:/node/45', '', 'a:0:{}', 0, 1, -99, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1, 1),
(89, 89, 'menu_link_content', 'en', 'Terry Smith', NULL, 'main', 'internal:/node/44', '', 'a:0:{}', 0, 1, -98, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1, 1),
(90, 90, 'menu_link_content', 'en', 'Nikki Dickinson', NULL, 'main', 'internal:/node/43', '', 'a:0:{}', 0, 1, -97, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1, 1),
(91, 91, 'menu_link_content', 'en', 'Stevie Zonder', NULL, 'main', 'internal:/node/42', '', 'a:0:{}', 0, 1, -96, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1, 1),
(92, 92, 'menu_link_content', 'en', 'Bekki Versace', NULL, 'main', 'internal:/node/41', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1, 1),
(93, 93, 'menu_link_content', 'en', 'Merchandise - Groups Grid', NULL, 'main', 'internal:/merchandise-groups', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 1522338782, 1, 1),
(94, 94, 'menu_link_content', 'en', 'Merchandise - Groups Masonry', NULL, 'main', 'internal:/merchandise-groups-masonry', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 1522338788, 1, 1),
(95, 95, 'menu_link_content', 'en', 'Leadership & Management', NULL, 'main', 'internal:/team-members', '', 'a:0:{}', 0, 1, -99, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521802177, 1, 1),
(96, 96, 'menu_link_content', 'en', 'Pricing Tables', NULL, 'main', 'internal:/pricing-tables', '', 'a:0:{}', 0, 1, -86, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1505318670, 1, 1),
(97, 97, 'menu_link_content', 'en', 'Testimonials - List', NULL, 'main', 'internal:/testimonials', '', 'a:0:{}', 0, 1, -80, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338770, 1, 1),
(98, 98, 'menu_link_content', 'en', 'Testimonials - Grid', NULL, 'main', 'internal:/testimonials-3-col', '', 'a:0:{}', 0, 1, -82, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338760, 1, 1),
(99, 99, 'menu_link_content', 'en', 'Leadership & Management List', NULL, 'main', 'internal:/team-members-list', '', 'a:0:{}', 0, 1, -93, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1, 1),
(100, 100, 'menu_link_content', 'en', 'Leadership & Management 2', NULL, 'main', 'internal:/team-members-2', '', 'a:0:{}', 0, 1, -94, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1, 1),
(101, 101, 'menu_link_content', 'en', 'Photo Albums - Alternative', NULL, 'main', 'internal:/albums-3-col-style-2', '', 'a:0:{}', 0, 1, -76, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741067, 1, 1),
(104, 104, 'menu_link_content', 'en', 'Testimonials - Masonry', NULL, 'main', 'internal:/testimonials-masonry', '', 'a:0:{}', 0, 1, -79, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338776, 1, 1),
(109, 109, 'menu_link_content', 'en', 'Testimonials - Grid 2', NULL, 'main', 'internal:/testimonials-3-col-2', '', 'a:0:{}', 0, 1, -81, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338764, 1, 1),
(110, 110, 'menu_link_content', 'en', 'Alternative header 2', NULL, 'main', 'internal:/node/53', '', 'a:0:{}', 0, 1, -92, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611360, 1, 1),
(111, 111, 'menu_link_content', 'en', 'Alternative header', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1, 1),
(112, 112, 'menu_link_content', 'en', 'Slideshow - Video Gallery', NULL, 'main', 'entity:node/55', NULL, 'a:0:{}', 0, 0, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1480420524, 1, 1),
(113, 113, 'menu_link_content', 'en', 'Our Investors', NULL, 'main', 'entity:node/56', NULL, 'a:0:{}', 0, 0, -85, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(114, 114, 'menu_link_content', 'en', 'Reusable Blocks', NULL, 'main', 'entity:node/58', '', 'a:0:{}', 0, 0, -92, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(115, 115, 'menu_link_content', 'en', 'Static - Call to Action block', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1505469293, 1, 1),
(118, 118, 'menu_link_content', 'en', 'Additional Pages', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -96, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1, 1),
(119, 119, 'menu_link_content', 'en', 'Alternative Footer', NULL, 'main', 'entity:node/60', NULL, 'a:0:{}', 0, 0, -91, 0, 1, 'menu_link_content:50a0e873-392f-47d7-9ac8-7fdc2313fffc', 1486463175, 1, 1),
(120, 120, 'menu_link_content', 'en', 'Alternative Footers', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -89, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1, 1),
(121, 121, 'menu_link_content', 'en', 'Services', NULL, 'mt-mega-menu', 'internal:/services-3-col', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1486670647, 1, 1),
(122, 122, 'menu_link_content', 'en', 'Services - First Column', NULL, 'mt-mega-menu', 'internal:/services-3-col/services-2-col', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', 1486671131, 1, 1),
(123, 123, 'menu_link_content', 'en', 'First Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/first-service', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1, 1),
(124, 124, 'menu_link_content', 'en', 'Second Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/second-service', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1, 1),
(125, 125, 'menu_link_content', 'en', 'Third Service', NULL, 'mt-mega-menu', 'internal:/third-service', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1, 1),
(126, 126, 'menu_link_content', 'en', 'Fourth Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/fourth-service', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1, 1),
(127, 127, 'menu_link_content', 'en', 'Services - Second Column', NULL, 'mt-mega-menu', 'internal:/services-3-col', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', 1486671141, 1, 1),
(128, 128, 'menu_link_content', 'en', 'Fifth Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/fifth-service', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1, 1),
(129, 129, 'menu_link_content', 'en', 'Sixth Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/sixth-service', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1, 1),
(130, 130, 'menu_link_content', 'en', 'Services Isotope', NULL, 'mt-mega-menu', 'internal:/services-isotope', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1, 1),
(131, 131, 'menu_link_content', 'en', 'Services List', NULL, 'mt-mega-menu', 'internal:/services-list', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1, 1),
(132, 132, 'menu_link_content', 'en', 'Products', NULL, 'mt-mega-menu', 'internal:/products-3-col', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1486670662, 1, 1),
(133, 133, 'menu_link_content', 'en', 'Showcases', NULL, 'mt-mega-menu', 'internal:/showcases-3-col', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1486670662, 1, 1),
(134, 134, 'menu_link_content', 'en', 'About', NULL, 'mt-mega-menu', 'internal:/about-us', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1486670662, 1, 1),
(135, 135, 'menu_link_content', 'en', 'Features', NULL, 'mt-mega-menu', 'internal:/shortcodes', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1486670662, 1, 1),
(136, 136, 'menu_link_content', 'en', 'Contact', NULL, 'mt-mega-menu', 'internal:/contact', '', 'a:0:{}', 0, 1, -45, 0, 1, NULL, 1486670662, 1, 1),
(137, 137, 'menu_link_content', 'en', 'Mega Menu', NULL, 'main', 'internal:/mega-menu', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1, 1),
(139, 139, 'menu_link_content', 'en', 'Pricing Tables (Static)', NULL, 'main', 'internal:/node/62', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1499245468, 1, 1),
(141, 141, 'menu_link_content', 'en', 'Gallery', NULL, 'landing-page-navigation', 'internal:#content-bottom', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1516883682, 1, 1),
(142, 142, 'menu_link_content', 'en', 'Speakers', NULL, 'landing-page-navigation', 'internal:#featured', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1516883582, 1, 1),
(143, 143, 'menu_link_content', 'en', 'Sponsors', NULL, 'landing-page-navigation', 'internal:#highlighted', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1516883682, 1, 1),
(144, 144, 'menu_link_content', 'en', 'News', NULL, 'landing-page-navigation', 'internal:#highlighted-top', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1516883682, 1, 1),
(145, 145, 'menu_link_content', 'en', 'Landing Page', NULL, 'main', 'internal:/node/63', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1499269536, 1, 1),
(146, 146, 'menu_link_content', 'en', 'Style Guide', NULL, 'mt-footer-menu-three', 'internal:/style-guide', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1509472798, 1, 1),
(147, 147, 'menu_link_content', 'en', 'Features', NULL, 'landing-page-navigation', 'internal:#featured-top', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1516883682, 1, 1),
(148, 148, 'menu_link_content', 'en', 'Subscribe', NULL, 'landing-page-navigation', 'internal:#footer-top', '', 'a:0:{}', 0, 1, -45, 0, 1, NULL, 1516883682, 1, 1),
(149, 149, 'menu_link_content', 'en', 'Events', NULL, 'main', 'internal:/events', '', 'a:0:{}', 0, 1, -96, 0, 1, NULL, 1521741114, 1, 1),
(150, 150, 'menu_link_content', 'en', 'Events - 3 Columns', NULL, 'main', 'internal:/events-3-col', '', 'a:0:{}', 0, 1, -94, 0, 1, 'menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef', 1520611960, 1, 1),
(151, 151, 'menu_link_content', 'en', 'Events - 2 Columns', NULL, 'main', 'internal:/events-2-col', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef', 1520611960, 1, 1),
(152, 152, 'menu_link_content', 'en', 'Presentations', NULL, 'main', 'internal:/presentations', '', 'a:0:{}', 0, 1, -97, 0, 1, NULL, 1521741114, 1, 1),
(154, 154, 'menu_link_content', 'en', 'Presentations - 3 Columns', NULL, 'main', 'internal:/presentations-3-col', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da', 1521564694, 1, 1),
(155, 155, 'menu_link_content', 'en', 'Sponsors', NULL, 'main', 'internal:/sponsors', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1521136842, 1, 1),
(156, 156, 'menu_link_content', 'en', 'Speakers', NULL, 'main', 'internal:/speakers', '', 'a:0:{}', 0, 1, -98, 0, 1, NULL, 1521741114, 1, 1),
(158, 158, 'menu_link_content', 'en', 'Program', NULL, 'main', 'internal:/program', '', 'a:0:{}', 0, 1, -99, 0, 1, NULL, 1521741114, 1, 1),
(159, 159, 'menu_link_content', 'en', 'Alternative Program', NULL, 'main', 'entity:node/95', '', 'a:0:{}', 0, 0, 0, 0, 1, 'menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492', 1521741242, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `menu_link_content_field_revision`
--

CREATE TABLE `menu_link_content_field_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision data table for menu_link_content entities.';

--
-- Dumping data for table `menu_link_content_field_revision`
--

INSERT INTO `menu_link_content_field_revision` VALUES
(1, 1, 'en', 'Style Guide', NULL, 'entity:node/1', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(3, 3, 'en', 'Contact', NULL, 'internal:/contact', '', 'a:0:{}', 0, 1, 1521029487, 1, 1),
(4, 4, 'en', 'Shortcodes', NULL, 'internal:/node/2', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(6, 6, 'en', 'About', NULL, 'internal:/about-us', '', 'a:0:{}', 0, 1, 1521029487, 1, 1),
(7, 7, 'en', 'Features', NULL, 'internal:/node/2', '', 'a:0:{}', 0, 1, 1521029487, 1, 1),
(8, 8, 'en', 'Alternative Homepages', NULL, 'internal:/node/16', '', 'a:0:{}', 0, 1, 1486463175, 1, 1),
(9, 9, 'en', 'Slideshow - Boxed Width', NULL, 'internal:/node/16', '', 'a:0:{}', 0, 1, 1465554673, 1, 1),
(11, 11, 'en', 'Slideshow - Full Screen', NULL, 'internal:/node/17', '', 'a:0:{}', 0, 1, 1505469205, 1, 1),
(12, 12, 'en', 'Slideshow - Full Width', NULL, 'internal:/node/59', '', 'a:0:{}', 0, 1, 1484678368, 1, 1),
(13, 13, 'en', 'Features', NULL, 'internal:/node/2', '', 'a:0:{}', 0, 1, 1465586186, 1, 1),
(15, 15, 'en', 'Home', NULL, 'internal:/', '', 'a:0:{}', 0, 1, 1465586226, 1, 1),
(16, 16, 'en', 'Typography', NULL, 'internal:/node/1', '', 'a:0:{}', 0, 1, 1465586244, 1, 1),
(19, 19, 'en', 'Typography', NULL, 'internal:/node/1', '', 'a:0:{}', 0, 1, 1465587232, 1, 1),
(20, 20, 'en', 'Features', NULL, 'internal:/node/2', '', 'a:0:{}', 0, 1, 1465587232, 1, 1),
(21, 21, 'en', 'Contact', NULL, 'internal:/contact', '', 'a:0:{}', 0, 1, 1465587232, 1, 1),
(22, 22, 'en', 'Home', NULL, 'internal:/', '', 'a:0:{}', 0, 1, 1465587226, 1, 1),
(23, 23, 'en', 'Accommodation', NULL, 'internal:/accommodations', '', 'a:0:{}', 0, 1, 1521741008, 1, 1),
(24, 24, 'en', 'Accommodations - 2 Columns', NULL, 'internal:/accommodations-2-col', '', 'a:0:{}', 0, 1, 1520513854, 1, 1),
(25, 25, 'en', 'Accommodations - 3 Columns', NULL, 'internal:/accommodations', '', 'a:0:{}', 0, 1, 1521136976, 1, 1),
(26, 26, 'en', 'Accommodations - 4 Columns', NULL, 'internal:/accommodations-4-col', '', 'a:0:{}', 0, 1, 1520513860, 1, 1),
(27, 27, 'en', 'Room type 1', NULL, 'internal:/node/9', '', 'a:0:{}', 0, 1, 1520442712, 1, 1),
(28, 28, 'en', 'Room type 2', NULL, 'internal:/node/8', '', 'a:0:{}', 0, 1, 1520442717, 1, 1),
(29, 29, 'en', 'Room type 3', NULL, 'internal:/node/7', '', 'a:0:{}', 0, 1, 1520442722, 1, 1),
(30, 30, 'en', 'Room type 4', NULL, 'internal:/node/6', '', 'a:0:{}', 0, 1, 1520442727, 1, 1),
(31, 31, 'en', 'Merchandise', NULL, 'internal:/merchandise', '', 'a:0:{}', 0, 1, 1521741008, 1, 1),
(32, 32, 'en', 'Merchandise - 2 Columns', NULL, 'internal:/merchandise-2-col', '', 'a:0:{}', 0, 1, 1520531695, 1, 1),
(33, 33, 'en', 'Merchandise - 3 columns', NULL, 'internal:/merchandise', '', 'a:0:{}', 0, 1, 1521136990, 1, 1),
(34, 34, 'en', 'Merchandise - 4 Columns', NULL, 'internal:/merchandise-4-col', '', 'a:0:{}', 0, 1, 1520531703, 1, 1),
(35, 35, 'en', 'First T-shirt', NULL, 'internal:/node/23', '', 'a:0:{}', 0, 1, 1520440485, 1, 1),
(36, 36, 'en', 'Second T-shirt', NULL, 'internal:/node/22', '', 'a:0:{}', 0, 1, 1520440498, 1, 1),
(37, 37, 'en', 'Longsleeve', NULL, 'internal:/node/21', '', 'a:0:{}', 0, 1, 1520440511, 1, 1),
(38, 38, 'en', 'Hoodie', NULL, 'internal:/node/20', '', 'a:0:{}', 0, 1, 1520440520, 1, 1),
(39, 39, 'en', 'Photo Albums', NULL, 'internal:/albums', '', 'a:0:{}', 0, 1, 1521741076, 1, 1),
(40, 40, 'en', 'Photo Albums - 2 Columns', NULL, 'internal:/albums-2-col', '', 'a:0:{}', 0, 1, 1521741059, 1, 1),
(41, 41, 'en', 'Photo Albums - 3 Columns', NULL, 'internal:/albums', '', 'a:0:{}', 0, 1, 1521741062, 1, 1),
(43, 43, 'en', 'First Album', NULL, 'internal:/node/81', '', 'a:0:{}', 0, 1, 1520606616, 1, 1),
(44, 44, 'en', 'Second Album', NULL, 'internal:/node/80', '', 'a:0:{}', 0, 1, 1520606633, 1, 1),
(45, 45, 'en', 'Third Album', NULL, 'internal:/node/79', '', 'a:0:{}', 0, 1, 1520606656, 1, 1),
(46, 46, 'en', 'Fourth Album', NULL, 'internal:/node/78', '', 'a:0:{}', 0, 1, 1520606674, 1, 1),
(47, 47, 'en', 'Testimonials', NULL, 'internal:/testimonials', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(48, 48, 'en', 'Photo Albums - Isotope', NULL, 'internal:/albums-isotope', '', 'a:0:{}', 0, 1, 1521741071, 1, 1),
(49, 49, 'en', 'Accommodations - Isotope', NULL, 'internal:/accommodations-isotope', '', 'a:0:{}', 0, 1, 1520513865, 1, 1),
(50, 50, 'en', 'Merchandise - Isotope', NULL, 'internal:/merchandise-isotope', '', 'a:0:{}', 0, 1, 1520531707, 1, 1),
(51, 51, 'en', 'Alternative Contact', NULL, 'internal:/contact/alternative', '', 'a:0:{}', 0, 1, 1486463175, 1, 1),
(52, 52, 'en', 'Responsive Grid', NULL, 'internal:/node/36', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(53, 53, 'en', 'Grid - No Sidebar', NULL, 'internal:/node/36', '', 'a:0:{}', 0, 1, 1479213330, 1, 1),
(54, 54, 'en', 'Grid - With Sidebar', NULL, 'internal:/node/37', '', 'a:0:{}', 0, 1, 1479213330, 1, 1),
(55, 55, 'en', 'Internal Layouts', NULL, 'internal:/node/9', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(57, 57, 'en', 'One sidebar', NULL, 'internal:/node/9', '', 'a:0:{}', 0, 1, 1472059850, 1, 1),
(58, 58, 'en', 'Two sidebars', NULL, 'internal:/node/5', '', 'a:0:{}', 0, 1, 1472059850, 1, 1),
(59, 59, 'en', 'Page with comments', NULL, 'internal:/node/15', '', 'a:0:{}', 0, 1, 1472059850, 1, 1),
(60, 60, 'en', 'Videos', NULL, 'internal:/videos', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(61, 61, 'en', 'Articles', NULL, 'internal:/articles', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(63, 63, 'en', 'Merchandise - List', NULL, 'internal:/merchandise-list', '', 'a:0:{}', 0, 1, 1522338734, 1, 1),
(64, 64, 'en', 'Accommodations - List', NULL, 'internal:/accommodations-list', '', 'a:0:{}', 0, 1, 1522338729, 1, 1),
(65, 65, 'en', 'Articles - 2 columns', NULL, 'internal:/articles-2-col', '', 'a:0:{}', 0, 1, 1520611766, 1, 1),
(66, 66, 'en', 'Articles - 3 columns', NULL, 'internal:/articles-3-col', '', 'a:0:{}', 0, 1, 1520611766, 1, 1),
(67, 67, 'en', 'Articles - 4 columns', NULL, 'internal:/articles-4-col', '', 'a:0:{}', 0, 1, 1520611766, 1, 1),
(68, 68, 'en', 'Articles - teasers', NULL, 'internal:/articles', '', 'a:0:{}', 0, 1, 1522338755, 1, 1),
(69, 69, 'en', 'Articles - list', NULL, 'internal:/articles-list', '', 'a:0:{}', 0, 1, 1522338744, 1, 1),
(70, 70, 'en', 'Help Support', NULL, 'internal:/style-guide', '', 'a:0:{}', 0, 1, 1471887374, 1, 1),
(71, 71, 'en', 'Track Order', NULL, 'internal:/contact', '', 'a:0:{}', 0, 1, 1471887374, 1, 1),
(72, 72, 'en', 'Returns', NULL, 'internal:/contact', '', 'a:0:{}', 0, 1, 1471887374, 1, 1),
(73, 73, 'en', 'Shipping Info', NULL, 'internal:/shortcodes', '', 'a:0:{}', 0, 1, 1471887374, 1, 1),
(74, 74, 'en', 'FAQs', NULL, 'internal:/faq', '', 'a:0:{}', 0, 1, 1472044034, 1, 1),
(75, 75, 'en', 'Shortcodes', NULL, 'internal:/shortcodes', '', 'a:0:{}', 0, 1, 1509472798, 1, 1),
(76, 76, 'en', 'Blog', NULL, 'internal:/articles', '', 'a:0:{}', 0, 1, 1509472798, 1, 1),
(78, 78, 'en', 'Contact', NULL, 'internal:/contact', '', 'a:0:{}', 0, 1, 1509472798, 1, 1),
(79, 79, 'en', 'Login', NULL, 'internal:/user/login', '', 'a:0:{}', 0, 1, 1520421684, 1, 1),
(80, 80, 'en', 'FAQ', NULL, 'internal:/faq', '', 'a:0:{}', 0, 1, 1486463175, 1, 1),
(81, 81, 'en', 'Merchandise - Masonry', NULL, 'internal:/merchandise-masonry', '', 'a:0:{}', 0, 1, 1522338738, 1, 1),
(83, 83, 'en', 'Alternative Headers', NULL, 'internal:/', '', 'a:0:{}', 0, 1, 1486463175, 1, 1),
(84, 84, 'en', 'CtA navigation header', NULL, 'internal:/node/17', '', 'a:0:{}', 0, 1, 1520611766, 1, 1),
(86, 86, 'en', 'Alternative header 3', NULL, 'internal:/node/40', '', 'a:0:{}', 0, 1, 1520611766, 1, 1),
(87, 87, 'en', 'Merchandise Groups', NULL, 'internal:/merchandise-groups', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(88, 88, 'en', 'John Smith', NULL, 'internal:/node/45', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(89, 89, 'en', 'Terry Smith', NULL, 'internal:/node/44', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(90, 90, 'en', 'Nikki Dickinson', NULL, 'internal:/node/43', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(91, 91, 'en', 'Stevie Zonder', NULL, 'internal:/node/42', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(92, 92, 'en', 'Bekki Versace', NULL, 'internal:/node/41', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(93, 93, 'en', 'Merchandise - Groups Grid', NULL, 'internal:/merchandise-groups', '', 'a:0:{}', 0, 1, 1522338782, 1, 1),
(94, 94, 'en', 'Merchandise - Groups Masonry', NULL, 'internal:/merchandise-groups-masonry', '', 'a:0:{}', 0, 1, 1522338788, 1, 1),
(95, 95, 'en', 'Leadership & Management', NULL, 'internal:/team-members', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(96, 96, 'en', 'Pricing Tables', NULL, 'internal:/pricing-tables', '', 'a:0:{}', 0, 1, 1505318670, 1, 1),
(97, 97, 'en', 'Testimonials - List', NULL, 'internal:/testimonials', '', 'a:0:{}', 0, 1, 1522338770, 1, 1),
(98, 98, 'en', 'Testimonials - Grid', NULL, 'internal:/testimonials-3-col', '', 'a:0:{}', 0, 1, 1522338760, 1, 1),
(99, 99, 'en', 'Leadership & Management List', NULL, 'internal:/team-members-list', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(100, 100, 'en', 'Leadership & Management 2', NULL, 'internal:/team-members-2', '', 'a:0:{}', 0, 1, 1521802177, 1, 1),
(101, 101, 'en', 'Photo Albums - Alternative', NULL, 'internal:/albums-3-col-style-2', '', 'a:0:{}', 0, 1, 1521741067, 1, 1),
(104, 104, 'en', 'Testimonials - Masonry', NULL, 'internal:/testimonials-masonry', '', 'a:0:{}', 0, 1, 1522338776, 1, 1),
(109, 109, 'en', 'Testimonials - Grid 2', NULL, 'internal:/testimonials-3-col-2', '', 'a:0:{}', 0, 1, 1522338764, 1, 1),
(110, 110, 'en', 'Alternative header 2', NULL, 'internal:/node/53', '', 'a:0:{}', 0, 1, 1520611360, 1, 1),
(111, 111, 'en', 'Alternative header', NULL, 'internal:/', '', 'a:0:{}', 0, 1, 1520611766, 1, 1),
(112, 112, 'en', 'Slideshow - Video Gallery', NULL, 'entity:node/55', NULL, 'a:0:{}', 0, 1, 1480420524, 1, 1),
(113, 113, 'en', 'Our Investors', NULL, 'entity:node/56', NULL, 'a:0:{}', 0, 1, 1520938880, 1, 1),
(114, 114, 'en', 'Reusable Blocks', NULL, 'entity:node/58', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(115, 115, 'en', 'Static - Call to Action block', NULL, 'internal:/', '', 'a:0:{}', 0, 1, 1505469293, 1, 1),
(118, 118, 'en', 'Additional Pages', NULL, 'internal:/', '', 'a:0:{}', 0, 1, 1520938880, 1, 1),
(119, 119, 'en', 'Alternative Footer', NULL, 'entity:node/60', NULL, 'a:0:{}', 0, 1, 1486463175, 1, 1),
(120, 120, 'en', 'Alternative Footers', NULL, 'internal:/', '', 'a:0:{}', 0, 1, 1486463175, 1, 1),
(121, 121, 'en', 'Services', NULL, 'internal:/services-3-col', '', 'a:0:{}', 0, 1, 1486670647, 1, 1),
(122, 122, 'en', 'Services - First Column', NULL, 'internal:/services-3-col/services-2-col', '', 'a:0:{}', 0, 1, 1486671131, 1, 1),
(123, 123, 'en', 'First Service', NULL, 'internal:/services-3-col/first-service', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(124, 124, 'en', 'Second Service', NULL, 'internal:/services-3-col/second-service', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(125, 125, 'en', 'Third Service', NULL, 'internal:/third-service', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(126, 126, 'en', 'Fourth Service', NULL, 'internal:/services-3-col/fourth-service', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(127, 127, 'en', 'Services - Second Column', NULL, 'internal:/services-3-col', '', 'a:0:{}', 0, 1, 1486671141, 1, 1),
(128, 128, 'en', 'Fifth Service', NULL, 'internal:/services-3-col/fifth-service', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(129, 129, 'en', 'Sixth Service', NULL, 'internal:/services-3-col/sixth-service', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(130, 130, 'en', 'Services Isotope', NULL, 'internal:/services-isotope', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(131, 131, 'en', 'Services List', NULL, 'internal:/services-list', '', 'a:0:{}', 0, 1, 1486670545, 1, 1),
(132, 132, 'en', 'Products', NULL, 'internal:/products-3-col', '', 'a:0:{}', 0, 1, 1486670662, 1, 1),
(133, 133, 'en', 'Showcases', NULL, 'internal:/showcases-3-col', '', 'a:0:{}', 0, 1, 1486670662, 1, 1),
(134, 134, 'en', 'About', NULL, 'internal:/about-us', '', 'a:0:{}', 0, 1, 1486670662, 1, 1),
(135, 135, 'en', 'Features', NULL, 'internal:/shortcodes', '', 'a:0:{}', 0, 1, 1486670662, 1, 1),
(136, 136, 'en', 'Contact', NULL, 'internal:/contact', '', 'a:0:{}', 0, 1, 1486670662, 1, 1),
(137, 137, 'en', 'Mega Menu', NULL, 'internal:/mega-menu', '', 'a:0:{}', 0, 1, 1520611766, 1, 1),
(139, 139, 'en', 'Pricing Tables (Static)', NULL, 'internal:/node/62', '', 'a:0:{}', 0, 1, 1499245468, 1, 1),
(141, 141, 'en', 'Gallery', NULL, 'internal:#content-bottom', '', 'a:0:{}', 0, 1, 1516883682, 1, 1),
(142, 142, 'en', 'Speakers', NULL, 'internal:#featured', '', 'a:0:{}', 0, 1, 1516883582, 1, 1),
(143, 143, 'en', 'Sponsors', NULL, 'internal:#highlighted', '', 'a:0:{}', 0, 1, 1516883682, 1, 1),
(144, 144, 'en', 'News', NULL, 'internal:#highlighted-top', '', 'a:0:{}', 0, 1, 1516883682, 1, 1),
(145, 145, 'en', 'Landing Page', NULL, 'internal:/node/63', '', 'a:0:{}', 0, 1, 1499269536, 1, 1),
(146, 146, 'en', 'Style Guide', NULL, 'internal:/style-guide', '', 'a:0:{}', 0, 1, 1509472798, 1, 1),
(147, 147, 'en', 'Features', NULL, 'internal:#featured-top', '', 'a:0:{}', 0, 1, 1516883682, 1, 1),
(148, 148, 'en', 'Subscribe', NULL, 'internal:#footer-top', '', 'a:0:{}', 0, 1, 1516883682, 1, 1),
(149, 149, 'en', 'Events', NULL, 'internal:/events', '', 'a:0:{}', 0, 1, 1521741114, 1, 1),
(150, 150, 'en', 'Events - 3 Columns', NULL, 'internal:/events-3-col', '', 'a:0:{}', 0, 1, 1520611960, 1, 1),
(151, 151, 'en', 'Events - 2 Columns', NULL, 'internal:/events-2-col', '', 'a:0:{}', 0, 1, 1520611960, 1, 1),
(152, 152, 'en', 'Presentations', NULL, 'internal:/presentations', '', 'a:0:{}', 0, 1, 1521741114, 1, 1),
(154, 154, 'en', 'Presentations - 3 Columns', NULL, 'internal:/presentations-3-col', '', 'a:0:{}', 0, 1, 1521564694, 1, 1),
(155, 155, 'en', 'Sponsors', NULL, 'internal:/sponsors', '', 'a:0:{}', 0, 1, 1521136842, 1, 1),
(156, 156, 'en', 'Speakers', NULL, 'internal:/speakers', '', 'a:0:{}', 0, 1, 1521741114, 1, 1),
(158, 158, 'en', 'Program', NULL, 'internal:/program', '', 'a:0:{}', 0, 1, 1521741114, 1, 1),
(159, 159, 'en', 'Alternative Program', NULL, 'entity:node/95', '', 'a:0:{}', 0, 1, 1521741242, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `menu_link_content_revision`
--

CREATE TABLE `menu_link_content_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_created` int(11) DEFAULT NULL,
  `revision_log_message` longtext DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `menu_link_content__id` (`id`),
  KEY `menu_link_content__ef029a1897` (`revision_user`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision table for menu_link_content entities.';

--
-- Dumping data for table `menu_link_content_revision`
--

INSERT INTO `menu_link_content_revision` VALUES
(1, 1, 'en', 1, NULL, NULL, NULL),
(3, 3, 'en', 1, NULL, NULL, NULL),
(4, 4, 'en', 1, NULL, NULL, NULL),
(6, 6, 'en', 1, NULL, NULL, NULL),
(7, 7, 'en', 1, NULL, NULL, NULL),
(8, 8, 'en', 1, NULL, NULL, NULL),
(9, 9, 'en', 1, NULL, NULL, NULL),
(11, 11, 'en', 1, NULL, NULL, NULL),
(12, 12, 'en', 1, NULL, NULL, NULL),
(13, 13, 'en', 1, NULL, NULL, NULL),
(15, 15, 'en', 1, NULL, NULL, NULL),
(16, 16, 'en', 1, NULL, NULL, NULL),
(19, 19, 'en', 1, NULL, NULL, NULL),
(20, 20, 'en', 1, NULL, NULL, NULL),
(21, 21, 'en', 1, NULL, NULL, NULL),
(22, 22, 'en', 1, NULL, NULL, NULL),
(23, 23, 'en', 1, NULL, NULL, NULL),
(24, 24, 'en', 1, NULL, NULL, NULL),
(25, 25, 'en', 1, NULL, NULL, NULL),
(26, 26, 'en', 1, NULL, NULL, NULL),
(27, 27, 'en', 1, NULL, NULL, NULL),
(28, 28, 'en', 1, NULL, NULL, NULL),
(29, 29, 'en', 1, NULL, NULL, NULL),
(30, 30, 'en', 1, NULL, NULL, NULL),
(31, 31, 'en', 1, NULL, NULL, NULL),
(32, 32, 'en', 1, NULL, NULL, NULL),
(33, 33, 'en', 1, NULL, NULL, NULL),
(34, 34, 'en', 1, NULL, NULL, NULL),
(35, 35, 'en', 1, NULL, NULL, NULL),
(36, 36, 'en', 1, NULL, NULL, NULL),
(37, 37, 'en', 1, NULL, NULL, NULL),
(38, 38, 'en', 1, NULL, NULL, NULL),
(39, 39, 'en', 1, NULL, NULL, NULL),
(40, 40, 'en', 1, NULL, NULL, NULL),
(41, 41, 'en', 1, NULL, NULL, NULL),
(43, 43, 'en', 1, NULL, NULL, NULL),
(44, 44, 'en', 1, NULL, NULL, NULL),
(45, 45, 'en', 1, NULL, NULL, NULL),
(46, 46, 'en', 1, NULL, NULL, NULL),
(47, 47, 'en', 1, NULL, NULL, NULL),
(48, 48, 'en', 1, NULL, NULL, NULL),
(49, 49, 'en', 1, NULL, NULL, NULL),
(50, 50, 'en', 1, NULL, NULL, NULL),
(51, 51, 'en', 1, NULL, NULL, NULL),
(52, 52, 'en', 1, NULL, NULL, NULL),
(53, 53, 'en', 1, NULL, NULL, NULL),
(54, 54, 'en', 1, NULL, NULL, NULL),
(55, 55, 'en', 1, NULL, NULL, NULL),
(57, 57, 'en', 1, NULL, NULL, NULL),
(58, 58, 'en', 1, NULL, NULL, NULL),
(59, 59, 'en', 1, NULL, NULL, NULL),
(60, 60, 'en', 1, NULL, NULL, NULL),
(61, 61, 'en', 1, NULL, NULL, NULL),
(63, 63, 'en', 1, NULL, NULL, NULL),
(64, 64, 'en', 1, NULL, NULL, NULL),
(65, 65, 'en', 1, NULL, NULL, NULL),
(66, 66, 'en', 1, NULL, NULL, NULL),
(67, 67, 'en', 1, NULL, NULL, NULL),
(68, 68, 'en', 1, NULL, NULL, NULL),
(69, 69, 'en', 1, NULL, NULL, NULL),
(70, 70, 'en', 1, NULL, NULL, NULL),
(71, 71, 'en', 1, NULL, NULL, NULL),
(72, 72, 'en', 1, NULL, NULL, NULL),
(73, 73, 'en', 1, NULL, NULL, NULL),
(74, 74, 'en', 1, NULL, NULL, NULL),
(75, 75, 'en', 1, NULL, NULL, NULL),
(76, 76, 'en', 1, NULL, NULL, NULL),
(78, 78, 'en', 1, NULL, NULL, NULL),
(79, 79, 'en', 1, NULL, NULL, NULL),
(80, 80, 'en', 1, NULL, NULL, NULL),
(81, 81, 'en', 1, NULL, NULL, NULL),
(83, 83, 'en', 1, NULL, NULL, NULL),
(84, 84, 'en', 1, NULL, NULL, NULL),
(86, 86, 'en', 1, NULL, NULL, NULL),
(87, 87, 'en', 1, NULL, NULL, NULL),
(88, 88, 'en', 1, NULL, NULL, NULL),
(89, 89, 'en', 1, NULL, NULL, NULL),
(90, 90, 'en', 1, NULL, NULL, NULL),
(91, 91, 'en', 1, NULL, NULL, NULL),
(92, 92, 'en', 1, NULL, NULL, NULL),
(93, 93, 'en', 1, NULL, NULL, NULL),
(94, 94, 'en', 1, NULL, NULL, NULL),
(95, 95, 'en', 1, NULL, NULL, NULL),
(96, 96, 'en', 1, NULL, NULL, NULL),
(97, 97, 'en', 1, NULL, NULL, NULL),
(98, 98, 'en', 1, NULL, NULL, NULL),
(99, 99, 'en', 1, NULL, NULL, NULL),
(100, 100, 'en', 1, NULL, NULL, NULL),
(101, 101, 'en', 1, NULL, NULL, NULL),
(104, 104, 'en', 1, NULL, NULL, NULL),
(109, 109, 'en', 1, NULL, NULL, NULL),
(110, 110, 'en', 1, NULL, NULL, NULL),
(111, 111, 'en', 1, NULL, NULL, NULL),
(112, 112, 'en', 1, NULL, NULL, NULL),
(113, 113, 'en', 1, NULL, NULL, NULL),
(114, 114, 'en', 1, NULL, NULL, NULL),
(115, 115, 'en', 1, NULL, NULL, NULL),
(118, 118, 'en', 1, NULL, NULL, NULL),
(119, 119, 'en', 1, NULL, NULL, NULL),
(120, 120, 'en', 1, NULL, NULL, NULL),
(121, 121, 'en', 1, NULL, NULL, NULL),
(122, 122, 'en', 1, NULL, NULL, NULL),
(123, 123, 'en', 1, NULL, NULL, NULL),
(124, 124, 'en', 1, NULL, NULL, NULL),
(125, 125, 'en', 1, NULL, NULL, NULL),
(126, 126, 'en', 1, NULL, NULL, NULL),
(127, 127, 'en', 1, NULL, NULL, NULL),
(128, 128, 'en', 1, NULL, NULL, NULL),
(129, 129, 'en', 1, NULL, NULL, NULL),
(130, 130, 'en', 1, NULL, NULL, NULL),
(131, 131, 'en', 1, NULL, NULL, NULL),
(132, 132, 'en', 1, NULL, NULL, NULL),
(133, 133, 'en', 1, NULL, NULL, NULL),
(134, 134, 'en', 1, NULL, NULL, NULL),
(135, 135, 'en', 1, NULL, NULL, NULL),
(136, 136, 'en', 1, NULL, NULL, NULL),
(137, 137, 'en', 1, NULL, NULL, NULL),
(139, 139, 'en', 1, NULL, NULL, NULL),
(141, 141, 'en', 1, NULL, NULL, NULL),
(142, 142, 'en', 1, NULL, NULL, NULL),
(143, 143, 'en', 1, NULL, NULL, NULL),
(144, 144, 'en', 1, NULL, NULL, NULL),
(145, 145, 'en', 1, NULL, NULL, NULL),
(146, 146, 'en', 1, NULL, NULL, NULL),
(147, 147, 'en', 1, NULL, NULL, NULL),
(148, 148, 'en', 1, NULL, NULL, NULL),
(149, 149, 'en', 1, NULL, NULL, NULL),
(150, 150, 'en', 1, NULL, NULL, NULL),
(151, 151, 'en', 1, NULL, NULL, NULL),
(152, 152, 'en', 1, NULL, NULL, NULL),
(154, 154, 'en', 1, NULL, NULL, NULL),
(155, 155, 'en', 1, NULL, NULL, NULL),
(156, 156, 'en', 1, NULL, NULL, NULL),
(158, 158, 'en', 1, NULL, NULL, NULL),
(159, 159, 'en', 1, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `menu_tree`
--

CREATE TABLE `menu_tree` (
  `menu_name` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ''tools'') are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'Unique machine name: the plugin ID.',
  `parent` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The plugin ID for the parent of this link.',
  `route_name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL COMMENT 'The machine name of a defined Symfony Route this menu item represents.',
  `route_param_key` varchar(255) DEFAULT NULL COMMENT 'An encoded string of route parameters for loading by route.',
  `route_parameters` longblob DEFAULT NULL COMMENT 'Serialized array of route parameters of this menu link.',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT 'The external path this link points to (when not using a route).',
  `title` longblob DEFAULT NULL COMMENT 'The serialized title for the link. May be a TranslatableMarkup.',
  `description` longblob DEFAULT NULL COMMENT 'The serialized description of this link - used for admin pages and title attribute. May be a TranslatableMarkup.',
  `class` text DEFAULT NULL COMMENT 'The class for this link plugin.',
  `options` longblob DEFAULT NULL COMMENT 'A serialized array of URL options, such as a query string or HTML attributes.',
  `provider` varchar(50) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `enabled` smallint(6) NOT NULL DEFAULT 1 COMMENT 'A flag for whether the link should be rendered in menus. (0 = a disabled menu item that may be shown on admin screens, 1 = a normal, visible link)',
  `discovered` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag for whether the link was discovered, so can be purged on rebuild',
  `expanded` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT 0 COMMENT 'Link weight among links in the same menu at the same depth.',
  `metadata` longblob DEFAULT NULL COMMENT 'A serialized array of data that may be used by the plugin instance.',
  `has_children` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Flag indicating whether any enabled links have this link as a parent (1 = enabled children exist, 0 = no enabled children).',
  `depth` smallint(6) NOT NULL DEFAULT 0 COMMENT 'The depth relative to the top level. A link with empty parent will have depth == 1.',
  `p1` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the parent link mlid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The ninth mlid in the materialized path. See p1.',
  `form_class` varchar(255) DEFAULT NULL COMMENT 'meh',
  PRIMARY KEY (`mlid`),
  UNIQUE KEY `id` (`id`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `menu_parent_expand_child` (`menu_name`,`expanded`,`has_children`,`parent`(16)),
  KEY `route_values` (`route_name`(32),`route_param_key`(16))
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Contains the menu tree hierarchy.';

--
-- Dumping data for table `menu_tree`
--

INSERT INTO `menu_tree` VALUES
('admin', 1, 'system.admin', '', 'system.admin', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Administration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 9, 'a:0:{}', 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 2, 'system.admin_content', 'system.admin', 'system.admin_content', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Find and manage content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -10, 'a:0:{}', 1, 2, 1, 2, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 3, 'system.admin_structure', 'system.admin', 'system.admin_structure', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Structure";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Administer blocks, content types, menus, etc.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -8, 'a:0:{}', 1, 2, 1, 3, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 4, 'system.themes_page', 'system.admin', 'system.themes_page', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Appearance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Select and configure themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -6, 'a:0:{}', 1, 2, 1, 4, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 5, 'system.modules_list', 'system.admin', 'system.modules_list', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Extend";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:52:"Add and enable modules to extend site functionality.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -2, 'a:0:{}', 0, 2, 1, 5, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 6, 'system.admin_config', 'system.admin', 'system.admin_config', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Configuration";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:20:"Administer settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 0, 'a:0:{}', 1, 2, 1, 6, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 7, 'system.admin_config_media', 'system.admin_config', 'system.admin_config_media', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Media";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -10, 'a:0:{}', 1, 3, 1, 6, 7, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 8, 'system.file_system_settings', 'system.admin_config_media', 'system.file_system_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"File system";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Configure the location of uploaded files and how they are accessed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 7, 8, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 9, 'system.image_toolkit_settings', 'system.admin_config_media', 'system.image_toolkit_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Image toolkit";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 20, 'a:0:{}', 0, 4, 1, 6, 7, 9, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 10, 'system.admin_config_services', 'system.admin_config', 'system.admin_config_services', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Web services";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 0, 'a:0:{}', 1, 3, 1, 6, 10, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 11, 'system.rss_feeds_settings', 'system.admin_config_services', 'system.rss_feeds_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"RSS publishing";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:115:"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 10, 11, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 12, 'system.admin_config_development', 'system.admin_config', 'system.admin_config_development', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Development";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"Configure and use development tools.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -10, 'a:0:{}', 1, 3, 1, 6, 12, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 13, 'system.site_maintenance_mode', 'system.admin_config_development', 'system.site_maintenance_mode', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Maintenance mode";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Take the site offline for updates and other maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -10, 'a:0:{}', 0, 4, 1, 6, 12, 13, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 14, 'system.performance_settings', 'system.admin_config_development', 'system.performance_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Performance";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Configure caching and bandwidth optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -20, 'a:0:{}', 0, 4, 1, 6, 12, 14, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 15, 'system.logging_settings', 'system.admin_config_development', 'system.logging_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Logging and errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:61:"Configure the display of error messages and database logging.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -15, 'a:0:{}', 0, 4, 1, 6, 12, 15, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 16, 'system.admin_config_regional', 'system.admin_config', 'system.admin_config_regional', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Regional and language";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"Configure regional settings, localization, and translation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -5, 'a:0:{}', 1, 3, 1, 6, 16, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 17, 'system.regional_settings', 'system.admin_config_regional', 'system.regional_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Regional settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure the locale and timezone settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -20, 'a:0:{}', 0, 4, 1, 6, 16, 17, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 18, 'entity.date_format.collection', 'system.admin_config_regional', 'entity.date_format.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Date and time formats";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure how dates and times are displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -9, 'a:0:{}', 0, 4, 1, 6, 16, 18, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 19, 'system.admin_config_search', 'system.admin_config', 'system.admin_config_search', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Search and metadata";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:64:"Configure site search, metadata, and search engine optimization.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -10, 'a:0:{}', 1, 3, 1, 6, 19, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 20, 'system.admin_config_system', 'system.admin_config', 'system.admin_config_system', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"System";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:49:"Configure basic site settings, actions, and cron.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -20, 'a:0:{}', 1, 3, 1, 6, 20, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 21, 'system.site_information_settings', 'system.admin_config_system', 'system.site_information_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Basic site settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:77:"Change site name, email address, slogan, default front page, and error pages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -20, 'a:0:{}', 0, 4, 1, 6, 20, 21, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 22, 'system.cron_settings', 'system.admin_config_system', 'system.cron_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Cron";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:40:"Manage automatic site maintenance tasks.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 20, 'a:0:{}', 0, 4, 1, 6, 20, 22, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 23, 'system.admin_config_ui', 'system.admin_config', 'system.admin_config_ui', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"User interface";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the administrative user interface.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -15, 'a:0:{}', 1, 3, 1, 6, 23, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 24, 'system.admin_config_workflow', 'system.admin_config', 'system.admin_config_workflow', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Workflow";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage the content workflow.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 5, 'a:0:{}', 0, 3, 1, 6, 24, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 25, 'system.admin_config_content', 'system.admin_config', 'system.admin_config_content', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Content authoring";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"Configure content formatting and authoring.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -15, 'a:0:{}', 1, 3, 1, 6, 25, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 26, 'system.admin_reports', 'system.admin', 'system.admin_reports', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Reports";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"View reports, updates, and errors.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, 5, 'a:0:{}', 1, 2, 1, 26, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 27, 'system.status', 'system.admin_reports', 'system.status', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Status report";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Get a status report about your site''s operation.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'system', 1, 1, 0, -60, 'a:0:{}', 0, 3, 1, 26, 27, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 28, 'user.admin_index', 'system.admin_config', 'user.admin_index', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Configure user accounts.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'user', 1, 1, 0, -20, 'a:0:{}', 1, 3, 1, 6, 28, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 29, 'entity.user.admin_form', 'user.admin_index', 'entity.user.admin_form', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:16:"Account settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:105:"Configure default user account settings, including fields, registration requirements, and email messages.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'user', 1, 1, 0, -10, 'a:0:{}', 0, 4, 1, 6, 28, 29, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 30, 'entity.user.collection', 'system.admin', 'entity.user.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"People";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:45:"Manage user accounts, roles, and permissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'user', 1, 1, 0, 4, 'a:0:{}', 0, 2, 1, 30, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('account', 31, 'user.page', '', 'user.page', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"My account";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'user', 1, 1, 0, -10, 'a:0:{}', 0, 1, 31, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('account', 32, 'user.logout', '', '', '', 'a:0:{}', '', 's:0:"";', 's:0:"";', 'Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink', 'a:0:{}', 'user', 1, 1, 0, 10, 'a:0:{}', 0, 1, 32, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('tools', 34, 'filter.tips_all', '', 'filter.tips_all', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Compose tips";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'filter', 0, 1, 0, 0, 'a:0:{}', 0, 1, 34, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 35, 'filter.admin_overview', 'system.admin_config_content', 'filter.admin_overview', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"Text formats and editors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Select and configure text editors, and how content is filtered when displayed.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'filter', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 25, 35, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 36, 'block.admin_display', 'system.admin_structure', 'block.admin_display', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Block layout";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:79:"Configure what block content appears in your site''s sidebars and other regions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'block', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 36, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('tools', 37, 'node.add_page', '', 'node.add_page', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"Add content";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'node', 1, 1, 0, 0, 'a:0:{}', 0, 1, 37, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 38, 'entity.node_type.collection', 'system.admin_structure', 'entity.node_type.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Content types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:71:"Create and manage fields, forms, and display settings for your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'node', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 38, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 39, 'comment.admin', 'system.admin_content', 'comment.admin', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Comments";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:59:"List and edit site comments and the comment approval queue.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'comment', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 2, 39, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 40, 'entity.comment_type.collection', 'system.admin_structure', 'entity.comment_type.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Comment types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:46:"Manage form and displays settings of comments.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'comment', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 40, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 41, 'config.sync', 'system.admin_config_development', 'config.sync', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Configuration synchronization";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Import and export your configuration.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'config', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 12, 41, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('footer', 42, 'contact.site_page', '', 'contact.site_page', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"Contact";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'contact', 1, 1, 0, 0, 'a:0:{}', 0, 1, 42, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 43, 'entity.contact_form.collection', 'system.admin_structure', 'entity.contact_form.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Contact forms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:32:"Create and manage contact forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'contact', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 43, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 44, 'dblog.overview', 'system.admin_reports', 'dblog.overview', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Recent log messages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:43:"View events that have recently been logged.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'dblog', 1, 1, 0, -1, 'a:0:{}', 0, 3, 1, 26, 44, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 45, 'dblog.page_not_found', 'system.admin_reports', 'dblog.page_not_found', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"Top ''page not found'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:36:"View ''page not found'' errors (404s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'dblog', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 26, 45, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 46, 'dblog.access_denied', 'system.admin_reports', 'dblog.access_denied', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:26:"Top ''access denied'' errors";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"View ''access denied'' errors (403s).";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'dblog', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 26, 46, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 47, 'field_ui.display_mode', 'system.admin_structure', 'field_ui.display_mode', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Display modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:65:"Configure what displays are available for your content and forms.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'field_ui', 1, 1, 0, 0, 'a:0:{}', 1, 3, 1, 3, 47, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 48, 'entity.entity_view_mode.collection', 'field_ui.display_mode', 'entity.entity_view_mode.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"View modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom view modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'field_ui', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 3, 47, 48, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 49, 'entity.entity_form_mode.collection', 'field_ui.display_mode', 'entity.entity_form_mode.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Form modes";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:25:"Manage custom form modes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'field_ui', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 3, 47, 49, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 50, 'entity.field_storage_config.collection', 'system.admin_reports', 'entity.field_storage_config.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Field list";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Overview of fields on all entity types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'field_ui', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 26, 50, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 51, 'entity.taxonomy_vocabulary.collection', 'system.admin_structure', 'entity.taxonomy_vocabulary.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Taxonomy";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:67:"Manage tagging, categorization, and classification of your content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'taxonomy', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 51, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 52, 'help.main', 'system.admin', 'help.main', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Help";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:48:"Reference for usage, configuration, and modules.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'help', 1, 1, 0, 9, 'a:0:{}', 0, 2, 1, 52, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 53, 'entity.image_style.collection', 'system.admin_config_media', 'entity.image_style.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Image styles";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:78:"Configure styles that can be used for resizing or adjusting images on display.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'image', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 7, 53, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 54, 'entity.menu.collection', 'system.admin_structure', 'entity.menu.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Menus";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:28:"Manage menus and menu links.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'menu_ui', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 54, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('tools', 56, 'search.view', '', 'search.view', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Search";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'search', 0, 1, 0, 0, 'a:0:{}', 0, 1, 56, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 57, 'entity.search_page.collection', 'system.admin_config_search', 'entity.search_page.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Search pages";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:51:"Configure search pages and search indexing options.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'search', 1, 1, 0, -10, 'a:0:{}', 0, 4, 1, 6, 19, 57, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 58, 'dblog.search', 'system.admin_reports', 'dblog.search', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Top search phrases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:33:"View most popular search phrases.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', '', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 26, 58, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 59, 'entity.shortcut_set.collection', 'system.admin_config_ui', 'entity.shortcut_set.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:9:"Shortcuts";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:29:"Add and modify shortcut sets.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'shortcut', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 23, 59, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 60, 'entity.view.collection', 'system.admin_structure', 'entity.view.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:5:"Views";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:35:"Manage customized lists of content.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'views_ui', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 60, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 61, 'views_ui.reports_plugins', 'system.admin_reports', 'views_ui.reports_plugins', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:13:"Views plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:38:"Overview of plugins used in all views.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'views_ui', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 26, 61, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 62, 'update.status', 'system.admin_reports', 'update.status', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:17:"Available updates";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:82:"Get a status report about available updates for your installed modules and themes.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'update', 1, 1, 0, -50, 'a:0:{}', 0, 3, 1, 26, 62, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('main', 63, 'menu_link_content:df77133f-33d8-40c7-b465-e6451721ac92', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'entity.node.canonical', 'node=1', 'a:1:{s:4:"node";s:1:"1";}', '', 's:11:"Style Guide";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 0, 0, -94, 'a:1:{s:9:"entity_id";s:1:"1";}', 0, 2, 70, 63, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 65, 'menu_link_content:619f6fb8-9500-4e06-9d96-c99657a5a3c3', '', 'contact.site_page', '', 'a:0:{}', '', 's:7:"Contact";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -93, 'a:1:{s:9:"entity_id";s:1:"3";}', 0, 1, 65, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 66, 'menu_link_content:b71ef69d-3e76-4aeb-9dbd-cdd461c28187', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'entity.node.canonical', 'node=2', 'a:1:{s:4:"node";s:1:"2";}', '', 's:10:"Shortcodes";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -93, 'a:1:{s:9:"entity_id";s:1:"4";}', 0, 2, 70, 66, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 69, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', '', 'entity.node.canonical', 'node=94', 'a:1:{s:4:"node";s:2:"94";}', '', 's:5:"About";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -95, 'a:1:{s:9:"entity_id";s:1:"6";}', 1, 1, 69, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 70, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', '', 'entity.node.canonical', 'node=2', 'a:1:{s:4:"node";s:1:"2";}', '', 's:8:"Features";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -94, 'a:1:{s:9:"entity_id";s:1:"7";}', 1, 1, 70, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 71, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 'entity.node.canonical', 'node=16', 'a:1:{s:4:"node";s:2:"16";}', '', 's:21:"Alternative Homepages";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -91, 'a:1:{s:9:"entity_id";s:1:"8";}', 1, 3, 70, 219, 71, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 72, 'menu_link_content:d0ef304a-5246-4977-98a7-dfc835e2a4d8', 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 'entity.node.canonical', 'node=16', 'a:1:{s:4:"node";s:2:"16";}', '', 's:23:"Slideshow - Boxed Width";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:1:"9";}', 0, 4, 70, 219, 71, 72, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 74, 'menu_link_content:d2dbe641-ddd9-49a5-ac0d-73cfa65ec2f2', 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 'entity.node.canonical', 'node=17', 'a:1:{s:4:"node";s:2:"17";}', '', 's:23:"Slideshow - Full Screen";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:2:"11";}', 0, 4, 70, 219, 71, 74, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 75, 'menu_link_content:aac7ac25-9547-42a5-97b3-4d6ad5a19734', 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 'entity.node.canonical', 'node=59', 'a:1:{s:4:"node";s:2:"59";}', '', 's:22:"Slideshow - Full Width";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:2:"12";}', 0, 4, 70, 219, 71, 75, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('footer', 76, 'menu_link_content:819ad9da-c46a-41a9-9d32-2943791ce48b', '', 'entity.node.canonical', 'node=2', 'a:1:{s:4:"node";s:1:"2";}', '', 's:8:"Features";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:2:"13";}', 0, 1, 76, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('footer', 78, 'menu_link_content:ff0055e1-2453-4bda-9436-0473cabce714', '', '<front>', '', 'a:0:{}', '', 's:4:"Home";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:2:"15";}', 0, 1, 78, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('footer', 79, 'menu_link_content:7c08d680-4d48-471f-92ae-efed8cbe00b6', '', 'entity.node.canonical', 'node=1', 'a:1:{s:4:"node";s:1:"1";}', '', 's:10:"Typography";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:2:"16";}', 0, 1, 79, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-subfooter-menu', 82, 'menu_link_content:150fae1b-8c12-4f20-812b-680ce5cc429a', '', 'entity.node.canonical', 'node=1', 'a:1:{s:4:"node";s:1:"1";}', '', 's:10:"Typography";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:2:"19";}', 0, 1, 82, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-subfooter-menu', 83, 'menu_link_content:7b33e2ce-9ae0-422a-9b4c-9a8fa296981f', '', 'entity.node.canonical', 'node=2', 'a:1:{s:4:"node";s:1:"2";}', '', 's:8:"Features";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:2:"20";}', 0, 1, 83, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-subfooter-menu', 84, 'menu_link_content:bc25bc25-3670-4c2f-9559-4d8ce6b952a6', '', 'contact.site_page', '', 'a:0:{}', '', 's:7:"Contact";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -46, 'a:1:{s:9:"entity_id";s:2:"21";}', 0, 1, 84, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-subfooter-menu', 85, 'menu_link_content:14496e50-e17c-4842-b670-d720ed26b3e9', '', '<front>', '', 'a:0:{}', '', 's:4:"Home";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:2:"22";}', 0, 1, 85, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 86, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 'view.mt_services.page_2', '', 'a:0:{}', '', 's:13:"Accommodation";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -96, 'a:1:{s:9:"entity_id";s:2:"23";}', 1, 2, 69, 86, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 87, 'menu_link_content:6ca70e43-62d1-45ab-bceb-2bd9e449bc80', 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'view.mt_services.page_3', '', 'a:0:{}', '', 's:26:"Accommodations - 2 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -88, 'a:1:{s:9:"entity_id";s:2:"24";}', 0, 3, 69, 86, 87, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 88, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'view.mt_services.page_2', '', 'a:0:{}', '', 's:26:"Accommodations - 3 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -87, 'a:1:{s:9:"entity_id";s:2:"25";}', 1, 3, 69, 86, 88, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 89, 'menu_link_content:58a26d4a-d78e-449a-9938-7a5351fe4644', 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'view.mt_services.page_1', '', 'a:0:{}', '', 's:26:"Accommodations - 4 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -86, 'a:1:{s:9:"entity_id";s:2:"26";}', 0, 3, 69, 86, 89, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 90, 'menu_link_content:ff9a11ff-f17d-4a50-834e-6baf68dbb119', 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 'entity.node.canonical', 'node=9', 'a:1:{s:4:"node";s:1:"9";}', '', 's:11:"Room type 1";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:2:"27";}', 0, 4, 69, 86, 88, 90, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 91, 'menu_link_content:dace7424-33df-4648-9f9f-2ad1eeca9079', 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 'entity.node.canonical', 'node=8', 'a:1:{s:4:"node";s:1:"8";}', '', 's:11:"Room type 2";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:2:"28";}', 0, 4, 69, 86, 88, 91, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 92, 'menu_link_content:54900fd2-9dc8-4c1a-8609-14d2001f244b', 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 'entity.node.canonical', 'node=7', 'a:1:{s:4:"node";s:1:"7";}', '', 's:11:"Room type 3";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:2:"29";}', 0, 4, 69, 86, 88, 92, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 93, 'menu_link_content:be7b613a-6626-466c-80c4-dea9a4c336e3', 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 'entity.node.canonical', 'node=6', 'a:1:{s:4:"node";s:1:"6";}', '', 's:11:"Room type 4";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:2:"30";}', 0, 4, 69, 86, 88, 93, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 94, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 'view.mt_products.page_2', '', 'a:0:{}', '', 's:11:"Merchandise";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -95, 'a:1:{s:9:"entity_id";s:2:"31";}', 1, 2, 69, 94, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 95, 'menu_link_content:35cba033-55ae-4e59-8ef1-93e1bd6b72e4', 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 'view.mt_products.page_3', '', 'a:0:{}', '', 's:23:"Merchandise - 2 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -78, 'a:1:{s:9:"entity_id";s:2:"32";}', 0, 3, 69, 94, 95, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 96, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 'view.mt_products.page_2', '', 'a:0:{}', '', 's:23:"Merchandise - 3 columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -76, 'a:1:{s:9:"entity_id";s:2:"33";}', 1, 3, 69, 94, 96, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 97, 'menu_link_content:30062ec7-50ae-4f75-94c7-78a958ef8a92', 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 'view.mt_products.page_1', '', 'a:0:{}', '', 's:23:"Merchandise - 4 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -75, 'a:1:{s:9:"entity_id";s:2:"34";}', 0, 3, 69, 94, 97, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 98, 'menu_link_content:9a7cc794-b7c2-4c34-abdb-41ed4d5a00e8', 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 'entity.node.canonical', 'node=23', 'a:1:{s:4:"node";s:2:"23";}', '', 's:13:"First T-shirt";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:2:"35";}', 0, 4, 69, 94, 96, 98, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 99, 'menu_link_content:91eff73f-c8fc-43c3-be2e-1d1021b31b94', 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 'entity.node.canonical', 'node=22', 'a:1:{s:4:"node";s:2:"22";}', '', 's:14:"Second T-shirt";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:2:"36";}', 0, 4, 69, 94, 96, 99, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 100, 'menu_link_content:e61eab73-2915-4717-a269-71c754fe1d1d', 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 'entity.node.canonical', 'node=21', 'a:1:{s:4:"node";s:2:"21";}', '', 's:10:"Longsleeve";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:2:"37";}', 0, 4, 69, 94, 96, 100, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 101, 'menu_link_content:aa6234db-421d-4b9c-88ab-d52f67396385', 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 'entity.node.canonical', 'node=20', 'a:1:{s:4:"node";s:2:"20";}', '', 's:6:"Hoodie";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:2:"38";}', 0, 4, 69, 94, 96, 101, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 102, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 'view.mt_albums_grid_style_2.page_2', '', 'a:0:{}', '', 's:12:"Photo Albums";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -97, 'a:1:{s:9:"entity_id";s:2:"39";}', 1, 2, 69, 102, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 103, 'menu_link_content:1ffa5919-0721-44cc-81a0-0ed8ae8cbe8b', 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 'view.mt_albums_grid_style_2.page_3', '', 'a:0:{}', '', 's:24:"Photo Albums - 2 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -79, 'a:1:{s:9:"entity_id";s:2:"40";}', 0, 3, 69, 102, 103, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 104, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 'view.mt_albums_grid_style_2.page_2', '', 'a:0:{}', '', 's:24:"Photo Albums - 3 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -78, 'a:1:{s:9:"entity_id";s:2:"41";}', 1, 3, 69, 102, 104, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 106, 'menu_link_content:a47935fa-6da5-4f2b-a1cc-f22110b535f3', 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 'entity.node.canonical', 'node=81', 'a:1:{s:4:"node";s:2:"81";}', '', 's:11:"First Album";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:2:"43";}', 0, 4, 69, 102, 104, 106, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 107, 'menu_link_content:9a6aeb08-fa1d-45ff-8bff-735206f163e7', 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 'entity.node.canonical', 'node=80', 'a:1:{s:4:"node";s:2:"80";}', '', 's:12:"Second Album";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:2:"44";}', 0, 4, 69, 102, 104, 107, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 108, 'menu_link_content:ed3ae2f3-4b6a-4ca8-b49a-33e726e0b091', 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 'entity.node.canonical', 'node=79', 'a:1:{s:4:"node";s:2:"79";}', '', 's:11:"Third Album";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:2:"45";}', 0, 4, 69, 102, 104, 108, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 109, 'menu_link_content:58b51955-7a6c-4cdc-a3a7-e8cc9f9451b1', 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 'entity.node.canonical', 'node=78', 'a:1:{s:4:"node";s:2:"78";}', '', 's:12:"Fourth Album";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:2:"46";}', 0, 4, 69, 102, 104, 109, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 110, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'view.mt_testimonials.page_1', '', 'a:0:{}', '', 's:12:"Testimonials";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -90, 'a:1:{s:9:"entity_id";s:2:"47";}', 1, 2, 70, 110, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 111, 'menu_link_content:c5d1ad7c-9f51-4739-a1bb-2a314cf4fa5e', 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 'view.mt_isotope.page_1', '', 'a:0:{}', '', 's:22:"Photo Albums - Isotope";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -75, 'a:1:{s:9:"entity_id";s:2:"48";}', 0, 3, 69, 102, 111, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 112, 'menu_link_content:d728e857-6891-40ce-982b-38166d6ae9eb', 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'view.mt_isotope.page_2', '', 'a:0:{}', '', 's:24:"Accommodations - Isotope";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -85, 'a:1:{s:9:"entity_id";s:2:"49";}', 0, 3, 69, 86, 112, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 113, 'menu_link_content:e493b484-6770-4386-80a9-b04d0ad1be22', 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 'view.mt_isotope.page_3', '', 'a:0:{}', '', 's:21:"Merchandise - Isotope";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -74, 'a:1:{s:9:"entity_id";s:2:"50";}', 0, 3, 69, 94, 113, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 114, 'menu_link_content:a264aad3-3826-482d-8e27-8b95eb25bd12', 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 'entity.contact_form.canonical', 'contact_form=alternative', 'a:1:{s:12:"contact_form";s:11:"alternative";}', '', 's:19:"Alternative Contact";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -88, 'a:1:{s:9:"entity_id";s:2:"51";}', 0, 3, 70, 219, 114, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 115, 'menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'entity.node.canonical', 'node=36', 'a:1:{s:4:"node";s:2:"36";}', '', 's:15:"Responsive Grid";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -89, 'a:1:{s:9:"entity_id";s:2:"52";}', 1, 2, 70, 115, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 116, 'menu_link_content:6389ddae-6271-4615-9295-61674f44b990', 'menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3', 'entity.node.canonical', 'node=36', 'a:1:{s:4:"node";s:2:"36";}', '', 's:17:"Grid - No Sidebar";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -83, 'a:1:{s:9:"entity_id";s:2:"53";}', 0, 3, 70, 115, 116, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 117, 'menu_link_content:14aa4e63-6a31-4c10-b3f2-456555e8877d', 'menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3', 'entity.node.canonical', 'node=37', 'a:1:{s:4:"node";s:2:"37";}', '', 's:19:"Grid - With Sidebar";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -82, 'a:1:{s:9:"entity_id";s:2:"54";}', 0, 3, 70, 115, 117, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 118, 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'entity.node.canonical', 'node=9', 'a:1:{s:4:"node";s:1:"9";}', '', 's:16:"Internal Layouts";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -97, 'a:1:{s:9:"entity_id";s:2:"55";}', 1, 2, 70, 118, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 120, 'menu_link_content:b700fea9-6998-421d-84e7-3f659bf73f4f', 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 'entity.node.canonical', 'node=9', 'a:1:{s:4:"node";s:1:"9";}', '', 's:11:"One sidebar";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -57, 'a:1:{s:9:"entity_id";s:2:"57";}', 0, 3, 70, 118, 120, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 121, 'menu_link_content:98c995be-c2d9-4813-a9a7-e714edf59114', 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 'entity.node.canonical', 'node=5', 'a:1:{s:4:"node";s:1:"5";}', '', 's:12:"Two sidebars";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -55, 'a:1:{s:9:"entity_id";s:2:"58";}', 0, 3, 70, 118, 121, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 122, 'menu_link_content:ea018f77-4dd8-48ff-8930-10b0ce2e9084', 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 'entity.node.canonical', 'node=15', 'a:1:{s:4:"node";s:2:"15";}', '', 's:18:"Page with comments";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -56, 'a:1:{s:9:"entity_id";s:2:"59";}', 0, 3, 70, 118, 122, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 123, 'menu_link_content:9a8899a4-6547-40ac-a043-c2547e167918', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'view.mt_videos.page_1', '', 'a:0:{}', '', 's:6:"Videos";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -88, 'a:1:{s:9:"entity_id";s:2:"60";}', 0, 2, 70, 123, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 124, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'view.mt_articles.page_1', '', 'a:0:{}', '', 's:8:"Articles";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -91, 'a:1:{s:9:"entity_id";s:2:"61";}', 1, 2, 70, 124, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('admin', 126, 'entity.font.collection', 'system.themes_page', 'entity.font.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"@font-your-face";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'fontyourface', 1, 1, 0, 100, 'a:0:{}', 1, 3, 1, 4, 126, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm');
INSERT INTO `menu_tree` VALUES
('admin', 127, 'entity.font.browse', 'entity.font.collection', 'entity.font.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:6:"Browse";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"List Font entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'fontyourface', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 4, 126, 127, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 128, 'entity.font_display.collection', 'entity.font.collection', 'entity.font_display.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:12:"Font display";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:27:"List Font display (bundles)";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'fontyourface', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 4, 126, 128, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 129, 'font.admin.appearance.settings', 'entity.font.collection', 'font.settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:24:"@font-your-face settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'fontyourface', 1, 1, 0, 100, 'a:0:{}', 0, 4, 1, 4, 126, 129, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('main', 130, 'menu_link_content:e17c1216-c7e8-444a-bfec-5139b1f2a9a2', 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 'view.mt_products_list.page_1', '', 'a:0:{}', '', 's:18:"Merchandise - List";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -73, 'a:1:{s:9:"entity_id";s:2:"63";}', 0, 3, 69, 94, 130, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 131, 'menu_link_content:cf7b31c8-2f90-432b-877b-9203b12b1f8d', 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'view.mt_services_list.page_1', '', 'a:0:{}', '', 's:21:"Accommodations - List";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -84, 'a:1:{s:9:"entity_id";s:2:"64";}', 0, 3, 69, 86, 131, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 132, 'menu_link_content:0bb8fa3f-64cc-4084-9f09-a75a2d49e89a', 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 'view.mt_articles_grid.page_4', '', 'a:0:{}', '', 's:20:"Articles - 2 columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -93, 'a:1:{s:9:"entity_id";s:2:"65";}', 0, 3, 70, 124, 132, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 133, 'menu_link_content:b2aa9ae0-8454-4247-806d-e07ce9b9ee7c', 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 'view.mt_articles_grid.page_2', '', 'a:0:{}', '', 's:20:"Articles - 3 columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -92, 'a:1:{s:9:"entity_id";s:2:"66";}', 0, 3, 70, 124, 133, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 134, 'menu_link_content:e513ba0a-7451-468b-b56e-9d6c44f7946c', 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 'view.mt_articles_grid.page_1', '', 'a:0:{}', '', 's:20:"Articles - 4 columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -91, 'a:1:{s:9:"entity_id";s:2:"67";}', 0, 3, 70, 124, 134, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 135, 'menu_link_content:cd2e6dc8-d6f0-4677-9e13-f826adf4333c', 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 'view.mt_articles.page_1', '', 'a:0:{}', '', 's:18:"Articles - teasers";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -87, 'a:1:{s:9:"entity_id";s:2:"68";}', 0, 3, 70, 124, 135, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 136, 'menu_link_content:6b617081-dd99-41cd-b895-9c4d730a7c06', 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 'view.mt_articles_list.page_1', '', 'a:0:{}', '', 's:15:"Articles - list";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -90, 'a:1:{s:9:"entity_id";s:2:"69";}', 0, 3, 70, 124, 136, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-two', 137, 'menu_link_content:bf6e2e6e-719c-4d0f-9c58-652c6dff4573', '', 'entity.node.canonical', 'node=1', 'a:1:{s:4:"node";s:1:"1";}', '', 's:12:"Help Support";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:2:"70";}', 0, 1, 137, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-two', 138, 'menu_link_content:39b3c326-cbfc-4ba6-b0ff-fb189687221a', '', 'contact.site_page', '', 'a:0:{}', '', 's:11:"Track Order";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:2:"71";}', 0, 1, 138, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-two', 139, 'menu_link_content:33cf538c-c38c-4b93-9647-3ff85adcde4c', '', 'contact.site_page', '', 'a:0:{}', '', 's:7:"Returns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:2:"72";}', 0, 1, 139, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-two', 140, 'menu_link_content:91b616bb-a24a-4829-b510-71b79daa22d4', '', 'entity.node.canonical', 'node=2', 'a:1:{s:4:"node";s:1:"2";}', '', 's:13:"Shipping Info";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:2:"73";}', 0, 1, 140, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-two', 141, 'menu_link_content:47123056-5045-42bd-9fd8-524e872e201e', '', 'entity.node.canonical', 'node=39', 'a:1:{s:4:"node";s:2:"39";}', '', 's:4:"FAQs";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -46, 'a:1:{s:9:"entity_id";s:2:"74";}', 0, 1, 141, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-three', 142, 'menu_link_content:c8fd0bcc-25fe-4f82-88fb-4753ef1511bc', '', 'entity.node.canonical', 'node=2', 'a:1:{s:4:"node";s:1:"2";}', '', 's:10:"Shortcodes";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:2:"75";}', 0, 1, 142, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-three', 143, 'menu_link_content:98ce31d5-5281-48ff-a951-e361ad538153', '', 'view.mt_articles.page_1', '', 'a:0:{}', '', 's:4:"Blog";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:2:"76";}', 0, 1, 143, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-three', 145, 'menu_link_content:cb3ba90d-f7a6-4c09-aa1f-1ad4975c76a2', '', 'contact.site_page', '', 'a:0:{}', '', 's:7:"Contact";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -46, 'a:1:{s:9:"entity_id";s:2:"78";}', 0, 1, 145, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-three', 146, 'menu_link_content:fa6c18d9-3d2f-47be-b8c2-7772f0d3c31f', '', 'user.login', '', 'a:0:{}', '', 's:5:"Login";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:2:"79";}', 0, 1, 146, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 147, 'menu_link_content:233c90c6-cf4c-445f-918e-98996a936196', 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 'entity.node.canonical', 'node=39', 'a:1:{s:4:"node";s:2:"39";}', '', 's:3:"FAQ";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -87, 'a:1:{s:9:"entity_id";s:2:"80";}', 0, 3, 70, 219, 147, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 148, 'menu_link_content:83b37503-f515-42e6-9276-3c3667c07a5a', 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 'view.mt_products_masonry.page_1', '', 'a:0:{}', '', 's:21:"Merchandise - Masonry";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -72, 'a:1:{s:9:"entity_id";s:2:"81";}', 0, 3, 69, 94, 148, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('admin', 149, 'entity.paragraphs_type.collection', 'system.admin_structure', 'entity.paragraphs_type.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Paragraph types";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Create and manage Paragraph types.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'paragraphs', 1, 1, 0, 0, 'a:0:{}', 1, 3, 1, 3, 149, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('main', 167, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', '<front>', '', 'a:0:{}', '', 's:19:"Alternative Headers";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -90, 'a:1:{s:9:"entity_id";s:2:"83";}', 1, 3, 70, 219, 167, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 168, 'menu_link_content:420b8104-48c7-4570-b3b8-bd30a38f6043', 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 'entity.node.canonical', 'node=17', 'a:1:{s:4:"node";s:2:"17";}', '', 's:21:"CtA navigation header";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -89, 'a:1:{s:9:"entity_id";s:2:"84";}', 0, 4, 70, 219, 167, 168, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 170, 'menu_link_content:456805c4-f7f2-4126-ba37-0d3ee662160e', 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 'entity.node.canonical', 'node=40', 'a:1:{s:4:"node";s:2:"40";}', '', 's:20:"Alternative header 3";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -91, 'a:1:{s:9:"entity_id";s:2:"86";}', 0, 4, 70, 219, 167, 170, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 187, 'menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'view.mt_collections_grid.page_1', '', 'a:0:{}', '', 's:18:"Merchandise Groups";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -84, 'a:1:{s:9:"entity_id";s:2:"87";}', 1, 2, 70, 187, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 188, 'menu_link_content:2b9bf63c-e26e-4a2b-9fbf-b12ef7ec0cc1', 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'entity.node.canonical', 'node=45', 'a:1:{s:4:"node";s:2:"45";}', '', 's:10:"John Smith";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -99, 'a:1:{s:9:"entity_id";s:2:"88";}', 0, 3, 69, 195, 188, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 189, 'menu_link_content:e111820b-4474-4d74-9849-47f82c2a4fa3', 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'entity.node.canonical', 'node=44', 'a:1:{s:4:"node";s:2:"44";}', '', 's:11:"Terry Smith";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -98, 'a:1:{s:9:"entity_id";s:2:"89";}', 0, 3, 69, 195, 189, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 190, 'menu_link_content:f9da2d12-b06f-4f14-91d4-ef517018ab94', 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'entity.node.canonical', 'node=43', 'a:1:{s:4:"node";s:2:"43";}', '', 's:15:"Nikki Dickinson";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -97, 'a:1:{s:9:"entity_id";s:2:"90";}', 0, 3, 69, 195, 190, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 191, 'menu_link_content:93af63bc-239a-49ca-b12d-f0958d8eeed3', 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'entity.node.canonical', 'node=42', 'a:1:{s:4:"node";s:2:"42";}', '', 's:13:"Stevie Zonder";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -96, 'a:1:{s:9:"entity_id";s:2:"91";}', 0, 3, 69, 195, 191, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 192, 'menu_link_content:9803cd36-9e28-48f9-9565-c796b7718fa4', 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'entity.node.canonical', 'node=41', 'a:1:{s:4:"node";s:2:"41";}', '', 's:13:"Bekki Versace";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -95, 'a:1:{s:9:"entity_id";s:2:"92";}', 0, 3, 69, 195, 192, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 193, 'menu_link_content:d46f67bc-5e1f-4286-a9b8-41486bb6e3af', 'menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 'view.mt_collections_grid.page_1', '', 'a:0:{}', '', 's:25:"Merchandise - Groups Grid";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:2:"93";}', 0, 3, 70, 187, 193, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 194, 'menu_link_content:27c39f44-547f-4498-90a3-26db1e6d01f3', 'menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 'view.mt_collections_masonry.page_1', '', 'a:0:{}', '', 's:28:"Merchandise - Groups Masonry";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:2:"94";}', 0, 3, 70, 187, 194, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 195, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 'view.mt_team_members_grid.page_2', '', 'a:0:{}', '', 's:23:"Leadership & Management";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -99, 'a:1:{s:9:"entity_id";s:2:"95";}', 1, 2, 69, 195, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 196, 'menu_link_content:57249075-93aa-40ca-ad1e-69d459470fd3', 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 'view.mt_pricing_tables.page_1', '', 'a:0:{}', '', 's:14:"Pricing Tables";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -86, 'a:1:{s:9:"entity_id";s:2:"96";}', 0, 3, 70, 219, 196, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 197, 'menu_link_content:87d9d3a4-f55c-4376-a1cf-0c6d8d50b2f4', 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 'view.mt_testimonials.page_1', '', 'a:0:{}', '', 's:19:"Testimonials - List";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -80, 'a:1:{s:9:"entity_id";s:2:"97";}', 0, 3, 70, 110, 197, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 198, 'menu_link_content:ec2a42f2-8b1f-44a8-9ad6-0a341538acdb', 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 'view.mt_testimonials_grid.page_1', '', 'a:0:{}', '', 's:19:"Testimonials - Grid";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -82, 'a:1:{s:9:"entity_id";s:2:"98";}', 0, 3, 70, 110, 198, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 199, 'menu_link_content:187c2768-dfc7-453f-9924-6e34ad9526f1', 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'view.mt_team_members_list.page_1', '', 'a:0:{}', '', 's:28:"Leadership & Management List";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -93, 'a:1:{s:9:"entity_id";s:2:"99";}', 0, 3, 69, 195, 199, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 200, 'menu_link_content:38c113cc-ed8e-4c6e-89f9-0eea95f6a764', 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 'view.mt_team_members_grid_2.page_2', '', 'a:0:{}', '', 's:25:"Leadership & Management 2";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -94, 'a:1:{s:9:"entity_id";s:3:"100";}', 0, 3, 69, 195, 200, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 201, 'menu_link_content:ea83656c-4196-4016-b1b7-ce2683133f01', 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 'view.mt_albums.page_2', '', 'a:0:{}', '', 's:26:"Photo Albums - Alternative";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -76, 'a:1:{s:9:"entity_id";s:3:"101";}', 0, 3, 69, 102, 201, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 205, 'menu_link_content:dfe4e87c-b750-4274-8a33-42e9511ef462', 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 'view.mt_testimonials_masonry.page_1', '', 'a:0:{}', '', 's:22:"Testimonials - Masonry";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -79, 'a:1:{s:9:"entity_id";s:3:"104";}', 0, 3, 70, 110, 205, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 210, 'menu_link_content:27773c78-6e23-4e95-a49a-ce29c10d1739', 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 'view.mt_testimonials_grid_2.page_1', '', 'a:0:{}', '', 's:21:"Testimonials - Grid 2";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -81, 'a:1:{s:9:"entity_id";s:3:"109";}', 0, 3, 70, 110, 210, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 211, 'menu_link_content:628f53d2-9894-41e9-8258-3ee56ac5e123', 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 'entity.node.canonical', 'node=53', 'a:1:{s:4:"node";s:2:"53";}', '', 's:20:"Alternative header 2";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -92, 'a:1:{s:9:"entity_id";s:3:"110";}', 0, 4, 70, 219, 167, 211, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 212, 'menu_link_content:529004c5-ee96-4898-91c1-c96f2d69141f', 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', '<front>', '', 'a:0:{}', '', 's:18:"Alternative header";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -90, 'a:1:{s:9:"entity_id";s:3:"111";}', 0, 4, 70, 219, 167, 212, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 213, 'menu_link_content:72b61854-74ba-40ba-849a-6a87f4ab0230', 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 'entity.node.canonical', 'node=55', 'a:1:{s:4:"node";s:2:"55";}', '', 's:25:"Slideshow - Video Gallery";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 0, 0, 0, 'a:1:{s:9:"entity_id";s:3:"112";}', 0, 4, 70, 219, 71, 213, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 214, 'menu_link_content:24fc6a71-2598-4617-80c6-d2af28bdd5e9', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'entity.node.canonical', 'node=56', 'a:1:{s:4:"node";s:2:"56";}', '', 's:13:"Our Investors";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 0, 0, -85, 'a:1:{s:9:"entity_id";s:3:"113";}', 0, 2, 70, 214, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 215, 'menu_link_content:7172b9a8-f520-4d23-b3a8-21b2eebaf3be', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'entity.node.canonical', 'node=58', 'a:1:{s:4:"node";s:2:"58";}', '', 's:15:"Reusable Blocks";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 0, 0, -92, 'a:1:{s:9:"entity_id";s:3:"114";}', 0, 2, 70, 215, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 216, 'menu_link_content:d5a57270-ad64-4078-9ae4-2fa74c473d09', 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', '<front>', '', 'a:0:{}', '', 's:29:"Static - Call to Action block";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:3:"115";}', 0, 4, 70, 219, 71, 216, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 219, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', '<front>', '', 'a:0:{}', '', 's:16:"Additional Pages";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -96, 'a:1:{s:9:"entity_id";s:3:"118";}', 1, 2, 70, 219, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 220, 'menu_link_content:f93fe558-7ff5-4041-9ebc-2c9acb5b0101', 'menu_link_content:50a0e873-392f-47d7-9ac8-7fdc2313fffc', 'entity.node.canonical', 'node=60', 'a:1:{s:4:"node";s:2:"60";}', '', 's:18:"Alternative Footer";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 0, 0, -91, 'a:1:{s:9:"entity_id";s:3:"119";}', 0, 4, 70, 219, 221, 220, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 221, 'menu_link_content:50a0e873-392f-47d7-9ac8-7fdc2313fffc', 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', '<front>', '', 'a:0:{}', '', 's:19:"Alternative Footers";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -89, 'a:1:{s:9:"entity_id";s:3:"120";}', 1, 3, 70, 219, 221, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 222, 'menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', '', NULL, '', 'a:0:{}', 'base:services-3-col', 's:8:"Services";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:3:"121";}', 1, 1, 222, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 223, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 'menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', NULL, '', 'a:0:{}', 'base:services-3-col/services-2-col', 's:23:"Services - First Column";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:3:"122";}', 1, 2, 222, 223, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 224, 'menu_link_content:c3cf9603-75d2-4750-bf01-8d3fa4d091f1', 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', NULL, '', 'a:0:{}', 'base:services-3-col/first-service', 's:13:"First Service";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:3:"123";}', 0, 3, 222, 223, 224, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 225, 'menu_link_content:77e4b263-d12a-4e53-8812-4e80a6ce5942', 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', NULL, '', 'a:0:{}', 'base:services-3-col/second-service', 's:14:"Second Service";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:3:"124";}', 0, 3, 222, 223, 225, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 226, 'menu_link_content:636cd3bc-86c2-497a-b53e-c093a9fd09c4', 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', NULL, '', 'a:0:{}', 'base:third-service', 's:13:"Third Service";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:3:"125";}', 0, 3, 222, 223, 226, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 227, 'menu_link_content:69b1c99b-1625-45a1-9c08-c9323fe184a9', 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', NULL, '', 'a:0:{}', 'base:services-3-col/fourth-service', 's:14:"Fourth Service";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:3:"126";}', 0, 3, 222, 223, 227, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 228, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 'menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', NULL, '', 'a:0:{}', 'base:services-3-col', 's:24:"Services - Second Column";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:3:"127";}', 1, 2, 222, 228, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 229, 'menu_link_content:9723492c-1562-4b50-a072-7591560ea73d', 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', NULL, '', 'a:0:{}', 'base:services-3-col/fifth-service', 's:13:"Fifth Service";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:3:"128";}', 0, 3, 222, 228, 229, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 230, 'menu_link_content:c112ad51-86f9-4817-a6dc-e36b04a20b46', 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', NULL, '', 'a:0:{}', 'base:services-3-col/sixth-service', 's:13:"Sixth Service";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:3:"129";}', 0, 3, 222, 228, 230, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 231, 'menu_link_content:0dddf63f-8702-4e97-8a12-91604468968e', 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', NULL, '', 'a:0:{}', 'base:services-isotope', 's:16:"Services Isotope";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:3:"130";}', 0, 3, 222, 228, 231, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 232, 'menu_link_content:e40bc484-f1ca-4d41-95f5-c14c1c75731c', 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', NULL, '', 'a:0:{}', 'base:services-list', 's:13:"Services List";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:3:"131";}', 0, 3, 222, 228, 232, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 233, 'menu_link_content:35356869-6cc7-4780-aec3-495ad4906b4d', '', NULL, '', 'a:0:{}', 'base:products-3-col', 's:8:"Products";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:3:"132";}', 0, 1, 233, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 234, 'menu_link_content:30680075-2a20-4ce9-bdb4-b0dd21dc1e95', '', NULL, '', 'a:0:{}', 'base:showcases-3-col', 's:9:"Showcases";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:3:"133";}', 0, 1, 234, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 235, 'menu_link_content:9125f74a-30ce-48ee-a3a9-e5c92d614f82', '', 'entity.node.canonical', 'node=94', 'a:1:{s:4:"node";s:2:"94";}', '', 's:5:"About";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:3:"134";}', 0, 1, 235, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 236, 'menu_link_content:b8282728-08a0-49df-a3bb-5e7a9eeb7a88', '', 'entity.node.canonical', 'node=2', 'a:1:{s:4:"node";s:1:"2";}', '', 's:8:"Features";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -46, 'a:1:{s:9:"entity_id";s:3:"135";}', 0, 1, 236, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-mega-menu', 237, 'menu_link_content:613bc0cf-f6fd-43b7-b74c-d28650a45368', '', 'contact.site_page', '', 'a:0:{}', '', 's:7:"Contact";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -45, 'a:1:{s:9:"entity_id";s:3:"136";}', 0, 1, 237, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 238, 'menu_link_content:b15e8053-394a-4127-917c-29d9f4821388', 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 'entity.node.canonical', 'node=61', 'a:1:{s:4:"node";s:2:"61";}', '', 's:9:"Mega Menu";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -88, 'a:1:{s:9:"entity_id";s:3:"137";}', 0, 4, 70, 219, 167, 238, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 240, 'menu_link_content:992d67ca-2c8a-4c22-afd9-7ce75542504e', 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 'entity.node.canonical', 'node=62', 'a:1:{s:4:"node";s:2:"62";}', '', 's:23:"Pricing Tables (Static)";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:3:"139";}', 0, 3, 70, 219, 240, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('landing-page-navigation', 242, 'menu_link_content:d18a5e03-6a2b-4e4d-bb47-9dd5e1208ce0', '', '<none>', '', 'a:0:{}', '', 's:7:"Gallery";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:8:"fragment";s:14:"content-bottom";}', 'menu_link_content', 1, 1, 0, -50, 'a:1:{s:9:"entity_id";s:3:"141";}', 0, 1, 242, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('landing-page-navigation', 243, 'menu_link_content:646a9bf3-02b0-40e5-a32c-1633c607e6d7', '', '<none>', '', 'a:0:{}', '', 's:8:"Speakers";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:8:"fragment";s:8:"featured";}', 'menu_link_content', 1, 1, 0, -48, 'a:1:{s:9:"entity_id";s:3:"142";}', 0, 1, 243, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('landing-page-navigation', 244, 'menu_link_content:6cd9d972-5ec3-41c1-ab9e-bd7c9da308c7', '', '<none>', '', 'a:0:{}', '', 's:8:"Sponsors";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:8:"fragment";s:11:"highlighted";}', 'menu_link_content', 1, 1, 0, -46, 'a:1:{s:9:"entity_id";s:3:"143";}', 0, 1, 244, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('landing-page-navigation', 245, 'menu_link_content:620a77e8-7f6a-439d-8bff-3073d09e9a5d', '', '<none>', '', 'a:0:{}', '', 's:4:"News";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:8:"fragment";s:15:"highlighted-top";}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:3:"144";}', 0, 1, 245, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 246, 'menu_link_content:311318c2-6a78-4f3d-b231-4a039894a343', 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 'entity.node.canonical', 'node=63', 'a:1:{s:4:"node";s:2:"63";}', '', 's:12:"Landing Page";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:3:"145";}', 0, 4, 70, 219, 71, 246, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('mt-footer-menu-three', 247, 'menu_link_content:3ebb6549-59dd-4434-ada0-cd9247827dd2', '', 'entity.node.canonical', 'node=1', 'a:1:{s:4:"node";s:1:"1";}', '', 's:11:"Style Guide";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -47, 'a:1:{s:9:"entity_id";s:3:"146";}', 0, 1, 247, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('admin', 248, 'mt_countdown.settings_menu', 'system.admin_config', 'mt_countdown.admin_index', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Count Down";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:0:"";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'mt_countdown', 1, 1, 0, 0, 'a:0:{}', 1, 3, 1, 6, 248, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 249, 'mt_countdown.settings_page', 'mt_countdown.settings_menu', 'mt_countdown.settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Count Down settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:62:"Configure the content and layout of the MtT Count Down module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'mt_countdown', 1, 1, 0, 1, 'a:0:{}', 0, 4, 1, 6, 248, 249, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('landing-page-navigation', 250, 'menu_link_content:9214ce65-ffa1-408c-ae8d-76fde4380101', '', '<none>', '', 'a:0:{}', '', 's:8:"Features";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:8:"fragment";s:12:"featured-top";}', 'menu_link_content', 1, 1, 0, -49, 'a:1:{s:9:"entity_id";s:3:"147";}', 0, 1, 250, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('landing-page-navigation', 251, 'menu_link_content:5b42e52b-11c0-4b0c-adca-55ac10e758aa', '', '<none>', '', 'a:0:{}', '', 's:9:"Subscribe";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:8:"fragment";s:10:"footer-top";}', 'menu_link_content', 1, 1, 0, -45, 'a:1:{s:9:"entity_id";s:3:"148";}', 0, 1, 251, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('admin', 254, 'fontawesome.admin_settings', 'system.admin_config_content', 'fontawesome.admin_settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:21:"Font Awesome Settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:54:"Global settings for the display of Font Awesome icons.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'fontawesome', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 25, 254, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 255, 'statistics.settings', 'system.admin_config_system', 'statistics.settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:10:"Statistics";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:44:"Configure the logging of content statistics.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'statistics', 1, 1, 0, -15, 'a:0:{}', 0, 4, 1, 6, 20, 255, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('main', 256, 'menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef', '', 'view.mt_events_list.page_1', '', 'a:0:{}', '', 's:6:"Events";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -96, 'a:1:{s:9:"entity_id";s:3:"149";}', 1, 1, 256, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 257, 'menu_link_content:31546571-3294-4362-a08f-fb0fd0115c9d', 'menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef', 'view.mt_events_grid.page_2', '', 'a:0:{}', '', 's:18:"Events - 3 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -94, 'a:1:{s:9:"entity_id";s:3:"150";}', 0, 2, 256, 257, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 258, 'menu_link_content:5558911e-ba7c-4c9e-9ed2-e35567693508', 'menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef', 'view.mt_events_grid.page_3', '', 'a:0:{}', '', 's:18:"Events - 2 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -95, 'a:1:{s:9:"entity_id";s:3:"151";}', 0, 2, 256, 258, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 259, 'menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da', '', 'view.mt_presentations_grid.page_3', '', 'a:0:{}', '', 's:13:"Presentations";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -97, 'a:1:{s:9:"entity_id";s:3:"152";}', 1, 1, 259, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 261, 'menu_link_content:bbd49726-99c2-4550-8d07-98c2a8537880', 'menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da', 'view.mt_presentations_grid.page_2', '', 'a:0:{}', '', 's:25:"Presentations - 3 Columns";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, 0, 'a:1:{s:9:"entity_id";s:3:"154";}', 0, 2, 259, 261, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 262, 'menu_link_content:56b0d28d-f3ce-458c-9923-9bef3deed0f9', 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'view.mt_sponsors_grid.page_2', '', 'a:0:{}', '', 's:8:"Sponsors";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -95, 'a:1:{s:9:"entity_id";s:3:"155";}', 0, 2, 70, 262, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 263, 'menu_link_content:4618e30d-7fd6-4972-ac8d-bfde8b236485', '', 'view.mt_speakers.page_1', '', 'a:0:{}', '', 's:8:"Speakers";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -98, 'a:1:{s:9:"entity_id";s:3:"156";}', 0, 1, 263, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('admin', 264, 'entity.webform.collection', 'system.admin_structure', 'entity.webform.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:8:"Webforms";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:39:"Create webforms and manage submissions.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'webform', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 3, 264, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 265, 'juicerio.admin', 'system.admin_config_services', 'juicerio.admin', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Juicer settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:37:"Juicer IO social media feed settings.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'juicerio', 1, 1, 0, 100, 'a:0:{}', 0, 4, 1, 6, 10, 265, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('main', 267, 'menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492', '', 'view.mt_program.page_1', '', 'a:0:{}', '', 's:7:"Program";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:1:{s:5:"query";a:0:{}}', 'menu_link_content', 1, 1, 0, -99, 'a:1:{s:9:"entity_id";s:3:"158";}', 1, 1, 267, 0, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('main', 268, 'menu_link_content:ff40c4ab-7ae8-4987-962f-749786b775d1', 'menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492', 'entity.node.canonical', 'node=95', 'a:1:{s:4:"node";s:2:"95";}', '', 's:19:"Alternative Program";', NULL, 'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent', 'a:0:{}', 'menu_link_content', 1, 0, 0, 0, 'a:1:{s:9:"entity_id";s:3:"159";}', 0, 2, 267, 268, 0, 0, 0, 0, 0, 0, 0, '\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),
('admin', 269, 'mt_cookieconsent.admin.config.settings', 'system.admin_config', 'mt_cookieconsent.settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'mt_cookieconsent', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 6, 269, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 270, 'mt_cookieconsent.admin', 'system.admin_config_development', 'mt_cookieconsent.settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"MtT Cookie Consent Module settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:66:"Configure the content and layout of the MtT Cookie Consent module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'mt_cookieconsent', 1, 1, 0, 100, 'a:0:{}', 0, 4, 1, 6, 12, 270, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 271, 'paragraphs.settings', 'system.admin_config_content', 'paragraphs.settings', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:19:"Paragraphs settings";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'paragraphs', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 6, 25, 271, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 272, 'webform.reports_plugins', 'system.admin_reports', 'webform.reports_plugins.elements', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:15:"Webform plugins";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:47:"Overview of plugins used by the Webform module.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'webform', 1, 1, 0, 0, 'a:0:{}', 0, 3, 1, 26, 272, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('main', 273, 'standard.front_page', '', '<front>', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:4:"Home";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'standard', 0, 1, 0, -99, 'a:0:{}', 0, 1, 273, 0, 0, 0, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 274, 'entity.path_alias.collection', 'system.admin_config_search', 'entity.path_alias.collection', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:11:"URL aliases";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Add custom URLs to existing paths.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'path', 1, 1, 0, -5, 'a:0:{}', 0, 4, 1, 6, 19, 274, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 275, 'entity_reference_revisions.delete_orphans', 'system.admin_config_system', 'entity_reference_revisions.delete_orphans', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:34:"Delete orphaned composite entities";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:90:"Delete revisions of entities that are no longer used in Entity Reference Revisions fields.";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'entity_reference_revisions', 1, 1, 0, 30, 'a:0:{}', 0, 4, 1, 6, 20, 275, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),
('admin', 276, 'paragraphs.type_add', 'entity.paragraphs_type.collection', 'paragraphs.type_add', '', 'a:0:{}', '', 'O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:18:"Add paragraph type";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}', 's:0:"";', 'Drupal\\Core\\Menu\\MenuLinkDefault', 'a:0:{}', 'paragraphs', 1, 1, 0, 0, 'a:0:{}', 0, 4, 1, 3, 149, 276, 0, 0, 0, 0, 0, 'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm');

-- --------------------------------------------------------

--
-- Table structure for table `node`
--

CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`nid`),
  UNIQUE KEY `node_field__uuid__value` (`uuid`),
  UNIQUE KEY `node__vid` (`vid`),
  KEY `node_field__type__target_id` (`type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for node entities.';

--
-- Dumping data for table `node`
--

INSERT INTO `node` VALUES
(1, 1, 'page', 'eea72d82-666c-4fcd-aa04-5c05e0210fb1', 'en'),
(2, 2, 'page', 'f7183c79-30cf-419d-be1e-84b0517a5c69', 'en'),
(4, 4, 'mt_service', 'ec9a5fb4-18d0-4d29-a150-967a3ebdfc3d', 'en'),
(5, 5, 'mt_service', '3fd00865-461f-4add-b44e-339c05461cfa', 'en'),
(6, 6, 'mt_service', '216c4c73-5f4c-49b2-be41-c9e92e748ab5', 'en'),
(7, 7, 'mt_service', '73f7c2e6-8e71-484a-b137-ca7dc3ac1c46', 'en'),
(8, 8, 'mt_service', 'ca34f8f3-de5c-4a38-bc10-da6b4a0a2707', 'en'),
(9, 9, 'mt_service', 'e3e11e03-d2ba-4948-bcd5-a2855c4501f9', 'en'),
(10, 10, 'article', '187a65d2-dd44-4bf5-95a4-b95ea7d1f232', 'en'),
(11, 11, 'article', '95a01d2b-8608-4855-93ba-3ae49529501f', 'en'),
(12, 12, 'article', '59941bb1-dbe2-4e5a-bd6d-2e9480a274b5', 'en'),
(13, 13, 'article', '255e9af6-d8ce-49bd-80d1-b2abb6a61ffc', 'en'),
(14, 14, 'article', 'bac1671e-1a00-4ec1-a14e-b09ffc93f4ca', 'en'),
(15, 15, 'article', 'bc4a99ec-28e7-4fbe-b0f9-9905121864d0', 'en'),
(16, 16, 'page', '2d2fb123-b153-4b5e-9122-2aa0aec63bc5', 'en'),
(17, 17, 'page', '553f5e51-7426-40d3-bf76-9727052f3a4c', 'en'),
(18, 18, 'mt_product', '96b518f5-8fd2-4a36-89fe-75e5bab6a9d5', 'en'),
(19, 19, 'mt_product', '56316e71-36b3-4f0c-aff1-4aca85f7ac07', 'en'),
(20, 20, 'mt_product', '59a1893a-fa2f-47bf-9334-14c40369b252', 'en'),
(21, 21, 'mt_product', 'af74abaa-8086-4af3-8da8-a51668a64642', 'en'),
(22, 22, 'mt_product', 'b7ff09bc-a14c-4b2e-b678-9a2d264a24d0', 'en'),
(23, 23, 'mt_product', '855a0103-2cab-4e72-beb8-ac3a74e70372', 'en'),
(33, 33, 'mt_testimonial', 'ddc5f968-b276-494a-afc3-2d8c9054b981', 'en'),
(34, 34, 'mt_testimonial', '8e11c207-e7f7-4311-a8c3-e643c9eb59ff', 'en'),
(35, 35, 'page', '2a568ced-2420-4388-b8e7-dab483097e5f', 'en'),
(36, 36, 'page', '01c394be-3575-4f8a-be9e-187b44597ff6', 'en'),
(37, 37, 'page', 'f6f9f0b4-a4a7-49f3-85ab-8987212b6f5a', 'en'),
(39, 39, 'page', '7cf22c14-9a81-4f22-9fff-09805aa1bce3', 'en'),
(40, 40, 'page', '057419f2-be6c-45a6-9c99-80b9587ca97f', 'en'),
(41, 41, 'mt_team_member', 'a97fc371-5df1-4d48-97c6-d2015c8f2524', 'en'),
(42, 42, 'mt_team_member', '2a13f23b-db75-4875-810f-57affc8c9c3b', 'en'),
(43, 43, 'mt_team_member', '8b4b3b40-fbaf-4e34-850b-20d7ded67af9', 'en'),
(44, 44, 'mt_team_member', 'b23c504a-f1bf-4bf3-a529-22428f3d4b60', 'en'),
(45, 45, 'mt_team_member', 'ae2004bf-f6ea-4bda-9e30-2c2f94eb8d25', 'en'),
(46, 46, 'mt_product', '06630414-f08a-466c-a24a-76e123e57695', 'en'),
(47, 47, 'mt_testimonial', '15824895-c476-4c34-b028-23f174c8a242', 'en'),
(48, 48, 'mt_testimonial', 'e7a17d84-15cc-48bc-abcb-6a53a002d8bc', 'en'),
(49, 49, 'mt_testimonial', '5e81038a-dd6e-4ce1-8343-5d898a537da8', 'en'),
(50, 50, 'mt_testimonial', '143ef499-8beb-436f-87fe-82fccf22eecd', 'en'),
(51, 51, 'mt_team_member', '7c946902-012e-4f11-aecd-54620a101da6', 'en'),
(53, 53, 'page', 'c3b896cb-1cc3-407b-8271-e6714ee89811', 'en'),
(54, 54, 'page', 'de03c8d5-a534-4290-9f2a-bd42d1e7e697', 'en'),
(55, 55, 'page', '91e89b08-c881-407a-bac6-2af8e327f3b2', 'en'),
(56, 56, 'page', '1743a750-e34b-49e2-93cd-405aba6069cc', 'en'),
(57, 57, 'page', '8ecc75e1-1345-4ec8-8007-c52104fec16b', 'en'),
(58, 58, 'page', '15eb6d41-cfd8-4429-aabd-3cc0af54fc9f', 'en'),
(59, 59, 'page', '0f650371-efc2-44dc-8f01-7a5baf75ccf6', 'en'),
(60, 60, 'page', '2f2c67e6-628e-45c9-88b0-a51595f85119', 'en'),
(61, 61, 'page', 'a6b4c899-7eec-49e1-bfd5-4df19b85141d', 'en'),
(62, 62, 'page', '689b9489-63b4-4962-a5fc-3dfb6467e672', 'en'),
(63, 63, 'page', 'a9fb72c6-6ef2-4177-a70b-70bfb6343c39', 'en'),
(64, 64, 'mt_speaker', '48e4833b-835a-4529-b7ef-80ba92c2e24d', 'en'),
(65, 65, 'mt_speaker', '69446f10-f29c-47e3-aff2-c5bcfa7d31b0', 'en'),
(66, 66, 'mt_speaker', '47d8e48a-920d-4c4f-a0f1-d543c11df312', 'en'),
(67, 67, 'mt_speaker', 'cebc72cc-4567-4ae0-9209-6cab09534f81', 'en'),
(68, 68, 'mt_speaker', 'c0a11c0a-f5f4-469e-9931-51cc9041f41e', 'en'),
(69, 69, 'mt_speaker', '559183cb-2fd6-409b-9edb-33be062722a5', 'en'),
(70, 70, 'mt_sponsor', 'eaf1773b-52ce-4f81-9554-57f71494bb6a', 'en'),
(71, 71, 'mt_sponsor', 'beed4b80-1f6c-49d4-b60b-7ff679f1d58a', 'en'),
(72, 72, 'mt_sponsor', 'f30c1f26-b491-4e82-a987-76da5aae79c4', 'en'),
(73, 73, 'mt_sponsor', '506c177e-27da-47c2-aa94-3151c749601e', 'en'),
(74, 74, 'mt_sponsor', 'f5a434fb-a985-48c5-87ed-f3a73fd23ccf', 'en'),
(75, 75, 'mt_sponsor', 'cbb1d577-22c5-4d5e-aff5-ef9963d163e7', 'en'),
(76, 175, 'mt_album', 'fe49f7ac-2012-4649-93e7-efdf15542ce1', 'en'),
(77, 174, 'mt_album', 'e1451ead-2d02-4c1b-82d5-4900c9571170', 'en'),
(78, 173, 'mt_album', 'fe336ce3-8111-4c65-8bda-d2065738b868', 'en'),
(79, 172, 'mt_album', '344b49bc-f604-4aa1-a46d-67ab0df8b98b', 'en'),
(80, 171, 'mt_album', '1584d290-806e-4b59-a12f-20b0446d9257', 'en'),
(81, 170, 'mt_album', 'c4dcda10-fd3b-4d2f-b158-4f1e31f5313e', 'en'),
(84, 183, 'mt_event', '24b886c6-c26e-4755-86a3-c13e749a4aeb', 'en'),
(85, 176, 'mt_presentation', 'ffaa379d-f46b-4a87-b3a3-6a2de0a4d1a6', 'en'),
(86, 179, 'mt_presentation', 'bc53eca9-b481-4ed8-9ede-51f99506c174', 'en'),
(87, 178, 'mt_presentation', '45ee35c5-c762-4e24-8b14-66b2fbb187bb', 'en'),
(88, 177, 'mt_presentation', '95e7355c-969e-41ed-955b-00a7ec0f22dc', 'en'),
(89, 182, 'mt_event', '6324daca-28a0-41ad-9991-15c30c8bb176', 'en'),
(90, 181, 'mt_event', '02ce1b5f-1463-4469-be5d-25a8c8c47744', 'en'),
(91, 180, 'mt_event', '4cae7f8c-94fc-45bf-89a9-963f439f8514', 'en'),
(92, 166, 'mt_program_entry', '64ad2d48-fad5-43c3-b5a6-f302f38806e4', 'en'),
(93, 167, 'mt_program_entry', 'b2d552d5-fee8-4712-ae2a-37d29e302de6', 'en'),
(94, 169, 'mt_canvas_page', 'b8dcd4c0-abe4-492d-a824-289edd1460aa', 'en'),
(95, 184, 'mt_canvas_page', '126bcd93-150d-4d40-ae81-011049e8da94', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `node_access`
--

CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid this record affects.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language.langcode of this node.',
  `fallback` tinyint(3) unsigned NOT NULL DEFAULT 1 COMMENT 'Boolean indicating whether this record should be used as a fallback if a language condition is not provided.',
  `gid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The grant ID a user must possess in the specified realm to gain this row''s privileges on the node.',
  `realm` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Modules can define one or more realms by implementing hook_node_grants().',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Identifies which realm/grant pairs a user must possess in…';

--
-- Dumping data for table `node_access`
--

INSERT INTO `node_access` VALUES
(0, '', 1, 0, 'all', 1, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `node_counter`
--

CREATE TABLE `node_counter` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid for these statistics.',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT 0 COMMENT 'The total number of times the node has been viewed.',
  `daycount` mediumint(8) unsigned NOT NULL DEFAULT 0 COMMENT 'The total number of times the node has been viewed today.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The most recent time the node has been viewed.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Access statistics for nodes.';

--
-- Dumping data for table `node_counter`
--

INSERT INTO `node_counter` VALUES
(1, 11, 0, 1521876608),
(2, 37, 0, 1521876598),
(4, 4, 0, 1520513430),
(5, 9, 0, 1560338199),
(6, 5, 0, 1520513376),
(7, 6, 0, 1521107534),
(8, 6, 0, 1520513337),
(9, 23, 0, 1521876408),
(12, 1, 0, 1521876468),
(13, 2, 0, 1520416258),
(14, 6, 0, 1521213098),
(15, 42, 0, 1522136089),
(17, 4, 0, 1521639211),
(18, 7, 0, 1520534124),
(19, 7, 0, 1520534110),
(20, 5, 0, 1520534093),
(21, 3, 0, 1520534015),
(22, 4, 0, 1520534173),
(23, 7, 0, 1520534172),
(35, 453, 13, 1681653963),
(40, 1, 0, 1521461303),
(41, 3, 0, 1521721441),
(42, 3, 0, 1521721440),
(43, 2, 0, 1521721439),
(44, 3, 0, 1521721438),
(45, 3, 0, 1521721438),
(46, 4, 0, 1520441362),
(51, 2, 0, 1520424989),
(53, 1, 0, 1521461303),
(56, 5, 0, 1521876641),
(57, 20, 0, 1521574264),
(58, 13, 0, 1529058641),
(59, 1, 0, 1521635525),
(61, 1, 0, 1521461303),
(62, 1, 0, 1521720730),
(63, 2, 0, 1522424287),
(64, 5, 0, 1521726885),
(65, 28, 0, 1521732084),
(66, 9, 0, 1521726857),
(67, 5, 0, 1521726898),
(68, 7, 0, 1521726913),
(69, 49, 0, 1522124189),
(70, 1, 0, 1519813450),
(71, 1, 0, 1519813444),
(74, 14, 0, 1519814870),
(75, 19, 0, 1521633023),
(76, 6, 0, 1521196640),
(77, 6, 0, 1521196630),
(78, 8, 0, 1521196618),
(79, 8, 0, 1521196608),
(80, 9, 0, 1521196597),
(81, 13, 0, 1521213227),
(84, 181, 0, 1521876364),
(85, 154, 0, 1521903243),
(86, 5, 0, 1521474669),
(87, 6, 0, 1521670333),
(88, 40, 0, 1522123904),
(89, 8, 0, 1521724234),
(90, 6, 0, 1521724246),
(91, 23, 0, 1522074277),
(92, 7, 0, 1522750407),
(93, 12, 0, 1522744861),
(94, 18, 1, 1681653974),
(95, 58, 0, 1681495633);

-- --------------------------------------------------------

--
-- Table structure for table `node_field_data`
--

CREATE TABLE `node_field_data` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `title` varchar(255) NOT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) NOT NULL,
  `promote` tinyint(4) NOT NULL,
  `sticky` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`nid`,`langcode`),
  KEY `node__id__default_langcode__langcode` (`nid`,`default_langcode`,`langcode`),
  KEY `node__vid` (`vid`),
  KEY `node_field__type__target_id` (`type`),
  KEY `node_field__created` (`created`),
  KEY `node_field__changed` (`changed`),
  KEY `node__frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node__status_type` (`status`,`type`,`nid`),
  KEY `node__title_type` (`title`(191),`type`(4)),
  KEY `node_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for node entities.';

--
-- Dumping data for table `node_field_data`
--

INSERT INTO `node_field_data` VALUES
(1, 1, 'page', 'en', 'Style guide', 1, 1, 1464800333, 1516122071, 0, 0, 1, 1),
(2, 2, 'page', 'en', 'Shortcodes', 1, 1, 1464949248, 1516971027, 0, 0, 1, 1),
(4, 4, 'mt_service', 'en', 'Transfer', 1, 1, 1465321524, 1520513427, 1, 0, 1, 1),
(5, 5, 'mt_service', 'en', 'Room type 5', 1, 1, 1465321750, 1520513390, 1, 0, 1, 1),
(6, 6, 'mt_service', 'en', 'Room type 4', 1, 1, 1465321848, 1520513372, 1, 0, 1, 1),
(7, 7, 'mt_service', 'en', 'Room type 3', 1, 1, 1465321934, 1520513350, 1, 0, 1, 1),
(8, 8, 'mt_service', 'en', 'Room type 2', 1, 1, 1465322004, 1520513333, 1, 0, 1, 1),
(9, 9, 'mt_service', 'en', 'Room type 1', 1, 1, 1465322101, 1520513311, 1, 1, 1, 1),
(10, 10, 'article', 'en', 'Sixth Article', 1, 1, 1465328432, 1467988161, 1, 0, 1, 1),
(11, 11, 'article', 'en', 'Fifth Article', 1, 1, 1465328655, 1467988154, 1, 0, 1, 1),
(12, 12, 'article', 'en', 'Fourth Article', 1, 1, 1465328752, 1467988142, 1, 0, 1, 1),
(13, 13, 'article', 'en', 'Third Article', 1, 1, 1465328829, 1518631760, 1, 0, 1, 1),
(14, 14, 'article', 'en', 'Second Article', 1, 1, 1465328881, 1518631712, 1, 0, 1, 1),
(15, 15, 'article', 'en', 'First Article', 1, 1, 1465328961, 1518631675, 1, 0, 1, 1),
(16, 16, 'page', 'en', 'Slideshow Boxed Width', 1, 1, 1465554383, 1467988502, 0, 0, 1, 1),
(17, 17, 'page', 'en', 'Full Screen Slideshow', 1, 1, 1465558027, 1508762941, 0, 0, 1, 1),
(18, 18, 'mt_product', 'en', 'Mug', 1, 1, 1465831094, 1520534119, 1, 0, 1, 1),
(19, 19, 'mt_product', 'en', 'Jockey', 1, 1, 1465831544, 1520534105, 1, 0, 1, 1),
(20, 20, 'mt_product', 'en', 'Hoodie', 1, 1, 1465831603, 1520534086, 1, 0, 1, 1),
(21, 21, 'mt_product', 'en', 'Longsleeve', 1, 1, 1465831692, 1520440826, 1, 0, 1, 1),
(22, 22, 'mt_product', 'en', 'Second T-shirt', 1, 1, 1465831746, 1520534166, 1, 0, 1, 1),
(23, 23, 'mt_product', 'en', 'First T-shirt', 1, 1, 1465831991, 1520534155, 1, 1, 1, 1),
(33, 33, 'mt_testimonial', 'en', 'John Smith', 1, 1, 1465837360, 1518089038, 1, 0, 1, 1),
(34, 34, 'mt_testimonial', 'en', 'Terry Smith', 1, 1, 1465837443, 1518089062, 1, 0, 1, 1),
(35, 35, 'page', 'en', 'Front page', 1, 1, 1465902779, 1477038521, 0, 0, 1, 1),
(36, 36, 'page', 'en', 'Responsive Grid', 1, 1, 1466103051, 1506418727, 0, 0, 1, 1),
(37, 37, 'page', 'en', 'Responsive Grid', 1, 1, 1466103168, 1506418678, 0, 0, 1, 1),
(39, 39, 'page', 'en', 'FAQ', 1, 1, 1472025546, 1506340198, 0, 0, 1, 1),
(40, 40, 'page', 'en', 'Alternative header 3', 1, 1, 1472825123, 1509560124, 0, 0, 1, 1),
(41, 41, 'mt_team_member', 'en', 'Bekki Versace', 1, 1, 1474914526, 1520424974, 1, 0, 1, 1),
(42, 42, 'mt_team_member', 'en', 'Stevie Zonder', 1, 1, 1474914674, 1520424961, 1, 0, 1, 1),
(43, 43, 'mt_team_member', 'en', 'Nikki Dickinson', 1, 1, 1474914788, 1518025069, 1, 0, 1, 1),
(44, 44, 'mt_team_member', 'en', 'Terry Smith', 1, 1, 1474914853, 1520424937, 1, 0, 1, 1),
(45, 45, 'mt_team_member', 'en', 'John Smith', 1, 1, 1474914934, 1520424915, 1, 0, 1, 1),
(46, 46, 'mt_product', 'en', 'Pint glass', 1, 1, 1458323138, 1520440891, 1, 0, 1, 1),
(47, 47, 'mt_testimonial', 'en', 'Robbin J. Ortiz', 1, 1, 1477562092, 1518089091, 1, 0, 1, 1),
(48, 48, 'mt_testimonial', 'en', 'Carlos M. Salazar', 1, 1, 1477562205, 1518089119, 1, 0, 1, 1),
(49, 49, 'mt_testimonial', 'en', 'Michelle F. Behne', 1, 1, 1477562392, 1518089013, 1, 0, 1, 1),
(50, 50, 'mt_testimonial', 'en', 'Lavern K. McDuffie', 1, 1, 1477562511, 1518088976, 1, 0, 1, 1),
(51, 51, 'mt_team_member', 'en', 'Charlotte Bonanno', 1, 1, 1472206624, 1520424986, 1, 0, 1, 1),
(53, 53, 'page', 'en', 'Alternative header 2', 1, 1, 1479151052, 1504802016, 0, 0, 1, 1),
(54, 54, 'page', 'en', 'CtA navigation header', 1, 1, 1479151082, 1484073950, 0, 0, 1, 1),
(55, 55, 'page', 'en', 'Slideshow - Video Gallery', 1, 1, 1480420390, 1480420524, 0, 0, 1, 1),
(56, 56, 'page', 'en', 'Our investors', 1, 1, 1480590146, 1517326201, 0, 0, 1, 1),
(57, 57, 'page', 'en', 'Whooops!', 1, 1, 1480613403, 1516369457, 0, 0, 1, 1),
(58, 58, 'page', 'en', 'Reusable Blocks', 1, 1, 1480670747, 1482153119, 0, 0, 1, 1),
(59, 59, 'page', 'en', 'Slideshow - Full Width', 1, 1, 1484677652, 1484677733, 0, 0, 1, 1),
(60, 60, 'page', 'en', 'Alternative Footer', 1, 1, 1486462620, 1486462775, 0, 0, 1, 1),
(61, 61, 'page', 'en', 'Mega Menu', 1, 1, 1486670682, 1486670765, 0, 0, 1, 1),
(62, 62, 'page', 'en', 'Pricing Tables', 1, 1, 1499243124, 1505990307, 0, 0, 1, 1),
(63, 63, 'page', 'en', 'Text Rotator', 1, 1, 1499268138, 1522423367, 0, 0, 1, 1),
(64, 64, 'mt_speaker', 'en', 'Marcus Cruz', 1, 1, 1513946890, 1521726881, 1, 0, 1, 1),
(65, 65, 'mt_speaker', 'en', 'Waylon Dalton', 1, 1, 1513947666, 1521726841, 1, 0, 1, 1),
(66, 66, 'mt_speaker', 'en', 'Justine Henderson', 1, 1, 1513947739, 1521726854, 1, 0, 1, 1),
(67, 67, 'mt_speaker', 'en', 'Thalia Cobb', 1, 1, 1513947825, 1521726894, 1, 0, 1, 1),
(68, 68, 'mt_speaker', 'en', 'Mathias Little', 1, 1, 1513947902, 1521726909, 1, 0, 1, 1),
(69, 69, 'mt_speaker', 'en', 'Abdullah Lang', 1, 1, 1513947978, 1521726866, 1, 0, 1, 1),
(70, 70, 'mt_sponsor', 'en', 'Sponsor Six', 1, 1, 1515674636, 1518019322, 1, 0, 1, 1),
(71, 71, 'mt_sponsor', 'en', 'Sponsor Five', 1, 1, 1515685606, 1518019302, 1, 0, 1, 1),
(72, 72, 'mt_sponsor', 'en', 'Sponsor Four', 1, 1, 1515685658, 1518019282, 1, 0, 1, 1),
(73, 73, 'mt_sponsor', 'en', 'Sponsor Three', 1, 1, 1515685695, 1518019259, 1, 0, 1, 1),
(74, 74, 'mt_sponsor', 'en', 'Sponsor Two', 1, 1, 1515685815, 1518019237, 1, 0, 1, 1),
(75, 75, 'mt_sponsor', 'en', 'Sponsor One', 1, 1, 1515685885, 1518019211, 1, 0, 1, 1),
(76, 175, 'mt_album', 'en', 'Album Six', 1, 1, 1516375571, 1521196637, 1, 0, 1, 1),
(77, 174, 'mt_album', 'en', 'Album Five', 1, 1, 1516375646, 1521196625, 1, 0, 1, 1),
(78, 173, 'mt_album', 'en', 'Album Four', 1, 1, 1516375683, 1521196614, 1, 0, 1, 1),
(79, 172, 'mt_album', 'en', 'Album Three', 1, 1, 1516375716, 1521196604, 1, 0, 1, 1),
(80, 171, 'mt_album', 'en', 'Album Two', 1, 1, 1516375753, 1521196592, 1, 0, 1, 1),
(81, 170, 'mt_album', 'en', 'Album One', 1, 1, 1516375782, 1521196580, 1, 0, 1, 1),
(84, 183, 'mt_event', 'en', 'Event One', 1, 1, 1519400846, 1521561960, 1, 0, 1, 1),
(85, 176, 'mt_presentation', 'en', 'Presentation One', 1, 1, 1519659890, 1521474401, 1, 0, NULL, 1),
(86, 179, 'mt_presentation', 'en', 'Presentation Two', 1, 1, 1519982599, 1521474665, 1, 0, NULL, 1),
(87, 178, 'mt_presentation', 'en', 'Presentation Three', 1, 1, 1519982826, 1521474648, 1, 0, NULL, 1),
(88, 177, 'mt_presentation', 'en', 'Presentation Four', 1, 1, 1519985589, 1521474632, 1, 0, NULL, 1),
(89, 182, 'mt_event', 'en', 'Event Two', 1, 1, 1520507110, 1521561945, 1, 0, 1, 1),
(90, 181, 'mt_event', 'en', 'Event Three', 1, 1, 1520507297, 1521561932, 1, 0, 1, 1),
(91, 180, 'mt_event', 'en', 'Event Four', 1, 1, 1520507552, 1521561918, 1, 0, 1, 1),
(92, 166, 'mt_program_entry', 'en', 'Program Entry 1', 1, 1, 1521129152, 1522750469, 1, 0, 1, 1),
(93, 167, 'mt_program_entry', 'en', 'Program Entry 2', 1, 1, 1521129438, 1522750465, 1, 0, 1, 1),
(94, 169, 'mt_canvas_page', 'en', 'About Us', 1, 1, 1521135809, 1522234187, 1, 0, 1, 1),
(95, 184, 'mt_canvas_page', 'en', 'Program', 1, 1, 1521700581, 1522158113, 1, 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `node_field_revision`
--

CREATE TABLE `node_field_revision` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `promote` tinyint(4) DEFAULT NULL,
  `sticky` tinyint(4) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`vid`,`langcode`),
  KEY `node__id__default_langcode__langcode` (`nid`,`default_langcode`,`langcode`),
  KEY `node_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision data table for node entities.';

--
-- Dumping data for table `node_field_revision`
--

INSERT INTO `node_field_revision` VALUES
(1, 1, 'en', 'Style guide', 1, 1, 1464800333, 1516122071, 0, 0, 1, 1),
(2, 2, 'en', 'Shortcodes', 1, 1, 1464949248, 1516971027, 0, 0, 1, 1),
(4, 4, 'en', 'Transfer', 1, 1, 1465321524, 1520513427, 1, 0, 1, 1),
(5, 5, 'en', 'Room type 5', 1, 1, 1465321750, 1520513390, 1, 0, 1, 1),
(6, 6, 'en', 'Room type 4', 1, 1, 1465321848, 1520513372, 1, 0, 1, 1),
(7, 7, 'en', 'Room type 3', 1, 1, 1465321934, 1520513350, 1, 0, 1, 1),
(8, 8, 'en', 'Room type 2', 1, 1, 1465322004, 1520513333, 1, 0, 1, 1),
(9, 9, 'en', 'Room type 1', 1, 1, 1465322101, 1520513311, 1, 1, 1, 1),
(10, 10, 'en', 'Sixth Article', 1, 1, 1465328432, 1467988161, 1, 0, 1, 1),
(11, 11, 'en', 'Fifth Article', 1, 1, 1465328655, 1467988154, 1, 0, 1, 1),
(12, 12, 'en', 'Fourth Article', 1, 1, 1465328752, 1467988142, 1, 0, 1, 1),
(13, 13, 'en', 'Third Article', 1, 1, 1465328829, 1518631760, 1, 0, 1, 1),
(14, 14, 'en', 'Second Article', 1, 1, 1465328881, 1518631712, 1, 0, 1, 1),
(15, 15, 'en', 'First Article', 1, 1, 1465328961, 1518631675, 1, 0, 1, 1),
(16, 16, 'en', 'Slideshow Boxed Width', 1, 1, 1465554383, 1467988502, 0, 0, 1, 1),
(17, 17, 'en', 'Full Screen Slideshow', 1, 1, 1465558027, 1508762941, 0, 0, 1, 1),
(18, 18, 'en', 'Mug', 1, 1, 1465831094, 1520534119, 1, 0, 1, 1),
(19, 19, 'en', 'Jockey', 1, 1, 1465831544, 1520534105, 1, 0, 1, 1),
(20, 20, 'en', 'Hoodie', 1, 1, 1465831603, 1520534086, 1, 0, 1, 1),
(21, 21, 'en', 'Longsleeve', 1, 1, 1465831692, 1520440826, 1, 0, 1, 1),
(22, 22, 'en', 'Second T-shirt', 1, 1, 1465831746, 1520534166, 1, 0, 1, 1),
(23, 23, 'en', 'First T-shirt', 1, 1, 1465831991, 1520534155, 1, 1, 1, 1),
(33, 33, 'en', 'John Smith', 1, 1, 1465837360, 1518089038, 1, 0, 1, 1),
(34, 34, 'en', 'Terry Smith', 1, 1, 1465837443, 1518089062, 1, 0, 1, 1),
(35, 35, 'en', 'Front page', 1, 1, 1465902779, 1477038521, 0, 0, 1, 1),
(36, 36, 'en', 'Responsive Grid', 1, 1, 1466103051, 1506418727, 0, 0, 1, 1),
(37, 37, 'en', 'Responsive Grid', 1, 1, 1466103168, 1506418678, 0, 0, 1, 1),
(39, 39, 'en', 'FAQ', 1, 1, 1472025546, 1506340198, 0, 0, 1, 1),
(40, 40, 'en', 'Alternative header 3', 1, 1, 1472825123, 1509560124, 0, 0, 1, 1),
(41, 41, 'en', 'Bekki Versace', 1, 1, 1474914526, 1520424974, 1, 0, 1, 1),
(42, 42, 'en', 'Stevie Zonder', 1, 1, 1474914674, 1520424961, 1, 0, 1, 1),
(43, 43, 'en', 'Nikki Dickinson', 1, 1, 1474914788, 1518025069, 1, 0, 1, 1),
(44, 44, 'en', 'Terry Smith', 1, 1, 1474914853, 1520424937, 1, 0, 1, 1),
(45, 45, 'en', 'John Smith', 1, 1, 1474914934, 1520424915, 1, 0, 1, 1),
(46, 46, 'en', 'Pint glass', 1, 1, 1458323138, 1520440891, 1, 0, 1, 1),
(47, 47, 'en', 'Robbin J. Ortiz', 1, 1, 1477562092, 1518089091, 1, 0, 1, 1),
(48, 48, 'en', 'Carlos M. Salazar', 1, 1, 1477562205, 1518089119, 1, 0, 1, 1),
(49, 49, 'en', 'Michelle F. Behne', 1, 1, 1477562392, 1518089013, 1, 0, 1, 1),
(50, 50, 'en', 'Lavern K. McDuffie', 1, 1, 1477562511, 1518088976, 1, 0, 1, 1),
(51, 51, 'en', 'Charlotte Bonanno', 1, 1, 1472206624, 1520424986, 1, 0, 1, 1),
(53, 53, 'en', 'Alternative header 2', 1, 1, 1479151052, 1504802016, 0, 0, 1, 1),
(54, 54, 'en', 'CtA navigation header', 1, 1, 1479151082, 1484073950, 0, 0, 1, 1),
(55, 55, 'en', 'Slideshow - Video Gallery', 1, 1, 1480420390, 1480420524, 0, 0, 1, 1),
(56, 56, 'en', 'Our investors', 1, 1, 1480590146, 1517326201, 0, 0, 1, 1),
(57, 57, 'en', 'Whooops!', 1, 1, 1480613403, 1516369457, 0, 0, 1, 1),
(58, 58, 'en', 'Reusable Blocks', 1, 1, 1480670747, 1482153119, 0, 0, 1, 1),
(59, 59, 'en', 'Slideshow - Full Width', 1, 1, 1484677652, 1484677733, 0, 0, 1, 1),
(60, 60, 'en', 'Alternative Footer', 1, 1, 1486462620, 1486462775, 0, 0, 1, 1),
(61, 61, 'en', 'Mega Menu', 1, 1, 1486670682, 1486670765, 0, 0, 1, 1),
(62, 62, 'en', 'Pricing Tables', 1, 1, 1499243124, 1505990307, 0, 0, 1, 1),
(63, 63, 'en', 'Text Rotator', 1, 1, 1499268138, 1522423367, 0, 0, 1, 1),
(64, 64, 'en', 'Marcus Cruz', 1, 1, 1513946890, 1521726881, 1, 0, 1, 1),
(65, 65, 'en', 'Waylon Dalton', 1, 1, 1513947666, 1521726841, 1, 0, 1, 1),
(66, 66, 'en', 'Justine Henderson', 1, 1, 1513947739, 1521726854, 1, 0, 1, 1),
(67, 67, 'en', 'Thalia Cobb', 1, 1, 1513947825, 1521726894, 1, 0, 1, 1),
(68, 68, 'en', 'Mathias Little', 1, 1, 1513947902, 1521726909, 1, 0, 1, 1),
(69, 69, 'en', 'Abdullah Lang', 1, 1, 1513947978, 1521726866, 1, 0, 1, 1),
(70, 70, 'en', 'Sponsor Six', 1, 1, 1515674636, 1518019322, 1, 0, 1, 1),
(71, 71, 'en', 'Sponsor Five', 1, 1, 1515685606, 1518019302, 1, 0, 1, 1),
(72, 72, 'en', 'Sponsor Four', 1, 1, 1515685658, 1518019282, 1, 0, 1, 1),
(73, 73, 'en', 'Sponsor Three', 1, 1, 1515685695, 1518019259, 1, 0, 1, 1),
(74, 74, 'en', 'Sponsor Two', 1, 1, 1515685815, 1518019237, 1, 0, 1, 1),
(75, 75, 'en', 'Sponsor One', 1, 1, 1515685885, 1518019211, 1, 0, 1, 1),
(84, 115, 'en', 'Event One', 1, 1, 1519400846, 1519401064, 1, 0, NULL, 1),
(85, 152, 'en', 'Presentation One', 1, 1, 1519659890, 1520509120, 1, 0, 1, 1),
(86, 153, 'en', 'Presentation Two', 1, 1, 1519982599, 1520509180, 1, 0, 1, 1),
(87, 154, 'en', 'Presentation Three', 1, 1, 1519982826, 1520509198, 1, 0, 1, 1),
(88, 155, 'en', 'Presentation Four', 1, 1, 1519985589, 1520509215, 1, 0, 1, 1),
(81, 156, 'en', 'Album One', 1, 1, 1516375782, 1520606779, 1, 0, NULL, 1),
(80, 157, 'en', 'Album Two', 1, 1, 1516375753, 1520606827, 1, 0, NULL, 1),
(79, 158, 'en', 'Album Three', 1, 1, 1516375716, 1520606846, 1, 0, NULL, 1),
(78, 159, 'en', 'Album Four', 1, 1, 1516375683, 1520606859, 1, 0, NULL, 1),
(77, 160, 'en', 'Album Five', 1, 1, 1516375646, 1520606872, 1, 0, NULL, 1),
(76, 161, 'en', 'Album Six', 1, 1, 1516375571, 1520606885, 1, 0, NULL, 1),
(81, 162, 'en', 'Album One', 1, 1, 1516375782, 1520606890, 1, 0, NULL, 1),
(92, 166, 'en', 'Program Entry 1', 1, 1, 1521129152, 1522750469, 1, 0, 1, 1),
(93, 167, 'en', 'Program Entry 2', 1, 1, 1521129438, 1522750465, 1, 0, 1, 1),
(94, 169, 'en', 'About Us', 1, 1, 1521135809, 1522234187, 1, 0, 1, 1),
(81, 170, 'en', 'Album One', 1, 1, 1516375782, 1521196580, 1, 0, 1, 1),
(80, 171, 'en', 'Album Two', 1, 1, 1516375753, 1521196592, 1, 0, 1, 1),
(79, 172, 'en', 'Album Three', 1, 1, 1516375716, 1521196604, 1, 0, 1, 1),
(78, 173, 'en', 'Album Four', 1, 1, 1516375683, 1521196614, 1, 0, 1, 1),
(77, 174, 'en', 'Album Five', 1, 1, 1516375646, 1521196625, 1, 0, 1, 1),
(76, 175, 'en', 'Album Six', 1, 1, 1516375571, 1521196637, 1, 0, 1, 1),
(85, 176, 'en', 'Presentation One', 1, 1, 1519659890, 1521474401, 1, 0, NULL, 1),
(88, 177, 'en', 'Presentation Four', 1, 1, 1519985589, 1521474632, 1, 0, NULL, 1),
(87, 178, 'en', 'Presentation Three', 1, 1, 1519982826, 1521474648, 1, 0, NULL, 1),
(86, 179, 'en', 'Presentation Two', 1, 1, 1519982599, 1521474665, 1, 0, NULL, 1),
(91, 180, 'en', 'Event Four', 1, 1, 1520507552, 1521561918, 1, 0, 1, 1),
(90, 181, 'en', 'Event Three', 1, 1, 1520507297, 1521561932, 1, 0, 1, 1),
(89, 182, 'en', 'Event Two', 1, 1, 1520507110, 1521561945, 1, 0, 1, 1),
(84, 183, 'en', 'Event One', 1, 1, 1519400846, 1521561960, 1, 0, 1, 1),
(95, 184, 'en', 'Program', 1, 1, 1521700581, 1522158113, 1, 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision`
--

CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `revision_timestamp` int(11) DEFAULT NULL,
  `revision_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_log` longtext DEFAULT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `node__nid` (`nid`),
  KEY `node_field__langcode` (`langcode`),
  KEY `node_field__revision_uid__target_id` (`revision_uid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision table for node entities.';

--
-- Dumping data for table `node_revision`
--

INSERT INTO `node_revision` VALUES
(1, 1, 'en', 1464800380, 1, NULL, 1),
(2, 2, 'en', 1464949293, 1, NULL, 1),
(4, 4, 'en', 1465321667, 1, NULL, 1),
(5, 5, 'en', 1465321812, 1, NULL, 1),
(6, 6, 'en', 1465321903, 1, NULL, 1),
(7, 7, 'en', 1465321981, 1, NULL, 1),
(8, 8, 'en', 1465322068, 1, NULL, 1),
(9, 9, 'en', 1465322160, 1, NULL, 1),
(10, 10, 'en', 1465328607, 1, NULL, 1),
(11, 11, 'en', 1465328677, 1, NULL, 1),
(12, 12, 'en', 1465328768, 1, NULL, 1),
(13, 13, 'en', 1465328837, 1, NULL, 1),
(14, 14, 'en', 1465328906, 1, NULL, 1),
(15, 15, 'en', 1465328986, 1, NULL, 1),
(16, 16, 'en', 1465554433, 1, NULL, 1),
(17, 17, 'en', 1465558057, 1, NULL, 1),
(18, 18, 'en', 1465831278, 1, NULL, 1),
(19, 19, 'en', 1465831577, 1, NULL, 1),
(20, 20, 'en', 1465831647, 1, NULL, 1),
(21, 21, 'en', 1465831717, 1, NULL, 1),
(22, 22, 'en', 1465831772, 1, NULL, 1),
(23, 23, 'en', 1465832030, 1, NULL, 1),
(33, 33, 'en', 1465837403, 1, NULL, 1),
(34, 34, 'en', 1465837468, 1, NULL, 1),
(35, 35, 'en', 1465902807, 1, NULL, 1),
(36, 36, 'en', 1466103087, 1, NULL, 1),
(37, 37, 'en', 1466103196, 1, NULL, 1),
(39, 39, 'en', 1472025689, 1, NULL, 1),
(40, 40, 'en', 1472825136, 1, NULL, 1),
(41, 41, 'en', 1474914587, 1, NULL, 1),
(42, 42, 'en', 1474914693, 1, NULL, 1),
(43, 43, 'en', 1474914797, 1, NULL, 1),
(44, 44, 'en', 1474914887, 1, NULL, 1),
(45, 45, 'en', 1474914948, 1, NULL, 1),
(46, 46, 'en', 1476809289, 1, NULL, 1),
(47, 47, 'en', 1477562172, 1, NULL, 1),
(48, 48, 'en', 1477562234, 1, NULL, 1),
(49, 49, 'en', 1477562435, 1, NULL, 1),
(50, 50, 'en', 1477562551, 1, NULL, 1),
(51, 51, 'en', 1478603886, 1, NULL, 1),
(53, 53, 'en', 1479151059, 1, NULL, 1),
(54, 54, 'en', 1479151089, 1, NULL, 1),
(55, 55, 'en', 1480420441, 1, NULL, 1),
(56, 56, 'en', 1480591720, 1, NULL, 1),
(57, 57, 'en', 1480613416, 1, NULL, 1),
(58, 58, 'en', 1480670783, 1, NULL, 1),
(59, 59, 'en', 1484677665, 1, NULL, 1),
(60, 60, 'en', 1486462660, 1, NULL, 1),
(61, 61, 'en', 1486670765, 1, NULL, 1),
(62, 62, 'en', 1499243159, 1, NULL, 1),
(63, 63, 'en', 1499268165, 1, NULL, 1),
(64, 64, 'en', 1513947375, 1, NULL, 1),
(65, 65, 'en', 1513947699, 1, NULL, 1),
(66, 66, 'en', 1513947781, 1, NULL, 1),
(67, 67, 'en', 1513947857, 1, NULL, 1),
(68, 68, 'en', 1513947941, 1, NULL, 1),
(69, 69, 'en', 1513948005, 1, NULL, 1),
(70, 70, 'en', 1515674709, 1, NULL, 1),
(71, 71, 'en', 1515685620, 1, NULL, 1),
(72, 72, 'en', 1515685671, 1, NULL, 1),
(73, 73, 'en', 1515685709, 1, NULL, 1),
(74, 74, 'en', 1515685831, 1, NULL, 1),
(75, 75, 'en', 1515685900, 1, NULL, 1),
(84, 115, 'en', 1519401064, 1, NULL, 1),
(85, 152, 'en', 1520509120, 1, NULL, 1),
(86, 153, 'en', 1520509180, 1, NULL, 1),
(87, 154, 'en', 1520509198, 1, NULL, 1),
(88, 155, 'en', 1520509215, 1, NULL, 1),
(81, 156, 'en', 1520606779, 1, NULL, 1),
(80, 157, 'en', 1520606827, 1, NULL, 1),
(79, 158, 'en', 1520606846, 1, NULL, 1),
(78, 159, 'en', 1520606859, 1, NULL, 1),
(77, 160, 'en', 1520606872, 1, NULL, 1),
(76, 161, 'en', 1520606885, 1, NULL, 1),
(81, 162, 'en', 1520606890, 1, NULL, 1),
(92, 166, 'en', 1521129432, 1, NULL, 1),
(93, 167, 'en', 1521129476, 1, NULL, 1),
(94, 169, 'en', 1521136039, 1, NULL, 1),
(81, 170, 'en', 1521196580, 1, NULL, 1),
(80, 171, 'en', 1521196592, 1, NULL, 1),
(79, 172, 'en', 1521196604, 1, NULL, 1),
(78, 173, 'en', 1521196614, 1, NULL, 1),
(77, 174, 'en', 1521196625, 1, NULL, 1),
(76, 175, 'en', 1521196637, 1, NULL, 1),
(85, 176, 'en', 1521474401, 1, NULL, 1),
(88, 177, 'en', 1521474632, 1, NULL, 1),
(87, 178, 'en', 1521474648, 1, NULL, 1),
(86, 179, 'en', 1521474665, 1, NULL, 1),
(91, 180, 'en', 1521561918, 1, NULL, 1),
(90, 181, 'en', 1521561932, 1, NULL, 1),
(89, 182, 'en', 1521561945, 1, NULL, 1),
(84, 183, 'en', 1521561960, 1, NULL, 1),
(95, 184, 'en', 1521700598, 1, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__body`
--

CREATE TABLE `node_revision__body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field body.';

--
-- Dumping data for table `node_revision__body`
--

INSERT INTO `node_revision__body` VALUES
('page', 0, 1, 1, 'en', 0, '<p class="large">Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n\r\n<h2>Heading 2</h2>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h2><a href="#">Linked Heading 2</a></h2>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit, esse, quo distinctio dolores magni reprehenderit id est at fugiat veritatis fugit dignissimos sed ut facere molestias illo impedit. Tempora, iure!</p>\r\n\r\n<h3>Heading 3</h3>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h4>Heading 4</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h5>Heading 5</h5>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<p><a href="#">Default link</a></p>\r\n\r\n<p><a class="link--bordered" href="#">Bordered link</a></p>\r\n\r\n<p><a class="link--hover-style-2" href="#">Hover effect 2</a></p>\r\n\r\n<p><a class="link--hover-style-3" href="#">Hover effect 3</a></p>\r\n\r\n<h3>Blockquote</h3>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested <a href="#">expertise with quote link</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing.</p>\r\n</blockquote>\r\n\r\n<h3>Messages</h3>\r\n\r\n<div aria-label="Status message" class="messages messages--status" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample status message. Page <em><strong>Typography</strong></em> has been updated.</div>\r\n\r\n<div aria-label="Error message" class="messages messages--error" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample error message. There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately! See the available updates page for more information.</div>\r\n\r\n<div aria-label="Warningmessage" class="messages messages--warning" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample warning message. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<h3>Paragraph With Links</h3>\r\n\r\n<p>Lorem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<h3>Dropcaps</h3>\r\n\r\n<p class="text--drop-cap">Lorem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<p><span class="drop-cap">L</span>orem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<h3>Ordered List</h3>\r\n\r\n<ol>\r\n	<li>This is a sample Ordered List.</li>\r\n	<li>Lorem ipsum dolor sit amet consectetuer.</li>\r\n	<li>Congue Quisque augue elit dolor.\r\n	<ol>\r\n		<li>Something goes here.</li>\r\n		<li>And another here</li>\r\n	</ol>\r\n	</li>\r\n	<li>Congue Quisque augue elit dolor nibh.</li>\r\n</ol>\r\n\r\n<h3>Unordered List</h3>\r\n\r\n<ul>\r\n	<li>This is a sample <strong>Unordered List</strong>.</li>\r\n	<li>Condimentum quis.</li>\r\n	<li>Congue Quisque augue elit dolor.\r\n	<ul>\r\n		<li>Something goes here.</li>\r\n		<li>And another here\r\n		<ul>\r\n			<li>Something here as well</li>\r\n			<li>Something here as well</li>\r\n			<li>Something here as well</li>\r\n		</ul>\r\n		</li>\r\n		<li>Then one more</li>\r\n	</ul>\r\n	</li>\r\n	<li>Nunc cursus sem et pretium sapien eget.</li>\r\n</ul>\r\n\r\n<h3>Fieldset</h3>\r\n\r\n<fieldset><legend>Account information</legend></fieldset>\r\n\r\n<h3>Buttons &amp; Text fields</h3>\r\n\r\n<p><a class="button" href="#">Find out more</a></p>\r\n\r\n<h4>Text Fields</h4>\r\n\r\n<form action="#">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Your email address'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Your email address" /></div>\r\n\r\n<div class="form-actions"><input class="form-submit" id="edit-submit-3" name="subscribe" type="submit" value="Subscribe" /></div>\r\n</form>\r\n\r\n<form action="#" class="container-inline">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Inline form items'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Inline form items" /></div>\r\n\r\n<div class="form-actions"><input class="form-submit" id="edit-submit-4" name="subscribe" type="submit" value="Subscribe" /></div>\r\n</form>\r\n\r\n<h4>Select Dropdown</h4>\r\n\r\n<p><select class="form-select" name="select_field"><option selected="selected" value="All">- Any -</option><option value="6">Apartment</option><option value="7">Family House</option><option value="8">Office</option></select></p>\r\n\r\n<h3>Table</h3>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th>Header 1</th>\r\n			<th>Header 2</th>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>row 1, cell 1</td>\r\n			<td>row 1, cell 2</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>row 2, cell 1</td>\r\n			<td>row 2, cell 2</td>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>row 3, cell 1</td>\r\n			<td>row 3, cell 2</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th scope="row">Heading 1</th>\r\n			<td>Item 1</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Heading 2</th>\r\n			<td>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Heading 3</th>\r\n			<td>$5.99</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Total</th>\r\n			<td>$5.99</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table>\r\n	<thead>\r\n		<tr>\r\n			<th>#</th>\r\n			<th>First Name</th>\r\n			<th>Last Name</th>\r\n			<th>Username</th>\r\n		</tr>\r\n	</thead>\r\n	<tbody>\r\n		<tr>\r\n			<th scope="row">1</th>\r\n			<td>Mark</td>\r\n			<td>Otto</td>\r\n			<td>@mdo</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">2</th>\r\n			<td>Jacob</td>\r\n			<td>Thornton</td>\r\n			<td>@fat</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">3</th>\r\n			<td>Larry</td>\r\n			<td>the Bird</td>\r\n			<td>@twitter</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '', 'full_html'),
('page', 0, 2, 2, 'en', 0, '<h3 id="brands">Icons List</h3>\r\n<ul class="icons-list">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List Bordered</h3>\r\n<ul class="icons-list icons-list--bordered">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--bordered"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List - Large</h3>\r\n<ul class="icons-list icons-list--large">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List - Extra large</h3>\r\n<ul class="icons-list icons-list--extra-large">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--extra-large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List with images</h3>\r\n<ul class="icons-list icons-list--extra-large">\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-left-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-middle-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-right-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--extra-large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List with tooltips</h3>\r\n<ul class="icons-list">\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-apple"><span class="sr-only">apple</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-android"><span class="sr-only">android</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-github"><span class="sr-only">github</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-windows"><span class="sr-only">windows</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-linux"><span class="sr-only">linux</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-skype"><span class="sr-only">skype</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-btc"><span class="sr-only">btc</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-css3"><span class="sr-only">css3</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-html5"><span class="sr-only">html5</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\r\n</a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Social Links</h3>\r\n<ul class="social-links social-links--inline text-center">\r\n<li>\r\n<a href="#" class="hover-color-facebook">Facebook</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-twitter">Twitter</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-behance">Behance</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-dribbble">Dribbble</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-instagram">Instagram</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-vimeo">Vimeo</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-youtube">Youtube</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-googleplus">Google+</a>\r\n</li>\r\n</ul>\r\n<pre>\r\n  &lt;ul class="social-links social-links--inline text-center">\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-facebook"&gt;Facebook&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-twitter"&gt;Twitter&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-behance"&gt;Behance&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-dribbble"&gt;Dribbble&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-instagram"&gt;Instagram&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-vimeo"&gt;Vimeo&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n    &lt;a href="#" class="hover-color-youtube"&gt;Youtube&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n    &lt;a href="#" class="hover-color-googleplus"&gt;Google+&lt;/a&gt;\r\n    &lt;/li&gt;\r\n  &lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Lists - With Font Awesome Icons</h3>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-star">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-star"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-caret-right">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-caret-right"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-plus">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-plus"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-square">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-square"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-caret-right">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-caret-right"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-check">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-check"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-check-circle">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-check-circle"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-custom">\r\n      <li><i class="fa fa-map-marker"></i>Item 1</li>\r\n      <li><i class="fa fa-phone"></i>Item 2</li>\r\n      <li><i class="fa fa-fax"></i>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-custom"&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-map-marker"&gt;&lt;/i&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-phone"&gt;&lt;/i&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-fax"&gt;&lt;/i&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n\r\n<h3 id="tabs">Tabs</h3>\r\n<div role="tabpanel">\r\n\r\n<!-- Nav tabs -->\r\n<ul class="nav nav-tabs" role="tablist">\r\n<li role="presentation" class="nav-item"><a class="active nav-link" href="#home" aria-controls="home" role="tab" data-toggle="tab">Home</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#profile" aria-controls="profile" role="tab" data-toggle="tab">Profile</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#messages" aria-controls="messages" role="tab" data-toggle="tab">Messages</a></li>\r\n</ul>\r\n\r\n<!-- Tab panes -->\r\n<div class="tab-content">\r\n<div role="tabpanel" class="tab-pane fade show active" id="home"><p><strong>Home</strong> ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="profile"><p><strong>Profile</strong> ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="messages"><p><strong>Messages</strong> ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.</p></div>\r\n</div>\r\n\r\n</div>\r\n\r\n<pre>\r\n&lt;div role="tabpanel"&gt;\r\n\r\n&lt;!-- Nav tabs --&gt;\r\n&lt;ul class="nav nav-tabs" role="tablist"&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="active nav-link" href="#home" aria-controls="home" role="tab" data-toggle="tab"&gt;Home&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#profile" aria-controls="profile" role="tab" data-toggle="tab"&gt;Profile&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#messages" aria-controls="messages" role="tab" data-toggle="tab"&gt;Messages&lt;/a&gt;\r\n  &lt;/li&gt;\r\n&lt;/ul&gt;\r\n\r\n&lt;!-- Tab panes --&gt;\r\n&lt;div class="tab-content"&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade show active" id="home"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Home&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="profile"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Profile&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="messages"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Messages&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<hr>\r\n<br>\r\n<h3 id="vertical-tabs">Vertical Tabs</h3>\r\n<div role="tabpanel" class="nav-tabs-vertical-container">\r\n\r\n<!-- Nav tabs -->\r\n<ul class="nav nav-tabs nav-tabs--vertical" role="tablist">\r\n<li role="presentation" class="nav-item"><a class="nav-link active" href="#vertical-tab-1" aria-controls="vertical-tab-1" role="tab" data-toggle="tab">Home</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#vertical-tab-2" aria-controls="vertical-tab-2" role="tab" data-toggle="tab">Profile</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#vertical-tab-3" aria-controls="vertical-tab-3" role="tab" data-toggle="tab">Messages</a></li>\r\n</ul>\r\n\r\n<!-- Tab panes -->\r\n<div class="tab-content">\r\n<div role="tabpanel" class="tab-pane fade show active" id="vertical-tab-1"><p><strong>Home</strong> ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="vertical-tab-2"><p><strong>Profile</strong> ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="vertical-tab-3"><p><strong>Messages</strong> ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.</p></div>\r\n</div>\r\n\r\n</div>\r\n\r\n<pre>\r\n&lt;div role="tabpanel" class="nav-tabs-vertical-container"&gt;\r\n\r\n&lt;!-- Nav tabs --&gt;\r\n&lt;ul class="nav nav-tabs nav-tabs--vertical" role="tablist"&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link active" href="#vertical-tab-1" aria-controls="vertical-tab-1" role="tab" data-toggle="tab"&gt;Home&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#vertical-tab-2" aria-controls="vertical-tab-2" role="tab" data-toggle="tab"&gt;Profile&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#vertical-tab-3" aria-controls="vertical-tab-3" role="tab" data-toggle="tab"&gt;Messages&lt;/a&gt;\r\n  &lt;/li&gt;\r\n&lt;/ul&gt;\r\n\r\n&lt;!-- Tab panes --&gt;\r\n&lt;div class="tab-content"&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade show active" id="vertical-tab-1"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Home&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="vertical-tab-2"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Profile&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="vertical-tab-3"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Messages&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<hr>\r\n<br>\r\n<h3 id="accordion">Accordion - Style 1</h3>\r\n<div class="collapse-group" id="accordion-example1" role="tablist" aria-multiselectable="true">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingOne">\r\n<div class="card-title"><a data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne"><span>1.</span> Home</a></div>\r\n</div>\r\n<div id="collapseOne" class="collapse show" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingOne">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingTwo">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" data-parent="#accordion-example1" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"><span>2.</span> Configure</a></div>\r\n</div>\r\n<div id="collapseTwo" class="collapse"  data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingTwo">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingThree">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" data-parent="#accordion-example1" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree"><span>3.</span> Download</a></div>\r\n</div>\r\n<div id="collapseThree" class="collapse"  data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingThree">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="collapse-group" id="accordion-example1" role="tablist" aria-multiselectable="true"&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingOne"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne"&gt;\r\n          &lt;span&gt;1.&lt;/span&gt; Home\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseOne" class="collapse show" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingOne"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingTwo"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"&gt;\r\n          &lt;span&gt;2.&lt;/span&gt; Configure\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseTwo" class="collapse" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingTwo"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingThree"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree"&gt;\r\n          &lt;span&gt;3.&lt;/span&gt; Download\r\n        &lt;/a&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseThree" class="collapse" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingThree"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="accordion-2">Accordion - Style 2</h3>\r\n<div class="collapse-group collapse-group--style-2" id="accordion-example2" role="tablist" aria-multiselectable="true">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingFour">\r\n<div class="card-title"><a data-toggle="collapse" href="#collapseFour" aria-expanded="true" aria-controls="collapseFour"><span>1.</span> Home</a></div>\r\n</div>\r\n<div id="collapseFour" class="collapse show" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFour">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingFive">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive"><span>2.</span> Configure</a></div>\r\n</div>\r\n<div id="collapseFive" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFive">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingSix">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" href="#collapseSix" aria-expanded="false" aria-controls="collapseSix"><span>3.</span> Download</a></div>\r\n</div>\r\n<div id="collapseSix" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingSix">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="collapse-group collapse-group--style-2" id="accordion-example2" role="tablist" aria-multiselectable="true"&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingFour"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a data-toggle="collapse" href="#collapseFour" aria-expanded="true" aria-controls="collapseFour"&gt;\r\n          &lt;span&gt;1.&lt;/span&gt; Home\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseFour" class="collapse show" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFour"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingFive"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive"&gt;\r\n          &lt;span&gt;2.&lt;/span&gt; Configure\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseFive" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFive"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingSix"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseSix" aria-expanded="false" aria-controls="collapseSix"&gt;\r\n          &lt;span&gt;3.&lt;/span&gt; Download\r\n        &lt;/a&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseSix" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingSix"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="buttons">Button</h3>\r\n<div>\r\n<a href="#" class="button">Button</a> <br>\r\n<a href="#" class="button button--small">Button Small</a> <br>\r\n<a href="#" class="button button--outline">Button Outline</a>\r\n</div>\r\n<pre>\r\n&lt;a href="#" class="button"&gt;Button&lt;/a&gt;\r\n&lt;a href="#" class="button button--small"&gt;Button Small&lt;/a&gt;\r\n&lt;a href="#" class="button button--outline"&gt;Button Outline&lt;/a&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="buttons-hover-style-2">Button - Hover Style 2</h3>\r\n<div>\r\n<a href="#" class="button button--hover-style-2">Button</a>\r\n</div>\r\n<pre>\r\n&lt;a href="#" class="button button--hover-style-2"&gt;Button&lt;/a&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="progressbars">Progress Bars</h3>\r\n<div class="progress-title">78% Complete (default)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%">\r\n<span class="sr-only">78% Complete (success)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">40% Complete (success)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%">\r\n<span class="sr-only">40% Complete (success)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">20% Complete (info)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-info" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width: 20%">\r\n<span class="sr-only">20% Complete</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">60% Complete (warning)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%">\r\n<span class="sr-only">60% Complete (warning)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">80% Complete (danger)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-danger" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">\r\n<span class="sr-only">80% Complete</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">Results</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-success" style="width: 40%">\r\n<span class="sr-only">35% A</span>\r\n</div>\r\n<div class="progress-bar bg-info" style="width: 30%">\r\n<span class="sr-only">20% B</span>\r\n</div>\r\n<div class="progress-bar bg-warning" style="width: 20%">\r\n<span class="sr-only">20% C</span>\r\n</div>\r\n<div class="progress-bar bg-danger" style="width: 10%">\r\n<span class="sr-only">10% D</span>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="progress-title"&gt;78% Complete (default)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%"&gt;\r\n    &lt;span class="sr-only"&gt;78% Complete (success)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;40% Complete (success)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%"&gt;\r\n    &lt;span class="sr-only"&gt;40% Complete (success)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;20% Complete (info)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-info" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width: 20%"&gt;\r\n    &lt;span class="sr-only"&gt;20% Complete&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;60% Complete (warning)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%"&gt;\r\n    &lt;span class="sr-only"&gt;60% Complete (warning)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;80% Complete (danger)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-danger" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%"&gt;\r\n    &lt;span class="sr-only"&gt;80% Complete&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;Results&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-success" style="width: 40%"&gt;\r\n    &lt;span class="sr-only"&gt;35% A&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-info" style="width: 30%"&gt;\r\n    &lt;span class="sr-only"&gt;20% B&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-warning" style="width: 20%"&gt;\r\n    &lt;span class="sr-only"&gt;20% C&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-danger" style="width: 10%"&gt;\r\n    &lt;span class="sr-only"&gt;10% D&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<div class="alert alert-info"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>Check all available Font Awesome icons at <a  target="_blank" href="https://fontawesome.com/icons" class="alert-link">https://fontawesome.com/icons</a></div>', '', 'raw_html');
INSERT INTO `node_revision__body` VALUES
('article', 0, 10, 10, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 11, 11, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 12, 12, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 13, 13, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 14, 14, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3 class="description-title">Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>', 'full_html'),
('article', 0, 15, 15, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'full_html'),
('page', 0, 36, 36, 'en', 0, '<div class="row">\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n</div>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-6"&gt;\r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-6"&gt; \r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n', '', 'full_html'),
('page', 0, 37, 37, 'en', 0, '<div class="row">\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n</div>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-6"&gt;\r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-6"&gt; \r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n', '', 'full_html'),
('page', 0, 39, 39, 'en', 0, '<div aria-multiselectable="true" class="collapse-group" id="accordion" role="tablist">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingOne" role="tab">\r\n<div class="card-title"><a aria-controls="collapseOne" aria-expanded="true" data-toggle="collapse" href="#collapseOne" role="button"><span>Q1.</span> First Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingOne" class="collapse show" id="collapseOne" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingTwo" role="tab">\r\n<div class="card-title"><a aria-controls="collapseTwo" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseTwo" role="button"><span>Q2.</span> Second Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingTwo" class="collapse" id="collapseTwo" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingThree" role="tab">\r\n<div class="card-title"><a aria-controls="collapseThree" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseThree" role="button"><span>Q3.</span> Third Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingThree" class="collapse" id="collapseThree" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingFour" role="tab">\r\n<div class="card-title"><a aria-controls="collapseFour" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseFour" role="button"><span>Q4.</span> Fourth Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingFour" class="collapse" id="collapseFour" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingFive" role="tab">\r\n<div class="card-title"><a aria-controls="collapseFive" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseFive" role="button"><span>Q5.</span> Fifth Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingFive" class="collapse" id="collapseFive" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('page', 0, 56, 56, 'en', 0, '<h2 class="block-title">Our Investors</h2>\r\n<div class="row">\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-1.jpg" class="img--bordered" title="investor-1" alt="investor-1">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-2.jpg" class="img--bordered" title="investor-2" alt="investor-2">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-3.jpg" class="img--bordered" title="investor-3" alt="investor-3">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-4.jpg" class="img--bordered" title="investor-4" alt="investor-4">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-5.jpg" class="img--bordered" title="investor-5" alt="investor-5">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-6.jpg" class="img--bordered" title="investor-6" alt="investor-6">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-7.jpg" class="img--bordered" title="investor-7" alt="investor-7">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-8.jpg" class="img--bordered" title="investor-8" alt="investor-8">\r\n    </div>\r\n    <br>\r\n  </div>\r\n</div>', '', 'raw_html'),
('page', 0, 57, 57, 'en', 0, '<div class="text-center">The page you are looking for was either removed or no longer exists.</div>\r\n<div class="text-center mt-5">\r\n<a class="button" href="#">Go Home</a>\r\n</div>', '', 'raw_html'),
('page', 0, 62, 62, 'en', 0, '<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--blue">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--gold">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--gray">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--green">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--khaki">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--lime">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--night-blue">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--orange">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--pink">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--purple">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--red">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html'),
('mt_album', 1, 76, 76, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 76, 89, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 76, 95, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 77, 77, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 77, 88, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 77, 94, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 78, 78, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 78, 87, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 78, 93, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 79, 79, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');
INSERT INTO `node_revision__body` VALUES
('mt_album', 1, 79, 86, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 79, 92, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 80, 80, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 80, 82, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 80, 83, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 80, 85, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 80, 91, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 81, 81, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 81, 84, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 81, 90, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 81, 96, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 1, 81, 97, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__comment`
--

CREATE TABLE `node_revision__comment` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field comment.';

--
-- Dumping data for table `node_revision__comment`
--

INSERT INTO `node_revision__comment` VALUES
('article', 0, 10, 10, 'en', 0, 2),
('article', 0, 11, 11, 'en', 0, 2),
('article', 0, 12, 12, 'en', 0, 2),
('article', 0, 13, 13, 'en', 0, 2),
('article', 0, 14, 14, 'en', 0, 2),
('article', 0, 15, 15, 'en', 0, 2);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_image`
--

CREATE TABLE `node_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_image.';

--
-- Dumping data for table `node_revision__field_image`
--

INSERT INTO `node_revision__field_image` VALUES
('article', 0, 10, 10, 'en', 0, 8, 'Sixth Article', 'Sixth Article', 750, 500),
('article', 0, 11, 11, 'en', 0, 9, 'Fifth Article', 'Fifth Article', 750, 500),
('article', 0, 12, 12, 'en', 0, 10, 'Fourth Article', 'Fourth Article', 750, 500),
('article', 0, 13, 13, 'en', 0, 11, 'Third Article', 'Third Article', 750, 500),
('article', 0, 14, 14, 'en', 0, 12, 'Second Article', 'Second Article', 750, 500),
('article', 0, 15, 15, 'en', 0, 13, 'First Article', 'First Image', 750, 500),
('article', 0, 15, 15, 'en', 1, 15, 'First Article', 'Second Image', 750, 500),
('article', 0, 15, 15, 'en', 2, 16, 'First Article', 'Third Image', 750, 500),
('article', 0, 15, 15, 'en', 3, 17, 'First Article', 'Fourth Image', 750, 500),
('article', 0, 15, 15, 'en', 4, 18, 'First Article', 'Fifth Image', 750, 500),
('mt_album', 1, 76, 76, 'en', 0, 151, 'album', '', 1280, 690),
('mt_album', 1, 77, 77, 'en', 0, 152, 'album', '', 1280, 690),
('mt_album', 1, 78, 78, 'en', 0, 153, 'album', '', 1280, 690),
('mt_album', 1, 79, 79, 'en', 0, 154, 'album', '', 1280, 690),
('mt_album', 1, 80, 80, 'en', 0, 155, 'album', '', 1280, 690),
('mt_album', 1, 80, 82, 'en', 0, 155, 'album', '', 1280, 690),
('mt_album', 1, 80, 83, 'en', 0, 155, 'album', '', 1280, 690),
('mt_album', 1, 81, 81, 'en', 0, 156, 'album', '', 1280, 690),
('mt_album', 1, 81, 81, 'en', 1, 157, 'album', '', 1280, 690),
('mt_album', 1, 81, 81, 'en', 2, 158, 'album', '', 1280, 690),
('mt_album', 1, 81, 81, 'en', 3, 159, 'album', '', 1280, 690),
('mt_album', 1, 81, 81, 'en', 4, 160, 'album', '', 1280, 690),
('mt_album', 1, 81, 81, 'en', 5, 161, 'album', '', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_alb_body`
--

CREATE TABLE `node_revision__field_mt_alb_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_body_value` longtext NOT NULL,
  `field_mt_alb_body_summary` longtext DEFAULT NULL,
  `field_mt_alb_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_alb_body_format` (`field_mt_alb_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_alb_body.';

--
-- Dumping data for table `node_revision__field_mt_alb_body`
--

INSERT INTO `node_revision__field_mt_alb_body` VALUES
('mt_album', 0, 76, 161, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 76, 175, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 77, 160, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 77, 174, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 78, 159, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 78, 173, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 79, 158, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 79, 172, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 80, 157, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 80, 171, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 81, 156, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 81, 162, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 81, 170, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_alb_image`
--

CREATE TABLE `node_revision__field_mt_alb_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_alb_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_alb_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_alb_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_alb_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_alb_image_target_id` (`field_mt_alb_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_alb_image.';

--
-- Dumping data for table `node_revision__field_mt_alb_image`
--

INSERT INTO `node_revision__field_mt_alb_image` VALUES
('mt_album', 0, 76, 161, 'en', 0, 178, 'album image', '', 1280, 690),
('mt_album', 0, 76, 175, 'en', 0, 178, 'album image', '', 1280, 690),
('mt_album', 0, 77, 160, 'en', 0, 177, 'album image', '', 1280, 690),
('mt_album', 0, 77, 174, 'en', 0, 177, 'album image', '', 1280, 690),
('mt_album', 0, 78, 159, 'en', 0, 176, 'album image', '', 1280, 690),
('mt_album', 0, 78, 173, 'en', 0, 176, 'album image', '', 1280, 690),
('mt_album', 0, 79, 158, 'en', 0, 175, 'album image', '', 1280, 690),
('mt_album', 0, 79, 172, 'en', 0, 175, 'album image', '', 1280, 690),
('mt_album', 0, 80, 157, 'en', 0, 174, 'album image', '', 1280, 690),
('mt_album', 0, 80, 171, 'en', 0, 174, 'album image', '', 1280, 690),
('mt_album', 0, 81, 156, 'en', 0, 168, 'album', '', 1280, 690),
('mt_album', 0, 81, 156, 'en', 1, 169, 'album', '', 1280, 690),
('mt_album', 0, 81, 156, 'en', 2, 170, 'album', '', 1280, 690),
('mt_album', 0, 81, 156, 'en', 3, 171, 'album', '', 1280, 690),
('mt_album', 0, 81, 156, 'en', 4, 172, 'album', '', 1280, 690),
('mt_album', 0, 81, 156, 'en', 5, 173, 'album', '', 1280, 690),
('mt_album', 0, 81, 162, 'en', 0, 168, 'album', '', 1280, 690),
('mt_album', 0, 81, 162, 'en', 1, 169, 'album', '', 1280, 690),
('mt_album', 0, 81, 162, 'en', 2, 170, 'album', '', 1280, 690),
('mt_album', 0, 81, 162, 'en', 3, 171, 'album', '', 1280, 690),
('mt_album', 0, 81, 162, 'en', 4, 172, 'album', '', 1280, 690),
('mt_album', 0, 81, 162, 'en', 5, 173, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 0, 168, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 1, 169, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 2, 170, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 3, 171, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 4, 172, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 5, 173, 'album', '', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_alb_tags`
--

CREATE TABLE `node_revision__field_mt_alb_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_alb_tags_target_id` (`field_mt_alb_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_alb_tags.';

--
-- Dumping data for table `node_revision__field_mt_alb_tags`
--

INSERT INTO `node_revision__field_mt_alb_tags` VALUES
('mt_album', 0, 76, 175, 'en', 0, 81),
('mt_album', 0, 77, 174, 'en', 0, 80),
('mt_album', 0, 78, 173, 'en', 0, 79),
('mt_album', 0, 79, 172, 'en', 0, 81),
('mt_album', 0, 80, 171, 'en', 0, 80),
('mt_album', 0, 81, 170, 'en', 0, 79);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_alb_video`
--

CREATE TABLE `node_revision__field_mt_alb_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_alb_video.';

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_cnv_body`
--

CREATE TABLE `node_revision__field_mt_cnv_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cnv_body_value` longtext NOT NULL,
  `field_mt_cnv_body_summary` longtext DEFAULT NULL,
  `field_mt_cnv_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_cnv_body_format` (`field_mt_cnv_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_cnv_body.';

--
-- Dumping data for table `node_revision__field_mt_cnv_body`
--

INSERT INTO `node_revision__field_mt_cnv_body` VALUES
('mt_canvas_page', 0, 94, 169, 'en', 0, '<div class="row mt-5">\r\n<div class="col-xl-5 col-md-6"><img alt="about us" class="mb-3" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-about-us-1.jpg" /></div>\r\n\r\n<div class="col-md-6 ml-xl-auto">\r\n<h3 class="mt-0 mb-4">Conference+ dedicated to helping young people worldwide achieve great success</h3>\r\n\r\n<p class="pt-2">Conference+ foundation is a non-profit organization dedicated to helping young people worldwide achieve great success through a unique curriculum. Makes a commitment to instill each student or young adult with real-life keys to success such as goal-setting, mentorship, self-motivation, professionalism and advanced communication.</p>\r\n\r\n<h5 class="mb-0">Brian A. King</h5>\r\n\r\n<p>Founder &amp; CEO of Conference+</p>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('mt_canvas_page', 0, 95, 184, 'en', 0, '<p>The following program element is populated through Google Calendar.</p>\r\n<link href="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/fullcalendar.min.css" rel="stylesheet" />\r\n<link href="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/fullcalendar.print.css" media="print" rel="stylesheet" /><script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.21.0/moment.min.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/fullcalendar.min.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/gcal.min.js"></script><script>\r\n\r\n  $(document).ready(function() {\r\n\r\n    $(''#fullcalendar-google'').fullCalendar({\r\n\r\n      header: {\r\n        left: ''prev,next today'',\r\n        center: ''title'',\r\n        right: ''month,agendaWeek,agendaDay,listYear''\r\n      },\r\n\r\n      googleCalendarApiKey: ''AIzaSyAne9yi-aIU8VHgEhPcGrVRdgWC2v2IF-0'',\r\n      eventSources: [\r\n        {\r\n          googleCalendarId: ''6t714i0qirrbifjsmv6fntm6ds@group.calendar.google.com'',\r\n          color: ''#3B5897'',\r\n          textColor: ''#FFFFFF''\r\n        },\r\n        {\r\n          googleCalendarId: ''94jv10llgutng208gpkrgfq38k@group.calendar.google.com'',\r\n          color: ''#4B842E'',\r\n          textColor: ''#FFFFFF''\r\n        }\r\n      ]\r\n\r\n    });\r\n\r\n  });\r\n\r\n</script>\r\n<div id="fullcalendar-google"></div>\r\n', '', 'raw_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_body`
--

CREATE TABLE `node_revision__field_mt_evn_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_body_value` longtext NOT NULL,
  `field_mt_evn_body_summary` longtext DEFAULT NULL,
  `field_mt_evn_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_body_format` (`field_mt_evn_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_body.';

--
-- Dumping data for table `node_revision__field_mt_evn_body`
--

INSERT INTO `node_revision__field_mt_evn_body` VALUES
('mt_event', 0, 84, 115, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html'),
('mt_event', 0, 84, 183, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html'),
('mt_event', 0, 89, 182, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html'),
('mt_event', 0, 90, 181, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html'),
('mt_event', 0, 91, 180, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_date`
--

CREATE TABLE `node_revision__field_mt_evn_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_date_value` (`field_mt_evn_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_date.';

--
-- Dumping data for table `node_revision__field_mt_evn_date`
--

INSERT INTO `node_revision__field_mt_evn_date` VALUES
('mt_event', 0, 84, 115, 'en', 0, '2018-03-04T14:00:00'),
('mt_event', 0, 84, 183, 'en', 0, '2018-04-28T17:00:00'),
('mt_event', 0, 89, 182, 'en', 0, '2018-04-14T13:00:00'),
('mt_event', 0, 90, 181, 'en', 0, '2018-04-15T13:00:00'),
('mt_event', 0, 91, 180, 'en', 0, '2018-04-29T13:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_event_category`
--

CREATE TABLE `node_revision__field_mt_evn_event_category` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_event_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_event_category_target_id` (`field_mt_evn_event_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_event…';

--
-- Dumping data for table `node_revision__field_mt_evn_event_category`
--

INSERT INTO `node_revision__field_mt_evn_event_category` VALUES
('mt_event', 0, 84, 183, 'en', 0, 72),
('mt_event', 0, 89, 182, 'en', 0, 70),
('mt_event', 0, 90, 181, 'en', 0, 71),
('mt_event', 0, 91, 180, 'en', 0, 69);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_files`
--

CREATE TABLE `node_revision__field_mt_evn_files` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_files_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_evn_files_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_evn_files_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_files_target_id` (`field_mt_evn_files_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_files.';

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_image`
--

CREATE TABLE `node_revision__field_mt_evn_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_evn_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_evn_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_evn_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_evn_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_image_target_id` (`field_mt_evn_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_image.';

--
-- Dumping data for table `node_revision__field_mt_evn_image`
--

INSERT INTO `node_revision__field_mt_evn_image` VALUES
('mt_event', 0, 84, 115, 'en', 0, 256, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 115, 'en', 1, 257, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 115, 'en', 2, 258, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 115, 'en', 3, 259, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 115, 'en', 4, 260, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 115, 'en', 5, 261, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 0, 256, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 1, 257, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 2, 258, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 3, 259, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 4, 260, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 5, 261, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 89, 182, 'en', 0, 273, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 90, 181, 'en', 0, 274, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 91, 180, 'en', 0, 275, 'Event Image', 'Event Image', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_location`
--

CREATE TABLE `node_revision__field_mt_evn_location` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_location_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_evn_location_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_location_target_id` (`field_mt_evn_location_target_id`),
  KEY `field_mt_evn_location_target_revision_id` (`field_mt_evn_location_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn…';

--
-- Dumping data for table `node_revision__field_mt_evn_location`
--

INSERT INTO `node_revision__field_mt_evn_location` VALUES
('mt_event', 0, 84, 183, 'en', 0, 83, 95),
('mt_event', 0, 89, 182, 'en', 0, 80, 94),
('mt_event', 0, 90, 181, 'en', 0, 81, 93),
('mt_event', 0, 91, 180, 'en', 0, 82, 92);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_map_zoom`
--

CREATE TABLE `node_revision__field_mt_evn_map_zoom` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_map_zoom_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_map…';

--
-- Dumping data for table `node_revision__field_mt_evn_map_zoom`
--

INSERT INTO `node_revision__field_mt_evn_map_zoom` VALUES
('mt_event', 0, 84, 183, 'en', 0, 12),
('mt_event', 0, 89, 182, 'en', 0, 12),
('mt_event', 0, 90, 181, 'en', 0, 12),
('mt_event', 0, 91, 180, 'en', 0, 12);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_place`
--

CREATE TABLE `node_revision__field_mt_evn_place` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_place_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_place.';

--
-- Dumping data for table `node_revision__field_mt_evn_place`
--

INSERT INTO `node_revision__field_mt_evn_place` VALUES
('mt_event', 0, 84, 183, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_event', 0, 89, 182, 'en', 0, '183 Jackson Hall South West Building A13'),
('mt_event', 0, 90, 181, 'en', 0, '119 Jackson Hall South West Building A189'),
('mt_event', 0, 91, 180, 'en', 0, '235 Jackson Hall South West Building A658');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_speaker`
--

CREATE TABLE `node_revision__field_mt_evn_speaker` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_speaker_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_speaker_target_id` (`field_mt_evn_speaker_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn…';

--
-- Dumping data for table `node_revision__field_mt_evn_speaker`
--

INSERT INTO `node_revision__field_mt_evn_speaker` VALUES
('mt_event', 0, 84, 115, 'en', 0, 68),
('mt_event', 0, 84, 183, 'en', 0, 68),
('mt_event', 0, 89, 182, 'en', 0, 65),
('mt_event', 0, 90, 181, 'en', 0, 65),
('mt_event', 0, 91, 180, 'en', 0, 69);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_sponsor`
--

CREATE TABLE `node_revision__field_mt_evn_sponsor` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_sponsor_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_sponsor_target_id` (`field_mt_evn_sponsor_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn…';

--
-- Dumping data for table `node_revision__field_mt_evn_sponsor`
--

INSERT INTO `node_revision__field_mt_evn_sponsor` VALUES
('mt_event', 0, 84, 115, 'en', 0, 74),
('mt_event', 0, 84, 183, 'en', 0, 74),
('mt_event', 0, 89, 182, 'en', 0, 72),
('mt_event', 0, 90, 181, 'en', 0, 74),
('mt_event', 0, 91, 180, 'en', 0, 71);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_evn_video`
--

CREATE TABLE `node_revision__field_mt_evn_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_evn_video.';

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_additional_features`
--

CREATE TABLE `node_revision__field_mt_prd_additional_features` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_additional_features_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_prd_additional_features_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_additional_features_target_id` (`field_mt_prd_additional_features_target_id`),
  KEY `field_mt_prd_additional_features_target_revision_id` (`field_mt_prd_additional_features_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_additional_features`
--

INSERT INTO `node_revision__field_mt_prd_additional_features` VALUES
('mt_product', 0, 23, 23, 'en', 0, 62, 62),
('mt_product', 0, 23, 23, 'en', 1, 63, 63),
('mt_product', 0, 23, 23, 'en', 2, 64, 64);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_availability`
--

CREATE TABLE `node_revision__field_mt_prd_availability` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_availability_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_availability_value` (`field_mt_prd_availability_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_availability`
--

INSERT INTO `node_revision__field_mt_prd_availability` VALUES
('mt_product', 0, 23, 23, 'en', 0, 'in_stock');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_banner_carousel`
--

CREATE TABLE `node_revision__field_mt_prd_banner_carousel` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_banner_carousel_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prd_banner_carousel_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prd_banner_carousel_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prd_banner_carousel_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prd_banner_carousel_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_banner_carousel_target_id` (`field_mt_prd_banner_carousel_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_banner…';

--
-- Dumping data for table `node_revision__field_mt_prd_banner_carousel`
--

INSERT INTO `node_revision__field_mt_prd_banner_carousel` VALUES
('mt_product', 0, 23, 23, 'en', 0, 247, 'Banner Image One', 'Title of first banner image', 1920, 650),
('mt_product', 0, 23, 23, 'en', 1, 248, 'Banner Image Two', 'Title of second banner image', 1920, 650),
('mt_product', 0, 23, 23, 'en', 2, 249, 'Banner Image Three', 'Title of third banner image', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_body`
--

CREATE TABLE `node_revision__field_mt_prd_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_body_value` longtext NOT NULL,
  `field_mt_prd_body_summary` longtext DEFAULT NULL,
  `field_mt_prd_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_body_format` (`field_mt_prd_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_body.';

--
-- Dumping data for table `node_revision__field_mt_prd_body`
--

INSERT INTO `node_revision__field_mt_prd_body` VALUES
('mt_product', 0, 18, 18, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 19, 19, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 20, 20, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 21, 21, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 22, 22, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 23, 23, 'en', 0, '<div class="row">\r\n<div class="col-lg-8 ml-lg-auto mr-lg-auto">\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n</div>\r\n</div>\r\n\r\n<div class="call-to-action">\r\n<div class="row">\r\n<div class="col-12 col-lg-8 col-xl-6 ml-lg-auto mr-lg-auto">\r\n<h2 class="title text-center">Enjoy a Gorgeous Look and Feel.</h2>\r\n</div>\r\n\r\n<div class="col-12 col-lg-8 col-xl-5 ml-lg-auto mr-lg-auto mr-xl-0">\r\n<p class="large top-spacing-small bottom-spacing-small">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<div class="text-center"><a class="button" href="#">Free Trial</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n', '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>', 'full_html'),
('mt_product', 0, 46, 46, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_buy_link`
--

CREATE TABLE `node_revision__field_mt_prd_buy_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_buy_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_prd_buy_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_prd_buy_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_buy_link_uri` (`field_mt_prd_buy_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_buy…';

--
-- Dumping data for table `node_revision__field_mt_prd_buy_link`
--

INSERT INTO `node_revision__field_mt_prd_buy_link` VALUES
('mt_product', 0, 18, 18, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 19, 19, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 20, 20, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 21, 21, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 22, 22, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 23, 23, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 46, 46, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_categories`
--

CREATE TABLE `node_revision__field_mt_prd_categories` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_categories_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_categories_target_id` (`field_mt_prd_categories_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_categories`
--

INSERT INTO `node_revision__field_mt_prd_categories` VALUES
('mt_product', 0, 18, 18, 'en', 0, 47),
('mt_product', 0, 18, 18, 'en', 1, 48),
('mt_product', 0, 19, 19, 'en', 0, 46),
('mt_product', 0, 19, 19, 'en', 1, 48),
('mt_product', 0, 20, 20, 'en', 0, 45),
('mt_product', 0, 20, 20, 'en', 1, 47),
('mt_product', 0, 21, 21, 'en', 0, 45),
('mt_product', 0, 21, 21, 'en', 1, 48),
('mt_product', 0, 22, 22, 'en', 0, 45),
('mt_product', 0, 23, 23, 'en', 0, 45),
('mt_product', 0, 23, 23, 'en', 1, 47),
('mt_product', 0, 46, 46, 'en', 0, 46);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_content_tabs`
--

CREATE TABLE `node_revision__field_mt_prd_content_tabs` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_content_tabs_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_prd_content_tabs_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_content_tabs_target_id` (`field_mt_prd_content_tabs_target_id`),
  KEY `field_mt_prd_content_tabs_target_revision_id` (`field_mt_prd_content_tabs_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_content_tabs`
--

INSERT INTO `node_revision__field_mt_prd_content_tabs` VALUES
('mt_product', 0, 23, 23, 'en', 0, 69, 69),
('mt_product', 0, 23, 23, 'en', 1, 70, 70);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_highlight`
--

CREATE TABLE `node_revision__field_mt_prd_highlight` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_highlight_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_prd_highlight_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_highlight_target_id` (`field_mt_prd_highlight_target_id`),
  KEY `field_mt_prd_highlight_target_revision_id` (`field_mt_prd_highlight_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_highlight`
--

INSERT INTO `node_revision__field_mt_prd_highlight` VALUES
('mt_product', 0, 23, 23, 'en', 0, 65, 65),
('mt_product', 0, 23, 23, 'en', 1, 66, 66),
('mt_product', 0, 23, 23, 'en', 2, 67, 67),
('mt_product', 0, 23, 23, 'en', 3, 68, 68);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_image`
--

CREATE TABLE `node_revision__field_mt_prd_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prd_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prd_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prd_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prd_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_image_target_id` (`field_mt_prd_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_image.';

--
-- Dumping data for table `node_revision__field_mt_prd_image`
--

INSERT INTO `node_revision__field_mt_prd_image` VALUES
('mt_product', 0, 18, 18, 'en', 0, 195, 'Sixth Product', 'Sixth Product', 1280, 690),
('mt_product', 0, 19, 19, 'en', 0, 194, 'Fifth Product', 'Fifth Product', 1280, 690),
('mt_product', 0, 20, 20, 'en', 0, 193, 'Fourth Product', 'Fourth Product', 1280, 690),
('mt_product', 0, 21, 21, 'en', 0, 192, 'Third Product', 'Third Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 0, 186, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 1, 187, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 2, 188, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 3, 189, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 4, 190, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 5, 191, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 46, 46, 'en', 0, 196, 'Seventh Product', 'Seventh Product', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_landscape_image`
--

CREATE TABLE `node_revision__field_mt_prd_landscape_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_landscape_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prd_landscape_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prd_landscape_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prd_landscape_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prd_landscape_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_landscape_image_target_id` (`field_mt_prd_landscape_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_landscape_image`
--

INSERT INTO `node_revision__field_mt_prd_landscape_image` VALUES
('mt_product', 0, 20, 20, 'en', 0, 197, 'Product 2', 'Product 2', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_most_popular`
--

CREATE TABLE `node_revision__field_mt_prd_most_popular` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_most_popular_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_most…';

--
-- Dumping data for table `node_revision__field_mt_prd_most_popular`
--

INSERT INTO `node_revision__field_mt_prd_most_popular` VALUES
('mt_product', 0, 18, 18, 'en', 0, 0),
('mt_product', 0, 19, 19, 'en', 0, 0),
('mt_product', 0, 20, 20, 'en', 0, 0),
('mt_product', 0, 21, 21, 'en', 0, 0),
('mt_product', 0, 22, 22, 'en', 0, 1),
('mt_product', 0, 23, 23, 'en', 0, 0),
('mt_product', 0, 46, 46, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_price`
--

CREATE TABLE `node_revision__field_mt_prd_price` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_price_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_price.';

--
-- Dumping data for table `node_revision__field_mt_prd_price`
--

INSERT INTO `node_revision__field_mt_prd_price` VALUES
('mt_product', 0, 18, 18, 'en', 0, '$12.00'),
('mt_product', 0, 19, 19, 'en', 0, '$29.00'),
('mt_product', 0, 20, 20, 'en', 0, '$39.00'),
('mt_product', 0, 21, 21, 'en', 0, '$49.00'),
('mt_product', 0, 22, 22, 'en', 0, '$29.00'),
('mt_product', 0, 23, 23, 'en', 0, '$12.00'),
('mt_product', 0, 46, 46, 'en', 0, '$15.99');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_pricing_table_item`
--

CREATE TABLE `node_revision__field_mt_prd_pricing_table_item` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_pricing_table_item_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_pricing_table_item`
--

INSERT INTO `node_revision__field_mt_prd_pricing_table_item` VALUES
('mt_product', 0, 21, 21, 'en', 0, 'Account Balance'),
('mt_product', 0, 21, 21, 'en', 1, 'Online Interface'),
('mt_product', 0, 21, 21, 'en', 2, 'Weekly Reports'),
('mt_product', 0, 21, 21, 'en', 3, 'Email support'),
('mt_product', 0, 22, 22, 'en', 0, 'Account Balance'),
('mt_product', 0, 22, 22, 'en', 1, 'Online Interface'),
('mt_product', 0, 22, 22, 'en', 2, 'Investment Monitoring'),
('mt_product', 0, 22, 22, 'en', 3, 'Weekly Reports'),
('mt_product', 0, 22, 22, 'en', 4, 'One-on-one consultation'),
('mt_product', 0, 23, 23, 'en', 0, 'Account Balance'),
('mt_product', 0, 23, 23, 'en', 1, 'Online Interface'),
('mt_product', 0, 23, 23, 'en', 2, 'Weekly Reports');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_product_code`
--

CREATE TABLE `node_revision__field_mt_prd_product_code` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_product_code_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_product_code`
--

INSERT INTO `node_revision__field_mt_prd_product_code` VALUES
('mt_product', 0, 23, 23, 'en', 0, '800413');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_subheader_body`
--

CREATE TABLE `node_revision__field_mt_prd_subheader_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_subheader_body_value` longtext NOT NULL,
  `field_mt_prd_subheader_body_summary` longtext DEFAULT NULL,
  `field_mt_prd_subheader_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_subheader_body_format` (`field_mt_prd_subheader_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd…';

--
-- Dumping data for table `node_revision__field_mt_prd_subheader_body`
--

INSERT INTO `node_revision__field_mt_prd_subheader_body` VALUES
('mt_product', 0, 18, 18, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 19, 19, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 20, 20, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 21, 21, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 22, 22, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 23, 23, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 46, 46, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_tags`
--

CREATE TABLE `node_revision__field_mt_prd_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_tags_target_id` (`field_mt_prd_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_tags.';

--
-- Dumping data for table `node_revision__field_mt_prd_tags`
--

INSERT INTO `node_revision__field_mt_prd_tags` VALUES
('mt_product', 0, 18, 18, 'en', 0, 13),
('mt_product', 0, 19, 19, 'en', 0, 52),
('mt_product', 0, 20, 20, 'en', 0, 9),
('mt_product', 0, 21, 21, 'en', 0, 12),
('mt_product', 0, 22, 22, 'en', 0, 11),
('mt_product', 0, 23, 23, 'en', 0, 10),
('mt_product', 0, 46, 46, 'en', 0, 10);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prd_video`
--

CREATE TABLE `node_revision__field_mt_prd_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prd_video.';

--
-- Dumping data for table `node_revision__field_mt_prd_video`
--

INSERT INTO `node_revision__field_mt_prd_video` VALUES
('mt_product', 0, 23, 23, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prg_category`
--

CREATE TABLE `node_revision__field_mt_prg_category` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_category_target_id` (`field_mt_prg_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prg…';

--
-- Dumping data for table `node_revision__field_mt_prg_category`
--

INSERT INTO `node_revision__field_mt_prg_category` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, 77),
('mt_program_entry', 0, 93, 167, 'en', 0, 78);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prg_end_date`
--

CREATE TABLE `node_revision__field_mt_prg_end_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_end_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_end_date_value` (`field_mt_prg_end_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prg_end…';

--
-- Dumping data for table `node_revision__field_mt_prg_end_date`
--

INSERT INTO `node_revision__field_mt_prg_end_date` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, '2018-04-11T10:00:00'),
('mt_program_entry', 0, 93, 167, 'en', 0, '2018-04-11T11:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prg_event`
--

CREATE TABLE `node_revision__field_mt_prg_event` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_event_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_event_target_id` (`field_mt_prg_event_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prg_event.';

--
-- Dumping data for table `node_revision__field_mt_prg_event`
--

INSERT INTO `node_revision__field_mt_prg_event` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, 84),
('mt_program_entry', 0, 93, 167, 'en', 0, 85);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prg_start_date`
--

CREATE TABLE `node_revision__field_mt_prg_start_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_start_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_start_date_value` (`field_mt_prg_start_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prg_start…';

--
-- Dumping data for table `node_revision__field_mt_prg_start_date`
--

INSERT INTO `node_revision__field_mt_prg_start_date` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, '2018-04-11T09:00:00'),
('mt_program_entry', 0, 93, 167, 'en', 0, '2018-04-11T10:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_affiliations`
--

CREATE TABLE `node_revision__field_mt_prs_affiliations` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_affiliations_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs…';

--
-- Dumping data for table `node_revision__field_mt_prs_affiliations`
--

INSERT INTO `node_revision__field_mt_prs_affiliations` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 'Affiliation One'),
('mt_presentation', 0, 85, 152, 'en', 1, 'Affiliation Two'),
('mt_presentation', 0, 85, 176, 'en', 0, 'Affiliation One'),
('mt_presentation', 0, 85, 176, 'en', 1, 'Affiliation Two'),
('mt_presentation', 0, 86, 153, 'en', 0, 'Affiliation Two'),
('mt_presentation', 0, 86, 179, 'en', 0, 'Affiliation Two'),
('mt_presentation', 0, 87, 154, 'en', 0, 'Affiliation Three'),
('mt_presentation', 0, 87, 178, 'en', 0, 'Affiliation Three'),
('mt_presentation', 0, 88, 155, 'en', 0, 'Affiliation Four'),
('mt_presentation', 0, 88, 177, 'en', 0, 'Affiliation Four');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_authors`
--

CREATE TABLE `node_revision__field_mt_prs_authors` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_authors_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs…';

--
-- Dumping data for table `node_revision__field_mt_prs_authors`
--

INSERT INTO `node_revision__field_mt_prs_authors` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 'John Doe'),
('mt_presentation', 0, 85, 152, 'en', 1, 'Smith Doe'),
('mt_presentation', 0, 85, 176, 'en', 0, 'John Doe'),
('mt_presentation', 0, 85, 176, 'en', 1, 'Smith Doe'),
('mt_presentation', 0, 86, 153, 'en', 0, 'John Doe'),
('mt_presentation', 0, 86, 179, 'en', 0, 'John Doe'),
('mt_presentation', 0, 87, 154, 'en', 0, 'John Doe'),
('mt_presentation', 0, 87, 178, 'en', 0, 'John Doe'),
('mt_presentation', 0, 88, 155, 'en', 0, 'Smith Doe'),
('mt_presentation', 0, 88, 177, 'en', 0, 'Smith Doe');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_body`
--

CREATE TABLE `node_revision__field_mt_prs_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_body_value` longtext NOT NULL,
  `field_mt_prs_body_summary` longtext DEFAULT NULL,
  `field_mt_prs_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_body_format` (`field_mt_prs_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs_body.';

--
-- Dumping data for table `node_revision__field_mt_prs_body`
--

INSERT INTO `node_revision__field_mt_prs_body` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 85, 176, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 86, 153, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 86, 179, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 87, 154, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 87, 178, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 88, 155, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 88, 177, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_category`
--

CREATE TABLE `node_revision__field_mt_prs_category` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_category_target_id` (`field_mt_prs_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs…';

--
-- Dumping data for table `node_revision__field_mt_prs_category`
--

INSERT INTO `node_revision__field_mt_prs_category` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 75),
('mt_presentation', 0, 85, 176, 'en', 0, 75),
('mt_presentation', 0, 86, 153, 'en', 0, 73),
('mt_presentation', 0, 86, 179, 'en', 0, 73),
('mt_presentation', 0, 87, 154, 'en', 0, 74),
('mt_presentation', 0, 87, 178, 'en', 0, 74),
('mt_presentation', 0, 88, 155, 'en', 0, 76),
('mt_presentation', 0, 88, 177, 'en', 0, 76);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_date`
--

CREATE TABLE `node_revision__field_mt_prs_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_date_value` (`field_mt_prs_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs_date.';

--
-- Dumping data for table `node_revision__field_mt_prs_date`
--

INSERT INTO `node_revision__field_mt_prs_date` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, '2018-03-31T13:00:00'),
('mt_presentation', 0, 85, 176, 'en', 0, '2018-03-31T13:00:00'),
('mt_presentation', 0, 86, 153, 'en', 0, '2018-05-19T13:00:00'),
('mt_presentation', 0, 86, 179, 'en', 0, '2018-05-19T13:00:00'),
('mt_presentation', 0, 87, 154, 'en', 0, '2018-03-31T13:00:00'),
('mt_presentation', 0, 87, 178, 'en', 0, '2018-03-31T13:00:00'),
('mt_presentation', 0, 88, 155, 'en', 0, '2018-05-27T13:00:00'),
('mt_presentation', 0, 88, 177, 'en', 0, '2018-05-27T13:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_files`
--

CREATE TABLE `node_revision__field_mt_prs_files` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_files_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prs_files_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_prs_files_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_files_target_id` (`field_mt_prs_files_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs_files.';

--
-- Dumping data for table `node_revision__field_mt_prs_files`
--

INSERT INTO `node_revision__field_mt_prs_files` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 263, 1, 'Presentation first file'),
('mt_presentation', 0, 85, 152, 'en', 1, 264, 1, 'Presentation second file'),
('mt_presentation', 0, 85, 176, 'en', 0, 263, 1, 'Presentation first file'),
('mt_presentation', 0, 85, 176, 'en', 1, 264, 1, 'Presentation second file');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_image`
--

CREATE TABLE `node_revision__field_mt_prs_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prs_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prs_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prs_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prs_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_image_target_id` (`field_mt_prs_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs_image.';

--
-- Dumping data for table `node_revision__field_mt_prs_image`
--

INSERT INTO `node_revision__field_mt_prs_image` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 262, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 152, 'en', 1, 265, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 152, 'en', 2, 266, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 152, 'en', 3, 267, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 152, 'en', 4, 268, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 152, 'en', 5, 269, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 0, 262, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 1, 265, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 2, 266, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 3, 267, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 4, 268, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 5, 269, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 86, 153, 'en', 0, 270, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 86, 179, 'en', 0, 270, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 87, 154, 'en', 0, 271, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 87, 178, 'en', 0, 271, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 88, 155, 'en', 0, 272, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 88, 177, 'en', 0, 272, 'Presentation Image', 'Presentation Image', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_location`
--

CREATE TABLE `node_revision__field_mt_prs_location` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_location_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs…';

--
-- Dumping data for table `node_revision__field_mt_prs_location`
--

INSERT INTO `node_revision__field_mt_prs_location` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 85, 176, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 86, 153, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 86, 179, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 87, 154, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 87, 178, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 88, 155, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 88, 177, 'en', 0, '221 Jackson Hall South West Building A112');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_session`
--

CREATE TABLE `node_revision__field_mt_prs_session` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_session_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_session_target_id` (`field_mt_prs_session_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs…';

--
-- Dumping data for table `node_revision__field_mt_prs_session`
--

INSERT INTO `node_revision__field_mt_prs_session` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 65),
('mt_presentation', 0, 85, 176, 'en', 0, 65),
('mt_presentation', 0, 86, 153, 'en', 0, 66),
('mt_presentation', 0, 86, 179, 'en', 0, 66),
('mt_presentation', 0, 87, 154, 'en', 0, 67),
('mt_presentation', 0, 87, 178, 'en', 0, 67),
('mt_presentation', 0, 88, 155, 'en', 0, 65),
('mt_presentation', 0, 88, 177, 'en', 0, 65);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_speaker`
--

CREATE TABLE `node_revision__field_mt_prs_speaker` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_speaker_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_speaker_target_id` (`field_mt_prs_speaker_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs…';

--
-- Dumping data for table `node_revision__field_mt_prs_speaker`
--

INSERT INTO `node_revision__field_mt_prs_speaker` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 69),
('mt_presentation', 0, 85, 152, 'en', 1, 68),
('mt_presentation', 0, 85, 176, 'en', 0, 69),
('mt_presentation', 0, 85, 176, 'en', 1, 68),
('mt_presentation', 0, 86, 153, 'en', 0, 68),
('mt_presentation', 0, 86, 179, 'en', 0, 68),
('mt_presentation', 0, 87, 154, 'en', 0, 67),
('mt_presentation', 0, 87, 178, 'en', 0, 67),
('mt_presentation', 0, 88, 155, 'en', 0, 66),
('mt_presentation', 0, 88, 177, 'en', 0, 66);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_sponsor`
--

CREATE TABLE `node_revision__field_mt_prs_sponsor` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_sponsor_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_sponsor_target_id` (`field_mt_prs_sponsor_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs…';

--
-- Dumping data for table `node_revision__field_mt_prs_sponsor`
--

INSERT INTO `node_revision__field_mt_prs_sponsor` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 75),
('mt_presentation', 0, 85, 152, 'en', 1, 74),
('mt_presentation', 0, 85, 176, 'en', 0, 75),
('mt_presentation', 0, 85, 176, 'en', 1, 74),
('mt_presentation', 0, 86, 153, 'en', 0, 74),
('mt_presentation', 0, 86, 179, 'en', 0, 74),
('mt_presentation', 0, 87, 154, 'en', 0, 73),
('mt_presentation', 0, 87, 178, 'en', 0, 73),
('mt_presentation', 0, 88, 155, 'en', 0, 72),
('mt_presentation', 0, 88, 177, 'en', 0, 72);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_topics`
--

CREATE TABLE `node_revision__field_mt_prs_topics` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_topics_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_topics_target_id` (`field_mt_prs_topics_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs_topics.';

--
-- Dumping data for table `node_revision__field_mt_prs_topics`
--

INSERT INTO `node_revision__field_mt_prs_topics` VALUES
('mt_presentation', 0, 85, 152, 'en', 0, 59),
('mt_presentation', 0, 85, 152, 'en', 1, 60),
('mt_presentation', 0, 85, 176, 'en', 0, 59),
('mt_presentation', 0, 85, 176, 'en', 1, 60),
('mt_presentation', 0, 86, 153, 'en', 0, 60),
('mt_presentation', 0, 86, 179, 'en', 0, 60),
('mt_presentation', 0, 87, 154, 'en', 0, 61),
('mt_presentation', 0, 87, 154, 'en', 1, 59),
('mt_presentation', 0, 87, 178, 'en', 0, 61),
('mt_presentation', 0, 87, 178, 'en', 1, 59),
('mt_presentation', 0, 88, 155, 'en', 0, 60),
('mt_presentation', 0, 88, 155, 'en', 1, 59),
('mt_presentation', 0, 88, 177, 'en', 0, 60),
('mt_presentation', 0, 88, 177, 'en', 1, 59);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_prs_video`
--

CREATE TABLE `node_revision__field_mt_prs_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_prs_video.';

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_slideshow`
--

CREATE TABLE `node_revision__field_mt_slideshow` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_slideshow_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_slideshow.';

--
-- Dumping data for table `node_revision__field_mt_slideshow`
--

INSERT INTO `node_revision__field_mt_slideshow` VALUES
('article', 0, 10, 10, 'en', 0, 0),
('article', 0, 11, 11, 'en', 0, 0),
('article', 0, 12, 12, 'en', 0, 0),
('article', 0, 13, 13, 'en', 0, 1),
('article', 0, 14, 14, 'en', 0, 1),
('article', 0, 15, 15, 'en', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_slideshow_image`
--

CREATE TABLE `node_revision__field_mt_slideshow_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_slideshow_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_slideshow_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_slideshow_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_slideshow_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_slideshow_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_slideshow_image_target_id` (`field_mt_slideshow_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_slideshow…';

--
-- Dumping data for table `node_revision__field_mt_slideshow_image`
--

INSERT INTO `node_revision__field_mt_slideshow_image` VALUES
('article', 0, 13, 13, 'en', 0, 244, 'Third Article', 'Third Article', 1920, 650),
('article', 0, 14, 14, 'en', 0, 243, 'Second Article', 'Second Article', 1920, 650),
('article', 0, 15, 15, 'en', 0, 242, 'First Article', 'First Article', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_slideshow_text`
--

CREATE TABLE `node_revision__field_mt_slideshow_text` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_slideshow_text_value` longtext NOT NULL,
  `field_mt_slideshow_text_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_slideshow_text_format` (`field_mt_slideshow_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_slideshow…';

--
-- Dumping data for table `node_revision__field_mt_slideshow_text`
--

INSERT INTO `node_revision__field_mt_slideshow_text` VALUES
('article', 0, 13, 13, 'en', 0, '<p>Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', 'basic_html'),
('article', 0, 14, 14, 'en', 0, '<p>Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', 'basic_html'),
('article', 0, 15, 15, 'en', 0, '<p>Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_affiliations`
--

CREATE TABLE `node_revision__field_mt_spk_affiliations` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_affiliations_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spk_affiliations_target_id` (`field_mt_spk_affiliations_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk…';

--
-- Dumping data for table `node_revision__field_mt_spk_affiliations`
--

INSERT INTO `node_revision__field_mt_spk_affiliations` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 58),
('mt_speaker', 0, 65, 65, 'en', 0, 57),
('mt_speaker', 0, 66, 66, 'en', 0, 56),
('mt_speaker', 0, 67, 67, 'en', 0, 55),
('mt_speaker', 0, 68, 68, 'en', 0, 54),
('mt_speaker', 0, 69, 69, 'en', 0, 53);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_body`
--

CREATE TABLE `node_revision__field_mt_spk_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_body_value` longtext NOT NULL,
  `field_mt_spk_body_summary` longtext DEFAULT NULL,
  `field_mt_spk_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spk_body_format` (`field_mt_spk_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk_body.';

--
-- Dumping data for table `node_revision__field_mt_spk_body`
--

INSERT INTO `node_revision__field_mt_spk_body` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 65, 65, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 66, 66, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 67, 67, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 68, 68, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 69, 69, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_facebook_account`
--

CREATE TABLE `node_revision__field_mt_spk_facebook_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_facebook_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk…';

--
-- Dumping data for table `node_revision__field_mt_spk_facebook_account`
--

INSERT INTO `node_revision__field_mt_spk_facebook_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://www.facebook.com');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_linkedin_account`
--

CREATE TABLE `node_revision__field_mt_spk_linkedin_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_linkedin_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk…';

--
-- Dumping data for table `node_revision__field_mt_spk_linkedin_account`
--

INSERT INTO `node_revision__field_mt_spk_linkedin_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://www.linkedin.com');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_speaker_photo`
--

CREATE TABLE `node_revision__field_mt_spk_speaker_photo` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_speaker_photo_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_spk_speaker_photo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_spk_speaker_photo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_spk_speaker_photo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_spk_speaker_photo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spk_speaker_photo_target_id` (`field_mt_spk_speaker_photo_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk…';

--
-- Dumping data for table `node_revision__field_mt_spk_speaker_photo`
--

INSERT INTO `node_revision__field_mt_spk_speaker_photo` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 223, 'Speaker Six', '', 750, 750),
('mt_speaker', 0, 65, 65, 'en', 0, 222, 'Speaker Five', '', 750, 750),
('mt_speaker', 0, 66, 66, 'en', 0, 221, 'Speaker Four', '', 750, 750),
('mt_speaker', 0, 67, 67, 'en', 0, 219, 'Speaker Three', '', 750, 750),
('mt_speaker', 0, 68, 68, 'en', 0, 218, 'Speaker Two', '', 750, 750),
('mt_speaker', 0, 69, 69, 'en', 0, 217, 'Speaker One', '', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_subtitle`
--

CREATE TABLE `node_revision__field_mt_spk_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk…';

--
-- Dumping data for table `node_revision__field_mt_spk_subtitle`
--

INSERT INTO `node_revision__field_mt_spk_subtitle` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'Engineer'),
('mt_speaker', 0, 65, 65, 'en', 0, 'Manager'),
('mt_speaker', 0, 66, 66, 'en', 0, 'Web Designer'),
('mt_speaker', 0, 67, 67, 'en', 0, 'Medic'),
('mt_speaker', 0, 68, 68, 'en', 0, 'Engineer'),
('mt_speaker', 0, 69, 69, 'en', 0, 'Manager');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_twitter_account`
--

CREATE TABLE `node_revision__field_mt_spk_twitter_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_twitter_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk…';

--
-- Dumping data for table `node_revision__field_mt_spk_twitter_account`
--

INSERT INTO `node_revision__field_mt_spk_twitter_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://twitter.com/');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spk_youtube_account`
--

CREATE TABLE `node_revision__field_mt_spk_youtube_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_youtube_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spk…';

--
-- Dumping data for table `node_revision__field_mt_spk_youtube_account`
--

INSERT INTO `node_revision__field_mt_spk_youtube_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://www.youtube.com/'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://youtube.com');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spn_body`
--

CREATE TABLE `node_revision__field_mt_spn_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spn_body_value` longtext NOT NULL,
  `field_mt_spn_body_summary` longtext DEFAULT NULL,
  `field_mt_spn_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spn_body_format` (`field_mt_spn_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spn_body.';

--
-- Dumping data for table `node_revision__field_mt_spn_body`
--

INSERT INTO `node_revision__field_mt_spn_body` VALUES
('mt_sponsor', 0, 70, 70, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 71, 71, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 72, 72, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 73, 73, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 74, 74, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 75, 75, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_spn_logo`
--

CREATE TABLE `node_revision__field_mt_spn_logo` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spn_logo_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_spn_logo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_spn_logo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_spn_logo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_spn_logo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spn_logo_target_id` (`field_mt_spn_logo_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_spn_logo.';

--
-- Dumping data for table `node_revision__field_mt_spn_logo`
--

INSERT INTO `node_revision__field_mt_spn_logo` VALUES
('mt_sponsor', 0, 70, 70, 'en', 0, 229, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 71, 71, 'en', 0, 228, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 72, 72, 'en', 0, 227, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 73, 73, 'en', 0, 226, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 74, 74, 'en', 0, 225, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 75, 75, 'en', 0, 224, 'sponsor', '', 240, 240);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_banner_image`
--

CREATE TABLE `node_revision__field_mt_srv_banner_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_banner_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_srv_banner_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_srv_banner_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_srv_banner_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_srv_banner_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_banner_image_target_id` (`field_mt_srv_banner_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv_banner…';

--
-- Dumping data for table `node_revision__field_mt_srv_banner_image`
--

INSERT INTO `node_revision__field_mt_srv_banner_image` VALUES
('mt_service', 0, 9, 9, 'en', 0, 245, 'First accommodation', 'First Slide', 1920, 650),
('mt_service', 0, 9, 9, 'en', 1, 246, 'First accommodation', 'Second Slide', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_body`
--

CREATE TABLE `node_revision__field_mt_srv_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_body_value` longtext NOT NULL,
  `field_mt_srv_body_summary` longtext DEFAULT NULL,
  `field_mt_srv_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_body_format` (`field_mt_srv_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv_body.';

--
-- Dumping data for table `node_revision__field_mt_srv_body`
--

INSERT INTO `node_revision__field_mt_srv_body` VALUES
('mt_service', 0, 4, 4, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 5, 5, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 6, 6, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 7, 7, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 8, 8, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 9, 9, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3 class="description-title">Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th>Service</th>\r\n			<th>Quantity</th>\r\n			<th>Price</th>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>Lorem ipsum dolor sit amet</td>\r\n			<td>24 pieces in stock</td>\r\n			<td><s>$279.00</s> $189.00</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>Praesent luctus fermentum tincidunt</td>\r\n			<td>132 pieces in stock</td>\r\n			<td><s>$453.00</s> $379.00</td>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>Morbi venenatis, ligula ut tincidunt</td>\r\n			<td>1231 pieces in stock</td>\r\n			<td><s>$1193.00</s> $1089.00</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>Duis vitae odio ac ante faucibus faucibus</td>\r\n			<td>978 pieces in stock</td>\r\n			<td><s>$687.00</s> $620.00</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_buy_link`
--

CREATE TABLE `node_revision__field_mt_srv_buy_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_buy_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_srv_buy_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_srv_buy_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_buy_link_uri` (`field_mt_srv_buy_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv_buy…';

--
-- Dumping data for table `node_revision__field_mt_srv_buy_link`
--

INSERT INTO `node_revision__field_mt_srv_buy_link` VALUES
('mt_service', 0, 4, 4, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 5, 5, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 6, 6, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 7, 7, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 8, 8, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 9, 9, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_highlight`
--

CREATE TABLE `node_revision__field_mt_srv_highlight` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_highlight_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_srv_highlight_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_highlight_target_id` (`field_mt_srv_highlight_target_id`),
  KEY `field_mt_srv_highlight_target_revision_id` (`field_mt_srv_highlight_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv…';

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_image`
--

CREATE TABLE `node_revision__field_mt_srv_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_srv_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_srv_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_srv_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_srv_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_image_target_id` (`field_mt_srv_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv_image.';

--
-- Dumping data for table `node_revision__field_mt_srv_image`
--

INSERT INTO `node_revision__field_mt_srv_image` VALUES
('mt_service', 0, 4, 4, 'en', 0, 204, 'Image', '', 1280, 690),
('mt_service', 0, 5, 5, 'en', 0, 205, 'Fifth accommodation', 'Fifth accommodation', 1280, 690),
('mt_service', 0, 6, 6, 'en', 0, 206, 'Fourth accommodation', 'Fourth accommodation', 1280, 690),
('mt_service', 0, 7, 7, 'en', 0, 207, 'Third accommodation', 'Third accommodation', 1280, 690),
('mt_service', 0, 8, 8, 'en', 0, 208, 'Second accommodation', 'Second accommodation', 1280, 690),
('mt_service', 0, 9, 9, 'en', 0, 198, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 1, 199, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 2, 200, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 3, 201, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 4, 202, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 5, 203, 'First Service', '', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_price`
--

CREATE TABLE `node_revision__field_mt_srv_price` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_price_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv_price.';

--
-- Dumping data for table `node_revision__field_mt_srv_price`
--

INSERT INTO `node_revision__field_mt_srv_price` VALUES
('mt_service', 0, 4, 4, 'en', 0, '$459'),
('mt_service', 0, 5, 5, 'en', 0, '$349'),
('mt_service', 0, 6, 6, 'en', 0, '$299'),
('mt_service', 0, 7, 7, 'en', 0, '$199'),
('mt_service', 0, 8, 8, 'en', 0, '$399'),
('mt_service', 0, 9, 9, 'en', 0, '$299');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_service_tags`
--

CREATE TABLE `node_revision__field_mt_srv_service_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_service_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_service_tags_target_id` (`field_mt_srv_service_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv…';

--
-- Dumping data for table `node_revision__field_mt_srv_service_tags`
--

INSERT INTO `node_revision__field_mt_srv_service_tags` VALUES
('mt_service', 0, 4, 4, 'en', 0, 2),
('mt_service', 0, 5, 5, 'en', 0, 2),
('mt_service', 0, 6, 6, 'en', 0, 1),
('mt_service', 0, 7, 7, 'en', 0, 4),
('mt_service', 0, 8, 8, 'en', 0, 3),
('mt_service', 0, 9, 9, 'en', 0, 3),
('mt_service', 0, 9, 9, 'en', 1, 2);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_subheader_body`
--

CREATE TABLE `node_revision__field_mt_srv_subheader_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_subheader_body_value` longtext NOT NULL,
  `field_mt_srv_subheader_body_summary` longtext DEFAULT NULL,
  `field_mt_srv_subheader_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_subheader_body_format` (`field_mt_srv_subheader_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv…';

--
-- Dumping data for table `node_revision__field_mt_srv_subheader_body`
--

INSERT INTO `node_revision__field_mt_srv_subheader_body` VALUES
('mt_service', 0, 9, 9, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_srv_video`
--

CREATE TABLE `node_revision__field_mt_srv_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_srv_video.';

--
-- Dumping data for table `node_revision__field_mt_srv_video`
--

INSERT INTO `node_revision__field_mt_srv_video` VALUES
('mt_service', 0, 9, 9, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_subheader_body`
--

CREATE TABLE `node_revision__field_mt_subheader_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_subheader_body_value` longtext NOT NULL,
  `field_mt_subheader_body_summary` longtext DEFAULT NULL,
  `field_mt_subheader_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_subheader_body_format` (`field_mt_subheader_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_subheader…';

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tmm_body`
--

CREATE TABLE `node_revision__field_mt_tmm_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_body_value` longtext NOT NULL,
  `field_mt_tmm_body_summary` longtext DEFAULT NULL,
  `field_mt_tmm_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tmm_body_format` (`field_mt_tmm_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tmm_body.';

--
-- Dumping data for table `node_revision__field_mt_tmm_body`
--

INSERT INTO `node_revision__field_mt_tmm_body` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 42, 42, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 43, 43, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 44, 44, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 45, 45, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 51, 51, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tmm_facebook_account`
--

CREATE TABLE `node_revision__field_mt_tmm_facebook_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_facebook_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tmm…';

--
-- Dumping data for table `node_revision__field_mt_tmm_facebook_account`
--

INSERT INTO `node_revision__field_mt_tmm_facebook_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://www.facebook.com');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tmm_linkedin_account`
--

CREATE TABLE `node_revision__field_mt_tmm_linkedin_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_linkedin_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tmm…';

--
-- Dumping data for table `node_revision__field_mt_tmm_linkedin_account`
--

INSERT INTO `node_revision__field_mt_tmm_linkedin_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://www.linkedin.com');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tmm_member_photo`
--

CREATE TABLE `node_revision__field_mt_tmm_member_photo` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_member_photo_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_tmm_member_photo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_tmm_member_photo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_tmm_member_photo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_tmm_member_photo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tmm_member_photo_target_id` (`field_mt_tmm_member_photo_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tmm_member…';

--
-- Dumping data for table `node_revision__field_mt_tmm_member_photo`
--

INSERT INTO `node_revision__field_mt_tmm_member_photo` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 230, 'Team member five', 'Team member five', 750, 750),
('mt_team_member', 0, 42, 42, 'en', 0, 231, 'Team member four', 'Team member four', 750, 750),
('mt_team_member', 0, 43, 43, 'en', 0, 232, 'Team member three', 'Team member three', 750, 750),
('mt_team_member', 0, 44, 44, 'en', 0, 233, 'Team member two', 'Team member two', 750, 750),
('mt_team_member', 0, 45, 45, 'en', 0, 234, 'Team member one', 'Team member one', 750, 750),
('mt_team_member', 0, 51, 51, 'en', 0, 235, 'Team member six', 'Team member six', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tmm_subtitle`
--

CREATE TABLE `node_revision__field_mt_tmm_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tmm…';

--
-- Dumping data for table `node_revision__field_mt_tmm_subtitle`
--

INSERT INTO `node_revision__field_mt_tmm_subtitle` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'Director of Communications'),
('mt_team_member', 0, 42, 42, 'en', 0, 'Program Committee Chair'),
('mt_team_member', 0, 43, 43, 'en', 0, 'Vice President'),
('mt_team_member', 0, 44, 44, 'en', 0, 'Senior Vice President'),
('mt_team_member', 0, 45, 45, 'en', 0, 'President'),
('mt_team_member', 0, 51, 51, 'en', 0, 'Director of Memembership');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tmm_twitter_account`
--

CREATE TABLE `node_revision__field_mt_tmm_twitter_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_twitter_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tmm…';

--
-- Dumping data for table `node_revision__field_mt_tmm_twitter_account`
--

INSERT INTO `node_revision__field_mt_tmm_twitter_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://twitter.com/');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tmm_youtube_account`
--

CREATE TABLE `node_revision__field_mt_tmm_youtube_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_youtube_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tmm…';

--
-- Dumping data for table `node_revision__field_mt_tmm_youtube_account`
--

INSERT INTO `node_revision__field_mt_tmm_youtube_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://youtube.com');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tst_body`
--

CREATE TABLE `node_revision__field_mt_tst_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_body_value` longtext NOT NULL,
  `field_mt_tst_body_summary` longtext DEFAULT NULL,
  `field_mt_tst_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tst_body_format` (`field_mt_tst_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tst_body.';

--
-- Dumping data for table `node_revision__field_mt_tst_body`
--

INSERT INTO `node_revision__field_mt_tst_body` VALUES
('mt_testimonial', 0, 33, 33, 'en', 0, '<p>In voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident. Lorem ipsum dolor sit amet, consectetur.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 34, 34, 'en', 0, '<p>Excepteur sint occaecat cupidatat non proident. Lorem ipsum dolor sit amet, consectetur.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 47, 47, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 48, 48, 'en', 0, '<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 49, 49, 'en', 0, '<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 50, 50, 'en', 0, '<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tst_subtitle`
--

CREATE TABLE `node_revision__field_mt_tst_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tst…';

--
-- Dumping data for table `node_revision__field_mt_tst_subtitle`
--

INSERT INTO `node_revision__field_mt_tst_subtitle` VALUES
('mt_testimonial', 0, 33, 33, 'en', 0, 'Founder & CEO, Company name'),
('mt_testimonial', 0, 34, 34, 'en', 0, 'Chief Technology Officer'),
('mt_testimonial', 0, 47, 47, 'en', 0, 'Assistant Manager at Biomedics '),
('mt_testimonial', 0, 48, 48, 'en', 0, 'Founder & CEO at Jermains Biology'),
('mt_testimonial', 0, 49, 49, 'en', 0, 'Counselor at Research For All'),
('mt_testimonial', 0, 50, 50, 'en', 0, 'Founder & CEO at Dolorison');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tst_testimonial_image`
--

CREATE TABLE `node_revision__field_mt_tst_testimonial_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_testimonial_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_tst_testimonial_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_tst_testimonial_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_tst_testimonial_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_tst_testimonial_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tst_testimonial_image_target_id` (`field_mt_tst_testimonial_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tst…';

--
-- Dumping data for table `node_revision__field_mt_tst_testimonial_image`
--

INSERT INTO `node_revision__field_mt_tst_testimonial_image` VALUES
('mt_testimonial', 0, 33, 33, 'en', 0, 238, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 34, 34, 'en', 0, 239, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 47, 47, 'en', 0, 240, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 48, 48, 'en', 0, 241, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 49, 49, 'en', 0, 237, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 50, 50, 'en', 0, 236, 'Testimonial image', '', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_tst_testimonial_link`
--

CREATE TABLE `node_revision__field_mt_tst_testimonial_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_testimonial_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_tst_testimonial_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_tst_testimonial_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tst_testimonial_link_uri` (`field_mt_tst_testimonial_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_tst…';

--
-- Dumping data for table `node_revision__field_mt_tst_testimonial_link`
--

INSERT INTO `node_revision__field_mt_tst_testimonial_link` VALUES
('mt_testimonial', 0, 49, 49, 'en', 0, 'http://www.morethanthemes.com/', 'Testimonial Link', 'a:0:{}'),
('mt_testimonial', 0, 50, 50, 'en', 0, 'http://www.morethanthemes.com/', 'Testimonial Link', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_mt_video`
--

CREATE TABLE `node_revision__field_mt_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_mt_video.';

--
-- Dumping data for table `node_revision__field_mt_video`
--

INSERT INTO `node_revision__field_mt_video` VALUES
('article', 0, 14, 14, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY'),
('mt_album', 1, 80, 82, 'en', 0, 'https://www.youtube.com/watch?v=kOkQ4T5WO9E'),
('mt_album', 1, 80, 82, 'en', 1, 'https://www.youtube.com/watch?v=JprU54xX2aM'),
('mt_album', 1, 80, 82, 'en', 2, 'https://www.youtube.com/watch?v=9uNr4WlDEag');

-- --------------------------------------------------------

--
-- Table structure for table `node_revision__field_tags`
--

CREATE TABLE `node_revision__field_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_tags_target_id` (`field_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for node field field_tags.';

--
-- Dumping data for table `node_revision__field_tags`
--

INSERT INTO `node_revision__field_tags` VALUES
('article', 0, 10, 10, 'en', 0, 9),
('article', 0, 10, 10, 'en', 1, 10),
('article', 0, 10, 10, 'en', 2, 11),
('article', 0, 11, 11, 'en', 0, 12),
('article', 0, 11, 11, 'en', 1, 13),
('article', 0, 12, 12, 'en', 0, 9),
('article', 0, 12, 12, 'en', 1, 10),
('article', 0, 13, 13, 'en', 0, 10),
('article', 0, 13, 13, 'en', 1, 12),
('article', 0, 14, 14, 'en', 0, 13),
('article', 0, 14, 14, 'en', 1, 10),
('article', 0, 15, 15, 'en', 0, 12),
('article', 0, 15, 15, 'en', 1, 13),
('article', 0, 15, 15, 'en', 2, 9);

-- --------------------------------------------------------

--
-- Table structure for table `node__body`
--

CREATE TABLE `node__body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field body.';

--
-- Dumping data for table `node__body`
--

INSERT INTO `node__body` VALUES
('page', 0, 1, 1, 'en', 0, '<p class="large">Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n\r\n<h2>Heading 2</h2>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h2><a href="#">Linked Heading 2</a></h2>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit, esse, quo distinctio dolores magni reprehenderit id est at fugiat veritatis fugit dignissimos sed ut facere molestias illo impedit. Tempora, iure!</p>\r\n\r\n<h3>Heading 3</h3>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h4>Heading 4</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h5>Heading 5</h5>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer <a href="#">posuere erat a ante</a> venenatis dapibus posuere velit aliquet.</p>\r\n\r\n<h3>Links</h3>\r\n\r\n<p><a href="#">Default link</a></p>\r\n\r\n<p><a class="link--bordered" href="#">Bordered link</a></p>\r\n\r\n<p><a class="link--hover-style-2" href="#">Hover effect 2</a></p>\r\n\r\n<p><a class="link--hover-style-3" href="#">Hover effect 3</a></p>\r\n\r\n<h3>Blockquote</h3>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested <a href="#">expertise with quote link</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing.</p>\r\n</blockquote>\r\n\r\n<h3>Messages</h3>\r\n\r\n<div aria-label="Status message" class="messages messages--status" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample status message. Page <em><strong>Typography</strong></em> has been updated.</div>\r\n\r\n<div aria-label="Error message" class="messages messages--error" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample error message. There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately! See the available updates page for more information.</div>\r\n\r\n<div aria-label="Warningmessage" class="messages messages--warning" role="contentinfo">\r\n<h2 class="visually-hidden">Status message</h2>\r\nSample warning message. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<h3>Paragraph With Links</h3>\r\n\r\n<p>Lorem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<h3>Dropcaps</h3>\r\n\r\n<p class="text--drop-cap">Lorem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<p><span class="drop-cap">L</span>orem ipsum dolor sit amet, <a href="#">consectetuer adipiscing</a> elit. Donec odio. Quisque volutpat mattis eros. <a href="#">Nullam malesuada</a> erat ut turpis. Suspendisse urna nibh, viverra non, semper suscipit, posuere a, pede.</p>\r\n\r\n<h3>Ordered List</h3>\r\n\r\n<ol>\r\n	<li>This is a sample Ordered List.</li>\r\n	<li>Lorem ipsum dolor sit amet consectetuer.</li>\r\n	<li>Congue Quisque augue elit dolor.\r\n	<ol>\r\n		<li>Something goes here.</li>\r\n		<li>And another here</li>\r\n	</ol>\r\n	</li>\r\n	<li>Congue Quisque augue elit dolor nibh.</li>\r\n</ol>\r\n\r\n<h3>Unordered List</h3>\r\n\r\n<ul>\r\n	<li>This is a sample <strong>Unordered List</strong>.</li>\r\n	<li>Condimentum quis.</li>\r\n	<li>Congue Quisque augue elit dolor.\r\n	<ul>\r\n		<li>Something goes here.</li>\r\n		<li>And another here\r\n		<ul>\r\n			<li>Something here as well</li>\r\n			<li>Something here as well</li>\r\n			<li>Something here as well</li>\r\n		</ul>\r\n		</li>\r\n		<li>Then one more</li>\r\n	</ul>\r\n	</li>\r\n	<li>Nunc cursus sem et pretium sapien eget.</li>\r\n</ul>\r\n\r\n<h3>Fieldset</h3>\r\n\r\n<fieldset><legend>Account information</legend></fieldset>\r\n\r\n<h3>Buttons &amp; Text fields</h3>\r\n\r\n<p><a class="button" href="#">Find out more</a></p>\r\n\r\n<h4>Text Fields</h4>\r\n\r\n<form action="#">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Your email address'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Your email address" /></div>\r\n\r\n<div class="form-actions"><input class="form-submit" id="edit-submit-3" name="subscribe" type="submit" value="Subscribe" /></div>\r\n</form>\r\n\r\n<form action="#" class="container-inline">\r\n<div class="form-item form-type-textfield"><input class="form-text" name="subscribe" onblur="if (this.value == '''') {this.value = ''Inline form items'';}" onfocus="if (this.value == ''Your email address'') {this.value = '''';}" type="text" value="Inline form items" /></div>\r\n\r\n<div class="form-actions"><input class="form-submit" id="edit-submit-4" name="subscribe" type="submit" value="Subscribe" /></div>\r\n</form>\r\n\r\n<h4>Select Dropdown</h4>\r\n\r\n<p><select class="form-select" name="select_field"><option selected="selected" value="All">- Any -</option><option value="6">Apartment</option><option value="7">Family House</option><option value="8">Office</option></select></p>\r\n\r\n<h3>Table</h3>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th>Header 1</th>\r\n			<th>Header 2</th>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>row 1, cell 1</td>\r\n			<td>row 1, cell 2</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>row 2, cell 1</td>\r\n			<td>row 2, cell 2</td>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>row 3, cell 1</td>\r\n			<td>row 3, cell 2</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th scope="row">Heading 1</th>\r\n			<td>Item 1</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Heading 2</th>\r\n			<td>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Heading 3</th>\r\n			<td>$5.99</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">Total</th>\r\n			<td>$5.99</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table>\r\n	<thead>\r\n		<tr>\r\n			<th>#</th>\r\n			<th>First Name</th>\r\n			<th>Last Name</th>\r\n			<th>Username</th>\r\n		</tr>\r\n	</thead>\r\n	<tbody>\r\n		<tr>\r\n			<th scope="row">1</th>\r\n			<td>Mark</td>\r\n			<td>Otto</td>\r\n			<td>@mdo</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">2</th>\r\n			<td>Jacob</td>\r\n			<td>Thornton</td>\r\n			<td>@fat</td>\r\n		</tr>\r\n		<tr>\r\n			<th scope="row">3</th>\r\n			<td>Larry</td>\r\n			<td>the Bird</td>\r\n			<td>@twitter</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '', 'full_html'),
('page', 0, 2, 2, 'en', 0, '<h3 id="brands">Icons List</h3>\r\n<ul class="icons-list">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List Bordered</h3>\r\n<ul class="icons-list icons-list--bordered">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--bordered"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List - Large</h3>\r\n<ul class="icons-list icons-list--large">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List - Extra large</h3>\r\n<ul class="icons-list icons-list--extra-large">\r\n<li>\r\n<a href="#"><i class="fab fa-apple"><span class="sr-only">apple</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-android"><span class="sr-only">android</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-github"><span class="sr-only">github</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--extra-large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List with images</h3>\r\n<ul class="icons-list icons-list--extra-large">\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-left-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-middle-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#">\r\n<img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/fashionplus/placeholders/footer-icon-right-55x55.svg" alt="">\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-windows"><span class="sr-only">windows</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-linux"><span class="sr-only">linux</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-skype"><span class="sr-only">skype</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-btc"><span class="sr-only">btc</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-css3"><span class="sr-only">css3</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-html5"><span class="sr-only">html5</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-facebook"><span class="sr-only">facebook</span></i></a>\r\n</li>\r\n<li>\r\n<a href="#"><i class="fab fa-twitter"><span class="sr-only">twitter</span></i></a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list icons-list--extra-large"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;img src="#" alt=""&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Icons List with tooltips</h3>\r\n<ul class="icons-list">\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-apple"><span class="sr-only">apple</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-android"><span class="sr-only">android</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-github"><span class="sr-only">github</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-windows"><span class="sr-only">windows</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-linux"><span class="sr-only">linux</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-skype"><span class="sr-only">skype</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-btc"><span class="sr-only">btc</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-css3"><span class="sr-only">css3</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-html5"><span class="sr-only">html5</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-bitbucket"><span class="sr-only">bitbucket</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-maxcdn"><span class="sr-only">maxcdn</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-dropbox"><span class="sr-only">dropbox</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-facebook"><span class="sr-only">facebook</span></i>\r\n</a>\r\n</li>\r\n<li>\r\n<a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text">\r\n<i class="fab fa-twitter"><span class="sr-only">twitter</span></i>\r\n</a>\r\n</li>\r\n</ul>\r\n<pre>\r\n&lt;ul class="icons-list"&gt;\r\n\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-apple"&gt;&lt;span class="sr-only"&gt;apple&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-android"&gt;&lt;span class="sr-only"&gt;android&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-github"&gt;&lt;span class="sr-only"&gt;github&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-windows"&gt;&lt;span class="sr-only"&gt;windows&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-linux"&gt;&lt;span class="sr-only"&gt;linux&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-skype"&gt;&lt;span class="sr-only"&gt;skype&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-btc"&gt;&lt;span class="sr-only"&gt;btc&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-css3"&gt;&lt;span class="sr-only"&gt;css3&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-html5"&gt;&lt;span class="sr-only"&gt;html5&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-bitbucket"&gt;&lt;span class="sr-only"&gt;bitbucket&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-maxcdn"&gt;&lt;span class="sr-only"&gt;maxcdn&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-dropbox"&gt;&lt;span class="sr-only"&gt;dropbox&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-facebook"&gt;&lt;span class="sr-only"&gt;facebook&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li&gt;\r\n    &lt;a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip text"&gt;\r\n      &lt;i class="fab fa-twitter"&gt;&lt;span class="sr-only"&gt;twitter&lt;/span&gt;&lt;/i&gt;\r\n    &lt;/a&gt;\r\n  &lt;/li&gt;\r\n\r\n&lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Social Links</h3>\r\n<ul class="social-links social-links--inline text-center">\r\n<li>\r\n<a href="#" class="hover-color-facebook">Facebook</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-twitter">Twitter</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-behance">Behance</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-dribbble">Dribbble</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-instagram">Instagram</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-vimeo">Vimeo</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-youtube">Youtube</a>\r\n</li>\r\n<li>\r\n<a href="#" class="hover-color-googleplus">Google+</a>\r\n</li>\r\n</ul>\r\n<pre>\r\n  &lt;ul class="social-links social-links--inline text-center">\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-facebook"&gt;Facebook&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-twitter"&gt;Twitter&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-behance"&gt;Behance&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-dribbble"&gt;Dribbble&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-instagram"&gt;Instagram&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n      &lt;a href="#" class="hover-color-vimeo"&gt;Vimeo&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n    &lt;a href="#" class="hover-color-youtube"&gt;Youtube&lt;/a&gt;\r\n    &lt;/li&gt;\r\n    &lt;li&gt;\r\n    &lt;a href="#" class="hover-color-googleplus"&gt;Google+&lt;/a&gt;\r\n    &lt;/li&gt;\r\n  &lt;/ul&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n\r\n<h3>Lists - With Font Awesome Icons</h3>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-star">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-star"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-caret-right">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-caret-right"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-plus">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-plus"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-square">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-square"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-caret-right">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-caret-right"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-check">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-check"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n<div class="row">\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-check-circle">\r\n      <li>Item 1</li>\r\n      <li>Item 2</li>\r\n      <li>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-check-circle"&gt;\r\n      &lt;li&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n  <div class="col-md-6">\r\n    <ul class="list--fa-custom">\r\n      <li><i class="fa fa-map-marker"></i>Item 1</li>\r\n      <li><i class="fa fa-phone"></i>Item 2</li>\r\n      <li><i class="fa fa-fax"></i>Item 3</li>\r\n    </ul>\r\n    <pre>\r\n    &lt;ul class="list--fa-custom"&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-map-marker"&gt;&lt;/i&gt;Item 1&lt;/li&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-phone"&gt;&lt;/i&gt;Item 2&lt;/li&gt;\r\n      &lt;li&gt;&lt;i class="fa fa-fax"&gt;&lt;/i&gt;Item 3&lt;/li&gt;\r\n    &lt;/ul&gt;\r\n    </pre>\r\n  </div>\r\n</div>\r\n<br>\r\n\r\n<h3 id="tabs">Tabs</h3>\r\n<div role="tabpanel">\r\n\r\n<!-- Nav tabs -->\r\n<ul class="nav nav-tabs" role="tablist">\r\n<li role="presentation" class="nav-item"><a class="active nav-link" href="#home" aria-controls="home" role="tab" data-toggle="tab">Home</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#profile" aria-controls="profile" role="tab" data-toggle="tab">Profile</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#messages" aria-controls="messages" role="tab" data-toggle="tab">Messages</a></li>\r\n</ul>\r\n\r\n<!-- Tab panes -->\r\n<div class="tab-content">\r\n<div role="tabpanel" class="tab-pane fade show active" id="home"><p><strong>Home</strong> ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="profile"><p><strong>Profile</strong> ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="messages"><p><strong>Messages</strong> ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.</p></div>\r\n</div>\r\n\r\n</div>\r\n\r\n<pre>\r\n&lt;div role="tabpanel"&gt;\r\n\r\n&lt;!-- Nav tabs --&gt;\r\n&lt;ul class="nav nav-tabs" role="tablist"&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="active nav-link" href="#home" aria-controls="home" role="tab" data-toggle="tab"&gt;Home&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#profile" aria-controls="profile" role="tab" data-toggle="tab"&gt;Profile&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#messages" aria-controls="messages" role="tab" data-toggle="tab"&gt;Messages&lt;/a&gt;\r\n  &lt;/li&gt;\r\n&lt;/ul&gt;\r\n\r\n&lt;!-- Tab panes --&gt;\r\n&lt;div class="tab-content"&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade show active" id="home"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Home&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="profile"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Profile&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="messages"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Messages&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<hr>\r\n<br>\r\n<h3 id="vertical-tabs">Vertical Tabs</h3>\r\n<div role="tabpanel" class="nav-tabs-vertical-container">\r\n\r\n<!-- Nav tabs -->\r\n<ul class="nav nav-tabs nav-tabs--vertical" role="tablist">\r\n<li role="presentation" class="nav-item"><a class="nav-link active" href="#vertical-tab-1" aria-controls="vertical-tab-1" role="tab" data-toggle="tab">Home</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#vertical-tab-2" aria-controls="vertical-tab-2" role="tab" data-toggle="tab">Profile</a></li>\r\n<li role="presentation" class="nav-item"><a class="nav-link" href="#vertical-tab-3" aria-controls="vertical-tab-3" role="tab" data-toggle="tab">Messages</a></li>\r\n</ul>\r\n\r\n<!-- Tab panes -->\r\n<div class="tab-content">\r\n<div role="tabpanel" class="tab-pane fade show active" id="vertical-tab-1"><p><strong>Home</strong> ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="vertical-tab-2"><p><strong>Profile</strong> ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.</p></div>\r\n<div role="tabpanel" class="tab-pane fade" id="vertical-tab-3"><p><strong>Messages</strong> ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.</p></div>\r\n</div>\r\n\r\n</div>\r\n\r\n<pre>\r\n&lt;div role="tabpanel" class="nav-tabs-vertical-container"&gt;\r\n\r\n&lt;!-- Nav tabs --&gt;\r\n&lt;ul class="nav nav-tabs nav-tabs--vertical" role="tablist"&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link active" href="#vertical-tab-1" aria-controls="vertical-tab-1" role="tab" data-toggle="tab"&gt;Home&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#vertical-tab-2" aria-controls="vertical-tab-2" role="tab" data-toggle="tab"&gt;Profile&lt;/a&gt;\r\n  &lt;/li&gt;\r\n  &lt;li role="presentation" class="nav-item"&gt;\r\n    &lt;a class="nav-link" href="#vertical-tab-3" aria-controls="vertical-tab-3" role="tab" data-toggle="tab"&gt;Messages&lt;/a&gt;\r\n  &lt;/li&gt;\r\n&lt;/ul&gt;\r\n\r\n&lt;!-- Tab panes --&gt;\r\n&lt;div class="tab-content"&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade show active" id="vertical-tab-1"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Home&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Perspiciatis, exercitationem, quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="vertical-tab-2"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Profile&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Ut odio facere minima porro quis. Maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n  &lt;div role="tabpanel" class="tab-pane fade" id="vertical-tab-3"&gt;\r\n    &lt;p&gt;&lt;strong&gt;Messages&lt;/strong&gt; ipsum dolor sit amet, consectetur adipisicing elit. Reiciendis, optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque. Sed, possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum.&lt;/p&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<hr>\r\n<br>\r\n<h3 id="accordion">Accordion - Style 1</h3>\r\n<div class="collapse-group" id="accordion-example1" role="tablist" aria-multiselectable="true">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingOne">\r\n<div class="card-title"><a data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne"><span>1.</span> Home</a></div>\r\n</div>\r\n<div id="collapseOne" class="collapse show" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingOne">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingTwo">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" data-parent="#accordion-example1" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"><span>2.</span> Configure</a></div>\r\n</div>\r\n<div id="collapseTwo" class="collapse"  data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingTwo">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingThree">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" data-parent="#accordion-example1" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree"><span>3.</span> Download</a></div>\r\n</div>\r\n<div id="collapseThree" class="collapse"  data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingThree">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="collapse-group" id="accordion-example1" role="tablist" aria-multiselectable="true"&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingOne"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne"&gt;\r\n          &lt;span&gt;1.&lt;/span&gt; Home\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseOne" class="collapse show" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingOne"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingTwo"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"&gt;\r\n          &lt;span&gt;2.&lt;/span&gt; Configure\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseTwo" class="collapse" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingTwo"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingThree"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree"&gt;\r\n          &lt;span&gt;3.&lt;/span&gt; Download\r\n        &lt;/a&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseThree" class="collapse" data-parent="#accordion-example1" role="tabpanel" aria-labelledby="headingThree"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="accordion-2">Accordion - Style 2</h3>\r\n<div class="collapse-group collapse-group--style-2" id="accordion-example2" role="tablist" aria-multiselectable="true">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingFour">\r\n<div class="card-title"><a data-toggle="collapse" href="#collapseFour" aria-expanded="true" aria-controls="collapseFour"><span>1.</span> Home</a></div>\r\n</div>\r\n<div id="collapseFour" class="collapse show" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFour">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingFive">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive"><span>2.</span> Configure</a></div>\r\n</div>\r\n<div id="collapseFive" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFive">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" role="tab" id="headingSix">\r\n<div class="card-title"><a class="collapsed" data-toggle="collapse" href="#collapseSix" aria-expanded="false" aria-controls="collapseSix"><span>3.</span> Download</a></div>\r\n</div>\r\n<div id="collapseSix" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingSix">\r\n<div class="card-body">\r\nAnim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="collapse-group collapse-group--style-2" id="accordion-example2" role="tablist" aria-multiselectable="true"&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingFour"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a data-toggle="collapse" href="#collapseFour" aria-expanded="true" aria-controls="collapseFour"&gt;\r\n          &lt;span&gt;1.&lt;/span&gt; Home\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseFour" class="collapse show" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFour"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingFive"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive"&gt;\r\n          &lt;span&gt;2.&lt;/span&gt; Configure\r\n        &lt;/a&gt;\r\n      &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseFive" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingFive"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="card"&gt;\r\n    &lt;div class="card-header card-header--trigger-icon" role="tab" id="headingSix"&gt;\r\n      &lt;div class="card-title"&gt;\r\n        &lt;a class="collapsed" data-toggle="collapse" href="#collapseSix" aria-expanded="false" aria-controls="collapseSix"&gt;\r\n          &lt;span&gt;3.&lt;/span&gt; Download\r\n        &lt;/a&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n    &lt;div id="collapseSix" class="collapse" data-parent="#accordion-example2" role="tabpanel" aria-labelledby="headingSix"&gt;\r\n      &lt;div class="card-body"&gt;...&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="buttons">Button</h3>\r\n<div>\r\n<a href="#" class="button">Button</a> <br>\r\n<a href="#" class="button button--small">Button Small</a> <br>\r\n<a href="#" class="button button--outline">Button Outline</a>\r\n</div>\r\n<pre>\r\n&lt;a href="#" class="button"&gt;Button&lt;/a&gt;\r\n&lt;a href="#" class="button button--small"&gt;Button Small&lt;/a&gt;\r\n&lt;a href="#" class="button button--outline"&gt;Button Outline&lt;/a&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="buttons-hover-style-2">Button - Hover Style 2</h3>\r\n<div>\r\n<a href="#" class="button button--hover-style-2">Button</a>\r\n</div>\r\n<pre>\r\n&lt;a href="#" class="button button--hover-style-2"&gt;Button&lt;/a&gt;\r\n</pre>\r\n<hr>\r\n<br>\r\n<h3 id="progressbars">Progress Bars</h3>\r\n<div class="progress-title">78% Complete (default)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%">\r\n<span class="sr-only">78% Complete (success)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">40% Complete (success)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%">\r\n<span class="sr-only">40% Complete (success)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">20% Complete (info)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-info" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width: 20%">\r\n<span class="sr-only">20% Complete</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">60% Complete (warning)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%">\r\n<span class="sr-only">60% Complete (warning)</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">80% Complete (danger)</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-danger" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">\r\n<span class="sr-only">80% Complete</span>\r\n</div>\r\n</div>\r\n<div class="progress-title">Results</div>\r\n<div class="progress">\r\n<div class="progress-bar bg-success" style="width: 40%">\r\n<span class="sr-only">35% A</span>\r\n</div>\r\n<div class="progress-bar bg-info" style="width: 30%">\r\n<span class="sr-only">20% B</span>\r\n</div>\r\n<div class="progress-bar bg-warning" style="width: 20%">\r\n<span class="sr-only">20% C</span>\r\n</div>\r\n<div class="progress-bar bg-danger" style="width: 10%">\r\n<span class="sr-only">10% D</span>\r\n</div>\r\n</div>\r\n\r\n<pre>\r\n&lt;div class="progress-title"&gt;78% Complete (default)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-default" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 78%"&gt;\r\n    &lt;span class="sr-only"&gt;78% Complete (success)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;40% Complete (success)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%"&gt;\r\n    &lt;span class="sr-only"&gt;40% Complete (success)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;20% Complete (info)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-info" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width: 20%"&gt;\r\n    &lt;span class="sr-only"&gt;20% Complete&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;60% Complete (warning)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%"&gt;\r\n    &lt;span class="sr-only"&gt;60% Complete (warning)&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;80% Complete (danger)&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-danger" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%"&gt;\r\n    &lt;span class="sr-only"&gt;80% Complete&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="progress-title"&gt;Results&lt;/div&gt;\r\n&lt;div class="progress"&gt;\r\n  &lt;div class="progress-bar bg-success" style="width: 40%"&gt;\r\n    &lt;span class="sr-only"&gt;35% A&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-info" style="width: 30%"&gt;\r\n    &lt;span class="sr-only"&gt;20% B&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-warning" style="width: 20%"&gt;\r\n    &lt;span class="sr-only"&gt;20% C&lt;/span&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class="progress-bar bg-danger" style="width: 10%"&gt;\r\n    &lt;span class="sr-only"&gt;10% D&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<hr>\r\n<div class="alert alert-info"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>Check all available Font Awesome icons at <a  target="_blank" href="https://fontawesome.com/icons" class="alert-link">https://fontawesome.com/icons</a></div>', '', 'raw_html');
INSERT INTO `node__body` VALUES
('article', 0, 10, 10, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 11, 11, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 12, 12, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 13, 13, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'basic_html'),
('article', 0, 14, 14, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3 class="description-title">Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>', 'full_html'),
('article', 0, 15, 15, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n', '', 'full_html'),
('page', 0, 36, 36, 'en', 0, '<div class="row">\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n</div>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-6"&gt;\r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-6"&gt; \r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n', '', 'full_html'),
('page', 0, 37, 37, 'en', 0, '<div class="row">\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h4>One Half</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n</div>\r\n</div>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-6"&gt;\r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-6"&gt; \r\n&lt;h4&gt;One Half&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui..&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-8">\r\n<h4>Two Thirds</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n<h4>One Third</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-8"&gt; \r\n&lt;h4&gt;Two Thirds&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-4"&gt; \r\n&lt;h4&gt;One Third/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<div class="row">\r\n<div class="col-md-9">\r\n<h4>Three Fourths</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint, doloribus, tempora, numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit.</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n<h4>One Fourth</h4>\r\n\r\n<p>Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut.</p>\r\n</div>\r\n</div>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<pre style="margin-bottom:40px;">\r\n&lt;div class="row"&gt;\r\n\r\n&lt;div class="col-md-9"&gt; \r\n&lt;h4&gt;Three Fourths&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class="col-md-3"&gt; \r\n&lt;h4&gt;One Fourth&lt;/h4&gt;\r\n&lt;p&gt;Donec sed odio dui...&lt;/p&gt;\r\n&lt;/div&gt; \r\n\r\n&lt;/div&gt;\r\n</pre>\r\n\r\n<p>&nbsp;</p>\r\n', '', 'full_html'),
('page', 0, 39, 39, 'en', 0, '<div aria-multiselectable="true" class="collapse-group" id="accordion" role="tablist">\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingOne" role="tab">\r\n<div class="card-title"><a aria-controls="collapseOne" aria-expanded="true" data-toggle="collapse" href="#collapseOne" role="button"><span>Q1.</span> First Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingOne" class="collapse show" id="collapseOne" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingTwo" role="tab">\r\n<div class="card-title"><a aria-controls="collapseTwo" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseTwo" role="button"><span>Q2.</span> Second Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingTwo" class="collapse" id="collapseTwo" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingThree" role="tab">\r\n<div class="card-title"><a aria-controls="collapseThree" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseThree" role="button"><span>Q3.</span> Third Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingThree" class="collapse" id="collapseThree" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingFour" role="tab">\r\n<div class="card-title"><a aria-controls="collapseFour" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseFour" role="button"><span>Q4.</span> Fourth Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingFour" class="collapse" id="collapseFour" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n\r\n<div class="card">\r\n<div class="card-header card-header--trigger-icon" id="headingFive" role="tab">\r\n<div class="card-title"><a aria-controls="collapseFive" aria-expanded="false" class="collapsed" data-toggle="collapse" href="#collapseFive" role="button"><span>Q5.</span> Fifth Question</a></div>\r\n</div>\r\n\r\n<div aria-labelledby="headingFive" class="collapse" id="collapseFive" role="tabpanel" data-parent="#accordion">\r\n<div class="card-body">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.</div>\r\n</div>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('page', 0, 56, 56, 'en', 0, '<h2 class="block-title">Our Investors</h2>\r\n<div class="row">\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-1.jpg" class="img--bordered" title="investor-1" alt="investor-1">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-2.jpg" class="img--bordered" title="investor-2" alt="investor-2">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-3.jpg" class="img--bordered" title="investor-3" alt="investor-3">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-4.jpg" class="img--bordered" title="investor-4" alt="investor-4">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-5.jpg" class="img--bordered" title="investor-5" alt="investor-5">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-6.jpg" class="img--bordered" title="investor-6" alt="investor-6">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-7.jpg" class="img--bordered" title="investor-7" alt="investor-7">\r\n    </div>\r\n    <br>\r\n  </div>\r\n  <div class="col-md-3 col-sm-6">\r\n    <div class="overlay-container">\r\n      <span class="overlay overlay--colored">\r\n        <span class="overlay-inner">\r\n          <span class="overlay-icon overlay-icon--white overlay-animated overlay-fade-top">\r\n            <i class="fas fa-external-link-alt"></i>\r\n          </span>\r\n        </span>\r\n        <a class="overlay-target-link" href="#"></a>\r\n      </span>\r\n      <img src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/topplus/placeholders/investor-8.jpg" class="img--bordered" title="investor-8" alt="investor-8">\r\n    </div>\r\n    <br>\r\n  </div>\r\n</div>', '', 'raw_html'),
('page', 0, 57, 57, 'en', 0, '<div class="text-center">The page you are looking for was either removed or no longer exists.</div>\r\n<div class="text-center mt-5">\r\n<a class="button" href="#">Go Home</a>\r\n</div>', '', 'raw_html'),
('page', 0, 62, 62, 'en', 0, '<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--blue">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--gold">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--gray">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--green">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--khaki">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--lime">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--night-blue">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-6 col-lg-3">\r\n      <div class="pricing-table pricing-table--orange">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class="pricing-tables">\r\n  <div class="row">\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--pink">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--purple">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-md-4">\r\n      <div class="pricing-table pricing-table--red">\r\n      <div class="pricing-table-header">\r\n      <div class="pricing-table-title">\r\n      <a href="#" hreflang="en">First Product</a>\r\n      </div>\r\n      <div class="pricing-table-price">\r\n      $12.00\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-body">\r\n      <div class="item-list">\r\n      <ul>\r\n      <li><div class="pricing-table-item">Account Balance</div></li>\r\n      <li><div class="pricing-table-item">Online Interface</div></li>\r\n      <li><div class="pricing-table-item">Weekly Reports</div></li>\r\n      <li><div class="pricing-table-item">Investment Monitoring</div></li>\r\n      <li><div class="pricing-table-item">One-on-one consultation</div></li>\r\n      </ul>\r\n      </div>\r\n      </div>\r\n      <div class="pricing-table-footer">\r\n      <a href="#" class="button button--hover-style-2">Sign Up</a>\r\n      </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>', '', 'raw_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__comment`
--

CREATE TABLE `node__comment` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field comment.';

--
-- Dumping data for table `node__comment`
--

INSERT INTO `node__comment` VALUES
('article', 0, 10, 10, 'en', 0, 2),
('article', 0, 11, 11, 'en', 0, 2),
('article', 0, 12, 12, 'en', 0, 2),
('article', 0, 13, 13, 'en', 0, 2),
('article', 0, 14, 14, 'en', 0, 2),
('article', 0, 15, 15, 'en', 0, 2);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_image`
--

CREATE TABLE `node__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_image.';

--
-- Dumping data for table `node__field_image`
--

INSERT INTO `node__field_image` VALUES
('article', 0, 10, 10, 'en', 0, 8, 'Sixth Article', 'Sixth Article', 750, 500),
('article', 0, 11, 11, 'en', 0, 9, 'Fifth Article', 'Fifth Article', 750, 500),
('article', 0, 12, 12, 'en', 0, 10, 'Fourth Article', 'Fourth Article', 750, 500),
('article', 0, 13, 13, 'en', 0, 11, 'Third Article', 'Third Article', 750, 500),
('article', 0, 14, 14, 'en', 0, 12, 'Second Article', 'Second Article', 750, 500),
('article', 0, 15, 15, 'en', 0, 13, 'First Article', 'First Image', 750, 500),
('article', 0, 15, 15, 'en', 1, 15, 'First Article', 'Second Image', 750, 500),
('article', 0, 15, 15, 'en', 2, 16, 'First Article', 'Third Image', 750, 500),
('article', 0, 15, 15, 'en', 3, 17, 'First Article', 'Fourth Image', 750, 500),
('article', 0, 15, 15, 'en', 4, 18, 'First Article', 'Fifth Image', 750, 500);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_alb_body`
--

CREATE TABLE `node__field_mt_alb_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_body_value` longtext NOT NULL,
  `field_mt_alb_body_summary` longtext DEFAULT NULL,
  `field_mt_alb_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_alb_body_format` (`field_mt_alb_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_alb_body.';

--
-- Dumping data for table `node__field_mt_alb_body`
--

INSERT INTO `node__field_mt_alb_body` VALUES
('mt_album', 0, 76, 175, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 77, 174, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 78, 173, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 79, 172, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 80, 171, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_album', 0, 81, 170, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_alb_image`
--

CREATE TABLE `node__field_mt_alb_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_alb_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_alb_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_alb_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_alb_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_alb_image_target_id` (`field_mt_alb_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_alb_image.';

--
-- Dumping data for table `node__field_mt_alb_image`
--

INSERT INTO `node__field_mt_alb_image` VALUES
('mt_album', 0, 76, 175, 'en', 0, 178, 'album image', '', 1280, 690),
('mt_album', 0, 77, 174, 'en', 0, 177, 'album image', '', 1280, 690),
('mt_album', 0, 78, 173, 'en', 0, 176, 'album image', '', 1280, 690),
('mt_album', 0, 79, 172, 'en', 0, 175, 'album image', '', 1280, 690),
('mt_album', 0, 80, 171, 'en', 0, 174, 'album image', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 0, 168, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 1, 169, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 2, 170, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 3, 171, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 4, 172, 'album', '', 1280, 690),
('mt_album', 0, 81, 170, 'en', 5, 173, 'album', '', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_alb_tags`
--

CREATE TABLE `node__field_mt_alb_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_alb_tags_target_id` (`field_mt_alb_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_alb_tags.';

--
-- Dumping data for table `node__field_mt_alb_tags`
--

INSERT INTO `node__field_mt_alb_tags` VALUES
('mt_album', 0, 76, 175, 'en', 0, 81),
('mt_album', 0, 77, 174, 'en', 0, 80),
('mt_album', 0, 78, 173, 'en', 0, 79),
('mt_album', 0, 79, 172, 'en', 0, 81),
('mt_album', 0, 80, 171, 'en', 0, 80),
('mt_album', 0, 81, 170, 'en', 0, 79);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_alb_video`
--

CREATE TABLE `node__field_mt_alb_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_alb_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_alb_video.';

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_cnv_body`
--

CREATE TABLE `node__field_mt_cnv_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_cnv_body_value` longtext NOT NULL,
  `field_mt_cnv_body_summary` longtext DEFAULT NULL,
  `field_mt_cnv_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_cnv_body_format` (`field_mt_cnv_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_cnv_body.';

--
-- Dumping data for table `node__field_mt_cnv_body`
--

INSERT INTO `node__field_mt_cnv_body` VALUES
('mt_canvas_page', 0, 94, 169, 'en', 0, '<div class="row mt-5">\r\n<div class="col-xl-5 col-md-6"><img alt="about us" class="mb-3" src="https://mttprojects.s3.amazonaws.com/demo.morethanthemes.com/conferenceplus/placeholders/static-about-us-1.jpg" /></div>\r\n\r\n<div class="col-md-6 ml-xl-auto">\r\n<h3 class="mt-0 mb-4">Conference+ dedicated to helping young people worldwide achieve great success</h3>\r\n\r\n<p class="pt-2">Conference+ foundation is a non-profit organization dedicated to helping young people worldwide achieve great success through a unique curriculum. Makes a commitment to instill each student or young adult with real-life keys to success such as goal-setting, mentorship, self-motivation, professionalism and advanced communication.</p>\r\n\r\n<h5 class="mb-0">Brian A. King</h5>\r\n\r\n<p>Founder &amp; CEO of Conference+</p>\r\n</div>\r\n</div>\r\n', '', 'full_html'),
('mt_canvas_page', 0, 95, 184, 'en', 0, '<p>The following program element is populated through Google Calendar.</p>\r\n<link href="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/fullcalendar.min.css" rel="stylesheet" />\r\n<link href="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/fullcalendar.print.css" media="print" rel="stylesheet" /><script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.21.0/moment.min.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/fullcalendar.min.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.9.0/gcal.min.js"></script><script>\r\n\r\n  $(document).ready(function() {\r\n\r\n    $(''#fullcalendar-google'').fullCalendar({\r\n\r\n      header: {\r\n        left: ''prev,next today'',\r\n        center: ''title'',\r\n        right: ''month,agendaWeek,agendaDay,listYear''\r\n      },\r\n\r\n      googleCalendarApiKey: ''AIzaSyAne9yi-aIU8VHgEhPcGrVRdgWC2v2IF-0'',\r\n      eventSources: [\r\n        {\r\n          googleCalendarId: ''6t714i0qirrbifjsmv6fntm6ds@group.calendar.google.com'',\r\n          color: ''#3B5897'',\r\n          textColor: ''#FFFFFF''\r\n        },\r\n        {\r\n          googleCalendarId: ''94jv10llgutng208gpkrgfq38k@group.calendar.google.com'',\r\n          color: ''#4B842E'',\r\n          textColor: ''#FFFFFF''\r\n        }\r\n      ]\r\n\r\n    });\r\n\r\n  });\r\n\r\n</script>\r\n<div id="fullcalendar-google"></div>\r\n', '', 'raw_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_body`
--

CREATE TABLE `node__field_mt_evn_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_body_value` longtext NOT NULL,
  `field_mt_evn_body_summary` longtext DEFAULT NULL,
  `field_mt_evn_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_body_format` (`field_mt_evn_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_body.';

--
-- Dumping data for table `node__field_mt_evn_body`
--

INSERT INTO `node__field_mt_evn_body` VALUES
('mt_event', 0, 84, 183, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html'),
('mt_event', 0, 89, 182, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html'),
('mt_event', 0, 90, 181, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html'),
('mt_event', 0, 91, 180, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptates velit suscipit tempore, distinctio laudantium, natus at totam eius nesciunt a, explicabo veniam eum sint nam quis nisi excepturi. Facilis atque culpa magni quo molestias rem. Sint commodi, ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima. Vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste, harum et, voluptatum veniam quia impedit qui minima. Adipisci nulla ipsam culpa minus quia quibusdam, at corporis animi vitae eaque voluptas, quo delectus laboriosam enim, aliquid temporibus consectetur tenetur facere sequi aperiam pariatur, ullam dignissimos harum.</p>\r\n\r\n<p>Voluptas fugiat deserunt, adipisci aut iste, quaerat rerum vero reprehenderit provident culpa ut! Ipsam doloremque, qui iure eligendi saepe tempore. Quis alias optio nesciunt. Tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque, natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_date`
--

CREATE TABLE `node__field_mt_evn_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_date_value` (`field_mt_evn_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_date.';

--
-- Dumping data for table `node__field_mt_evn_date`
--

INSERT INTO `node__field_mt_evn_date` VALUES
('mt_event', 0, 84, 183, 'en', 0, '2018-04-28T17:00:00'),
('mt_event', 0, 89, 182, 'en', 0, '2018-04-14T13:00:00'),
('mt_event', 0, 90, 181, 'en', 0, '2018-04-15T13:00:00'),
('mt_event', 0, 91, 180, 'en', 0, '2018-04-29T13:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_event_category`
--

CREATE TABLE `node__field_mt_evn_event_category` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_event_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_event_category_target_id` (`field_mt_evn_event_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_event_category.';

--
-- Dumping data for table `node__field_mt_evn_event_category`
--

INSERT INTO `node__field_mt_evn_event_category` VALUES
('mt_event', 0, 84, 183, 'en', 0, 72),
('mt_event', 0, 89, 182, 'en', 0, 70),
('mt_event', 0, 90, 181, 'en', 0, 71),
('mt_event', 0, 91, 180, 'en', 0, 69);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_files`
--

CREATE TABLE `node__field_mt_evn_files` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_files_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_evn_files_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_evn_files_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_files_target_id` (`field_mt_evn_files_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_files.';

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_image`
--

CREATE TABLE `node__field_mt_evn_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_evn_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_evn_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_evn_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_evn_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_image_target_id` (`field_mt_evn_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_image.';

--
-- Dumping data for table `node__field_mt_evn_image`
--

INSERT INTO `node__field_mt_evn_image` VALUES
('mt_event', 0, 84, 183, 'en', 0, 256, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 1, 257, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 2, 258, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 3, 259, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 4, 260, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 84, 183, 'en', 5, 261, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 89, 182, 'en', 0, 273, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 90, 181, 'en', 0, 274, 'Event Image', 'Event Image', 1280, 690),
('mt_event', 0, 91, 180, 'en', 0, 275, 'Event Image', 'Event Image', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_location`
--

CREATE TABLE `node__field_mt_evn_location` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_location_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_evn_location_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_location_target_id` (`field_mt_evn_location_target_id`),
  KEY `field_mt_evn_location_target_revision_id` (`field_mt_evn_location_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_location.';

--
-- Dumping data for table `node__field_mt_evn_location`
--

INSERT INTO `node__field_mt_evn_location` VALUES
('mt_event', 0, 84, 183, 'en', 0, 83, 95),
('mt_event', 0, 89, 182, 'en', 0, 80, 94),
('mt_event', 0, 90, 181, 'en', 0, 81, 93),
('mt_event', 0, 91, 180, 'en', 0, 82, 92);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_map_zoom`
--

CREATE TABLE `node__field_mt_evn_map_zoom` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_map_zoom_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_map_zoom.';

--
-- Dumping data for table `node__field_mt_evn_map_zoom`
--

INSERT INTO `node__field_mt_evn_map_zoom` VALUES
('mt_event', 0, 84, 183, 'en', 0, 12),
('mt_event', 0, 89, 182, 'en', 0, 12),
('mt_event', 0, 90, 181, 'en', 0, 12),
('mt_event', 0, 91, 180, 'en', 0, 12);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_place`
--

CREATE TABLE `node__field_mt_evn_place` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_place_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_place.';

--
-- Dumping data for table `node__field_mt_evn_place`
--

INSERT INTO `node__field_mt_evn_place` VALUES
('mt_event', 0, 84, 183, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_event', 0, 89, 182, 'en', 0, '183 Jackson Hall South West Building A13'),
('mt_event', 0, 90, 181, 'en', 0, '119 Jackson Hall South West Building A189'),
('mt_event', 0, 91, 180, 'en', 0, '235 Jackson Hall South West Building A658');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_speaker`
--

CREATE TABLE `node__field_mt_evn_speaker` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_speaker_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_speaker_target_id` (`field_mt_evn_speaker_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_speaker.';

--
-- Dumping data for table `node__field_mt_evn_speaker`
--

INSERT INTO `node__field_mt_evn_speaker` VALUES
('mt_event', 0, 84, 183, 'en', 0, 68),
('mt_event', 0, 89, 182, 'en', 0, 65),
('mt_event', 0, 90, 181, 'en', 0, 65),
('mt_event', 0, 91, 180, 'en', 0, 69);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_sponsor`
--

CREATE TABLE `node__field_mt_evn_sponsor` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_sponsor_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_evn_sponsor_target_id` (`field_mt_evn_sponsor_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_sponsor.';

--
-- Dumping data for table `node__field_mt_evn_sponsor`
--

INSERT INTO `node__field_mt_evn_sponsor` VALUES
('mt_event', 0, 84, 183, 'en', 0, 74),
('mt_event', 0, 89, 182, 'en', 0, 72),
('mt_event', 0, 90, 181, 'en', 0, 74),
('mt_event', 0, 91, 180, 'en', 0, 71);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_evn_video`
--

CREATE TABLE `node__field_mt_evn_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_evn_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_evn_video.';

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_additional_features`
--

CREATE TABLE `node__field_mt_prd_additional_features` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_additional_features_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_prd_additional_features_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_additional_features_target_id` (`field_mt_prd_additional_features_target_id`),
  KEY `field_mt_prd_additional_features_target_revision_id` (`field_mt_prd_additional_features_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_additional…';

--
-- Dumping data for table `node__field_mt_prd_additional_features`
--

INSERT INTO `node__field_mt_prd_additional_features` VALUES
('mt_product', 0, 23, 23, 'en', 0, 62, 62),
('mt_product', 0, 23, 23, 'en', 1, 63, 63),
('mt_product', 0, 23, 23, 'en', 2, 64, 64);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_availability`
--

CREATE TABLE `node__field_mt_prd_availability` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_availability_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_availability_value` (`field_mt_prd_availability_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_availability.';

--
-- Dumping data for table `node__field_mt_prd_availability`
--

INSERT INTO `node__field_mt_prd_availability` VALUES
('mt_product', 0, 23, 23, 'en', 0, 'in_stock');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_banner_carousel`
--

CREATE TABLE `node__field_mt_prd_banner_carousel` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_banner_carousel_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prd_banner_carousel_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prd_banner_carousel_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prd_banner_carousel_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prd_banner_carousel_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_banner_carousel_target_id` (`field_mt_prd_banner_carousel_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_banner_carousel.';

--
-- Dumping data for table `node__field_mt_prd_banner_carousel`
--

INSERT INTO `node__field_mt_prd_banner_carousel` VALUES
('mt_product', 0, 23, 23, 'en', 0, 247, 'Banner Image One', 'Title of first banner image', 1920, 650),
('mt_product', 0, 23, 23, 'en', 1, 248, 'Banner Image Two', 'Title of second banner image', 1920, 650),
('mt_product', 0, 23, 23, 'en', 2, 249, 'Banner Image Three', 'Title of third banner image', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_body`
--

CREATE TABLE `node__field_mt_prd_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_body_value` longtext NOT NULL,
  `field_mt_prd_body_summary` longtext DEFAULT NULL,
  `field_mt_prd_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_body_format` (`field_mt_prd_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_body.';

--
-- Dumping data for table `node__field_mt_prd_body`
--

INSERT INTO `node__field_mt_prd_body` VALUES
('mt_product', 0, 18, 18, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 19, 19, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 20, 20, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 21, 21, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 22, 22, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 23, 23, 'en', 0, '<div class="row">\r\n<div class="col-lg-8 ml-lg-auto mr-lg-auto">\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n</div>\r\n</div>\r\n\r\n<div class="call-to-action">\r\n<div class="row">\r\n<div class="col-12 col-lg-8 col-xl-6 ml-lg-auto mr-lg-auto">\r\n<h2 class="title text-center">Enjoy a Gorgeous Look and Feel.</h2>\r\n</div>\r\n\r\n<div class="col-12 col-lg-8 col-xl-5 ml-lg-auto mr-lg-auto mr-xl-0">\r\n<p class="large top-spacing-small bottom-spacing-small">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n\r\n<div class="text-center"><a class="button" href="#">Free Trial</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n', '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>', 'full_html'),
('mt_product', 0, 46, 46, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</p>\r\n</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_buy_link`
--

CREATE TABLE `node__field_mt_prd_buy_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_buy_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_prd_buy_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_prd_buy_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_buy_link_uri` (`field_mt_prd_buy_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_buy_link.';

--
-- Dumping data for table `node__field_mt_prd_buy_link`
--

INSERT INTO `node__field_mt_prd_buy_link` VALUES
('mt_product', 0, 18, 18, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 19, 19, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 20, 20, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 21, 21, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 22, 22, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 23, 23, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}'),
('mt_product', 0, 46, 46, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Buy Now', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_categories`
--

CREATE TABLE `node__field_mt_prd_categories` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_categories_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_categories_target_id` (`field_mt_prd_categories_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_categories.';

--
-- Dumping data for table `node__field_mt_prd_categories`
--

INSERT INTO `node__field_mt_prd_categories` VALUES
('mt_product', 0, 18, 18, 'en', 0, 47),
('mt_product', 0, 18, 18, 'en', 1, 48),
('mt_product', 0, 19, 19, 'en', 0, 46),
('mt_product', 0, 19, 19, 'en', 1, 48),
('mt_product', 0, 20, 20, 'en', 0, 45),
('mt_product', 0, 20, 20, 'en', 1, 47),
('mt_product', 0, 21, 21, 'en', 0, 45),
('mt_product', 0, 21, 21, 'en', 1, 48),
('mt_product', 0, 22, 22, 'en', 0, 45),
('mt_product', 0, 23, 23, 'en', 0, 45),
('mt_product', 0, 23, 23, 'en', 1, 47),
('mt_product', 0, 46, 46, 'en', 0, 46);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_content_tabs`
--

CREATE TABLE `node__field_mt_prd_content_tabs` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_content_tabs_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_prd_content_tabs_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_content_tabs_target_id` (`field_mt_prd_content_tabs_target_id`),
  KEY `field_mt_prd_content_tabs_target_revision_id` (`field_mt_prd_content_tabs_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_content_tabs.';

--
-- Dumping data for table `node__field_mt_prd_content_tabs`
--

INSERT INTO `node__field_mt_prd_content_tabs` VALUES
('mt_product', 0, 23, 23, 'en', 0, 69, 69),
('mt_product', 0, 23, 23, 'en', 1, 70, 70);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_highlight`
--

CREATE TABLE `node__field_mt_prd_highlight` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_highlight_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_prd_highlight_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_highlight_target_id` (`field_mt_prd_highlight_target_id`),
  KEY `field_mt_prd_highlight_target_revision_id` (`field_mt_prd_highlight_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_highlight.';

--
-- Dumping data for table `node__field_mt_prd_highlight`
--

INSERT INTO `node__field_mt_prd_highlight` VALUES
('mt_product', 0, 23, 23, 'en', 0, 65, 65),
('mt_product', 0, 23, 23, 'en', 1, 66, 66),
('mt_product', 0, 23, 23, 'en', 2, 67, 67),
('mt_product', 0, 23, 23, 'en', 3, 68, 68);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_image`
--

CREATE TABLE `node__field_mt_prd_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prd_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prd_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prd_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prd_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_image_target_id` (`field_mt_prd_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_image.';

--
-- Dumping data for table `node__field_mt_prd_image`
--

INSERT INTO `node__field_mt_prd_image` VALUES
('mt_product', 0, 18, 18, 'en', 0, 195, 'Sixth Product', 'Sixth Product', 1280, 690),
('mt_product', 0, 19, 19, 'en', 0, 194, 'Fifth Product', 'Fifth Product', 1280, 690),
('mt_product', 0, 20, 20, 'en', 0, 193, 'Fourth Product', 'Fourth Product', 1280, 690),
('mt_product', 0, 21, 21, 'en', 0, 192, 'Third Product', 'Third Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 0, 186, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 1, 187, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 2, 188, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 3, 189, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 4, 190, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 22, 22, 'en', 5, 191, 'Second Product', 'Second Product', 1280, 690),
('mt_product', 0, 46, 46, 'en', 0, 196, 'Seventh Product', 'Seventh Product', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_landscape_image`
--

CREATE TABLE `node__field_mt_prd_landscape_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_landscape_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prd_landscape_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prd_landscape_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prd_landscape_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prd_landscape_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_landscape_image_target_id` (`field_mt_prd_landscape_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_landscape_image.';

--
-- Dumping data for table `node__field_mt_prd_landscape_image`
--

INSERT INTO `node__field_mt_prd_landscape_image` VALUES
('mt_product', 0, 20, 20, 'en', 0, 197, 'Product 2', 'Product 2', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_most_popular`
--

CREATE TABLE `node__field_mt_prd_most_popular` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_most_popular_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_most_popular.';

--
-- Dumping data for table `node__field_mt_prd_most_popular`
--

INSERT INTO `node__field_mt_prd_most_popular` VALUES
('mt_product', 0, 18, 18, 'en', 0, 0),
('mt_product', 0, 19, 19, 'en', 0, 0),
('mt_product', 0, 20, 20, 'en', 0, 0),
('mt_product', 0, 21, 21, 'en', 0, 0),
('mt_product', 0, 22, 22, 'en', 0, 1),
('mt_product', 0, 23, 23, 'en', 0, 0),
('mt_product', 0, 46, 46, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_price`
--

CREATE TABLE `node__field_mt_prd_price` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_price_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_price.';

--
-- Dumping data for table `node__field_mt_prd_price`
--

INSERT INTO `node__field_mt_prd_price` VALUES
('mt_product', 0, 18, 18, 'en', 0, '$12.00'),
('mt_product', 0, 19, 19, 'en', 0, '$29.00'),
('mt_product', 0, 20, 20, 'en', 0, '$39.00'),
('mt_product', 0, 21, 21, 'en', 0, '$49.00'),
('mt_product', 0, 22, 22, 'en', 0, '$29.00'),
('mt_product', 0, 23, 23, 'en', 0, '$12.00'),
('mt_product', 0, 46, 46, 'en', 0, '$15.99');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_pricing_table_item`
--

CREATE TABLE `node__field_mt_prd_pricing_table_item` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_pricing_table_item_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_pricing_table_item.';

--
-- Dumping data for table `node__field_mt_prd_pricing_table_item`
--

INSERT INTO `node__field_mt_prd_pricing_table_item` VALUES
('mt_product', 0, 21, 21, 'en', 0, 'Account Balance'),
('mt_product', 0, 21, 21, 'en', 1, 'Online Interface'),
('mt_product', 0, 21, 21, 'en', 2, 'Weekly Reports'),
('mt_product', 0, 21, 21, 'en', 3, 'Email support'),
('mt_product', 0, 22, 22, 'en', 0, 'Account Balance'),
('mt_product', 0, 22, 22, 'en', 1, 'Online Interface'),
('mt_product', 0, 22, 22, 'en', 2, 'Investment Monitoring'),
('mt_product', 0, 22, 22, 'en', 3, 'Weekly Reports'),
('mt_product', 0, 22, 22, 'en', 4, 'One-on-one consultation'),
('mt_product', 0, 23, 23, 'en', 0, 'Account Balance'),
('mt_product', 0, 23, 23, 'en', 1, 'Online Interface'),
('mt_product', 0, 23, 23, 'en', 2, 'Weekly Reports');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_product_code`
--

CREATE TABLE `node__field_mt_prd_product_code` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_product_code_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_product_code.';

--
-- Dumping data for table `node__field_mt_prd_product_code`
--

INSERT INTO `node__field_mt_prd_product_code` VALUES
('mt_product', 0, 23, 23, 'en', 0, '800413');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_subheader_body`
--

CREATE TABLE `node__field_mt_prd_subheader_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_subheader_body_value` longtext NOT NULL,
  `field_mt_prd_subheader_body_summary` longtext DEFAULT NULL,
  `field_mt_prd_subheader_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_subheader_body_format` (`field_mt_prd_subheader_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_subheader_body.';

--
-- Dumping data for table `node__field_mt_prd_subheader_body`
--

INSERT INTO `node__field_mt_prd_subheader_body` VALUES
('mt_product', 0, 18, 18, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 19, 19, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 20, 20, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 21, 21, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 22, 22, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 23, 23, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html'),
('mt_product', 0, 46, 46, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_tags`
--

CREATE TABLE `node__field_mt_prd_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prd_tags_target_id` (`field_mt_prd_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_tags.';

--
-- Dumping data for table `node__field_mt_prd_tags`
--

INSERT INTO `node__field_mt_prd_tags` VALUES
('mt_product', 0, 18, 18, 'en', 0, 13),
('mt_product', 0, 19, 19, 'en', 0, 52),
('mt_product', 0, 20, 20, 'en', 0, 9),
('mt_product', 0, 21, 21, 'en', 0, 12),
('mt_product', 0, 22, 22, 'en', 0, 11),
('mt_product', 0, 23, 23, 'en', 0, 10),
('mt_product', 0, 46, 46, 'en', 0, 10);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prd_video`
--

CREATE TABLE `node__field_mt_prd_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prd_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prd_video.';

--
-- Dumping data for table `node__field_mt_prd_video`
--

INSERT INTO `node__field_mt_prd_video` VALUES
('mt_product', 0, 23, 23, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prg_category`
--

CREATE TABLE `node__field_mt_prg_category` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_category_target_id` (`field_mt_prg_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prg_category.';

--
-- Dumping data for table `node__field_mt_prg_category`
--

INSERT INTO `node__field_mt_prg_category` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, 77),
('mt_program_entry', 0, 93, 167, 'en', 0, 78);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prg_end_date`
--

CREATE TABLE `node__field_mt_prg_end_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_end_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_end_date_value` (`field_mt_prg_end_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prg_end_date.';

--
-- Dumping data for table `node__field_mt_prg_end_date`
--

INSERT INTO `node__field_mt_prg_end_date` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, '2018-04-11T10:00:00'),
('mt_program_entry', 0, 93, 167, 'en', 0, '2018-04-11T11:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prg_event`
--

CREATE TABLE `node__field_mt_prg_event` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_event_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_event_target_id` (`field_mt_prg_event_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prg_event.';

--
-- Dumping data for table `node__field_mt_prg_event`
--

INSERT INTO `node__field_mt_prg_event` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, 84),
('mt_program_entry', 0, 93, 167, 'en', 0, 85);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prg_start_date`
--

CREATE TABLE `node__field_mt_prg_start_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prg_start_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prg_start_date_value` (`field_mt_prg_start_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prg_start_date.';

--
-- Dumping data for table `node__field_mt_prg_start_date`
--

INSERT INTO `node__field_mt_prg_start_date` VALUES
('mt_program_entry', 0, 92, 166, 'en', 0, '2018-04-11T09:00:00'),
('mt_program_entry', 0, 93, 167, 'en', 0, '2018-04-11T10:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_affiliations`
--

CREATE TABLE `node__field_mt_prs_affiliations` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_affiliations_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_affiliations.';

--
-- Dumping data for table `node__field_mt_prs_affiliations`
--

INSERT INTO `node__field_mt_prs_affiliations` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 'Affiliation One'),
('mt_presentation', 0, 85, 176, 'en', 1, 'Affiliation Two'),
('mt_presentation', 0, 86, 179, 'en', 0, 'Affiliation Two'),
('mt_presentation', 0, 87, 178, 'en', 0, 'Affiliation Three'),
('mt_presentation', 0, 88, 177, 'en', 0, 'Affiliation Four');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_authors`
--

CREATE TABLE `node__field_mt_prs_authors` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_authors_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_authors.';

--
-- Dumping data for table `node__field_mt_prs_authors`
--

INSERT INTO `node__field_mt_prs_authors` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 'John Doe'),
('mt_presentation', 0, 85, 176, 'en', 1, 'Smith Doe'),
('mt_presentation', 0, 86, 179, 'en', 0, 'John Doe'),
('mt_presentation', 0, 87, 178, 'en', 0, 'John Doe'),
('mt_presentation', 0, 88, 177, 'en', 0, 'Smith Doe');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_body`
--

CREATE TABLE `node__field_mt_prs_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_body_value` longtext NOT NULL,
  `field_mt_prs_body_summary` longtext DEFAULT NULL,
  `field_mt_prs_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_body_format` (`field_mt_prs_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_body.';

--
-- Dumping data for table `node__field_mt_prs_body`
--

INSERT INTO `node__field_mt_prs_body` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 86, 179, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 87, 178, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html'),
('mt_presentation', 0, 88, 177, 'en', 0, '<h3>Abstract</h3>\r\n\r\n<h4 class="title">Objective</h4>\r\n\r\n<p class="mb-5">Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.</p>\r\n\r\n<h4 class="title">Methods</h4>\r\n\r\n<p class="mb-5">Cumque pariatur id, porro expedita temporibus! Quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus, nostrum repellendus est ea alias quas odit fugit. Accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet, omnis facilis, consequatur asperiores inventore sed cupiditate, fugiat voluptas. Laudantium repellendus nostrum optio labore et quaerat quo vitae, animi nisi, voluptatem iusto ipsam quia ratione! Eaque sint pariatur aut minus vel officia consequatur earum.</p>\r\n\r\n<h4 class="title">Results</h4>\r\n\r\n<p>Assumenda iure a saepe inventore cum voluptatum sapiente, beatae rerum dolorem aspernatur, magnam alias expedita quaerat ex amet ullam, repudiandae eos fuga.</p>\r\n\r\n<p class="mb-5">Officiis iusto at eos, velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore, laborum. Temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque, cupiditate excepturi alias dolor maxime voluptatibus. Quidem.</p>\r\n\r\n<h4 class="title">Conclusion</h4>\r\n\r\n<p>Odio, reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique. Quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet, itaque similique minima ea quidem assumenda dolor libero ex unde, at cumque natus! Sequi sapiente ipsa et, nisi vel consectetur at sunt quae, veritatis incidunt commodi rem tenetur est quod, eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum! Earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi, quam a optio inventore. Beatae libero tenetur excepturi non autem cupiditate id dolorem ab, nulla expedita quae maxime perspiciatis, mollitia soluta rerum, commodi officia adipisci. Dignissimos temporibus magni natus quia quod.</p>\r\n', 'Dolore quibusdam aliquam dolorum accusantium optio qui eius, repellendus doloribus natus, expedita quisquam voluptatibus facere necessitatibus fugit consequatur, pariatur minima id! Officia.', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_category`
--

CREATE TABLE `node__field_mt_prs_category` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_category_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_category_target_id` (`field_mt_prs_category_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_category.';

--
-- Dumping data for table `node__field_mt_prs_category`
--

INSERT INTO `node__field_mt_prs_category` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 75),
('mt_presentation', 0, 86, 179, 'en', 0, 73),
('mt_presentation', 0, 87, 178, 'en', 0, 74),
('mt_presentation', 0, 88, 177, 'en', 0, 76);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_date`
--

CREATE TABLE `node__field_mt_prs_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_date_value` (`field_mt_prs_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_date.';

--
-- Dumping data for table `node__field_mt_prs_date`
--

INSERT INTO `node__field_mt_prs_date` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, '2018-03-31T13:00:00'),
('mt_presentation', 0, 86, 179, 'en', 0, '2018-05-19T13:00:00'),
('mt_presentation', 0, 87, 178, 'en', 0, '2018-03-31T13:00:00'),
('mt_presentation', 0, 88, 177, 'en', 0, '2018-05-27T13:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_files`
--

CREATE TABLE `node__field_mt_prs_files` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_files_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prs_files_display` tinyint(3) unsigned DEFAULT 1 COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_mt_prs_files_description` text DEFAULT NULL COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_files_target_id` (`field_mt_prs_files_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_files.';

--
-- Dumping data for table `node__field_mt_prs_files`
--

INSERT INTO `node__field_mt_prs_files` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 263, 1, 'Presentation first file'),
('mt_presentation', 0, 85, 176, 'en', 1, 264, 1, 'Presentation second file');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_image`
--

CREATE TABLE `node__field_mt_prs_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_prs_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_prs_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_prs_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_prs_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_image_target_id` (`field_mt_prs_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_image.';

--
-- Dumping data for table `node__field_mt_prs_image`
--

INSERT INTO `node__field_mt_prs_image` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 262, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 1, 265, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 2, 266, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 3, 267, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 4, 268, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 85, 176, 'en', 5, 269, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 86, 179, 'en', 0, 270, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 87, 178, 'en', 0, 271, 'Presentation Image', 'Presentation Image', 1280, 690),
('mt_presentation', 0, 88, 177, 'en', 0, 272, 'Presentation Image', 'Presentation Image', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_location`
--

CREATE TABLE `node__field_mt_prs_location` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_location_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_location.';

--
-- Dumping data for table `node__field_mt_prs_location`
--

INSERT INTO `node__field_mt_prs_location` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 86, 179, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 87, 178, 'en', 0, '221 Jackson Hall South West Building A112'),
('mt_presentation', 0, 88, 177, 'en', 0, '221 Jackson Hall South West Building A112');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_session`
--

CREATE TABLE `node__field_mt_prs_session` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_session_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_session_target_id` (`field_mt_prs_session_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_session.';

--
-- Dumping data for table `node__field_mt_prs_session`
--

INSERT INTO `node__field_mt_prs_session` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 65),
('mt_presentation', 0, 86, 179, 'en', 0, 66),
('mt_presentation', 0, 87, 178, 'en', 0, 67),
('mt_presentation', 0, 88, 177, 'en', 0, 65);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_speaker`
--

CREATE TABLE `node__field_mt_prs_speaker` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_speaker_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_speaker_target_id` (`field_mt_prs_speaker_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_speaker.';

--
-- Dumping data for table `node__field_mt_prs_speaker`
--

INSERT INTO `node__field_mt_prs_speaker` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 69),
('mt_presentation', 0, 85, 176, 'en', 1, 68),
('mt_presentation', 0, 86, 179, 'en', 0, 68),
('mt_presentation', 0, 87, 178, 'en', 0, 67),
('mt_presentation', 0, 88, 177, 'en', 0, 66);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_sponsor`
--

CREATE TABLE `node__field_mt_prs_sponsor` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_sponsor_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_sponsor_target_id` (`field_mt_prs_sponsor_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_sponsor.';

--
-- Dumping data for table `node__field_mt_prs_sponsor`
--

INSERT INTO `node__field_mt_prs_sponsor` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 75),
('mt_presentation', 0, 85, 176, 'en', 1, 74),
('mt_presentation', 0, 86, 179, 'en', 0, 74),
('mt_presentation', 0, 87, 178, 'en', 0, 73),
('mt_presentation', 0, 88, 177, 'en', 0, 72);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_topics`
--

CREATE TABLE `node__field_mt_prs_topics` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_topics_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_prs_topics_target_id` (`field_mt_prs_topics_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_topics.';

--
-- Dumping data for table `node__field_mt_prs_topics`
--

INSERT INTO `node__field_mt_prs_topics` VALUES
('mt_presentation', 0, 85, 176, 'en', 0, 59),
('mt_presentation', 0, 85, 176, 'en', 1, 60),
('mt_presentation', 0, 86, 179, 'en', 0, 60),
('mt_presentation', 0, 87, 178, 'en', 0, 61),
('mt_presentation', 0, 87, 178, 'en', 1, 59),
('mt_presentation', 0, 88, 177, 'en', 0, 60),
('mt_presentation', 0, 88, 177, 'en', 1, 59);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_prs_video`
--

CREATE TABLE `node__field_mt_prs_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_prs_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_prs_video.';

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_slideshow`
--

CREATE TABLE `node__field_mt_slideshow` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_slideshow_value` tinyint(4) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_slideshow.';

--
-- Dumping data for table `node__field_mt_slideshow`
--

INSERT INTO `node__field_mt_slideshow` VALUES
('article', 0, 10, 10, 'en', 0, 0),
('article', 0, 11, 11, 'en', 0, 0),
('article', 0, 12, 12, 'en', 0, 0),
('article', 0, 13, 13, 'en', 0, 1),
('article', 0, 14, 14, 'en', 0, 1),
('article', 0, 15, 15, 'en', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_slideshow_image`
--

CREATE TABLE `node__field_mt_slideshow_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_slideshow_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_slideshow_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_slideshow_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_slideshow_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_slideshow_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_slideshow_image_target_id` (`field_mt_slideshow_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_slideshow_image.';

--
-- Dumping data for table `node__field_mt_slideshow_image`
--

INSERT INTO `node__field_mt_slideshow_image` VALUES
('article', 0, 13, 13, 'en', 0, 244, 'Third Article', 'Third Article', 1920, 650),
('article', 0, 14, 14, 'en', 0, 243, 'Second Article', 'Second Article', 1920, 650),
('article', 0, 15, 15, 'en', 0, 242, 'First Article', 'First Article', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_slideshow_text`
--

CREATE TABLE `node__field_mt_slideshow_text` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_slideshow_text_value` longtext NOT NULL,
  `field_mt_slideshow_text_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_slideshow_text_format` (`field_mt_slideshow_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_slideshow_text.';

--
-- Dumping data for table `node__field_mt_slideshow_text`
--

INSERT INTO `node__field_mt_slideshow_text` VALUES
('article', 0, 13, 13, 'en', 0, '<p>Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', 'basic_html'),
('article', 0, 14, 14, 'en', 0, '<p>Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', 'basic_html'),
('article', 0, 15, 15, 'en', 0, '<p>Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_affiliations`
--

CREATE TABLE `node__field_mt_spk_affiliations` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_affiliations_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spk_affiliations_target_id` (`field_mt_spk_affiliations_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_affiliations.';

--
-- Dumping data for table `node__field_mt_spk_affiliations`
--

INSERT INTO `node__field_mt_spk_affiliations` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 58),
('mt_speaker', 0, 65, 65, 'en', 0, 57),
('mt_speaker', 0, 66, 66, 'en', 0, 56),
('mt_speaker', 0, 67, 67, 'en', 0, 55),
('mt_speaker', 0, 68, 68, 'en', 0, 54),
('mt_speaker', 0, 69, 69, 'en', 0, 53);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_body`
--

CREATE TABLE `node__field_mt_spk_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_body_value` longtext NOT NULL,
  `field_mt_spk_body_summary` longtext DEFAULT NULL,
  `field_mt_spk_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spk_body_format` (`field_mt_spk_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_body.';

--
-- Dumping data for table `node__field_mt_spk_body`
--

INSERT INTO `node__field_mt_spk_body` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 65, 65, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 66, 66, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 67, 67, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 68, 68, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_speaker', 0, 69, 69, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_facebook_account`
--

CREATE TABLE `node__field_mt_spk_facebook_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_facebook_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_facebook_account.';

--
-- Dumping data for table `node__field_mt_spk_facebook_account`
--

INSERT INTO `node__field_mt_spk_facebook_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://www.facebook.com'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://www.facebook.com');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_linkedin_account`
--

CREATE TABLE `node__field_mt_spk_linkedin_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_linkedin_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_linkedin_account.';

--
-- Dumping data for table `node__field_mt_spk_linkedin_account`
--

INSERT INTO `node__field_mt_spk_linkedin_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://www.linkedin.com'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://www.linkedin.com');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_speaker_photo`
--

CREATE TABLE `node__field_mt_spk_speaker_photo` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_speaker_photo_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_spk_speaker_photo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_spk_speaker_photo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_spk_speaker_photo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_spk_speaker_photo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spk_speaker_photo_target_id` (`field_mt_spk_speaker_photo_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_speaker_photo.';

--
-- Dumping data for table `node__field_mt_spk_speaker_photo`
--

INSERT INTO `node__field_mt_spk_speaker_photo` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 223, 'Speaker Six', '', 750, 750),
('mt_speaker', 0, 65, 65, 'en', 0, 222, 'Speaker Five', '', 750, 750),
('mt_speaker', 0, 66, 66, 'en', 0, 221, 'Speaker Four', '', 750, 750),
('mt_speaker', 0, 67, 67, 'en', 0, 219, 'Speaker Three', '', 750, 750),
('mt_speaker', 0, 68, 68, 'en', 0, 218, 'Speaker Two', '', 750, 750),
('mt_speaker', 0, 69, 69, 'en', 0, 217, 'Speaker One', '', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_subtitle`
--

CREATE TABLE `node__field_mt_spk_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_subtitle.';

--
-- Dumping data for table `node__field_mt_spk_subtitle`
--

INSERT INTO `node__field_mt_spk_subtitle` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'Engineer'),
('mt_speaker', 0, 65, 65, 'en', 0, 'Manager'),
('mt_speaker', 0, 66, 66, 'en', 0, 'Web Designer'),
('mt_speaker', 0, 67, 67, 'en', 0, 'Medic'),
('mt_speaker', 0, 68, 68, 'en', 0, 'Engineer'),
('mt_speaker', 0, 69, 69, 'en', 0, 'Manager');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_twitter_account`
--

CREATE TABLE `node__field_mt_spk_twitter_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_twitter_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_twitter_account.';

--
-- Dumping data for table `node__field_mt_spk_twitter_account`
--

INSERT INTO `node__field_mt_spk_twitter_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://twitter.com/'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://twitter.com/');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spk_youtube_account`
--

CREATE TABLE `node__field_mt_spk_youtube_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spk_youtube_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spk_youtube_account.';

--
-- Dumping data for table `node__field_mt_spk_youtube_account`
--

INSERT INTO `node__field_mt_spk_youtube_account` VALUES
('mt_speaker', 0, 64, 64, 'en', 0, 'https://www.youtube.com/'),
('mt_speaker', 0, 65, 65, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 66, 66, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 67, 67, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 68, 68, 'en', 0, 'https://youtube.com'),
('mt_speaker', 0, 69, 69, 'en', 0, 'https://youtube.com');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spn_body`
--

CREATE TABLE `node__field_mt_spn_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spn_body_value` longtext NOT NULL,
  `field_mt_spn_body_summary` longtext DEFAULT NULL,
  `field_mt_spn_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spn_body_format` (`field_mt_spn_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spn_body.';

--
-- Dumping data for table `node__field_mt_spn_body`
--

INSERT INTO `node__field_mt_spn_body` VALUES
('mt_sponsor', 0, 70, 70, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 71, 71, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 72, 72, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 73, 73, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 74, 74, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_sponsor', 0, 75, 75, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_spn_logo`
--

CREATE TABLE `node__field_mt_spn_logo` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_spn_logo_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_spn_logo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_spn_logo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_spn_logo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_spn_logo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_spn_logo_target_id` (`field_mt_spn_logo_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_spn_logo.';

--
-- Dumping data for table `node__field_mt_spn_logo`
--

INSERT INTO `node__field_mt_spn_logo` VALUES
('mt_sponsor', 0, 70, 70, 'en', 0, 229, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 71, 71, 'en', 0, 228, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 72, 72, 'en', 0, 227, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 73, 73, 'en', 0, 226, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 74, 74, 'en', 0, 225, 'sponsor', '', 240, 240),
('mt_sponsor', 0, 75, 75, 'en', 0, 224, 'sponsor', '', 240, 240);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_banner_image`
--

CREATE TABLE `node__field_mt_srv_banner_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_banner_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_srv_banner_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_srv_banner_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_srv_banner_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_srv_banner_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_banner_image_target_id` (`field_mt_srv_banner_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_banner_image.';

--
-- Dumping data for table `node__field_mt_srv_banner_image`
--

INSERT INTO `node__field_mt_srv_banner_image` VALUES
('mt_service', 0, 9, 9, 'en', 0, 245, 'First accommodation', 'First Slide', 1920, 650),
('mt_service', 0, 9, 9, 'en', 1, 246, 'First accommodation', 'Second Slide', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_body`
--

CREATE TABLE `node__field_mt_srv_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_body_value` longtext NOT NULL,
  `field_mt_srv_body_summary` longtext DEFAULT NULL,
  `field_mt_srv_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_body_format` (`field_mt_srv_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_body.';

--
-- Dumping data for table `node__field_mt_srv_body`
--

INSERT INTO `node__field_mt_srv_body` VALUES
('mt_service', 0, 4, 4, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 5, 5, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 6, 6, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 7, 7, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 8, 8, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n', '', 'basic_html'),
('mt_service', 0, 9, 9, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<blockquote>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies. Appropriately communicate adaptive imperatives rather than value-added potentialities.</blockquote>\r\n\r\n<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise <a href="#">with competitive technologies</a>. Appropriately communicate adaptive imperatives rather than value-added potentialities. Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.</p>\r\n\r\n<h3 class="description-title">Lorem ipsum dolor sit amed consetatur</h3>\r\n\r\n<p>Compellingly <a href="#">recaptiualize enterprise-wide web-readiness</a> for robust strategic theme areas. Synergistically reconceptualize user-centric functionalities via revolutionary strategic theme areas. Progressively transition out-of-the-box leadership skills rather than top-line and <a href="#">this is a hover link</a>.</p>\r\n\r\n<table>\r\n	<tbody>\r\n		<tr>\r\n			<th>Service</th>\r\n			<th>Quantity</th>\r\n			<th>Price</th>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>Lorem ipsum dolor sit amet</td>\r\n			<td>24 pieces in stock</td>\r\n			<td><s>$279.00</s> $189.00</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>Praesent luctus fermentum tincidunt</td>\r\n			<td>132 pieces in stock</td>\r\n			<td><s>$453.00</s> $379.00</td>\r\n		</tr>\r\n		<tr class="odd">\r\n			<td>Morbi venenatis, ligula ut tincidunt</td>\r\n			<td>1231 pieces in stock</td>\r\n			<td><s>$1193.00</s> $1089.00</td>\r\n		</tr>\r\n		<tr class="even">\r\n			<td>Duis vitae odio ac ante faucibus faucibus</td>\r\n			<td>978 pieces in stock</td>\r\n			<td><s>$687.00</s> $620.00</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_buy_link`
--

CREATE TABLE `node__field_mt_srv_buy_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_buy_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_srv_buy_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_srv_buy_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_buy_link_uri` (`field_mt_srv_buy_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_buy_link.';

--
-- Dumping data for table `node__field_mt_srv_buy_link`
--

INSERT INTO `node__field_mt_srv_buy_link` VALUES
('mt_service', 0, 4, 4, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 5, 5, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 6, 6, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 7, 7, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 8, 8, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}'),
('mt_service', 0, 9, 9, 'en', 0, 'http://sites.fastspring.com/morethanthemes/product/fullbundlesubscription?option=show_contents', 'Book now', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_highlight`
--

CREATE TABLE `node__field_mt_srv_highlight` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_highlight_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `field_mt_srv_highlight_target_revision_id` int(10) unsigned NOT NULL COMMENT 'The revision ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_highlight_target_id` (`field_mt_srv_highlight_target_id`),
  KEY `field_mt_srv_highlight_target_revision_id` (`field_mt_srv_highlight_target_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_highlight.';

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_image`
--

CREATE TABLE `node__field_mt_srv_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_srv_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_srv_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_srv_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_srv_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_image_target_id` (`field_mt_srv_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_image.';

--
-- Dumping data for table `node__field_mt_srv_image`
--

INSERT INTO `node__field_mt_srv_image` VALUES
('mt_service', 0, 4, 4, 'en', 0, 204, 'Image', '', 1280, 690),
('mt_service', 0, 5, 5, 'en', 0, 205, 'Fifth accommodation', 'Fifth accommodation', 1280, 690),
('mt_service', 0, 6, 6, 'en', 0, 206, 'Fourth accommodation', 'Fourth accommodation', 1280, 690),
('mt_service', 0, 7, 7, 'en', 0, 207, 'Third accommodation', 'Third accommodation', 1280, 690),
('mt_service', 0, 8, 8, 'en', 0, 208, 'Second accommodation', 'Second accommodation', 1280, 690),
('mt_service', 0, 9, 9, 'en', 0, 198, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 1, 199, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 2, 200, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 3, 201, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 4, 202, 'First Service', '', 1280, 690),
('mt_service', 0, 9, 9, 'en', 5, 203, 'First Service', '', 1280, 690);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_price`
--

CREATE TABLE `node__field_mt_srv_price` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_price_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_price.';

--
-- Dumping data for table `node__field_mt_srv_price`
--

INSERT INTO `node__field_mt_srv_price` VALUES
('mt_service', 0, 4, 4, 'en', 0, '$459'),
('mt_service', 0, 5, 5, 'en', 0, '$349'),
('mt_service', 0, 6, 6, 'en', 0, '$299'),
('mt_service', 0, 7, 7, 'en', 0, '$199'),
('mt_service', 0, 8, 8, 'en', 0, '$399'),
('mt_service', 0, 9, 9, 'en', 0, '$299');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_service_tags`
--

CREATE TABLE `node__field_mt_srv_service_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_service_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_service_tags_target_id` (`field_mt_srv_service_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_service_tags.';

--
-- Dumping data for table `node__field_mt_srv_service_tags`
--

INSERT INTO `node__field_mt_srv_service_tags` VALUES
('mt_service', 0, 4, 4, 'en', 0, 2),
('mt_service', 0, 5, 5, 'en', 0, 2),
('mt_service', 0, 6, 6, 'en', 0, 1),
('mt_service', 0, 7, 7, 'en', 0, 4),
('mt_service', 0, 8, 8, 'en', 0, 3),
('mt_service', 0, 9, 9, 'en', 0, 3),
('mt_service', 0, 9, 9, 'en', 1, 2);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_subheader_body`
--

CREATE TABLE `node__field_mt_srv_subheader_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_subheader_body_value` longtext NOT NULL,
  `field_mt_srv_subheader_body_summary` longtext DEFAULT NULL,
  `field_mt_srv_subheader_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_srv_subheader_body_format` (`field_mt_srv_subheader_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_subheader_body.';

--
-- Dumping data for table `node__field_mt_srv_subheader_body`
--

INSERT INTO `node__field_mt_srv_subheader_body` VALUES
('mt_service', 0, 9, 9, 'en', 0, '<p>Phosfluorescently e-enable adaptive synergy for strategic quality vectors. Continually transform fully tested expertise with competitive technologies appropriately communicate.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_srv_video`
--

CREATE TABLE `node__field_mt_srv_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_srv_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_srv_video.';

--
-- Dumping data for table `node__field_mt_srv_video`
--

INSERT INTO `node__field_mt_srv_video` VALUES
('mt_service', 0, 9, 9, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_subheader_body`
--

CREATE TABLE `node__field_mt_subheader_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_subheader_body_value` longtext NOT NULL,
  `field_mt_subheader_body_summary` longtext DEFAULT NULL,
  `field_mt_subheader_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_subheader_body_format` (`field_mt_subheader_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_subheader_body.';

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tmm_body`
--

CREATE TABLE `node__field_mt_tmm_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_body_value` longtext NOT NULL,
  `field_mt_tmm_body_summary` longtext DEFAULT NULL,
  `field_mt_tmm_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tmm_body_format` (`field_mt_tmm_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tmm_body.';

--
-- Dumping data for table `node__field_mt_tmm_body`
--

INSERT INTO `node__field_mt_tmm_body` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 42, 42, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 43, 43, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 44, 44, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 45, 45, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_team_member', 0, 51, 51, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tmm_facebook_account`
--

CREATE TABLE `node__field_mt_tmm_facebook_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_facebook_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tmm_facebook_account.';

--
-- Dumping data for table `node__field_mt_tmm_facebook_account`
--

INSERT INTO `node__field_mt_tmm_facebook_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://www.facebook.com'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://www.facebook.com');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tmm_linkedin_account`
--

CREATE TABLE `node__field_mt_tmm_linkedin_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_linkedin_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tmm_linkedin_account.';

--
-- Dumping data for table `node__field_mt_tmm_linkedin_account`
--

INSERT INTO `node__field_mt_tmm_linkedin_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://www.linkedin.com'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://www.linkedin.com');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tmm_member_photo`
--

CREATE TABLE `node__field_mt_tmm_member_photo` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_member_photo_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_tmm_member_photo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_tmm_member_photo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_tmm_member_photo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_tmm_member_photo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tmm_member_photo_target_id` (`field_mt_tmm_member_photo_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tmm_member_photo.';

--
-- Dumping data for table `node__field_mt_tmm_member_photo`
--

INSERT INTO `node__field_mt_tmm_member_photo` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 230, 'Team member five', 'Team member five', 750, 750),
('mt_team_member', 0, 42, 42, 'en', 0, 231, 'Team member four', 'Team member four', 750, 750),
('mt_team_member', 0, 43, 43, 'en', 0, 232, 'Team member three', 'Team member three', 750, 750),
('mt_team_member', 0, 44, 44, 'en', 0, 233, 'Team member two', 'Team member two', 750, 750),
('mt_team_member', 0, 45, 45, 'en', 0, 234, 'Team member one', 'Team member one', 750, 750),
('mt_team_member', 0, 51, 51, 'en', 0, 235, 'Team member six', 'Team member six', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tmm_subtitle`
--

CREATE TABLE `node__field_mt_tmm_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tmm_subtitle.';

--
-- Dumping data for table `node__field_mt_tmm_subtitle`
--

INSERT INTO `node__field_mt_tmm_subtitle` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'Director of Communications'),
('mt_team_member', 0, 42, 42, 'en', 0, 'Program Committee Chair'),
('mt_team_member', 0, 43, 43, 'en', 0, 'Vice President'),
('mt_team_member', 0, 44, 44, 'en', 0, 'Senior Vice President'),
('mt_team_member', 0, 45, 45, 'en', 0, 'President'),
('mt_team_member', 0, 51, 51, 'en', 0, 'Director of Memembership');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tmm_twitter_account`
--

CREATE TABLE `node__field_mt_tmm_twitter_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_twitter_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tmm_twitter_account.';

--
-- Dumping data for table `node__field_mt_tmm_twitter_account`
--

INSERT INTO `node__field_mt_tmm_twitter_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://twitter.com/'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://twitter.com/');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tmm_youtube_account`
--

CREATE TABLE `node__field_mt_tmm_youtube_account` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tmm_youtube_account_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tmm_youtube_account.';

--
-- Dumping data for table `node__field_mt_tmm_youtube_account`
--

INSERT INTO `node__field_mt_tmm_youtube_account` VALUES
('mt_team_member', 0, 41, 41, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 42, 42, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 43, 43, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 44, 44, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 45, 45, 'en', 0, 'https://youtube.com'),
('mt_team_member', 0, 51, 51, 'en', 0, 'https://youtube.com');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tst_body`
--

CREATE TABLE `node__field_mt_tst_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_body_value` longtext NOT NULL,
  `field_mt_tst_body_summary` longtext DEFAULT NULL,
  `field_mt_tst_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tst_body_format` (`field_mt_tst_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tst_body.';

--
-- Dumping data for table `node__field_mt_tst_body`
--

INSERT INTO `node__field_mt_tst_body` VALUES
('mt_testimonial', 0, 33, 33, 'en', 0, '<p>In voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident. Lorem ipsum dolor sit amet, consectetur.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 34, 34, 'en', 0, '<p>Excepteur sint occaecat cupidatat non proident. Lorem ipsum dolor sit amet, consectetur.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 47, 47, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 48, 48, 'en', 0, '<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 49, 49, 'en', 0, '<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit.</p>\r\n', '', 'basic_html'),
('mt_testimonial', 0, 50, 50, 'en', 0, '<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tst_subtitle`
--

CREATE TABLE `node__field_mt_tst_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tst_subtitle.';

--
-- Dumping data for table `node__field_mt_tst_subtitle`
--

INSERT INTO `node__field_mt_tst_subtitle` VALUES
('mt_testimonial', 0, 33, 33, 'en', 0, 'Founder & CEO, Company name'),
('mt_testimonial', 0, 34, 34, 'en', 0, 'Chief Technology Officer'),
('mt_testimonial', 0, 47, 47, 'en', 0, 'Assistant Manager at Biomedics '),
('mt_testimonial', 0, 48, 48, 'en', 0, 'Founder & CEO at Jermains Biology'),
('mt_testimonial', 0, 49, 49, 'en', 0, 'Counselor at Research For All'),
('mt_testimonial', 0, 50, 50, 'en', 0, 'Founder & CEO at Dolorison');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tst_testimonial_image`
--

CREATE TABLE `node__field_mt_tst_testimonial_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_testimonial_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_tst_testimonial_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_tst_testimonial_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_tst_testimonial_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_tst_testimonial_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tst_testimonial_image_target_id` (`field_mt_tst_testimonial_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tst_testimonial_image.';

--
-- Dumping data for table `node__field_mt_tst_testimonial_image`
--

INSERT INTO `node__field_mt_tst_testimonial_image` VALUES
('mt_testimonial', 0, 33, 33, 'en', 0, 238, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 34, 34, 'en', 0, 239, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 47, 47, 'en', 0, 240, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 48, 48, 'en', 0, 241, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 49, 49, 'en', 0, 237, 'Testimonial image', '', 750, 750),
('mt_testimonial', 0, 50, 50, 'en', 0, 236, 'Testimonial image', '', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_tst_testimonial_link`
--

CREATE TABLE `node__field_mt_tst_testimonial_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tst_testimonial_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_tst_testimonial_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_tst_testimonial_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tst_testimonial_link_uri` (`field_mt_tst_testimonial_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_tst_testimonial_link.';

--
-- Dumping data for table `node__field_mt_tst_testimonial_link`
--

INSERT INTO `node__field_mt_tst_testimonial_link` VALUES
('mt_testimonial', 0, 49, 49, 'en', 0, 'http://www.morethanthemes.com/', 'Testimonial Link', 'a:0:{}'),
('mt_testimonial', 0, 50, 50, 'en', 0, 'http://www.morethanthemes.com/', 'Testimonial Link', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_mt_video`
--

CREATE TABLE `node__field_mt_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_mt_video.';

--
-- Dumping data for table `node__field_mt_video`
--

INSERT INTO `node__field_mt_video` VALUES
('article', 0, 14, 14, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY');

-- --------------------------------------------------------

--
-- Table structure for table `node__field_tags`
--

CREATE TABLE `node__field_tags` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_tags_target_id` (`field_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for node field field_tags.';

--
-- Dumping data for table `node__field_tags`
--

INSERT INTO `node__field_tags` VALUES
('article', 0, 10, 10, 'en', 0, 9),
('article', 0, 10, 10, 'en', 1, 10),
('article', 0, 10, 10, 'en', 2, 11),
('article', 0, 11, 11, 'en', 0, 12),
('article', 0, 11, 11, 'en', 1, 13),
('article', 0, 12, 12, 'en', 0, 9),
('article', 0, 12, 12, 'en', 1, 10),
('article', 0, 13, 13, 'en', 0, 10),
('article', 0, 13, 13, 'en', 1, 12),
('article', 0, 14, 14, 'en', 0, 13),
('article', 0, 14, 14, 'en', 1, 10),
('article', 0, 15, 15, 'en', 0, 12),
('article', 0, 15, 15, 'en', 1, 13),
('article', 0, 15, 15, 'en', 2, 9);

-- --------------------------------------------------------

--
-- Table structure for table `old_5e737c_url_alias`
--

CREATE TABLE `old_5e737c_url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for. e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path. e.g. title-of-the-story.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code this alias is for. if ''und'', the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_langcode_pid` (`alias`(191),`langcode`,`pid`),
  KEY `source_langcode_pid` (`source`(191),`langcode`,`pid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='A list of URL aliases for Drupal paths. a user may visit…';

--
-- Dumping data for table `old_5e737c_url_alias`
--

INSERT INTO `old_5e737c_url_alias` VALUES
(1, '/node/9', '/accommodations-3-col/first-accommodation', 'en'),
(2, '/node/8', '/accommodations-3-col/second-accommodation', 'en'),
(3, '/node/7', '/accommodations-3-col/third-accommodation', 'en'),
(4, '/node/6', '/accommodations-3-col/fourth-accommodation', 'en'),
(5, '/node/5', '/accommodations-3-col/fifth-accommodation', 'en'),
(6, '/node/4', '/accommodations-3-col/transfer', 'en'),
(7, '/node/23', '/products-3-col/first-product', 'en'),
(8, '/node/22', '/products-3-col/second-product', 'en'),
(9, '/node/21', '/products-3-col/third-product', 'en'),
(10, '/node/20', '/products-3-col/fourth-product', 'en'),
(11, '/node/19', '/products-3-col/fifth-product', 'en'),
(12, '/node/18', '/products-3-col/sixth-product', 'en'),
(23, '/node/15', '/articles/article-1', 'en'),
(24, '/node/14', '/articles/article-2', 'en'),
(25, '/node/13', '/articles/article-3', 'en'),
(26, '/node/12', '/articles/article-4', 'en'),
(27, '/node/11', '/articles/article-5', 'en'),
(28, '/node/10', '/articles/article-6', 'en'),
(29, '/node/1', '/style-guide', 'en'),
(30, '/node/2', '/shortcodes', 'en'),
(31, '/node/36', '/responsive-grid', 'en'),
(32, '/node/37', '/responsive-grid-2', 'en'),
(33, '/node/16', '/boxed-slideshow', 'en'),
(34, '/node/17', '/fullscreen-slideshow', 'en'),
(35, '/node/39', '/faq', 'en'),
(36, '/node/40', '/alternative-header-3', 'en'),
(37, '/node/45', '/team-members/team-member-one', 'en'),
(38, '/node/44', '/team-members/team-member-two', 'en'),
(39, '/node/43', '/team-members/team-member-three', 'en'),
(40, '/node/42', '/team-members/team-member-four', 'en'),
(41, '/node/41', '/team-members/team-member-five', 'en'),
(42, '/node/46', '/products-3-col/seventh-product', 'en'),
(43, '/node/51', '/team-members/team-member-six', 'en'),
(45, '/node/55', '/video-gallery-slideshow', 'en'),
(46, '/node/56', '/investors', 'en'),
(47, '/node/57', '/not-found', 'en'),
(48, '/node/58', '/blocks', 'en'),
(49, '/node/59', '/fullwidth-slideshow', 'en'),
(50, '/node/60', '/alternative-footer', 'en'),
(51, '/node/61', '/mega-menu', 'en'),
(52, '/node/62', '/pricing-tables-alternative', 'en'),
(53, '/node/81', '/albums/album-one', 'en'),
(54, '/node/80', '/albums/album-two', 'en'),
(55, '/node/79', '/albums/album-three', 'en'),
(56, '/node/78', '/albums/album-four', 'en'),
(57, '/node/77', '/albums/album-five', 'en'),
(58, '/node/76', '/albums/album-six', 'en'),
(75, '/webform/register', '/form/register', 'en'),
(76, '/webform/register', '/form/register', 'und'),
(77, '/webform/register/submissions', '/form/register/submissions', 'en'),
(78, '/webform/register/submissions', '/form/register/submissions', 'und'),
(79, '/webform/register/drafts', '/form/register/drafts', 'en'),
(80, '/webform/register/drafts', '/form/register/drafts', 'und'),
(81, '/webform/register/confirmation', '/form/register/confirmation', 'en'),
(82, '/webform/register/confirmation', '/form/register/confirmation', 'und'),
(83, '/node/94', '/about-us', 'en'),
(84, '/node/85', '/presentations/presentation-one', 'en'),
(85, '/node/88', '/presentations/presentation-four', 'en'),
(86, '/node/87', '/presentations/presentation-three', 'en'),
(87, '/node/86', '/presentations/presentation-two', 'en'),
(88, '/node/91', '/events/event-four', 'en'),
(89, '/node/90', '/events/event-three', 'en'),
(90, '/node/89', '/events/event-two', 'en'),
(91, '/node/84', '/events/event-one', 'en'),
(92, '/node/95', '/program-google', 'en'),
(93, '/node/63', '/landing-page', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `old_8cbfc2taxonomy_term_data`
--

CREATE TABLE `old_8cbfc2taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`tid`),
  UNIQUE KEY `taxonomy_term_field__uuid__value` (`uuid`),
  KEY `taxonomy_term_field__vid__target_id` (`vid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for taxonomy_term entities.';

--
-- Dumping data for table `old_8cbfc2taxonomy_term_data`
--

INSERT INTO `old_8cbfc2taxonomy_term_data` VALUES
(1, 'mt_service_tags', '3dfe0579-10d1-4032-bdaf-d82ba4a3fc3e', 'en'),
(2, 'mt_service_tags', '6e5870ce-2848-4d1b-b084-cfedf1fb81c0', 'en'),
(3, 'mt_service_tags', '56f4cb3e-964e-4398-b2a8-150b66be77a2', 'en'),
(4, 'mt_service_tags', '011ff77d-0dd2-4eb2-87cb-33f9fcba12e4', 'en'),
(9, 'tags', '6c73c62e-49e4-45cc-93de-45835e851761', 'en'),
(10, 'tags', '43ffe258-c96e-4f55-9089-eed6971ec743', 'en'),
(11, 'tags', '6395bc3b-1234-4bd1-b0ad-270c6fcc0b99', 'en'),
(12, 'tags', '6fcdb757-4f55-48c5-be9e-7f3e43491d8f', 'en'),
(13, 'tags', 'e3093a51-03f7-48da-81a3-37d5b75d3ef4', 'en'),
(18, 'font_classification', '17446f80-8d34-40cc-ab9f-3fee7f30131c', 'en'),
(19, 'languages_supported', '6588e67a-2c28-42c1-98f1-30d72cac6328', 'en'),
(20, 'font_classification', 'bfa6bbb4-f657-4792-b1e1-bdd312d33b2c', 'en'),
(21, 'languages_supported', '60db99f2-0b1f-45ff-be70-1e724afe1b2f', 'en'),
(22, 'font_classification', '1b9cbc06-509b-42ef-ba7e-19dd7f358a96', 'en'),
(23, 'languages_supported', '15fd35d0-d4d2-47b5-8cb7-0b38b010e762', 'en'),
(24, 'languages_supported', '9ed74df8-ef09-4d47-aea0-57418a94eef8', 'en'),
(25, 'font_classification', 'cfc59272-4e7b-440f-9c24-8121e1c52e39', 'en'),
(26, 'languages_supported', '47ed109d-312b-455e-8c24-c807926818f1', 'en'),
(27, 'font_classification', 'e63ab54f-3b7c-43f7-8976-e4eb9cd2a966', 'en'),
(28, 'languages_supported', 'bcd62403-9959-4483-902f-9681788fc5b4', 'en'),
(29, 'languages_supported', 'c1cdc43c-8afe-48ec-b7a9-780edabfd4aa', 'en'),
(30, 'languages_supported', '21846484-5884-4b22-999a-98533b6414fc', 'en'),
(31, 'languages_supported', 'df366265-aa5a-43a2-a2cf-bd67fe469b71', 'en'),
(32, 'languages_supported', '9a74d5e1-e5d1-46c8-9aa0-280e7c1ac53f', 'en'),
(33, 'languages_supported', '32e2210b-7dc5-4772-b826-a0c6b8da3a51', 'en'),
(34, 'languages_supported', '2c9dc05b-e70d-4fd9-93f8-9dbc6d2203b7', 'en'),
(35, 'languages_supported', 'ed42df9e-892e-48c1-beee-8295416bdf05', 'en'),
(36, 'languages_supported', 'b72925ad-f146-407a-bcdc-20482a2261bd', 'en'),
(37, 'languages_supported', '24723779-acc7-4740-8731-cfe9abad6ff5', 'en'),
(38, 'languages_supported', 'bbcb58af-f539-4772-8d19-4ce83a12ec07', 'en'),
(45, 'mt_collections', '874b35fb-8f85-4ad4-8d53-79c7d3d41d27', 'en'),
(46, 'mt_collections', '0b62da18-3694-4e0a-8145-ed9e61016591', 'en'),
(47, 'mt_collections', '7685b74e-7da4-41cf-9ea3-0100a3337f07', 'en'),
(48, 'mt_collections', '586c6ebe-883f-4488-920e-f431c49a3b03', 'en'),
(51, 'tags', '3293fc11-14e2-4d79-acba-2a0802ce948b', 'en'),
(52, 'tags', 'a1cb80e9-1125-4331-9555-e1a2b1281a92', 'en'),
(53, 'mt_affiliations', '3594b590-e252-44ef-a7f0-801429706283', 'en'),
(54, 'mt_affiliations', '8102b910-ebf7-4b00-ad09-23c0fbfa7454', 'en'),
(55, 'mt_affiliations', '805dd296-07e4-4dde-8c73-f1966fe6d8fc', 'en'),
(56, 'mt_affiliations', '4860315d-611c-492a-b432-3837ed1953a7', 'en'),
(57, 'mt_affiliations', '19021be9-d15d-4cc5-a596-602758f723ae', 'en'),
(58, 'mt_affiliations', '5e113c02-12a3-4aef-9e5b-99da2688cd8a', 'en'),
(59, 'mt_topics', 'cd9c23e1-916e-45a1-9e30-18e3f0d62bb7', 'en'),
(60, 'mt_topics', 'ee514a48-6f89-4a4d-9bd3-f7d294dc996e', 'en'),
(61, 'mt_topics', 'b91f0ab2-dced-450c-876e-e04c472d8d7c', 'en'),
(62, 'mt_topics', '11935113-e85e-4c5a-a5e5-4cb01f799da4', 'en'),
(63, 'mt_topics', 'f632cd5f-e42d-494a-bebd-d56f42cdd373', 'en'),
(64, 'mt_topics', 'e67365ad-c9b9-46d7-94bf-395879179818', 'en'),
(65, 'mt_session', 'fcf2e2f2-5d98-49af-a5e9-70e022357190', 'en'),
(66, 'mt_session', '333e7789-98a4-49e5-8c05-4ba7f7eec228', 'en'),
(67, 'mt_session', '74c11aa5-76ed-45ed-86ab-fd758be23558', 'en'),
(68, 'mt_session', '7e716129-c469-416f-bfae-2d8bc6777a9c', 'en'),
(69, 'mt_event_categories', '15f7d682-b301-4fac-b62f-115550ad27bc', 'en'),
(70, 'mt_event_categories', 'eb7ddd14-8288-448c-89ca-4a0de014f956', 'en'),
(71, 'mt_event_categories', '15be88ae-d66b-4847-889e-860db9903f8f', 'en'),
(72, 'mt_event_categories', 'b2cca0c1-bf89-403c-80b8-1813d5d4d686', 'en'),
(73, 'mt_presentation_categories', '63a7f93c-07df-452e-8148-3320524d243d', 'en'),
(74, 'mt_presentation_categories', 'ffecc033-66e3-4eaa-a257-5737cb079ea1', 'en'),
(75, 'mt_presentation_categories', '97154152-fb7f-4d9b-ae09-05b11bf5258b', 'en'),
(76, 'mt_presentation_categories', 'f98c0c3f-7d71-4725-9b74-6a6865de36e6', 'en'),
(77, 'mt_program_entry_categories', '22a38471-0c7f-4648-b30f-333eecbf4300', 'en'),
(78, 'mt_program_entry_categories', 'd2924e12-c2b1-4933-a403-15439a844c27', 'en'),
(79, 'mt_album_categories', 'ab8c4a64-b651-4b5d-8df1-1d47a42d61f9', 'en'),
(80, 'mt_album_categories', 'd59d3222-0a20-4f6d-baf9-f653866a8c2a', 'en'),
(81, 'mt_album_categories', 'e6cf75df-30b7-4947-a77f-960eeb30eeea', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `old_8cbfc2taxonomy_term_field_data`
--

CREATE TABLE `old_8cbfc2taxonomy_term_field_data` (
  `tid` int(10) unsigned NOT NULL,
  `vid` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `name` varchar(255) NOT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `weight` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`tid`,`langcode`),
  KEY `taxonomy_term_field__name` (`name`(191)),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term__tree` (`vid`,`weight`,`name`(191)),
  KEY `taxonomy_term__vid_name` (`vid`,`name`(191)),
  KEY `taxonomy_term__status_vid` (`status`,`vid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for taxonomy_term entities.';

--
-- Dumping data for table `old_8cbfc2taxonomy_term_field_data`
--

INSERT INTO `old_8cbfc2taxonomy_term_field_data` VALUES
(1, 'mt_service_tags', 'en', 'Accommodation Category 1', NULL, NULL, 0, 1520514596, 1, 1),
(2, 'mt_service_tags', 'en', 'Accommodation Category 2', NULL, NULL, 0, 1520514610, 1, 1),
(3, 'mt_service_tags', 'en', 'Accommodation Category 3', NULL, NULL, 0, 1520514614, 1, 1),
(4, 'mt_service_tags', 'en', 'Accommodation Category 4', NULL, NULL, 0, 1520514618, 1, 1),
(9, 'tags', 'en', 'Red', NULL, NULL, 0, 1516031711, 1, 1),
(10, 'tags', 'en', 'Black', NULL, NULL, 0, 1516031536, 1, 1),
(11, 'tags', 'en', 'Purple', NULL, NULL, 0, 1516031701, 1, 1),
(12, 'tags', 'en', 'Green', NULL, NULL, 0, 1516031687, 1, 1),
(13, 'tags', 'en', 'Gold', NULL, NULL, 0, 1516031679, 1, 1),
(18, 'font_classification', 'en', 'handwriting', NULL, NULL, 0, 1468916080, 1, 1),
(19, 'languages_supported', 'en', 'latin', NULL, NULL, 0, 1468916080, 1, 1),
(20, 'font_classification', 'en', 'serif', NULL, NULL, 0, 1468916083, 1, 1),
(21, 'languages_supported', 'en', 'latin-ext', NULL, NULL, 0, 1468916083, 1, 1),
(22, 'font_classification', 'en', 'display', NULL, NULL, 0, 1468916083, 1, 1),
(23, 'languages_supported', 'en', 'cyrillic', NULL, NULL, 0, 1468916083, 1, 1),
(24, 'languages_supported', 'en', 'devanagari', NULL, NULL, 0, 1468916083, 1, 1),
(25, 'font_classification', 'en', 'sans-serif', NULL, NULL, 0, 1468916083, 1, 1),
(26, 'languages_supported', 'en', 'hebrew', NULL, NULL, 0, 1468916084, 1, 1),
(27, 'font_classification', 'en', 'monospace', NULL, NULL, 0, 1468916084, 1, 1),
(28, 'languages_supported', 'en', 'cyrillic-ext', NULL, NULL, 0, 1468916084, 1, 1),
(29, 'languages_supported', 'en', 'greek-ext', NULL, NULL, 0, 1468916084, 1, 1),
(30, 'languages_supported', 'en', 'greek', NULL, NULL, 0, 1468916084, 1, 1),
(31, 'languages_supported', 'en', 'thai', NULL, NULL, 0, 1468916087, 1, 1),
(32, 'languages_supported', 'en', 'vietnamese', NULL, NULL, 0, 1468916087, 1, 1),
(33, 'languages_supported', 'en', 'telugu', NULL, NULL, 0, 1468916091, 1, 1),
(34, 'languages_supported', 'en', 'khmer', NULL, NULL, 0, 1468916092, 1, 1),
(35, 'languages_supported', 'en', 'gujarati', NULL, NULL, 0, 1468916097, 1, 1),
(36, 'languages_supported', 'en', 'arabic', NULL, NULL, 0, 1468916099, 1, 1),
(37, 'languages_supported', 'en', 'tamil', NULL, NULL, 0, 1468916116, 1, 1),
(38, 'languages_supported', 'en', 'bengali', NULL, NULL, 0, 1468916145, 1, 1),
(45, 'mt_collections', 'en', 'Clothing', NULL, NULL, 0, 1520533009, 1, 1),
(46, 'mt_collections', 'en', 'Hats', NULL, NULL, 1, 1520533035, 1, 1),
(47, 'mt_collections', 'en', 'Souvenirs', NULL, NULL, 2, 1520533054, 1, 1),
(48, 'mt_collections', 'en', 'Others', NULL, NULL, 3, 1520533066, 1, 1),
(51, 'tags', 'en', 'Silver', NULL, NULL, 0, 1516031719, 1, 1),
(52, 'tags', 'en', 'Yellow', NULL, NULL, 0, 1516031725, 1, 1),
(53, 'mt_affiliations', 'en', 'First Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796311, 1, 1),
(54, 'mt_affiliations', 'en', 'Second Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796334, 1, 1),
(55, 'mt_affiliations', 'en', 'Third Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796352, 1, 1),
(56, 'mt_affiliations', 'en', 'Fourth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796370, 1, 1),
(57, 'mt_affiliations', 'en', 'Fifth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796387, 1, 1),
(58, 'mt_affiliations', 'en', 'Sixth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796407, 1, 1),
(59, 'mt_topics', 'en', 'Topic One', NULL, NULL, 0, 1519817959, 1, 1),
(60, 'mt_topics', 'en', 'Topic Two', NULL, NULL, 0, 1519817973, 1, 1),
(61, 'mt_topics', 'en', 'Topic Three', NULL, NULL, 0, 1519817980, 1, 1),
(62, 'mt_topics', 'en', 'Topic Four', NULL, NULL, 0, 1519817989, 1, 1),
(63, 'mt_topics', 'en', 'Topic Five', NULL, NULL, 0, 1519817999, 1, 1),
(64, 'mt_topics', 'en', 'Topic Six', NULL, NULL, 0, 1519818008, 1, 1),
(65, 'mt_session', 'en', 'Session One', NULL, NULL, 0, 1519819656, 1, 1),
(66, 'mt_session', 'en', 'Session Two', NULL, NULL, 0, 1519819666, 1, 1),
(67, 'mt_session', 'en', 'Session Three', NULL, NULL, 0, 1519819676, 1, 1),
(68, 'mt_session', 'en', 'Session Four', NULL, NULL, 0, 1519819682, 1, 1),
(69, 'mt_event_categories', 'en', 'Social Event', NULL, NULL, 0, 1520505862, 1, 1),
(70, 'mt_event_categories', 'en', 'Get Together', NULL, NULL, 0, 1520505873, 1, 1),
(71, 'mt_event_categories', 'en', 'Party', NULL, NULL, 0, 1520505882, 1, 1),
(72, 'mt_event_categories', 'en', 'Ceremony', NULL, NULL, 0, 1520505890, 1, 1),
(73, 'mt_presentation_categories', 'en', 'Oral presentation', NULL, NULL, 0, 1520508788, 1, 1),
(74, 'mt_presentation_categories', 'en', 'Poster', NULL, NULL, 0, 1520508794, 1, 1),
(75, 'mt_presentation_categories', 'en', 'ePoster', NULL, NULL, 0, 1520508801, 1, 1),
(76, 'mt_presentation_categories', 'en', 'Workshop', NULL, NULL, 0, 1520508810, 1, 1),
(77, 'mt_program_entry_categories', 'en', 'Category one', NULL, NULL, 0, 1521115862, 1, 1),
(78, 'mt_program_entry_categories', 'en', 'Category two', NULL, NULL, 0, 1521115872, 1, 1),
(79, 'mt_album_categories', 'en', 'Keynote', NULL, NULL, 0, 1521196427, 1, 1),
(80, 'mt_album_categories', 'en', 'Cocktail Party', NULL, NULL, 0, 1521196448, 1, 1),
(81, 'mt_album_categories', 'en', 'Opening Ceremony', NULL, NULL, 0, 1521196463, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `old_8cbfc2taxonomy_term__476ddfcb47`
--

CREATE TABLE `old_8cbfc2taxonomy_term__476ddfcb47` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_affiliation_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_affiliation_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_affiliation_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_affiliation_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_affiliation_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_affiliation_image_target_id` (`field_mt_affiliation_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field field_mt_affiliation…';

--
-- Dumping data for table `old_8cbfc2taxonomy_term__476ddfcb47`
--

INSERT INTO `old_8cbfc2taxonomy_term__476ddfcb47` VALUES
('mt_affiliations', 0, 53, 53, 'en', 0, 162, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 54, 54, 'en', 0, 163, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 55, 55, 'en', 0, 164, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 56, 56, 'en', 0, 165, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 57, 57, 'en', 0, 166, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 58, 58, 'en', 0, 167, 'Affiliation', '', 240, 240);

-- --------------------------------------------------------

--
-- Table structure for table `old_8cbfc2taxonomy_term__abcfb5d9bd`
--

CREATE TABLE `old_8cbfc2taxonomy_term__abcfb5d9bd` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_collection_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_collection_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_collection_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_collection_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_collection_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_collection_image_target_id` (`field_mt_collection_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field field_mt_collection…';

--
-- Dumping data for table `old_8cbfc2taxonomy_term__abcfb5d9bd`
--

INSERT INTO `old_8cbfc2taxonomy_term__abcfb5d9bd` VALUES
('mt_collections', 0, 45, 45, 'en', 0, 66, 'Product Group one', '', 750, 835),
('mt_collections', 0, 46, 46, 'en', 0, 68, 'Product Group two', '', 750, 835),
('mt_collections', 0, 47, 47, 'en', 0, 67, 'Product Group three', '', 750, 835),
('mt_collections', 0, 48, 48, 'en', 0, 69, 'Product Group four', '', 750, 835);

-- --------------------------------------------------------

--
-- Table structure for table `old_8cbfc2taxonomy_term__fd8cfd99f4`
--

CREATE TABLE `old_8cbfc2taxonomy_term__fd8cfd99f4` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_wide_collection_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_wide_collection_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_wide_collection_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_wide_collection_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_wide_collection_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_wide_collection_image_target_id` (`field_mt_wide_collection_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field field_mt_wide…';

--
-- Dumping data for table `old_8cbfc2taxonomy_term__fd8cfd99f4`
--

INSERT INTO `old_8cbfc2taxonomy_term__fd8cfd99f4` VALUES
('mt_collections', 0, 48, 48, 'en', 0, 88, 'Product Group four', '', 750, 401);

-- --------------------------------------------------------

--
-- Table structure for table `old_8cbfc2taxonomy_term__parent`
--

CREATE TABLE `old_8cbfc2taxonomy_term__parent` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field parent.';

--
-- Dumping data for table `old_8cbfc2taxonomy_term__parent`
--

INSERT INTO `old_8cbfc2taxonomy_term__parent` VALUES
('mt_service_tags', 0, 1, 1, 'en', 0, 0),
('mt_service_tags', 0, 2, 2, 'en', 0, 0),
('mt_service_tags', 0, 3, 3, 'en', 0, 0),
('mt_service_tags', 0, 4, 4, 'en', 0, 0),
('tags', 0, 9, 9, 'en', 0, 0),
('tags', 0, 10, 10, 'en', 0, 0),
('tags', 0, 11, 11, 'en', 0, 0),
('tags', 0, 12, 12, 'en', 0, 0),
('tags', 0, 13, 13, 'en', 0, 0),
('font_classification', 0, 18, 18, 'en', 0, 0),
('languages_supported', 0, 19, 19, 'en', 0, 0),
('font_classification', 0, 20, 20, 'en', 0, 0),
('languages_supported', 0, 21, 21, 'en', 0, 0),
('font_classification', 0, 22, 22, 'en', 0, 0),
('languages_supported', 0, 23, 23, 'en', 0, 0),
('languages_supported', 0, 24, 24, 'en', 0, 0),
('font_classification', 0, 25, 25, 'en', 0, 0),
('languages_supported', 0, 26, 26, 'en', 0, 0),
('font_classification', 0, 27, 27, 'en', 0, 0),
('languages_supported', 0, 28, 28, 'en', 0, 0),
('languages_supported', 0, 29, 29, 'en', 0, 0),
('languages_supported', 0, 30, 30, 'en', 0, 0),
('languages_supported', 0, 31, 31, 'en', 0, 0),
('languages_supported', 0, 32, 32, 'en', 0, 0),
('languages_supported', 0, 33, 33, 'en', 0, 0),
('languages_supported', 0, 34, 34, 'en', 0, 0),
('languages_supported', 0, 35, 35, 'en', 0, 0),
('languages_supported', 0, 36, 36, 'en', 0, 0),
('languages_supported', 0, 37, 37, 'en', 0, 0),
('languages_supported', 0, 38, 38, 'en', 0, 0),
('mt_collections', 0, 45, 45, 'en', 0, 0),
('mt_collections', 0, 46, 46, 'en', 0, 0),
('mt_collections', 0, 47, 47, 'en', 0, 0),
('mt_collections', 0, 48, 48, 'en', 0, 0),
('tags', 0, 51, 51, 'en', 0, 0),
('tags', 0, 52, 52, 'en', 0, 0),
('mt_affiliations', 0, 53, 53, 'en', 0, 0),
('mt_affiliations', 0, 54, 54, 'en', 0, 0),
('mt_affiliations', 0, 55, 55, 'en', 0, 0),
('mt_affiliations', 0, 56, 56, 'en', 0, 0),
('mt_affiliations', 0, 57, 57, 'en', 0, 0),
('mt_affiliations', 0, 58, 58, 'en', 0, 0),
('mt_topics', 0, 59, 59, 'en', 0, 0),
('mt_topics', 0, 60, 60, 'en', 0, 0),
('mt_topics', 0, 61, 61, 'en', 0, 0),
('mt_topics', 0, 62, 62, 'en', 0, 0),
('mt_topics', 0, 63, 63, 'en', 0, 0),
('mt_topics', 0, 64, 64, 'en', 0, 0),
('mt_session', 0, 65, 65, 'en', 0, 0),
('mt_session', 0, 66, 66, 'en', 0, 0),
('mt_session', 0, 67, 67, 'en', 0, 0),
('mt_session', 0, 68, 68, 'en', 0, 0),
('mt_event_categories', 0, 69, 69, 'en', 0, 0),
('mt_event_categories', 0, 70, 70, 'en', 0, 0),
('mt_event_categories', 0, 71, 71, 'en', 0, 0),
('mt_event_categories', 0, 72, 72, 'en', 0, 0),
('mt_presentation_categories', 0, 73, 73, 'en', 0, 0),
('mt_presentation_categories', 0, 74, 74, 'en', 0, 0),
('mt_presentation_categories', 0, 75, 75, 'en', 0, 0),
('mt_presentation_categories', 0, 76, 76, 'en', 0, 0),
('mt_program_entry_categories', 0, 77, 77, 'en', 0, 0),
('mt_program_entry_categories', 0, 78, 78, 'en', 0, 0),
('mt_album_categories', 0, 79, 79, 'en', 0, 0),
('mt_album_categories', 0, 80, 80, 'en', 0, 0),
('mt_album_categories', 0, 81, 81, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `old_130fd6menu_link_content`
--

CREATE TABLE `old_130fd6menu_link_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `bundle` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menu_link_content_field__uuid__value` (`uuid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for menu_link_content entities.';

--
-- Dumping data for table `old_130fd6menu_link_content`
--

INSERT INTO `old_130fd6menu_link_content` VALUES
(1, 'menu_link_content', 'df77133f-33d8-40c7-b465-e6451721ac92', 'en'),
(3, 'menu_link_content', '619f6fb8-9500-4e06-9d96-c99657a5a3c3', 'en'),
(4, 'menu_link_content', 'b71ef69d-3e76-4aeb-9dbd-cdd461c28187', 'en'),
(6, 'menu_link_content', '46d71c54-fa86-4922-832e-5b85197258b2', 'en'),
(7, 'menu_link_content', 'ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 'en'),
(8, 'menu_link_content', 'd885efac-4a83-4c84-bc8f-68f41300bacd', 'en'),
(9, 'menu_link_content', 'd0ef304a-5246-4977-98a7-dfc835e2a4d8', 'en'),
(11, 'menu_link_content', 'd2dbe641-ddd9-49a5-ac0d-73cfa65ec2f2', 'en'),
(12, 'menu_link_content', 'aac7ac25-9547-42a5-97b3-4d6ad5a19734', 'en'),
(13, 'menu_link_content', '819ad9da-c46a-41a9-9d32-2943791ce48b', 'en'),
(15, 'menu_link_content', 'ff0055e1-2453-4bda-9436-0473cabce714', 'en'),
(16, 'menu_link_content', '7c08d680-4d48-471f-92ae-efed8cbe00b6', 'en'),
(19, 'menu_link_content', '150fae1b-8c12-4f20-812b-680ce5cc429a', 'en'),
(20, 'menu_link_content', '7b33e2ce-9ae0-422a-9b4c-9a8fa296981f', 'en'),
(21, 'menu_link_content', 'bc25bc25-3670-4c2f-9559-4d8ce6b952a6', 'en'),
(22, 'menu_link_content', '14496e50-e17c-4842-b670-d720ed26b3e9', 'en'),
(23, 'menu_link_content', 'ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 'en'),
(24, 'menu_link_content', '6ca70e43-62d1-45ab-bceb-2bd9e449bc80', 'en'),
(25, 'menu_link_content', 'c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 'en'),
(26, 'menu_link_content', '58a26d4a-d78e-449a-9938-7a5351fe4644', 'en'),
(27, 'menu_link_content', 'ff9a11ff-f17d-4a50-834e-6baf68dbb119', 'en'),
(28, 'menu_link_content', 'dace7424-33df-4648-9f9f-2ad1eeca9079', 'en'),
(29, 'menu_link_content', '54900fd2-9dc8-4c1a-8609-14d2001f244b', 'en'),
(30, 'menu_link_content', 'be7b613a-6626-466c-80c4-dea9a4c336e3', 'en'),
(31, 'menu_link_content', 'd69f1890-a005-48af-a01a-87dedcb06adf', 'en'),
(32, 'menu_link_content', '35cba033-55ae-4e59-8ef1-93e1bd6b72e4', 'en'),
(33, 'menu_link_content', 'd11ff201-ce68-476d-b3c7-078f68c5ac37', 'en'),
(34, 'menu_link_content', '30062ec7-50ae-4f75-94c7-78a958ef8a92', 'en'),
(35, 'menu_link_content', '9a7cc794-b7c2-4c34-abdb-41ed4d5a00e8', 'en'),
(36, 'menu_link_content', '91eff73f-c8fc-43c3-be2e-1d1021b31b94', 'en'),
(37, 'menu_link_content', 'e61eab73-2915-4717-a269-71c754fe1d1d', 'en'),
(38, 'menu_link_content', 'aa6234db-421d-4b9c-88ab-d52f67396385', 'en'),
(39, 'menu_link_content', 'adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 'en'),
(40, 'menu_link_content', '1ffa5919-0721-44cc-81a0-0ed8ae8cbe8b', 'en'),
(41, 'menu_link_content', 'ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 'en'),
(43, 'menu_link_content', 'a47935fa-6da5-4f2b-a1cc-f22110b535f3', 'en'),
(44, 'menu_link_content', '9a6aeb08-fa1d-45ff-8bff-735206f163e7', 'en'),
(45, 'menu_link_content', 'ed3ae2f3-4b6a-4ca8-b49a-33e726e0b091', 'en'),
(46, 'menu_link_content', '58b51955-7a6c-4cdc-a3a7-e8cc9f9451b1', 'en'),
(47, 'menu_link_content', '4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 'en'),
(48, 'menu_link_content', 'c5d1ad7c-9f51-4739-a1bb-2a314cf4fa5e', 'en'),
(49, 'menu_link_content', 'd728e857-6891-40ce-982b-38166d6ae9eb', 'en'),
(50, 'menu_link_content', 'e493b484-6770-4386-80a9-b04d0ad1be22', 'en'),
(51, 'menu_link_content', 'a264aad3-3826-482d-8e27-8b95eb25bd12', 'en'),
(52, 'menu_link_content', '74a12bfb-fecb-4c33-af66-8f2648611ce3', 'en'),
(53, 'menu_link_content', '6389ddae-6271-4615-9295-61674f44b990', 'en'),
(54, 'menu_link_content', '14aa4e63-6a31-4c10-b3f2-456555e8877d', 'en'),
(55, 'menu_link_content', 'fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 'en'),
(57, 'menu_link_content', 'b700fea9-6998-421d-84e7-3f659bf73f4f', 'en'),
(58, 'menu_link_content', '98c995be-c2d9-4813-a9a7-e714edf59114', 'en'),
(59, 'menu_link_content', 'ea018f77-4dd8-48ff-8930-10b0ce2e9084', 'en'),
(60, 'menu_link_content', '9a8899a4-6547-40ac-a043-c2547e167918', 'en'),
(61, 'menu_link_content', '9db72736-10bd-4f84-b110-08423df4e416', 'en'),
(63, 'menu_link_content', 'e17c1216-c7e8-444a-bfec-5139b1f2a9a2', 'en'),
(64, 'menu_link_content', 'cf7b31c8-2f90-432b-877b-9203b12b1f8d', 'en'),
(65, 'menu_link_content', '0bb8fa3f-64cc-4084-9f09-a75a2d49e89a', 'en'),
(66, 'menu_link_content', 'b2aa9ae0-8454-4247-806d-e07ce9b9ee7c', 'en'),
(67, 'menu_link_content', 'e513ba0a-7451-468b-b56e-9d6c44f7946c', 'en'),
(68, 'menu_link_content', 'cd2e6dc8-d6f0-4677-9e13-f826adf4333c', 'en'),
(69, 'menu_link_content', '6b617081-dd99-41cd-b895-9c4d730a7c06', 'en'),
(70, 'menu_link_content', 'bf6e2e6e-719c-4d0f-9c58-652c6dff4573', 'en'),
(71, 'menu_link_content', '39b3c326-cbfc-4ba6-b0ff-fb189687221a', 'en'),
(72, 'menu_link_content', '33cf538c-c38c-4b93-9647-3ff85adcde4c', 'en'),
(73, 'menu_link_content', '91b616bb-a24a-4829-b510-71b79daa22d4', 'en'),
(74, 'menu_link_content', '47123056-5045-42bd-9fd8-524e872e201e', 'en'),
(75, 'menu_link_content', 'c8fd0bcc-25fe-4f82-88fb-4753ef1511bc', 'en'),
(76, 'menu_link_content', '98ce31d5-5281-48ff-a951-e361ad538153', 'en'),
(78, 'menu_link_content', 'cb3ba90d-f7a6-4c09-aa1f-1ad4975c76a2', 'en'),
(79, 'menu_link_content', 'fa6c18d9-3d2f-47be-b8c2-7772f0d3c31f', 'en'),
(80, 'menu_link_content', '233c90c6-cf4c-445f-918e-98996a936196', 'en'),
(81, 'menu_link_content', '83b37503-f515-42e6-9276-3c3667c07a5a', 'en'),
(83, 'menu_link_content', '2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 'en'),
(84, 'menu_link_content', '420b8104-48c7-4570-b3b8-bd30a38f6043', 'en'),
(86, 'menu_link_content', '456805c4-f7f2-4126-ba37-0d3ee662160e', 'en'),
(87, 'menu_link_content', '74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 'en'),
(88, 'menu_link_content', '2b9bf63c-e26e-4a2b-9fbf-b12ef7ec0cc1', 'en'),
(89, 'menu_link_content', 'e111820b-4474-4d74-9849-47f82c2a4fa3', 'en'),
(90, 'menu_link_content', 'f9da2d12-b06f-4f14-91d4-ef517018ab94', 'en'),
(91, 'menu_link_content', '93af63bc-239a-49ca-b12d-f0958d8eeed3', 'en'),
(92, 'menu_link_content', '9803cd36-9e28-48f9-9565-c796b7718fa4', 'en'),
(93, 'menu_link_content', 'd46f67bc-5e1f-4286-a9b8-41486bb6e3af', 'en'),
(94, 'menu_link_content', '27c39f44-547f-4498-90a3-26db1e6d01f3', 'en'),
(95, 'menu_link_content', '19d0386c-1e6c-41b1-824f-3f08110cef8a', 'en'),
(96, 'menu_link_content', '57249075-93aa-40ca-ad1e-69d459470fd3', 'en'),
(97, 'menu_link_content', '87d9d3a4-f55c-4376-a1cf-0c6d8d50b2f4', 'en'),
(98, 'menu_link_content', 'ec2a42f2-8b1f-44a8-9ad6-0a341538acdb', 'en'),
(99, 'menu_link_content', '187c2768-dfc7-453f-9924-6e34ad9526f1', 'en'),
(100, 'menu_link_content', '38c113cc-ed8e-4c6e-89f9-0eea95f6a764', 'en'),
(101, 'menu_link_content', 'ea83656c-4196-4016-b1b7-ce2683133f01', 'en'),
(104, 'menu_link_content', 'dfe4e87c-b750-4274-8a33-42e9511ef462', 'en'),
(109, 'menu_link_content', '27773c78-6e23-4e95-a49a-ce29c10d1739', 'en'),
(110, 'menu_link_content', '628f53d2-9894-41e9-8258-3ee56ac5e123', 'en'),
(111, 'menu_link_content', '529004c5-ee96-4898-91c1-c96f2d69141f', 'en'),
(112, 'menu_link_content', '72b61854-74ba-40ba-849a-6a87f4ab0230', 'en'),
(113, 'menu_link_content', '24fc6a71-2598-4617-80c6-d2af28bdd5e9', 'en'),
(114, 'menu_link_content', '7172b9a8-f520-4d23-b3a8-21b2eebaf3be', 'en'),
(115, 'menu_link_content', 'd5a57270-ad64-4078-9ae4-2fa74c473d09', 'en'),
(118, 'menu_link_content', '6062f6ce-04c0-4c72-b574-839305ea7ada', 'en'),
(119, 'menu_link_content', 'f93fe558-7ff5-4041-9ebc-2c9acb5b0101', 'en'),
(120, 'menu_link_content', '50a0e873-392f-47d7-9ac8-7fdc2313fffc', 'en'),
(121, 'menu_link_content', '78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', 'en'),
(122, 'menu_link_content', '9c6c595e-a457-4583-bb16-1c43c80f6598', 'en'),
(123, 'menu_link_content', 'c3cf9603-75d2-4750-bf01-8d3fa4d091f1', 'en'),
(124, 'menu_link_content', '77e4b263-d12a-4e53-8812-4e80a6ce5942', 'en'),
(125, 'menu_link_content', '636cd3bc-86c2-497a-b53e-c093a9fd09c4', 'en'),
(126, 'menu_link_content', '69b1c99b-1625-45a1-9c08-c9323fe184a9', 'en'),
(127, 'menu_link_content', '8ba02371-4d02-4f94-a50c-1eca14192dc2', 'en'),
(128, 'menu_link_content', '9723492c-1562-4b50-a072-7591560ea73d', 'en'),
(129, 'menu_link_content', 'c112ad51-86f9-4817-a6dc-e36b04a20b46', 'en'),
(130, 'menu_link_content', '0dddf63f-8702-4e97-8a12-91604468968e', 'en'),
(131, 'menu_link_content', 'e40bc484-f1ca-4d41-95f5-c14c1c75731c', 'en'),
(132, 'menu_link_content', '35356869-6cc7-4780-aec3-495ad4906b4d', 'en'),
(133, 'menu_link_content', '30680075-2a20-4ce9-bdb4-b0dd21dc1e95', 'en'),
(134, 'menu_link_content', '9125f74a-30ce-48ee-a3a9-e5c92d614f82', 'en'),
(135, 'menu_link_content', 'b8282728-08a0-49df-a3bb-5e7a9eeb7a88', 'en'),
(136, 'menu_link_content', '613bc0cf-f6fd-43b7-b74c-d28650a45368', 'en'),
(137, 'menu_link_content', 'b15e8053-394a-4127-917c-29d9f4821388', 'en'),
(139, 'menu_link_content', '992d67ca-2c8a-4c22-afd9-7ce75542504e', 'en'),
(141, 'menu_link_content', 'd18a5e03-6a2b-4e4d-bb47-9dd5e1208ce0', 'en'),
(142, 'menu_link_content', '646a9bf3-02b0-40e5-a32c-1633c607e6d7', 'en'),
(143, 'menu_link_content', '6cd9d972-5ec3-41c1-ab9e-bd7c9da308c7', 'en'),
(144, 'menu_link_content', '620a77e8-7f6a-439d-8bff-3073d09e9a5d', 'en'),
(145, 'menu_link_content', '311318c2-6a78-4f3d-b231-4a039894a343', 'en'),
(146, 'menu_link_content', '3ebb6549-59dd-4434-ada0-cd9247827dd2', 'en'),
(147, 'menu_link_content', '9214ce65-ffa1-408c-ae8d-76fde4380101', 'en'),
(148, 'menu_link_content', '5b42e52b-11c0-4b0c-adca-55ac10e758aa', 'en'),
(149, 'menu_link_content', '6b0c0519-d617-4b85-87ee-60645657efef', 'en'),
(150, 'menu_link_content', '31546571-3294-4362-a08f-fb0fd0115c9d', 'en'),
(151, 'menu_link_content', '5558911e-ba7c-4c9e-9ed2-e35567693508', 'en'),
(152, 'menu_link_content', 'f0df3a78-8db5-465b-a22c-dcfdff6a56da', 'en'),
(154, 'menu_link_content', 'bbd49726-99c2-4550-8d07-98c2a8537880', 'en'),
(155, 'menu_link_content', '56b0d28d-f3ce-458c-9923-9bef3deed0f9', 'en'),
(156, 'menu_link_content', '4618e30d-7fd6-4972-ac8d-bfde8b236485', 'en'),
(158, 'menu_link_content', 'a030d70e-aca1-406a-b486-7cc0af36e492', 'en'),
(159, 'menu_link_content', 'ff40c4ab-7ae8-4987-962f-749786b775d1', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `old_130fd6menu_link_content_data`
--

CREATE TABLE `old_130fd6menu_link_content_data` (
  `id` int(10) unsigned NOT NULL,
  `bundle` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `menu_name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `rediscover` tinyint(4) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `expanded` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `parent` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30)),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content__enabled_bundle` (`enabled`,`bundle`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for menu_link_content entities.';

--
-- Dumping data for table `old_130fd6menu_link_content_data`
--

INSERT INTO `old_130fd6menu_link_content_data` VALUES
(1, 'menu_link_content', 'en', 'Style Guide', NULL, 'main', 'entity:node/1', '', 'a:0:{}', 0, 0, -94, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(3, 'menu_link_content', 'en', 'Contact', NULL, 'main', 'internal:/contact', '', 'a:0:{}', 0, 1, -93, 0, 1, NULL, 1521029487, 1),
(4, 'menu_link_content', 'en', 'Shortcodes', NULL, 'main', 'internal:/node/2', '', 'a:0:{}', 0, 1, -93, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(6, 'menu_link_content', 'en', 'About', NULL, 'main', 'internal:/about-us', '', 'a:0:{}', 0, 1, -95, 0, 1, NULL, 1521029487, 1),
(7, 'menu_link_content', 'en', 'Features', NULL, 'main', 'internal:/node/2', '', 'a:0:{}', 0, 1, -94, 0, 1, NULL, 1521029487, 1),
(8, 'menu_link_content', 'en', 'Alternative Homepages', NULL, 'main', 'internal:/node/16', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1),
(9, 'menu_link_content', 'en', 'Slideshow - Boxed Width', NULL, 'main', 'internal:/node/16', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1465554673, 1),
(11, 'menu_link_content', 'en', 'Slideshow - Full Screen', NULL, 'main', 'internal:/node/17', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1505469205, 1),
(12, 'menu_link_content', 'en', 'Slideshow - Full Width', NULL, 'main', 'internal:/node/59', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1484678368, 1),
(13, 'menu_link_content', 'en', 'Features', NULL, 'footer', 'internal:/node/2', '', 'a:0:{}', 0, 1, 0, 0, 1, NULL, 1465586186, 1),
(15, 'menu_link_content', 'en', 'Home', NULL, 'footer', 'internal:/', '', 'a:0:{}', 0, 1, 0, 0, 1, NULL, 1465586226, 1),
(16, 'menu_link_content', 'en', 'Typography', NULL, 'footer', 'internal:/node/1', '', 'a:0:{}', 0, 1, 0, 0, 1, NULL, 1465586244, 1),
(19, 'menu_link_content', 'en', 'Typography', NULL, 'mt-subfooter-menu', 'internal:/node/1', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1465587232, 1),
(20, 'menu_link_content', 'en', 'Features', NULL, 'mt-subfooter-menu', 'internal:/node/2', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1465587232, 1),
(21, 'menu_link_content', 'en', 'Contact', NULL, 'mt-subfooter-menu', 'internal:/contact', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1465587232, 1),
(22, 'menu_link_content', 'en', 'Home', NULL, 'mt-subfooter-menu', 'internal:/', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1465587226, 1),
(23, 'menu_link_content', 'en', 'Accommodation', NULL, 'main', 'internal:/accommodations', '', 'a:0:{}', 0, 1, -96, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521741008, 1),
(24, 'menu_link_content', 'en', 'Accommodations - 2 Columns', NULL, 'main', 'internal:/accommodations-2-col', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1520513854, 1),
(25, 'menu_link_content', 'en', 'Accommodations - 3 Columns', NULL, 'main', 'internal:/accommodations', '', 'a:0:{}', 0, 1, -87, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1521136976, 1),
(26, 'menu_link_content', 'en', 'Accommodations - 4 Columns', NULL, 'main', 'internal:/accommodations-4-col', '', 'a:0:{}', 0, 1, -86, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1520513860, 1),
(27, 'menu_link_content', 'en', 'Room type 1', NULL, 'main', 'internal:/node/9', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442712, 1),
(28, 'menu_link_content', 'en', 'Room type 2', NULL, 'main', 'internal:/node/8', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442717, 1),
(29, 'menu_link_content', 'en', 'Room type 3', NULL, 'main', 'internal:/node/7', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442722, 1),
(30, 'menu_link_content', 'en', 'Room type 4', NULL, 'main', 'internal:/node/6', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:c61d6cf1-9d36-48d3-9aad-eba9971fc5a1', 1520442727, 1),
(31, 'menu_link_content', 'en', 'Merchandise', NULL, 'main', 'internal:/merchandise', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521741008, 1),
(32, 'menu_link_content', 'en', 'Merchandise - 2 Columns', NULL, 'main', 'internal:/merchandise-2-col', '', 'a:0:{}', 0, 1, -78, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1520531695, 1),
(33, 'menu_link_content', 'en', 'Merchandise - 3 columns', NULL, 'main', 'internal:/merchandise', '', 'a:0:{}', 0, 1, -76, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1521136990, 1),
(34, 'menu_link_content', 'en', 'Merchandise - 4 Columns', NULL, 'main', 'internal:/merchandise-4-col', '', 'a:0:{}', 0, 1, -75, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1520531703, 1),
(35, 'menu_link_content', 'en', 'First T-shirt', NULL, 'main', 'internal:/node/23', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440485, 1),
(36, 'menu_link_content', 'en', 'Second T-shirt', NULL, 'main', 'internal:/node/22', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440498, 1),
(37, 'menu_link_content', 'en', 'Longsleeve', NULL, 'main', 'internal:/node/21', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440511, 1),
(38, 'menu_link_content', 'en', 'Hoodie', NULL, 'main', 'internal:/node/20', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:d11ff201-ce68-476d-b3c7-078f68c5ac37', 1520440520, 1),
(39, 'menu_link_content', 'en', 'Photo Albums', NULL, 'main', 'internal:/albums', '', 'a:0:{}', 0, 1, -97, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521741076, 1),
(40, 'menu_link_content', 'en', 'Photo Albums - 2 Columns', NULL, 'main', 'internal:/albums-2-col', '', 'a:0:{}', 0, 1, -79, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741059, 1),
(41, 'menu_link_content', 'en', 'Photo Albums - 3 Columns', NULL, 'main', 'internal:/albums', '', 'a:0:{}', 0, 1, -78, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741062, 1),
(43, 'menu_link_content', 'en', 'First Album', NULL, 'main', 'internal:/node/81', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606616, 1),
(44, 'menu_link_content', 'en', 'Second Album', NULL, 'main', 'internal:/node/80', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606633, 1),
(45, 'menu_link_content', 'en', 'Third Album', NULL, 'main', 'internal:/node/79', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606656, 1),
(46, 'menu_link_content', 'en', 'Fourth Album', NULL, 'main', 'internal:/node/78', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:ce0423a4-8e5b-41bc-bc6b-7ebf92480565', 1520606674, 1),
(47, 'menu_link_content', 'en', 'Testimonials', NULL, 'main', 'internal:/testimonials', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(48, 'menu_link_content', 'en', 'Photo Albums - Isotope', NULL, 'main', 'internal:/albums-isotope', '', 'a:0:{}', 0, 1, -75, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741071, 1),
(49, 'menu_link_content', 'en', 'Accommodations - Isotope', NULL, 'main', 'internal:/accommodations-isotope', '', 'a:0:{}', 0, 1, -85, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1520513865, 1),
(50, 'menu_link_content', 'en', 'Merchandise - Isotope', NULL, 'main', 'internal:/merchandise-isotope', '', 'a:0:{}', 0, 1, -74, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1520531707, 1),
(51, 'menu_link_content', 'en', 'Alternative Contact', NULL, 'main', 'internal:/contact/alternative', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1),
(52, 'menu_link_content', 'en', 'Responsive Grid', NULL, 'main', 'internal:/node/36', '', 'a:0:{}', 0, 1, -89, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(53, 'menu_link_content', 'en', 'Grid - No Sidebar', NULL, 'main', 'internal:/node/36', '', 'a:0:{}', 0, 1, -83, 0, 1, 'menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3', 1479213330, 1),
(54, 'menu_link_content', 'en', 'Grid - With Sidebar', NULL, 'main', 'internal:/node/37', '', 'a:0:{}', 0, 1, -82, 0, 1, 'menu_link_content:74a12bfb-fecb-4c33-af66-8f2648611ce3', 1479213330, 1),
(55, 'menu_link_content', 'en', 'Internal Layouts', NULL, 'main', 'internal:/node/9', '', 'a:0:{}', 0, 1, -97, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(57, 'menu_link_content', 'en', 'One sidebar', NULL, 'main', 'internal:/node/9', '', 'a:0:{}', 0, 1, -57, 0, 1, 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 1472059850, 1),
(58, 'menu_link_content', 'en', 'Two sidebars', NULL, 'main', 'internal:/node/5', '', 'a:0:{}', 0, 1, -55, 0, 1, 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 1472059850, 1),
(59, 'menu_link_content', 'en', 'Page with comments', NULL, 'main', 'internal:/node/15', '', 'a:0:{}', 0, 1, -56, 0, 1, 'menu_link_content:fe0fa09b-181f-4cef-9ad8-a297162ce3bc', 1472059850, 1),
(60, 'menu_link_content', 'en', 'Videos', NULL, 'main', 'internal:/videos', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(61, 'menu_link_content', 'en', 'Articles', NULL, 'main', 'internal:/articles', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(63, 'menu_link_content', 'en', 'Merchandise - List', NULL, 'main', 'internal:/merchandise-list', '', 'a:0:{}', 0, 1, -73, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1522338734, 1),
(64, 'menu_link_content', 'en', 'Accommodations - List', NULL, 'main', 'internal:/accommodations-list', '', 'a:0:{}', 0, 1, -84, 0, 1, 'menu_link_content:ff13cfc3-b32c-48a3-b135-8529d5dd12f1', 1522338729, 1),
(65, 'menu_link_content', 'en', 'Articles - 2 columns', NULL, 'main', 'internal:/articles-2-col', '', 'a:0:{}', 0, 1, -93, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1520611766, 1),
(66, 'menu_link_content', 'en', 'Articles - 3 columns', NULL, 'main', 'internal:/articles-3-col', '', 'a:0:{}', 0, 1, -92, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1520611766, 1),
(67, 'menu_link_content', 'en', 'Articles - 4 columns', NULL, 'main', 'internal:/articles-4-col', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1520611766, 1),
(68, 'menu_link_content', 'en', 'Articles - teasers', NULL, 'main', 'internal:/articles', '', 'a:0:{}', 0, 1, -87, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1522338755, 1),
(69, 'menu_link_content', 'en', 'Articles - list', NULL, 'main', 'internal:/articles-list', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:9db72736-10bd-4f84-b110-08423df4e416', 1522338744, 1),
(70, 'menu_link_content', 'en', 'Help Support', NULL, 'mt-footer-menu-two', 'internal:/style-guide', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1471887374, 1),
(71, 'menu_link_content', 'en', 'Track Order', NULL, 'mt-footer-menu-two', 'internal:/contact', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1471887374, 1),
(72, 'menu_link_content', 'en', 'Returns', NULL, 'mt-footer-menu-two', 'internal:/contact', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1471887374, 1),
(73, 'menu_link_content', 'en', 'Shipping Info', NULL, 'mt-footer-menu-two', 'internal:/shortcodes', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1471887374, 1),
(74, 'menu_link_content', 'en', 'FAQs', NULL, 'mt-footer-menu-two', 'internal:/faq', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1472044034, 1),
(75, 'menu_link_content', 'en', 'Shortcodes', NULL, 'mt-footer-menu-three', 'internal:/shortcodes', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1509472798, 1),
(76, 'menu_link_content', 'en', 'Blog', NULL, 'mt-footer-menu-three', 'internal:/articles', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1509472798, 1),
(78, 'menu_link_content', 'en', 'Contact', NULL, 'mt-footer-menu-three', 'internal:/contact', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1509472798, 1),
(79, 'menu_link_content', 'en', 'Login', NULL, 'mt-footer-menu-three', 'internal:/user/login', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1520421684, 1),
(80, 'menu_link_content', 'en', 'FAQ', NULL, 'main', 'internal:/faq', '', 'a:0:{}', 0, 1, -87, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1),
(81, 'menu_link_content', 'en', 'Merchandise - Masonry', NULL, 'main', 'internal:/merchandise-masonry', '', 'a:0:{}', 0, 1, -72, 0, 1, 'menu_link_content:d69f1890-a005-48af-a01a-87dedcb06adf', 1522338738, 1),
(83, 'menu_link_content', 'en', 'Alternative Headers', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1),
(84, 'menu_link_content', 'en', 'CtA navigation header', NULL, 'main', 'internal:/node/17', '', 'a:0:{}', 0, 1, -89, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1),
(86, 'menu_link_content', 'en', 'Alternative header 3', NULL, 'main', 'internal:/node/40', '', 'a:0:{}', 0, 1, -91, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1),
(87, 'menu_link_content', 'en', 'Merchandise Groups', NULL, 'main', 'internal:/merchandise-groups', '', 'a:0:{}', 0, 1, -84, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(88, 'menu_link_content', 'en', 'John Smith', NULL, 'main', 'internal:/node/45', '', 'a:0:{}', 0, 1, -99, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1),
(89, 'menu_link_content', 'en', 'Terry Smith', NULL, 'main', 'internal:/node/44', '', 'a:0:{}', 0, 1, -98, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1),
(90, 'menu_link_content', 'en', 'Nikki Dickinson', NULL, 'main', 'internal:/node/43', '', 'a:0:{}', 0, 1, -97, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1),
(91, 'menu_link_content', 'en', 'Stevie Zonder', NULL, 'main', 'internal:/node/42', '', 'a:0:{}', 0, 1, -96, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1),
(92, 'menu_link_content', 'en', 'Bekki Versace', NULL, 'main', 'internal:/node/41', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1),
(93, 'menu_link_content', 'en', 'Merchandise - Groups Grid', NULL, 'main', 'internal:/merchandise-groups', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 1522338782, 1),
(94, 'menu_link_content', 'en', 'Merchandise - Groups Masonry', NULL, 'main', 'internal:/merchandise-groups-masonry', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:74f7aa62-7466-4059-bd02-2fe75fbcfd6e', 1522338788, 1),
(95, 'menu_link_content', 'en', 'Leadership & Management', NULL, 'main', 'internal:/team-members', '', 'a:0:{}', 0, 1, -99, 0, 1, 'menu_link_content:46d71c54-fa86-4922-832e-5b85197258b2', 1521802177, 1),
(96, 'menu_link_content', 'en', 'Pricing Tables', NULL, 'main', 'internal:/pricing-tables', '', 'a:0:{}', 0, 1, -86, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1505318670, 1),
(97, 'menu_link_content', 'en', 'Testimonials - List', NULL, 'main', 'internal:/testimonials', '', 'a:0:{}', 0, 1, -80, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338770, 1),
(98, 'menu_link_content', 'en', 'Testimonials - Grid', NULL, 'main', 'internal:/testimonials-3-col', '', 'a:0:{}', 0, 1, -82, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338760, 1),
(99, 'menu_link_content', 'en', 'Leadership & Management List', NULL, 'main', 'internal:/team-members-list', '', 'a:0:{}', 0, 1, -93, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1),
(100, 'menu_link_content', 'en', 'Leadership & Management 2', NULL, 'main', 'internal:/team-members-2', '', 'a:0:{}', 0, 1, -94, 0, 1, 'menu_link_content:19d0386c-1e6c-41b1-824f-3f08110cef8a', 1521802177, 1),
(101, 'menu_link_content', 'en', 'Photo Albums - Alternative', NULL, 'main', 'internal:/albums-3-col-style-2', '', 'a:0:{}', 0, 1, -76, 0, 1, 'menu_link_content:adf7f4d2-ffc5-45fb-b354-47a136fb8f79', 1521741067, 1),
(104, 'menu_link_content', 'en', 'Testimonials - Masonry', NULL, 'main', 'internal:/testimonials-masonry', '', 'a:0:{}', 0, 1, -79, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338776, 1),
(109, 'menu_link_content', 'en', 'Testimonials - Grid 2', NULL, 'main', 'internal:/testimonials-3-col-2', '', 'a:0:{}', 0, 1, -81, 0, 1, 'menu_link_content:4c5d8134-1740-4203-ac12-0f8a99e2d5c2', 1522338764, 1),
(110, 'menu_link_content', 'en', 'Alternative header 2', NULL, 'main', 'internal:/node/53', '', 'a:0:{}', 0, 1, -92, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611360, 1),
(111, 'menu_link_content', 'en', 'Alternative header', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -90, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1),
(112, 'menu_link_content', 'en', 'Slideshow - Video Gallery', NULL, 'main', 'entity:node/55', NULL, 'a:0:{}', 0, 0, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1480420524, 1),
(113, 'menu_link_content', 'en', 'Our Investors', NULL, 'main', 'entity:node/56', NULL, 'a:0:{}', 0, 0, -85, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(114, 'menu_link_content', 'en', 'Reusable Blocks', NULL, 'main', 'entity:node/58', '', 'a:0:{}', 0, 0, -92, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(115, 'menu_link_content', 'en', 'Static - Call to Action block', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1505469293, 1),
(118, 'menu_link_content', 'en', 'Additional Pages', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -96, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1520938880, 1),
(119, 'menu_link_content', 'en', 'Alternative Footer', NULL, 'main', 'entity:node/60', NULL, 'a:0:{}', 0, 0, -91, 0, 1, 'menu_link_content:50a0e873-392f-47d7-9ac8-7fdc2313fffc', 1486463175, 1),
(120, 'menu_link_content', 'en', 'Alternative Footers', NULL, 'main', 'internal:/', '', 'a:0:{}', 0, 1, -89, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1486463175, 1),
(121, 'menu_link_content', 'en', 'Services', NULL, 'mt-mega-menu', 'internal:/services-3-col', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1486670647, 1),
(122, 'menu_link_content', 'en', 'Services - First Column', NULL, 'mt-mega-menu', 'internal:/services-3-col/services-2-col', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', 1486671131, 1),
(123, 'menu_link_content', 'en', 'First Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/first-service', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1),
(124, 'menu_link_content', 'en', 'Second Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/second-service', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1),
(125, 'menu_link_content', 'en', 'Third Service', NULL, 'mt-mega-menu', 'internal:/third-service', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1),
(126, 'menu_link_content', 'en', 'Fourth Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/fourth-service', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:9c6c595e-a457-4583-bb16-1c43c80f6598', 1486670545, 1),
(127, 'menu_link_content', 'en', 'Services - Second Column', NULL, 'mt-mega-menu', 'internal:/services-3-col', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:78c59fa3-ec50-49c4-8bbd-ad4ae3d2f5f1', 1486671141, 1),
(128, 'menu_link_content', 'en', 'Fifth Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/fifth-service', '', 'a:0:{}', 0, 1, -50, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1),
(129, 'menu_link_content', 'en', 'Sixth Service', NULL, 'mt-mega-menu', 'internal:/services-3-col/sixth-service', '', 'a:0:{}', 0, 1, -49, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1),
(130, 'menu_link_content', 'en', 'Services Isotope', NULL, 'mt-mega-menu', 'internal:/services-isotope', '', 'a:0:{}', 0, 1, -48, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1),
(131, 'menu_link_content', 'en', 'Services List', NULL, 'mt-mega-menu', 'internal:/services-list', '', 'a:0:{}', 0, 1, -47, 0, 1, 'menu_link_content:8ba02371-4d02-4f94-a50c-1eca14192dc2', 1486670545, 1),
(132, 'menu_link_content', 'en', 'Products', NULL, 'mt-mega-menu', 'internal:/products-3-col', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1486670662, 1),
(133, 'menu_link_content', 'en', 'Showcases', NULL, 'mt-mega-menu', 'internal:/showcases-3-col', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1486670662, 1),
(134, 'menu_link_content', 'en', 'About', NULL, 'mt-mega-menu', 'internal:/about-us', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1486670662, 1),
(135, 'menu_link_content', 'en', 'Features', NULL, 'mt-mega-menu', 'internal:/shortcodes', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1486670662, 1),
(136, 'menu_link_content', 'en', 'Contact', NULL, 'mt-mega-menu', 'internal:/contact', '', 'a:0:{}', 0, 1, -45, 0, 1, NULL, 1486670662, 1),
(137, 'menu_link_content', 'en', 'Mega Menu', NULL, 'main', 'internal:/mega-menu', '', 'a:0:{}', 0, 1, -88, 0, 1, 'menu_link_content:2e02705b-3329-4f5e-b2fc-6c4bc6a686f3', 1520611766, 1),
(139, 'menu_link_content', 'en', 'Pricing Tables (Static)', NULL, 'main', 'internal:/node/62', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:6062f6ce-04c0-4c72-b574-839305ea7ada', 1499245468, 1),
(141, 'menu_link_content', 'en', 'Gallery', NULL, 'landing-page-navigation', 'internal:#content-bottom', '', 'a:0:{}', 0, 1, -50, 0, 1, NULL, 1516883682, 1),
(142, 'menu_link_content', 'en', 'Speakers', NULL, 'landing-page-navigation', 'internal:#featured', '', 'a:0:{}', 0, 1, -48, 0, 1, NULL, 1516883582, 1),
(143, 'menu_link_content', 'en', 'Sponsors', NULL, 'landing-page-navigation', 'internal:#highlighted', '', 'a:0:{}', 0, 1, -46, 0, 1, NULL, 1516883682, 1),
(144, 'menu_link_content', 'en', 'News', NULL, 'landing-page-navigation', 'internal:#highlighted-top', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1516883682, 1),
(145, 'menu_link_content', 'en', 'Landing Page', NULL, 'main', 'internal:/node/63', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:d885efac-4a83-4c84-bc8f-68f41300bacd', 1499269536, 1),
(146, 'menu_link_content', 'en', 'Style Guide', NULL, 'mt-footer-menu-three', 'internal:/style-guide', '', 'a:0:{}', 0, 1, -47, 0, 1, NULL, 1509472798, 1),
(147, 'menu_link_content', 'en', 'Features', NULL, 'landing-page-navigation', 'internal:#featured-top', '', 'a:0:{}', 0, 1, -49, 0, 1, NULL, 1516883682, 1),
(148, 'menu_link_content', 'en', 'Subscribe', NULL, 'landing-page-navigation', 'internal:#footer-top', '', 'a:0:{}', 0, 1, -45, 0, 1, NULL, 1516883682, 1),
(149, 'menu_link_content', 'en', 'Events', NULL, 'main', 'internal:/events', '', 'a:0:{}', 0, 1, -96, 0, 1, NULL, 1521741114, 1),
(150, 'menu_link_content', 'en', 'Events - 3 Columns', NULL, 'main', 'internal:/events-3-col', '', 'a:0:{}', 0, 1, -94, 0, 1, 'menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef', 1520611960, 1),
(151, 'menu_link_content', 'en', 'Events - 2 Columns', NULL, 'main', 'internal:/events-2-col', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:6b0c0519-d617-4b85-87ee-60645657efef', 1520611960, 1),
(152, 'menu_link_content', 'en', 'Presentations', NULL, 'main', 'internal:/presentations', '', 'a:0:{}', 0, 1, -97, 0, 1, NULL, 1521741114, 1),
(154, 'menu_link_content', 'en', 'Presentations - 3 Columns', NULL, 'main', 'internal:/presentations-3-col', '', 'a:0:{}', 0, 1, 0, 0, 1, 'menu_link_content:f0df3a78-8db5-465b-a22c-dcfdff6a56da', 1521564694, 1),
(155, 'menu_link_content', 'en', 'Sponsors', NULL, 'main', 'internal:/sponsors', '', 'a:0:{}', 0, 1, -95, 0, 1, 'menu_link_content:ecbab6fc-8da8-4efc-87c8-38ab0a43c5dd', 1521136842, 1),
(156, 'menu_link_content', 'en', 'Speakers', NULL, 'main', 'internal:/speakers', '', 'a:0:{}', 0, 1, -98, 0, 1, NULL, 1521741114, 1),
(158, 'menu_link_content', 'en', 'Program', NULL, 'main', 'internal:/program', '', 'a:0:{}', 0, 1, -99, 0, 1, NULL, 1521741114, 1),
(159, 'menu_link_content', 'en', 'Alternative Program', NULL, 'main', 'entity:node/95', '', 'a:0:{}', 0, 0, 0, 0, 1, 'menu_link_content:a030d70e-aca1-406a-b486-7cc0af36e492', 1521741242, 1);

-- --------------------------------------------------------

--
-- Table structure for table `paragraphs_item`
--

CREATE TABLE `paragraphs_item` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `paragraph_field__uuid__value` (`uuid`),
  UNIQUE KEY `paragraph__revision_id` (`revision_id`),
  KEY `paragraph_field__type__target_id` (`type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for paragraph entities.';

--
-- Dumping data for table `paragraphs_item`
--

INSERT INTO `paragraphs_item` VALUES
(1, 1, 'mt_fancy_tab', '4b1e65ec-afc1-47e1-a873-f903a37e81e2', 'en'),
(2, 2, 'mt_fancy_tab', '3b6aa44f-5363-48b9-9753-b58608d7e5db', 'en'),
(3, 3, 'mt_fancy_tab', 'd039786a-3316-45e1-83d2-3432c93affce', 'en'),
(4, 4, 'mt_tab', 'faa2162a-78e3-4f7a-8fb4-bea3acfa21a3', 'en'),
(5, 5, 'mt_tab', '4e243bc1-4828-4def-a545-9f68d090f589', 'en'),
(6, 6, 'mt_tab', 'a263cbf0-a296-4e40-8cab-51c8289225a6', 'en'),
(7, 7, 'mt_tab', '7189656a-2620-4a22-9a84-ab9c83c913d4', 'en'),
(16, 16, 'mt_fancy_linked_image', 'd110a7c6-6a78-4bf2-b080-4ce4a8182e57', 'en'),
(17, 17, 'mt_fancy_linked_image', '388d8887-1840-42a8-8380-89ea40c55440', 'en'),
(18, 18, 'mt_fancy_linked_image', '1fe59ee3-3837-4438-a754-49117863bdae', 'en'),
(19, 19, 'mt_fancy_tab', '95097e79-16de-48b4-a72f-d41197511a87', 'en'),
(20, 20, 'mt_media_tab', 'cca433c0-5fe9-4692-8819-b65008eafe3d', 'en'),
(21, 21, 'mt_media_tab', '86fe9b34-d184-46ca-9aac-c02f86dda1b7', 'en'),
(22, 22, 'mt_media_tab', 'c0f1607a-0c57-414e-889d-6867e99262ef', 'en'),
(23, 23, 'mt_collapse', 'ae97bc1a-068a-4fee-9458-190c817ca7d9', 'en'),
(24, 24, 'mt_collapse', '5d707259-fa7d-407e-9d0d-660d8cc03632', 'en'),
(25, 25, 'mt_collapse', '7de29d9e-070f-403a-9956-1ebea9a2ad03', 'en'),
(26, 26, 'mt_featured_linked_text_tile', 'c1e0c58d-a303-496f-8e3c-901843375ec2', 'en'),
(27, 27, 'mt_featured_linked_text_tile', 'bbc397c8-3c34-47c6-92da-f26bc8c3ae1b', 'en'),
(28, 28, 'mt_featured_linked_text_tile', '00f6cffb-868a-4eb0-bd1d-382b7477c063', 'en'),
(29, 29, 'mt_featured_linked_text_tile', '0a713f3a-7d1b-4b88-a0a7-6ac2095c1493', 'en'),
(30, 30, 'mt_featured_linked_text_tile', '56b278c3-7912-48e0-acb5-f5f40c73d582', 'en'),
(31, 31, 'mt_featured_linked_text_tile', 'e6934dc7-83f4-4623-a594-f261414f4227', 'en'),
(32, 32, 'mt_main_slideshow_slide', '79180dbe-12b0-4137-ac10-a62826f8c100', 'en'),
(33, 33, 'mt_main_slideshow_slide', 'befbfff8-904c-4aa7-b91a-3b5334245698', 'en'),
(34, 34, 'mt_main_slideshow_slide', 'bbdcd63b-a6c7-43d5-8f5b-cb110794aa97', 'en'),
(35, 35, 'mt_video_gallery_slide', 'fc2903bb-731f-42ac-a018-f43408e43648', 'en'),
(36, 36, 'mt_video_gallery_slide', '235c48c9-cb37-454d-b88f-a45b02b72e27', 'en'),
(37, 37, 'mt_video_gallery_slide', '9c858d73-5430-42e1-8145-2188a622380d', 'en'),
(38, 38, 'mt_video_gallery_slide', 'c28c1e1f-8eb4-4faa-b48d-4fc2d2603e9e', 'en'),
(39, 39, 'mt_video_gallery_slide', '84fae026-7fa2-4c1c-b5cd-da0736d42a95', 'en'),
(40, 40, 'mt_video_gallery_slide', 'fc6a3c35-6006-45b3-a414-cbec7f0843f3', 'en'),
(41, 41, 'mt_dropdown', 'a32a9c5a-7f86-4503-b836-c55c58ce22bb', 'en'),
(42, 42, 'mt_dropdown', '6977a01e-9388-4f7e-8c68-5a2a9832751e', 'en'),
(43, 43, 'mt_dropdown', '063e379c-d0c6-4967-a80e-31ccc2c350cf', 'en'),
(44, 44, 'mt_map_location', '44e5c049-d124-4c10-a15d-6b7a1e72bc7a', 'en'),
(45, 45, 'mt_map_location', '7bc2015f-69c7-4e40-a935-8fcd371d3aac', 'en'),
(46, 46, 'mt_map_location', 'bfc3a266-91be-4275-b004-14475fe0e026', 'en'),
(47, 47, 'mt_map_location', 'abe92693-6154-470c-a786-3644657903c0', 'en'),
(48, 48, 'mt_highlight', '1a278be5-fdbc-4001-8f50-66d65e4e2bc9', 'en'),
(49, 49, 'mt_highlight', 'b0f28ebc-6347-466a-9f6e-5b48f62513f1', 'en'),
(50, 50, 'mt_highlight', 'e11b539e-60c9-4137-af48-e8d73adb7542', 'en'),
(51, 51, 'mt_highlight', '2ee21ea0-637d-4cfc-97d9-40080c7d239a', 'en'),
(52, 52, 'mt_highlight', '374935f0-efab-43df-ad7d-2e062dbe6665', 'en'),
(53, 53, 'mt_icon_features', 'd8afd06e-16a3-4842-baa3-f9be2fbbfbeb', 'en'),
(54, 54, 'mt_icon_features', 'fc5310ac-fd70-4187-8a61-3ff66fa474a2', 'en'),
(55, 55, 'mt_icon_features', '07797508-f099-47dd-b202-8af6c87e8696', 'en'),
(56, 56, 'mt_icon_features', '3955409d-e59a-42ae-9c8e-ccafd781d805', 'en'),
(57, 57, 'mt_additional_feature', '744bea02-77aa-46a3-88e6-f2011e0e9098', 'en'),
(58, 58, 'mt_additional_feature', 'cde78c48-c78c-48c5-b6e4-97d785235271', 'en'),
(59, 59, 'mt_additional_feature', '6b455c2a-4931-4682-89a9-2bc1ff731cf4', 'en'),
(60, 60, 'mt_icon_features', '48ba8c83-8561-4d59-abe7-7a85b69ef521', 'en'),
(61, 61, 'mt_icon_features', '9af5bc79-2997-4053-9353-cde0475e07c2', 'en'),
(62, 62, 'mt_additional_feature', '6f985d96-d68b-4336-b7ba-b10e46a3393c', 'en'),
(63, 63, 'mt_additional_feature', '19eaea6f-eaf3-4119-ba1d-429673dd172a', 'en'),
(64, 64, 'mt_additional_feature', 'c4f7427f-cbb6-4023-afea-d5500eae18e2', 'en'),
(65, 65, 'mt_highlight', 'c17a0584-a6fa-48f9-9485-9c9cc1c9f80d', 'en'),
(66, 66, 'mt_highlight', '62c694ff-2c8a-41e4-9341-dc6dda9f92e0', 'en'),
(67, 67, 'mt_highlight', 'b0fbf9d4-65bd-439c-981d-eb07858d2d54', 'en'),
(68, 68, 'mt_highlight', '8790a56a-72d7-4293-a5e9-fdb8d7009a05', 'en'),
(69, 69, 'mt_tab', '38c870d1-fddf-4633-ac1f-d6fa0d4a08b0', 'en'),
(70, 70, 'mt_tab', '479387f6-0bf1-4c98-8aff-44b3a0805b36', 'en'),
(71, 71, 'mt_collapse', 'f4c8e288-f947-488f-8d3c-a872f775709a', 'en'),
(72, 72, 'mt_collapse', 'a0745fb4-9e24-42a6-b418-25e446a36c40', 'en'),
(73, 73, 'mt_collapse', '02122ba2-904c-4d09-8063-ca6612bc81e2', 'en'),
(74, 74, 'mt_timeline_item', 'b13baa00-c5c9-415a-9c77-4d9055e4e4b5', 'en'),
(75, 75, 'mt_timeline_item', '09ffeef4-ef7c-4754-a385-6be2c4ec793f', 'en'),
(76, 76, 'mt_timeline_item', 'de4de805-1a9d-4d4c-a97d-a2a0602b0d88', 'en'),
(77, 77, 'mt_timeline_item', 'c0d88bd9-e714-47fb-81d4-09d945376a7c', 'en'),
(78, 83, 'mt_map_location', 'd39dfe18-1cbc-4da1-abca-2f811a7e7add', 'en'),
(79, 85, 'mt_map_location', 'ca1f7bb6-5b90-4363-9385-c214d6339ccf', 'en'),
(80, 94, 'mt_map_location', '30e88ed9-aca2-48f3-ae7d-4e9889d18df8', 'en'),
(81, 93, 'mt_map_location', '418b7a10-8414-4662-ac1a-39f968bc12af', 'en'),
(82, 92, 'mt_map_location', '26cbb4ee-164c-483d-acb8-d539bb787224', 'en'),
(83, 95, 'mt_map_location', '4d3ec694-7a37-42ee-a0fc-d28fa7b58f4f', 'en'),
(84, 96, 'mt_icon_features', 'bb3e9a4b-4570-47b8-9f8e-7047547602f0', 'en'),
(85, 97, 'mt_icon_features', '8ea543e3-4ad1-404b-aff7-f044e7212322', 'en'),
(86, 98, 'mt_icon_features', '4ee4b60a-a192-43c9-b663-cd43a003c14d', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `paragraphs_item_field_data`
--

CREATE TABLE `paragraphs_item_field_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `parent_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `parent_type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `parent_field_name` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `behavior_settings` longtext DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `paragraph_field__type__target_id` (`type`),
  KEY `paragraph__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `paragraph__revision_id` (`revision_id`),
  KEY `paragraph__status_type` (`status`,`type`,`id`),
  KEY `paragraphs__parent_fields` (`parent_type`,`parent_id`,`parent_field_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for paragraph entities.';

--
-- Dumping data for table `paragraphs_item_field_data`
--

INSERT INTO `paragraphs_item_field_data` VALUES
(1, 1, 'mt_fancy_tab', 'en', 1, 1472139605, '15', 'block_content', 'field_mt_fancy_tab', 1, 'a:0:{}', 1),
(2, 2, 'mt_fancy_tab', 'en', 1, 1472139628, '15', 'block_content', 'field_mt_fancy_tab', 1, 'a:0:{}', 1),
(3, 3, 'mt_fancy_tab', 'en', 1, 1472152675, '15', 'block_content', 'field_mt_fancy_tab', 1, 'a:0:{}', 1),
(4, 4, 'mt_tab', 'en', 1, 1472739309, '23', 'node', 'field_mt_tab', 1, 'a:0:{}', 1),
(5, 5, 'mt_tab', 'en', 1, 1472739339, '23', 'node', 'field_mt_tab', 1, 'a:0:{}', 1),
(6, 6, 'mt_tab', 'en', 1, 1472802646, '23', 'node', 'field_mt_content_tabs', 1, 'a:0:{}', 1),
(7, 7, 'mt_tab', 'en', 1, 1472802762, '23', 'node', 'field_mt_content_tabs', 1, 'a:0:{}', 1),
(16, 16, 'mt_fancy_linked_image', 'en', 1, 1474456132, '24', 'block_content', 'field_mt_fancy_linked_image', 1, 'a:0:{}', 1),
(17, 17, 'mt_fancy_linked_image', 'en', 1, 1474456348, '24', 'block_content', 'field_mt_fancy_linked_image', 1, 'a:0:{}', 1),
(18, 18, 'mt_fancy_linked_image', 'en', 1, 1474456368, '24', 'block_content', 'field_mt_fancy_linked_image', 1, 'a:0:{}', 1),
(19, 19, 'mt_fancy_tab', 'en', 1, 1475084322, '15', 'block_content', 'field_mt_fancy_tab', 1, 'a:0:{}', 1),
(20, 20, 'mt_media_tab', 'en', 1, 1478622284, '44', 'block_content', 'field_mt_media_tab', 1, 'a:0:{}', 1),
(21, 21, 'mt_media_tab', 'en', 1, 1478622544, '44', 'block_content', 'field_mt_media_tab', 1, 'a:0:{}', 1),
(22, 22, 'mt_media_tab', 'en', 1, 1478629347, '44', 'block_content', 'field_mt_media_tab', 1, 'a:0:{}', 1),
(23, 23, 'mt_collapse', 'en', 1, 1478715975, '29', 'node', 'field_mt_content_collapses', 1, 'a:0:{}', 1),
(24, 24, 'mt_collapse', 'en', 1, 1478716001, '29', 'node', 'field_mt_content_collapses', 1, 'a:0:{}', 1),
(25, 25, 'mt_collapse', 'en', 1, 1478716065, '29', 'node', 'field_mt_content_collapses', 1, 'a:0:{}', 1),
(26, 26, 'mt_featured_linked_text_tile', 'en', 1, 1479316272, '45', 'block_content', 'field_mt_fltt', 1, 'a:0:{}', 1),
(27, 27, 'mt_featured_linked_text_tile', 'en', 1, 1479316329, '45', 'block_content', 'field_mt_fltt', 1, 'a:0:{}', 1),
(28, 28, 'mt_featured_linked_text_tile', 'en', 1, 1479316362, '45', 'block_content', 'field_mt_fltt', 1, 'a:0:{}', 1),
(29, 29, 'mt_featured_linked_text_tile', 'en', 1, 1479316386, '45', 'block_content', 'field_mt_fltt', 1, 'a:0:{}', 1),
(30, 30, 'mt_featured_linked_text_tile', 'en', 1, 1479316437, '45', 'block_content', 'field_mt_fltt', 1, 'a:0:{}', 1),
(31, 31, 'mt_featured_linked_text_tile', 'en', 1, 1479316455, '45', 'block_content', 'field_mt_fltt', 1, 'a:0:{}', 1),
(32, 32, 'mt_main_slideshow_slide', 'en', 1, 1479922871, '48', 'block_content', 'field_mt_main_slideshow_slide', 1, 'a:0:{}', 1),
(33, 33, 'mt_main_slideshow_slide', 'en', 1, 1479923132, '48', 'block_content', 'field_mt_main_slideshow_slide', 1, 'a:0:{}', 1),
(34, 34, 'mt_main_slideshow_slide', 'en', 1, 1480006019, '49', 'block_content', 'field_mt_main_slideshow_slide', 1, 'a:0:{}', 1),
(35, 35, 'mt_video_gallery_slide', 'en', 1, 1480419791, '49', 'block_content', 'field_mt_video_gallery_slides', 1, 'a:0:{}', 1),
(36, 36, 'mt_video_gallery_slide', 'en', 1, 1480420174, '49', 'block_content', 'field_mt_video_gallery_slides', 1, 'a:0:{}', 1),
(37, 37, 'mt_video_gallery_slide', 'en', 1, 1480420200, '49', 'block_content', 'field_mt_video_gallery_slides', 1, 'a:0:{}', 1),
(38, 38, 'mt_video_gallery_slide', 'en', 1, 1480420230, '49', 'block_content', 'field_mt_video_gallery_slides', 1, 'a:0:{}', 1),
(39, 39, 'mt_video_gallery_slide', 'en', 1, 1480420272, '49', 'block_content', 'field_mt_video_gallery_slides', 1, 'a:0:{}', 1),
(40, 40, 'mt_video_gallery_slide', 'en', 1, 1480420292, '49', 'block_content', 'field_mt_video_gallery_slides', 1, 'a:0:{}', 1),
(41, 41, 'mt_dropdown', 'en', 1, 1485777460, '59', 'block_content', 'field_mt_dropdown', 1, 'a:0:{}', 1),
(42, 42, 'mt_dropdown', 'en', 1, 1485780078, '59', 'block_content', 'field_mt_dropdown', 1, 'a:0:{}', 1),
(43, 43, 'mt_dropdown', 'en', 1, 1486117205, '59', 'block_content', 'field_mt_dropdown', 1, 'a:0:{}', 1),
(44, 44, 'mt_map_location', 'en', 1, 1496415069, '35', 'block_content', 'field_mt_map_location', 1, 'a:0:{}', 1),
(45, 45, 'mt_map_location', 'en', 1, 1496415452, '35', 'block_content', 'field_mt_map_location', 1, 'a:0:{}', 1),
(46, 46, 'mt_map_location', 'en', 1, 1496415500, '35', 'block_content', 'field_mt_map_location', 1, 'a:0:{}', 1),
(47, 47, 'mt_map_location', 'en', 1, 1496415620, '35', 'block_content', 'field_mt_map_location', 1, 'a:0:{}', 1),
(48, 48, 'mt_highlight', 'en', 1, 1497884657, '23', 'node', 'field_mt_highlight', 1, 'a:0:{}', 1),
(49, 49, 'mt_highlight', 'en', 1, 1497884720, '23', 'node', 'field_mt_highlight', 1, 'a:0:{}', 1),
(50, 50, 'mt_highlight', 'en', 1, 1497884849, '23', 'node', 'field_mt_highlight', 1, 'a:0:{}', 1),
(51, 51, 'mt_highlight', 'en', 1, 1497884915, '23', 'node', 'field_mt_highlight', 1, 'a:0:{}', 1),
(52, 52, 'mt_highlight', 'en', 1, 1497884968, '23', 'node', 'field_mt_highlight', 1, 'a:0:{}', 1),
(53, 53, 'mt_icon_features', 'en', 1, 1498040780, '77', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(54, 54, 'mt_icon_features', 'en', 1, 1498040780, '77', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(55, 55, 'mt_icon_features', 'en', 1, 1498040842, '77', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(56, 56, 'mt_icon_features', 'en', 1, 1498040896, '77', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(57, 57, 'mt_additional_feature', 'en', 1, 1506680956, '23', 'node', 'field_mt_prg_additional_features', 1, 'a:0:{}', 1),
(58, 58, 'mt_additional_feature', 'en', 1, 1506681110, '23', 'node', 'field_mt_prg_additional_features', 1, 'a:0:{}', 1),
(59, 59, 'mt_additional_feature', 'en', 1, 1506681167, '23', 'node', 'field_mt_prg_additional_features', 1, 'a:0:{}', 1),
(60, 60, 'mt_icon_features', 'en', 1, 1509715586, '77', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(61, 61, 'mt_icon_features', 'en', 1, 1509715794, '77', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(62, 62, 'mt_additional_feature', 'en', 1, 1517487480, '23', 'node', 'field_mt_prd_additional_features', 1, 'a:0:{}', 1),
(63, 63, 'mt_additional_feature', 'en', 1, 1517487496, '23', 'node', 'field_mt_prd_additional_features', 1, 'a:0:{}', 1),
(64, 64, 'mt_additional_feature', 'en', 1, 1517487512, '23', 'node', 'field_mt_prd_additional_features', 1, 'a:0:{}', 1),
(65, 65, 'mt_highlight', 'en', 1, 1517507421, '23', 'node', 'field_mt_prd_highlight', 1, 'a:0:{}', 1),
(66, 66, 'mt_highlight', 'en', 1, 1517507465, '23', 'node', 'field_mt_prd_highlight', 1, 'a:0:{}', 1),
(67, 67, 'mt_highlight', 'en', 1, 1517507506, '23', 'node', 'field_mt_prd_highlight', 1, 'a:0:{}', 1),
(68, 68, 'mt_highlight', 'en', 1, 1517507545, '23', 'node', 'field_mt_prd_highlight', 1, 'a:0:{}', 1),
(69, 69, 'mt_tab', 'en', 1, 1517575777, '23', 'node', 'field_mt_prd_content_tabs', 1, 'a:0:{}', 1),
(70, 70, 'mt_tab', 'en', 1, 1517575795, '23', 'node', 'field_mt_prd_content_tabs', 1, 'a:0:{}', 1),
(71, 71, 'mt_collapse', 'en', 1, 1517919000, '29', 'node', 'field_mt_shw_content_collapses', 1, 'a:0:{}', 1),
(72, 72, 'mt_collapse', 'en', 1, 1517919019, '29', 'node', 'field_mt_shw_content_collapses', 1, 'a:0:{}', 1),
(73, 73, 'mt_collapse', 'en', 1, 1517919027, '29', 'node', 'field_mt_shw_content_collapses', 1, 'a:0:{}', 1),
(74, 74, 'mt_timeline_item', 'en', 1, 1518447646, '93', 'block_content', 'field_mt_tml_timeline_item', 1, 'a:0:{}', 1),
(75, 75, 'mt_timeline_item', 'en', 1, 1518447646, '93', 'block_content', 'field_mt_tml_timeline_item', 1, 'a:0:{}', 1),
(76, 76, 'mt_timeline_item', 'en', 1, 1518447793, '93', 'block_content', 'field_mt_tml_timeline_item', 1, 'a:0:{}', 1),
(77, 77, 'mt_timeline_item', 'en', 1, 1518683964, '93', 'block_content', 'field_mt_tml_timeline_item', 1, 'a:0:{}', 1),
(78, 83, 'mt_map_location', 'en', 1, 1519841677, '84', 'node', 'field_mt_evn_location', 1, 'a:0:{}', NULL),
(79, 85, 'mt_map_location', 'en', 1, 1519907866, '84', 'node', 'field_mt_evn_location', 1, 'a:0:{}', NULL),
(80, 94, 'mt_map_location', 'en', 1, 1520507184, '89', 'node', 'field_mt_evn_location', 1, 'a:0:{}', NULL),
(81, 93, 'mt_map_location', 'en', 1, 1520507333, '90', 'node', 'field_mt_evn_location', 1, 'a:0:{}', NULL),
(82, 92, 'mt_map_location', 'en', 1, 1520507655, '91', 'node', 'field_mt_evn_location', 1, 'a:0:{}', NULL),
(83, 95, 'mt_map_location', 'en', 1, 1520944069, '84', 'node', 'field_mt_evn_location', 1, 'a:0:{}', NULL),
(84, 96, 'mt_icon_features', 'en', 1, 1521738021, '96', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(85, 97, 'mt_icon_features', 'en', 1, 1521738021, '96', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1),
(86, 98, 'mt_icon_features', 'en', 1, 1521738050, '96', 'block_content', 'field_mt_if', 1, 'a:0:{}', 1);

-- --------------------------------------------------------

--
-- Table structure for table `paragraphs_item_revision`
--

CREATE TABLE `paragraphs_item_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `paragraph__id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision table for paragraph entities.';

--
-- Dumping data for table `paragraphs_item_revision`
--

INSERT INTO `paragraphs_item_revision` VALUES
(1, 1, 'en', 1),
(2, 2, 'en', 1),
(3, 3, 'en', 1),
(4, 4, 'en', 1),
(5, 5, 'en', 1),
(6, 6, 'en', 1),
(7, 7, 'en', 1),
(16, 16, 'en', 1),
(17, 17, 'en', 1),
(18, 18, 'en', 1),
(19, 19, 'en', 1),
(20, 20, 'en', 1),
(21, 21, 'en', 1),
(22, 22, 'en', 1),
(23, 23, 'en', 1),
(24, 24, 'en', 1),
(25, 25, 'en', 1),
(26, 26, 'en', 1),
(27, 27, 'en', 1),
(28, 28, 'en', 1),
(29, 29, 'en', 1),
(30, 30, 'en', 1),
(31, 31, 'en', 1),
(32, 32, 'en', 1),
(33, 33, 'en', 1),
(34, 34, 'en', 1),
(35, 35, 'en', 1),
(36, 36, 'en', 1),
(37, 37, 'en', 1),
(38, 38, 'en', 1),
(39, 39, 'en', 1),
(40, 40, 'en', 1),
(41, 41, 'en', 1),
(42, 42, 'en', 1),
(43, 43, 'en', 1),
(44, 44, 'en', 1),
(45, 45, 'en', 1),
(46, 46, 'en', 1),
(47, 47, 'en', 1),
(48, 48, 'en', 1),
(49, 49, 'en', 1),
(50, 50, 'en', 1),
(51, 51, 'en', 1),
(52, 52, 'en', 1),
(53, 53, 'en', 1),
(54, 54, 'en', 1),
(55, 55, 'en', 1),
(56, 56, 'en', 1),
(57, 57, 'en', 1),
(58, 58, 'en', 1),
(59, 59, 'en', 1),
(60, 60, 'en', 1),
(61, 61, 'en', 1),
(62, 62, 'en', 1),
(63, 63, 'en', 1),
(64, 64, 'en', 1),
(65, 65, 'en', 1),
(66, 66, 'en', 1),
(67, 67, 'en', 1),
(68, 68, 'en', 1),
(69, 69, 'en', 1),
(70, 70, 'en', 1),
(71, 71, 'en', 1),
(72, 72, 'en', 1),
(73, 73, 'en', 1),
(74, 74, 'en', 1),
(75, 75, 'en', 1),
(76, 76, 'en', 1),
(77, 77, 'en', 1),
(78, 83, 'en', 1),
(79, 85, 'en', 1),
(82, 92, 'en', 1),
(81, 93, 'en', 1),
(80, 94, 'en', 1),
(83, 95, 'en', 1),
(84, 96, 'en', 1),
(85, 97, 'en', 1),
(86, 98, 'en', 1);

-- --------------------------------------------------------

--
-- Table structure for table `paragraphs_item_revision_field_data`
--

CREATE TABLE `paragraphs_item_revision_field_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `behavior_settings` longtext DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `parent_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `parent_type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `parent_field_name` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `paragraph__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `paragraphs__parent_fields` (`parent_type`,`parent_id`,`parent_field_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision data table for paragraph entities.';

--
-- Dumping data for table `paragraphs_item_revision_field_data`
--

INSERT INTO `paragraphs_item_revision_field_data` VALUES
(1, 1, 'en', 1, 1472139605, 1, 'a:0:{}', 1, '15', 'block_content', 'field_mt_fancy_tab'),
(2, 2, 'en', 1, 1472139628, 1, 'a:0:{}', 1, '15', 'block_content', 'field_mt_fancy_tab'),
(3, 3, 'en', 1, 1472152675, 1, 'a:0:{}', 1, '15', 'block_content', 'field_mt_fancy_tab'),
(4, 4, 'en', 1, 1472739309, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_tab'),
(5, 5, 'en', 1, 1472739339, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_tab'),
(6, 6, 'en', 1, 1472802646, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_content_tabs'),
(7, 7, 'en', 1, 1472802762, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_content_tabs'),
(16, 16, 'en', 1, 1474456132, 1, 'a:0:{}', 1, '24', 'block_content', 'field_mt_fancy_linked_image'),
(17, 17, 'en', 1, 1474456348, 1, 'a:0:{}', 1, '24', 'block_content', 'field_mt_fancy_linked_image'),
(18, 18, 'en', 1, 1474456368, 1, 'a:0:{}', 1, '24', 'block_content', 'field_mt_fancy_linked_image'),
(19, 19, 'en', 1, 1475084322, 1, 'a:0:{}', 1, '15', 'block_content', 'field_mt_fancy_tab'),
(20, 20, 'en', 1, 1478622284, 1, 'a:0:{}', 1, '44', 'block_content', 'field_mt_media_tab'),
(21, 21, 'en', 1, 1478622544, 1, 'a:0:{}', 1, '44', 'block_content', 'field_mt_media_tab'),
(22, 22, 'en', 1, 1478629347, 1, 'a:0:{}', 1, '44', 'block_content', 'field_mt_media_tab'),
(23, 23, 'en', 1, 1478715975, 1, 'a:0:{}', 1, '29', 'node', 'field_mt_content_collapses'),
(24, 24, 'en', 1, 1478716001, 1, 'a:0:{}', 1, '29', 'node', 'field_mt_content_collapses'),
(25, 25, 'en', 1, 1478716065, 1, 'a:0:{}', 1, '29', 'node', 'field_mt_content_collapses'),
(26, 26, 'en', 1, 1479316272, 1, 'a:0:{}', 1, '45', 'block_content', 'field_mt_fltt'),
(27, 27, 'en', 1, 1479316329, 1, 'a:0:{}', 1, '45', 'block_content', 'field_mt_fltt'),
(28, 28, 'en', 1, 1479316362, 1, 'a:0:{}', 1, '45', 'block_content', 'field_mt_fltt'),
(29, 29, 'en', 1, 1479316386, 1, 'a:0:{}', 1, '45', 'block_content', 'field_mt_fltt'),
(30, 30, 'en', 1, 1479316437, 1, 'a:0:{}', 1, '45', 'block_content', 'field_mt_fltt'),
(31, 31, 'en', 1, 1479316455, 1, 'a:0:{}', 1, '45', 'block_content', 'field_mt_fltt'),
(32, 32, 'en', 1, 1479922871, 1, 'a:0:{}', 1, '48', 'block_content', 'field_mt_main_slideshow_slide'),
(33, 33, 'en', 1, 1479923132, 1, 'a:0:{}', 1, '48', 'block_content', 'field_mt_main_slideshow_slide'),
(34, 34, 'en', 1, 1480006019, 1, 'a:0:{}', 1, '49', 'block_content', 'field_mt_main_slideshow_slide'),
(35, 35, 'en', 1, 1480419791, 1, 'a:0:{}', 1, '49', 'block_content', 'field_mt_video_gallery_slides'),
(36, 36, 'en', 1, 1480420174, 1, 'a:0:{}', 1, '49', 'block_content', 'field_mt_video_gallery_slides'),
(37, 37, 'en', 1, 1480420200, 1, 'a:0:{}', 1, '49', 'block_content', 'field_mt_video_gallery_slides'),
(38, 38, 'en', 1, 1480420230, 1, 'a:0:{}', 1, '49', 'block_content', 'field_mt_video_gallery_slides'),
(39, 39, 'en', 1, 1480420272, 1, 'a:0:{}', 1, '49', 'block_content', 'field_mt_video_gallery_slides'),
(40, 40, 'en', 1, 1480420292, 1, 'a:0:{}', 1, '49', 'block_content', 'field_mt_video_gallery_slides'),
(41, 41, 'en', 1, 1485777460, 1, 'a:0:{}', 1, '59', 'block_content', 'field_mt_dropdown'),
(42, 42, 'en', 1, 1485780078, 1, 'a:0:{}', 1, '59', 'block_content', 'field_mt_dropdown'),
(43, 43, 'en', 1, 1486117205, 1, 'a:0:{}', 1, '59', 'block_content', 'field_mt_dropdown'),
(44, 44, 'en', 1, 1496415069, 1, 'a:0:{}', 1, '35', 'block_content', 'field_mt_map_location'),
(45, 45, 'en', 1, 1496415452, 1, 'a:0:{}', 1, '35', 'block_content', 'field_mt_map_location'),
(46, 46, 'en', 1, 1496415500, 1, 'a:0:{}', 1, '35', 'block_content', 'field_mt_map_location'),
(47, 47, 'en', 1, 1496415620, 1, 'a:0:{}', 1, '35', 'block_content', 'field_mt_map_location'),
(48, 48, 'en', 1, 1497884657, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_highlight'),
(49, 49, 'en', 1, 1497884720, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_highlight'),
(50, 50, 'en', 1, 1497884849, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_highlight'),
(51, 51, 'en', 1, 1497884915, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_highlight'),
(52, 52, 'en', 1, 1497884968, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_highlight'),
(53, 53, 'en', 1, 1498040780, 1, 'a:0:{}', 1, '77', 'block_content', 'field_mt_if'),
(54, 54, 'en', 1, 1498040780, 1, 'a:0:{}', 1, '77', 'block_content', 'field_mt_if'),
(55, 55, 'en', 1, 1498040842, 1, 'a:0:{}', 1, '77', 'block_content', 'field_mt_if'),
(56, 56, 'en', 1, 1498040896, 1, 'a:0:{}', 1, '77', 'block_content', 'field_mt_if'),
(57, 57, 'en', 1, 1506680956, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prg_additional_features'),
(58, 58, 'en', 1, 1506681110, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prg_additional_features'),
(59, 59, 'en', 1, 1506681167, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prg_additional_features'),
(60, 60, 'en', 1, 1509715586, 1, 'a:0:{}', 1, '77', 'block_content', 'field_mt_if'),
(61, 61, 'en', 1, 1509715794, 1, 'a:0:{}', 1, '77', 'block_content', 'field_mt_if'),
(62, 62, 'en', 1, 1517487480, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_additional_features'),
(63, 63, 'en', 1, 1517487496, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_additional_features'),
(64, 64, 'en', 1, 1517487512, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_additional_features'),
(65, 65, 'en', 1, 1517507421, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_highlight'),
(66, 66, 'en', 1, 1517507465, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_highlight'),
(67, 67, 'en', 1, 1517507506, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_highlight'),
(68, 68, 'en', 1, 1517507545, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_highlight'),
(69, 69, 'en', 1, 1517575777, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_content_tabs'),
(70, 70, 'en', 1, 1517575795, 1, 'a:0:{}', 1, '23', 'node', 'field_mt_prd_content_tabs'),
(71, 71, 'en', 1, 1517919000, 1, 'a:0:{}', 1, '29', 'node', 'field_mt_shw_content_collapses'),
(72, 72, 'en', 1, 1517919019, 1, 'a:0:{}', 1, '29', 'node', 'field_mt_shw_content_collapses'),
(73, 73, 'en', 1, 1517919027, 1, 'a:0:{}', 1, '29', 'node', 'field_mt_shw_content_collapses'),
(74, 74, 'en', 1, 1518447646, 1, 'a:0:{}', 1, '93', 'block_content', 'field_mt_tml_timeline_item'),
(75, 75, 'en', 1, 1518447646, 1, 'a:0:{}', 1, '93', 'block_content', 'field_mt_tml_timeline_item'),
(76, 76, 'en', 1, 1518447793, 1, 'a:0:{}', 1, '93', 'block_content', 'field_mt_tml_timeline_item'),
(77, 77, 'en', 1, 1518683964, 1, 'a:0:{}', 1, '93', 'block_content', 'field_mt_tml_timeline_item'),
(78, 83, 'en', 1, 1519841677, 1, 'a:0:{}', NULL, '84', 'node', 'field_mt_evn_location'),
(79, 85, 'en', 1, 1519907866, 1, 'a:0:{}', NULL, '84', 'node', 'field_mt_evn_location'),
(82, 92, 'en', 1, 1520507655, 1, 'a:0:{}', NULL, '91', 'node', 'field_mt_evn_location'),
(81, 93, 'en', 1, 1520507333, 1, 'a:0:{}', NULL, '90', 'node', 'field_mt_evn_location'),
(80, 94, 'en', 1, 1520507184, 1, 'a:0:{}', NULL, '89', 'node', 'field_mt_evn_location'),
(83, 95, 'en', 1, 1520944069, 1, 'a:0:{}', NULL, '84', 'node', 'field_mt_evn_location'),
(84, 96, 'en', 1, 1521738021, 1, 'a:0:{}', 1, '96', 'block_content', 'field_mt_if'),
(85, 97, 'en', 1, 1521738021, 1, 'a:0:{}', 1, '96', 'block_content', 'field_mt_if'),
(86, 98, 'en', 1, 1521738050, 1, 'a:0:{}', 1, '96', 'block_content', 'field_mt_if');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_adf_body`
--

CREATE TABLE `paragraph_revision__field_mt_adf_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_body_value` longtext NOT NULL,
  `field_mt_adf_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_adf_body_format` (`field_mt_adf_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_adf…';

--
-- Dumping data for table `paragraph_revision__field_mt_adf_body`
--

INSERT INTO `paragraph_revision__field_mt_adf_body` VALUES
('mt_additional_feature', 0, 57, 57, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 58, 58, 'en', 0, '<p>Quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 59, 59, 'en', 0, '<p>Cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 62, 62, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 63, 63, 'en', 0, '<p>Quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 64, 64, 'en', 0, '<p>Cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_adf_fa_icon`
--

CREATE TABLE `paragraph_revision__field_mt_adf_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_adf_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_adf_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_adf…';

--
-- Dumping data for table `paragraph_revision__field_mt_adf_fa_icon`
--

INSERT INTO `paragraph_revision__field_mt_adf_fa_icon` VALUES
('mt_additional_feature', 0, 62, 62, 'en', 0, 'road', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_additional_feature', 0, 63, 63, 'en', 0, 'signal', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_additional_feature', 0, 64, 64, 'en', 0, 'fire', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_adf_image`
--

CREATE TABLE `paragraph_revision__field_mt_adf_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_adf_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_adf_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_adf_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_adf_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_adf_image_target_id` (`field_mt_adf_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_adf…';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_adf_title`
--

CREATE TABLE `paragraph_revision__field_mt_adf_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_adf…';

--
-- Dumping data for table `paragraph_revision__field_mt_adf_title`
--

INSERT INTO `paragraph_revision__field_mt_adf_title` VALUES
('mt_additional_feature', 0, 57, 57, 'en', 0, 'Looking For Your Dvd Printing Solution'),
('mt_additional_feature', 0, 58, 58, 'en', 0, 'Becoming A Dvd Repair Expert Online'),
('mt_additional_feature', 0, 59, 59, 'en', 0, 'Are You Ready To Buy A Home Theater Audio System'),
('mt_additional_feature', 0, 62, 62, 'en', 0, 'Looking For Your Dvd Printing Solution'),
('mt_additional_feature', 0, 63, 63, 'en', 0, 'Becoming A Dvd Repair Expert Online'),
('mt_additional_feature', 0, 64, 64, 'en', 0, 'Are You Ready To Buy A Home Theater Audio System');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_collapse_body`
--

CREATE TABLE `paragraph_revision__field_mt_collapse_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_collapse_body_value` longtext NOT NULL,
  `field_mt_collapse_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_collapse_body_format` (`field_mt_collapse_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_collapse_body`
--

INSERT INTO `paragraph_revision__field_mt_collapse_body` VALUES
('mt_collapse', 0, 23, 23, 'en', 0, '<p>Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.&nbsp;</p>\r\n', 'full_html'),
('mt_collapse', 0, 24, 24, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'full_html'),
('mt_collapse', 0, 25, 25, 'en', 0, '<p>Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'full_html'),
('mt_collapse', 0, 71, 71, 'en', 0, '<p>Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.&nbsp;</p>\r\n', 'basic_html'),
('mt_collapse', 0, 72, 72, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html'),
('mt_collapse', 0, 73, 73, 'en', 0, '<p>Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_collapse_title`
--

CREATE TABLE `paragraph_revision__field_mt_collapse_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_collapse_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_collapse_title`
--

INSERT INTO `paragraph_revision__field_mt_collapse_title` VALUES
('mt_collapse', 0, 23, 23, 'en', 0, 'Context'),
('mt_collapse', 0, 24, 24, 'en', 0, 'Research'),
('mt_collapse', 0, 25, 25, 'en', 0, 'Impact'),
('mt_collapse', 0, 71, 71, 'en', 0, 'Context'),
('mt_collapse', 0, 72, 72, 'en', 0, 'Research'),
('mt_collapse', 0, 73, 73, 'en', 0, 'Impact');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_dropdown_block`
--

CREATE TABLE `paragraph_revision__field_mt_dropdown_block` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_dropdown_block_target_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_dropdown_block_target_id` (`field_mt_dropdown_block_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_dropdown_block`
--

INSERT INTO `paragraph_revision__field_mt_dropdown_block` VALUES
('mt_dropdown', 0, 41, 41, 'en', 0, 'searchform_4'),
('mt_dropdown', 0, 42, 42, 'en', 0, 'mystory'),
('mt_dropdown', 0, 43, 43, 'en', 0, 'languageswitcher');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_dropdown_fa_icon`
--

CREATE TABLE `paragraph_revision__field_mt_dropdown_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_dropdown_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_dropdown_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_dropdown_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_dropdown_fa_icon`
--

INSERT INTO `paragraph_revision__field_mt_dropdown_fa_icon` VALUES
('mt_dropdown', 0, 41, 41, 'en', 0, 'search', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fancy_subtitle`
--

CREATE TABLE `paragraph_revision__field_mt_fancy_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fancy…';

--
-- Dumping data for table `paragraph_revision__field_mt_fancy_subtitle`
--

INSERT INTO `paragraph_revision__field_mt_fancy_subtitle` VALUES
('mt_fancy_tab', 0, 1, 1, 'en', 0, 'Explore Now'),
('mt_fancy_tab', 0, 2, 2, 'en', 0, 'Explore Now'),
('mt_fancy_tab', 0, 19, 19, 'en', 0, 'Explore Now');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fancy_title`
--

CREATE TABLE `paragraph_revision__field_mt_fancy_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fancy…';

--
-- Dumping data for table `paragraph_revision__field_mt_fancy_title`
--

INSERT INTO `paragraph_revision__field_mt_fancy_title` VALUES
('mt_fancy_tab', 0, 1, 1, 'en', 0, 'Newest Products'),
('mt_fancy_tab', 0, 2, 2, 'en', 0, 'Popular Items'),
('mt_fancy_tab', 0, 3, 3, 'en', 0, 'New tab title'),
('mt_fancy_tab', 0, 19, 19, 'en', 0, 'Product Groups');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fli_button_fa_icon`
--

CREATE TABLE `paragraph_revision__field_mt_fli_button_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_button_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_fli_button_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_fli_button_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fli…';

--
-- Dumping data for table `paragraph_revision__field_mt_fli_button_fa_icon`
--

INSERT INTO `paragraph_revision__field_mt_fli_button_fa_icon` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'shopping-bag', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'envelope', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'envelope', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fli_image`
--

CREATE TABLE `paragraph_revision__field_mt_fli_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_fli_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_fli_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_fli_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_fli_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fli_image_target_id` (`field_mt_fli_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fli…';

--
-- Dumping data for table `paragraph_revision__field_mt_fli_image`
--

INSERT INTO `paragraph_revision__field_mt_fli_image` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 80, 'fancy image one', 'fancy image one', 750, 750),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 81, 'fancy image two', 'fancy image two', 750, 750),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 82, 'fancy image three', 'fancy image three', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fli_link`
--

CREATE TABLE `paragraph_revision__field_mt_fli_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_fli_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_fli_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fli_link_uri` (`field_mt_fli_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fli…';

--
-- Dumping data for table `paragraph_revision__field_mt_fli_link`
--

INSERT INTO `paragraph_revision__field_mt_fli_link` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'internal:/products-3-col', 'Products', 'a:0:{}'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'internal:/contact', 'Reach out', 'a:0:{}'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'internal:/contact', 'Contact us', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fli_shape`
--

CREATE TABLE `paragraph_revision__field_mt_fli_shape` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_shape_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fli_shape_value` (`field_mt_fli_shape_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fli…';

--
-- Dumping data for table `paragraph_revision__field_mt_fli_shape`
--

INSERT INTO `paragraph_revision__field_mt_fli_shape` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'pentagon'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'circle'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'rectangle');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fli_title`
--

CREATE TABLE `paragraph_revision__field_mt_fli_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fli…';

--
-- Dumping data for table `paragraph_revision__field_mt_fli_title`
--

INSERT INTO `paragraph_revision__field_mt_fli_title` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'Offers on new Products'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'Refer a friend'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'Become a Representative');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fltt_body`
--

CREATE TABLE `paragraph_revision__field_mt_fltt_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_body_value` longtext NOT NULL,
  `field_mt_fltt_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fltt_body_format` (`field_mt_fltt_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fltt…';

--
-- Dumping data for table `paragraph_revision__field_mt_fltt_body`
--

INSERT INTO `paragraph_revision__field_mt_fltt_body` VALUES
('mt_featured_linked_text_tile', 0, 26, 26, 'en', 0, '<p>I take the time to listen to your needs understand your business to ensure my design solutions will be effective.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 27, 27, 'en', 0, '<p>You’ll have a veteran creative director &amp; team of experienced pros working on your account, not entry-level ones.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 28, 28, 'en', 0, '<p>Every business is important &amp; we are focused on developing a successful &nbsp;relationship with each one.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 29, 29, 'en', 0, '<p>Our pricing packages are customized for your company’s unique needs. We deliver the highest value.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 30, 30, 'en', 0, '<p>We are humbled and honored by this and work to create that kind of trust with each of our clients.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 31, 31, 'en', 0, '<p>We care about our clients and can often be found working out of hours to get everything.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fltt_link`
--

CREATE TABLE `paragraph_revision__field_mt_fltt_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_fltt_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_fltt_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fltt_link_uri` (`field_mt_fltt_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fltt…';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_fltt_title`
--

CREATE TABLE `paragraph_revision__field_mt_fltt_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fltt…';

--
-- Dumping data for table `paragraph_revision__field_mt_fltt_title`
--

INSERT INTO `paragraph_revision__field_mt_fltt_title` VALUES
('mt_featured_linked_text_tile', 0, 26, 26, 'en', 0, 'Listening Skills'),
('mt_featured_linked_text_tile', 0, 27, 27, 'en', 0, 'Experience'),
('mt_featured_linked_text_tile', 0, 28, 28, 'en', 0, 'Our Size'),
('mt_featured_linked_text_tile', 0, 29, 29, 'en', 0, 'Our Value'),
('mt_featured_linked_text_tile', 0, 30, 30, 'en', 0, 'Relationships'),
('mt_featured_linked_text_tile', 0, 31, 31, 'en', 0, 'Passionate');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_highlight_body`
--

CREATE TABLE `paragraph_revision__field_mt_highlight_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_body_value` longtext NOT NULL,
  `field_mt_highlight_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_highlight_body_format` (`field_mt_highlight_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_highlight_body`
--

INSERT INTO `paragraph_revision__field_mt_highlight_body` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 50, 50, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 51, 51, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 52, 52, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 65, 65, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html'),
('mt_highlight', 0, 66, 66, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html'),
('mt_highlight', 0, 67, 67, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html'),
('mt_highlight', 0, 68, 68, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_highlight_image`
--

CREATE TABLE `paragraph_revision__field_mt_highlight_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_highlight_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_highlight_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_highlight_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_highlight_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_highlight_image_target_id` (`field_mt_highlight_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_highlight_image`
--

INSERT INTO `paragraph_revision__field_mt_highlight_image` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, 121, 'Highlight One', 'Highlight One', 850, 460),
('mt_highlight', 0, 50, 50, 'en', 0, 122, 'Highlight Two', 'Highlight Two', 850, 460),
('mt_highlight', 0, 51, 51, 'en', 0, 123, 'Highlight Three', 'Highlight Three', 850, 460),
('mt_highlight', 0, 52, 52, 'en', 0, 124, 'Highlight Four', 'Highlight Four', 850, 460),
('mt_highlight', 0, 65, 65, 'en', 0, 182, 'Highlight One', 'Highlight One', 850, 460),
('mt_highlight', 0, 66, 66, 'en', 0, 183, 'Highlight Two', 'Highlight Two', 850, 460),
('mt_highlight', 0, 67, 67, 'en', 0, 184, 'Highlight Three', 'Highlight Three', 850, 460),
('mt_highlight', 0, 68, 68, 'en', 0, 185, 'Highlight Four', 'Highlight Four', 850, 460);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_highlight_link`
--

CREATE TABLE `paragraph_revision__field_mt_highlight_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_highlight_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_highlight_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_highlight_link_uri` (`field_mt_highlight_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_highlight_link`
--

INSERT INTO `paragraph_revision__field_mt_highlight_link` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 50, 50, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 51, 51, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 52, 52, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 65, 65, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 66, 66, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 67, 67, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 68, 68, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_highlight_title`
--

CREATE TABLE `paragraph_revision__field_mt_highlight_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt…';

--
-- Dumping data for table `paragraph_revision__field_mt_highlight_title`
--

INSERT INTO `paragraph_revision__field_mt_highlight_title` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, 'Name of first feature'),
('mt_highlight', 0, 50, 50, 'en', 0, 'Name of Second Feature'),
('mt_highlight', 0, 51, 51, 'en', 0, 'Name of third feature'),
('mt_highlight', 0, 52, 52, 'en', 0, 'Name of fourth feature'),
('mt_highlight', 0, 65, 65, 'en', 0, 'Name of first feature'),
('mt_highlight', 0, 66, 66, 'en', 0, 'Name of Second Feature'),
('mt_highlight', 0, 67, 67, 'en', 0, 'Name of third feature'),
('mt_highlight', 0, 68, 68, 'en', 0, 'Name of fourth feature');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_if_body`
--

CREATE TABLE `paragraph_revision__field_mt_if_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_body_value` longtext NOT NULL,
  `field_mt_if_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_body_format` (`field_mt_if_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_if…';

--
-- Dumping data for table `paragraph_revision__field_mt_if_body`
--

INSERT INTO `paragraph_revision__field_mt_if_body` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, '<p>Whether you are a resident, a young urologist or an experienced specialist, your career can benefit.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 54, 54, 'en', 0, '<p>For any successful clinician, having the most up-to-date evidence-based recommendations.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 55, 55, 'en', 0, '<p>Urologists are bound by national and, increasingly, international laws that govern treatment.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 56, 56, 'en', 0, '<p>The EAU offers a wide range of events and courses to interact with the best specialists.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 60, 60, 'en', 0, '<p>For almost 40 years the EAU has addressed the most pressing issues of care.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 61, 61, 'en', 0, '<p>For days in November, Malm will be welcoming experts on andrology from all over the world.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 84, 96, 'en', 0, '<p>3993 Mudlick Road Walla Walla,<br />\r\nNew York 99362</p>\r\n', 'full_html'),
('mt_icon_features', 0, 85, 97, 'en', 0, '<p>Bus routes 14, 49, 70, 74, 345<br />\r\nA subway connects Kensington station to us</p>\r\n', 'full_html'),
('mt_icon_features', 0, 86, 98, 'en', 0, '<p>We have the Nepalum Hotel Resort &amp;<br />\r\nKingot Restaurant at 300m.</p>\r\n', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_if_fa_icon`
--

CREATE TABLE `paragraph_revision__field_mt_if_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_if_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_if_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_if_fa…';

--
-- Dumping data for table `paragraph_revision__field_mt_if_fa_icon`
--

INSERT INTO `paragraph_revision__field_mt_if_fa_icon` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, 'th', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 54, 54, 'en', 0, 'unlock-alt', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 55, 55, 'en', 0, 'sync', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 56, 56, 'en', 0, 'smile', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 60, 60, 'en', 0, 'bullhorn', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 61, 61, 'en', 0, 'life-ring', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 84, 96, 'en', 0, 'map-marker-alt', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 85, 97, 'en', 0, 'bus', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 86, 98, 'en', 0, 'utensils', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_if_image`
--

CREATE TABLE `paragraph_revision__field_mt_if_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_if_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_if_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_if_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_if_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_image_target_id` (`field_mt_if_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_if…';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_if_link`
--

CREATE TABLE `paragraph_revision__field_mt_if_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_if_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_if_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_link_uri` (`field_mt_if_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_if…';

--
-- Dumping data for table `paragraph_revision__field_mt_if_link`
--

INSERT INTO `paragraph_revision__field_mt_if_link` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 54, 54, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 55, 55, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 56, 56, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 60, 60, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 61, 61, 'en', 0, 'internal:/', '', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_if_title`
--

CREATE TABLE `paragraph_revision__field_mt_if_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_if…';

--
-- Dumping data for table `paragraph_revision__field_mt_if_title`
--

INSERT INTO `paragraph_revision__field_mt_if_title` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, 'Backend'),
('mt_icon_features', 0, 54, 54, 'en', 0, 'Security'),
('mt_icon_features', 0, 55, 55, 'en', 0, 'Threats'),
('mt_icon_features', 0, 56, 56, 'en', 0, 'Frontend'),
('mt_icon_features', 0, 60, 60, 'en', 0, 'Marketing'),
('mt_icon_features', 0, 61, 61, 'en', 0, 'Support'),
('mt_icon_features', 0, 84, 96, 'en', 0, 'Venue'),
('mt_icon_features', 0, 85, 97, 'en', 0, 'Transport'),
('mt_icon_features', 0, 86, 98, 'en', 0, 'Hotel & Restaurant');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_media_body`
--

CREATE TABLE `paragraph_revision__field_mt_media_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_body_value` longtext NOT NULL,
  `field_mt_media_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_body_format` (`field_mt_media_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_media…';

--
-- Dumping data for table `paragraph_revision__field_mt_media_body`
--

INSERT INTO `paragraph_revision__field_mt_media_body` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In eveniet eius nihil quos nam possimus molestias laudantium quam, suscipit consequuntur voluptate commodi reiciendis voluptatibus. Consequatur esse architecto at adipisci. Possimus.</p>\r\n', 'basic_html'),
('mt_media_tab', 0, 21, 21, 'en', 0, '<p>If I could teach only one value to live by, it would be this: Success will come and go, but integrity is forever. Integrity means doing the right thing at all times in all circumstances, whether or not anyone is watching.</p>\r\n', 'full_html'),
('mt_media_tab', 0, 22, 22, 'en', 0, '<p>We are continuously introducing sustainable solutions onto the market which significantly contribute to improving quality of life and conserving resources such as water or energy. Our success is driven by research.</p>\r\n', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_media_button`
--

CREATE TABLE `paragraph_revision__field_mt_media_button` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_button_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_media_button_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_media_button_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_button_uri` (`field_mt_media_button_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_media…';

--
-- Dumping data for table `paragraph_revision__field_mt_media_button`
--

INSERT INTO `paragraph_revision__field_mt_media_button` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'entity:node/23', 'Read More', 'a:0:{}'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'entity:node/9', 'Read More', 'a:0:{}'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'entity:node/22', 'Read More', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_media_image`
--

CREATE TABLE `paragraph_revision__field_mt_media_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_media_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_media_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_media_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_media_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_image_target_id` (`field_mt_media_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_media…';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_media_tab_title`
--

CREATE TABLE `paragraph_revision__field_mt_media_tab_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_tab_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_media…';

--
-- Dumping data for table `paragraph_revision__field_mt_media_tab_title`
--

INSERT INTO `paragraph_revision__field_mt_media_tab_title` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'Our Values'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'Our Integrity'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'Innovation');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_media_title`
--

CREATE TABLE `paragraph_revision__field_mt_media_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_media…';

--
-- Dumping data for table `paragraph_revision__field_mt_media_title`
--

INSERT INTO `paragraph_revision__field_mt_media_title` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'Get To Know Our  Best Values'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'Success Goes, Integrity’s Forever'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'The Most Innovative');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_media_video`
--

CREATE TABLE `paragraph_revision__field_mt_media_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_media…';

--
-- Dumping data for table `paragraph_revision__field_mt_media_video`
--

INSERT INTO `paragraph_revision__field_mt_media_video` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ml_latitude`
--

CREATE TABLE `paragraph_revision__field_mt_ml_latitude` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ml_latitude_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ml…';

--
-- Dumping data for table `paragraph_revision__field_mt_ml_latitude`
--

INSERT INTO `paragraph_revision__field_mt_ml_latitude` VALUES
('mt_map_location', 0, 44, 44, 'en', 0, '40.726576'),
('mt_map_location', 0, 45, 45, 'en', 0, '40.728576'),
('mt_map_location', 0, 46, 46, 'en', 0, '40.726976'),
('mt_map_location', 0, 47, 47, 'en', 0, '40.726376'),
('mt_map_location', 0, 78, 83, 'en', 0, '40.726576'),
('mt_map_location', 0, 79, 85, 'en', 0, '40.726576'),
('mt_map_location', 0, 80, 94, 'en', 0, '40.726576'),
('mt_map_location', 0, 81, 93, 'en', 0, '40.726576'),
('mt_map_location', 0, 82, 92, 'en', 0, '40.726576'),
('mt_map_location', 0, 83, 95, 'en', 0, '40.726576');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ml_location_name`
--

CREATE TABLE `paragraph_revision__field_mt_ml_location_name` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ml_location_name_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ml…';

--
-- Dumping data for table `paragraph_revision__field_mt_ml_location_name`
--

INSERT INTO `paragraph_revision__field_mt_ml_location_name` VALUES
('mt_map_location', 0, 44, 44, 'en', 0, 'Location One'),
('mt_map_location', 0, 45, 45, 'en', 0, 'Location Two'),
('mt_map_location', 0, 46, 46, 'en', 0, 'Location Three'),
('mt_map_location', 0, 47, 47, 'en', 0, 'Location Four'),
('mt_map_location', 0, 78, 83, 'en', 0, 'Event One'),
('mt_map_location', 0, 79, 85, 'en', 0, 'Event One'),
('mt_map_location', 0, 80, 94, 'en', 0, 'Event Two'),
('mt_map_location', 0, 81, 93, 'en', 0, 'Event Three'),
('mt_map_location', 0, 82, 92, 'en', 0, 'Event Four'),
('mt_map_location', 0, 83, 95, 'en', 0, 'Event One');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ml_longitude`
--

CREATE TABLE `paragraph_revision__field_mt_ml_longitude` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ml_longitude_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ml…';

--
-- Dumping data for table `paragraph_revision__field_mt_ml_longitude`
--

INSERT INTO `paragraph_revision__field_mt_ml_longitude` VALUES
('mt_map_location', 0, 44, 44, 'en', 0, '-74.046822'),
('mt_map_location', 0, 45, 45, 'en', 0, '-74.046222'),
('mt_map_location', 0, 46, 46, 'en', 0, '-74.076822'),
('mt_map_location', 0, 47, 47, 'en', 0, '-74.066822'),
('mt_map_location', 0, 78, 83, 'en', 0, '-74.046822'),
('mt_map_location', 0, 79, 85, 'en', 0, '-74.046822'),
('mt_map_location', 0, 80, 94, 'en', 0, '-74.046822'),
('mt_map_location', 0, 81, 93, 'en', 0, '-74.046822'),
('mt_map_location', 0, 82, 92, 'en', 0, '-74.046822'),
('mt_map_location', 0, 83, 95, 'en', 0, '-74.046822');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ms_slide_caption`
--

CREATE TABLE `paragraph_revision__field_mt_ms_slide_caption` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_caption_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_revision__field_mt_ms_slide_caption`
--

INSERT INTO `paragraph_revision__field_mt_ms_slide_caption` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.'),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ms_slide_image`
--

CREATE TABLE `paragraph_revision__field_mt_ms_slide_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_ms_slide_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_ms_slide_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_ms_slide_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_ms_slide_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_slide_image_target_id` (`field_mt_ms_slide_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_revision__field_mt_ms_slide_image`
--

INSERT INTO `paragraph_revision__field_mt_ms_slide_image` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 101, 'Slide One', 'Slide One', 1920, 650),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 102, 'Slide Two', 'Slide Two', 1920, 650),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 103, 'slide three', '', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ms_slide_link`
--

CREATE TABLE `paragraph_revision__field_mt_ms_slide_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_ms_slide_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_ms_slide_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_slide_link_uri` (`field_mt_ms_slide_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_revision__field_mt_ms_slide_link`
--

INSERT INTO `paragraph_revision__field_mt_ms_slide_link` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'entity:node/9', 'Read More', 'a:0:{}'),
('mt_main_slideshow_slide', 0, 32, 32, 'en', 1, 'internal:/contact', 'Contact', 'a:0:{}'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'entity:node/23', 'Read More', 'a:0:{}'),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 'entity:node/1', 'view more', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ms_slide_title`
--

CREATE TABLE `paragraph_revision__field_mt_ms_slide_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_revision__field_mt_ms_slide_title`
--

INSERT INTO `paragraph_revision__field_mt_ms_slide_title` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'Slide One'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'Slide Two'),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 'new slideshow');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ms_slide_vimeo_id`
--

CREATE TABLE `paragraph_revision__field_mt_ms_slide_vimeo_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_vimeo_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ms_slide_volume`
--

CREATE TABLE `paragraph_revision__field_mt_ms_slide_volume` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_volume_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_revision__field_mt_ms_slide_volume`
--

INSERT INTO `paragraph_revision__field_mt_ms_slide_volume` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 0),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 0),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_ms_slide_youtube_id`
--

CREATE TABLE `paragraph_revision__field_mt_ms_slide_youtube_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_youtube_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_revision__field_mt_ms_slide_youtube_id`
--

INSERT INTO `paragraph_revision__field_mt_ms_slide_youtube_id` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, '3wbvpOIIBQA');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_tab_content`
--

CREATE TABLE `paragraph_revision__field_mt_tab_content` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tab_content_value` longtext NOT NULL,
  `field_mt_tab_content_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tab_content_format` (`field_mt_tab_content_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_tab…';

--
-- Dumping data for table `paragraph_revision__field_mt_tab_content`
--

INSERT INTO `paragraph_revision__field_mt_tab_content` VALUES
('mt_tab', 0, 6, 6, 'en', 0, '<p>Excepteur sint occaecat cupidatat non</p>\r\n\r\n<ul>\r\n	<li>Lorem ipsum dolor sit amet&nbsp;</li>\r\n	<li>Consectetur adipisicing elit, sed do eiusmod</li>\r\n	<li>Tempor incididunt ut labore</li>\r\n	<li>Quis nostrud exercitation ullamco</li>\r\n	<li>Laboris nisi ut aliquip ex ea commodo</li>\r\n	<li>Duis aute irure dolor in reprehenderit</li>\r\n</ul>\r\n', 'full_html'),
('mt_tab', 0, 7, 7, 'en', 0, '<p>Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'full_html'),
('mt_tab', 0, 69, 69, 'en', 0, '<p>Excepteur sint occaecat cupidatat non</p>\r\n\r\n<ul>\r\n	<li>Lorem ipsum dolor sit amet&nbsp;</li>\r\n	<li>Consectetur adipisicing elit, sed do eiusmod</li>\r\n	<li>Tempor incididunt ut labore</li>\r\n	<li>Quis nostrud exercitation ullamco</li>\r\n	<li>Laboris nisi ut aliquip ex ea commodo</li>\r\n	<li>Duis aute irure dolor in reprehenderit</li>\r\n</ul>\r\n', 'basic_html'),
('mt_tab', 0, 70, 70, 'en', 0, '<p>Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_tab_title`
--

CREATE TABLE `paragraph_revision__field_mt_tab_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tab_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_tab…';

--
-- Dumping data for table `paragraph_revision__field_mt_tab_title`
--

INSERT INTO `paragraph_revision__field_mt_tab_title` VALUES
('mt_tab', 0, 4, 4, 'en', 0, 'Product'),
('mt_tab', 0, 6, 6, 'en', 0, 'Product'),
('mt_tab', 0, 7, 7, 'en', 0, 'Information'),
('mt_tab', 0, 69, 69, 'en', 0, 'Product'),
('mt_tab', 0, 70, 70, 'en', 0, 'Information');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_tml_timeline_date`
--

CREATE TABLE `paragraph_revision__field_mt_tml_timeline_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_date_value` (`field_mt_tml_timeline_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_tml…';

--
-- Dumping data for table `paragraph_revision__field_mt_tml_timeline_date`
--

INSERT INTO `paragraph_revision__field_mt_tml_timeline_date` VALUES
('mt_timeline_item', 0, 74, 74, 'en', 0, '2018-02-12'),
('mt_timeline_item', 0, 75, 75, 'en', 0, '2018-02-28'),
('mt_timeline_item', 0, 76, 76, 'en', 0, '2018-06-30'),
('mt_timeline_item', 0, 77, 77, 'en', 0, '2018-08-15');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_tml_timeline_link`
--

CREATE TABLE `paragraph_revision__field_mt_tml_timeline_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_tml_timeline_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_tml_timeline_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_link_uri` (`field_mt_tml_timeline_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_tml…';

--
-- Dumping data for table `paragraph_revision__field_mt_tml_timeline_link`
--

INSERT INTO `paragraph_revision__field_mt_tml_timeline_link` VALUES
('mt_timeline_item', 0, 74, 74, 'en', 0, 'internal:/node/2', '', 'a:0:{}'),
('mt_timeline_item', 0, 75, 75, 'en', 0, 'internal:/node/1', '', 'a:0:{}'),
('mt_timeline_item', 0, 77, 77, 'en', 0, 'internal:/node/1', '', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_tml_timeline_title`
--

CREATE TABLE `paragraph_revision__field_mt_tml_timeline_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_tml…';

--
-- Dumping data for table `paragraph_revision__field_mt_tml_timeline_title`
--

INSERT INTO `paragraph_revision__field_mt_tml_timeline_title` VALUES
('mt_timeline_item', 0, 74, 74, 'en', 0, 'Call for Abstracts'),
('mt_timeline_item', 0, 75, 75, 'en', 0, 'Abstract Submissions Deadline'),
('mt_timeline_item', 0, 76, 76, 'en', 0, 'End of Abstract Reviews and Notification to Authors'),
('mt_timeline_item', 0, 77, 77, 'en', 0, 'Opening of Early Bird Registration');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_vgs_slide_title`
--

CREATE TABLE `paragraph_revision__field_mt_vgs_slide_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_slide_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_vgs…';

--
-- Dumping data for table `paragraph_revision__field_mt_vgs_slide_title`
--

INSERT INTO `paragraph_revision__field_mt_vgs_slide_title` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, 'GoPro: HERO3+ Black Edition: Smaller, lighter, mightier still.'),
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, 'Dartmoor Timelapse Trailer'),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, 'China: A Skier’s Journey'),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, 'Arctic Lightscapes'),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 'Fantastic Beasts and Where to Find Them Trailer'),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 'The Grand Tour: The Official Trailer');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_vgs_thumbnail`
--

CREATE TABLE `paragraph_revision__field_mt_vgs_thumbnail` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_thumbnail_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_vgs_thumbnail_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_vgs_thumbnail_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_vgs_thumbnail_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_vgs_thumbnail_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_vgs_thumbnail_target_id` (`field_mt_vgs_thumbnail_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_vgs…';

--
-- Dumping data for table `paragraph_revision__field_mt_vgs_thumbnail`
--

INSERT INTO `paragraph_revision__field_mt_vgs_thumbnail` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, 104, 'First Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, 105, 'Second Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, 106, 'Third Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, 107, 'Fourth Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 108, 'Fifth Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 109, 'Sixth Video thumbnail', '', 400, 226);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_vgs_vimeo_id`
--

CREATE TABLE `paragraph_revision__field_mt_vgs_vimeo_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_vimeo_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_vgs…';

--
-- Dumping data for table `paragraph_revision__field_mt_vgs_vimeo_id`
--

INSERT INTO `paragraph_revision__field_mt_vgs_vimeo_id` VALUES
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, '82642494'),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, '175629655'),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, '189599205');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_vgs_volume`
--

CREATE TABLE `paragraph_revision__field_mt_vgs_volume` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_volume_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_vgs…';

--
-- Dumping data for table `paragraph_revision__field_mt_vgs_volume`
--

INSERT INTO `paragraph_revision__field_mt_vgs_volume` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, 0),
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, 0),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, 0),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, 0),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 0),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_revision__field_mt_vgs_youtube_id`
--

CREATE TABLE `paragraph_revision__field_mt_vgs_youtube_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_youtube_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_vgs…';

--
-- Dumping data for table `paragraph_revision__field_mt_vgs_youtube_id`
--

INSERT INTO `paragraph_revision__field_mt_vgs_youtube_id` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, '3wbvpOIIBQA'),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 'ViuDsy7yb8M'),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 'kLtpcxtk4HI');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_r__55757bbefd`
--

CREATE TABLE `paragraph_r__55757bbefd` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_block_reference_target_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fancy_block_reference_target_id` (`field_mt_fancy_block_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_fancy…';

--
-- Dumping data for table `paragraph_r__55757bbefd`
--

INSERT INTO `paragraph_r__55757bbefd` VALUES
('mt_fancy_tab', 0, 1, 1, 'en', 0, 'conferenceplus_views_block__mt_products_masonry_block_1'),
('mt_fancy_tab', 0, 2, 2, 'en', 0, 'conferenceplus_popularsalesstatic'),
('mt_fancy_tab', 0, 19, 19, 'en', 0, 'conferenceplus_views_block__mt_collections_masonry_block_1');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_r__482119a80c`
--

CREATE TABLE `paragraph_r__482119a80c` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_caption_opac_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_r__482119a80c`
--

INSERT INTO `paragraph_r__482119a80c` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 0),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph_r__b5f38bd69e`
--

CREATE TABLE `paragraph_r__b5f38bd69e` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_caption_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_slide_caption_color_value` (`field_mt_ms_slide_caption_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for paragraph field field_mt_ms…';

--
-- Dumping data for table `paragraph_r__b5f38bd69e`
--

INSERT INTO `paragraph_r__b5f38bd69e` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'region--light-typography region--black-background'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'region--light-typography region--black-background');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_adf_body`
--

CREATE TABLE `paragraph__field_mt_adf_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_body_value` longtext NOT NULL,
  `field_mt_adf_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_adf_body_format` (`field_mt_adf_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_adf_body.';

--
-- Dumping data for table `paragraph__field_mt_adf_body`
--

INSERT INTO `paragraph__field_mt_adf_body` VALUES
('mt_additional_feature', 0, 57, 57, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 58, 58, 'en', 0, '<p>Quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 59, 59, 'en', 0, '<p>Cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 62, 62, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 63, 63, 'en', 0, '<p>Quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse.</p>\r\n', 'basic_html'),
('mt_additional_feature', 0, 64, 64, 'en', 0, '<p>Cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_adf_fa_icon`
--

CREATE TABLE `paragraph__field_mt_adf_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_adf_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_adf_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_adf_fa_icon.';

--
-- Dumping data for table `paragraph__field_mt_adf_fa_icon`
--

INSERT INTO `paragraph__field_mt_adf_fa_icon` VALUES
('mt_additional_feature', 0, 62, 62, 'en', 0, 'road', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_additional_feature', 0, 63, 63, 'en', 0, 'signal', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_additional_feature', 0, 64, 64, 'en', 0, 'fire', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_adf_image`
--

CREATE TABLE `paragraph__field_mt_adf_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_adf_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_adf_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_adf_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_adf_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_adf_image_target_id` (`field_mt_adf_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_adf_image.';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_adf_title`
--

CREATE TABLE `paragraph__field_mt_adf_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_adf_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_adf_title.';

--
-- Dumping data for table `paragraph__field_mt_adf_title`
--

INSERT INTO `paragraph__field_mt_adf_title` VALUES
('mt_additional_feature', 0, 57, 57, 'en', 0, 'Looking For Your Dvd Printing Solution'),
('mt_additional_feature', 0, 58, 58, 'en', 0, 'Becoming A Dvd Repair Expert Online'),
('mt_additional_feature', 0, 59, 59, 'en', 0, 'Are You Ready To Buy A Home Theater Audio System'),
('mt_additional_feature', 0, 62, 62, 'en', 0, 'Looking For Your Dvd Printing Solution'),
('mt_additional_feature', 0, 63, 63, 'en', 0, 'Becoming A Dvd Repair Expert Online'),
('mt_additional_feature', 0, 64, 64, 'en', 0, 'Are You Ready To Buy A Home Theater Audio System');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_collapse_body`
--

CREATE TABLE `paragraph__field_mt_collapse_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_collapse_body_value` longtext NOT NULL,
  `field_mt_collapse_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_collapse_body_format` (`field_mt_collapse_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_collapse_body.';

--
-- Dumping data for table `paragraph__field_mt_collapse_body`
--

INSERT INTO `paragraph__field_mt_collapse_body` VALUES
('mt_collapse', 0, 23, 23, 'en', 0, '<p>Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.&nbsp;</p>\r\n', 'full_html'),
('mt_collapse', 0, 24, 24, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'full_html'),
('mt_collapse', 0, 25, 25, 'en', 0, '<p>Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'full_html'),
('mt_collapse', 0, 71, 71, 'en', 0, '<p>Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.&nbsp;</p>\r\n', 'basic_html'),
('mt_collapse', 0, 72, 72, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html'),
('mt_collapse', 0, 73, 73, 'en', 0, '<p>Lorem ipsum dolor sit amet consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo, consectetur adipisicing elit, sed do eiusmod proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_collapse_title`
--

CREATE TABLE `paragraph__field_mt_collapse_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_collapse_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_collapse_title.';

--
-- Dumping data for table `paragraph__field_mt_collapse_title`
--

INSERT INTO `paragraph__field_mt_collapse_title` VALUES
('mt_collapse', 0, 23, 23, 'en', 0, 'Context'),
('mt_collapse', 0, 24, 24, 'en', 0, 'Research'),
('mt_collapse', 0, 25, 25, 'en', 0, 'Impact'),
('mt_collapse', 0, 71, 71, 'en', 0, 'Context'),
('mt_collapse', 0, 72, 72, 'en', 0, 'Research'),
('mt_collapse', 0, 73, 73, 'en', 0, 'Impact');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_dropdown_block`
--

CREATE TABLE `paragraph__field_mt_dropdown_block` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_dropdown_block_target_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_dropdown_block_target_id` (`field_mt_dropdown_block_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_dropdown_block.';

--
-- Dumping data for table `paragraph__field_mt_dropdown_block`
--

INSERT INTO `paragraph__field_mt_dropdown_block` VALUES
('mt_dropdown', 0, 41, 41, 'en', 0, 'searchform_4'),
('mt_dropdown', 0, 42, 42, 'en', 0, 'mystory'),
('mt_dropdown', 0, 43, 43, 'en', 0, 'languageswitcher');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_dropdown_fa_icon`
--

CREATE TABLE `paragraph__field_mt_dropdown_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_dropdown_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_dropdown_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_dropdown_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_dropdown_fa_icon.';

--
-- Dumping data for table `paragraph__field_mt_dropdown_fa_icon`
--

INSERT INTO `paragraph__field_mt_dropdown_fa_icon` VALUES
('mt_dropdown', 0, 41, 41, 'en', 0, 'search', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fancy_block_reference`
--

CREATE TABLE `paragraph__field_mt_fancy_block_reference` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_block_reference_target_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fancy_block_reference_target_id` (`field_mt_fancy_block_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fancy_block…';

--
-- Dumping data for table `paragraph__field_mt_fancy_block_reference`
--

INSERT INTO `paragraph__field_mt_fancy_block_reference` VALUES
('mt_fancy_tab', 0, 1, 1, 'en', 0, 'conferenceplus_views_block__mt_products_masonry_block_1'),
('mt_fancy_tab', 0, 2, 2, 'en', 0, 'conferenceplus_popularsalesstatic'),
('mt_fancy_tab', 0, 19, 19, 'en', 0, 'conferenceplus_views_block__mt_collections_masonry_block_1');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fancy_subtitle`
--

CREATE TABLE `paragraph__field_mt_fancy_subtitle` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_subtitle_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fancy_subtitle.';

--
-- Dumping data for table `paragraph__field_mt_fancy_subtitle`
--

INSERT INTO `paragraph__field_mt_fancy_subtitle` VALUES
('mt_fancy_tab', 0, 1, 1, 'en', 0, 'Explore Now'),
('mt_fancy_tab', 0, 2, 2, 'en', 0, 'Explore Now'),
('mt_fancy_tab', 0, 19, 19, 'en', 0, 'Explore Now');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fancy_title`
--

CREATE TABLE `paragraph__field_mt_fancy_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fancy_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fancy_title.';

--
-- Dumping data for table `paragraph__field_mt_fancy_title`
--

INSERT INTO `paragraph__field_mt_fancy_title` VALUES
('mt_fancy_tab', 0, 1, 1, 'en', 0, 'Newest Products'),
('mt_fancy_tab', 0, 2, 2, 'en', 0, 'Popular Items'),
('mt_fancy_tab', 0, 3, 3, 'en', 0, 'New tab title'),
('mt_fancy_tab', 0, 19, 19, 'en', 0, 'Product Groups');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fli_button_fa_icon`
--

CREATE TABLE `paragraph__field_mt_fli_button_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_button_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_fli_button_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_fli_button_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fli_button_fa…';

--
-- Dumping data for table `paragraph__field_mt_fli_button_fa_icon`
--

INSERT INTO `paragraph__field_mt_fli_button_fa_icon` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'shopping-bag', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'envelope', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'envelope', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fli_image`
--

CREATE TABLE `paragraph__field_mt_fli_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_fli_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_fli_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_fli_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_fli_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fli_image_target_id` (`field_mt_fli_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fli_image.';

--
-- Dumping data for table `paragraph__field_mt_fli_image`
--

INSERT INTO `paragraph__field_mt_fli_image` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 80, 'fancy image one', 'fancy image one', 750, 750),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 81, 'fancy image two', 'fancy image two', 750, 750),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 82, 'fancy image three', 'fancy image three', 750, 750);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fli_link`
--

CREATE TABLE `paragraph__field_mt_fli_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_fli_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_fli_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fli_link_uri` (`field_mt_fli_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fli_link.';

--
-- Dumping data for table `paragraph__field_mt_fli_link`
--

INSERT INTO `paragraph__field_mt_fli_link` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'internal:/products-3-col', 'Products', 'a:0:{}'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'internal:/contact', 'Reach out', 'a:0:{}'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'internal:/contact', 'Contact us', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fli_shape`
--

CREATE TABLE `paragraph__field_mt_fli_shape` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_shape_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fli_shape_value` (`field_mt_fli_shape_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fli_shape.';

--
-- Dumping data for table `paragraph__field_mt_fli_shape`
--

INSERT INTO `paragraph__field_mt_fli_shape` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'pentagon'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'circle'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'rectangle');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fli_title`
--

CREATE TABLE `paragraph__field_mt_fli_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fli_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fli_title.';

--
-- Dumping data for table `paragraph__field_mt_fli_title`
--

INSERT INTO `paragraph__field_mt_fli_title` VALUES
('mt_fancy_linked_image', 0, 16, 16, 'en', 0, 'Offers on new Products'),
('mt_fancy_linked_image', 0, 17, 17, 'en', 0, 'Refer a friend'),
('mt_fancy_linked_image', 0, 18, 18, 'en', 0, 'Become a Representative');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fltt_body`
--

CREATE TABLE `paragraph__field_mt_fltt_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_body_value` longtext NOT NULL,
  `field_mt_fltt_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fltt_body_format` (`field_mt_fltt_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fltt_body.';

--
-- Dumping data for table `paragraph__field_mt_fltt_body`
--

INSERT INTO `paragraph__field_mt_fltt_body` VALUES
('mt_featured_linked_text_tile', 0, 26, 26, 'en', 0, '<p>I take the time to listen to your needs understand your business to ensure my design solutions will be effective.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 27, 27, 'en', 0, '<p>You’ll have a veteran creative director &amp; team of experienced pros working on your account, not entry-level ones.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 28, 28, 'en', 0, '<p>Every business is important &amp; we are focused on developing a successful &nbsp;relationship with each one.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 29, 29, 'en', 0, '<p>Our pricing packages are customized for your company’s unique needs. We deliver the highest value.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 30, 30, 'en', 0, '<p>We are humbled and honored by this and work to create that kind of trust with each of our clients.</p>\r\n', 'basic_html'),
('mt_featured_linked_text_tile', 0, 31, 31, 'en', 0, '<p>We care about our clients and can often be found working out of hours to get everything.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fltt_link`
--

CREATE TABLE `paragraph__field_mt_fltt_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_fltt_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_fltt_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_fltt_link_uri` (`field_mt_fltt_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fltt_link.';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_fltt_title`
--

CREATE TABLE `paragraph__field_mt_fltt_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_fltt_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_fltt_title.';

--
-- Dumping data for table `paragraph__field_mt_fltt_title`
--

INSERT INTO `paragraph__field_mt_fltt_title` VALUES
('mt_featured_linked_text_tile', 0, 26, 26, 'en', 0, 'Listening Skills'),
('mt_featured_linked_text_tile', 0, 27, 27, 'en', 0, 'Experience'),
('mt_featured_linked_text_tile', 0, 28, 28, 'en', 0, 'Our Size'),
('mt_featured_linked_text_tile', 0, 29, 29, 'en', 0, 'Our Value'),
('mt_featured_linked_text_tile', 0, 30, 30, 'en', 0, 'Relationships'),
('mt_featured_linked_text_tile', 0, 31, 31, 'en', 0, 'Passionate');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_highlight_body`
--

CREATE TABLE `paragraph__field_mt_highlight_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_body_value` longtext NOT NULL,
  `field_mt_highlight_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_highlight_body_format` (`field_mt_highlight_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_highlight_body.';

--
-- Dumping data for table `paragraph__field_mt_highlight_body`
--

INSERT INTO `paragraph__field_mt_highlight_body` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 50, 50, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 51, 51, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 52, 52, 'en', 0, '<p class="large">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'full_html'),
('mt_highlight', 0, 65, 65, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html'),
('mt_highlight', 0, 66, 66, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html'),
('mt_highlight', 0, 67, 67, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html'),
('mt_highlight', 0, 68, 68, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_highlight_image`
--

CREATE TABLE `paragraph__field_mt_highlight_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_highlight_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_highlight_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_highlight_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_highlight_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_highlight_image_target_id` (`field_mt_highlight_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_highlight_image.';

--
-- Dumping data for table `paragraph__field_mt_highlight_image`
--

INSERT INTO `paragraph__field_mt_highlight_image` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, 121, 'Highlight One', 'Highlight One', 850, 460),
('mt_highlight', 0, 50, 50, 'en', 0, 122, 'Highlight Two', 'Highlight Two', 850, 460),
('mt_highlight', 0, 51, 51, 'en', 0, 123, 'Highlight Three', 'Highlight Three', 850, 460),
('mt_highlight', 0, 52, 52, 'en', 0, 124, 'Highlight Four', 'Highlight Four', 850, 460),
('mt_highlight', 0, 65, 65, 'en', 0, 182, 'Highlight One', 'Highlight One', 850, 460),
('mt_highlight', 0, 66, 66, 'en', 0, 183, 'Highlight Two', 'Highlight Two', 850, 460),
('mt_highlight', 0, 67, 67, 'en', 0, 184, 'Highlight Three', 'Highlight Three', 850, 460),
('mt_highlight', 0, 68, 68, 'en', 0, 185, 'Highlight Four', 'Highlight Four', 850, 460);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_highlight_link`
--

CREATE TABLE `paragraph__field_mt_highlight_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_highlight_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_highlight_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_highlight_link_uri` (`field_mt_highlight_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_highlight_link.';

--
-- Dumping data for table `paragraph__field_mt_highlight_link`
--

INSERT INTO `paragraph__field_mt_highlight_link` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 50, 50, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 51, 51, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 52, 52, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 65, 65, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 66, 66, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 67, 67, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}'),
('mt_highlight', 0, 68, 68, 'en', 0, 'internal:/node/23', 'Free Trial', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_highlight_title`
--

CREATE TABLE `paragraph__field_mt_highlight_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_highlight_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_highlight_title.';

--
-- Dumping data for table `paragraph__field_mt_highlight_title`
--

INSERT INTO `paragraph__field_mt_highlight_title` VALUES
('mt_highlight', 0, 49, 49, 'en', 0, 'Name of first feature'),
('mt_highlight', 0, 50, 50, 'en', 0, 'Name of Second Feature'),
('mt_highlight', 0, 51, 51, 'en', 0, 'Name of third feature'),
('mt_highlight', 0, 52, 52, 'en', 0, 'Name of fourth feature'),
('mt_highlight', 0, 65, 65, 'en', 0, 'Name of first feature'),
('mt_highlight', 0, 66, 66, 'en', 0, 'Name of Second Feature'),
('mt_highlight', 0, 67, 67, 'en', 0, 'Name of third feature'),
('mt_highlight', 0, 68, 68, 'en', 0, 'Name of fourth feature');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_if_body`
--

CREATE TABLE `paragraph__field_mt_if_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_body_value` longtext NOT NULL,
  `field_mt_if_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_body_format` (`field_mt_if_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_if_body.';

--
-- Dumping data for table `paragraph__field_mt_if_body`
--

INSERT INTO `paragraph__field_mt_if_body` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, '<p>Whether you are a resident, a young urologist or an experienced specialist, your career can benefit.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 54, 54, 'en', 0, '<p>For any successful clinician, having the most up-to-date evidence-based recommendations.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 55, 55, 'en', 0, '<p>Urologists are bound by national and, increasingly, international laws that govern treatment.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 56, 56, 'en', 0, '<p>The EAU offers a wide range of events and courses to interact with the best specialists.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 60, 60, 'en', 0, '<p>For almost 40 years the EAU has addressed the most pressing issues of care.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 61, 61, 'en', 0, '<p>For days in November, Malm will be welcoming experts on andrology from all over the world.</p>\r\n', 'basic_html'),
('mt_icon_features', 0, 84, 96, 'en', 0, '<p>3993 Mudlick Road Walla Walla,<br />\r\nNew York 99362</p>\r\n', 'full_html'),
('mt_icon_features', 0, 85, 97, 'en', 0, '<p>Bus routes 14, 49, 70, 74, 345<br />\r\nA subway connects Kensington station to us</p>\r\n', 'full_html'),
('mt_icon_features', 0, 86, 98, 'en', 0, '<p>We have the Nepalum Hotel Resort &amp;<br />\r\nKingot Restaurant at 300m.</p>\r\n', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_if_fa_icon`
--

CREATE TABLE `paragraph__field_mt_if_fa_icon` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_fa_icon_icon_name` text DEFAULT NULL,
  `field_mt_if_fa_icon_style` tinytext DEFAULT NULL,
  `field_mt_if_fa_icon_settings` text DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_if_fa_icon.';

--
-- Dumping data for table `paragraph__field_mt_if_fa_icon`
--

INSERT INTO `paragraph__field_mt_if_fa_icon` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, 'th', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 54, 54, 'en', 0, 'unlock-alt', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 55, 55, 'en', 0, 'sync', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 56, 56, 'en', 0, 'smile', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 60, 60, 'en', 0, 'bullhorn', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 61, 61, 'en', 0, 'life-ring', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 84, 96, 'en', 0, 'map-marker-alt', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 85, 97, 'en', 0, 'bus', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}'),
('mt_icon_features', 0, 86, 98, 'en', 0, 'utensils', 'fas', 'a:2:{s:7:"masking";a:2:{s:4:"mask";s:0:"";s:5:"style";s:3:"fas";}s:16:"power_transforms";a:3:{s:5:"scale";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_y";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}s:10:"position_x";a:2:{s:4:"type";s:0:"";s:5:"value";s:0:"";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_if_image`
--

CREATE TABLE `paragraph__field_mt_if_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_if_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_if_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_if_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_if_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_image_target_id` (`field_mt_if_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_if_image.';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_if_link`
--

CREATE TABLE `paragraph__field_mt_if_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_if_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_if_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_if_link_uri` (`field_mt_if_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_if_link.';

--
-- Dumping data for table `paragraph__field_mt_if_link`
--

INSERT INTO `paragraph__field_mt_if_link` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 54, 54, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 55, 55, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 56, 56, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 60, 60, 'en', 0, 'internal:/', '', 'a:0:{}'),
('mt_icon_features', 0, 61, 61, 'en', 0, 'internal:/', '', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_if_title`
--

CREATE TABLE `paragraph__field_mt_if_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_if_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_if_title.';

--
-- Dumping data for table `paragraph__field_mt_if_title`
--

INSERT INTO `paragraph__field_mt_if_title` VALUES
('mt_icon_features', 0, 53, 53, 'en', 0, 'Backend'),
('mt_icon_features', 0, 54, 54, 'en', 0, 'Security'),
('mt_icon_features', 0, 55, 55, 'en', 0, 'Threats'),
('mt_icon_features', 0, 56, 56, 'en', 0, 'Frontend'),
('mt_icon_features', 0, 60, 60, 'en', 0, 'Marketing'),
('mt_icon_features', 0, 61, 61, 'en', 0, 'Support'),
('mt_icon_features', 0, 84, 96, 'en', 0, 'Venue'),
('mt_icon_features', 0, 85, 97, 'en', 0, 'Transport'),
('mt_icon_features', 0, 86, 98, 'en', 0, 'Hotel & Restaurant');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_media_body`
--

CREATE TABLE `paragraph__field_mt_media_body` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_body_value` longtext NOT NULL,
  `field_mt_media_body_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_body_format` (`field_mt_media_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_media_body.';

--
-- Dumping data for table `paragraph__field_mt_media_body`
--

INSERT INTO `paragraph__field_mt_media_body` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. In eveniet eius nihil quos nam possimus molestias laudantium quam, suscipit consequuntur voluptate commodi reiciendis voluptatibus. Consequatur esse architecto at adipisci. Possimus.</p>\r\n', 'basic_html'),
('mt_media_tab', 0, 21, 21, 'en', 0, '<p>If I could teach only one value to live by, it would be this: Success will come and go, but integrity is forever. Integrity means doing the right thing at all times in all circumstances, whether or not anyone is watching.</p>\r\n', 'full_html'),
('mt_media_tab', 0, 22, 22, 'en', 0, '<p>We are continuously introducing sustainable solutions onto the market which significantly contribute to improving quality of life and conserving resources such as water or energy. Our success is driven by research.</p>\r\n', 'full_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_media_button`
--

CREATE TABLE `paragraph__field_mt_media_button` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_button_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_media_button_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_media_button_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_button_uri` (`field_mt_media_button_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_media_button.';

--
-- Dumping data for table `paragraph__field_mt_media_button`
--

INSERT INTO `paragraph__field_mt_media_button` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'entity:node/23', 'Read More', 'a:0:{}'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'entity:node/9', 'Read More', 'a:0:{}'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'entity:node/22', 'Read More', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_media_image`
--

CREATE TABLE `paragraph__field_mt_media_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_media_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_media_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_media_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_media_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_media_image_target_id` (`field_mt_media_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_media_image.';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_media_tab_title`
--

CREATE TABLE `paragraph__field_mt_media_tab_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_tab_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_media_tab_title.';

--
-- Dumping data for table `paragraph__field_mt_media_tab_title`
--

INSERT INTO `paragraph__field_mt_media_tab_title` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'Our Values'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'Our Integrity'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'Innovation');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_media_title`
--

CREATE TABLE `paragraph__field_mt_media_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_media_title.';

--
-- Dumping data for table `paragraph__field_mt_media_title`
--

INSERT INTO `paragraph__field_mt_media_title` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'Get To Know Our  Best Values'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'Success Goes, Integrity’s Forever'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'The Most Innovative');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_media_video`
--

CREATE TABLE `paragraph__field_mt_media_video` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_media_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_media_video.';

--
-- Dumping data for table `paragraph__field_mt_media_video`
--

INSERT INTO `paragraph__field_mt_media_video` VALUES
('mt_media_tab', 0, 20, 20, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY'),
('mt_media_tab', 0, 21, 21, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY'),
('mt_media_tab', 0, 22, 22, 'en', 0, 'https://www.youtube.com/watch?v=T7SqK5RizWY');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ml_latitude`
--

CREATE TABLE `paragraph__field_mt_ml_latitude` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ml_latitude_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ml_latitude.';

--
-- Dumping data for table `paragraph__field_mt_ml_latitude`
--

INSERT INTO `paragraph__field_mt_ml_latitude` VALUES
('mt_map_location', 0, 44, 44, 'en', 0, '40.726576'),
('mt_map_location', 0, 45, 45, 'en', 0, '40.728576'),
('mt_map_location', 0, 46, 46, 'en', 0, '40.726976'),
('mt_map_location', 0, 47, 47, 'en', 0, '40.726376'),
('mt_map_location', 0, 78, 83, 'en', 0, '40.726576'),
('mt_map_location', 0, 79, 85, 'en', 0, '40.726576'),
('mt_map_location', 0, 80, 94, 'en', 0, '40.726576'),
('mt_map_location', 0, 81, 93, 'en', 0, '40.726576'),
('mt_map_location', 0, 82, 92, 'en', 0, '40.726576'),
('mt_map_location', 0, 83, 95, 'en', 0, '40.726576');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ml_location_name`
--

CREATE TABLE `paragraph__field_mt_ml_location_name` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ml_location_name_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ml_location_name.';

--
-- Dumping data for table `paragraph__field_mt_ml_location_name`
--

INSERT INTO `paragraph__field_mt_ml_location_name` VALUES
('mt_map_location', 0, 44, 44, 'en', 0, 'Location One'),
('mt_map_location', 0, 45, 45, 'en', 0, 'Location Two'),
('mt_map_location', 0, 46, 46, 'en', 0, 'Location Three'),
('mt_map_location', 0, 47, 47, 'en', 0, 'Location Four'),
('mt_map_location', 0, 78, 83, 'en', 0, 'Event One'),
('mt_map_location', 0, 79, 85, 'en', 0, 'Event One'),
('mt_map_location', 0, 80, 94, 'en', 0, 'Event Two'),
('mt_map_location', 0, 81, 93, 'en', 0, 'Event Three'),
('mt_map_location', 0, 82, 92, 'en', 0, 'Event Four'),
('mt_map_location', 0, 83, 95, 'en', 0, 'Event One');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ml_longitude`
--

CREATE TABLE `paragraph__field_mt_ml_longitude` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ml_longitude_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ml_longitude.';

--
-- Dumping data for table `paragraph__field_mt_ml_longitude`
--

INSERT INTO `paragraph__field_mt_ml_longitude` VALUES
('mt_map_location', 0, 44, 44, 'en', 0, '-74.046822'),
('mt_map_location', 0, 45, 45, 'en', 0, '-74.046222'),
('mt_map_location', 0, 46, 46, 'en', 0, '-74.076822'),
('mt_map_location', 0, 47, 47, 'en', 0, '-74.066822'),
('mt_map_location', 0, 78, 83, 'en', 0, '-74.046822'),
('mt_map_location', 0, 79, 85, 'en', 0, '-74.046822'),
('mt_map_location', 0, 80, 94, 'en', 0, '-74.046822'),
('mt_map_location', 0, 81, 93, 'en', 0, '-74.046822'),
('mt_map_location', 0, 82, 92, 'en', 0, '-74.046822'),
('mt_map_location', 0, 83, 95, 'en', 0, '-74.046822');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_caption`
--

CREATE TABLE `paragraph__field_mt_ms_slide_caption` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_caption_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_caption.';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_caption`
--

INSERT INTO `paragraph__field_mt_ms_slide_caption` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'Conveniently harness frictionless outsourcing whereas state of the art interfaces. Quickly enable prospective technology rather than open-source technologies.'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat.'),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam.');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_caption_color`
--

CREATE TABLE `paragraph__field_mt_ms_slide_caption_color` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_caption_color_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_slide_caption_color_value` (`field_mt_ms_slide_caption_color_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_caption…';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_caption_color`
--

INSERT INTO `paragraph__field_mt_ms_slide_caption_color` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'region--light-typography region--black-background'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'region--light-typography region--black-background');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_caption_opac`
--

CREATE TABLE `paragraph__field_mt_ms_slide_caption_opac` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_caption_opac_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_caption…';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_caption_opac`
--

INSERT INTO `paragraph__field_mt_ms_slide_caption_opac` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 0),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_image`
--

CREATE TABLE `paragraph__field_mt_ms_slide_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_ms_slide_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_ms_slide_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_ms_slide_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_ms_slide_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_slide_image_target_id` (`field_mt_ms_slide_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_image.';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_image`
--

INSERT INTO `paragraph__field_mt_ms_slide_image` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 101, 'Slide One', 'Slide One', 1920, 650),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 102, 'Slide Two', 'Slide Two', 1920, 650),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 103, 'slide three', '', 1920, 650);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_link`
--

CREATE TABLE `paragraph__field_mt_ms_slide_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_ms_slide_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_ms_slide_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_ms_slide_link_uri` (`field_mt_ms_slide_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_link.';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_link`
--

INSERT INTO `paragraph__field_mt_ms_slide_link` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'entity:node/9', 'Read More', 'a:0:{}'),
('mt_main_slideshow_slide', 0, 32, 32, 'en', 1, 'internal:/contact', 'Contact', 'a:0:{}'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'entity:node/23', 'Read More', 'a:0:{}'),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 'entity:node/1', 'view more', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_title`
--

CREATE TABLE `paragraph__field_mt_ms_slide_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_title.';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_title`
--

INSERT INTO `paragraph__field_mt_ms_slide_title` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 'Slide One'),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 'Slide Two'),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 'new slideshow');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_vimeo_id`
--

CREATE TABLE `paragraph__field_mt_ms_slide_vimeo_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_vimeo_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_vimeo_id.';

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_volume`
--

CREATE TABLE `paragraph__field_mt_ms_slide_volume` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_volume_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_volume.';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_volume`
--

INSERT INTO `paragraph__field_mt_ms_slide_volume` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, 0),
('mt_main_slideshow_slide', 0, 33, 33, 'en', 0, 0),
('mt_main_slideshow_slide', 0, 34, 34, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_ms_slide_youtube_id`
--

CREATE TABLE `paragraph__field_mt_ms_slide_youtube_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_ms_slide_youtube_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_ms_slide_youtube…';

--
-- Dumping data for table `paragraph__field_mt_ms_slide_youtube_id`
--

INSERT INTO `paragraph__field_mt_ms_slide_youtube_id` VALUES
('mt_main_slideshow_slide', 0, 32, 32, 'en', 0, '3wbvpOIIBQA');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_tab_content`
--

CREATE TABLE `paragraph__field_mt_tab_content` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tab_content_value` longtext NOT NULL,
  `field_mt_tab_content_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tab_content_format` (`field_mt_tab_content_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_tab_content.';

--
-- Dumping data for table `paragraph__field_mt_tab_content`
--

INSERT INTO `paragraph__field_mt_tab_content` VALUES
('mt_tab', 0, 6, 6, 'en', 0, '<p>Excepteur sint occaecat cupidatat non</p>\r\n\r\n<ul>\r\n	<li>Lorem ipsum dolor sit amet&nbsp;</li>\r\n	<li>Consectetur adipisicing elit, sed do eiusmod</li>\r\n	<li>Tempor incididunt ut labore</li>\r\n	<li>Quis nostrud exercitation ullamco</li>\r\n	<li>Laboris nisi ut aliquip ex ea commodo</li>\r\n	<li>Duis aute irure dolor in reprehenderit</li>\r\n</ul>\r\n', 'full_html'),
('mt_tab', 0, 7, 7, 'en', 0, '<p>Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'full_html'),
('mt_tab', 0, 69, 69, 'en', 0, '<p>Excepteur sint occaecat cupidatat non</p>\r\n\r\n<ul>\r\n	<li>Lorem ipsum dolor sit amet&nbsp;</li>\r\n	<li>Consectetur adipisicing elit, sed do eiusmod</li>\r\n	<li>Tempor incididunt ut labore</li>\r\n	<li>Quis nostrud exercitation ullamco</li>\r\n	<li>Laboris nisi ut aliquip ex ea commodo</li>\r\n	<li>Duis aute irure dolor in reprehenderit</li>\r\n</ul>\r\n', 'basic_html'),
('mt_tab', 0, 70, 70, 'en', 0, '<p>Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_tab_title`
--

CREATE TABLE `paragraph__field_mt_tab_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tab_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_tab_title.';

--
-- Dumping data for table `paragraph__field_mt_tab_title`
--

INSERT INTO `paragraph__field_mt_tab_title` VALUES
('mt_tab', 0, 4, 4, 'en', 0, 'Product'),
('mt_tab', 0, 6, 6, 'en', 0, 'Product'),
('mt_tab', 0, 7, 7, 'en', 0, 'Information'),
('mt_tab', 0, 69, 69, 'en', 0, 'Product'),
('mt_tab', 0, 70, 70, 'en', 0, 'Information');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_tml_timeline_date`
--

CREATE TABLE `paragraph__field_mt_tml_timeline_date` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_date_value` varchar(20) NOT NULL COMMENT 'The date value.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_date_value` (`field_mt_tml_timeline_date_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_tml_timeline_date.';

--
-- Dumping data for table `paragraph__field_mt_tml_timeline_date`
--

INSERT INTO `paragraph__field_mt_tml_timeline_date` VALUES
('mt_timeline_item', 0, 74, 74, 'en', 0, '2018-02-12'),
('mt_timeline_item', 0, 75, 75, 'en', 0, '2018-02-28'),
('mt_timeline_item', 0, 76, 76, 'en', 0, '2018-06-30'),
('mt_timeline_item', 0, 77, 77, 'en', 0, '2018-08-15');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_tml_timeline_link`
--

CREATE TABLE `paragraph__field_mt_tml_timeline_link` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_mt_tml_timeline_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_mt_tml_timeline_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_tml_timeline_link_uri` (`field_mt_tml_timeline_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_tml_timeline_link.';

--
-- Dumping data for table `paragraph__field_mt_tml_timeline_link`
--

INSERT INTO `paragraph__field_mt_tml_timeline_link` VALUES
('mt_timeline_item', 0, 74, 74, 'en', 0, 'internal:/node/2', '', 'a:0:{}'),
('mt_timeline_item', 0, 75, 75, 'en', 0, 'internal:/node/1', '', 'a:0:{}'),
('mt_timeline_item', 0, 77, 77, 'en', 0, 'internal:/node/1', '', 'a:0:{}');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_tml_timeline_title`
--

CREATE TABLE `paragraph__field_mt_tml_timeline_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_tml_timeline_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_tml_timeline…';

--
-- Dumping data for table `paragraph__field_mt_tml_timeline_title`
--

INSERT INTO `paragraph__field_mt_tml_timeline_title` VALUES
('mt_timeline_item', 0, 74, 74, 'en', 0, 'Call for Abstracts'),
('mt_timeline_item', 0, 75, 75, 'en', 0, 'Abstract Submissions Deadline'),
('mt_timeline_item', 0, 76, 76, 'en', 0, 'End of Abstract Reviews and Notification to Authors'),
('mt_timeline_item', 0, 77, 77, 'en', 0, 'Opening of Early Bird Registration');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_vgs_slide_title`
--

CREATE TABLE `paragraph__field_mt_vgs_slide_title` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_slide_title_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_vgs_slide_title.';

--
-- Dumping data for table `paragraph__field_mt_vgs_slide_title`
--

INSERT INTO `paragraph__field_mt_vgs_slide_title` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, 'GoPro: HERO3+ Black Edition: Smaller, lighter, mightier still.'),
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, 'Dartmoor Timelapse Trailer'),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, 'China: A Skier’s Journey'),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, 'Arctic Lightscapes'),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 'Fantastic Beasts and Where to Find Them Trailer'),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 'The Grand Tour: The Official Trailer');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_vgs_thumbnail`
--

CREATE TABLE `paragraph__field_mt_vgs_thumbnail` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_thumbnail_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_vgs_thumbnail_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_vgs_thumbnail_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_vgs_thumbnail_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_vgs_thumbnail_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_vgs_thumbnail_target_id` (`field_mt_vgs_thumbnail_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_vgs_thumbnail.';

--
-- Dumping data for table `paragraph__field_mt_vgs_thumbnail`
--

INSERT INTO `paragraph__field_mt_vgs_thumbnail` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, 104, 'First Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, 105, 'Second Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, 106, 'Third Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, 107, 'Fourth Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 108, 'Fifth Video thumbnail', '', 400, 226),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 109, 'Sixth Video thumbnail', '', 400, 226);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_vgs_vimeo_id`
--

CREATE TABLE `paragraph__field_mt_vgs_vimeo_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_vimeo_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_vgs_vimeo_id.';

--
-- Dumping data for table `paragraph__field_mt_vgs_vimeo_id`
--

INSERT INTO `paragraph__field_mt_vgs_vimeo_id` VALUES
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, '82642494'),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, '175629655'),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, '189599205');

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_vgs_volume`
--

CREATE TABLE `paragraph__field_mt_vgs_volume` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_volume_value` int(11) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_vgs_volume.';

--
-- Dumping data for table `paragraph__field_mt_vgs_volume`
--

INSERT INTO `paragraph__field_mt_vgs_volume` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, 0),
('mt_video_gallery_slide', 0, 36, 36, 'en', 0, 0),
('mt_video_gallery_slide', 0, 37, 37, 'en', 0, 0),
('mt_video_gallery_slide', 0, 38, 38, 'en', 0, 0),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 0),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `paragraph__field_mt_vgs_youtube_id`
--

CREATE TABLE `paragraph__field_mt_vgs_youtube_id` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_vgs_youtube_id_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for paragraph field field_mt_vgs_youtube_id.';

--
-- Dumping data for table `paragraph__field_mt_vgs_youtube_id`
--

INSERT INTO `paragraph__field_mt_vgs_youtube_id` VALUES
('mt_video_gallery_slide', 0, 35, 35, 'en', 0, '3wbvpOIIBQA'),
('mt_video_gallery_slide', 0, 39, 39, 'en', 0, 'ViuDsy7yb8M'),
('mt_video_gallery_slide', 0, 40, 40, 'en', 0, 'kLtpcxtk4HI');

-- --------------------------------------------------------

--
-- Table structure for table `path_alias`
--

CREATE TABLE `path_alias` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `path_alias_field__uuid__value` (`uuid`),
  UNIQUE KEY `path_alias__revision_id` (`revision_id`),
  KEY `path_alias__status` (`status`,`id`),
  KEY `path_alias__alias_langcode_id_status` (`alias`(191),`langcode`,`id`,`status`),
  KEY `path_alias__path_langcode_id_status` (`path`(191),`langcode`,`id`,`status`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for path_alias entities.';

--
-- Dumping data for table `path_alias`
--

INSERT INTO `path_alias` VALUES
(1, 1, 'bfd3ba1d-71c1-48d7-bbdb-6e369902744b', 'en', '/node/9', '/accommodations-3-col/first-accommodation', 1),
(2, 2, '328274ca-0cb7-4bf4-ab3a-573bdaf2374a', 'en', '/node/8', '/accommodations-3-col/second-accommodation', 1),
(3, 3, 'a2931302-2aa3-4143-919c-11bbc2e222c3', 'en', '/node/7', '/accommodations-3-col/third-accommodation', 1),
(4, 4, '5c1a9815-8b0d-4349-bec6-440696859073', 'en', '/node/6', '/accommodations-3-col/fourth-accommodation', 1),
(5, 5, '075de3fb-416d-45e8-9134-772c4d261d65', 'en', '/node/5', '/accommodations-3-col/fifth-accommodation', 1),
(6, 6, '3470500c-a27a-4782-b597-c2ff3b037fef', 'en', '/node/4', '/accommodations-3-col/transfer', 1),
(7, 7, '3009ed59-8dae-43db-baa6-b45a3eed4c99', 'en', '/node/23', '/products-3-col/first-product', 1),
(8, 8, 'ebd9d42a-4020-420e-8d72-4efb51c400c8', 'en', '/node/22', '/products-3-col/second-product', 1),
(9, 9, 'af8d0d11-a956-42ac-b100-4f0569039170', 'en', '/node/21', '/products-3-col/third-product', 1),
(10, 10, 'e56cab76-016f-4b96-b159-990c95a518bb', 'en', '/node/20', '/products-3-col/fourth-product', 1),
(11, 11, '38744d70-d359-40fb-b9cc-97273c1ff591', 'en', '/node/19', '/products-3-col/fifth-product', 1),
(12, 12, '51b50487-1368-4d3f-a398-92dae46e5fbc', 'en', '/node/18', '/products-3-col/sixth-product', 1),
(23, 23, '17de2678-5d80-4670-b503-a567fec49645', 'en', '/node/15', '/articles/article-1', 1),
(24, 24, '6e1e9cb4-c730-4eeb-9343-d31f37aa3f55', 'en', '/node/14', '/articles/article-2', 1),
(25, 25, '72837d46-9172-4a0e-929f-5d2eb2a73bc3', 'en', '/node/13', '/articles/article-3', 1),
(26, 26, 'f49d1084-36b0-456d-b54f-9b8fc787b83d', 'en', '/node/12', '/articles/article-4', 1),
(27, 27, '55cb9d95-1941-44a7-a22e-208eb5021e3b', 'en', '/node/11', '/articles/article-5', 1),
(28, 28, 'd3554ace-a6d9-43cc-a58d-2b5ad986f2a3', 'en', '/node/10', '/articles/article-6', 1),
(29, 29, '3afae051-7b03-4b76-8007-1e8ac8e03ec2', 'en', '/node/1', '/style-guide', 1),
(30, 30, '74e1c71c-fe6f-487b-9ab9-a7d52a120f11', 'en', '/node/2', '/shortcodes', 1),
(31, 31, 'ea9006eb-503c-4f5b-babe-26329f487769', 'en', '/node/36', '/responsive-grid', 1),
(32, 32, 'fa10e97b-2763-4dd5-a8a4-bbd38187b790', 'en', '/node/37', '/responsive-grid-2', 1),
(33, 33, '5a401fff-3c53-4860-ae63-dd94ba46e1d2', 'en', '/node/16', '/boxed-slideshow', 1),
(34, 34, 'b6140dc6-32e8-4965-8396-ac1641552aa2', 'en', '/node/17', '/fullscreen-slideshow', 1),
(35, 35, '0a9a7c38-1bc6-4bc3-909a-4e7c510f25c6', 'en', '/node/39', '/faq', 1),
(36, 36, 'a235478c-f891-419f-9326-5febda553a7b', 'en', '/node/40', '/alternative-header-3', 1),
(37, 37, '9ac0c8d3-ffb4-444f-bdc3-e0da13bfc17a', 'en', '/node/45', '/team-members/team-member-one', 1),
(38, 38, '80f9c005-b5ca-4f62-a796-7cde9a126e71', 'en', '/node/44', '/team-members/team-member-two', 1),
(39, 39, '57ec891a-f825-4c1b-a240-9ffbbda3706c', 'en', '/node/43', '/team-members/team-member-three', 1),
(40, 40, 'dc1a942d-582a-4878-b744-cb32c68a6d3e', 'en', '/node/42', '/team-members/team-member-four', 1),
(41, 41, '7b343809-3925-4cdc-a753-8bcaca6e05f6', 'en', '/node/41', '/team-members/team-member-five', 1),
(42, 42, 'e3e2b77c-af72-4a86-a9d0-2e10cab81468', 'en', '/node/46', '/products-3-col/seventh-product', 1),
(43, 43, 'ba2081c5-d8a2-49bf-8451-390d7445cea3', 'en', '/node/51', '/team-members/team-member-six', 1),
(45, 45, 'bc2efcca-7737-46a5-85da-40ea70587ba0', 'en', '/node/55', '/video-gallery-slideshow', 1),
(46, 46, '2fe7e9eb-ab85-4394-90af-03c7d0993df1', 'en', '/node/56', '/investors', 1),
(47, 47, 'dcc22700-f693-4b54-88d9-3060b9dada60', 'en', '/node/57', '/not-found', 1),
(48, 48, '247985a7-6e80-475c-bc20-d5721297c7e0', 'en', '/node/58', '/blocks', 1),
(49, 49, '82a26080-00ee-441e-ad9c-1634ad825e85', 'en', '/node/59', '/fullwidth-slideshow', 1),
(50, 50, 'ddeb3690-e476-4436-b503-378ae71a2232', 'en', '/node/60', '/alternative-footer', 1),
(51, 51, '245bd023-4739-4c8e-92c0-ba24c845c569', 'en', '/node/61', '/mega-menu', 1),
(52, 52, '6165609b-d4a8-44e7-ae13-df664a80ffd2', 'en', '/node/62', '/pricing-tables-alternative', 1),
(53, 53, '0b7017ec-0913-448f-a60c-9c855cbc1f3a', 'en', '/node/81', '/albums/album-one', 1),
(54, 54, '63952b50-e00f-468c-bf39-ef352ce26ca3', 'en', '/node/80', '/albums/album-two', 1),
(55, 55, '1cf84201-b9fe-42e0-9f49-32d56fe4d7fa', 'en', '/node/79', '/albums/album-three', 1),
(56, 56, '75643b8d-6d96-4c18-ab69-2ec8c313e2dc', 'en', '/node/78', '/albums/album-four', 1),
(57, 57, 'c4cd7c4a-54b9-4bb4-affc-1aca0966fd1b', 'en', '/node/77', '/albums/album-five', 1),
(58, 58, '0f263fe0-cedf-4c0d-ba5d-9cfa584b75b6', 'en', '/node/76', '/albums/album-six', 1),
(75, 75, '7ee13748-6329-4a8b-b24d-45e48df084a2', 'en', '/webform/register', '/form/register', 1),
(76, 76, 'bb9a5770-a4b5-452b-9894-4c9d1b436cdc', 'und', '/webform/register', '/form/register', 1),
(77, 77, '4f476f5f-e789-469f-af52-723f010d992f', 'en', '/webform/register/submissions', '/form/register/submissions', 1),
(78, 78, '25dac4e0-c794-4832-b469-f742a2d23d5c', 'und', '/webform/register/submissions', '/form/register/submissions', 1),
(79, 79, '1b4086b8-25c6-44eb-9d63-a083aecf003b', 'en', '/webform/register/drafts', '/form/register/drafts', 1),
(80, 80, '5c8a23ad-2898-40b7-a036-8d378553b1f7', 'und', '/webform/register/drafts', '/form/register/drafts', 1),
(81, 81, '712cb738-6438-4b07-9f33-e0cc9428fe4b', 'en', '/webform/register/confirmation', '/form/register/confirmation', 1),
(82, 82, 'b09bb859-4172-48ef-8dbc-0a4b8e3e5f11', 'und', '/webform/register/confirmation', '/form/register/confirmation', 1),
(83, 83, 'a95ee356-3ba9-4e7a-a73f-988d4d9f8c87', 'en', '/node/94', '/about-us', 1),
(84, 84, 'a179a9c4-582c-46b3-bbbf-7e866909482f', 'en', '/node/85', '/presentations/presentation-one', 1),
(85, 85, '8cffe9e5-fb5c-45c3-99df-265815f5e552', 'en', '/node/88', '/presentations/presentation-four', 1),
(86, 86, '2cd87013-b31f-4d14-851b-cf97cfa07b98', 'en', '/node/87', '/presentations/presentation-three', 1),
(87, 87, '5eb3bcbe-0eef-4705-b10e-770a17516701', 'en', '/node/86', '/presentations/presentation-two', 1),
(88, 88, '7fe6fb13-17ef-4105-9d20-0f581cbf8b8d', 'en', '/node/91', '/events/event-four', 1),
(89, 89, 'dc45ec30-f7aa-4083-8a83-fbe8ed615196', 'en', '/node/90', '/events/event-three', 1),
(90, 90, '907a53d7-bbde-4913-bf22-80990687973c', 'en', '/node/89', '/events/event-two', 1),
(91, 91, 'ecebf2a7-d6d3-4ec1-b1a0-b89f6669dd84', 'en', '/node/84', '/events/event-one', 1),
(92, 92, '6ddae68f-84f8-4390-a8db-a5f40461f18f', 'en', '/node/95', '/program-google', 1),
(93, 93, '09313da2-cf02-4ade-bb7e-0e66d49a93fc', 'en', '/node/63', '/landing-page', 1);

-- --------------------------------------------------------

--
-- Table structure for table `path_alias_revision`
--

CREATE TABLE `path_alias_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `path_alias__id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision table for path_alias entities.';

--
-- Dumping data for table `path_alias_revision`
--

INSERT INTO `path_alias_revision` VALUES
(1, 1, 'en', '/node/9', '/accommodations-3-col/first-accommodation', 1, 1),
(2, 2, 'en', '/node/8', '/accommodations-3-col/second-accommodation', 1, 1),
(3, 3, 'en', '/node/7', '/accommodations-3-col/third-accommodation', 1, 1),
(4, 4, 'en', '/node/6', '/accommodations-3-col/fourth-accommodation', 1, 1),
(5, 5, 'en', '/node/5', '/accommodations-3-col/fifth-accommodation', 1, 1),
(6, 6, 'en', '/node/4', '/accommodations-3-col/transfer', 1, 1),
(7, 7, 'en', '/node/23', '/products-3-col/first-product', 1, 1),
(8, 8, 'en', '/node/22', '/products-3-col/second-product', 1, 1),
(9, 9, 'en', '/node/21', '/products-3-col/third-product', 1, 1),
(10, 10, 'en', '/node/20', '/products-3-col/fourth-product', 1, 1),
(11, 11, 'en', '/node/19', '/products-3-col/fifth-product', 1, 1),
(12, 12, 'en', '/node/18', '/products-3-col/sixth-product', 1, 1),
(23, 23, 'en', '/node/15', '/articles/article-1', 1, 1),
(24, 24, 'en', '/node/14', '/articles/article-2', 1, 1),
(25, 25, 'en', '/node/13', '/articles/article-3', 1, 1),
(26, 26, 'en', '/node/12', '/articles/article-4', 1, 1),
(27, 27, 'en', '/node/11', '/articles/article-5', 1, 1),
(28, 28, 'en', '/node/10', '/articles/article-6', 1, 1),
(29, 29, 'en', '/node/1', '/style-guide', 1, 1),
(30, 30, 'en', '/node/2', '/shortcodes', 1, 1),
(31, 31, 'en', '/node/36', '/responsive-grid', 1, 1),
(32, 32, 'en', '/node/37', '/responsive-grid-2', 1, 1),
(33, 33, 'en', '/node/16', '/boxed-slideshow', 1, 1),
(34, 34, 'en', '/node/17', '/fullscreen-slideshow', 1, 1),
(35, 35, 'en', '/node/39', '/faq', 1, 1),
(36, 36, 'en', '/node/40', '/alternative-header-3', 1, 1),
(37, 37, 'en', '/node/45', '/team-members/team-member-one', 1, 1),
(38, 38, 'en', '/node/44', '/team-members/team-member-two', 1, 1),
(39, 39, 'en', '/node/43', '/team-members/team-member-three', 1, 1),
(40, 40, 'en', '/node/42', '/team-members/team-member-four', 1, 1),
(41, 41, 'en', '/node/41', '/team-members/team-member-five', 1, 1),
(42, 42, 'en', '/node/46', '/products-3-col/seventh-product', 1, 1),
(43, 43, 'en', '/node/51', '/team-members/team-member-six', 1, 1),
(45, 45, 'en', '/node/55', '/video-gallery-slideshow', 1, 1),
(46, 46, 'en', '/node/56', '/investors', 1, 1),
(47, 47, 'en', '/node/57', '/not-found', 1, 1),
(48, 48, 'en', '/node/58', '/blocks', 1, 1),
(49, 49, 'en', '/node/59', '/fullwidth-slideshow', 1, 1),
(50, 50, 'en', '/node/60', '/alternative-footer', 1, 1),
(51, 51, 'en', '/node/61', '/mega-menu', 1, 1),
(52, 52, 'en', '/node/62', '/pricing-tables-alternative', 1, 1),
(53, 53, 'en', '/node/81', '/albums/album-one', 1, 1),
(54, 54, 'en', '/node/80', '/albums/album-two', 1, 1),
(55, 55, 'en', '/node/79', '/albums/album-three', 1, 1),
(56, 56, 'en', '/node/78', '/albums/album-four', 1, 1),
(57, 57, 'en', '/node/77', '/albums/album-five', 1, 1),
(58, 58, 'en', '/node/76', '/albums/album-six', 1, 1),
(75, 75, 'en', '/webform/register', '/form/register', 1, 1),
(76, 76, 'und', '/webform/register', '/form/register', 1, 1),
(77, 77, 'en', '/webform/register/submissions', '/form/register/submissions', 1, 1),
(78, 78, 'und', '/webform/register/submissions', '/form/register/submissions', 1, 1),
(79, 79, 'en', '/webform/register/drafts', '/form/register/drafts', 1, 1),
(80, 80, 'und', '/webform/register/drafts', '/form/register/drafts', 1, 1),
(81, 81, 'en', '/webform/register/confirmation', '/form/register/confirmation', 1, 1),
(82, 82, 'und', '/webform/register/confirmation', '/form/register/confirmation', 1, 1),
(83, 83, 'en', '/node/94', '/about-us', 1, 1),
(84, 84, 'en', '/node/85', '/presentations/presentation-one', 1, 1),
(85, 85, 'en', '/node/88', '/presentations/presentation-four', 1, 1),
(86, 86, 'en', '/node/87', '/presentations/presentation-three', 1, 1),
(87, 87, 'en', '/node/86', '/presentations/presentation-two', 1, 1),
(88, 88, 'en', '/node/91', '/events/event-four', 1, 1),
(89, 89, 'en', '/node/90', '/events/event-three', 1, 1),
(90, 90, 'en', '/node/89', '/events/event-two', 1, 1),
(91, 91, 'en', '/node/84', '/events/event-one', 1, 1),
(92, 92, 'en', '/node/95', '/program-google', 1, 1),
(93, 93, 'en', '/node/63', '/landing-page', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `queue`
--

CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob DEFAULT NULL COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores items in queues.';

-- --------------------------------------------------------

--
-- Table structure for table `router`
--

CREATE TABLE `router` (
  `name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Primary Key: Machine name of this route',
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path for this URI',
  `pattern_outline` varchar(255) NOT NULL DEFAULT '' COMMENT 'The pattern',
  `fit` int(11) NOT NULL DEFAULT 0 COMMENT 'A numeric representation of how specific the path is.',
  `route` longblob DEFAULT NULL COMMENT 'A serialized Route object',
  `number_parts` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Number of parts in this router path.',
  PRIMARY KEY (`name`),
  KEY `pattern_outline_parts` (`pattern_outline`(191),`number_parts`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Maps paths to various callbacks (access, page and title)';

--
-- Dumping data for table `router`
--

INSERT INTO `router` VALUES
('<button>', '/', '/', 1, 'C:31:"Symfony\\Component\\Routing\\Route":743:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}', 1),
('<current>', '/<current>', '/<current>', 1, 'C:31:"Symfony\\Component\\Routing\\Route":681:{a:9:{s:4:"path";s:10:"/<current>";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:0:{}s:7:"options";a:2:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":329:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/\\<current\\>$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/<current>";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:10:"/<current>";s:8:"numParts";i:1;}}}}', 1),
('<front>', '/', '/', 1, 'C:31:"Symfony\\Component\\Routing\\Route":748:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:6:"_title";s:4:"Home";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}', 1),
('<nolink>', '/', '/', 1, 'C:31:"Symfony\\Component\\Routing\\Route":743:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}', 1),
('<none>', '/', '/', 1, 'C:31:"Symfony\\Component\\Routing\\Route":743:{a:9:{s:4:"path";s:1:"/";s:4:"host";s:0:"";s:8:"defaults";a:0:{}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"_no_path";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":297:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:8:"#^/$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:1:"/";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:1:"/";s:8:"numParts";i:1;}}}}', 1),
('block.admin_add', '/admin/structure/block/add/{plugin_id}/{theme}', '/admin/structure/block/add/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1325:{a:9:{s:4:"path";s:46:"/admin/structure/block/add/{plugin_id}/{theme}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:66:"\\Drupal\\block\\Controller\\BlockAddController::blockAddConfigureForm";s:5:"theme";N;s:6:"_title";s:15:"Configure block";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":663:{a:11:{s:4:"vars";a:2:{i:0;s:9:"plugin_id";i:1;s:5:"theme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:78:"#^/admin/structure/block/add/(?P<plugin_id>[^/]++)(?:/(?P<theme>[^/]++))?$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"theme";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"plugin_id";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/block/add";}}s:9:"path_vars";a:2:{i:0;s:9:"plugin_id";i:1;s:5:"theme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:28:"/admin/structure/block/add/%";s:8:"numParts";i:6;}}}}', 6),
('block.admin_demo', '/admin/structure/block/demo/{theme}', '/admin/structure/block/demo/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1208:{a:9:{s:4:"path";s:35:"/admin/structure/block/demo/{theme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:46:"\\Drupal\\block\\Controller\\BlockController::demo";s:15:"_title_callback";s:21:"theme_handler:getName";}s:12:"requirements";a:2:{s:13:"_access_theme";s:4:"TRUE";s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:18:"access_check.theme";i:1;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":513:{a:11:{s:4:"vars";a:1:{i:0;s:5:"theme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:52:"#^/admin/structure/block/demo/(?P<theme>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"theme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/block/demo";}}s:9:"path_vars";a:1:{i:0;s:5:"theme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:29:"/admin/structure/block/demo/%";s:8:"numParts";i:5;}}}}', 5),
('block.admin_display', '/admin/structure/block', '/admin/structure/block', 7, 'C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:22:"/admin/structure/block";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/block$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/block";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/block";s:8:"numParts";i:3;}}}}', 3),
('block.admin_display_theme', '/admin/structure/block/list/{theme}', '/admin/structure/block/list/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1196:{a:9:{s:4:"path";s:35:"/admin/structure/block/list/{theme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:53:"\\Drupal\\block\\Controller\\BlockListController::listing";s:6:"_title";s:12:"Block layout";}s:12:"requirements";a:2:{s:13:"_access_theme";s:4:"TRUE";s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:18:"access_check.theme";i:1;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":513:{a:11:{s:4:"vars";a:1:{i:0;s:5:"theme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:52:"#^/admin/structure/block/list/(?P<theme>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"theme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/block/list";}}s:9:"path_vars";a:1:{i:0;s:5:"theme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:29:"/admin/structure/block/list/%";s:8:"numParts";i:5;}}}}', 5),
('block.admin_library', '/admin/structure/block/library/{theme}', '/admin/structure/block/library/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1213:{a:9:{s:4:"path";s:38:"/admin/structure/block/library/{theme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:59:"\\Drupal\\block\\Controller\\BlockLibraryController::listBlocks";s:6:"_title";s:11:"Place block";}s:12:"requirements";a:2:{s:13:"_access_theme";s:4:"TRUE";s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:18:"access_check.theme";i:1;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":522:{a:11:{s:4:"vars";a:1:{i:0;s:5:"theme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:55:"#^/admin/structure/block/library/(?P<theme>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"theme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/structure/block/library";}}s:9:"path_vars";a:1:{i:0;s:5:"theme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:32:"/admin/structure/block/library/%";s:8:"numParts";i:5;}}}}', 5),
('block.category_autocomplete', '/block-category/autocomplete', '/block-category/autocomplete', 3, 'C:31:"Symfony\\Component\\Routing\\Route":955:{a:9:{s:4:"path";s:28:"/block-category/autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:69:"\\Drupal\\block\\Controller\\CategoryAutocompleteController::autocomplete";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block\\-category/autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/block-category/autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:28:"/block-category/autocomplete";s:8:"numParts";i:2;}}}}', 2),
('block_content.add_form', '/block/add/{block_content_type}', '/block/add/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1401:{a:9:{s:4:"path";s:31:"/block/add/{block_content_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\block_content\\Controller\\BlockContentController::addForm";s:15:"_title_callback";s:72:"\\Drupal\\block_content\\Controller\\BlockContentController::getAddFormTitle";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":516:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/block/add/(?P<block_content_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:10:"/block/add";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:12:"/block/add/%";s:8:"numParts";i:3;}}}}', 3),
('block_content.add_page', '/block/add', '/block/add', 3, 'C:31:"Symfony\\Component\\Routing\\Route":934:{a:9:{s:4:"path";s:10:"/block/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\block_content\\Controller\\BlockContentController::add";s:6:"_title";s:16:"Add custom block";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":327:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:17:"#^/block/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/block/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:10:"/block/add";s:8:"numParts";i:2;}}}}', 2),
('block_content.type_add', '/admin/structure/block/block-content/types/add', '/admin/structure/block/block-content/types/add', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1029:{a:9:{s:4:"path";s:46:"/admin/structure/block/block-content/types/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:22:"block_content_type.add";s:6:"_title";s:3:"Add";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":437:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:54:"#^/admin/structure/block/block\\-content/types/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:46:"/admin/structure/block/block-content/types/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:46:"/admin/structure/block/block-content/types/add";s:8:"numParts";i:6;}}}}', 6),
('comment.admin', '/admin/content/comment', '/admin/content/comment', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}}}', 3),
('comment.admin_approval', '/admin/content/comment/approval', '/admin/content/comment/approval', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1382:{a:9:{s:4:"path";s:31:"/admin/content/comment/approval";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:15:"page_unapproved";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/content/comment/approval$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/content/comment/approval";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/content/comment/approval";s:8:"numParts";i:4;}}}}', 4),
('comment.approve', '/comment/{comment}/approve', '/comment/%/approve', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1340:{a:9:{s:4:"path";s:26:"/comment/{comment}/approve";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:7:"Approve";s:11:"_controller";s:60:"\\Drupal\\comment\\Controller\\CommentController::commentApprove";s:11:"entity_type";s:7:"comment";}s:12:"requirements";a:3:{s:14:"_entity_access";s:15:"comment.approve";s:11:"_csrf_token";s:4:"TRUE";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":516:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/comment/(?P<comment>\\d+)/approve$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/approve";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:18:"/comment/%/approve";s:8:"numParts";i:3;}}}}', 3),
('comment.multiple_delete_confirm', '/admin/content/comment/delete', '/admin/content/comment/delete', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:29:"/admin/content/comment/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Delete";s:5:"_form";s:42:"\\Drupal\\comment\\Form\\ConfirmDeleteMultiple";s:14:"entity_type_id";s:7:"comment";}s:12:"requirements";a:1:{s:30:"_entity_delete_multiple_access";s:7:"comment";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:35:"access_check.entity_delete_multiple";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/content/comment/delete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/content/comment/delete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/content/comment/delete";s:8:"numParts";i:4;}}}}', 4),
('comment.new_comments_node_links', '/comments/render_new_comments_node_links', '/comments/render_new_comments_node_links', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1002:{a:9:{s:4:"path";s:40:"/comments/render_new_comments_node_links";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:72:"\\Drupal\\comment\\Controller\\CommentController::renderNewCommentsNodeLinks";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":417:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/comments/render_new_comments_node_links$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/comments/render_new_comments_node_links";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:40:"/comments/render_new_comments_node_links";s:8:"numParts";i:2;}}}}', 2),
('comment.node_redirect', '/comment/{node}/reply', '/comment/%/reply', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1219:{a:9:{s:4:"path";s:21:"/comment/{node}/reply";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\comment\\Controller\\CommentController::redirectNode";}s:12:"requirements";a:3:{s:14:"_entity_access";s:9:"node.view";s:20:"_module_dependencies";s:4:"node";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":498:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/comment/(?P<node>\\d+)/reply$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/reply";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:16:"/comment/%/reply";s:8:"numParts";i:3;}}}}', 3),
('comment.reply', '/comment/reply/{entity_type}/{entity}/{field_name}/{pid}', '/comment/reply/%/%/%', 24, 'C:31:"Symfony\\Component\\Routing\\Route":1776:{a:9:{s:4:"path";s:56:"/comment/reply/{entity_type}/{entity}/{field_name}/{pid}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:58:"\\Drupal\\comment\\Controller\\CommentController::getReplyForm";s:6:"_title";s:15:"Add new comment";s:3:"pid";N;}s:12:"requirements";a:1:{s:14:"_custom_access";s:61:"\\Drupal\\comment\\Controller\\CommentController::replyFormAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":926:{a:11:{s:4:"vars";a:4:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:3:"pid";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:108:"#^/comment/reply/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)(?:/(?P<pid>[^/]++))?$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"pid";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:14:"/comment/reply";}}s:9:"path_vars";a:4:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:3:"pid";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:24;s:14:"patternOutline";s:20:"/comment/reply/%/%/%";s:8:"numParts";i:6;}}}}', 6),
('config.diff', '/admin/config/development/configuration/sync/diff/{source_name}/{target_name}', '/admin/config/development/configuration/sync/diff/%', 126, 'C:31:"Symfony\\Component\\Routing\\Route":1426:{a:9:{s:4:"path";s:77:"/admin/config/development/configuration/sync/diff/{source_name}/{target_name}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\config\\Controller\\ConfigController::diff";s:11:"target_name";N;}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":772:{a:11:{s:4:"vars";a:2:{i:0;s:11:"source_name";i:1;s:11:"target_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:109:"#^/admin/config/development/configuration/sync/diff/(?P<source_name>[^/]++)(?:/(?P<target_name>[^/]++))?$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"target_name";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"source_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:49:"/admin/config/development/configuration/sync/diff";}}s:9:"path_vars";a:2:{i:0;s:11:"source_name";i:1;s:11:"target_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:126;s:14:"patternOutline";s:51:"/admin/config/development/configuration/sync/diff/%";s:8:"numParts";i:8;}}}}', 8),
('config.diff_collection', '/admin/config/development/configuration/sync/diff_collection/{collection}/{source_name}/{target_name}', '/admin/config/development/configuration/sync/diff_collection/%/%', 252, 'C:31:"Symfony\\Component\\Routing\\Route":1641:{a:9:{s:4:"path";s:101:"/admin/config/development/configuration/sync/diff_collection/{collection}/{source_name}/{target_name}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\config\\Controller\\ConfigController::diff";s:11:"target_name";N;}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":962:{a:11:{s:4:"vars";a:3:{i:0;s:10:"collection";i:1;s:11:"source_name";i:2;s:11:"target_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:143:"#^/admin/config/development/configuration/sync/diff_collection/(?P<collection>[^/]++)/(?P<source_name>[^/]++)(?:/(?P<target_name>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"target_name";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"source_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"collection";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:60:"/admin/config/development/configuration/sync/diff_collection";}}s:9:"path_vars";a:3:{i:0;s:10:"collection";i:1;s:11:"source_name";i:2;s:11:"target_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:252;s:14:"patternOutline";s:64:"/admin/config/development/configuration/sync/diff_collection/%/%";s:8:"numParts";i:9;}}}}', 9),
('config.export_download', '/admin/config/development/configuration/full/export-download', '/admin/config/development/configuration/full/export-download', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1100:{a:9:{s:4:"path";s:60:"/admin/config/development/configuration/full/export-download";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\config\\Controller\\ConfigController::downloadExport";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"export configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":479:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/config/development/configuration/full/export\\-download$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:60:"/admin/config/development/configuration/full/export-download";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:60:"/admin/config/development/configuration/full/export-download";s:8:"numParts";i:6;}}}}', 6),
('config.export_full', '/admin/config/development/configuration/full/export', '/admin/config/development/configuration/full/export', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1060:{a:9:{s:4:"path";s:51:"/admin/config/development/configuration/full/export";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\config\\Form\\ConfigExportForm";s:6:"_title";s:6:"Export";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"export configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":451:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:58:"#^/admin/config/development/configuration/full/export$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:51:"/admin/config/development/configuration/full/export";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:51:"/admin/config/development/configuration/full/export";s:8:"numParts";i:6;}}}}', 6),
('config.export_single', '/admin/config/development/configuration/single/export/{config_type}/{config_name}', '/admin/config/development/configuration/single/export', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1481:{a:9:{s:4:"path";s:81:"/admin/config/development/configuration/single/export/{config_type}/{config_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:13:"Single export";s:5:"_form";s:42:"\\Drupal\\config\\Form\\ConfigSingleExportForm";s:11:"config_type";N;s:11:"config_name";N;}s:12:"requirements";a:1:{s:11:"_permission";s:20:"export configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":786:{a:11:{s:4:"vars";a:2:{i:0;s:11:"config_type";i:1;s:11:"config_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:118:"#^/admin/config/development/configuration/single/export(?:/(?P<config_type>[^/]++)(?:/(?P<config_name>[^/]++))?)?$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"config_name";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"config_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:53:"/admin/config/development/configuration/single/export";}}s:9:"path_vars";a:2:{i:0;s:11:"config_type";i:1;s:11:"config_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:53:"/admin/config/development/configuration/single/export";s:8:"numParts";i:8;}}}}', 8),
('config.import_full', '/admin/config/development/configuration/full/import', '/admin/config/development/configuration/full/import', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1060:{a:9:{s:4:"path";s:51:"/admin/config/development/configuration/full/import";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\config\\Form\\ConfigImportForm";s:6:"_title";s:6:"Import";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"import configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":451:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:58:"#^/admin/config/development/configuration/full/import$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:51:"/admin/config/development/configuration/full/import";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:51:"/admin/config/development/configuration/full/import";s:8:"numParts";i:6;}}}}', 6),
('config.import_single', '/admin/config/development/configuration/single/import', '/admin/config/development/configuration/single/import', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1082:{a:9:{s:4:"path";s:53:"/admin/config/development/configuration/single/import";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:13:"Single import";s:5:"_form";s:42:"\\Drupal\\config\\Form\\ConfigSingleImportForm";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"import configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":457:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:60:"#^/admin/config/development/configuration/single/import$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:53:"/admin/config/development/configuration/single/import";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:53:"/admin/config/development/configuration/single/import";s:8:"numParts";i:6;}}}}', 6),
('config.sync', '/admin/config/development/configuration', '/admin/config/development/configuration', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1017:{a:9:{s:4:"path";s:39:"/admin/config/development/configuration";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:30:"\\Drupal\\config\\Form\\ConfigSync";s:6:"_title";s:11:"Synchronize";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"synchronize configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/config/development/configuration$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/development/configuration";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/config/development/configuration";s:8:"numParts";i:4;}}}}', 4),
('contact.form_add', '/admin/structure/contact/add', '/admin/structure/contact/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:28:"/admin/structure/contact/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"contact_form.add";s:6:"_title";s:16:"Add contact form";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/structure/contact/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/structure/contact/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:28:"/admin/structure/contact/add";s:8:"numParts";i:4;}}}}', 4),
('contact.site_page', '/contact', '/contact', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1057:{a:9:{s:4:"path";s:8:"/contact";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";s:12:"contact_form";N;}s:12:"requirements";a:1:{s:11:"_permission";s:29:"access site-wide contact form";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":319:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/contact";s:8:"numParts";i:1;}}}}', 1),
('contextual.render', '/contextual/render', '/contextual/render', 3, 'C:31:"Symfony\\Component\\Routing\\Route":898:{a:9:{s:4:"path";s:18:"/contextual/render";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\contextual\\ContextualController::render";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access contextual links";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":351:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/contextual/render$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/contextual/render";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:18:"/contextual/render";s:8:"numParts";i:2;}}}}', 2),
('dblog.access_denied', '/admin/reports/access-denied', '/admin/reports/access-denied', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1047:{a:9:{s:4:"path";s:28:"/admin/reports/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:26:"Top ''access denied'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:13:"access denied";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/access\\-denied$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/access-denied";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/access-denied";s:8:"numParts";i:3;}}}}', 3),
('dblog.confirm', '/admin/reports/dblog/confirm', '/admin/reports/dblog/confirm', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1003:{a:9:{s:4:"path";s:28:"/admin/reports/dblog/confirm";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\dblog\\Form\\DblogClearLogConfirmForm";s:6:"_title";s:34:"Confirm delete recent log messages";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/reports/dblog/confirm$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/dblog/confirm";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:28:"/admin/reports/dblog/confirm";s:8:"numParts";i:4;}}}}', 4),
('dblog.event', '/admin/reports/dblog/event/{event_id}', '/admin/reports/dblog/event/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1142:{a:9:{s:4:"path";s:37:"/admin/reports/dblog/event/{event_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\dblog\\Controller\\DbLogController::eventDetails";s:6:"_title";s:7:"Details";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":522:{a:11:{s:4:"vars";a:1:{i:0;s:8:"event_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:54:"#^/admin/reports/dblog/event/(?P<event_id>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"event_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/reports/dblog/event";}}s:9:"path_vars";a:1:{i:0;s:8:"event_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:28:"/admin/reports/dblog/event/%";s:8:"numParts";i:5;}}}}', 5),
('dblog.overview', '/admin/reports/dblog', '/admin/reports/dblog', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:20:"/admin/reports/dblog";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:8:"watchdog";s:10:"display_id";s:4:"page";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"access site reports";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/reports/dblog$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/reports/dblog";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/reports/dblog";s:8:"numParts";i:3;}}}}', 3),
('dblog.page_not_found', '/admin/reports/page-not-found', '/admin/reports/page-not-found', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1054:{a:9:{s:4:"path";s:29:"/admin/reports/page-not-found";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:27:"Top ''page not found'' errors";s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:4:"type";s:14:"page not found";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":386:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/page\\-not\\-found$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/page-not-found";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:29:"/admin/reports/page-not-found";s:8:"numParts";i:3;}}}}', 3),
('dblog.search', '/admin/reports/search', '/admin/reports/search', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1043:{a:9:{s:4:"path";s:21:"/admin/reports/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:56:"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages";s:6:"_title";s:18:"Top search phrases";s:4:"type";s:6:"search";}s:12:"requirements";a:2:{s:20:"_module_dependencies";s:6:"search";s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/search";s:8:"numParts";i:3;}}}}', 3),
('editor.filter_xss', '/editor/filter_xss/{filter_format}', '/editor/filter_xss/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1206:{a:9:{s:4:"path";s:34:"/editor/filter_xss/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:42:"\\Drupal\\editor\\EditorController::filterXss";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"filter_format.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":520:{a:11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/editor/filter_xss/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:18:"/editor/filter_xss";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:20:"/editor/filter_xss/%";s:8:"numParts";i:3;}}}}', 3),
('editor.image_dialog', '/editor/dialog/image/{editor}', '/editor/dialog/image/%', 14, 'C:31:"Symfony\\Component\\Routing\\Route":1176:{a:9:{s:4:"path";s:29:"/editor/dialog/image/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\editor\\Form\\EditorImageDialog";s:6:"_title";s:12:"Upload image";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":496:{a:11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/editor/dialog/image/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:20:"/editor/dialog/image";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:22:"/editor/dialog/image/%";s:8:"numParts";i:4;}}}}', 4);
INSERT INTO `router` VALUES
('editor.link_dialog', '/editor/dialog/link/{editor}', '/editor/dialog/link/%', 14, 'C:31:"Symfony\\Component\\Routing\\Route":1166:{a:9:{s:4:"path";s:28:"/editor/dialog/link/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\editor\\Form\\EditorLinkDialog";s:6:"_title";s:8:"Add link";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":493:{a:11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/editor/dialog/link/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:19:"/editor/dialog/link";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:21:"/editor/dialog/link/%";s:8:"numParts";i:4;}}}}', 4),
('entity.block.delete_form', '/admin/structure/block/manage/{block}/delete', '/admin/structure/block/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:44:"/admin/structure/block/manage/{block}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"block.delete";s:6:"_title";s:12:"Remove block";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":576:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:61:"#^/admin/structure/block/manage/(?P<block>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:38:"/admin/structure/block/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.block.disable', '/admin/structure/block/manage/{block}/disable', '/admin/structure/block/manage/%/disable', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1419:{a:9:{s:4:"path";s:45:"/admin/structure/block/manage/{block}/disable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\block\\Controller\\BlockController::performOperation";s:2:"op";s:7:"disable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:13:"block.disable";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":579:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:62:"#^/admin/structure/block/manage/(?P<block>[^/]++)/disable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/disable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:39:"/admin/structure/block/manage/%/disable";s:8:"numParts";i:6;}}}}', 6),
('entity.block.edit_form', '/admin/structure/block/manage/{block}', '/admin/structure/block/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1260:{a:9:{s:4:"path";s:37:"/admin/structure/block/manage/{block}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:13:"block.default";s:6:"_title";s:15:"Configure block";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"block.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":519:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:54:"#^/admin/structure/block/manage/(?P<block>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:31:"/admin/structure/block/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.block.enable', '/admin/structure/block/manage/{block}/enable', '/admin/structure/block/manage/%/enable', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1413:{a:9:{s:4:"path";s:44:"/admin/structure/block/manage/{block}/enable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\block\\Controller\\BlockController::performOperation";s:2:"op";s:6:"enable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:12:"block.enable";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:5:"block";a:2:{s:4:"type";s:12:"entity:block";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":576:{a:11:{s:4:"vars";a:1:{i:0;s:5:"block";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:61:"#^/admin/structure/block/manage/(?P<block>[^/]++)/enable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/enable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"block";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/block/manage";}}s:9:"path_vars";a:1:{i:0;s:5:"block";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:38:"/admin/structure/block/manage/%/enable";s:8:"numParts";i:6;}}}}', 6),
('entity.block_content.canonical', '/block/{block_content}', '/block/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":1185:{a:9:{s:4:"path";s:22:"/block/{block_content}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:18:"block_content.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.update";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":476:{a:11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block/(?P<block_content>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:8:"/block/%";s:8:"numParts";i:2;}}}}', 2),
('entity.block_content.collection', '/admin/structure/block/block-content', '/admin/structure/block/block-content', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1398:{a:9:{s:4:"path";s:36:"/admin/structure/block/block-content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"block_content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer blocks";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":407:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/structure/block/block\\-content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/structure/block/block-content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:36:"/admin/structure/block/block-content";s:8:"numParts";i:4;}}}}', 4),
('entity.block_content.delete_form', '/block/{block_content}/delete', '/block/%/delete', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1278:{a:9:{s:4:"path";s:29:"/block/{block_content}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"block_content.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.delete";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":534:{a:11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/block/(?P<block_content>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/block/%/delete";s:8:"numParts";i:3;}}}}', 3),
('entity.block_content.edit_form', '/block/{block_content}', '/block/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":1185:{a:9:{s:4:"path";s:22:"/block/{block_content}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:18:"block_content.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"block_content.update";s:13:"block_content";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"block_content";a:2:{s:4:"type";s:20:"entity:block_content";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":476:{a:11:{s:4:"vars";a:1:{i:0;s:13:"block_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/block/(?P<block_content>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"block_content";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:6:"/block";}}s:9:"path_vars";a:1:{i:0;s:13:"block_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:8:"/block/%";s:8:"numParts";i:2;}}}}', 2),
('entity.block_content.field_ui_fields', '/admin/structure/block/block-content/manage/{block_content_type}/fields', '/admin/structure/block/block-content/manage/%/fields', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1597:{a:9:{s:4:"path";s:71:"/admin/structure/block/block-content/manage/{block_content_type}/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer block_content fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":675:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:89:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:52:"/admin/structure/block/block-content/manage/%/fields";s:8:"numParts";i:7;}}}}', 7),
('entity.block_content_type.collection', '/admin/structure/block/block-content/types', '/admin/structure/block/block-content/types', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1086:{a:9:{s:4:"path";s:42:"/admin/structure/block/block-content/types";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:18:"block_content_type";s:6:"_title";s:20:"Custom block library";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer blocks";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":425:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/admin/structure/block/block\\-content/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/structure/block/block-content/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:42:"/admin/structure/block/block-content/types";s:8:"numParts";i:5;}}}}', 5),
('entity.block_content_type.delete_form', '/admin/structure/block/block-content/manage/{block_content_type}/delete', '/admin/structure/block/block-content/manage/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1557:{a:9:{s:4:"path";s:71:"/admin/structure/block/block-content/manage/{block_content_type}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"block_content_type.delete";s:15:"_title_callback";s:60:"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"block_content_type.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":675:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:89:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:52:"/admin/structure/block/block-content/manage/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.block_content_type.edit_form', '/admin/structure/block/block-content/manage/{block_content_type}', '/admin/structure/block/block-content/manage/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1488:{a:9:{s:4:"path";s:64:"/admin/structure/block/block-content/manage/{block_content_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"block_content_type.edit";s:15:"_title_callback";s:58:"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"block_content_type.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":617:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:82:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:45:"/admin/structure/block/block-content/manage/%";s:8:"numParts";i:6;}}}}', 6),
('entity.block_content_type.entity_permissions_form', '/admin/structure/block/block-content/manage/{block_content_type}/permissions', '/admin/structure/block/block-content/manage/%/permissions', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1743:{a:9:{s:4:"path";s:76:"/admin/structure/block/block-content/manage/{block_content_type}/permissions";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:18:"Manage permissions";s:5:"_form";s:38:"Drupal\\user\\Form\\EntityPermissionsForm";s:14:"entity_type_id";s:13:"block_content";s:18:"bundle_entity_type";s:18:"block_content_type";}s:12:"requirements";a:2:{s:11:"_permission";s:22:"administer permissions";s:14:"_custom_access";s:47:"\\Drupal\\user\\Form\\EntityPermissionsForm::access";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:18:"block_content_type";a:3:{s:4:"type";s:25:"entity:block_content_type";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.custom";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":691:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:94:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/permissions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/permissions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:57:"/admin/structure/block/block-content/manage/%/permissions";s:8:"numParts";i:7;}}}}', 7),
('entity.comment.canonical', '/comment/{comment}', '/comment/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":1250:{a:9:{s:4:"path";s:18:"/comment/{comment}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:15:"_title_callback";s:67:"\\Drupal\\comment\\Controller\\CommentController::commentPermalinkTitle";s:11:"_controller";s:62:"\\Drupal\\comment\\Controller\\CommentController::commentPermalink";}s:12:"requirements";a:2:{s:14:"_entity_access";s:12:"comment.view";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":456:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/comment/(?P<comment>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/comment/%";s:8:"numParts";i:2;}}}}', 2),
('entity.comment.delete_form', '/comment/{comment}/delete', '/comment/%/delete', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1197:{a:9:{s:4:"path";s:25:"/comment/{comment}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:6:"Delete";s:12:"_entity_form";s:14:"comment.delete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"comment.delete";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":513:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/comment/(?P<comment>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/comment/%/delete";s:8:"numParts";i:3;}}}}', 3),
('entity.comment.delete_multiple_form', '/admin/content/comment/delete', '/admin/content/comment/delete', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:29:"/admin/content/comment/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Delete";s:5:"_form";s:42:"\\Drupal\\comment\\Form\\ConfirmDeleteMultiple";s:14:"entity_type_id";s:7:"comment";}s:12:"requirements";a:1:{s:30:"_entity_delete_multiple_access";s:7:"comment";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:35:"access_check.entity_delete_multiple";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/content/comment/delete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/content/comment/delete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/content/comment/delete";s:8:"numParts";i:4;}}}}', 4),
('entity.comment.edit_form', '/comment/{comment}/edit', '/comment/%/edit', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1188:{a:9:{s:4:"path";s:23:"/comment/{comment}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:4:"Edit";s:12:"_entity_form";s:15:"comment.default";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"comment.update";s:7:"comment";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"comment";a:2:{s:4:"type";s:14:"entity:comment";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":507:{a:11:{s:4:"vars";a:1:{i:0;s:7:"comment";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/comment/(?P<comment>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:7:"comment";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/comment";}}s:9:"path_vars";a:1:{i:0;s:7:"comment";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/comment/%/edit";s:8:"numParts";i:3;}}}}', 3),
('entity.comment.field_ui_fields', '/admin/structure/comment/manage/{comment_type}/fields', '/admin/structure/comment/manage/%/fields', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1492:{a:9:{s:4:"path";s:53:"/admin/structure/comment/manage/{comment_type}/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"administer comment fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/comment/manage/%/fields";s:8:"numParts";i:6;}}}}', 6),
('entity.comment_type.add_form', '/admin/structure/comment/types/add', '/admin/structure/comment/types/add', 31, 'C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:34:"/admin/structure/comment/types/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"comment_type.add";s:6:"_title";s:16:"Add comment type";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer comment types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":400:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/structure/comment/types/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:34:"/admin/structure/comment/types/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:34:"/admin/structure/comment/types/add";s:8:"numParts";i:5;}}}}', 5),
('entity.comment_type.collection', '/admin/structure/comment', '/admin/structure/comment', 7, 'C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:24:"/admin/structure/comment";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"comment_type";s:6:"_title";s:13:"Comment types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer comment types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/comment";s:8:"numParts";i:3;}}}}', 3),
('entity.comment_type.delete_form', '/admin/structure/comment/manage/{comment_type}/delete', '/admin/structure/comment/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1388:{a:9:{s:4:"path";s:53:"/admin/structure/comment/manage/{comment_type}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"comment_type.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"comment_type.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/comment/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.comment_type.edit_form', '/admin/structure/comment/manage/{comment_type}', '/admin/structure/comment/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1320:{a:9:{s:4:"path";s:46:"/admin/structure/comment/manage/{comment_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"comment_type.edit";s:6:"_title";s:4:"Edit";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"comment_type.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":556:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:63:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:33:"/admin/structure/comment/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.comment_type.entity_permissions_form', '/admin/structure/comment/manage/{comment_type}/permissions', '/admin/structure/comment/manage/%/permissions', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1638:{a:9:{s:4:"path";s:58:"/admin/structure/comment/manage/{comment_type}/permissions";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:18:"Manage permissions";s:5:"_form";s:38:"Drupal\\user\\Form\\EntityPermissionsForm";s:14:"entity_type_id";s:7:"comment";s:18:"bundle_entity_type";s:12:"comment_type";}s:12:"requirements";a:2:{s:11:"_permission";s:22:"administer permissions";s:14:"_custom_access";s:47:"\\Drupal\\user\\Form\\EntityPermissionsForm::access";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:3:{s:4:"type";s:19:"entity:comment_type";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.custom";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":629:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/permissions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/permissions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:45:"/admin/structure/comment/manage/%/permissions";s:8:"numParts";i:6;}}}}', 6),
('entity.contact_form.canonical', '/contact/{contact_form}', '/contact/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":1204:{a:9:{s:4:"path";s:23:"/contact/{contact_form}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:61:"\\Drupal\\contact\\Controller\\ContactController::contactSitePage";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"contact_form.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":485:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/contact/(?P<contact_form>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/contact/%";s:8:"numParts";i:2;}}}}', 2),
('entity.contact_form.collection', '/admin/structure/contact', '/admin/structure/contact', 7, 'C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:24:"/admin/structure/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"contact_form";s:6:"_title";s:13:"Contact forms";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer contact forms";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/contact$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/contact";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/contact";s:8:"numParts";i:3;}}}}', 3),
('entity.contact_form.delete_form', '/admin/structure/contact/manage/{contact_form}/delete', '/admin/structure/contact/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1388:{a:9:{s:4:"path";s:53:"/admin/structure/contact/manage/{contact_form}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"contact_form.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"contact_form.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/contact/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.contact_form.edit_form', '/admin/structure/contact/manage/{contact_form}', '/admin/structure/contact/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1334:{a:9:{s:4:"path";s:46:"/admin/structure/contact/manage/{contact_form}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"contact_form.edit";s:6:"_title";s:17:"Edit contact form";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"contact_form.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":556:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:63:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:33:"/admin/structure/contact/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.contact_form.entity_permissions_form', '/admin/structure/contact/manage/{contact_form}/permissions', '/admin/structure/contact/manage/%/permissions', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1647:{a:9:{s:4:"path";s:58:"/admin/structure/contact/manage/{contact_form}/permissions";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:18:"Manage permissions";s:5:"_form";s:38:"Drupal\\user\\Form\\EntityPermissionsForm";s:14:"entity_type_id";s:15:"contact_message";s:18:"bundle_entity_type";s:12:"contact_form";}s:12:"requirements";a:2:{s:11:"_permission";s:22:"administer permissions";s:14:"_custom_access";s:47:"\\Drupal\\user\\Form\\EntityPermissionsForm::access";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:3:{s:4:"type";s:19:"entity:contact_form";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.custom";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":629:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/permissions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/permissions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:45:"/admin/structure/contact/manage/%/permissions";s:8:"numParts";i:6;}}}}', 6),
('entity.contact_message.field_ui_fields', '/admin/structure/contact/manage/{contact_form}/fields', '/admin/structure/contact/manage/%/fields', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1509:{a:9:{s:4:"path";s:53:"/admin/structure/contact/manage/{contact_form}/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:33:"administer contact_message fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/contact/manage/%/fields";s:8:"numParts";i:6;}}}}', 6),
('entity.date_format.collection', '/admin/config/regional/date-time', '/admin/config/regional/date-time', 15, 'C:31:"Symfony\\Component\\Routing\\Route":993:{a:9:{s:4:"path";s:32:"/admin/config/regional/date-time";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"date_format";s:6:"_title";s:21:"Date and time formats";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/regional/date\\-time$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/regional/date-time";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/regional/date-time";s:8:"numParts";i:4;}}}}', 4),
('entity.date_format.delete_form', '/admin/config/regional/date-time/formats/manage/{date_format}/delete', '/admin/config/regional/date-time/formats/manage/%/delete', 253, 'C:31:"Symfony\\Component\\Routing\\Route":1458:{a:9:{s:4:"path";s:68:"/admin/config/regional/date-time/formats/manage/{date_format}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:18:"date_format.delete";s:6:"_title";s:18:"Delete date format";}s:12:"requirements";a:1:{s:14:"_entity_access";s:18:"date_format.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"date_format";a:2:{s:4:"type";s:18:"entity:date_format";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":659:{a:11:{s:4:"vars";a:1:{i:0;s:11:"date_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:86:"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"date_format";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:47:"/admin/config/regional/date-time/formats/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"date_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:253;s:14:"patternOutline";s:56:"/admin/config/regional/date-time/formats/manage/%/delete";s:8:"numParts";i:8;}}}}', 8),
('entity.date_format.edit_form', '/admin/config/regional/date-time/formats/manage/{date_format}', '/admin/config/regional/date-time/formats/manage/%', 126, 'C:31:"Symfony\\Component\\Routing\\Route":1390:{a:9:{s:4:"path";s:61:"/admin/config/regional/date-time/formats/manage/{date_format}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"date_format.edit";s:6:"_title";s:16:"Edit date format";}s:12:"requirements";a:1:{s:14:"_entity_access";s:18:"date_format.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"date_format";a:2:{s:4:"type";s:18:"entity:date_format";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":602:{a:11:{s:4:"vars";a:1:{i:0;s:11:"date_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"date_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:47:"/admin/config/regional/date-time/formats/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"date_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:126;s:14:"patternOutline";s:49:"/admin/config/regional/date-time/formats/manage/%";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_form_display.block_content.default', '/admin/structure/block/block-content/manage/{block_content_type}/form-display', '/admin/structure/block/block-content/manage/%/form-display', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1657:{a:9:{s:4:"path";s:77:"/admin/structure/block/block-content/manage/{block_content_type}/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:37:"administer block_content form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":695:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:96:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:58:"/admin/structure/block/block-content/manage/%/form-display";s:8:"numParts";i:7;}}}}', 7);
INSERT INTO `router` VALUES
('entity.entity_form_display.block_content.form_mode', '/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}', '/admin/structure/block/block-content/manage/%/form-display/%', 250, 'C:31:"Symfony\\Component\\Routing\\Route":1812:{a:9:{s:4:"path";s:94:"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:37:"administer block_content form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":869:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:123:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:250;s:14:"patternOutline";s:60:"/admin/structure/block/block-content/manage/%/form-display/%";s:8:"numParts";i:8;}}}}', 8),
('entity.entity_form_display.comment.default', '/admin/structure/comment/manage/{comment_type}/form-display', '/admin/structure/comment/manage/%/form-display', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1552:{a:9:{s:4:"path";s:59:"/admin/structure/comment/manage/{comment_type}/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:31:"administer comment form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":633:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:46:"/admin/structure/comment/manage/%/form-display";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_form_display.comment.form_mode', '/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}', '/admin/structure/comment/manage/%/form-display/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1708:{a:9:{s:4:"path";s:76:"/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:31:"administer comment form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":808:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:104:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:48:"/admin/structure/comment/manage/%/form-display/%";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_form_display.contact_message.default', '/admin/structure/contact/manage/{contact_form}/form-display', '/admin/structure/contact/manage/%/form-display', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1569:{a:9:{s:4:"path";s:59:"/admin/structure/contact/manage/{contact_form}/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:39:"administer contact_message form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":633:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:46:"/admin/structure/contact/manage/%/form-display";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_form_display.contact_message.form_mode', '/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}', '/admin/structure/contact/manage/%/form-display/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1725:{a:9:{s:4:"path";s:76:"/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:39:"administer contact_message form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":808:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:104:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:48:"/admin/structure/contact/manage/%/form-display/%";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_form_display.font.default', '/admin/appearance/font/settings/form-display', '/admin/appearance/font/settings/form-display', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1158:{a:9:{s:4:"path";s:44:"/admin/appearance/font/settings/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:28:"administer font form display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":431:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:52:"#^/admin/appearance/font/settings/form\\-display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/appearance/font/settings/form-display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:44:"/admin/appearance/font/settings/form-display";s:8:"numParts";i:5;}}}}', 5),
('entity.entity_form_display.font.form_mode', '/admin/appearance/font/settings/form-display/{form_mode_name}', '/admin/appearance/font/settings/form-display/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1312:{a:9:{s:4:"path";s:61:"/admin/appearance/font/settings/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:28:"administer font form display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":604:{a:11:{s:4:"vars";a:1:{i:0;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/admin/appearance/font/settings/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/appearance/font/settings/form-display";}}s:9:"path_vars";a:1:{i:0;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:46:"/admin/appearance/font/settings/form-display/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_form_display.node.default', '/admin/structure/types/manage/{node_type}/form-display', '/admin/structure/types/manage/%/form-display', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1513:{a:9:{s:4:"path";s:54:"/admin/structure/types/manage/{node_type}/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:28:"administer node form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":612:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:72:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:44:"/admin/structure/types/manage/%/form-display";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_form_display.node.form_mode', '/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}', '/admin/structure/types/manage/%/form-display/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1668:{a:9:{s:4:"path";s:71:"/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:28:"administer node form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":786:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:99:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:46:"/admin/structure/types/manage/%/form-display/%";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_form_display.paragraph.default', '/admin/structure/paragraphs_type/{paragraphs_type}/form-display', '/admin/structure/paragraphs_type/%/form-display', 29, 'C:31:"Symfony\\Component\\Routing\\Route":1581:{a:9:{s:4:"path";s:63:"/admin/structure/paragraphs_type/{paragraphs_type}/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:33:"administer paragraph form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":648:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:81:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/form\\-display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:29;s:14:"patternOutline";s:47:"/admin/structure/paragraphs_type/%/form-display";s:8:"numParts";i:5;}}}}', 5),
('entity.entity_form_display.paragraph.form_mode', '/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{form_mode_name}', '/admin/structure/paragraphs_type/%/form-display/%', 58, 'C:31:"Symfony\\Component\\Routing\\Route":1736:{a:9:{s:4:"path";s:80:"/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:33:"administer paragraph form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":822:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:108:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:58;s:14:"patternOutline";s:49:"/admin/structure/paragraphs_type/%/form-display/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_form_display.taxonomy_term.default', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display', '/admin/structure/taxonomy/manage/%/overview/form-display', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1655:{a:9:{s:4:"path";s:76:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:37:"administer taxonomy_term form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":692:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:94:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/overview/form-display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:56:"/admin/structure/taxonomy/manage/%/overview/form-display";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_form_display.taxonomy_term.form_mode', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}', '/admin/structure/taxonomy/manage/%/overview/form-display/%', 246, 'C:31:"Symfony\\Component\\Routing\\Route":1810:{a:9:{s:4:"path";s:93:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:37:"administer taxonomy_term form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":866:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:121:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:22:"/overview/form-display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:246;s:14:"patternOutline";s:58:"/admin/structure/taxonomy/manage/%/overview/form-display/%";s:8:"numParts";i:8;}}}}', 8),
('entity.entity_form_display.user.default', '/admin/config/people/accounts/form-display', '/admin/config/people/accounts/form-display', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1150:{a:9:{s:4:"path";s:42:"/admin/config/people/accounts/form-display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"form_mode_name";s:7:"default";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:28:"administer user form display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":425:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/admin/config/people/accounts/form\\-display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/people/accounts/form-display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:42:"/admin/config/people/accounts/form-display";s:8:"numParts";i:5;}}}}', 5),
('entity.entity_form_display.user.form_mode', '/admin/config/people/accounts/form-display/{form_mode_name}', '/admin/config/people/accounts/form-display/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1304:{a:9:{s:4:"path";s:59:"/admin/config/people/accounts/form-display/{form_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_form_display.edit";s:6:"_title";s:19:"Manage form display";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:26:"_field_ui_form_mode_access";s:28:"administer user form display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.form_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":598:{a:11:{s:4:"vars";a:1:{i:0;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/config/people/accounts/form\\-display/(?P<form_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/people/accounts/form-display";}}s:9:"path_vars";a:1:{i:0;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:44:"/admin/config/people/accounts/form-display/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_form_mode.add_form', '/admin/structure/display-modes/form/add/{entity_type_id}', '/admin/structure/display-modes/form/add/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1207:{a:9:{s:4:"path";s:56:"/admin/structure/display-modes/form/add/{entity_type_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"entity_form_mode.add";s:6:"_title";s:13:"Add form mode";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":589:{a:11:{s:4:"vars";a:1:{i:0;s:14:"entity_type_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/admin/structure/display\\-modes/form/add/(?P<entity_type_id>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"entity_type_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/display-modes/form/add";}}s:9:"path_vars";a:1:{i:0;s:14:"entity_type_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:41:"/admin/structure/display-modes/form/add/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_form_mode.collection', '/admin/structure/display-modes/form', '/admin/structure/display-modes/form', 15, 'C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:35:"/admin/structure/display-modes/form";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_form_mode";s:6:"_title";s:10:"Form modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/form$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/form";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/form";s:8:"numParts";i:4;}}}}', 4),
('entity.entity_form_mode.delete_form', '/admin/structure/display-modes/form/manage/{entity_form_mode}/delete', '/admin/structure/display-modes/form/manage/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1481:{a:9:{s:4:"path";s:68:"/admin/structure/display-modes/form/manage/{entity_form_mode}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"entity_form_mode.delete";s:6:"_title";s:16:"Delete form mode";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"entity_form_mode.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:16:"entity_form_mode";a:2:{s:4:"type";s:23:"entity:entity_form_mode";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":664:{a:11:{s:4:"vars";a:1:{i:0;s:16:"entity_form_mode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:86:"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"entity_form_mode";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/structure/display-modes/form/manage";}}s:9:"path_vars";a:1:{i:0;s:16:"entity_form_mode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:51:"/admin/structure/display-modes/form/manage/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_form_mode.edit_form', '/admin/structure/display-modes/form/manage/{entity_form_mode}', '/admin/structure/display-modes/form/manage/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1412:{a:9:{s:4:"path";s:61:"/admin/structure/display-modes/form/manage/{entity_form_mode}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:21:"entity_form_mode.edit";s:6:"_title";s:14:"Edit form mode";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"entity_form_mode.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:16:"entity_form_mode";a:2:{s:4:"type";s:23:"entity:entity_form_mode";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":606:{a:11:{s:4:"vars";a:1:{i:0;s:16:"entity_form_mode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"entity_form_mode";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/structure/display-modes/form/manage";}}s:9:"path_vars";a:1:{i:0;s:16:"entity_form_mode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:44:"/admin/structure/display-modes/form/manage/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_display.block_content.default', '/admin/structure/block/block-content/manage/{block_content_type}/display', '/admin/structure/block/block-content/manage/%/display', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1625:{a:9:{s:4:"path";s:72:"/admin/structure/block/block-content/manage/{block_content_type}/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:32:"administer block_content display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":678:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:90:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:53:"/admin/structure/block/block-content/manage/%/display";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_view_display.block_content.view_mode', '/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}', '/admin/structure/block/block-content/manage/%/display/%', 250, 'C:31:"Symfony\\Component\\Routing\\Route":1780:{a:9:{s:4:"path";s:89:"/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:32:"administer block_content display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":852:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:117:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:250;s:14:"patternOutline";s:55:"/admin/structure/block/block-content/manage/%/display/%";s:8:"numParts";i:8;}}}}', 8),
('entity.entity_view_display.comment.default', '/admin/structure/comment/manage/{comment_type}/display', '/admin/structure/comment/manage/%/display', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1520:{a:9:{s:4:"path";s:54:"/admin/structure/comment/manage/{comment_type}/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:26:"administer comment display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":616:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:41:"/admin/structure/comment/manage/%/display";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_display.comment.view_mode', '/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}', '/admin/structure/comment/manage/%/display/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1675:{a:9:{s:4:"path";s:71:"/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:26:"administer comment display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":790:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:98:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:43:"/admin/structure/comment/manage/%/display/%";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_view_display.contact_message.default', '/admin/structure/contact/manage/{contact_form}/display', '/admin/structure/contact/manage/%/display', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1537:{a:9:{s:4:"path";s:54:"/admin/structure/contact/manage/{contact_form}/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:34:"administer contact_message display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":616:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:41:"/admin/structure/contact/manage/%/display";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_display.contact_message.view_mode', '/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}', '/admin/structure/contact/manage/%/display/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1692:{a:9:{s:4:"path";s:71:"/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:34:"administer contact_message display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":790:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:98:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:43:"/admin/structure/contact/manage/%/display/%";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_view_display.font.default', '/admin/appearance/font/settings/display', '/admin/appearance/font/settings/display', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1127:{a:9:{s:4:"path";s:39:"/admin/appearance/font/settings/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:23:"administer font display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/appearance/font/settings/display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/appearance/font/settings/display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:39:"/admin/appearance/font/settings/display";s:8:"numParts";i:5;}}}}', 5),
('entity.entity_view_display.font.view_mode', '/admin/appearance/font/settings/display/{view_mode_name}', '/admin/appearance/font/settings/display/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1281:{a:9:{s:4:"path";s:56:"/admin/appearance/font/settings/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:23:"administer font display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":588:{a:11:{s:4:"vars";a:1:{i:0;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:73:"#^/admin/appearance/font/settings/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/appearance/font/settings/display";}}s:9:"path_vars";a:1:{i:0;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:41:"/admin/appearance/font/settings/display/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_display.node.default', '/admin/structure/types/manage/{node_type}/display', '/admin/structure/types/manage/%/display', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1481:{a:9:{s:4:"path";s:49:"/admin/structure/types/manage/{node_type}/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:23:"administer node display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":595:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:66:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:39:"/admin/structure/types/manage/%/display";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_display.node.view_mode', '/admin/structure/types/manage/{node_type}/display/{view_mode_name}', '/admin/structure/types/manage/%/display/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1636:{a:9:{s:4:"path";s:66:"/admin/structure/types/manage/{node_type}/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:23:"administer node display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":769:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:93:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:41:"/admin/structure/types/manage/%/display/%";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_view_display.paragraph.default', '/admin/structure/paragraphs_type/{paragraphs_type}/display', '/admin/structure/paragraphs_type/%/display', 29, 'C:31:"Symfony\\Component\\Routing\\Route":1549:{a:9:{s:4:"path";s:58:"/admin/structure/paragraphs_type/{paragraphs_type}/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:28:"administer paragraph display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":631:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:29;s:14:"patternOutline";s:42:"/admin/structure/paragraphs_type/%/display";s:8:"numParts";i:5;}}}}', 5);
INSERT INTO `router` VALUES
('entity.entity_view_display.paragraph.view_mode', '/admin/structure/paragraphs_type/{paragraphs_type}/display/{view_mode_name}', '/admin/structure/paragraphs_type/%/display/%', 58, 'C:31:"Symfony\\Component\\Routing\\Route":1704:{a:9:{s:4:"path";s:75:"/admin/structure/paragraphs_type/{paragraphs_type}/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:28:"administer paragraph display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":805:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:58;s:14:"patternOutline";s:44:"/admin/structure/paragraphs_type/%/display/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_display.taxonomy_term.default', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display', '/admin/structure/taxonomy/manage/%/overview/display', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1624:{a:9:{s:4:"path";s:71:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:32:"administer taxonomy_term display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":676:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/overview/display";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:51:"/admin/structure/taxonomy/manage/%/overview/display";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_view_display.taxonomy_term.view_mode', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}', '/admin/structure/taxonomy/manage/%/overview/display/%', 246, 'C:31:"Symfony\\Component\\Routing\\Route":1779:{a:9:{s:4:"path";s:88:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:32:"administer taxonomy_term display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":850:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:115:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:17:"/overview/display";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:246;s:14:"patternOutline";s:53:"/admin/structure/taxonomy/manage/%/overview/display/%";s:8:"numParts";i:8;}}}}', 8),
('entity.entity_view_display.user.default', '/admin/config/people/accounts/display', '/admin/config/people/accounts/display', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1119:{a:9:{s:4:"path";s:37:"/admin/config/people/accounts/display";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"view_mode_name";s:7:"default";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:23:"administer user display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/people/accounts/display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/people/accounts/display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:37:"/admin/config/people/accounts/display";s:8:"numParts";i:5;}}}}', 5),
('entity.entity_view_display.user.view_mode', '/admin/config/people/accounts/display/{view_mode_name}', '/admin/config/people/accounts/display/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1273:{a:9:{s:4:"path";s:54:"/admin/config/people/accounts/display/{view_mode_name}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:24:"entity_view_display.edit";s:6:"_title";s:14:"Manage display";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:26:"_field_ui_view_mode_access";s:23:"administer user display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:31:"access_check.field_ui.view_mode";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":582:{a:11:{s:4:"vars";a:1:{i:0;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/config/people/accounts/display/(?P<view_mode_name>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/people/accounts/display";}}s:9:"path_vars";a:1:{i:0;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:39:"/admin/config/people/accounts/display/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_mode.add_form', '/admin/structure/display-modes/view/add/{entity_type_id}', '/admin/structure/display-modes/view/add/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1207:{a:9:{s:4:"path";s:56:"/admin/structure/display-modes/view/add/{entity_type_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"entity_view_mode.add";s:6:"_title";s:13:"Add view mode";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":589:{a:11:{s:4:"vars";a:1:{i:0;s:14:"entity_type_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/admin/structure/display\\-modes/view/add/(?P<entity_type_id>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"entity_type_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/display-modes/view/add";}}s:9:"path_vars";a:1:{i:0;s:14:"entity_type_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:41:"/admin/structure/display-modes/view/add/%";s:8:"numParts";i:6;}}}}', 6),
('entity.entity_view_mode.collection', '/admin/structure/display-modes/view', '/admin/structure/display-modes/view', 15, 'C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:35:"/admin/structure/display-modes/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:16:"entity_view_mode";s:6:"_title";s:10:"View modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/display\\-modes/view$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/structure/display-modes/view";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/structure/display-modes/view";s:8:"numParts";i:4;}}}}', 4),
('entity.entity_view_mode.delete_form', '/admin/structure/display-modes/view/manage/{entity_view_mode}/delete', '/admin/structure/display-modes/view/manage/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1481:{a:9:{s:4:"path";s:68:"/admin/structure/display-modes/view/manage/{entity_view_mode}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"entity_view_mode.delete";s:6:"_title";s:16:"Delete view mode";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"entity_view_mode.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:16:"entity_view_mode";a:2:{s:4:"type";s:23:"entity:entity_view_mode";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":664:{a:11:{s:4:"vars";a:1:{i:0;s:16:"entity_view_mode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:86:"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"entity_view_mode";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/structure/display-modes/view/manage";}}s:9:"path_vars";a:1:{i:0;s:16:"entity_view_mode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:51:"/admin/structure/display-modes/view/manage/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.entity_view_mode.edit_form', '/admin/structure/display-modes/view/manage/{entity_view_mode}', '/admin/structure/display-modes/view/manage/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1412:{a:9:{s:4:"path";s:61:"/admin/structure/display-modes/view/manage/{entity_view_mode}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:21:"entity_view_mode.edit";s:6:"_title";s:14:"Edit view mode";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"entity_view_mode.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:16:"entity_view_mode";a:2:{s:4:"type";s:23:"entity:entity_view_mode";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":606:{a:11:{s:4:"vars";a:1:{i:0;s:16:"entity_view_mode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"entity_view_mode";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/structure/display-modes/view/manage";}}s:9:"path_vars";a:1:{i:0;s:16:"entity_view_mode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:44:"/admin/structure/display-modes/view/manage/%";s:8:"numParts";i:6;}}}}', 6),
('entity.field_config.block_content_field_delete_form', '/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/delete', '/admin/structure/block/block-content/manage/%/fields/%/delete', 501, 'C:31:"Symfony\\Component\\Routing\\Route":1904:{a:9:{s:4:"path";s:93:"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":898:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:121:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:501;s:14:"patternOutline";s:61:"/admin/structure/block/block-content/manage/%/fields/%/delete";s:8:"numParts";i:9;}}}}', 9),
('entity.field_config.block_content_field_edit_form', '/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}', '/admin/structure/block/block-content/manage/%/fields/%', 250, 'C:31:"Symfony\\Component\\Routing\\Route":1920:{a:9:{s:4:"path";s:86:"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":841:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:114:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:250;s:14:"patternOutline";s:54:"/admin/structure/block/block-content/manage/%/fields/%";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.block_content_storage_edit_form', '/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/storage', '/admin/structure/block/block-content/manage/%/fields/%/storage', 501, 'C:31:"Symfony\\Component\\Routing\\Route":1776:{a:9:{s:4:"path";s:94:"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer block_content fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":901:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:122:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:501;s:14:"patternOutline";s:62:"/admin/structure/block/block-content/manage/%/fields/%/storage";s:8:"numParts";i:9;}}}}', 9),
('entity.field_config.comment_field_delete_form', '/admin/structure/comment/manage/{comment_type}/fields/{field_config}/delete', '/admin/structure/comment/manage/%/fields/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1806:{a:9:{s:4:"path";s:75:"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":837:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:49:"/admin/structure/comment/manage/%/fields/%/delete";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.comment_field_edit_form', '/admin/structure/comment/manage/{comment_type}/fields/{field_config}', '/admin/structure/comment/manage/%/fields/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1821:{a:9:{s:4:"path";s:68:"/admin/structure/comment/manage/{comment_type}/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":779:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:95:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:42:"/admin/structure/comment/manage/%/fields/%";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.comment_storage_edit_form', '/admin/structure/comment/manage/{comment_type}/fields/{field_config}/storage', '/admin/structure/comment/manage/%/fields/%/storage', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1672:{a:9:{s:4:"path";s:76:"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"administer comment fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":840:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:103:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:50:"/admin/structure/comment/manage/%/fields/%/storage";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.contact_message_field_delete_form', '/admin/structure/contact/manage/{contact_form}/fields/{field_config}/delete', '/admin/structure/contact/manage/%/fields/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1815:{a:9:{s:4:"path";s:75:"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":837:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:49:"/admin/structure/contact/manage/%/fields/%/delete";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.contact_message_field_edit_form', '/admin/structure/contact/manage/{contact_form}/fields/{field_config}', '/admin/structure/contact/manage/%/fields/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1830:{a:9:{s:4:"path";s:68:"/admin/structure/contact/manage/{contact_form}/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":779:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:95:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:42:"/admin/structure/contact/manage/%/fields/%";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.contact_message_storage_edit_form', '/admin/structure/contact/manage/{contact_form}/fields/{field_config}/storage', '/admin/structure/contact/manage/%/fields/%/storage', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1689:{a:9:{s:4:"path";s:76:"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:33:"administer contact_message fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":840:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:103:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:50:"/admin/structure/contact/manage/%/fields/%/storage";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.font_field_delete_form', '/admin/appearance/font/settings/fields/{field_config}/delete', '/admin/appearance/font/settings/fields/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1439:{a:9:{s:4:"path";s:60:"/admin/appearance/font/settings/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":635:{a:11:{s:4:"vars";a:1:{i:0;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/appearance/font/settings/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:38:"/admin/appearance/font/settings/fields";}}s:9:"path_vars";a:1:{i:0;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:47:"/admin/appearance/font/settings/fields/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.font_field_edit_form', '/admin/appearance/font/settings/fields/{field_config}', '/admin/appearance/font/settings/fields/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1454:{a:9:{s:4:"path";s:53:"/admin/appearance/font/settings/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":577:{a:11:{s:4:"vars";a:1:{i:0;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/appearance/font/settings/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:38:"/admin/appearance/font/settings/fields";}}s:9:"path_vars";a:1:{i:0;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:40:"/admin/appearance/font/settings/fields/%";s:8:"numParts";i:6;}}}}', 6),
('entity.field_config.font_storage_edit_form', '/admin/appearance/font/settings/fields/{field_config}/storage', '/admin/appearance/font/settings/fields/%/storage', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1278:{a:9:{s:4:"path";s:61:"/admin/appearance/font/settings/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer font fields";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":638:{a:11:{s:4:"vars";a:1:{i:0;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:78:"#^/admin/appearance/font/settings/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:38:"/admin/appearance/font/settings/fields";}}s:9:"path_vars";a:1:{i:0;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:48:"/admin/appearance/font/settings/fields/%/storage";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.node_field_delete_form', '/admin/structure/types/manage/{node_type}/fields/{field_config}/delete', '/admin/structure/types/manage/%/fields/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1769:{a:9:{s:4:"path";s:70:"/admin/structure/types/manage/{node_type}/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":815:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:97:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:47:"/admin/structure/types/manage/%/fields/%/delete";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.node_field_edit_form', '/admin/structure/types/manage/{node_type}/fields/{field_config}', '/admin/structure/types/manage/%/fields/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1785:{a:9:{s:4:"path";s:63:"/admin/structure/types/manage/{node_type}/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":758:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:90:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:40:"/admin/structure/types/manage/%/fields/%";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.node_storage_edit_form', '/admin/structure/types/manage/{node_type}/fields/{field_config}/storage', '/admin/structure/types/manage/%/fields/%/storage', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1632:{a:9:{s:4:"path";s:71:"/admin/structure/types/manage/{node_type}/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer node fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":818:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:98:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:48:"/admin/structure/types/manage/%/fields/%/storage";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.paragraph_field_delete_form', '/admin/structure/paragraphs_type/{paragraphs_type}/fields/{field_config}/delete', '/admin/structure/paragraphs_type/%/fields/%/delete', 117, 'C:31:"Symfony\\Component\\Routing\\Route":1833:{a:9:{s:4:"path";s:79:"/admin/structure/paragraphs_type/{paragraphs_type}/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":852:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:106:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:117;s:14:"patternOutline";s:50:"/admin/structure/paragraphs_type/%/fields/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.paragraph_field_edit_form', '/admin/structure/paragraphs_type/{paragraphs_type}/fields/{field_config}', '/admin/structure/paragraphs_type/%/fields/%', 58, 'C:31:"Symfony\\Component\\Routing\\Route":1847:{a:9:{s:4:"path";s:72:"/admin/structure/paragraphs_type/{paragraphs_type}/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":793:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:99:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:58;s:14:"patternOutline";s:43:"/admin/structure/paragraphs_type/%/fields/%";s:8:"numParts";i:6;}}}}', 6),
('entity.field_config.paragraph_storage_edit_form', '/admin/structure/paragraphs_type/{paragraphs_type}/fields/{field_config}/storage', '/admin/structure/paragraphs_type/%/fields/%/storage', 117, 'C:31:"Symfony\\Component\\Routing\\Route":1701:{a:9:{s:4:"path";s:80:"/admin/structure/paragraphs_type/{paragraphs_type}/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraph fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":855:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:117;s:14:"patternOutline";s:51:"/admin/structure/paragraphs_type/%/fields/%/storage";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.taxonomy_term_field_delete_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/delete', '/admin/structure/taxonomy/manage/%/overview/fields/%/delete', 493, 'C:31:"Symfony\\Component\\Routing\\Route":1903:{a:9:{s:4:"path";s:92:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":896:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:119:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:16:"/overview/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:493;s:14:"patternOutline";s:59:"/admin/structure/taxonomy/manage/%/overview/fields/%/delete";s:8:"numParts";i:9;}}}}', 9);
INSERT INTO `router` VALUES
('entity.field_config.taxonomy_term_field_edit_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}', '/admin/structure/taxonomy/manage/%/overview/fields/%', 246, 'C:31:"Symfony\\Component\\Routing\\Route":1919:{a:9:{s:4:"path";s:85:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":839:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:112:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:16:"/overview/fields";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:246;s:14:"patternOutline";s:52:"/admin/structure/taxonomy/manage/%/overview/fields/%";s:8:"numParts";i:8;}}}}', 8),
('entity.field_config.taxonomy_term_storage_edit_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/storage', '/admin/structure/taxonomy/manage/%/overview/fields/%/storage', 493, 'C:31:"Symfony\\Component\\Routing\\Route":1775:{a:9:{s:4:"path";s:93:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer taxonomy_term fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":899:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:120:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:16:"/overview/fields";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:493;s:14:"patternOutline";s:60:"/admin/structure/taxonomy/manage/%/overview/fields/%/storage";s:8:"numParts";i:9;}}}}', 9),
('entity.field_config.user_field_delete_form', '/admin/config/people/accounts/fields/{field_config}/delete', '/admin/config/people/accounts/fields/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1431:{a:9:{s:4:"path";s:58:"/admin/config/people/accounts/fields/{field_config}/delete";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:19:"field_config.delete";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":629:{a:11:{s:4:"vars";a:1:{i:0;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/people/accounts/fields";}}s:9:"path_vars";a:1:{i:0;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:45:"/admin/config/people/accounts/fields/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.field_config.user_field_edit_form', '/admin/config/people/accounts/fields/{field_config}', '/admin/config/people/accounts/fields/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1446:{a:9:{s:4:"path";s:51:"/admin/config/people/accounts/fields/{field_config}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_form";s:17:"field_config.edit";s:15:"_title_callback";s:51:"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"field_config.update";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:12:"field_config";a:2:{s:4:"type";s:19:"entity:field_config";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":571:{a:11:{s:4:"vars";a:1:{i:0;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/people/accounts/fields";}}s:9:"path_vars";a:1:{i:0;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:38:"/admin/config/people/accounts/fields/%";s:8:"numParts";i:6;}}}}', 6),
('entity.field_config.user_storage_edit_form', '/admin/config/people/accounts/fields/{field_config}/storage', '/admin/config/people/accounts/fields/%/storage', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1270:{a:9:{s:4:"path";s:59:"/admin/config/people/accounts/fields/{field_config}/storage";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:25:"field_storage_config.edit";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer user fields";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":632:{a:11:{s:4:"vars";a:1:{i:0;s:12:"field_config";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:76:"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/storage$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/storage";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"field_config";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/people/accounts/fields";}}s:9:"path_vars";a:1:{i:0;s:12:"field_config";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:46:"/admin/config/people/accounts/fields/%/storage";s:8:"numParts";i:7;}}}}', 7),
('entity.field_storage_config.collection', '/admin/reports/fields', '/admin/reports/fields', 7, 'C:31:"Symfony\\Component\\Routing\\Route":940:{a:9:{s:4:"path";s:21:"/admin/reports/fields";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:20:"field_storage_config";s:6:"_title";s:10:"Field list";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/fields";s:8:"numParts";i:3;}}}}', 3),
('entity.filter_format.disable', '/admin/config/content/formats/manage/{filter_format}/disable', '/admin/config/content/formats/manage/%/disable', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1438:{a:9:{s:4:"path";s:60:"/admin/config/content/formats/manage/{filter_format}/disable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:21:"filter_format.disable";s:6:"_title";s:19:"Disable text format";}s:12:"requirements";a:1:{s:14:"_entity_access";s:21:"filter_format.disable";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":636:{a:11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/disable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/disable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/content/formats/manage";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:46:"/admin/config/content/formats/manage/%/disable";s:8:"numParts";i:7;}}}}', 7),
('entity.filter_format.edit_form', '/admin/config/content/formats/manage/{filter_format}', '/admin/config/content/formats/manage/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1408:{a:9:{s:4:"path";s:52:"/admin/config/content/formats/manage/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:18:"filter_format.edit";s:15:"_title_callback";s:52:"\\Drupal\\filter\\Controller\\FilterController::getLabel";}s:12:"requirements";a:1:{s:14:"_entity_access";s:20:"filter_format.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":575:{a:11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/content/formats/manage";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:38:"/admin/config/content/formats/manage/%";s:8:"numParts";i:6;}}}}', 6),
('entity.font.activate', '/admin/appearance/font/{font}/{js}/activate', '/admin/appearance/font/%/%/activate', 57, 'C:31:"Symfony\\Component\\Routing\\Route":1476:{a:9:{s:4:"path";s:43:"/admin/appearance/font/{font}/{js}/activate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:11:"Enable font";s:11:"_controller";s:68:"\\Drupal\\fontyourface\\Controller\\FontYourFaceController::activateFont";}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"font";a:2:{s:4:"type";s:11:"entity:font";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":685:{a:11:{s:4:"vars";a:2:{i:0;s:4:"font";i:1;s:2:"js";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:73:"#^/admin/appearance/font/(?P<font>[^/]++)/(?P<js>nojs|ajax)/activate$#sDu";s:11:"path_tokens";a:4:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/activate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"font";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:2:{i:0;s:4:"font";i:1;s:2:"js";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:57;s:14:"patternOutline";s:35:"/admin/appearance/font/%/%/activate";s:8:"numParts";i:6;}}}}', 6),
('entity.font.canonical', '/admin/appearance/font/{font}', '/admin/appearance/font/%', 14, 'C:31:"Symfony\\Component\\Routing\\Route":1238:{a:9:{s:4:"path";s:29:"/admin/appearance/font/{font}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_view";s:9:"font.full";s:15:"_title_callback";s:54:"\\Drupal\\Core\\Entity\\Controller\\EntityController::title";}s:12:"requirements";a:2:{s:14:"_entity_access";s:9:"font.view";s:4:"font";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"font";a:2:{s:4:"type";s:11:"entity:font";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":488:{a:11:{s:4:"vars";a:1:{i:0;s:4:"font";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/appearance/font/(?P<font>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"font";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:1:{i:0;s:4:"font";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:24:"/admin/appearance/font/%";s:8:"numParts";i:4;}}}}', 4),
('entity.font.collection', '/admin/appearance/font', '/admin/appearance/font', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1359:{a:9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}}}', 3),
('entity.font.deactivate', '/admin/appearance/font/{font}/{js}/deactivate', '/admin/appearance/font/%/%/deactivate', 57, 'C:31:"Symfony\\Component\\Routing\\Route":1488:{a:9:{s:4:"path";s:45:"/admin/appearance/font/{font}/{js}/deactivate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:12:"Disable font";s:11:"_controller";s:70:"\\Drupal\\fontyourface\\Controller\\FontYourFaceController::deactivateFont";}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"font";a:2:{s:4:"type";s:11:"entity:font";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":692:{a:11:{s:4:"vars";a:2:{i:0;s:4:"font";i:1;s:2:"js";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/appearance/font/(?P<font>[^/]++)/(?P<js>nojs|ajax)/deactivate$#sDu";s:11:"path_tokens";a:4:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/deactivate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"font";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:2:{i:0;s:4:"font";i:1;s:2:"js";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:57;s:14:"patternOutline";s:37:"/admin/appearance/font/%/%/deactivate";s:8:"numParts";i:6;}}}}', 6),
('entity.font.field_ui_fields', '/admin/appearance/font/settings/fields', '/admin/appearance/font/settings/fields', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1099:{a:9:{s:4:"path";s:38:"/admin/appearance/font/settings/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer font fields";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":412:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/appearance/font/settings/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:38:"/admin/appearance/font/settings/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:38:"/admin/appearance/font/settings/fields";s:8:"numParts";i:5;}}}}', 5),
('entity.font_display.add_form', '/admin/appearance/font/font_display/add', '/admin/appearance/font/font_display/add', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1191:{a:9:{s:4:"path";s:39:"/admin/appearance/font/font_display/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"font_display.add";s:6:"_title";s:16:"Add Font display";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:12:"font_display";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:12:"font_display";a:2:{s:4:"type";s:19:"entity:font_display";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/appearance/font/font_display/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/appearance/font/font_display/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:39:"/admin/appearance/font/font_display/add";s:8:"numParts";i:5;}}}}', 5),
('entity.font_display.collection', '/admin/appearance/font/font_display', '/admin/appearance/font/font_display', 15, 'C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:35:"/admin/appearance/font/font_display";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"font_display";s:6:"_title";s:12:"Font display";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":403:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:42:"#^/admin/appearance/font/font_display$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/appearance/font/font_display";s:8:"numParts";i:4;}}}}', 4),
('entity.font_display.delete_form', '/admin/appearance/font/font_display/{font_display}/delete', '/admin/appearance/font/font_display/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1469:{a:9:{s:4:"path";s:57:"/admin/appearance/font/font_display/{font_display}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"font_display.delete";s:15:"_title_callback";s:60:"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"font_display.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:12:"font_display";a:2:{s:4:"type";s:19:"entity:font_display";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":625:{a:11:{s:4:"vars";a:1:{i:0;s:12:"font_display";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/admin/appearance/font/font_display/(?P<font_display>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"font_display";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:1:{i:0;s:12:"font_display";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:44:"/admin/appearance/font/font_display/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.font_display.edit_form', '/admin/appearance/font/font_display/{font_display}/edit', '/admin/appearance/font/font_display/%/edit', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1457:{a:9:{s:4:"path";s:55:"/admin/appearance/font/font_display/{font_display}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"font_display.edit";s:15:"_title_callback";s:58:"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"font_display.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:12:"font_display";a:2:{s:4:"type";s:19:"entity:font_display";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":619:{a:11:{s:4:"vars";a:1:{i:0;s:12:"font_display";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:72:"#^/admin/appearance/font/font_display/(?P<font_display>[^/]++)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"font_display";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/appearance/font/font_display";}}s:9:"path_vars";a:1:{i:0;s:12:"font_display";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:42:"/admin/appearance/font/font_display/%/edit";s:8:"numParts";i:6;}}}}', 6),
('entity.image_style.collection', '/admin/config/media/image-styles', '/admin/config/media/image-styles', 15, 'C:31:"Symfony\\Component\\Routing\\Route":978:{a:9:{s:4:"path";s:32:"/admin/config/media/image-styles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"image_style";s:6:"_title";s:12:"Image styles";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":395:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/media/image\\-styles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/media/image-styles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/media/image-styles";s:8:"numParts";i:4;}}}}', 4),
('entity.image_style.delete_form', '/admin/config/media/image-styles/manage/{image_style}/delete', '/admin/config/media/image-styles/manage/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1419:{a:9:{s:4:"path";s:60:"/admin/config/media/image-styles/manage/{image_style}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:18:"image_style.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":635:{a:11:{s:4:"vars";a:1:{i:0;s:11:"image_style";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:78:"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/media/image-styles/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"image_style";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:48:"/admin/config/media/image-styles/manage/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.image_style.edit_form', '/admin/config/media/image-styles/manage/{image_style}', '/admin/config/media/image-styles/manage/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1357:{a:9:{s:4:"path";s:53:"/admin/config/media/image-styles/manage/{image_style}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"image_style.edit";s:6:"_title";s:10:"Edit style";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":577:{a:11:{s:4:"vars";a:1:{i:0;s:11:"image_style";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/media/image-styles/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"image_style";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:41:"/admin/config/media/image-styles/manage/%";s:8:"numParts";i:6;}}}}', 6),
('entity.image_style.flush_form', '/admin/config/media/image-styles/manage/{image_style}/flush', '/admin/config/media/image-styles/manage/%/flush', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1413:{a:9:{s:4:"path";s:59:"/admin/config/media/image-styles/manage/{image_style}/flush";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"image_style.flush";s:6:"_title";s:5:"Flush";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":632:{a:11:{s:4:"vars";a:1:{i:0;s:11:"image_style";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/flush$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/flush";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/media/image-styles/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"image_style";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:47:"/admin/config/media/image-styles/manage/%/flush";s:8:"numParts";i:7;}}}}', 7),
('entity.menu.add_form', '/admin/structure/menu/add', '/admin/structure/menu/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":933:{a:9:{s:4:"path";s:25:"/admin/structure/menu/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:8:"menu.add";s:6:"_title";s:8:"Add menu";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:4:"menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/menu/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/menu/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/structure/menu/add";s:8:"numParts";i:4;}}}}', 4),
('entity.menu.add_link_form', '/admin/structure/menu/manage/{menu}/add', '/admin/structure/menu/manage/%/add', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1364:{a:9:{s:4:"path";s:39:"/admin/structure/menu/manage/{menu}/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\menu_link_content\\Controller\\MenuController::addLink";s:6:"_title";s:13:"Add menu link";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:17:"menu_link_content";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"menu";a:2:{s:4:"type";s:11:"entity:menu";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":560:{a:11:{s:4:"vars";a:1:{i:0;s:4:"menu";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:56:"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/add$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:4:"/add";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"menu";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/structure/menu/manage";}}s:9:"path_vars";a:1:{i:0;s:4:"menu";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:34:"/admin/structure/menu/manage/%/add";s:8:"numParts";i:6;}}}}', 6),
('entity.menu.collection', '/admin/structure/menu', '/admin/structure/menu', 7, 'C:31:"Symfony\\Component\\Routing\\Route":908:{a:9:{s:4:"path";s:21:"/admin/structure/menu";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"menu";s:6:"_title";s:5:"Menus";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/structure/menu$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/structure/menu";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/structure/menu";s:8:"numParts";i:3;}}}}', 3),
('entity.menu.delete_form', '/admin/structure/menu/manage/{menu}/delete', '/admin/structure/menu/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1306:{a:9:{s:4:"path";s:42:"/admin/structure/menu/manage/{menu}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:11:"menu.delete";s:6:"_title";s:11:"Delete menu";}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"menu.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"menu";a:2:{s:4:"type";s:11:"entity:menu";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":569:{a:11:{s:4:"vars";a:1:{i:0;s:4:"menu";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:59:"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"menu";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/structure/menu/manage";}}s:9:"path_vars";a:1:{i:0;s:4:"menu";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:37:"/admin/structure/menu/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.menu.edit_form', '/admin/structure/menu/manage/{menu}', '/admin/structure/menu/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1290:{a:9:{s:4:"path";s:35:"/admin/structure/menu/manage/{menu}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:9:"menu.edit";s:15:"_title_callback";s:52:"\\Drupal\\menu_ui\\Controller\\MenuController::menuTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"menu.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"menu";a:2:{s:4:"type";s:11:"entity:menu";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":512:{a:11:{s:4:"vars";a:1:{i:0;s:4:"menu";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:52:"#^/admin/structure/menu/manage/(?P<menu>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"menu";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/structure/menu/manage";}}s:9:"path_vars";a:1:{i:0;s:4:"menu";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:30:"/admin/structure/menu/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.menu_link_content.canonical', '/admin/structure/menu/item/{menu_link_content}/edit', '/admin/structure/menu/item/%/edit', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1373:{a:9:{s:4:"path";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"menu_link_content.default";s:6:"_title";s:14:"Edit menu link";}s:12:"requirements";a:1:{s:14:"_entity_access";s:24:"menu_link_content.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:17:"menu_link_content";a:2:{s:4:"type";s:24:"entity:menu_link_content";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":612:{a:11:{s:4:"vars";a:1:{i:0;s:17:"menu_link_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:17:"menu_link_content";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/menu/item";}}s:9:"path_vars";a:1:{i:0;s:17:"menu_link_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:33:"/admin/structure/menu/item/%/edit";s:8:"numParts";i:6;}}}}', 6),
('entity.menu_link_content.delete_form', '/admin/structure/menu/item/{menu_link_content}/delete', '/admin/structure/menu/item/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1382:{a:9:{s:4:"path";s:53:"/admin/structure/menu/item/{menu_link_content}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:24:"menu_link_content.delete";s:6:"_title";s:16:"Delete menu link";}s:12:"requirements";a:1:{s:14:"_entity_access";s:24:"menu_link_content.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:17:"menu_link_content";a:2:{s:4:"type";s:24:"entity:menu_link_content";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":618:{a:11:{s:4:"vars";a:1:{i:0;s:17:"menu_link_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:17:"menu_link_content";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/menu/item";}}s:9:"path_vars";a:1:{i:0;s:17:"menu_link_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:35:"/admin/structure/menu/item/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.menu_link_content.edit_form', '/admin/structure/menu/item/{menu_link_content}/edit', '/admin/structure/menu/item/%/edit', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1373:{a:9:{s:4:"path";s:51:"/admin/structure/menu/item/{menu_link_content}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"menu_link_content.default";s:6:"_title";s:14:"Edit menu link";}s:12:"requirements";a:1:{s:14:"_entity_access";s:24:"menu_link_content.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:17:"menu_link_content";a:2:{s:4:"type";s:24:"entity:menu_link_content";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":612:{a:11:{s:4:"vars";a:1:{i:0;s:17:"menu_link_content";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:17:"menu_link_content";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/menu/item";}}s:9:"path_vars";a:1:{i:0;s:17:"menu_link_content";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:33:"/admin/structure/menu/item/%/edit";s:8:"numParts";i:6;}}}}', 6),
('entity.node.canonical', '/node/{node}', '/node/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":1177:{a:9:{s:4:"path";s:12:"/node/{node}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\node\\Controller\\NodeViewController::view";s:15:"_title_callback";s:49:"\\Drupal\\node\\Controller\\NodeViewController::title";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:9:"node.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/node/(?P<node>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/node/%";s:8:"numParts";i:2;}}}}', 2),
('entity.node.delete_form', '/node/{node}/delete', '/node/%/delete', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1212:{a:9:{s:4:"path";s:19:"/node/{node}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:11:"node.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:2:{s:4:"node";s:3:"\\d+";s:14:"_entity_access";s:11:"node.delete";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":492:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/node/(?P<node>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:14:"/node/%/delete";s:8:"numParts";i:3;}}}}', 3),
('entity.node.delete_multiple_form', '/admin/content/node/delete', '/admin/content/node/delete', 15, 'C:31:"Symfony\\Component\\Routing\\Route":977:{a:9:{s:4:"path";s:26:"/admin/content/node/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\node\\Form\\DeleteMultiple";s:14:"entity_type_id";s:4:"node";}s:12:"requirements";a:1:{s:30:"_entity_delete_multiple_access";s:4:"node";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:35:"access_check.entity_delete_multiple";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/content/node/delete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/content/node/delete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/content/node/delete";s:8:"numParts";i:4;}}}}', 4),
('entity.node.edit_form', '/node/{node}/edit', '/node/%/edit', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1175:{a:9:{s:4:"path";s:17:"/node/{node}/edit";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:9:"node.edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"node.update";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":486:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/node/(?P<node>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:12:"/node/%/edit";s:8:"numParts";i:3;}}}}', 3),
('entity.node.field_ui_fields', '/admin/structure/types/manage/{node_type}/fields', '/admin/structure/types/manage/%/fields', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1453:{a:9:{s:4:"path";s:48:"/admin/structure/types/manage/{node_type}/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer node fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":592:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:38:"/admin/structure/types/manage/%/fields";s:8:"numParts";i:6;}}}}', 6);
INSERT INTO `router` VALUES
('entity.node.preview', '/node/preview/{node_preview}/{view_mode_id}', '/node/preview/%/%', 12, 'C:31:"Symfony\\Component\\Routing\\Route":1475:{a:9:{s:4:"path";s:43:"/node/preview/{node_preview}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:51:"\\Drupal\\node\\Controller\\NodePreviewController::view";s:15:"_title_callback";s:52:"\\Drupal\\node\\Controller\\NodePreviewController::title";}s:12:"requirements";a:1:{s:20:"_node_preview_access";s:14:"{node_preview}";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:12:"node_preview";a:2:{s:4:"type";s:12:"node_preview";s:9:"converter";s:42:"drupal.proxy_original_service.node_preview";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:25:"access_check.node.preview";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":667:{a:11:{s:4:"vars";a:2:{i:0;s:12:"node_preview";i:1;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/node/preview/(?P<node_preview>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"node_preview";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/node/preview";}}s:9:"path_vars";a:2:{i:0;s:12:"node_preview";i:1;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:12;s:14:"patternOutline";s:17:"/node/preview/%/%";s:8:"numParts";i:4;}}}}', 4),
('entity.node.revision', '/node/{node}/revisions/{node_revision}/view', '/node/%/revisions/%/view', 21, 'C:31:"Symfony\\Component\\Routing\\Route":1648:{a:9:{s:4:"path";s:43:"/node/{node}/revisions/{node_revision}/view";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\node\\Controller\\NodeController::revisionShow";s:15:"_title_callback";s:57:"\\Drupal\\node\\Controller\\NodeController::revisionPageTitle";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"node_revision.view revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":723:{a:11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/view$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/view";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:24:"/node/%/revisions/%/view";s:8:"numParts";i:5;}}}}', 5),
('entity.node.version_history', '/node/{node}/revisions', '/node/%/revisions', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1284:{a:9:{s:4:"path";s:22:"/node/{node}/revisions";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:9:"Revisions";s:11:"_controller";s:56:"\\Drupal\\node\\Controller\\NodeController::revisionOverview";}s:12:"requirements";a:2:{s:14:"_entity_access";s:23:"node.view all revisions";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":502:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/node/(?P<node>\\d+)/revisions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/node/%/revisions";s:8:"numParts";i:3;}}}}', 3),
('entity.node_type.collection', '/admin/structure/types', '/admin/structure/types', 7, 'C:31:"Symfony\\Component\\Routing\\Route":935:{a:9:{s:4:"path";s:22:"/admin/structure/types";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"node_type";s:6:"_title";s:13:"Content types";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/types$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/types";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/types";s:8:"numParts";i:3;}}}}', 3),
('entity.node_type.delete_form', '/admin/structure/types/manage/{node_type}/delete', '/admin/structure/types/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1349:{a:9:{s:4:"path";s:48:"/admin/structure/types/manage/{node_type}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"node_type.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:1:{s:14:"_entity_access";s:16:"node_type.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":592:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:38:"/admin/structure/types/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.node_type.edit_form', '/admin/structure/types/manage/{node_type}', '/admin/structure/types/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1351:{a:9:{s:4:"path";s:41:"/admin/structure/types/manage/{node_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:14:"node_type.edit";s:15:"_title_callback";s:54:"\\Drupal\\Core\\Entity\\Controller\\EntityController::title";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":535:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:58:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:31:"/admin/structure/types/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.node_type.entity_permissions_form', '/admin/structure/types/manage/{node_type}/permissions', '/admin/structure/types/manage/%/permissions', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1490:{a:9:{s:4:"path";s:53:"/admin/structure/types/manage/{node_type}/permissions";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:18:"Manage permissions";s:5:"_form";s:38:"Drupal\\user\\Form\\EntityPermissionsForm";s:14:"entity_type_id";s:4:"node";s:18:"bundle_entity_type";s:9:"node_type";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer permissions";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:3:{s:4:"type";s:16:"entity:node_type";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":608:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/permissions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/permissions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:43:"/admin/structure/types/manage/%/permissions";s:8:"numParts";i:6;}}}}', 6),
('entity.paragraph.field_ui_fields', '/admin/structure/paragraphs_type/{paragraphs_type}/fields', '/admin/structure/paragraphs_type/%/fields', 29, 'C:31:"Symfony\\Component\\Routing\\Route":1521:{a:9:{s:4:"path";s:57:"/admin/structure/paragraphs_type/{paragraphs_type}/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraph fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/fields$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/fields";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:29;s:14:"patternOutline";s:41:"/admin/structure/paragraphs_type/%/fields";s:8:"numParts";i:5;}}}}', 5),
('entity.paragraphs_type.collection', '/admin/structure/paragraphs_type', '/admin/structure/paragraphs_type', 7, 'C:31:"Symfony\\Component\\Routing\\Route":988:{a:9:{s:4:"path";s:32:"/admin/structure/paragraphs_type";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"paragraphs_type";s:6:"_title";s:16:"Paragraphs types";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":393:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/structure/paragraphs_type$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:32:"/admin/structure/paragraphs_type";s:8:"numParts";i:3;}}}}', 3),
('entity.paragraphs_type.delete_form', '/admin/structure/paragraphs_type/{paragraphs_type}/delete', '/admin/structure/paragraphs_type/%/delete', 29, 'C:31:"Symfony\\Component\\Routing\\Route":1425:{a:9:{s:4:"path";s:57:"/admin/structure/paragraphs_type/{paragraphs_type}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:22:"paragraphs_type.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:29;s:14:"patternOutline";s:41:"/admin/structure/paragraphs_type/%/delete";s:8:"numParts";i:5;}}}}', 5),
('entity.paragraphs_type.edit_form', '/admin/structure/paragraphs_type/{paragraphs_type}', '/admin/structure/paragraphs_type/%', 14, 'C:31:"Symfony\\Component\\Routing\\Route":1333:{a:9:{s:4:"path";s:50:"/admin/structure/paragraphs_type/{paragraphs_type}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:20:"paragraphs_type.edit";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":571:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:34:"/admin/structure/paragraphs_type/%";s:8:"numParts";i:4;}}}}', 4),
('entity.path_alias.add_form', '/admin/config/search/path/add', '/admin/config/search/path/add', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1066:{a:9:{s:4:"path";s:29:"/admin/config/search/path/add";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:18:"path_alias.default";s:14:"entity_type_id";s:10:"path_alias";s:15:"_title_callback";s:56:"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:10:"path_alias";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/search/path/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/search/path/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:29:"/admin/config/search/path/add";s:8:"numParts";i:5;}}}}', 5),
('entity.path_alias.collection', '/admin/config/search/path', '/admin/config/search/path', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:25:"/admin/config/search/path";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:10:"path_alias";s:6:"_title";s:11:"URL aliases";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer url aliases";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/search/path$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/search/path";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/search/path";s:8:"numParts";i:4;}}}}', 4),
('entity.path_alias.delete_form', '/admin/config/search/path/delete/{path_alias}', '/admin/config/search/path/delete/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1355:{a:9:{s:4:"path";s:45:"/admin/config/search/path/delete/{path_alias}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"path_alias.delete";s:15:"_title_callback";s:60:"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle";}s:12:"requirements";a:2:{s:14:"_entity_access";s:17:"path_alias.delete";s:10:"path_alias";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:10:"path_alias";a:2:{s:4:"type";s:17:"entity:path_alias";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":545:{a:11:{s:4:"vars";a:1:{i:0;s:10:"path_alias";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:59:"#^/admin/config/search/path/delete/(?P<path_alias>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:10:"path_alias";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/search/path/delete";}}s:9:"path_vars";a:1:{i:0;s:10:"path_alias";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:34:"/admin/config/search/path/delete/%";s:8:"numParts";i:6;}}}}', 6),
('entity.path_alias.edit_form', '/admin/config/search/path/edit/{path_alias}', '/admin/config/search/path/edit/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1346:{a:9:{s:4:"path";s:43:"/admin/config/search/path/edit/{path_alias}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:18:"path_alias.default";s:15:"_title_callback";s:58:"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle";}s:12:"requirements";a:2:{s:14:"_entity_access";s:17:"path_alias.update";s:10:"path_alias";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:10:"path_alias";a:2:{s:4:"type";s:17:"entity:path_alias";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":539:{a:11:{s:4:"vars";a:1:{i:0;s:10:"path_alias";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:57:"#^/admin/config/search/path/edit/(?P<path_alias>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:10:"path_alias";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/search/path/edit";}}s:9:"path_vars";a:1:{i:0;s:10:"path_alias";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:32:"/admin/config/search/path/edit/%";s:8:"numParts";i:6;}}}}', 6),
('entity.search_page.collection', '/admin/config/search/pages', '/admin/config/search/pages', 15, 'C:31:"Symfony\\Component\\Routing\\Route":947:{a:9:{s:4:"path";s:26:"/admin/config/search/pages";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:11:"search_page";s:6:"_title";s:12:"Search pages";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/search/pages$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/search/pages";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/config/search/pages";s:8:"numParts";i:4;}}}}', 4),
('entity.search_page.delete_form', '/admin/config/search/pages/manage/{search_page}/delete', '/admin/config/search/pages/manage/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1388:{a:9:{s:4:"path";s:54:"/admin/config/search/pages/manage/{search_page}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:18:"search_page.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:1:{s:14:"_entity_access";s:18:"search_page.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"search_page";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":616:{a:11:{s:4:"vars";a:1:{i:0;s:11:"search_page";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"search_page";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/search/pages/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"search_page";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:42:"/admin/config/search/pages/manage/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.search_page.disable', '/admin/config/search/pages/manage/{search_page}/disable', '/admin/config/search/pages/manage/%/disable', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1490:{a:9:{s:4:"path";s:55:"/admin/config/search/pages/manage/{search_page}/disable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\search\\Controller\\SearchController::performOperation";s:2:"op";s:7:"disable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:19:"search_page.disable";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"search_page";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":619:{a:11:{s:4:"vars";a:1:{i:0;s:11:"search_page";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:72:"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/disable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/disable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"search_page";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/search/pages/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"search_page";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:43:"/admin/config/search/pages/manage/%/disable";s:8:"numParts";i:7;}}}}', 7),
('entity.search_page.edit_form', '/admin/config/search/pages/manage/{search_page}', '/admin/config/search/pages/manage/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1379:{a:9:{s:4:"path";s:47:"/admin/config/search/pages/manage/{search_page}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"search_page.edit";s:15:"_title_callback";s:53:"\\Drupal\\search\\Controller\\SearchController::editTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:18:"search_page.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"search_page";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":558:{a:11:{s:4:"vars";a:1:{i:0;s:11:"search_page";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:64:"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"search_page";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/search/pages/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"search_page";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:35:"/admin/config/search/pages/manage/%";s:8:"numParts";i:6;}}}}', 6),
('entity.search_page.enable', '/admin/config/search/pages/manage/{search_page}/enable', '/admin/config/search/pages/manage/%/enable', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1484:{a:9:{s:4:"path";s:54:"/admin/config/search/pages/manage/{search_page}/enable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\search\\Controller\\SearchController::performOperation";s:2:"op";s:6:"enable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:18:"search_page.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"search_page";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":616:{a:11:{s:4:"vars";a:1:{i:0;s:11:"search_page";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/enable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/enable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"search_page";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/search/pages/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"search_page";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:42:"/admin/config/search/pages/manage/%/enable";s:8:"numParts";i:7;}}}}', 7),
('entity.search_page.set_default', '/admin/config/search/pages/manage/{search_page}/set-default', '/admin/config/search/pages/manage/%/set-default', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1480:{a:9:{s:4:"path";s:59:"/admin/config/search/pages/manage/{search_page}/set-default";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:56:"\\Drupal\\search\\Controller\\SearchController::setAsDefault";}s:12:"requirements";a:2:{s:14:"_entity_access";s:18:"search_page.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"search_page";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":633:{a:11:{s:4:"vars";a:1:{i:0;s:11:"search_page";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/set\\-default$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/set-default";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"search_page";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/search/pages/manage";}}s:9:"path_vars";a:1:{i:0;s:11:"search_page";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:47:"/admin/config/search/pages/manage/%/set-default";s:8:"numParts";i:7;}}}}', 7),
('entity.shortcut.canonical', '/admin/config/user-interface/shortcut/link/{shortcut}', '/admin/config/user-interface/shortcut/link/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1305:{a:9:{s:4:"path";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"shortcut.default";s:6:"_title";s:4:"Edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:15:"shortcut.update";s:8:"shortcut";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:8:"shortcut";a:2:{s:4:"type";s:15:"entity:shortcut";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":565:{a:11:{s:4:"vars";a:1:{i:0;s:8:"shortcut";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:8:"shortcut";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/user-interface/shortcut/link";}}s:9:"path_vars";a:1:{i:0;s:8:"shortcut";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:44:"/admin/config/user-interface/shortcut/link/%";s:8:"numParts";i:6;}}}}', 6),
('entity.shortcut.delete_form', '/admin/config/user-interface/shortcut/link/{shortcut}/delete', '/admin/config/user-interface/shortcut/link/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1371:{a:9:{s:4:"path";s:60:"/admin/config/user-interface/shortcut/link/{shortcut}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:15:"shortcut.delete";s:6:"_title";s:6:"Delete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:15:"shortcut.delete";s:8:"shortcut";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:8:"shortcut";a:2:{s:4:"type";s:15:"entity:shortcut";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":623:{a:11:{s:4:"vars";a:1:{i:0;s:8:"shortcut";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:8:"shortcut";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/user-interface/shortcut/link";}}s:9:"path_vars";a:1:{i:0;s:8:"shortcut";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:51:"/admin/config/user-interface/shortcut/link/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.shortcut.edit_form', '/admin/config/user-interface/shortcut/link/{shortcut}', '/admin/config/user-interface/shortcut/link/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1305:{a:9:{s:4:"path";s:53:"/admin/config/user-interface/shortcut/link/{shortcut}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"shortcut.default";s:6:"_title";s:4:"Edit";}s:12:"requirements";a:2:{s:14:"_entity_access";s:15:"shortcut.update";s:8:"shortcut";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:8:"shortcut";a:2:{s:4:"type";s:15:"entity:shortcut";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":565:{a:11:{s:4:"vars";a:1:{i:0;s:8:"shortcut";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:8:"shortcut";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/user-interface/shortcut/link";}}s:9:"path_vars";a:1:{i:0;s:8:"shortcut";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:44:"/admin/config/user-interface/shortcut/link/%";s:8:"numParts";i:6;}}}}', 6),
('entity.shortcut.link_delete_inline', '/admin/config/user-interface/shortcut/link/{shortcut}/delete-inline', '/admin/config/user-interface/shortcut/link/%/delete-inline', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1490:{a:9:{s:4:"path";s:67:"/admin/config/user-interface/shortcut/link/{shortcut}/delete-inline";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:72:"\\Drupal\\shortcut\\Controller\\ShortcutController::deleteShortcutLinkInline";}s:12:"requirements";a:3:{s:14:"_entity_access";s:15:"shortcut.delete";s:11:"_csrf_token";s:4:"TRUE";s:8:"shortcut";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:8:"shortcut";a:2:{s:4:"type";s:15:"entity:shortcut";s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":646:{a:11:{s:4:"vars";a:1:{i:0;s:8:"shortcut";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:83:"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)/delete\\-inline$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/delete-inline";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:8:"shortcut";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/user-interface/shortcut/link";}}s:9:"path_vars";a:1:{i:0;s:8:"shortcut";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:58:"/admin/config/user-interface/shortcut/link/%/delete-inline";s:8:"numParts";i:7;}}}}', 7),
('entity.shortcut_set.collection', '/admin/config/user-interface/shortcut', '/admin/config/user-interface/shortcut', 15, 'C:31:"Symfony\\Component\\Routing\\Route":992:{a:9:{s:4:"path";s:37:"/admin/config/user-interface/shortcut";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:12:"shortcut_set";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"administer shortcuts";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/user\\-interface/shortcut$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/user-interface/shortcut";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/user-interface/shortcut";s:8:"numParts";i:4;}}}}', 4),
('entity.shortcut_set.customize_form', '/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize', '/admin/config/user-interface/shortcut/manage/%/customize', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1463:{a:9:{s:4:"path";s:69:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:22:"shortcut_set.customize";s:6:"_title";s:10:"List links";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"shortcut_set.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"shortcut_set";a:2:{s:4:"type";s:19:"entity:shortcut_set";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":664:{a:11:{s:4:"vars";a:1:{i:0;s:12:"shortcut_set";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:87:"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/customize$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/customize";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"shortcut_set";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/user-interface/shortcut/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"shortcut_set";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:56:"/admin/config/user-interface/shortcut/manage/%/customize";s:8:"numParts";i:7;}}}}', 7),
('entity.shortcut_set.delete_form', '/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete', '/admin/config/user-interface/shortcut/manage/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1456:{a:9:{s:4:"path";s:66:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"shortcut_set.delete";s:6:"_title";s:19:"Delete shortcut set";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"shortcut_set.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"shortcut_set";a:2:{s:4:"type";s:19:"entity:shortcut_set";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":654:{a:11:{s:4:"vars";a:1:{i:0;s:12:"shortcut_set";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:84:"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"shortcut_set";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/user-interface/shortcut/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"shortcut_set";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:53:"/admin/config/user-interface/shortcut/manage/%/delete";s:8:"numParts";i:7;}}}}', 7),
('entity.shortcut_set.edit_form', '/admin/config/user-interface/shortcut/manage/{shortcut_set}', '/admin/config/user-interface/shortcut/manage/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1387:{a:9:{s:4:"path";s:59:"/admin/config/user-interface/shortcut/manage/{shortcut_set}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"shortcut_set.edit";s:6:"_title";s:17:"Edit shortcut set";}s:12:"requirements";a:1:{s:14:"_entity_access";s:19:"shortcut_set.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"shortcut_set";a:2:{s:4:"type";s:19:"entity:shortcut_set";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":596:{a:11:{s:4:"vars";a:1:{i:0;s:12:"shortcut_set";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"shortcut_set";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/user-interface/shortcut/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"shortcut_set";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:46:"/admin/config/user-interface/shortcut/manage/%";s:8:"numParts";i:6;}}}}', 6),
('entity.taxonomy_term.add_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add', '/admin/structure/taxonomy/manage/%/add', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1496:{a:9:{s:4:"path";s:58:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:55:"\\Drupal\\taxonomy\\Controller\\TaxonomyController::addForm";s:6:"_title";s:8:"Add term";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:35:"taxonomy_term:{taxonomy_vocabulary}";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":635:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/add$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:4:"/add";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:38:"/admin/structure/taxonomy/manage/%/add";s:8:"numParts";i:6;}}}}', 6),
('entity.taxonomy_term.canonical', '/taxonomy/term/{taxonomy_term}', '/taxonomy/term/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1642:{a:9:{s:4:"path";s:30:"/taxonomy/term/{taxonomy_term}";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:57:"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:13:"taxonomy_term";}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":508:{a:11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"taxonomy_term";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/taxonomy/term/%";s:8:"numParts";i:3;}}}}', 3),
('entity.taxonomy_term.delete_form', '/taxonomy/term/{taxonomy_term}/delete', '/taxonomy/term/%/delete', 13, 'C:31:"Symfony\\Component\\Routing\\Route":1318:{a:9:{s:4:"path";s:37:"/taxonomy/term/{taxonomy_term}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"taxonomy_term.delete";s:6:"_title";s:11:"Delete term";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"taxonomy_term.delete";s:13:"taxonomy_term";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":560:{a:11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"taxonomy_term";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:23:"/taxonomy/term/%/delete";s:8:"numParts";i:4;}}}}', 4),
('entity.taxonomy_term.edit_form', '/taxonomy/term/{taxonomy_term}/edit', '/taxonomy/term/%/edit', 13, 'C:31:"Symfony\\Component\\Routing\\Route":1308:{a:9:{s:4:"path";s:35:"/taxonomy/term/{taxonomy_term}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:21:"taxonomy_term.default";s:6:"_title";s:9:"Edit term";}s:12:"requirements";a:2:{s:14:"_entity_access";s:20:"taxonomy_term.update";s:13:"taxonomy_term";s:3:"\\d+";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"taxonomy_term";a:2:{s:4:"type";s:20:"entity:taxonomy_term";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":554:{a:11:{s:4:"vars";a:1:{i:0;s:13:"taxonomy_term";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:49:"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:13:"taxonomy_term";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:13:"taxonomy_term";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:21:"/taxonomy/term/%/edit";s:8:"numParts";i:4;}}}}', 4),
('entity.taxonomy_term.field_ui_fields', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields', '/admin/structure/taxonomy/manage/%/overview/fields', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1596:{a:9:{s:4:"path";s:70:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer taxonomy_term fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":673:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:87:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/overview/fields";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:50:"/admin/structure/taxonomy/manage/%/overview/fields";s:8:"numParts";i:7;}}}}', 7);
INSERT INTO `router` VALUES
('entity.taxonomy_vocabulary.add_form', '/admin/structure/taxonomy/add', '/admin/structure/taxonomy/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1093:{a:9:{s:4:"path";s:29:"/admin/structure/taxonomy/add";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:27:"taxonomy_vocabulary.default";s:14:"entity_type_id";s:19:"taxonomy_vocabulary";s:15:"_title_callback";s:56:"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:19:"taxonomy_vocabulary";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/structure/taxonomy/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/taxonomy/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/structure/taxonomy/add";s:8:"numParts";i:4;}}}}', 4),
('entity.taxonomy_vocabulary.collection', '/admin/structure/taxonomy', '/admin/structure/taxonomy', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:25:"/admin/structure/taxonomy";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:12:"_entity_list";s:19:"taxonomy_vocabulary";s:6:"_title";s:8:"Taxonomy";s:16:"_title_arguments";a:0:{}s:14:"_title_context";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:44:"access taxonomy overview+administer taxonomy";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/structure/taxonomy$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/structure/taxonomy";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/structure/taxonomy";s:8:"numParts";i:3;}}}}', 3),
('entity.taxonomy_vocabulary.delete_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete', '/admin/structure/taxonomy/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1520:{a:9:{s:4:"path";s:61:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:26:"taxonomy_vocabulary.delete";s:15:"_title_callback";s:60:"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:26:"taxonomy_vocabulary.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":644:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:78:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:41:"/admin/structure/taxonomy/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.taxonomy_vocabulary.edit_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}', '/admin/structure/taxonomy/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1455:{a:9:{s:4:"path";s:54:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:27:"taxonomy_vocabulary.default";s:15:"_title_callback";s:58:"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle";}s:12:"requirements";a:1:{s:14:"_entity_access";s:26:"taxonomy_vocabulary.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":587:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:34:"/admin/structure/taxonomy/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.taxonomy_vocabulary.entity_permissions_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/permissions', '/admin/structure/taxonomy/manage/%/overview/permissions', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1634:{a:9:{s:4:"path";s:75:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/permissions";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:18:"Manage permissions";s:5:"_form";s:38:"Drupal\\user\\Form\\EntityPermissionsForm";s:14:"entity_type_id";s:13:"taxonomy_term";s:18:"bundle_entity_type";s:19:"taxonomy_vocabulary";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer permissions";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:3:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":688:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:92:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/permissions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/overview/permissions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:55:"/admin/structure/taxonomy/manage/%/overview/permissions";s:8:"numParts";i:7;}}}}', 7),
('entity.taxonomy_vocabulary.overview_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview', '/admin/structure/taxonomy/manage/%/overview', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1531:{a:9:{s:4:"path";s:63:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:15:"_title_callback";s:54:"\\Drupal\\Core\\Entity\\Controller\\EntityController::title";s:5:"_form";s:34:"Drupal\\taxonomy\\Form\\OverviewTerms";}s:12:"requirements";a:1:{s:14:"_entity_access";s:44:"taxonomy_vocabulary.access taxonomy overview";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:3:{s:21:"with_config_overrides";b:1;s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":650:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:80:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/overview";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:43:"/admin/structure/taxonomy/manage/%/overview";s:8:"numParts";i:6;}}}}', 6),
('entity.taxonomy_vocabulary.reset_form', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset', '/admin/structure/taxonomy/manage/%/reset', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1434:{a:9:{s:4:"path";s:60:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"taxonomy_vocabulary.reset";s:6:"_title";s:5:"Reset";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"administer taxonomy";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:3:{s:21:"with_config_overrides";b:1;s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":641:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/reset$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/reset";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/taxonomy/manage/%/reset";s:8:"numParts";i:6;}}}}', 6),
('entity.user.admin_form', '/admin/config/people/accounts', '/admin/config/people/accounts', 15, 'C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:29:"/admin/config/people/accounts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\user\\AccountSettingsForm";s:6:"_title";s:16:"Account settings";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer account settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/people/accounts$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/people/accounts";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/people/accounts";s:8:"numParts";i:4;}}}}', 4),
('entity.user.cancel_form', '/user/{user}/cancel', '/user/%/cancel', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1188:{a:9:{s:4:"path";s:19:"/user/{user}/cancel";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:14:"Cancel account";s:12:"_entity_form";s:11:"user.cancel";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:11:"user.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":492:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/user/(?P<user>\\d+)/cancel$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/cancel";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:14:"/user/%/cancel";s:8:"numParts";i:3;}}}}', 3),
('entity.user.canonical', '/user/{user}', '/user/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":1137:{a:9:{s:4:"path";s:12:"/user/{user}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_view";s:9:"user.full";s:15:"_title_callback";s:48:"Drupal\\user\\Controller\\UserController::userTitle";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:9:"user.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":434:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/user/(?P<user>\\d+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/user/%";s:8:"numParts";i:2;}}}}', 2),
('entity.user.collection', '/admin/people', '/admin/people', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1307:{a:9:{s:4:"path";s:13:"/admin/people";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"user_admin_people";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:16:"administer users";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/people";s:8:"numParts";i:2;}}}}', 2),
('entity.user.contact_form', '/user/{user}/contact', '/user/%/contact', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1229:{a:9:{s:4:"path";s:20:"/user/{user}/contact";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:7:"Contact";s:11:"_controller";s:65:"\\Drupal\\contact\\Controller\\ContactController::contactPersonalPage";}s:12:"requirements";a:2:{s:28:"_access_contact_personal_tab";s:4:"TRUE";s:4:"user";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:29:"access_check.contact_personal";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":495:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/user/(?P<user>\\d+)/contact$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/contact";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/user/%/contact";s:8:"numParts";i:3;}}}}', 3),
('entity.user.edit_form', '/user/{user}/edit', '/user/%/edit', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1225:{a:9:{s:4:"path";s:17:"/user/{user}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"user.default";s:15:"_title_callback";s:48:"Drupal\\user\\Controller\\UserController::userTitle";}s:12:"requirements";a:2:{s:4:"user";s:3:"\\d+";s:14:"_entity_access";s:11:"user.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":486:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/user/(?P<user>\\d+)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:12:"/user/%/edit";s:8:"numParts";i:3;}}}}', 3),
('entity.user.field_ui_fields', '/admin/config/people/accounts/fields', '/admin/config/people/accounts/fields', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1091:{a:9:{s:4:"path";s:36:"/admin/config/people/accounts/fields";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:62:"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing";s:6:"_title";s:13:"Manage fields";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer user fields";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":406:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/people/accounts/fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/people/accounts/fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:36:"/admin/config/people/accounts/fields";s:8:"numParts";i:5;}}}}', 5),
('entity.user_role.collection', '/admin/people/roles', '/admin/people/roles', 7, 'C:31:"Symfony\\Component\\Routing\\Route":912:{a:9:{s:4:"path";s:19:"/admin/people/roles";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:9:"user_role";s:6:"_title";s:5:"Roles";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer permissions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/people/roles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/people/roles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/people/roles";s:8:"numParts";i:3;}}}}', 3),
('entity.user_role.delete_form', '/admin/people/roles/manage/{user_role}/delete', '/admin/people/roles/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1343:{a:9:{s:4:"path";s:45:"/admin/people/roles/manage/{user_role}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"user_role.delete";s:6:"_title";s:11:"Delete role";}s:12:"requirements";a:1:{s:14:"_entity_access";s:16:"user_role.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"user_role";a:2:{s:4:"type";s:16:"entity:user_role";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":583:{a:11:{s:4:"vars";a:1:{i:0;s:9:"user_role";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:62:"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"user_role";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/people/roles/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"user_role";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:35:"/admin/people/roles/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.user_role.edit_form', '/admin/people/roles/manage/{user_role}', '/admin/people/roles/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1277:{a:9:{s:4:"path";s:38:"/admin/people/roles/manage/{user_role}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"user_role.default";s:6:"_title";s:9:"Edit role";}s:12:"requirements";a:1:{s:14:"_entity_access";s:16:"user_role.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"user_role";a:2:{s:4:"type";s:16:"entity:user_role";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":526:{a:11:{s:4:"vars";a:1:{i:0;s:9:"user_role";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:55:"#^/admin/people/roles/manage/(?P<user_role>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"user_role";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/people/roles/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"user_role";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:28:"/admin/people/roles/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.user_role.edit_permissions_form', '/admin/people/permissions/{user_role}', '/admin/people/permissions/%', 14, 'C:31:"Symfony\\Component\\Routing\\Route":1297:{a:9:{s:4:"path";s:37:"/admin/people/permissions/{user_role}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\user\\Form\\UserPermissionsRoleSpecificForm";s:6:"_title";s:9:"Edit role";}s:12:"requirements";a:1:{s:14:"_entity_access";s:16:"user_role.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"user_role";a:2:{s:4:"type";s:16:"entity:user_role";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":523:{a:11:{s:4:"vars";a:1:{i:0;s:9:"user_role";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:54:"#^/admin/people/permissions/(?P<user_role>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"user_role";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/people/permissions";}}s:9:"path_vars";a:1:{i:0;s:9:"user_role";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:27:"/admin/people/permissions/%";s:8:"numParts";i:4;}}}}', 4),
('entity.view.break_lock_form', '/admin/structure/views/view/{view}/break-lock', '/admin/structure/views/view/%/break-lock', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1327:{a:9:{s:4:"path";s:45:"/admin/structure/views/view/{view}/break-lock";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:15:"view.break_lock";s:6:"_title";s:10:"Break lock";}s:12:"requirements";a:1:{s:14:"_entity_access";s:15:"view.break-lock";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"view";a:2:{s:4:"type";s:11:"entity:view";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":580:{a:11:{s:4:"vars";a:1:{i:0;s:4:"view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:63:"#^/admin/structure/views/view/(?P<view>[^/]++)/break\\-lock$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/break-lock";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:1:{i:0;s:4:"view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/views/view/%/break-lock";s:8:"numParts";i:6;}}}}', 6),
('entity.view.collection', '/admin/structure/views', '/admin/structure/views', 7, 'C:31:"Symfony\\Component\\Routing\\Route":913:{a:9:{s:4:"path";s:22:"/admin/structure/views";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:4:"view";s:6:"_title";s:5:"Views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/structure/views$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/structure/views";s:8:"numParts";i:3;}}}}', 3),
('entity.view.delete_form', '/admin/structure/views/view/{view}/delete', '/admin/structure/views/view/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1302:{a:9:{s:4:"path";s:41:"/admin/structure/views/view/{view}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:11:"view.delete";s:6:"_title";s:11:"Delete view";}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"view.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"view";a:2:{s:4:"type";s:11:"entity:view";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":566:{a:11:{s:4:"vars";a:1:{i:0;s:4:"view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:58:"#^/admin/structure/views/view/(?P<view>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:1:{i:0;s:4:"view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:36:"/admin/structure/views/view/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.view.disable', '/admin/structure/views/view/{view}/disable', '/admin/structure/views/view/%/disable', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1405:{a:9:{s:4:"path";s:42:"/admin/structure/views/view/{view}/disable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::ajaxOperation";s:2:"op";s:7:"disable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:12:"view.disable";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"view";a:2:{s:4:"type";s:11:"entity:view";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":569:{a:11:{s:4:"vars";a:1:{i:0;s:4:"view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:59:"#^/admin/structure/views/view/(?P<view>[^/]++)/disable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/disable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:1:{i:0;s:4:"view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:37:"/admin/structure/views/view/%/disable";s:8:"numParts";i:6;}}}}', 6),
('entity.view.duplicate_form', '/admin/structure/views/view/{view}/duplicate', '/admin/structure/views/view/%/duplicate', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1324:{a:9:{s:4:"path";s:44:"/admin/structure/views/view/{view}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:14:"view.duplicate";s:6:"_title";s:14:"Duplicate view";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"view.duplicate";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"view";a:2:{s:4:"type";s:11:"entity:view";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":576:{a:11:{s:4:"vars";a:1:{i:0;s:4:"view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:61:"#^/admin/structure/views/view/(?P<view>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:1:{i:0;s:4:"view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:39:"/admin/structure/views/view/%/duplicate";s:8:"numParts";i:6;}}}}', 6),
('entity.view.edit_display_form', '/admin/structure/views/view/{view}/edit/{display_id}', '/admin/structure/views/view/%/edit', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1504:{a:9:{s:4:"path";s:52:"/admin/structure/views/view/{view}/edit/{display_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:51:"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit";s:10:"display_id";N;}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"view.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":720:{a:11:{s:4:"vars";a:2:{i:0;s:4:"view";i:1;s:10:"display_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:84:"#^/admin/structure/views/view/(?P<view>[^/]++)/edit(?:/(?P<display_id>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:2:{i:0;s:4:"view";i:1;s:10:"display_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:34:"/admin/structure/views/view/%/edit";s:8:"numParts";i:7;}}}}', 7),
('entity.view.edit_form', '/admin/structure/views/view/{view}', '/admin/structure/views/view/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1255:{a:9:{s:4:"path";s:34:"/admin/structure/views/view/{view}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit";}s:12:"requirements";a:1:{s:14:"_entity_access";s:11:"view.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":509:{a:11:{s:4:"vars";a:1:{i:0;s:4:"view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/admin/structure/views/view/(?P<view>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:1:{i:0;s:4:"view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:29:"/admin/structure/views/view/%";s:8:"numParts";i:5;}}}}', 5),
('entity.view.enable', '/admin/structure/views/view/{view}/enable', '/admin/structure/views/view/%/enable', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1399:{a:9:{s:4:"path";s:41:"/admin/structure/views/view/{view}/enable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::ajaxOperation";s:2:"op";s:6:"enable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.enable";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"view";a:2:{s:4:"type";s:11:"entity:view";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":566:{a:11:{s:4:"vars";a:1:{i:0;s:4:"view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:58:"#^/admin/structure/views/view/(?P<view>[^/]++)/enable$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/enable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:1:{i:0;s:4:"view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:36:"/admin/structure/views/view/%/enable";s:8:"numParts";i:6;}}}}', 6),
('entity.view.preview_form', '/admin/structure/views/view/{view}/preview/{display_id}', '/admin/structure/views/view/%/preview', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1484:{a:9:{s:4:"path";s:55:"/admin/structure/views/view/{view}/preview/{display_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"view.preview";s:10:"display_id";N;}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":729:{a:11:{s:4:"vars";a:2:{i:0;s:4:"view";i:1;s:10:"display_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:87:"#^/admin/structure/views/view/(?P<view>[^/]++)/preview(?:/(?P<display_id>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/preview";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/structure/views/view";}}s:9:"path_vars";a:2:{i:0;s:4:"view";i:1;s:10:"display_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:37:"/admin/structure/views/view/%/preview";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.access_denied', '/webform/{webform}/access-denied', '/webform/%/access-denied', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:32:"/webform/{webform}/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::accessDenied";s:15:"_title_callback";s:69:"\\Drupal\\webform\\Controller\\WebformEntityController::accessDeniedTitle";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":542:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/webform/(?P<webform>[^/]++)/access\\-denied$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/access-denied";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:24:"/webform/%/access-denied";s:8:"numParts";i:3;}}}}', 3),
('entity.webform.add_form', '/admin/structure/webform/add', '/admin/structure/webform/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":956:{a:9:{s:4:"path";s:28:"/admin/structure/webform/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:11:"webform.add";s:6:"_title";s:11:"Add webform";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:7:"webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/structure/webform/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/structure/webform/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:28:"/admin/structure/webform/add";s:8:"numParts";i:4;}}}}', 4),
('entity.webform.assets.css', '/webform/css/{webform}', '/webform/css/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1144:{a:9:{s:4:"path";s:22:"/webform/css/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:55:"\\Drupal\\webform\\Controller\\WebformEntityController::css";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":475:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/webform/css/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/webform/css";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:14:"/webform/css/%";s:8:"numParts";i:3;}}}}', 3),
('entity.webform.assets.javascript', '/webform/javascript/{webform}', '/webform/javascript/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1179:{a:9:{s:4:"path";s:29:"/webform/javascript/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\webform\\Controller\\WebformEntityController::javascript";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":496:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/webform/javascript/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:19:"/webform/javascript";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:21:"/webform/javascript/%";s:8:"numParts";i:3;}}}}', 3),
('entity.webform.autocomplete', '/admin/structure/webform/autocomplete', '/admin/structure/webform/autocomplete', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1056:{a:9:{s:4:"path";s:37:"/admin/structure/webform/autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::autocomplete";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/structure/webform/autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/structure/webform/autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/structure/webform/autocomplete";s:8:"numParts";i:4;}}}}', 4),
('entity.webform.autocomplete.archived', '/admin/structure/webform/autocomplete/archived', '/admin/structure/webform/autocomplete/archived', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1111:{a:9:{s:4:"path";s:46:"/admin/structure/webform/autocomplete/archived";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::autocomplete";s:8:"archived";b:1;}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":436:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:53:"#^/admin/structure/webform/autocomplete/archived$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:46:"/admin/structure/webform/autocomplete/archived";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:46:"/admin/structure/webform/autocomplete/archived";s:8:"numParts";i:5;}}}}', 5),
('entity.webform.canonical', '/webform/{webform}', '/webform/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":1230:{a:9:{s:4:"path";s:18:"/webform/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:59:"\\Drupal\\webform\\Controller\\WebformEntityController::addForm";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform.submission_page";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":462:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/webform/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:10:"/webform/%";s:8:"numParts";i:2;}}}}', 2),
('entity.webform.collection', '/admin/structure/webform', '/admin/structure/webform', 7, 'C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:24:"/admin/structure/webform";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:7:"webform";s:6:"_title";s:8:"Webforms";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkOverviewAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/structure/webform$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/structure/webform";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/structure/webform";s:8:"numParts";i:3;}}}}', 3),
('entity.webform.confirmation', '/webform/{webform}/confirmation', '/webform/%/confirmation', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1434:{a:9:{s:4:"path";s:31:"/webform/{webform}/confirmation";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformEntityController::confirmation";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":538:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/webform/(?P<webform>[^/]++)/confirmation$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/confirmation";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:23:"/webform/%/confirmation";s:8:"numParts";i:3;}}}}', 3);
INSERT INTO `router` VALUES
('entity.webform.delete_form', '/admin/structure/webform/manage/{webform}/delete', '/admin/structure/webform/manage/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1348:{a:9:{s:4:"path";s:48:"/admin/structure/webform/manage/{webform}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:14:"webform.delete";s:6:"_title";s:14:"Delete webform";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":590:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/webform/manage/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.webform.duplicate_form', '/admin/structure/webform/manage/{webform}/duplicate', '/admin/structure/webform/manage/%/duplicate', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1370:{a:9:{s:4:"path";s:51:"/admin/structure/webform/manage/{webform}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"webform.duplicate";s:6:"_title";s:17:"Duplicate webform";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"webform.duplicate";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":600:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:43:"/admin/structure/webform/manage/%/duplicate";s:8:"numParts";i:6;}}}}', 6),
('entity.webform.edit_form', '/admin/structure/webform/manage/{webform}', '/admin/structure/webform/manage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1335:{a:9:{s:4:"path";s:41:"/admin/structure/webform/manage/{webform}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"webform.edit";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":533:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:58:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:33:"/admin/structure/webform/manage/%";s:8:"numParts";i:5;}}}}', 5),
('entity.webform.export_form', '/admin/structure/webform/manage/{webform}/export', '/admin/structure/webform/manage/%/export', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1408:{a:9:{s:4:"path";s:48:"/admin/structure/webform/manage/{webform}/export";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:14:"webform.export";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:11:"_permission";s:20:"export configuration";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":590:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/export$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/export";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/webform/manage/%/export";s:8:"numParts";i:6;}}}}', 6),
('entity.webform.handler', '/admin/structure/webform/manage/{webform}/handlers/add', '/admin/structure/webform/manage/%/handlers/add', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1556:{a:9:{s:4:"path";s:54:"/admin/structure/webform/manage/{webform}/handlers/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:71:"\\Drupal\\webform\\Controller\\WebformPluginHandlerController::listHandlers";s:6:"_title";s:16:"Select a handler";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:63:"\\Drupal\\webform\\Access\\WebformHandlerAccess::checkHandlerAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":610:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/add$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/handlers/add";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:46:"/admin/structure/webform/manage/%/handlers/add";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.handler.add_email', '/admin/structure/webform/manage/{webform}/handlers/add/email', '/admin/structure/webform/manage/%/handlers/add/email', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1571:{a:9:{s:4:"path";s:60:"/admin/structure/webform/manage/{webform}/handlers/add/email";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:5:"_form";s:42:"\\Drupal\\webform\\Form\\WebformHandlerAddForm";s:6:"_title";s:9:"Add email";s:15:"webform_handler";s:5:"email";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:63:"\\Drupal\\webform\\Access\\WebformHandlerAccess::checkHandlerAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/add/email$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/handlers/add/email";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:52:"/admin/structure/webform/manage/%/handlers/add/email";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.handler.add_form', '/admin/structure/webform/manage/{webform}/handlers/add/{webform_handler}', '/admin/structure/webform/manage/%/handlers/add/%', 246, 'C:31:"Symfony\\Component\\Routing\\Route":1718:{a:9:{s:4:"path";s:72:"/admin/structure/webform/manage/{webform}/handlers/add/{webform_handler}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\webform\\Form\\WebformHandlerAddForm";s:6:"_title";s:19:"Add webform handler";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:63:"\\Drupal\\webform\\Access\\WebformHandlerAccess::checkHandlerAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":787:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:99:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/add/(?P<webform_handler>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_handler";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/handlers/add";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:246;s:14:"patternOutline";s:48:"/admin/structure/webform/manage/%/handlers/add/%";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.handler.delete_form', '/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/delete', '/admin/structure/webform/manage/%/handlers/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1648:{a:9:{s:4:"path";s:75:"/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:45:"\\Drupal\\webform\\Form\\WebformHandlerDeleteForm";s:6:"_title";s:22:"Delete webform handler";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":832:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/(?P<webform_handler>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_handler";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/handlers";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/webform/manage/%/handlers/%/delete";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.handler.disable', '/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/disable', '/admin/structure/webform/manage/%/handlers/%/disable', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1716:{a:9:{s:4:"path";s:76:"/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/disable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\webform\\WebformEntityHandlersForm::ajaxOperation";s:9:"operation";s:7:"disable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"webform.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":835:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:103:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/(?P<webform_handler>[^/]++)/disable$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/disable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_handler";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/handlers";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:52:"/admin/structure/webform/manage/%/handlers/%/disable";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.handler.duplicate_form', '/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/duplicate', '/admin/structure/webform/manage/%/handlers/%/duplicate', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1667:{a:9:{s:4:"path";s:78:"/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:48:"\\Drupal\\webform\\Form\\WebformHandlerDuplicateForm";s:6:"_title";s:25:"Duplicate webform handler";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":842:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/(?P<webform_handler>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_handler";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/handlers";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:54:"/admin/structure/webform/manage/%/handlers/%/duplicate";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.handler.edit_form', '/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/edit', '/admin/structure/webform/manage/%/handlers/%/edit', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1636:{a:9:{s:4:"path";s:73:"/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\webform\\Form\\WebformHandlerEditForm";s:6:"_title";s:20:"Edit webform handler";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":826:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:100:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/(?P<webform_handler>[^/]++)/edit$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_handler";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/handlers";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:49:"/admin/structure/webform/manage/%/handlers/%/edit";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.handler.enable', '/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/enable', '/admin/structure/webform/manage/%/handlers/%/enable', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1711:{a:9:{s:4:"path";s:75:"/admin/structure/webform/manage/{webform}/handlers/{webform_handler}/enable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\webform\\WebformEntityHandlersForm::ajaxOperation";s:9:"operation";s:6:"enable";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"webform.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":832:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers/(?P<webform_handler>[^/]++)/enable$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/enable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_handler";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/handlers";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_handler";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/webform/manage/%/handlers/%/enable";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.handlers', '/admin/structure/webform/manage/{webform}/handlers', '/admin/structure/webform/manage/%/handlers', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1411:{a:9:{s:4:"path";s:50:"/admin/structure/webform/manage/{webform}/handlers";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"webform.handlers";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":596:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/handlers$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/handlers";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:42:"/admin/structure/webform/manage/%/handlers";s:8:"numParts";i:6;}}}}', 6),
('entity.webform.multiple_delete_confirm', '/admin/structure/webform/delete', '/admin/structure/webform/delete', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1023:{a:9:{s:4:"path";s:31:"/admin/structure/webform/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:52:"\\Drupal\\webform\\Form\\WebformEntityDeleteMultipleForm";s:14:"entity_type_id";s:7:"webform";}s:12:"requirements";a:1:{s:30:"_entity_delete_multiple_access";s:7:"webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:35:"access_check.entity_delete_multiple";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/webform/delete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/delete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/structure/webform/delete";s:8:"numParts";i:4;}}}}', 4),
('entity.webform.results.source_entity.autocomplete', '/admin/structure/webform/manage/{webform}/results/source-entity/autocomplete', '/admin/structure/webform/manage/%/results/source-entity/autocomplete', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1629:{a:9:{s:4:"path";s:76:"/admin/structure/webform/manage/{webform}/results/source-entity/autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:81:"\\Drupal\\webform\\Controller\\WebformSubmissionsController::sourceEntityAutocomplete";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"webform.submission_view_any";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess:checkResultsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":677:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:94:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/results/source\\-entity/autocomplete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/results/source-entity/autocomplete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:68:"/admin/structure/webform/manage/%/results/source-entity/autocomplete";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.results_clear', '/admin/structure/webform/manage/{webform}/results/clear', '/admin/structure/webform/manage/%/results/clear', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1588:{a:9:{s:4:"path";s:55:"/admin/structure/webform/manage/{webform}/results/clear";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"Drupal\\webform\\Form\\WebformResultsClearForm";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:2:{s:14:"_entity_access";s:28:"webform.submission_purge_any";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess:checkResultsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:72:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/results/clear$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/results/clear";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:47:"/admin/structure/webform/manage/%/results/clear";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.results_export', '/admin/structure/webform/manage/{webform}/results/download', '/admin/structure/webform/manage/%/results/download', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1627:{a:9:{s:4:"path";s:58:"/admin/structure/webform/manage/{webform}/results/download";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformResultsExportController::index";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"webform.submission_view_any";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess:checkResultsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":622:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/results/download$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/results/download";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:50:"/admin/structure/webform/manage/%/results/download";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.results_export_file', '/admin/structure/webform/manage/{webform}/results/download/file/{filename}', '/admin/structure/webform/manage/%/results/download/file/%', 494, 'C:31:"Symfony\\Component\\Routing\\Route":1804:{a:9:{s:4:"path";s:74:"/admin/structure/webform/manage/{webform}/results/download/file/{filename}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:63:"\\Drupal\\webform\\Controller\\WebformResultsExportController::file";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"webform.submission_view_any";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess:checkResultsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":784:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:8:"filename";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:101:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/results/download/file/(?P<filename>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"filename";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:22:"/results/download/file";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:8:"filename";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:494;s:14:"patternOutline";s:57:"/admin/structure/webform/manage/%/results/download/file/%";s:8:"numParts";i:9;}}}}', 9),
('entity.webform.results_submissions', '/admin/structure/webform/manage/{webform}/results/submissions/{submission_view}', '/admin/structure/webform/manage/%/results/submissions', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1823:{a:9:{s:4:"path";s:79:"/admin/structure/webform/manage/{webform}/results/submissions/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";s:15:"submission_view";s:0:"";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"webform.submission_view_any";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess:checkResultsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":812:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:111:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/results/submissions(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:20:"/results/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:53:"/admin/structure/webform/manage/%/results/submissions";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.results_submissions.custom', '/admin/structure/webform/manage/{webform}/results/submissions/custom', '/admin/structure/webform/manage/%/results/submissions/custom', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1575:{a:9:{s:4:"path";s:68:"/admin/structure/webform/manage/{webform}/results/submissions/custom";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:44:"Drupal\\webform\\Form\\WebformResultsCustomForm";s:6:"_title";s:15:"Customize table";}s:12:"requirements";a:2:{s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess:checkResultsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":652:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:85:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/results/submissions/custom$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/results/submissions/custom";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:60:"/admin/structure/webform/manage/%/results/submissions/custom";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.results_submissions.custom.user', '/admin/structure/webform/manage/{webform}/results/submissions/custom/user', '/admin/structure/webform/manage/%/results/submissions/custom/user', 495, 'C:31:"Symfony\\Component\\Routing\\Route":1633:{a:9:{s:4:"path";s:73:"/admin/structure/webform/manage/{webform}/results/submissions/custom/user";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:5:"_form";s:44:"Drupal\\webform\\Form\\WebformResultsCustomForm";s:6:"_title";s:18:"Customize my table";s:4:"type";s:4:"user";}s:12:"requirements";a:2:{s:14:"_entity_access";s:27:"webform.submission_view_any";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess:checkResultsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":667:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:90:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/results/submissions/custom/user$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/results/submissions/custom/user";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:495;s:14:"patternOutline";s:65:"/admin/structure/webform/manage/%/results/submissions/custom/user";s:8:"numParts";i:9;}}}}', 9),
('entity.webform.settings', '/admin/structure/webform/manage/{webform}/settings', '/admin/structure/webform/manage/%/settings', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1411:{a:9:{s:4:"path";s:50:"/admin/structure/webform/manage/{webform}/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"webform.settings";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":596:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/settings$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/settings";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:42:"/admin/structure/webform/manage/%/settings";s:8:"numParts";i:6;}}}}', 6),
('entity.webform.settings_access', '/admin/structure/webform/manage/{webform}/access', '/admin/structure/webform/manage/%/access', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1410:{a:9:{s:4:"path";s:48:"/admin/structure/webform/manage/{webform}/access";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"webform.settings_access";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":590:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/access$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/access";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/webform/manage/%/access";s:8:"numParts";i:6;}}}}', 6),
('entity.webform.settings_assets', '/admin/structure/webform/manage/{webform}/settings/assets', '/admin/structure/webform/manage/%/settings/assets', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1529:{a:9:{s:4:"path";s:57:"/admin/structure/webform/manage/{webform}/settings/assets";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"webform.settings_assets";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:2:{s:11:"_permission";s:19:"edit webform assets";s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":619:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/settings/assets$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/settings/assets";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:49:"/admin/structure/webform/manage/%/settings/assets";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.settings_confirmation', '/admin/structure/webform/manage/{webform}/settings/confirmation', '/admin/structure/webform/manage/%/settings/confirmation', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1478:{a:9:{s:4:"path";s:63:"/admin/structure/webform/manage/{webform}/settings/confirmation";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:29:"webform.settings_confirmation";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":637:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:80:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/settings/confirmation$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/settings/confirmation";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:55:"/admin/structure/webform/manage/%/settings/confirmation";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.settings_form', '/admin/structure/webform/manage/{webform}/settings/form', '/admin/structure/webform/manage/%/settings/form', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1438:{a:9:{s:4:"path";s:55:"/admin/structure/webform/manage/{webform}/settings/form";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:21:"webform.settings_form";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:72:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/settings/form$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/settings/form";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:47:"/admin/structure/webform/manage/%/settings/form";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.settings_submissions', '/admin/structure/webform/manage/{webform}/settings/submissions', '/admin/structure/webform/manage/%/settings/submissions', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1473:{a:9:{s:4:"path";s:62:"/admin/structure/webform/manage/{webform}/settings/submissions";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:28:"webform.settings_submissions";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:14:"webform.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":634:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/settings/submissions$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/settings/submissions";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:54:"/admin/structure/webform/manage/%/settings/submissions";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.source_form', '/admin/structure/webform/manage/{webform}/source', '/admin/structure/webform/manage/%/source', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1454:{a:9:{s:4:"path";s:48:"/admin/structure/webform/manage/{webform}/source";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";s:12:"_entity_form";s:14:"webform.source";}s:12:"requirements";a:1:{s:14:"_custom_access";s:67:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformSourceAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":590:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/source$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/source";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:40:"/admin/structure/webform/manage/%/source";s:8:"numParts";i:6;}}}}', 6),
('entity.webform.test_form', '/webform/{webform}/test', '/webform/%/test', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1272:{a:9:{s:4:"path";s:23:"/webform/{webform}/test";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\webform\\Controller\\WebformTestController::testForm";s:15:"_title_callback";s:55:"\\Drupal\\webform\\Controller\\WebformTestController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:12:"webform.test";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":513:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/webform/(?P<webform>[^/]++)/test$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/test";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/webform/%/test";s:8:"numParts";i:3;}}}}', 3);
INSERT INTO `router` VALUES
('entity.webform.user.drafts', '/webform/{webform}/drafts/{submission_view}', '/webform/%/drafts', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1544:{a:9:{s:4:"path";s:43:"/webform/{webform}/drafts/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:6:"Drafts";s:15:"submission_view";s:0:"";}s:12:"requirements";a:2:{s:14:"_entity_access";s:25:"webform.submission_create";s:14:"_custom_access";s:61:"\\Drupal\\webform\\Access\\WebformEntityAccess::checkDraftsAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":699:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/webform/(?P<webform>[^/]++)/drafts(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/drafts";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/webform/%/drafts";s:8:"numParts";i:4;}}}}', 4),
('entity.webform.user.submission', '/webform/{webform}/submissions/{webform_submission}', '/webform/%/submissions/%', 10, 'C:31:"Symfony\\Component\\Routing\\Route":1589:{a:9:{s:4:"path";s:51:"/webform/{webform}/submissions/{webform_submission}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::view";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"view_mode";s:4:"html";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform_submission.view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":725:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:78:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:10;s:14:"patternOutline";s:24:"/webform/%/submissions/%";s:8:"numParts";i:4;}}}}', 4),
('entity.webform.user.submission.delete', '/webform/{webform}/submissions/{webform_submission}/delete', '/webform/%/submissions/%/delete', 21, 'C:31:"Symfony\\Component\\Routing\\Route":1540:{a:9:{s:4:"path";s:58:"/webform/{webform}/submissions/{webform_submission}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"webform_submission.delete";s:6:"_title";s:25:"Delete webform submission";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.delete";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":782:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:85:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:31:"/webform/%/submissions/%/delete";s:8:"numParts";i:5;}}}}', 5),
('entity.webform.user.submission.duplicate', '/webform/{webform}/submissions/{webform_submission}/duplicate', '/webform/%/submissions/%/duplicate', 21, 'C:31:"Symfony\\Component\\Routing\\Route":1919:{a:9:{s:4:"path";s:61:"/webform/{webform}/submissions/{webform_submission}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:12:"_entity_form";s:28:"webform_submission.duplicate";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"duplicate";b:1;s:7:"setting";s:25:"submission_user_duplicate";s:5:"value";b:1;}s:12:"requirements";a:2:{s:14:"_entity_access";s:28:"webform_submission.duplicate";s:14:"_custom_access";s:68:"\\Drupal\\webform\\Access\\WebformEntityAccess::checkWebformSettingValue";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":792:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:34:"/webform/%/submissions/%/duplicate";s:8:"numParts";i:5;}}}}', 5),
('entity.webform.user.submission.edit', '/webform/{webform}/submissions/{webform_submission}/edit', '/webform/%/submissions/%/edit', 21, 'C:31:"Symfony\\Component\\Routing\\Route":1580:{a:9:{s:4:"path";s:56:"/webform/{webform}/submissions/{webform_submission}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"webform_submission.edit";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.update";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":776:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:83:"#^/webform/(?P<webform>[^/]++)/submissions/(?P<webform_submission>[^/]++)/edit$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:29:"/webform/%/submissions/%/edit";s:8:"numParts";i:5;}}}}', 5),
('entity.webform.user.submissions', '/webform/{webform}/submissions/{submission_view}', '/webform/%/submissions', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1451:{a:9:{s:4:"path";s:48:"/webform/{webform}/submissions/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:11:"Submissions";s:15:"submission_view";s:0:"";}s:12:"requirements";a:1:{s:14:"_entity_access";s:27:"webform.submission_view_own";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":715:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:80:"#^/webform/(?P<webform>[^/]++)/submissions(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:22:"/webform/%/submissions";s:8:"numParts";i:4;}}}}', 4),
('entity.webform.variant', '/admin/structure/webform/manage/{webform}/variants/add', '/admin/structure/webform/manage/%/variants/add', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1647:{a:9:{s:4:"path";s:54:"/admin/structure/webform/manage/{webform}/variants/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:71:"\\Drupal\\webform\\Controller\\WebformPluginVariantController::listVariants";s:6:"_title";s:16:"Select a variant";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":610:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:71:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/add$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/variants/add";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:46:"/admin/structure/webform/manage/%/variants/add";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.variant.add_form', '/admin/structure/webform/manage/{webform}/variants/add/{webform_variant}', '/admin/structure/webform/manage/%/variants/add/%', 246, 'C:31:"Symfony\\Component\\Routing\\Route":1807:{a:9:{s:4:"path";s:72:"/admin/structure/webform/manage/{webform}/variants/add/{webform_variant}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\webform\\Form\\WebformVariantAddForm";s:6:"_title";s:19:"Add webform variant";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:69:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantCreateAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":787:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:99:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/add/(?P<webform_variant>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_variant";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/variants/add";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:246;s:14:"patternOutline";s:48:"/admin/structure/webform/manage/%/variants/add/%";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.variant.apply_form', '/admin/structure/webform/manage/{webform}/variants/apply', '/admin/structure/webform/manage/%/variants/apply', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1626:{a:9:{s:4:"path";s:56:"/admin/structure/webform/manage/{webform}/variants/apply";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:44:"\\Drupal\\webform\\Form\\WebformVariantApplyForm";s:6:"_title";s:21:"Apply webform variant";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":616:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:73:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/apply$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/variants/apply";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:48:"/admin/structure/webform/manage/%/variants/apply";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.variant.delete_form', '/admin/structure/webform/manage/{webform}/variants/{webform_variant}/delete', '/admin/structure/webform/manage/%/variants/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1863:{a:9:{s:4:"path";s:75:"/admin/structure/webform/manage/{webform}/variants/{webform_variant}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:45:"\\Drupal\\webform\\Form\\WebformVariantDeleteForm";s:6:"_title";s:22:"Delete webform variant";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":832:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/(?P<webform_variant>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_variant";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/variants";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/webform/manage/%/variants/%/delete";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.variant.disable', '/admin/structure/webform/manage/{webform}/variants/{webform_variant}/disable', '/admin/structure/webform/manage/%/variants/%/disable', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1931:{a:9:{s:4:"path";s:76:"/admin/structure/webform/manage/{webform}/variants/{webform_variant}/disable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\webform\\WebformEntityVariantsForm::ajaxOperation";s:9:"operation";s:7:"disable";}s:12:"requirements";a:4:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:4:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";i:3;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":835:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:103:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/(?P<webform_variant>[^/]++)/disable$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/disable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_variant";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/variants";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:52:"/admin/structure/webform/manage/%/variants/%/disable";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.variant.duplicate_form', '/admin/structure/webform/manage/{webform}/variants/{webform_variant}/duplicate', '/admin/structure/webform/manage/%/variants/%/duplicate', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1882:{a:9:{s:4:"path";s:78:"/admin/structure/webform/manage/{webform}/variants/{webform_variant}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:48:"\\Drupal\\webform\\Form\\WebformVariantDuplicateForm";s:6:"_title";s:25:"Duplicate webform variant";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":842:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/(?P<webform_variant>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_variant";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/variants";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:54:"/admin/structure/webform/manage/%/variants/%/duplicate";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.variant.edit_form', '/admin/structure/webform/manage/{webform}/variants/{webform_variant}/edit', '/admin/structure/webform/manage/%/variants/%/edit', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1851:{a:9:{s:4:"path";s:73:"/admin/structure/webform/manage/{webform}/variants/{webform_variant}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\webform\\Form\\WebformVariantEditForm";s:6:"_title";s:20:"Edit webform variant";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":826:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:100:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/(?P<webform_variant>[^/]++)/edit$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_variant";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/variants";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:49:"/admin/structure/webform/manage/%/variants/%/edit";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.variant.enable', '/admin/structure/webform/manage/{webform}/variants/{webform_variant}/enable', '/admin/structure/webform/manage/%/variants/%/enable', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1926:{a:9:{s:4:"path";s:75:"/admin/structure/webform/manage/{webform}/variants/{webform_variant}/enable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\webform\\WebformEntityVariantsForm::ajaxOperation";s:9:"operation";s:6:"enable";}s:12:"requirements";a:4:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:4:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";i:3;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":832:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/(?P<webform_variant>[^/]++)/enable$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/enable";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_variant";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:9:"/variants";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:15:"webform_variant";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/webform/manage/%/variants/%/enable";s:8:"numParts";i:8;}}}}', 8),
('entity.webform.variant.test_form', '/admin/structure/webform/manage/{webform}/variants/test', '/admin/structure/webform/manage/%/variants/test', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1648:{a:9:{s:4:"path";s:55:"/admin/structure/webform/manage/{webform}/variants/test";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:5:"_form";s:43:"\\Drupal\\webform\\Form\\WebformVariantViewForm";s:6:"_title";s:21:"Test webform variants";s:9:"operation";s:4:"test";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:72:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/test$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/variants/test";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:47:"/admin/structure/webform/manage/%/variants/test";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.variant.view_form', '/admin/structure/webform/manage/{webform}/variants/view', '/admin/structure/webform/manage/%/variants/view', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1648:{a:9:{s:4:"path";s:55:"/admin/structure/webform/manage/{webform}/variants/view";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:5:"_form";s:43:"\\Drupal\\webform\\Form\\WebformVariantViewForm";s:6:"_title";s:21:"View webform variants";s:9:"operation";s:4:"view";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":613:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:72:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants/view$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/variants/view";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:47:"/admin/structure/webform/manage/%/variants/view";s:8:"numParts";i:7;}}}}', 7),
('entity.webform.variants', '/admin/structure/webform/manage/{webform}/variants', '/admin/structure/webform/manage/%/variants', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1626:{a:9:{s:4:"path";s:50:"/admin/structure/webform/manage/{webform}/variants";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"webform.variants";s:15:"_title_callback";s:57:"\\Drupal\\webform\\Controller\\WebformEntityController::title";}s:12:"requirements";a:3:{s:11:"_permission";s:21:"edit webform variants";s:14:"_entity_access";s:14:"webform.update";s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformVariantAccess::checkVariantSettingsAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:3:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";i:2;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":596:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/variants$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/variants";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:42:"/admin/structure/webform/manage/%/variants";s:8:"numParts";i:6;}}}}', 6),
('entity.webform_options.add_form', '/admin/structure/webform/options/manage/add', '/admin/structure/webform/options/manage/add', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1041:{a:9:{s:4:"path";s:43:"/admin/structure/webform/options/manage/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"webform_options.add";s:6:"_title";s:19:"Add webform options";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:15:"webform_options";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":427:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/admin/structure/webform/options/manage/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/webform/options/manage/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:43:"/admin/structure/webform/options/manage/add";s:8:"numParts";i:6;}}}}', 6),
('entity.webform_options.autocomplete', '/admin/structure/webform/options/autocomplete', '/admin/structure/webform/options/autocomplete', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1044:{a:9:{s:4:"path";s:45:"/admin/structure/webform/options/autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:65:"\\Drupal\\webform\\Controller\\WebformOptionsController::autocomplete";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":433:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:52:"#^/admin/structure/webform/options/autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:45:"/admin/structure/webform/options/autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:45:"/admin/structure/webform/options/autocomplete";s:8:"numParts";i:5;}}}}', 5),
('entity.webform_options.collection', '/admin/structure/webform/options/manage', '/admin/structure/webform/options/manage', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1009:{a:9:{s:4:"path";s:39:"/admin/structure/webform/options/manage";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:15:"webform_options";s:6:"_title";s:17:"Webforms: Options";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/structure/webform/options/manage$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/webform/options/manage";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:39:"/admin/structure/webform/options/manage";s:8:"numParts";i:5;}}}}', 5),
('entity.webform_options.delete_form', '/admin/structure/webform/options/{webform_options}/delete', '/admin/structure/webform/options/%/delete', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1436:{a:9:{s:4:"path";s:57:"/admin/structure/webform/options/{webform_options}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:22:"webform_options.delete";s:6:"_title";s:22:"Delete webform options";}s:12:"requirements";a:1:{s:14:"_entity_access";s:22:"webform_options.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:15:"webform_options";a:2:{s:4:"type";s:22:"entity:webform_options";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:1:{i:0;s:15:"webform_options";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/admin/structure/webform/options/(?P<webform_options>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_options";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/webform/options";}}s:9:"path_vars";a:1:{i:0;s:15:"webform_options";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:41:"/admin/structure/webform/options/%/delete";s:8:"numParts";i:6;}}}}', 6),
('entity.webform_options.duplicate_form', '/admin/structure/webform/options/{webform_options}/duplicate', '/admin/structure/webform/options/%/duplicate', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1458:{a:9:{s:4:"path";s:60:"/admin/structure/webform/options/{webform_options}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"webform_options.duplicate";s:6:"_title";s:25:"Duplicate webform options";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_options.duplicate";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:15:"webform_options";a:2:{s:4:"type";s:22:"entity:webform_options";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":638:{a:11:{s:4:"vars";a:1:{i:0;s:15:"webform_options";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/structure/webform/options/(?P<webform_options>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_options";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/webform/options";}}s:9:"path_vars";a:1:{i:0;s:15:"webform_options";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:44:"/admin/structure/webform/options/%/duplicate";s:8:"numParts";i:6;}}}}', 6),
('entity.webform_options.edit_form', '/admin/structure/webform/options/manage/{webform_options}/edit', '/admin/structure/webform/options/manage/%/edit', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1453:{a:9:{s:4:"path";s:62:"/admin/structure/webform/options/manage/{webform_options}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:20:"webform_options.edit";s:6:"_title";s:20:"Edit webform options";}s:12:"requirements";a:1:{s:14:"_entity_access";s:22:"webform_options.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:15:"webform_options";a:2:{s:4:"type";s:22:"entity:webform_options";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":644:{a:11:{s:4:"vars";a:1:{i:0;s:15:"webform_options";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/admin/structure/webform/options/manage/(?P<webform_options>[^/]++)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_options";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/webform/options/manage";}}s:9:"path_vars";a:1:{i:0;s:15:"webform_options";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:46:"/admin/structure/webform/options/manage/%/edit";s:8:"numParts";i:7;}}}}', 7),
('entity.webform_options.source_form', '/admin/structure/webform/options/manage/{webform_options}/source', '/admin/structure/webform/options/manage/%/source', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1473:{a:9:{s:4:"path";s:64:"/admin/structure/webform/options/manage/{webform_options}/source";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:12:"_entity_form";s:22:"webform_options.source";}s:12:"requirements";a:1:{s:14:"_custom_access";s:73:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformOptionSourceAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:15:"webform_options";a:2:{s:4:"type";s:22:"entity:webform_options";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":650:{a:11:{s:4:"vars";a:1:{i:0;s:15:"webform_options";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:81:"#^/admin/structure/webform/options/manage/(?P<webform_options>[^/]++)/source$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/source";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"webform_options";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/webform/options/manage";}}s:9:"path_vars";a:1:{i:0;s:15:"webform_options";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:48:"/admin/structure/webform/options/manage/%/source";s:8:"numParts";i:7;}}}}', 7),
('entity.webform_submission.access_denied', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/access-denied', '/admin/structure/webform/manage/%/submission/%/access-denied', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1896:{a:9:{s:4:"path";s:87:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/access-denied";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\webform\\Controller\\WebformSubmissionController::accessDenied";s:15:"_title_callback";s:73:"\\Drupal\\webform\\Controller\\WebformSubmissionController::accessDeniedTitle";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":874:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:115:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/access\\-denied$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/access-denied";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:60:"/admin/structure/webform/manage/%/submission/%/access-denied";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.canonical', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}', '/admin/structure/webform/manage/%/submission/%', 122, 'C:31:"Symfony\\Component\\Routing\\Route":1704:{a:9:{s:4:"path";s:73:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::view";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"view_mode";s:4:"html";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform_submission.view";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":794:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:100:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:122;s:14:"patternOutline";s:46:"/admin/structure/webform/manage/%/submission/%";s:8:"numParts";i:7;}}}}', 7),
('entity.webform_submission.collection', '/admin/structure/webform/submissions/manage/{submission_view}', '/admin/structure/webform/submissions/manage', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1306:{a:9:{s:4:"path";s:61:"/admin/structure/webform/submissions/manage/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:21:"Webforms: Submissions";s:15:"submission_view";s:0:"";}s:12:"requirements";a:1:{s:14:"_custom_access";s:65:"\\Drupal\\webform\\Access\\WebformAccountAccess:checkSubmissionAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":607:{a:11:{s:4:"vars";a:1:{i:0;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:83:"#^/admin/structure/webform/submissions/manage(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/webform/submissions/manage";}}s:9:"path_vars";a:1:{i:0;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:43:"/admin/structure/webform/submissions/manage";s:8:"numParts";i:6;}}}}', 6),
('entity.webform_submission.collection_purge', '/admin/structure/webform/submissions/purge', '/admin/structure/webform/submissions/purge', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1055:{a:9:{s:4:"path";s:42:"/admin/structure/webform/submissions/purge";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:47:"Drupal\\webform\\Form\\WebformSubmissionsPurgeForm";s:6:"_title";s:27:"Webforms: Submissions purge";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":424:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:49:"#^/admin/structure/webform/submissions/purge$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/structure/webform/submissions/purge";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:42:"/admin/structure/webform/submissions/purge";s:8:"numParts";i:5;}}}}', 5),
('entity.webform_submission.delete_form', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/delete', '/admin/structure/webform/manage/%/submission/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1655:{a:9:{s:4:"path";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:25:"webform_submission.delete";s:6:"_title";s:25:"Delete webform submission";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.delete";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":851:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/webform/manage/%/submission/%/delete";s:8:"numParts";i:8;}}}}', 8);
INSERT INTO `router` VALUES
('entity.webform_submission.duplicate_form', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/duplicate', '/admin/structure/webform/manage/%/submission/%/duplicate', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1745:{a:9:{s:4:"path";s:83:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_form";s:28:"webform_submission.duplicate";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"duplicate";b:1;}s:12:"requirements";a:1:{s:14:"_entity_access";s:29:"webform_submission.update_any";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":861:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:110:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:56:"/admin/structure/webform/manage/%/submission/%/duplicate";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.edit_form', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/edit', '/admin/structure/webform/manage/%/submission/%/edit', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1695:{a:9:{s:4:"path";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:23:"webform_submission.edit";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform_submission.update";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":845:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/edit$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/webform/manage/%/submission/%/edit";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.edit_form.all', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/edit/all', '/admin/structure/webform/manage/%/submission/%/edit/all', 491, 'C:31:"Symfony\\Component\\Routing\\Route":1846:{a:9:{s:4:"path";s:82:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/edit/all";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:27:"webform_submission.edit_all";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";}s:12:"requirements";a:2:{s:14:"_entity_access";s:25:"webform_submission.update";s:14:"_custom_access";s:70:"\\Drupal\\webform\\Access\\WebformSubmissionAccess::checkWizardPagesAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":857:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:109:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/edit/all$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/edit/all";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:491;s:14:"patternOutline";s:55:"/admin/structure/webform/manage/%/submission/%/edit/all";s:8:"numParts";i:9;}}}}', 9),
('entity.webform_submission.locked_toggle', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/locked', '/admin/structure/webform/manage/%/submission/%/locked', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1704:{a:9:{s:4:"path";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/locked";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\webform\\Controller\\WebformSubmissionController::locked";}s:12:"requirements";a:2:{s:14:"_entity_access";s:25:"webform_submission.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":851:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/locked$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/locked";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/webform/manage/%/submission/%/locked";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.notes_form', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/notes', '/admin/structure/webform/manage/%/submission/%/notes', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1699:{a:9:{s:4:"path";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/notes";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:24:"webform_submission.notes";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";}s:12:"requirements";a:1:{s:14:"_entity_access";s:24:"webform_submission.notes";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":848:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:106:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/notes$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/notes";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:52:"/admin/structure/webform/manage/%/submission/%/notes";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.resend_form', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/resend', '/admin/structure/webform/manage/%/submission/%/resend', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1845:{a:9:{s:4:"path";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/resend";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:47:"Drupal\\webform\\Form\\WebformSubmissionResendForm";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";}s:12:"requirements";a:2:{s:14:"_entity_access";s:25:"webform_submission.resend";s:14:"_custom_access";s:65:"\\Drupal\\webform\\Access\\WebformSubmissionAccess::checkResendAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":851:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/resend$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/resend";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/webform/manage/%/submission/%/resend";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.sticky_toggle', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/sticky', '/admin/structure/webform/manage/%/submission/%/sticky', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1704:{a:9:{s:4:"path";s:80:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/sticky";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\webform\\Controller\\WebformSubmissionController::sticky";}s:12:"requirements";a:2:{s:14:"_entity_access";s:25:"webform_submission.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":851:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/sticky$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/sticky";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/webform/manage/%/submission/%/sticky";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.table', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/table', '/admin/structure/webform/manage/%/submission/%/table', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1765:{a:9:{s:4:"path";s:79:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/table";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::view";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"view_mode";s:5:"table";}s:12:"requirements";a:1:{s:14:"_entity_access";s:23:"webform_submission.view";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":848:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:106:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/table$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/table";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:52:"/admin/structure/webform/manage/%/submission/%/table";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.text', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/text', '/admin/structure/webform/manage/%/submission/%/text', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1764:{a:9:{s:4:"path";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/text";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::view";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"view_mode";s:4:"text";}s:12:"requirements";a:1:{s:14:"_entity_access";s:27:"webform_submission.view_any";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":845:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/text$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/text";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/webform/manage/%/submission/%/text";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_submission.user', '/user/{user}/submissions/{submission_view}', '/user/%/submissions', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1462:{a:9:{s:4:"path";s:42:"/user/{user}/submissions/{submission_view}";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:12:"_entity_list";s:18:"webform_submission";s:6:"_title";s:11:"Submissions";s:15:"submission_view";s:0:"";}s:12:"requirements";a:1:{s:14:"_custom_access";s:71:"\\Drupal\\webform\\Access\\WebformAccountAccess::checkUserSubmissionsAccess";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":694:{a:11:{s:4:"vars";a:2:{i:0;s:4:"user";i:1;s:15:"submission_view";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:74:"#^/user/(?P<user>[^/]++)/submissions(?:/(?P<submission_view>[^/]++))?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"submission_view";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/submissions";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"user";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:2:{i:0;s:4:"user";i:1;s:15:"submission_view";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:19:"/user/%/submissions";s:8:"numParts";i:4;}}}}', 4),
('entity.webform_submission.yaml', '/admin/structure/webform/manage/{webform}/submission/{webform_submission}/yaml', '/admin/structure/webform/manage/%/submission/%/yaml', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1845:{a:9:{s:4:"path";s:78:"/admin/structure/webform/manage/{webform}/submission/{webform_submission}/yaml";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::view";s:15:"_title_callback";s:65:"\\Drupal\\webform\\Controller\\WebformSubmissionViewController::title";s:9:"view_mode";s:4:"yaml";}s:12:"requirements";a:2:{s:11:"_permission";s:19:"edit webform source";s:14:"_entity_access";s:27:"webform_submission.view_any";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:18:"webform_submission";a:2:{s:4:"type";s:25:"entity:webform_submission";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":845:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/submission/(?P<webform_submission>[^/]++)/yaml$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/yaml";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"webform_submission";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:11:"/submission";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:18:"webform_submission";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/webform/manage/%/submission/%/yaml";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_ui.change_element', '/admin/structure/webform/manage/{webform}/element/{key}/change', '/admin/structure/webform/manage/%/element/%/change', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1641:{a:9:{s:4:"path";s:62:"/admin/structure/webform/manage/{webform}/element/{key}/change";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:54:"\\Drupal\\webform_ui\\Form\\WebformUiElementTypeChangeForm";s:6:"_title";s:23:"Select new element type";}s:12:"requirements";a:1:{s:14:"_custom_access";s:65:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformEditAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":777:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:89:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/(?P<key>[^/]++)/change$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/change";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/element";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:50:"/admin/structure/webform/manage/%/element/%/change";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_ui.element', '/admin/structure/webform/manage/{webform}/element/add', '/admin/structure/webform/manage/%/element/add', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1456:{a:9:{s:4:"path";s:53:"/admin/structure/webform/manage/{webform}/element/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:54:"\\Drupal\\webform_ui\\Form\\WebformUiElementTypeSelectForm";s:6:"_title";s:17:"Select an element";}s:12:"requirements";a:1:{s:14:"_custom_access";s:65:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformEditAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":607:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/add$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/element/add";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:45:"/admin/structure/webform/manage/%/element/add";s:8:"numParts";i:7;}}}}', 7),
('entity.webform_ui.element.add_form', '/admin/structure/webform/manage/{webform}/element/add/{type}', '/admin/structure/webform/manage/%/element/add/%', 246, 'C:31:"Symfony\\Component\\Routing\\Route":1583:{a:9:{s:4:"path";s:60:"/admin/structure/webform/manage/{webform}/element/add/{type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:47:"\\Drupal\\webform_ui\\Form\\WebformUiElementAddForm";s:6:"_title";s:11:"Add element";}s:12:"requirements";a:1:{s:14:"_custom_access";s:68:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformElementAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":737:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:4:"type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:87:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/add/(?P<type>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/element/add";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:4:"type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:246;s:14:"patternOutline";s:47:"/admin/structure/webform/manage/%/element/add/%";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_ui.element.add_layout', '/admin/structure/webform/manage/{webform}/element/add/layout', '/admin/structure/webform/manage/%/element/add/layout', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1507:{a:9:{s:4:"path";s:60:"/admin/structure/webform/manage/{webform}/element/add/layout";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:5:"_form";s:47:"\\Drupal\\webform_ui\\Form\\WebformUiElementAddForm";s:6:"_title";s:10:"Add layout";s:4:"type";s:15:"webform_flexbox";}s:12:"requirements";a:1:{s:14:"_custom_access";s:68:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformElementAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/add/layout$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/element/add/layout";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:52:"/admin/structure/webform/manage/%/element/add/layout";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_ui.element.add_page', '/admin/structure/webform/manage/{webform}/element/add/page', '/admin/structure/webform/manage/%/element/add/page', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1500:{a:9:{s:4:"path";s:58:"/admin/structure/webform/manage/{webform}/element/add/page";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:5:"_form";s:47:"\\Drupal\\webform_ui\\Form\\WebformUiElementAddForm";s:6:"_title";s:8:"Add page";s:4:"type";s:19:"webform_wizard_page";}s:12:"requirements";a:1:{s:14:"_custom_access";s:68:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformElementAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":622:{a:11:{s:4:"vars";a:1:{i:0;s:7:"webform";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:75:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/add/page$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/element/add/page";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:1:{i:0;s:7:"webform";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:50:"/admin/structure/webform/manage/%/element/add/page";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_ui.element.delete_form', '/admin/structure/webform/manage/{webform}/element/{key}/delete', '/admin/structure/webform/manage/%/element/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1628:{a:9:{s:4:"path";s:62:"/admin/structure/webform/manage/{webform}/element/{key}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:50:"\\Drupal\\webform_ui\\Form\\WebformUiElementDeleteForm";s:6:"_title";s:14:"Delete element";}s:12:"requirements";a:1:{s:14:"_custom_access";s:65:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformEditAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":777:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:89:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/(?P<key>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/element";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:50:"/admin/structure/webform/manage/%/element/%/delete";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_ui.element.duplicate_form', '/admin/structure/webform/manage/{webform}/element/{key}/duplicate', '/admin/structure/webform/manage/%/element/%/duplicate', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1647:{a:9:{s:4:"path";s:65:"/admin/structure/webform/manage/{webform}/element/{key}/duplicate";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:53:"\\Drupal\\webform_ui\\Form\\WebformUiElementDuplicateForm";s:6:"_title";s:17:"Duplicate element";}s:12:"requirements";a:1:{s:14:"_custom_access";s:65:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformEditAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":787:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:92:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/(?P<key>[^/]++)/duplicate$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/duplicate";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/element";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/webform/manage/%/element/%/duplicate";s:8:"numParts";i:8;}}}}', 8),
('entity.webform_ui.element.edit_form', '/admin/structure/webform/manage/{webform}/element/{key}/edit', '/admin/structure/webform/manage/%/element/%/edit', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1616:{a:9:{s:4:"path";s:60:"/admin/structure/webform/manage/{webform}/element/{key}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:48:"\\Drupal\\webform_ui\\Form\\WebformUiElementEditForm";s:6:"_title";s:12:"Edit element";}s:12:"requirements";a:1:{s:14:"_custom_access";s:65:"\\Drupal\\webform_ui\\Access\\WebformUiAccess::checkWebformEditAccess";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":771:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:87:"#^/admin/structure/webform/manage/(?P<webform>[^/]++)/element/(?P<key>[^/]++)/edit$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/element";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/manage";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:48:"/admin/structure/webform/manage/%/element/%/edit";s:8:"numParts";i:8;}}}}', 8),
('entity_reference_revisions.delete_orphans', '/admin/config/system/delete-orphans', '/admin/config/system/delete-orphans', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1067:{a:9:{s:4:"path";s:35:"/admin/config/system/delete-orphans";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:74:"Drupal\\entity_reference_revisions\\Form\\OrphanedCompositeEntitiesDeleteForm";s:6:"_title";s:34:"Delete orphaned composite entities";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"delete orphan revisions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":404:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/config/system/delete\\-orphans$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:35:"/admin/config/system/delete-orphans";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:35:"/admin/config/system/delete-orphans";s:8:"numParts";i:4;}}}}', 4),
('field_ui.display_mode', '/admin/structure/display-modes', '/admin/structure/display-modes', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1027:{a:9:{s:4:"path";s:30:"/admin/structure/display-modes";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:13:"Display modes";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":388:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/display\\-modes$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/structure/display-modes";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/structure/display-modes";s:8:"numParts";i:3;}}}}', 3),
('field_ui.entity_form_mode_add', '/admin/structure/display-modes/form/add', '/admin/structure/display-modes/form/add', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1089:{a:9:{s:4:"path";s:39:"/admin/structure/display-modes/form/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:78:"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::formModeTypeSelection";s:6:"_title";s:28:"Choose form mode entity type";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":416:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/display\\-modes/form/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/display-modes/form/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:39:"/admin/structure/display-modes/form/add";s:8:"numParts";i:5;}}}}', 5),
('field_ui.entity_view_mode_add', '/admin/structure/display-modes/view/add', '/admin/structure/display-modes/view/add', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1089:{a:9:{s:4:"path";s:39:"/admin/structure/display-modes/view/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:78:"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::viewModeTypeSelection";s:6:"_title";s:28:"Choose view mode entity type";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer display modes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":416:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/display\\-modes/view/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/display-modes/view/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:39:"/admin/structure/display-modes/view/add";s:8:"numParts";i:5;}}}}', 5),
('field_ui.field_group_add_block_content.display', '/admin/structure/block/block-content/manage/{block_content_type}/display/add-group', '/admin/structure/block/block-content/manage/%/display/add-group', 251, 'C:31:"Symfony\\Component\\Routing\\Route":1796:{a:9:{s:4:"path";s:82:"/admin/structure/block/block-content/manage/{block_content_type}/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer block_content display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":711:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:101:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:251;s:14:"patternOutline";s:63:"/admin/structure/block/block-content/manage/%/display/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_block_content.display.view_mode', '/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/add-group', '/admin/structure/block/block-content/manage/%/display/%/add-group', 501, 'C:31:"Symfony\\Component\\Routing\\Route":2022:{a:9:{s:4:"path";s:99:"/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer block_content display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":920:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:128:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:501;s:14:"patternOutline";s:65:"/admin/structure/block/block-content/manage/%/display/%/add-group";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_add_block_content.form_display', '/admin/structure/block/block-content/manage/{block_content_type}/form-display/add-group', '/admin/structure/block/block-content/manage/%/form-display/add-group', 251, 'C:31:"Symfony\\Component\\Routing\\Route":1822:{a:9:{s:4:"path";s:87:"/admin/structure/block/block-content/manage/{block_content_type}/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer block_content form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":727:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/form-display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:251;s:14:"patternOutline";s:68:"/admin/structure/block/block-content/manage/%/form-display/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_block_content.form_display.form_mode', '/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/add-group', '/admin/structure/block/block-content/manage/%/form-display/%/add-group', 501, 'C:31:"Symfony\\Component\\Routing\\Route":2050:{a:9:{s:4:"path";s:104:"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer block_content form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":937:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:501;s:14:"patternOutline";s:70:"/admin/structure/block/block-content/manage/%/form-display/%/add-group";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_add_comment.display', '/admin/structure/comment/manage/{comment_type}/display/add-group', '/admin/structure/comment/manage/%/display/add-group', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1685:{a:9:{s:4:"path";s:64:"/admin/structure/comment/manage/{comment_type}/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:26:"administer comment display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":649:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:82:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:51:"/admin/structure/comment/manage/%/display/add-group";s:8:"numParts";i:7;}}}}', 7);
INSERT INTO `router` VALUES
('field_ui.field_group_add_comment.display.view_mode', '/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/add-group', '/admin/structure/comment/manage/%/display/%/add-group', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1912:{a:9:{s:4:"path";s:81:"/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:26:"administer comment display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":859:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:109:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/comment/manage/%/display/%/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_comment.form_display', '/admin/structure/comment/manage/{comment_type}/form-display/add-group', '/admin/structure/comment/manage/%/form-display/add-group', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1711:{a:9:{s:4:"path";s:69:"/admin/structure/comment/manage/{comment_type}/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer comment form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":665:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/form-display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:56:"/admin/structure/comment/manage/%/form-display/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_comment.form_display.form_mode', '/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/add-group', '/admin/structure/comment/manage/%/form-display/%/add-group', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1939:{a:9:{s:4:"path";s:86:"/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer comment form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":876:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:115:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:58:"/admin/structure/comment/manage/%/form-display/%/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_contact_message.display', '/admin/structure/contact/manage/{contact_form}/display/add-group', '/admin/structure/contact/manage/%/display/add-group', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1702:{a:9:{s:4:"path";s:64:"/admin/structure/contact/manage/{contact_form}/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:34:"administer contact_message display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":649:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:82:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:51:"/admin/structure/contact/manage/%/display/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_contact_message.display.view_mode', '/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/add-group', '/admin/structure/contact/manage/%/display/%/add-group', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1929:{a:9:{s:4:"path";s:81:"/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:34:"administer contact_message display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":859:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:109:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/contact/manage/%/display/%/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_contact_message.form_display', '/admin/structure/contact/manage/{contact_form}/form-display/add-group', '/admin/structure/contact/manage/%/form-display/add-group', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1728:{a:9:{s:4:"path";s:69:"/admin/structure/contact/manage/{contact_form}/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:39:"administer contact_message form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":665:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/form-display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:56:"/admin/structure/contact/manage/%/form-display/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_contact_message.form_display.form_mode', '/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/add-group', '/admin/structure/contact/manage/%/form-display/%/add-group', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1956:{a:9:{s:4:"path";s:86:"/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:39:"administer contact_message form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":876:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:115:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:58:"/admin/structure/contact/manage/%/form-display/%/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_font.display', '/admin/appearance/font/settings/display/add-group', '/admin/appearance/font/settings/display/add-group', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1296:{a:9:{s:4:"path";s:49:"/admin/appearance/font/settings/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer font display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":446:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:57:"#^/admin/appearance/font/settings/display/add\\-group$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:49:"/admin/appearance/font/settings/display/add-group";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:49:"/admin/appearance/font/settings/display/add-group";s:8:"numParts";i:6;}}}}', 6),
('field_ui.field_group_add_font.display.view_mode', '/admin/appearance/font/settings/display/{view_mode_name}/add-group', '/admin/appearance/font/settings/display/%/add-group', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1524:{a:9:{s:4:"path";s:66:"/admin/appearance/font/settings/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer font display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":657:{a:11:{s:4:"vars";a:1:{i:0;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:84:"#^/admin/appearance/font/settings/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/appearance/font/settings/display";}}s:9:"path_vars";a:1:{i:0;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:51:"/admin/appearance/font/settings/display/%/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_font.form_display', '/admin/appearance/font/settings/form-display/add-group', '/admin/appearance/font/settings/form-display/add-group', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1322:{a:9:{s:4:"path";s:54:"/admin/appearance/font/settings/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer font form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":462:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:63:"#^/admin/appearance/font/settings/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:54:"/admin/appearance/font/settings/form-display/add-group";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:54:"/admin/appearance/font/settings/form-display/add-group";s:8:"numParts";i:6;}}}}', 6),
('field_ui.field_group_add_font.form_display.form_mode', '/admin/appearance/font/settings/form-display/{form_mode_name}/add-group', '/admin/appearance/font/settings/form-display/%/add-group', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1550:{a:9:{s:4:"path";s:71:"/admin/appearance/font/settings/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer font form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":673:{a:11:{s:4:"vars";a:1:{i:0;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:90:"#^/admin/appearance/font/settings/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/appearance/font/settings/form-display";}}s:9:"path_vars";a:1:{i:0;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:56:"/admin/appearance/font/settings/form-display/%/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_node.display', '/admin/structure/types/manage/{node_type}/display/add-group', '/admin/structure/types/manage/%/display/add-group', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1642:{a:9:{s:4:"path";s:59:"/admin/structure/types/manage/{node_type}/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer node display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:49:"/admin/structure/types/manage/%/display/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_node.display.view_mode', '/admin/structure/types/manage/{node_type}/display/{view_mode_name}/add-group', '/admin/structure/types/manage/%/display/%/add-group', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1869:{a:9:{s:4:"path";s:76:"/admin/structure/types/manage/{node_type}/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer node display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":838:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:104:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:51:"/admin/structure/types/manage/%/display/%/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_node.form_display', '/admin/structure/types/manage/{node_type}/form-display/add-group', '/admin/structure/types/manage/%/form-display/add-group', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1668:{a:9:{s:4:"path";s:64:"/admin/structure/types/manage/{node_type}/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer node form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":644:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:83:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/form-display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:54:"/admin/structure/types/manage/%/form-display/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_node.form_display.form_mode', '/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/add-group', '/admin/structure/types/manage/%/form-display/%/add-group', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1896:{a:9:{s:4:"path";s:81:"/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer node form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":855:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:110:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:56:"/admin/structure/types/manage/%/form-display/%/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_paragraph.display', '/admin/structure/paragraphs_type/{paragraphs_type}/display/add-group', '/admin/structure/paragraphs_type/%/display/add-group', 59, 'C:31:"Symfony\\Component\\Routing\\Route":1716:{a:9:{s:4:"path";s:68:"/admin/structure/paragraphs_type/{paragraphs_type}/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer paragraph display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":663:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:86:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:59;s:14:"patternOutline";s:52:"/admin/structure/paragraphs_type/%/display/add-group";s:8:"numParts";i:6;}}}}', 6),
('field_ui.field_group_add_paragraph.display.view_mode', '/admin/structure/paragraphs_type/{paragraphs_type}/display/{view_mode_name}/add-group', '/admin/structure/paragraphs_type/%/display/%/add-group', 117, 'C:31:"Symfony\\Component\\Routing\\Route":1944:{a:9:{s:4:"path";s:85:"/admin/structure/paragraphs_type/{paragraphs_type}/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer paragraph display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":874:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:113:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:117;s:14:"patternOutline";s:54:"/admin/structure/paragraphs_type/%/display/%/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_paragraph.form_display', '/admin/structure/paragraphs_type/{paragraphs_type}/form-display/add-group', '/admin/structure/paragraphs_type/%/form-display/add-group', 59, 'C:31:"Symfony\\Component\\Routing\\Route":1742:{a:9:{s:4:"path";s:73:"/admin/structure/paragraphs_type/{paragraphs_type}/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:33:"administer paragraph form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":679:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:92:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/form-display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:59;s:14:"patternOutline";s:57:"/admin/structure/paragraphs_type/%/form-display/add-group";s:8:"numParts";i:6;}}}}', 6),
('field_ui.field_group_add_paragraph.form_display.form_mode', '/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{form_mode_name}/add-group', '/admin/structure/paragraphs_type/%/form-display/%/add-group', 117, 'C:31:"Symfony\\Component\\Routing\\Route":1971:{a:9:{s:4:"path";s:90:"/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:33:"administer paragraph form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":891:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:119:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:117;s:14:"patternOutline";s:59:"/admin/structure/paragraphs_type/%/form-display/%/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_taxonomy_term.display', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/add-group', '/admin/structure/taxonomy/manage/%/overview/display/add-group', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1794:{a:9:{s:4:"path";s:81:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer taxonomy_term display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":707:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:99:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/overview/display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:61:"/admin/structure/taxonomy/manage/%/overview/display/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_taxonomy_term.display.view_mode', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/add-group', '/admin/structure/taxonomy/manage/%/overview/display/%/add-group', 493, 'C:31:"Symfony\\Component\\Routing\\Route":2022:{a:9:{s:4:"path";s:98:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer taxonomy_term display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":918:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:126:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:17:"/overview/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:493;s:14:"patternOutline";s:63:"/admin/structure/taxonomy/manage/%/overview/display/%/add-group";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_add_taxonomy_term.form_display', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/add-group', '/admin/structure/taxonomy/manage/%/overview/form-display/add-group', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1821:{a:9:{s:4:"path";s:86:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer taxonomy_term form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":724:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/overview/form-display/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:66:"/admin/structure/taxonomy/manage/%/overview/form-display/add-group";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_add_taxonomy_term.form_display.form_mode', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/add-group', '/admin/structure/taxonomy/manage/%/overview/form-display/%/add-group', 493, 'C:31:"Symfony\\Component\\Routing\\Route":2049:{a:9:{s:4:"path";s:103:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer taxonomy_term form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":934:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:132:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:22:"/overview/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:493;s:14:"patternOutline";s:68:"/admin/structure/taxonomy/manage/%/overview/form-display/%/add-group";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_add_user.display', '/admin/config/people/accounts/display/add-group', '/admin/config/people/accounts/display/add-group', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1288:{a:9:{s:4:"path";s:47:"/admin/config/people/accounts/display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer user display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":440:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:55:"#^/admin/config/people/accounts/display/add\\-group$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:47:"/admin/config/people/accounts/display/add-group";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:47:"/admin/config/people/accounts/display/add-group";s:8:"numParts";i:6;}}}}', 6),
('field_ui.field_group_add_user.display.view_mode', '/admin/config/people/accounts/display/{view_mode_name}/add-group', '/admin/config/people/accounts/display/%/add-group', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1516:{a:9:{s:4:"path";s:64:"/admin/config/people/accounts/display/{view_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer user display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":651:{a:11:{s:4:"vars";a:1:{i:0;s:14:"view_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:82:"#^/admin/config/people/accounts/display/(?P<view_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/people/accounts/display";}}s:9:"path_vars";a:1:{i:0;s:14:"view_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:49:"/admin/config/people/accounts/display/%/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_add_user.form_display', '/admin/config/people/accounts/form-display/add-group', '/admin/config/people/accounts/form-display/add-group', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:52:"/admin/config/people/accounts/form-display/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer user form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":456:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:61:"#^/admin/config/people/accounts/form\\-display/add\\-group$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:52:"/admin/config/people/accounts/form-display/add-group";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:52:"/admin/config/people/accounts/form-display/add-group";s:8:"numParts";i:6;}}}}', 6);
INSERT INTO `router` VALUES
('field_ui.field_group_add_user.form_display.form_mode', '/admin/config/people/accounts/form-display/{form_mode_name}/add-group', '/admin/config/people/accounts/form-display/%/add-group', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1542:{a:9:{s:4:"path";s:69:"/admin/config/people/accounts/form-display/{form_mode_name}/add-group";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:42:"\\Drupal\\field_group\\Form\\FieldGroupAddForm";s:6:"_title";s:15:"Add field group";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer user form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":667:{a:11:{s:4:"vars";a:1:{i:0;s:14:"form_mode_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/admin/config/people/accounts/form\\-display/(?P<form_mode_name>[^/]++)/add\\-group$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/add-group";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/people/accounts/form-display";}}s:9:"path_vars";a:1:{i:0;s:14:"form_mode_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:54:"/admin/config/people/accounts/form-display/%/add-group";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_delete_block_content.display', '/admin/structure/block/block-content/manage/{block_content_type}/display/{field_group_name}/delete', '/admin/structure/block/block-content/manage/%/display/%/delete', 501, 'C:31:"Symfony\\Component\\Routing\\Route":1985:{a:9:{s:4:"path";s:98:"/admin/structure/block/block-content/manage/{block_content_type}/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer block_content display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":917:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:126:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:501;s:14:"patternOutline";s:62:"/admin/structure/block/block-content/manage/%/display/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_block_content.display.view_mode', '/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/{field_group_name}/delete', '/admin/structure/block/block-content/manage/%/display/%/%/delete', 1001, 'C:31:"Symfony\\Component\\Routing\\Route":2179:{a:9:{s:4:"path";s:115:"/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer block_content display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1092:{a:11:{s:4:"vars";a:3:{i:0;s:18:"block_content_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:153:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:3:{i:0;s:18:"block_content_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1001;s:14:"patternOutline";s:64:"/admin/structure/block/block-content/manage/%/display/%/%/delete";s:8:"numParts";i:10;}}}}', 10),
('field_ui.field_group_delete_block_content.form_display', '/admin/structure/block/block-content/manage/{block_content_type}/form-display/{field_group_name}/delete', '/admin/structure/block/block-content/manage/%/form-display/%/delete', 501, 'C:31:"Symfony\\Component\\Routing\\Route":2013:{a:9:{s:4:"path";s:103:"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer block_content form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":934:{a:11:{s:4:"vars";a:2:{i:0;s:18:"block_content_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:132:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:2:{i:0;s:18:"block_content_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:501;s:14:"patternOutline";s:67:"/admin/structure/block/block-content/manage/%/form-display/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_block_content.form_display.form_mode', '/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/structure/block/block-content/manage/%/form-display/%/%/delete', 1001, 'C:31:"Symfony\\Component\\Routing\\Route":2206:{a:9:{s:4:"path";s:120:"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"block_content";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer block_content form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:2:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:18:"block_content_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1109:{a:11:{s:4:"vars";a:3:{i:0;s:18:"block_content_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:159:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:3:{i:0;s:18:"block_content_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1001;s:14:"patternOutline";s:69:"/admin/structure/block/block-content/manage/%/form-display/%/%/delete";s:8:"numParts";i:10;}}}}', 10),
('field_ui.field_group_delete_comment.display', '/admin/structure/comment/manage/{comment_type}/display/{field_group_name}/delete', '/admin/structure/comment/manage/%/display/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1875:{a:9:{s:4:"path";s:80:"/admin/structure/comment/manage/{comment_type}/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:26:"administer comment display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":856:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:50:"/admin/structure/comment/manage/%/display/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_comment.display.view_mode', '/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/{field_group_name}/delete', '/admin/structure/comment/manage/%/display/%/%/delete', 489, 'C:31:"Symfony\\Component\\Routing\\Route":2066:{a:9:{s:4:"path";s:97:"/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:26:"administer comment display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1029:{a:11:{s:4:"vars";a:3:{i:0;s:12:"comment_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:3:{i:0;s:12:"comment_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:489;s:14:"patternOutline";s:52:"/admin/structure/comment/manage/%/display/%/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_comment.form_display', '/admin/structure/comment/manage/{comment_type}/form-display/{field_group_name}/delete', '/admin/structure/comment/manage/%/form-display/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1902:{a:9:{s:4:"path";s:85:"/admin/structure/comment/manage/{comment_type}/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer comment form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":873:{a:11:{s:4:"vars";a:2:{i:0;s:12:"comment_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:113:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"comment_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:55:"/admin/structure/comment/manage/%/form-display/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_comment.form_display.form_mode', '/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/structure/comment/manage/%/form-display/%/%/delete', 489, 'C:31:"Symfony\\Component\\Routing\\Route":2094:{a:9:{s:4:"path";s:102:"/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:7:"comment";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer comment form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"comment_type";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1046:{a:11:{s:4:"vars";a:3:{i:0;s:12:"comment_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:140:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:3:{i:0;s:12:"comment_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:489;s:14:"patternOutline";s:57:"/admin/structure/comment/manage/%/form-display/%/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_contact_message.display', '/admin/structure/contact/manage/{contact_form}/display/{field_group_name}/delete', '/admin/structure/contact/manage/%/display/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1892:{a:9:{s:4:"path";s:80:"/admin/structure/contact/manage/{contact_form}/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:34:"administer contact_message display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":856:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:50:"/admin/structure/contact/manage/%/display/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_contact_message.display.view_mode', '/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/{field_group_name}/delete', '/admin/structure/contact/manage/%/display/%/%/delete', 489, 'C:31:"Symfony\\Component\\Routing\\Route":2083:{a:9:{s:4:"path";s:97:"/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:34:"administer contact_message display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1029:{a:11:{s:4:"vars";a:3:{i:0;s:12:"contact_form";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:3:{i:0;s:12:"contact_form";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:489;s:14:"patternOutline";s:52:"/admin/structure/contact/manage/%/display/%/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_contact_message.form_display', '/admin/structure/contact/manage/{contact_form}/form-display/{field_group_name}/delete', '/admin/structure/contact/manage/%/form-display/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1919:{a:9:{s:4:"path";s:85:"/admin/structure/contact/manage/{contact_form}/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:39:"administer contact_message form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":873:{a:11:{s:4:"vars";a:2:{i:0;s:12:"contact_form";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:113:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:2:{i:0;s:12:"contact_form";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:55:"/admin/structure/contact/manage/%/form-display/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_contact_message.form_display.form_mode', '/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/structure/contact/manage/%/form-display/%/%/delete', 489, 'C:31:"Symfony\\Component\\Routing\\Route":2111:{a:9:{s:4:"path";s:102:"/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:15:"contact_message";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:39:"administer contact_message form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:12:"contact_form";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1046:{a:11:{s:4:"vars";a:3:{i:0;s:12:"contact_form";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:140:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:3:{i:0;s:12:"contact_form";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:489;s:14:"patternOutline";s:57:"/admin/structure/contact/manage/%/form-display/%/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_font.display', '/admin/appearance/font/settings/display/{field_group_name}/delete', '/admin/appearance/font/settings/display/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1487:{a:9:{s:4:"path";s:65:"/admin/appearance/font/settings/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer font display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":654:{a:11:{s:4:"vars";a:1:{i:0;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:82:"#^/admin/appearance/font/settings/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/appearance/font/settings/display";}}s:9:"path_vars";a:1:{i:0;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:48:"/admin/appearance/font/settings/display/%/delete";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_delete_font.display.view_mode', '/admin/appearance/font/settings/display/{view_mode_name}/{field_group_name}/delete', '/admin/appearance/font/settings/display/%/%/delete', 249, 'C:31:"Symfony\\Component\\Routing\\Route":1678:{a:9:{s:4:"path";s:82:"/admin/appearance/font/settings/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer font display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":828:{a:11:{s:4:"vars";a:2:{i:0;s:14:"view_mode_name";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:109:"#^/admin/appearance/font/settings/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:4:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/appearance/font/settings/display";}}s:9:"path_vars";a:2:{i:0;s:14:"view_mode_name";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:249;s:14:"patternOutline";s:50:"/admin/appearance/font/settings/display/%/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_font.form_display', '/admin/appearance/font/settings/form-display/{field_group_name}/delete', '/admin/appearance/font/settings/form-display/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1513:{a:9:{s:4:"path";s:70:"/admin/appearance/font/settings/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer font form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":670:{a:11:{s:4:"vars";a:1:{i:0;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:88:"#^/admin/appearance/font/settings/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/appearance/font/settings/form-display";}}s:9:"path_vars";a:1:{i:0;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:53:"/admin/appearance/font/settings/form-display/%/delete";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_delete_font.form_display.form_mode', '/admin/appearance/font/settings/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/appearance/font/settings/form-display/%/%/delete', 249, 'C:31:"Symfony\\Component\\Routing\\Route":1704:{a:9:{s:4:"path";s:87:"/admin/appearance/font/settings/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"font";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer font form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":844:{a:11:{s:4:"vars";a:2:{i:0;s:14:"form_mode_name";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:115:"#^/admin/appearance/font/settings/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:4:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/appearance/font/settings/form-display";}}s:9:"path_vars";a:2:{i:0;s:14:"form_mode_name";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:249;s:14:"patternOutline";s:55:"/admin/appearance/font/settings/form-display/%/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_node.display', '/admin/structure/types/manage/{node_type}/display/{field_group_name}/delete', '/admin/structure/types/manage/%/display/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1832:{a:9:{s:4:"path";s:75:"/admin/structure/types/manage/{node_type}/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer node display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":835:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:102:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:48:"/admin/structure/types/manage/%/display/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_node.display.view_mode', '/admin/structure/types/manage/{node_type}/display/{view_mode_name}/{field_group_name}/delete', '/admin/structure/types/manage/%/display/%/%/delete', 489, 'C:31:"Symfony\\Component\\Routing\\Route":2023:{a:9:{s:4:"path";s:92:"/admin/structure/types/manage/{node_type}/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer node display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1008:{a:11:{s:4:"vars";a:3:{i:0;s:9:"node_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:129:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:3:{i:0;s:9:"node_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:489;s:14:"patternOutline";s:50:"/admin/structure/types/manage/%/display/%/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_node.form_display', '/admin/structure/types/manage/{node_type}/form-display/{field_group_name}/delete', '/admin/structure/types/manage/%/form-display/%/delete', 245, 'C:31:"Symfony\\Component\\Routing\\Route":1859:{a:9:{s:4:"path";s:80:"/admin/structure/types/manage/{node_type}/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer node form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":852:{a:11:{s:4:"vars";a:2:{i:0;s:9:"node_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:108:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:2:{i:0;s:9:"node_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:245;s:14:"patternOutline";s:53:"/admin/structure/types/manage/%/form-display/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_node.form_display.form_mode', '/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/structure/types/manage/%/form-display/%/%/delete', 489, 'C:31:"Symfony\\Component\\Routing\\Route":2050:{a:9:{s:4:"path";s:97:"/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"node";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer node form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:9:"node_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1025:{a:11:{s:4:"vars";a:3:{i:0;s:9:"node_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:135:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:3:{i:0;s:9:"node_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:489;s:14:"patternOutline";s:55:"/admin/structure/types/manage/%/form-display/%/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_paragraph.display', '/admin/structure/paragraphs_type/{paragraphs_type}/display/{field_group_name}/delete', '/admin/structure/paragraphs_type/%/display/%/delete', 117, 'C:31:"Symfony\\Component\\Routing\\Route":1907:{a:9:{s:4:"path";s:84:"/admin/structure/paragraphs_type/{paragraphs_type}/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer paragraph display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":871:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:111:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:117;s:14:"patternOutline";s:51:"/admin/structure/paragraphs_type/%/display/%/delete";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_delete_paragraph.display.view_mode', '/admin/structure/paragraphs_type/{paragraphs_type}/display/{view_mode_name}/{field_group_name}/delete', '/admin/structure/paragraphs_type/%/display/%/%/delete', 233, 'C:31:"Symfony\\Component\\Routing\\Route":2099:{a:9:{s:4:"path";s:101:"/admin/structure/paragraphs_type/{paragraphs_type}/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer paragraph display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1044:{a:11:{s:4:"vars";a:3:{i:0;s:15:"paragraphs_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:138:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:3:{i:0;s:15:"paragraphs_type";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:233;s:14:"patternOutline";s:53:"/admin/structure/paragraphs_type/%/display/%/%/delete";s:8:"numParts";i:8;}}}}', 8);
INSERT INTO `router` VALUES
('field_ui.field_group_delete_paragraph.form_display', '/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{field_group_name}/delete', '/admin/structure/paragraphs_type/%/form-display/%/delete', 117, 'C:31:"Symfony\\Component\\Routing\\Route":1934:{a:9:{s:4:"path";s:89:"/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:33:"administer paragraph form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":888:{a:11:{s:4:"vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:117:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:2:{i:0;s:15:"paragraphs_type";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:117;s:14:"patternOutline";s:56:"/admin/structure/paragraphs_type/%/form-display/%/delete";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_delete_paragraph.form_display.form_mode', '/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/structure/paragraphs_type/%/form-display/%/%/delete', 233, 'C:31:"Symfony\\Component\\Routing\\Route":2126:{a:9:{s:4:"path";s:106:"/admin/structure/paragraphs_type/{paragraphs_type}/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:9:"paragraph";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:33:"administer paragraph form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:2:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:15:"paragraphs_type";s:9:"converter";s:27:"field_group.param_converter";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1061:{a:11:{s:4:"vars";a:3:{i:0;s:15:"paragraphs_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:144:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:13:"/form-display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:3:{i:0;s:15:"paragraphs_type";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:233;s:14:"patternOutline";s:58:"/admin/structure/paragraphs_type/%/form-display/%/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_taxonomy_term.display', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{field_group_name}/delete', '/admin/structure/taxonomy/manage/%/overview/display/%/delete', 493, 'C:31:"Symfony\\Component\\Routing\\Route":1985:{a:9:{s:4:"path";s:97:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer taxonomy_term display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":915:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:124:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:17:"/overview/display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:493;s:14:"patternOutline";s:60:"/admin/structure/taxonomy/manage/%/overview/display/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_taxonomy_term.display.view_mode', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/{field_group_name}/delete', '/admin/structure/taxonomy/manage/%/overview/display/%/%/delete', 985, 'C:31:"Symfony\\Component\\Routing\\Route":2178:{a:9:{s:4:"path";s:114:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:32:"administer taxonomy_term display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1089:{a:11:{s:4:"vars";a:3:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:151:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:17:"/overview/display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:3:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"view_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:985;s:14:"patternOutline";s:62:"/admin/structure/taxonomy/manage/%/overview/display/%/%/delete";s:8:"numParts";i:10;}}}}', 10),
('field_ui.field_group_delete_taxonomy_term.form_display', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{field_group_name}/delete', '/admin/structure/taxonomy/manage/%/overview/form-display/%/delete', 493, 'C:31:"Symfony\\Component\\Routing\\Route":2012:{a:9:{s:4:"path";s:102:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer taxonomy_term form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":931:{a:11:{s:4:"vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:130:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:22:"/overview/form-display";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:493;s:14:"patternOutline";s:65:"/admin/structure/taxonomy/manage/%/overview/form-display/%/delete";s:8:"numParts";i:9;}}}}', 9),
('field_ui.field_group_delete_taxonomy_term.form_display.form_mode', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/structure/taxonomy/manage/%/overview/form-display/%/%/delete', 985, 'C:31:"Symfony\\Component\\Routing\\Route":2204:{a:9:{s:4:"path";s:119:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:13:"taxonomy_term";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:37:"administer taxonomy_term form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:2:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";s:19:"taxonomy_vocabulary";s:9:"converter";s:27:"field_group.param_converter";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1105:{a:11:{s:4:"vars";a:3:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:157:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:6:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:22:"/overview/form-display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:3:{i:0;s:19:"taxonomy_vocabulary";i:1;s:14:"form_mode_name";i:2;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:985;s:14:"patternOutline";s:67:"/admin/structure/taxonomy/manage/%/overview/form-display/%/%/delete";s:8:"numParts";i:10;}}}}', 10),
('field_ui.field_group_delete_user.display', '/admin/config/people/accounts/display/{field_group_name}/delete', '/admin/config/people/accounts/display/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1479:{a:9:{s:4:"path";s:63:"/admin/config/people/accounts/display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer user display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":648:{a:11:{s:4:"vars";a:1:{i:0;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:80:"#^/admin/config/people/accounts/display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/people/accounts/display";}}s:9:"path_vars";a:1:{i:0;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:46:"/admin/config/people/accounts/display/%/delete";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_delete_user.display.view_mode', '/admin/config/people/accounts/display/{view_mode_name}/{field_group_name}/delete', '/admin/config/people/accounts/display/%/%/delete', 249, 'C:31:"Symfony\\Component\\Routing\\Route":1670:{a:9:{s:4:"path";s:80:"/admin/config/people/accounts/display/{view_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"view";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer user display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":822:{a:11:{s:4:"vars";a:2:{i:0;s:14:"view_mode_name";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:107:"#^/admin/config/people/accounts/display/(?P<view_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:4:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"view_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/people/accounts/display";}}s:9:"path_vars";a:2:{i:0;s:14:"view_mode_name";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:249;s:14:"patternOutline";s:48:"/admin/config/people/accounts/display/%/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_group_delete_user.form_display', '/admin/config/people/accounts/form-display/{field_group_name}/delete', '/admin/config/people/accounts/form-display/%/delete', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1505:{a:9:{s:4:"path";s:68:"/admin/config/people/accounts/form-display/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer user form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":664:{a:11:{s:4:"vars";a:1:{i:0;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:86:"#^/admin/config/people/accounts/form\\-display/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/people/accounts/form-display";}}s:9:"path_vars";a:1:{i:0;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:51:"/admin/config/people/accounts/form-display/%/delete";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_group_delete_user.form_display.form_mode', '/admin/config/people/accounts/form-display/{form_mode_name}/{field_group_name}/delete', '/admin/config/people/accounts/form-display/%/%/delete', 249, 'C:31:"Symfony\\Component\\Routing\\Route":1696:{a:9:{s:4:"path";s:85:"/admin/config/people/accounts/form-display/{form_mode_name}/{field_group_name}/delete";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:7:"context";s:4:"form";s:14:"entity_type_id";s:4:"user";s:5:"_form";s:45:"\\Drupal\\field_group\\Form\\FieldGroupDeleteForm";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:28:"administer user form display";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:10:"parameters";a:1:{s:11:"field_group";a:3:{s:4:"type";s:11:"field_group";s:11:"entity_type";N;s:9:"converter";s:27:"field_group.param_converter";}}s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":838:{a:11:{s:4:"vars";a:2:{i:0;s:14:"form_mode_name";i:1;s:16:"field_group_name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:113:"#^/admin/config/people/accounts/form\\-display/(?P<form_mode_name>[^/]++)/(?P<field_group_name>[^/]++)/delete$#sDu";s:11:"path_tokens";a:4:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"field_group_name";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"form_mode_name";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:42:"/admin/config/people/accounts/form-display";}}s:9:"path_vars";a:2:{i:0;s:14:"form_mode_name";i:1;s:16:"field_group_name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:249;s:14:"patternOutline";s:53:"/admin/config/people/accounts/form-display/%/%/delete";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_storage_config_add_block_content', '/admin/structure/block/block-content/manage/{block_content_type}/fields/add-field', '/admin/structure/block/block-content/manage/%/fields/add-field', 251, 'C:31:"Symfony\\Component\\Routing\\Route":1607:{a:9:{s:4:"path";s:81:"/admin/structure/block/block-content/manage/{block_content_type}/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:13:"block_content";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer block_content fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:18:"block_content_type";a:2:{s:4:"type";s:25:"entity:block_content_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":708:{a:11:{s:4:"vars";a:1:{i:0;s:18:"block_content_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:100:"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/add\\-field$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/fields/add-field";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:18:"block_content_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/block/block-content/manage";}}s:9:"path_vars";a:1:{i:0;s:18:"block_content_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:251;s:14:"patternOutline";s:62:"/admin/structure/block/block-content/manage/%/fields/add-field";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_storage_config_add_comment', '/admin/structure/comment/manage/{comment_type}/fields/add-field', '/admin/structure/comment/manage/%/fields/add-field', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1502:{a:9:{s:4:"path";s:63:"/admin/structure/comment/manage/{comment_type}/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:7:"comment";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:25:"administer comment fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"comment_type";a:2:{s:4:"type";s:19:"entity:comment_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":646:{a:11:{s:4:"vars";a:1:{i:0;s:12:"comment_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:81:"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/add\\-field$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/fields/add-field";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"comment_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/comment/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"comment_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:50:"/admin/structure/comment/manage/%/fields/add-field";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_storage_config_add_contact_message', '/admin/structure/contact/manage/{contact_form}/fields/add-field', '/admin/structure/contact/manage/%/fields/add-field', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1519:{a:9:{s:4:"path";s:63:"/admin/structure/contact/manage/{contact_form}/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:15:"contact_message";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:33:"administer contact_message fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"contact_form";a:2:{s:4:"type";s:19:"entity:contact_form";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":646:{a:11:{s:4:"vars";a:1:{i:0;s:12:"contact_form";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:81:"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/add\\-field$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/fields/add-field";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"contact_form";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/contact/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"contact_form";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:50:"/admin/structure/contact/manage/%/fields/add-field";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_storage_config_add_font', '/admin/appearance/font/settings/fields/add-field', '/admin/appearance/font/settings/fields/add-field', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1107:{a:9:{s:4:"path";s:48:"/admin/appearance/font/settings/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:4:"font";s:6:"bundle";s:4:"font";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer font fields";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":443:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:56:"#^/admin/appearance/font/settings/fields/add\\-field$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:48:"/admin/appearance/font/settings/fields/add-field";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:48:"/admin/appearance/font/settings/fields/add-field";s:8:"numParts";i:6;}}}}', 6),
('field_ui.field_storage_config_add_node', '/admin/structure/types/manage/{node_type}/fields/add-field', '/admin/structure/types/manage/%/fields/add-field', 123, 'C:31:"Symfony\\Component\\Routing\\Route":1463:{a:9:{s:4:"path";s:58:"/admin/structure/types/manage/{node_type}/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:4:"node";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer node fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:2:{s:4:"type";s:16:"entity:node_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":625:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:76:"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/add\\-field$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/fields/add-field";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/types/manage";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:123;s:14:"patternOutline";s:48:"/admin/structure/types/manage/%/fields/add-field";s:8:"numParts";i:7;}}}}', 7),
('field_ui.field_storage_config_add_paragraph', '/admin/structure/paragraphs_type/{paragraphs_type}/fields/add-field', '/admin/structure/paragraphs_type/%/fields/add-field', 59, 'C:31:"Symfony\\Component\\Routing\\Route":1530:{a:9:{s:4:"path";s:67:"/admin/structure/paragraphs_type/{paragraphs_type}/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:9:"paragraph";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraph fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:15:"paragraphs_type";a:2:{s:4:"type";s:22:"entity:paragraphs_type";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":660:{a:11:{s:4:"vars";a:1:{i:0;s:15:"paragraphs_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:85:"#^/admin/structure/paragraphs_type/(?P<paragraphs_type>[^/]++)/fields/add\\-field$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/fields/add-field";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:15:"paragraphs_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/paragraphs_type";}}s:9:"path_vars";a:1:{i:0;s:15:"paragraphs_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:59;s:14:"patternOutline";s:51:"/admin/structure/paragraphs_type/%/fields/add-field";s:8:"numParts";i:6;}}}}', 6),
('field_ui.field_storage_config_add_taxonomy_term', '/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/add-field', '/admin/structure/taxonomy/manage/%/overview/fields/add-field', 247, 'C:31:"Symfony\\Component\\Routing\\Route":1604:{a:9:{s:4:"path";s:80:"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:13:"taxonomy_term";s:6:"bundle";s:0:"";}s:12:"requirements";a:1:{s:11:"_permission";s:31:"administer taxonomy_term fields";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:10:"parameters";a:1:{s:19:"taxonomy_vocabulary";a:2:{s:4:"type";s:26:"entity:taxonomy_vocabulary";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:9:"_field_ui";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":704:{a:11:{s:4:"vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:98:"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/add\\-field$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/overview/fields/add-field";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:19:"taxonomy_vocabulary";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/structure/taxonomy/manage";}}s:9:"path_vars";a:1:{i:0;s:19:"taxonomy_vocabulary";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:247;s:14:"patternOutline";s:60:"/admin/structure/taxonomy/manage/%/overview/fields/add-field";s:8:"numParts";i:8;}}}}', 8),
('field_ui.field_storage_config_add_user', '/admin/config/people/accounts/fields/add-field', '/admin/config/people/accounts/fields/add-field', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1099:{a:9:{s:4:"path";s:46:"/admin/config/people/accounts/fields/add-field";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:5:"_form";s:41:"\\Drupal\\field_ui\\Form\\FieldStorageAddForm";s:6:"_title";s:9:"Add field";s:14:"entity_type_id";s:4:"user";s:6:"bundle";s:4:"user";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer user fields";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:9:"_field_ui";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":437:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:54:"#^/admin/config/people/accounts/fields/add\\-field$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:46:"/admin/config/people/accounts/fields/add-field";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:46:"/admin/config/people/accounts/fields/add-field";s:8:"numParts";i:6;}}}}', 6),
('file.ajax_progress', '/file/progress/{key}', '/file/progress/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1016:{a:9:{s:4:"path";s:20:"/file/progress/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\file\\Controller\\FileWidgetAjaxController::progress";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":465:{a:11:{s:4:"vars";a:1:{i:0;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/file/progress/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/file/progress";}}s:9:"path_vars";a:1:{i:0;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/file/progress/%";s:8:"numParts";i:3;}}}}', 3),
('filter.admin_overview', '/admin/config/content/formats', '/admin/config/content/formats', 15, 'C:31:"Symfony\\Component\\Routing\\Route":974:{a:9:{s:4:"path";s:29:"/admin/config/content/formats";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_list";s:13:"filter_format";s:6:"_title";s:24:"Text formats and editors";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer filters";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/content/formats$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/config/content/formats";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/config/content/formats";s:8:"numParts";i:4;}}}}', 4),
('filter.format_add', '/admin/config/content/formats/add', '/admin/config/content/formats/add', 31, 'C:31:"Symfony\\Component\\Routing\\Route":993:{a:9:{s:4:"path";s:33:"/admin/config/content/formats/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"filter_format.add";s:6:"_title";s:15:"Add text format";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:13:"filter_format";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/formats/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/formats/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:33:"/admin/config/content/formats/add";s:8:"numParts";i:5;}}}}', 5),
('filter.tips', '/filter/tips/{filter_format}', '/filter/tips/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1227:{a:9:{s:4:"path";s:28:"/filter/tips/{filter_format}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\filter\\Controller\\FilterController::filterTips";s:6:"_title";s:12:"Compose tips";}s:12:"requirements";a:1:{s:14:"_entity_access";s:17:"filter_format.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":502:{a:11:{s:4:"vars";a:1:{i:0;s:13:"filter_format";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/filter/tips/(?P<filter_format>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"filter_format";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:12:"/filter/tips";}}s:9:"path_vars";a:1:{i:0;s:13:"filter_format";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:14:"/filter/tips/%";s:8:"numParts";i:3;}}}}', 3),
('filter.tips_all', '/filter/tips', '/filter/tips', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1021:{a:9:{s:4:"path";s:12:"/filter/tips";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\filter\\Controller\\FilterController::filterTips";s:6:"_title";s:12:"Compose tips";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:13:"filter_format";a:2:{s:4:"type";s:20:"entity:filter_format";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/filter/tips$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/filter/tips";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/filter/tips";s:8:"numParts";i:2;}}}}', 2),
('font.settings', '/admin/appearance/font/settings', '/admin/appearance/font/settings', 15, 'C:31:"Symfony\\Component\\Routing\\Route":998:{a:9:{s:4:"path";s:31:"/admin/appearance/font/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\fontyourface\\Form\\FontSettingsForm";s:6:"_title";s:13:"Font settings";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer font entities";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/appearance/font/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/appearance/font/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/appearance/font/settings";s:8:"numParts";i:4;}}}}', 4),
('fontawesome.admin_settings', '/admin/config/content/fontawesome', '/admin/config/content/fontawesome', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1014:{a:9:{s:4:"path";s:33:"/admin/config/content/fontawesome";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\fontawesome\\Form\\SettingsForm";s:6:"_title";s:21:"Font Awesome settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/content/fontawesome$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/content/fontawesome";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/content/fontawesome";s:8:"numParts";i:4;}}}}', 4),
('fontawesome.autocomplete', '/fontawesome-autocomplete', '/fontawesome-autocomplete', 1, 'C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:25:"/fontawesome-autocomplete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:73:"\\Drupal\\fontawesome\\Controller\\AutocompleteController::handleAutocomplete";s:7:"_format";s:4:"json";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/fontawesome\\-autocomplete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/fontawesome-autocomplete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:25:"/fontawesome-autocomplete";s:8:"numParts";i:1;}}}}', 1),
('fontawesome.icon_dialog', '/fontawesome/dialog/icon/{editor}', '/fontawesome/dialog/icon/%', 14, 'C:31:"Symfony\\Component\\Routing\\Route":1205:{a:9:{s:4:"path";s:33:"/fontawesome/dialog/icon/{editor}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\fontawesome\\Form\\EditorIconDialog";s:6:"_title";s:21:"Add Font Awesome Icon";}s:12:"requirements";a:1:{s:14:"_entity_access";s:10:"editor.use";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:6:"editor";a:2:{s:4:"type";s:13:"entity:editor";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":508:{a:11:{s:4:"vars";a:1:{i:0;s:6:"editor";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/fontawesome/dialog/icon/(?P<editor>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"editor";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:24:"/fontawesome/dialog/icon";}}s:9:"path_vars";a:1:{i:0;s:6:"editor";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:26:"/fontawesome/dialog/icon/%";s:8:"numParts";i:4;}}}}', 4),
('fullcalendar_view.add_event', '/fullcalendar-view-event-add', '/fullcalendar-view-event-add', 1, 'C:31:"Symfony\\Component\\Routing\\Route":984:{a:9:{s:4:"path";s:28:"/fullcalendar-view-event-add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:70:"\\Drupal\\fullcalendar_view\\Controller\\CalendarEventController::addEvent";s:6:"_title";s:9:"Add Event";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":384:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/fullcalendar\\-view\\-event\\-add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/fullcalendar-view-event-add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:28:"/fullcalendar-view-event-add";s:8:"numParts";i:1;}}}}', 1),
('fullcalendar_view.update_event', '/fullcalendar-view-event-update', '/fullcalendar-view-event-update', 1, 'C:31:"Symfony\\Component\\Routing\\Route":970:{a:9:{s:4:"path";s:31:"/fullcalendar-view-event-update";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:73:"\\Drupal\\fullcalendar_view\\Controller\\CalendarEventController::updateEvent";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":393:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/fullcalendar\\-view\\-event\\-update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/fullcalendar-view-event-update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:31:"/fullcalendar-view-event-update";s:8:"numParts";i:1;}}}}', 1),
('help.main', '/admin/help', '/admin/help', 3, 'C:31:"Symfony\\Component\\Routing\\Route":923:{a:9:{s:4:"path";s:11:"/admin/help";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpMain";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/admin/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/admin/help";s:8:"numParts";i:2;}}}}', 2),
('help.page', '/admin/help/{name}', '/admin/help/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1060:{a:9:{s:4:"path";s:18:"/admin/help/{name}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\help\\Controller\\HelpController::helpPage";s:6:"_title";s:4:"Help";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":460:{a:11:{s:4:"vars";a:1:{i:0;s:4:"name";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/help/(?P<name>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"name";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/admin/help";}}s:9:"path_vars";a:1:{i:0;s:4:"name";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:13:"/admin/help/%";s:8:"numParts";i:3;}}}}', 3),
('history.get_last_node_view', '/history/get_node_read_timestamps', '/history/get_node_read_timestamps', 3, 'C:31:"Symfony\\Component\\Routing\\Route":969:{a:9:{s:4:"path";s:33:"/history/get_node_read_timestamps";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:67:"\\Drupal\\history\\Controller\\HistoryController::getNodeReadTimestamps";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":396:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/history/get_node_read_timestamps$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/history/get_node_read_timestamps";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:33:"/history/get_node_read_timestamps";s:8:"numParts";i:2;}}}}', 2);
INSERT INTO `router` VALUES
('history.read_node', '/history/{node}/read', '/history/%/read', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1172:{a:9:{s:4:"path";s:20:"/history/{node}/read";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:54:"\\Drupal\\history\\Controller\\HistoryController::readNode";}s:12:"requirements";a:2:{s:14:"_entity_access";s:9:"node.view";s:4:"node";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":495:{a:11:{s:4:"vars";a:1:{i:0;s:4:"node";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/history/(?P<node>\\d+)/read$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/read";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/history";}}s:9:"path_vars";a:1:{i:0;s:4:"node";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:15:"/history/%/read";s:8:"numParts";i:3;}}}}', 3),
('image.effect_add_form', '/admin/config/media/image-styles/manage/{image_style}/add/{image_effect}', '/admin/config/media/image-styles/manage/%/add/%', 250, 'C:31:"Symfony\\Component\\Routing\\Route":1610:{a:9:{s:4:"path";s:72:"/admin/config/media/image-styles/manage/{image_style}/add/{image_effect}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\image\\Form\\ImageEffectAddForm";s:6:"_title";s:16:"Add image effect";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":792:{a:11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:12:"image_effect";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:100:"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/add/(?P<image_effect>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"image_effect";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:4:"/add";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/media/image-styles/manage";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:12:"image_effect";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:250;s:14:"patternOutline";s:47:"/admin/config/media/image-styles/manage/%/add/%";s:8:"numParts";i:8;}}}}', 8),
('image.effect_delete', '/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}/delete', '/admin/config/media/image-styles/manage/%/effects/%/delete', 501, 'C:31:"Symfony\\Component\\Routing\\Route":1696:{a:9:{s:4:"path";s:83:"/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\image\\Form\\ImageEffectDeleteForm";s:6:"_title";s:19:"Delete image effect";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":861:{a:11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:12:"image_effect";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:111:"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/effects/(?P<image_effect>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"image_effect";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/effects";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/media/image-styles/manage";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:12:"image_effect";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:501;s:14:"patternOutline";s:58:"/admin/config/media/image-styles/manage/%/effects/%/delete";s:8:"numParts";i:9;}}}}', 9),
('image.effect_edit_form', '/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}', '/admin/config/media/image-styles/manage/%/effects/%', 250, 'C:31:"Symfony\\Component\\Routing\\Route":1628:{a:9:{s:4:"path";s:76:"/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:38:"\\Drupal\\image\\Form\\ImageEffectEditForm";s:6:"_title";s:17:"Edit image effect";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":804:{a:11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:12:"image_effect";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:104:"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/effects/(?P<image_effect>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"image_effect";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:8:"/effects";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/config/media/image-styles/manage";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:12:"image_effect";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:250;s:14:"patternOutline";s:51:"/admin/config/media/image-styles/manage/%/effects/%";s:8:"numParts";i:8;}}}}', 8),
('image.style_add', '/admin/config/media/image-styles/add', '/admin/config/media/image-styles/add', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1001:{a:9:{s:4:"path";s:36:"/admin/config/media/image-styles/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:15:"image_style.add";s:6:"_title";s:15:"Add image style";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"administer image styles";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":407:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/media/image\\-styles/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/config/media/image-styles/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:36:"/admin/config/media/image-styles/add";s:8:"numParts";i:5;}}}}', 5),
('image.style_private', '/system/files/styles/{image_style}/{scheme}', '/system/files/styles/%/%', 28, 'C:31:"Symfony\\Component\\Routing\\Route":1347:{a:9:{s:4:"path";s:43:"/system/files/styles/{image_style}/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\image\\Controller\\ImageStyleDownloadController::deliver";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":657:{a:11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:70:"#^/system/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:20:"/system/files/styles";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:28;s:14:"patternOutline";s:24:"/system/files/styles/%/%";s:8:"numParts";i:5;}}}}', 5),
('image.style_public', '/sites/default/files/styles/{image_style}/{scheme}', '/sites/default/files/styles/%/%', 60, 'C:31:"Symfony\\Component\\Routing\\Route":1374:{a:9:{s:4:"path";s:50:"/sites/default/files/styles/{image_style}/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:61:"Drupal\\image\\Controller\\ImageStyleDownloadController::deliver";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:11:"image_style";a:2:{s:4:"type";s:18:"entity:image_style";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":678:{a:11:{s:4:"vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:77:"#^/sites/default/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"image_style";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:27:"/sites/default/files/styles";}}s:9:"path_vars";a:2:{i:0;s:11:"image_style";i:1;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:60;s:14:"patternOutline";s:31:"/sites/default/files/styles/%/%";s:8:"numParts";i:6;}}}}', 6),
('juicerio.admin', '/admin/config/services/juicerio', '/admin/config/services/juicerio', 15, 'C:31:"Symfony\\Component\\Routing\\Route":952:{a:9:{s:4:"path";s:31:"/admin/config/services/juicerio";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:37:"\\Drupal\\juicerio\\Form\\JuicerAdminForm";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer juicer";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/services/juicerio$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/services/juicerio";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/services/juicerio";s:8:"numParts";i:4;}}}}', 4),
('menu_ui.link_edit', '/admin/structure/menu/link/{menu_link_plugin}/edit', '/admin/structure/menu/link/%/edit', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1388:{a:9:{s:4:"path";s:50:"/admin/structure/menu/link/{menu_link_plugin}/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\menu_ui\\Form\\MenuLinkEditForm";s:6:"_title";s:14:"Edit menu link";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:16:"menu_link_plugin";a:2:{s:4:"type";s:16:"menu_link_plugin";s:9:"converter";s:54:"drupal.proxy_original_service.paramconverter.menu_link";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":608:{a:11:{s:4:"vars";a:1:{i:0;s:16:"menu_link_plugin";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/admin/structure/menu/link/(?P<menu_link_plugin>[^/]++)/edit$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/edit";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"menu_link_plugin";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/menu/link";}}s:9:"path_vars";a:1:{i:0;s:16:"menu_link_plugin";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:33:"/admin/structure/menu/link/%/edit";s:8:"numParts";i:6;}}}}', 6),
('menu_ui.link_reset', '/admin/structure/menu/link/{menu_link_plugin}/reset', '/admin/structure/menu/link/%/reset', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1511:{a:9:{s:4:"path";s:51:"/admin/structure/menu/link/{menu_link_plugin}/reset";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:38:"\\Drupal\\menu_ui\\Form\\MenuLinkResetForm";s:6:"_title";s:15:"Reset menu link";}s:12:"requirements";a:2:{s:11:"_permission";s:15:"administer menu";s:14:"_custom_access";s:56:"\\Drupal\\menu_ui\\Form\\MenuLinkResetForm::linkIsResettable";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:16:"menu_link_plugin";a:2:{s:4:"type";s:16:"menu_link_plugin";s:9:"converter";s:54:"drupal.proxy_original_service.paramconverter.menu_link";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":611:{a:11:{s:4:"vars";a:1:{i:0;s:16:"menu_link_plugin";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:68:"#^/admin/structure/menu/link/(?P<menu_link_plugin>[^/]++)/reset$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/reset";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"menu_link_plugin";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/menu/link";}}s:9:"path_vars";a:1:{i:0;s:16:"menu_link_plugin";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:34:"/admin/structure/menu/link/%/reset";s:8:"numParts";i:6;}}}}', 6),
('menu_ui.parent_options_js', '/admin/structure/menu/parents', '/admin/structure/menu/parents', 15, 'C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:29:"/admin/structure/menu/parents";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:59:"\\Drupal\\menu_ui\\Controller\\MenuController::getParentOptions";}s:12:"requirements";a:1:{s:11:"_permission";s:15:"administer menu";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/structure/menu/parents$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/menu/parents";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/structure/menu/parents";s:8:"numParts";i:4;}}}}', 4),
('mt_cookieconsent.settings', '/admin/config/mt_cookieconsent', '/admin/config/mt_cookieconsent', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1034:{a:9:{s:4:"path";s:30:"/admin/config/mt_cookieconsent";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:57:"\\Drupal\\mt_cookieconsent\\Form\\MTCookieConsentSettingsForm";s:6:"_title";s:34:"MtT Cookie Consent Module Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":387:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/config/mt_cookieconsent$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/mt_cookieconsent";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:30:"/admin/config/mt_cookieconsent";s:8:"numParts";i:3;}}}}', 3),
('mt_countdown.admin_index', '/admin/config/count_down', '/admin/config/count_down', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1002:{a:9:{s:4:"path";s:24:"/admin/config/count_down";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:10:"Count Down";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/config/count_down$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/config/count_down";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/config/count_down";s:8:"numParts";i:3;}}}}', 3),
('mt_countdown.settings', '/admin/config/mt_countdown', '/admin/config/mt_countdown', 7, 'C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:26:"/admin/config/mt_countdown";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:49:"\\Drupal\\mt_countdown\\Form\\MTCountDownSettingsForm";s:6:"_title";s:19:"Count Down Settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":375:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/config/mt_countdown$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/config/mt_countdown";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/config/mt_countdown";s:8:"numParts";i:3;}}}}', 3),
('node.add', '/node/add/{node_type}', '/node/add/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1294:{a:9:{s:4:"path";s:21:"/node/add/{node_type}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:12:"node.default";s:15:"_title_callback";s:52:"\\Drupal\\node\\Controller\\NodeController::addPageTitle";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:16:"node:{node_type}";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:1:{s:9:"node_type";a:3:{s:4:"type";s:16:"entity:node_type";s:21:"with_config_overrides";b:1;s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":473:{a:11:{s:4:"vars";a:1:{i:0;s:9:"node_type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/node/add/(?P<node_type>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"node_type";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:9:"/node/add";}}s:9:"path_vars";a:1:{i:0;s:9:"node_type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:11:"/node/add/%";s:8:"numParts";i:3;}}}}', 3),
('node.add_page', '/node/add', '/node/add', 3, 'C:31:"Symfony\\Component\\Routing\\Route":949:{a:9:{s:4:"path";s:9:"/node/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:11:"Add content";s:11:"_controller";s:47:"\\Drupal\\node\\Controller\\NodeController::addPage";}s:12:"requirements";a:1:{s:25:"_entity_create_any_access";s:4:"node";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.entity_create_any";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/node/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/node/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:9:"/node/add";s:8:"numParts";i:2;}}}}', 2),
('node.configure_rebuild_confirm', '/admin/reports/status/rebuild', '/admin/reports/status/rebuild', 15, 'C:31:"Symfony\\Component\\Routing\\Route":957:{a:9:{s:4:"path";s:29:"/admin/reports/status/rebuild";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\RebuildPermissionsForm";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/status/rebuild$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/status/rebuild";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/reports/status/rebuild";s:8:"numParts";i:4;}}}}', 4),
('node.multiple_delete_confirm', '/admin/content/node/delete', '/admin/content/node/delete', 15, 'C:31:"Symfony\\Component\\Routing\\Route":977:{a:9:{s:4:"path";s:26:"/admin/content/node/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\node\\Form\\DeleteMultiple";s:14:"entity_type_id";s:4:"node";}s:12:"requirements";a:1:{s:30:"_entity_delete_multiple_access";s:4:"node";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:35:"access_check.entity_delete_multiple";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/content/node/delete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/content/node/delete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/content/node/delete";s:8:"numParts";i:4;}}}}', 4),
('node.revision_delete_confirm', '/node/{node}/revisions/{node_revision}/delete', '/node/%/revisions/%/delete', 21, 'C:31:"Symfony\\Component\\Routing\\Route":1652:{a:9:{s:4:"path";s:45:"/node/{node}/revisions/{node_revision}/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\NodeRevisionDeleteForm";s:6:"_title";s:23:"Delete earlier revision";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.delete revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":729:{a:11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/delete$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/delete";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:26:"/node/%/revisions/%/delete";s:8:"numParts";i:5;}}}}', 5),
('node.revision_revert_confirm', '/node/{node}/revisions/{node_revision}/revert', '/node/%/revisions/%/revert', 21, 'C:31:"Symfony\\Component\\Routing\\Route":1655:{a:9:{s:4:"path";s:45:"/node/{node}/revisions/{node_revision}/revert";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\node\\Form\\NodeRevisionRevertForm";s:6:"_title";s:26:"Revert to earlier revision";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.revert revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":729:{a:11:{s:4:"vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/revert";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:2:{i:0;s:4:"node";i:1;s:13:"node_revision";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:21;s:14:"patternOutline";s:26:"/node/%/revisions/%/revert";s:8:"numParts";i:5;}}}}', 5),
('node.revision_revert_translation_confirm', '/node/{node}/revisions/{node_revision}/revert/{langcode}', '/node/%/revisions/%/revert/%', 42, 'C:31:"Symfony\\Component\\Routing\\Route":1840:{a:9:{s:4:"path";s:56:"/node/{node}/revisions/{node_revision}/revert/{langcode}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:51:"\\Drupal\\node\\Form\\NodeRevisionRevertTranslationForm";s:6:"_title";s:43:"Revert to earlier revision of a translation";}s:12:"requirements";a:2:{s:14:"_entity_access";s:29:"node_revision.revert revision";s:4:"node";s:3:"\\d+";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:21:"_node_operation_route";b:1;s:10:"parameters";a:2:{s:4:"node";a:2:{s:4:"type";s:11:"entity:node";s:9:"converter";s:21:"paramconverter.entity";}s:13:"node_revision";a:2:{s:4:"type";s:20:"entity_revision:node";s:9:"converter";s:30:"paramconverter.entity_revision";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":875:{a:11:{s:4:"vars";a:3:{i:0;s:4:"node";i:1;s:13:"node_revision";i:2;s:8:"langcode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:90:"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert/(?P<langcode>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:7:"/revert";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:13:"node_revision";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:10:"/revisions";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"node";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:3:{i:0;s:4:"node";i:1;s:13:"node_revision";i:2;s:8:"langcode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:42;s:14:"patternOutline";s:28:"/node/%/revisions/%/revert/%";s:8:"numParts";i:6;}}}}', 6),
('node.type_add', '/admin/structure/types/add', '/admin/structure/types/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":960:{a:9:{s:4:"path";s:26:"/admin/structure/types/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:13:"node_type.add";s:6:"_title";s:16:"Add content type";}s:12:"requirements";a:1:{s:11:"_permission";s:24:"administer content types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/structure/types/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/types/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/structure/types/add";s:8:"numParts";i:4;}}}}', 4),
('paragraphs.settings', '/admin/config/content/paragraphs', '/admin/config/content/paragraphs', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:32:"/admin/config/content/paragraphs";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:46:"\\Drupal\\paragraphs\\Form\\ParagraphsSettingsForm";s:6:"_title";s:19:"Paragraphs settings";}s:12:"requirements";a:1:{s:11:"_permission";s:30:"administer paragraphs settings";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":394:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/content/paragraphs$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/config/content/paragraphs";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/config/content/paragraphs";s:8:"numParts";i:4;}}}}', 4),
('paragraphs.type_add', '/admin/structure/paragraphs_type/add', '/admin/structure/paragraphs_type/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1012:{a:9:{s:4:"path";s:36:"/admin/structure/paragraphs_type/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:19:"paragraphs_type.add";s:6:"_title";s:19:"Add Paragraphs type";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"administer paragraphs types";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":406:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/structure/paragraphs_type/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/structure/paragraphs_type/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:36:"/admin/structure/paragraphs_type/add";s:8:"numParts";i:4;}}}}', 4),
('quickedit.attachments', '/quickedit/attachments', '/quickedit/attachments', 3, 'C:31:"Symfony\\Component\\Routing\\Route":917:{a:9:{s:4:"path";s:22:"/quickedit/attachments";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:50:"\\Drupal\\quickedit\\QuickEditController::attachments";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/quickedit/attachments$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/quickedit/attachments";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:22:"/quickedit/attachments";s:8:"numParts";i:2;}}}}', 2),
('quickedit.entity_save', '/quickedit/entity/{entity_type}/{entity}', '/quickedit/entity/%/%', 12, 'C:31:"Symfony\\Component\\Routing\\Route":1462:{a:9:{s:4:"path";s:40:"/quickedit/entity/{entity_type}/{entity}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:49:"\\Drupal\\quickedit\\QuickEditController::entitySave";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:14:"_entity_access";s:13:"entity.update";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":648:{a:11:{s:4:"vars";a:2:{i:0;s:11:"entity_type";i:1;s:6:"entity";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:67:"#^/quickedit/entity/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:17:"/quickedit/entity";}}s:9:"path_vars";a:2:{i:0;s:11:"entity_type";i:1;s:6:"entity";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:12;s:14:"patternOutline";s:21:"/quickedit/entity/%/%";s:8:"numParts";i:4;}}}}', 4),
('quickedit.field_form', '/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}', '/quickedit/form/%/%/%/%/%', 96, 'C:31:"Symfony\\Component\\Routing\\Route":1984:{a:9:{s:4:"path";s:77:"/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:48:"\\Drupal\\quickedit\\QuickEditController::fieldForm";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1111:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/quickedit/form/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:15:"/quickedit/form";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:96;s:14:"patternOutline";s:25:"/quickedit/form/%/%/%/%/%";s:8:"numParts";i:7;}}}}', 7),
('quickedit.field_untransformed_text', '/quickedit/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}', '/quickedit/%/%/%/%/%', 32, 'C:31:"Symfony\\Component\\Routing\\Route":1975:{a:9:{s:4:"path";s:72:"/quickedit/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:59:"\\Drupal\\quickedit\\QuickEditController::getUntransformedText";}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1096:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:129:"#^/quickedit/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:10:"/quickedit";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:32;s:14:"patternOutline";s:20:"/quickedit/%/%/%/%/%";s:8:"numParts";i:6;}}}}', 6),
('quickedit.image_info', '/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}', '/quickedit/image/info/%/%/%/%/%', 224, 'C:31:"Symfony\\Component\\Routing\\Route":2047:{a:9:{s:4:"path";s:83:"/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\quickedit\\Controller\\QuickEditImageController::getInfo";}s:12:"requirements";a:3:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";s:7:"_method";s:3:"GET";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1130:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:140:"#^/quickedit/image/info/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:21:"/quickedit/image/info";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:224;s:14:"patternOutline";s:31:"/quickedit/image/info/%/%/%/%/%";s:8:"numParts";i:8;}}}}', 8),
('quickedit.image_upload', '/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}', '/quickedit/image/upload/%/%/%/%/%', 224, 'C:31:"Symfony\\Component\\Routing\\Route":2055:{a:9:{s:4:"path";s:85:"/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:61:"\\Drupal\\quickedit\\Controller\\QuickEditImageController::upload";}s:12:"requirements";a:3:{s:11:"_permission";s:23:"access in-place editing";s:30:"_access_quickedit_entity_field";s:4:"TRUE";s:7:"_method";s:4:"POST";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:20:"entity:{entity_type}";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:35:"access_check.quickedit.entity_field";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1136:{a:11:{s:4:"vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:142:"#^/quickedit/image/upload/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"view_mode_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:8:"langcode";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"field_name";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"entity";i:4;b:1;}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"entity_type";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:23:"/quickedit/image/upload";}}s:9:"path_vars";a:5:{i:0;s:11:"entity_type";i:1;s:6:"entity";i:2;s:10:"field_name";i:3;s:8:"langcode";i:4;s:12:"view_mode_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:224;s:14:"patternOutline";s:33:"/quickedit/image/upload/%/%/%/%/%";s:8:"numParts";i:8;}}}}', 8),
('quickedit.metadata', '/quickedit/metadata', '/quickedit/metadata', 3, 'C:31:"Symfony\\Component\\Routing\\Route":902:{a:9:{s:4:"path";s:19:"/quickedit/metadata";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\quickedit\\QuickEditController::metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:23:"access in-place editing";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/quickedit/metadata$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/quickedit/metadata";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:19:"/quickedit/metadata";s:8:"numParts";i:2;}}}}', 2),
('search.add_type', '/admin/config/search/pages/add/{search_plugin_id}', '/admin/config/search/pages/add/%', 62, 'C:31:"Symfony\\Component\\Routing\\Route":1181:{a:9:{s:4:"path";s:49:"/admin/config/search/pages/add/{search_plugin_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:15:"search_page.add";s:6:"_title";s:19:"Add new search page";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:11:"search_page";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":569:{a:11:{s:4:"vars";a:1:{i:0;s:16:"search_plugin_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:66:"#^/admin/config/search/pages/add/(?P<search_plugin_id>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:16:"search_plugin_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/config/search/pages/add";}}s:9:"path_vars";a:1:{i:0;s:16:"search_plugin_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:62;s:14:"patternOutline";s:32:"/admin/config/search/pages/add/%";s:8:"numParts";i:6;}}}}', 6),
('search.help_node_search', '/search/node/help', '/search/node/help', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1156:{a:9:{s:4:"path";s:17:"/search/node/help";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:53:"Drupal\\search\\Controller\\SearchController::searchHelp";s:6:"_title";s:15:"About searching";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/search/node/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/search/node/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:17:"/search/node/help";s:8:"numParts";i:3;}}}}', 3),
('search.help_user_search', '/search/user/help', '/search/user/help', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1156:{a:9:{s:4:"path";s:17:"/search/user/help";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:53:"Drupal\\search\\Controller\\SearchController::searchHelp";s:6:"_title";s:15:"About searching";s:6:"entity";s:11:"user_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/search/user/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/search/user/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:17:"/search/user/help";s:8:"numParts";i:3;}}}}', 3);
INSERT INTO `router` VALUES
('search.reindex_confirm', '/admin/config/search/pages/reindex', '/admin/config/search/pages/reindex', 31, 'C:31:"Symfony\\Component\\Routing\\Route":993:{a:9:{s:4:"path";s:34:"/admin/config/search/pages/reindex";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\search\\Form\\ReindexConfirm";s:6:"_title";s:11:"Clear index";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer search";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":400:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/search/pages/reindex$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:34:"/admin/config/search/pages/reindex";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:34:"/admin/config/search/pages/reindex";s:8:"numParts";i:5;}}}}', 5),
('search.view', '/search', '/search', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1111:{a:9:{s:4:"path";s:7:"/search";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:61:"Drupal\\search\\Controller\\SearchController::redirectSearchPage";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/search";s:8:"numParts";i:1;}}}}', 1),
('search.view_node_search', '/search/node', '/search/node', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1120:{a:9:{s:4:"path";s:12:"/search/node";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:47:"Drupal\\search\\Controller\\SearchController::view";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"node_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/search/node$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/search/node";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/search/node";s:8:"numParts";i:2;}}}}', 2),
('search.view_user_search', '/search/user', '/search/user', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1120:{a:9:{s:4:"path";s:12:"/search/user";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:47:"Drupal\\search\\Controller\\SearchController::view";s:6:"_title";s:6:"Search";s:6:"entity";s:11:"user_search";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"entity.view";s:11:"_permission";s:14:"search content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:6:"entity";a:2:{s:4:"type";s:18:"entity:search_page";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:23:"access_check.permission";}s:4:"utf8";b:1;}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/search/user$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/search/user";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/search/user";s:8:"numParts";i:2;}}}}', 2),
('shortcut.link_add', '/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link', '/admin/config/user-interface/shortcut/manage/%/add-link', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1506:{a:9:{s:4:"path";s:68:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:55:"\\Drupal\\shortcut\\Controller\\ShortcutController::addForm";s:6:"_title";s:8:"Add link";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:23:"shortcut:{shortcut_set}";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"shortcut_set";a:2:{s:4:"type";s:19:"entity:shortcut_set";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":661:{a:11:{s:4:"vars";a:1:{i:0;s:12:"shortcut_set";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:87:"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/add-link";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"shortcut_set";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/user-interface/shortcut/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"shortcut_set";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:55:"/admin/config/user-interface/shortcut/manage/%/add-link";s:8:"numParts";i:7;}}}}', 7),
('shortcut.link_add_inline', '/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline', '/admin/config/user-interface/shortcut/manage/%/add-link-inline', 125, 'C:31:"Symfony\\Component\\Routing\\Route":1566:{a:9:{s:4:"path";s:75:"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:72:"\\Drupal\\shortcut\\Controller\\ShortcutSetController::addShortcutLinkInline";}s:12:"requirements";a:2:{s:14:"_entity_access";s:19:"shortcut_set.update";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:12:"shortcut_set";a:2:{s:4:"type";s:19:"entity:shortcut_set";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:19:"access_check.entity";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":684:{a:11:{s:4:"vars";a:1:{i:0;s:12:"shortcut_set";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:95:"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link\\-inline$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/add-link-inline";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"shortcut_set";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/user-interface/shortcut/manage";}}s:9:"path_vars";a:1:{i:0;s:12:"shortcut_set";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:125;s:14:"patternOutline";s:62:"/admin/config/user-interface/shortcut/manage/%/add-link-inline";s:8:"numParts";i:7;}}}}', 7),
('shortcut.set_add', '/admin/config/user-interface/shortcut/add-set', '/admin/config/user-interface/shortcut/add-set', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1042:{a:9:{s:4:"path";s:45:"/admin/config/user-interface/shortcut/add-set";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:16:"shortcut_set.add";s:6:"_title";s:16:"Add shortcut set";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:12:"shortcut_set";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":435:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:54:"#^/admin/config/user\\-interface/shortcut/add\\-set$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:45:"/admin/config/user-interface/shortcut/add-set";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:45:"/admin/config/user-interface/shortcut/add-set";s:8:"numParts";i:5;}}}}', 5),
('shortcut.set_switch', '/user/{user}/shortcuts', '/user/%/shortcuts', 5, 'C:31:"Symfony\\Component\\Routing\\Route":1262:{a:9:{s:4:"path";s:22:"/user/{user}/shortcuts";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\shortcut\\Form\\SwitchShortcutSet";s:6:"_title";s:9:"Shortcuts";}s:12:"requirements";a:1:{s:14:"_custom_access";s:52:"\\Drupal\\shortcut\\Form\\SwitchShortcutSet::checkAccess";}s:7:"options";a:6:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"user";s:3:"\\d+";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":508:{a:11:{s:4:"vars";a:1:{i:0;s:4:"user";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/user/(?P<user>[^/]++)/shortcuts$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/shortcuts";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"user";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:1:{i:0;s:4:"user";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:5;s:14:"patternOutline";s:17:"/user/%/shortcuts";s:8:"numParts";i:3;}}}}', 3),
('statistics.settings', '/admin/config/system/statistics', '/admin/config/system/statistics', 15, 'C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:31:"/admin/config/system/statistics";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:41:"\\Drupal\\statistics\\StatisticsSettingsForm";s:6:"_title";s:10:"Statistics";}s:12:"requirements";a:1:{s:11:"_permission";s:21:"administer statistics";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/system/statistics$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/system/statistics";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/system/statistics";s:8:"numParts";i:4;}}}}', 4),
('system.401', '/system/401', '/system/401', 3, 'C:31:"Symfony\\Component\\Routing\\Route":877:{a:9:{s:4:"path";s:11:"/system/401";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on401";s:6:"_title";s:12:"Unauthorized";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/401$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/401";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/401";s:8:"numParts";i:2;}}}}', 2),
('system.403', '/system/403', '/system/403', 3, 'C:31:"Symfony\\Component\\Routing\\Route":878:{a:9:{s:4:"path";s:11:"/system/403";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on403";s:6:"_title";s:13:"Access denied";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/403$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/403";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/403";s:8:"numParts";i:2;}}}}', 2),
('system.404', '/system/404', '/system/404', 3, 'C:31:"Symfony\\Component\\Routing\\Route":879:{a:9:{s:4:"path";s:11:"/system/404";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on404";s:6:"_title";s:14:"Page not found";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/404$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/404";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/404";s:8:"numParts";i:2;}}}}', 2),
('system.4xx', '/system/4xx', '/system/4xx', 3, 'C:31:"Symfony\\Component\\Routing\\Route":877:{a:9:{s:4:"path";s:11:"/system/4xx";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\system\\Controller\\Http4xxController:on4xx";s:6:"_title";s:12:"Client error";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/system/4xx$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/system/4xx";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/system/4xx";s:8:"numParts";i:2;}}}}', 2),
('system.admin', '/admin', '/admin', 1, 'C:31:"Symfony\\Component\\Routing\\Route":931:{a:9:{s:4:"path";s:6:"/admin";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"Administration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":313:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/admin$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/admin";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/admin";s:8:"numParts";i:1;}}}}', 1),
('system.admin_compact_page', '/admin/compact/{mode}', '/admin/compact', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1079:{a:9:{s:4:"path";s:21:"/admin/compact/{mode}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:55:"\\Drupal\\system\\Controller\\SystemController::compactPage";s:4:"mode";s:3:"off";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":472:{a:11:{s:4:"vars";a:1:{i:0;s:4:"mode";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:43:"#^/admin/compact(?:/(?P<mode>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"mode";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/compact";}}s:9:"path_vars";a:1:{i:0;s:4:"mode";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/compact";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config', '/admin/config', '/admin/config', 3, 'C:31:"Symfony\\Component\\Routing\\Route":986:{a:9:{s:4:"path";s:13:"/admin/config";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\SystemController::overview";s:7:"link_id";s:19:"system.admin_config";s:6:"_title";s:13:"Configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/config";s:8:"numParts";i:2;}}}}', 2),
('system.admin_config_content', '/admin/config/content', '/admin/config/content', 7, 'C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:21:"/admin/config/content";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:17:"Content authoring";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/config/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/config/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/config/content";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_development', '/admin/config/development', '/admin/config/development', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1007:{a:9:{s:4:"path";s:25:"/admin/config/development";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:11:"Development";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/development$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/development";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/config/development";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_media', '/admin/config/media', '/admin/config/media', 7, 'C:31:"Symfony\\Component\\Routing\\Route":976:{a:9:{s:4:"path";s:19:"/admin/config/media";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:5:"Media";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/config/media$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/config/media";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/config/media";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_regional', '/admin/config/regional', '/admin/config/regional', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:22:"/admin/config/regional";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:21:"Regional and language";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/regional$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/regional";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/regional";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_search', '/admin/config/search', '/admin/config/search', 7, 'C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:20:"/admin/config/search";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:19:"Search and metadata";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/search$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/search";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/search";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_services', '/admin/config/services', '/admin/config/services', 7, 'C:31:"Symfony\\Component\\Routing\\Route":996:{a:9:{s:4:"path";s:22:"/admin/config/services";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:12:"Web services";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/services$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/services";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/services";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_system', '/admin/config/system', '/admin/config/system', 7, 'C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"System";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/system";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_ui', '/admin/config/user-interface', '/admin/config/user-interface', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1023:{a:9:{s:4:"path";s:28:"/admin/config/user-interface";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:14:"User interface";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/config/user\\-interface$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/config/user-interface";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/config/user-interface";s:8:"numParts";i:3;}}}}', 3),
('system.admin_config_workflow', '/admin/config/workflow', '/admin/config/workflow', 7, 'C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/config/workflow";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:8:"Workflow";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/config/workflow$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/config/workflow";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/config/workflow";s:8:"numParts";i:3;}}}}', 3),
('system.admin_content', '/admin/content', '/admin/content', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1307:{a:9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:0:{}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}}}', 2),
('system.admin_index', '/admin/index', '/admin/index', 3, 'C:31:"Symfony\\Component\\Routing\\Route":938:{a:9:{s:4:"path";s:12:"/admin/index";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\system\\Controller\\AdminController::index";s:6:"_title";s:14:"Administration";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/admin/index$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/admin/index";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/admin/index";s:8:"numParts";i:2;}}}}', 2),
('system.admin_reports', '/admin/reports', '/admin/reports', 3, 'C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:14:"/admin/reports";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:7:"Reports";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access site reports";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/reports$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/reports";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/reports";s:8:"numParts";i:2;}}}}', 2),
('system.admin_structure', '/admin/structure', '/admin/structure', 3, 'C:31:"Symfony\\Component\\Routing\\Route":968:{a:9:{s:4:"path";s:16:"/admin/structure";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:9:"Structure";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":345:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/admin/structure$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:16:"/admin/structure";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/admin/structure";s:8:"numParts";i:2;}}}}', 2),
('system.batch_page.html', '/batch', '/batch', 1, 'C:31:"Symfony\\Component\\Routing\\Route":961:{a:9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";s:15:"_title_callback";s:57:"\\Drupal\\system\\Controller\\BatchController::batchPageTitle";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"html";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":313:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}}}', 1),
('system.batch_page.json', '/batch', '/batch', 1, 'C:31:"Symfony\\Component\\Routing\\Route":873:{a:9:{s:4:"path";s:6:"/batch";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\BatchController::batchPage";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"json";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":313:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:13:"#^/batch$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/batch";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:6:"/batch";s:8:"numParts";i:1;}}}}', 1),
('system.cron', '/cron/{key}', '/cron/%', 2, 'C:31:"Symfony\\Component\\Routing\\Route":964:{a:9:{s:4:"path";s:11:"/cron/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:34:"\\Drupal\\system\\CronController::run";}s:12:"requirements";a:1:{s:19:"_access_system_cron";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:17:"access_check.cron";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":436:{a:11:{s:4:"vars";a:1:{i:0;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/cron/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:5:"/cron";}}s:9:"path_vars";a:1:{i:0;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:2;s:14:"patternOutline";s:7:"/cron/%";s:8:"numParts";i:2;}}}}', 2),
('system.cron_settings', '/admin/config/system/cron', '/admin/config/system/cron', 15, 'C:31:"Symfony\\Component\\Routing\\Route":955:{a:9:{s:4:"path";s:25:"/admin/config/system/cron";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:28:"\\Drupal\\system\\Form\\CronForm";s:6:"_title";s:4:"Cron";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/config/system/cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/config/system/cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/config/system/cron";s:8:"numParts";i:4;}}}}', 4),
('system.csrftoken', '/session/token', '/session/token', 3, 'C:31:"Symfony\\Component\\Routing\\Route":863:{a:9:{s:4:"path";s:14:"/session/token";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:56:"\\Drupal\\system\\Controller\\CsrfTokenController::csrfToken";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/session/token$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/session/token";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/session/token";s:8:"numParts";i:2;}}}}', 2),
('system.date_format_add', '/admin/config/regional/date-time/formats/add', '/admin/config/regional/date-time/formats/add', 63, 'C:31:"Symfony\\Component\\Routing\\Route":1039:{a:9:{s:4:"path";s:44:"/admin/config/regional/date-time/formats/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:15:"date_format.add";s:6:"_title";s:15:"Add date format";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":431:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:52:"#^/admin/config/regional/date\\-time/formats/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:44:"/admin/config/regional/date-time/formats/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:63;s:14:"patternOutline";s:44:"/admin/config/regional/date-time/formats/add";s:8:"numParts";i:6;}}}}', 6),
('system.db_update', '/update.php/{op}', '/update.php', 1, 'C:31:"Symfony\\Component\\Routing\\Route":996:{a:9:{s:4:"path";s:16:"/update.php/{op}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:2:"op";s:4:"info";}s:12:"requirements";a:1:{s:21:"_access_system_update";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"default_url_options";a:1:{s:15:"path_processing";b:0;}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:22:"access_check.db_update";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":456:{a:11:{s:4:"vars";a:1:{i:0;s:2:"op";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"op";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/update.php";}}s:9:"path_vars";a:1:{i:0;s:2:"op";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:11:"/update.php";s:8:"numParts";i:2;}}}}', 2),
('system.entity_autocomplete', '/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}', '/entity_reference_autocomplete/%/%/%', 8, 'C:31:"Symfony\\Component\\Routing\\Route":1556:{a:9:{s:4:"path";s:89:"/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:74:"\\Drupal\\system\\Controller\\EntityAutocompleteController::handleAutocomplete";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":939:{a:11:{s:4:"vars";a:3:{i:0;s:11:"target_type";i:1;s:17:"selection_handler";i:2;s:22:"selection_settings_key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:126:"#^/entity_reference_autocomplete/(?P<target_type>[^/]++)/(?P<selection_handler>[^/]++)/(?P<selection_settings_key>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:22:"selection_settings_key";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:17:"selection_handler";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"target_type";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:30:"/entity_reference_autocomplete";}}s:9:"path_vars";a:3:{i:0;s:11:"target_type";i:1;s:17:"selection_handler";i:2;s:22:"selection_settings_key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:8;s:14:"patternOutline";s:36:"/entity_reference_autocomplete/%/%/%";s:8:"numParts";i:4;}}}}', 4),
('system.files', '/system/files/{scheme}', '/system/files', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1027:{a:9:{s:4:"path";s:22:"/system/files/{scheme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";s:6:"scheme";s:7:"private";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":477:{a:11:{s:4:"vars";a:1:{i:0;s:6:"scheme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/system/files(?:/(?P<scheme>[^/]++))?$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"scheme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/system/files";}}s:9:"path_vars";a:1:{i:0;s:6:"scheme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/system/files";s:8:"numParts";i:3;}}}}', 3),
('system.file_system_settings', '/admin/config/media/file-system', '/admin/config/media/file-system', 15, 'C:31:"Symfony\\Component\\Routing\\Route":994:{a:9:{s:4:"path";s:31:"/admin/config/media/file-system";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\system\\Form\\FileSystemForm";s:6:"_title";s:11:"File system";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":392:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/config/media/file\\-system$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/media/file-system";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/media/file-system";s:8:"numParts";i:4;}}}}', 4),
('system.image_toolkit_settings', '/admin/config/media/image-toolkit', '/admin/config/media/image-toolkit', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1006:{a:9:{s:4:"path";s:33:"/admin/config/media/image-toolkit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:36:"\\Drupal\\system\\Form\\ImageToolkitForm";s:6:"_title";s:13:"Image toolkit";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":398:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/config/media/image\\-toolkit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/media/image-toolkit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/media/image-toolkit";s:8:"numParts";i:4;}}}}', 4),
('system.logging_settings', '/admin/config/development/logging', '/admin/config/development/logging', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:33:"/admin/config/development/logging";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\system\\Form\\LoggingForm";s:6:"_title";s:18:"Logging and errors";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":397:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:40:"#^/admin/config/development/logging$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:33:"/admin/config/development/logging";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:33:"/admin/config/development/logging";s:8:"numParts";i:4;}}}}', 4),
('system.machine_name_transliterate', '/machine_name/transliterate', '/machine_name/transliterate', 3, 'C:31:"Symfony\\Component\\Routing\\Route":929:{a:9:{s:4:"path";s:27:"/machine_name/transliterate";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\system\\MachineNameController::transliterate";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":378:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/machine_name/transliterate$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/machine_name/transliterate";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:27:"/machine_name/transliterate";s:8:"numParts";i:2;}}}}', 2),
('system.modules_list', '/admin/modules', '/admin/modules', 3, 'C:31:"Symfony\\Component\\Routing\\Route":953:{a:9:{s:4:"path";s:14:"/admin/modules";s:4:"host";s:0:"";s:8:"defaults";a:3:{s:6:"_title";s:6:"Extend";s:14:"_title_context";s:15:"With components";s:5:"_form";s:35:"\\Drupal\\system\\Form\\ModulesListForm";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/modules$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/modules";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/modules";s:8:"numParts";i:2;}}}}', 2),
('system.modules_list_confirm', '/admin/modules/list/confirm', '/admin/modules/list/confirm', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1000:{a:9:{s:4:"path";s:27:"/admin/modules/list/confirm";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\system\\Form\\ModulesListConfirmForm";s:6:"_title";s:37:"Some required modules must be enabled";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":379:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/admin/modules/list/confirm$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/modules/list/confirm";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:27:"/admin/modules/list/confirm";s:8:"numParts";i:4;}}}}', 4);
INSERT INTO `router` VALUES
('system.modules_list_non_stable_confirm', '/admin/modules/list/confirm-non-stable', '/admin/modules/list/confirm-non-stable', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1036:{a:9:{s:4:"path";s:38:"/admin/modules/list/confirm-non-stable";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:51:"\\Drupal\\system\\Form\\ModulesListNonStableConfirmForm";s:6:"_title";s:18:"Non-stable modules";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":414:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/modules/list/confirm\\-non\\-stable$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:38:"/admin/modules/list/confirm-non-stable";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:38:"/admin/modules/list/confirm-non-stable";s:8:"numParts";i:4;}}}}', 4),
('system.modules_uninstall', '/admin/modules/uninstall', '/admin/modules/uninstall', 7, 'C:31:"Symfony\\Component\\Routing\\Route":956:{a:9:{s:4:"path";s:24:"/admin/modules/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\system\\Form\\ModulesUninstallForm";s:6:"_title";s:9:"Uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":369:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/admin/modules/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:24:"/admin/modules/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:24:"/admin/modules/uninstall";s:8:"numParts";i:3;}}}}', 3),
('system.modules_uninstall_confirm', '/admin/modules/uninstall/confirm', '/admin/modules/uninstall/confirm', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1005:{a:9:{s:4:"path";s:32:"/admin/modules/uninstall/confirm";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:47:"\\Drupal\\system\\Form\\ModulesUninstallConfirmForm";s:6:"_title";s:17:"Confirm uninstall";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":394:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/admin/modules/uninstall/confirm$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/modules/uninstall/confirm";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:32:"/admin/modules/uninstall/confirm";s:8:"numParts";i:4;}}}}', 4),
('system.performance_settings', '/admin/config/development/performance', '/admin/config/development/performance', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:37:"/admin/config/development/performance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:35:"\\Drupal\\system\\Form\\PerformanceForm";s:6:"_title";s:11:"Performance";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/performance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/performance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/performance";s:8:"numParts";i:4;}}}}', 4),
('system.php', '/admin/reports/status/php', '/admin/reports/status/php', 15, 'C:31:"Symfony\\Component\\Routing\\Route":961:{a:9:{s:4:"path";s:25:"/admin/reports/status/php";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\system\\Controller\\SystemInfoController::php";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:12:"_admin_route";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":373:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/reports/status/php$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/reports/status/php";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:25:"/admin/reports/status/php";s:8:"numParts";i:4;}}}}', 4),
('system.prepare_modules_entity_uninstall', '/admin/modules/uninstall/entity/{entity_type_id}', '/admin/modules/uninstall/entity/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1254:{a:9:{s:4:"path";s:48:"/admin/modules/uninstall/entity/{entity_type_id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:53:"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm";s:15:"_title_callback";s:64:"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm::formTitle";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer modules";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":564:{a:11:{s:4:"vars";a:1:{i:0;s:14:"entity_type_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:65:"#^/admin/modules/uninstall/entity/(?P<entity_type_id>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:14:"entity_type_id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/modules/uninstall/entity";}}s:9:"path_vars";a:1:{i:0;s:14:"entity_type_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:33:"/admin/modules/uninstall/entity/%";s:8:"numParts";i:5;}}}}', 5),
('system.private_file_download', '/system/files/{filepath}', '/system/files/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1023:{a:9:{s:4:"path";s:24:"/system/files/{filepath}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";}s:12:"requirements";a:2:{s:8:"filepath";s:2:".+";s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":474:{a:11:{s:4:"vars";a:1:{i:0;s:8:"filepath";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/system/files/(?P<filepath>.+)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:2:".+";i:3;s:8:"filepath";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/system/files";}}s:9:"path_vars";a:1:{i:0;s:8:"filepath";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:15:"/system/files/%";s:8:"numParts";i:3;}}}}', 3),
('system.regional_settings', '/admin/config/regional/settings', '/admin/config/regional/settings', 15, 'C:31:"Symfony\\Component\\Routing\\Route":997:{a:9:{s:4:"path";s:31:"/admin/config/regional/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RegionalForm";s:6:"_title";s:17:"Regional settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/config/regional/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/config/regional/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/config/regional/settings";s:8:"numParts";i:4;}}}}', 4),
('system.rss_feeds_settings', '/admin/config/services/rss-publishing', '/admin/config/services/rss-publishing', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1019:{a:9:{s:4:"path";s:37:"/admin/config/services/rss-publishing";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:32:"\\Drupal\\system\\Form\\RssFeedsForm";s:6:"_title";s:14:"RSS publishing";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/services/rss\\-publishing$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/services/rss-publishing";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/services/rss-publishing";s:8:"numParts";i:4;}}}}', 4),
('system.run_cron', '/admin/reports/status/run-cron', '/admin/reports/status/run-cron', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1051:{a:9:{s:4:"path";s:30:"/admin/reports/status/run-cron";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:42:"\\Drupal\\system\\CronController::runManually";}s:12:"requirements";a:2:{s:11:"_permission";s:29:"administer site configuration";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:8:"no_cache";b:1;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":389:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/status/run\\-cron$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/reports/status/run-cron";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:30:"/admin/reports/status/run-cron";s:8:"numParts";i:4;}}}}', 4),
('system.site_information_settings', '/admin/config/system/site-information', '/admin/config/system/site-information', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1031:{a:9:{s:4:"path";s:37:"/admin/config/system/site-information";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\system\\Form\\SiteInformationForm";s:6:"_title";s:19:"Basic site settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":410:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:45:"#^/admin/config/system/site\\-information$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/system/site-information";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/system/site-information";s:8:"numParts";i:4;}}}}', 4),
('system.site_maintenance_mode', '/admin/config/development/maintenance', '/admin/config/development/maintenance', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1059:{a:9:{s:4:"path";s:37:"/admin/config/development/maintenance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\system\\Form\\SiteMaintenanceModeForm";s:6:"_title";s:16:"Maintenance mode";}s:12:"requirements";a:1:{s:11:"_permission";s:57:"administer site configuration+administer software updates";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":409:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/config/development/maintenance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:37:"/admin/config/development/maintenance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:37:"/admin/config/development/maintenance";s:8:"numParts";i:4;}}}}', 4),
('system.status', '/admin/reports/status', '/admin/reports/status', 7, 'C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:21:"/admin/reports/status";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemInfoController::status";s:6:"_title";s:13:"Status report";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/reports/status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/reports/status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/reports/status";s:8:"numParts";i:3;}}}}', 3),
('system.temporary', '/system/temporary', '/system/temporary', 3, 'C:31:"Symfony\\Component\\Routing\\Route":895:{a:9:{s:4:"path";s:17:"/system/temporary";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:47:"\\Drupal\\system\\FileDownloadController::download";s:6:"scheme";s:9:"temporary";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/system/temporary$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/system/temporary";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/system/temporary";s:8:"numParts";i:2;}}}}', 2),
('system.themes_page', '/admin/appearance', '/admin/appearance', 3, 'C:31:"Symfony\\Component\\Routing\\Route":950:{a:9:{s:4:"path";s:17:"/admin/appearance";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:10:"Appearance";s:11:"_controller";s:54:"\\Drupal\\system\\Controller\\SystemController::themesPage";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":348:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/admin/appearance$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/admin/appearance";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:17:"/admin/appearance";s:8:"numParts";i:2;}}}}', 2),
('system.theme_install', '/admin/appearance/install', '/admin/appearance/install', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1006:{a:9:{s:4:"path";s:25:"/admin/appearance/install";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:50:"\\Drupal\\system\\Controller\\ThemeController::install";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/appearance/install$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/appearance/install";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/appearance/install";s:8:"numParts";i:3;}}}}', 3),
('system.theme_settings', '/admin/appearance/settings', '/admin/appearance/settings', 7, 'C:31:"Symfony\\Component\\Routing\\Route":971:{a:9:{s:4:"path";s:26:"/admin/appearance/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\system\\Form\\ThemeSettingsForm";s:6:"_title";s:19:"Appearance settings";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":375:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/appearance/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/appearance/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:26:"/admin/appearance/settings";s:8:"numParts";i:3;}}}}', 3),
('system.theme_settings_theme', '/admin/appearance/settings/{theme}', '/admin/appearance/settings/%', 14, 'C:31:"Symfony\\Component\\Routing\\Route":1126:{a:9:{s:4:"path";s:34:"/admin/appearance/settings/{theme}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\system\\Form\\ThemeSettingsForm";s:15:"_title_callback";s:21:"theme_handler:getName";}s:12:"requirements";a:1:{s:11:"_permission";s:17:"administer themes";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":510:{a:11:{s:4:"vars";a:1:{i:0;s:5:"theme";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/admin/appearance/settings/(?P<theme>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"theme";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/appearance/settings";}}s:9:"path_vars";a:1:{i:0;s:5:"theme";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:14;s:14:"patternOutline";s:28:"/admin/appearance/settings/%";s:8:"numParts";i:4;}}}}', 4),
('system.theme_set_default', '/admin/appearance/default', '/admin/appearance/default', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1055:{a:9:{s:4:"path";s:25:"/admin/appearance/default";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:20:"Set as default theme";s:11:"_controller";s:58:"\\Drupal\\system\\Controller\\ThemeController::setDefaultTheme";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/appearance/default$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/appearance/default";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/appearance/default";s:8:"numParts";i:3;}}}}', 3),
('system.theme_uninstall', '/admin/appearance/uninstall', '/admin/appearance/uninstall', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1016:{a:9:{s:4:"path";s:27:"/admin/appearance/uninstall";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\system\\Controller\\ThemeController::uninstall";}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer themes";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":378:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/admin/appearance/uninstall$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/appearance/uninstall";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:27:"/admin/appearance/uninstall";s:8:"numParts";i:3;}}}}', 3),
('system.timezone', '/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}', '/system/timezone', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1522:{a:9:{s:4:"path";s:66:"/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:11:"_controller";s:57:"\\Drupal\\system\\Controller\\TimezoneController::getTimezone";s:12:"abbreviation";s:0:"";s:6:"offset";i:-1;s:23:"is_daylight_saving_time";N;}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":867:{a:11:{s:4:"vars";a:3:{i:0;s:12:"abbreviation";i:1;s:6:"offset";i:2;s:23:"is_daylight_saving_time";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:118:"#^/system/timezone(?:/(?P<abbreviation>[^/]++)(?:/(?P<offset>[^/]++)(?:/(?P<is_daylight_saving_time>[^/]++))?)?)?$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:23:"is_daylight_saving_time";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:6:"offset";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:12:"abbreviation";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:16:"/system/timezone";}}s:9:"path_vars";a:3:{i:0;s:12:"abbreviation";i:1;s:6:"offset";i:2;s:23:"is_daylight_saving_time";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:16:"/system/timezone";s:8:"numParts";i:5;}}}}', 5),
('toolbar.subtrees', '/toolbar/subtrees/{hash}', '/toolbar/subtrees/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1082:{a:9:{s:4:"path";s:24:"/toolbar/subtrees/{hash}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:58:"\\Drupal\\toolbar\\Controller\\ToolbarController::subtreesAjax";}s:12:"requirements";a:1:{s:14:"_custom_access";s:64:"\\Drupal\\toolbar\\Controller\\ToolbarController::checkSubTreeAccess";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":478:{a:11:{s:4:"vars";a:1:{i:0;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/toolbar/subtrees/(?P<hash>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:17:"/toolbar/subtrees";}}s:9:"path_vars";a:1:{i:0;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:19:"/toolbar/subtrees/%";s:8:"numParts";i:3;}}}}', 3),
('update.confirmation_page', '/admin/update/ready', '/admin/update/ready', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1030:{a:9:{s:4:"path";s:19:"/admin/update/ready";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\update\\Form\\UpdateReady";s:6:"_title";s:15:"Ready to update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/update/ready$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/update/ready";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/update/ready";s:8:"numParts";i:3;}}}}', 3),
('update.manual_status', '/admin/reports/updates/check', '/admin/reports/updates/check', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1085:{a:9:{s:4:"path";s:28:"/admin/reports/updates/check";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:6:"_title";s:19:"Manual update check";s:11:"_controller";s:64:"\\Drupal\\update\\Controller\\UpdateController::updateStatusManually";}s:12:"requirements";a:2:{s:11:"_permission";s:29:"administer site configuration";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/reports/updates/check$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/updates/check";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:28:"/admin/reports/updates/check";s:8:"numParts";i:4;}}}}', 4),
('update.module_install', '/admin/modules/install', '/admin/modules/install', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1050:{a:9:{s:4:"path";s:22:"/admin/modules/install";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\update\\Form\\UpdateManagerInstall";s:6:"_title";s:14:"Add new module";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/modules/install$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/modules/install";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/modules/install";s:8:"numParts";i:3;}}}}', 3),
('update.module_update', '/admin/modules/update', '/admin/modules/update', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1036:{a:9:{s:4:"path";s:21:"/admin/modules/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":360:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/admin/modules/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/admin/modules/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:21:"/admin/modules/update";s:8:"numParts";i:3;}}}}', 3),
('update.report_install', '/admin/reports/updates/install', '/admin/reports/updates/install', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1092:{a:9:{s:4:"path";s:30:"/admin/reports/updates/install";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\update\\Form\\UpdateManagerInstall";s:6:"_title";s:23:"Add new module or theme";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":388:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:37:"#^/admin/reports/updates/install$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:30:"/admin/reports/updates/install";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:30:"/admin/reports/updates/install";s:8:"numParts";i:4;}}}}', 4),
('update.report_update', '/admin/reports/updates/update', '/admin/reports/updates/update', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1069:{a:9:{s:4:"path";s:29:"/admin/reports/updates/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/updates/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/reports/updates/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/reports/updates/update";s:8:"numParts";i:4;}}}}', 4),
('update.settings', '/admin/reports/updates/settings', '/admin/reports/updates/settings', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1004:{a:9:{s:4:"path";s:31:"/admin/reports/updates/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:33:"\\Drupal\\update\\UpdateSettingsForm";s:6:"_title";s:23:"Update Manager settings";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/reports/updates/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/reports/updates/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/reports/updates/settings";s:8:"numParts";i:4;}}}}', 4),
('update.status', '/admin/reports/updates', '/admin/reports/updates', 7, 'C:31:"Symfony\\Component\\Routing\\Route":991:{a:9:{s:4:"path";s:22:"/admin/reports/updates";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\update\\Controller\\UpdateController::updateStatus";s:6:"_title";s:17:"Available updates";}s:12:"requirements";a:1:{s:11:"_permission";s:29:"administer site configuration";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/reports/updates$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/reports/updates";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/reports/updates";s:8:"numParts";i:3;}}}}', 3),
('update.theme_install', '/admin/theme/install', '/admin/theme/install', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1041:{a:9:{s:4:"path";s:20:"/admin/theme/install";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:40:"\\Drupal\\update\\Form\\UpdateManagerInstall";s:6:"_title";s:13:"Add new theme";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/theme/install$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/theme/install";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/theme/install";s:8:"numParts";i:3;}}}}', 3),
('update.theme_update', '/admin/theme/update', '/admin/theme/update', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1028:{a:9:{s:4:"path";s:19:"/admin/theme/update";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\update\\Form\\UpdateManagerUpdate";s:6:"_title";s:6:"Update";}s:12:"requirements";a:2:{s:11:"_permission";s:27:"administer software updates";s:22:"_access_update_manager";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:34:"access_check.update.manager_access";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":354:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:26:"#^/admin/theme/update$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/admin/theme/update";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:19:"/admin/theme/update";s:8:"numParts";i:3;}}}}', 3),
('user.admin_create', '/admin/people/create', '/admin/people/create', 7, 'C:31:"Symfony\\Component\\Routing\\Route":918:{a:9:{s:4:"path";s:20:"/admin/people/create";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:13:"user.register";s:6:"_title";s:8:"Add user";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:4:"user";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/people/create$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/people/create";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/people/create";s:8:"numParts";i:3;}}}}', 3),
('user.admin_index', '/admin/config/people', '/admin/config/people', 7, 'C:31:"Symfony\\Component\\Routing\\Route":981:{a:9:{s:4:"path";s:20:"/admin/config/people";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:68:"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage";s:6:"_title";s:6:"People";}s:12:"requirements";a:1:{s:11:"_permission";s:27:"access administration pages";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/config/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/config/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/config/people";s:8:"numParts";i:3;}}}}', 3),
('user.admin_permissions', '/admin/people/permissions', '/admin/people/permissions', 7, 'C:31:"Symfony\\Component\\Routing\\Route":964:{a:9:{s:4:"path";s:25:"/admin/people/permissions";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:37:"\\Drupal\\user\\Form\\UserPermissionsForm";s:6:"_title";s:11:"Permissions";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer permissions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":372:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/admin/people/permissions$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/people/permissions";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:25:"/admin/people/permissions";s:8:"numParts";i:3;}}}}', 3),
('user.admin_permissions.module', '/admin/people/permissions/module/{modules}', '/admin/people/permissions/module/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1345:{a:9:{s:4:"path";s:42:"/admin/people/permissions/module/{modules}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:51:"\\Drupal\\user\\Form\\UserPermissionsModuleSpecificForm";s:6:"_title";s:18:"Module Permissions";}s:12:"requirements";a:3:{s:11:"_permission";s:22:"administer permissions";s:7:"modules";s:16:"[a-z][a-z0-9_,]*";s:14:"_custom_access";s:59:"\\Drupal\\user\\Form\\UserPermissionsModuleSpecificForm::access";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:2:{i:0;s:23:"access_check.permission";i:1;s:19:"access_check.custom";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":557:{a:11:{s:4:"vars";a:1:{i:0;s:7:"modules";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/admin/people/permissions/module/(?P<modules>[a-z][a-z0-9_,]*)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:16:"[a-z][a-z0-9_,]*";i:3;s:7:"modules";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:32:"/admin/people/permissions/module";}}s:9:"path_vars";a:1:{i:0;s:7:"modules";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:34:"/admin/people/permissions/module/%";s:8:"numParts";i:5;}}}}', 5),
('user.cancel_confirm', '/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}', '/user/%/cancel/confirm', 11, 'C:31:"Symfony\\Component\\Routing\\Route":1642:{a:9:{s:4:"path";s:53:"/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}";s:4:"host";s:0:"";s:8:"defaults";a:4:{s:6:"_title";s:28:"Confirm account cancellation";s:11:"_controller";s:53:"\\Drupal\\user\\Controller\\UserController::confirmCancel";s:9:"timestamp";i:0;s:11:"hashed_pass";s:0:"";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"user.delete";s:4:"user";s:3:"\\d+";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:4:"user";a:2:{s:4:"type";s:11:"entity:user";s:9:"converter";s:21:"paramconverter.entity";}}s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":835:{a:11:{s:4:"vars";a:3:{i:0;s:4:"user";i:1;s:9:"timestamp";i:2;s:11:"hashed_pass";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:97:"#^/user/(?P<user>\\d+)/cancel/confirm(?:/(?P<timestamp>[^/]++)(?:/(?P<hashed_pass>[^/]++))?)?$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:11:"hashed_pass";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:15:"/cancel/confirm";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:3:"\\d+";i:3;s:4:"user";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:3:{i:0;s:4:"user";i:1;s:9:"timestamp";i:2;s:11:"hashed_pass";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:11;s:14:"patternOutline";s:22:"/user/%/cancel/confirm";s:8:"numParts";i:6;}}}}', 6),
('user.edit', '/user/edit', '/user/edit', 3, 'C:31:"Symfony\\Component\\Routing\\Route":898:{a:9:{s:4:"path";s:10:"/user/edit";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:52:"\\Drupal\\user\\Controller\\UserController::userEditPage";s:6:"_title";s:12:"Edit account";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":327:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:17:"#^/user/edit$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:10:"/user/edit";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:10:"/user/edit";s:8:"numParts";i:2;}}}}', 2),
('user.login', '/user/login', '/user/login', 3, 'C:31:"Symfony\\Component\\Routing\\Route":899:{a:9:{s:4:"path";s:11:"/user/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:31:"\\Drupal\\user\\Form\\UserLoginForm";s:6:"_title";s:6:"Log in";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/user/login$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/user/login";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/user/login";s:8:"numParts";i:2;}}}}', 2),
('user.login.http', '/user/login', '/user/login', 3, 'C:31:"Symfony\\Component\\Routing\\Route":888:{a:9:{s:4:"path";s:11:"/user/login";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:59:"\\Drupal\\user\\Controller\\UserAuthenticationController::login";}s:12:"requirements";a:2:{s:18:"_user_is_logged_in";s:5:"FALSE";s:7:"_format";s:4:"json";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:1:{i:0;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/user/login$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/user/login";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/user/login";s:8:"numParts";i:2;}}}}', 2),
('user.login_status.http', '/user/login_status', '/user/login_status', 3, 'C:31:"Symfony\\Component\\Routing\\Route":898:{a:9:{s:4:"path";s:18:"/user/login_status";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:65:"\\Drupal\\user\\Controller\\UserAuthenticationController::loginStatus";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"json";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:1:{i:0;s:3:"GET";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":351:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/user/login_status$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/user/login_status";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:18:"/user/login_status";s:8:"numParts";i:2;}}}}', 2),
('user.logout', '/user/logout', '/user/logout', 3, 'C:31:"Symfony\\Component\\Routing\\Route":867:{a:9:{s:4:"path";s:12:"/user/logout";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:46:"\\Drupal\\user\\Controller\\UserController::logout";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/user/logout$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/user/logout";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/user/logout";s:8:"numParts";i:2;}}}}', 2),
('user.logout.http', '/user/logout', '/user/logout', 3, 'C:31:"Symfony\\Component\\Routing\\Route":951:{a:9:{s:4:"path";s:12:"/user/logout";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:60:"\\Drupal\\user\\Controller\\UserAuthenticationController::logout";}s:12:"requirements";a:3:{s:18:"_user_is_logged_in";s:4:"TRUE";s:7:"_format";s:4:"json";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:30:"access_check.user.login_status";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:1:{i:0;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/user/logout$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/user/logout";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:12:"/user/logout";s:8:"numParts";i:2;}}}}', 2);
INSERT INTO `router` VALUES
('user.multiple_cancel_confirm', '/admin/people/cancel', '/admin/people/cancel', 7, 'C:31:"Symfony\\Component\\Routing\\Route":944:{a:9:{s:4:"path";s:20:"/admin/people/cancel";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:43:"\\Drupal\\user\\Form\\UserMultipleCancelConfirm";s:6:"_title";s:11:"Cancel user";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer users";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/people/cancel$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/people/cancel";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/people/cancel";s:8:"numParts";i:3;}}}}', 3),
('user.page', '/user', '/user', 1, 'C:31:"Symfony\\Component\\Routing\\Route":869:{a:9:{s:4:"path";s:5:"/user";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:48:"\\Drupal\\user\\Controller\\UserController::userPage";s:6:"_title";s:10:"My account";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":310:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:12:"#^/user$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/user";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:5:"/user";s:8:"numParts";i:1;}}}}', 1),
('user.pass', '/user/password', '/user/password', 3, 'C:31:"Symfony\\Component\\Routing\\Route":905:{a:9:{s:4:"path";s:14:"/user/password";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\user\\Form\\UserPasswordForm";s:6:"_title";s:19:"Reset your password";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/user/password$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/user/password";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/user/password";s:8:"numParts";i:2;}}}}', 2),
('user.pass.http', '/user/password', '/user/password', 3, 'C:31:"Symfony\\Component\\Routing\\Route":885:{a:9:{s:4:"path";s:14:"/user/password";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:67:"\\Drupal\\user\\Controller\\UserAuthenticationController::resetPassword";}s:12:"requirements";a:2:{s:7:"_access";s:4:"TRUE";s:7:"_format";s:4:"json";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:1:{i:0;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/user/password$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/user/password";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/user/password";s:8:"numParts";i:2;}}}}', 2),
('user.register', '/user/register', '/user/register', 3, 'C:31:"Symfony\\Component\\Routing\\Route":881:{a:9:{s:4:"path";s:14:"/user/register";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:13:"user.register";s:6:"_title";s:18:"Create new account";}s:12:"requirements";a:1:{s:21:"_access_user_register";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.user.register";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/user/register$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/user/register";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/user/register";s:8:"numParts";i:2;}}}}', 2),
('user.reset', '/user/reset/{uid}/{timestamp}/{hash}', '/user/reset/%/%/%', 24, 'C:31:"Symfony\\Component\\Routing\\Route":1361:{a:9:{s:4:"path";s:36:"/user/reset/{uid}/{timestamp}/{hash}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:49:"\\Drupal\\user\\Controller\\UserController::resetPass";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":737:{a:11:{s:4:"vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:73:"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:24;s:14:"patternOutline";s:17:"/user/reset/%/%/%";s:8:"numParts";i:5;}}}}', 5),
('user.reset.form', '/user/reset/{uid}', '/user/reset/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1091:{a:9:{s:4:"path";s:17:"/user/reset/{uid}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:56:"\\Drupal\\user\\Controller\\UserController::getResetPassForm";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":456:{a:11:{s:4:"vars";a:1:{i:0;s:3:"uid";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:34:"#^/user/reset/(?P<uid>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:1:{i:0;s:3:"uid";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:13:"/user/reset/%";s:8:"numParts";i:3;}}}}', 3),
('user.reset.login', '/user/reset/{uid}/{timestamp}/{hash}/login', '/user/reset/%/%/%/login', 49, 'C:31:"Symfony\\Component\\Routing\\Route":1449:{a:9:{s:4:"path";s:42:"/user/reset/{uid}/{timestamp}/{hash}/login";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\user\\Controller\\UserController::resetPassLogin";s:6:"_title";s:14:"Reset password";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:5:"FALSE";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:19:"_maintenance_access";b:1;s:8:"no_cache";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":791:{a:11:{s:4:"vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:79:"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/login$#sDu";s:11:"path_tokens";a:5:{i:0;a:2:{i:0;s:4:"text";i:1;s:6:"/login";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"hash";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:9:"timestamp";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"uid";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:11:"/user/reset";}}s:9:"path_vars";a:3:{i:0;s:3:"uid";i:1;s:9:"timestamp";i:2;s:4:"hash";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:49;s:14:"patternOutline";s:23:"/user/reset/%/%/%/login";s:8:"numParts";i:6;}}}}', 6),
('user.role.settings', '/admin/people/role-settings', '/admin/people/role-settings', 7, 'C:31:"Symfony\\Component\\Routing\\Route":972:{a:9:{s:4:"path";s:27:"/admin/people/role-settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:34:"\\Drupal\\user\\Form\\RoleSettingsForm";s:6:"_title";s:13:"Role settings";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer permissions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":379:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:35:"#^/admin/people/role\\-settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/admin/people/role-settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:27:"/admin/people/role-settings";s:8:"numParts";i:3;}}}}', 3),
('user.role_add', '/admin/people/roles/add', '/admin/people/roles/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":941:{a:9:{s:4:"path";s:23:"/admin/people/roles/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:17:"user_role.default";s:6:"_title";s:8:"Add role";}s:12:"requirements";a:1:{s:11:"_permission";s:22:"administer permissions";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":367:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/admin/people/roles/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/admin/people/roles/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:23:"/admin/people/roles/add";s:8:"numParts";i:4;}}}}', 4),
('user.well-known.change_password', '/.well-known/change-password', '/.well-known/change-password', 3, 'C:31:"Symfony\\Component\\Routing\\Route":940:{a:9:{s:4:"path";s:28:"/.well-known/change-password";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:52:"\\Drupal\\user\\Controller\\UserController::userEditPage";}s:12:"requirements";a:1:{s:18:"_user_is_logged_in";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:30:"access_check.user.login_status";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":384:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/\\.well\\-known/change\\-password$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/.well-known/change-password";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:28:"/.well-known/change-password";s:8:"numParts";i:2;}}}}', 2),
('view.block_content.page_1', '/admin/structure/block/block-content', '/admin/structure/block/block-content', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1427:{a:9:{s:4:"path";s:36:"/admin/structure/block/block-content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"block_content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:17:"administer blocks";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":407:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/admin/structure/block/block\\-content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:36:"/admin/structure/block/block-content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:36:"/admin/structure/block/block-content";s:8:"numParts";i:4;}}}}', 4),
('view.comment.page_published', '/admin/content/comment', '/admin/content/comment', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1373:{a:9:{s:4:"path";s:22:"/admin/content/comment";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:14:"page_published";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/content/comment$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/content/comment";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/content/comment";s:8:"numParts";i:3;}}}}', 3),
('view.comment.page_unapproved', '/admin/content/comment/approval', '/admin/content/comment/approval', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1411:{a:9:{s:4:"path";s:31:"/admin/content/comment/approval";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"comment";s:10:"display_id";s:15:"page_unapproved";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"administer comments";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/content/comment/approval$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/content/comment/approval";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/content/comment/approval";s:8:"numParts";i:4;}}}}', 4),
('view.content.page_1', '/admin/content', '/admin/content', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1336:{a:9:{s:4:"path";s:14:"/admin/content";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:7:"content";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:23:"access content overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/admin/content$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/admin/content";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:14:"/admin/content";s:8:"numParts";i:2;}}}}', 2),
('view.files.page_1', '/admin/content/files', '/admin/content/files', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1356:{a:9:{s:4:"path";s:20:"/admin/content/files";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:5:"files";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:21:"access files overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/content/files$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/content/files";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/content/files";s:8:"numParts";i:3;}}}}', 3),
('view.files.page_2', '/admin/content/files/usage/{arg_0}', '/admin/content/files/usage/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1547:{a:9:{s:4:"path";s:34:"/admin/content/files/usage/{arg_0}";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:5:"files";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:21:"access files overview";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:5:"arg_0";}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":510:{a:11:{s:4:"vars";a:1:{i:0;s:5:"arg_0";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:51:"#^/admin/content/files/usage/(?P<arg_0>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"arg_0";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/content/files/usage";}}s:9:"path_vars";a:1:{i:0;s:5:"arg_0";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:28:"/admin/content/files/usage/%";s:8:"numParts";i:5;}}}}', 5),
('view.fontyourface_font_manager.page_1', '/admin/appearance/font', '/admin/appearance/font', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1388:{a:9:{s:4:"path";s:22:"/admin/appearance/font";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:25:"fontyourface_font_manager";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:24:"administer font entities";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/admin/appearance/font$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/appearance/font";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:22:"/admin/appearance/font";s:8:"numParts";i:3;}}}}', 3),
('view.frontpage.feed_1', '/rss.xml', '/rss.xml', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1254:{a:9:{s:4:"path";s:8:"/rss.xml";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"frontpage";s:10:"display_id";s:6:"feed_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"feed";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":320:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/rss\\.xml$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/rss.xml";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/rss.xml";s:8:"numParts";i:1;}}}}', 1),
('view.frontpage.page_1', '/node', '/node', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1266:{a:9:{s:4:"path";s:5:"/node";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"frontpage";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":310:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:12:"#^/node$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/node";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:5:"/node";s:8:"numParts";i:1;}}}}', 1),
('view.mt_albums.page_2', '/albums-3-col-style-2', '/albums-3-col-style-2', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1337:{a:9:{s:4:"path";s:21:"/albums-3-col-style-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_albums";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":364:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:32:"#^/albums\\-3\\-col\\-style\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/albums-3-col-style-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/albums-3-col-style-2";s:8:"numParts";i:1;}}}}', 1),
('view.mt_albums_grid_style_2.page_2', '/albums', '/albums', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1288:{a:9:{s:4:"path";s:7:"/albums";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/albums$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/albums";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/albums";s:8:"numParts";i:1;}}}}', 1),
('view.mt_albums_grid_style_2.page_3', '/albums-2-col', '/albums-2-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1317:{a:9:{s:4:"path";s:13:"/albums-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_albums_grid_style_2";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/albums\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/albums-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/albums-2-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_articles.page_1', '/articles', '/articles', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1285:{a:9:{s:4:"path";s:9:"/articles";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_articles";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/articles$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/articles";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/articles";s:8:"numParts";i:1;}}}}', 1),
('view.mt_articles_grid.page_1', '/articles-4-col', '/articles-4-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-4-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_articles_grid.page_2', '/articles-3-col', '/articles-3-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-3-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_articles_grid.page_4', '/articles-2-col', '/articles-2-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/articles-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_grid";s:10:"display_id";s:6:"page_4";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/articles\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/articles-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/articles-2-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_articles_list.page_1', '/articles-list', '/articles-list', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:14:"/articles-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_articles_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":340:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/articles\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/articles-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/articles-list";s:8:"numParts";i:1;}}}}', 1),
('view.mt_collections_grid.page_1', '/merchandise-groups', '/merchandise-groups', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1337:{a:9:{s:4:"path";s:19:"/merchandise-groups";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_collections_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":355:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-groups$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/merchandise-groups";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/merchandise-groups";s:8:"numParts";i:1;}}}}', 1),
('view.mt_collections_masonry.page_1', '/merchandise-groups-masonry', '/merchandise-groups-masonry', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1373:{a:9:{s:4:"path";s:27:"/merchandise-groups-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_collections_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":380:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/merchandise\\-groups\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:27:"/merchandise-groups-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:27:"/merchandise-groups-masonry";s:8:"numParts";i:1;}}}}', 1),
('view.mt_events_grid.page_2', '/events-3-col', '/events-3-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1309:{a:9:{s:4:"path";s:13:"/events-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-3-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_events_grid.page_3', '/events-2-col', '/events-2-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1309:{a:9:{s:4:"path";s:13:"/events-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":338:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/events\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/events-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/events-2-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_events_list.page_1', '/events', '/events', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1280:{a:9:{s:4:"path";s:7:"/events";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:14:"mt_events_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/events$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/events";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/events";s:8:"numParts";i:1;}}}}', 1),
('view.mt_isotope.page_1', '/albums-isotope', '/albums-isotope', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1312:{a:9:{s:4:"path";s:15:"/albums-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":343:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/albums\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/albums-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/albums-isotope";s:8:"numParts";i:1;}}}}', 1),
('view.mt_isotope.page_2', '/accommodations-isotope', '/accommodations-isotope', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:23:"/accommodations-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":367:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/accommodations\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:23:"/accommodations-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:23:"/accommodations-isotope";s:8:"numParts";i:1;}}}}', 1),
('view.mt_isotope.page_3', '/merchandise-isotope', '/merchandise-isotope', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1332:{a:9:{s:4:"path";s:20:"/merchandise-isotope";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_isotope";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-isotope$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-isotope";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-isotope";s:8:"numParts";i:1;}}}}', 1),
('view.mt_presentations_grid.page_2', '/presentations-3-col', '/presentations-3-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1344:{a:9:{s:4:"path";s:20:"/presentations-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":359:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/presentations\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/presentations-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/presentations-3-col";s:8:"numParts";i:1;}}}}', 1);
INSERT INTO `router` VALUES
('view.mt_presentations_grid.page_3', '/presentations', '/presentations', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1318:{a:9:{s:4:"path";s:14:"/presentations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:21:"mt_presentations_grid";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":339:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/presentations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:14:"/presentations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:14:"/presentations";s:8:"numParts";i:1;}}}}', 1),
('view.mt_pricing_tables.page_1', '/pricing-tables', '/pricing-tables', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1319:{a:9:{s:4:"path";s:15:"/pricing-tables";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"mt_pricing_tables";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":343:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:23:"#^/pricing\\-tables$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/pricing-tables";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/pricing-tables";s:8:"numParts";i:1;}}}}', 1),
('view.mt_products.page_1', '/merchandise-4-col', '/merchandise-4-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:18:"/merchandise-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-4-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_products.page_2', '/merchandise', '/merchandise', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1300:{a:9:{s:4:"path";s:12:"/merchandise";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":333:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:19:"#^/merchandise$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:12:"/merchandise";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:12:"/merchandise";s:8:"numParts";i:1;}}}}', 1),
('view.mt_products.page_3', '/merchandise-2-col', '/merchandise-2-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:18:"/merchandise-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_products";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/merchandise\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/merchandise-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/merchandise-2-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_products_list.page_1', '/merchandise-list', '/merchandise-list', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1326:{a:9:{s:4:"path";s:17:"/merchandise-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_products_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":349:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:25:"#^/merchandise\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:17:"/merchandise-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:17:"/merchandise-list";s:8:"numParts";i:1;}}}}', 1),
('view.mt_products_masonry.page_1', '/merchandise-masonry', '/merchandise-masonry', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1341:{a:9:{s:4:"path";s:20:"/merchandise-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:19:"mt_products_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/merchandise\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/merchandise-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/merchandise-masonry";s:8:"numParts";i:1;}}}}', 1),
('view.mt_program.page_1', '/program', '/program', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1280:{a:9:{s:4:"path";s:8:"/program";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:10:"mt_program";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":319:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:15:"#^/program$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:8:"/program";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:8:"/program";s:8:"numParts";i:1;}}}}', 1),
('view.mt_services.page_1', '/accommodations-4-col', '/accommodations-4-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:21:"/accommodations-4-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":362:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-4\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-4-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-4-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_services.page_2', '/accommodations', '/accommodations', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1312:{a:9:{s:4:"path";s:15:"/accommodations";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":342:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:22:"#^/accommodations$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/accommodations";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/accommodations";s:8:"numParts";i:1;}}}}', 1),
('view.mt_services.page_3', '/accommodations-2-col', '/accommodations-2-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:21:"/accommodations-2-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_services";s:10:"display_id";s:6:"page_3";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":362:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:30:"#^/accommodations\\-2\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/accommodations-2-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/accommodations-2-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_services_list.page_1', '/accommodations-list', '/accommodations-list', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1338:{a:9:{s:4:"path";s:20:"/accommodations-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_services_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":358:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/accommodations\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/accommodations-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:20:"/accommodations-list";s:8:"numParts";i:1;}}}}', 1),
('view.mt_speakers.page_1', '/speakers', '/speakers', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1285:{a:9:{s:4:"path";s:9:"/speakers";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:11:"mt_speakers";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/speakers$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/speakers";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/speakers";s:8:"numParts";i:1;}}}}', 1),
('view.mt_sponsors_grid.page_2', '/sponsors', '/sponsors', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1290:{a:9:{s:4:"path";s:9:"/sponsors";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:16:"mt_sponsors_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":322:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:16:"#^/sponsors$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:9:"/sponsors";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:9:"/sponsors";s:8:"numParts";i:1;}}}}', 1),
('view.mt_team_members_grid.page_2', '/team-members', '/team-members', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1314:{a:9:{s:4:"path";s:13:"/team-members";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_grid";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":337:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:21:"#^/team\\-members$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/team-members";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/team-members";s:8:"numParts";i:1;}}}}', 1),
('view.mt_team_members_grid_2.page_2', '/team-members-2', '/team-members-2', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1325:{a:9:{s:4:"path";s:15:"/team-members-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_team_members_grid_2";s:10:"display_id";s:6:"page_2";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":344:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:24:"#^/team\\-members\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:15:"/team-members-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:15:"/team-members-2";s:8:"numParts";i:1;}}}}', 1),
('view.mt_team_members_list.page_1', '/team-members-list', '/team-members-list', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1335:{a:9:{s:4:"path";s:18:"/team-members-list";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_team_members_list";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":353:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/team\\-members\\-list$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:18:"/team-members-list";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:18:"/team-members-list";s:8:"numParts";i:1;}}}}', 1),
('view.mt_testimonials.page_1', '/testimonials', '/testimonials', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1308:{a:9:{s:4:"path";s:13:"/testimonials";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:15:"mt_testimonials";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/testimonials$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/testimonials";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:13:"/testimonials";s:8:"numParts";i:1;}}}}', 1),
('view.mt_testimonials_grid.page_1', '/testimonials-3-col', '/testimonials-3-col', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1339:{a:9:{s:4:"path";s:19:"/testimonials-3-col";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:20:"mt_testimonials_grid";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":356:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:28:"#^/testimonials\\-3\\-col$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:19:"/testimonials-3-col";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:19:"/testimonials-3-col";s:8:"numParts";i:1;}}}}', 1),
('view.mt_testimonials_grid_2.page_1', '/testimonials-3-col-2', '/testimonials-3-col-2', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1350:{a:9:{s:4:"path";s:21:"/testimonials-3-col-2";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:22:"mt_testimonials_grid_2";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":363:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:31:"#^/testimonials\\-3\\-col\\-2$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-3-col-2";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-3-col-2";s:8:"numParts";i:1;}}}}', 1),
('view.mt_testimonials_masonry.page_1', '/testimonials-masonry', '/testimonials-masonry', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1349:{a:9:{s:4:"path";s:21:"/testimonials-masonry";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:23:"mt_testimonials_masonry";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":361:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:29:"#^/testimonials\\-masonry$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:21:"/testimonials-masonry";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:21:"/testimonials-masonry";s:8:"numParts";i:1;}}}}', 1),
('view.mt_videos.page_1', '/videos', '/videos', 1, 'C:31:"Symfony\\Component\\Routing\\Route":1274:{a:9:{s:4:"path";s:7:"/videos";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:9:"mt_videos";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":316:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:14:"#^/videos$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:7:"/videos";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:1;s:14:"patternOutline";s:7:"/videos";s:8:"numParts";i:1;}}}}', 1),
('view.taxonomy_term.feed_1', '/taxonomy/term/{arg_0}/feed', '/taxonomy/term/%/feed', 13, 'C:31:"Symfony\\Component\\Routing\\Route":1508:{a:9:{s:4:"path";s:27:"/taxonomy/term/{arg_0}/feed";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"feed_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:5:"arg_0";}s:23:"_view_display_plugin_id";s:4:"feed";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Feed";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:1;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":525:{a:11:{s:4:"vars";a:1:{i:0;s:5:"arg_0";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:44:"#^/taxonomy/term/(?P<arg_0>[^/]++)/feed$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/feed";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"arg_0";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:5:"arg_0";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:13;s:14:"patternOutline";s:21:"/taxonomy/term/%/feed";s:8:"numParts";i:4;}}}}', 4),
('view.taxonomy_term.page_1', '/taxonomy/term/{arg_0}', '/taxonomy/term/%', 6, 'C:31:"Symfony\\Component\\Routing\\Route":1476:{a:9:{s:4:"path";s:22:"/taxonomy/term/{arg_0}";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:13:"taxonomy_term";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:14:"access content";s:7:"_format";s:4:"html";}s:7:"options";a:8:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:1:{s:5:"arg_0";s:5:"arg_0";}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":473:{a:11:{s:4:"vars";a:1:{i:0;s:5:"arg_0";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:39:"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:5:"arg_0";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:14:"/taxonomy/term";}}s:9:"path_vars";a:1:{i:0;s:5:"arg_0";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:6;s:14:"patternOutline";s:16:"/taxonomy/term/%";s:8:"numParts";i:3;}}}}', 3),
('view.user_admin_people.page_1', '/admin/people', '/admin/people', 3, 'C:31:"Symfony\\Component\\Routing\\Route":1336:{a:9:{s:4:"path";s:13:"/admin/people";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:17:"user_admin_people";s:10:"display_id";s:6:"page_1";s:30:"_view_display_show_admin_links";b:0;}s:12:"requirements";a:2:{s:11:"_permission";s:16:"administer users";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:0;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":336:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:20:"#^/admin/people$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:13:"/admin/people";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:13:"/admin/people";s:8:"numParts";i:2;}}}}', 2),
('view.watchdog.page', '/admin/reports/dblog', '/admin/reports/dblog', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1355:{a:9:{s:4:"path";s:20:"/admin/reports/dblog";s:4:"host";s:0:"";s:8:"defaults";a:5:{s:11:"_controller";s:47:"Drupal\\views\\Routing\\ViewPageController::handle";s:15:"_title_callback";s:49:"Drupal\\views\\Routing\\ViewPageController::getTitle";s:7:"view_id";s:8:"watchdog";s:10:"display_id";s:4:"page";s:30:"_view_display_show_admin_links";b:1;}s:12:"requirements";a:2:{s:11:"_permission";s:19:"access site reports";s:7:"_format";s:4:"html";}s:7:"options";a:9:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:18:"_view_argument_map";a:0:{}s:23:"_view_display_plugin_id";s:4:"page";s:26:"_view_display_plugin_class";s:38:"Drupal\\views\\Plugin\\views\\display\\Page";s:30:"_view_display_show_admin_links";b:1;s:16:"returns_response";b:0;s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":357:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:27:"#^/admin/reports/dblog$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:20:"/admin/reports/dblog";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:20:"/admin/reports/dblog";s:8:"numParts";i:3;}}}}', 3),
('views.ajax', '/views/ajax', '/views/ajax', 3, 'C:31:"Symfony\\Component\\Routing\\Route":848:{a:9:{s:4:"path";s:11:"/views/ajax";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:53:"\\Drupal\\views\\Controller\\ViewAjaxController::ajaxView";}s:12:"requirements";a:1:{s:7:"_access";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:20:"access_check.default";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":330:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:18:"#^/views/ajax$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:11:"/views/ajax";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:3;s:14:"patternOutline";s:11:"/views/ajax";s:8:"numParts";i:2;}}}}', 2),
('views_ui.add', '/admin/structure/views/add', '/admin/structure/views/add', 15, 'C:31:"Symfony\\Component\\Routing\\Route":937:{a:9:{s:4:"path";s:26:"/admin/structure/views/add";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:12:"_entity_form";s:8:"view.add";s:6:"_title";s:8:"Add view";}s:12:"requirements";a:1:{s:21:"_entity_create_access";s:4:"view";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:26:"access_check.entity_create";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":376:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:33:"#^/admin/structure/views/add$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:26:"/admin/structure/views/add";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:26:"/admin/structure/views/add";s:8:"numParts";i:4;}}}}', 4),
('views_ui.autocomplete', '/admin/views/ajax/autocomplete/tag', '/admin/views/ajax/autocomplete/tag', 31, 'C:31:"Symfony\\Component\\Routing\\Route":995:{a:9:{s:4:"path";s:34:"/admin/views/ajax/autocomplete/tag";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:62:"\\Drupal\\views_ui\\Controller\\ViewsUIController::autocompleteTag";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":400:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:41:"#^/admin/views/ajax/autocomplete/tag$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:34:"/admin/views/ajax/autocomplete/tag";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:34:"/admin/views/ajax/autocomplete/tag";s:8:"numParts";i:5;}}}}', 5),
('views_ui.form_add_handler', '/admin/structure/views/{js}/add-handler/{view}/{display_id}/{type}', '/admin/structure/views/%/add-handler/%/%/%', 232, 'C:31:"Symfony\\Component\\Routing\\Route":1783:{a:9:{s:4:"path";s:66:"/admin/structure/views/{js}/add-handler/{view}/{display_id}/{type}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:46:"\\Drupal\\views_ui\\Form\\Ajax\\AddHandler::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":985:{a:11:{s:4:"vars";a:4:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:117:"#^/admin/structure/views/(?P<js>nojs|ajax)/add\\-handler/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:12:"/add-handler";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:4:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:232;s:14:"patternOutline";s:42:"/admin/structure/views/%/add-handler/%/%/%";s:8:"numParts";i:8;}}}}', 8),
('views_ui.form_analyze', '/admin/structure/views/{js}/analyze/{view}/{display_id}', '/admin/structure/views/%/analyze/%/%', 116, 'C:31:"Symfony\\Component\\Routing\\Route":1624:{a:9:{s:4:"path";s:55:"/admin/structure/views/{js}/analyze/{view}/{display_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:43:"\\Drupal\\views_ui\\Form\\Ajax\\Analyze::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":840:{a:11:{s:4:"vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:95:"#^/admin/structure/views/(?P<js>nojs|ajax)/analyze/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:8:"/analyze";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:116;s:14:"patternOutline";s:36:"/admin/structure/views/%/analyze/%/%";s:8:"numParts";i:7;}}}}', 7),
('views_ui.form_display', '/admin/structure/views/{js}/display/{view}/{display_id}/{type}', '/admin/structure/views/%/display/%/%/%', 232, 'C:31:"Symfony\\Component\\Routing\\Route":1762:{a:9:{s:4:"path";s:62:"/admin/structure/views/{js}/display/{view}/{display_id}/{type}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:43:"\\Drupal\\views_ui\\Form\\Ajax\\Display::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":971:{a:11:{s:4:"vars";a:4:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:112:"#^/admin/structure/views/(?P<js>nojs|ajax)/display/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/display";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:4:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:232;s:14:"patternOutline";s:38:"/admin/structure/views/%/display/%/%/%";s:8:"numParts";i:8;}}}}', 8),
('views_ui.form_edit_details', '/admin/structure/views/{js}/edit-details/{view}/{display_id}', '/admin/structure/views/%/edit-details/%/%', 116, 'C:31:"Symfony\\Component\\Routing\\Route":1651:{a:9:{s:4:"path";s:60:"/admin/structure/views/{js}/edit-details/{view}/{display_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:47:"\\Drupal\\views_ui\\Form\\Ajax\\EditDetails::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":858:{a:11:{s:4:"vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:101:"#^/admin/structure/views/(?P<js>nojs|ajax)/edit\\-details/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:13:"/edit-details";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:116;s:14:"patternOutline";s:41:"/admin/structure/views/%/edit-details/%/%";s:8:"numParts";i:7;}}}}', 7),
('views_ui.form_handler', '/admin/structure/views/{js}/handler/{view}/{display_id}/{type}/{id}', '/admin/structure/views/%/handler/%/%/%/%', 464, 'C:31:"Symfony\\Component\\Routing\\Route":1896:{a:9:{s:4:"path";s:67:"/admin/structure/views/{js}/handler/{view}/{display_id}/{type}/{id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:49:"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandler::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1093:{a:11:{s:4:"vars";a:5:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";i:4;s:2:"id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:127:"#^/admin/structure/views/(?P<js>nojs|ajax)/handler/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu";s:11:"path_tokens";a:7:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:8:"/handler";}i:5;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:6;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:5:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";i:4;s:2:"id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:464;s:14:"patternOutline";s:40:"/admin/structure/views/%/handler/%/%/%/%";s:8:"numParts";i:9;}}}}', 9);
INSERT INTO `router` VALUES
('views_ui.form_handler_extra', '/admin/structure/views/{js}/handler-extra/{view}/{display_id}/{type}/{id}', '/admin/structure/views/%/handler-extra/%/%/%/%', 464, 'C:31:"Symfony\\Component\\Routing\\Route":1927:{a:9:{s:4:"path";s:73:"/admin/structure/views/{js}/handler-extra/{view}/{display_id}/{type}/{id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:54:"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandlerExtra::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1113:{a:11:{s:4:"vars";a:5:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";i:4;s:2:"id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/admin/structure/views/(?P<js>nojs|ajax)/handler\\-extra/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu";s:11:"path_tokens";a:7:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:14:"/handler-extra";}i:5;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:6;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:5:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";i:4;s:2:"id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:464;s:14:"patternOutline";s:46:"/admin/structure/views/%/handler-extra/%/%/%/%";s:8:"numParts";i:9;}}}}', 9),
('views_ui.form_handler_group', '/admin/structure/views/{js}/handler-group/{view}/{display_id}/{type}/{id}', '/admin/structure/views/%/handler-group/%/%/%/%', 464, 'C:31:"Symfony\\Component\\Routing\\Route":1947:{a:9:{s:4:"path";s:73:"/admin/structure/views/{js}/handler-group/{view}/{display_id}/{type}/{id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:54:"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandlerGroup::getForm";s:10:"form_state";N;}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":1113:{a:11:{s:4:"vars";a:5:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";i:4;s:2:"id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:134:"#^/admin/structure/views/(?P<js>nojs|ajax)/handler\\-group/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu";s:11:"path_tokens";a:7:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:14:"/handler-group";}i:5;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:6;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:5:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";i:4;s:2:"id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:464;s:14:"patternOutline";s:46:"/admin/structure/views/%/handler-group/%/%/%/%";s:8:"numParts";i:9;}}}}', 9),
('views_ui.form_rearrange', '/admin/structure/views/{js}/rearrange/{view}/{display_id}/{type}', '/admin/structure/views/%/rearrange/%/%/%', 232, 'C:31:"Symfony\\Component\\Routing\\Route":1773:{a:9:{s:4:"path";s:64:"/admin/structure/views/{js}/rearrange/{view}/{display_id}/{type}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:45:"\\Drupal\\views_ui\\Form\\Ajax\\Rearrange::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":978:{a:11:{s:4:"vars";a:4:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:114:"#^/admin/structure/views/(?P<js>nojs|ajax)/rearrange/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu";s:11:"path_tokens";a:6:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:10:"/rearrange";}i:4;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:5;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:4:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";i:3;s:4:"type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:232;s:14:"patternOutline";s:40:"/admin/structure/views/%/rearrange/%/%/%";s:8:"numParts";i:8;}}}}', 8),
('views_ui.form_rearrange_filter', '/admin/structure/views/{js}/rearrange-filter/{view}/{display_id}', '/admin/structure/views/%/rearrange-filter/%/%', 116, 'C:31:"Symfony\\Component\\Routing\\Route":1671:{a:9:{s:4:"path";s:64:"/admin/structure/views/{js}/rearrange-filter/{view}/{display_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\views_ui\\Form\\Ajax\\RearrangeFilter::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":870:{a:11:{s:4:"vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/views/(?P<js>nojs|ajax)/rearrange\\-filter/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:17:"/rearrange-filter";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:116;s:14:"patternOutline";s:45:"/admin/structure/views/%/rearrange-filter/%/%";s:8:"numParts";i:7;}}}}', 7),
('views_ui.form_reorder_displays', '/admin/structure/views/{js}/reorder-displays/{view}/{display_id}', '/admin/structure/views/%/reorder-displays/%/%', 116, 'C:31:"Symfony\\Component\\Routing\\Route":1671:{a:9:{s:4:"path";s:64:"/admin/structure/views/{js}/reorder-displays/{view}/{display_id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:51:"\\Drupal\\views_ui\\Form\\Ajax\\ReorderDisplays::getForm";}s:12:"requirements";a:2:{s:14:"_entity_access";s:11:"view.update";s:2:"js";s:9:"nojs|ajax";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:4:"view";a:3:{s:9:"tempstore";b:1;s:4:"type";s:11:"entity:view";s:9:"converter";s:53:"drupal.proxy_original_service.paramconverter.views_ui";}}s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":870:{a:11:{s:4:"vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:105:"#^/admin/structure/views/(?P<js>nojs|ajax)/reorder\\-displays/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu";s:11:"path_tokens";a:5:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:10:"display_id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"view";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:17:"/reorder-displays";}i:3;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:9:"nojs|ajax";i:3;s:2:"js";i:4;b:1;}i:4;a:2:{i:0;s:4:"text";i:1;s:22:"/admin/structure/views";}}s:9:"path_vars";a:3:{i:0;s:2:"js";i:1;s:4:"view";i:2;s:10:"display_id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:116;s:14:"patternOutline";s:45:"/admin/structure/views/%/reorder-displays/%/%";s:8:"numParts";i:7;}}}}', 7),
('views_ui.reports_fields', '/admin/reports/fields/views-fields', '/admin/reports/fields/views-fields', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1027:{a:9:{s:4:"path";s:34:"/admin/reports/fields/views-fields";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:59:"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportFields";s:6:"_title";s:13:"Used in views";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":401:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:42:"#^/admin/reports/fields/views\\-fields$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:34:"/admin/reports/fields/views-fields";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:34:"/admin/reports/fields/views-fields";s:8:"numParts";i:4;}}}}', 4),
('views_ui.reports_plugins', '/admin/reports/views-plugins', '/admin/reports/views-plugins', 7, 'C:31:"Symfony\\Component\\Routing\\Route":1003:{a:9:{s:4:"path";s:28:"/admin/reports/views-plugins";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:60:"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins";s:6:"_title";s:13:"Views plugins";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":382:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/reports/views\\-plugins$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:28:"/admin/reports/views-plugins";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:7;s:14:"patternOutline";s:28:"/admin/reports/views-plugins";s:8:"numParts";i:3;}}}}', 3),
('views_ui.settings_advanced', '/admin/structure/views/settings/advanced', '/admin/structure/views/settings/advanced', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1036:{a:9:{s:4:"path";s:40:"/admin/structure/views/settings/advanced";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:42:"\\Drupal\\views_ui\\Form\\AdvancedSettingsForm";s:6:"_title";s:23:"Advanced Views settings";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":418:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/views/settings/advanced$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/structure/views/settings/advanced";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:40:"/admin/structure/views/settings/advanced";s:8:"numParts";i:5;}}}}', 5),
('views_ui.settings_basic', '/admin/structure/views/settings', '/admin/structure/views/settings', 15, 'C:31:"Symfony\\Component\\Routing\\Route":988:{a:9:{s:4:"path";s:31:"/admin/structure/views/settings";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:39:"\\Drupal\\views_ui\\Form\\BasicSettingsForm";s:6:"_title";s:14:"Views settings";}s:12:"requirements";a:1:{s:11:"_permission";s:16:"administer views";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/views/settings$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/views/settings";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/structure/views/settings";s:8:"numParts";i:4;}}}}', 4),
('webform.addons', '/admin/structure/webform/addons', '/admin/structure/webform/addons', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1018:{a:9:{s:4:"path";s:31:"/admin/structure/webform/addons";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:57:"\\Drupal\\webform\\Controller\\WebformAddonsController::index";s:6:"_title";s:17:"Webforms: Add-ons";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/webform/addons$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/addons";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/structure/webform/addons";s:8:"numParts";i:4;}}}}', 4),
('webform.config', '/admin/structure/webform/config', '/admin/structure/webform/config', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1026:{a:9:{s:4:"path";s:31:"/admin/structure/webform/config";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:60:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigFormsForm";s:6:"_title";s:29:"Webforms: Forms configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":391:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:38:"#^/admin/structure/webform/config$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:31:"/admin/structure/webform/config";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:31:"/admin/structure/webform/config";s:8:"numParts";i:4;}}}}', 4),
('webform.config.advanced', '/admin/structure/webform/config/advanced', '/admin/structure/webform/config/advanced', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1068:{a:9:{s:4:"path";s:40:"/admin/structure/webform/config/advanced";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:63:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigAdvancedForm";s:6:"_title";s:32:"Webforms: Advanced configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":418:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/webform/config/advanced$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/structure/webform/config/advanced";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:40:"/admin/structure/webform/config/advanced";s:8:"numParts";i:5;}}}}', 5),
('webform.config.elements', '/admin/structure/webform/config/elements', '/admin/structure/webform/config/elements', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1068:{a:9:{s:4:"path";s:40:"/admin/structure/webform/config/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:63:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigElementsForm";s:6:"_title";s:32:"Webforms: Elements configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":418:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/webform/config/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/structure/webform/config/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:40:"/admin/structure/webform/config/elements";s:8:"numParts";i:5;}}}}', 5),
('webform.config.exporters', '/admin/structure/webform/config/exporters', '/admin/structure/webform/config/exporters', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1074:{a:9:{s:4:"path";s:41:"/admin/structure/webform/config/exporters";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:64:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigExportersForm";s:6:"_title";s:33:"Webforms: Exporters configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":421:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/admin/structure/webform/config/exporters$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:41:"/admin/structure/webform/config/exporters";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:41:"/admin/structure/webform/config/exporters";s:8:"numParts";i:5;}}}}', 5),
('webform.config.handlers', '/admin/structure/webform/config/handlers', '/admin/structure/webform/config/handlers', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1068:{a:9:{s:4:"path";s:40:"/admin/structure/webform/config/handlers";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:63:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigHandlersForm";s:6:"_title";s:32:"Webforms: Handlers configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":418:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/webform/config/handlers$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/structure/webform/config/handlers";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:40:"/admin/structure/webform/config/handlers";s:8:"numParts";i:5;}}}}', 5),
('webform.config.libraries', '/admin/structure/webform/config/libraries', '/admin/structure/webform/config/libraries', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1074:{a:9:{s:4:"path";s:41:"/admin/structure/webform/config/libraries";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:64:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigLibrariesForm";s:6:"_title";s:33:"Webforms: Libraries configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":421:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/admin/structure/webform/config/libraries$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:41:"/admin/structure/webform/config/libraries";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:41:"/admin/structure/webform/config/libraries";s:8:"numParts";i:5;}}}}', 5),
('webform.config.submissions', '/admin/structure/webform/config/submissions', '/admin/structure/webform/config/submissions', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1086:{a:9:{s:4:"path";s:43:"/admin/structure/webform/config/submissions";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:66:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigSubmissionsForm";s:6:"_title";s:35:"Webforms: Submissions configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":427:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:50:"#^/admin/structure/webform/config/submissions$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:43:"/admin/structure/webform/config/submissions";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:43:"/admin/structure/webform/config/submissions";s:8:"numParts";i:5;}}}}', 5),
('webform.config.variants', '/admin/structure/webform/config/variants', '/admin/structure/webform/config/variants', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1068:{a:9:{s:4:"path";s:40:"/admin/structure/webform/config/variants";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:63:"\\Drupal\\webform\\Form\\AdminConfig\\WebformAdminConfigVariantsForm";s:6:"_title";s:32:"Webforms: Variants configuration";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":418:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/structure/webform/config/variants$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/structure/webform/config/variants";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:40:"/admin/structure/webform/config/variants";s:8:"numParts";i:5;}}}}', 5),
('webform.element.autocomplete', '/webform/{webform}/autocomplete/{key}', '/webform/%/autocomplete/%', 10, 'C:31:"Symfony\\Component\\Routing\\Route":1372:{a:9:{s:4:"path";s:37:"/webform/{webform}/autocomplete/{key}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:11:"_controller";s:65:"\\Drupal\\webform\\Controller\\WebformElementController::autocomplete";}s:12:"requirements";a:1:{s:14:"_entity_access";s:25:"webform.submission_create";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:21:"paramconverter.entity";}}s:4:"utf8";b:1;s:14:"_access_checks";a:1:{i:0;s:19:"access_check.entity";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":665:{a:11:{s:4:"vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:64:"#^/webform/(?P<webform>[^/]++)/autocomplete/(?P<key>[^/]++)$#sDu";s:11:"path_tokens";a:4:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:3:"key";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:13:"/autocomplete";}i:2;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"webform";i:4;b:1;}i:3;a:2:{i:0;s:4:"text";i:1;s:8:"/webform";}}s:9:"path_vars";a:2:{i:0;s:7:"webform";i:1;s:3:"key";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:10;s:14:"patternOutline";s:25:"/webform/%/autocomplete/%";s:8:"numParts";i:4;}}}}', 4),
('webform.element.message.close', '/webform/message/close/{storage}/{id}', '/webform/message/close/%/%', 28, 'C:31:"Symfony\\Component\\Routing\\Route":1284:{a:9:{s:4:"path";s:37:"/webform/message/close/{storage}/{id}";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:58:"\\Drupal\\webform\\Controller\\WebformElementController::close";s:8:"_storage";s:4:"user";}s:12:"requirements";a:2:{s:18:"_user_is_logged_in";s:4:"TRUE";s:11:"_csrf_token";s:4:"TRUE";}s:7:"options";a:3:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:14:"_access_checks";a:2:{i:0;s:30:"access_check.user.login_status";i:1;s:17:"access_check.csrf";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":628:{a:11:{s:4:"vars";a:2:{i:0;s:7:"storage";i:1;s:2:"id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:64:"#^/webform/message/close/(?P<storage>[^/]++)/(?P<id>[^/]++)$#sDu";s:11:"path_tokens";a:3:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"id";i:4;b:1;}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:7:"storage";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:22:"/webform/message/close";}}s:9:"path_vars";a:2:{i:0;s:7:"storage";i:1;s:2:"id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:28;s:14:"patternOutline";s:26:"/webform/message/close/%/%";s:8:"numParts";i:5;}}}}', 5),
('webform.help', '/admin/structure/webform/help', '/admin/structure/webform/help', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1006:{a:9:{s:4:"path";s:29:"/admin/structure/webform/help";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:55:"\\Drupal\\webform\\Controller\\WebformHelpController::index";s:6:"_title";s:14:"Webforms: Help";}s:12:"requirements";a:1:{s:11:"_permission";s:19:"access webform help";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":385:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:36:"#^/admin/structure/webform/help$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:29:"/admin/structure/webform/help";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:29:"/admin/structure/webform/help";s:8:"numParts";i:4;}}}}', 4),
('webform.help.video', '/admin/help/webform/video/{id}', '/admin/help/webform/video/%', 30, 'C:31:"Symfony\\Component\\Routing\\Route":1056:{a:9:{s:4:"path";s:30:"/admin/help/webform/video/{id}";s:4:"host";s:0:"";s:8:"defaults";a:1:{s:5:"_form";s:41:"\\Drupal\\webform\\Form\\WebformHelpVideoForm";}s:12:"requirements";a:1:{s:11:"_permission";s:14:"access content";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":495:{a:11:{s:4:"vars";a:1:{i:0;s:2:"id";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/help/webform/video/(?P<id>[^/]++)$#sDu";s:11:"path_tokens";a:2:{i:0;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:2:"id";i:4;b:1;}i:1;a:2:{i:0;s:4:"text";i:1;s:25:"/admin/help/webform/video";}}s:9:"path_vars";a:1:{i:0;s:2:"id";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:30;s:14:"patternOutline";s:27:"/admin/help/webform/video/%";s:8:"numParts";i:5;}}}}', 5),
('webform.reports_plugins.elements', '/admin/reports/webform-plugins/elements', '/admin/reports/webform-plugins/elements', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1066:{a:9:{s:4:"path";s:39:"/admin/reports/webform-plugins/elements";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginElementController::index";s:6:"_title";s:25:"Webform plugins: Elements";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":416:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/elements$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/elements";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/elements";s:8:"numParts";i:4;}}}}', 4),
('webform.reports_plugins.elements.test', '/admin/reports/webform-plugins/elements/{type}/test', '/admin/reports/webform-plugins/elements/%/test', 61, 'C:31:"Symfony\\Component\\Routing\\Route":1387:{a:9:{s:4:"path";s:51:"/admin/reports/webform-plugins/elements/{type}/test";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:48:"\\Drupal\\webform_ui\\Form\\WebformUiElementTestForm";s:6:"_title";s:12:"Test element";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:5:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:10:"parameters";a:1:{s:7:"webform";a:2:{s:4:"type";s:14:"entity:webform";s:9:"converter";s:63:"drupal.proxy_original_service.paramconverter.configentity_admin";}}s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":597:{a:11:{s:4:"vars";a:1:{i:0;s:4:"type";}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:69:"#^/admin/reports/webform\\-plugins/elements/(?P<type>[^/]++)/test$#sDu";s:11:"path_tokens";a:3:{i:0;a:2:{i:0;s:4:"text";i:1;s:5:"/test";}i:1;a:5:{i:0;s:8:"variable";i:1;s:1:"/";i:2;s:6:"[^/]++";i:3;s:4:"type";i:4;b:1;}i:2;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/elements";}}s:9:"path_vars";a:1:{i:0;s:4:"type";}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:61;s:14:"patternOutline";s:46:"/admin/reports/webform-plugins/elements/%/test";s:8:"numParts";i:6;}}}}', 6),
('webform.reports_plugins.exporters', '/admin/reports/webform-plugins/exporters', '/admin/reports/webform-plugins/exporters', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1072:{a:9:{s:4:"path";s:40:"/admin/reports/webform-plugins/exporters";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:65:"\\Drupal\\webform\\Controller\\WebformPluginExporterController::index";s:6:"_title";s:26:"Webform plugins: Exporters";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":419:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:48:"#^/admin/reports/webform\\-plugins/exporters$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:40:"/admin/reports/webform-plugins/exporters";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:40:"/admin/reports/webform-plugins/exporters";s:8:"numParts";i:4;}}}}', 4),
('webform.reports_plugins.handlers', '/admin/reports/webform-plugins/handlers', '/admin/reports/webform-plugins/handlers', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1066:{a:9:{s:4:"path";s:39:"/admin/reports/webform-plugins/handlers";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginHandlerController::index";s:6:"_title";s:25:"Webform plugins: Handlers";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":416:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/handlers$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/handlers";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/handlers";s:8:"numParts";i:4;}}}}', 4),
('webform.reports_plugins.variants', '/admin/reports/webform-plugins/variants', '/admin/reports/webform-plugins/variants', 15, 'C:31:"Symfony\\Component\\Routing\\Route":1066:{a:9:{s:4:"path";s:39:"/admin/reports/webform-plugins/variants";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:11:"_controller";s:64:"\\Drupal\\webform\\Controller\\WebformPluginVariantController::index";s:6:"_title";s:25:"Webform plugins: Variants";}s:12:"requirements";a:1:{s:11:"_permission";s:18:"administer webform";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:23:"access_check.permission";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":416:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:47:"#^/admin/reports/webform\\-plugins/variants$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/reports/webform-plugins/variants";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:15;s:14:"patternOutline";s:39:"/admin/reports/webform-plugins/variants";s:8:"numParts";i:4;}}}}', 4),
('webform_submission.multiple_delete_confirm', '/admin/structure/webform/results/delete', '/admin/structure/webform/results/delete', 31, 'C:31:"Symfony\\Component\\Routing\\Route":1083:{a:9:{s:4:"path";s:39:"/admin/structure/webform/results/delete";s:4:"host";s:0:"";s:8:"defaults";a:2:{s:5:"_form";s:56:"\\Drupal\\webform\\Form\\WebformSubmissionDeleteMultipleForm";s:14:"entity_type_id";s:18:"webform_submission";}s:12:"requirements";a:1:{s:30:"_entity_delete_multiple_access";s:18:"webform_submission";}s:7:"options";a:4:{s:14:"compiler_class";s:33:"Drupal\\Core\\Routing\\RouteCompiler";s:4:"utf8";b:1;s:12:"_admin_route";b:1;s:14:"_access_checks";a:1:{i:0;s:35:"access_check.entity_delete_multiple";}}s:7:"schemes";a:0:{}s:7:"methods";a:2:{i:0;s:3:"GET";i:1;s:4:"POST";}s:9:"condition";s:0:"";s:8:"compiled";C:33:"Drupal\\Core\\Routing\\CompiledRoute":415:{a:11:{s:4:"vars";a:0:{}s:11:"path_prefix";s:0:"";s:10:"path_regex";s:46:"#^/admin/structure/webform/results/delete$#sDu";s:11:"path_tokens";a:1:{i:0;a:2:{i:0;s:4:"text";i:1;s:39:"/admin/structure/webform/results/delete";}}s:9:"path_vars";a:0:{}s:10:"host_regex";N;s:11:"host_tokens";a:0:{}s:9:"host_vars";a:0:{}s:3:"fit";i:31;s:14:"patternOutline";s:39:"/admin/structure/webform/results/delete";s:8:"numParts";i:5;}}}}', 5);

-- --------------------------------------------------------

--
-- Table structure for table `search_dataset`
--

CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Search item ID, e.g. node ID for nodes.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The languages.langcode of the item variant.',
  `type` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`langcode`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores items that will be searched.';

--
-- Dumping data for table `search_dataset`
--

INSERT INTO `search_dataset` VALUES
(1, 'en', 'node_search', ' style guide style guide phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate heading 2 donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet linked heading 2 donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet lorem ipsum dolor sit amet consectetur adipisicing elit sit esse quo distinctio dolores magni reprehenderit id est at fugiat veritatis fugit dignissimos sed ut facere molestias illo impedit tempora iure  heading 3 donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet heading 4 donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet heading 5 donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet links default link bordered link hover effect 2 hover effect 3 blockquote phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with quote link  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing messages status message sample status message page typography has been updated status message sample error message there is a security update available for your version of drupal to ensure the security of your server you should update immediately see the available updates page for more information status message sample warning message lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua  paragraph with links lorem ipsum dolor sit amet  consectetuer adipiscing elit donec odio quisque volutpat mattis eros nullam malesuada erat ut turpis suspendisse urna nibh viverra non semper suscipit posuere a pede dropcaps lorem ipsum dolor sit amet  consectetuer adipiscing elit donec odio quisque volutpat mattis eros nullam malesuada erat ut turpis suspendisse urna nibh viverra non semper suscipit posuere a pede l orem ipsum dolor sit amet  consectetuer adipiscing elit donec odio quisque volutpat mattis eros nullam malesuada erat ut turpis suspendisse urna nibh viverra non semper suscipit posuere a pede ordered list this is a sample ordered list lorem ipsum dolor sit amet consectetuer congue quisque augue elit dolor something goes here and another here congue quisque augue elit dolor nibh unordered list this is a sample unordered list  condimentum quis congue quisque augue elit dolor something goes here and another here something here as well something here as well something here as well then one more nunc cursus sem et pretium sapien eget fieldset account information buttons text fields find out more text fields select dropdown  any apartment family house office table header 1 header 2 row 1 cell 1 row 1 cell 2 row 2 cell 1 row 2 cell 2 row 3 cell 1 row 3 cell 2 heading 1 item 1 heading 2 lorem ipsum dolor sit amet consectetur adipisicing elit heading 3 599 total 599 first name last name username 1 mark otto mdo 2 jacob thornton fat 3 larry the bird twitter admin wed 6012016 1958 11 views  ', 1681647845),
(2, 'en', 'node_search', ' shortcodes shortcodes icons list apple android github windows linux skype btc css3 html5 bitbucket maxcdn dropbox facebook twitter  ul class iconslist li a href i class fab faapple span class sronly apple span i a li li a href i class fab faandroid span class sronly android span i a li li a href i class fab fagithub span class sronly github span i a li li a href i class fab fawindows span class sronly windows span i a li li a href i class fab falinux span class sronly linux span i a li li a href i class fab faskype span class sronly skype span i a li li a href i class fab fabtc span class sronly btc span i a li li a href i class fab facss3 span class sronly css3 span i a li li a href i class fab fahtml5 span class sronly html5 span i a li li a href i class fab fabitbucket span class sronly bitbucket span i a li li a href i class fab famaxcdn span class sronly maxcdn span i a li li a href i class fab fadropbox span class sronly dropbox span i a li li a href i class fab fafacebook span class sronly facebook span i a li li a href i class fab fatwitter span class sronly twitter span i a li ul  icons list bordered apple android github windows linux skype btc css3 html5 bitbucket maxcdn dropbox facebook twitter  ul class iconslist iconslist bordered li a href i class fab faapple span class sronly apple span i a li li a href i class fab faandroid span class sronly android span i a li li a href i class fab fagithub span class sronly github span i a li li a href i class fab fawindows span class sronly windows span i a li li a href i class fab falinux span class sronly linux span i a li li a href i class fab faskype span class sronly skype span i a li li a href i class fab fabtc span class sronly btc span i a li li a href i class fab facss3 span class sronly css3 span i a li li a href i class fab fahtml5 span class sronly html5 span i a li li a href i class fab fabitbucket span class sronly bitbucket span i a li li a href i class fab famaxcdn span class sronly maxcdn span i a li li a href i class fab fadropbox span class sronly dropbox span i a li li a href i class fab fafacebook span class sronly facebook span i a li li a href i class fab fatwitter span class sronly twitter span i a li ul  icons list large apple android github windows linux skype btc css3 html5 bitbucket maxcdn dropbox facebook twitter  ul class iconslist iconslist large li a href i class fab faapple span class sronly apple span i a li li a href i class fab faandroid span class sronly android span i a li li a href i class fab fagithub span class sronly github span i a li li a href i class fab fawindows span class sronly windows span i a li li a href i class fab falinux span class sronly linux span i a li li a href i class fab faskype span class sronly skype span i a li li a href i class fab fabtc span class sronly btc span i a li li a href i class fab facss3 span class sronly css3 span i a li li a href i class fab fahtml5 span class sronly html5 span i a li li a href i class fab fabitbucket span class sronly bitbucket span i a li li a href i class fab famaxcdn span class sronly maxcdn span i a li li a href i class fab fadropbox span class sronly dropbox span i a li li a href i class fab fafacebook span class sronly facebook span i a li li a href i class fab fatwitter span class sronly twitter span i a li ul  icons list extra large apple android github windows linux skype btc css3 html5 bitbucket maxcdn dropbox facebook twitter  ul class iconslist iconslist extralarge li a href i class fab faapple span class sronly apple span i a li li a href i class fab faandroid span class sronly android span i a li li a href i class fab fagithub span class sronly github span i a li li a href i class fab fawindows span class sronly windows span i a li li a href i class fab falinux span class sronly linux span i a li li a href i class fab faskype span class sronly skype span i a li li a href i class fab fabtc span class sronly btc span i a li li a href i class fab facss3 span class sronly css3 span i a li li a href i class fab fahtml5 span class sronly html5 span i a li li a href i class fab fabitbucket span class sronly bitbucket span i a li li a href i class fab famaxcdn span class sronly maxcdn span i a li li a href i class fab fadropbox span class sronly dropbox span i a li li a href i class fab fafacebook span class sronly facebook span i a li li a href i class fab fatwitter span class sronly twitter span i a li ul  icons list with images windows linux skype btc css3 html5 bitbucket maxcdn dropbox facebook twitter  ul class iconslist iconslist extralarge li a href img src alt a li li a href img src alt a li li a href img src alt a li li a href i class fab fawindows span class sronly windows span i a li li a href i class fab falinux span class sronly linux span i a li li a href i class fab faskype span class sronly skype span i a li li a href i class fab fabtc span class sronly btc span i a li li a href i class fab facss3 span class sronly css3 span i a li li a href i class fab fahtml5 span class sronly html5 span i a li li a href i class fab fabitbucket span class sronly bitbucket span i a li li a href i class fab famaxcdn span class sronly maxcdn span i a li li a href i class fab fadropbox span class sronly dropbox span i a li li a href i class fab fafacebook span class sronly facebook span i a li li a href i class fab fatwitter span class sronly twitter span i a li ul  icons list with tooltips apple android github windows linux skype btc css3 html5 bitbucket maxcdn dropbox facebook twitter  ul class iconslist li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab faapple span class sronly apple span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab faandroid span class sronly android span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fagithub span class sronly github span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fawindows span class sronly windows span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab falinux span class sronly linux span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab faskype span class sronly skype span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fabtc span class sronly btc span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab facss3 span class sronly css3 span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fahtml5 span class sronly html5 span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fabitbucket span class sronly bitbucket span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab famaxcdn span class sronly maxcdn span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fadropbox span class sronly dropbox span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fafacebook span class sronly facebook span i a li li a href datatoggle tooltip dataplacement top title dataoriginaltitle tooltip text i class fab fatwitter span class sronly twitter span i a li ul  social links facebook twitter behance dribbble instagram vimeo youtube google   ul class sociallinks sociallinks inline textcenter li a href class hovercolorfacebook facebook a li li a href class hovercolortwitter twitter a li li a href class hovercolorbehance behance a li li a href class hovercolordribbble dribbble a li li a href class hovercolorinstagram instagram a li li a href class hovercolorvimeo vimeo a li li a href class hovercoloryoutube youtube a li li a href class hovercolorgoogleplus google a li ul  lists with font awesome icons item 1 item 2 item 3 ul class list fastar li item 1 li li item 2 li li item 3 li ul item 1 item 2 item 3 ul class list facaretright li item 1 li li item 2 li li item 3 li ul item 1 item 2 item 3 ul class list faplus li item 1 li li item 2 li li item 3 li ul item 1 item 2 item 3 ul class list fasquare li item 1 li li item 2 li li item 3 li ul item 1 item 2 item 3 ul class list facaretright li item 1 li li item 2 li li item 3 li ul item 1 item 2 item 3 ul class list facheck li item 1 li li item 2 li li item 3 li ul item 1 item 2 item 3 ul class list facheckcircle li item 1 li li item 2 li li item 3 li ul  item 1 item 2 item 3 ul class list facustom li i class fa famapmarker i item 1 li li i class fa faphone i item 2 li li i class fa fafax i item 3 li ul  tabs home profile messages home ipsum dolor sit amet consectetur adipisicing elit perspiciatis exercitationem quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem profile ipsum dolor sit amet consectetur adipisicing elit ut odio facere minima porro quis maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic messages ipsum dolor sit amet consectetur adipisicing elit reiciendis optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque sed possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum div role tabpanel nav tabs ul class nav navtabs role tablist li role presentation class navitem a class active navlink href home ariacontrols home role tab datatoggle tab home a li li role presentation class navitem a class navlink href profile ariacontrols profile role tab datatoggle tab profile a li li role presentation class navitem a class navlink href messages ariacontrols messages role tab datatoggle tab messages a li ul tab panes div class tabcontent div role tabpanel class tabpane fade show active id home p strong home strong ipsum dolor sit amet consectetur adipisicing elit perspiciatis exercitationem quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem p div div role tabpanel class tabpane fade id profile p strong profile strong ipsum dolor sit amet consectetur adipisicing elit ut odio facere minima porro quis maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic p div div role tabpanel class tabpane fade id messages p strong messages strong ipsum dolor sit amet consectetur adipisicing elit reiciendis optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque sed possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum p div div div  vertical tabs home profile messages home ipsum dolor sit amet consectetur adipisicing elit perspiciatis exercitationem quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem profile ipsum dolor sit amet consectetur adipisicing elit ut odio facere minima porro quis maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic messages ipsum dolor sit amet consectetur adipisicing elit reiciendis optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque sed possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum div role tabpanel class navtabsverticalcontainer nav tabs ul class nav navtabs navtabs vertical role tablist li role presentation class navitem a class navlink active href verticaltab1 ariacontrols verticaltab1 role tab datatoggle tab home a li li role presentation class navitem a class navlink href verticaltab2 ariacontrols verticaltab2 role tab datatoggle tab profile a li li role presentation class navitem a class navlink href verticaltab3 ariacontrols verticaltab3 role tab datatoggle tab messages a li ul tab panes div class tabcontent div role tabpanel class tabpane fade show active id verticaltab1 p strong home strong ipsum dolor sit amet consectetur adipisicing elit perspiciatis exercitationem quaerat veniam repudiandae illo ratione eaque omnis obcaecati quidem distinctio sapiente quo assumenda amet cumque nobis nulla qui dolore autem p div div role tabpanel class tabpane fade id verticaltab2 p strong profile strong ipsum dolor sit amet consectetur adipisicing elit ut odio facere minima porro quis maiores eius quibusdam et in corrupti necessitatibus consequatur debitis laudantium hic p div div role tabpanel class tabpane fade id verticaltab3 p strong messages strong ipsum dolor sit amet consectetur adipisicing elit reiciendis optio error consectetur ullam porro eligendi mollitia odio numquam aut cumque sed possimus recusandae itaque laboriosam nesciunt voluptates veniam aspernatur voluptate eaque ratione totam ipsa optio aliquam incidunt dolorum amet illum p div div div  accordion style 1 1 home anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs 2 configure anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs 3 download anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs div class collapsegroup id accordionexample1 role tablist ariamultiselectable true div class card div class cardheader cardheader triggericon role tab id headingone div class cardtitle a datatoggle collapse href collapseone ariaexpanded true ariacontrols collapseone span 1 span home a div div div id collapseone class collapse show dataparent accordionexample1 role tabpanel arialabelledby headingone div class cardbody div div div div class card div class cardheader cardheader triggericon role tab id headingtwo div class cardtitle a class collapsed datatoggle collapse href collapsetwo ariaexpanded false ariacontrols collapsetwo span 2 span configure a div div div id collapsetwo class collapse dataparent accordionexample1 role tabpanel arialabelledby headingtwo div class cardbody div div div div class card div class cardheader cardheader triggericon role tab id headingthree div class cardtitle a class collapsed datatoggle collapse href collapsethree ariaexpanded false ariacontrols collapsethree span 3 span download a div div div id collapsethree class collapse dataparent accordionexample1 role tabpanel arialabelledby headingthree div class cardbody div div div div  accordion style 2 1 home anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs 2 configure anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs 3 download anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs div class collapsegroup collapsegroup style2 id accordionexample2 role tablist ariamultiselectable true div class card div class cardheader cardheader triggericon role tab id headingfour div class cardtitle a datatoggle collapse href collapsefour ariaexpanded true ariacontrols collapsefour span 1 span home a div div div id collapsefour class collapse show dataparent accordionexample2 role tabpanel arialabelledby headingfour div class cardbody div div div div class card div class cardheader cardheader triggericon role tab id headingfive div class cardtitle a class collapsed datatoggle collapse href collapsefive ariaexpanded false ariacontrols collapsefive span 2 span configure a div div div id collapsefive class collapse dataparent accordionexample2 role tabpanel arialabelledby headingfive div class cardbody div div div div class card div class cardheader cardheader triggericon role tab id headingsix div class cardtitle a class collapsed datatoggle collapse href collapsesix ariaexpanded false ariacontrols collapsesix span 3 span download a div div div id collapsesix class collapse dataparent accordionexample2 role tabpanel arialabelledby headingsix div class cardbody div div div div  button button button small button outline  a href class button button a a href class button button small button small a a href class button button outline button outline a  button hover style 2 button  a href class button button hoverstyle2 button a  progress bars 78 complete default 78 complete success 40 complete success 40 complete success 20 complete info 20 complete 60 complete warning 60 complete warning 80 complete danger 80 complete results 35 a 20 b 20 c 10 d div class progresstitle 78 complete default div div class progress div class progressbar bgdefault role progressbar ariavaluenow 40 ariavaluemin  ariavaluemax 100 style width 78 span class sronly 78 complete success span div div div class progresstitle 40 complete success div div class progress div class progressbar bgsuccess role progressbar ariavaluenow 40 ariavaluemin  ariavaluemax 100 style width 40 span class sronly 40 complete success span div div div class progresstitle 20 complete info div div class progress div class progressbar bginfo role progressbar ariavaluenow 20 ariavaluemin  ariavaluemax 100 style width 20 span class sronly 20 complete span div div div class progresstitle 60 complete warning div div class progress div class progressbar bgwarning role progressbar ariavaluenow 60 ariavaluemin  ariavaluemax 100 style width 60 span class sronly 60 complete warning span div div div class progresstitle 80 complete danger div div class progress div class progressbar bgdanger role progressbar ariavaluenow 80 ariavaluemin  ariavaluemax 100 style width 80 span class sronly 80 complete span div div div class progresstitle results div div class progress div class progressbar bgsuccess style width 40 span class sronly 35 a span div div class progressbar bginfo style width 30 span class sronly 20 b span div div class progressbar bgwarning style width 20 span class sronly 20 c span div div class progressbar bgdanger style width 10 span class sronly 10 d span div div check all available font awesome icons at https fontawesomecom icons admin fri 6032016 1320 37 views  ', 1681647845),
(4, 'en', 'node_search', ' transfer transfer admin tue 6072016 2045 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies accommodation category 2  459 book now 4 views  ', 1681647845),
(5, 'en', 'node_search', ' room type 5 room type 5 admin tue 6072016 2049 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies accommodation category 2  349 book now 9 views  ', 1681647845),
(6, 'en', 'node_search', ' room type 4 room type 4 admin tue 6072016 2050 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies accommodation category 1  299 book now 5 views  ', 1681647845),
(7, 'en', 'node_search', ' room type 3 room type 3 admin tue 6072016 2052 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies accommodation category 4  199 book now 6 views  ', 1681647845),
(8, 'en', 'node_search', ' room type 2 room type 2 admin tue 6072016 2053 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies accommodation category 3  399 book now 6 views  ', 1681647845),
(9, 'en', 'node_search', ' room type 1 room type 1 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate admin tue 6072016 2055 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies lorem ipsum dolor sit amed consetatur compellingly recaptiualize enterprisewide webreadiness for robust strategic theme areas synergistically reconceptualize usercentric functionalities via revolutionary strategic theme areas progressively transition outofthebox leadership skills rather than topline and this is a hover link  service quantity price lorem ipsum dolor sit amet 24 pieces in stock 27900 18900 praesent luctus fermentum tincidunt 132 pieces in stock 45300 37900 morbi venenatis ligula ut tincidunt 1231 pieces in stock 119300 108900 duis vitae odio ac ante faucibus faucibus 978 pieces in stock 68700 62000 accommodation category 3 accommodation category 2  299 book now 23 views first slide second slide  ', 1681647845),
(10, 'en', 'node_search', ' sixth article sixth article 7 jun 2016 admin tue 6072016 2240 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies lorem ipsum dolor sit amed consetatur compellingly recaptiualize enterprisewide webreadiness for robust strategic theme areas synergistically reconceptualize usercentric functionalities via revolutionary strategic theme areas progressively transition outofthebox leadership skills rather than topline and this is a hover link  red black purple ', 1681647845),
(11, 'en', 'node_search', ' fifth article fifth article 7 jun 2016 admin tue 6072016 2244 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies lorem ipsum dolor sit amed consetatur compellingly recaptiualize enterprisewide webreadiness for robust strategic theme areas synergistically reconceptualize usercentric functionalities via revolutionary strategic theme areas progressively transition outofthebox leadership skills rather than topline and this is a hover link  green gold ', 1681647845),
(12, 'en', 'node_search', ' fourth article fourth article 7 jun 2016 admin tue 6072016 2245 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies lorem ipsum dolor sit amed consetatur compellingly recaptiualize enterprisewide webreadiness for robust strategic theme areas synergistically reconceptualize usercentric functionalities via revolutionary strategic theme areas progressively transition outofthebox leadership skills rather than topline and this is a hover link  red black 1 view  ', 1681647845),
(13, 'en', 'node_search', ' third article third article 7 jun 2016 admin tue 6072016 2247 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies lorem ipsum dolor sit amed consetatur compellingly recaptiualize enterprisewide webreadiness for robust strategic theme areas synergistically reconceptualize usercentric functionalities via revolutionary strategic theme areas progressively transition outofthebox leadership skills rather than topline and this is a hover link  black green 2 views  ', 1681647845),
(14, 'en', 'node_search', ' second article second article 7 jun 2016 admin tue 6072016 2248 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies lorem ipsum dolor sit amed consetatur compellingly recaptiualize enterprisewide webreadiness for robust strategic theme areas synergistically reconceptualize usercentric functionalities via revolutionary strategic theme areas progressively transition outofthebox leadership skills rather than topline and this is a hover link  gold black 6 views  ', 1681647845),
(15, 'en', 'node_search', ' first article first article 7 jun 2016 admin tue 6072016 2249 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies lorem ipsum dolor sit amed consetatur compellingly recaptiualize enterprisewide webreadiness for robust strategic theme areas synergistically reconceptualize usercentric functionalities via revolutionary strategic theme areas progressively transition outofthebox leadership skills rather than topline and this is a hover link  green gold red 42 views duis egestas convallis log in or register to post comments admin tue 6072016 2324 duis egestas convallis elit sit amet tempus morbi arcu arcu commodo sit amet vehicula nec aliquam ac tellus pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas habitant morbi tristique log in or register to post comments admin tue 6072016 2324 in reply to duis egestas convallis by admin duis egestas convallis elit sit amet tempus morbi arcu arcu commodo sit amet vehicula nec aliquam ac tellus pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas commodo sit amet vehicula log in or register to post comments admin tue 6072016 2325 duis egestas convallis elit sit amet tempus morbi arcu arcu commodo sit amet vehicula nec aliquam ac tellus pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas morbi tristique senectus log in or register to post comments admin fri 10072016 2109 excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum malesuada fames ac turpis log in or register to post comments admin thu 1262017 2228 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut  ', 1681647845),
(16, 'en', 'node_search', ' slideshow boxed width slideshow boxed width admin fri 6102016 1326  ', 1681647845),
(17, 'en', 'node_search', ' full screen slideshow full screen slideshow admin fri 6102016 1427 4 views  ', 1681647845),
(18, 'en', 'node_search', ' mug mug admin mon 6132016 1818 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies gold  1200 buy now 7 views  ', 1681647845),
(19, 'en', 'node_search', ' jockey jockey admin mon 6132016 1825 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies yellow  2900 buy now 7 views  ', 1681647845),
(20, 'en', 'node_search', ' hoodie hoodie admin mon 6132016 1826 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies red  3900 buy now 5 views  ', 1681647845),
(21, 'en', 'node_search', ' longsleeve longsleeve admin mon 6132016 1828 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies green  4900 buy now 3 views  ', 1681647845),
(22, 'en', 'node_search', ' second tshirt second tshirt admin mon 6132016 1829 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies purple  2900 buy now 4 views  ', 1681647845),
(23, 'en', 'node_search', ' first tshirt first tshirt admin mon 6132016 1833 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate name of first feature lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore free trial name of second feature lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore free trial name of third feature lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore free trial name of fourth feature lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore free trial phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities enjoy a gorgeous look and feel lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua free trial looking for your dvd printing solution lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam becoming a dvd repair expert online quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse are you ready to buy a home theater audio system cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum black 800413 in stock 1200 buy now product information excepteur sint occaecat cupidatat non lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo duis aute irure dolor in reprehenderit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 7 views title of first banner image title of second banner image title of third banner image  ', 1681647845);
INSERT INTO `search_dataset` VALUES
(33, 'en', 'node_search', ' john smith john smith admin mon 6132016 2002 founder ceo company name in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident lorem ipsum dolor sit amet consectetur  ', 1681647845),
(34, 'en', 'node_search', ' terry smith terry smith admin mon 6132016 2004 chief technology officer excepteur sint occaecat cupidatat non proident lorem ipsum dolor sit amet consectetur  ', 1681647845),
(35, 'en', 'node_search', ' front page front page admin tue 6142016 1412 429 views  ', 1681647845),
(36, 'en', 'node_search', ' responsive grid responsive grid one half donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet one half donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet div class row div class colmd6 h4 one half h4 p donec sed odio dui p div div class colmd6 h4 one half h4 p donec sed odio dui p div div  one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis div class row div class colmd4 h4 one third h4 p donec sed odio dui p div div class colmd4 h4 one third h4 p donec sed odio dui p div div class colmd4 h4 one third h4 p donec sed odio dui p div div  one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut div class row div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div  one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing two thirds donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit div class row div class colmd4 h4 one third h4 p donec sed odio dui p div div class colmd8 h4 two thirds h4 p donec sed odio dui p div div  two thirds donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing div class row div class colmd8 h4 two thirds h4 p donec sed odio dui p div div class colmd4 h4 one third h4 p donec sed odio dui p div div  one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut three fourths donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit div class row div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd9 h4 three fourths h4 p donec sed odio dui p div div  three fourths donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut div class row div class colmd9 h4 three fourths h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div admin thu 6162016 2150  ', 1681647845),
(37, 'en', 'node_search', ' responsive grid responsive grid one half donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet one half donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet div class row div class colmd6 h4 one half h4 p donec sed odio dui p div div class colmd6 h4 one half h4 p donec sed odio dui p div div  one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis div class row div class colmd4 h4 one third h4 p donec sed odio dui p div div class colmd4 h4 one third h4 p donec sed odio dui p div div class colmd4 h4 one third h4 p donec sed odio dui p div div  one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut div class row div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div  one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing two thirds donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit div class row div class colmd4 h4 one third h4 p donec sed odio dui p div div class colmd8 h4 two thirds h4 p donec sed odio dui p div div  two thirds donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit one third donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing div class row div class colmd8 h4 two thirds h4 p donec sed odio dui p div div class colmd4 h4 one third h4 p donec sed odio dui p div div  one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut three fourths donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit div class row div class colmd3 h4 one fourth h4 p donec sed odio dui p div div class colmd9 h4 three fourths h4 p donec sed odio dui p div div  three fourths donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut lorem ipsum dolor sit amet consectetur adipisicing elit sint doloribus tempora numquam repellendus maiores facere a atque reiciendis voluptatibus hic veritatis ratione reprehenderit one fourth donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut div class row div class colmd9 h4 three fourths h4 p donec sed odio dui p div div class colmd3 h4 one fourth h4 p donec sed odio dui p div div admin thu 6162016 2152  ', 1681647845),
(39, 'en', 'node_search', ' faq faq q1 first question anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs q2 second question anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs q3 third question anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs q4 fourth question anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs q5 fifth question anim pariatur cliche reprehenderit enim eiusmod high life accusamus terry richardson ad squid 3 wolf moon officia aute non cupidatat skateboard dolor brunch food truck quinoa nesciunt laborum eiusmod brunch 3 wolf moon tempor sunt aliqua put a bird on it squid singleorigin coffee nulla assumenda shoreditch et nihil anim keffiyeh helvetica craft beer labore wes anderson cred nesciunt sapiente ea proident ad vegan excepteur butcher vice lomo leggings occaecat craft beer farmtotable raw denim aesthetic synth nesciunt you probably haven t heard of them accusamus labore sustainable vhs admin wed 8242016 1059  ', 1681647845),
(40, 'en', 'node_search', ' alternative header 3 alternative header 3 admin fri 9022016 1705 1 view  ', 1681647845),
(41, 'en', 'node_search', ' bekki versace bekki versace admin mon 9262016 2128 director of communications https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 3 views  ', 1681647845),
(42, 'en', 'node_search', ' stevie zonder stevie zonder admin mon 9262016 2131 program committee chair https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 3 views  ', 1681647845),
(43, 'en', 'node_search', ' nikki dickinson nikki dickinson admin mon 9262016 2133 vice president https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 2 views  ', 1681647845),
(44, 'en', 'node_search', ' terry smith terry smith admin mon 9262016 2134 senior vice president https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 3 views  ', 1681647845),
(45, 'en', 'node_search', ' john smith john smith admin mon 9262016 2135 president https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 3 views  ', 1681647845),
(46, 'en', 'node_search', ' pint glass pint glass admin fri 3182016 1945 phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies appropriately communicate adaptive imperatives rather than valueadded potentialities phosfluorescently eenable adaptive synergy for strategic quality vectors continually transform fully tested expertise with competitive technologies  appropriately communicate adaptive imperatives rather than valueadded potentialities conveniently harness frictionless outsourcing whereas state of the art interfaces quickly enable prospective technology rather than opensource technologies black  1599 buy now 4 views  ', 1681647845),
(47, 'en', 'node_search', ' robbin j ortiz robbin j ortiz admin thu 10272016 1254 assistant manager at biomedics lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam  ', 1681647845),
(48, 'en', 'node_search', ' carlos m salazar carlos m salazar admin thu 10272016 1256 founder ceo at jermains biology duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum  ', 1681647845),
(49, 'en', 'node_search', ' michelle f behne michelle f behne admin thu 10272016 1259 counselor at research for all ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit testimonial link ', 1681647845),
(50, 'en', 'node_search', ' lavern k mcduffie lavern k mcduffie admin thu 10272016 1301 founder ceo at dolorison duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum testimonial link ', 1681647845),
(51, 'en', 'node_search', ' charlotte bonanno charlotte bonanno admin fri 8262016 1317 director of memembership https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 2 views  ', 1681647845),
(53, 'en', 'node_search', ' alternative header 2 alternative header 2 admin mon 11142016 2117 1 view  ', 1681647845),
(54, 'en', 'node_search', ' cta navigation header cta navigation header admin mon 11142016 2118  ', 1681647845),
(55, 'en', 'node_search', ' slideshow video gallery slideshow video gallery admin tue 11292016 1353  ', 1681647845),
(56, 'en', 'node_search', ' our investors our investors our investors admin thu 12012016 1302 5 views  ', 1681647845),
(57, 'en', 'node_search', ' whooops  whooops the page you are looking for was either removed or no longer exists go home admin thu 12012016 1930 20 views  ', 1681647845),
(58, 'en', 'node_search', ' reusable blocks reusable blocks admin fri 12022016 1125 13 views  ', 1681647845),
(59, 'en', 'node_search', ' slideshow full width slideshow full width admin tue 1172017 2027 1 view  ', 1681647845),
(60, 'en', 'node_search', ' alternative footer alternative footer admin tue 2072017 1217  ', 1681647845),
(61, 'en', 'node_search', ' mega menu mega menu admin thu 2092017 2204 1 view  ', 1681647845),
(62, 'en', 'node_search', ' pricing tables pricing tables first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up first product  1200 account balance online interface weekly reports investment monitoring oneonone consultation sign up admin wed 7052017 1125 1 view  ', 1681647845),
(63, 'en', 'node_search', ' text rotator text rotator admin wed 7052017 1822 2 views  ', 1681647845),
(64, 'en', 'node_search', ' marcus cruz marcus cruz admin fri 12222017 1448 engineer sixth affiliation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 5 views https wwwfacebookcom https twittercom https wwwlinkedincom https wwwyoutubecom  ', 1681647845),
(65, 'en', 'node_search', ' waylon dalton waylon dalton admin fri 12222017 1501 manager fifth affiliation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 28 views https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom  ', 1681647845),
(66, 'en', 'node_search', ' justine henderson justine henderson admin fri 12222017 1502 web designer fourth affiliation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 9 views https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom  ', 1681647845),
(67, 'en', 'node_search', ' thalia cobb thalia cobb admin fri 12222017 1503 medic third affiliation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 5 views https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom  ', 1681647845),
(68, 'en', 'node_search', ' mathias little mathias little admin fri 12222017 1505 engineer second affiliation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 7 views https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom  ', 1681647845),
(69, 'en', 'node_search', ' abdullah lang abdullah lang admin fri 12222017 1506 manager first affiliation lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 49 views https wwwfacebookcom https twittercom https wwwlinkedincom https youtubecom  ', 1681647845),
(70, 'en', 'node_search', ' sponsor six sponsor six admin thu 1112018 1443 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 1 view  ', 1681647845),
(71, 'en', 'node_search', ' sponsor five sponsor five admin thu 1112018 1746 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 1 view  ', 1681647845),
(72, 'en', 'node_search', ' sponsor four sponsor four admin thu 1112018 1747 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum  ', 1681647845),
(73, 'en', 'node_search', ' sponsor three sponsor three admin thu 1112018 1748 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum  ', 1681647845),
(74, 'en', 'node_search', ' sponsor two sponsor two admin thu 1112018 1750 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 14 views  ', 1681647845),
(75, 'en', 'node_search', ' sponsor one sponsor one admin thu 1112018 1751 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum 19 views  ', 1681647845),
(76, 'en', 'node_search', ' album six album six admin fri 1192018 1726 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum opening ceremony 6 views  ', 1681647845),
(77, 'en', 'node_search', ' album five album five admin fri 1192018 1727 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum cocktail party 6 views  ', 1681647845),
(78, 'en', 'node_search', ' album four album four admin fri 1192018 1728 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum keynote 8 views  ', 1681647845),
(79, 'en', 'node_search', ' album three album three admin fri 1192018 1728 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum opening ceremony 8 views  ', 1681647845),
(80, 'en', 'node_search', ' album two album two admin fri 1192018 1729 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum cocktail party 9 views  ', 1681647845),
(81, 'en', 'node_search', ' album one album one admin fri 1192018 1729 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum keynote 13 views  ', 1681647845),
(84, 'en', 'node_search', ' event one event one 800 pm admin fri 2232018 1747 221 jackson hall south west building a112 lorem ipsum dolor sit amet consectetur adipisicing elit voluptates velit suscipit tempore distinctio laudantium natus at totam eius nesciunt a explicabo veniam eum sint nam quis nisi excepturi facilis atque culpa magni quo molestias rem sint commodi ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste harum et voluptatum veniam quia impedit qui minima adipisci nulla ipsam culpa minus quia quibusdam at corporis animi vitae eaque voluptas quo delectus laboriosam enim aliquid temporibus consectetur tenetur facere sequi aperiam pariatur ullam dignissimos harum voluptas fugiat deserunt adipisci aut iste quaerat rerum vero reprehenderit provident culpa ut ipsam doloremque qui iure eligendi saepe tempore quis alias optio nesciunt tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem mathias little lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about mathias little 7 views sponsor two lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about sponsor two 14 views get directions ceremony 181 views  ', 1681647845),
(85, 'en', 'node_search', ' presentation one presentation one sat 3312018 1600 admin mon 2262018 1744 221 jackson hall south west building a112 abdullah lang mathias little john doe smith doe affiliation one affiliation two abstract objective dolore quibusdam aliquam dolorum accusantium optio qui eius repellendus doloribus natus expedita quisquam voluptatibus facere necessitatibus fugit consequatur pariatur minima id officia methods cumque pariatur id porro expedita temporibus quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus nostrum repellendus est ea alias quas odit fugit accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet omnis facilis consequatur asperiores inventore sed cupiditate fugiat voluptas laudantium repellendus nostrum optio labore et quaerat quo vitae animi nisi voluptatem iusto ipsam quia ratione eaque sint pariatur aut minus vel officia consequatur earum results assumenda iure a saepe inventore cum voluptatum sapiente beatae rerum dolorem aspernatur magnam alias expedita quaerat ex amet ullam repudiandae eos fuga officiis iusto at eos velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore laborum temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque cupiditate excepturi alias dolor maxime voluptatibus quidem conclusion odio reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet itaque similique minima ea quidem assumenda dolor libero ex unde at cumque natus sequi sapiente ipsa et nisi vel consectetur at sunt quae veritatis incidunt commodi rem tenetur est quod eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi quam a optio inventore beatae libero tenetur excepturi non autem cupiditate id dolorem ab nulla expedita quae maxime perspiciatis mollitia soluta rerum commodi officia adipisci dignissimos temporibus magni natus quia quod presentation first file presentation second file eposter topic one topic two session one 154 views  ', 1681647845),
(86, 'en', 'node_search', ' presentation two presentation two sat 5192018 1600 admin fri 3022018 1123 221 jackson hall south west building a112 mathias little john doe affiliation two abstract objective dolore quibusdam aliquam dolorum accusantium optio qui eius repellendus doloribus natus expedita quisquam voluptatibus facere necessitatibus fugit consequatur pariatur minima id officia methods cumque pariatur id porro expedita temporibus quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus nostrum repellendus est ea alias quas odit fugit accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet omnis facilis consequatur asperiores inventore sed cupiditate fugiat voluptas laudantium repellendus nostrum optio labore et quaerat quo vitae animi nisi voluptatem iusto ipsam quia ratione eaque sint pariatur aut minus vel officia consequatur earum results assumenda iure a saepe inventore cum voluptatum sapiente beatae rerum dolorem aspernatur magnam alias expedita quaerat ex amet ullam repudiandae eos fuga officiis iusto at eos velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore laborum temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque cupiditate excepturi alias dolor maxime voluptatibus quidem conclusion odio reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet itaque similique minima ea quidem assumenda dolor libero ex unde at cumque natus sequi sapiente ipsa et nisi vel consectetur at sunt quae veritatis incidunt commodi rem tenetur est quod eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi quam a optio inventore beatae libero tenetur excepturi non autem cupiditate id dolorem ab nulla expedita quae maxime perspiciatis mollitia soluta rerum commodi officia adipisci dignissimos temporibus magni natus quia quod oral presentation topic two session two 5 views  ', 1681647845),
(87, 'en', 'node_search', ' presentation three presentation three sat 3312018 1600 admin fri 3022018 1127 221 jackson hall south west building a112 thalia cobb john doe affiliation three abstract objective dolore quibusdam aliquam dolorum accusantium optio qui eius repellendus doloribus natus expedita quisquam voluptatibus facere necessitatibus fugit consequatur pariatur minima id officia methods cumque pariatur id porro expedita temporibus quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus nostrum repellendus est ea alias quas odit fugit accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet omnis facilis consequatur asperiores inventore sed cupiditate fugiat voluptas laudantium repellendus nostrum optio labore et quaerat quo vitae animi nisi voluptatem iusto ipsam quia ratione eaque sint pariatur aut minus vel officia consequatur earum results assumenda iure a saepe inventore cum voluptatum sapiente beatae rerum dolorem aspernatur magnam alias expedita quaerat ex amet ullam repudiandae eos fuga officiis iusto at eos velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore laborum temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque cupiditate excepturi alias dolor maxime voluptatibus quidem conclusion odio reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet itaque similique minima ea quidem assumenda dolor libero ex unde at cumque natus sequi sapiente ipsa et nisi vel consectetur at sunt quae veritatis incidunt commodi rem tenetur est quod eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi quam a optio inventore beatae libero tenetur excepturi non autem cupiditate id dolorem ab nulla expedita quae maxime perspiciatis mollitia soluta rerum commodi officia adipisci dignissimos temporibus magni natus quia quod poster topic three topic one session three 6 views  ', 1681647845),
(88, 'en', 'node_search', ' presentation four presentation four sun 5272018 1600 admin fri 3022018 1213 221 jackson hall south west building a112 justine henderson smith doe affiliation four abstract objective dolore quibusdam aliquam dolorum accusantium optio qui eius repellendus doloribus natus expedita quisquam voluptatibus facere necessitatibus fugit consequatur pariatur minima id officia methods cumque pariatur id porro expedita temporibus quis perspiciatis distinctio facilis odio at culpa eveniet fuga voluptate necessitatibus nostrum repellendus est ea alias quas odit fugit accusamus delectus dignissimos quis quam minima exercitationem optio commodi totam id in eveniet omnis facilis consequatur asperiores inventore sed cupiditate fugiat voluptas laudantium repellendus nostrum optio labore et quaerat quo vitae animi nisi voluptatem iusto ipsam quia ratione eaque sint pariatur aut minus vel officia consequatur earum results assumenda iure a saepe inventore cum voluptatum sapiente beatae rerum dolorem aspernatur magnam alias expedita quaerat ex amet ullam repudiandae eos fuga officiis iusto at eos velit reiciendis fugit ipsam ad aliquam illum quos cupiditate dolorum atque repellat necessitatibus sequi beatae vero optio voluptates suscipit tempore laborum temporibus eum ea mollitia qui illo iure minus id quasi officiis eius esse ratione nam culpa eos earum fugit atque cupiditate excepturi alias dolor maxime voluptatibus quidem conclusion odio reprehenderit dolorem quae eveniet vel fugit consequuntur iste suscipit iusto similique quibusdam illo ullam asperiores repudiandae obcaecati incidunt necessitatibus et minus quasi atque quae blanditiis amet itaque similique minima ea quidem assumenda dolor libero ex unde at cumque natus sequi sapiente ipsa et nisi vel consectetur at sunt quae veritatis incidunt commodi rem tenetur est quod eius obcaecati qui excepturi voluptate necessitatibus pariatur non eum rerum illo illum earum porro modi amet beatae reprehenderit ipsam fugiat ex suscipit quaerat quasi quam a optio inventore beatae libero tenetur excepturi non autem cupiditate id dolorem ab nulla expedita quae maxime perspiciatis mollitia soluta rerum commodi officia adipisci dignissimos temporibus magni natus quia quod workshop topic two topic one session one 40 views  ', 1681647845),
(89, 'en', 'node_search', ' event two event two 400 pm admin thu 3082018 1305 183 jackson hall south west building a13 lorem ipsum dolor sit amet consectetur adipisicing elit voluptates velit suscipit tempore distinctio laudantium natus at totam eius nesciunt a explicabo veniam eum sint nam quis nisi excepturi facilis atque culpa magni quo molestias rem sint commodi ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste harum et voluptatum veniam quia impedit qui minima adipisci nulla ipsam culpa minus quia quibusdam at corporis animi vitae eaque voluptas quo delectus laboriosam enim aliquid temporibus consectetur tenetur facere sequi aperiam pariatur ullam dignissimos harum voluptas fugiat deserunt adipisci aut iste quaerat rerum vero reprehenderit provident culpa ut ipsam doloremque qui iure eligendi saepe tempore quis alias optio nesciunt tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem waylon dalton lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about waylon dalton 28 views sponsor four lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about sponsor four get directions get together 8 views  ', 1681647845),
(90, 'en', 'node_search', ' event three event three 400 pm admin thu 3082018 1308 119 jackson hall south west building a189 lorem ipsum dolor sit amet consectetur adipisicing elit voluptates velit suscipit tempore distinctio laudantium natus at totam eius nesciunt a explicabo veniam eum sint nam quis nisi excepturi facilis atque culpa magni quo molestias rem sint commodi ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste harum et voluptatum veniam quia impedit qui minima adipisci nulla ipsam culpa minus quia quibusdam at corporis animi vitae eaque voluptas quo delectus laboriosam enim aliquid temporibus consectetur tenetur facere sequi aperiam pariatur ullam dignissimos harum voluptas fugiat deserunt adipisci aut iste quaerat rerum vero reprehenderit provident culpa ut ipsam doloremque qui iure eligendi saepe tempore quis alias optio nesciunt tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem waylon dalton lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about waylon dalton 28 views sponsor two lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about sponsor two 14 views get directions party 6 views  ', 1681647845),
(91, 'en', 'node_search', ' event four event four 400 pm admin thu 3082018 1312 235 jackson hall south west building a658 lorem ipsum dolor sit amet consectetur adipisicing elit voluptates velit suscipit tempore distinctio laudantium natus at totam eius nesciunt a explicabo veniam eum sint nam quis nisi excepturi facilis atque culpa magni quo molestias rem sint commodi ducimus natus mollitia assumenda consequatur eligendi corporis corrupti officia soluta minima vero quasi sit ad cupiditate eos aliquam magni odit est pariatur repellendus dolorem alias iste harum et voluptatum veniam quia impedit qui minima adipisci nulla ipsam culpa minus quia quibusdam at corporis animi vitae eaque voluptas quo delectus laboriosam enim aliquid temporibus consectetur tenetur facere sequi aperiam pariatur ullam dignissimos harum voluptas fugiat deserunt adipisci aut iste quaerat rerum vero reprehenderit provident culpa ut ipsam doloremque qui iure eligendi saepe tempore quis alias optio nesciunt tempora architecto eaque ipsum accusantium veniam illum dolore corrupti cumque natus ipsam velit aliquid obcaecati doloremque pariatur aperiam qui quod dicta alias voluptatum voluptas delectus unde dolorem abdullah lang lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about abdullah lang 49 views sponsor five lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum read more about sponsor five 1 view get directions social event 23 views  ', 1681647845),
(92, 'en', 'node_search', ' program entry 1 program entry 1 1200 pm admin thu 3152018 1752 100 pm 28 apr 2018 event one 221 jackson hall south west building a112 lorem ipsum dolor sit amet consectetur adipisicing elit voluptates velit suscipit tempore distinctio laudantium natus at totam eius nesciunt a explicabo veniam eum sint nam quis nisi excepturi facilis atque culpa magni quo molestias rem 7 views  ', 1681647845),
(93, 'en', 'node_search', ' program entry 2 program entry 2 100 pm admin thu 3152018 1757 200 pm presentation one dolore quibusdam aliquam dolorum accusantium optio qui eius repellendus doloribus natus expedita quisquam voluptatibus facere necessitatibus fugit consequatur pariatur minima id officia read more about presentation one 154 views 12 views  ', 1681647845),
(94, 'en', 'node_search', ' about us about us conference dedicated to helping young people worldwide achieve great success conference foundation is a nonprofit organization dedicated to helping young people worldwide achieve great success through a unique curriculum makes a commitment to instill each student or young adult with reallife keys to success such as goalsetting mentorship selfmotivation professionalism and advanced communication brian a king founder ceo of conference admin thu 3152018 1943 17 views  ', 1681647845);
INSERT INTO `search_dataset` VALUES
(95, 'en', 'node_search', ' program program the following program element is populated through google calendar document ready function fullcalendargoogle fullcalendar header left prev next today center title right month agendaweek agendaday listyear googlecalendarapikey aizasyane9yiaiu8vhgehpcgrvrdgwc2v2if0 eventsources googlecalendarid 6t714i0qirrbifjsmv6fntm6ds groupcalendargooglecom color 3b5897 textcolor ffffff googlecalendarid 94jv10llgutng208gpkrgfq38k groupcalendargooglecom color 4b842e textcolor ffffff admin thu 3222018 836 57 views  ', 1681647845);

-- --------------------------------------------------------

--
-- Table structure for table `search_index`
--

CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The languages.langcode of the item variant.',
  `type` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`langcode`,`type`),
  KEY `sid_type` (`sid`,`langcode`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores the search index, associating words, items and…';

--
-- Dumping data for table `search_index`
--

INSERT INTO `search_index` VALUES
('1', 1, 'en', 'node_search', 6.74067),
('1', 2, 'en', 'node_search', 43.8187),
('1', 6, 'en', 'node_search', 11),
('1', 9, 'en', 'node_search', 27),
('1', 12, 'en', 'node_search', 1),
('1', 40, 'en', 'node_search', 1),
('1', 53, 'en', 'node_search', 1),
('1', 59, 'en', 'node_search', 1),
('1', 61, 'en', 'node_search', 1),
('1', 62, 'en', 'node_search', 1),
('1', 70, 'en', 'node_search', 1),
('1', 71, 'en', 'node_search', 1),
('1', 91, 'en', 'node_search', 0.819249),
('1', 92, 'en', 'node_search', 27),
('10', 2, 'en', 'node_search', 1.62611),
('100', 2, 'en', 'node_search', 2.70198),
('100', 92, 'en', 'node_search', 1),
('100', 93, 'en', 'node_search', 1),
('10072016', 15, 'en', 'node_search', 0.972861),
('10272016', 47, 'en', 'node_search', 1),
('10272016', 48, 'en', 'node_search', 1),
('10272016', 49, 'en', 'node_search', 1),
('10272016', 50, 'en', 'node_search', 1),
('1059', 39, 'en', 'node_search', 1),
('108900', 9, 'en', 'node_search', 1),
('11', 1, 'en', 'node_search', 0.705825),
('1112018', 70, 'en', 'node_search', 1),
('1112018', 71, 'en', 'node_search', 1),
('1112018', 72, 'en', 'node_search', 1),
('1112018', 73, 'en', 'node_search', 1),
('1112018', 74, 'en', 'node_search', 1),
('1112018', 75, 'en', 'node_search', 1),
('11142016', 53, 'en', 'node_search', 1),
('11142016', 54, 'en', 'node_search', 1),
('1123', 86, 'en', 'node_search', 1),
('1125', 58, 'en', 'node_search', 1),
('1125', 62, 'en', 'node_search', 1),
('1127', 87, 'en', 'node_search', 1),
('11292016', 55, 'en', 'node_search', 1),
('1172017', 59, 'en', 'node_search', 1),
('119', 90, 'en', 'node_search', 1),
('1192018', 76, 'en', 'node_search', 1),
('1192018', 77, 'en', 'node_search', 1),
('1192018', 78, 'en', 'node_search', 1),
('1192018', 79, 'en', 'node_search', 1),
('1192018', 80, 'en', 'node_search', 1),
('1192018', 81, 'en', 'node_search', 1),
('119300', 9, 'en', 'node_search', 1),
('12', 93, 'en', 'node_search', 1),
('1200', 18, 'en', 'node_search', 1),
('1200', 23, 'en', 'node_search', 0.949597),
('1200', 62, 'en', 'node_search', 11),
('1200', 92, 'en', 'node_search', 1),
('12012016', 56, 'en', 'node_search', 1),
('12012016', 57, 'en', 'node_search', 1),
('12022016', 58, 'en', 'node_search', 1),
('1213', 88, 'en', 'node_search', 1),
('1217', 60, 'en', 'node_search', 1),
('12222017', 64, 'en', 'node_search', 1),
('12222017', 65, 'en', 'node_search', 1),
('12222017', 66, 'en', 'node_search', 1),
('12222017', 67, 'en', 'node_search', 1),
('12222017', 68, 'en', 'node_search', 1),
('12222017', 69, 'en', 'node_search', 1),
('1231', 9, 'en', 'node_search', 1),
('1254', 47, 'en', 'node_search', 1),
('1256', 48, 'en', 'node_search', 1),
('1259', 49, 'en', 'node_search', 1),
('1262017', 15, 'en', 'node_search', 0.906287),
('13', 58, 'en', 'node_search', 1),
('13', 81, 'en', 'node_search', 1),
('1301', 50, 'en', 'node_search', 1),
('1302', 56, 'en', 'node_search', 1),
('1305', 89, 'en', 'node_search', 1),
('1308', 90, 'en', 'node_search', 1),
('1312', 91, 'en', 'node_search', 1),
('1317', 51, 'en', 'node_search', 1),
('132', 9, 'en', 'node_search', 1),
('1320', 2, 'en', 'node_search', 0.526987),
('1326', 16, 'en', 'node_search', 1),
('1353', 55, 'en', 'node_search', 1),
('14', 74, 'en', 'node_search', 1),
('14', 84, 'en', 'node_search', 0.819249),
('14', 90, 'en', 'node_search', 0.819249),
('1412', 35, 'en', 'node_search', 1),
('1427', 17, 'en', 'node_search', 1),
('1443', 70, 'en', 'node_search', 1),
('1448', 64, 'en', 'node_search', 1),
('1501', 65, 'en', 'node_search', 1),
('1502', 66, 'en', 'node_search', 1),
('1503', 67, 'en', 'node_search', 1),
('1505', 68, 'en', 'node_search', 1),
('1506', 69, 'en', 'node_search', 1),
('154', 85, 'en', 'node_search', 0.781775),
('154', 93, 'en', 'node_search', 1),
('1599', 46, 'en', 'node_search', 1),
('1600', 85, 'en', 'node_search', 1),
('1600', 86, 'en', 'node_search', 1),
('1600', 87, 'en', 'node_search', 1),
('1600', 88, 'en', 'node_search', 1),
('17', 94, 'en', 'node_search', 1),
('1705', 40, 'en', 'node_search', 1),
('1726', 76, 'en', 'node_search', 1),
('1727', 77, 'en', 'node_search', 1),
('1728', 78, 'en', 'node_search', 1),
('1728', 79, 'en', 'node_search', 1),
('1729', 80, 'en', 'node_search', 1),
('1729', 81, 'en', 'node_search', 1),
('1744', 85, 'en', 'node_search', 1),
('1746', 71, 'en', 'node_search', 1),
('1747', 72, 'en', 'node_search', 1),
('1747', 84, 'en', 'node_search', 1),
('1748', 73, 'en', 'node_search', 1),
('1750', 74, 'en', 'node_search', 1),
('1751', 75, 'en', 'node_search', 1),
('1752', 92, 'en', 'node_search', 1),
('1757', 93, 'en', 'node_search', 1),
('181', 84, 'en', 'node_search', 0.808176),
('1818', 18, 'en', 'node_search', 1),
('1822', 63, 'en', 'node_search', 1),
('1825', 19, 'en', 'node_search', 1),
('1826', 20, 'en', 'node_search', 1),
('1828', 21, 'en', 'node_search', 1),
('1829', 22, 'en', 'node_search', 1),
('183', 89, 'en', 'node_search', 1),
('1833', 23, 'en', 'node_search', 1),
('18900', 9, 'en', 'node_search', 1),
('19', 75, 'en', 'node_search', 1),
('1930', 57, 'en', 'node_search', 1),
('1943', 94, 'en', 'node_search', 1),
('1945', 46, 'en', 'node_search', 1),
('1958', 1, 'en', 'node_search', 0.707906),
('199', 7, 'en', 'node_search', 1),
('2', 1, 'en', 'node_search', 64.9793),
('2', 2, 'en', 'node_search', 49.2312),
('2', 4, 'en', 'node_search', 11),
('2', 5, 'en', 'node_search', 11),
('2', 8, 'en', 'node_search', 27),
('2', 9, 'en', 'node_search', 10.8342),
('2', 13, 'en', 'node_search', 1),
('2', 43, 'en', 'node_search', 1),
('2', 51, 'en', 'node_search', 1),
('2', 53, 'en', 'node_search', 27),
('2', 63, 'en', 'node_search', 1),
('2', 93, 'en', 'node_search', 27),
('20', 2, 'en', 'node_search', 6.0017),
('20', 57, 'en', 'node_search', 1),
('200', 93, 'en', 'node_search', 1),
('2002', 33, 'en', 'node_search', 1),
('2004', 34, 'en', 'node_search', 1),
('2016', 10, 'en', 'node_search', 1),
('2016', 11, 'en', 'node_search', 1),
('2016', 12, 'en', 'node_search', 1),
('2016', 13, 'en', 'node_search', 1),
('2016', 14, 'en', 'node_search', 1),
('2016', 15, 'en', 'node_search', 1),
('2018', 92, 'en', 'node_search', 1),
('2027', 59, 'en', 'node_search', 1),
('2045', 4, 'en', 'node_search', 1),
('2049', 5, 'en', 'node_search', 1),
('2050', 6, 'en', 'node_search', 1),
('2052', 7, 'en', 'node_search', 1),
('2053', 8, 'en', 'node_search', 1),
('2055', 9, 'en', 'node_search', 1),
('2072017', 60, 'en', 'node_search', 1),
('2092017', 61, 'en', 'node_search', 1),
('2109', 15, 'en', 'node_search', 0.968904),
('2117', 53, 'en', 'node_search', 1),
('2118', 54, 'en', 'node_search', 1),
('2128', 41, 'en', 'node_search', 1),
('2131', 42, 'en', 'node_search', 1),
('2133', 43, 'en', 'node_search', 1),
('2134', 44, 'en', 'node_search', 1),
('2135', 45, 'en', 'node_search', 1),
('2150', 36, 'en', 'node_search', 1),
('2152', 37, 'en', 'node_search', 1),
('2204', 61, 'en', 'node_search', 1),
('221', 84, 'en', 'node_search', 1),
('221', 85, 'en', 'node_search', 1),
('221', 86, 'en', 'node_search', 1),
('221', 87, 'en', 'node_search', 1),
('221', 88, 'en', 'node_search', 1),
('221', 92, 'en', 'node_search', 1),
('2228', 15, 'en', 'node_search', 0.902857),
('2232018', 84, 'en', 'node_search', 1),
('2240', 10, 'en', 'node_search', 1),
('2244', 11, 'en', 'node_search', 1),
('2245', 12, 'en', 'node_search', 1),
('2247', 13, 'en', 'node_search', 1),
('2248', 14, 'en', 'node_search', 1),
('2249', 15, 'en', 'node_search', 1),
('2262018', 85, 'en', 'node_search', 1),
('23', 9, 'en', 'node_search', 0.968904),
('23', 91, 'en', 'node_search', 0.805455),
('2324', 15, 'en', 'node_search', 1.98493),
('2325', 15, 'en', 'node_search', 0.980874),
('235', 91, 'en', 'node_search', 1),
('24', 9, 'en', 'node_search', 1),
('27900', 9, 'en', 'node_search', 1),
('28', 65, 'en', 'node_search', 1),
('28', 89, 'en', 'node_search', 0.830633),
('28', 90, 'en', 'node_search', 0.830633),
('28', 92, 'en', 'node_search', 1),
('2900', 19, 'en', 'node_search', 1),
('2900', 22, 'en', 'node_search', 1),
('299', 6, 'en', 'node_search', 1),
('299', 9, 'en', 'node_search', 0.980874),
('3', 1, 'en', 'node_search', 29.9682),
('3', 2, 'en', 'node_search', 38.0107),
('3', 7, 'en', 'node_search', 27),
('3', 8, 'en', 'node_search', 11),
('3', 9, 'en', 'node_search', 10.8792),
('3', 21, 'en', 'node_search', 1),
('3', 39, 'en', 'node_search', 10),
('3', 40, 'en', 'node_search', 27),
('3', 41, 'en', 'node_search', 1),
('3', 42, 'en', 'node_search', 1),
('3', 44, 'en', 'node_search', 1),
('3', 45, 'en', 'node_search', 1),
('30', 2, 'en', 'node_search', 0.537506),
('3022018', 86, 'en', 'node_search', 1),
('3022018', 87, 'en', 'node_search', 1),
('3022018', 88, 'en', 'node_search', 1),
('3082018', 89, 'en', 'node_search', 1),
('3082018', 90, 'en', 'node_search', 1),
('3082018', 91, 'en', 'node_search', 1),
('3152018', 92, 'en', 'node_search', 1),
('3152018', 93, 'en', 'node_search', 1),
('3152018', 94, 'en', 'node_search', 1),
('3182016', 46, 'en', 'node_search', 1),
('3222018', 95, 'en', 'node_search', 1),
('3312018', 85, 'en', 'node_search', 1),
('3312018', 87, 'en', 'node_search', 1),
('349', 5, 'en', 'node_search', 1),
('35', 2, 'en', 'node_search', 1.09225),
('37', 2, 'en', 'node_search', 0.525844),
('37900', 9, 'en', 'node_search', 1),
('3900', 20, 'en', 'node_search', 1),
('399', 8, 'en', 'node_search', 1),
('3b5897', 95, 'en', 'node_search', 1),
('4', 1, 'en', 'node_search', 15),
('4', 4, 'en', 'node_search', 1),
('4', 6, 'en', 'node_search', 27),
('4', 7, 'en', 'node_search', 11),
('4', 17, 'en', 'node_search', 1),
('4', 22, 'en', 'node_search', 1),
('4', 46, 'en', 'node_search', 1),
('40', 2, 'en', 'node_search', 4.37928),
('40', 88, 'en', 'node_search', 0.794753),
('400', 89, 'en', 'node_search', 1),
('400', 90, 'en', 'node_search', 1),
('400', 91, 'en', 'node_search', 1),
('42', 15, 'en', 'node_search', 1),
('429', 35, 'en', 'node_search', 1),
('45300', 9, 'en', 'node_search', 1),
('459', 4, 'en', 'node_search', 1),
('49', 69, 'en', 'node_search', 1),
('49', 91, 'en', 'node_search', 0.830633),
('4900', 21, 'en', 'node_search', 1),
('4b842e', 95, 'en', 'node_search', 1),
('5', 1, 'en', 'node_search', 10),
('5', 5, 'en', 'node_search', 27),
('5', 6, 'en', 'node_search', 1),
('5', 20, 'en', 'node_search', 1),
('5', 56, 'en', 'node_search', 1),
('5', 64, 'en', 'node_search', 1),
('5', 67, 'en', 'node_search', 1),
('5', 86, 'en', 'node_search', 0.800068),
('5192018', 86, 'en', 'node_search', 1),
('5272018', 88, 'en', 'node_search', 1),
('57', 95, 'en', 'node_search', 1),
('599', 1, 'en', 'node_search', 1.4906),
('6', 7, 'en', 'node_search', 1),
('6', 8, 'en', 'node_search', 1),
('6', 14, 'en', 'node_search', 1),
('6', 76, 'en', 'node_search', 1),
('6', 77, 'en', 'node_search', 1),
('6', 87, 'en', 'node_search', 0.797402),
('6', 90, 'en', 'node_search', 0.808176),
('60', 2, 'en', 'node_search', 3.27577),
('6012016', 1, 'en', 'node_search', 0.71),
('6032016', 2, 'en', 'node_search', 0.528135),
('6072016', 4, 'en', 'node_search', 1),
('6072016', 5, 'en', 'node_search', 1),
('6072016', 6, 'en', 'node_search', 1),
('6072016', 7, 'en', 'node_search', 1),
('6072016', 8, 'en', 'node_search', 1),
('6072016', 9, 'en', 'node_search', 1),
('6072016', 10, 'en', 'node_search', 1),
('6072016', 11, 'en', 'node_search', 1),
('6072016', 12, 'en', 'node_search', 1),
('6072016', 13, 'en', 'node_search', 1),
('6072016', 14, 'en', 'node_search', 1),
('6072016', 15, 'en', 'node_search', 3.9658),
('6102016', 16, 'en', 'node_search', 1),
('6102016', 17, 'en', 'node_search', 1),
('6132016', 18, 'en', 'node_search', 1),
('6132016', 19, 'en', 'node_search', 1),
('6132016', 20, 'en', 'node_search', 1),
('6132016', 21, 'en', 'node_search', 1),
('6132016', 22, 'en', 'node_search', 1),
('6132016', 23, 'en', 'node_search', 1),
('6132016', 33, 'en', 'node_search', 1),
('6132016', 34, 'en', 'node_search', 1),
('6142016', 35, 'en', 'node_search', 1),
('6162016', 36, 'en', 'node_search', 1),
('6162016', 37, 'en', 'node_search', 1),
('62000', 9, 'en', 'node_search', 1),
('68700', 9, 'en', 'node_search', 1),
('6t714i0qirrbifjsmv6fntm6ds', 95, 'en', 'node_search', 1),
('7', 10, 'en', 'node_search', 1),
('7', 11, 'en', 'node_search', 1),
('7', 12, 'en', 'node_search', 1),
('7', 13, 'en', 'node_search', 1),
('7', 14, 'en', 'node_search', 1),
('7', 15, 'en', 'node_search', 1),
('7', 18, 'en', 'node_search', 1),
('7', 19, 'en', 'node_search', 1),
('7', 23, 'en', 'node_search', 0.934703),
('7', 68, 'en', 'node_search', 1),
('7', 84, 'en', 'node_search', 0.830633),
('7', 92, 'en', 'node_search', 1),
('7052017', 62, 'en', 'node_search', 1),
('7052017', 63, 'en', 'node_search', 1),
('78', 2, 'en', 'node_search', 2.77248),
('8', 78, 'en', 'node_search', 1),
('8', 79, 'en', 'node_search', 1),
('8', 89, 'en', 'node_search', 0.810915),
('80', 2, 'en', 'node_search', 3.26583),
('800', 84, 'en', 'node_search', 1),
('800413', 23, 'en', 'node_search', 0.957226),
('8242016', 39, 'en', 'node_search', 1),
('8262016', 51, 'en', 'node_search', 1),
('836', 95, 'en', 'node_search', 1),
('9', 5, 'en', 'node_search', 1),
('9', 66, 'en', 'node_search', 1),
('9', 80, 'en', 'node_search', 1),
('9022016', 40, 'en', 'node_search', 1),
('9262016', 41, 'en', 'node_search', 1),
('9262016', 42, 'en', 'node_search', 1),
('9262016', 43, 'en', 'node_search', 1),
('9262016', 44, 'en', 'node_search', 1),
('9262016', 45, 'en', 'node_search', 1),
('94jv10llgutng208gpkrgfq38k', 95, 'en', 'node_search', 1),
('978', 9, 'en', 'node_search', 1),
('a112', 84, 'en', 'node_search', 1),
('a112', 85, 'en', 'node_search', 1),
('a112', 86, 'en', 'node_search', 1),
('a112', 87, 'en', 'node_search', 1),
('a112', 88, 'en', 'node_search', 1),
('a112', 92, 'en', 'node_search', 1),
('a13', 89, 'en', 'node_search', 1),
('a189', 90, 'en', 'node_search', 1),
('a658', 91, 'en', 'node_search', 1),
('abdullah', 69, 'en', 'node_search', 27),
('abdullah', 85, 'en', 'node_search', 11),
('abdullah', 91, 'en', 'node_search', 36.566),
('about', 84, 'en', 'node_search', 18.1806),
('about', 89, 'en', 'node_search', 18.1806),
('about', 90, 'en', 'node_search', 18.1806),
('about', 91, 'en', 'node_search', 18.1806),
('about', 93, 'en', 'node_search', 11),
('about', 94, 'en', 'node_search', 27),
('abstract', 85, 'en', 'node_search', 16),
('abstract', 86, 'en', 'node_search', 16),
('abstract', 87, 'en', 'node_search', 16),
('abstract', 88, 'en', 'node_search', 16),
('accommodation', 4, 'en', 'node_search', 11),
('accommodation', 5, 'en', 'node_search', 11),
('accommodation', 6, 'en', 'node_search', 11),
('accommodation', 7, 'en', 'node_search', 11),
('accommodation', 8, 'en', 'node_search', 11),
('accommodation', 9, 'en', 'node_search', 21.8046),
('accordion', 2, 'en', 'node_search', 21.4616),
('accordionexample1', 2, 'en', 'node_search', 2.41081),
('accordionexample2', 2, 'en', 'node_search', 2.33847),
('account', 1, 'en', 'node_search', 0.794753),
('account', 62, 'en', 'node_search', 11),
('accusamus', 2, 'en', 'node_search', 7.40283),
('accusamus', 39, 'en', 'node_search', 10),
('accusamus', 85, 'en', 'node_search', 1),
('accusamus', 86, 'en', 'node_search', 1),
('accusamus', 87, 'en', 'node_search', 1),
('accusamus', 88, 'en', 'node_search', 1),
('accusantium', 84, 'en', 'node_search', 0.976851),
('accusantium', 85, 'en', 'node_search', 1),
('accusantium', 86, 'en', 'node_search', 1),
('accusantium', 87, 'en', 'node_search', 1),
('accusantium', 88, 'en', 'node_search', 1),
('accusantium', 89, 'en', 'node_search', 0.976851),
('accusantium', 90, 'en', 'node_search', 0.976851),
('accusantium', 91, 'en', 'node_search', 0.976851),
('accusantium', 93, 'en', 'node_search', 1),
('achieve', 94, 'en', 'node_search', 17),
('active', 2, 'en', 'node_search', 3.05825),
('adaptive', 1, 'en', 'node_search', 3),
('adaptive', 4, 'en', 'node_search', 6),
('adaptive', 5, 'en', 'node_search', 6),
('adaptive', 6, 'en', 'node_search', 6),
('adaptive', 7, 'en', 'node_search', 6),
('adaptive', 8, 'en', 'node_search', 6),
('adaptive', 9, 'en', 'node_search', 7),
('adaptive', 10, 'en', 'node_search', 6),
('adaptive', 11, 'en', 'node_search', 6),
('adaptive', 12, 'en', 'node_search', 6),
('adaptive', 13, 'en', 'node_search', 6),
('adaptive', 14, 'en', 'node_search', 6),
('adaptive', 15, 'en', 'node_search', 6),
('adaptive', 18, 'en', 'node_search', 7),
('adaptive', 19, 'en', 'node_search', 7),
('adaptive', 20, 'en', 'node_search', 7),
('adaptive', 21, 'en', 'node_search', 7),
('adaptive', 22, 'en', 'node_search', 7),
('adaptive', 23, 'en', 'node_search', 3),
('adaptive', 46, 'en', 'node_search', 7),
('adipisci', 84, 'en', 'node_search', 2),
('adipisci', 85, 'en', 'node_search', 0.802752),
('adipisci', 86, 'en', 'node_search', 0.813674),
('adipisci', 87, 'en', 'node_search', 0.813674),
('adipisci', 88, 'en', 'node_search', 0.813674),
('adipisci', 89, 'en', 'node_search', 2),
('adipisci', 90, 'en', 'node_search', 2),
('adipisci', 91, 'en', 'node_search', 2),
('adipiscing', 1, 'en', 'node_search', 28.9052),
('adipisicing', 1, 'en', 'node_search', 2.68971),
('adipisicing', 2, 'en', 'node_search', 9.61408),
('adipisicing', 15, 'en', 'node_search', 0.896076),
('adipisicing', 23, 'en', 'node_search', 6.9347),
('adipisicing', 36, 'en', 'node_search', 6),
('adipisicing', 37, 'en', 'node_search', 6),
('adipisicing', 41, 'en', 'node_search', 1),
('adipisicing', 42, 'en', 'node_search', 1),
('adipisicing', 43, 'en', 'node_search', 1),
('adipisicing', 44, 'en', 'node_search', 1),
('adipisicing', 45, 'en', 'node_search', 1),
('adipisicing', 47, 'en', 'node_search', 1),
('adipisicing', 51, 'en', 'node_search', 1),
('adipisicing', 64, 'en', 'node_search', 1),
('adipisicing', 65, 'en', 'node_search', 1),
('adipisicing', 66, 'en', 'node_search', 1),
('adipisicing', 67, 'en', 'node_search', 1),
('adipisicing', 68, 'en', 'node_search', 1),
('adipisicing', 69, 'en', 'node_search', 1),
('adipisicing', 70, 'en', 'node_search', 1),
('adipisicing', 71, 'en', 'node_search', 1),
('adipisicing', 72, 'en', 'node_search', 1),
('adipisicing', 73, 'en', 'node_search', 1),
('adipisicing', 74, 'en', 'node_search', 1),
('adipisicing', 75, 'en', 'node_search', 1),
('adipisicing', 76, 'en', 'node_search', 1),
('adipisicing', 77, 'en', 'node_search', 1),
('adipisicing', 78, 'en', 'node_search', 1),
('adipisicing', 79, 'en', 'node_search', 1),
('adipisicing', 80, 'en', 'node_search', 1),
('adipisicing', 81, 'en', 'node_search', 1),
('adipisicing', 84, 'en', 'node_search', 2.75763),
('adipisicing', 89, 'en', 'node_search', 2.75763),
('adipisicing', 90, 'en', 'node_search', 2.75763),
('adipisicing', 91, 'en', 'node_search', 2.75763),
('adipisicing', 92, 'en', 'node_search', 1),
('admin', 1, 'en', 'node_search', 0.714225),
('admin', 2, 'en', 'node_search', 0.530446),
('admin', 4, 'en', 'node_search', 1),
('admin', 5, 'en', 'node_search', 1),
('admin', 6, 'en', 'node_search', 1),
('admin', 7, 'en', 'node_search', 1),
('admin', 8, 'en', 'node_search', 1),
('admin', 9, 'en', 'node_search', 1),
('admin', 10, 'en', 'node_search', 1),
('admin', 11, 'en', 'node_search', 1),
('admin', 12, 'en', 'node_search', 1),
('admin', 13, 'en', 'node_search', 1),
('admin', 14, 'en', 'node_search', 1),
('admin', 15, 'en', 'node_search', 6.83327),
('admin', 16, 'en', 'node_search', 1),
('admin', 17, 'en', 'node_search', 1),
('admin', 18, 'en', 'node_search', 1),
('admin', 19, 'en', 'node_search', 1),
('admin', 20, 'en', 'node_search', 1),
('admin', 21, 'en', 'node_search', 1),
('admin', 22, 'en', 'node_search', 1),
('admin', 23, 'en', 'node_search', 1),
('admin', 33, 'en', 'node_search', 1),
('admin', 34, 'en', 'node_search', 1),
('admin', 35, 'en', 'node_search', 1),
('admin', 36, 'en', 'node_search', 1),
('admin', 37, 'en', 'node_search', 1),
('admin', 39, 'en', 'node_search', 1),
('admin', 40, 'en', 'node_search', 1),
('admin', 41, 'en', 'node_search', 1),
('admin', 42, 'en', 'node_search', 1),
('admin', 43, 'en', 'node_search', 1),
('admin', 44, 'en', 'node_search', 1),
('admin', 45, 'en', 'node_search', 1),
('admin', 46, 'en', 'node_search', 1),
('admin', 47, 'en', 'node_search', 1),
('admin', 48, 'en', 'node_search', 1),
('admin', 49, 'en', 'node_search', 1),
('admin', 50, 'en', 'node_search', 1),
('admin', 51, 'en', 'node_search', 1),
('admin', 53, 'en', 'node_search', 1),
('admin', 54, 'en', 'node_search', 1),
('admin', 55, 'en', 'node_search', 1),
('admin', 56, 'en', 'node_search', 1),
('admin', 57, 'en', 'node_search', 1),
('admin', 58, 'en', 'node_search', 1),
('admin', 59, 'en', 'node_search', 1),
('admin', 60, 'en', 'node_search', 1),
('admin', 61, 'en', 'node_search', 1),
('admin', 62, 'en', 'node_search', 1),
('admin', 63, 'en', 'node_search', 1),
('admin', 64, 'en', 'node_search', 1),
('admin', 65, 'en', 'node_search', 1),
('admin', 66, 'en', 'node_search', 1),
('admin', 67, 'en', 'node_search', 1),
('admin', 68, 'en', 'node_search', 1),
('admin', 69, 'en', 'node_search', 1),
('admin', 70, 'en', 'node_search', 1),
('admin', 71, 'en', 'node_search', 1),
('admin', 72, 'en', 'node_search', 1),
('admin', 73, 'en', 'node_search', 1),
('admin', 74, 'en', 'node_search', 1),
('admin', 75, 'en', 'node_search', 1),
('admin', 76, 'en', 'node_search', 1),
('admin', 77, 'en', 'node_search', 1),
('admin', 78, 'en', 'node_search', 1),
('admin', 79, 'en', 'node_search', 1),
('admin', 80, 'en', 'node_search', 1),
('admin', 81, 'en', 'node_search', 1),
('admin', 84, 'en', 'node_search', 1),
('admin', 85, 'en', 'node_search', 1),
('admin', 86, 'en', 'node_search', 1),
('admin', 87, 'en', 'node_search', 1),
('admin', 88, 'en', 'node_search', 1),
('admin', 89, 'en', 'node_search', 1),
('admin', 90, 'en', 'node_search', 1),
('admin', 91, 'en', 'node_search', 1),
('admin', 92, 'en', 'node_search', 1),
('admin', 93, 'en', 'node_search', 1),
('admin', 94, 'en', 'node_search', 1),
('admin', 95, 'en', 'node_search', 1),
('adult', 94, 'en', 'node_search', 1),
('advanced', 94, 'en', 'node_search', 1),
('aesthetic', 2, 'en', 'node_search', 3.66457),
('aesthetic', 39, 'en', 'node_search', 5),
('affiliation', 64, 'en', 'node_search', 11),
('affiliation', 65, 'en', 'node_search', 11),
('affiliation', 66, 'en', 'node_search', 11),
('affiliation', 67, 'en', 'node_search', 11),
('affiliation', 68, 'en', 'node_search', 11),
('affiliation', 69, 'en', 'node_search', 11),
('affiliation', 85, 'en', 'node_search', 2),
('affiliation', 86, 'en', 'node_search', 1),
('affiliation', 87, 'en', 'node_search', 1),
('affiliation', 88, 'en', 'node_search', 1),
('agendaday', 95, 'en', 'node_search', 1),
('agendaweek', 95, 'en', 'node_search', 1),
('aizasyane9yiaiu8vhgehpcgrvrdgwc2v2if0', 95, 'en', 'node_search', 1),
('album', 76, 'en', 'node_search', 27),
('album', 77, 'en', 'node_search', 27),
('album', 78, 'en', 'node_search', 27),
('album', 79, 'en', 'node_search', 27),
('album', 80, 'en', 'node_search', 27),
('album', 81, 'en', 'node_search', 27),
('alias', 84, 'en', 'node_search', 2.93862),
('alias', 85, 'en', 'node_search', 2.85172),
('alias', 86, 'en', 'node_search', 2.88101),
('alias', 87, 'en', 'node_search', 2.88101),
('alias', 88, 'en', 'node_search', 2.88101),
('alias', 89, 'en', 'node_search', 2.93862),
('alias', 90, 'en', 'node_search', 2.93862),
('alias', 91, 'en', 'node_search', 2.93862),
('aliqua', 1, 'en', 'node_search', 0.920273),
('aliqua', 2, 'en', 'node_search', 3.71241),
('aliqua', 15, 'en', 'node_search', 0.869951),
('aliqua', 23, 'en', 'node_search', 2.9347),
('aliqua', 39, 'en', 'node_search', 5),
('aliqua', 41, 'en', 'node_search', 1),
('aliqua', 42, 'en', 'node_search', 1),
('aliqua', 43, 'en', 'node_search', 1),
('aliqua', 44, 'en', 'node_search', 1),
('aliqua', 45, 'en', 'node_search', 1),
('aliqua', 47, 'en', 'node_search', 1),
('aliqua', 51, 'en', 'node_search', 1),
('aliqua', 64, 'en', 'node_search', 1),
('aliqua', 65, 'en', 'node_search', 1),
('aliqua', 66, 'en', 'node_search', 1),
('aliqua', 67, 'en', 'node_search', 1),
('aliqua', 68, 'en', 'node_search', 1),
('aliqua', 69, 'en', 'node_search', 1),
('aliqua', 70, 'en', 'node_search', 1),
('aliqua', 71, 'en', 'node_search', 1),
('aliqua', 72, 'en', 'node_search', 1),
('aliqua', 73, 'en', 'node_search', 1),
('aliqua', 74, 'en', 'node_search', 1),
('aliqua', 75, 'en', 'node_search', 1),
('aliqua', 76, 'en', 'node_search', 1),
('aliqua', 77, 'en', 'node_search', 1),
('aliqua', 78, 'en', 'node_search', 1),
('aliqua', 79, 'en', 'node_search', 1),
('aliqua', 80, 'en', 'node_search', 1),
('aliqua', 81, 'en', 'node_search', 1),
('aliqua', 84, 'en', 'node_search', 1.73598),
('aliqua', 89, 'en', 'node_search', 1.73598),
('aliqua', 90, 'en', 'node_search', 1.73598),
('aliqua', 91, 'en', 'node_search', 1.73598),
('aliquam', 2, 'en', 'node_search', 3.09055),
('aliquam', 15, 'en', 'node_search', 2.95772),
('aliquam', 84, 'en', 'node_search', 1),
('aliquam', 85, 'en', 'node_search', 1.94209),
('aliquam', 86, 'en', 'node_search', 1.95723),
('aliquam', 87, 'en', 'node_search', 1.95723),
('aliquam', 88, 'en', 'node_search', 1.95723),
('aliquam', 89, 'en', 'node_search', 1),
('aliquam', 90, 'en', 'node_search', 1),
('aliquam', 91, 'en', 'node_search', 1),
('aliquam', 93, 'en', 'node_search', 1),
('aliquet', 1, 'en', 'node_search', 5),
('aliquet', 36, 'en', 'node_search', 2),
('aliquet', 37, 'en', 'node_search', 2),
('aliquid', 84, 'en', 'node_search', 1.96109),
('aliquid', 89, 'en', 'node_search', 1.96109),
('aliquid', 90, 'en', 'node_search', 1.96109),
('aliquid', 91, 'en', 'node_search', 1.96109),
('aliquip', 23, 'en', 'node_search', 2.86941),
('aliquip', 41, 'en', 'node_search', 1),
('aliquip', 42, 'en', 'node_search', 1),
('aliquip', 43, 'en', 'node_search', 1),
('aliquip', 44, 'en', 'node_search', 1),
('aliquip', 45, 'en', 'node_search', 1),
('aliquip', 49, 'en', 'node_search', 1),
('aliquip', 51, 'en', 'node_search', 1),
('aliquip', 64, 'en', 'node_search', 1),
('aliquip', 65, 'en', 'node_search', 1),
('aliquip', 66, 'en', 'node_search', 1),
('aliquip', 67, 'en', 'node_search', 1),
('aliquip', 68, 'en', 'node_search', 1),
('aliquip', 69, 'en', 'node_search', 1),
('aliquip', 70, 'en', 'node_search', 1),
('aliquip', 71, 'en', 'node_search', 1),
('aliquip', 72, 'en', 'node_search', 1),
('aliquip', 73, 'en', 'node_search', 1),
('aliquip', 74, 'en', 'node_search', 1),
('aliquip', 75, 'en', 'node_search', 1),
('aliquip', 76, 'en', 'node_search', 1),
('aliquip', 77, 'en', 'node_search', 1),
('aliquip', 78, 'en', 'node_search', 1),
('aliquip', 79, 'en', 'node_search', 1),
('aliquip', 80, 'en', 'node_search', 1),
('aliquip', 81, 'en', 'node_search', 1),
('aliquip', 84, 'en', 'node_search', 1.71532),
('aliquip', 89, 'en', 'node_search', 1.71532),
('aliquip', 90, 'en', 'node_search', 1.71532),
('aliquip', 91, 'en', 'node_search', 1.71532),
('all', 2, 'en', 'node_search', 0.535131),
('all', 49, 'en', 'node_search', 1),
('alt', 2, 'en', 'node_search', 3),
('alternative', 40, 'en', 'node_search', 27),
('alternative', 53, 'en', 'node_search', 27),
('alternative', 60, 'en', 'node_search', 27),
('amed', 9, 'en', 'node_search', 16),
('amed', 10, 'en', 'node_search', 16),
('amed', 11, 'en', 'node_search', 16),
('amed', 12, 'en', 'node_search', 16),
('amed', 13, 'en', 'node_search', 16),
('amed', 14, 'en', 'node_search', 16),
('amed', 15, 'en', 'node_search', 16),
('amet', 1, 'en', 'node_search', 6.16926),
('amet', 2, 'en', 'node_search', 15.9134),
('amet', 9, 'en', 'node_search', 1),
('amet', 15, 'en', 'node_search', 32.3176),
('amet', 23, 'en', 'node_search', 6.9347),
('amet', 33, 'en', 'node_search', 1),
('amet', 34, 'en', 'node_search', 1),
('amet', 36, 'en', 'node_search', 6),
('amet', 37, 'en', 'node_search', 6),
('amet', 41, 'en', 'node_search', 1),
('amet', 42, 'en', 'node_search', 1),
('amet', 43, 'en', 'node_search', 1),
('amet', 44, 'en', 'node_search', 1),
('amet', 45, 'en', 'node_search', 1),
('amet', 47, 'en', 'node_search', 1),
('amet', 51, 'en', 'node_search', 1),
('amet', 64, 'en', 'node_search', 1),
('amet', 65, 'en', 'node_search', 1),
('amet', 66, 'en', 'node_search', 1),
('amet', 67, 'en', 'node_search', 1),
('amet', 68, 'en', 'node_search', 1),
('amet', 69, 'en', 'node_search', 1),
('amet', 70, 'en', 'node_search', 1),
('amet', 71, 'en', 'node_search', 1),
('amet', 72, 'en', 'node_search', 1),
('amet', 73, 'en', 'node_search', 1),
('amet', 74, 'en', 'node_search', 1),
('amet', 75, 'en', 'node_search', 1),
('amet', 76, 'en', 'node_search', 1),
('amet', 77, 'en', 'node_search', 1),
('amet', 78, 'en', 'node_search', 1),
('amet', 79, 'en', 'node_search', 1),
('amet', 80, 'en', 'node_search', 1),
('amet', 81, 'en', 'node_search', 1),
('amet', 84, 'en', 'node_search', 2.75763),
('amet', 85, 'en', 'node_search', 2.62514),
('amet', 86, 'en', 'node_search', 2.66445),
('amet', 87, 'en', 'node_search', 2.66445),
('amet', 88, 'en', 'node_search', 2.66445),
('amet', 89, 'en', 'node_search', 2.75763),
('amet', 90, 'en', 'node_search', 2.75763),
('amet', 91, 'en', 'node_search', 2.75763),
('amet', 92, 'en', 'node_search', 1),
('and', 1, 'en', 'node_search', 1.65851),
('and', 9, 'en', 'node_search', 1),
('and', 10, 'en', 'node_search', 1),
('and', 11, 'en', 'node_search', 1),
('and', 12, 'en', 'node_search', 1),
('and', 13, 'en', 'node_search', 1),
('and', 14, 'en', 'node_search', 1),
('and', 15, 'en', 'node_search', 1),
('and', 23, 'en', 'node_search', 19),
('and', 94, 'en', 'node_search', 1),
('anderson', 2, 'en', 'node_search', 3.68761),
('anderson', 39, 'en', 'node_search', 5),
('android', 2, 'en', 'node_search', 75),
('anim', 2, 'en', 'node_search', 7.46692),
('anim', 15, 'en', 'node_search', 0.920273),
('anim', 23, 'en', 'node_search', 1.90756),
('anim', 39, 'en', 'node_search', 10),
('anim', 41, 'en', 'node_search', 1),
('anim', 42, 'en', 'node_search', 1),
('anim', 43, 'en', 'node_search', 1),
('anim', 44, 'en', 'node_search', 1),
('anim', 45, 'en', 'node_search', 1),
('anim', 48, 'en', 'node_search', 1),
('anim', 50, 'en', 'node_search', 1),
('anim', 51, 'en', 'node_search', 1),
('anim', 64, 'en', 'node_search', 1),
('anim', 65, 'en', 'node_search', 1),
('anim', 66, 'en', 'node_search', 1),
('anim', 67, 'en', 'node_search', 1),
('anim', 68, 'en', 'node_search', 1),
('anim', 69, 'en', 'node_search', 1),
('anim', 70, 'en', 'node_search', 1),
('anim', 71, 'en', 'node_search', 1),
('anim', 72, 'en', 'node_search', 1),
('anim', 73, 'en', 'node_search', 1),
('anim', 74, 'en', 'node_search', 1),
('anim', 75, 'en', 'node_search', 1),
('anim', 76, 'en', 'node_search', 1),
('anim', 77, 'en', 'node_search', 1),
('anim', 78, 'en', 'node_search', 1),
('anim', 79, 'en', 'node_search', 1),
('anim', 80, 'en', 'node_search', 1),
('anim', 81, 'en', 'node_search', 1),
('anim', 84, 'en', 'node_search', 1.66457),
('anim', 89, 'en', 'node_search', 1.66457),
('anim', 90, 'en', 'node_search', 1.66457),
('anim', 91, 'en', 'node_search', 1.66457),
('animi', 84, 'en', 'node_search', 1),
('animi', 85, 'en', 'node_search', 1),
('animi', 86, 'en', 'node_search', 1),
('animi', 87, 'en', 'node_search', 1),
('animi', 88, 'en', 'node_search', 1),
('animi', 89, 'en', 'node_search', 1),
('animi', 90, 'en', 'node_search', 1),
('animi', 91, 'en', 'node_search', 1),
('another', 1, 'en', 'node_search', 1.65559),
('ante', 1, 'en', 'node_search', 55),
('ante', 9, 'en', 'node_search', 1),
('ante', 36, 'en', 'node_search', 5),
('ante', 37, 'en', 'node_search', 5),
('any', 1, 'en', 'node_search', 0.774192),
('apartment', 1, 'en', 'node_search', 0.771698),
('aperiam', 84, 'en', 'node_search', 1.95723),
('aperiam', 89, 'en', 'node_search', 1.95723),
('aperiam', 90, 'en', 'node_search', 1.95723),
('aperiam', 91, 'en', 'node_search', 1.95723),
('apple', 2, 'en', 'node_search', 75),
('appropriately', 1, 'en', 'node_search', 2),
('appropriately', 4, 'en', 'node_search', 3),
('appropriately', 5, 'en', 'node_search', 3),
('appropriately', 6, 'en', 'node_search', 3),
('appropriately', 7, 'en', 'node_search', 3),
('appropriately', 8, 'en', 'node_search', 3),
('appropriately', 9, 'en', 'node_search', 4),
('appropriately', 10, 'en', 'node_search', 3),
('appropriately', 11, 'en', 'node_search', 3),
('appropriately', 12, 'en', 'node_search', 3),
('appropriately', 13, 'en', 'node_search', 3),
('appropriately', 14, 'en', 'node_search', 3),
('appropriately', 15, 'en', 'node_search', 3),
('appropriately', 18, 'en', 'node_search', 4),
('appropriately', 19, 'en', 'node_search', 4),
('appropriately', 20, 'en', 'node_search', 4),
('appropriately', 21, 'en', 'node_search', 4),
('appropriately', 22, 'en', 'node_search', 4),
('appropriately', 23, 'en', 'node_search', 2),
('appropriately', 46, 'en', 'node_search', 4),
('apr', 92, 'en', 'node_search', 1),
('architecto', 84, 'en', 'node_search', 0.980874),
('architecto', 89, 'en', 'node_search', 0.980874),
('architecto', 90, 'en', 'node_search', 0.980874),
('architecto', 91, 'en', 'node_search', 0.980874),
('arcu', 15, 'en', 'node_search', 5.91545),
('are', 23, 'en', 'node_search', 1),
('are', 57, 'en', 'node_search', 1),
('areas', 9, 'en', 'node_search', 2),
('areas', 10, 'en', 'node_search', 2),
('areas', 11, 'en', 'node_search', 2),
('areas', 12, 'en', 'node_search', 2),
('areas', 13, 'en', 'node_search', 2),
('areas', 14, 'en', 'node_search', 2),
('areas', 15, 'en', 'node_search', 2),
('ariacontrols', 2, 'en', 'node_search', 8.13109),
('ariaexpanded', 2, 'en', 'node_search', 3.54194),
('arialabelledby', 2, 'en', 'node_search', 3.53744),
('ariamultiselectable', 2, 'en', 'node_search', 1.2088),
('ariavaluemax', 2, 'en', 'node_search', 2.7032),
('ariavaluemin', 2, 'en', 'node_search', 2.70444),
('ariavaluenow', 2, 'en', 'node_search', 2.70568),
('art', 4, 'en', 'node_search', 2),
('art', 5, 'en', 'node_search', 2),
('art', 6, 'en', 'node_search', 2),
('art', 7, 'en', 'node_search', 2),
('art', 8, 'en', 'node_search', 2),
('art', 9, 'en', 'node_search', 2),
('art', 10, 'en', 'node_search', 2),
('art', 11, 'en', 'node_search', 2),
('art', 12, 'en', 'node_search', 2),
('art', 13, 'en', 'node_search', 2),
('art', 14, 'en', 'node_search', 2),
('art', 15, 'en', 'node_search', 2),
('art', 18, 'en', 'node_search', 2),
('art', 19, 'en', 'node_search', 2),
('art', 20, 'en', 'node_search', 2),
('art', 21, 'en', 'node_search', 2),
('art', 22, 'en', 'node_search', 2),
('art', 46, 'en', 'node_search', 2),
('article', 10, 'en', 'node_search', 27),
('article', 11, 'en', 'node_search', 27),
('article', 12, 'en', 'node_search', 27),
('article', 13, 'en', 'node_search', 27),
('article', 14, 'en', 'node_search', 27),
('article', 15, 'en', 'node_search', 27),
('asperiores', 85, 'en', 'node_search', 1.85439),
('asperiores', 86, 'en', 'node_search', 1.86679),
('asperiores', 87, 'en', 'node_search', 1.86679),
('asperiores', 88, 'en', 'node_search', 1.86679),
('aspernatur', 2, 'en', 'node_search', 3.10194),
('aspernatur', 85, 'en', 'node_search', 0.976851),
('aspernatur', 86, 'en', 'node_search', 0.993146),
('aspernatur', 87, 'en', 'node_search', 0.993146),
('aspernatur', 88, 'en', 'node_search', 0.993146),
('assistant', 47, 'en', 'node_search', 1),
('assumenda', 2, 'en', 'node_search', 6.92355),
('assumenda', 39, 'en', 'node_search', 5),
('assumenda', 84, 'en', 'node_search', 1),
('assumenda', 85, 'en', 'node_search', 1.84234),
('assumenda', 86, 'en', 'node_search', 1.85439),
('assumenda', 87, 'en', 'node_search', 1.85439),
('assumenda', 88, 'en', 'node_search', 1.85439),
('assumenda', 89, 'en', 'node_search', 1),
('assumenda', 90, 'en', 'node_search', 1),
('assumenda', 91, 'en', 'node_search', 1),
('atque', 36, 'en', 'node_search', 4),
('atque', 37, 'en', 'node_search', 4),
('atque', 84, 'en', 'node_search', 1),
('atque', 85, 'en', 'node_search', 2.66912),
('atque', 86, 'en', 'node_search', 2.7096),
('atque', 87, 'en', 'node_search', 2.7096),
('atque', 88, 'en', 'node_search', 2.7096),
('atque', 89, 'en', 'node_search', 1),
('atque', 90, 'en', 'node_search', 1),
('atque', 91, 'en', 'node_search', 1),
('atque', 92, 'en', 'node_search', 1),
('audio', 23, 'en', 'node_search', 1),
('augue', 1, 'en', 'node_search', 7.49802),
('augue', 36, 'en', 'node_search', 17),
('augue', 37, 'en', 'node_search', 17),
('aut', 2, 'en', 'node_search', 3.12569),
('aut', 84, 'en', 'node_search', 1),
('aut', 85, 'en', 'node_search', 1),
('aut', 86, 'en', 'node_search', 1),
('aut', 87, 'en', 'node_search', 1),
('aut', 88, 'en', 'node_search', 1),
('aut', 89, 'en', 'node_search', 1),
('aut', 90, 'en', 'node_search', 1),
('aut', 91, 'en', 'node_search', 1),
('aute', 2, 'en', 'node_search', 3.7349),
('aute', 23, 'en', 'node_search', 2.86941),
('aute', 39, 'en', 'node_search', 5),
('aute', 41, 'en', 'node_search', 1),
('aute', 42, 'en', 'node_search', 1),
('aute', 43, 'en', 'node_search', 1),
('aute', 44, 'en', 'node_search', 1),
('aute', 45, 'en', 'node_search', 1),
('aute', 48, 'en', 'node_search', 1),
('aute', 49, 'en', 'node_search', 1),
('aute', 50, 'en', 'node_search', 1),
('aute', 51, 'en', 'node_search', 1),
('aute', 64, 'en', 'node_search', 1),
('aute', 65, 'en', 'node_search', 1),
('aute', 66, 'en', 'node_search', 1),
('aute', 67, 'en', 'node_search', 1),
('aute', 68, 'en', 'node_search', 1),
('aute', 69, 'en', 'node_search', 1),
('aute', 70, 'en', 'node_search', 1),
('aute', 71, 'en', 'node_search', 1),
('aute', 72, 'en', 'node_search', 1),
('aute', 73, 'en', 'node_search', 1),
('aute', 74, 'en', 'node_search', 1),
('aute', 75, 'en', 'node_search', 1),
('aute', 76, 'en', 'node_search', 1),
('aute', 77, 'en', 'node_search', 1),
('aute', 78, 'en', 'node_search', 1),
('aute', 79, 'en', 'node_search', 1),
('aute', 80, 'en', 'node_search', 1),
('aute', 81, 'en', 'node_search', 1),
('aute', 84, 'en', 'node_search', 1.70207),
('aute', 89, 'en', 'node_search', 1.70207),
('aute', 90, 'en', 'node_search', 1.70207),
('aute', 91, 'en', 'node_search', 1.70207),
('autem', 2, 'en', 'node_search', 3.19873),
('autem', 85, 'en', 'node_search', 0.810915),
('autem', 86, 'en', 'node_search', 0.822065),
('autem', 87, 'en', 'node_search', 0.822065),
('autem', 88, 'en', 'node_search', 0.822065),
('available', 1, 'en', 'node_search', 1.95723),
('available', 2, 'en', 'node_search', 0.533952),
('awesome', 2, 'en', 'node_search', 16.5328),
('balance', 62, 'en', 'node_search', 11),
('banner', 23, 'en', 'node_search', 2.75731),
('bars', 2, 'en', 'node_search', 9.14876),
('beatae', 85, 'en', 'node_search', 3.53469),
('beatae', 86, 'en', 'node_search', 3.58251),
('beatae', 87, 'en', 'node_search', 3.58251),
('beatae', 88, 'en', 'node_search', 3.58251),
('becoming', 23, 'en', 'node_search', 1),
('been', 1, 'en', 'node_search', 1),
('beer', 2, 'en', 'node_search', 7.36291),
('beer', 39, 'en', 'node_search', 10),
('behance', 2, 'en', 'node_search', 12),
('behne', 49, 'en', 'node_search', 27),
('bekki', 41, 'en', 'node_search', 27),
('bgdanger', 2, 'en', 'node_search', 1.07502),
('bgdefault', 2, 'en', 'node_search', 0.549707),
('bginfo', 2, 'en', 'node_search', 1.07861),
('bgsuccess', 2, 'en', 'node_search', 1.07983),
('bgwarning', 2, 'en', 'node_search', 1.07622),
('biology', 48, 'en', 'node_search', 1),
('biomedics', 47, 'en', 'node_search', 1),
('bird', 1, 'en', 'node_search', 0.718502),
('bird', 2, 'en', 'node_search', 3.70847),
('bird', 39, 'en', 'node_search', 5),
('bitbucket', 2, 'en', 'node_search', 90),
('black', 10, 'en', 'node_search', 11),
('black', 12, 'en', 'node_search', 11),
('black', 13, 'en', 'node_search', 11),
('black', 14, 'en', 'node_search', 11),
('black', 23, 'en', 'node_search', 10.572),
('black', 46, 'en', 'node_search', 11),
('blanditiis', 85, 'en', 'node_search', 0.848323),
('blanditiis', 86, 'en', 'node_search', 0.860547),
('blanditiis', 87, 'en', 'node_search', 0.860547),
('blanditiis', 88, 'en', 'node_search', 0.860547),
('blockquote', 1, 'en', 'node_search', 16),
('blocks', 58, 'en', 'node_search', 27),
('bonanno', 51, 'en', 'node_search', 27),
('book', 4, 'en', 'node_search', 11),
('book', 5, 'en', 'node_search', 11),
('book', 6, 'en', 'node_search', 11),
('book', 7, 'en', 'node_search', 11),
('book', 8, 'en', 'node_search', 11),
('book', 9, 'en', 'node_search', 10.7454),
('bordered', 1, 'en', 'node_search', 11),
('bordered', 2, 'en', 'node_search', 17),
('boxed', 16, 'en', 'node_search', 27),
('brian', 94, 'en', 'node_search', 10),
('brunch', 2, 'en', 'node_search', 7.44294),
('brunch', 39, 'en', 'node_search', 10),
('btc', 2, 'en', 'node_search', 90),
('building', 84, 'en', 'node_search', 1),
('building', 85, 'en', 'node_search', 1),
('building', 86, 'en', 'node_search', 1),
('building', 87, 'en', 'node_search', 1),
('building', 88, 'en', 'node_search', 1),
('building', 89, 'en', 'node_search', 1),
('building', 90, 'en', 'node_search', 1),
('building', 91, 'en', 'node_search', 1),
('building', 92, 'en', 'node_search', 1),
('butcher', 2, 'en', 'node_search', 3.67855),
('butcher', 39, 'en', 'node_search', 5),
('button', 2, 'en', 'node_search', 50.2237),
('buttons', 1, 'en', 'node_search', 12.674),
('buy', 18, 'en', 'node_search', 11),
('buy', 19, 'en', 'node_search', 11),
('buy', 20, 'en', 'node_search', 11),
('buy', 21, 'en', 'node_search', 11),
('buy', 22, 'en', 'node_search', 11),
('buy', 23, 'en', 'node_search', 11.4041),
('buy', 46, 'en', 'node_search', 11),
('calendar', 95, 'en', 'node_search', 1),
('card', 2, 'en', 'node_search', 3.56864),
('cardbody', 2, 'en', 'node_search', 3.53594),
('cardheader', 2, 'en', 'node_search', 7.13256),
('cardtitle', 2, 'en', 'node_search', 3.55519),
('carlos', 48, 'en', 'node_search', 27),
('category', 4, 'en', 'node_search', 11),
('category', 5, 'en', 'node_search', 11),
('category', 6, 'en', 'node_search', 11),
('category', 7, 'en', 'node_search', 11),
('category', 8, 'en', 'node_search', 11),
('category', 9, 'en', 'node_search', 21.7588),
('cell', 1, 'en', 'node_search', 4.5021),
('center', 95, 'en', 'node_search', 1),
('ceo', 33, 'en', 'node_search', 1),
('ceo', 48, 'en', 'node_search', 1),
('ceo', 50, 'en', 'node_search', 1),
('ceo', 94, 'en', 'node_search', 1),
('ceremony', 76, 'en', 'node_search', 11),
('ceremony', 79, 'en', 'node_search', 11),
('ceremony', 84, 'en', 'node_search', 8.92007),
('chair', 42, 'en', 'node_search', 1),
('charlotte', 51, 'en', 'node_search', 27),
('check', 2, 'en', 'node_search', 0.536316),
('chief', 34, 'en', 'node_search', 1),
('cillum', 23, 'en', 'node_search', 1.9347),
('cillum', 33, 'en', 'node_search', 1),
('cillum', 41, 'en', 'node_search', 1),
('cillum', 42, 'en', 'node_search', 1),
('cillum', 43, 'en', 'node_search', 1),
('cillum', 44, 'en', 'node_search', 1),
('cillum', 45, 'en', 'node_search', 1),
('cillum', 48, 'en', 'node_search', 1),
('cillum', 50, 'en', 'node_search', 1),
('cillum', 51, 'en', 'node_search', 1),
('cillum', 64, 'en', 'node_search', 1),
('cillum', 65, 'en', 'node_search', 1),
('cillum', 66, 'en', 'node_search', 1),
('cillum', 67, 'en', 'node_search', 1),
('cillum', 68, 'en', 'node_search', 1),
('cillum', 69, 'en', 'node_search', 1),
('cillum', 70, 'en', 'node_search', 1),
('cillum', 71, 'en', 'node_search', 1),
('cillum', 72, 'en', 'node_search', 1),
('cillum', 73, 'en', 'node_search', 1),
('cillum', 74, 'en', 'node_search', 1),
('cillum', 75, 'en', 'node_search', 1),
('cillum', 76, 'en', 'node_search', 1),
('cillum', 77, 'en', 'node_search', 1),
('cillum', 78, 'en', 'node_search', 1),
('cillum', 79, 'en', 'node_search', 1),
('cillum', 80, 'en', 'node_search', 1),
('cillum', 81, 'en', 'node_search', 1),
('cillum', 84, 'en', 'node_search', 1.6892),
('cillum', 89, 'en', 'node_search', 1.6892),
('cillum', 90, 'en', 'node_search', 1.6892),
('cillum', 91, 'en', 'node_search', 1.6892),
('class', 2, 'en', 'node_search', 245.444),
('class', 36, 'en', 'node_search', 24),
('class', 37, 'en', 'node_search', 24),
('cliche', 2, 'en', 'node_search', 3.76349),
('cliche', 39, 'en', 'node_search', 5),
('cobb', 67, 'en', 'node_search', 27),
('cobb', 87, 'en', 'node_search', 11),
('cocktail', 77, 'en', 'node_search', 11),
('cocktail', 80, 'en', 'node_search', 11),
('coffee', 2, 'en', 'node_search', 3.70458),
('coffee', 39, 'en', 'node_search', 5),
('collapse', 2, 'en', 'node_search', 7.09112),
('collapsed', 2, 'en', 'node_search', 2.35725),
('collapsefive', 2, 'en', 'node_search', 1.7499),
('collapsefour', 2, 'en', 'node_search', 1.7584),
('collapsegroup', 2, 'en', 'node_search', 1.80629),
('collapseone', 2, 'en', 'node_search', 1.81724),
('collapsesix', 2, 'en', 'node_search', 1.74149),
('collapsethree', 2, 'en', 'node_search', 1.77564),
('collapsetwo', 2, 'en', 'node_search', 1.78586),
('colmd3', 36, 'en', 'node_search', 6),
('colmd3', 37, 'en', 'node_search', 6),
('colmd4', 36, 'en', 'node_search', 5),
('colmd4', 37, 'en', 'node_search', 5),
('colmd6', 36, 'en', 'node_search', 2),
('colmd6', 37, 'en', 'node_search', 2),
('colmd8', 36, 'en', 'node_search', 2),
('colmd8', 37, 'en', 'node_search', 2),
('colmd9', 36, 'en', 'node_search', 2),
('colmd9', 37, 'en', 'node_search', 2),
('color', 95, 'en', 'node_search', 2),
('comments', 15, 'en', 'node_search', 4.8524),
('commitment', 94, 'en', 'node_search', 1),
('committee', 42, 'en', 'node_search', 1),
('commodi', 84, 'en', 'node_search', 1),
('commodi', 85, 'en', 'node_search', 2.62765),
('commodi', 86, 'en', 'node_search', 2.65012),
('commodi', 87, 'en', 'node_search', 2.65012),
('commodi', 88, 'en', 'node_search', 2.65012),
('commodi', 89, 'en', 'node_search', 1),
('commodi', 90, 'en', 'node_search', 1),
('commodi', 91, 'en', 'node_search', 1),
('commodo', 15, 'en', 'node_search', 28.4604),
('commodo', 23, 'en', 'node_search', 2.86941),
('commodo', 41, 'en', 'node_search', 1),
('commodo', 42, 'en', 'node_search', 1),
('commodo', 43, 'en', 'node_search', 1),
('commodo', 44, 'en', 'node_search', 1),
('commodo', 45, 'en', 'node_search', 1),
('commodo', 49, 'en', 'node_search', 1),
('commodo', 51, 'en', 'node_search', 1),
('commodo', 64, 'en', 'node_search', 1),
('commodo', 65, 'en', 'node_search', 1),
('commodo', 66, 'en', 'node_search', 1),
('commodo', 67, 'en', 'node_search', 1),
('commodo', 68, 'en', 'node_search', 1),
('commodo', 69, 'en', 'node_search', 1),
('commodo', 70, 'en', 'node_search', 1),
('commodo', 71, 'en', 'node_search', 1),
('commodo', 72, 'en', 'node_search', 1),
('commodo', 73, 'en', 'node_search', 1),
('commodo', 74, 'en', 'node_search', 1),
('commodo', 75, 'en', 'node_search', 1),
('commodo', 76, 'en', 'node_search', 1),
('commodo', 77, 'en', 'node_search', 1),
('commodo', 78, 'en', 'node_search', 1),
('commodo', 79, 'en', 'node_search', 1),
('commodo', 80, 'en', 'node_search', 1),
('commodo', 81, 'en', 'node_search', 1),
('commodo', 84, 'en', 'node_search', 1.71197),
('commodo', 89, 'en', 'node_search', 1.71197),
('commodo', 90, 'en', 'node_search', 1.71197),
('commodo', 91, 'en', 'node_search', 1.71197),
('communicate', 1, 'en', 'node_search', 2),
('communicate', 4, 'en', 'node_search', 3),
('communicate', 5, 'en', 'node_search', 3),
('communicate', 6, 'en', 'node_search', 3),
('communicate', 7, 'en', 'node_search', 3),
('communicate', 8, 'en', 'node_search', 3),
('communicate', 9, 'en', 'node_search', 4),
('communicate', 10, 'en', 'node_search', 3),
('communicate', 11, 'en', 'node_search', 3),
('communicate', 12, 'en', 'node_search', 3),
('communicate', 13, 'en', 'node_search', 3),
('communicate', 14, 'en', 'node_search', 3),
('communicate', 15, 'en', 'node_search', 3),
('communicate', 18, 'en', 'node_search', 4),
('communicate', 19, 'en', 'node_search', 4),
('communicate', 20, 'en', 'node_search', 4),
('communicate', 21, 'en', 'node_search', 4),
('communicate', 22, 'en', 'node_search', 4),
('communicate', 23, 'en', 'node_search', 2),
('communicate', 46, 'en', 'node_search', 4),
('communication', 94, 'en', 'node_search', 1),
('communications', 41, 'en', 'node_search', 1),
('company', 33, 'en', 'node_search', 1),
('compellingly', 9, 'en', 'node_search', 1),
('compellingly', 10, 'en', 'node_search', 1),
('compellingly', 11, 'en', 'node_search', 1),
('compellingly', 12, 'en', 'node_search', 1),
('compellingly', 13, 'en', 'node_search', 1),
('compellingly', 14, 'en', 'node_search', 1),
('compellingly', 15, 'en', 'node_search', 1),
('competitive', 1, 'en', 'node_search', 1),
('competitive', 4, 'en', 'node_search', 23),
('competitive', 5, 'en', 'node_search', 23),
('competitive', 6, 'en', 'node_search', 23),
('competitive', 7, 'en', 'node_search', 23),
('competitive', 8, 'en', 'node_search', 23),
('competitive', 9, 'en', 'node_search', 24),
('competitive', 10, 'en', 'node_search', 23),
('competitive', 11, 'en', 'node_search', 23),
('competitive', 12, 'en', 'node_search', 23),
('competitive', 13, 'en', 'node_search', 23),
('competitive', 14, 'en', 'node_search', 23),
('competitive', 15, 'en', 'node_search', 23),
('competitive', 18, 'en', 'node_search', 24),
('competitive', 19, 'en', 'node_search', 24),
('competitive', 20, 'en', 'node_search', 24),
('competitive', 21, 'en', 'node_search', 24),
('competitive', 22, 'en', 'node_search', 24),
('competitive', 23, 'en', 'node_search', 2),
('competitive', 46, 'en', 'node_search', 24),
('complete', 2, 'en', 'node_search', 11.0311),
('conclusion', 85, 'en', 'node_search', 13.097),
('conclusion', 86, 'en', 'node_search', 13.2914),
('conclusion', 87, 'en', 'node_search', 13.2914),
('conclusion', 88, 'en', 'node_search', 13.2914),
('condimentum', 1, 'en', 'node_search', 0.827757),
('conference', 94, 'en', 'node_search', 18),
('configure', 2, 'en', 'node_search', 14.5766),
('congue', 1, 'en', 'node_search', 2.50102),
('consectetuer', 1, 'en', 'node_search', 29.7919),
('consectetur', 1, 'en', 'node_search', 2.68971),
('consectetur', 2, 'en', 'node_search', 12.7522),
('consectetur', 15, 'en', 'node_search', 0.899454),
('consectetur', 23, 'en', 'node_search', 6.9347),
('consectetur', 33, 'en', 'node_search', 1),
('consectetur', 34, 'en', 'node_search', 1),
('consectetur', 36, 'en', 'node_search', 6),
('consectetur', 37, 'en', 'node_search', 6),
('consectetur', 41, 'en', 'node_search', 1),
('consectetur', 42, 'en', 'node_search', 1),
('consectetur', 43, 'en', 'node_search', 1),
('consectetur', 44, 'en', 'node_search', 1),
('consectetur', 45, 'en', 'node_search', 1),
('consectetur', 47, 'en', 'node_search', 1),
('consectetur', 51, 'en', 'node_search', 1),
('consectetur', 64, 'en', 'node_search', 1),
('consectetur', 65, 'en', 'node_search', 1),
('consectetur', 66, 'en', 'node_search', 1),
('consectetur', 67, 'en', 'node_search', 1),
('consectetur', 68, 'en', 'node_search', 1),
('consectetur', 69, 'en', 'node_search', 1),
('consectetur', 70, 'en', 'node_search', 1),
('consectetur', 71, 'en', 'node_search', 1),
('consectetur', 72, 'en', 'node_search', 1),
('consectetur', 73, 'en', 'node_search', 1),
('consectetur', 74, 'en', 'node_search', 1),
('consectetur', 75, 'en', 'node_search', 1),
('consectetur', 76, 'en', 'node_search', 1),
('consectetur', 77, 'en', 'node_search', 1),
('consectetur', 78, 'en', 'node_search', 1),
('consectetur', 79, 'en', 'node_search', 1),
('consectetur', 80, 'en', 'node_search', 1),
('consectetur', 81, 'en', 'node_search', 1),
('consectetur', 84, 'en', 'node_search', 3.75763),
('consectetur', 85, 'en', 'node_search', 0.833529),
('consectetur', 86, 'en', 'node_search', 0.845322),
('consectetur', 87, 'en', 'node_search', 0.845322),
('consectetur', 88, 'en', 'node_search', 0.845322),
('consectetur', 89, 'en', 'node_search', 3.75763),
('consectetur', 90, 'en', 'node_search', 3.75763),
('consectetur', 91, 'en', 'node_search', 3.75763),
('consectetur', 92, 'en', 'node_search', 1),
('consequat', 23, 'en', 'node_search', 1.9347),
('consequat', 41, 'en', 'node_search', 1),
('consequat', 42, 'en', 'node_search', 1),
('consequat', 43, 'en', 'node_search', 1),
('consequat', 44, 'en', 'node_search', 1),
('consequat', 45, 'en', 'node_search', 1),
('consequat', 49, 'en', 'node_search', 1),
('consequat', 51, 'en', 'node_search', 1),
('consequat', 64, 'en', 'node_search', 1),
('consequat', 65, 'en', 'node_search', 1),
('consequat', 66, 'en', 'node_search', 1),
('consequat', 67, 'en', 'node_search', 1),
('consequat', 68, 'en', 'node_search', 1),
('consequat', 69, 'en', 'node_search', 1),
('consequat', 70, 'en', 'node_search', 1),
('consequat', 71, 'en', 'node_search', 1),
('consequat', 72, 'en', 'node_search', 1),
('consequat', 73, 'en', 'node_search', 1),
('consequat', 74, 'en', 'node_search', 1),
('consequat', 75, 'en', 'node_search', 1),
('consequat', 76, 'en', 'node_search', 1),
('consequat', 77, 'en', 'node_search', 1),
('consequat', 78, 'en', 'node_search', 1),
('consequat', 79, 'en', 'node_search', 1),
('consequat', 80, 'en', 'node_search', 1),
('consequat', 81, 'en', 'node_search', 1),
('consequat', 84, 'en', 'node_search', 1.70865),
('consequat', 89, 'en', 'node_search', 1.70865),
('consequat', 90, 'en', 'node_search', 1.70865),
('consequat', 91, 'en', 'node_search', 1.70865),
('consequatur', 2, 'en', 'node_search', 3.1607),
('consequatur', 84, 'en', 'node_search', 1),
('consequatur', 85, 'en', 'node_search', 3),
('consequatur', 86, 'en', 'node_search', 3),
('consequatur', 87, 'en', 'node_search', 3),
('consequatur', 88, 'en', 'node_search', 3),
('consequatur', 89, 'en', 'node_search', 1),
('consequatur', 90, 'en', 'node_search', 1),
('consequatur', 91, 'en', 'node_search', 1),
('consequatur', 93, 'en', 'node_search', 1),
('consequuntur', 85, 'en', 'node_search', 0.863659),
('consequuntur', 86, 'en', 'node_search', 0.876337),
('consequuntur', 87, 'en', 'node_search', 0.876337),
('consequuntur', 88, 'en', 'node_search', 0.876337),
('consetatur', 9, 'en', 'node_search', 16),
('consetatur', 10, 'en', 'node_search', 16),
('consetatur', 11, 'en', 'node_search', 16),
('consetatur', 12, 'en', 'node_search', 16),
('consetatur', 13, 'en', 'node_search', 16),
('consetatur', 14, 'en', 'node_search', 16),
('consetatur', 15, 'en', 'node_search', 16),
('consultation', 62, 'en', 'node_search', 11),
('continually', 1, 'en', 'node_search', 2),
('continually', 4, 'en', 'node_search', 3),
('continually', 5, 'en', 'node_search', 3),
('continually', 6, 'en', 'node_search', 3),
('continually', 7, 'en', 'node_search', 3),
('continually', 8, 'en', 'node_search', 3),
('continually', 9, 'en', 'node_search', 4),
('continually', 10, 'en', 'node_search', 3),
('continually', 11, 'en', 'node_search', 3),
('continually', 12, 'en', 'node_search', 3),
('continually', 13, 'en', 'node_search', 3),
('continually', 14, 'en', 'node_search', 3),
('continually', 15, 'en', 'node_search', 3),
('continually', 18, 'en', 'node_search', 4),
('continually', 19, 'en', 'node_search', 4),
('continually', 20, 'en', 'node_search', 4),
('continually', 21, 'en', 'node_search', 4),
('continually', 22, 'en', 'node_search', 4),
('continually', 23, 'en', 'node_search', 2),
('continually', 46, 'en', 'node_search', 4),
('convallis', 15, 'en', 'node_search', 39.7473),
('conveniently', 1, 'en', 'node_search', 1),
('conveniently', 4, 'en', 'node_search', 2),
('conveniently', 5, 'en', 'node_search', 2),
('conveniently', 6, 'en', 'node_search', 2),
('conveniently', 7, 'en', 'node_search', 2),
('conveniently', 8, 'en', 'node_search', 2),
('conveniently', 9, 'en', 'node_search', 2),
('conveniently', 10, 'en', 'node_search', 2),
('conveniently', 11, 'en', 'node_search', 2),
('conveniently', 12, 'en', 'node_search', 2),
('conveniently', 13, 'en', 'node_search', 2),
('conveniently', 14, 'en', 'node_search', 2),
('conveniently', 15, 'en', 'node_search', 2),
('conveniently', 18, 'en', 'node_search', 2),
('conveniently', 19, 'en', 'node_search', 2),
('conveniently', 20, 'en', 'node_search', 2),
('conveniently', 21, 'en', 'node_search', 2),
('conveniently', 22, 'en', 'node_search', 2),
('conveniently', 46, 'en', 'node_search', 2),
('corporis', 84, 'en', 'node_search', 2),
('corporis', 89, 'en', 'node_search', 2),
('corporis', 90, 'en', 'node_search', 2),
('corporis', 91, 'en', 'node_search', 2),
('corrupti', 2, 'en', 'node_search', 3.16738),
('corrupti', 84, 'en', 'node_search', 1.96498),
('corrupti', 89, 'en', 'node_search', 1.96498),
('corrupti', 90, 'en', 'node_search', 1.96498),
('corrupti', 91, 'en', 'node_search', 1.96498),
('counselor', 49, 'en', 'node_search', 1),
('craft', 2, 'en', 'node_search', 7.36479),
('craft', 39, 'en', 'node_search', 10),
('cred', 2, 'en', 'node_search', 3.68578),
('cred', 39, 'en', 'node_search', 5),
('cruz', 64, 'en', 'node_search', 27),
('css3', 2, 'en', 'node_search', 90),
('cta', 54, 'en', 'node_search', 27),
('culpa', 15, 'en', 'node_search', 0.938382),
('culpa', 23, 'en', 'node_search', 1.92785),
('culpa', 41, 'en', 'node_search', 1),
('culpa', 42, 'en', 'node_search', 1),
('culpa', 43, 'en', 'node_search', 1),
('culpa', 44, 'en', 'node_search', 1),
('culpa', 45, 'en', 'node_search', 1),
('culpa', 48, 'en', 'node_search', 1),
('culpa', 50, 'en', 'node_search', 1),
('culpa', 51, 'en', 'node_search', 1),
('culpa', 64, 'en', 'node_search', 1),
('culpa', 65, 'en', 'node_search', 1),
('culpa', 66, 'en', 'node_search', 1),
('culpa', 67, 'en', 'node_search', 1),
('culpa', 68, 'en', 'node_search', 1),
('culpa', 69, 'en', 'node_search', 1),
('culpa', 70, 'en', 'node_search', 1),
('culpa', 71, 'en', 'node_search', 1),
('culpa', 72, 'en', 'node_search', 1),
('culpa', 73, 'en', 'node_search', 1),
('culpa', 74, 'en', 'node_search', 1),
('culpa', 75, 'en', 'node_search', 1),
('culpa', 76, 'en', 'node_search', 1),
('culpa', 77, 'en', 'node_search', 1),
('culpa', 78, 'en', 'node_search', 1),
('culpa', 79, 'en', 'node_search', 1),
('culpa', 80, 'en', 'node_search', 1),
('culpa', 81, 'en', 'node_search', 1),
('culpa', 84, 'en', 'node_search', 4.66757),
('culpa', 85, 'en', 'node_search', 1.8861),
('culpa', 86, 'en', 'node_search', 1.89945),
('culpa', 87, 'en', 'node_search', 1.89945),
('culpa', 88, 'en', 'node_search', 1.89945),
('culpa', 89, 'en', 'node_search', 4.66757),
('culpa', 90, 'en', 'node_search', 4.66757),
('culpa', 91, 'en', 'node_search', 4.66757),
('culpa', 92, 'en', 'node_search', 1),
('cum', 85, 'en', 'node_search', 1),
('cum', 86, 'en', 'node_search', 1),
('cum', 87, 'en', 'node_search', 1),
('cum', 88, 'en', 'node_search', 1),
('cumque', 2, 'en', 'node_search', 6.33978),
('cumque', 84, 'en', 'node_search', 0.96498),
('cumque', 85, 'en', 'node_search', 1.83645),
('cumque', 86, 'en', 'node_search', 1.84832),
('cumque', 87, 'en', 'node_search', 1.84832),
('cumque', 88, 'en', 'node_search', 1.84832),
('cumque', 89, 'en', 'node_search', 0.96498),
('cumque', 90, 'en', 'node_search', 0.96498),
('cumque', 91, 'en', 'node_search', 0.96498),
('cupidatat', 2, 'en', 'node_search', 3.7307),
('cupidatat', 15, 'en', 'node_search', 0.953396),
('cupidatat', 23, 'en', 'node_search', 2.86941),
('cupidatat', 33, 'en', 'node_search', 1),
('cupidatat', 34, 'en', 'node_search', 1),
('cupidatat', 39, 'en', 'node_search', 5),
('cupidatat', 41, 'en', 'node_search', 1),
('cupidatat', 42, 'en', 'node_search', 1),
('cupidatat', 43, 'en', 'node_search', 1),
('cupidatat', 44, 'en', 'node_search', 1),
('cupidatat', 45, 'en', 'node_search', 1),
('cupidatat', 48, 'en', 'node_search', 1),
('cupidatat', 50, 'en', 'node_search', 1),
('cupidatat', 51, 'en', 'node_search', 1),
('cupidatat', 64, 'en', 'node_search', 1),
('cupidatat', 65, 'en', 'node_search', 1),
('cupidatat', 66, 'en', 'node_search', 1),
('cupidatat', 67, 'en', 'node_search', 1),
('cupidatat', 68, 'en', 'node_search', 1),
('cupidatat', 69, 'en', 'node_search', 1),
('cupidatat', 70, 'en', 'node_search', 1),
('cupidatat', 71, 'en', 'node_search', 1),
('cupidatat', 72, 'en', 'node_search', 1),
('cupidatat', 73, 'en', 'node_search', 1),
('cupidatat', 74, 'en', 'node_search', 1),
('cupidatat', 75, 'en', 'node_search', 1),
('cupidatat', 76, 'en', 'node_search', 1),
('cupidatat', 77, 'en', 'node_search', 1),
('cupidatat', 78, 'en', 'node_search', 1),
('cupidatat', 79, 'en', 'node_search', 1),
('cupidatat', 80, 'en', 'node_search', 1),
('cupidatat', 81, 'en', 'node_search', 1),
('cupidatat', 84, 'en', 'node_search', 1.6798),
('cupidatat', 89, 'en', 'node_search', 1.6798),
('cupidatat', 90, 'en', 'node_search', 1.6798),
('cupidatat', 91, 'en', 'node_search', 1.6798),
('cupiditate', 84, 'en', 'node_search', 1),
('cupiditate', 85, 'en', 'node_search', 3.62897),
('cupiditate', 86, 'en', 'node_search', 3.6683),
('cupiditate', 87, 'en', 'node_search', 3.6683),
('cupiditate', 88, 'en', 'node_search', 3.6683),
('cupiditate', 89, 'en', 'node_search', 1),
('cupiditate', 90, 'en', 'node_search', 1),
('cupiditate', 91, 'en', 'node_search', 1),
('curriculum', 94, 'en', 'node_search', 1),
('cursus', 1, 'en', 'node_search', 0.810915),
('dalton', 65, 'en', 'node_search', 27),
('dalton', 89, 'en', 'node_search', 36.4576),
('dalton', 90, 'en', 'node_search', 36.4576),
('danger', 2, 'en', 'node_search', 1.096),
('dapibus', 1, 'en', 'node_search', 5),
('dapibus', 36, 'en', 'node_search', 2),
('dapibus', 37, 'en', 'node_search', 2),
('dataoriginaltitle', 2, 'en', 'node_search', 14),
('dataparent', 2, 'en', 'node_search', 3.53896),
('dataplacement', 2, 'en', 'node_search', 14),
('datatoggle', 2, 'en', 'node_search', 22.1392),
('debitis', 2, 'en', 'node_search', 3.1574),
('dedicated', 94, 'en', 'node_search', 17),
('default', 1, 'en', 'node_search', 11),
('default', 2, 'en', 'node_search', 1.11873),
('delectus', 84, 'en', 'node_search', 1.9496),
('delectus', 85, 'en', 'node_search', 1),
('delectus', 86, 'en', 'node_search', 1),
('delectus', 87, 'en', 'node_search', 1),
('delectus', 88, 'en', 'node_search', 1),
('delectus', 89, 'en', 'node_search', 1.9496),
('delectus', 90, 'en', 'node_search', 1.9496),
('delectus', 91, 'en', 'node_search', 1.9496),
('denim', 2, 'en', 'node_search', 3.66628),
('denim', 39, 'en', 'node_search', 5),
('deserunt', 15, 'en', 'node_search', 0.927431),
('deserunt', 23, 'en', 'node_search', 1.91558),
('deserunt', 41, 'en', 'node_search', 1),
('deserunt', 42, 'en', 'node_search', 1),
('deserunt', 43, 'en', 'node_search', 1),
('deserunt', 44, 'en', 'node_search', 1),
('deserunt', 45, 'en', 'node_search', 1),
('deserunt', 48, 'en', 'node_search', 1),
('deserunt', 50, 'en', 'node_search', 1),
('deserunt', 51, 'en', 'node_search', 1),
('deserunt', 64, 'en', 'node_search', 1),
('deserunt', 65, 'en', 'node_search', 1),
('deserunt', 66, 'en', 'node_search', 1),
('deserunt', 67, 'en', 'node_search', 1),
('deserunt', 68, 'en', 'node_search', 1),
('deserunt', 69, 'en', 'node_search', 1),
('deserunt', 70, 'en', 'node_search', 1),
('deserunt', 71, 'en', 'node_search', 1),
('deserunt', 72, 'en', 'node_search', 1),
('deserunt', 73, 'en', 'node_search', 1),
('deserunt', 74, 'en', 'node_search', 1),
('deserunt', 75, 'en', 'node_search', 1),
('deserunt', 76, 'en', 'node_search', 1),
('deserunt', 77, 'en', 'node_search', 1),
('deserunt', 78, 'en', 'node_search', 1),
('deserunt', 79, 'en', 'node_search', 1),
('deserunt', 80, 'en', 'node_search', 1),
('deserunt', 81, 'en', 'node_search', 1),
('deserunt', 84, 'en', 'node_search', 2.66757),
('deserunt', 89, 'en', 'node_search', 2.66757),
('deserunt', 90, 'en', 'node_search', 2.66757),
('deserunt', 91, 'en', 'node_search', 2.66757),
('designer', 66, 'en', 'node_search', 1),
('dickinson', 43, 'en', 'node_search', 27),
('dicta', 84, 'en', 'node_search', 0.953396),
('dicta', 89, 'en', 'node_search', 0.953396),
('dicta', 90, 'en', 'node_search', 0.953396),
('dicta', 91, 'en', 'node_search', 0.953396),
('dignissimos', 1, 'en', 'node_search', 1),
('dignissimos', 84, 'en', 'node_search', 1),
('dignissimos', 85, 'en', 'node_search', 1.80007),
('dignissimos', 86, 'en', 'node_search', 1.81092),
('dignissimos', 87, 'en', 'node_search', 1.81092),
('dignissimos', 88, 'en', 'node_search', 1.81092),
('dignissimos', 89, 'en', 'node_search', 1),
('dignissimos', 90, 'en', 'node_search', 1),
('dignissimos', 91, 'en', 'node_search', 1),
('directions', 84, 'en', 'node_search', 8.95041),
('directions', 89, 'en', 'node_search', 8.98097),
('directions', 90, 'en', 'node_search', 8.95041),
('directions', 91, 'en', 'node_search', 8.92007),
('director', 41, 'en', 'node_search', 1),
('director', 51, 'en', 'node_search', 1),
('distinctio', 1, 'en', 'node_search', 1),
('distinctio', 2, 'en', 'node_search', 3.23239),
('distinctio', 84, 'en', 'node_search', 1),
('distinctio', 85, 'en', 'node_search', 1),
('distinctio', 86, 'en', 'node_search', 1),
('distinctio', 87, 'en', 'node_search', 1),
('distinctio', 88, 'en', 'node_search', 1),
('distinctio', 89, 'en', 'node_search', 1),
('distinctio', 90, 'en', 'node_search', 1),
('distinctio', 91, 'en', 'node_search', 1),
('distinctio', 92, 'en', 'node_search', 1),
('div', 2, 'en', 'node_search', 75.7249),
('div', 36, 'en', 'node_search', 48),
('div', 37, 'en', 'node_search', 48),
('document', 95, 'en', 'node_search', 1),
('doe', 85, 'en', 'node_search', 2),
('doe', 86, 'en', 'node_search', 1),
('doe', 87, 'en', 'node_search', 1),
('doe', 88, 'en', 'node_search', 1),
('dolor', 1, 'en', 'node_search', 13.6673),
('dolor', 2, 'en', 'node_search', 13.3406),
('dolor', 9, 'en', 'node_search', 17),
('dolor', 10, 'en', 'node_search', 16),
('dolor', 11, 'en', 'node_search', 16),
('dolor', 12, 'en', 'node_search', 16),
('dolor', 13, 'en', 'node_search', 16),
('dolor', 14, 'en', 'node_search', 16),
('dolor', 15, 'en', 'node_search', 16.8995),
('dolor', 23, 'en', 'node_search', 9.80411),
('dolor', 33, 'en', 'node_search', 1),
('dolor', 34, 'en', 'node_search', 1),
('dolor', 36, 'en', 'node_search', 23),
('dolor', 37, 'en', 'node_search', 23),
('dolor', 39, 'en', 'node_search', 5),
('dolor', 41, 'en', 'node_search', 2),
('dolor', 42, 'en', 'node_search', 2),
('dolor', 43, 'en', 'node_search', 2),
('dolor', 44, 'en', 'node_search', 2),
('dolor', 45, 'en', 'node_search', 2),
('dolor', 47, 'en', 'node_search', 1),
('dolor', 48, 'en', 'node_search', 1),
('dolor', 49, 'en', 'node_search', 1),
('dolor', 50, 'en', 'node_search', 1),
('dolor', 51, 'en', 'node_search', 2),
('dolor', 64, 'en', 'node_search', 2),
('dolor', 65, 'en', 'node_search', 2),
('dolor', 66, 'en', 'node_search', 2),
('dolor', 67, 'en', 'node_search', 2),
('dolor', 68, 'en', 'node_search', 2),
('dolor', 69, 'en', 'node_search', 2),
('dolor', 70, 'en', 'node_search', 2),
('dolor', 71, 'en', 'node_search', 2),
('dolor', 72, 'en', 'node_search', 2),
('dolor', 73, 'en', 'node_search', 2),
('dolor', 74, 'en', 'node_search', 2),
('dolor', 75, 'en', 'node_search', 2),
('dolor', 76, 'en', 'node_search', 2),
('dolor', 77, 'en', 'node_search', 2),
('dolor', 78, 'en', 'node_search', 2),
('dolor', 79, 'en', 'node_search', 2),
('dolor', 80, 'en', 'node_search', 2),
('dolor', 81, 'en', 'node_search', 2),
('dolor', 84, 'en', 'node_search', 4.45322),
('dolor', 85, 'en', 'node_search', 1.72516),
('dolor', 86, 'en', 'node_search', 1.75047),
('dolor', 87, 'en', 'node_search', 1.75047),
('dolor', 88, 'en', 'node_search', 1.75047),
('dolor', 89, 'en', 'node_search', 4.45322),
('dolor', 90, 'en', 'node_search', 4.45322),
('dolor', 91, 'en', 'node_search', 4.45322),
('dolor', 92, 'en', 'node_search', 1),
('dolore', 1, 'en', 'node_search', 0.927431),
('dolore', 2, 'en', 'node_search', 3.20235),
('dolore', 15, 'en', 'node_search', 0.876337),
('dolore', 23, 'en', 'node_search', 4.86941),
('dolore', 33, 'en', 'node_search', 1),
('dolore', 41, 'en', 'node_search', 2),
('dolore', 42, 'en', 'node_search', 2),
('dolore', 43, 'en', 'node_search', 2),
('dolore', 44, 'en', 'node_search', 2),
('dolore', 45, 'en', 'node_search', 2),
('dolore', 47, 'en', 'node_search', 1),
('dolore', 48, 'en', 'node_search', 1),
('dolore', 50, 'en', 'node_search', 1),
('dolore', 51, 'en', 'node_search', 2),
('dolore', 64, 'en', 'node_search', 2),
('dolore', 65, 'en', 'node_search', 2),
('dolore', 66, 'en', 'node_search', 2),
('dolore', 67, 'en', 'node_search', 2),
('dolore', 68, 'en', 'node_search', 2),
('dolore', 69, 'en', 'node_search', 2),
('dolore', 70, 'en', 'node_search', 2),
('dolore', 71, 'en', 'node_search', 2),
('dolore', 72, 'en', 'node_search', 2),
('dolore', 73, 'en', 'node_search', 2),
('dolore', 74, 'en', 'node_search', 2),
('dolore', 75, 'en', 'node_search', 2),
('dolore', 76, 'en', 'node_search', 2),
('dolore', 77, 'en', 'node_search', 2),
('dolore', 78, 'en', 'node_search', 2),
('dolore', 79, 'en', 'node_search', 2),
('dolore', 80, 'en', 'node_search', 2),
('dolore', 81, 'en', 'node_search', 2),
('dolore', 84, 'en', 'node_search', 4.39447),
('dolore', 85, 'en', 'node_search', 1),
('dolore', 86, 'en', 'node_search', 1),
('dolore', 87, 'en', 'node_search', 1),
('dolore', 88, 'en', 'node_search', 1),
('dolore', 89, 'en', 'node_search', 4.39447),
('dolore', 90, 'en', 'node_search', 4.39447),
('dolore', 91, 'en', 'node_search', 4.39447),
('dolore', 93, 'en', 'node_search', 1),
('dolorem', 84, 'en', 'node_search', 1.94583),
('dolorem', 85, 'en', 'node_search', 2.65584),
('dolorem', 86, 'en', 'node_search', 2.69612),
('dolorem', 87, 'en', 'node_search', 2.69612),
('dolorem', 88, 'en', 'node_search', 2.69612),
('dolorem', 89, 'en', 'node_search', 1.94583),
('dolorem', 90, 'en', 'node_search', 1.94583),
('dolorem', 91, 'en', 'node_search', 1.94583),
('doloremque', 84, 'en', 'node_search', 1.95723),
('doloremque', 89, 'en', 'node_search', 1.95723),
('doloremque', 90, 'en', 'node_search', 1.95723),
('doloremque', 91, 'en', 'node_search', 1.95723),
('dolores', 1, 'en', 'node_search', 1),
('doloribus', 36, 'en', 'node_search', 4),
('doloribus', 37, 'en', 'node_search', 4),
('doloribus', 85, 'en', 'node_search', 1),
('doloribus', 86, 'en', 'node_search', 1),
('doloribus', 87, 'en', 'node_search', 1),
('doloribus', 88, 'en', 'node_search', 1),
('doloribus', 93, 'en', 'node_search', 1),
('dolorison', 50, 'en', 'node_search', 1),
('dolorum', 2, 'en', 'node_search', 3.08498),
('dolorum', 85, 'en', 'node_search', 1.9347),
('dolorum', 86, 'en', 'node_search', 1.9496),
('dolorum', 87, 'en', 'node_search', 1.9496),
('dolorum', 88, 'en', 'node_search', 1.9496),
('dolorum', 93, 'en', 'node_search', 1),
('donec', 1, 'en', 'node_search', 7.62429),
('donec', 36, 'en', 'node_search', 34),
('donec', 37, 'en', 'node_search', 34),
('download', 2, 'en', 'node_search', 14.553),
('dribbble', 2, 'en', 'node_search', 12),
('dropbox', 2, 'en', 'node_search', 90),
('dropcaps', 1, 'en', 'node_search', 13.8185),
('dropdown', 1, 'en', 'node_search', 11.6505),
('drupal', 1, 'en', 'node_search', 0.989021),
('ducimus', 84, 'en', 'node_search', 1),
('ducimus', 89, 'en', 'node_search', 1),
('ducimus', 90, 'en', 'node_search', 1),
('ducimus', 91, 'en', 'node_search', 1),
('dui', 1, 'en', 'node_search', 5),
('dui', 36, 'en', 'node_search', 34),
('dui', 37, 'en', 'node_search', 34),
('duis', 9, 'en', 'node_search', 1),
('duis', 15, 'en', 'node_search', 39.7473),
('duis', 23, 'en', 'node_search', 2.86941),
('duis', 41, 'en', 'node_search', 1),
('duis', 42, 'en', 'node_search', 1),
('duis', 43, 'en', 'node_search', 1),
('duis', 44, 'en', 'node_search', 1),
('duis', 45, 'en', 'node_search', 1),
('duis', 48, 'en', 'node_search', 1),
('duis', 49, 'en', 'node_search', 1),
('duis', 50, 'en', 'node_search', 1),
('duis', 51, 'en', 'node_search', 1),
('duis', 64, 'en', 'node_search', 1),
('duis', 65, 'en', 'node_search', 1),
('duis', 66, 'en', 'node_search', 1),
('duis', 67, 'en', 'node_search', 1),
('duis', 68, 'en', 'node_search', 1),
('duis', 69, 'en', 'node_search', 1),
('duis', 70, 'en', 'node_search', 1),
('duis', 71, 'en', 'node_search', 1),
('duis', 72, 'en', 'node_search', 1),
('duis', 73, 'en', 'node_search', 1),
('duis', 74, 'en', 'node_search', 1),
('duis', 75, 'en', 'node_search', 1),
('duis', 76, 'en', 'node_search', 1),
('duis', 77, 'en', 'node_search', 1),
('duis', 78, 'en', 'node_search', 1),
('duis', 79, 'en', 'node_search', 1),
('duis', 80, 'en', 'node_search', 1),
('duis', 81, 'en', 'node_search', 1),
('duis', 84, 'en', 'node_search', 1.70534),
('duis', 89, 'en', 'node_search', 1.70534),
('duis', 90, 'en', 'node_search', 1.70534),
('duis', 91, 'en', 'node_search', 1.70534),
('dvd', 23, 'en', 'node_search', 2),
('each', 94, 'en', 'node_search', 1),
('eaque', 2, 'en', 'node_search', 6.34436),
('eaque', 84, 'en', 'node_search', 1.97685),
('eaque', 85, 'en', 'node_search', 1),
('eaque', 86, 'en', 'node_search', 1),
('eaque', 87, 'en', 'node_search', 1),
('eaque', 88, 'en', 'node_search', 1),
('eaque', 89, 'en', 'node_search', 1.97685),
('eaque', 90, 'en', 'node_search', 1.97685),
('eaque', 91, 'en', 'node_search', 1.97685),
('earum', 85, 'en', 'node_search', 2.69977),
('earum', 86, 'en', 'node_search', 2.72435),
('earum', 87, 'en', 'node_search', 2.72435),
('earum', 88, 'en', 'node_search', 2.72435),
('eenable', 1, 'en', 'node_search', 2),
('eenable', 4, 'en', 'node_search', 3),
('eenable', 5, 'en', 'node_search', 3),
('eenable', 6, 'en', 'node_search', 3),
('eenable', 7, 'en', 'node_search', 3),
('eenable', 8, 'en', 'node_search', 3),
('eenable', 9, 'en', 'node_search', 4),
('eenable', 10, 'en', 'node_search', 3),
('eenable', 11, 'en', 'node_search', 3),
('eenable', 12, 'en', 'node_search', 3),
('eenable', 13, 'en', 'node_search', 3),
('eenable', 14, 'en', 'node_search', 3),
('eenable', 15, 'en', 'node_search', 3),
('eenable', 18, 'en', 'node_search', 4),
('eenable', 19, 'en', 'node_search', 4),
('eenable', 20, 'en', 'node_search', 4),
('eenable', 21, 'en', 'node_search', 4),
('eenable', 22, 'en', 'node_search', 4),
('eenable', 23, 'en', 'node_search', 2),
('eenable', 46, 'en', 'node_search', 4),
('effect', 1, 'en', 'node_search', 22),
('egestas', 15, 'en', 'node_search', 42.69),
('eget', 1, 'en', 'node_search', 0.800068),
('either', 57, 'en', 'node_search', 1),
('eius', 2, 'en', 'node_search', 3.17416),
('eius', 84, 'en', 'node_search', 1),
('eius', 85, 'en', 'node_search', 2.70918),
('eius', 86, 'en', 'node_search', 2.73404),
('eius', 87, 'en', 'node_search', 2.73404),
('eius', 88, 'en', 'node_search', 2.73404),
('eius', 89, 'en', 'node_search', 1),
('eius', 90, 'en', 'node_search', 1),
('eius', 91, 'en', 'node_search', 1),
('eius', 92, 'en', 'node_search', 1),
('eius', 93, 'en', 'node_search', 1),
('eiusmod', 1, 'en', 'node_search', 0.942091),
('eiusmod', 2, 'en', 'node_search', 7.47308),
('eiusmod', 15, 'en', 'node_search', 0.889397),
('eiusmod', 23, 'en', 'node_search', 7.86941),
('eiusmod', 39, 'en', 'node_search', 10),
('eiusmod', 41, 'en', 'node_search', 1),
('eiusmod', 42, 'en', 'node_search', 1),
('eiusmod', 43, 'en', 'node_search', 1),
('eiusmod', 44, 'en', 'node_search', 1),
('eiusmod', 45, 'en', 'node_search', 1),
('eiusmod', 47, 'en', 'node_search', 1),
('eiusmod', 51, 'en', 'node_search', 1),
('eiusmod', 64, 'en', 'node_search', 1),
('eiusmod', 65, 'en', 'node_search', 1),
('eiusmod', 66, 'en', 'node_search', 1),
('eiusmod', 67, 'en', 'node_search', 1),
('eiusmod', 68, 'en', 'node_search', 1),
('eiusmod', 69, 'en', 'node_search', 1),
('eiusmod', 70, 'en', 'node_search', 1),
('eiusmod', 71, 'en', 'node_search', 1),
('eiusmod', 72, 'en', 'node_search', 1),
('eiusmod', 73, 'en', 'node_search', 1),
('eiusmod', 74, 'en', 'node_search', 1),
('eiusmod', 75, 'en', 'node_search', 1),
('eiusmod', 76, 'en', 'node_search', 1),
('eiusmod', 77, 'en', 'node_search', 1),
('eiusmod', 78, 'en', 'node_search', 1),
('eiusmod', 79, 'en', 'node_search', 1),
('eiusmod', 80, 'en', 'node_search', 1),
('eiusmod', 81, 'en', 'node_search', 1),
('eiusmod', 84, 'en', 'node_search', 1.75395),
('eiusmod', 89, 'en', 'node_search', 1.75395),
('eiusmod', 90, 'en', 'node_search', 1.75395),
('eiusmod', 91, 'en', 'node_search', 1.75395),
('element', 95, 'en', 'node_search', 1),
('eligendi', 2, 'en', 'node_search', 3.13496),
('eligendi', 84, 'en', 'node_search', 1.99315),
('eligendi', 89, 'en', 'node_search', 1.99315),
('eligendi', 90, 'en', 'node_search', 1.99315),
('eligendi', 91, 'en', 'node_search', 1.99315),
('elit', 1, 'en', 'node_search', 17.812),
('elit', 2, 'en', 'node_search', 9.61408),
('elit', 15, 'en', 'node_search', 3.85045),
('elit', 23, 'en', 'node_search', 6.9347),
('elit', 36, 'en', 'node_search', 26),
('elit', 37, 'en', 'node_search', 26),
('elit', 41, 'en', 'node_search', 1),
('elit', 42, 'en', 'node_search', 1),
('elit', 43, 'en', 'node_search', 1),
('elit', 44, 'en', 'node_search', 1),
('elit', 45, 'en', 'node_search', 1),
('elit', 47, 'en', 'node_search', 1),
('elit', 51, 'en', 'node_search', 1),
('elit', 64, 'en', 'node_search', 1),
('elit', 65, 'en', 'node_search', 1),
('elit', 66, 'en', 'node_search', 1),
('elit', 67, 'en', 'node_search', 1),
('elit', 68, 'en', 'node_search', 1),
('elit', 69, 'en', 'node_search', 1),
('elit', 70, 'en', 'node_search', 1),
('elit', 71, 'en', 'node_search', 1),
('elit', 72, 'en', 'node_search', 1),
('elit', 73, 'en', 'node_search', 1),
('elit', 74, 'en', 'node_search', 1),
('elit', 75, 'en', 'node_search', 1),
('elit', 76, 'en', 'node_search', 1),
('elit', 77, 'en', 'node_search', 1),
('elit', 78, 'en', 'node_search', 1),
('elit', 79, 'en', 'node_search', 1),
('elit', 80, 'en', 'node_search', 1),
('elit', 81, 'en', 'node_search', 1),
('elit', 84, 'en', 'node_search', 2.75763),
('elit', 89, 'en', 'node_search', 2.75763),
('elit', 90, 'en', 'node_search', 2.75763),
('elit', 91, 'en', 'node_search', 2.75763),
('elit', 92, 'en', 'node_search', 1),
('enable', 4, 'en', 'node_search', 2),
('enable', 5, 'en', 'node_search', 2),
('enable', 6, 'en', 'node_search', 2),
('enable', 7, 'en', 'node_search', 2),
('enable', 8, 'en', 'node_search', 2),
('enable', 9, 'en', 'node_search', 2),
('enable', 10, 'en', 'node_search', 2),
('enable', 11, 'en', 'node_search', 2),
('enable', 12, 'en', 'node_search', 2),
('enable', 13, 'en', 'node_search', 2),
('enable', 14, 'en', 'node_search', 2),
('enable', 15, 'en', 'node_search', 2),
('enable', 18, 'en', 'node_search', 2),
('enable', 19, 'en', 'node_search', 2),
('enable', 20, 'en', 'node_search', 2),
('enable', 21, 'en', 'node_search', 2),
('enable', 22, 'en', 'node_search', 2),
('enable', 46, 'en', 'node_search', 2),
('engineer', 64, 'en', 'node_search', 1),
('engineer', 68, 'en', 'node_search', 1),
('enim', 2, 'en', 'node_search', 3.75894),
('enim', 15, 'en', 'node_search', 0.866793),
('enim', 23, 'en', 'node_search', 1.9347),
('enim', 39, 'en', 'node_search', 5),
('enim', 41, 'en', 'node_search', 1),
('enim', 42, 'en', 'node_search', 1),
('enim', 43, 'en', 'node_search', 1),
('enim', 44, 'en', 'node_search', 1),
('enim', 45, 'en', 'node_search', 1),
('enim', 47, 'en', 'node_search', 1),
('enim', 49, 'en', 'node_search', 1),
('enim', 51, 'en', 'node_search', 1),
('enim', 64, 'en', 'node_search', 1),
('enim', 65, 'en', 'node_search', 1),
('enim', 66, 'en', 'node_search', 1),
('enim', 67, 'en', 'node_search', 1),
('enim', 68, 'en', 'node_search', 1),
('enim', 69, 'en', 'node_search', 1),
('enim', 70, 'en', 'node_search', 1),
('enim', 71, 'en', 'node_search', 1),
('enim', 72, 'en', 'node_search', 1),
('enim', 73, 'en', 'node_search', 1),
('enim', 74, 'en', 'node_search', 1),
('enim', 75, 'en', 'node_search', 1),
('enim', 76, 'en', 'node_search', 1),
('enim', 77, 'en', 'node_search', 1),
('enim', 78, 'en', 'node_search', 1),
('enim', 79, 'en', 'node_search', 1),
('enim', 80, 'en', 'node_search', 1),
('enim', 81, 'en', 'node_search', 1),
('enim', 84, 'en', 'node_search', 2.73247),
('enim', 89, 'en', 'node_search', 2.73247),
('enim', 90, 'en', 'node_search', 2.73247),
('enim', 91, 'en', 'node_search', 2.73247),
('enjoy', 23, 'en', 'node_search', 19),
('ensure', 1, 'en', 'node_search', 0.98493),
('enterprisewide', 9, 'en', 'node_search', 11),
('enterprisewide', 10, 'en', 'node_search', 11),
('enterprisewide', 11, 'en', 'node_search', 11),
('enterprisewide', 12, 'en', 'node_search', 11),
('enterprisewide', 13, 'en', 'node_search', 11),
('enterprisewide', 14, 'en', 'node_search', 11),
('enterprisewide', 15, 'en', 'node_search', 11),
('entry', 92, 'en', 'node_search', 27),
('entry', 93, 'en', 'node_search', 27),
('eos', 84, 'en', 'node_search', 1),
('eos', 85, 'en', 'node_search', 2.79292),
('eos', 86, 'en', 'node_search', 2.83729),
('eos', 87, 'en', 'node_search', 2.83729),
('eos', 88, 'en', 'node_search', 2.83729),
('eos', 89, 'en', 'node_search', 1),
('eos', 90, 'en', 'node_search', 1),
('eos', 91, 'en', 'node_search', 1),
('eposter', 85, 'en', 'node_search', 8.68461),
('erat', 1, 'en', 'node_search', 57.6074),
('erat', 36, 'en', 'node_search', 5),
('erat', 37, 'en', 'node_search', 5),
('eros', 1, 'en', 'node_search', 2.61408),
('error', 1, 'en', 'node_search', 1),
('error', 2, 'en', 'node_search', 3.14125),
('esse', 1, 'en', 'node_search', 1),
('esse', 23, 'en', 'node_search', 1.9347),
('esse', 33, 'en', 'node_search', 1),
('esse', 41, 'en', 'node_search', 1),
('esse', 42, 'en', 'node_search', 1),
('esse', 43, 'en', 'node_search', 1),
('esse', 44, 'en', 'node_search', 1),
('esse', 45, 'en', 'node_search', 1),
('esse', 48, 'en', 'node_search', 1),
('esse', 50, 'en', 'node_search', 1),
('esse', 51, 'en', 'node_search', 1),
('esse', 64, 'en', 'node_search', 1),
('esse', 65, 'en', 'node_search', 1),
('esse', 66, 'en', 'node_search', 1),
('esse', 67, 'en', 'node_search', 1),
('esse', 68, 'en', 'node_search', 1),
('esse', 69, 'en', 'node_search', 1),
('esse', 70, 'en', 'node_search', 1),
('esse', 71, 'en', 'node_search', 1),
('esse', 72, 'en', 'node_search', 1),
('esse', 73, 'en', 'node_search', 1),
('esse', 74, 'en', 'node_search', 1),
('esse', 75, 'en', 'node_search', 1),
('esse', 76, 'en', 'node_search', 1),
('esse', 77, 'en', 'node_search', 1),
('esse', 78, 'en', 'node_search', 1),
('esse', 79, 'en', 'node_search', 1),
('esse', 80, 'en', 'node_search', 1),
('esse', 81, 'en', 'node_search', 1),
('esse', 84, 'en', 'node_search', 1.69238),
('esse', 85, 'en', 'node_search', 0.892724),
('esse', 86, 'en', 'node_search', 0.906287),
('esse', 87, 'en', 'node_search', 0.906287),
('esse', 88, 'en', 'node_search', 0.906287),
('esse', 89, 'en', 'node_search', 1.69238),
('esse', 90, 'en', 'node_search', 1.69238),
('esse', 91, 'en', 'node_search', 1.69238),
('est', 1, 'en', 'node_search', 1),
('est', 15, 'en', 'node_search', 0.916736),
('est', 23, 'en', 'node_search', 1.90361),
('est', 41, 'en', 'node_search', 1),
('est', 42, 'en', 'node_search', 1),
('est', 43, 'en', 'node_search', 1),
('est', 44, 'en', 'node_search', 1),
('est', 45, 'en', 'node_search', 1),
('est', 48, 'en', 'node_search', 1),
('est', 50, 'en', 'node_search', 1),
('est', 51, 'en', 'node_search', 1),
('est', 64, 'en', 'node_search', 1),
('est', 65, 'en', 'node_search', 1),
('est', 66, 'en', 'node_search', 1),
('est', 67, 'en', 'node_search', 1),
('est', 68, 'en', 'node_search', 1),
('est', 69, 'en', 'node_search', 1),
('est', 70, 'en', 'node_search', 1),
('est', 71, 'en', 'node_search', 1),
('est', 72, 'en', 'node_search', 1),
('est', 73, 'en', 'node_search', 1),
('est', 74, 'en', 'node_search', 1),
('est', 75, 'en', 'node_search', 1),
('est', 76, 'en', 'node_search', 1),
('est', 77, 'en', 'node_search', 1),
('est', 78, 'en', 'node_search', 1),
('est', 79, 'en', 'node_search', 1),
('est', 80, 'en', 'node_search', 1),
('est', 81, 'en', 'node_search', 1),
('est', 84, 'en', 'node_search', 2.66159),
('est', 85, 'en', 'node_search', 1.81925),
('est', 86, 'en', 'node_search', 1.83063),
('est', 87, 'en', 'node_search', 1.83063),
('est', 88, 'en', 'node_search', 1.83063),
('est', 89, 'en', 'node_search', 2.66159),
('est', 90, 'en', 'node_search', 2.66159),
('est', 91, 'en', 'node_search', 2.66159),
('eum', 84, 'en', 'node_search', 1),
('eum', 85, 'en', 'node_search', 1.71996),
('eum', 86, 'en', 'node_search', 1.74517),
('eum', 87, 'en', 'node_search', 1.74517),
('eum', 88, 'en', 'node_search', 1.74517),
('eum', 89, 'en', 'node_search', 1),
('eum', 90, 'en', 'node_search', 1),
('eum', 91, 'en', 'node_search', 1),
('eum', 92, 'en', 'node_search', 1),
('eveniet', 85, 'en', 'node_search', 2.86366),
('eveniet', 86, 'en', 'node_search', 2.87634),
('eveniet', 87, 'en', 'node_search', 2.87634),
('eveniet', 88, 'en', 'node_search', 2.87634),
('event', 84, 'en', 'node_search', 27),
('event', 89, 'en', 'node_search', 27),
('event', 90, 'en', 'node_search', 27),
('event', 91, 'en', 'node_search', 35.86),
('event', 92, 'en', 'node_search', 29),
('eventsources', 95, 'en', 'node_search', 1),
('excepteur', 2, 'en', 'node_search', 3.68035),
('excepteur', 15, 'en', 'node_search', 0.96498),
('excepteur', 23, 'en', 'node_search', 2.86941),
('excepteur', 33, 'en', 'node_search', 1),
('excepteur', 34, 'en', 'node_search', 1),
('excepteur', 39, 'en', 'node_search', 5),
('excepteur', 41, 'en', 'node_search', 1),
('excepteur', 42, 'en', 'node_search', 1),
('excepteur', 43, 'en', 'node_search', 1),
('excepteur', 44, 'en', 'node_search', 1),
('excepteur', 45, 'en', 'node_search', 1),
('excepteur', 48, 'en', 'node_search', 1),
('excepteur', 50, 'en', 'node_search', 1),
('excepteur', 51, 'en', 'node_search', 1),
('excepteur', 64, 'en', 'node_search', 1),
('excepteur', 65, 'en', 'node_search', 1),
('excepteur', 66, 'en', 'node_search', 1),
('excepteur', 67, 'en', 'node_search', 1),
('excepteur', 68, 'en', 'node_search', 1),
('excepteur', 69, 'en', 'node_search', 1),
('excepteur', 70, 'en', 'node_search', 1),
('excepteur', 71, 'en', 'node_search', 1),
('excepteur', 72, 'en', 'node_search', 1),
('excepteur', 73, 'en', 'node_search', 1),
('excepteur', 74, 'en', 'node_search', 1),
('excepteur', 75, 'en', 'node_search', 1),
('excepteur', 76, 'en', 'node_search', 1),
('excepteur', 77, 'en', 'node_search', 1),
('excepteur', 78, 'en', 'node_search', 1),
('excepteur', 79, 'en', 'node_search', 1),
('excepteur', 80, 'en', 'node_search', 1),
('excepteur', 81, 'en', 'node_search', 1),
('excepteur', 84, 'en', 'node_search', 1.68604),
('excepteur', 89, 'en', 'node_search', 1.68604),
('excepteur', 90, 'en', 'node_search', 1.68604),
('excepteur', 91, 'en', 'node_search', 1.68604),
('excepturi', 84, 'en', 'node_search', 1),
('excepturi', 85, 'en', 'node_search', 2.51346),
('excepturi', 86, 'en', 'node_search', 2.54928),
('excepturi', 87, 'en', 'node_search', 2.54928),
('excepturi', 88, 'en', 'node_search', 2.54928),
('excepturi', 89, 'en', 'node_search', 1),
('excepturi', 90, 'en', 'node_search', 1),
('excepturi', 91, 'en', 'node_search', 1),
('excepturi', 92, 'en', 'node_search', 1),
('exercitation', 15, 'en', 'node_search', 0.851346),
('exercitation', 23, 'en', 'node_search', 2.86941),
('exercitation', 41, 'en', 'node_search', 1),
('exercitation', 42, 'en', 'node_search', 1),
('exercitation', 43, 'en', 'node_search', 1),
('exercitation', 44, 'en', 'node_search', 1),
('exercitation', 45, 'en', 'node_search', 1),
('exercitation', 49, 'en', 'node_search', 1),
('exercitation', 51, 'en', 'node_search', 1),
('exercitation', 64, 'en', 'node_search', 1),
('exercitation', 65, 'en', 'node_search', 1),
('exercitation', 66, 'en', 'node_search', 1),
('exercitation', 67, 'en', 'node_search', 1),
('exercitation', 68, 'en', 'node_search', 1),
('exercitation', 69, 'en', 'node_search', 1),
('exercitation', 70, 'en', 'node_search', 1),
('exercitation', 71, 'en', 'node_search', 1),
('exercitation', 72, 'en', 'node_search', 1),
('exercitation', 73, 'en', 'node_search', 1),
('exercitation', 74, 'en', 'node_search', 1),
('exercitation', 75, 'en', 'node_search', 1),
('exercitation', 76, 'en', 'node_search', 1),
('exercitation', 77, 'en', 'node_search', 1),
('exercitation', 78, 'en', 'node_search', 1),
('exercitation', 79, 'en', 'node_search', 1),
('exercitation', 80, 'en', 'node_search', 1),
('exercitation', 81, 'en', 'node_search', 1),
('exercitation', 84, 'en', 'node_search', 1.72554),
('exercitation', 89, 'en', 'node_search', 1.72554),
('exercitation', 90, 'en', 'node_search', 1.72554),
('exercitation', 91, 'en', 'node_search', 1.72554),
('exercitationem', 2, 'en', 'node_search', 3.2713),
('exercitationem', 85, 'en', 'node_search', 1),
('exercitationem', 86, 'en', 'node_search', 1),
('exercitationem', 87, 'en', 'node_search', 1),
('exercitationem', 88, 'en', 'node_search', 1),
('exists', 57, 'en', 'node_search', 1),
('expedita', 85, 'en', 'node_search', 3.77436),
('expedita', 86, 'en', 'node_search', 3.80138),
('expedita', 87, 'en', 'node_search', 3.80138),
('expedita', 88, 'en', 'node_search', 3.80138),
('expedita', 93, 'en', 'node_search', 1),
('expert', 23, 'en', 'node_search', 1),
('expertise', 1, 'en', 'node_search', 12),
('expertise', 4, 'en', 'node_search', 3),
('expertise', 5, 'en', 'node_search', 3),
('expertise', 6, 'en', 'node_search', 3);
INSERT INTO `search_index` VALUES
('expertise', 7, 'en', 'node_search', 3),
('expertise', 8, 'en', 'node_search', 3),
('expertise', 9, 'en', 'node_search', 4),
('expertise', 10, 'en', 'node_search', 3),
('expertise', 11, 'en', 'node_search', 3),
('expertise', 12, 'en', 'node_search', 3),
('expertise', 13, 'en', 'node_search', 3),
('expertise', 14, 'en', 'node_search', 3),
('expertise', 15, 'en', 'node_search', 3),
('expertise', 18, 'en', 'node_search', 4),
('expertise', 19, 'en', 'node_search', 4),
('expertise', 20, 'en', 'node_search', 4),
('expertise', 21, 'en', 'node_search', 4),
('expertise', 22, 'en', 'node_search', 4),
('expertise', 23, 'en', 'node_search', 2),
('expertise', 46, 'en', 'node_search', 4),
('explicabo', 84, 'en', 'node_search', 1),
('explicabo', 89, 'en', 'node_search', 1),
('explicabo', 90, 'en', 'node_search', 1),
('explicabo', 91, 'en', 'node_search', 1),
('explicabo', 92, 'en', 'node_search', 1),
('extra', 2, 'en', 'node_search', 16),
('extralarge', 2, 'en', 'node_search', 2),
('faandroid', 2, 'en', 'node_search', 5),
('faapple', 2, 'en', 'node_search', 5),
('fab', 2, 'en', 'node_search', 81),
('fabitbucket', 2, 'en', 'node_search', 6),
('fabtc', 2, 'en', 'node_search', 6),
('facaretright', 2, 'en', 'node_search', 2),
('facebook', 2, 'en', 'node_search', 102),
('facere', 1, 'en', 'node_search', 1),
('facere', 2, 'en', 'node_search', 3.19158),
('facere', 36, 'en', 'node_search', 4),
('facere', 37, 'en', 'node_search', 4),
('facere', 84, 'en', 'node_search', 1),
('facere', 85, 'en', 'node_search', 1),
('facere', 86, 'en', 'node_search', 1),
('facere', 87, 'en', 'node_search', 1),
('facere', 88, 'en', 'node_search', 1),
('facere', 89, 'en', 'node_search', 1),
('facere', 90, 'en', 'node_search', 1),
('facere', 91, 'en', 'node_search', 1),
('facere', 93, 'en', 'node_search', 1),
('facheck', 2, 'en', 'node_search', 1),
('facheckcircle', 2, 'en', 'node_search', 1),
('facilis', 84, 'en', 'node_search', 1),
('facilis', 85, 'en', 'node_search', 2),
('facilis', 86, 'en', 'node_search', 2),
('facilis', 87, 'en', 'node_search', 2),
('facilis', 88, 'en', 'node_search', 2),
('facilis', 89, 'en', 'node_search', 1),
('facilis', 90, 'en', 'node_search', 1),
('facilis', 91, 'en', 'node_search', 1),
('facilis', 92, 'en', 'node_search', 1),
('facss3', 2, 'en', 'node_search', 6),
('facustom', 2, 'en', 'node_search', 1),
('fade', 2, 'en', 'node_search', 4.54285),
('fadropbox', 2, 'en', 'node_search', 6),
('fafacebook', 2, 'en', 'node_search', 6),
('fafax', 2, 'en', 'node_search', 1),
('fagithub', 2, 'en', 'node_search', 5),
('fahtml5', 2, 'en', 'node_search', 6),
('falinux', 2, 'en', 'node_search', 6),
('false', 2, 'en', 'node_search', 2.35003),
('famapmarker', 2, 'en', 'node_search', 1),
('famaxcdn', 2, 'en', 'node_search', 6),
('fames', 15, 'en', 'node_search', 26.6042),
('family', 1, 'en', 'node_search', 0.769219),
('faphone', 2, 'en', 'node_search', 1),
('faplus', 2, 'en', 'node_search', 1),
('faq', 39, 'en', 'node_search', 27),
('farmtotable', 2, 'en', 'node_search', 3.66974),
('farmtotable', 39, 'en', 'node_search', 5),
('faskype', 2, 'en', 'node_search', 6),
('fasquare', 2, 'en', 'node_search', 1),
('fastar', 2, 'en', 'node_search', 1),
('fat', 1, 'en', 'node_search', 0.722831),
('fatwitter', 2, 'en', 'node_search', 6),
('faucibus', 9, 'en', 'node_search', 2),
('fawindows', 2, 'en', 'node_search', 6),
('feature', 23, 'en', 'node_search', 4),
('feel', 23, 'en', 'node_search', 19),
('fermentum', 9, 'en', 'node_search', 1),
('ffffff', 95, 'en', 'node_search', 2),
('fields', 1, 'en', 'node_search', 24.2791),
('fieldset', 1, 'en', 'node_search', 12.7584),
('fifth', 11, 'en', 'node_search', 27),
('fifth', 39, 'en', 'node_search', 11),
('fifth', 65, 'en', 'node_search', 11),
('file', 85, 'en', 'node_search', 17.4269),
('find', 1, 'en', 'node_search', 8.6277),
('first', 1, 'en', 'node_search', 0.742984),
('first', 9, 'en', 'node_search', 0.961087),
('first', 15, 'en', 'node_search', 27),
('first', 23, 'en', 'node_search', 28.9238),
('first', 39, 'en', 'node_search', 11),
('first', 62, 'en', 'node_search', 121),
('first', 69, 'en', 'node_search', 11),
('first', 85, 'en', 'node_search', 8.77142),
('five', 71, 'en', 'node_search', 27),
('five', 77, 'en', 'node_search', 27),
('five', 91, 'en', 'node_search', 32.8516),
('following', 95, 'en', 'node_search', 1),
('font', 2, 'en', 'node_search', 16.5328),
('fontawesomecom', 2, 'en', 'node_search', 5.8477),
('food', 2, 'en', 'node_search', 3.7245),
('food', 39, 'en', 'node_search', 5),
('footer', 60, 'en', 'node_search', 27),
('for', 1, 'en', 'node_search', 3.9507),
('for', 4, 'en', 'node_search', 3),
('for', 5, 'en', 'node_search', 3),
('for', 6, 'en', 'node_search', 3),
('for', 7, 'en', 'node_search', 3),
('for', 8, 'en', 'node_search', 3),
('for', 9, 'en', 'node_search', 5),
('for', 10, 'en', 'node_search', 4),
('for', 11, 'en', 'node_search', 4),
('for', 12, 'en', 'node_search', 4),
('for', 13, 'en', 'node_search', 4),
('for', 14, 'en', 'node_search', 4),
('for', 15, 'en', 'node_search', 4),
('for', 18, 'en', 'node_search', 4),
('for', 19, 'en', 'node_search', 4),
('for', 20, 'en', 'node_search', 4),
('for', 21, 'en', 'node_search', 4),
('for', 22, 'en', 'node_search', 4),
('for', 23, 'en', 'node_search', 3),
('for', 46, 'en', 'node_search', 4),
('for', 49, 'en', 'node_search', 1),
('for', 57, 'en', 'node_search', 1),
('foundation', 94, 'en', 'node_search', 1),
('founder', 33, 'en', 'node_search', 1),
('founder', 48, 'en', 'node_search', 1),
('founder', 50, 'en', 'node_search', 1),
('founder', 94, 'en', 'node_search', 1),
('four', 72, 'en', 'node_search', 27),
('four', 78, 'en', 'node_search', 27),
('four', 88, 'en', 'node_search', 28),
('four', 89, 'en', 'node_search', 32.8516),
('four', 91, 'en', 'node_search', 27),
('fourth', 12, 'en', 'node_search', 27),
('fourth', 23, 'en', 'node_search', 1),
('fourth', 36, 'en', 'node_search', 96),
('fourth', 37, 'en', 'node_search', 96),
('fourth', 39, 'en', 'node_search', 11),
('fourth', 66, 'en', 'node_search', 11),
('fourths', 36, 'en', 'node_search', 32),
('fourths', 37, 'en', 'node_search', 32),
('free', 23, 'en', 'node_search', 55),
('fri', 2, 'en', 'node_search', 0.529288),
('fri', 15, 'en', 'node_search', 0.976851),
('fri', 16, 'en', 'node_search', 1),
('fri', 17, 'en', 'node_search', 1),
('fri', 40, 'en', 'node_search', 1),
('fri', 46, 'en', 'node_search', 1),
('fri', 51, 'en', 'node_search', 1),
('fri', 58, 'en', 'node_search', 1),
('fri', 64, 'en', 'node_search', 1),
('fri', 65, 'en', 'node_search', 1),
('fri', 66, 'en', 'node_search', 1),
('fri', 67, 'en', 'node_search', 1),
('fri', 68, 'en', 'node_search', 1),
('fri', 69, 'en', 'node_search', 1),
('fri', 76, 'en', 'node_search', 1),
('fri', 77, 'en', 'node_search', 1),
('fri', 78, 'en', 'node_search', 1),
('fri', 79, 'en', 'node_search', 1),
('fri', 80, 'en', 'node_search', 1),
('fri', 81, 'en', 'node_search', 1),
('fri', 84, 'en', 'node_search', 1),
('fri', 86, 'en', 'node_search', 1),
('fri', 87, 'en', 'node_search', 1),
('fri', 88, 'en', 'node_search', 1),
('frictionless', 1, 'en', 'node_search', 1),
('frictionless', 4, 'en', 'node_search', 2),
('frictionless', 5, 'en', 'node_search', 2),
('frictionless', 6, 'en', 'node_search', 2),
('frictionless', 7, 'en', 'node_search', 2),
('frictionless', 8, 'en', 'node_search', 2),
('frictionless', 9, 'en', 'node_search', 2),
('frictionless', 10, 'en', 'node_search', 2),
('frictionless', 11, 'en', 'node_search', 2),
('frictionless', 12, 'en', 'node_search', 2),
('frictionless', 13, 'en', 'node_search', 2),
('frictionless', 14, 'en', 'node_search', 2),
('frictionless', 15, 'en', 'node_search', 2),
('frictionless', 18, 'en', 'node_search', 2),
('frictionless', 19, 'en', 'node_search', 2),
('frictionless', 20, 'en', 'node_search', 2),
('frictionless', 21, 'en', 'node_search', 2),
('frictionless', 22, 'en', 'node_search', 2),
('frictionless', 46, 'en', 'node_search', 2),
('front', 35, 'en', 'node_search', 27),
('fuga', 85, 'en', 'node_search', 1.9534),
('fuga', 86, 'en', 'node_search', 1.9689),
('fuga', 87, 'en', 'node_search', 1.9689),
('fuga', 88, 'en', 'node_search', 1.9689),
('fugiat', 1, 'en', 'node_search', 1),
('fugiat', 23, 'en', 'node_search', 1.9347),
('fugiat', 33, 'en', 'node_search', 1),
('fugiat', 41, 'en', 'node_search', 1),
('fugiat', 42, 'en', 'node_search', 1),
('fugiat', 43, 'en', 'node_search', 1),
('fugiat', 44, 'en', 'node_search', 1),
('fugiat', 45, 'en', 'node_search', 1),
('fugiat', 48, 'en', 'node_search', 1),
('fugiat', 50, 'en', 'node_search', 1),
('fugiat', 51, 'en', 'node_search', 1),
('fugiat', 64, 'en', 'node_search', 1),
('fugiat', 65, 'en', 'node_search', 1),
('fugiat', 66, 'en', 'node_search', 1),
('fugiat', 67, 'en', 'node_search', 1),
('fugiat', 68, 'en', 'node_search', 1),
('fugiat', 69, 'en', 'node_search', 1),
('fugiat', 70, 'en', 'node_search', 1),
('fugiat', 71, 'en', 'node_search', 1),
('fugiat', 72, 'en', 'node_search', 1),
('fugiat', 73, 'en', 'node_search', 1),
('fugiat', 74, 'en', 'node_search', 1),
('fugiat', 75, 'en', 'node_search', 1),
('fugiat', 76, 'en', 'node_search', 1),
('fugiat', 77, 'en', 'node_search', 1),
('fugiat', 78, 'en', 'node_search', 1),
('fugiat', 79, 'en', 'node_search', 1),
('fugiat', 80, 'en', 'node_search', 1),
('fugiat', 81, 'en', 'node_search', 1),
('fugiat', 84, 'en', 'node_search', 2.68604),
('fugiat', 85, 'en', 'node_search', 1.81092),
('fugiat', 86, 'en', 'node_search', 1.82206),
('fugiat', 87, 'en', 'node_search', 1.82206),
('fugiat', 88, 'en', 'node_search', 1.82206),
('fugiat', 89, 'en', 'node_search', 2.68604),
('fugiat', 90, 'en', 'node_search', 2.68604),
('fugiat', 91, 'en', 'node_search', 2.68604),
('fugit', 1, 'en', 'node_search', 1),
('fugit', 85, 'en', 'node_search', 4.69184),
('fugit', 86, 'en', 'node_search', 4.73302),
('fugit', 87, 'en', 'node_search', 4.73302),
('fugit', 88, 'en', 'node_search', 4.73302),
('fugit', 93, 'en', 'node_search', 1),
('full', 17, 'en', 'node_search', 27),
('full', 59, 'en', 'node_search', 27),
('fullcalendar', 95, 'en', 'node_search', 1),
('fullcalendargoogle', 95, 'en', 'node_search', 1),
('fully', 1, 'en', 'node_search', 2),
('fully', 4, 'en', 'node_search', 3),
('fully', 5, 'en', 'node_search', 3),
('fully', 6, 'en', 'node_search', 3),
('fully', 7, 'en', 'node_search', 3),
('fully', 8, 'en', 'node_search', 3),
('fully', 9, 'en', 'node_search', 4),
('fully', 10, 'en', 'node_search', 3),
('fully', 11, 'en', 'node_search', 3),
('fully', 12, 'en', 'node_search', 3),
('fully', 13, 'en', 'node_search', 3),
('fully', 14, 'en', 'node_search', 3),
('fully', 15, 'en', 'node_search', 3),
('fully', 18, 'en', 'node_search', 4),
('fully', 19, 'en', 'node_search', 4),
('fully', 20, 'en', 'node_search', 4),
('fully', 21, 'en', 'node_search', 4),
('fully', 22, 'en', 'node_search', 4),
('fully', 23, 'en', 'node_search', 2),
('fully', 46, 'en', 'node_search', 4),
('function', 95, 'en', 'node_search', 1),
('functionalities', 9, 'en', 'node_search', 1),
('functionalities', 10, 'en', 'node_search', 1),
('functionalities', 11, 'en', 'node_search', 1),
('functionalities', 12, 'en', 'node_search', 1),
('functionalities', 13, 'en', 'node_search', 1),
('functionalities', 14, 'en', 'node_search', 1),
('functionalities', 15, 'en', 'node_search', 1),
('gallery', 55, 'en', 'node_search', 27),
('get', 84, 'en', 'node_search', 8.98097),
('get', 89, 'en', 'node_search', 17.9621),
('get', 90, 'en', 'node_search', 8.98097),
('get', 91, 'en', 'node_search', 8.95041),
('github', 2, 'en', 'node_search', 75),
('glass', 46, 'en', 'node_search', 27),
('goalsetting', 94, 'en', 'node_search', 1),
('goes', 1, 'en', 'node_search', 1.66441),
('gold', 11, 'en', 'node_search', 11),
('gold', 14, 'en', 'node_search', 11),
('gold', 15, 'en', 'node_search', 11),
('gold', 18, 'en', 'node_search', 11),
('google', 2, 'en', 'node_search', 12),
('google', 95, 'en', 'node_search', 1),
('googlecalendarapikey', 95, 'en', 'node_search', 1),
('googlecalendarid', 95, 'en', 'node_search', 2),
('gorgeous', 23, 'en', 'node_search', 19),
('great', 94, 'en', 'node_search', 17),
('green', 11, 'en', 'node_search', 11),
('green', 13, 'en', 'node_search', 11),
('green', 15, 'en', 'node_search', 11),
('green', 21, 'en', 'node_search', 11),
('grid', 36, 'en', 'node_search', 27),
('grid', 37, 'en', 'node_search', 27),
('groupcalendargooglecom', 95, 'en', 'node_search', 2),
('guide', 1, 'en', 'node_search', 27),
('habitant', 15, 'en', 'node_search', 28.5659),
('half', 36, 'en', 'node_search', 32),
('half', 37, 'en', 'node_search', 32),
('hall', 84, 'en', 'node_search', 1),
('hall', 85, 'en', 'node_search', 1),
('hall', 86, 'en', 'node_search', 1),
('hall', 87, 'en', 'node_search', 1),
('hall', 88, 'en', 'node_search', 1),
('hall', 89, 'en', 'node_search', 1),
('hall', 90, 'en', 'node_search', 1),
('hall', 91, 'en', 'node_search', 1),
('hall', 92, 'en', 'node_search', 1),
('harness', 1, 'en', 'node_search', 1),
('harness', 4, 'en', 'node_search', 2),
('harness', 5, 'en', 'node_search', 2),
('harness', 6, 'en', 'node_search', 2),
('harness', 7, 'en', 'node_search', 2),
('harness', 8, 'en', 'node_search', 2),
('harness', 9, 'en', 'node_search', 2),
('harness', 10, 'en', 'node_search', 2),
('harness', 11, 'en', 'node_search', 2),
('harness', 12, 'en', 'node_search', 2),
('harness', 13, 'en', 'node_search', 2),
('harness', 14, 'en', 'node_search', 2),
('harness', 15, 'en', 'node_search', 2),
('harness', 18, 'en', 'node_search', 2),
('harness', 19, 'en', 'node_search', 2),
('harness', 20, 'en', 'node_search', 2),
('harness', 21, 'en', 'node_search', 2),
('harness', 22, 'en', 'node_search', 2),
('harness', 46, 'en', 'node_search', 2),
('harum', 84, 'en', 'node_search', 2),
('harum', 89, 'en', 'node_search', 2),
('harum', 90, 'en', 'node_search', 2),
('harum', 91, 'en', 'node_search', 2),
('has', 1, 'en', 'node_search', 1),
('haven', 2, 'en', 'node_search', 3.6578),
('haven', 39, 'en', 'node_search', 5),
('header', 1, 'en', 'node_search', 1.51415),
('header', 40, 'en', 'node_search', 27),
('header', 53, 'en', 'node_search', 27),
('header', 54, 'en', 'node_search', 27),
('header', 95, 'en', 'node_search', 1),
('heading', 1, 'en', 'node_search', 91.2452),
('headingfive', 2, 'en', 'node_search', 1.16849),
('headingfour', 2, 'en', 'node_search', 1.17417),
('headingone', 2, 'en', 'node_search', 1.21413),
('headingsix', 2, 'en', 'node_search', 1.16286),
('headingthree', 2, 'en', 'node_search', 1.1857),
('headingtwo', 2, 'en', 'node_search', 1.19453),
('heard', 2, 'en', 'node_search', 3.65613),
('heard', 39, 'en', 'node_search', 5),
('helping', 94, 'en', 'node_search', 17),
('helvetica', 2, 'en', 'node_search', 3.69693),
('helvetica', 39, 'en', 'node_search', 5),
('henderson', 66, 'en', 'node_search', 27),
('henderson', 88, 'en', 'node_search', 11),
('here', 1, 'en', 'node_search', 5.77471),
('hic', 2, 'en', 'node_search', 3.15087),
('hic', 36, 'en', 'node_search', 4),
('hic', 37, 'en', 'node_search', 4),
('high', 2, 'en', 'node_search', 3.75445),
('high', 39, 'en', 'node_search', 5),
('home', 2, 'en', 'node_search', 47.6545),
('home', 23, 'en', 'node_search', 1),
('home', 57, 'en', 'node_search', 11),
('hoodie', 20, 'en', 'node_search', 27),
('house', 1, 'en', 'node_search', 0.766757),
('hover', 1, 'en', 'node_search', 22),
('hover', 2, 'en', 'node_search', 9.21416),
('hover', 9, 'en', 'node_search', 11),
('hover', 10, 'en', 'node_search', 11),
('hover', 11, 'en', 'node_search', 11),
('hover', 12, 'en', 'node_search', 11),
('hover', 13, 'en', 'node_search', 11),
('hover', 14, 'en', 'node_search', 11),
('hover', 15, 'en', 'node_search', 11),
('hovercolorbehance', 2, 'en', 'node_search', 1),
('hovercolordribbble', 2, 'en', 'node_search', 1),
('hovercolorfacebook', 2, 'en', 'node_search', 1),
('hovercolorgoogleplus', 2, 'en', 'node_search', 1),
('hovercolorinstagram', 2, 'en', 'node_search', 1),
('hovercolortwitter', 2, 'en', 'node_search', 1),
('hovercolorvimeo', 2, 'en', 'node_search', 1),
('hovercoloryoutube', 2, 'en', 'node_search', 1),
('hoverstyle2', 2, 'en', 'node_search', 0.574516),
('href', 2, 'en', 'node_search', 102.452),
('html5', 2, 'en', 'node_search', 90),
('https', 2, 'en', 'node_search', 5.86056),
('https', 41, 'en', 'node_search', 4),
('https', 42, 'en', 'node_search', 4),
('https', 43, 'en', 'node_search', 4),
('https', 44, 'en', 'node_search', 4),
('https', 45, 'en', 'node_search', 4),
('https', 51, 'en', 'node_search', 4),
('https', 64, 'en', 'node_search', 4),
('https', 65, 'en', 'node_search', 4),
('https', 66, 'en', 'node_search', 4),
('https', 67, 'en', 'node_search', 4),
('https', 68, 'en', 'node_search', 4),
('https', 69, 'en', 'node_search', 4),
('icons', 2, 'en', 'node_search', 118.368),
('iconslist', 2, 'en', 'node_search', 10),
('illo', 1, 'en', 'node_search', 1),
('illo', 2, 'en', 'node_search', 3.25623),
('illo', 85, 'en', 'node_search', 2.56752),
('illo', 86, 'en', 'node_search', 2.60492),
('illo', 87, 'en', 'node_search', 2.60492),
('illo', 88, 'en', 'node_search', 2.60492),
('illum', 2, 'en', 'node_search', 3.08222),
('illum', 84, 'en', 'node_search', 0.972861),
('illum', 85, 'en', 'node_search', 1.75576),
('illum', 86, 'en', 'node_search', 1.78213),
('illum', 87, 'en', 'node_search', 1.78213),
('illum', 88, 'en', 'node_search', 1.78213),
('illum', 89, 'en', 'node_search', 0.972861),
('illum', 90, 'en', 'node_search', 0.972861),
('illum', 91, 'en', 'node_search', 0.972861),
('image', 23, 'en', 'node_search', 2.75374),
('images', 2, 'en', 'node_search', 16),
('img', 2, 'en', 'node_search', 3),
('immediately', 1, 'en', 'node_search', 0.96498),
('impedit', 1, 'en', 'node_search', 1),
('impedit', 84, 'en', 'node_search', 1),
('impedit', 89, 'en', 'node_search', 1),
('impedit', 90, 'en', 'node_search', 1),
('impedit', 91, 'en', 'node_search', 1),
('imperatives', 1, 'en', 'node_search', 1),
('imperatives', 4, 'en', 'node_search', 3),
('imperatives', 5, 'en', 'node_search', 3),
('imperatives', 6, 'en', 'node_search', 3),
('imperatives', 7, 'en', 'node_search', 3),
('imperatives', 8, 'en', 'node_search', 3),
('imperatives', 9, 'en', 'node_search', 3),
('imperatives', 10, 'en', 'node_search', 3),
('imperatives', 11, 'en', 'node_search', 3),
('imperatives', 12, 'en', 'node_search', 3),
('imperatives', 13, 'en', 'node_search', 3),
('imperatives', 14, 'en', 'node_search', 3),
('imperatives', 15, 'en', 'node_search', 3),
('imperatives', 18, 'en', 'node_search', 3),
('imperatives', 19, 'en', 'node_search', 3),
('imperatives', 20, 'en', 'node_search', 3),
('imperatives', 21, 'en', 'node_search', 3),
('imperatives', 22, 'en', 'node_search', 3),
('imperatives', 23, 'en', 'node_search', 1),
('imperatives', 46, 'en', 'node_search', 3),
('incididunt', 1, 'en', 'node_search', 0.934703),
('incididunt', 15, 'en', 'node_search', 0.882818),
('incididunt', 23, 'en', 'node_search', 7.86941),
('incididunt', 41, 'en', 'node_search', 1),
('incididunt', 42, 'en', 'node_search', 1),
('incididunt', 43, 'en', 'node_search', 1),
('incididunt', 44, 'en', 'node_search', 1),
('incididunt', 45, 'en', 'node_search', 1),
('incididunt', 47, 'en', 'node_search', 1),
('incididunt', 51, 'en', 'node_search', 1),
('incididunt', 64, 'en', 'node_search', 1),
('incididunt', 65, 'en', 'node_search', 1),
('incididunt', 66, 'en', 'node_search', 1),
('incididunt', 67, 'en', 'node_search', 1),
('incididunt', 68, 'en', 'node_search', 1),
('incididunt', 69, 'en', 'node_search', 1),
('incididunt', 70, 'en', 'node_search', 1),
('incididunt', 71, 'en', 'node_search', 1),
('incididunt', 72, 'en', 'node_search', 1),
('incididunt', 73, 'en', 'node_search', 1),
('incididunt', 74, 'en', 'node_search', 1),
('incididunt', 75, 'en', 'node_search', 1),
('incididunt', 76, 'en', 'node_search', 1),
('incididunt', 77, 'en', 'node_search', 1),
('incididunt', 78, 'en', 'node_search', 1),
('incididunt', 79, 'en', 'node_search', 1),
('incididunt', 80, 'en', 'node_search', 1),
('incididunt', 81, 'en', 'node_search', 1),
('incididunt', 84, 'en', 'node_search', 1.74668),
('incididunt', 89, 'en', 'node_search', 1.74668),
('incididunt', 90, 'en', 'node_search', 1.74668),
('incididunt', 91, 'en', 'node_search', 1.74668),
('incidunt', 2, 'en', 'node_search', 3.08775),
('incidunt', 85, 'en', 'node_search', 1.67625),
('incidunt', 86, 'en', 'node_search', 1.7001),
('incidunt', 87, 'en', 'node_search', 1.7001),
('incidunt', 88, 'en', 'node_search', 1.7001),
('info', 2, 'en', 'node_search', 1.10359),
('information', 1, 'en', 'node_search', 1.74172),
('information', 23, 'en', 'node_search', 10.3222),
('inline', 2, 'en', 'node_search', 1),
('instagram', 2, 'en', 'node_search', 12),
('instill', 94, 'en', 'node_search', 1),
('integer', 1, 'en', 'node_search', 5),
('integer', 36, 'en', 'node_search', 5),
('integer', 37, 'en', 'node_search', 5),
('interface', 62, 'en', 'node_search', 11),
('interfaces', 4, 'en', 'node_search', 2),
('interfaces', 5, 'en', 'node_search', 2),
('interfaces', 6, 'en', 'node_search', 2),
('interfaces', 7, 'en', 'node_search', 2),
('interfaces', 8, 'en', 'node_search', 2),
('interfaces', 9, 'en', 'node_search', 2),
('interfaces', 10, 'en', 'node_search', 2),
('interfaces', 11, 'en', 'node_search', 2),
('interfaces', 12, 'en', 'node_search', 2),
('interfaces', 13, 'en', 'node_search', 2),
('interfaces', 14, 'en', 'node_search', 2),
('interfaces', 15, 'en', 'node_search', 2),
('interfaces', 18, 'en', 'node_search', 2),
('interfaces', 19, 'en', 'node_search', 2),
('interfaces', 20, 'en', 'node_search', 2),
('interfaces', 21, 'en', 'node_search', 2),
('interfaces', 22, 'en', 'node_search', 2),
('interfaces', 46, 'en', 'node_search', 2),
('inventore', 85, 'en', 'node_search', 2.81092),
('inventore', 86, 'en', 'node_search', 2.82206),
('inventore', 87, 'en', 'node_search', 2.82206),
('inventore', 88, 'en', 'node_search', 2.82206),
('investment', 62, 'en', 'node_search', 11),
('investors', 56, 'en', 'node_search', 46),
('ipsa', 2, 'en', 'node_search', 3.09337),
('ipsa', 85, 'en', 'node_search', 0.836446),
('ipsa', 86, 'en', 'node_search', 0.848323),
('ipsa', 87, 'en', 'node_search', 0.848323),
('ipsa', 88, 'en', 'node_search', 0.848323),
('ipsam', 84, 'en', 'node_search', 2.96109),
('ipsam', 85, 'en', 'node_search', 2.75301),
('ipsam', 86, 'en', 'node_search', 2.77929),
('ipsam', 87, 'en', 'node_search', 2.77929),
('ipsam', 88, 'en', 'node_search', 2.77929),
('ipsam', 89, 'en', 'node_search', 2.96109),
('ipsam', 90, 'en', 'node_search', 2.96109),
('ipsam', 91, 'en', 'node_search', 2.96109),
('ipsum', 1, 'en', 'node_search', 6.16926),
('ipsum', 2, 'en', 'node_search', 9.61408),
('ipsum', 9, 'en', 'node_search', 17),
('ipsum', 10, 'en', 'node_search', 16),
('ipsum', 11, 'en', 'node_search', 16),
('ipsum', 12, 'en', 'node_search', 16),
('ipsum', 13, 'en', 'node_search', 16),
('ipsum', 14, 'en', 'node_search', 16),
('ipsum', 15, 'en', 'node_search', 16.8995),
('ipsum', 23, 'en', 'node_search', 6.9347),
('ipsum', 33, 'en', 'node_search', 1),
('ipsum', 34, 'en', 'node_search', 1),
('ipsum', 36, 'en', 'node_search', 6),
('ipsum', 37, 'en', 'node_search', 6),
('ipsum', 41, 'en', 'node_search', 1),
('ipsum', 42, 'en', 'node_search', 1),
('ipsum', 43, 'en', 'node_search', 1),
('ipsum', 44, 'en', 'node_search', 1),
('ipsum', 45, 'en', 'node_search', 1),
('ipsum', 47, 'en', 'node_search', 1),
('ipsum', 51, 'en', 'node_search', 1),
('ipsum', 64, 'en', 'node_search', 1),
('ipsum', 65, 'en', 'node_search', 1),
('ipsum', 66, 'en', 'node_search', 1),
('ipsum', 67, 'en', 'node_search', 1),
('ipsum', 68, 'en', 'node_search', 1),
('ipsum', 69, 'en', 'node_search', 1),
('ipsum', 70, 'en', 'node_search', 1),
('ipsum', 71, 'en', 'node_search', 1),
('ipsum', 72, 'en', 'node_search', 1),
('ipsum', 73, 'en', 'node_search', 1),
('ipsum', 74, 'en', 'node_search', 1),
('ipsum', 75, 'en', 'node_search', 1),
('ipsum', 76, 'en', 'node_search', 1),
('ipsum', 77, 'en', 'node_search', 1),
('ipsum', 78, 'en', 'node_search', 1),
('ipsum', 79, 'en', 'node_search', 1),
('ipsum', 80, 'en', 'node_search', 1),
('ipsum', 81, 'en', 'node_search', 1),
('ipsum', 84, 'en', 'node_search', 3.73448),
('ipsum', 89, 'en', 'node_search', 3.73448),
('ipsum', 90, 'en', 'node_search', 3.73448),
('ipsum', 91, 'en', 'node_search', 3.73448),
('ipsum', 92, 'en', 'node_search', 1),
('irure', 23, 'en', 'node_search', 2.86941),
('irure', 41, 'en', 'node_search', 1),
('irure', 42, 'en', 'node_search', 1),
('irure', 43, 'en', 'node_search', 1),
('irure', 44, 'en', 'node_search', 1),
('irure', 45, 'en', 'node_search', 1),
('irure', 48, 'en', 'node_search', 1),
('irure', 49, 'en', 'node_search', 1),
('irure', 50, 'en', 'node_search', 1),
('irure', 51, 'en', 'node_search', 1),
('irure', 64, 'en', 'node_search', 1),
('irure', 65, 'en', 'node_search', 1),
('irure', 66, 'en', 'node_search', 1),
('irure', 67, 'en', 'node_search', 1),
('irure', 68, 'en', 'node_search', 1),
('irure', 69, 'en', 'node_search', 1),
('irure', 70, 'en', 'node_search', 1),
('irure', 71, 'en', 'node_search', 1),
('irure', 72, 'en', 'node_search', 1),
('irure', 73, 'en', 'node_search', 1),
('irure', 74, 'en', 'node_search', 1),
('irure', 75, 'en', 'node_search', 1),
('irure', 76, 'en', 'node_search', 1),
('irure', 77, 'en', 'node_search', 1),
('irure', 78, 'en', 'node_search', 1),
('irure', 79, 'en', 'node_search', 1),
('irure', 80, 'en', 'node_search', 1),
('irure', 81, 'en', 'node_search', 1),
('irure', 84, 'en', 'node_search', 1.69881),
('irure', 89, 'en', 'node_search', 1.69881),
('irure', 90, 'en', 'node_search', 1.69881),
('irure', 91, 'en', 'node_search', 1.69881),
('iste', 84, 'en', 'node_search', 2),
('iste', 85, 'en', 'node_search', 0.860547),
('iste', 86, 'en', 'node_search', 0.873132),
('iste', 87, 'en', 'node_search', 0.873132),
('iste', 88, 'en', 'node_search', 0.873132),
('iste', 89, 'en', 'node_search', 2),
('iste', 90, 'en', 'node_search', 2),
('iste', 91, 'en', 'node_search', 2),
('itaque', 2, 'en', 'node_search', 3.11364),
('itaque', 85, 'en', 'node_search', 0.845322),
('itaque', 86, 'en', 'node_search', 0.857458),
('itaque', 87, 'en', 'node_search', 0.857458),
('itaque', 88, 'en', 'node_search', 0.857458),
('item', 1, 'en', 'node_search', 0.749958),
('item', 2, 'en', 'node_search', 48),
('iure', 1, 'en', 'node_search', 1),
('iure', 84, 'en', 'node_search', 0.997306),
('iure', 85, 'en', 'node_search', 1.89608),
('iure', 86, 'en', 'node_search', 1.90974),
('iure', 87, 'en', 'node_search', 1.90974),
('iure', 88, 'en', 'node_search', 1.90974),
('iure', 89, 'en', 'node_search', 0.997306),
('iure', 90, 'en', 'node_search', 0.997306),
('iure', 91, 'en', 'node_search', 0.997306),
('iusto', 85, 'en', 'node_search', 2.80705),
('iusto', 86, 'en', 'node_search', 2.83493),
('iusto', 87, 'en', 'node_search', 2.83493),
('iusto', 88, 'en', 'node_search', 2.83493),
('jackson', 84, 'en', 'node_search', 1),
('jackson', 85, 'en', 'node_search', 1),
('jackson', 86, 'en', 'node_search', 1),
('jackson', 87, 'en', 'node_search', 1),
('jackson', 88, 'en', 'node_search', 1),
('jackson', 89, 'en', 'node_search', 1),
('jackson', 90, 'en', 'node_search', 1),
('jackson', 91, 'en', 'node_search', 1),
('jackson', 92, 'en', 'node_search', 1),
('jacob', 1, 'en', 'node_search', 0.727213),
('jermains', 48, 'en', 'node_search', 1),
('jockey', 19, 'en', 'node_search', 27),
('john', 33, 'en', 'node_search', 27),
('john', 45, 'en', 'node_search', 27),
('john', 85, 'en', 'node_search', 1),
('john', 86, 'en', 'node_search', 1),
('john', 87, 'en', 'node_search', 1),
('jun', 10, 'en', 'node_search', 1),
('jun', 11, 'en', 'node_search', 1),
('jun', 12, 'en', 'node_search', 1),
('jun', 13, 'en', 'node_search', 1),
('jun', 14, 'en', 'node_search', 1),
('jun', 15, 'en', 'node_search', 1),
('justine', 66, 'en', 'node_search', 27),
('justine', 88, 'en', 'node_search', 11),
('keffiyeh', 2, 'en', 'node_search', 3.69883),
('keffiyeh', 39, 'en', 'node_search', 5),
('keynote', 78, 'en', 'node_search', 11),
('keynote', 81, 'en', 'node_search', 11),
('keys', 94, 'en', 'node_search', 1),
('king', 94, 'en', 'node_search', 10),
('labore', 1, 'en', 'node_search', 0.931053),
('labore', 2, 'en', 'node_search', 7.34413),
('labore', 15, 'en', 'node_search', 0.879565),
('labore', 23, 'en', 'node_search', 7.86941),
('labore', 39, 'en', 'node_search', 10),
('labore', 41, 'en', 'node_search', 1),
('labore', 42, 'en', 'node_search', 1),
('labore', 43, 'en', 'node_search', 1),
('labore', 44, 'en', 'node_search', 1),
('labore', 45, 'en', 'node_search', 1),
('labore', 47, 'en', 'node_search', 1),
('labore', 51, 'en', 'node_search', 1),
('labore', 64, 'en', 'node_search', 1),
('labore', 65, 'en', 'node_search', 1),
('labore', 66, 'en', 'node_search', 1),
('labore', 67, 'en', 'node_search', 1),
('labore', 68, 'en', 'node_search', 1),
('labore', 69, 'en', 'node_search', 1),
('labore', 70, 'en', 'node_search', 1),
('labore', 71, 'en', 'node_search', 1),
('labore', 72, 'en', 'node_search', 1),
('labore', 73, 'en', 'node_search', 1),
('labore', 74, 'en', 'node_search', 1),
('labore', 75, 'en', 'node_search', 1),
('labore', 76, 'en', 'node_search', 1),
('labore', 77, 'en', 'node_search', 1),
('labore', 78, 'en', 'node_search', 1),
('labore', 79, 'en', 'node_search', 1),
('labore', 80, 'en', 'node_search', 1),
('labore', 81, 'en', 'node_search', 1),
('labore', 84, 'en', 'node_search', 1.74309),
('labore', 85, 'en', 'node_search', 1),
('labore', 86, 'en', 'node_search', 1),
('labore', 87, 'en', 'node_search', 1),
('labore', 88, 'en', 'node_search', 1),
('labore', 89, 'en', 'node_search', 1.74309),
('labore', 90, 'en', 'node_search', 1.74309),
('labore', 91, 'en', 'node_search', 1.74309),
('laboriosam', 2, 'en', 'node_search', 3.11069),
('laboriosam', 84, 'en', 'node_search', 1),
('laboriosam', 89, 'en', 'node_search', 1),
('laboriosam', 90, 'en', 'node_search', 1),
('laboriosam', 91, 'en', 'node_search', 1),
('laboris', 15, 'en', 'node_search', 0.845322),
('laboris', 23, 'en', 'node_search', 2.86941),
('laboris', 41, 'en', 'node_search', 1),
('laboris', 42, 'en', 'node_search', 1),
('laboris', 43, 'en', 'node_search', 1),
('laboris', 44, 'en', 'node_search', 1),
('laboris', 45, 'en', 'node_search', 1),
('laboris', 49, 'en', 'node_search', 1),
('laboris', 51, 'en', 'node_search', 1),
('laboris', 64, 'en', 'node_search', 1),
('laboris', 65, 'en', 'node_search', 1),
('laboris', 66, 'en', 'node_search', 1),
('laboris', 67, 'en', 'node_search', 1),
('laboris', 68, 'en', 'node_search', 1),
('laboris', 69, 'en', 'node_search', 1),
('laboris', 70, 'en', 'node_search', 1),
('laboris', 71, 'en', 'node_search', 1),
('laboris', 72, 'en', 'node_search', 1),
('laboris', 73, 'en', 'node_search', 1),
('laboris', 74, 'en', 'node_search', 1),
('laboris', 75, 'en', 'node_search', 1),
('laboris', 76, 'en', 'node_search', 1),
('laboris', 77, 'en', 'node_search', 1),
('laboris', 78, 'en', 'node_search', 1),
('laboris', 79, 'en', 'node_search', 1),
('laboris', 80, 'en', 'node_search', 1),
('laboris', 81, 'en', 'node_search', 1),
('laboris', 84, 'en', 'node_search', 1.7187),
('laboris', 89, 'en', 'node_search', 1.7187),
('laboris', 90, 'en', 'node_search', 1.7187),
('laboris', 91, 'en', 'node_search', 1.7187),
('laborum', 2, 'en', 'node_search', 3.7184),
('laborum', 15, 'en', 'node_search', 0.913226),
('laborum', 23, 'en', 'node_search', 1.89968),
('laborum', 39, 'en', 'node_search', 5),
('laborum', 41, 'en', 'node_search', 1),
('laborum', 42, 'en', 'node_search', 1),
('laborum', 43, 'en', 'node_search', 1),
('laborum', 44, 'en', 'node_search', 1),
('laborum', 45, 'en', 'node_search', 1),
('laborum', 48, 'en', 'node_search', 1),
('laborum', 50, 'en', 'node_search', 1),
('laborum', 51, 'en', 'node_search', 1),
('laborum', 64, 'en', 'node_search', 1),
('laborum', 65, 'en', 'node_search', 1),
('laborum', 66, 'en', 'node_search', 1),
('laborum', 67, 'en', 'node_search', 1),
('laborum', 68, 'en', 'node_search', 1),
('laborum', 69, 'en', 'node_search', 1),
('laborum', 70, 'en', 'node_search', 1),
('laborum', 71, 'en', 'node_search', 1),
('laborum', 72, 'en', 'node_search', 1),
('laborum', 73, 'en', 'node_search', 1),
('laborum', 74, 'en', 'node_search', 1),
('laborum', 75, 'en', 'node_search', 1),
('laborum', 76, 'en', 'node_search', 1),
('laborum', 77, 'en', 'node_search', 1),
('laborum', 78, 'en', 'node_search', 1),
('laborum', 79, 'en', 'node_search', 1),
('laborum', 80, 'en', 'node_search', 1),
('laborum', 81, 'en', 'node_search', 1),
('laborum', 84, 'en', 'node_search', 1.66159),
('laborum', 85, 'en', 'node_search', 0.909743),
('laborum', 86, 'en', 'node_search', 0.923838),
('laborum', 87, 'en', 'node_search', 0.923838),
('laborum', 88, 'en', 'node_search', 0.923838),
('laborum', 89, 'en', 'node_search', 1.66159),
('laborum', 90, 'en', 'node_search', 1.66159),
('laborum', 91, 'en', 'node_search', 1.66159),
('lang', 69, 'en', 'node_search', 27),
('lang', 85, 'en', 'node_search', 11),
('lang', 91, 'en', 'node_search', 36.4576),
('large', 2, 'en', 'node_search', 33),
('larry', 1, 'en', 'node_search', 0.72066),
('last', 1, 'en', 'node_search', 0.738408),
('laudantium', 2, 'en', 'node_search', 3.15412),
('laudantium', 84, 'en', 'node_search', 1),
('laudantium', 85, 'en', 'node_search', 1),
('laudantium', 86, 'en', 'node_search', 1),
('laudantium', 87, 'en', 'node_search', 1),
('laudantium', 88, 'en', 'node_search', 1),
('laudantium', 89, 'en', 'node_search', 1),
('laudantium', 90, 'en', 'node_search', 1),
('laudantium', 91, 'en', 'node_search', 1),
('laudantium', 92, 'en', 'node_search', 1),
('lavern', 50, 'en', 'node_search', 27),
('leadership', 9, 'en', 'node_search', 1),
('leadership', 10, 'en', 'node_search', 1),
('leadership', 11, 'en', 'node_search', 1),
('leadership', 12, 'en', 'node_search', 1),
('leadership', 13, 'en', 'node_search', 1),
('leadership', 14, 'en', 'node_search', 1),
('leadership', 15, 'en', 'node_search', 1),
('left', 95, 'en', 'node_search', 1),
('leggings', 2, 'en', 'node_search', 3.67324),
('leggings', 39, 'en', 'node_search', 5),
('libero', 1, 'en', 'node_search', 5),
('libero', 36, 'en', 'node_search', 17),
('libero', 37, 'en', 'node_search', 17),
('libero', 85, 'en', 'node_search', 1.65326),
('libero', 86, 'en', 'node_search', 1.67646),
('libero', 87, 'en', 'node_search', 1.67646),
('libero', 88, 'en', 'node_search', 1.67646),
('life', 2, 'en', 'node_search', 3.75222),
('life', 39, 'en', 'node_search', 5),
('ligula', 9, 'en', 'node_search', 1),
('link', 1, 'en', 'node_search', 33),
('link', 9, 'en', 'node_search', 11),
('link', 10, 'en', 'node_search', 11),
('link', 11, 'en', 'node_search', 11),
('link', 12, 'en', 'node_search', 11),
('link', 13, 'en', 'node_search', 11),
('link', 14, 'en', 'node_search', 11),
('link', 15, 'en', 'node_search', 11),
('link', 49, 'en', 'node_search', 11),
('link', 50, 'en', 'node_search', 11),
('linked', 1, 'en', 'node_search', 29),
('links', 1, 'en', 'node_search', 30.6116),
('links', 2, 'en', 'node_search', 16),
('linux', 2, 'en', 'node_search', 90),
('list', 1, 'en', 'node_search', 31.0737),
('list', 2, 'en', 'node_search', 104),
('lists', 2, 'en', 'node_search', 16),
('listyear', 95, 'en', 'node_search', 1),
('little', 68, 'en', 'node_search', 27),
('little', 84, 'en', 'node_search', 36.4576),
('little', 85, 'en', 'node_search', 11),
('little', 86, 'en', 'node_search', 11),
('log', 15, 'en', 'node_search', 53.3764),
('lomo', 2, 'en', 'node_search', 3.675),
('lomo', 39, 'en', 'node_search', 5),
('longer', 57, 'en', 'node_search', 1),
('longsleeve', 21, 'en', 'node_search', 27),
('look', 23, 'en', 'node_search', 19),
('looking', 23, 'en', 'node_search', 1),
('looking', 57, 'en', 'node_search', 1),
('lorem', 1, 'en', 'node_search', 5.31181),
('lorem', 9, 'en', 'node_search', 17),
('lorem', 10, 'en', 'node_search', 16),
('lorem', 11, 'en', 'node_search', 16),
('lorem', 12, 'en', 'node_search', 16),
('lorem', 13, 'en', 'node_search', 16),
('lorem', 14, 'en', 'node_search', 16),
('lorem', 15, 'en', 'node_search', 16.8995),
('lorem', 23, 'en', 'node_search', 6.9347),
('lorem', 33, 'en', 'node_search', 1),
('lorem', 34, 'en', 'node_search', 1),
('lorem', 36, 'en', 'node_search', 6),
('lorem', 37, 'en', 'node_search', 6),
('lorem', 41, 'en', 'node_search', 1),
('lorem', 42, 'en', 'node_search', 1),
('lorem', 43, 'en', 'node_search', 1),
('lorem', 44, 'en', 'node_search', 1),
('lorem', 45, 'en', 'node_search', 1),
('lorem', 47, 'en', 'node_search', 1),
('lorem', 51, 'en', 'node_search', 1),
('lorem', 64, 'en', 'node_search', 1),
('lorem', 65, 'en', 'node_search', 1),
('lorem', 66, 'en', 'node_search', 1),
('lorem', 67, 'en', 'node_search', 1),
('lorem', 68, 'en', 'node_search', 1),
('lorem', 69, 'en', 'node_search', 1),
('lorem', 70, 'en', 'node_search', 1),
('lorem', 71, 'en', 'node_search', 1),
('lorem', 72, 'en', 'node_search', 1),
('lorem', 73, 'en', 'node_search', 1),
('lorem', 74, 'en', 'node_search', 1),
('lorem', 75, 'en', 'node_search', 1),
('lorem', 76, 'en', 'node_search', 1),
('lorem', 77, 'en', 'node_search', 1),
('lorem', 78, 'en', 'node_search', 1),
('lorem', 79, 'en', 'node_search', 1),
('lorem', 80, 'en', 'node_search', 1),
('lorem', 81, 'en', 'node_search', 1),
('lorem', 84, 'en', 'node_search', 2.75763),
('lorem', 89, 'en', 'node_search', 2.75763),
('lorem', 90, 'en', 'node_search', 2.75763),
('lorem', 91, 'en', 'node_search', 2.75763),
('lorem', 92, 'en', 'node_search', 1),
('luctus', 9, 'en', 'node_search', 1),
('magna', 1, 'en', 'node_search', 0.923838),
('magna', 15, 'en', 'node_search', 0.873132),
('magna', 23, 'en', 'node_search', 2.9347),
('magna', 41, 'en', 'node_search', 1),
('magna', 42, 'en', 'node_search', 1),
('magna', 43, 'en', 'node_search', 1),
('magna', 44, 'en', 'node_search', 1),
('magna', 45, 'en', 'node_search', 1),
('magna', 47, 'en', 'node_search', 1),
('magna', 51, 'en', 'node_search', 1),
('magna', 64, 'en', 'node_search', 1),
('magna', 65, 'en', 'node_search', 1),
('magna', 66, 'en', 'node_search', 1),
('magna', 67, 'en', 'node_search', 1),
('magna', 68, 'en', 'node_search', 1),
('magna', 69, 'en', 'node_search', 1),
('magna', 70, 'en', 'node_search', 1),
('magna', 71, 'en', 'node_search', 1),
('magna', 72, 'en', 'node_search', 1),
('magna', 73, 'en', 'node_search', 1),
('magna', 74, 'en', 'node_search', 1),
('magna', 75, 'en', 'node_search', 1),
('magna', 76, 'en', 'node_search', 1),
('magna', 77, 'en', 'node_search', 1),
('magna', 78, 'en', 'node_search', 1),
('magna', 79, 'en', 'node_search', 1),
('magna', 80, 'en', 'node_search', 1),
('magna', 81, 'en', 'node_search', 1),
('magna', 84, 'en', 'node_search', 1.73952),
('magna', 89, 'en', 'node_search', 1.73952),
('magna', 90, 'en', 'node_search', 1.73952),
('magna', 91, 'en', 'node_search', 1.73952),
('magnam', 85, 'en', 'node_search', 0.972861),
('magnam', 86, 'en', 'node_search', 0.989021),
('magnam', 87, 'en', 'node_search', 0.989021),
('magnam', 88, 'en', 'node_search', 0.989021),
('magni', 1, 'en', 'node_search', 1),
('magni', 84, 'en', 'node_search', 2),
('magni', 85, 'en', 'node_search', 0.800068),
('magni', 86, 'en', 'node_search', 0.810915),
('magni', 87, 'en', 'node_search', 0.810915),
('magni', 88, 'en', 'node_search', 0.810915),
('magni', 89, 'en', 'node_search', 2),
('magni', 90, 'en', 'node_search', 2),
('magni', 91, 'en', 'node_search', 2),
('magni', 92, 'en', 'node_search', 1),
('maiores', 2, 'en', 'node_search', 3.17759),
('maiores', 36, 'en', 'node_search', 4),
('maiores', 37, 'en', 'node_search', 4),
('makes', 94, 'en', 'node_search', 1),
('malesuada', 1, 'en', 'node_search', 28.718),
('malesuada', 15, 'en', 'node_search', 26.6083),
('manager', 47, 'en', 'node_search', 1),
('manager', 65, 'en', 'node_search', 1),
('manager', 69, 'en', 'node_search', 1),
('marcus', 64, 'en', 'node_search', 27),
('mark', 1, 'en', 'node_search', 0.733888),
('mathias', 68, 'en', 'node_search', 27),
('mathias', 84, 'en', 'node_search', 36.566),
('mathias', 85, 'en', 'node_search', 11),
('mathias', 86, 'en', 'node_search', 11),
('mattis', 1, 'en', 'node_search', 2.61746),
('maxcdn', 2, 'en', 'node_search', 90),
('maxime', 85, 'en', 'node_search', 1.68502),
('maxime', 86, 'en', 'node_search', 1.70918),
('maxime', 87, 'en', 'node_search', 1.70918),
('maxime', 88, 'en', 'node_search', 1.70918),
('mcduffie', 50, 'en', 'node_search', 27),
('mdo', 1, 'en', 'node_search', 0.729424),
('medic', 67, 'en', 'node_search', 1),
('mega', 61, 'en', 'node_search', 27),
('memembership', 51, 'en', 'node_search', 1),
('mentorship', 94, 'en', 'node_search', 1),
('menu', 61, 'en', 'node_search', 27),
('message', 1, 'en', 'node_search', 58.9128),
('messages', 1, 'en', 'node_search', 16),
('messages', 2, 'en', 'node_search', 31.2511),
('methods', 85, 'en', 'node_search', 15),
('methods', 86, 'en', 'node_search', 15),
('methods', 87, 'en', 'node_search', 15),
('methods', 88, 'en', 'node_search', 15),
('michelle', 49, 'en', 'node_search', 27),
('minim', 15, 'en', 'node_search', 0.863659),
('minim', 23, 'en', 'node_search', 1.9347),
('minim', 41, 'en', 'node_search', 1),
('minim', 42, 'en', 'node_search', 1),
('minim', 43, 'en', 'node_search', 1),
('minim', 44, 'en', 'node_search', 1),
('minim', 45, 'en', 'node_search', 1),
('minim', 47, 'en', 'node_search', 1),
('minim', 49, 'en', 'node_search', 1),
('minim', 51, 'en', 'node_search', 1),
('minim', 64, 'en', 'node_search', 1),
('minim', 65, 'en', 'node_search', 1),
('minim', 66, 'en', 'node_search', 1),
('minim', 67, 'en', 'node_search', 1),
('minim', 68, 'en', 'node_search', 1),
('minim', 69, 'en', 'node_search', 1),
('minim', 70, 'en', 'node_search', 1),
('minim', 71, 'en', 'node_search', 1),
('minim', 72, 'en', 'node_search', 1),
('minim', 73, 'en', 'node_search', 1),
('minim', 74, 'en', 'node_search', 1),
('minim', 75, 'en', 'node_search', 1),
('minim', 76, 'en', 'node_search', 1),
('minim', 77, 'en', 'node_search', 1),
('minim', 78, 'en', 'node_search', 1),
('minim', 79, 'en', 'node_search', 1),
('minim', 80, 'en', 'node_search', 1),
('minim', 81, 'en', 'node_search', 1),
('minim', 84, 'en', 'node_search', 1.73247),
('minim', 89, 'en', 'node_search', 1.73247),
('minim', 90, 'en', 'node_search', 1.73247),
('minim', 91, 'en', 'node_search', 1.73247),
('minima', 2, 'en', 'node_search', 3.18804),
('minima', 84, 'en', 'node_search', 2),
('minima', 85, 'en', 'node_search', 2.84234),
('minima', 86, 'en', 'node_search', 2.85439),
('minima', 87, 'en', 'node_search', 2.85439),
('minima', 88, 'en', 'node_search', 2.85439),
('minima', 89, 'en', 'node_search', 2),
('minima', 90, 'en', 'node_search', 2),
('minima', 91, 'en', 'node_search', 2),
('minima', 93, 'en', 'node_search', 1),
('minus', 84, 'en', 'node_search', 1),
('minus', 85, 'en', 'node_search', 2.7444),
('minus', 86, 'en', 'node_search', 2.77029),
('minus', 87, 'en', 'node_search', 2.77029),
('minus', 88, 'en', 'node_search', 2.77029),
('minus', 89, 'en', 'node_search', 1),
('minus', 90, 'en', 'node_search', 1),
('minus', 91, 'en', 'node_search', 1),
('modi', 85, 'en', 'node_search', 0.813674),
('modi', 86, 'en', 'node_search', 0.824901),
('modi', 87, 'en', 'node_search', 0.824901),
('modi', 88, 'en', 'node_search', 0.824901),
('molestias', 1, 'en', 'node_search', 1),
('molestias', 84, 'en', 'node_search', 1),
('molestias', 89, 'en', 'node_search', 1),
('molestias', 90, 'en', 'node_search', 1),
('molestias', 91, 'en', 'node_search', 1),
('molestias', 92, 'en', 'node_search', 1),
('mollit', 15, 'en', 'node_search', 0.923838),
('mollit', 23, 'en', 'node_search', 1.91155),
('mollit', 41, 'en', 'node_search', 1),
('mollit', 42, 'en', 'node_search', 1),
('mollit', 43, 'en', 'node_search', 1),
('mollit', 44, 'en', 'node_search', 1),
('mollit', 45, 'en', 'node_search', 1),
('mollit', 48, 'en', 'node_search', 1),
('mollit', 50, 'en', 'node_search', 1),
('mollit', 51, 'en', 'node_search', 1),
('mollit', 64, 'en', 'node_search', 1),
('mollit', 65, 'en', 'node_search', 1),
('mollit', 66, 'en', 'node_search', 1),
('mollit', 67, 'en', 'node_search', 1),
('mollit', 68, 'en', 'node_search', 1),
('mollit', 69, 'en', 'node_search', 1),
('mollit', 70, 'en', 'node_search', 1),
('mollit', 71, 'en', 'node_search', 1),
('mollit', 72, 'en', 'node_search', 1),
('mollit', 73, 'en', 'node_search', 1),
('mollit', 74, 'en', 'node_search', 1),
('mollit', 75, 'en', 'node_search', 1),
('mollit', 76, 'en', 'node_search', 1),
('mollit', 77, 'en', 'node_search', 1),
('mollit', 78, 'en', 'node_search', 1),
('mollit', 79, 'en', 'node_search', 1),
('mollit', 80, 'en', 'node_search', 1),
('mollit', 81, 'en', 'node_search', 1),
('mollit', 84, 'en', 'node_search', 1.66757),
('mollit', 89, 'en', 'node_search', 1.66757),
('mollit', 90, 'en', 'node_search', 1.66757),
('mollit', 91, 'en', 'node_search', 1.66757),
('mollitia', 2, 'en', 'node_search', 3.13185),
('mollitia', 84, 'en', 'node_search', 1),
('mollitia', 85, 'en', 'node_search', 1.70831),
('mollitia', 86, 'en', 'node_search', 1.73319),
('mollitia', 87, 'en', 'node_search', 1.73319),
('mollitia', 88, 'en', 'node_search', 1.73319),
('mollitia', 89, 'en', 'node_search', 1),
('mollitia', 90, 'en', 'node_search', 1),
('mollitia', 91, 'en', 'node_search', 1),
('mon', 18, 'en', 'node_search', 1),
('mon', 19, 'en', 'node_search', 1),
('mon', 20, 'en', 'node_search', 1),
('mon', 21, 'en', 'node_search', 1),
('mon', 22, 'en', 'node_search', 1),
('mon', 23, 'en', 'node_search', 1),
('mon', 33, 'en', 'node_search', 1),
('mon', 34, 'en', 'node_search', 1),
('mon', 41, 'en', 'node_search', 1),
('mon', 42, 'en', 'node_search', 1),
('mon', 43, 'en', 'node_search', 1),
('mon', 44, 'en', 'node_search', 1),
('mon', 45, 'en', 'node_search', 1),
('mon', 53, 'en', 'node_search', 1),
('mon', 54, 'en', 'node_search', 1),
('mon', 85, 'en', 'node_search', 1),
('monitoring', 62, 'en', 'node_search', 11),
('month', 95, 'en', 'node_search', 1),
('moon', 2, 'en', 'node_search', 7.45555),
('moon', 39, 'en', 'node_search', 10),
('morbi', 9, 'en', 'node_search', 1),
('morbi', 15, 'en', 'node_search', 56.9218),
('more', 1, 'en', 'node_search', 10.3386),
('more', 84, 'en', 'node_search', 18.2126),
('more', 89, 'en', 'node_search', 18.2126),
('more', 90, 'en', 'node_search', 18.2126),
('more', 91, 'en', 'node_search', 18.2126),
('more', 93, 'en', 'node_search', 11),
('mug', 18, 'en', 'node_search', 27),
('nam', 84, 'en', 'node_search', 1),
('nam', 85, 'en', 'node_search', 0.889397),
('nam', 86, 'en', 'node_search', 0.902857),
('nam', 87, 'en', 'node_search', 0.902857),
('nam', 88, 'en', 'node_search', 0.902857),
('nam', 89, 'en', 'node_search', 1),
('nam', 90, 'en', 'node_search', 1),
('nam', 91, 'en', 'node_search', 1),
('nam', 92, 'en', 'node_search', 1),
('name', 1, 'en', 'node_search', 1.47683),
('name', 23, 'en', 'node_search', 4),
('name', 33, 'en', 'node_search', 1),
('natus', 84, 'en', 'node_search', 2.96109),
('natus', 85, 'en', 'node_search', 2.63385),
('natus', 86, 'en', 'node_search', 2.6565),
('natus', 87, 'en', 'node_search', 2.6565),
('natus', 88, 'en', 'node_search', 2.6565),
('natus', 89, 'en', 'node_search', 2.96109),
('natus', 90, 'en', 'node_search', 2.96109),
('natus', 91, 'en', 'node_search', 2.96109),
('natus', 92, 'en', 'node_search', 1),
('natus', 93, 'en', 'node_search', 1),
('nav', 2, 'en', 'node_search', 3.1116),
('navigation', 54, 'en', 'node_search', 27),
('navitem', 2, 'en', 'node_search', 4.60697),
('navlink', 2, 'en', 'node_search', 4.6018),
('navtabs', 2, 'en', 'node_search', 2.31153),
('navtabsverticalcontainer', 2, 'en', 'node_search', 0.759465),
('nec', 15, 'en', 'node_search', 2.95772),
('necessitatibus', 2, 'en', 'node_search', 3.16403),
('necessitatibus', 85, 'en', 'node_search', 4.59221),
('necessitatibus', 86, 'en', 'node_search', 4.63039),
('necessitatibus', 87, 'en', 'node_search', 4.63039),
('necessitatibus', 88, 'en', 'node_search', 4.63039),
('necessitatibus', 93, 'en', 'node_search', 1),
('nesciunt', 2, 'en', 'node_search', 14.1713),
('nesciunt', 39, 'en', 'node_search', 15),
('nesciunt', 84, 'en', 'node_search', 1.98493),
('nesciunt', 89, 'en', 'node_search', 1.98493),
('nesciunt', 90, 'en', 'node_search', 1.98493),
('nesciunt', 91, 'en', 'node_search', 1.98493),
('nesciunt', 92, 'en', 'node_search', 1),
('netus', 15, 'en', 'node_search', 2.95772),
('next', 95, 'en', 'node_search', 1),
('nibh', 1, 'en', 'node_search', 8.4282),
('nibh', 36, 'en', 'node_search', 17),
('nibh', 37, 'en', 'node_search', 17),
('nihil', 2, 'en', 'node_search', 3.70074),
('nihil', 39, 'en', 'node_search', 5),
('nikki', 43, 'en', 'node_search', 27),
('nisi', 15, 'en', 'node_search', 0.842342),
('nisi', 23, 'en', 'node_search', 2.86941),
('nisi', 41, 'en', 'node_search', 1),
('nisi', 42, 'en', 'node_search', 1),
('nisi', 43, 'en', 'node_search', 1),
('nisi', 44, 'en', 'node_search', 1),
('nisi', 45, 'en', 'node_search', 1),
('nisi', 49, 'en', 'node_search', 1),
('nisi', 51, 'en', 'node_search', 1),
('nisi', 64, 'en', 'node_search', 1),
('nisi', 65, 'en', 'node_search', 1),
('nisi', 66, 'en', 'node_search', 1),
('nisi', 67, 'en', 'node_search', 1),
('nisi', 68, 'en', 'node_search', 1),
('nisi', 69, 'en', 'node_search', 1),
('nisi', 70, 'en', 'node_search', 1),
('nisi', 71, 'en', 'node_search', 1),
('nisi', 72, 'en', 'node_search', 1),
('nisi', 73, 'en', 'node_search', 1),
('nisi', 74, 'en', 'node_search', 1),
('nisi', 75, 'en', 'node_search', 1),
('nisi', 76, 'en', 'node_search', 1),
('nisi', 77, 'en', 'node_search', 1),
('nisi', 78, 'en', 'node_search', 1),
('nisi', 79, 'en', 'node_search', 1),
('nisi', 80, 'en', 'node_search', 1),
('nisi', 81, 'en', 'node_search', 1),
('nisi', 84, 'en', 'node_search', 2.71532),
('nisi', 85, 'en', 'node_search', 1.83353),
('nisi', 86, 'en', 'node_search', 1.84532),
('nisi', 87, 'en', 'node_search', 1.84532),
('nisi', 88, 'en', 'node_search', 1.84532),
('nisi', 89, 'en', 'node_search', 2.71532),
('nisi', 90, 'en', 'node_search', 2.71532),
('nisi', 91, 'en', 'node_search', 2.71532),
('nisi', 92, 'en', 'node_search', 1),
('nobis', 2, 'en', 'node_search', 3.21339),
('non', 1, 'en', 'node_search', 2.59434),
('non', 2, 'en', 'node_search', 3.7328),
('non', 15, 'en', 'node_search', 0.949597),
('non', 23, 'en', 'node_search', 2.86941),
('non', 33, 'en', 'node_search', 1),
('non', 34, 'en', 'node_search', 1),
('non', 39, 'en', 'node_search', 5),
('non', 41, 'en', 'node_search', 1),
('non', 42, 'en', 'node_search', 1),
('non', 43, 'en', 'node_search', 1),
('non', 44, 'en', 'node_search', 1),
('non', 45, 'en', 'node_search', 1),
('non', 48, 'en', 'node_search', 1),
('non', 50, 'en', 'node_search', 1),
('non', 51, 'en', 'node_search', 1),
('non', 64, 'en', 'node_search', 1),
('non', 65, 'en', 'node_search', 1),
('non', 66, 'en', 'node_search', 1),
('non', 67, 'en', 'node_search', 1),
('non', 68, 'en', 'node_search', 1),
('non', 69, 'en', 'node_search', 1),
('non', 70, 'en', 'node_search', 1),
('non', 71, 'en', 'node_search', 1),
('non', 72, 'en', 'node_search', 1),
('non', 73, 'en', 'node_search', 1),
('non', 74, 'en', 'node_search', 1),
('non', 75, 'en', 'node_search', 1),
('non', 76, 'en', 'node_search', 1),
('non', 77, 'en', 'node_search', 1),
('non', 78, 'en', 'node_search', 1),
('non', 79, 'en', 'node_search', 1),
('non', 80, 'en', 'node_search', 1),
('non', 81, 'en', 'node_search', 1),
('non', 84, 'en', 'node_search', 1.67671),
('non', 85, 'en', 'node_search', 1.62737),
('non', 86, 'en', 'node_search', 1.64982),
('non', 87, 'en', 'node_search', 1.64982),
('non', 88, 'en', 'node_search', 1.64982),
('non', 89, 'en', 'node_search', 1.67671),
('non', 90, 'en', 'node_search', 1.67671),
('non', 91, 'en', 'node_search', 1.67671),
('nonprofit', 94, 'en', 'node_search', 1),
('nostrud', 15, 'en', 'node_search', 0.854391),
('nostrud', 23, 'en', 'node_search', 2.86941),
('nostrud', 41, 'en', 'node_search', 1),
('nostrud', 42, 'en', 'node_search', 1),
('nostrud', 43, 'en', 'node_search', 1),
('nostrud', 44, 'en', 'node_search', 1),
('nostrud', 45, 'en', 'node_search', 1),
('nostrud', 49, 'en', 'node_search', 1),
('nostrud', 51, 'en', 'node_search', 1),
('nostrud', 64, 'en', 'node_search', 1),
('nostrud', 65, 'en', 'node_search', 1),
('nostrud', 66, 'en', 'node_search', 1),
('nostrud', 67, 'en', 'node_search', 1),
('nostrud', 68, 'en', 'node_search', 1),
('nostrud', 69, 'en', 'node_search', 1),
('nostrud', 70, 'en', 'node_search', 1),
('nostrud', 71, 'en', 'node_search', 1),
('nostrud', 72, 'en', 'node_search', 1),
('nostrud', 73, 'en', 'node_search', 1),
('nostrud', 74, 'en', 'node_search', 1),
('nostrud', 75, 'en', 'node_search', 1),
('nostrud', 76, 'en', 'node_search', 1),
('nostrud', 77, 'en', 'node_search', 1),
('nostrud', 78, 'en', 'node_search', 1),
('nostrud', 79, 'en', 'node_search', 1),
('nostrud', 80, 'en', 'node_search', 1),
('nostrud', 81, 'en', 'node_search', 1),
('nostrud', 84, 'en', 'node_search', 1.72899),
('nostrud', 89, 'en', 'node_search', 1.72899),
('nostrud', 90, 'en', 'node_search', 1.72899),
('nostrud', 91, 'en', 'node_search', 1.72899),
('nostrum', 85, 'en', 'node_search', 2),
('nostrum', 86, 'en', 'node_search', 2),
('nostrum', 87, 'en', 'node_search', 2),
('nostrum', 88, 'en', 'node_search', 2),
('now', 4, 'en', 'node_search', 11),
('now', 5, 'en', 'node_search', 11),
('now', 6, 'en', 'node_search', 11),
('now', 7, 'en', 'node_search', 11),
('now', 8, 'en', 'node_search', 11),
('now', 9, 'en', 'node_search', 10.7015),
('now', 18, 'en', 'node_search', 11),
('now', 19, 'en', 'node_search', 11),
('now', 20, 'en', 'node_search', 11),
('now', 21, 'en', 'node_search', 11),
('now', 22, 'en', 'node_search', 11),
('now', 23, 'en', 'node_search', 10.4041),
('now', 46, 'en', 'node_search', 11),
('nulla', 1, 'en', 'node_search', 5),
('nulla', 2, 'en', 'node_search', 6.91234),
('nulla', 23, 'en', 'node_search', 1.9347),
('nulla', 33, 'en', 'node_search', 1),
('nulla', 36, 'en', 'node_search', 17),
('nulla', 37, 'en', 'node_search', 17),
('nulla', 39, 'en', 'node_search', 5),
('nulla', 41, 'en', 'node_search', 1),
('nulla', 42, 'en', 'node_search', 1),
('nulla', 43, 'en', 'node_search', 1),
('nulla', 44, 'en', 'node_search', 1),
('nulla', 45, 'en', 'node_search', 1),
('nulla', 48, 'en', 'node_search', 1),
('nulla', 50, 'en', 'node_search', 1),
('nulla', 51, 'en', 'node_search', 1),
('nulla', 64, 'en', 'node_search', 1),
('nulla', 65, 'en', 'node_search', 1),
('nulla', 66, 'en', 'node_search', 1),
('nulla', 67, 'en', 'node_search', 1),
('nulla', 68, 'en', 'node_search', 1),
('nulla', 69, 'en', 'node_search', 1),
('nulla', 70, 'en', 'node_search', 1),
('nulla', 71, 'en', 'node_search', 1),
('nulla', 72, 'en', 'node_search', 1),
('nulla', 73, 'en', 'node_search', 1),
('nulla', 74, 'en', 'node_search', 1),
('nulla', 75, 'en', 'node_search', 1),
('nulla', 76, 'en', 'node_search', 1),
('nulla', 77, 'en', 'node_search', 1),
('nulla', 78, 'en', 'node_search', 1),
('nulla', 79, 'en', 'node_search', 1),
('nulla', 80, 'en', 'node_search', 1),
('nulla', 81, 'en', 'node_search', 1),
('nulla', 84, 'en', 'node_search', 2.68604),
('nulla', 85, 'en', 'node_search', 0.808176),
('nulla', 86, 'en', 'node_search', 0.819249),
('nulla', 87, 'en', 'node_search', 0.819249),
('nulla', 88, 'en', 'node_search', 0.819249),
('nulla', 89, 'en', 'node_search', 2.68604),
('nulla', 90, 'en', 'node_search', 2.68604),
('nulla', 91, 'en', 'node_search', 2.68604),
('nullam', 1, 'en', 'node_search', 33.718),
('nullam', 36, 'en', 'node_search', 17),
('nullam', 37, 'en', 'node_search', 17),
('numquam', 2, 'en', 'node_search', 3.12876),
('numquam', 36, 'en', 'node_search', 4),
('numquam', 37, 'en', 'node_search', 4),
('nunc', 1, 'en', 'node_search', 0.813674),
('obcaecati', 2, 'en', 'node_search', 3.24021),
('obcaecati', 84, 'en', 'node_search', 0.961087),
('obcaecati', 85, 'en', 'node_search', 1.67084),
('obcaecati', 86, 'en', 'node_search', 1.69455),
('obcaecati', 87, 'en', 'node_search', 1.69455),
('obcaecati', 88, 'en', 'node_search', 1.69455),
('obcaecati', 89, 'en', 'node_search', 0.961087),
('obcaecati', 90, 'en', 'node_search', 0.961087),
('obcaecati', 91, 'en', 'node_search', 0.961087),
('objective', 85, 'en', 'node_search', 15),
('objective', 86, 'en', 'node_search', 15),
('objective', 87, 'en', 'node_search', 15),
('objective', 88, 'en', 'node_search', 15),
('occaecat', 2, 'en', 'node_search', 3.67148),
('occaecat', 15, 'en', 'node_search', 0.957226),
('occaecat', 23, 'en', 'node_search', 2.86941),
('occaecat', 33, 'en', 'node_search', 1),
('occaecat', 34, 'en', 'node_search', 1),
('occaecat', 39, 'en', 'node_search', 5),
('occaecat', 41, 'en', 'node_search', 1),
('occaecat', 42, 'en', 'node_search', 1),
('occaecat', 43, 'en', 'node_search', 1),
('occaecat', 44, 'en', 'node_search', 1),
('occaecat', 45, 'en', 'node_search', 1),
('occaecat', 48, 'en', 'node_search', 1),
('occaecat', 50, 'en', 'node_search', 1),
('occaecat', 51, 'en', 'node_search', 1),
('occaecat', 64, 'en', 'node_search', 1),
('occaecat', 65, 'en', 'node_search', 1),
('occaecat', 66, 'en', 'node_search', 1),
('occaecat', 67, 'en', 'node_search', 1),
('occaecat', 68, 'en', 'node_search', 1),
('occaecat', 69, 'en', 'node_search', 1),
('occaecat', 70, 'en', 'node_search', 1),
('occaecat', 71, 'en', 'node_search', 1),
('occaecat', 72, 'en', 'node_search', 1),
('occaecat', 73, 'en', 'node_search', 1),
('occaecat', 74, 'en', 'node_search', 1),
('occaecat', 75, 'en', 'node_search', 1),
('occaecat', 76, 'en', 'node_search', 1),
('occaecat', 77, 'en', 'node_search', 1),
('occaecat', 78, 'en', 'node_search', 1),
('occaecat', 79, 'en', 'node_search', 1),
('occaecat', 80, 'en', 'node_search', 1),
('occaecat', 81, 'en', 'node_search', 1),
('occaecat', 84, 'en', 'node_search', 1.68291),
('occaecat', 89, 'en', 'node_search', 1.68291),
('occaecat', 90, 'en', 'node_search', 1.68291),
('occaecat', 91, 'en', 'node_search', 1.68291),
('odio', 1, 'en', 'node_search', 7.62429),
('odio', 2, 'en', 'node_search', 6.3239),
('odio', 9, 'en', 'node_search', 1),
('odio', 36, 'en', 'node_search', 34),
('odio', 37, 'en', 'node_search', 34),
('odio', 85, 'en', 'node_search', 1.86995),
('odio', 86, 'en', 'node_search', 1.88282),
('odio', 87, 'en', 'node_search', 1.88282),
('odio', 88, 'en', 'node_search', 1.88282),
('odit', 84, 'en', 'node_search', 1),
('odit', 85, 'en', 'node_search', 1),
('odit', 86, 'en', 'node_search', 1),
('odit', 87, 'en', 'node_search', 1),
('odit', 88, 'en', 'node_search', 1),
('odit', 89, 'en', 'node_search', 1),
('odit', 90, 'en', 'node_search', 1),
('odit', 91, 'en', 'node_search', 1),
('office', 1, 'en', 'node_search', 0.76431),
('officer', 34, 'en', 'node_search', 1),
('officia', 2, 'en', 'node_search', 3.73702),
('officia', 15, 'en', 'node_search', 0.931053),
('officia', 23, 'en', 'node_search', 1.91963),
('officia', 39, 'en', 'node_search', 5),
('officia', 41, 'en', 'node_search', 1),
('officia', 42, 'en', 'node_search', 1),
('officia', 43, 'en', 'node_search', 1),
('officia', 44, 'en', 'node_search', 1),
('officia', 45, 'en', 'node_search', 1),
('officia', 48, 'en', 'node_search', 1),
('officia', 50, 'en', 'node_search', 1),
('officia', 51, 'en', 'node_search', 1),
('officia', 64, 'en', 'node_search', 1),
('officia', 65, 'en', 'node_search', 1),
('officia', 66, 'en', 'node_search', 1),
('officia', 67, 'en', 'node_search', 1),
('officia', 68, 'en', 'node_search', 1),
('officia', 69, 'en', 'node_search', 1),
('officia', 70, 'en', 'node_search', 1),
('officia', 71, 'en', 'node_search', 1),
('officia', 72, 'en', 'node_search', 1),
('officia', 73, 'en', 'node_search', 1),
('officia', 74, 'en', 'node_search', 1),
('officia', 75, 'en', 'node_search', 1),
('officia', 76, 'en', 'node_search', 1),
('officia', 77, 'en', 'node_search', 1),
('officia', 78, 'en', 'node_search', 1),
('officia', 79, 'en', 'node_search', 1),
('officia', 80, 'en', 'node_search', 1),
('officia', 81, 'en', 'node_search', 1),
('officia', 84, 'en', 'node_search', 2.66757),
('officia', 85, 'en', 'node_search', 2.80275),
('officia', 86, 'en', 'node_search', 2.81367),
('officia', 87, 'en', 'node_search', 2.81367),
('officia', 88, 'en', 'node_search', 2.81367),
('officia', 89, 'en', 'node_search', 2.66757),
('officia', 90, 'en', 'node_search', 2.66757),
('officia', 91, 'en', 'node_search', 2.66757),
('officia', 93, 'en', 'node_search', 1),
('officiis', 85, 'en', 'node_search', 1.84612),
('officiis', 86, 'en', 'node_search', 1.87519),
('officiis', 87, 'en', 'node_search', 1.87519),
('officiis', 88, 'en', 'node_search', 1.87519),
('omnis', 2, 'en', 'node_search', 3.24416),
('omnis', 85, 'en', 'node_search', 1),
('omnis', 86, 'en', 'node_search', 1),
('omnis', 87, 'en', 'node_search', 1),
('omnis', 88, 'en', 'node_search', 1),
('one', 1, 'en', 'node_search', 0.816452),
('one', 36, 'en', 'node_search', 208),
('one', 37, 'en', 'node_search', 208),
('one', 75, 'en', 'node_search', 27),
('one', 81, 'en', 'node_search', 27),
('one', 84, 'en', 'node_search', 27),
('one', 85, 'en', 'node_search', 45.2272),
('one', 87, 'en', 'node_search', 8.83027),
('one', 88, 'en', 'node_search', 17.543),
('one', 92, 'en', 'node_search', 29),
('one', 93, 'en', 'node_search', 40),
('oneonone', 62, 'en', 'node_search', 11),
('online', 23, 'en', 'node_search', 1),
('online', 62, 'en', 'node_search', 11),
('opening', 76, 'en', 'node_search', 11),
('opening', 79, 'en', 'node_search', 11),
('opensource', 4, 'en', 'node_search', 2),
('opensource', 5, 'en', 'node_search', 2),
('opensource', 6, 'en', 'node_search', 2),
('opensource', 7, 'en', 'node_search', 2),
('opensource', 8, 'en', 'node_search', 2),
('opensource', 9, 'en', 'node_search', 2),
('opensource', 10, 'en', 'node_search', 2),
('opensource', 11, 'en', 'node_search', 2),
('opensource', 12, 'en', 'node_search', 2),
('opensource', 13, 'en', 'node_search', 2),
('opensource', 14, 'en', 'node_search', 2),
('opensource', 15, 'en', 'node_search', 2),
('opensource', 18, 'en', 'node_search', 2),
('opensource', 19, 'en', 'node_search', 2),
('opensource', 20, 'en', 'node_search', 2),
('opensource', 21, 'en', 'node_search', 2),
('opensource', 22, 'en', 'node_search', 2),
('opensource', 46, 'en', 'node_search', 2),
('optio', 2, 'en', 'node_search', 6.23498),
('optio', 84, 'en', 'node_search', 0.989021),
('optio', 85, 'en', 'node_search', 4.73119),
('optio', 86, 'en', 'node_search', 4.75677),
('optio', 87, 'en', 'node_search', 4.75677),
('optio', 88, 'en', 'node_search', 4.75677),
('optio', 89, 'en', 'node_search', 0.989021),
('optio', 90, 'en', 'node_search', 0.989021),
('optio', 91, 'en', 'node_search', 0.989021),
('optio', 93, 'en', 'node_search', 1),
('oral', 86, 'en', 'node_search', 8.88993),
('ordered', 1, 'en', 'node_search', 14.5676),
('orem', 1, 'en', 'node_search', 0.860547),
('organization', 94, 'en', 'node_search', 1),
('ortiz', 47, 'en', 'node_search', 27),
('otto', 1, 'en', 'node_search', 0.731649),
('our', 56, 'en', 'node_search', 46),
('out', 1, 'en', 'node_search', 8.59953),
('outline', 2, 'en', 'node_search', 7.50164),
('outofthebox', 9, 'en', 'node_search', 1),
('outofthebox', 10, 'en', 'node_search', 1),
('outofthebox', 11, 'en', 'node_search', 1),
('outofthebox', 12, 'en', 'node_search', 1),
('outofthebox', 13, 'en', 'node_search', 1),
('outofthebox', 14, 'en', 'node_search', 1),
('outofthebox', 15, 'en', 'node_search', 1),
('outsourcing', 1, 'en', 'node_search', 1),
('outsourcing', 4, 'en', 'node_search', 2),
('outsourcing', 5, 'en', 'node_search', 2),
('outsourcing', 6, 'en', 'node_search', 2),
('outsourcing', 7, 'en', 'node_search', 2),
('outsourcing', 8, 'en', 'node_search', 2),
('outsourcing', 9, 'en', 'node_search', 2),
('outsourcing', 10, 'en', 'node_search', 2),
('outsourcing', 11, 'en', 'node_search', 2),
('outsourcing', 12, 'en', 'node_search', 2),
('outsourcing', 13, 'en', 'node_search', 2),
('outsourcing', 14, 'en', 'node_search', 2),
('outsourcing', 15, 'en', 'node_search', 2),
('outsourcing', 18, 'en', 'node_search', 2),
('outsourcing', 19, 'en', 'node_search', 2),
('outsourcing', 20, 'en', 'node_search', 2),
('outsourcing', 21, 'en', 'node_search', 2),
('outsourcing', 22, 'en', 'node_search', 2),
('outsourcing', 46, 'en', 'node_search', 2),
('page', 1, 'en', 'node_search', 1.9534),
('page', 35, 'en', 'node_search', 27),
('page', 57, 'en', 'node_search', 1),
('panes', 2, 'en', 'node_search', 1.52666),
('paragraph', 1, 'en', 'node_search', 14.6678),
('pariatur', 2, 'en', 'node_search', 3.76578),
('pariatur', 23, 'en', 'node_search', 1.9347),
('pariatur', 33, 'en', 'node_search', 1),
('pariatur', 39, 'en', 'node_search', 5),
('pariatur', 41, 'en', 'node_search', 1),
('pariatur', 42, 'en', 'node_search', 1),
('pariatur', 43, 'en', 'node_search', 1),
('pariatur', 44, 'en', 'node_search', 1),
('pariatur', 45, 'en', 'node_search', 1),
('pariatur', 48, 'en', 'node_search', 1),
('pariatur', 50, 'en', 'node_search', 1),
('pariatur', 51, 'en', 'node_search', 1),
('pariatur', 64, 'en', 'node_search', 1),
('pariatur', 65, 'en', 'node_search', 1),
('pariatur', 66, 'en', 'node_search', 1),
('pariatur', 67, 'en', 'node_search', 1),
('pariatur', 68, 'en', 'node_search', 1),
('pariatur', 69, 'en', 'node_search', 1),
('pariatur', 70, 'en', 'node_search', 1),
('pariatur', 71, 'en', 'node_search', 1),
('pariatur', 72, 'en', 'node_search', 1),
('pariatur', 73, 'en', 'node_search', 1),
('pariatur', 74, 'en', 'node_search', 1),
('pariatur', 75, 'en', 'node_search', 1),
('pariatur', 76, 'en', 'node_search', 1),
('pariatur', 77, 'en', 'node_search', 1),
('pariatur', 78, 'en', 'node_search', 1),
('pariatur', 79, 'en', 'node_search', 1),
('pariatur', 80, 'en', 'node_search', 1),
('pariatur', 81, 'en', 'node_search', 1),
('pariatur', 84, 'en', 'node_search', 4.64327),
('pariatur', 85, 'en', 'node_search', 3.81645),
('pariatur', 86, 'en', 'node_search', 3.82776),
('pariatur', 87, 'en', 'node_search', 3.82776),
('pariatur', 88, 'en', 'node_search', 3.82776),
('pariatur', 89, 'en', 'node_search', 4.64327),
('pariatur', 90, 'en', 'node_search', 4.64327),
('pariatur', 91, 'en', 'node_search', 4.64327),
('pariatur', 93, 'en', 'node_search', 1),
('party', 77, 'en', 'node_search', 11),
('party', 80, 'en', 'node_search', 11),
('party', 90, 'en', 'node_search', 8.92007),
('pede', 1, 'en', 'node_search', 2.5848),
('pellentesque', 15, 'en', 'node_search', 2.95772),
('people', 94, 'en', 'node_search', 17),
('perspiciatis', 2, 'en', 'node_search', 3.2713),
('perspiciatis', 85, 'en', 'node_search', 1.80545),
('perspiciatis', 86, 'en', 'node_search', 1.81645),
('perspiciatis', 87, 'en', 'node_search', 1.81645),
('perspiciatis', 88, 'en', 'node_search', 1.81645),
('pharetra', 1, 'en', 'node_search', 5),
('pharetra', 36, 'en', 'node_search', 17),
('pharetra', 37, 'en', 'node_search', 17),
('phosfluorescently', 1, 'en', 'node_search', 2),
('phosfluorescently', 4, 'en', 'node_search', 3),
('phosfluorescently', 5, 'en', 'node_search', 3),
('phosfluorescently', 6, 'en', 'node_search', 3),
('phosfluorescently', 7, 'en', 'node_search', 3),
('phosfluorescently', 8, 'en', 'node_search', 3),
('phosfluorescently', 9, 'en', 'node_search', 4),
('phosfluorescently', 10, 'en', 'node_search', 3),
('phosfluorescently', 11, 'en', 'node_search', 3),
('phosfluorescently', 12, 'en', 'node_search', 3),
('phosfluorescently', 13, 'en', 'node_search', 3),
('phosfluorescently', 14, 'en', 'node_search', 3),
('phosfluorescently', 15, 'en', 'node_search', 3),
('phosfluorescently', 18, 'en', 'node_search', 4),
('phosfluorescently', 19, 'en', 'node_search', 4),
('phosfluorescently', 20, 'en', 'node_search', 4),
('phosfluorescently', 21, 'en', 'node_search', 4),
('phosfluorescently', 22, 'en', 'node_search', 4),
('phosfluorescently', 23, 'en', 'node_search', 2),
('phosfluorescently', 46, 'en', 'node_search', 4),
('pieces', 9, 'en', 'node_search', 4),
('pint', 46, 'en', 'node_search', 27),
('populated', 95, 'en', 'node_search', 1),
('porro', 2, 'en', 'node_search', 6.31949),
('porro', 85, 'en', 'node_search', 1.81367),
('porro', 86, 'en', 'node_search', 1.8249),
('porro', 87, 'en', 'node_search', 1.8249),
('porro', 88, 'en', 'node_search', 1.8249),
('possimus', 2, 'en', 'node_search', 3.11963),
('post', 15, 'en', 'node_search', 4.8524),
('poster', 87, 'en', 'node_search', 8.88993),
('posuere', 1, 'en', 'node_search', 62.5848),
('posuere', 36, 'en', 'node_search', 7),
('posuere', 37, 'en', 'node_search', 7),
('potentialities', 1, 'en', 'node_search', 1),
('potentialities', 4, 'en', 'node_search', 3),
('potentialities', 5, 'en', 'node_search', 3),
('potentialities', 6, 'en', 'node_search', 3),
('potentialities', 7, 'en', 'node_search', 3),
('potentialities', 8, 'en', 'node_search', 3),
('potentialities', 9, 'en', 'node_search', 3),
('potentialities', 10, 'en', 'node_search', 3),
('potentialities', 11, 'en', 'node_search', 3),
('potentialities', 12, 'en', 'node_search', 3),
('potentialities', 13, 'en', 'node_search', 3),
('potentialities', 14, 'en', 'node_search', 3),
('potentialities', 15, 'en', 'node_search', 3),
('potentialities', 18, 'en', 'node_search', 3),
('potentialities', 19, 'en', 'node_search', 3),
('potentialities', 20, 'en', 'node_search', 3),
('potentialities', 21, 'en', 'node_search', 3),
('potentialities', 22, 'en', 'node_search', 3),
('potentialities', 23, 'en', 'node_search', 1),
('potentialities', 46, 'en', 'node_search', 3),
('praesent', 9, 'en', 'node_search', 1),
('presentation', 2, 'en', 'node_search', 4.60959),
('presentation', 85, 'en', 'node_search', 44.4848),
('presentation', 86, 'en', 'node_search', 35.86),
('presentation', 87, 'en', 'node_search', 27),
('presentation', 88, 'en', 'node_search', 27),
('presentation', 93, 'en', 'node_search', 40),
('president', 43, 'en', 'node_search', 1),
('president', 44, 'en', 'node_search', 1),
('president', 45, 'en', 'node_search', 1),
('pretium', 1, 'en', 'node_search', 0.805455),
('prev', 95, 'en', 'node_search', 1),
('price', 9, 'en', 'node_search', 1),
('pricing', 62, 'en', 'node_search', 27),
('printing', 23, 'en', 'node_search', 1),
('probably', 2, 'en', 'node_search', 3.65948),
('probably', 39, 'en', 'node_search', 5),
('product', 23, 'en', 'node_search', 10.363),
('product', 62, 'en', 'node_search', 121),
('professionalism', 94, 'en', 'node_search', 1),
('profile', 2, 'en', 'node_search', 31.4435),
('program', 42, 'en', 'node_search', 1),
('program', 92, 'en', 'node_search', 27),
('program', 93, 'en', 'node_search', 27),
('program', 95, 'en', 'node_search', 28),
('progress', 2, 'en', 'node_search', 12.421),
('progressbar', 2, 'en', 'node_search', 7.56631),
('progressively', 9, 'en', 'node_search', 1),
('progressively', 10, 'en', 'node_search', 1),
('progressively', 11, 'en', 'node_search', 1),
('progressively', 12, 'en', 'node_search', 1),
('progressively', 13, 'en', 'node_search', 1),
('progressively', 14, 'en', 'node_search', 1),
('progressively', 15, 'en', 'node_search', 1),
('progresstitle', 2, 'en', 'node_search', 3.25175),
('proident', 2, 'en', 'node_search', 3.68396),
('proident', 15, 'en', 'node_search', 0.945829),
('proident', 23, 'en', 'node_search', 1.9347),
('proident', 33, 'en', 'node_search', 1),
('proident', 34, 'en', 'node_search', 1),
('proident', 39, 'en', 'node_search', 5),
('proident', 41, 'en', 'node_search', 1),
('proident', 42, 'en', 'node_search', 1),
('proident', 43, 'en', 'node_search', 1),
('proident', 44, 'en', 'node_search', 1),
('proident', 45, 'en', 'node_search', 1),
('proident', 48, 'en', 'node_search', 1),
('proident', 50, 'en', 'node_search', 1),
('proident', 51, 'en', 'node_search', 1),
('proident', 64, 'en', 'node_search', 1),
('proident', 65, 'en', 'node_search', 1),
('proident', 66, 'en', 'node_search', 1),
('proident', 67, 'en', 'node_search', 1),
('proident', 68, 'en', 'node_search', 1),
('proident', 69, 'en', 'node_search', 1),
('proident', 70, 'en', 'node_search', 1),
('proident', 71, 'en', 'node_search', 1),
('proident', 72, 'en', 'node_search', 1),
('proident', 73, 'en', 'node_search', 1),
('proident', 74, 'en', 'node_search', 1),
('proident', 75, 'en', 'node_search', 1),
('proident', 76, 'en', 'node_search', 1),
('proident', 77, 'en', 'node_search', 1),
('proident', 78, 'en', 'node_search', 1),
('proident', 79, 'en', 'node_search', 1),
('proident', 80, 'en', 'node_search', 1),
('proident', 81, 'en', 'node_search', 1),
('proident', 84, 'en', 'node_search', 1.67364),
('proident', 89, 'en', 'node_search', 1.67364),
('proident', 90, 'en', 'node_search', 1.67364),
('proident', 91, 'en', 'node_search', 1.67364),
('prospective', 4, 'en', 'node_search', 2),
('prospective', 5, 'en', 'node_search', 2),
('prospective', 6, 'en', 'node_search', 2),
('prospective', 7, 'en', 'node_search', 2),
('prospective', 8, 'en', 'node_search', 2),
('prospective', 9, 'en', 'node_search', 2),
('prospective', 10, 'en', 'node_search', 2),
('prospective', 11, 'en', 'node_search', 2),
('prospective', 12, 'en', 'node_search', 2),
('prospective', 13, 'en', 'node_search', 2),
('prospective', 14, 'en', 'node_search', 2),
('prospective', 15, 'en', 'node_search', 2),
('prospective', 18, 'en', 'node_search', 2),
('prospective', 19, 'en', 'node_search', 2),
('prospective', 20, 'en', 'node_search', 2),
('prospective', 21, 'en', 'node_search', 2),
('prospective', 22, 'en', 'node_search', 2),
('prospective', 46, 'en', 'node_search', 2),
('provident', 84, 'en', 'node_search', 1),
('provident', 89, 'en', 'node_search', 1),
('provident', 90, 'en', 'node_search', 1),
('provident', 91, 'en', 'node_search', 1),
('purple', 10, 'en', 'node_search', 11),
('purple', 22, 'en', 'node_search', 11),
('put', 2, 'en', 'node_search', 3.71044),
('put', 39, 'en', 'node_search', 5),
('quae', 85, 'en', 'node_search', 3.34833),
('quae', 86, 'en', 'node_search', 3.39595),
('quae', 87, 'en', 'node_search', 3.39595),
('quae', 88, 'en', 'node_search', 3.39595),
('quaerat', 2, 'en', 'node_search', 3.26861),
('quaerat', 84, 'en', 'node_search', 1),
('quaerat', 85, 'en', 'node_search', 2.77982),
('quaerat', 86, 'en', 'node_search', 2.807),
('quaerat', 87, 'en', 'node_search', 2.807),
('quaerat', 88, 'en', 'node_search', 2.807),
('quaerat', 89, 'en', 'node_search', 1),
('quaerat', 90, 'en', 'node_search', 1),
('quaerat', 91, 'en', 'node_search', 1),
('quality', 1, 'en', 'node_search', 2),
('quality', 4, 'en', 'node_search', 3),
('quality', 5, 'en', 'node_search', 3),
('quality', 6, 'en', 'node_search', 3),
('quality', 7, 'en', 'node_search', 3),
('quality', 8, 'en', 'node_search', 3),
('quality', 9, 'en', 'node_search', 4),
('quality', 10, 'en', 'node_search', 3),
('quality', 11, 'en', 'node_search', 3),
('quality', 12, 'en', 'node_search', 3),
('quality', 13, 'en', 'node_search', 3),
('quality', 14, 'en', 'node_search', 3),
('quality', 15, 'en', 'node_search', 3),
('quality', 18, 'en', 'node_search', 4),
('quality', 19, 'en', 'node_search', 4),
('quality', 20, 'en', 'node_search', 4),
('quality', 21, 'en', 'node_search', 4),
('quality', 22, 'en', 'node_search', 4),
('quality', 23, 'en', 'node_search', 2),
('quality', 46, 'en', 'node_search', 4),
('quam', 85, 'en', 'node_search', 1.81092),
('quam', 86, 'en', 'node_search', 1.82206),
('quam', 87, 'en', 'node_search', 1.82206),
('quam', 88, 'en', 'node_search', 1.82206),
('quantity', 9, 'en', 'node_search', 1),
('quas', 85, 'en', 'node_search', 1),
('quas', 86, 'en', 'node_search', 1),
('quas', 87, 'en', 'node_search', 1),
('quas', 88, 'en', 'node_search', 1),
('quasi', 84, 'en', 'node_search', 1),
('quasi', 85, 'en', 'node_search', 2.55531),
('quasi', 86, 'en', 'node_search', 2.59235),
('quasi', 87, 'en', 'node_search', 2.59235),
('quasi', 88, 'en', 'node_search', 2.59235),
('quasi', 89, 'en', 'node_search', 1),
('quasi', 90, 'en', 'node_search', 1),
('quasi', 91, 'en', 'node_search', 1),
('question', 39, 'en', 'node_search', 55),
('qui', 2, 'en', 'node_search', 3.206),
('qui', 15, 'en', 'node_search', 0.934703),
('qui', 23, 'en', 'node_search', 1.92372),
('qui', 41, 'en', 'node_search', 1),
('qui', 42, 'en', 'node_search', 1),
('qui', 43, 'en', 'node_search', 1),
('qui', 44, 'en', 'node_search', 1),
('qui', 45, 'en', 'node_search', 1),
('qui', 48, 'en', 'node_search', 1),
('qui', 50, 'en', 'node_search', 1),
('qui', 51, 'en', 'node_search', 1),
('qui', 64, 'en', 'node_search', 1),
('qui', 65, 'en', 'node_search', 1),
('qui', 66, 'en', 'node_search', 1),
('qui', 67, 'en', 'node_search', 1),
('qui', 68, 'en', 'node_search', 1),
('qui', 69, 'en', 'node_search', 1),
('qui', 70, 'en', 'node_search', 1),
('qui', 71, 'en', 'node_search', 1),
('qui', 72, 'en', 'node_search', 1),
('qui', 73, 'en', 'node_search', 1),
('qui', 74, 'en', 'node_search', 1),
('qui', 75, 'en', 'node_search', 1),
('qui', 76, 'en', 'node_search', 1),
('qui', 77, 'en', 'node_search', 1),
('qui', 78, 'en', 'node_search', 1),
('qui', 79, 'en', 'node_search', 1),
('qui', 80, 'en', 'node_search', 1),
('qui', 81, 'en', 'node_search', 1),
('qui', 84, 'en', 'node_search', 4.6221),
('qui', 85, 'en', 'node_search', 2.71591),
('qui', 86, 'en', 'node_search', 2.74098),
('qui', 87, 'en', 'node_search', 2.74098),
('qui', 88, 'en', 'node_search', 2.74098),
('qui', 89, 'en', 'node_search', 4.6221),
('qui', 90, 'en', 'node_search', 4.6221),
('qui', 91, 'en', 'node_search', 4.6221),
('qui', 93, 'en', 'node_search', 1),
('quia', 84, 'en', 'node_search', 2),
('quia', 85, 'en', 'node_search', 1.7974),
('quia', 86, 'en', 'node_search', 1.80818),
('quia', 87, 'en', 'node_search', 1.80818),
('quia', 88, 'en', 'node_search', 1.80818),
('quia', 89, 'en', 'node_search', 2),
('quia', 90, 'en', 'node_search', 2),
('quia', 91, 'en', 'node_search', 2),
('quibusdam', 2, 'en', 'node_search', 3.17076),
('quibusdam', 84, 'en', 'node_search', 1),
('quibusdam', 85, 'en', 'node_search', 1.85439),
('quibusdam', 86, 'en', 'node_search', 1.86679),
('quibusdam', 87, 'en', 'node_search', 1.86679),
('quibusdam', 88, 'en', 'node_search', 1.86679),
('quibusdam', 89, 'en', 'node_search', 1),
('quibusdam', 90, 'en', 'node_search', 1),
('quibusdam', 91, 'en', 'node_search', 1),
('quibusdam', 93, 'en', 'node_search', 1),
('quickly', 4, 'en', 'node_search', 2),
('quickly', 5, 'en', 'node_search', 2),
('quickly', 6, 'en', 'node_search', 2),
('quickly', 7, 'en', 'node_search', 2),
('quickly', 8, 'en', 'node_search', 2),
('quickly', 9, 'en', 'node_search', 2),
('quickly', 10, 'en', 'node_search', 2),
('quickly', 11, 'en', 'node_search', 2),
('quickly', 12, 'en', 'node_search', 2),
('quickly', 13, 'en', 'node_search', 2),
('quickly', 14, 'en', 'node_search', 2),
('quickly', 15, 'en', 'node_search', 2),
('quickly', 18, 'en', 'node_search', 2),
('quickly', 19, 'en', 'node_search', 2),
('quickly', 20, 'en', 'node_search', 2),
('quickly', 21, 'en', 'node_search', 2),
('quickly', 22, 'en', 'node_search', 2),
('quickly', 46, 'en', 'node_search', 2),
('quidem', 2, 'en', 'node_search', 3.23628),
('quidem', 85, 'en', 'node_search', 1.71868),
('quidem', 86, 'en', 'node_search', 1.74379),
('quidem', 87, 'en', 'node_search', 1.74379),
('quidem', 88, 'en', 'node_search', 1.74379),
('quinoa', 2, 'en', 'node_search', 3.72042),
('quinoa', 39, 'en', 'node_search', 5),
('quis', 1, 'en', 'node_search', 0.824901),
('quis', 2, 'en', 'node_search', 3.18105),
('quis', 15, 'en', 'node_search', 0.857458),
('quis', 23, 'en', 'node_search', 2.86941),
('quis', 41, 'en', 'node_search', 1),
('quis', 42, 'en', 'node_search', 1),
('quis', 43, 'en', 'node_search', 1),
('quis', 44, 'en', 'node_search', 1),
('quis', 45, 'en', 'node_search', 1),
('quis', 49, 'en', 'node_search', 1),
('quis', 51, 'en', 'node_search', 1),
('quis', 64, 'en', 'node_search', 1),
('quis', 65, 'en', 'node_search', 1),
('quis', 66, 'en', 'node_search', 1),
('quis', 67, 'en', 'node_search', 1),
('quis', 68, 'en', 'node_search', 1),
('quis', 69, 'en', 'node_search', 1),
('quis', 70, 'en', 'node_search', 1),
('quis', 71, 'en', 'node_search', 1),
('quis', 72, 'en', 'node_search', 1),
('quis', 73, 'en', 'node_search', 1),
('quis', 74, 'en', 'node_search', 1),
('quis', 75, 'en', 'node_search', 1),
('quis', 76, 'en', 'node_search', 1),
('quis', 77, 'en', 'node_search', 1),
('quis', 78, 'en', 'node_search', 1),
('quis', 79, 'en', 'node_search', 1),
('quis', 80, 'en', 'node_search', 1),
('quis', 81, 'en', 'node_search', 1),
('quis', 84, 'en', 'node_search', 3.71801),
('quis', 85, 'en', 'node_search', 2),
('quis', 86, 'en', 'node_search', 2),
('quis', 87, 'en', 'node_search', 2),
('quis', 88, 'en', 'node_search', 2),
('quis', 89, 'en', 'node_search', 3.71801),
('quis', 90, 'en', 'node_search', 3.71801),
('quis', 91, 'en', 'node_search', 3.71801),
('quis', 92, 'en', 'node_search', 1),
('quisquam', 85, 'en', 'node_search', 1),
('quisquam', 86, 'en', 'node_search', 1),
('quisquam', 87, 'en', 'node_search', 1),
('quisquam', 88, 'en', 'node_search', 1),
('quisquam', 93, 'en', 'node_search', 1),
('quisque', 1, 'en', 'node_search', 5.12231),
('quo', 1, 'en', 'node_search', 1),
('quo', 2, 'en', 'node_search', 3.2247),
('quo', 84, 'en', 'node_search', 2),
('quo', 85, 'en', 'node_search', 1),
('quo', 86, 'en', 'node_search', 1),
('quo', 87, 'en', 'node_search', 1),
('quo', 88, 'en', 'node_search', 1),
('quo', 89, 'en', 'node_search', 2),
('quo', 90, 'en', 'node_search', 2),
('quo', 91, 'en', 'node_search', 2),
('quo', 92, 'en', 'node_search', 1),
('quod', 84, 'en', 'node_search', 0.957226),
('quod', 85, 'en', 'node_search', 1.61665),
('quod', 86, 'en', 'node_search', 1.63881),
('quod', 87, 'en', 'node_search', 1.63881),
('quod', 88, 'en', 'node_search', 1.63881),
('quod', 89, 'en', 'node_search', 0.957226),
('quod', 90, 'en', 'node_search', 0.957226),
('quod', 91, 'en', 'node_search', 0.957226),
('quos', 85, 'en', 'node_search', 0.938382),
('quos', 86, 'en', 'node_search', 0.953396),
('quos', 87, 'en', 'node_search', 0.953396),
('quos', 88, 'en', 'node_search', 0.953396),
('quote', 1, 'en', 'node_search', 11),
('rather', 1, 'en', 'node_search', 1),
('rather', 4, 'en', 'node_search', 5),
('rather', 5, 'en', 'node_search', 5),
('rather', 6, 'en', 'node_search', 5),
('rather', 7, 'en', 'node_search', 5),
('rather', 8, 'en', 'node_search', 5),
('rather', 9, 'en', 'node_search', 6),
('rather', 10, 'en', 'node_search', 6),
('rather', 11, 'en', 'node_search', 6),
('rather', 12, 'en', 'node_search', 6),
('rather', 13, 'en', 'node_search', 6),
('rather', 14, 'en', 'node_search', 6),
('rather', 15, 'en', 'node_search', 6),
('rather', 18, 'en', 'node_search', 5),
('rather', 19, 'en', 'node_search', 5),
('rather', 20, 'en', 'node_search', 5),
('rather', 21, 'en', 'node_search', 5),
('rather', 22, 'en', 'node_search', 5),
('rather', 23, 'en', 'node_search', 1),
('rather', 46, 'en', 'node_search', 5),
('ratione', 2, 'en', 'node_search', 6.34838),
('ratione', 36, 'en', 'node_search', 4),
('ratione', 37, 'en', 'node_search', 4),
('ratione', 85, 'en', 'node_search', 1.8894),
('ratione', 86, 'en', 'node_search', 1.90286),
('ratione', 87, 'en', 'node_search', 1.90286),
('ratione', 88, 'en', 'node_search', 1.90286),
('raw', 2, 'en', 'node_search', 3.66801),
('raw', 39, 'en', 'node_search', 5),
('read', 84, 'en', 'node_search', 18.245),
('read', 89, 'en', 'node_search', 18.245),
('read', 90, 'en', 'node_search', 18.245),
('read', 91, 'en', 'node_search', 18.245),
('read', 93, 'en', 'node_search', 11),
('ready', 23, 'en', 'node_search', 1),
('ready', 95, 'en', 'node_search', 1),
('reallife', 94, 'en', 'node_search', 1),
('recaptiualize', 9, 'en', 'node_search', 11),
('recaptiualize', 10, 'en', 'node_search', 11),
('recaptiualize', 11, 'en', 'node_search', 11),
('recaptiualize', 12, 'en', 'node_search', 11),
('recaptiualize', 13, 'en', 'node_search', 11),
('recaptiualize', 14, 'en', 'node_search', 11),
('recaptiualize', 15, 'en', 'node_search', 11),
('reconceptualize', 9, 'en', 'node_search', 1),
('reconceptualize', 10, 'en', 'node_search', 1),
('reconceptualize', 11, 'en', 'node_search', 1),
('reconceptualize', 12, 'en', 'node_search', 1),
('reconceptualize', 13, 'en', 'node_search', 1),
('reconceptualize', 14, 'en', 'node_search', 1),
('reconceptualize', 15, 'en', 'node_search', 1),
('recusandae', 2, 'en', 'node_search', 3.11662),
('red', 10, 'en', 'node_search', 11),
('red', 12, 'en', 'node_search', 11),
('red', 15, 'en', 'node_search', 11),
('red', 20, 'en', 'node_search', 11),
('register', 15, 'en', 'node_search', 53.3764),
('reiciendis', 2, 'en', 'node_search', 3.14764),
('reiciendis', 36, 'en', 'node_search', 4),
('reiciendis', 37, 'en', 'node_search', 4),
('reiciendis', 85, 'en', 'node_search', 0.945829),
('reiciendis', 86, 'en', 'node_search', 0.961087),
('reiciendis', 87, 'en', 'node_search', 0.961087),
('reiciendis', 88, 'en', 'node_search', 0.961087),
('rem', 84, 'en', 'node_search', 1),
('rem', 85, 'en', 'node_search', 0.824901),
('rem', 86, 'en', 'node_search', 0.836446),
('rem', 87, 'en', 'node_search', 0.836446),
('rem', 88, 'en', 'node_search', 0.836446),
('rem', 89, 'en', 'node_search', 1),
('rem', 90, 'en', 'node_search', 1),
('rem', 91, 'en', 'node_search', 1),
('rem', 92, 'en', 'node_search', 1),
('removed', 57, 'en', 'node_search', 1),
('repair', 23, 'en', 'node_search', 1),
('repellat', 85, 'en', 'node_search', 0.931053),
('repellat', 86, 'en', 'node_search', 0.945829),
('repellat', 87, 'en', 'node_search', 0.945829),
('repellat', 88, 'en', 'node_search', 0.945829),
('repellendus', 36, 'en', 'node_search', 4),
('repellendus', 37, 'en', 'node_search', 4),
('repellendus', 84, 'en', 'node_search', 1),
('repellendus', 85, 'en', 'node_search', 3),
('repellendus', 86, 'en', 'node_search', 3),
('repellendus', 87, 'en', 'node_search', 3),
('repellendus', 88, 'en', 'node_search', 3),
('repellendus', 89, 'en', 'node_search', 1),
('repellendus', 90, 'en', 'node_search', 1),
('repellendus', 91, 'en', 'node_search', 1),
('repellendus', 93, 'en', 'node_search', 1),
('reply', 15, 'en', 'node_search', 0.98493),
('reports', 62, 'en', 'node_search', 11),
('reprehenderit', 1, 'en', 'node_search', 1),
('reprehenderit', 2, 'en', 'node_search', 3.76121),
('reprehenderit', 23, 'en', 'node_search', 2.86941),
('reprehenderit', 36, 'en', 'node_search', 4),
('reprehenderit', 37, 'en', 'node_search', 4),
('reprehenderit', 39, 'en', 'node_search', 5),
('reprehenderit', 41, 'en', 'node_search', 1),
('reprehenderit', 42, 'en', 'node_search', 1),
('reprehenderit', 43, 'en', 'node_search', 1),
('reprehenderit', 44, 'en', 'node_search', 1),
('reprehenderit', 45, 'en', 'node_search', 1),
('reprehenderit', 48, 'en', 'node_search', 1),
('reprehenderit', 49, 'en', 'node_search', 1),
('reprehenderit', 50, 'en', 'node_search', 1),
('reprehenderit', 51, 'en', 'node_search', 1),
('reprehenderit', 64, 'en', 'node_search', 1),
('reprehenderit', 65, 'en', 'node_search', 1),
('reprehenderit', 66, 'en', 'node_search', 1),
('reprehenderit', 67, 'en', 'node_search', 1),
('reprehenderit', 68, 'en', 'node_search', 1),
('reprehenderit', 69, 'en', 'node_search', 1),
('reprehenderit', 70, 'en', 'node_search', 1),
('reprehenderit', 71, 'en', 'node_search', 1),
('reprehenderit', 72, 'en', 'node_search', 1),
('reprehenderit', 73, 'en', 'node_search', 1),
('reprehenderit', 74, 'en', 'node_search', 1),
('reprehenderit', 75, 'en', 'node_search', 1),
('reprehenderit', 76, 'en', 'node_search', 1),
('reprehenderit', 77, 'en', 'node_search', 1),
('reprehenderit', 78, 'en', 'node_search', 1),
('reprehenderit', 79, 'en', 'node_search', 1),
('reprehenderit', 80, 'en', 'node_search', 1),
('reprehenderit', 81, 'en', 'node_search', 1),
('reprehenderit', 84, 'en', 'node_search', 2.69559),
('reprehenderit', 85, 'en', 'node_search', 1.68087),
('reprehenderit', 86, 'en', 'node_search', 1.70488),
('reprehenderit', 87, 'en', 'node_search', 1.70488),
('reprehenderit', 88, 'en', 'node_search', 1.70488),
('reprehenderit', 89, 'en', 'node_search', 2.69559),
('reprehenderit', 90, 'en', 'node_search', 2.69559);
INSERT INTO `search_index` VALUES
('reprehenderit', 91, 'en', 'node_search', 2.69559),
('repudiandae', 2, 'en', 'node_search', 3.26032),
('repudiandae', 85, 'en', 'node_search', 1.81548),
('repudiandae', 86, 'en', 'node_search', 1.84364),
('repudiandae', 87, 'en', 'node_search', 1.84364),
('repudiandae', 88, 'en', 'node_search', 1.84364),
('rerum', 84, 'en', 'node_search', 1),
('rerum', 85, 'en', 'node_search', 2.60136),
('rerum', 86, 'en', 'node_search', 2.63858),
('rerum', 87, 'en', 'node_search', 2.63858),
('rerum', 88, 'en', 'node_search', 2.63858),
('rerum', 89, 'en', 'node_search', 1),
('rerum', 90, 'en', 'node_search', 1),
('rerum', 91, 'en', 'node_search', 1),
('research', 49, 'en', 'node_search', 1),
('responsive', 36, 'en', 'node_search', 27),
('responsive', 37, 'en', 'node_search', 27),
('results', 2, 'en', 'node_search', 1.09353),
('results', 85, 'en', 'node_search', 15),
('results', 86, 'en', 'node_search', 15),
('results', 87, 'en', 'node_search', 15),
('results', 88, 'en', 'node_search', 15),
('reusable', 58, 'en', 'node_search', 27),
('revolutionary', 9, 'en', 'node_search', 1),
('revolutionary', 10, 'en', 'node_search', 1),
('revolutionary', 11, 'en', 'node_search', 1),
('revolutionary', 12, 'en', 'node_search', 1),
('revolutionary', 13, 'en', 'node_search', 1),
('revolutionary', 14, 'en', 'node_search', 1),
('revolutionary', 15, 'en', 'node_search', 1),
('richardson', 2, 'en', 'node_search', 3.74563),
('richardson', 39, 'en', 'node_search', 5),
('right', 95, 'en', 'node_search', 1),
('robbin', 47, 'en', 'node_search', 27),
('robust', 9, 'en', 'node_search', 1),
('robust', 10, 'en', 'node_search', 1),
('robust', 11, 'en', 'node_search', 1),
('robust', 12, 'en', 'node_search', 1),
('robust', 13, 'en', 'node_search', 1),
('robust', 14, 'en', 'node_search', 1),
('robust', 15, 'en', 'node_search', 1),
('role', 2, 'en', 'node_search', 27.8771),
('room', 5, 'en', 'node_search', 27),
('room', 6, 'en', 'node_search', 27),
('room', 7, 'en', 'node_search', 27),
('room', 8, 'en', 'node_search', 27),
('room', 9, 'en', 'node_search', 27),
('rotator', 63, 'en', 'node_search', 27),
('row', 1, 'en', 'node_search', 4.50447),
('row', 36, 'en', 'node_search', 7),
('row', 37, 'en', 'node_search', 7),
('saepe', 84, 'en', 'node_search', 0.993146),
('saepe', 85, 'en', 'node_search', 1),
('saepe', 86, 'en', 'node_search', 1),
('saepe', 87, 'en', 'node_search', 1),
('saepe', 88, 'en', 'node_search', 1),
('saepe', 89, 'en', 'node_search', 0.993146),
('saepe', 90, 'en', 'node_search', 0.993146),
('saepe', 91, 'en', 'node_search', 0.993146),
('salazar', 48, 'en', 'node_search', 27),
('sample', 1, 'en', 'node_search', 4.62191),
('sapien', 1, 'en', 'node_search', 0.802752),
('sapiente', 2, 'en', 'node_search', 6.91249),
('sapiente', 39, 'en', 'node_search', 5),
('sapiente', 85, 'en', 'node_search', 1.82959),
('sapiente', 86, 'en', 'node_search', 1.84832),
('sapiente', 87, 'en', 'node_search', 1.84832),
('sapiente', 88, 'en', 'node_search', 1.84832),
('sat', 85, 'en', 'node_search', 1),
('sat', 86, 'en', 'node_search', 1),
('sat', 87, 'en', 'node_search', 1),
('screen', 17, 'en', 'node_search', 27),
('second', 9, 'en', 'node_search', 0.953396),
('second', 14, 'en', 'node_search', 27),
('second', 22, 'en', 'node_search', 27),
('second', 23, 'en', 'node_search', 1.91674),
('second', 39, 'en', 'node_search', 11),
('second', 68, 'en', 'node_search', 11),
('second', 85, 'en', 'node_search', 8.71335),
('security', 1, 'en', 'node_search', 1.97685),
('sed', 1, 'en', 'node_search', 6.94209),
('sed', 2, 'en', 'node_search', 3.12265),
('sed', 15, 'en', 'node_search', 0.892724),
('sed', 23, 'en', 'node_search', 7.86941),
('sed', 36, 'en', 'node_search', 34),
('sed', 37, 'en', 'node_search', 34),
('sed', 41, 'en', 'node_search', 1),
('sed', 42, 'en', 'node_search', 1),
('sed', 43, 'en', 'node_search', 1),
('sed', 44, 'en', 'node_search', 1),
('sed', 45, 'en', 'node_search', 1),
('sed', 47, 'en', 'node_search', 1),
('sed', 51, 'en', 'node_search', 1),
('sed', 64, 'en', 'node_search', 1),
('sed', 65, 'en', 'node_search', 1),
('sed', 66, 'en', 'node_search', 1),
('sed', 67, 'en', 'node_search', 1),
('sed', 68, 'en', 'node_search', 1),
('sed', 69, 'en', 'node_search', 1),
('sed', 70, 'en', 'node_search', 1),
('sed', 71, 'en', 'node_search', 1),
('sed', 72, 'en', 'node_search', 1),
('sed', 73, 'en', 'node_search', 1),
('sed', 74, 'en', 'node_search', 1),
('sed', 75, 'en', 'node_search', 1),
('sed', 76, 'en', 'node_search', 1),
('sed', 77, 'en', 'node_search', 1),
('sed', 78, 'en', 'node_search', 1),
('sed', 79, 'en', 'node_search', 1),
('sed', 80, 'en', 'node_search', 1),
('sed', 81, 'en', 'node_search', 1),
('sed', 84, 'en', 'node_search', 1.75763),
('sed', 85, 'en', 'node_search', 1),
('sed', 86, 'en', 'node_search', 1),
('sed', 87, 'en', 'node_search', 1),
('sed', 88, 'en', 'node_search', 1),
('sed', 89, 'en', 'node_search', 1.75763),
('sed', 90, 'en', 'node_search', 1.75763),
('sed', 91, 'en', 'node_search', 1.75763),
('see', 1, 'en', 'node_search', 0.961087),
('select', 1, 'en', 'node_search', 11.6885),
('selfmotivation', 94, 'en', 'node_search', 1),
('sem', 1, 'en', 'node_search', 0.808176),
('semper', 1, 'en', 'node_search', 2.59114),
('senectus', 15, 'en', 'node_search', 28.3558),
('senior', 44, 'en', 'node_search', 1),
('sequi', 84, 'en', 'node_search', 1),
('sequi', 85, 'en', 'node_search', 1.76388),
('sequi', 86, 'en', 'node_search', 1.79041),
('sequi', 87, 'en', 'node_search', 1.79041),
('sequi', 88, 'en', 'node_search', 1.79041),
('sequi', 89, 'en', 'node_search', 1),
('sequi', 90, 'en', 'node_search', 1),
('sequi', 91, 'en', 'node_search', 1),
('server', 1, 'en', 'node_search', 0.976851),
('service', 9, 'en', 'node_search', 1),
('session', 85, 'en', 'node_search', 8.6277),
('session', 86, 'en', 'node_search', 8.83027),
('session', 87, 'en', 'node_search', 8.80075),
('session', 88, 'en', 'node_search', 8.77142),
('shoreditch', 2, 'en', 'node_search', 3.70265),
('shoreditch', 39, 'en', 'node_search', 5),
('shortcodes', 2, 'en', 'node_search', 27),
('should', 1, 'en', 'node_search', 0.968904),
('show', 2, 'en', 'node_search', 2.7071),
('sign', 62, 'en', 'node_search', 121),
('similique', 85, 'en', 'node_search', 1.6998),
('similique', 86, 'en', 'node_search', 1.72434),
('similique', 87, 'en', 'node_search', 1.72434),
('similique', 88, 'en', 'node_search', 1.72434),
('singleorigin', 2, 'en', 'node_search', 3.70652),
('singleorigin', 39, 'en', 'node_search', 5),
('sint', 15, 'en', 'node_search', 0.961087),
('sint', 23, 'en', 'node_search', 2.86941),
('sint', 33, 'en', 'node_search', 1),
('sint', 34, 'en', 'node_search', 1),
('sint', 36, 'en', 'node_search', 4),
('sint', 37, 'en', 'node_search', 4),
('sint', 41, 'en', 'node_search', 1),
('sint', 42, 'en', 'node_search', 1),
('sint', 43, 'en', 'node_search', 1),
('sint', 44, 'en', 'node_search', 1),
('sint', 45, 'en', 'node_search', 1),
('sint', 48, 'en', 'node_search', 1),
('sint', 50, 'en', 'node_search', 1),
('sint', 51, 'en', 'node_search', 1),
('sint', 64, 'en', 'node_search', 1),
('sint', 65, 'en', 'node_search', 1),
('sint', 66, 'en', 'node_search', 1),
('sint', 67, 'en', 'node_search', 1),
('sint', 68, 'en', 'node_search', 1),
('sint', 69, 'en', 'node_search', 1),
('sint', 70, 'en', 'node_search', 1),
('sint', 71, 'en', 'node_search', 1),
('sint', 72, 'en', 'node_search', 1),
('sint', 73, 'en', 'node_search', 1),
('sint', 74, 'en', 'node_search', 1),
('sint', 75, 'en', 'node_search', 1),
('sint', 76, 'en', 'node_search', 1),
('sint', 77, 'en', 'node_search', 1),
('sint', 78, 'en', 'node_search', 1),
('sint', 79, 'en', 'node_search', 1),
('sint', 80, 'en', 'node_search', 1),
('sint', 81, 'en', 'node_search', 1),
('sint', 84, 'en', 'node_search', 3.68291),
('sint', 85, 'en', 'node_search', 1),
('sint', 86, 'en', 'node_search', 1),
('sint', 87, 'en', 'node_search', 1),
('sint', 88, 'en', 'node_search', 1),
('sint', 89, 'en', 'node_search', 3.68291),
('sint', 90, 'en', 'node_search', 3.68291),
('sint', 91, 'en', 'node_search', 3.68291),
('sint', 92, 'en', 'node_search', 1),
('sit', 1, 'en', 'node_search', 7.16926),
('sit', 2, 'en', 'node_search', 9.61408),
('sit', 9, 'en', 'node_search', 17),
('sit', 10, 'en', 'node_search', 16),
('sit', 11, 'en', 'node_search', 16),
('sit', 12, 'en', 'node_search', 16),
('sit', 13, 'en', 'node_search', 16),
('sit', 14, 'en', 'node_search', 16),
('sit', 15, 'en', 'node_search', 48.3176),
('sit', 23, 'en', 'node_search', 6.9347),
('sit', 33, 'en', 'node_search', 1),
('sit', 34, 'en', 'node_search', 1),
('sit', 36, 'en', 'node_search', 6),
('sit', 37, 'en', 'node_search', 6),
('sit', 41, 'en', 'node_search', 1),
('sit', 42, 'en', 'node_search', 1),
('sit', 43, 'en', 'node_search', 1),
('sit', 44, 'en', 'node_search', 1),
('sit', 45, 'en', 'node_search', 1),
('sit', 47, 'en', 'node_search', 1),
('sit', 51, 'en', 'node_search', 1),
('sit', 64, 'en', 'node_search', 1),
('sit', 65, 'en', 'node_search', 1),
('sit', 66, 'en', 'node_search', 1),
('sit', 67, 'en', 'node_search', 1),
('sit', 68, 'en', 'node_search', 1),
('sit', 69, 'en', 'node_search', 1),
('sit', 70, 'en', 'node_search', 1),
('sit', 71, 'en', 'node_search', 1),
('sit', 72, 'en', 'node_search', 1),
('sit', 73, 'en', 'node_search', 1),
('sit', 74, 'en', 'node_search', 1),
('sit', 75, 'en', 'node_search', 1),
('sit', 76, 'en', 'node_search', 1),
('sit', 77, 'en', 'node_search', 1),
('sit', 78, 'en', 'node_search', 1),
('sit', 79, 'en', 'node_search', 1),
('sit', 80, 'en', 'node_search', 1),
('sit', 81, 'en', 'node_search', 1),
('sit', 84, 'en', 'node_search', 3.75763),
('sit', 89, 'en', 'node_search', 3.75763),
('sit', 90, 'en', 'node_search', 3.75763),
('sit', 91, 'en', 'node_search', 3.75763),
('sit', 92, 'en', 'node_search', 1),
('six', 70, 'en', 'node_search', 27),
('six', 76, 'en', 'node_search', 27),
('sixth', 10, 'en', 'node_search', 27),
('sixth', 64, 'en', 'node_search', 11),
('skateboard', 2, 'en', 'node_search', 3.72862),
('skateboard', 39, 'en', 'node_search', 5),
('skills', 9, 'en', 'node_search', 1),
('skills', 10, 'en', 'node_search', 1),
('skills', 11, 'en', 'node_search', 1),
('skills', 12, 'en', 'node_search', 1),
('skills', 13, 'en', 'node_search', 1),
('skills', 14, 'en', 'node_search', 1),
('skills', 15, 'en', 'node_search', 1),
('skype', 2, 'en', 'node_search', 90),
('slide', 9, 'en', 'node_search', 1.90682),
('slideshow', 16, 'en', 'node_search', 27),
('slideshow', 17, 'en', 'node_search', 27),
('slideshow', 55, 'en', 'node_search', 27),
('slideshow', 59, 'en', 'node_search', 27),
('small', 2, 'en', 'node_search', 7.51685),
('smith', 33, 'en', 'node_search', 27),
('smith', 34, 'en', 'node_search', 27),
('smith', 44, 'en', 'node_search', 27),
('smith', 45, 'en', 'node_search', 27),
('smith', 85, 'en', 'node_search', 1),
('smith', 88, 'en', 'node_search', 1),
('social', 2, 'en', 'node_search', 16),
('social', 91, 'en', 'node_search', 8.88993),
('sociallinks', 2, 'en', 'node_search', 2),
('soluta', 84, 'en', 'node_search', 1),
('soluta', 85, 'en', 'node_search', 0.805455),
('soluta', 86, 'en', 'node_search', 0.816452),
('soluta', 87, 'en', 'node_search', 0.816452),
('soluta', 88, 'en', 'node_search', 0.816452),
('soluta', 89, 'en', 'node_search', 1),
('soluta', 90, 'en', 'node_search', 1),
('soluta', 91, 'en', 'node_search', 1),
('solution', 23, 'en', 'node_search', 1),
('something', 1, 'en', 'node_search', 4.12795),
('south', 84, 'en', 'node_search', 1),
('south', 85, 'en', 'node_search', 1),
('south', 86, 'en', 'node_search', 1),
('south', 87, 'en', 'node_search', 1),
('south', 88, 'en', 'node_search', 1),
('south', 89, 'en', 'node_search', 1),
('south', 90, 'en', 'node_search', 1),
('south', 91, 'en', 'node_search', 1),
('south', 92, 'en', 'node_search', 1),
('span', 2, 'en', 'node_search', 178.77),
('sponsor', 70, 'en', 'node_search', 27),
('sponsor', 71, 'en', 'node_search', 27),
('sponsor', 72, 'en', 'node_search', 27),
('sponsor', 73, 'en', 'node_search', 27),
('sponsor', 74, 'en', 'node_search', 27),
('sponsor', 75, 'en', 'node_search', 27),
('sponsor', 84, 'en', 'node_search', 32.9339),
('sponsor', 89, 'en', 'node_search', 32.9339),
('sponsor', 90, 'en', 'node_search', 32.9339),
('sponsor', 91, 'en', 'node_search', 32.9339),
('squid', 2, 'en', 'node_search', 7.44998),
('squid', 39, 'en', 'node_search', 10),
('src', 2, 'en', 'node_search', 3),
('sronly', 2, 'en', 'node_search', 85.846),
('state', 4, 'en', 'node_search', 2),
('state', 5, 'en', 'node_search', 2),
('state', 6, 'en', 'node_search', 2),
('state', 7, 'en', 'node_search', 2),
('state', 8, 'en', 'node_search', 2),
('state', 9, 'en', 'node_search', 2),
('state', 10, 'en', 'node_search', 2),
('state', 11, 'en', 'node_search', 2),
('state', 12, 'en', 'node_search', 2),
('state', 13, 'en', 'node_search', 2),
('state', 14, 'en', 'node_search', 2),
('state', 15, 'en', 'node_search', 2),
('state', 18, 'en', 'node_search', 2),
('state', 19, 'en', 'node_search', 2),
('state', 20, 'en', 'node_search', 2),
('state', 21, 'en', 'node_search', 2),
('state', 22, 'en', 'node_search', 2),
('state', 46, 'en', 'node_search', 2),
('status', 1, 'en', 'node_search', 56.9707),
('stevie', 42, 'en', 'node_search', 27),
('stock', 9, 'en', 'node_search', 4),
('stock', 23, 'en', 'node_search', 0.953396),
('strategic', 1, 'en', 'node_search', 2),
('strategic', 4, 'en', 'node_search', 3),
('strategic', 5, 'en', 'node_search', 3),
('strategic', 6, 'en', 'node_search', 3),
('strategic', 7, 'en', 'node_search', 3),
('strategic', 8, 'en', 'node_search', 3),
('strategic', 9, 'en', 'node_search', 6),
('strategic', 10, 'en', 'node_search', 5),
('strategic', 11, 'en', 'node_search', 5),
('strategic', 12, 'en', 'node_search', 5),
('strategic', 13, 'en', 'node_search', 5),
('strategic', 14, 'en', 'node_search', 5),
('strategic', 15, 'en', 'node_search', 5),
('strategic', 18, 'en', 'node_search', 4),
('strategic', 19, 'en', 'node_search', 4),
('strategic', 20, 'en', 'node_search', 4),
('strategic', 21, 'en', 'node_search', 4),
('strategic', 22, 'en', 'node_search', 4),
('strategic', 23, 'en', 'node_search', 2),
('strategic', 46, 'en', 'node_search', 4),
('strong', 2, 'en', 'node_search', 9.07345),
('student', 94, 'en', 'node_search', 1),
('style', 1, 'en', 'node_search', 27),
('style', 2, 'en', 'node_search', 35.4649),
('style2', 2, 'en', 'node_search', 0.591395),
('success', 2, 'en', 'node_search', 3.31978),
('success', 94, 'en', 'node_search', 18),
('such', 94, 'en', 'node_search', 1),
('sun', 88, 'en', 'node_search', 1),
('sunt', 2, 'en', 'node_search', 3.71439),
('sunt', 15, 'en', 'node_search', 0.942091),
('sunt', 23, 'en', 'node_search', 1.93201),
('sunt', 39, 'en', 'node_search', 5),
('sunt', 41, 'en', 'node_search', 1),
('sunt', 42, 'en', 'node_search', 1),
('sunt', 43, 'en', 'node_search', 1),
('sunt', 44, 'en', 'node_search', 1),
('sunt', 45, 'en', 'node_search', 1),
('sunt', 48, 'en', 'node_search', 1),
('sunt', 50, 'en', 'node_search', 1),
('sunt', 51, 'en', 'node_search', 1),
('sunt', 64, 'en', 'node_search', 1),
('sunt', 65, 'en', 'node_search', 1),
('sunt', 66, 'en', 'node_search', 1),
('sunt', 67, 'en', 'node_search', 1),
('sunt', 68, 'en', 'node_search', 1),
('sunt', 69, 'en', 'node_search', 1),
('sunt', 70, 'en', 'node_search', 1),
('sunt', 71, 'en', 'node_search', 1),
('sunt', 72, 'en', 'node_search', 1),
('sunt', 73, 'en', 'node_search', 1),
('sunt', 74, 'en', 'node_search', 1),
('sunt', 75, 'en', 'node_search', 1),
('sunt', 76, 'en', 'node_search', 1),
('sunt', 77, 'en', 'node_search', 1),
('sunt', 78, 'en', 'node_search', 1),
('sunt', 79, 'en', 'node_search', 1),
('sunt', 80, 'en', 'node_search', 1),
('sunt', 81, 'en', 'node_search', 1),
('sunt', 84, 'en', 'node_search', 1.67059),
('sunt', 85, 'en', 'node_search', 0.830633),
('sunt', 86, 'en', 'node_search', 0.842342),
('sunt', 87, 'en', 'node_search', 0.842342),
('sunt', 88, 'en', 'node_search', 0.842342),
('sunt', 89, 'en', 'node_search', 1.67059),
('sunt', 90, 'en', 'node_search', 1.67059),
('sunt', 91, 'en', 'node_search', 1.67059),
('suscipit', 1, 'en', 'node_search', 2.58796),
('suscipit', 84, 'en', 'node_search', 1),
('suscipit', 85, 'en', 'node_search', 2.58511),
('suscipit', 86, 'en', 'node_search', 2.62307),
('suscipit', 87, 'en', 'node_search', 2.62307),
('suscipit', 88, 'en', 'node_search', 2.62307),
('suscipit', 89, 'en', 'node_search', 1),
('suscipit', 90, 'en', 'node_search', 1),
('suscipit', 91, 'en', 'node_search', 1),
('suscipit', 92, 'en', 'node_search', 1),
('suspendisse', 1, 'en', 'node_search', 2.6041),
('sustainable', 2, 'en', 'node_search', 3.65281),
('sustainable', 39, 'en', 'node_search', 5),
('synergistically', 9, 'en', 'node_search', 1),
('synergistically', 10, 'en', 'node_search', 1),
('synergistically', 11, 'en', 'node_search', 1),
('synergistically', 12, 'en', 'node_search', 1),
('synergistically', 13, 'en', 'node_search', 1),
('synergistically', 14, 'en', 'node_search', 1),
('synergistically', 15, 'en', 'node_search', 1),
('synergy', 1, 'en', 'node_search', 2),
('synergy', 4, 'en', 'node_search', 3),
('synergy', 5, 'en', 'node_search', 3),
('synergy', 6, 'en', 'node_search', 3),
('synergy', 7, 'en', 'node_search', 3),
('synergy', 8, 'en', 'node_search', 3),
('synergy', 9, 'en', 'node_search', 4),
('synergy', 10, 'en', 'node_search', 3),
('synergy', 11, 'en', 'node_search', 3),
('synergy', 12, 'en', 'node_search', 3),
('synergy', 13, 'en', 'node_search', 3),
('synergy', 14, 'en', 'node_search', 3),
('synergy', 15, 'en', 'node_search', 3),
('synergy', 18, 'en', 'node_search', 4),
('synergy', 19, 'en', 'node_search', 4),
('synergy', 20, 'en', 'node_search', 4),
('synergy', 21, 'en', 'node_search', 4),
('synergy', 22, 'en', 'node_search', 4),
('synergy', 23, 'en', 'node_search', 2),
('synergy', 46, 'en', 'node_search', 4),
('synth', 2, 'en', 'node_search', 3.66286),
('synth', 39, 'en', 'node_search', 5),
('system', 23, 'en', 'node_search', 1),
('tab', 2, 'en', 'node_search', 14.2672),
('tabcontent', 2, 'en', 'node_search', 1.52415),
('table', 1, 'en', 'node_search', 12.1901),
('tables', 62, 'en', 'node_search', 27),
('tablist', 2, 'en', 'node_search', 2.76062),
('tabpane', 2, 'en', 'node_search', 4.54533),
('tabpanel', 2, 'en', 'node_search', 9.64499),
('tabs', 2, 'en', 'node_search', 29.7059),
('technologies', 1, 'en', 'node_search', 1),
('technologies', 4, 'en', 'node_search', 25),
('technologies', 5, 'en', 'node_search', 25),
('technologies', 6, 'en', 'node_search', 25),
('technologies', 7, 'en', 'node_search', 25),
('technologies', 8, 'en', 'node_search', 25),
('technologies', 9, 'en', 'node_search', 26),
('technologies', 10, 'en', 'node_search', 25),
('technologies', 11, 'en', 'node_search', 25),
('technologies', 12, 'en', 'node_search', 25),
('technologies', 13, 'en', 'node_search', 25),
('technologies', 14, 'en', 'node_search', 25),
('technologies', 15, 'en', 'node_search', 25),
('technologies', 18, 'en', 'node_search', 26),
('technologies', 19, 'en', 'node_search', 26),
('technologies', 20, 'en', 'node_search', 26),
('technologies', 21, 'en', 'node_search', 26),
('technologies', 22, 'en', 'node_search', 26),
('technologies', 23, 'en', 'node_search', 2),
('technologies', 46, 'en', 'node_search', 26),
('technology', 4, 'en', 'node_search', 2),
('technology', 5, 'en', 'node_search', 2),
('technology', 6, 'en', 'node_search', 2),
('technology', 7, 'en', 'node_search', 2),
('technology', 8, 'en', 'node_search', 2),
('technology', 9, 'en', 'node_search', 2),
('technology', 10, 'en', 'node_search', 2),
('technology', 11, 'en', 'node_search', 2),
('technology', 12, 'en', 'node_search', 2),
('technology', 13, 'en', 'node_search', 2),
('technology', 14, 'en', 'node_search', 2),
('technology', 15, 'en', 'node_search', 2),
('technology', 18, 'en', 'node_search', 2),
('technology', 19, 'en', 'node_search', 2),
('technology', 20, 'en', 'node_search', 2),
('technology', 21, 'en', 'node_search', 2),
('technology', 22, 'en', 'node_search', 2),
('technology', 34, 'en', 'node_search', 1),
('technology', 46, 'en', 'node_search', 2),
('tellus', 15, 'en', 'node_search', 2.95772),
('tempor', 1, 'en', 'node_search', 0.938382),
('tempor', 2, 'en', 'node_search', 3.71639),
('tempor', 15, 'en', 'node_search', 0.886095),
('tempor', 23, 'en', 'node_search', 7.86941),
('tempor', 39, 'en', 'node_search', 5),
('tempor', 41, 'en', 'node_search', 1),
('tempor', 42, 'en', 'node_search', 1),
('tempor', 43, 'en', 'node_search', 1),
('tempor', 44, 'en', 'node_search', 1),
('tempor', 45, 'en', 'node_search', 1),
('tempor', 47, 'en', 'node_search', 1),
('tempor', 51, 'en', 'node_search', 1),
('tempor', 64, 'en', 'node_search', 1),
('tempor', 65, 'en', 'node_search', 1),
('tempor', 66, 'en', 'node_search', 1),
('tempor', 67, 'en', 'node_search', 1),
('tempor', 68, 'en', 'node_search', 1),
('tempor', 69, 'en', 'node_search', 1),
('tempor', 70, 'en', 'node_search', 1),
('tempor', 71, 'en', 'node_search', 1),
('tempor', 72, 'en', 'node_search', 1),
('tempor', 73, 'en', 'node_search', 1),
('tempor', 74, 'en', 'node_search', 1),
('tempor', 75, 'en', 'node_search', 1),
('tempor', 76, 'en', 'node_search', 1),
('tempor', 77, 'en', 'node_search', 1),
('tempor', 78, 'en', 'node_search', 1),
('tempor', 79, 'en', 'node_search', 1),
('tempor', 80, 'en', 'node_search', 1),
('tempor', 81, 'en', 'node_search', 1),
('tempor', 84, 'en', 'node_search', 1.7503),
('tempor', 89, 'en', 'node_search', 1.7503),
('tempor', 90, 'en', 'node_search', 1.7503),
('tempor', 91, 'en', 'node_search', 1.7503),
('tempora', 1, 'en', 'node_search', 1),
('tempora', 36, 'en', 'node_search', 4),
('tempora', 37, 'en', 'node_search', 4),
('tempora', 84, 'en', 'node_search', 0.98493),
('tempora', 89, 'en', 'node_search', 0.98493),
('tempora', 90, 'en', 'node_search', 0.98493),
('tempora', 91, 'en', 'node_search', 0.98493),
('tempore', 84, 'en', 'node_search', 1.98902),
('tempore', 85, 'en', 'node_search', 0.913226),
('tempore', 86, 'en', 'node_search', 0.927431),
('tempore', 87, 'en', 'node_search', 0.927431),
('tempore', 88, 'en', 'node_search', 0.927431),
('tempore', 89, 'en', 'node_search', 1.98902),
('tempore', 90, 'en', 'node_search', 1.98902),
('tempore', 91, 'en', 'node_search', 1.98902),
('tempore', 92, 'en', 'node_search', 1),
('temporibus', 84, 'en', 'node_search', 1),
('temporibus', 85, 'en', 'node_search', 2.70635),
('temporibus', 86, 'en', 'node_search', 2.73119),
('temporibus', 87, 'en', 'node_search', 2.73119),
('temporibus', 88, 'en', 'node_search', 2.73119),
('temporibus', 89, 'en', 'node_search', 1),
('temporibus', 90, 'en', 'node_search', 1),
('temporibus', 91, 'en', 'node_search', 1),
('tempus', 15, 'en', 'node_search', 2.95772),
('tenetur', 84, 'en', 'node_search', 1),
('tenetur', 85, 'en', 'node_search', 1.63298),
('tenetur', 86, 'en', 'node_search', 1.65559),
('tenetur', 87, 'en', 'node_search', 1.65559),
('tenetur', 88, 'en', 'node_search', 1.65559),
('tenetur', 89, 'en', 'node_search', 1),
('tenetur', 90, 'en', 'node_search', 1),
('tenetur', 91, 'en', 'node_search', 1),
('terry', 2, 'en', 'node_search', 3.74781),
('terry', 34, 'en', 'node_search', 27),
('terry', 39, 'en', 'node_search', 5),
('terry', 44, 'en', 'node_search', 27),
('tested', 1, 'en', 'node_search', 2),
('tested', 4, 'en', 'node_search', 3),
('tested', 5, 'en', 'node_search', 3),
('tested', 6, 'en', 'node_search', 3),
('tested', 7, 'en', 'node_search', 3),
('tested', 8, 'en', 'node_search', 3),
('tested', 9, 'en', 'node_search', 4),
('tested', 10, 'en', 'node_search', 3),
('tested', 11, 'en', 'node_search', 3),
('tested', 12, 'en', 'node_search', 3),
('tested', 13, 'en', 'node_search', 3),
('tested', 14, 'en', 'node_search', 3),
('tested', 15, 'en', 'node_search', 3),
('tested', 18, 'en', 'node_search', 4),
('tested', 19, 'en', 'node_search', 4),
('tested', 20, 'en', 'node_search', 4),
('tested', 21, 'en', 'node_search', 4),
('tested', 22, 'en', 'node_search', 4),
('tested', 23, 'en', 'node_search', 2),
('tested', 46, 'en', 'node_search', 4),
('testimonial', 49, 'en', 'node_search', 11),
('testimonial', 50, 'en', 'node_search', 11),
('text', 1, 'en', 'node_search', 24.3206),
('text', 2, 'en', 'node_search', 14),
('text', 63, 'en', 'node_search', 27),
('textcenter', 2, 'en', 'node_search', 1),
('textcolor', 95, 'en', 'node_search', 2),
('thalia', 67, 'en', 'node_search', 27),
('thalia', 87, 'en', 'node_search', 11),
('than', 1, 'en', 'node_search', 1),
('than', 4, 'en', 'node_search', 5),
('than', 5, 'en', 'node_search', 5),
('than', 6, 'en', 'node_search', 5),
('than', 7, 'en', 'node_search', 5),
('than', 8, 'en', 'node_search', 5),
('than', 9, 'en', 'node_search', 6),
('than', 10, 'en', 'node_search', 6),
('than', 11, 'en', 'node_search', 6),
('than', 12, 'en', 'node_search', 6),
('than', 13, 'en', 'node_search', 6),
('than', 14, 'en', 'node_search', 6),
('than', 15, 'en', 'node_search', 6),
('than', 18, 'en', 'node_search', 5),
('than', 19, 'en', 'node_search', 5),
('than', 20, 'en', 'node_search', 5),
('than', 21, 'en', 'node_search', 5),
('than', 22, 'en', 'node_search', 5),
('than', 23, 'en', 'node_search', 1),
('than', 46, 'en', 'node_search', 5),
('the', 1, 'en', 'node_search', 2.6566),
('the', 4, 'en', 'node_search', 2),
('the', 5, 'en', 'node_search', 2),
('the', 6, 'en', 'node_search', 2),
('the', 7, 'en', 'node_search', 2),
('the', 8, 'en', 'node_search', 2),
('the', 9, 'en', 'node_search', 2),
('the', 10, 'en', 'node_search', 2),
('the', 11, 'en', 'node_search', 2),
('the', 12, 'en', 'node_search', 2),
('the', 13, 'en', 'node_search', 2),
('the', 14, 'en', 'node_search', 2),
('the', 15, 'en', 'node_search', 2),
('the', 18, 'en', 'node_search', 2),
('the', 19, 'en', 'node_search', 2),
('the', 20, 'en', 'node_search', 2),
('the', 21, 'en', 'node_search', 2),
('the', 22, 'en', 'node_search', 2),
('the', 46, 'en', 'node_search', 2),
('the', 57, 'en', 'node_search', 1),
('the', 95, 'en', 'node_search', 1),
('theater', 23, 'en', 'node_search', 1),
('them', 2, 'en', 'node_search', 3.65447),
('them', 39, 'en', 'node_search', 5),
('theme', 9, 'en', 'node_search', 2),
('theme', 10, 'en', 'node_search', 2),
('theme', 11, 'en', 'node_search', 2),
('theme', 12, 'en', 'node_search', 2),
('theme', 13, 'en', 'node_search', 2),
('theme', 14, 'en', 'node_search', 2),
('theme', 15, 'en', 'node_search', 2),
('then', 1, 'en', 'node_search', 0.819249),
('there', 1, 'en', 'node_search', 1),
('third', 13, 'en', 'node_search', 27),
('third', 23, 'en', 'node_search', 1.91674),
('third', 36, 'en', 'node_search', 80),
('third', 37, 'en', 'node_search', 80),
('third', 39, 'en', 'node_search', 11),
('third', 67, 'en', 'node_search', 11),
('thirds', 36, 'en', 'node_search', 32),
('thirds', 37, 'en', 'node_search', 32),
('this', 1, 'en', 'node_search', 1.6791),
('this', 9, 'en', 'node_search', 11),
('this', 10, 'en', 'node_search', 11),
('this', 11, 'en', 'node_search', 11),
('this', 12, 'en', 'node_search', 11),
('this', 13, 'en', 'node_search', 11),
('this', 14, 'en', 'node_search', 11),
('this', 15, 'en', 'node_search', 11),
('thornton', 1, 'en', 'node_search', 0.725015),
('three', 36, 'en', 'node_search', 32),
('three', 37, 'en', 'node_search', 32),
('three', 73, 'en', 'node_search', 27),
('three', 79, 'en', 'node_search', 27),
('three', 87, 'en', 'node_search', 45.6017),
('three', 90, 'en', 'node_search', 27),
('through', 94, 'en', 'node_search', 1),
('through', 95, 'en', 'node_search', 1),
('thu', 15, 'en', 'node_search', 0.909743),
('thu', 36, 'en', 'node_search', 1),
('thu', 37, 'en', 'node_search', 1),
('thu', 47, 'en', 'node_search', 1),
('thu', 48, 'en', 'node_search', 1),
('thu', 49, 'en', 'node_search', 1),
('thu', 50, 'en', 'node_search', 1),
('thu', 56, 'en', 'node_search', 1),
('thu', 57, 'en', 'node_search', 1),
('thu', 61, 'en', 'node_search', 1),
('thu', 70, 'en', 'node_search', 1),
('thu', 71, 'en', 'node_search', 1),
('thu', 72, 'en', 'node_search', 1),
('thu', 73, 'en', 'node_search', 1),
('thu', 74, 'en', 'node_search', 1),
('thu', 75, 'en', 'node_search', 1),
('thu', 89, 'en', 'node_search', 1),
('thu', 90, 'en', 'node_search', 1),
('thu', 91, 'en', 'node_search', 1),
('thu', 92, 'en', 'node_search', 1),
('thu', 93, 'en', 'node_search', 1),
('thu', 94, 'en', 'node_search', 1),
('thu', 95, 'en', 'node_search', 1),
('tincidunt', 9, 'en', 'node_search', 2),
('title', 2, 'en', 'node_search', 14),
('title', 23, 'en', 'node_search', 2.7609),
('title', 95, 'en', 'node_search', 1),
('today', 95, 'en', 'node_search', 1),
('together', 89, 'en', 'node_search', 8.95041),
('tooltip', 2, 'en', 'node_search', 28),
('tooltips', 2, 'en', 'node_search', 16),
('top', 2, 'en', 'node_search', 14),
('topic', 85, 'en', 'node_search', 17.2838),
('topic', 86, 'en', 'node_search', 8.86),
('topic', 87, 'en', 'node_search', 17.6903),
('topic', 88, 'en', 'node_search', 17.6607),
('topline', 9, 'en', 'node_search', 1),
('topline', 10, 'en', 'node_search', 1),
('topline', 11, 'en', 'node_search', 1),
('topline', 12, 'en', 'node_search', 1),
('topline', 13, 'en', 'node_search', 1),
('topline', 14, 'en', 'node_search', 1),
('topline', 15, 'en', 'node_search', 1),
('total', 1, 'en', 'node_search', 0.745294),
('totam', 2, 'en', 'node_search', 3.0962),
('totam', 84, 'en', 'node_search', 1),
('totam', 85, 'en', 'node_search', 1),
('totam', 86, 'en', 'node_search', 1),
('totam', 87, 'en', 'node_search', 1),
('totam', 88, 'en', 'node_search', 1),
('totam', 89, 'en', 'node_search', 1),
('totam', 90, 'en', 'node_search', 1),
('totam', 91, 'en', 'node_search', 1),
('totam', 92, 'en', 'node_search', 1),
('transfer', 4, 'en', 'node_search', 27),
('transform', 1, 'en', 'node_search', 2),
('transform', 4, 'en', 'node_search', 3),
('transform', 5, 'en', 'node_search', 3),
('transform', 6, 'en', 'node_search', 3),
('transform', 7, 'en', 'node_search', 3),
('transform', 8, 'en', 'node_search', 3),
('transform', 9, 'en', 'node_search', 4),
('transform', 10, 'en', 'node_search', 3),
('transform', 11, 'en', 'node_search', 3),
('transform', 12, 'en', 'node_search', 3),
('transform', 13, 'en', 'node_search', 3),
('transform', 14, 'en', 'node_search', 3),
('transform', 15, 'en', 'node_search', 3),
('transform', 18, 'en', 'node_search', 4),
('transform', 19, 'en', 'node_search', 4),
('transform', 20, 'en', 'node_search', 4),
('transform', 21, 'en', 'node_search', 4),
('transform', 22, 'en', 'node_search', 4),
('transform', 23, 'en', 'node_search', 2),
('transform', 46, 'en', 'node_search', 4),
('transition', 9, 'en', 'node_search', 1),
('transition', 10, 'en', 'node_search', 1),
('transition', 11, 'en', 'node_search', 1),
('transition', 12, 'en', 'node_search', 1),
('transition', 13, 'en', 'node_search', 1),
('transition', 14, 'en', 'node_search', 1),
('transition', 15, 'en', 'node_search', 1),
('trial', 23, 'en', 'node_search', 55),
('triggericon', 2, 'en', 'node_search', 3.5655),
('tristique', 15, 'en', 'node_search', 53.964),
('truck', 2, 'en', 'node_search', 3.72245),
('truck', 39, 'en', 'node_search', 5),
('true', 2, 'en', 'node_search', 2.3976),
('tshirt', 22, 'en', 'node_search', 27),
('tshirt', 23, 'en', 'node_search', 27),
('tue', 4, 'en', 'node_search', 1),
('tue', 5, 'en', 'node_search', 1),
('tue', 6, 'en', 'node_search', 1),
('tue', 7, 'en', 'node_search', 1),
('tue', 8, 'en', 'node_search', 1),
('tue', 9, 'en', 'node_search', 1),
('tue', 10, 'en', 'node_search', 1),
('tue', 11, 'en', 'node_search', 1),
('tue', 12, 'en', 'node_search', 1),
('tue', 13, 'en', 'node_search', 1),
('tue', 14, 'en', 'node_search', 1),
('tue', 15, 'en', 'node_search', 3.9658),
('tue', 35, 'en', 'node_search', 1),
('tue', 55, 'en', 'node_search', 1),
('tue', 59, 'en', 'node_search', 1),
('tue', 60, 'en', 'node_search', 1),
('turpis', 1, 'en', 'node_search', 2.6074),
('turpis', 15, 'en', 'node_search', 26.6001),
('twitter', 1, 'en', 'node_search', 0.716357),
('twitter', 2, 'en', 'node_search', 102),
('twittercom', 41, 'en', 'node_search', 1),
('twittercom', 42, 'en', 'node_search', 1),
('twittercom', 43, 'en', 'node_search', 1),
('twittercom', 44, 'en', 'node_search', 1),
('twittercom', 45, 'en', 'node_search', 1),
('twittercom', 51, 'en', 'node_search', 1),
('twittercom', 64, 'en', 'node_search', 1),
('twittercom', 65, 'en', 'node_search', 1),
('twittercom', 66, 'en', 'node_search', 1),
('twittercom', 67, 'en', 'node_search', 1),
('twittercom', 68, 'en', 'node_search', 1),
('twittercom', 69, 'en', 'node_search', 1),
('two', 36, 'en', 'node_search', 32),
('two', 37, 'en', 'node_search', 32),
('two', 74, 'en', 'node_search', 27),
('two', 80, 'en', 'node_search', 27),
('two', 84, 'en', 'node_search', 32.8516),
('two', 85, 'en', 'node_search', 9.6277),
('two', 86, 'en', 'node_search', 45.631),
('two', 88, 'en', 'node_search', 8.83027),
('two', 89, 'en', 'node_search', 27),
('two', 90, 'en', 'node_search', 32.8516),
('type', 5, 'en', 'node_search', 27),
('type', 6, 'en', 'node_search', 27),
('type', 7, 'en', 'node_search', 27),
('type', 8, 'en', 'node_search', 27),
('type', 9, 'en', 'node_search', 27),
('typography', 1, 'en', 'node_search', 7),
('ullam', 2, 'en', 'node_search', 3.1381),
('ullam', 84, 'en', 'node_search', 1),
('ullam', 85, 'en', 'node_search', 1.81937),
('ullam', 86, 'en', 'node_search', 1.84767),
('ullam', 87, 'en', 'node_search', 1.84767),
('ullam', 88, 'en', 'node_search', 1.84767),
('ullam', 89, 'en', 'node_search', 1),
('ullam', 90, 'en', 'node_search', 1),
('ullam', 91, 'en', 'node_search', 1),
('ullamco', 15, 'en', 'node_search', 0.848323),
('ullamco', 23, 'en', 'node_search', 2.86941),
('ullamco', 41, 'en', 'node_search', 1),
('ullamco', 42, 'en', 'node_search', 1),
('ullamco', 43, 'en', 'node_search', 1),
('ullamco', 44, 'en', 'node_search', 1),
('ullamco', 45, 'en', 'node_search', 1),
('ullamco', 49, 'en', 'node_search', 1),
('ullamco', 51, 'en', 'node_search', 1),
('ullamco', 64, 'en', 'node_search', 1),
('ullamco', 65, 'en', 'node_search', 1),
('ullamco', 66, 'en', 'node_search', 1),
('ullamco', 67, 'en', 'node_search', 1),
('ullamco', 68, 'en', 'node_search', 1),
('ullamco', 69, 'en', 'node_search', 1),
('ullamco', 70, 'en', 'node_search', 1),
('ullamco', 71, 'en', 'node_search', 1),
('ullamco', 72, 'en', 'node_search', 1),
('ullamco', 73, 'en', 'node_search', 1),
('ullamco', 74, 'en', 'node_search', 1),
('ullamco', 75, 'en', 'node_search', 1),
('ullamco', 76, 'en', 'node_search', 1),
('ullamco', 77, 'en', 'node_search', 1),
('ullamco', 78, 'en', 'node_search', 1),
('ullamco', 79, 'en', 'node_search', 1),
('ullamco', 80, 'en', 'node_search', 1),
('ullamco', 81, 'en', 'node_search', 1),
('ullamco', 84, 'en', 'node_search', 1.72211),
('ullamco', 89, 'en', 'node_search', 1.72211),
('ullamco', 90, 'en', 'node_search', 1.72211),
('ullamco', 91, 'en', 'node_search', 1.72211),
('ultricies', 1, 'en', 'node_search', 5),
('ultricies', 36, 'en', 'node_search', 17),
('ultricies', 37, 'en', 'node_search', 17),
('unde', 84, 'en', 'node_search', 0.949597),
('unde', 85, 'en', 'node_search', 0.839384),
('unde', 86, 'en', 'node_search', 0.851346),
('unde', 87, 'en', 'node_search', 0.851346),
('unde', 88, 'en', 'node_search', 0.851346),
('unde', 89, 'en', 'node_search', 0.949597),
('unde', 90, 'en', 'node_search', 0.949597),
('unde', 91, 'en', 'node_search', 0.949597),
('unique', 94, 'en', 'node_search', 1),
('unordered', 1, 'en', 'node_search', 16.6012),
('update', 1, 'en', 'node_search', 1.96498),
('updated', 1, 'en', 'node_search', 1),
('updates', 1, 'en', 'node_search', 0.957226),
('urna', 1, 'en', 'node_search', 2.60082),
('usercentric', 9, 'en', 'node_search', 1),
('usercentric', 10, 'en', 'node_search', 1),
('usercentric', 11, 'en', 'node_search', 1),
('usercentric', 12, 'en', 'node_search', 1),
('usercentric', 13, 'en', 'node_search', 1),
('usercentric', 14, 'en', 'node_search', 1),
('usercentric', 15, 'en', 'node_search', 1),
('username', 1, 'en', 'node_search', 0.736141),
('valueadded', 1, 'en', 'node_search', 1),
('valueadded', 4, 'en', 'node_search', 3),
('valueadded', 5, 'en', 'node_search', 3),
('valueadded', 6, 'en', 'node_search', 3),
('valueadded', 7, 'en', 'node_search', 3),
('valueadded', 8, 'en', 'node_search', 3),
('valueadded', 9, 'en', 'node_search', 3),
('valueadded', 10, 'en', 'node_search', 3),
('valueadded', 11, 'en', 'node_search', 3),
('valueadded', 12, 'en', 'node_search', 3),
('valueadded', 13, 'en', 'node_search', 3),
('valueadded', 14, 'en', 'node_search', 3),
('valueadded', 15, 'en', 'node_search', 3),
('valueadded', 18, 'en', 'node_search', 3),
('valueadded', 19, 'en', 'node_search', 3),
('valueadded', 20, 'en', 'node_search', 3),
('valueadded', 21, 'en', 'node_search', 3),
('valueadded', 22, 'en', 'node_search', 3),
('valueadded', 23, 'en', 'node_search', 1),
('valueadded', 46, 'en', 'node_search', 3),
('vectors', 1, 'en', 'node_search', 2),
('vectors', 4, 'en', 'node_search', 3),
('vectors', 5, 'en', 'node_search', 3),
('vectors', 6, 'en', 'node_search', 3),
('vectors', 7, 'en', 'node_search', 3),
('vectors', 8, 'en', 'node_search', 3),
('vectors', 9, 'en', 'node_search', 4),
('vectors', 10, 'en', 'node_search', 3),
('vectors', 11, 'en', 'node_search', 3),
('vectors', 12, 'en', 'node_search', 3),
('vectors', 13, 'en', 'node_search', 3),
('vectors', 14, 'en', 'node_search', 3),
('vectors', 15, 'en', 'node_search', 3),
('vectors', 18, 'en', 'node_search', 4),
('vectors', 19, 'en', 'node_search', 4),
('vectors', 20, 'en', 'node_search', 4),
('vectors', 21, 'en', 'node_search', 4),
('vectors', 22, 'en', 'node_search', 4),
('vectors', 23, 'en', 'node_search', 2),
('vectors', 46, 'en', 'node_search', 4),
('vegan', 2, 'en', 'node_search', 3.68215),
('vegan', 39, 'en', 'node_search', 5),
('vehicula', 1, 'en', 'node_search', 5),
('vehicula', 15, 'en', 'node_search', 28.4604),
('vehicula', 36, 'en', 'node_search', 17),
('vehicula', 37, 'en', 'node_search', 17),
('vel', 85, 'en', 'node_search', 2.69719),
('vel', 86, 'en', 'node_search', 2.72166),
('vel', 87, 'en', 'node_search', 2.72166),
('vel', 88, 'en', 'node_search', 2.72166),
('velit', 1, 'en', 'node_search', 5),
('velit', 23, 'en', 'node_search', 1.9347),
('velit', 33, 'en', 'node_search', 1),
('velit', 36, 'en', 'node_search', 2),
('velit', 37, 'en', 'node_search', 2),
('velit', 41, 'en', 'node_search', 1),
('velit', 42, 'en', 'node_search', 1),
('velit', 43, 'en', 'node_search', 1),
('velit', 44, 'en', 'node_search', 1),
('velit', 45, 'en', 'node_search', 1),
('velit', 48, 'en', 'node_search', 1),
('velit', 50, 'en', 'node_search', 1),
('velit', 51, 'en', 'node_search', 1),
('velit', 64, 'en', 'node_search', 1),
('velit', 65, 'en', 'node_search', 1),
('velit', 66, 'en', 'node_search', 1),
('velit', 67, 'en', 'node_search', 1),
('velit', 68, 'en', 'node_search', 1),
('velit', 69, 'en', 'node_search', 1),
('velit', 70, 'en', 'node_search', 1),
('velit', 71, 'en', 'node_search', 1),
('velit', 72, 'en', 'node_search', 1),
('velit', 73, 'en', 'node_search', 1),
('velit', 74, 'en', 'node_search', 1),
('velit', 75, 'en', 'node_search', 1),
('velit', 76, 'en', 'node_search', 1),
('velit', 77, 'en', 'node_search', 1),
('velit', 78, 'en', 'node_search', 1),
('velit', 79, 'en', 'node_search', 1),
('velit', 80, 'en', 'node_search', 1),
('velit', 81, 'en', 'node_search', 1),
('velit', 84, 'en', 'node_search', 3.65347),
('velit', 85, 'en', 'node_search', 0.949597),
('velit', 86, 'en', 'node_search', 0.96498),
('velit', 87, 'en', 'node_search', 0.96498),
('velit', 88, 'en', 'node_search', 0.96498),
('velit', 89, 'en', 'node_search', 3.65347),
('velit', 90, 'en', 'node_search', 3.65347),
('velit', 91, 'en', 'node_search', 3.65347),
('velit', 92, 'en', 'node_search', 1),
('venenatis', 1, 'en', 'node_search', 5),
('venenatis', 9, 'en', 'node_search', 1),
('venenatis', 36, 'en', 'node_search', 5),
('venenatis', 37, 'en', 'node_search', 5),
('veniam', 2, 'en', 'node_search', 6.36638),
('veniam', 15, 'en', 'node_search', 0.860547),
('veniam', 23, 'en', 'node_search', 1.9347),
('veniam', 41, 'en', 'node_search', 1),
('veniam', 42, 'en', 'node_search', 1),
('veniam', 43, 'en', 'node_search', 1),
('veniam', 44, 'en', 'node_search', 1),
('veniam', 45, 'en', 'node_search', 1),
('veniam', 47, 'en', 'node_search', 1),
('veniam', 49, 'en', 'node_search', 1),
('veniam', 51, 'en', 'node_search', 1),
('veniam', 64, 'en', 'node_search', 1),
('veniam', 65, 'en', 'node_search', 1),
('veniam', 66, 'en', 'node_search', 1),
('veniam', 67, 'en', 'node_search', 1),
('veniam', 68, 'en', 'node_search', 1),
('veniam', 69, 'en', 'node_search', 1),
('veniam', 70, 'en', 'node_search', 1),
('veniam', 71, 'en', 'node_search', 1),
('veniam', 72, 'en', 'node_search', 1),
('veniam', 73, 'en', 'node_search', 1),
('veniam', 74, 'en', 'node_search', 1),
('veniam', 75, 'en', 'node_search', 1),
('veniam', 76, 'en', 'node_search', 1),
('veniam', 77, 'en', 'node_search', 1),
('veniam', 78, 'en', 'node_search', 1),
('veniam', 79, 'en', 'node_search', 1),
('veniam', 80, 'en', 'node_search', 1),
('veniam', 81, 'en', 'node_search', 1),
('veniam', 84, 'en', 'node_search', 4.70185),
('veniam', 89, 'en', 'node_search', 4.70185),
('veniam', 90, 'en', 'node_search', 4.70185),
('veniam', 91, 'en', 'node_search', 4.70185),
('veniam', 92, 'en', 'node_search', 1),
('veritatis', 1, 'en', 'node_search', 1),
('veritatis', 36, 'en', 'node_search', 4),
('veritatis', 37, 'en', 'node_search', 4),
('veritatis', 85, 'en', 'node_search', 0.827757),
('veritatis', 86, 'en', 'node_search', 0.839384),
('veritatis', 87, 'en', 'node_search', 0.839384),
('veritatis', 88, 'en', 'node_search', 0.839384),
('vero', 84, 'en', 'node_search', 2),
('vero', 85, 'en', 'node_search', 0.923838),
('vero', 86, 'en', 'node_search', 0.938382),
('vero', 87, 'en', 'node_search', 0.938382),
('vero', 88, 'en', 'node_search', 0.938382),
('vero', 89, 'en', 'node_search', 2),
('vero', 90, 'en', 'node_search', 2),
('vero', 91, 'en', 'node_search', 2),
('versace', 41, 'en', 'node_search', 27),
('version', 1, 'en', 'node_search', 0.993146),
('vertical', 2, 'en', 'node_search', 12.9471),
('verticaltab1', 2, 'en', 'node_search', 2.2617),
('verticaltab2', 2, 'en', 'node_search', 2.25695),
('verticaltab3', 2, 'en', 'node_search', 2.25223),
('vhs', 2, 'en', 'node_search', 3.65117),
('vhs', 39, 'en', 'node_search', 5),
('via', 9, 'en', 'node_search', 1),
('via', 10, 'en', 'node_search', 1),
('via', 11, 'en', 'node_search', 1),
('via', 12, 'en', 'node_search', 1),
('via', 13, 'en', 'node_search', 1),
('via', 14, 'en', 'node_search', 1),
('via', 15, 'en', 'node_search', 1),
('vice', 2, 'en', 'node_search', 3.67677),
('vice', 39, 'en', 'node_search', 5),
('vice', 43, 'en', 'node_search', 1),
('vice', 44, 'en', 'node_search', 1),
('video', 55, 'en', 'node_search', 27),
('view', 12, 'en', 'node_search', 1),
('view', 40, 'en', 'node_search', 1),
('view', 53, 'en', 'node_search', 1),
('view', 59, 'en', 'node_search', 1),
('view', 61, 'en', 'node_search', 1),
('view', 62, 'en', 'node_search', 1),
('view', 70, 'en', 'node_search', 1),
('view', 71, 'en', 'node_search', 1),
('view', 91, 'en', 'node_search', 0.816452),
('views', 1, 'en', 'node_search', 0.703756),
('views', 2, 'en', 'node_search', 0.524706),
('views', 4, 'en', 'node_search', 1),
('views', 5, 'en', 'node_search', 1),
('views', 6, 'en', 'node_search', 1),
('views', 7, 'en', 'node_search', 1),
('views', 8, 'en', 'node_search', 1),
('views', 9, 'en', 'node_search', 0.96498),
('views', 13, 'en', 'node_search', 1),
('views', 14, 'en', 'node_search', 1),
('views', 15, 'en', 'node_search', 1),
('views', 17, 'en', 'node_search', 1),
('views', 18, 'en', 'node_search', 1),
('views', 19, 'en', 'node_search', 1),
('views', 20, 'en', 'node_search', 1),
('views', 21, 'en', 'node_search', 1),
('views', 22, 'en', 'node_search', 1),
('views', 23, 'en', 'node_search', 0.931053),
('views', 35, 'en', 'node_search', 1),
('views', 41, 'en', 'node_search', 1),
('views', 42, 'en', 'node_search', 1),
('views', 43, 'en', 'node_search', 1),
('views', 44, 'en', 'node_search', 1),
('views', 45, 'en', 'node_search', 1),
('views', 46, 'en', 'node_search', 1),
('views', 51, 'en', 'node_search', 1),
('views', 56, 'en', 'node_search', 1),
('views', 57, 'en', 'node_search', 1),
('views', 58, 'en', 'node_search', 1),
('views', 63, 'en', 'node_search', 1),
('views', 64, 'en', 'node_search', 1),
('views', 65, 'en', 'node_search', 1),
('views', 66, 'en', 'node_search', 1),
('views', 67, 'en', 'node_search', 1),
('views', 68, 'en', 'node_search', 1),
('views', 69, 'en', 'node_search', 1),
('views', 74, 'en', 'node_search', 1),
('views', 75, 'en', 'node_search', 1),
('views', 76, 'en', 'node_search', 1),
('views', 77, 'en', 'node_search', 1),
('views', 78, 'en', 'node_search', 1),
('views', 79, 'en', 'node_search', 1),
('views', 80, 'en', 'node_search', 1),
('views', 81, 'en', 'node_search', 1),
('views', 84, 'en', 'node_search', 2.44966),
('views', 85, 'en', 'node_search', 0.779231),
('views', 86, 'en', 'node_search', 0.797402),
('views', 87, 'en', 'node_search', 0.794753),
('views', 88, 'en', 'node_search', 0.792123),
('views', 89, 'en', 'node_search', 1.63593),
('views', 90, 'en', 'node_search', 2.44966),
('views', 91, 'en', 'node_search', 1.63051),
('views', 92, 'en', 'node_search', 1),
('views', 93, 'en', 'node_search', 2),
('views', 94, 'en', 'node_search', 1),
('views', 95, 'en', 'node_search', 1),
('vimeo', 2, 'en', 'node_search', 12),
('vitae', 1, 'en', 'node_search', 5),
('vitae', 9, 'en', 'node_search', 1),
('vitae', 36, 'en', 'node_search', 17),
('vitae', 37, 'en', 'node_search', 17),
('vitae', 84, 'en', 'node_search', 1),
('vitae', 85, 'en', 'node_search', 1),
('vitae', 86, 'en', 'node_search', 1),
('vitae', 87, 'en', 'node_search', 1),
('vitae', 88, 'en', 'node_search', 1),
('vitae', 89, 'en', 'node_search', 1),
('vitae', 90, 'en', 'node_search', 1),
('vitae', 91, 'en', 'node_search', 1),
('viverra', 1, 'en', 'node_search', 2.59757),
('voluptas', 84, 'en', 'node_search', 2.9496),
('voluptas', 85, 'en', 'node_search', 1),
('voluptas', 86, 'en', 'node_search', 1),
('voluptas', 87, 'en', 'node_search', 1),
('voluptas', 88, 'en', 'node_search', 1),
('voluptas', 89, 'en', 'node_search', 2.9496),
('voluptas', 90, 'en', 'node_search', 2.9496),
('voluptas', 91, 'en', 'node_search', 2.9496),
('voluptate', 2, 'en', 'node_search', 3.09906),
('voluptate', 23, 'en', 'node_search', 1.9347),
('voluptate', 33, 'en', 'node_search', 1),
('voluptate', 41, 'en', 'node_search', 1),
('voluptate', 42, 'en', 'node_search', 1),
('voluptate', 43, 'en', 'node_search', 1),
('voluptate', 44, 'en', 'node_search', 1),
('voluptate', 45, 'en', 'node_search', 1),
('voluptate', 48, 'en', 'node_search', 1),
('voluptate', 50, 'en', 'node_search', 1),
('voluptate', 51, 'en', 'node_search', 1),
('voluptate', 64, 'en', 'node_search', 1),
('voluptate', 65, 'en', 'node_search', 1),
('voluptate', 66, 'en', 'node_search', 1),
('voluptate', 67, 'en', 'node_search', 1),
('voluptate', 68, 'en', 'node_search', 1),
('voluptate', 69, 'en', 'node_search', 1),
('voluptate', 70, 'en', 'node_search', 1),
('voluptate', 71, 'en', 'node_search', 1),
('voluptate', 72, 'en', 'node_search', 1),
('voluptate', 73, 'en', 'node_search', 1),
('voluptate', 74, 'en', 'node_search', 1),
('voluptate', 75, 'en', 'node_search', 1),
('voluptate', 76, 'en', 'node_search', 1),
('voluptate', 77, 'en', 'node_search', 1),
('voluptate', 78, 'en', 'node_search', 1),
('voluptate', 79, 'en', 'node_search', 1),
('voluptate', 80, 'en', 'node_search', 1),
('voluptate', 81, 'en', 'node_search', 1),
('voluptate', 84, 'en', 'node_search', 1.69559),
('voluptate', 85, 'en', 'node_search', 1.81645),
('voluptate', 86, 'en', 'node_search', 1.82776),
('voluptate', 87, 'en', 'node_search', 1.82776),
('voluptate', 88, 'en', 'node_search', 1.82776),
('voluptate', 89, 'en', 'node_search', 1.69559),
('voluptate', 90, 'en', 'node_search', 1.69559),
('voluptate', 91, 'en', 'node_search', 1.69559),
('voluptatem', 85, 'en', 'node_search', 1),
('voluptatem', 86, 'en', 'node_search', 1),
('voluptatem', 87, 'en', 'node_search', 1),
('voluptatem', 88, 'en', 'node_search', 1),
('voluptates', 2, 'en', 'node_search', 3.10483),
('voluptates', 84, 'en', 'node_search', 1),
('voluptates', 85, 'en', 'node_search', 0.920273),
('voluptates', 86, 'en', 'node_search', 0.934703),
('voluptates', 87, 'en', 'node_search', 0.934703),
('voluptates', 88, 'en', 'node_search', 0.934703),
('voluptates', 89, 'en', 'node_search', 1),
('voluptates', 90, 'en', 'node_search', 1),
('voluptates', 91, 'en', 'node_search', 1),
('voluptates', 92, 'en', 'node_search', 1),
('voluptatibus', 36, 'en', 'node_search', 4),
('voluptatibus', 37, 'en', 'node_search', 4),
('voluptatibus', 85, 'en', 'node_search', 1.87634),
('voluptatibus', 86, 'en', 'node_search', 1.8894),
('voluptatibus', 87, 'en', 'node_search', 1.8894),
('voluptatibus', 88, 'en', 'node_search', 1.8894),
('voluptatibus', 93, 'en', 'node_search', 1),
('voluptatum', 84, 'en', 'node_search', 1.9496),
('voluptatum', 85, 'en', 'node_search', 0.997306),
('voluptatum', 86, 'en', 'node_search', 1),
('voluptatum', 87, 'en', 'node_search', 1),
('voluptatum', 88, 'en', 'node_search', 1),
('voluptatum', 89, 'en', 'node_search', 1.9496),
('voluptatum', 90, 'en', 'node_search', 1.9496),
('voluptatum', 91, 'en', 'node_search', 1.9496),
('volutpat', 1, 'en', 'node_search', 2.62086),
('warning', 1, 'en', 'node_search', 0.945829),
('warning', 2, 'en', 'node_search', 2.19707),
('was', 57, 'en', 'node_search', 1),
('waylon', 65, 'en', 'node_search', 27),
('waylon', 89, 'en', 'node_search', 36.566),
('waylon', 90, 'en', 'node_search', 36.566),
('web', 66, 'en', 'node_search', 1),
('webreadiness', 9, 'en', 'node_search', 11),
('webreadiness', 10, 'en', 'node_search', 11),
('webreadiness', 11, 'en', 'node_search', 11),
('webreadiness', 12, 'en', 'node_search', 11),
('webreadiness', 13, 'en', 'node_search', 11),
('webreadiness', 14, 'en', 'node_search', 11),
('webreadiness', 15, 'en', 'node_search', 11),
('wed', 1, 'en', 'node_search', 0.712106),
('wed', 39, 'en', 'node_search', 1),
('wed', 62, 'en', 'node_search', 1),
('wed', 63, 'en', 'node_search', 1),
('weekly', 62, 'en', 'node_search', 11),
('well', 1, 'en', 'node_search', 2.46056),
('wes', 2, 'en', 'node_search', 3.68946),
('wes', 39, 'en', 'node_search', 5),
('west', 84, 'en', 'node_search', 1),
('west', 85, 'en', 'node_search', 1),
('west', 86, 'en', 'node_search', 1),
('west', 87, 'en', 'node_search', 1),
('west', 88, 'en', 'node_search', 1),
('west', 89, 'en', 'node_search', 1),
('west', 90, 'en', 'node_search', 1),
('west', 91, 'en', 'node_search', 1),
('west', 92, 'en', 'node_search', 1),
('whereas', 4, 'en', 'node_search', 2),
('whereas', 5, 'en', 'node_search', 2),
('whereas', 6, 'en', 'node_search', 2),
('whereas', 7, 'en', 'node_search', 2),
('whereas', 8, 'en', 'node_search', 2),
('whereas', 9, 'en', 'node_search', 2),
('whereas', 10, 'en', 'node_search', 2),
('whereas', 11, 'en', 'node_search', 2),
('whereas', 12, 'en', 'node_search', 2),
('whereas', 13, 'en', 'node_search', 2),
('whereas', 14, 'en', 'node_search', 2),
('whereas', 15, 'en', 'node_search', 2),
('whereas', 18, 'en', 'node_search', 2),
('whereas', 19, 'en', 'node_search', 2),
('whereas', 20, 'en', 'node_search', 2),
('whereas', 21, 'en', 'node_search', 2),
('whereas', 22, 'en', 'node_search', 2),
('whereas', 46, 'en', 'node_search', 2),
('whooops', 57, 'en', 'node_search', 27),
('width', 2, 'en', 'node_search', 4.8484),
('width', 16, 'en', 'node_search', 27),
('width', 59, 'en', 'node_search', 27),
('windows', 2, 'en', 'node_search', 90),
('with', 1, 'en', 'node_search', 26.6116),
('with', 2, 'en', 'node_search', 48),
('with', 4, 'en', 'node_search', 23),
('with', 5, 'en', 'node_search', 23),
('with', 6, 'en', 'node_search', 23),
('with', 7, 'en', 'node_search', 23),
('with', 8, 'en', 'node_search', 23),
('with', 9, 'en', 'node_search', 24),
('with', 10, 'en', 'node_search', 23),
('with', 11, 'en', 'node_search', 23),
('with', 12, 'en', 'node_search', 23),
('with', 13, 'en', 'node_search', 23),
('with', 14, 'en', 'node_search', 23),
('with', 15, 'en', 'node_search', 23),
('with', 18, 'en', 'node_search', 24),
('with', 19, 'en', 'node_search', 24),
('with', 20, 'en', 'node_search', 24),
('with', 21, 'en', 'node_search', 24),
('with', 22, 'en', 'node_search', 24),
('with', 23, 'en', 'node_search', 2),
('with', 46, 'en', 'node_search', 24),
('with', 94, 'en', 'node_search', 1),
('wolf', 2, 'en', 'node_search', 7.45769),
('wolf', 39, 'en', 'node_search', 10),
('workshop', 88, 'en', 'node_search', 8.88993),
('worldwide', 94, 'en', 'node_search', 17),
('wwwfacebookcom', 41, 'en', 'node_search', 1),
('wwwfacebookcom', 42, 'en', 'node_search', 1),
('wwwfacebookcom', 43, 'en', 'node_search', 1),
('wwwfacebookcom', 44, 'en', 'node_search', 1),
('wwwfacebookcom', 45, 'en', 'node_search', 1),
('wwwfacebookcom', 51, 'en', 'node_search', 1),
('wwwfacebookcom', 64, 'en', 'node_search', 1),
('wwwfacebookcom', 65, 'en', 'node_search', 1),
('wwwfacebookcom', 66, 'en', 'node_search', 1),
('wwwfacebookcom', 67, 'en', 'node_search', 1),
('wwwfacebookcom', 68, 'en', 'node_search', 1),
('wwwfacebookcom', 69, 'en', 'node_search', 1),
('wwwlinkedincom', 41, 'en', 'node_search', 1),
('wwwlinkedincom', 42, 'en', 'node_search', 1),
('wwwlinkedincom', 43, 'en', 'node_search', 1),
('wwwlinkedincom', 44, 'en', 'node_search', 1),
('wwwlinkedincom', 45, 'en', 'node_search', 1),
('wwwlinkedincom', 51, 'en', 'node_search', 1),
('wwwlinkedincom', 64, 'en', 'node_search', 1),
('wwwlinkedincom', 65, 'en', 'node_search', 1),
('wwwlinkedincom', 66, 'en', 'node_search', 1),
('wwwlinkedincom', 67, 'en', 'node_search', 1),
('wwwlinkedincom', 68, 'en', 'node_search', 1),
('wwwlinkedincom', 69, 'en', 'node_search', 1),
('wwwyoutubecom', 64, 'en', 'node_search', 1),
('yellow', 19, 'en', 'node_search', 11),
('you', 1, 'en', 'node_search', 0.972861),
('you', 2, 'en', 'node_search', 3.66116),
('you', 23, 'en', 'node_search', 1),
('you', 39, 'en', 'node_search', 5),
('you', 57, 'en', 'node_search', 1),
('young', 94, 'en', 'node_search', 18),
('your', 1, 'en', 'node_search', 1.97416),
('your', 23, 'en', 'node_search', 1),
('youtube', 2, 'en', 'node_search', 12),
('youtubecom', 41, 'en', 'node_search', 1),
('youtubecom', 42, 'en', 'node_search', 1),
('youtubecom', 43, 'en', 'node_search', 1),
('youtubecom', 44, 'en', 'node_search', 1),
('youtubecom', 45, 'en', 'node_search', 1),
('youtubecom', 51, 'en', 'node_search', 1),
('youtubecom', 65, 'en', 'node_search', 1),
('youtubecom', 66, 'en', 'node_search', 1),
('youtubecom', 67, 'en', 'node_search', 1),
('youtubecom', 68, 'en', 'node_search', 1),
('youtubecom', 69, 'en', 'node_search', 1),
('zonder', 42, 'en', 'node_search', 27);

-- --------------------------------------------------------

--
-- Table structure for table `search_total`
--

CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf''s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores search totals for words.';

--
-- Dumping data for table `search_total`
--

INSERT INTO `search_total` VALUES
('1', 0.00347775),
('10', 0.208163),
('100', 0.083745),
('10072016', 0.30103),
('10272016', 0.09691),
('1059', 0.30103),
('108900', 0.30103),
('11', 0.30103),
('1112018', 0.0669468),
('11142016', 0.176091),
('1123', 0.30103),
('1125', 0.176091),
('1127', 0.30103),
('11292016', 0.30103),
('1172017', 0.30103),
('119', 0.30103),
('1192018', 0.0669468),
('119300', 0.30103),
('12', 0.30103),
('1200', 0.0300678),
('12012016', 0.176091),
('12022016', 0.30103),
('1213', 0.30103),
('1217', 0.30103),
('12222017', 0.0669468),
('1231', 0.30103),
('1254', 0.30103),
('1256', 0.30103),
('1259', 0.30103),
('1262017', 0.30103),
('13', 0.176091),
('1301', 0.30103),
('1302', 0.30103),
('1305', 0.30103),
('1308', 0.30103),
('1312', 0.30103),
('1317', 0.30103),
('132', 0.30103),
('1320', 0.30103),
('1326', 0.30103),
('1353', 0.30103),
('14', 0.139565),
('1412', 0.30103),
('1427', 0.30103),
('1443', 0.30103),
('1448', 0.30103),
('1501', 0.30103),
('1502', 0.30103),
('1503', 0.30103),
('1505', 0.30103),
('1506', 0.30103),
('154', 0.193469),
('1599', 0.30103),
('1600', 0.09691),
('17', 0.30103),
('1705', 0.30103),
('1726', 0.30103),
('1727', 0.30103),
('1728', 0.176091),
('1729', 0.176091),
('1744', 0.30103),
('1746', 0.30103),
('1747', 0.176091),
('1748', 0.30103),
('1750', 0.30103),
('1751', 0.30103),
('1752', 0.30103),
('1757', 0.30103),
('181', 0.30103),
('1818', 0.30103),
('1822', 0.30103),
('1825', 0.30103),
('1826', 0.30103),
('1828', 0.30103),
('1829', 0.30103),
('183', 0.30103),
('1833', 0.30103),
('18900', 0.30103),
('19', 0.30103),
('1930', 0.30103),
('1943', 0.30103),
('1945', 0.30103),
('1958', 0.30103),
('199', 0.30103),
('2', 0.00186758),
('20', 0.0579788),
('200', 0.30103),
('2002', 0.30103),
('2004', 0.30103),
('2016', 0.0669468),
('2018', 0.30103),
('2027', 0.30103),
('2045', 0.30103),
('2049', 0.30103),
('2050', 0.30103),
('2052', 0.30103),
('2053', 0.30103),
('2055', 0.30103),
('2072017', 0.30103),
('2092017', 0.30103),
('2109', 0.30103),
('2117', 0.30103),
('2118', 0.30103),
('2128', 0.30103),
('2131', 0.30103),
('2133', 0.30103),
('2134', 0.30103),
('2135', 0.30103),
('2150', 0.30103),
('2152', 0.30103),
('2204', 0.30103),
('221', 0.0669468),
('2228', 0.30103),
('2232018', 0.30103),
('2240', 0.30103),
('2244', 0.30103),
('2245', 0.30103),
('2247', 0.30103),
('2248', 0.30103),
('2249', 0.30103),
('2262018', 0.30103),
('23', 0.194121),
('2324', 0.177189),
('2325', 0.30103),
('235', 0.30103),
('24', 0.30103),
('27900', 0.30103),
('28', 0.104873),
('2900', 0.176091),
('299', 0.177487),
('3', 0.00272528),
('30', 0.30103),
('3022018', 0.124939),
('3082018', 0.124939),
('3152018', 0.124939),
('3182016', 0.30103),
('3222018', 0.30103),
('3312018', 0.176091),
('349', 0.30103),
('35', 0.282291),
('37', 0.30103),
('37900', 0.30103),
('3900', 0.30103),
('399', 0.30103),
('3b5897', 0.30103),
('4', 0.00755314),
('40', 0.0767397),
('400', 0.124939),
('42', 0.30103),
('429', 0.30103),
('45300', 0.30103),
('459', 0.30103),
('49', 0.189282),
('4900', 0.30103),
('4b842e', 0.30103),
('5', 0.0100303),
('5192018', 0.30103),
('5272018', 0.30103),
('57', 0.30103),
('599', 0.222943),
('6', 0.0612214),
('60', 0.115701),
('6012016', 0.30103),
('6032016', 0.30103),
('6072016', 0.0280907),
('6102016', 0.176091),
('6132016', 0.0511525),
('6142016', 0.30103),
('6162016', 0.176091),
('62000', 0.30103),
('68700', 0.30103),
('6t714i0qirrbifjsmv6fntm6ds', 0.30103),
('7', 0.0354279),
('7052017', 0.176091),
('78', 0.133758),
('8', 0.132182),
('80', 0.11601),
('800', 0.30103),
('800413', 0.30103),
('8242016', 0.30103),
('8262016', 0.30103),
('836', 0.30103),
('9', 0.124939),
('9022016', 0.30103),
('9262016', 0.0791812),
('94jv10llgutng208gpkrgfq38k', 0.30103),
('978', 0.30103),
('a112', 0.0669468),
('a13', 0.30103),
('a189', 0.30103),
('a658', 0.30103),
('abdullah', 0.00578559),
('about', 0.00390477),
('abstract', 0.00673338),
('accommodation', 0.00561804),
('accordion', 0.0197785),
('accordionexample1', 0.150694),
('accordionexample2', 0.154616),
('account', 0.0353431),
('accusamus', 0.0198317),
('accusantium', 0.0462087),
('achieve', 0.0248236),
('active', 0.122866),
('adaptive', 0.00357446),
('adipisci', 0.0370032),
('adipiscing', 0.0147707),
('adipisicing', 0.00623414),
('admin', 0.00501628),
('adult', 0.30103),
('advanced', 0.30103),
('aesthetic', 0.0474355),
('affiliation', 0.00607415),
('agendaday', 0.30103),
('agendaweek', 0.30103),
('aizasyane9yiaiu8vhgehpcgrvrdgwc2v2if0', 0.30103),
('album', 0.00267259),
('alias', 0.0182894),
('aliqua', 0.00946599),
('aliquam', 0.0224352),
('aliquet', 0.0457575),
('aliquid', 0.052109),
('aliquip', 0.012328),
('all', 0.217855),
('alt', 0.124939),
('alternative', 0.00532883),
('amed', 0.00386042),
('amet', 0.00348878),
('and', 0.0148957),
('anderson', 0.0473163),
('android', 0.00575233),
('anim', 0.00812502),
('animi', 0.0511525),
('another', 0.205208),
('ante', 0.00653087),
('any', 0.30103),
('apartment', 0.30103),
('aperiam', 0.0522058),
('apple', 0.00575233),
('appropriately', 0.00663058),
('apr', 0.30103),
('architecto', 0.0986004),
('arcu', 0.0678327),
('are', 0.176091),
('areas', 0.0299632),
('ariacontrols', 0.0503739),
('ariaexpanded', 0.108),
('arialabelledby', 0.108122),
('ariamultiselectable', 0.261802),
('ariavaluemax', 0.136699),
('ariavaluemin', 0.136645),
('ariavaluenow', 0.136592),
('art', 0.0118992),
('article', 0.00267259),
('asperiores', 0.0546675),
('aspernatur', 0.0575439),
('assistant', 0.30103),
('assumenda', 0.0182281),
('atque', 0.0178763),
('audio', 0.30103),
('augue', 0.0103413),
('aut', 0.0373795),
('aute', 0.00945954),
('autem', 0.0623639),
('available', 0.146567),
('awesome', 0.0255049),
('balance', 0.0377886),
('banner', 0.134391),
('bars', 0.0450507),
('beatae', 0.0293907),
('becoming', 0.30103),
('been', 0.30103),
('beer', 0.024319),
('behance', 0.0347621),
('behne', 0.0157943),
('bekki', 0.0157943),
('bgdanger', 0.285606),
('bgdefault', 0.30103),
('bginfo', 0.284908),
('bgsuccess', 0.284673),
('bgwarning', 0.285373),
('biology', 0.30103),
('biomedics', 0.30103),
('bird', 0.043786),
('bitbucket', 0.00479888),
('black', 0.00657318),
('blanditiis', 0.111111),
('blockquote', 0.0263289),
('blocks', 0.0157943),
('bonanno', 0.0157943),
('book', 0.00655597),
('bordered', 0.01524),
('boxed', 0.0157943),
('brian', 0.0413927),
('brunch', 0.0242105),
('btc', 0.00479888),
('building', 0.0457575),
('butcher', 0.0473631),
('button', 0.00856225),
('buttons', 0.032982),
('buy', 0.00557481),
('calendar', 0.30103),
('card', 0.107284),
('cardbody', 0.108162),
('cardheader', 0.0569818),
('cardtitle', 0.107644),
('carlos', 0.0157943),
('category', 0.00562137),
('cell', 0.0871133),
('center', 0.30103),
('ceo', 0.09691),
('ceremony', 0.0138234),
('chair', 0.30103),
('charlotte', 0.0157943),
('check', 0.30103),
('chief', 0.30103),
('cillum', 0.0120007),
('class', 0.00147748),
('cliche', 0.046928),
('cobb', 0.011281),
('cocktail', 0.0193052),
('coffee', 0.0472289),
('collapse', 0.0572938),
('collapsed', 0.153578),
('collapsefive', 0.196303),
('collapsefour', 0.19554),
('collapsegroup', 0.191345),
('collapseone', 0.190411),
('collapsesix', 0.197065),
('collapsethree', 0.194008),
('collapsetwo', 0.193112),
('colmd3', 0.0347621),
('colmd4', 0.0413927),
('colmd6', 0.09691),
('colmd8', 0.09691),
('colmd9', 0.09691),
('color', 0.176091),
('comments', 0.0813774),
('commitment', 0.30103),
('committee', 0.30103),
('commodi', 0.0288137),
('commodo', 0.00682033),
('communicate', 0.00663058),
('communication', 0.30103),
('communications', 0.30103),
('company', 0.30103),
('compellingly', 0.0579919),
('competitive', 0.00102307),
('complete', 0.0376864),
('conclusion', 0.00812225),
('condimentum', 0.30103),
('conference', 0.0234811),
('configure', 0.0288164),
('congue', 0.146077),
('consectetuer', 0.0143383),
('consectetur', 0.00528499),
('consequat', 0.0126739),
('consequatur', 0.0210244),
('consequuntur', 0.109347),
('consetatur', 0.00386042),
('consultation', 0.0377886),
('continually', 0.00663058),
('convallis', 0.0107912),
('conveniently', 0.0115819),
('corporis', 0.0511525),
('corrupti', 0.037699),
('counselor', 0.30103),
('craft', 0.0243164),
('cred', 0.0473258),
('cruz', 0.0157943),
('css3', 0.00479888),
('cta', 0.0157943),
('culpa', 0.0076704),
('cum', 0.09691),
('cumque', 0.0240254),
('cupidatat', 0.00909119),
('cupiditate', 0.0227028),
('curriculum', 0.30103),
('cursus', 0.30103),
('dalton', 0.00432502),
('danger', 0.28158),
('dapibus', 0.0457575),
('dataoriginaltitle', 0.0299632),
('dataparent', 0.108081),
('dataplacement', 0.0299632),
('datatoggle', 0.0191864),
('debitis', 0.119492),
('dedicated', 0.0248236),
('default', 0.0344347),
('delectus', 0.0353326),
('denim', 0.0474266),
('deserunt', 0.0108543),
('designer', 0.30103),
('dickinson', 0.0157943),
('dicta', 0.101135),
('dignissimos', 0.0341258),
('directions', 0.0119642),
('director', 0.176091),
('distinctio', 0.0316395),
('div', 0.00252168),
('document', 0.30103),
('doe', 0.0791812),
('dolor', 0.00154005),
('dolore', 0.00511221),
('dolorem', 0.0228298),
('doloremque', 0.0522058),
('dolores', 0.30103),
('doloribus', 0.0321847),
('dolorison', 0.30103),
('dolorum', 0.0351322),
('donec', 0.00570515),
('download', 0.0288616),
('dribbble', 0.0347621),
('dropbox', 0.00479888),
('dropcaps', 0.0303433),
('dropdown', 0.035763),
('drupal', 0.30103),
('ducimus', 0.09691),
('dui', 0.00590886),
('duis', 0.00557238),
('dvd', 0.176091),
('each', 0.30103),
('eaque', 0.0231657),
('earum', 0.0382116),
('eenable', 0.00663058),
('effect', 0.0193052),
('egestas', 0.0100559),
('eget', 0.30103),
('either', 0.30103),
('eius', 0.0211013),
('eiusmod', 0.00727603),
('element', 0.30103),
('eligendi', 0.037438),
('elit', 0.0033998),
('enable', 0.0118992),
('engineer', 0.176091),
('enim', 0.00886521),
('enjoy', 0.0222764),
('ensure', 0.30103),
('enterprisewide', 0.00560388),
('entry', 0.00796893),
('eos', 0.0274878),
('eposter', 0.0473318),
('erat', 0.00637673),
('eros', 0.140679),
('error', 0.0939372),
('esse', 0.0106409),
('est', 0.00899605),
('eum', 0.0348865),
('eveniet', 0.0362343),
('event', 0.00296731),
('eventsources', 0.30103),
('excepteur', 0.00909381),
('excepturi', 0.0277399),
('exercitation', 0.0120235),
('exercitationem', 0.0559617),
('exists', 0.30103),
('expedita', 0.026047),
('expert', 0.30103),
('expertise', 0.00575233),
('explicabo', 0.0791812),
('extra', 0.0263289),
('extralarge', 0.176091),
('faandroid', 0.0791812),
('faapple', 0.0791812),
('fab', 0.00532883),
('fabitbucket', 0.0669468),
('fabtc', 0.0669468),
('facaretright', 0.176091),
('facebook', 0.00423705),
('facere', 0.0200249),
('facheck', 0.30103),
('facheckcircle', 0.30103),
('facilis', 0.0321847),
('facss3', 0.0669468),
('facustom', 0.30103),
('fade', 0.0864047),
('fadropbox', 0.0669468),
('fafacebook', 0.0669468),
('fafax', 0.30103),
('fagithub', 0.0791812),
('fahtml5', 0.0669468),
('falinux', 0.0669468),
('false', 0.153975),
('famapmarker', 0.30103),
('famaxcdn', 0.0669468),
('fames', 0.016025),
('family', 0.30103),
('faphone', 0.30103),
('faplus', 0.30103),
('faq', 0.0157943),
('farmtotable', 0.0474087),
('faskype', 0.0669468),
('fasquare', 0.30103),
('fastar', 0.30103),
('fat', 0.30103),
('fatwitter', 0.0669468),
('faucibus', 0.176091),
('fawindows', 0.0669468),
('feature', 0.09691),
('feel', 0.0222764),
('fermentum', 0.30103),
('ffffff', 0.176091),
('fields', 0.017529),
('fieldset', 0.0327717),
('fifth', 0.00877392),
('file', 0.0242321),
('find', 0.0476275),
('first', 0.00206906),
('five', 0.00497185),
('following', 0.30103),
('font', 0.0255049),
('fontawesomecom', 0.0685596),
('food', 0.0471268),
('footer', 0.0157943),
('for', 0.00560744),
('foundation', 0.30103),
('founder', 0.09691),
('four', 0.00305087),
('fourth', 0.00179091),
('fourths', 0.00673338),
('free', 0.00782534),
('fri', 0.0180936),
('frictionless', 0.0115819),
('front', 0.0157943),
('fuga', 0.0520105),
('fugiat', 0.00896298),
('fugit', 0.0203065),
('full', 0.00796893),
('fullcalendar', 0.30103),
('fullcalendargoogle', 0.30103),
('fully', 0.00663058),
('function', 0.30103),
('functionalities', 0.0579919),
('gallery', 0.0157943),
('get', 0.00957172),
('github', 0.00575233),
('glass', 0.0157943),
('goalsetting', 0.30103),
('goes', 0.204341),
('gold', 0.00975984),
('google', 0.0321847),
('googlecalendarapikey', 0.30103),
('googlecalendarid', 0.176091),
('gorgeous', 0.0222764),
('great', 0.0248236),
('green', 0.00975984),
('grid', 0.00796893),
('groupcalendargooglecom', 0.176091),
('guide', 0.0157943),
('habitant', 0.0149432),
('half', 0.00673338),
('hall', 0.0457575),
('harness', 0.0115819),
('harum', 0.0511525),
('has', 0.30103),
('haven', 0.0474707),
('header', 0.00516936),
('heading', 0.00473375),
('headingfive', 0.268533),
('headingfour', 0.267562),
('headingone', 0.260939),
('headingsix', 0.2695),
('headingthree', 0.265615),
('headingtwo', 0.264145),
('heard', 0.0474793),
('helping', 0.0248236),
('helvetica', 0.0472683),
('henderson', 0.011281),
('here', 0.0693605),
('hic', 0.0372986),
('high', 0.0469739),
('home', 0.00721982),
('hoodie', 0.0157943),
('house', 0.30103),
('hover', 0.00399486),
('hovercolorbehance', 0.30103),
('hovercolordribbble', 0.30103),
('hovercolorfacebook', 0.30103),
('hovercolorgoogleplus', 0.30103),
('hovercolorinstagram', 0.30103),
('hovercolortwitter', 0.30103),
('hovercolorvimeo', 0.30103),
('hovercoloryoutube', 0.30103),
('hoverstyle2', 0.30103),
('href', 0.00421845),
('html5', 0.00479888),
('https', 0.00798937),
('icons', 0.00365362),
('iconslist', 0.0413927),
('illo', 0.0286985),
('illum', 0.0298073),
('image', 0.134541),
('images', 0.0263289),
('img', 0.124939),
('immediately', 0.30103),
('impedit', 0.0791812),
('imperatives', 0.00768683),
('incididunt', 0.0102983),
('incidunt', 0.0419354),
('info', 0.280153),
('information', 0.0345851),
('inline', 0.30103),
('instagram', 0.0347621),
('instill', 0.30103),
('integer', 0.0280287),
('interface', 0.0377886),
('interfaces', 0.0118992),
('inventore', 0.0368983),
('investment', 0.0377886),
('investors', 0.00934003),
('ipsa', 0.0623734),
('ipsam', 0.0185345),
('ipsum', 0.0022613),
('irure', 0.0116864),
('iste', 0.0362729),
('itaque', 0.06187),
('item', 0.00881847),
('iure', 0.0331316),
('iusto', 0.0367897),
('jackson', 0.0457575),
('jacob', 0.30103),
('jermains', 0.30103),
('jockey', 0.0157943),
('john', 0.00755314),
('jun', 0.0669468),
('justine', 0.011281),
('keffiyeh', 0.0472585),
('keynote', 0.0193052),
('keys', 0.30103),
('king', 0.0413927),
('labore', 0.0068398),
('laboriosam', 0.0571461),
('laboris', 0.0120346),
('laborum', 0.00898097),
('lang', 0.00579396),
('large', 0.012965),
('larry', 0.30103),
('last', 0.30103),
('laudantium', 0.0343383),
('lavern', 0.0157943),
('leadership', 0.0579919),
('left', 0.30103),
('leggings', 0.0473906),
('libero', 0.00940422),
('life', 0.0469853),
('ligula', 0.30103),
('link', 0.00327771),
('linked', 0.0147233),
('links', 0.00921876),
('linux', 0.00479888),
('list', 0.0032034),
('lists', 0.0263289),
('listyear', 0.30103),
('little', 0.00505248),
('log', 0.00806118),
('lomo', 0.0473815),
('longer', 0.30103),
('longsleeve', 0.0157943),
('look', 0.0222764),
('looking', 0.176091),
('lorem', 0.00244431),
('luctus', 0.30103),
('magna', 0.0116785),
('magnam', 0.0982324),
('magni', 0.0316386),
('maiores', 0.0372132),
('makes', 0.30103),
('malesuada', 0.00777959),
('manager', 0.124939),
('marcus', 0.0157943),
('mark', 0.30103),
('mathias', 0.00504612),
('mattis', 0.140524),
('maxcdn', 0.00479888),
('maxime', 0.0594831),
('mcduffie', 0.0157943),
('mdo', 0.30103),
('medic', 0.30103),
('mega', 0.0157943),
('memembership', 0.30103),
('mentorship', 0.30103),
('menu', 0.0157943),
('message', 0.00730995),
('messages', 0.0090953),
('methods', 0.00717858),
('michelle', 0.0157943),
('minim', 0.0119885),
('minima', 0.0180279),
('minus', 0.0279291),
('modi', 0.115311),
('molestias', 0.0669468),
('mollit', 0.0120626),
('mollitia', 0.0298813),
('mon', 0.0263289),
('monitoring', 0.0377886),
('month', 0.30103),
('moon', 0.0241935),
('morbi', 0.00743396),
('more', 0.00458657),
('mug', 0.0157943),
('nam', 0.0477835),
('name', 0.062355),
('natus', 0.0174105),
('nav', 0.121027),
('navigation', 0.0157943),
('navitem', 0.0853128),
('navlink', 0.0853999),
('navtabs', 0.156129),
('navtabsverticalcontainer', 0.30103),
('nec', 0.126488),
('necessitatibus', 0.018765),
('nesciunt', 0.0112486),
('netus', 0.126488),
('next', 0.30103),
('nibh', 0.0101172),
('nihil', 0.0472487),
('nikki', 0.0157943),
('nisi', 0.00896547),
('nobis', 0.117668),
('non', 0.00762879),
('nonprofit', 0.30103),
('nostrud', 0.0120178),
('nostrum', 0.0511525),
('now', 0.00304544),
('nulla', 0.00460271),
('nullam', 0.00636639),
('numquam', 0.0373696),
('nunc', 0.30103),
('obcaecati', 0.0302998),
('objective', 0.00717858),
('occaecat', 0.00909937),
('odio', 0.00477427),
('odit', 0.0511525),
('office', 0.30103),
('officer', 0.30103),
('officia', 0.00711953),
('officiis', 0.0545512),
('omnis', 0.0561584),
('one', 0.000679736),
('oneonone', 0.0377886),
('online', 0.0347621),
('opening', 0.0193052),
('opensource', 0.0118992),
('optio', 0.0141511),
('oral', 0.0462949),
('ordered', 0.0288336),
('orem', 0.30103),
('organization', 0.30103),
('ortiz', 0.0157943),
('otto', 0.30103),
('our', 0.00934003),
('out', 0.0477753),
('outline', 0.0543465),
('outofthebox', 0.0579919),
('outsourcing', 0.0115819),
('page', 0.0142622),
('panes', 0.218804),
('paragraph', 0.0286431),
('pariatur', 0.00594337),
('party', 0.0138234),
('pede', 0.142038),
('pellentesque', 0.126488),
('people', 0.0248236),
('perspiciatis', 0.0394148),
('pharetra', 0.0109954),
('phosfluorescently', 0.00663058),
('pieces', 0.09691),
('pint', 0.0157943),
('populated', 0.30103),
('porro', 0.0307968),
('possimus', 0.120755),
('post', 0.0813774),
('poster', 0.0462949),
('posuere', 0.00563406),
('potentialities', 0.00768683),
('praesent', 0.30103),
('presentation', 0.00242009),
('president', 0.124939),
('pretium', 0.30103),
('prev', 0.30103),
('price', 0.30103),
('pricing', 0.0157943),
('printing', 0.30103),
('probably', 0.047462),
('product', 0.00329354),
('professionalism', 0.30103),
('profile', 0.0135968),
('program', 0.00520119),
('progress', 0.0336284),
('progressbar', 0.0539097),
('progressively', 0.0579919),
('progresstitle', 0.116451),
('proident', 0.00928828),
('prospective', 0.0118992),
('provident', 0.09691),
('purple', 0.0193052),
('put', 0.0471988),
('quae', 0.0309542),
('quaerat', 0.0228998),
('quality', 0.00663058),
('quam', 0.0559198),
('quantity', 0.30103),
('quas', 0.09691),
('quasi', 0.0292913),
('question', 0.00782534),
('qui', 0.00689462),
('quia', 0.0276328),
('quibusdam', 0.0269407),
('quickly', 0.0118992),
('quidem', 0.0406699),
('quinoa', 0.0471476),
('quis', 0.00760541),
('quisquam', 0.0791812),
('quisque', 0.0774494),
('quo', 0.0245087),
('quod', 0.0400113),
('quos', 0.101492),
('quote', 0.0377886),
('rather', 0.00436481),
('ratione', 0.0193513),
('raw', 0.0474177),
('read', 0.00514087),
('ready', 0.176091),
('reallife', 0.30103),
('recaptiualize', 0.00560388),
('reconceptualize', 0.0579919),
('recusandae', 0.120857),
('red', 0.00975984),
('register', 0.00806118),
('reiciendis', 0.0280709),
('rem', 0.049213),
('removed', 0.30103),
('repair', 0.30103),
('repellat', 0.102212),
('repellendus', 0.0170333),
('reply', 0.30103),
('reports', 0.0377886),
('reprehenderit', 0.00660954),
('repudiandae', 0.0391284),
('rerum', 0.0289307),
('research', 0.30103),
('responsive', 0.00796893),
('results', 0.00705113),
('reusable', 0.0157943),
('revolutionary', 0.0579919),
('richardson', 0.0470188),
('right', 0.30103),
('robbin', 0.0157943),
('robust', 0.0579919),
('role', 0.015306),
('room', 0.00320514),
('rotator', 0.0157943),
('row', 0.0228575),
('saepe', 0.0513184),
('salazar', 0.0157943),
('sample', 0.0850624),
('sapien', 0.30103),
('sapiente', 0.0219531),
('sat', 0.124939),
('screen', 0.0157943),
('second', 0.00493054),
('security', 0.177783),
('sed', 0.00352064),
('see', 0.30103),
('select', 0.0356516),
('selfmotivation', 0.30103),
('sem', 0.30103),
('semper', 0.141742),
('senectus', 0.015052),
('senior', 0.30103),
('sequi', 0.0373492),
('server', 0.30103),
('service', 0.30103),
('session', 0.0122241),
('shoreditch', 0.0472388),
('shortcodes', 0.0157943),
('should', 0.30103),
('show', 0.13653),
('sign', 0.00357446),
('similique', 0.0589953),
('singleorigin', 0.0472189),
('sint', 0.00723092),
('sit', 0.00193393),
('six', 0.00796893),
('sixth', 0.011281),
('skateboard', 0.0471056),
('skills', 0.0579919),
('skype', 0.00479888),
('slide', 0.183108),
('slideshow', 0.00400274),
('small', 0.0542431),
('smith', 0.00393029),
('social', 0.0171072),
('sociallinks', 0.176091),
('soluta', 0.056081),
('solution', 0.30103),
('something', 0.0942094),
('south', 0.0457575),
('span', 0.00242258),
('sponsor', 0.00147601),
('squid', 0.024201),
('src', 0.124939),
('sronly', 0.00502976),
('state', 0.0118992),
('status', 0.00755698),
('stevie', 0.0157943),
('stock', 0.0798617),
('strategic', 0.0054629),
('strong', 0.0454058),
('student', 0.30103),
('style', 0.00689755),
('style2', 0.30103),
('success', 0.0199072),
('such', 0.30103),
('sun', 0.30103),
('sunt', 0.00902396),
('suscipit', 0.0234275),
('suspendisse', 0.141139),
('sustainable', 0.0474966),
('synergistically', 0.0579919),
('synergy', 0.00663058),
('synth', 0.0474444),
('system', 0.30103),
('tab', 0.0294206),
('tabcontent', 0.219087),
('table', 0.0342409),
('tables', 0.0157943),
('tablist', 0.134253),
('tabpane', 0.086362),
('tabpanel', 0.0428435),
('tabs', 0.0143791),
('technologies', 0.000943094),
('technology', 0.0115819),
('tellus', 0.126488),
('tempor', 0.00853066),
('tempora', 0.0323292),
('tempore', 0.0330381),
('temporibus', 0.028211),
('tempus', 0.126488),
('tenetur', 0.039153),
('terry', 0.0068667),
('tested', 0.00663058),
('testimonial', 0.0193052),
('text', 0.00659828),
('textcenter', 0.30103),
('textcolor', 0.176091),
('thalia', 0.011281),
('than', 0.00436481),
('the', 0.0105528),
('theater', 0.30103),
('them', 0.047488),
('theme', 0.0299632),
('then', 0.30103),
('there', 0.30103),
('third', 0.00205421),
('thirds', 0.00673338),
('this', 0.00548504),
('thornton', 0.30103),
('three', 0.00227259),
('through', 0.176091),
('thu', 0.0185547),
('tincidunt', 0.176091),
('title', 0.0237887),
('today', 0.30103),
('together', 0.045998),
('tooltip', 0.01524),
('tooltips', 0.0263289),
('top', 0.0299632),
('topic', 0.00700549),
('topline', 0.0579919),
('total', 0.30103),
('totam', 0.0344963),
('transfer', 0.0157943),
('transform', 0.00663058),
('transition', 0.0579919),
('trial', 0.00782534),
('triggericon', 0.107368),
('tristique', 0.00797419),
('truck', 0.0471372),
('true', 0.151396),
('tshirt', 0.00796893),
('tue', 0.0223155),
('turpis', 0.0146204),
('twitter', 0.00420765),
('twittercom', 0.0347621),
('two', 0.00157758),
('type', 0.00320514),
('typography', 0.0579919),
('ullam', 0.0289628),
('ullamco', 0.012029),
('ultricies', 0.0109954),
('unde', 0.0565417),
('unique', 0.30103),
('unordered', 0.0254029),
('update', 0.178664),
('updated', 0.30103),
('updates', 0.30103),
('urna', 0.141291),
('usercentric', 0.0579919),
('username', 0.30103),
('valueadded', 0.00768683),
('vectors', 0.00663058),
('vegan', 0.0473445),
('vehicula', 0.00639052),
('vel', 0.0382476),
('velit', 0.00750185),
('venenatis', 0.0263289),
('veniam', 0.00782971),
('veritatis', 0.0338251),
('vero', 0.0355043),
('versace', 0.0157943),
('version', 0.30103),
('vertical', 0.0323113),
('verticaltab1', 0.159009),
('verticaltab2', 0.159289),
('verticaltab3', 0.159569),
('vhs', 0.0475051),
('via', 0.0579919),
('vice', 0.0388828),
('video', 0.0157943),
('view', 0.0466607),
('views', 0.00724399),
('vimeo', 0.0347621),
('vitae', 0.00895484),
('viverra', 0.141442),
('voluptas', 0.0266548),
('voluptate', 0.00931682),
('voluptatem', 0.09691),
('voluptates', 0.0352442),
('voluptatibus', 0.0254873),
('voluptatum', 0.0353403),
('volutpat', 0.140368),
('warning', 0.119974),
('was', 0.30103),
('waylon', 0.00431571),
('web', 0.30103),
('webreadiness', 0.00560388),
('wed', 0.103595),
('weekly', 0.0377886),
('well', 0.148112),
('wes', 0.0473068),
('west', 0.0457575),
('whereas', 0.0118992),
('whooops', 0.0157943),
('width', 0.00731789),
('windows', 0.00479888),
('with', 0.000870135),
('wolf', 0.0241906),
('workshop', 0.0462949),
('worldwide', 0.0248236),
('wwwfacebookcom', 0.0347621),
('wwwlinkedincom', 0.0347621),
('wwwyoutubecom', 0.30103),
('yellow', 0.0377886),
('you', 0.0358117),
('young', 0.0234811),
('your', 0.125881),
('youtube', 0.0347621),
('youtubecom', 0.0377886),
('zonder', 0.0157943);

-- --------------------------------------------------------

--
-- Table structure for table `semaphore`
--

CREATE TABLE `semaphore` (
  `name` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Table for holding semaphores, locks, flags, etc. that…';

-- --------------------------------------------------------

--
-- Table structure for table `sequences`
--

CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores IDs.';

--
-- Dumping data for table `sequences`
--

INSERT INTO `sequences` VALUES
(710);

-- --------------------------------------------------------

--
-- Table structure for table `sessions`
--

CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'A session ID (hashed). The value is generated by Drupal''s session handlers.',
  `hostname` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `session` longblob DEFAULT NULL COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Drupal''s session handlers read and write into the sessions…';

--
-- Dumping data for table `sessions`
--

INSERT INTO `sessions` VALUES
(1, 'TuxL4yBvMN1DUtNDXR0sTteebSIKzA1PzHhvHf8MqeY', '41.215.171.100', 1681653974, '_sf2_attributes|a:2:{s:3:"uid";s:1:"1";s:20:"authorize_page_title";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:14:"Update manager";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}_sf2_meta|a:4:{s:1:"u";i:1681653962;s:1:"c";i:1681465233;s:1:"l";s:7:"2000000";s:1:"s";s:43:"YsI_9o6Ep_KNe4UayO6pbI81dIGGujHhVBqSq67ENJI";}updates_remaining|a:0:{}_symfony_flashes|a:1:{s:6:"status";a:1:{i:0;O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:93:"Operating in maintenance mode. <a href="/admin/config/development/maintenance">Go online.</a>";}}}');

-- --------------------------------------------------------

--
-- Table structure for table `shortcut`
--

CREATE TABLE `shortcut` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `shortcut_set` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `shortcut_field__uuid__value` (`uuid`),
  KEY `shortcut_field__shortcut_set__target_id` (`shortcut_set`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for shortcut entities.';

--
-- Dumping data for table `shortcut`
--

INSERT INTO `shortcut` VALUES
(2, 'default', '470fe853-cde5-47dd-ab0d-afa37c765bff', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `shortcut_field_data`
--

CREATE TABLE `shortcut_field_data` (
  `id` int(10) unsigned NOT NULL,
  `shortcut_set` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `shortcut__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `shortcut_field__shortcut_set__target_id` (`shortcut_set`),
  KEY `shortcut_field__link__uri` (`link__uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for shortcut entities.';

--
-- Dumping data for table `shortcut_field_data`
--

INSERT INTO `shortcut_field_data` VALUES
(2, 'default', 'en', 'All content', -19, 'internal:/admin/content', NULL, 'a:0:{}', 1);

-- --------------------------------------------------------

--
-- Table structure for table `shortcut_set_users`
--

CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Maps users to shortcut sets.';

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_index`
--

CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The term ID.',
  `status` int(11) NOT NULL DEFAULT 1 COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `sticky` tinyint(4) DEFAULT 0 COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp when the node was created.',
  PRIMARY KEY (`nid`,`tid`),
  KEY `term_node` (`tid`,`status`,`sticky`,`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Maintains denormalized information about node/term…';

--
-- Dumping data for table `taxonomy_index`
--

INSERT INTO `taxonomy_index` VALUES
(6, 1, 1, 0, 1465321848),
(4, 2, 1, 0, 1465321524),
(5, 2, 1, 0, 1465321750),
(9, 2, 1, 1, 1465322101),
(8, 3, 1, 0, 1465322004),
(9, 3, 1, 1, 1465322101),
(7, 4, 1, 0, 1465321934),
(10, 9, 1, 0, 1465328432),
(12, 9, 1, 0, 1465328752),
(15, 9, 1, 0, 1465328961),
(20, 9, 1, 0, 1465831603),
(46, 10, 1, 0, 1458323138),
(10, 10, 1, 0, 1465328432),
(12, 10, 1, 0, 1465328752),
(13, 10, 1, 0, 1465328829),
(14, 10, 1, 0, 1465328881),
(23, 10, 1, 1, 1465831991),
(10, 11, 1, 0, 1465328432),
(22, 11, 1, 0, 1465831746),
(11, 12, 1, 0, 1465328655),
(13, 12, 1, 0, 1465328829),
(15, 12, 1, 0, 1465328961),
(21, 12, 1, 0, 1465831692),
(11, 13, 1, 0, 1465328655),
(14, 13, 1, 0, 1465328881),
(15, 13, 1, 0, 1465328961),
(18, 13, 1, 0, 1465831094),
(20, 45, 1, 0, 1465831603),
(21, 45, 1, 0, 1465831692),
(22, 45, 1, 0, 1465831746),
(23, 45, 1, 1, 1465831991),
(46, 46, 1, 0, 1458323138),
(19, 46, 1, 0, 1465831544),
(18, 47, 1, 0, 1465831094),
(20, 47, 1, 0, 1465831603),
(23, 47, 1, 1, 1465831991),
(18, 48, 1, 0, 1465831094),
(19, 48, 1, 0, 1465831544),
(21, 48, 1, 0, 1465831692),
(19, 52, 1, 0, 1465831544),
(69, 53, 1, 0, 1513947978),
(68, 54, 1, 0, 1513947902),
(67, 55, 1, 0, 1513947825),
(66, 56, 1, 0, 1513947739),
(65, 57, 1, 0, 1513947666),
(64, 58, 1, 0, 1513946890),
(85, 59, 1, 0, 1519659890),
(87, 59, 1, 0, 1519982826),
(88, 59, 1, 0, 1519985589),
(85, 60, 1, 0, 1519659890),
(86, 60, 1, 0, 1519982599),
(88, 60, 1, 0, 1519985589),
(87, 61, 1, 0, 1519982826),
(85, 65, 1, 0, 1519659890),
(88, 65, 1, 0, 1519985589),
(86, 66, 1, 0, 1519982599),
(87, 67, 1, 0, 1519982826),
(91, 69, 1, 0, 1520507552),
(89, 70, 1, 0, 1520507110),
(90, 71, 1, 0, 1520507297),
(84, 72, 1, 0, 1519400846),
(86, 73, 1, 0, 1519982599),
(87, 74, 1, 0, 1519982826),
(85, 75, 1, 0, 1519659890),
(88, 76, 1, 0, 1519985589),
(92, 77, 1, 0, 1521129152),
(93, 78, 1, 0, 1521129438),
(78, 79, 1, 0, 1516375683),
(81, 79, 1, 0, 1516375782),
(77, 80, 1, 0, 1516375646),
(80, 80, 1, 0, 1516375753),
(76, 81, 1, 0, 1516375571),
(79, 81, 1, 0, 1516375716);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_data`
--

CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `vid` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`tid`),
  UNIQUE KEY `taxonomy_term_field__uuid__value` (`uuid`),
  UNIQUE KEY `taxonomy_term__revision_id` (`revision_id`),
  KEY `taxonomy_term_field__vid__target_id` (`vid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for taxonomy_term entities.';

--
-- Dumping data for table `taxonomy_term_data`
--

INSERT INTO `taxonomy_term_data` VALUES
(1, 1, 'mt_service_tags', '3dfe0579-10d1-4032-bdaf-d82ba4a3fc3e', 'en'),
(2, 2, 'mt_service_tags', '6e5870ce-2848-4d1b-b084-cfedf1fb81c0', 'en'),
(3, 3, 'mt_service_tags', '56f4cb3e-964e-4398-b2a8-150b66be77a2', 'en'),
(4, 4, 'mt_service_tags', '011ff77d-0dd2-4eb2-87cb-33f9fcba12e4', 'en'),
(9, 9, 'tags', '6c73c62e-49e4-45cc-93de-45835e851761', 'en'),
(10, 10, 'tags', '43ffe258-c96e-4f55-9089-eed6971ec743', 'en'),
(11, 11, 'tags', '6395bc3b-1234-4bd1-b0ad-270c6fcc0b99', 'en'),
(12, 12, 'tags', '6fcdb757-4f55-48c5-be9e-7f3e43491d8f', 'en'),
(13, 13, 'tags', 'e3093a51-03f7-48da-81a3-37d5b75d3ef4', 'en'),
(18, 18, 'font_classification', '17446f80-8d34-40cc-ab9f-3fee7f30131c', 'en'),
(19, 19, 'languages_supported', '6588e67a-2c28-42c1-98f1-30d72cac6328', 'en'),
(20, 20, 'font_classification', 'bfa6bbb4-f657-4792-b1e1-bdd312d33b2c', 'en'),
(21, 21, 'languages_supported', '60db99f2-0b1f-45ff-be70-1e724afe1b2f', 'en'),
(22, 22, 'font_classification', '1b9cbc06-509b-42ef-ba7e-19dd7f358a96', 'en'),
(23, 23, 'languages_supported', '15fd35d0-d4d2-47b5-8cb7-0b38b010e762', 'en'),
(24, 24, 'languages_supported', '9ed74df8-ef09-4d47-aea0-57418a94eef8', 'en'),
(25, 25, 'font_classification', 'cfc59272-4e7b-440f-9c24-8121e1c52e39', 'en'),
(26, 26, 'languages_supported', '47ed109d-312b-455e-8c24-c807926818f1', 'en'),
(27, 27, 'font_classification', 'e63ab54f-3b7c-43f7-8976-e4eb9cd2a966', 'en'),
(28, 28, 'languages_supported', 'bcd62403-9959-4483-902f-9681788fc5b4', 'en'),
(29, 29, 'languages_supported', 'c1cdc43c-8afe-48ec-b7a9-780edabfd4aa', 'en'),
(30, 30, 'languages_supported', '21846484-5884-4b22-999a-98533b6414fc', 'en'),
(31, 31, 'languages_supported', 'df366265-aa5a-43a2-a2cf-bd67fe469b71', 'en'),
(32, 32, 'languages_supported', '9a74d5e1-e5d1-46c8-9aa0-280e7c1ac53f', 'en'),
(33, 33, 'languages_supported', '32e2210b-7dc5-4772-b826-a0c6b8da3a51', 'en'),
(34, 34, 'languages_supported', '2c9dc05b-e70d-4fd9-93f8-9dbc6d2203b7', 'en'),
(35, 35, 'languages_supported', 'ed42df9e-892e-48c1-beee-8295416bdf05', 'en'),
(36, 36, 'languages_supported', 'b72925ad-f146-407a-bcdc-20482a2261bd', 'en'),
(37, 37, 'languages_supported', '24723779-acc7-4740-8731-cfe9abad6ff5', 'en'),
(38, 38, 'languages_supported', 'bbcb58af-f539-4772-8d19-4ce83a12ec07', 'en'),
(45, 45, 'mt_collections', '874b35fb-8f85-4ad4-8d53-79c7d3d41d27', 'en'),
(46, 46, 'mt_collections', '0b62da18-3694-4e0a-8145-ed9e61016591', 'en'),
(47, 47, 'mt_collections', '7685b74e-7da4-41cf-9ea3-0100a3337f07', 'en'),
(48, 48, 'mt_collections', '586c6ebe-883f-4488-920e-f431c49a3b03', 'en'),
(51, 51, 'tags', '3293fc11-14e2-4d79-acba-2a0802ce948b', 'en'),
(52, 52, 'tags', 'a1cb80e9-1125-4331-9555-e1a2b1281a92', 'en'),
(53, 53, 'mt_affiliations', '3594b590-e252-44ef-a7f0-801429706283', 'en'),
(54, 54, 'mt_affiliations', '8102b910-ebf7-4b00-ad09-23c0fbfa7454', 'en'),
(55, 55, 'mt_affiliations', '805dd296-07e4-4dde-8c73-f1966fe6d8fc', 'en'),
(56, 56, 'mt_affiliations', '4860315d-611c-492a-b432-3837ed1953a7', 'en'),
(57, 57, 'mt_affiliations', '19021be9-d15d-4cc5-a596-602758f723ae', 'en'),
(58, 58, 'mt_affiliations', '5e113c02-12a3-4aef-9e5b-99da2688cd8a', 'en'),
(59, 59, 'mt_topics', 'cd9c23e1-916e-45a1-9e30-18e3f0d62bb7', 'en'),
(60, 60, 'mt_topics', 'ee514a48-6f89-4a4d-9bd3-f7d294dc996e', 'en'),
(61, 61, 'mt_topics', 'b91f0ab2-dced-450c-876e-e04c472d8d7c', 'en'),
(62, 62, 'mt_topics', '11935113-e85e-4c5a-a5e5-4cb01f799da4', 'en'),
(63, 63, 'mt_topics', 'f632cd5f-e42d-494a-bebd-d56f42cdd373', 'en'),
(64, 64, 'mt_topics', 'e67365ad-c9b9-46d7-94bf-395879179818', 'en'),
(65, 65, 'mt_session', 'fcf2e2f2-5d98-49af-a5e9-70e022357190', 'en'),
(66, 66, 'mt_session', '333e7789-98a4-49e5-8c05-4ba7f7eec228', 'en'),
(67, 67, 'mt_session', '74c11aa5-76ed-45ed-86ab-fd758be23558', 'en'),
(68, 68, 'mt_session', '7e716129-c469-416f-bfae-2d8bc6777a9c', 'en'),
(69, 69, 'mt_event_categories', '15f7d682-b301-4fac-b62f-115550ad27bc', 'en'),
(70, 70, 'mt_event_categories', 'eb7ddd14-8288-448c-89ca-4a0de014f956', 'en'),
(71, 71, 'mt_event_categories', '15be88ae-d66b-4847-889e-860db9903f8f', 'en'),
(72, 72, 'mt_event_categories', 'b2cca0c1-bf89-403c-80b8-1813d5d4d686', 'en'),
(73, 73, 'mt_presentation_categories', '63a7f93c-07df-452e-8148-3320524d243d', 'en'),
(74, 74, 'mt_presentation_categories', 'ffecc033-66e3-4eaa-a257-5737cb079ea1', 'en'),
(75, 75, 'mt_presentation_categories', '97154152-fb7f-4d9b-ae09-05b11bf5258b', 'en'),
(76, 76, 'mt_presentation_categories', 'f98c0c3f-7d71-4725-9b74-6a6865de36e6', 'en'),
(77, 77, 'mt_program_entry_categories', '22a38471-0c7f-4648-b30f-333eecbf4300', 'en'),
(78, 78, 'mt_program_entry_categories', 'd2924e12-c2b1-4933-a403-15439a844c27', 'en'),
(79, 79, 'mt_album_categories', 'ab8c4a64-b651-4b5d-8df1-1d47a42d61f9', 'en'),
(80, 80, 'mt_album_categories', 'd59d3222-0a20-4f6d-baf9-f653866a8c2a', 'en'),
(81, 81, 'mt_album_categories', 'e6cf75df-30b7-4947-a77f-960eeb30eeea', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_field_data`
--

CREATE TABLE `taxonomy_term_field_data` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `vid` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `name` varchar(255) NOT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `weight` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`tid`,`langcode`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term__revision_id` (`revision_id`),
  KEY `taxonomy_term_field__name` (`name`(191)),
  KEY `taxonomy_term__status_vid` (`status`,`vid`,`tid`),
  KEY `taxonomy_term__tree` (`vid`,`weight`,`name`(191)),
  KEY `taxonomy_term__vid_name` (`vid`,`name`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for taxonomy_term entities.';

--
-- Dumping data for table `taxonomy_term_field_data`
--

INSERT INTO `taxonomy_term_field_data` VALUES
(1, 1, 'mt_service_tags', 'en', 'Accommodation Category 1', NULL, NULL, 0, 1520514596, 1, 1, 1),
(2, 2, 'mt_service_tags', 'en', 'Accommodation Category 2', NULL, NULL, 0, 1520514610, 1, 1, 1),
(3, 3, 'mt_service_tags', 'en', 'Accommodation Category 3', NULL, NULL, 0, 1520514614, 1, 1, 1),
(4, 4, 'mt_service_tags', 'en', 'Accommodation Category 4', NULL, NULL, 0, 1520514618, 1, 1, 1),
(9, 9, 'tags', 'en', 'Red', NULL, NULL, 0, 1516031711, 1, 1, 1),
(10, 10, 'tags', 'en', 'Black', NULL, NULL, 0, 1516031536, 1, 1, 1),
(11, 11, 'tags', 'en', 'Purple', NULL, NULL, 0, 1516031701, 1, 1, 1),
(12, 12, 'tags', 'en', 'Green', NULL, NULL, 0, 1516031687, 1, 1, 1),
(13, 13, 'tags', 'en', 'Gold', NULL, NULL, 0, 1516031679, 1, 1, 1),
(18, 18, 'font_classification', 'en', 'handwriting', NULL, NULL, 0, 1468916080, 1, 1, 1),
(19, 19, 'languages_supported', 'en', 'latin', NULL, NULL, 0, 1468916080, 1, 1, 1),
(20, 20, 'font_classification', 'en', 'serif', NULL, NULL, 0, 1468916083, 1, 1, 1),
(21, 21, 'languages_supported', 'en', 'latin-ext', NULL, NULL, 0, 1468916083, 1, 1, 1),
(22, 22, 'font_classification', 'en', 'display', NULL, NULL, 0, 1468916083, 1, 1, 1),
(23, 23, 'languages_supported', 'en', 'cyrillic', NULL, NULL, 0, 1468916083, 1, 1, 1),
(24, 24, 'languages_supported', 'en', 'devanagari', NULL, NULL, 0, 1468916083, 1, 1, 1),
(25, 25, 'font_classification', 'en', 'sans-serif', NULL, NULL, 0, 1468916083, 1, 1, 1),
(26, 26, 'languages_supported', 'en', 'hebrew', NULL, NULL, 0, 1468916084, 1, 1, 1),
(27, 27, 'font_classification', 'en', 'monospace', NULL, NULL, 0, 1468916084, 1, 1, 1),
(28, 28, 'languages_supported', 'en', 'cyrillic-ext', NULL, NULL, 0, 1468916084, 1, 1, 1),
(29, 29, 'languages_supported', 'en', 'greek-ext', NULL, NULL, 0, 1468916084, 1, 1, 1),
(30, 30, 'languages_supported', 'en', 'greek', NULL, NULL, 0, 1468916084, 1, 1, 1),
(31, 31, 'languages_supported', 'en', 'thai', NULL, NULL, 0, 1468916087, 1, 1, 1),
(32, 32, 'languages_supported', 'en', 'vietnamese', NULL, NULL, 0, 1468916087, 1, 1, 1),
(33, 33, 'languages_supported', 'en', 'telugu', NULL, NULL, 0, 1468916091, 1, 1, 1),
(34, 34, 'languages_supported', 'en', 'khmer', NULL, NULL, 0, 1468916092, 1, 1, 1),
(35, 35, 'languages_supported', 'en', 'gujarati', NULL, NULL, 0, 1468916097, 1, 1, 1),
(36, 36, 'languages_supported', 'en', 'arabic', NULL, NULL, 0, 1468916099, 1, 1, 1),
(37, 37, 'languages_supported', 'en', 'tamil', NULL, NULL, 0, 1468916116, 1, 1, 1),
(38, 38, 'languages_supported', 'en', 'bengali', NULL, NULL, 0, 1468916145, 1, 1, 1),
(45, 45, 'mt_collections', 'en', 'Clothing', NULL, NULL, 0, 1520533009, 1, 1, 1),
(46, 46, 'mt_collections', 'en', 'Hats', NULL, NULL, 1, 1520533035, 1, 1, 1),
(47, 47, 'mt_collections', 'en', 'Souvenirs', NULL, NULL, 2, 1520533054, 1, 1, 1),
(48, 48, 'mt_collections', 'en', 'Others', NULL, NULL, 3, 1520533066, 1, 1, 1),
(51, 51, 'tags', 'en', 'Silver', NULL, NULL, 0, 1516031719, 1, 1, 1),
(52, 52, 'tags', 'en', 'Yellow', NULL, NULL, 0, 1516031725, 1, 1, 1),
(53, 53, 'mt_affiliations', 'en', 'First Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796311, 1, 1, 1),
(54, 54, 'mt_affiliations', 'en', 'Second Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796334, 1, 1, 1),
(55, 55, 'mt_affiliations', 'en', 'Third Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796352, 1, 1, 1),
(56, 56, 'mt_affiliations', 'en', 'Fourth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796370, 1, 1, 1),
(57, 57, 'mt_affiliations', 'en', 'Fifth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796387, 1, 1, 1),
(58, 58, 'mt_affiliations', 'en', 'Sixth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 0, 1516796407, 1, 1, 1),
(59, 59, 'mt_topics', 'en', 'Topic One', NULL, NULL, 0, 1519817959, 1, 1, 1),
(60, 60, 'mt_topics', 'en', 'Topic Two', NULL, NULL, 0, 1519817973, 1, 1, 1),
(61, 61, 'mt_topics', 'en', 'Topic Three', NULL, NULL, 0, 1519817980, 1, 1, 1),
(62, 62, 'mt_topics', 'en', 'Topic Four', NULL, NULL, 0, 1519817989, 1, 1, 1),
(63, 63, 'mt_topics', 'en', 'Topic Five', NULL, NULL, 0, 1519817999, 1, 1, 1),
(64, 64, 'mt_topics', 'en', 'Topic Six', NULL, NULL, 0, 1519818008, 1, 1, 1),
(65, 65, 'mt_session', 'en', 'Session One', NULL, NULL, 0, 1519819656, 1, 1, 1),
(66, 66, 'mt_session', 'en', 'Session Two', NULL, NULL, 0, 1519819666, 1, 1, 1),
(67, 67, 'mt_session', 'en', 'Session Three', NULL, NULL, 0, 1519819676, 1, 1, 1),
(68, 68, 'mt_session', 'en', 'Session Four', NULL, NULL, 0, 1519819682, 1, 1, 1),
(69, 69, 'mt_event_categories', 'en', 'Social Event', NULL, NULL, 0, 1520505862, 1, 1, 1),
(70, 70, 'mt_event_categories', 'en', 'Get Together', NULL, NULL, 0, 1520505873, 1, 1, 1),
(71, 71, 'mt_event_categories', 'en', 'Party', NULL, NULL, 0, 1520505882, 1, 1, 1),
(72, 72, 'mt_event_categories', 'en', 'Ceremony', NULL, NULL, 0, 1520505890, 1, 1, 1),
(73, 73, 'mt_presentation_categories', 'en', 'Oral presentation', NULL, NULL, 0, 1520508788, 1, 1, 1),
(74, 74, 'mt_presentation_categories', 'en', 'Poster', NULL, NULL, 0, 1520508794, 1, 1, 1),
(75, 75, 'mt_presentation_categories', 'en', 'ePoster', NULL, NULL, 0, 1520508801, 1, 1, 1),
(76, 76, 'mt_presentation_categories', 'en', 'Workshop', NULL, NULL, 0, 1520508810, 1, 1, 1),
(77, 77, 'mt_program_entry_categories', 'en', 'Category one', NULL, NULL, 0, 1521115862, 1, 1, 1),
(78, 78, 'mt_program_entry_categories', 'en', 'Category two', NULL, NULL, 0, 1521115872, 1, 1, 1),
(79, 79, 'mt_album_categories', 'en', 'Keynote', NULL, NULL, 0, 1521196427, 1, 1, 1),
(80, 80, 'mt_album_categories', 'en', 'Cocktail Party', NULL, NULL, 0, 1521196448, 1, 1, 1),
(81, 81, 'mt_album_categories', 'en', 'Opening Ceremony', NULL, NULL, 0, 1521196463, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_field_revision`
--

CREATE TABLE `taxonomy_term_field_revision` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term_field__description__format` (`description__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision data table for taxonomy_term entities.';

--
-- Dumping data for table `taxonomy_term_field_revision`
--

INSERT INTO `taxonomy_term_field_revision` VALUES
(1, 1, 'en', 'Accommodation Category 1', NULL, NULL, 1520514596, 1, 1, 1),
(2, 2, 'en', 'Accommodation Category 2', NULL, NULL, 1520514610, 1, 1, 1),
(3, 3, 'en', 'Accommodation Category 3', NULL, NULL, 1520514614, 1, 1, 1),
(4, 4, 'en', 'Accommodation Category 4', NULL, NULL, 1520514618, 1, 1, 1),
(9, 9, 'en', 'Red', NULL, NULL, 1516031711, 1, 1, 1),
(10, 10, 'en', 'Black', NULL, NULL, 1516031536, 1, 1, 1),
(11, 11, 'en', 'Purple', NULL, NULL, 1516031701, 1, 1, 1),
(12, 12, 'en', 'Green', NULL, NULL, 1516031687, 1, 1, 1),
(13, 13, 'en', 'Gold', NULL, NULL, 1516031679, 1, 1, 1),
(18, 18, 'en', 'handwriting', NULL, NULL, 1468916080, 1, 1, 1),
(19, 19, 'en', 'latin', NULL, NULL, 1468916080, 1, 1, 1),
(20, 20, 'en', 'serif', NULL, NULL, 1468916083, 1, 1, 1),
(21, 21, 'en', 'latin-ext', NULL, NULL, 1468916083, 1, 1, 1),
(22, 22, 'en', 'display', NULL, NULL, 1468916083, 1, 1, 1),
(23, 23, 'en', 'cyrillic', NULL, NULL, 1468916083, 1, 1, 1),
(24, 24, 'en', 'devanagari', NULL, NULL, 1468916083, 1, 1, 1),
(25, 25, 'en', 'sans-serif', NULL, NULL, 1468916083, 1, 1, 1),
(26, 26, 'en', 'hebrew', NULL, NULL, 1468916084, 1, 1, 1),
(27, 27, 'en', 'monospace', NULL, NULL, 1468916084, 1, 1, 1),
(28, 28, 'en', 'cyrillic-ext', NULL, NULL, 1468916084, 1, 1, 1),
(29, 29, 'en', 'greek-ext', NULL, NULL, 1468916084, 1, 1, 1),
(30, 30, 'en', 'greek', NULL, NULL, 1468916084, 1, 1, 1),
(31, 31, 'en', 'thai', NULL, NULL, 1468916087, 1, 1, 1),
(32, 32, 'en', 'vietnamese', NULL, NULL, 1468916087, 1, 1, 1),
(33, 33, 'en', 'telugu', NULL, NULL, 1468916091, 1, 1, 1),
(34, 34, 'en', 'khmer', NULL, NULL, 1468916092, 1, 1, 1),
(35, 35, 'en', 'gujarati', NULL, NULL, 1468916097, 1, 1, 1),
(36, 36, 'en', 'arabic', NULL, NULL, 1468916099, 1, 1, 1),
(37, 37, 'en', 'tamil', NULL, NULL, 1468916116, 1, 1, 1),
(38, 38, 'en', 'bengali', NULL, NULL, 1468916145, 1, 1, 1),
(45, 45, 'en', 'Clothing', NULL, NULL, 1520533009, 1, 1, 1),
(46, 46, 'en', 'Hats', NULL, NULL, 1520533035, 1, 1, 1),
(47, 47, 'en', 'Souvenirs', NULL, NULL, 1520533054, 1, 1, 1),
(48, 48, 'en', 'Others', NULL, NULL, 1520533066, 1, 1, 1),
(51, 51, 'en', 'Silver', NULL, NULL, 1516031719, 1, 1, 1),
(52, 52, 'en', 'Yellow', NULL, NULL, 1516031725, 1, 1, 1),
(53, 53, 'en', 'First Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 1516796311, 1, 1, 1),
(54, 54, 'en', 'Second Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 1516796334, 1, 1, 1),
(55, 55, 'en', 'Third Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 1516796352, 1, 1, 1),
(56, 56, 'en', 'Fourth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 1516796370, 1, 1, 1),
(57, 57, 'en', 'Fifth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 1516796387, 1, 1, 1),
(58, 58, 'en', 'Sixth Affiliation', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', 'basic_html', 1516796407, 1, 1, 1),
(59, 59, 'en', 'Topic One', NULL, NULL, 1519817959, 1, 1, 1),
(60, 60, 'en', 'Topic Two', NULL, NULL, 1519817973, 1, 1, 1),
(61, 61, 'en', 'Topic Three', NULL, NULL, 1519817980, 1, 1, 1),
(62, 62, 'en', 'Topic Four', NULL, NULL, 1519817989, 1, 1, 1),
(63, 63, 'en', 'Topic Five', NULL, NULL, 1519817999, 1, 1, 1),
(64, 64, 'en', 'Topic Six', NULL, NULL, 1519818008, 1, 1, 1),
(65, 65, 'en', 'Session One', NULL, NULL, 1519819656, 1, 1, 1),
(66, 66, 'en', 'Session Two', NULL, NULL, 1519819666, 1, 1, 1),
(67, 67, 'en', 'Session Three', NULL, NULL, 1519819676, 1, 1, 1),
(68, 68, 'en', 'Session Four', NULL, NULL, 1519819682, 1, 1, 1),
(69, 69, 'en', 'Social Event', NULL, NULL, 1520505862, 1, 1, 1),
(70, 70, 'en', 'Get Together', NULL, NULL, 1520505873, 1, 1, 1),
(71, 71, 'en', 'Party', NULL, NULL, 1520505882, 1, 1, 1),
(72, 72, 'en', 'Ceremony', NULL, NULL, 1520505890, 1, 1, 1),
(73, 73, 'en', 'Oral presentation', NULL, NULL, 1520508788, 1, 1, 1),
(74, 74, 'en', 'Poster', NULL, NULL, 1520508794, 1, 1, 1),
(75, 75, 'en', 'ePoster', NULL, NULL, 1520508801, 1, 1, 1),
(76, 76, 'en', 'Workshop', NULL, NULL, 1520508810, 1, 1, 1),
(77, 77, 'en', 'Category one', NULL, NULL, 1521115862, 1, 1, 1),
(78, 78, 'en', 'Category two', NULL, NULL, 1521115872, 1, 1, 1),
(79, 79, 'en', 'Keynote', NULL, NULL, 1521196427, 1, 1, 1),
(80, 80, 'en', 'Cocktail Party', NULL, NULL, 1521196448, 1, 1, 1),
(81, 81, 'en', 'Opening Ceremony', NULL, NULL, 1521196463, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_revision`
--

CREATE TABLE `taxonomy_term_revision` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_created` int(11) DEFAULT NULL,
  `revision_log_message` longtext DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `taxonomy_term__tid` (`tid`),
  KEY `taxonomy_term_field__revision_user__target_id` (`revision_user`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The revision table for taxonomy_term entities.';

--
-- Dumping data for table `taxonomy_term_revision`
--

INSERT INTO `taxonomy_term_revision` VALUES
(1, 1, 'en', 1, NULL, NULL, NULL),
(2, 2, 'en', 1, NULL, NULL, NULL),
(3, 3, 'en', 1, NULL, NULL, NULL),
(4, 4, 'en', 1, NULL, NULL, NULL),
(9, 9, 'en', 1, NULL, NULL, NULL),
(10, 10, 'en', 1, NULL, NULL, NULL),
(11, 11, 'en', 1, NULL, NULL, NULL),
(12, 12, 'en', 1, NULL, NULL, NULL),
(13, 13, 'en', 1, NULL, NULL, NULL),
(18, 18, 'en', 1, NULL, NULL, NULL),
(19, 19, 'en', 1, NULL, NULL, NULL),
(20, 20, 'en', 1, NULL, NULL, NULL),
(21, 21, 'en', 1, NULL, NULL, NULL),
(22, 22, 'en', 1, NULL, NULL, NULL),
(23, 23, 'en', 1, NULL, NULL, NULL),
(24, 24, 'en', 1, NULL, NULL, NULL),
(25, 25, 'en', 1, NULL, NULL, NULL),
(26, 26, 'en', 1, NULL, NULL, NULL),
(27, 27, 'en', 1, NULL, NULL, NULL),
(28, 28, 'en', 1, NULL, NULL, NULL),
(29, 29, 'en', 1, NULL, NULL, NULL),
(30, 30, 'en', 1, NULL, NULL, NULL),
(31, 31, 'en', 1, NULL, NULL, NULL),
(32, 32, 'en', 1, NULL, NULL, NULL),
(33, 33, 'en', 1, NULL, NULL, NULL),
(34, 34, 'en', 1, NULL, NULL, NULL),
(35, 35, 'en', 1, NULL, NULL, NULL),
(36, 36, 'en', 1, NULL, NULL, NULL),
(37, 37, 'en', 1, NULL, NULL, NULL),
(38, 38, 'en', 1, NULL, NULL, NULL),
(45, 45, 'en', 1, NULL, NULL, NULL),
(46, 46, 'en', 1, NULL, NULL, NULL),
(47, 47, 'en', 1, NULL, NULL, NULL),
(48, 48, 'en', 1, NULL, NULL, NULL),
(51, 51, 'en', 1, NULL, NULL, NULL),
(52, 52, 'en', 1, NULL, NULL, NULL),
(53, 53, 'en', 1, NULL, NULL, NULL),
(54, 54, 'en', 1, NULL, NULL, NULL),
(55, 55, 'en', 1, NULL, NULL, NULL),
(56, 56, 'en', 1, NULL, NULL, NULL),
(57, 57, 'en', 1, NULL, NULL, NULL),
(58, 58, 'en', 1, NULL, NULL, NULL),
(59, 59, 'en', 1, NULL, NULL, NULL),
(60, 60, 'en', 1, NULL, NULL, NULL),
(61, 61, 'en', 1, NULL, NULL, NULL),
(62, 62, 'en', 1, NULL, NULL, NULL),
(63, 63, 'en', 1, NULL, NULL, NULL),
(64, 64, 'en', 1, NULL, NULL, NULL),
(65, 65, 'en', 1, NULL, NULL, NULL),
(66, 66, 'en', 1, NULL, NULL, NULL),
(67, 67, 'en', 1, NULL, NULL, NULL),
(68, 68, 'en', 1, NULL, NULL, NULL),
(69, 69, 'en', 1, NULL, NULL, NULL),
(70, 70, 'en', 1, NULL, NULL, NULL),
(71, 71, 'en', 1, NULL, NULL, NULL),
(72, 72, 'en', 1, NULL, NULL, NULL),
(73, 73, 'en', 1, NULL, NULL, NULL),
(74, 74, 'en', 1, NULL, NULL, NULL),
(75, 75, 'en', 1, NULL, NULL, NULL),
(76, 76, 'en', 1, NULL, NULL, NULL),
(77, 77, 'en', 1, NULL, NULL, NULL),
(78, 78, 'en', 1, NULL, NULL, NULL),
(79, 79, 'en', 1, NULL, NULL, NULL),
(80, 80, 'en', 1, NULL, NULL, NULL),
(81, 81, 'en', 1, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_revision__parent`
--

CREATE TABLE `taxonomy_term_revision__parent` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for taxonomy_term field parent.';

--
-- Dumping data for table `taxonomy_term_revision__parent`
--

INSERT INTO `taxonomy_term_revision__parent` VALUES
('mt_service_tags', 0, 1, 1, 'en', 0, 0),
('mt_service_tags', 0, 2, 2, 'en', 0, 0),
('mt_service_tags', 0, 3, 3, 'en', 0, 0),
('mt_service_tags', 0, 4, 4, 'en', 0, 0),
('tags', 0, 9, 9, 'en', 0, 0),
('tags', 0, 10, 10, 'en', 0, 0),
('tags', 0, 11, 11, 'en', 0, 0),
('tags', 0, 12, 12, 'en', 0, 0),
('tags', 0, 13, 13, 'en', 0, 0),
('font_classification', 0, 18, 18, 'en', 0, 0),
('languages_supported', 0, 19, 19, 'en', 0, 0),
('font_classification', 0, 20, 20, 'en', 0, 0),
('languages_supported', 0, 21, 21, 'en', 0, 0),
('font_classification', 0, 22, 22, 'en', 0, 0),
('languages_supported', 0, 23, 23, 'en', 0, 0),
('languages_supported', 0, 24, 24, 'en', 0, 0),
('font_classification', 0, 25, 25, 'en', 0, 0),
('languages_supported', 0, 26, 26, 'en', 0, 0),
('font_classification', 0, 27, 27, 'en', 0, 0),
('languages_supported', 0, 28, 28, 'en', 0, 0),
('languages_supported', 0, 29, 29, 'en', 0, 0),
('languages_supported', 0, 30, 30, 'en', 0, 0),
('languages_supported', 0, 31, 31, 'en', 0, 0),
('languages_supported', 0, 32, 32, 'en', 0, 0),
('languages_supported', 0, 33, 33, 'en', 0, 0),
('languages_supported', 0, 34, 34, 'en', 0, 0),
('languages_supported', 0, 35, 35, 'en', 0, 0),
('languages_supported', 0, 36, 36, 'en', 0, 0),
('languages_supported', 0, 37, 37, 'en', 0, 0),
('languages_supported', 0, 38, 38, 'en', 0, 0),
('mt_collections', 0, 45, 45, 'en', 0, 0),
('mt_collections', 0, 46, 46, 'en', 0, 0),
('mt_collections', 0, 47, 47, 'en', 0, 0),
('mt_collections', 0, 48, 48, 'en', 0, 0),
('tags', 0, 51, 51, 'en', 0, 0),
('tags', 0, 52, 52, 'en', 0, 0),
('mt_affiliations', 0, 53, 53, 'en', 0, 0),
('mt_affiliations', 0, 54, 54, 'en', 0, 0),
('mt_affiliations', 0, 55, 55, 'en', 0, 0),
('mt_affiliations', 0, 56, 56, 'en', 0, 0),
('mt_affiliations', 0, 57, 57, 'en', 0, 0),
('mt_affiliations', 0, 58, 58, 'en', 0, 0),
('mt_topics', 0, 59, 59, 'en', 0, 0),
('mt_topics', 0, 60, 60, 'en', 0, 0),
('mt_topics', 0, 61, 61, 'en', 0, 0),
('mt_topics', 0, 62, 62, 'en', 0, 0),
('mt_topics', 0, 63, 63, 'en', 0, 0),
('mt_topics', 0, 64, 64, 'en', 0, 0),
('mt_session', 0, 65, 65, 'en', 0, 0),
('mt_session', 0, 66, 66, 'en', 0, 0),
('mt_session', 0, 67, 67, 'en', 0, 0),
('mt_session', 0, 68, 68, 'en', 0, 0),
('mt_event_categories', 0, 69, 69, 'en', 0, 0),
('mt_event_categories', 0, 70, 70, 'en', 0, 0),
('mt_event_categories', 0, 71, 71, 'en', 0, 0),
('mt_event_categories', 0, 72, 72, 'en', 0, 0),
('mt_presentation_categories', 0, 73, 73, 'en', 0, 0),
('mt_presentation_categories', 0, 74, 74, 'en', 0, 0),
('mt_presentation_categories', 0, 75, 75, 'en', 0, 0),
('mt_presentation_categories', 0, 76, 76, 'en', 0, 0),
('mt_program_entry_categories', 0, 77, 77, 'en', 0, 0),
('mt_program_entry_categories', 0, 78, 78, 'en', 0, 0),
('mt_album_categories', 0, 79, 79, 'en', 0, 0),
('mt_album_categories', 0, 80, 80, 'en', 0, 0),
('mt_album_categories', 0, 81, 81, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_r__476ddfcb47`
--

CREATE TABLE `taxonomy_term_r__476ddfcb47` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_affiliation_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_affiliation_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_affiliation_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_affiliation_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_affiliation_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_affiliation_image_target_id` (`field_mt_affiliation_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for taxonomy_term field field_mt…';

--
-- Dumping data for table `taxonomy_term_r__476ddfcb47`
--

INSERT INTO `taxonomy_term_r__476ddfcb47` VALUES
('mt_affiliations', 0, 53, 53, 'en', 0, 162, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 54, 54, 'en', 0, 163, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 55, 55, 'en', 0, 164, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 56, 56, 'en', 0, 165, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 57, 57, 'en', 0, 166, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 58, 58, 'en', 0, 167, 'Affiliation', '', 240, 240);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_r__abcfb5d9bd`
--

CREATE TABLE `taxonomy_term_r__abcfb5d9bd` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_collection_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_collection_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_collection_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_collection_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_collection_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_collection_image_target_id` (`field_mt_collection_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for taxonomy_term field field_mt…';

--
-- Dumping data for table `taxonomy_term_r__abcfb5d9bd`
--

INSERT INTO `taxonomy_term_r__abcfb5d9bd` VALUES
('mt_collections', 0, 45, 45, 'en', 0, 66, 'Product Group one', '', 750, 835),
('mt_collections', 0, 46, 46, 'en', 0, 68, 'Product Group two', '', 750, 835),
('mt_collections', 0, 47, 47, 'en', 0, 67, 'Product Group three', '', 750, 835),
('mt_collections', 0, 48, 48, 'en', 0, 69, 'Product Group four', '', 750, 835);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term_r__fd8cfd99f4`
--

CREATE TABLE `taxonomy_term_r__fd8cfd99f4` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_wide_collection_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_wide_collection_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_wide_collection_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_wide_collection_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_wide_collection_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_wide_collection_image_target_id` (`field_mt_wide_collection_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Revision archive storage for taxonomy_term field field_mt…';

--
-- Dumping data for table `taxonomy_term_r__fd8cfd99f4`
--

INSERT INTO `taxonomy_term_r__fd8cfd99f4` VALUES
('mt_collections', 0, 48, 48, 'en', 0, 88, 'Product Group four', '', 750, 401);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term__field_mt_affiliation_image`
--

CREATE TABLE `taxonomy_term__field_mt_affiliation_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_affiliation_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_affiliation_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_affiliation_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_affiliation_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_affiliation_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_affiliation_image_target_id` (`field_mt_affiliation_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field field_mt_affiliation…';

--
-- Dumping data for table `taxonomy_term__field_mt_affiliation_image`
--

INSERT INTO `taxonomy_term__field_mt_affiliation_image` VALUES
('mt_affiliations', 0, 53, 53, 'en', 0, 162, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 54, 54, 'en', 0, 163, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 55, 55, 'en', 0, 164, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 56, 56, 'en', 0, 165, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 57, 57, 'en', 0, 166, 'Affiliation', '', 240, 240),
('mt_affiliations', 0, 58, 58, 'en', 0, 167, 'Affiliation', '', 240, 240);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term__field_mt_collection_image`
--

CREATE TABLE `taxonomy_term__field_mt_collection_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_collection_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_collection_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_collection_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_collection_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_collection_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_collection_image_target_id` (`field_mt_collection_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field field_mt_collection…';

--
-- Dumping data for table `taxonomy_term__field_mt_collection_image`
--

INSERT INTO `taxonomy_term__field_mt_collection_image` VALUES
('mt_collections', 0, 45, 45, 'en', 0, 66, 'Product Group one', '', 750, 835),
('mt_collections', 0, 46, 46, 'en', 0, 68, 'Product Group two', '', 750, 835),
('mt_collections', 0, 47, 47, 'en', 0, 67, 'Product Group three', '', 750, 835),
('mt_collections', 0, 48, 48, 'en', 0, 69, 'Product Group four', '', 750, 835);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term__field_mt_wide_collection_image`
--

CREATE TABLE `taxonomy_term__field_mt_wide_collection_image` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_wide_collection_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_mt_wide_collection_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_mt_wide_collection_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_mt_wide_collection_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_mt_wide_collection_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_wide_collection_image_target_id` (`field_mt_wide_collection_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field field_mt_wide…';

--
-- Dumping data for table `taxonomy_term__field_mt_wide_collection_image`
--

INSERT INTO `taxonomy_term__field_mt_wide_collection_image` VALUES
('mt_collections', 0, 48, 48, 'en', 0, 88, 'Product Group four', '', 750, 401);

-- --------------------------------------------------------

--
-- Table structure for table `taxonomy_term__parent`
--

CREATE TABLE `taxonomy_term__parent` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`),
  KEY `bundle_delta_target_id` (`bundle`,`delta`,`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for taxonomy_term field parent.';

--
-- Dumping data for table `taxonomy_term__parent`
--

INSERT INTO `taxonomy_term__parent` VALUES
('mt_service_tags', 0, 1, 1, 'en', 0, 0),
('mt_service_tags', 0, 2, 2, 'en', 0, 0),
('mt_service_tags', 0, 3, 3, 'en', 0, 0),
('mt_service_tags', 0, 4, 4, 'en', 0, 0),
('tags', 0, 9, 9, 'en', 0, 0),
('tags', 0, 10, 10, 'en', 0, 0),
('tags', 0, 11, 11, 'en', 0, 0),
('tags', 0, 12, 12, 'en', 0, 0),
('tags', 0, 13, 13, 'en', 0, 0),
('font_classification', 0, 18, 18, 'en', 0, 0),
('languages_supported', 0, 19, 19, 'en', 0, 0),
('font_classification', 0, 20, 20, 'en', 0, 0),
('languages_supported', 0, 21, 21, 'en', 0, 0),
('font_classification', 0, 22, 22, 'en', 0, 0),
('languages_supported', 0, 23, 23, 'en', 0, 0),
('languages_supported', 0, 24, 24, 'en', 0, 0),
('font_classification', 0, 25, 25, 'en', 0, 0),
('languages_supported', 0, 26, 26, 'en', 0, 0),
('font_classification', 0, 27, 27, 'en', 0, 0),
('languages_supported', 0, 28, 28, 'en', 0, 0),
('languages_supported', 0, 29, 29, 'en', 0, 0),
('languages_supported', 0, 30, 30, 'en', 0, 0),
('languages_supported', 0, 31, 31, 'en', 0, 0),
('languages_supported', 0, 32, 32, 'en', 0, 0),
('languages_supported', 0, 33, 33, 'en', 0, 0),
('languages_supported', 0, 34, 34, 'en', 0, 0),
('languages_supported', 0, 35, 35, 'en', 0, 0),
('languages_supported', 0, 36, 36, 'en', 0, 0),
('languages_supported', 0, 37, 37, 'en', 0, 0),
('languages_supported', 0, 38, 38, 'en', 0, 0),
('mt_collections', 0, 45, 45, 'en', 0, 0),
('mt_collections', 0, 46, 46, 'en', 0, 0),
('mt_collections', 0, 47, 47, 'en', 0, 0),
('mt_collections', 0, 48, 48, 'en', 0, 0),
('tags', 0, 51, 51, 'en', 0, 0),
('tags', 0, 52, 52, 'en', 0, 0),
('mt_affiliations', 0, 53, 53, 'en', 0, 0),
('mt_affiliations', 0, 54, 54, 'en', 0, 0),
('mt_affiliations', 0, 55, 55, 'en', 0, 0),
('mt_affiliations', 0, 56, 56, 'en', 0, 0),
('mt_affiliations', 0, 57, 57, 'en', 0, 0),
('mt_affiliations', 0, 58, 58, 'en', 0, 0),
('mt_topics', 0, 59, 59, 'en', 0, 0),
('mt_topics', 0, 60, 60, 'en', 0, 0),
('mt_topics', 0, 61, 61, 'en', 0, 0),
('mt_topics', 0, 62, 62, 'en', 0, 0),
('mt_topics', 0, 63, 63, 'en', 0, 0),
('mt_topics', 0, 64, 64, 'en', 0, 0),
('mt_session', 0, 65, 65, 'en', 0, 0),
('mt_session', 0, 66, 66, 'en', 0, 0),
('mt_session', 0, 67, 67, 'en', 0, 0),
('mt_session', 0, 68, 68, 'en', 0, 0),
('mt_event_categories', 0, 69, 69, 'en', 0, 0),
('mt_event_categories', 0, 70, 70, 'en', 0, 0),
('mt_event_categories', 0, 71, 71, 'en', 0, 0),
('mt_event_categories', 0, 72, 72, 'en', 0, 0),
('mt_presentation_categories', 0, 73, 73, 'en', 0, 0),
('mt_presentation_categories', 0, 74, 74, 'en', 0, 0),
('mt_presentation_categories', 0, 75, 75, 'en', 0, 0),
('mt_presentation_categories', 0, 76, 76, 'en', 0, 0),
('mt_program_entry_categories', 0, 77, 77, 'en', 0, 0),
('mt_program_entry_categories', 0, 78, 78, 'en', 0, 0),
('mt_album_categories', 0, 79, 79, 'en', 0, 0),
('mt_album_categories', 0, 80, 80, 'en', 0, 0),
('mt_album_categories', 0, 81, 81, 'en', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  PRIMARY KEY (`uid`),
  UNIQUE KEY `user_field__uuid__value` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for user entities.';

--
-- Dumping data for table `users`
--

INSERT INTO `users` VALUES
(0, 'b342adc7-ba96-4512-87e8-c720882b3096', 'en'),
(1, '9793666b-8825-4dc0-af5c-e1f3ece3b391', 'en');

-- --------------------------------------------------------

--
-- Table structure for table `users_data`
--

CREATE TABLE `users_data` (
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Primary key: users.uid for user.',
  `module` varchar(50) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The name of the module declaring the variable.',
  `name` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The identifier of the data.',
  `value` longblob DEFAULT NULL COMMENT 'The value.',
  `serialized` tinyint(3) unsigned DEFAULT 0 COMMENT 'Whether value is serialized.',
  PRIMARY KEY (`uid`,`module`,`name`),
  KEY `module` (`module`),
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores module data as key/value pairs per user.';

--
-- Dumping data for table `users_data`
--

INSERT INTO `users_data` VALUES
(1, 'contact', 'enabled', '1', 0),
(1, 'webform', 'webform.element.message', 'a:1:{s:27:"webform_email_roles_message";b:1;}', 1);

-- --------------------------------------------------------

--
-- Table structure for table `users_field_data`
--

CREATE TABLE `users_field_data` (
  `uid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `preferred_langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `preferred_admin_langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `name` varchar(60) NOT NULL,
  `pass` varchar(255) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `timezone` varchar(32) DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `access` int(11) NOT NULL,
  `login` int(11) DEFAULT NULL,
  `init` varchar(254) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`uid`,`langcode`),
  UNIQUE KEY `user__name` (`name`,`langcode`),
  KEY `user__id__default_langcode__langcode` (`uid`,`default_langcode`,`langcode`),
  KEY `user_field__mail` (`mail`(191)),
  KEY `user_field__created` (`created`),
  KEY `user_field__access` (`access`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The data table for user entities.';

--
-- Dumping data for table `users_field_data`
--

INSERT INTO `users_field_data` VALUES
(0, 'en', 'en', NULL, '', NULL, NULL, '', 0, 1464712824, 1464712824, 0, 0, NULL, 1),
(1, 'en', 'en', NULL, 'admin', '$S$E2dhtXgCTFmM0Q7rmFevqtkgFGqci.mpqKj8mJgVdTNnnv60qhKA', 'noreply@domain.com', 'Europe/Athens', 1, 1464712824, 1518543799, 1681653962, 1681465233, 'dev+startupgrowthd8@morethanthemes.com', 1);

-- --------------------------------------------------------

--
-- Table structure for table `user__field_mt_full_name`
--

CREATE TABLE `user__field_mt_full_name` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_full_name_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for user field field_mt_full_name.';

--
-- Dumping data for table `user__field_mt_full_name`
--

INSERT INTO `user__field_mt_full_name` VALUES
('user', 0, 1, 1, 'en', 0, 'Josn Doe');

-- --------------------------------------------------------

--
-- Table structure for table `user__field_mt_signature`
--

CREATE TABLE `user__field_mt_signature` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mt_signature_value` longtext NOT NULL,
  `field_mt_signature_summary` longtext DEFAULT NULL,
  `field_mt_signature_format` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_mt_signature_format` (`field_mt_signature_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for user field field_mt_signature.';

--
-- Dumping data for table `user__field_mt_signature`
--

INSERT INTO `user__field_mt_signature` VALUES
('user', 0, 1, 1, 'en', 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', '', 'raw_html');

-- --------------------------------------------------------

--
-- Table structure for table `user__roles`
--

CREATE TABLE `user__roles` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `roles_target_id` varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `roles_target_id` (`roles_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for user field roles.';

--
-- Dumping data for table `user__roles`
--

INSERT INTO `user__roles` VALUES
('user', 0, 1, 1, 'en', 0, 'administrator');

-- --------------------------------------------------------

--
-- Table structure for table `user__user_picture`
--

CREATE TABLE `user__user_picture` (
  `bundle` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `user_picture_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `user_picture_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `user_picture_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `user_picture_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `user_picture_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `user_picture_target_id` (`user_picture_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Data storage for user field user_picture.';

--
-- Dumping data for table `user__user_picture`
--

INSERT INTO `user__user_picture` VALUES
('user', 0, 1, 1, 'en', 0, 14, '', '', 85, 85);

-- --------------------------------------------------------

--
-- Table structure for table `watchdog`
--

CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'The severity level of the event. ranges from 0 (Emergency) to 7 (Debug)',
  `link` text DEFAULT NULL COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text DEFAULT NULL COMMENT 'URL of referring page.',
  `hostname` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Table that contains logs of all system events.';

--
-- Dumping data for table `watchdog`
--

INSERT INTO `watchdog` VALUES
(1, 0, 'cron', 'Starting execution of @module_cron().', 'a:1:{s:7:"@module";s:7:"comment";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464856),
(2, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"dblog";s:16:"@module_previous";s:7:"comment";s:5:"@time";s:6:"0.75ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464856),
(3, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"field";s:16:"@module_previous";s:5:"dblog";s:5:"@time";s:6:"1.19ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464856),
(4, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"file";s:16:"@module_previous";s:5:"field";s:5:"@time";s:6:"2.16ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464856),
(5, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"history";s:16:"@module_previous";s:4:"file";s:5:"@time";s:6:"0.62ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464856),
(6, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"node";s:16:"@module_previous";s:7:"history";s:5:"@time";s:6:"0.54ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464856),
(7, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"search";s:16:"@module_previous";s:4:"node";s:5:"@time";s:6:"2.16ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464856),
(8, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_albums_carousel/public/2018-01/mt-album-3.jpg?itok=gPQfdS5S', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464861),
(9, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_albums_carousel/public/2018-01/mt-album-4.jpg?itok=ub2wjtb3', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464861),
(10, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_albums_carousel/public/2018-01/mt-album-1.jpg?itok=N9FW6Z3V', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464861),
(11, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_albums_carousel/public/2018-01/mt-album-2.jpg?itok=EWMttduv', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464861),
(12, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_albums_carousel/public/2018-01/mt-album-5.jpg?itok=5nuStKDz', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464862),
(13, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-1.jpg?itok=IT47rQcT', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464864),
(14, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-2.jpg?itok=XeeVlqgF', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464864),
(15, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_albums_carousel/public/2018-01/mt-album-6.jpg?itok=5SsQbDjd', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464864),
(16, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-3.jpg?itok=cb5gyDfD', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464865),
(17, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-4_0.jpg?itok=2w3QyaLo', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464865),
(18, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:10:"statistics";s:16:"@module_previous";s:6:"search";s:5:"@time";s:9:"9855.13ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464865),
(19, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"system";s:16:"@module_previous";s:10:"statistics";s:5:"@time";s:6:"1.21ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464865),
(20, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"update";s:16:"@module_previous";s:6:"system";s:5:"@time";s:6:"9.12ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464865),
(21, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-5.jpg?itok=bleOI9x-', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464866),
(22, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/mt_member_photo/public/2018-02/mt-speaker-6.jpg?itok=fG0Fb5Fi', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464866),
(23, 0, 'cron', 'Attempting to re-run cron while it is already running.', 'a:0:{}', 4, '', 'http://ictm2023.isser.edu.gh/sites/default/files/styles/large/public/2016-06/article-1.jpg?itok=ffsi0jDp', 'http://ictm2023.isser.edu.gh/', '197.255.123.254', 1681464867),
(24, 0, 'mail', 'Error sending email (from %from to %to with reply-to %reply).', 'a:3:{s:5:"%from";s:18:"noreply@domain.com";s:3:"%to";s:18:"noreply@domain.com";s:6:"%reply";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"not set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}', 3, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464867),
(25, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"webform";s:16:"@module_previous";s:6:"update";s:5:"@time";s:9:"1691.31ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464867),
(26, 0, 'cron', 'Execution of @module_previous_cron() took @time.', 'a:2:{s:16:"@module_previous";s:7:"webform";s:5:"@time";s:6:"0.21ms";}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464867),
(27, 0, 'cron', 'Cron run completed.', 'a:0:{}', 5, '', 'http://ictm2023.isser.edu.gh/', 'http://ictm2023.isser.edu.gh/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1', '197.255.123.254', 1681464867),
(28, 1, 'user', 'Session opened for %name.', 'a:1:{s:5:"%name";s:5:"admin";}', 5, '', 'https://ictm2023.isser.edu.gh/user/login', 'https://ictm2023.isser.edu.gh/user/login', '197.255.123.254', 1681465233),
(29, 0, 'cron', 'Starting execution of @module_cron().', 'a:1:{s:7:"@module";s:7:"comment";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(30, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"dblog";s:16:"@module_previous";s:7:"comment";s:5:"@time";s:7:"12.16ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(31, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"field";s:16:"@module_previous";s:5:"dblog";s:5:"@time";s:6:"0.38ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(32, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"file";s:16:"@module_previous";s:5:"field";s:5:"@time";s:6:"6.18ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(33, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"history";s:16:"@module_previous";s:4:"file";s:5:"@time";s:4:"21ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(34, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"node";s:16:"@module_previous";s:7:"history";s:5:"@time";s:6:"1.47ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(35, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"search";s:16:"@module_previous";s:4:"node";s:5:"@time";s:7:"25.34ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(36, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:10:"statistics";s:16:"@module_previous";s:6:"search";s:5:"@time";s:8:"103.82ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(37, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"system";s:16:"@module_previous";s:10:"statistics";s:5:"@time";s:6:"11.3ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(38, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"update";s:16:"@module_previous";s:6:"system";s:5:"@time";s:6:"47.3ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479463),
(39, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"webform";s:16:"@module_previous";s:6:"update";s:5:"@time";s:8:"254.13ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479464),
(40, 0, 'cron', 'Execution of @module_previous_cron() took @time.', 'a:2:{s:16:"@module_previous";s:7:"webform";s:5:"@time";s:8:"262.67ms";}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479464),
(41, 0, 'cron', 'Cron run completed.', 'a:0:{}', 5, '', 'https://ictm2023.isser.edu.gh/admin/content', 'https://ictm2023.isser.edu.gh/block/92?destination=/node/35', '197.255.123.254', 1681479464),
(42, 0, 'cron', 'Starting execution of @module_cron().', 'a:1:{s:7:"@module";s:7:"comment";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(43, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"dblog";s:16:"@module_previous";s:7:"comment";s:5:"@time";s:7:"13.56ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(44, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"field";s:16:"@module_previous";s:5:"dblog";s:5:"@time";s:6:"0.49ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(45, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"file";s:16:"@module_previous";s:5:"field";s:5:"@time";s:6:"5.39ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(46, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"history";s:16:"@module_previous";s:4:"file";s:5:"@time";s:7:"20.98ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(47, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"node";s:16:"@module_previous";s:7:"history";s:5:"@time";s:5:"0.6ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(48, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"search";s:16:"@module_previous";s:4:"node";s:5:"@time";s:6:"25.1ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(49, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:10:"statistics";s:16:"@module_previous";s:6:"search";s:5:"@time";s:7:"84.63ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(50, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"system";s:16:"@module_previous";s:10:"statistics";s:5:"@time";s:6:"0.72ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(51, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"update";s:16:"@module_previous";s:6:"system";s:5:"@time";s:6:"80.5ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493883),
(52, 0, 'mail', 'Error sending email (from %from to %to with reply-to %reply).', 'a:3:{s:5:"%from";s:18:"noreply@domain.com";s:3:"%to";s:18:"noreply@domain.com";s:6:"%reply";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"not set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}', 3, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493885),
(53, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"webform";s:16:"@module_previous";s:6:"update";s:5:"@time";s:9:"1633.08ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493885),
(54, 0, 'cron', 'Execution of @module_previous_cron() took @time.', 'a:2:{s:16:"@module_previous";s:7:"webform";s:5:"@time";s:8:"100.73ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493885),
(55, 0, 'cron', 'Cron run completed.', 'a:0:{}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/content', '197.255.123.254', 1681493885),
(56, 0, 'cron', 'Starting execution of @module_cron().', 'a:1:{s:7:"@module";s:7:"comment";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(57, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"dblog";s:16:"@module_previous";s:7:"comment";s:5:"@time";s:7:"20.37ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(58, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"field";s:16:"@module_previous";s:5:"dblog";s:5:"@time";s:6:"0.43ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(59, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"file";s:16:"@module_previous";s:5:"field";s:5:"@time";s:7:"15.28ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(60, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"history";s:16:"@module_previous";s:4:"file";s:5:"@time";s:7:"34.45ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(61, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"node";s:16:"@module_previous";s:7:"history";s:5:"@time";s:6:"0.53ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(62, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"search";s:16:"@module_previous";s:4:"node";s:5:"@time";s:7:"46.53ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(63, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:10:"statistics";s:16:"@module_previous";s:6:"search";s:5:"@time";s:8:"142.17ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(64, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"system";s:16:"@module_previous";s:10:"statistics";s:5:"@time";s:6:"1.31ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(65, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"update";s:16:"@module_previous";s:6:"system";s:5:"@time";s:8:"129.54ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538921),
(66, 0, 'mail', 'Error sending email (from %from to %to with reply-to %reply).', 'a:3:{s:5:"%from";s:18:"noreply@domain.com";s:3:"%to";s:18:"noreply@domain.com";s:6:"%reply";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"not set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}', 3, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538923),
(67, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"webform";s:16:"@module_previous";s:6:"update";s:5:"@time";s:9:"2035.81ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538923),
(68, 0, 'cron', 'Execution of @module_previous_cron() took @time.', 'a:2:{s:16:"@module_previous";s:7:"webform";s:5:"@time";s:8:"126.37ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538924),
(69, 0, 'cron', 'Cron run completed.', 'a:0:{}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.165.247', 1681538924),
(70, 0, 'cron', 'Starting execution of @module_cron().', 'a:1:{s:7:"@module";s:7:"comment";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(71, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"dblog";s:16:"@module_previous";s:7:"comment";s:5:"@time";s:6:"1.06ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(72, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:5:"field";s:16:"@module_previous";s:5:"dblog";s:5:"@time";s:6:"0.37ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(73, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"file";s:16:"@module_previous";s:5:"field";s:5:"@time";s:6:"0.73ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(74, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"history";s:16:"@module_previous";s:4:"file";s:5:"@time";s:6:"2.05ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(75, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:4:"node";s:16:"@module_previous";s:7:"history";s:5:"@time";s:6:"0.17ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(76, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"search";s:16:"@module_previous";s:4:"node";s:5:"@time";s:6:"1.98ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(77, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:10:"statistics";s:16:"@module_previous";s:6:"search";s:5:"@time";s:5:"4.6ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(78, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"system";s:16:"@module_previous";s:10:"statistics";s:5:"@time";s:6:"1.68ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(79, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:6:"update";s:16:"@module_previous";s:6:"system";s:5:"@time";s:7:"10.95ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(80, 0, 'mail', 'Error sending email (from %from to %to with reply-to %reply).', 'a:3:{s:5:"%from";s:18:"noreply@domain.com";s:3:"%to";s:18:"noreply@domain.com";s:6:"%reply";O:48:"Drupal\\Core\\StringTranslation\\TranslatableMarkup":3:{s:9:"\0*\0string";s:7:"not set";s:12:"\0*\0arguments";a:0:{}s:10:"\0*\0options";a:0:{}}}', 3, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(81, 0, 'cron', 'Starting execution of @module_cron(), execution of @module_previous_cron() took @time.', 'a:3:{s:7:"@module";s:7:"webform";s:16:"@module_previous";s:6:"update";s:5:"@time";s:8:"429.95ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(82, 0, 'cron', 'Execution of @module_previous_cron() took @time.', 'a:2:{s:16:"@module_previous";s:7:"webform";s:5:"@time";s:6:"7.55ms";}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(83, 0, 'cron', 'Cron run completed.', 'a:0:{}', 5, '', 'https://ictm2023.isser.edu.gh/', 'https://techcrafft.com:2083/', '41.215.171.100', 1681645549),
(84, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:9:"TypeError";s:8:"@message";s:306:"Argument 1 passed to Drupal\\webform\\WebformThemeManager::__construct() must implement interface Drupal\\Core\\Routing\\RouteMatchInterface, instance of Drupal\\Core\\Config\\ConfigFactory given, called in /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php on line 259";s:9:"%function";s:49:"Drupal\\webform\\WebformThemeManager->__construct()";s:5:"%file";s:79:"/home/issero5/ICTM2023.isser.edu.gh/modules/webform/src/WebformThemeManager.php";s:5:"%line";i:85;s:17:"@backtrace_string";s:4920:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php(259): Drupal\\webform\\WebformThemeManager->__construct(Object(Drupal\\Core\\Config\\ConfigFactory), Object(Drupal\\Core\\Render\\Renderer), Object(Drupal\\Core\\Theme\\ThemeManager), Object(Drupal\\Core\\Extension\\ThemeHandler), Object(Drupal\\Core\\Theme\\ThemeInitialization), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, ''webform.theme_m...'')\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal.php(158): Drupal\\Component\\DependencyInjection\\Container->get(''webform.theme_m...'')\n#3 /home/issero5/ICTM2023.isser.edu.gh/modules/webform/includes/webform.libraries.inc(195): Drupal::service(''webform.theme_m...'')\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(539): webform_css_alter(Array, Object(Drupal\\Core\\Asset\\AttachedAssets), NULL)\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(159): Drupal\\Core\\Extension\\ModuleHandler->alter(''css'', Array, Object(Drupal\\Core\\Asset\\AttachedAssets))\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(315): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(161): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#9 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(191): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(''kernel.response'', Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent))\n#12 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(173): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#13 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#23 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/admin/reports/updates/update', 'https://ictm2023.isser.edu.gh/admin/appearance', '41.215.171.100', 1681648324),
(85, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:9:"TypeError";s:8:"@message";s:306:"Argument 1 passed to Drupal\\webform\\WebformThemeManager::__construct() must implement interface Drupal\\Core\\Routing\\RouteMatchInterface, instance of Drupal\\Core\\Config\\ConfigFactory given, called in /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php on line 259";s:9:"%function";s:49:"Drupal\\webform\\WebformThemeManager->__construct()";s:5:"%file";s:79:"/home/issero5/ICTM2023.isser.edu.gh/modules/webform/src/WebformThemeManager.php";s:5:"%line";i:85;s:17:"@backtrace_string";s:4920:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php(259): Drupal\\webform\\WebformThemeManager->__construct(Object(Drupal\\Core\\Config\\ConfigFactory), Object(Drupal\\Core\\Render\\Renderer), Object(Drupal\\Core\\Theme\\ThemeManager), Object(Drupal\\Core\\Extension\\ThemeHandler), Object(Drupal\\Core\\Theme\\ThemeInitialization), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, ''webform.theme_m...'')\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal.php(158): Drupal\\Component\\DependencyInjection\\Container->get(''webform.theme_m...'')\n#3 /home/issero5/ICTM2023.isser.edu.gh/modules/webform/includes/webform.libraries.inc(195): Drupal::service(''webform.theme_m...'')\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(539): webform_css_alter(Array, Object(Drupal\\Core\\Asset\\AttachedAssets), NULL)\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(159): Drupal\\Core\\Extension\\ModuleHandler->alter(''css'', Array, Object(Drupal\\Core\\Asset\\AttachedAssets))\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(315): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(161): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#9 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(191): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(''kernel.response'', Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent))\n#12 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(173): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#13 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#23 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config', '41.215.171.100', 1681648338),
(86, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:9:"TypeError";s:8:"@message";s:306:"Argument 1 passed to Drupal\\webform\\WebformThemeManager::__construct() must implement interface Drupal\\Core\\Routing\\RouteMatchInterface, instance of Drupal\\Core\\Config\\ConfigFactory given, called in /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php on line 259";s:9:"%function";s:49:"Drupal\\webform\\WebformThemeManager->__construct()";s:5:"%file";s:79:"/home/issero5/ICTM2023.isser.edu.gh/modules/webform/src/WebformThemeManager.php";s:5:"%line";i:85;s:17:"@backtrace_string";s:4920:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php(259): Drupal\\webform\\WebformThemeManager->__construct(Object(Drupal\\Core\\Config\\ConfigFactory), Object(Drupal\\Core\\Render\\Renderer), Object(Drupal\\Core\\Theme\\ThemeManager), Object(Drupal\\Core\\Extension\\ThemeHandler), Object(Drupal\\Core\\Theme\\ThemeInitialization), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, ''webform.theme_m...'')\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal.php(158): Drupal\\Component\\DependencyInjection\\Container->get(''webform.theme_m...'')\n#3 /home/issero5/ICTM2023.isser.edu.gh/modules/webform/includes/webform.libraries.inc(195): Drupal::service(''webform.theme_m...'')\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(539): webform_css_alter(Array, Object(Drupal\\Core\\Asset\\AttachedAssets), NULL)\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(159): Drupal\\Core\\Extension\\ModuleHandler->alter(''css'', Array, Object(Drupal\\Core\\Asset\\AttachedAssets))\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(315): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(161): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#9 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(191): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(''kernel.response'', Object(Symfony\\Component\\HttpKernel\\Event\\FilterResponseEvent))\n#12 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(173): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#13 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#23 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config', '41.215.171.100', 1681648365),
(87, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(55): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(88, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(55): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762);
INSERT INTO `watchdog` VALUES
(89, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(90, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(91, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(92, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(93, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(94, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(95, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762),
(96, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6191:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#32 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649762);
INSERT INTO `watchdog` VALUES
(97, 1, 'php', '%type: @message in %function (line %line of %file).', 'a:6:{s:5:"%type";s:47:"Drupal\\Core\\Security\\UntrustedCallbackException";s:8:"@message";s:240:"Render #pre_render callbacks must be methods of a class that implements \\Drupal\\Core\\Security\\TrustedCallbackInterface or be an anonymous function. The callback was field_group_entity_view_pre_render. See https://www.drupal.org/node/2966725";s:9:"%function";s:48:"Drupal\\Core\\Render\\Renderer->doTrustedCallback()";s:5:"%file";s:92:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php";s:5:"%line";i:96;s:17:"@backtrace_string";s:8717:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(788): Drupal\\Core\\Render\\Renderer->doTrustedCallback(''field_group_ent...'', Array, ''Render #pre_ren...'', ''exception'', ''Drupal\\\\Core\\\\Ren...'')\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(374): Drupal\\Core\\Render\\Renderer->doCallback(''#pre_render'', ''field_group_ent...'', Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#4 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#5 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(182): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->block_content(Array, Array)\n#6 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(70): Twig\\Template->displayBlock(''content'', Array, Array)\n#7 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->doDisplay(Array, Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''block'', Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(446): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_page--front.html.twig_S1GWcEC_LPkHP6np9Kb1xF9AW/vlTba4_AdsKhAzJ5u1qaatuI5n67U_lXH23VZhkCbPs.php(119): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_86149abcad0abe5ad74e6a2e413ab4c5->doDisplay(Array, Array)\n#18 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#20 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#22 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''page'', Array)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#25 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_html.html.twig_zCejK2lU1BZrvo2VsGGNeZQLJ/2v6kYBl_WZptkqccDah0IhzfZs-wyGhGTGiv901gXQU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_6e5be69e3c5aaf8fab70401fe9767573->doDisplay(Array, Array)\n#27 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#28 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''core/themes/cla...'', Array)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''html'', Array)\n#32 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#33 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render(Array)\n#34 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(580): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#35 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#36 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#37 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#38 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#39 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(174): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'')\n#40 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#41 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#44 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#45 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#46 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#47 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#48 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#49 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#50 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649767),
(98, 1, 'php', '%type: @message in %function (line %line of %file).', 'a:6:{s:5:"%type";s:47:"Drupal\\Core\\Security\\UntrustedCallbackException";s:8:"@message";s:240:"Render #pre_render callbacks must be methods of a class that implements \\Drupal\\Core\\Security\\TrustedCallbackInterface or be an anonymous function. The callback was field_group_entity_view_pre_render. See https://www.drupal.org/node/2966725";s:9:"%function";s:48:"Drupal\\Core\\Render\\Renderer->doTrustedCallback()";s:5:"%file";s:92:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php";s:5:"%line";i:96;s:17:"@backtrace_string";s:8717:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(788): Drupal\\Core\\Render\\Renderer->doTrustedCallback(''field_group_ent...'', Array, ''Render #pre_ren...'', ''exception'', ''Drupal\\\\Core\\\\Ren...'')\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(374): Drupal\\Core\\Render\\Renderer->doCallback(''#pre_render'', ''field_group_ent...'', Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#4 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#5 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(182): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->block_content(Array, Array)\n#6 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(70): Twig\\Template->displayBlock(''content'', Array, Array)\n#7 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->doDisplay(Array, Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''block'', Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(446): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_page--front.html.twig_S1GWcEC_LPkHP6np9Kb1xF9AW/vlTba4_AdsKhAzJ5u1qaatuI5n67U_lXH23VZhkCbPs.php(119): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_86149abcad0abe5ad74e6a2e413ab4c5->doDisplay(Array, Array)\n#18 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#20 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#22 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''page'', Array)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#25 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_html.html.twig_zCejK2lU1BZrvo2VsGGNeZQLJ/2v6kYBl_WZptkqccDah0IhzfZs-wyGhGTGiv901gXQU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_6e5be69e3c5aaf8fab70401fe9767573->doDisplay(Array, Array)\n#27 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#28 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''core/themes/cla...'', Array)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''html'', Array)\n#32 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#33 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render(Array)\n#34 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(580): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#35 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#36 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#37 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#38 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#39 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(174): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'')\n#40 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#41 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#44 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#45 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#46 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#47 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#48 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#49 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#50 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/config/development/performance', '41.215.171.100', 1681649767),
(99, 1, 'php', '%type: @message in %function (line %line of %file).', 'a:6:{s:5:"%type";s:47:"Drupal\\Core\\Security\\UntrustedCallbackException";s:8:"@message";s:240:"Render #pre_render callbacks must be methods of a class that implements \\Drupal\\Core\\Security\\TrustedCallbackInterface or be an anonymous function. The callback was field_group_entity_view_pre_render. See https://www.drupal.org/node/2966725";s:9:"%function";s:48:"Drupal\\Core\\Render\\Renderer->doTrustedCallback()";s:5:"%file";s:92:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php";s:5:"%line";i:96;s:17:"@backtrace_string";s:8717:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(788): Drupal\\Core\\Render\\Renderer->doTrustedCallback(''field_group_ent...'', Array, ''Render #pre_ren...'', ''exception'', ''Drupal\\\\Core\\\\Ren...'')\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(374): Drupal\\Core\\Render\\Renderer->doCallback(''#pre_render'', ''field_group_ent...'', Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#4 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#5 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(182): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->block_content(Array, Array)\n#6 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(70): Twig\\Template->displayBlock(''content'', Array, Array)\n#7 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->doDisplay(Array, Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''block'', Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(446): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_page--front.html.twig_S1GWcEC_LPkHP6np9Kb1xF9AW/vlTba4_AdsKhAzJ5u1qaatuI5n67U_lXH23VZhkCbPs.php(119): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_86149abcad0abe5ad74e6a2e413ab4c5->doDisplay(Array, Array)\n#18 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#20 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#22 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''page'', Array)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#25 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_html.html.twig_zCejK2lU1BZrvo2VsGGNeZQLJ/2v6kYBl_WZptkqccDah0IhzfZs-wyGhGTGiv901gXQU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_6e5be69e3c5aaf8fab70401fe9767573->doDisplay(Array, Array)\n#27 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#28 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''core/themes/cla...'', Array)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''html'', Array)\n#32 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#33 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render(Array)\n#34 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(580): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#35 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#36 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#37 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#38 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#39 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(174): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'')\n#40 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#41 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#44 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#45 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#46 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#47 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#48 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#49 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#50 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/', 'https://ictm2023.isser.edu.gh/admin/config/development/maintenance', '41.215.171.100', 1681649797),
(100, 0, 'php', '%type: @message in %function (line %line of %file).', 'a:6:{s:5:"%type";s:47:"Drupal\\Core\\Security\\UntrustedCallbackException";s:8:"@message";s:240:"Render #pre_render callbacks must be methods of a class that implements \\Drupal\\Core\\Security\\TrustedCallbackInterface or be an anonymous function. The callback was field_group_entity_view_pre_render. See https://www.drupal.org/node/2966725";s:9:"%function";s:48:"Drupal\\Core\\Render\\Renderer->doTrustedCallback()";s:5:"%file";s:92:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php";s:5:"%line";i:96;s:17:"@backtrace_string";s:8926:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(788): Drupal\\Core\\Render\\Renderer->doTrustedCallback(''field_group_ent...'', Array, ''Render #pre_ren...'', ''exception'', ''Drupal\\\\Core\\\\Ren...'')\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(374): Drupal\\Core\\Render\\Renderer->doCallback(''#pre_render'', ''field_group_ent...'', Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#4 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#5 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(182): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->block_content(Array, Array)\n#6 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(70): Twig\\Template->displayBlock(''content'', Array, Array)\n#7 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->doDisplay(Array, Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''block'', Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(446): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_page.html.twig_oZyuDC25KwDBlKfmX_fQG8by6/xNB87b0CzFmdBZtmtAo-cgSyeh-PFcqino20cbkjrK0.php(129): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_7dfc4be201227cbc4cb21e1209abefaf->doDisplay(Array, Array)\n#18 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#20 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#22 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''page'', Array)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#25 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_html.html.twig_zCejK2lU1BZrvo2VsGGNeZQLJ/2v6kYBl_WZptkqccDah0IhzfZs-wyGhGTGiv901gXQU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_6e5be69e3c5aaf8fab70401fe9767573->doDisplay(Array, Array)\n#27 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#28 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''core/themes/cla...'', Array)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''html'', Array)\n#32 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#33 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render(Array)\n#34 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(580): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#35 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#36 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#37 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#38 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#39 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(174): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'')\n#40 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#41 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#44 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#45 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#46 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#47 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#48 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#49 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#50 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#51 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/user/login', '', '41.215.171.100', 1681649852),
(101, 0, 'php', '%type: @message in %function (line %line of %file).', 'a:6:{s:5:"%type";s:47:"Drupal\\Core\\Security\\UntrustedCallbackException";s:8:"@message";s:240:"Render #pre_render callbacks must be methods of a class that implements \\Drupal\\Core\\Security\\TrustedCallbackInterface or be an anonymous function. The callback was field_group_entity_view_pre_render. See https://www.drupal.org/node/2966725";s:9:"%function";s:48:"Drupal\\Core\\Render\\Renderer->doTrustedCallback()";s:5:"%file";s:92:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php";s:5:"%line";i:96;s:17:"@backtrace_string";s:8926:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(788): Drupal\\Core\\Render\\Renderer->doTrustedCallback(''field_group_ent...'', Array, ''Render #pre_ren...'', ''exception'', ''Drupal\\\\Core\\\\Ren...'')\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(374): Drupal\\Core\\Render\\Renderer->doCallback(''#pre_render'', ''field_group_ent...'', Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#4 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#5 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(182): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->block_content(Array, Array)\n#6 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(70): Twig\\Template->displayBlock(''content'', Array, Array)\n#7 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->doDisplay(Array, Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''block'', Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(446): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_page.html.twig_oZyuDC25KwDBlKfmX_fQG8by6/xNB87b0CzFmdBZtmtAo-cgSyeh-PFcqino20cbkjrK0.php(129): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_7dfc4be201227cbc4cb21e1209abefaf->doDisplay(Array, Array)\n#18 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#20 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#22 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''page'', Array)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#25 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_html.html.twig_zCejK2lU1BZrvo2VsGGNeZQLJ/2v6kYBl_WZptkqccDah0IhzfZs-wyGhGTGiv901gXQU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_6e5be69e3c5aaf8fab70401fe9767573->doDisplay(Array, Array)\n#27 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#28 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''core/themes/cla...'', Array)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''html'', Array)\n#32 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#33 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render(Array)\n#34 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(580): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#35 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#36 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#37 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#38 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#39 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(174): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'')\n#40 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#41 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#44 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#45 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#46 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#47 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#48 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#49 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#50 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#51 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/user/login', '', '41.215.171.100', 1681649911),
(102, 0, 'php', '%type: @message in %function (line %line of %file).', 'a:6:{s:5:"%type";s:47:"Drupal\\Core\\Security\\UntrustedCallbackException";s:8:"@message";s:240:"Render #pre_render callbacks must be methods of a class that implements \\Drupal\\Core\\Security\\TrustedCallbackInterface or be an anonymous function. The callback was field_group_entity_view_pre_render. See https://www.drupal.org/node/2966725";s:9:"%function";s:48:"Drupal\\Core\\Render\\Renderer->doTrustedCallback()";s:5:"%file";s:92:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Security/DoTrustedCallbackTrait.php";s:5:"%line";i:96;s:17:"@backtrace_string";s:8933:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(788): Drupal\\Core\\Render\\Renderer->doTrustedCallback(''field_group_ent...'', Array, ''Render #pre_ren...'', ''exception'', ''Drupal\\\\Core\\\\Ren...'')\n#1 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(374): Drupal\\Core\\Render\\Renderer->doCallback(''#pre_render'', ''field_group_ent...'', Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#4 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#5 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(182): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->block_content(Array, Array)\n#6 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_block.html.twig_yT5L48AxZ7I7gHpRmxW9Pbbys/TrZPSiC7EyPLb7e3WMkIbddWDmaawmkfK2WtB32brnU.php(70): Twig\\Template->displayBlock(''content'', Array, Array)\n#7 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_f1683e2e55853c2af2d5b0f5bb0085b3->doDisplay(Array, Array)\n#8 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''block'', Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(446): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_page--front.html.twig_S1GWcEC_LPkHP6np9Kb1xF9AW/vlTba4_AdsKhAzJ5u1qaatuI5n67U_lXH23VZhkCbPs.php(119): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_86149abcad0abe5ad74e6a2e413ab4c5->doDisplay(Array, Array)\n#18 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#20 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''themes/custom/c...'', Array)\n#22 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''page'', Array)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Template/TwigExtension.php(479): Drupal\\Core\\Render\\Renderer->render(Array)\n#25 /home/issero5/ICTM2023.isser.edu.gh/sites/default/files/php/twig/643bf061e8a9a_html.html.twig_zCejK2lU1BZrvo2VsGGNeZQLJ/2v6kYBl_WZptkqccDah0IhzfZs-wyGhGTGiv901gXQU.php(86): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, ''html'', NULL, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(405): __TwigTemplate_6e5be69e3c5aaf8fab70401fe9767573->doDisplay(Array, Array)\n#27 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(378): Twig\\Template->displayWithErrorHandling(Array, Array)\n#28 /home/issero5/ICTM2023.isser.edu.gh/vendor/twig/twig/src/Template.php(390): Twig\\Template->display(Array)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/themes/engines/twig/twig.engine(55): Twig\\Template->render(Array)\n#30 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(''core/themes/cla...'', Array)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(433): Drupal\\Core\\Theme\\ThemeManager->render(''html'', Array)\n#32 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(204): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#33 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(162): Drupal\\Core\\Render\\Renderer->render(Array)\n#34 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/Renderer.php(580): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#35 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(163): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#36 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#37 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#38 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#39 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(174): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ViewEvent), ''kernel.view'')\n#40 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#41 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#44 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#45 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#46 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#47 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#48 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#49 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#50 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#51 {main}";}', 3, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681649919);
INSERT INTO `watchdog` VALUES
(103, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(55): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(104, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(55): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(105, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(106, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(107, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(108, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(109, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(110, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075);
INSERT INTO `watchdog` VALUES
(111, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(112, 0, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:19:"Deprecated function";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:77:"strlen(): Passing null to parameter #1 ($string) of type string is deprecated";}s:9:"%function";s:26:"_fontawesome_unparse_url()";s:5:"%file";s:74:"/home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module";s:5:"%line";i:161;s:17:"@backtrace_string";s:6407:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#1 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(161): _drupal_error_handler(8192, ''strlen(): Passi...'', ''/home/issero5/I...'', 161)\n#2 /home/issero5/ICTM2023.isser.edu.gh/modules/fontawesome/fontawesome.module(63): _fontawesome_unparse_url(Array)\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Extension/ModuleHandler.php(562): fontawesome_library_info_alter(Array, ''fontawesome'', NULL)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(386): Drupal\\Core\\Extension\\ModuleHandler->alter(''library_info'', Array, ''fontawesome'')\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryParser.php(138): Drupal\\Core\\Asset\\LibraryDiscoveryParser->parseLibraryInfo(''fontawesome'', ''modules/fontawe...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(87): Drupal\\Core\\Asset\\LibraryDiscoveryParser->buildByExtension(''fontawesome'')\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscoveryCollector.php(66): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->getLibraryDefinitions(''fontawesome'')\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/CacheCollector.php(149): Drupal\\Core\\Asset\\LibraryDiscoveryCollector->resolveCacheMiss(''fontawesome'')\n#9 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(44): Drupal\\Core\\Cache\\CacheCollector->get(''fontawesome'')\n#10 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDiscovery.php(58): Drupal\\Core\\Asset\\LibraryDiscovery->getLibrariesByExtension(''fontawesome'')\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(68): Drupal\\Core\\Asset\\LibraryDiscovery->getLibraryByName(''fontawesome'', ''fontawesome.svg'')\n#12 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/LibraryDependencyResolver.php(41): Drupal\\Core\\Asset\\LibraryDependencyResolver->doGetDependencies(Array)\n#13 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(104): Drupal\\Core\\Asset\\LibraryDependencyResolver->getLibrariesWithDependencies(Array)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Asset/AssetResolver.php(116): Drupal\\Core\\Asset\\AssetResolver->getLibrariesToLoad(Object(Drupal\\Core\\Asset\\AttachedAssets))\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(311): Drupal\\Core\\Asset\\AssetResolver->getCssAssets(Object(Drupal\\Core\\Asset\\AttachedAssets), true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php(157): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAssetLibraries(Object(Drupal\\Core\\Asset\\AttachedAssets), Array)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/EventSubscriber/HtmlResponseSubscriber.php(45): Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor->processAttachments(Object(Drupal\\Core\\Render\\HtmlResponse))\n#18 [internal function]: Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber->onRespond(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(202): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\ResponseEvent), ''kernel.response'')\n#21 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(190): Symfony\\Component\\HttpKernel\\HttpKernel->filterResponse(Object(Drupal\\Core\\Render\\HtmlResponse), Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#22 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#23 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#24 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#25 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#26 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#27 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#28 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#29 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#30 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#31 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#32 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#33 {main}";}', 7, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681650075),
(113, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:7:"Warning";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:73:"Erroneous data format for unserializing ''Symfony\\Component\\Routing\\Route''";}s:9:"%function";s:48:"Drupal\\Core\\Cache\\DatabaseBackend->prepareItem()";s:5:"%file";s:82:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php";s:5:"%line";i:167;s:17:"@backtrace_string";s:4415:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(2, ''Erroneous data ...'', ''/home/issero5/I...'', 167)\n#1 [internal function]: _drupal_error_handler(2, ''Erroneous data ...'', ''/home/issero5/I...'', 167, Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php(167): unserialize(''a:3:{s:4:"path"...'')\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php(122): Drupal\\Core\\Cache\\DatabaseBackend->prepareItem(Object(stdClass), false)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php(92): Drupal\\Core\\Cache\\DatabaseBackend->getMultiple(Array, false)\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/RouteProvider.php(167): Drupal\\Core\\Cache\\DatabaseBackend->get(''route:[language...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/Router.php(238): Drupal\\Core\\Routing\\RouteProvider->getRouteCollectionForRequest(Object(Symfony\\Component\\HttpFoundation\\Request))\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/Router.php(111): Drupal\\Core\\Routing\\Router->getInitialRouteCollection(Object(Symfony\\Component\\HttpFoundation\\Request))\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/AccessAwareRouter.php(93): Drupal\\Core\\Routing\\Router->matchRequest(Object(Symfony\\Component\\HttpFoundation\\Request))\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/EventListener/RouterListener.php(112): Drupal\\Core\\Routing\\AccessAwareRouter->matchRequest(Object(Symfony\\Component\\HttpFoundation\\Request))\n#10 [internal function]: Symfony\\Component\\HttpKernel\\EventListener\\RouterListener->onKernelRequest(Object(Symfony\\Component\\HttpKernel\\Event\\RequestEvent), ''kernel.request'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\RequestEvent), ''kernel.request'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(145): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\RequestEvent), ''kernel.request'')\n#13 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#23 {main}";}', 4, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681652708),
(114, 1, 'php', '%type: @message in %function (line %line of %file) @backtrace_string.', 'a:6:{s:5:"%type";s:6:"Notice";s:8:"@message";O:25:"Drupal\\Core\\Render\\Markup":1:{s:9:"\0*\0string";s:48:"unserialize(): Error at offset 247 of 1480 bytes";}s:9:"%function";s:48:"Drupal\\Core\\Cache\\DatabaseBackend->prepareItem()";s:5:"%file";s:82:"/home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php";s:5:"%line";i:167;s:17:"@backtrace_string";s:4415:"#0 /home/issero5/ICTM2023.isser.edu.gh/core/includes/bootstrap.inc(347): _drupal_error_handler_real(8, ''unserialize(): ...'', ''/home/issero5/I...'', 167)\n#1 [internal function]: _drupal_error_handler(8, ''unserialize(): ...'', ''/home/issero5/I...'', 167, Array)\n#2 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php(167): unserialize(''a:3:{s:4:"path"...'')\n#3 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php(122): Drupal\\Core\\Cache\\DatabaseBackend->prepareItem(Object(stdClass), false)\n#4 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Cache/DatabaseBackend.php(92): Drupal\\Core\\Cache\\DatabaseBackend->getMultiple(Array, false)\n#5 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/RouteProvider.php(167): Drupal\\Core\\Cache\\DatabaseBackend->get(''route:[language...'')\n#6 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/Router.php(238): Drupal\\Core\\Routing\\RouteProvider->getRouteCollectionForRequest(Object(Symfony\\Component\\HttpFoundation\\Request))\n#7 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/Router.php(111): Drupal\\Core\\Routing\\Router->getInitialRouteCollection(Object(Symfony\\Component\\HttpFoundation\\Request))\n#8 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/Routing/AccessAwareRouter.php(93): Drupal\\Core\\Routing\\Router->matchRequest(Object(Symfony\\Component\\HttpFoundation\\Request))\n#9 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/EventListener/RouterListener.php(112): Drupal\\Core\\Routing\\AccessAwareRouter->matchRequest(Object(Symfony\\Component\\HttpFoundation\\Request))\n#10 [internal function]: Symfony\\Component\\HttpKernel\\EventListener\\RouterListener->onKernelRequest(Object(Symfony\\Component\\HttpKernel\\Event\\RequestEvent), ''kernel.request'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(142): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\RequestEvent), ''kernel.request'', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(145): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(Object(Symfony\\Component\\HttpKernel\\Event\\RequestEvent), ''kernel.request'')\n#13 /home/issero5/ICTM2023.isser.edu.gh/vendor/symfony/http-kernel/HttpKernel.php(81): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/Session.php(58): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(48): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/issero5/ICTM2023.isser.edu.gh/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(48): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(51): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/issero5/ICTM2023.isser.edu.gh/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/issero5/ICTM2023.isser.edu.gh/core/lib/Drupal/Core/DrupalKernel.php(718): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/issero5/ICTM2023.isser.edu.gh/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#23 {main}";}', 5, '', 'https://ictm2023.isser.edu.gh/', '', '41.215.171.100', 1681652708),
(115, 1, 'system', '%theme theme installed.', 'a:1:{s:6:"%theme";s:7:"olivero";}', 6, '', 'https://ictm2023.isser.edu.gh/admin/appearance/default?theme=olivero&token=d2Ez7bYDE2cIhj6q72mIUSeiWrv2-jdhpNnScv-mLs8', 'https://ictm2023.isser.edu.gh/admin/appearance', '41.215.171.100', 1681652741);

-- --------------------------------------------------------

--
-- Table structure for table `webform`
--

CREATE TABLE `webform` (
  `webform_id` varchar(32) NOT NULL COMMENT 'The webform id.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT 1 COMMENT 'The serial number to give to the next submission to this webform.',
  PRIMARY KEY (`webform_id`,`next_serial`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores all webform data.';

--
-- Dumping data for table `webform`
--

INSERT INTO `webform` VALUES
('register', 1);

-- --------------------------------------------------------

--
-- Table structure for table `webform_submission`
--

CREATE TABLE `webform_submission` (
  `sid` int(11) NOT NULL AUTO_INCREMENT,
  `webform_id` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `serial` int(11) DEFAULT NULL,
  `token` varchar(255) DEFAULT NULL,
  `uri` varchar(2000) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  `completed` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `in_draft` tinyint(4) DEFAULT NULL,
  `current_page` varchar(128) DEFAULT NULL,
  `remote_addr` varchar(128) DEFAULT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `entity_type` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  `entity_id` varchar(255) DEFAULT NULL,
  `locked` tinyint(4) DEFAULT NULL,
  `sticky` tinyint(4) DEFAULT NULL,
  `notes` longtext DEFAULT NULL,
  PRIMARY KEY (`sid`),
  UNIQUE KEY `webform_submission_field__uuid__value` (`uuid`),
  KEY `webform_submission_field__webform_id__target_id` (`webform_id`),
  KEY `webform_submission_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='The base table for webform_submission entities.';

-- --------------------------------------------------------

--
-- Table structure for table `webform_submission_data`
--

CREATE TABLE `webform_submission_data` (
  `webform_id` varchar(32) NOT NULL COMMENT 'The webform id.',
  `sid` int(10) unsigned NOT NULL COMMENT 'The unique identifier for this submission.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the element.',
  `property` varchar(128) NOT NULL DEFAULT '' COMMENT 'The property of the element''s value.',
  `delta` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The delta of the element''s value.',
  `value` mediumtext NOT NULL COMMENT 'The element''s value.',
  PRIMARY KEY (`sid`,`name`,`property`,`delta`),
  KEY `webform_id` (`webform_id`),
  KEY `sid_webform_id` (`sid`,`webform_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Stores all submitted data for webform submissions.';

-- --------------------------------------------------------

--
-- Table structure for table `webform_submission_log`
--

CREATE TABLE `webform_submission_log` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique log event ID.',
  `webform_id` varchar(32) NOT NULL COMMENT 'The webform id.',
  `sid` int(10) unsigned DEFAULT NULL COMMENT 'The webform submission id.',
  `handler_id` varchar(64) DEFAULT NULL COMMENT 'The webform handler id.',
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid of the user who triggered the event.',
  `operation` varchar(64) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL DEFAULT '' COMMENT 'Type of operation, for example "save", "sent", or "update."',
  `message` longtext NOT NULL COMMENT 'Text of log message.',
  `data` longblob NOT NULL COMMENT 'Serialized array of data.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`lid`),
  KEY `webform_id` (`webform_id`),
  KEY `sid` (`sid`),
  KEY `uid` (`uid`),
  KEY `handler_id` (`handler_id`),
  KEY `handler_id_operation` (`handler_id`,`operation`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Table that contains logs of all webform submission events.';

-- --------------------------------------------------------

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
